package android.os;

@android.annotation.SystemApi
public class HidlSupport {

    public static final class Mutable<E> {
        public E value;

        public Mutable() {
            this.value = null;
        }

        public Mutable(E value) {
            this.value = value;
        }
    }

    @android.annotation.SystemApi
    public static native int getPidIfSharable();

    @android.annotation.SystemApi
    public static boolean deepEquals(java.lang.Object lft, java.lang.Object rgt) {
        boolean z = true;
        if (lft == rgt) {
            return true;
        }
        if (lft != null) {
            if (rgt != null) {
                java.lang.Class<?> lftClazz = lft.getClass();
                java.lang.Class<?> rgtClazz = rgt.getClass();
                if (lftClazz != rgtClazz) {
                    return false;
                }
                if (lftClazz.isArray()) {
                    java.lang.Class<?> lftElementType = lftClazz.getComponentType();
                    if (lftElementType != rgtClazz.getComponentType()) {
                        return false;
                    }
                    if (lftElementType != null && lftElementType.isPrimitive()) {
                        return java.util.Objects.deepEquals(lft, rgt);
                    }
                    java.lang.Object[] lftArray = (java.lang.Object[]) lft;
                    java.lang.Object[] rgtArray = (java.lang.Object[]) rgt;
                    if (lftArray.length != rgtArray.length || !java.util.stream.IntStream.range(0, lftArray.length).allMatch(new android.os.-$$Lambda$HidlSupport$4ktYtLCfMafhYI23iSXUQOH_hxo(lftArray, rgtArray))) {
                        z = false;
                    }
                    return z;
                } else if (lft instanceof java.util.List) {
                    java.util.List<java.lang.Object> lftList = (java.util.List) lft;
                    java.util.List<java.lang.Object> rgtList = (java.util.List) rgt;
                    if (lftList.size() != rgtList.size()) {
                        return false;
                    }
                    return rgtList.stream().allMatch(new android.os.-$$Lambda$HidlSupport$oV2DlGQSAfcavBj7TK20nYhwS0U(lftList.iterator()));
                } else {
                    throwErrorIfUnsupportedType(lft);
                    return lft.equals(rgt);
                }
            }
        }
        return false;
    }

    @android.annotation.SystemApi
    public static int deepHashCode(java.lang.Object o) {
        if (o == null) {
            return 0;
        }
        java.lang.Class<?> clazz = o.getClass();
        if (clazz.isArray()) {
            java.lang.Class<?> elementType = clazz.getComponentType();
            if (elementType == null || !elementType.isPrimitive()) {
                return java.util.Arrays.hashCode(java.util.Arrays.stream((java.lang.Object[]) o).mapToInt(android.os.-$$Lambda$HidlSupport$GHxmwrIWiKN83tl6aMQt_nV5hiw.INSTANCE).toArray());
            }
            return primitiveArrayHashCode(o);
        } else if (o instanceof java.util.List) {
            return java.util.Arrays.hashCode(((java.util.List) o).stream().mapToInt(android.os.-$$Lambda$HidlSupport$CwwfmHPEvZaybUxpLzKdwrpQRfA.INSTANCE).toArray());
        } else {
            throwErrorIfUnsupportedType(o);
            return o.hashCode();
        }
    }

    private static void throwErrorIfUnsupportedType(java.lang.Object o) {
        if (o instanceof java.util.Collection) {
            if (!(o instanceof java.util.List)) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Cannot check equality on collections other than lists: ");
                stringBuilder.append(o.getClass().getName());
                throw new java.lang.UnsupportedOperationException(stringBuilder.toString());
            }
        }
        if (o instanceof java.util.Map) {
            throw new java.lang.UnsupportedOperationException("Cannot check equality on maps");
        }
    }

    private static int primitiveArrayHashCode(java.lang.Object o) {
        java.lang.Class<?> elementType = o.getClass().getComponentType();
        if (elementType == java.lang.Boolean.TYPE) {
            return java.util.Arrays.hashCode((boolean[]) o);
        }
        if (elementType == java.lang.Byte.TYPE) {
            return java.util.Arrays.hashCode((byte[]) o);
        }
        if (elementType == java.lang.Character.TYPE) {
            return java.util.Arrays.hashCode((char[]) o);
        }
        if (elementType == java.lang.Double.TYPE) {
            return java.util.Arrays.hashCode((double[]) o);
        }
        if (elementType == java.lang.Float.TYPE) {
            return java.util.Arrays.hashCode((float[]) o);
        }
        if (elementType == java.lang.Integer.TYPE) {
            return java.util.Arrays.hashCode((int[]) o);
        }
        if (elementType == java.lang.Long.TYPE) {
            return java.util.Arrays.hashCode((long[]) o);
        }
        if (elementType == java.lang.Short.TYPE) {
            return java.util.Arrays.hashCode((short[]) o);
        }
        throw new java.lang.UnsupportedOperationException();
    }

    @android.annotation.SystemApi
    public static boolean interfacesEqual(android.os.IHwInterface lft, java.lang.Object rgt) {
        if (lft == rgt) {
            return true;
        }
        if (lft != null) {
            if (rgt != null) {
                if (rgt instanceof android.os.IHwInterface) {
                    return java.util.Objects.equals(lft.asBinder(), ((android.os.IHwInterface) rgt).asBinder());
                }
                return false;
            }
        }
        return false;
    }
}
