package android.os;

@android.annotation.SystemApi
public class HwBlob {
    private static final java.lang.String TAG = "HwBlob";
    private static final libcore.util.NativeAllocationRegistry sNativeRegistry = new libcore.util.NativeAllocationRegistry(android.os.HwBlob.class.getClassLoader(), native_init(), 128);
    private long mNativeContext;

    private static final native long native_init();

    private final native void native_setup(int i);

    public final native void copyToBoolArray(long j, boolean[] zArr, int i);

    public final native void copyToDoubleArray(long j, double[] dArr, int i);

    public final native void copyToFloatArray(long j, float[] fArr, int i);

    public final native void copyToInt16Array(long j, short[] sArr, int i);

    public final native void copyToInt32Array(long j, int[] iArr, int i);

    public final native void copyToInt64Array(long j, long[] jArr, int i);

    public final native void copyToInt8Array(long j, byte[] bArr, int i);

    public final native boolean getBool(long j);

    public final native double getDouble(long j);

    public final native float getFloat(long j);

    public final native short getInt16(long j);

    public final native int getInt32(long j);

    public final native long getInt64(long j);

    public final native byte getInt8(long j);

    public final native java.lang.String getString(long j);

    public final native long handle();

    public final native void putBlob(long j, android.os.HwBlob hwBlob);

    public final native void putBool(long j, boolean z);

    public final native void putBoolArray(long j, boolean[] zArr);

    public final native void putDouble(long j, double d);

    public final native void putDoubleArray(long j, double[] dArr);

    public final native void putFloat(long j, float f);

    public final native void putFloatArray(long j, float[] fArr);

    public final native void putInt16(long j, short s);

    public final native void putInt16Array(long j, short[] sArr);

    public final native void putInt32(long j, int i);

    public final native void putInt32Array(long j, int[] iArr);

    public final native void putInt64(long j, long j2);

    public final native void putInt64Array(long j, long[] jArr);

    public final native void putInt8(long j, byte b);

    public final native void putInt8Array(long j, byte[] bArr);

    public final native void putString(long j, java.lang.String str);

    public HwBlob(int size) {
        native_setup(size);
        sNativeRegistry.registerNativeAllocation(this, this.mNativeContext);
    }

    public static java.lang.Boolean[] wrapArray(boolean[] array) {
        int n = array.length;
        java.lang.Boolean[] wrappedArray = new java.lang.Boolean[n];
        for (int i = 0; i < n; i++) {
            wrappedArray[i] = java.lang.Boolean.valueOf(array[i]);
        }
        return wrappedArray;
    }

    public static java.lang.Long[] wrapArray(long[] array) {
        int n = array.length;
        java.lang.Long[] wrappedArray = new java.lang.Long[n];
        for (int i = 0; i < n; i++) {
            wrappedArray[i] = java.lang.Long.valueOf(array[i]);
        }
        return wrappedArray;
    }

    public static java.lang.Byte[] wrapArray(byte[] array) {
        int n = array.length;
        java.lang.Byte[] wrappedArray = new java.lang.Byte[n];
        for (int i = 0; i < n; i++) {
            wrappedArray[i] = java.lang.Byte.valueOf(array[i]);
        }
        return wrappedArray;
    }

    public static java.lang.Short[] wrapArray(short[] array) {
        int n = array.length;
        java.lang.Short[] wrappedArray = new java.lang.Short[n];
        for (int i = 0; i < n; i++) {
            wrappedArray[i] = java.lang.Short.valueOf(array[i]);
        }
        return wrappedArray;
    }

    public static java.lang.Integer[] wrapArray(int[] array) {
        int n = array.length;
        java.lang.Integer[] wrappedArray = new java.lang.Integer[n];
        for (int i = 0; i < n; i++) {
            wrappedArray[i] = java.lang.Integer.valueOf(array[i]);
        }
        return wrappedArray;
    }

    public static java.lang.Float[] wrapArray(float[] array) {
        int n = array.length;
        java.lang.Float[] wrappedArray = new java.lang.Float[n];
        for (int i = 0; i < n; i++) {
            wrappedArray[i] = java.lang.Float.valueOf(array[i]);
        }
        return wrappedArray;
    }

    public static java.lang.Double[] wrapArray(double[] array) {
        int n = array.length;
        java.lang.Double[] wrappedArray = new java.lang.Double[n];
        for (int i = 0; i < n; i++) {
            wrappedArray[i] = java.lang.Double.valueOf(array[i]);
        }
        return wrappedArray;
    }
}
