package android.os;

@android.annotation.SystemApi
public class HwParcel {
    public static final int STATUS_SUCCESS = 0;
    private static final java.lang.String TAG = "HwParcel";
    private static final libcore.util.NativeAllocationRegistry sNativeRegistry = new libcore.util.NativeAllocationRegistry(android.os.HwParcel.class.getClassLoader(), native_init(), 128);
    private long mNativeContext;

    @java.lang.annotation.Retention(java.lang.annotation.RetentionPolicy.SOURCE)
    public @interface Status {
    }

    private static final native long native_init();

    private final native void native_setup(boolean z);

    private final native boolean[] readBoolVectorAsArray();

    private final native double[] readDoubleVectorAsArray();

    private final native float[] readFloatVectorAsArray();

    private final native short[] readInt16VectorAsArray();

    private final native int[] readInt32VectorAsArray();

    private final native long[] readInt64VectorAsArray();

    private final native byte[] readInt8VectorAsArray();

    private final native java.lang.String[] readStringVectorAsArray();

    private final native void writeBoolVector(boolean[] zArr);

    private final native void writeDoubleVector(double[] dArr);

    private final native void writeFloatVector(float[] fArr);

    private final native void writeInt16Vector(short[] sArr);

    private final native void writeInt32Vector(int[] iArr);

    private final native void writeInt64Vector(long[] jArr);

    private final native void writeInt8Vector(byte[] bArr);

    private final native void writeStringVector(java.lang.String[] strArr);

    public final native void enforceInterface(java.lang.String str);

    public final native boolean readBool();

    public final native android.os.HwBlob readBuffer(long j);

    public final native double readDouble();

    public final native android.os.HwBlob readEmbeddedBuffer(long j, long j2, long j3, boolean z);

    public final native float readFloat();

    public final native short readInt16();

    public final native int readInt32();

    public final native long readInt64();

    public final native byte readInt8();

    public final native java.lang.String readString();

    public final native android.os.IHwBinder readStrongBinder();

    public final native void release();

    public final native void releaseTemporaryStorage();

    public final native void send();

    public final native void verifySuccess();

    public final native void writeBool(boolean z);

    public final native void writeBuffer(android.os.HwBlob hwBlob);

    public final native void writeDouble(double d);

    public final native void writeFloat(float f);

    public final native void writeInt16(short s);

    public final native void writeInt32(int i);

    public final native void writeInt64(long j);

    public final native void writeInt8(byte b);

    public final native void writeInterfaceToken(java.lang.String str);

    public final native void writeStatus(int i);

    public final native void writeString(java.lang.String str);

    public final native void writeStrongBinder(android.os.IHwBinder iHwBinder);

    private HwParcel(boolean allocate) {
        native_setup(allocate);
        sNativeRegistry.registerNativeAllocation(this, this.mNativeContext);
    }

    public HwParcel() {
        native_setup(true);
        sNativeRegistry.registerNativeAllocation(this, this.mNativeContext);
    }

    public final void writeBoolVector(java.util.ArrayList<java.lang.Boolean> val) {
        int n = val.size();
        boolean[] array = new boolean[n];
        for (int i = 0; i < n; i++) {
            array[i] = ((java.lang.Boolean) val.get(i)).booleanValue();
        }
        writeBoolVector(array);
    }

    public final void writeInt8Vector(java.util.ArrayList<java.lang.Byte> val) {
        int n = val.size();
        byte[] array = new byte[n];
        for (int i = 0; i < n; i++) {
            array[i] = ((java.lang.Byte) val.get(i)).byteValue();
        }
        writeInt8Vector(array);
    }

    public final void writeInt16Vector(java.util.ArrayList<java.lang.Short> val) {
        int n = val.size();
        short[] array = new short[n];
        for (int i = 0; i < n; i++) {
            array[i] = ((java.lang.Short) val.get(i)).shortValue();
        }
        writeInt16Vector(array);
    }

    public final void writeInt32Vector(java.util.ArrayList<java.lang.Integer> val) {
        int n = val.size();
        int[] array = new int[n];
        for (int i = 0; i < n; i++) {
            array[i] = ((java.lang.Integer) val.get(i)).intValue();
        }
        writeInt32Vector(array);
    }

    public final void writeInt64Vector(java.util.ArrayList<java.lang.Long> val) {
        int n = val.size();
        long[] array = new long[n];
        for (int i = 0; i < n; i++) {
            array[i] = ((java.lang.Long) val.get(i)).longValue();
        }
        writeInt64Vector(array);
    }

    public final void writeFloatVector(java.util.ArrayList<java.lang.Float> val) {
        int n = val.size();
        float[] array = new float[n];
        for (int i = 0; i < n; i++) {
            array[i] = ((java.lang.Float) val.get(i)).floatValue();
        }
        writeFloatVector(array);
    }

    public final void writeDoubleVector(java.util.ArrayList<java.lang.Double> val) {
        int n = val.size();
        double[] array = new double[n];
        for (int i = 0; i < n; i++) {
            array[i] = ((java.lang.Double) val.get(i)).doubleValue();
        }
        writeDoubleVector(array);
    }

    public final void writeStringVector(java.util.ArrayList<java.lang.String> val) {
        writeStringVector((java.lang.String[]) val.toArray(new java.lang.String[val.size()]));
    }

    public final java.util.ArrayList<java.lang.Boolean> readBoolVector() {
        return new java.util.ArrayList(java.util.Arrays.asList(android.os.HwBlob.wrapArray(readBoolVectorAsArray())));
    }

    public final java.util.ArrayList<java.lang.Byte> readInt8Vector() {
        return new java.util.ArrayList(java.util.Arrays.asList(android.os.HwBlob.wrapArray(readInt8VectorAsArray())));
    }

    public final java.util.ArrayList<java.lang.Short> readInt16Vector() {
        return new java.util.ArrayList(java.util.Arrays.asList(android.os.HwBlob.wrapArray(readInt16VectorAsArray())));
    }

    public final java.util.ArrayList<java.lang.Integer> readInt32Vector() {
        return new java.util.ArrayList(java.util.Arrays.asList(android.os.HwBlob.wrapArray(readInt32VectorAsArray())));
    }

    public final java.util.ArrayList<java.lang.Long> readInt64Vector() {
        return new java.util.ArrayList(java.util.Arrays.asList(android.os.HwBlob.wrapArray(readInt64VectorAsArray())));
    }

    public final java.util.ArrayList<java.lang.Float> readFloatVector() {
        return new java.util.ArrayList(java.util.Arrays.asList(android.os.HwBlob.wrapArray(readFloatVectorAsArray())));
    }

    public final java.util.ArrayList<java.lang.Double> readDoubleVector() {
        return new java.util.ArrayList(java.util.Arrays.asList(android.os.HwBlob.wrapArray(readDoubleVectorAsArray())));
    }

    public final java.util.ArrayList<java.lang.String> readStringVector() {
        return new java.util.ArrayList(java.util.Arrays.asList(readStringVectorAsArray()));
    }
}
