package com.android.server;

public class HWDataSpaceHolder {
    private static final java.lang.String DATA_SPACE_PATH = "/data";
    private static final boolean DEBUG_LOG = false;
    private static final int DEFAULT_RELASE_SIZE = 512;
    private static final int FILL_BUFF_SIZE = 262144;
    private static final int K_SIZE = 1024;
    private static final java.lang.String PLACE_FILE_NAME = "/data/.hwplace";
    private static final int PLACE_FILE_SIZE = 62914560;
    private static final java.lang.String PROP_REALSE_COUNT = "sys.hwsholder.count";
    private static final java.lang.String PROP_REALSE_SIZE = "ro.config.hwsholder.releasesize";
    private static final int[] RELEASE_FACTOR = new int[]{1, 2, 4, 8, 16};
    private static final int SPACE_DRAIN_THRESHOLD = 524288;
    private static final int SPACE_FILL_THRESHOLD = 83886080;
    private static final java.lang.String TAG = "HWDataSpaceHolder";

    public static void activePlaceFile() {
        try {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("start time: ");
            stringBuilder.append(java.lang.System.currentTimeMillis());
            PrintLog(stringBuilder.toString());
            long spaceSize = getAvaibleSize("/data");
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("spaceSize: ");
            stringBuilder2.append(spaceSize);
            PrintLog(stringBuilder2.toString());
            int fillSize;
            if (spaceSize > 83886080) {
                PrintLog("available space is rich!");
                fillSize = 62914560 - getFileSize("/data/.hwplace");
                if (fillSize > 0) {
                    java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append("fill place file, size:");
                    stringBuilder3.append(fillSize);
                    PrintLog(stringBuilder3.toString());
                    fillFile("/data/.hwplace", fillSize, true);
                } else {
                    PrintLog("place file is full!");
                }
                android.os.SystemProperties.set("sys.hwsholder.count", "0");
            } else if (spaceSize < 524288) {
                PrintLog("available space is low");
                fillSize = getFileSize("/data/.hwplace");
                if (fillSize > 0) {
                    int realseSize = getReleaseSize();
                    if (realseSize > 0) {
                        int fillSize2 = fillSize - realseSize;
                        java.lang.StringBuilder stringBuilder4;
                        if (fillSize2 > 0) {
                            stringBuilder4 = new java.lang.StringBuilder();
                            stringBuilder4.append("release space size:");
                            stringBuilder4.append(realseSize);
                            PrintLog(stringBuilder4.toString());
                            fillFile("/data/.hwplace", fillSize2, false);
                        } else {
                            deleteFile("/data/.hwplace");
                            stringBuilder4 = new java.lang.StringBuilder();
                            stringBuilder4.append("release space size:");
                            stringBuilder4.append(fillSize);
                            PrintLog(stringBuilder4.toString());
                        }
                    }
                } else {
                    PrintLog("release space, but no place file");
                }
            } else {
                android.os.SystemProperties.set("sys.hwsholder.count", "0");
                PrintLog("do nothing");
            }
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("stop time: ");
            stringBuilder2.append(java.lang.System.currentTimeMillis());
            PrintLog(stringBuilder2.toString());
        } catch (java.lang.Exception e) {
        }
    }

    private static int getFileSize(java.lang.String path) {
        java.io.File file = new java.io.File(path);
        if (file.exists()) {
            return (int) file.length();
        }
        return 0;
    }

    private static long getAvaibleSize(java.lang.String path) {
        android.os.StatFs statFs = new android.os.StatFs(path);
        return ((long) statFs.getAvailableBlocks()) * ((long) statFs.getBlockSize());
    }

    private static void fillFile(java.lang.String fileName, int size, boolean isAppend) {
        if (size > 0) {
            if (size <= 62914560) {
                byte[] buff = new byte[262144];
                java.io.FileOutputStream fos = null;
                java.io.File file = new java.io.File(fileName);
                try {
                    if (!(file.exists() || file.createNewFile())) {
                        PrintLog("create file failed!");
                    }
                    fos = new java.io.FileOutputStream(file, isAppend);
                    int tmpSize = 0;
                    int writeSize = 0;
                    while (tmpSize < size) {
                        writeSize = 262144 < size - tmpSize ? 262144 : size - tmpSize;
                        fos.write(buff, 0, writeSize);
                        tmpSize += writeSize;
                    }
                    try {
                        fos.close();
                    } catch (java.io.IOException e) {
                    }
                } catch (java.lang.Exception e2) {
                    if (fos != null) {
                        fos.close();
                    }
                } catch (Throwable th) {
                    if (fos != null) {
                        try {
                            fos.close();
                        } catch (java.io.IOException e3) {
                        }
                    }
                }
            }
        }
    }

    private static void deleteFile(java.lang.String path) {
        java.io.File file = new java.io.File(path);
        if (file.exists() && !file.delete()) {
            PrintLog("delete file failed!");
        }
    }

    private static int getReleaseSize() {
        int baseSize = android.os.SystemProperties.getInt("ro.config.hwsholder.releasesize", 512);
        if (baseSize <= 0) {
            return 524288;
        }
        int count = android.os.SystemProperties.getInt("sys.hwsholder.count", 0);
        if (count < 0 || count >= RELEASE_FACTOR.length) {
            android.os.SystemProperties.set("sys.hwsholder.count", "0");
            return baseSize * 1024;
        }
        android.os.SystemProperties.set("sys.hwsholder.count", java.lang.String.valueOf(count + 1));
        return (baseSize * 1024) * RELEASE_FACTOR[count];
    }

    private static void PrintLog(java.lang.String msg) {
    }
}
