package com.android.server;

public class HWDrmDialogsService {
    private static final int MSG_SHOW_CD_NORIGHTS_DLG = 0;
    private static final int MSG_SHOW_NO_SECURITY_DLG = 2;
    private static final int MSG_SHOW_SD_RENEWAL_DLG = 1;
    private static final java.lang.String TAG = "HWDrmDialogsService";
    private android.app.AlertDialog mAlertDlg = null;
    private android.content.Context mContext;
    private android.drm.DrmManagerClient mDrmManagerClient;
    private java.lang.String mRightsIssuer = "";
    private android.widget.Toast mToast = null;

    public HWDrmDialogsService(android.content.Context context) {
        this.mContext = context;
    }

    public void start() {
        CreateDrmErrorListener();
    }

    private void CreateDrmErrorListener() {
        this.mDrmManagerClient = new android.drm.DrmManagerClient(this.mContext);
        android.drm.DrmInfo drmInfo = new android.drm.DrmInfo(1, new byte[]{(byte) 0}, "application/vnd.oma.drm.content");
        drmInfo.put("DialogServiceRegister", "true");
        this.mDrmManagerClient.processDrmInfo(drmInfo);
        android.drm.DrmManagerClient.OnErrorListener errorListener = new android.drm.DrmManagerClient.OnErrorListener() {
            public void onError(android.drm.DrmManagerClient client, android.drm.DrmErrorEvent event) {
                java.lang.String errStr = event.getMessage();
                if (errStr == null) {
                    errStr = "";
                }
                android.util.Slog.i("HWDrmDialogsService", "HWDrmDialogsService  start ........");
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("errStr = ");
                stringBuilder.append(errStr);
                android.util.Slog.i("HWDrmDialogsService", stringBuilder.toString());
                if (2002 == event.getType()) {
                    android.util.Slog.i("HWDrmDialogsService", "cdNoRights ........");
                    if (errStr.startsWith("showdialog#")) {
                        com.android.server.HWDrmDialogsService.this.showDlg(0);
                    }
                } else if (2001 == event.getType()) {
                    android.util.Slog.i("HWDrmDialogsService", "rightIssuer error ........");
                    if (errStr.startsWith("showdialog#")) {
                        com.android.server.HWDrmDialogsService.this.mRightsIssuer = errStr.substring("showdialog#".length());
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("rightIssuer error : rightIssuer = ");
                        stringBuilder.append(com.android.server.HWDrmDialogsService.this.mRightsIssuer);
                        android.util.Slog.i("HWDrmDialogsService", stringBuilder.toString());
                        com.android.server.HWDrmDialogsService.this.showDlg(1);
                    }
                } else if (2005 == event.getType() && errStr.startsWith("showdialog#")) {
                    com.android.server.HWDrmDialogsService.this.showDlg(2);
                }
            }
        };
        this.mDrmManagerClient.setOnErrorListener(errorListener);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("HWDrmDialogsService  errorListener = ");
        stringBuilder.append(errorListener);
        android.util.Slog.i("HWDrmDialogsService", stringBuilder.toString());
    }

    private void showDlg(int dialog) {
        switch (dialog) {
            case 0:
                if (this.mToast == null) {
                    this.mToast = android.widget.Toast.makeText(this.mContext, 33685717, 1);
                } else {
                    this.mToast.setText(33685717);
                }
                this.mToast.show();
                break;
            case 1:
                if ("".equals(this.mRightsIssuer)) {
                    if (this.mToast == null) {
                        this.mToast = android.widget.Toast.makeText(this.mContext, 33685716, 1);
                    } else {
                        this.mToast.setText(33685716);
                    }
                    this.mToast.show();
                    break;
                } else if (this.mAlertDlg == null || !this.mAlertDlg.isShowing()) {
                    this.mAlertDlg = new android.app.AlertDialog.Builder(this.mContext, 33947691).setCancelable(false).setTitle(17039380).setMessage(33685651).setPositiveButton(17039370, new android.content.DialogInterface.OnClickListener() {
                        public void onClick(android.content.DialogInterface dialog, int whichButton) {
                            if (!com.android.server.HWDrmDialogsService.this.mRightsIssuer.matches("http://.*")) {
                                if (!com.android.server.HWDrmDialogsService.this.mRightsIssuer.matches("https://.*")) {
                                    if (com.android.server.HWDrmDialogsService.this.mToast == null) {
                                        com.android.server.HWDrmDialogsService.this.mToast = android.widget.Toast.makeText(com.android.server.HWDrmDialogsService.this.mContext, 33685718, 1);
                                    } else {
                                        com.android.server.HWDrmDialogsService.this.mToast.setText(33685718);
                                    }
                                    com.android.server.HWDrmDialogsService.this.mToast.show();
                                    return;
                                }
                            }
                            com.android.server.HWDrmDialogsService.this.startBrowser(com.android.server.HWDrmDialogsService.this.mRightsIssuer);
                        }
                    }).setNegativeButton(17039360, new android.content.DialogInterface.OnClickListener() {
                        public void onClick(android.content.DialogInterface dialog, int whichButton) {
                        }
                    }).create();
                    android.view.Window window = this.mAlertDlg.getWindow();
                    if (window != null) {
                        android.view.WindowManager.LayoutParams lp = window.getAttributes();
                        lp.type = 2003;
                        window.setAttributes(lp);
                    }
                    this.mAlertDlg.show();
                    break;
                } else {
                    android.util.Log.d("HWDrmDialogsService", "MSG_SHOW_SD_RENEWAL_DLG dailog has show once");
                    return;
                }
            case 2:
                if (this.mToast == null) {
                    this.mToast = android.widget.Toast.makeText(this.mContext, 33685719, 1);
                } else {
                    this.mToast.setText(33685719);
                }
                this.mToast.show();
                break;
            default:
                android.util.Log.e("HWDrmDialogsService", "showDlg default");
                break;
        }
    }

    private void startBrowser(java.lang.String rightIssuer) {
        android.net.Uri rightsUrl = android.net.Uri.parse(rightIssuer);
        android.content.Intent intent = new android.content.Intent();
        intent.setFlags(268435456);
        intent.setAction("android.intent.action.VIEW");
        intent.addCategory("android.intent.category.BROWSABLE");
        intent.setData(rightsUrl);
        this.mContext.startActivity(intent);
    }
}
