package com.android.server;

public class HiLinkUtil {
    private static final java.lang.String Device_App_PackageName = "com.huawei.smarthome";
    public static final int HILINK_ROUTER = 1;
    private static final java.lang.String Hilink_App_PackageName = "com.huawei.mw";
    private static final java.lang.String IGNOR_DEVICE1 = "002";
    private static final java.lang.String IGNOR_DEVICE2 = "009";
    public static final int NONE = 0;
    public static final java.lang.String SCHEME_GATEWAY = "http://192.168.3.1";
    private static final java.lang.String SCHEME_PREFIX = "higuide://com.huawei.higuide.action.LAUNCH?";
    private static final java.lang.String SEPARATER = "&";
    public static final int SMARTHOME_DEVICE = 2;
    private static final java.lang.String STATUS_FLAG = "110";
    private static final java.lang.String TAG = "HiLinkUtil";
    private static final java.lang.String TYPE_FLAG = "23";

    private static boolean isHiSsid(java.lang.String ssid) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder(ssid);
        if (stringBuilder.length() != 32 || !stringBuilder.substring(0, 2).equals("Hi")) {
            return false;
        }
        char version = stringBuilder.charAt(2);
        if (stringBuilder.charAt(9) != 'A') {
            return true;
        }
        if (version != '0') {
            java.lang.String status = stringBuilder.substring(10, 13);
            java.lang.String type = stringBuilder.substring(13, 15);
            if (!"110".equals(status) || !"23".equals(type)) {
                return false;
            }
            if (version >= '3' || version <= '0' || (!stringBuilder.substring(15, 18).equals("002") && !stringBuilder.substring(15, 18).equals("009"))) {
                return true;
            }
            return false;
        } else if ("002".equals(stringBuilder.substring(21, 24)) || "009".equals(stringBuilder.substring(21, 24)) || !"00000000000".equals(stringBuilder.substring(10, 21))) {
            return false;
        } else {
            return true;
        }
    }

    private static boolean isSmartHomeDeviceOrNot(java.lang.String ssid) {
        if (ssid.charAt(9) == 'A') {
            if (ssid.charAt(2) == '0') {
                if (ssid.substring(21, 24).equals("001")) {
                    return false;
                }
            } else if (ssid.substring(15, 18).equals("001")) {
                return false;
            }
        }
        return true;
    }

    private static java.lang.String getHiSsidFromCurrentSsid(android.content.Context context, java.lang.String bSsid, java.util.List<android.net.wifi.ScanResult> scanResults) {
        if (scanResults == null || scanResults.isEmpty()) {
            java.lang.String str = bSsid;
            return "";
        }
        java.lang.Long mLong = java.lang.Long.valueOf(java.lang.Long.parseLong(bSsid.replaceAll(":", ""), 16));
        java.lang.StringBuilder targString1 = new java.lang.StringBuilder(java.lang.Long.toHexString(mLong.longValue() + 1));
        java.lang.StringBuilder targString2 = new java.lang.StringBuilder(java.lang.Long.toHexString(mLong.longValue() + 2));
        java.lang.StringBuilder targString3 = new java.lang.StringBuilder(java.lang.Long.toHexString(mLong.longValue() + 3));
        java.lang.StringBuilder targString4 = new java.lang.StringBuilder(java.lang.Long.toHexString(mLong.longValue() - 1));
        java.lang.StringBuilder targString5 = new java.lang.StringBuilder(java.lang.Long.toHexString(mLong.longValue() - 2));
        java.lang.StringBuilder targString6 = new java.lang.StringBuilder(java.lang.Long.toHexString(mLong.longValue() - 3));
        int stringLength = targString1.length();
        for (int i = 0; i < 12 - stringLength; i++) {
            targString1.insert(0, 0);
            targString2.insert(0, 0);
            targString3.insert(0, 0);
            targString4.insert(0, 0);
            targString5.insert(0, 0);
            targString6.insert(0, 0);
        }
        java.lang.String mShowSsid = "";
        for (android.net.wifi.ScanResult item : scanResults) {
            java.lang.String checkBssid = item.BSSID.replaceAll(":", "");
            if (isHiSsid(item.SSID) && (checkBssid.equals(targString1.toString()) || checkBssid.equals(targString2.toString()) || checkBssid.equals(targString3.toString()) || checkBssid.equals(targString4.toString()) || checkBssid.equals(targString5.toString()) || checkBssid.equals(targString6.toString()))) {
                mShowSsid = item.SSID;
                break;
            }
        }
        return mShowSsid;
    }

    private static java.util.List<android.net.wifi.ScanResult> getScanResults(android.content.Context context) {
        return ((android.net.wifi.WifiManager) context.getApplicationContext().getSystemService("wifi")).getScanResults();
    }

    private static boolean isAppInstalled(android.content.Context context, java.lang.String packageName) {
        int i = 0;
        java.util.List<android.content.pm.PackageInfo> pinfo = context.getPackageManager().getInstalledPackages(0);
        java.util.List<java.lang.String> pName = new java.util.ArrayList();
        if (pinfo != null) {
            while (i < pinfo.size()) {
                pName.add(((android.content.pm.PackageInfo) pinfo.get(i)).packageName);
                i++;
            }
        }
        return pName.contains(packageName);
    }

    private static boolean isSmartHomeAppVersionNew(android.content.Context context) {
        boolean z = false;
        java.util.List<android.content.pm.PackageInfo> pinfo = context.getPackageManager().getInstalledPackages(0);
        if (pinfo != null) {
            int i = 0;
            while (i < pinfo.size()) {
                java.lang.String pn = ((android.content.pm.PackageInfo) pinfo.get(i)).packageName;
                if (pn == null || !pn.equals("com.huawei.smarthome")) {
                    i++;
                } else {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("versionName ");
                    stringBuilder.append(((android.content.pm.PackageInfo) pinfo.get(i)).versionName);
                    stringBuilder.append(" versionCode ");
                    stringBuilder.append(((android.content.pm.PackageInfo) pinfo.get(i)).versionCode);
                    android.util.Log.d("HiLinkUtil", stringBuilder.toString());
                    if (((android.content.pm.PackageInfo) pinfo.get(i)).versionCode >= 1100023000) {
                        z = true;
                    }
                    return z;
                }
            }
        }
        return false;
    }

    private static java.lang.String getHiModel(java.lang.String hiSsid) {
        return hiSsid.substring(4, 8);
    }

    private static java.lang.String buildScheme(java.lang.String hi_protocol, java.lang.String hi_vendor, java.lang.String hi_model, java.lang.String hi_action, java.lang.String version) {
        java.lang.String scheme = "higuide://com.huawei.higuide.action.LAUNCH?";
        if (hi_protocol == null) {
            return null;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(scheme);
        stringBuilder.append("hi_protocol=");
        stringBuilder.append(hi_protocol);
        stringBuilder.append("&");
        scheme = stringBuilder.toString();
        if (hi_vendor == null) {
            return null;
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(scheme);
        stringBuilder.append("hi_vendor=");
        stringBuilder.append(hi_vendor);
        stringBuilder.append("&");
        scheme = stringBuilder.toString();
        if (hi_model == null) {
            return null;
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(scheme);
        stringBuilder.append("hi_model=");
        stringBuilder.append(hi_model);
        stringBuilder.append("&");
        scheme = stringBuilder.toString();
        if (hi_action == null) {
            return null;
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append(scheme);
        stringBuilder2.append("hi_action=");
        stringBuilder2.append(hi_action);
        scheme = stringBuilder2.toString();
        if (version != null) {
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(scheme);
            stringBuilder2.append("&");
            stringBuilder2.append("hi_version=");
            stringBuilder2.append(version);
            scheme = stringBuilder2.toString();
        }
        return scheme;
    }

    public static int getHiLinkSsidType(android.content.Context context, java.lang.String ssid, java.lang.String bSsid) {
        if (!(ssid == null || bSsid == null)) {
            if (context != null) {
                if (isHiSsid(ssid)) {
                    if (isSmartHomeDeviceOrNot(ssid)) {
                        android.util.Log.i("HiLinkUtil", "Found new Hilink SmartHomeDevice ");
                        return 2;
                    }
                    android.util.Log.i("HiLinkUtil", "Found new Hilink Router ");
                    return 1;
                } else if (android.text.TextUtils.isEmpty(getHiSsidFromCurrentSsid(context, bSsid, getScanResults(context)))) {
                    return 0;
                } else {
                    android.util.Log.i("HiLinkUtil", "Found new Unconfig Router ");
                    return 1;
                }
            }
        }
        android.util.Log.e("HiLinkUtil", "something is null");
        return 0;
    }

    public static java.lang.String getLaunchAppForSsid(android.content.Context context, java.lang.String ssid, java.lang.String bSsid) {
        if (!(ssid == null || bSsid == null)) {
            if (context != null) {
                java.lang.String hi_vendor = "hilink";
                java.lang.String hi_action = "setup";
                java.lang.String version = null;
                boolean smartHomeAppVersionNew = isSmartHomeAppVersionNew(context);
                boolean hinkappInstalled = isAppInstalled(context, "com.huawei.mw");
                java.lang.String hi_protocol;
                if (isHiSsid(ssid)) {
                    if (isSmartHomeDeviceOrNot(ssid)) {
                        hi_protocol = "hilink";
                    } else {
                        hi_protocol = "hilink_router";
                        if (smartHomeAppVersionNew) {
                            version = "2.0";
                        } else if (!hinkappInstalled) {
                            return "http://192.168.3.1";
                        } else {
                            version = "1.0";
                        }
                    }
                    return buildScheme(hi_protocol, hi_vendor, getHiModel(ssid), hi_action, version);
                }
                java.lang.String hiSsid = getHiSsidFromCurrentSsid(context, bSsid, getScanResults(context));
                if (android.text.TextUtils.isEmpty(hiSsid)) {
                    return null;
                }
                java.lang.String version2;
                hi_protocol = "hilink_router";
                if (smartHomeAppVersionNew) {
                    version2 = "2.0";
                } else if (!hinkappInstalled) {
                    return "http://192.168.3.1";
                } else {
                    version2 = "1.0";
                }
                return buildScheme(hi_protocol, hi_vendor, getHiModel(hiSsid), hi_action, version2);
            }
        }
        android.util.Log.e("HiLinkUtil", "something is null");
        return null;
    }

    public static void startDeviceGuide(android.content.Context context, java.lang.String uri) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("startDeviceGuide ");
        stringBuilder.append(uri);
        android.util.Log.i("HiLinkUtil", stringBuilder.toString());
        android.content.Intent intent = new android.content.Intent();
        intent.setAction("com.huawei.iconnect.deviceguide.action.LAUNCH");
        intent.setData(android.net.Uri.parse(uri));
        try {
            android.content.Intent launchIntent = createExplicitFromImplicitIntent(context, intent);
            if (launchIntent == null) {
                android.util.Log.i("HiLinkUtil", "launchIntent is null");
            } else {
                context.startService(launchIntent);
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("exception in startDeviceGuide ");
            stringBuilder2.append(e.getMessage());
            android.util.Log.i("HiLinkUtil", stringBuilder2.toString());
        }
    }

    private static android.content.Intent createExplicitFromImplicitIntent(android.content.Context context, android.content.Intent implicitIntent) {
        java.util.List<android.content.pm.ResolveInfo> resolveInfo = context.getPackageManager().queryIntentServices(implicitIntent, 0);
        if (resolveInfo != null) {
            if (resolveInfo.size() == 1) {
                android.content.pm.ResolveInfo serviceInfo = (android.content.pm.ResolveInfo) resolveInfo.get(0);
                android.content.ComponentName component = new android.content.ComponentName(serviceInfo.serviceInfo.packageName, serviceInfo.serviceInfo.name);
                android.content.Intent explicitIntent = new android.content.Intent(implicitIntent);
                explicitIntent.setComponent(component);
                return explicitIntent;
            }
        }
        android.util.Log.e("HiLinkUtil", "resolveInfo not found");
        return null;
    }
}
