package com.android.server;

public class HwAlarmManagerService extends com.android.server.AlarmManagerService {
    private static final java.lang.String ACTION_ALARM_WAKEUP = "com.android.deskclock.ALARM_ALERT";
    private static final java.lang.String ALARM_ID = "intent.extra.alarm_id";
    private static final java.lang.String ALARM_WHEN = "intent.extra.alarm_when";
    private static boolean DEBUG_SHB = false;
    private static final boolean DEBUG_ST = false;
    private static final java.lang.String DESKCLOCK_PACKAGENAME = "com.android.deskclock";
    private static final java.lang.String HWAIRPLANESTATE_PROPERTY = "persist.sys.hwairplanestate";
    private static final boolean IS_DEVICE_ENCRYPTED = "encrypted".equals(android.os.SystemProperties.get("ro.crypto.state", ""));
    private static final java.lang.String IS_OUT_OF_DATA_ALARM = "is_out_of_data_alarm";
    private static final java.lang.String IS_OWNER_ALARM = "is_owner_alarm";
    private static final boolean IS_POWEROFF_ALARM_ENABLED = "true".equals(android.os.SystemProperties.get("ro.poweroff_alarm", "true"));
    private static final java.lang.String KEY_BOOT_MDM = "boot_alarm_mdm";
    private static final java.lang.String LAST_TIME_CHANGED_RTC = "last_time_changed_rtc";
    private static final int NONE_LISTVIEW = 1;
    private static final int ONE_BOOT_LISTVIEW = 5;
    private static final int ONE_DESKCLOCK_LISTVIEW = 4;
    private static final int ONE_TWO_BOOT_LISTVIEW = 7;
    private static final int ONE_TWO_DESKCLOCK_LISTVIEW = 6;
    private static final java.lang.String REMOVE_POWEROFF_ALARM_ANYWAY = "remove_poweroff_alarm_anyway";
    private static final java.lang.String SAVE_TO_REGISTER = "save_to_register";
    private static final java.lang.String SETTINGS_PACKAGENAME = "com.android.providers.settings";
    static final java.lang.String TAG = "HwAlarmManagerService";
    private static final int TRIM_ALARM_POST_MSG_DELAY = 10;
    private static final int TWO_BOOT_DLISTVIEW = 3;
    private static final int TWO_DESKCLOCK_DLISTVIEW = 2;
    private static java.util.HashMap<java.lang.String, com.android.server.AlarmManagerService.Alarm> mHwWakeupBoot = new java.util.HashMap();
    private static java.lang.String mPropHwRegisterName = "error";
    private static java.lang.String timeInRegister = null;
    private boolean hasDeskClocksetAlarm = false;
    private boolean isSetHwMDMAlarm = false;
    android.content.Context mContext;
    private long mFirstELAPSED;
    private long mFirstRTC;
    private boolean mHwAlarmLock = false;
    private com.android.server.AlarmManagerService.Alarm mHwMDMAlarm = null;
    private boolean mIsFirstPowerOffAlarm = true;
    private android.app.PendingIntent mPendingAlarm = null;
    private com.android.server.SmartHeartBeatDummy mSmartHB = null;
    private java.util.HashSet<java.lang.String> mTrimAlarmPkg = null;

    public class HwAlarmHandler extends com.android.server.AlarmManagerService.AlarmHandler {
        public static final int TRIM_PKG_ALARM = 5;

        public HwAlarmHandler() {
            super(com.android.server.HwAlarmManagerService.this);
        }

        public void handleMessage(android.os.Message msg) {
            if (5 == msg.what) {
                com.android.server.HwAlarmManagerService.this.removeByPkg_hwHsm(com.android.server.HwAlarmManagerService.this.mTrimAlarmPkg);
                com.android.server.HwAlarmManagerService.this.mTrimAlarmPkg.clear();
            }
            super.handleMessage(msg);
        }
    }

    protected class HwBinderService extends huawei.android.app.IHwAlarmManagerEx.Stub {
        protected HwBinderService() {
        }

        public void setAlarmsPending(java.util.List<java.lang.String> pkgList, java.util.List<java.lang.String> actionList, boolean pending, int type) {
            java.lang.StringBuilder stringBuilder;
            if (1000 != android.os.Binder.getCallingUid()) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("SmartHeartBeat:setAlarmsPending, permission not allowed. uid = ");
                stringBuilder.append(android.os.Binder.getCallingUid());
                android.util.Slog.e("HwAlarmManagerService", stringBuilder.toString());
                return;
            }
            if (pkgList != null) {
                if (pkgList.size() > 0) {
                    if (com.android.server.HwAlarmManagerService.DEBUG_SHB) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("SmartHeartBeat:setAlarmsPending, pending=");
                        stringBuilder.append(pending);
                        stringBuilder.append(", type=");
                        stringBuilder.append(type);
                        android.util.Slog.i("HwAlarmManagerService", stringBuilder.toString());
                    }
                    com.android.server.HwAlarmManagerService.this.mSmartHB.setAlarmsPending(pkgList, actionList, pending, type);
                    return;
                }
            }
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("SmartHeartBeat:setAlarmsPending, pkgList=");
            stringBuilder.append(pkgList);
            android.util.Slog.i("HwAlarmManagerService", stringBuilder.toString());
        }

        public void removeAllPendingAlarms() {
            if (1000 != android.os.Binder.getCallingUid()) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("SmartHeartBeat:removeAllPendingAlarms, permission not allowed. uid = ");
                stringBuilder.append(android.os.Binder.getCallingUid());
                android.util.Slog.e("HwAlarmManagerService", stringBuilder.toString());
                return;
            }
            if (com.android.server.HwAlarmManagerService.DEBUG_SHB) {
                android.util.Slog.i("HwAlarmManagerService", "SmartHeartBeat:remove all pending alarms");
            }
            com.android.server.HwAlarmManagerService.this.mSmartHB.removeAllPendingAlarms();
        }

        public void setAlarmsAdjust(java.util.List<java.lang.String> pkgList, java.util.List<java.lang.String> actionList, boolean adjust, int type, long interval, int mode) {
            java.lang.StringBuilder stringBuilder;
            if (1000 != android.os.Binder.getCallingUid()) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("SmartHeartBeat:setAlarmsAdjust, uid: ");
                stringBuilder.append(android.os.Binder.getCallingUid());
                android.util.Slog.e("HwAlarmManagerService", stringBuilder.toString());
                return;
            }
            boolean z;
            if (com.android.server.HwAlarmManagerService.DEBUG_SHB) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("SmartHeartBeat:setAlarmsAdjust ");
                z = adjust;
                stringBuilder.append(z);
                android.util.Slog.i("HwAlarmManagerService", stringBuilder.toString());
            } else {
                z = adjust;
            }
            com.android.server.HwAlarmManagerService.this.mSmartHB.setAlarmsAdjust(pkgList, actionList, z, type, interval, mode);
        }

        public void removeAllAdjustAlarms() {
            if (1000 != android.os.Binder.getCallingUid()) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("SmartHeartBeat:removeAllAdjustAlarms, uid: ");
                stringBuilder.append(android.os.Binder.getCallingUid());
                android.util.Slog.e("HwAlarmManagerService", stringBuilder.toString());
                return;
            }
            if (com.android.server.HwAlarmManagerService.DEBUG_SHB) {
                android.util.Slog.i("HwAlarmManagerService", "SmartHeartBeat:remove all adjust alarms.");
            }
            com.android.server.HwAlarmManagerService.this.mSmartHB.removeAllAdjustAlarms();
        }

        protected void dump(java.io.FileDescriptor fd, java.io.PrintWriter pw, java.lang.String[] args) {
            if (com.android.server.HwAlarmManagerService.this.getContext().checkCallingOrSelfPermission("android.permission.DUMP") != 0) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Permission Denial: can't dump HwAlarmManagerService from pid=");
                stringBuilder.append(android.os.Binder.getCallingPid());
                stringBuilder.append(", uid=");
                stringBuilder.append(android.os.Binder.getCallingUid());
                pw.println(stringBuilder.toString());
                return;
            }
            com.android.server.HwAlarmManagerService.this.mSmartHB.dump(pw);
        }
    }

    public HwAlarmManagerService(android.content.Context context) {
        super(context);
        this.mSmartHB = com.android.server.SmartHeartBeat.getInstance(context, this);
        DEBUG_SHB = com.android.server.SmartHeartBeat.DEBUG_HEART_BEAT;
        this.mContext = context;
    }

    public void onStart() {
        super.onStart();
        publishBinderService("hwAlarmService", new com.android.server.HwAlarmManagerService.HwBinderService());
    }

    public void onBootPhase(int phase) {
        java.lang.Throwable th;
        super.onBootPhase(phase);
        if (phase == 1000 && IS_POWEROFF_ALARM_ENABLED && !this.hasDeskClocksetAlarm && android.app.ActivityManager.getCurrentUser() == 0) {
            int alarm_id = -1;
            long alarm_when = 0;
            java.lang.String shutAlarm = android.os.SystemProperties.get("persist.sys.shut_alarm", "none");
            java.lang.String[] s = shutAlarm.split(" ");
            if (s.length == 2) {
                try {
                    alarm_id = java.lang.Integer.parseInt(s[0]);
                    alarm_when = java.lang.Long.parseLong(s[1]);
                } catch (java.lang.NumberFormatException e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("NumberFormatException : ");
                    stringBuilder.append(e);
                    android.util.Slog.e("HwAlarmManagerService", stringBuilder.toString());
                }
            }
            int alarm_id2 = alarm_id;
            long alarm_when2 = alarm_when;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("boot completed, alarmId:");
            stringBuilder2.append(alarm_id2);
            stringBuilder2.append(" alarm_when:");
            stringBuilder2.append(alarm_when2);
            android.util.Slog.d("HwAlarmManagerService", stringBuilder2.toString());
            if (0 != alarm_when2) {
                long now = java.lang.System.currentTimeMillis();
                android.content.Intent intent = new android.content.Intent("com.android.deskclock.ALARM_ALERT");
                intent.addFlags(16777216);
                intent.putExtra("intent.extra.alarm_id", alarm_id2);
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("putExtra alarm_when ");
                stringBuilder2.append(alarm_when2);
                android.util.Slog.d("HwAlarmManagerService", stringBuilder2.toString());
                intent.putExtra("intent.extra.alarm_when", alarm_when2);
                intent.putExtra("is_owner_alarm", true);
                if (alarm_when2 < now) {
                    intent.putExtra("is_out_of_data_alarm", true);
                    android.util.Slog.d("HwAlarmManagerService", "put is_out_of_data_alarm true");
                }
                java.lang.Object obj = this.mLock;
                synchronized (obj) {
                    java.lang.Object obj2;
                    try {
                        this.mPendingAlarm = android.app.PendingIntent.getBroadcast(this.mContext, 0, intent, 134217728);
                        obj2 = obj;
                        setImpl(0, alarm_when2, 0, 0, this.mPendingAlarm, null, null, 9, null, null, 1000, "android");
                    } catch (Throwable th2) {
                        th = th2;
                        throw th;
                    }
                }
            }
        }
    }

    protected void adjustAlarmLocked(com.android.server.AlarmManagerService.Alarm a) {
        this.mSmartHB.adjustAlarmIfNeeded(a);
    }

    protected void rebatchPkgAlarmsLocked(java.util.List<java.lang.String> pkgList) {
        if (pkgList != null) {
            if (!pkgList.isEmpty()) {
                int i;
                if (DEBUG_SHB) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("SmartHeartBeat:rebatchPkgAlarmsLocked, pkgList: ");
                    stringBuilder.append(pkgList);
                    android.util.Slog.i("HwAlarmManagerService", stringBuilder.toString());
                }
                com.android.server.AlarmManagerService.Alarm oldPendingIdleUntil = this.mPendingIdleUntil;
                java.util.ArrayList<com.android.server.AlarmManagerService.Batch> batches = new java.util.ArrayList();
                int i2 = this.mAlarmBatches.size() - 1;
                while (true) {
                    int j = 0;
                    if (i2 < 0) {
                        break;
                    }
                    com.android.server.AlarmManagerService.Batch b = (com.android.server.AlarmManagerService.Batch) this.mAlarmBatches.get(i2);
                    int alarmSize = b.alarms.size();
                    while (j < alarmSize) {
                        if (pkgList.contains(((com.android.server.AlarmManagerService.Alarm) b.alarms.get(j)).packageName)) {
                            batches.add(b);
                            this.mAlarmBatches.remove(i2);
                            break;
                        }
                        j++;
                    }
                    i2--;
                }
                long nowElapsed = android.os.SystemClock.elapsedRealtime();
                for (i = this.mPendingNonWakeupAlarms.size() - 1; i >= 0; i--) {
                    com.android.server.AlarmManagerService.Alarm a = (com.android.server.AlarmManagerService.Alarm) this.mPendingNonWakeupAlarms.get(i);
                    if (pkgList.contains(a.packageName) && this.mSmartHB.shouldPendingAlarm(a)) {
                        this.mPendingNonWakeupAlarms.remove(i);
                        if (DEBUG_SHB) {
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("readd PendingNonWakeupAlarms of ");
                            stringBuilder2.append(a.packageName);
                            stringBuilder2.append(" ");
                            stringBuilder2.append(a);
                            android.util.Slog.i("HwAlarmManagerService", stringBuilder2.toString());
                        }
                        reAddAlarmLocked(a, nowElapsed, true);
                    }
                }
                if (batches.size() != 0) {
                    this.mCancelRemoveAction = true;
                    i = batches.size();
                    for (int batchNum = 0; batchNum < i; batchNum++) {
                        com.android.server.AlarmManagerService.Batch batch = (com.android.server.AlarmManagerService.Batch) batches.get(batchNum);
                        int N = batch.size();
                        for (int i3 = 0; i3 < N; i3++) {
                            reAddAlarmLocked(batch.get(i3), nowElapsed, true);
                        }
                    }
                    this.mCancelRemoveAction = false;
                    if (!(oldPendingIdleUntil == null || oldPendingIdleUntil == this.mPendingIdleUntil)) {
                        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                        stringBuilder3.append("pkg Rebatching: idle until changed from ");
                        stringBuilder3.append(oldPendingIdleUntil);
                        stringBuilder3.append(" to ");
                        stringBuilder3.append(this.mPendingIdleUntil);
                        android.util.Slog.wtf("HwAlarmManagerService", stringBuilder3.toString());
                        if (this.mPendingIdleUntil == null) {
                            restorePendingWhileIdleAlarmsLocked();
                        }
                    }
                    rescheduleKernelAlarmsLocked();
                    updateNextAlarmClockLocked();
                    if (DEBUG_SHB) {
                        android.util.Slog.i("HwAlarmManagerService", "SmartHeartBeat:rebatchPkgAlarmsLocked end");
                    }
                }
            }
        }
    }

    public java.lang.Object getHwAlarmHandler() {
        return new com.android.server.HwAlarmManagerService.HwAlarmHandler();
    }

    public void postTrimAlarm(java.util.HashSet<java.lang.String> pkgList) {
        if (pkgList != null && pkgList.size() == 0) {
        }
    }

    private void removeByPkg_hwHsm(java.util.HashSet<java.lang.String> sPkgs) {
        if (sPkgs != null) {
            try {
                if (sPkgs.size() != 0) {
                }
            } catch (java.lang.Exception e) {
                android.util.Slog.e("HwAlarmManagerService", "AlarmManagerService removeByPkg_hwHsm", e);
            }
        }
    }

    private void decideRtcPrioritySet(com.android.server.AlarmManagerService.Alarm decidingAlarm) {
        if (decidingAlarm != null && decidingAlarm.operation != null) {
            java.lang.String mayInvolvedPackageName;
            java.lang.String targetPackageName = decidingAlarm.operation.getTargetPackage();
            if (targetPackageName.equals("android")) {
                targetPackageName = "com.android.deskclock";
            }
            com.android.server.AlarmManagerService.Alarm mayInvolvedAlarm = null;
            com.android.server.AlarmManagerService.Alarm decideResultAlarm = null;
            if ("com.android.deskclock".equals(targetPackageName)) {
                mayInvolvedPackageName = "com.android.providers.settings";
            } else if ("com.android.providers.settings".equals(targetPackageName)) {
                mayInvolvedPackageName = "com.android.deskclock";
            } else {
                android.util.Slog.w("HwAlarmManagerService", "decideRtcPrioritySet--packagename error, decideRtcPrioritySet 3, return directly");
                return;
            }
            if (mHwWakeupBoot.containsKey(targetPackageName)) {
                mHwWakeupBoot.remove(targetPackageName);
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("decideRtcPrioritySet--put ");
            stringBuilder.append(targetPackageName);
            stringBuilder.append(",to map");
            android.util.Slog.d("HwAlarmManagerService", stringBuilder.toString());
            mHwWakeupBoot.put(targetPackageName, decidingAlarm);
            if (mHwWakeupBoot.containsKey(mayInvolvedPackageName)) {
                mayInvolvedAlarm = (com.android.server.AlarmManagerService.Alarm) mHwWakeupBoot.get(mayInvolvedPackageName);
            }
            if (mayInvolvedAlarm == null) {
                decideResultAlarm = decidingAlarm;
            } else if (decidingAlarm.when > mayInvolvedAlarm.when) {
                decideResultAlarm = mayInvolvedAlarm;
            } else if (decidingAlarm.when < mayInvolvedAlarm.when) {
                decideResultAlarm = decidingAlarm;
            } else if ("com.android.deskclock".equals(decidingAlarm.operation.getTargetPackage())) {
                decideResultAlarm = decidingAlarm;
            } else if ("com.android.deskclock".equals(mayInvolvedAlarm.operation.getTargetPackage())) {
                decideResultAlarm = mayInvolvedAlarm;
            }
            if (decideResultAlarm != null) {
                android.util.Slog.d("HwAlarmManagerService", "have calculate RTC result and will set to lock");
                hwSetRtcLocked(decideResultAlarm);
            }
        }
    }

    private boolean decideRtcPriorityEnable(com.android.server.AlarmManagerService.Alarm a) {
        if (a == null || a.operation == null) {
            return false;
        }
        boolean ret = false;
        boolean deskClockEnable = false;
        boolean settingProviderEnable = false;
        if (a.type == 0) {
            if (IS_POWEROFF_ALARM_ENABLED && a.operation.getTargetPackage().equals("com.android.deskclock") && resetStrExtraCallingIdentity(a.operation, "is_owner_alarm", true)) {
                deskClockEnable = true;
            }
            if (a.operation.getTargetPackage().equals("com.android.providers.settings") && resetStrExtraCallingIdentity(a.operation, "save_to_register", false)) {
                settingProviderEnable = true;
            }
        } else {
            ret = false;
        }
        if (settingProviderEnable || deskClockEnable) {
            ret = true;
        }
        return ret;
    }

    private void decideRtcPriorityRemove(android.app.PendingIntent operation) {
        if (operation != null) {
            java.lang.String mayInvolvedPackageName;
            java.lang.String targetPackageName = operation.getTargetPackage();
            if (targetPackageName.equals("android")) {
                targetPackageName = "com.android.deskclock";
            }
            if ("com.android.deskclock".equals(targetPackageName)) {
                mayInvolvedPackageName = "com.android.providers.settings";
            } else if ("com.android.providers.settings".equals(targetPackageName)) {
                mayInvolvedPackageName = "com.android.deskclock";
            } else {
                android.util.Slog.w("HwAlarmManagerService", "packagename error, decideRtcPriorityRemove, return directly");
                return;
            }
            if (mHwWakeupBoot.isEmpty()) {
                android.util.Slog.w("HwAlarmManagerService", "error, mHwWakeupBoot is empty, return directly");
                hwRemoveRtcLocked();
                return;
            }
            if (mHwWakeupBoot.containsKey(targetPackageName)) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("decideRtcPriorityRemove--remove ");
                stringBuilder.append(targetPackageName);
                android.util.Slog.w("HwAlarmManagerService", stringBuilder.toString());
                mHwWakeupBoot.remove(targetPackageName);
            }
            if (mHwWakeupBoot.containsKey(mayInvolvedPackageName)) {
                com.android.server.AlarmManagerService.Alarm decideResultAlarm = (com.android.server.AlarmManagerService.Alarm) mHwWakeupBoot.get(mayInvolvedPackageName);
                if (decideResultAlarm != null) {
                    android.util.Slog.d("HwAlarmManagerService", "decideRtcPriorityRemove ,hwSetRtcLocked");
                    hwSetRtcLocked(decideResultAlarm);
                }
            } else {
                mHwWakeupBoot.clear();
                android.util.Slog.d("HwAlarmManagerService", "mHwWakeupBoot have clear");
                hwRemoveRtcLocked();
            }
        }
    }

    private boolean isDeskClock(com.android.server.AlarmManagerService.Alarm a) {
        if (a == null || a.operation == null || !IS_POWEROFF_ALARM_ENABLED) {
            return false;
        }
        if (a.type == 0 && IS_POWEROFF_ALARM_ENABLED && a.operation.getTargetPackage().equals("com.android.deskclock") && resetStrExtraCallingIdentity(a.operation, "is_owner_alarm", false)) {
            return true;
        }
        if (a.type == 0 && IS_POWEROFF_ALARM_ENABLED && a.operation.getTargetPackage().equals("android") && resetStrExtraCallingIdentity(a.operation, "is_owner_alarm", false)) {
            return true;
        }
        return false;
    }

    private void saveDeskClock(com.android.server.AlarmManagerService.Alarm a) {
        if (a != null && a.operation != null && a.operation.getTargetPackage().equals("com.android.deskclock") && resetStrExtraCallingIdentity(a.operation, "is_owner_alarm", false)) {
            this.hasDeskClocksetAlarm = true;
            synchronized (this.mLock) {
                if (this.mPendingAlarm != null) {
                    android.util.Slog.d("HwAlarmManagerService", "set deskclock after boot, remove Shutdown alarm from framework");
                    removeLocked(this.mPendingAlarm, null);
                    this.mPendingAlarm = null;
                }
            }
            long alarmWhen = a.when;
            int alarmId = resetIntExtraCallingIdentity(a.operation, "intent.extra.alarm_id", -1);
            if (alarmId != -1) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("set shutdownAlarm ");
                stringBuilder.append(alarmId);
                stringBuilder.append(" ");
                stringBuilder.append(alarmWhen);
                android.util.Slog.d("HwAlarmManagerService", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(alarmId);
                stringBuilder.append(" ");
                stringBuilder.append(alarmWhen);
                android.os.SystemProperties.set("persist.sys.shut_alarm", stringBuilder.toString());
            }
        }
    }

    private void removeDeskClock(com.android.server.AlarmManagerService.Alarm a) {
        if (a != null && a.operation != null && IS_POWEROFF_ALARM_ENABLED) {
            if (a.operation.getTargetPackage().equals("com.android.deskclock") && resetStrExtraCallingIdentity(a.operation, "is_owner_alarm", false)) {
                android.util.Slog.d("HwAlarmManagerService", "remove shutdownAlarm : none");
                android.os.SystemProperties.set("persist.sys.shut_alarm", "none");
            }
            if (a.operation.getTargetPackage().equals("android") && resetStrExtraCallingIdentity(a.operation, "is_owner_alarm", false)) {
                android.util.Slog.d("HwAlarmManagerService", "remove shutdownAlarm : none");
                android.os.SystemProperties.set("persist.sys.shut_alarm", "none");
            }
        }
    }

    protected void removeDeskClockFromFWK(android.app.PendingIntent operation) {
        if (operation != null && resetStrExtraCallingIdentity(operation, "remove_poweroff_alarm_anyway", false) && android.app.ActivityManager.getCurrentUser() == 0) {
            synchronized (this.mLock) {
                android.util.Slog.d("HwAlarmManagerService", "no alarm enable, so remove Shutdown Alarm from framework");
                if (this.mPendingAlarm != null) {
                    removeLocked(this.mPendingAlarm, null);
                    this.mPendingAlarm = null;
                }
            }
            android.util.Slog.d("HwAlarmManagerService", "remove shutdownAlarm : none");
            android.os.SystemProperties.set("persist.sys.shut_alarm", "none");
        }
    }

    private void hwSetRtcLocked(com.android.server.AlarmManagerService.Alarm setAlarm) {
        if (setAlarm != null && setAlarm.operation != null) {
            long alarmWhen = setAlarm.when;
            java.lang.String targetPackageName = setAlarm.operation.getTargetPackage();
            if (java.lang.System.currentTimeMillis() > alarmWhen) {
                android.util.Slog.d("HwAlarmManagerService", "hwSetRtcLocked--missed alarm, not set RTC to driver");
                return;
            }
            long alarmSeconds;
            long alarmNanoseconds;
            if (alarmWhen < 0) {
                alarmSeconds = 0;
                alarmNanoseconds = 0;
            } else {
                alarmNanoseconds = 1000 * ((alarmWhen % 1000) * 1000);
                alarmSeconds = alarmWhen / 1000;
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("set RTC alarm Locked, time = ");
            stringBuilder.append(getTimeString(alarmWhen));
            android.util.Slog.d("HwAlarmManagerService", stringBuilder.toString());
            timeInRegister = getTimeString(alarmWhen);
            mPropHwRegisterName = targetPackageName;
            hwSetClockRTC(this.mNativeData, alarmSeconds, alarmNanoseconds);
        }
    }

    private void hwRemoveRtcLocked() {
        android.util.Slog.d("HwAlarmManagerService", "remove RTC alarm time Locked");
        timeInRegister = "None";
        hwSetClockRTC(this.mNativeData, 0, 0);
    }

    private java.lang.String getTimeString(long milliSec) {
        return new java.text.SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new java.util.Date(milliSec)).toString();
    }

    protected void printHwWakeupBoot(java.io.PrintWriter pw) {
        if (!(this.mHwAlarmLock || mHwWakeupBoot == null || mHwWakeupBoot.size() <= 0)) {
            pw.println();
            java.text.SimpleDateFormat sdf = new java.text.SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            pw.print("HW WakeupBoot MAP: ");
            pw.println();
            pw.print("Register time:");
            pw.print(timeInRegister);
            pw.println();
            if (mHwWakeupBoot.size() > 0) {
                for (java.util.Map.Entry entry : mHwWakeupBoot.entrySet()) {
                    java.lang.String key = (java.lang.String) entry.getKey();
                    com.android.server.AlarmManagerService.Alarm PrintAlarms = (com.android.server.AlarmManagerService.Alarm) entry.getValue();
                    pw.print("packageName=");
                    pw.print(key);
                    pw.print("  time=");
                    pw.print(sdf.format(new java.util.Date(PrintAlarms.when)));
                    pw.println();
                }
            }
        }
    }

    private boolean isMDMAlarm(com.android.server.AlarmManagerService.Alarm alarm) {
        if (alarm != null) {
            if (alarm.operation != null) {
                if ("android".equals(alarm.operation.getTargetPackage()) && resetStrExtraCallingIdentity(alarm.operation, "boot_alarm_mdm", false)) {
                    return true;
                }
                return false;
            }
        }
        return false;
    }

    protected void hwRemoveRtcAlarm(com.android.server.AlarmManagerService.Alarm alarm, boolean cancel) {
        if (alarm != null) {
            if (isMDMAlarm(alarm)) {
                this.isSetHwMDMAlarm = false;
                this.mHwMDMAlarm = null;
                android.util.Slog.i("HwAlarmManagerService", "hwRemoveRtcAlarm MDM");
            }
            reportAlarmForAware(alarm, cancel ? 1 : 2);
            if (isDeskClock(alarm)) {
                removeDeskClock(alarm);
            }
            if (!this.mHwAlarmLock) {
                if (decideRtcPriorityEnable(alarm) || isDeskClock(alarm)) {
                    decideRtcPriorityRemove(alarm.operation);
                }
            }
        }
    }

    protected void hwSetRtcAlarm(com.android.server.AlarmManagerService.Alarm alarm) {
        if (alarm != null) {
            if (alarm.listenerTag != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("hwSetAlarm listenerTag: ");
                stringBuilder.append(alarm.listenerTag);
                android.util.Slog.i("HwAlarmManagerService", stringBuilder.toString());
            }
            if (isMDMAlarm(alarm)) {
                this.isSetHwMDMAlarm = true;
                this.mHwMDMAlarm = alarm;
                android.util.Slog.i("HwAlarmManagerService", "hwSetRtcAlarm MDM");
            }
            reportAlarmForAware(alarm, 0);
            if (isDeskClock(alarm)) {
                saveDeskClock(alarm);
            }
            if (!this.mHwAlarmLock) {
                if (decideRtcPriorityEnable(alarm) || isDeskClock(alarm)) {
                    decideRtcPrioritySet(alarm);
                }
            }
        }
    }

    protected void hwRemoveAnywayRtcAlarm(android.app.PendingIntent operation) {
        if (operation != null) {
            if (!this.mHwAlarmLock) {
                if (IS_POWEROFF_ALARM_ENABLED && operation.getTargetPackage().equals("com.android.deskclock") && resetStrExtraCallingIdentity(operation, "remove_poweroff_alarm_anyway", false) && android.app.ActivityManager.getCurrentUser() == 0) {
                    android.util.Slog.d("HwAlarmManagerService", "DeskClock not receive boot broadcast,remove alarm anyway");
                    decideRtcPriorityRemove(operation);
                    android.util.Slog.d("HwAlarmManagerService", "remove shutdownAlarm : none");
                    android.os.SystemProperties.set("persist.sys.shut_alarm", "none");
                }
            }
        }
    }

    protected void hwAddFirstFlagForRtcAlarm(com.android.server.AlarmManagerService.Alarm alarm, android.content.Intent backgroundIntent) {
        if (alarm != null && alarm.operation != null) {
            if (decideRtcPriorityEnable(alarm) && alarm.operation.getTargetPackage().equals("com.android.deskclock")) {
                if (true == this.mIsFirstPowerOffAlarm && "RTC".equals(android.os.SystemProperties.get("persist.sys.powerup_reason", "NORMAL"))) {
                    backgroundIntent.putExtra("FLAG_IS_FIRST_POWER_OFF_ALARM", true);
                    this.mIsFirstPowerOffAlarm = false;
                } else {
                    backgroundIntent.putExtra("FLAG_IS_FIRST_POWER_OFF_ALARM", false);
                }
            } else if (isDeskClock(alarm)) {
                if (true == this.mIsFirstPowerOffAlarm && "RTC".equals(android.os.SystemProperties.get("persist.sys.powerup_reason", "NORMAL"))) {
                    android.util.Slog.d("HwAlarmManagerService", "FLAG_IS_FIRST_POWER_OFF_ALARM : true");
                    backgroundIntent.putExtra("FLAG_IS_FIRST_POWER_OFF_ALARM", true);
                    this.mIsFirstPowerOffAlarm = false;
                } else {
                    android.util.Slog.d("HwAlarmManagerService", "FLAG_IS_FIRST_POWER_OFF_ALARM : false");
                    backgroundIntent.putExtra("FLAG_IS_FIRST_POWER_OFF_ALARM", false);
                }
            }
        }
    }

    protected long checkHasHwRTCAlarmLock(java.lang.String packageName) {
        com.android.server.AlarmManagerService.Alarm rtcAlarm = null;
        long time = -1;
        synchronized (this.mLock) {
            if (packageName != null) {
                try {
                    if (mHwWakeupBoot.containsKey(packageName)) {
                        rtcAlarm = (com.android.server.AlarmManagerService.Alarm) mHwWakeupBoot.get(packageName);
                    }
                } finally {
                }
            }
            if (rtcAlarm != null && (decideRtcPriorityEnable(rtcAlarm) || isDeskClock(rtcAlarm))) {
                time = rtcAlarm.when;
            }
        }
        return time;
    }

    /* JADX WARNING: Missing block: B:27:0x009d, code:
            return;
     */
    protected void adjustHwRTCAlarmLock(boolean r5, boolean r6, int r7) {
        /*
        r4 = this;
        r0 = 0;
        r1 = "HwAlarmManagerService";
        r2 = "adjust RTC Alarm";
        android.util.Slog.d(r1, r2);
        r1 = r4.mLock;
        monitor-enter(r1);
        r2 = 1;
        r4.mHwAlarmLock = r2;	 Catch:{ all -> 0x009e }
        switch(r7) {
            case 1: goto L_0x008c;
            case 2: goto L_0x0038;
            case 3: goto L_0x0038;
            case 4: goto L_0x0026;
            case 5: goto L_0x0013;
            case 6: goto L_0x0038;
            case 7: goto L_0x0038;
            default: goto L_0x0011;
        };	 Catch:{ all -> 0x009e }
    L_0x0011:
        goto L_0x009c;
    L_0x0013:
        if (r6 != 0) goto L_0x009c;
    L_0x0015:
        r2 = mHwWakeupBoot;	 Catch:{ all -> 0x009e }
        r2.clear();	 Catch:{ all -> 0x009e }
        r2 = "HwAlarmManagerService";
        r3 = "ONE_BOOT_LISTVIEW ---user cancel bootOnTime RTC alarm  ";
        android.util.Slog.d(r2, r3);	 Catch:{ all -> 0x009e }
        r4.hwRemoveRtcLocked();	 Catch:{ all -> 0x009e }
        goto L_0x009c;
    L_0x0026:
        if (r5 != 0) goto L_0x009c;
    L_0x0028:
        r2 = mHwWakeupBoot;	 Catch:{ all -> 0x009e }
        r2.clear();	 Catch:{ all -> 0x009e }
        r2 = "HwAlarmManagerService";
        r3 = "ONE_DESKCLOCK_LISTVIEW ---user cancel deskClockTime RTC alarm  ";
        android.util.Slog.d(r2, r3);	 Catch:{ all -> 0x009e }
        r4.hwRemoveRtcLocked();	 Catch:{ all -> 0x009e }
        goto L_0x009c;
    L_0x0038:
        if (r5 != r2) goto L_0x0041;
    L_0x003a:
        if (r6 != r2) goto L_0x0041;
    L_0x003c:
        r4.setHwAirPlaneStatePropLock();	 Catch:{ all -> 0x009e }
        monitor-exit(r1);	 Catch:{ all -> 0x009e }
        return;
    L_0x0041:
        if (r5 != 0) goto L_0x0056;
    L_0x0043:
        if (r6 != 0) goto L_0x0056;
    L_0x0045:
        r2 = mHwWakeupBoot;	 Catch:{ all -> 0x009e }
        r2.clear();	 Catch:{ all -> 0x009e }
        r2 = "HwAlarmManagerService";
        r3 = "user cancel bootOnTime and deskClockTime RTC alarm  ";
        android.util.Slog.d(r2, r3);	 Catch:{ all -> 0x009e }
        r4.hwRemoveRtcLocked();	 Catch:{ all -> 0x009e }
        goto L_0x009c;
    L_0x0056:
        if (r5 != r2) goto L_0x0071;
    L_0x0058:
        if (r6 != 0) goto L_0x0071;
    L_0x005a:
        r2 = mHwWakeupBoot;	 Catch:{ all -> 0x009e }
        r3 = "com.android.providers.settings";
        r2 = r2.get(r3);	 Catch:{ all -> 0x009e }
        r2 = (com.android.server.AlarmManagerService.Alarm) r2;	 Catch:{ all -> 0x009e }
        r0 = r2;
        r2 = "HwAlarmManagerService";
        r3 = "user cancel bootOnTime RTC alarm";
        android.util.Slog.d(r2, r3);	 Catch:{ all -> 0x009e }
        r4.hwRemoveRtcAlarmWhenShut(r0);	 Catch:{ all -> 0x009e }
        goto L_0x009c;
    L_0x0071:
        if (r5 != 0) goto L_0x009c;
    L_0x0073:
        if (r6 != r2) goto L_0x009c;
    L_0x0075:
        r2 = mHwWakeupBoot;	 Catch:{ all -> 0x009e }
        r3 = "com.android.deskclock";
        r2 = r2.get(r3);	 Catch:{ all -> 0x009e }
        r2 = (com.android.server.AlarmManagerService.Alarm) r2;	 Catch:{ all -> 0x009e }
        r0 = r2;
        r2 = "HwAlarmManagerService";
        r3 = "user cancel deskClockTime RTC alarm";
        android.util.Slog.d(r2, r3);	 Catch:{ all -> 0x009e }
        r4.hwRemoveRtcAlarmWhenShut(r0);	 Catch:{ all -> 0x009e }
        goto L_0x009c;
    L_0x008c:
        r2 = mHwWakeupBoot;	 Catch:{ all -> 0x009e }
        r2.clear();	 Catch:{ all -> 0x009e }
        r2 = "HwAlarmManagerService";
        r3 = "NONE_LISTVIEW--user cancel bootOnTime and deskClockTime RTC alarm  ";
        android.util.Slog.d(r2, r3);	 Catch:{ all -> 0x009e }
        r4.hwRemoveRtcLocked();	 Catch:{ all -> 0x009e }
    L_0x009c:
        monitor-exit(r1);	 Catch:{ all -> 0x009e }
        return;
    L_0x009e:
        r2 = move-exception;
        monitor-exit(r1);	 Catch:{ all -> 0x009e }
        throw r2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.HwAlarmManagerService.adjustHwRTCAlarmLock(boolean, boolean, int):void");
    }

    private void hwRemoveRtcAlarmWhenShut(com.android.server.AlarmManagerService.Alarm alarm) {
        if (alarm != null) {
            if (decideRtcPriorityEnable(alarm) || isDeskClock(alarm)) {
                android.util.Slog.d("HwAlarmManagerService", "remove RTC alarm in shutdown view");
                decideRtcPriorityRemove(alarm.operation);
                setHwAirPlaneStatePropLock();
            }
        }
    }

    protected void setHwAirPlaneStatePropLock() {
        android.os.SystemProperties.set("persist.sys.hwairplanestate", mPropHwRegisterName);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("hw airplane prop locked = ");
        stringBuilder.append(mPropHwRegisterName);
        android.util.Slog.d("HwAlarmManagerService", stringBuilder.toString());
    }

    protected void setHwRTCAlarmLock() {
        if (this.isSetHwMDMAlarm) {
            hwSetRtcLocked(this.mHwMDMAlarm);
            return;
        }
        long deskTime = checkHasHwRTCAlarmLock("com.android.deskclock");
        long settingsTime = checkHasHwRTCAlarmLock("com.android.providers.settings");
        if (deskTime == -1 && settingsTime == -1) {
            android.util.Slog.d("HwAlarmManagerService", "setHwRTCAlarmLock-- not set RTC to driver");
            return;
        }
        com.android.server.AlarmManagerService.Alarm rtcAlarm;
        if (deskTime == -1) {
            rtcAlarm = (com.android.server.AlarmManagerService.Alarm) mHwWakeupBoot.get("com.android.providers.settings");
        } else if (settingsTime == -1) {
            rtcAlarm = (com.android.server.AlarmManagerService.Alarm) mHwWakeupBoot.get("com.android.deskclock");
        } else {
            com.android.server.AlarmManagerService.Alarm optAlarm1 = (com.android.server.AlarmManagerService.Alarm) mHwWakeupBoot.get("com.android.deskclock");
            com.android.server.AlarmManagerService.Alarm optAlarm2 = (com.android.server.AlarmManagerService.Alarm) mHwWakeupBoot.get("com.android.providers.settings");
            if (optAlarm1.when <= optAlarm2.when) {
                rtcAlarm = optAlarm1;
            } else {
                rtcAlarm = optAlarm2;
            }
        }
        hwSetRtcLocked(rtcAlarm);
    }

    protected void hwRecordFirstTime() {
        this.mFirstRTC = java.lang.System.currentTimeMillis();
        this.mFirstELAPSED = android.os.SystemClock.elapsedRealtime();
        if (0 == android.provider.Settings.Global.getLong(getContext().getContentResolver(), "last_time_changed_rtc", 0)) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("hwRecordFirstTime init for TimeKeeper at ");
            stringBuilder.append(this.mFirstRTC);
            android.util.Flog.i(500, stringBuilder.toString());
            android.provider.Settings.Global.putLong(getContext().getContentResolver(), "last_time_changed_rtc", this.mFirstRTC);
        }
    }

    protected void hwRecordTimeChangeRTC(long nowRTC, long nowELAPSED, long lastTimeChangeClockTime, long expectedClockTime) {
        long expectedRTC;
        long maxOffset;
        long j = nowRTC;
        if (lastTimeChangeClockTime == 0) {
            expectedRTC = this.mFirstRTC + (nowELAPSED - this.mFirstELAPSED);
            maxOffset = 30000;
        } else {
            expectedRTC = expectedClockTime;
            maxOffset = 5000;
        }
        long offset = j - expectedRTC;
        if (offset < (-maxOffset) || j > maxOffset) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("hwRecordTimeChangeRTC for TimeKeeper at ");
            stringBuilder.append(j);
            stringBuilder.append(", offset=");
            stringBuilder.append(offset);
            android.util.Flog.i(500, stringBuilder.toString());
            android.provider.Settings.Global.putLong(getContext().getContentResolver(), "last_time_changed_rtc", j);
        }
    }

    private boolean resetStrExtraCallingIdentity(android.app.PendingIntent operation, java.lang.String extra, boolean value) {
        long identity = android.os.Binder.clearCallingIdentity();
        boolean extraRes = false;
        try {
            extraRes = operation.getIntent().getBooleanExtra(extra, value);
        } catch (Throwable th) {
        }
        android.os.Binder.restoreCallingIdentity(identity);
        return extraRes;
    }

    private int resetIntExtraCallingIdentity(android.app.PendingIntent operation, java.lang.String extra, int value) {
        long identity = android.os.Binder.clearCallingIdentity();
        int extraRes = -1;
        try {
            extraRes = operation.getIntent().getIntExtra(extra, value);
        } catch (Throwable th) {
        }
        android.os.Binder.restoreCallingIdentity(identity);
        return extraRes;
    }

    protected boolean isContainsAppUidInWorksource(android.os.WorkSource workSource, java.lang.String packageName) {
        if (workSource != null) {
            if (!android.text.TextUtils.isEmpty(packageName)) {
                try {
                    if (containsUidInWorksource(workSource, getContext().getPackageManager().getApplicationInfo(packageName, 1).uid)) {
                        android.util.Slog.i("HwAlarmManagerService", "isContainsAppUidInWorksource-->worksource contains app's.uid");
                        return true;
                    }
                } catch (android.content.pm.PackageManager.NameNotFoundException e) {
                    android.util.Slog.w("HwAlarmManagerService", "isContainsAppUidInWorksource-->happend NameNotFoundException");
                } catch (java.lang.Exception e2) {
                    android.util.Slog.w("HwAlarmManagerService", "isContainsAppUidInWorksource-->happend Exception");
                }
                return false;
            }
        }
        return false;
    }

    private boolean containsUidInWorksource(android.os.WorkSource workSource, int uid) {
        if (workSource != null) {
            if (workSource.size() > 0) {
                int length = workSource.size();
                for (int i = 0; i < length; i++) {
                    if (uid == workSource.get(i)) {
                        return true;
                    }
                }
                return false;
            }
        }
        return false;
    }

    public void removePackageAlarm(final java.lang.String pkg, final java.util.List<java.lang.String> tags, final int targetUid) {
        if (this.mHandler != null) {
            this.mHandler.post(new java.lang.Runnable() {
                public void run() {
                    synchronized (com.android.server.HwAlarmManagerService.this.mLock) {
                        com.android.server.HwAlarmManagerService.this.removeByTagLocked(pkg, tags, targetUid);
                    }
                }
            });
        }
    }

    private boolean removeSingleTagLocked(java.lang.String packageName, java.lang.String tag, int targetUid) {
        int i;
        boolean didRemove = false;
        for (i = this.mAlarmBatches.size() - 1; i >= 0; i--) {
            com.android.server.AlarmManagerService.Batch b = (com.android.server.AlarmManagerService.Batch) this.mAlarmBatches.get(i);
            didRemove |= removeFromBatch(b, packageName, tag, targetUid);
            if (b.size() == 0) {
                this.mAlarmBatches.remove(i);
            }
        }
        for (i = this.mPendingWhileIdleAlarms.size() - 1; i >= 0; i--) {
            com.android.server.AlarmManagerService.Alarm a = (com.android.server.AlarmManagerService.Alarm) this.mPendingWhileIdleAlarms.get(i);
            if (a.matches(packageName) && targetUid == a.creatorUid) {
                this.mPendingWhileIdleAlarms.remove(i);
            }
        }
        return didRemove;
    }

    private void removeByTagLocked(java.lang.String packageName, java.util.List<java.lang.String> tags, int targetUid) {
        boolean didRemove = false;
        if (packageName != null) {
            if (tags == null) {
                didRemove = removeSingleTagLocked(packageName, null, targetUid);
            } else {
                for (java.lang.String tag : tags) {
                    didRemove |= removeSingleTagLocked(packageName, tag, targetUid);
                }
            }
            if (didRemove) {
                rebatchAllAlarmsLocked(true);
                rescheduleKernelAlarmsLocked();
                updateNextAlarmClockLocked();
            }
        }
    }

    private boolean canRemove(com.android.server.AlarmManagerService.Alarm alarm, java.lang.String tag) {
        if (tag == null) {
            return true;
        }
        java.lang.String alarmTag = com.android.server.AlarmManagerService.Alarm.makeTag(alarm.operation, alarm.listenerTag, alarm.type);
        if (alarmTag == null) {
            return false;
        }
        java.lang.String[] splits = alarmTag.split(":");
        if (splits.length > 1 && splits[1].equals(tag)) {
            return true;
        }
        return false;
    }

    boolean removeFromBatch(com.android.server.AlarmManagerService.Batch batch, java.lang.String packageName, java.lang.String tag, int targetUid) {
        com.android.server.AlarmManagerService.Batch batch2 = batch;
        java.lang.String str = packageName;
        java.lang.String str2 = tag;
        int i = targetUid;
        if (str == null) {
            return false;
        }
        boolean didRemove = false;
        long newStart = 0;
        long newEnd = Long.MAX_VALUE;
        int newFlags = 0;
        for (int i2 = batch2.alarms.size() - 1; i2 >= 0; i2--) {
            com.android.server.AlarmManagerService.Alarm alarm = (com.android.server.AlarmManagerService.Alarm) batch2.alarms.get(i2);
            if (!alarm.matches(str) || i != alarm.creatorUid) {
                if (alarm.whenElapsed > newStart) {
                    newStart = alarm.whenElapsed;
                }
                if (alarm.maxWhenElapsed < newEnd) {
                    newEnd = alarm.maxWhenElapsed;
                }
                newFlags |= alarm.flags;
            } else if (canRemove(alarm, str2)) {
                batch2.alarms.remove(i2);
                didRemove = true;
                if (str2 != null) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("remove package alarm ");
                    stringBuilder.append(str);
                    stringBuilder.append("' (");
                    stringBuilder.append(str2);
                    stringBuilder.append(") ,targetUid: ");
                    stringBuilder.append(i);
                    android.util.Slog.d("HwAlarmManagerService", stringBuilder.toString());
                }
                hwRemoveRtcAlarm(alarm, true);
                if (alarm.alarmClock != null) {
                    this.mNextAlarmClockMayChange = true;
                }
            }
        }
        if (didRemove) {
            batch2.start = newStart;
            batch2.end = newEnd;
            batch2.flags = newFlags;
        }
        return didRemove;
    }

    private void reportAlarmForAware(com.android.server.AlarmManagerService.Alarm alarm, int operation) {
        if (!(alarm == null || alarm.packageName == null)) {
            if (alarm.statsTag != null) {
                android.rms.HwSysResManager resManager = android.rms.HwSysResManager.getInstance();
                if (resManager != null && resManager.isResourceNeeded(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_APPASSOC))) {
                    android.os.Bundle bundleArgs = new android.os.Bundle();
                    bundleArgs.putString("pkgname", alarm.packageName);
                    bundleArgs.putString("statstag", alarm.statsTag);
                    bundleArgs.putInt("relationType", 22);
                    bundleArgs.putInt("alarm_operation", operation);
                    bundleArgs.putInt("tgtUid", alarm.creatorUid);
                    android.rms.iaware.CollectData data = new android.rms.iaware.CollectData(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_APPASSOC), java.lang.System.currentTimeMillis(), bundleArgs);
                    long id = android.os.Binder.clearCallingIdentity();
                    resManager.reportData(data);
                    android.os.Binder.restoreCallingIdentity(id);
                }
            }
        }
    }

    protected void modifyAlarmIfOverload(com.android.server.AlarmManagerService.Alarm alarm) {
        com.android.server.rms.iaware.appmng.AwareWakeUpManager.getInstance().modifyAlarmIfOverload(alarm);
    }

    protected void reportWakeupAlarms(java.util.ArrayList<com.android.server.AlarmManagerService.Alarm> alarms) {
        com.android.server.rms.iaware.appmng.AwareWakeUpManager.getInstance().reportWakeupAlarms(alarms);
    }

    protected boolean isAwareAlarmManagerEnabled() {
        return com.android.server.rms.iaware.feature.AlarmManagerFeature.isEnable();
    }
}
