package com.android.server;

public final class HwBatteryService extends com.android.server.BatteryService {
    private static final java.lang.String ACTION_BATTERY_ISCD_ERROR = "huawei.intent.action.BATTERY_ISCD_ERROR";
    private static final java.lang.String ACTION_CALL_BNT_CLICKED = "huawei.intent.action.CALL_BNT_CLICKED";
    private static final java.lang.String ACTION_QUICK_CHARGE = "huawei.intent.action.BATTERY_QUICK_CHARGE";
    private static final java.lang.String ACTION_WIRELESS_TX_CHARGE_ERROR = "huawei.intent.action.WIRELESS_TX_CHARGE_ERROR";
    private static final java.lang.String ACTION_WIRELESS_TX_STATUS_CHANGE = "huawei.intent.action.WIRELESS_TX_STATUS_CHANGE";
    private static final java.lang.String BATTERY_ERR_NOTIFICATION_ID = "n_id";
    private static final java.lang.String BATTERY_ISCD_STATUS_ERROR = "1";
    private static final java.lang.String BATTERY_ISCD_STATUS_NORMAL = "0";
    private static final java.lang.String BATTERY_OVP_STATUS_ERROR = "1";
    private static final java.lang.String BATTERY_OVP_STATUS_NORMAL = "0";
    private static final java.lang.String FACTORY_VERSION = "factory";
    private static final java.lang.String HUAWEI_CHINA_CUSTOMER_SERVICE_HOTLINE_NUMBER = "4008308300";
    public static final int LOW_BATTERY_SHUTDOWN_LEVEL = 2;
    public static final int LOW_BATTERY_WARNING_LEVEL = 4;
    private static final int MAX_BATTERY_PROP_REGISTER_TIMES = 5;
    private static final int MSG_BATTERY_ISCD_ERROR = 6;
    private static final int MSG_BATTERY_OVP_ERROR = 2;
    private static final int MSG_BATTERY_PROP_REGISTER = 1;
    private static final int MSG_UPDATE_QUICK_CHARGE_STATE = 3;
    private static final java.lang.String OVP_ERR_CHANNEL_ID = "battery_error_c_id";
    private static final java.lang.String PERMISSION_TX_CHARGE_ERROR = "com.huawei.batteryservice.permission.WIRELESS_TX_CHARGE_ERROR";
    private static final java.lang.String PERMISSION_TX_STATUS_CHANGE = "com.huawei.batteryservice.permission.WIRELESS_TX_STATUS_CHANGE";
    private static final int PLUGGED_NONE = 0;
    private static final java.lang.String PPWER_CONNECTED_RINGTONE = "PowerConnected.ogg";
    private static final java.lang.String QUICK_CHARGE_FCP_STATUS = "1";
    private static final java.lang.String QUICK_CHARGE_NODE_NOT_EXIST = "0";
    private static final java.lang.String QUICK_CHARGE_NONE_STATUS = "0";
    private static final java.lang.String QUICK_CHARGE_SCP_STATUS = "2";
    private static final java.lang.String QUICK_CHARGE_STATUS_NORMAL = "0";
    private static final java.lang.String QUICK_CHARGE_STATUS_WORKING = "1";
    private static final java.lang.String QUICK_CHARGE_WIRELESS_STATUS = "3";
    private static final java.lang.String RUN_MODE_PROPERTY = "ro.runmode";
    private static final int SHUTDOWN_LEVEL_FLASHINGARGB = -1;
    private static final java.lang.String TAG = "HwBatteryService";
    private static final java.lang.String WIRELESS_TX_DIR = "sys/class/hw_power/charger/wireless_tx";
    private static final int WIRELESS_TX_END = 0;
    private static final int WIRELESS_TX_FLAG_CLOSE = 2;
    private static final int WIRELESS_TX_FLAG_OPEN = 1;
    private static final int WIRELESS_TX_FLAG_UNKNOWN = 0;
    private static final java.lang.String WIRELESS_TX_LOW_BATTERY = "20%";
    private static final java.lang.String WIRELESS_TX_OPEN = "sys/class/hw_power/charger/wireless_tx/tx_open";
    private static final int WIRELESS_TX_START = 1;
    private static final java.lang.String WIRELESS_TX_STATUS = "sys/class/hw_power/charger/wireless_tx/tx_status";
    private static final int WIRELESS_TX_SWITCH_CLOSE = 0;
    private static final int WIRELESS_TX_SWITCH_OPEN = 1;
    private static final java.lang.String WIRELSSS_CONNECTED_RINGTONE = "WirelessPowerConnected.ogg";
    private static final int WL_TX_STATUS_CHARGE_DONE = 3;
    private static final int WL_TX_STATUS_DEFAULT = 0;
    private static final int WL_TX_STATUS_FAULT_BASE = 16;
    private static final int WL_TX_STATUS_IN_CHARGING = 2;
    private static final int WL_TX_STATUS_IN_WL_CHARGING = 22;
    private static final int WL_TX_STATUS_PING_SUCC = 1;
    private static final int WL_TX_STATUS_PING_TIMEOUT = 19;
    private static final int WL_TX_STATUS_RX_DISCONNECT = 18;
    private static final int WL_TX_STATUS_SOC_ERROR = 23;
    private static final int WL_TX_STATUS_TBATT_HIGH = 21;
    private static final int WL_TX_STATUS_TBATT_LOW = 20;
    private static final int WL_TX_STATUS_TX_CLOSE = 17;
    private static final boolean isChinaRegion = android.os.SystemProperties.get("ro.config.hw_optb", "0").equals("156");
    private static final boolean isLedCloseByCamera = android.os.SystemProperties.getBoolean("ro.config.led_close_by_camera", false);
    private static final boolean isScreenOnTurnOffLed = android.os.SystemProperties.getBoolean("ro.config.screenon_turnoff_led", false);
    private static final boolean isTwoColorLight = android.os.SystemProperties.getBoolean("ro.config.hw_two_color_light", false);
    private android.media.AudioAttributes mAudioAttributes;
    private final android.os.UEventObserver mBatteryFcpObserver = new android.os.UEventObserver() {
        public void onUEvent(android.os.UEventObserver.UEvent event) {
            java.lang.String fcpStatus = event.get("POWER_SUPPLY_FCP_STATUS", "0");
            java.lang.String scpStatus = event.get("POWER_SUPPLY_SCP_STATUS", "0");
            java.lang.String ovpStatus = event.get("POWER_SUPPLY_BAT_OVP", "0");
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onUEvent fcpStatus = ");
            stringBuilder.append(fcpStatus);
            stringBuilder.append(",scpStatus =");
            stringBuilder.append(scpStatus);
            stringBuilder.append(",ovpStatus=");
            stringBuilder.append(ovpStatus);
            android.util.Slog.d("HwBatteryService", stringBuilder.toString());
            com.android.server.HwBatteryService.this.mHwBatteryHandler.updateQuickChargeState(com.android.server.HwBatteryService.this.getQuickChargeBroadcastStatus(fcpStatus, scpStatus));
            com.android.server.HwBatteryService.this.handleBatteryOvpStatus(ovpStatus);
            com.android.server.HwBatteryService.this.handleWirelessTxStatus();
        }
    };
    private final android.os.UEventObserver mBatteryIscdObserver = new android.os.UEventObserver() {
        public void onUEvent(android.os.UEventObserver.UEvent event) {
            android.util.Slog.d("HwBatteryService", "onUEvent battery iscd error");
            com.android.server.HwBatteryService.this.mBatteryIscdStatus = "1";
            com.android.server.HwBatteryService.this.handleBatteryIscdStatus();
        }
    };
    private java.lang.String mBatteryIscdStatus = "0";
    private java.lang.String mBatteryOvpStatus = "0";
    private int mBatteryPropRegisterTryTimes = 0;
    private final android.content.Context mContext;
    private com.android.server.HwCustBatteryService mCust = ((com.android.server.HwCustBatteryService) huawei.cust.HwCustUtils.createObj(com.android.server.HwCustBatteryService.class, new java.lang.Object[0]));
    private boolean mFlagScreenOn = true;
    private int mFlashingARGB;
    private boolean mFrontCameraOpening = false;
    private final com.android.server.HwBatteryService.HwBatteryHandler mHwBatteryHandler;
    private final android.os.HandlerThread mHwBatteryThread;
    private com.android.server.HwBatteryService.HwLed mHwLed;
    private boolean mIsBootFinish = false;
    private boolean mIsNotificationExisting;
    private int mLastWirelessTxStatus = 0;
    private final java.lang.Object mLock = new java.lang.Object();
    private boolean mLowBattery = false;
    private int mNotificationLedOff;
    private int mNotificationLedOn;
    private android.app.NotificationManager mNotificationManager;
    private java.lang.String mQuickChargeStatus = "0";
    private android.content.BroadcastReceiver mReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (context != null) {
                if (intent != null) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("intent = ");
                    stringBuilder.append(intent);
                    android.util.Slog.i("HwBatteryService", stringBuilder.toString());
                    if ("huawei.intent.action.CALL_BNT_CLICKED".equals(intent.getAction())) {
                        com.android.server.HwBatteryService.this.closeSystemDialogs(context);
                        int notificationID = intent.getIntExtra("n_id", 0);
                        if (com.android.server.HwBatteryService.this.mNotificationManager != null) {
                            com.android.server.HwBatteryService.this.mNotificationManager.cancelAsUser(null, notificationID, android.os.UserHandle.CURRENT);
                        }
                        android.content.Intent callIntent = new android.content.Intent("android.intent.action.CALL");
                        if (com.android.server.HwBatteryService.isChinaRegion) {
                            callIntent.setData(android.net.Uri.parse("tel:4008308300"));
                        }
                        callIntent.setFlags(276824064);
                        context.startActivityAsUser(callIntent, android.os.UserHandle.CURRENT);
                    } else if ("android.intent.action.LOCKED_BOOT_COMPLETED".equals(intent.getAction())) {
                        com.android.server.HwBatteryService.this.mIsBootFinish = true;
                        if (!com.android.server.HwBatteryService.this.mBatteryIscdStatus.equals("0")) {
                            com.android.server.HwBatteryService.this.handleBatteryIscdStatus();
                        }
                    } else if ("android.intent.action.SCREEN_ON".equals(intent.getAction())) {
                        com.android.server.HwBatteryService.this.mFlagScreenOn = true;
                    } else if ("android.intent.action.SCREEN_OFF".equals(intent.getAction())) {
                        com.android.server.HwBatteryService.this.mFlagScreenOn = false;
                    }
                    return;
                }
            }
            android.util.Slog.i("HwBatteryService", "context or intent is null!");
        }
    };
    private android.media.Ringtone mRingRingtone;
    private android.net.Uri mUri;
    private int mWirelessTxFlag = 0;

    private class HealthdDeathRecipient implements android.os.IBinder.DeathRecipient {
        private android.os.IBinder mCb;

        HealthdDeathRecipient(android.os.IBinder cb) {
            if (cb != null) {
                try {
                    android.util.Slog.i("HwBatteryService", "linkToDeath Healthd.");
                    cb.linkToDeath(this, 0);
                } catch (android.os.RemoteException e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("HealthdDeathRecipient() could not link to ");
                    stringBuilder.append(cb);
                    stringBuilder.append(" binder death");
                    android.util.Slog.w("HwBatteryService", stringBuilder.toString());
                }
            }
            this.mCb = cb;
        }

        public void binderDied() {
            android.util.Slog.w("HwBatteryService", "Healthd died.");
            if (this.mCb != null) {
                this.mCb.unlinkToDeath(this, 0);
            }
            com.android.server.HwBatteryService.this.mBatteryPropRegisterTryTimes = 0;
            com.android.server.HwBatteryService.this.mHwBatteryHandler.sendEmptyMessageDelayed(1, 2000);
        }
    }

    private final class HwBatteryHandler extends android.os.Handler {
        public HwBatteryHandler(android.os.Looper looper) {
            super(looper);
            com.android.server.HwBatteryService.this.mBatteryIscdObserver.startObserving("BATTERY_EVENT=FATAL_ISC");
            try {
                updateQuickChargeState(com.android.server.HwBatteryService.this.getQuickChargeBroadcastStatus(android.os.FileUtils.readTextFile(new java.io.File(com.android.server.HwBatteryService.this.getQuickChargeStatePath()), 0, null).trim(), android.os.FileUtils.readTextFile(new java.io.File(com.android.server.HwBatteryService.this.getDCQuickChargeStatePath()), 0, null).trim()));
                com.android.server.HwBatteryService.this.handleBatteryOvpStatus(android.os.FileUtils.readTextFile(new java.io.File(com.android.server.HwBatteryService.this.getBatteryOvpStatePath()), 0, null).trim());
                com.android.server.HwBatteryService.this.mBatteryIscdStatus = android.os.FileUtils.readTextFile(new java.io.File(com.android.server.HwBatteryService.this.getBatteryIscdStatePath()), 0, null).trim();
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("mBatteryIscdStatus: ");
                stringBuilder.append(com.android.server.HwBatteryService.this.mBatteryIscdStatus);
                android.util.Slog.i("HwBatteryService", stringBuilder.toString());
            } catch (java.lang.Exception e) {
                android.util.Slog.e("HwBatteryService", "Error get initialized state.", e);
            }
            com.android.server.HwBatteryService.this.mBatteryFcpObserver.startObserving("SUBSYSTEM=power_supply");
        }

        public void handleMessage(android.os.Message msg) {
            int i = msg.what;
            if (i != 6) {
                switch (i) {
                    case 1:
                        android.os.IBinder binder = android.os.ServiceManager.checkService("batteryproperties");
                        if (binder == null || !binder.isBinderAlive()) {
                            com.android.server.HwBatteryService.this.mBatteryPropRegisterTryTimes = com.android.server.HwBatteryService.this.mBatteryPropRegisterTryTimes + 1;
                            if (com.android.server.HwBatteryService.this.mBatteryPropRegisterTryTimes < 5) {
                                android.util.Slog.i("HwBatteryService", "Try to get batteryproperties service again.");
                                com.android.server.HwBatteryService.this.mHwBatteryHandler.sendEmptyMessageDelayed(1, 2000);
                                return;
                            }
                            android.util.Slog.e("HwBatteryService", "There is no connection between batteryservice and batteryproperties.");
                            return;
                        }
                        com.android.server.HwBatteryService.this.mBatteryPropRegisterTryTimes = 0;
                        com.android.server.HwBatteryService.HealthdDeathRecipient healthdDeathRecipient = new com.android.server.HwBatteryService.HealthdDeathRecipient(binder);
                        com.android.server.HwBatteryService.this.registerHealthCallback();
                        return;
                    case 2:
                        com.android.server.HwBatteryService.this.sendBatteryErrorNotification(33685926, 33685927, 33751168);
                        return;
                    case 3:
                        java.lang.String status = msg.obj;
                        if (!com.android.server.HwBatteryService.this.mQuickChargeStatus.equals(status)) {
                            com.android.server.HwBatteryService.this.mQuickChargeStatus = status;
                            sendQuickChargeBroadcast();
                            return;
                        }
                        return;
                    default:
                        return;
                }
            }
            com.android.server.HwBatteryService.this.sendBatteryErrorNotification(33685530, 33685529, 33751449);
            com.android.server.HwBatteryService.this.sendBatteryIsdcErrorBroadcast();
        }

        public void updateQuickChargeState(java.lang.String state) {
            removeMessages(3);
            android.os.Message msg = android.os.Message.obtain(this, 3);
            msg.obj = state;
            sendMessage(msg);
        }

        private void sendQuickChargeBroadcast() {
            android.content.Intent quickChargeIntent = new android.content.Intent("huawei.intent.action.BATTERY_QUICK_CHARGE");
            quickChargeIntent.addFlags(1073741824);
            quickChargeIntent.addFlags(536870912);
            quickChargeIntent.putExtra("quick_charge_status", com.android.server.HwBatteryService.this.mQuickChargeStatus);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Stick broadcast intent: ");
            stringBuilder.append(quickChargeIntent);
            stringBuilder.append(" mQuickChargeStatus:");
            stringBuilder.append(com.android.server.HwBatteryService.this.mQuickChargeStatus);
            android.util.Slog.i("HwBatteryService", stringBuilder.toString());
            com.android.server.HwBatteryService.this.mContext.sendStickyBroadcastAsUser(quickChargeIntent, android.os.UserHandle.ALL);
        }
    }

    private final class HwLed {
        private final int mBatteryFullARGB;
        private final int mBatteryLedOff;
        private final int mBatteryLedOn;
        private final com.android.server.lights.Light mBatteryLight;
        private final int mBatteryLowARGB;
        private final int mBatteryMediumARGB;

        public HwLed(android.content.Context context, com.android.server.lights.LightsManager lights) {
            this.mBatteryLight = lights.getLight(3);
            this.mBatteryLowARGB = context.getResources().getInteger(17694840);
            if (com.android.server.HwBatteryService.isTwoColorLight) {
                this.mBatteryMediumARGB = context.getResources().getInteger(17694840);
            } else {
                this.mBatteryMediumARGB = context.getResources().getInteger(17694841);
            }
            this.mBatteryFullARGB = context.getResources().getInteger(17694837);
            this.mBatteryLedOn = context.getResources().getInteger(17694839);
            this.mBatteryLedOff = context.getResources().getInteger(17694838);
        }

        private void removeBatteryMediumLights(int level, int status) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("removeBatteryMediumLights --> level:");
            stringBuilder.append(level);
            stringBuilder.append(", status:");
            stringBuilder.append(status);
            android.util.Flog.i(1100, stringBuilder.toString());
            if (com.android.server.HwBatteryService.this.mIsNotificationExisting) {
                if (level > 4) {
                    if (status != 2) {
                        if (status != 5) {
                            android.util.Flog.i(1100, "updateLightsLocked --> mBatteryLight.turnOff");
                            this.mBatteryLight.turnOff();
                            com.android.server.HwBatteryService.this.mFlashingARGB = 0;
                            return;
                        }
                    }
                    if (com.android.server.HwBatteryService.this.mFlagScreenOn) {
                        android.util.Flog.i(1100, "updateLightsLocked --> mBatteryLight.turnOff");
                        this.mBatteryLight.turnOff();
                        com.android.server.HwBatteryService.this.mFlashingARGB = 0;
                        return;
                    }
                    if (status != 5) {
                        if (level < 90) {
                            if (com.android.server.HwBatteryService.this.mFlashingARGB != this.mBatteryLowARGB) {
                                this.mBatteryLight.turnOff();
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("updateLightsLocked --> level:");
                                stringBuilder.append(com.android.server.HwBatteryService.this.getHealthInfo().batteryLevel);
                                stringBuilder.append("-- Flashing red");
                                android.util.Flog.i(1100, stringBuilder.toString());
                                this.mBatteryLight.setFlashing(this.mBatteryLowARGB, 1, com.android.server.HwBatteryService.this.mNotificationLedOn, com.android.server.HwBatteryService.this.mNotificationLedOff);
                                com.android.server.HwBatteryService.this.mFlashingARGB = this.mBatteryLowARGB;
                                return;
                            }
                            return;
                        }
                    }
                    if (com.android.server.HwBatteryService.this.mFlashingARGB != this.mBatteryFullARGB) {
                        this.mBatteryLight.turnOff();
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("updateLightsLocked --> level:");
                        stringBuilder.append(com.android.server.HwBatteryService.this.getHealthInfo().batteryLevel);
                        stringBuilder.append("-- Flashing green");
                        android.util.Flog.i(1100, stringBuilder.toString());
                        this.mBatteryLight.setFlashing(this.mBatteryFullARGB, 1, com.android.server.HwBatteryService.this.mNotificationLedOn, com.android.server.HwBatteryService.this.mNotificationLedOff);
                        com.android.server.HwBatteryService.this.mFlashingARGB = this.mBatteryFullARGB;
                    }
                } else if (status == 2) {
                    if (com.android.server.HwBatteryService.this.mFlashingARGB != this.mBatteryLowARGB) {
                        this.mBatteryLight.turnOff();
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("updateLightsLocked --> level:");
                        stringBuilder.append(com.android.server.HwBatteryService.this.getHealthInfo().batteryLevel);
                        stringBuilder.append("-- Flashing red");
                        android.util.Flog.i(1100, stringBuilder.toString());
                        this.mBatteryLight.setFlashing(this.mBatteryLowARGB, 1, com.android.server.HwBatteryService.this.mNotificationLedOn, com.android.server.HwBatteryService.this.mNotificationLedOff);
                        com.android.server.HwBatteryService.this.mFlashingARGB = this.mBatteryLowARGB;
                    }
                } else if (level <= 4 && level > 2) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("updateLightsLocked --> level:");
                    stringBuilder.append(com.android.server.HwBatteryService.this.getHealthInfo().batteryLevel);
                    stringBuilder.append(" -- Solid red");
                    android.util.Flog.i(1100, stringBuilder.toString());
                    this.mBatteryLight.setColor(this.mBatteryLowARGB);
                    com.android.server.HwBatteryService.this.mFlashingARGB = 0;
                } else if (level <= 2 && com.android.server.HwBatteryService.this.mFlashingARGB != -1) {
                    this.mBatteryLight.turnOff();
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("updateLightsLocked --> level:");
                    stringBuilder.append(com.android.server.HwBatteryService.this.getHealthInfo().batteryLevel);
                    stringBuilder.append("--Flashing red SHUTDOWN_LEVEL");
                    android.util.Flog.i(1100, stringBuilder.toString());
                    this.mBatteryLight.setFlashing(this.mBatteryLowARGB, 1, this.mBatteryLedOn, this.mBatteryLedOff);
                    com.android.server.HwBatteryService.this.mFlashingARGB = -1;
                }
            } else if (level > 4) {
                if (status != 2) {
                    if (status != 5) {
                        android.util.Flog.i(1100, "updateLightsLocked --> mBatteryLight.turnOff");
                        this.mBatteryLight.turnOff();
                        com.android.server.HwBatteryService.this.mFlashingARGB = 0;
                        return;
                    }
                }
                if (com.android.server.HwBatteryService.this.mFlagScreenOn) {
                    android.util.Flog.i(1100, "updateLightsLocked --> mBatteryLight.turnOff");
                    this.mBatteryLight.turnOff();
                    com.android.server.HwBatteryService.this.mFlashingARGB = 0;
                    return;
                }
                if (status != 5) {
                    if (level < 90) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("updateLightsLocked --> level:");
                        stringBuilder.append(com.android.server.HwBatteryService.this.getHealthInfo().batteryLevel);
                        stringBuilder.append(" -- Solid red");
                        android.util.Flog.i(1100, stringBuilder.toString());
                        this.mBatteryLight.setColor(this.mBatteryLowARGB);
                        com.android.server.HwBatteryService.this.mFlashingARGB = 0;
                        return;
                    }
                }
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("updateLightsLocked --> level:");
                stringBuilder.append(com.android.server.HwBatteryService.this.getHealthInfo().batteryLevel);
                stringBuilder.append("-- Solid green");
                android.util.Flog.i(1100, stringBuilder.toString());
                this.mBatteryLight.setColor(this.mBatteryFullARGB);
                com.android.server.HwBatteryService.this.mFlashingARGB = 0;
            } else if (status == 2) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("updateLightsLocked --> level:");
                stringBuilder.append(com.android.server.HwBatteryService.this.getHealthInfo().batteryLevel);
                stringBuilder.append("-- Solid red");
                android.util.Flog.i(1100, stringBuilder.toString());
                this.mBatteryLight.setColor(this.mBatteryLowARGB);
                com.android.server.HwBatteryService.this.mFlashingARGB = 0;
            } else if (level <= 4 && level > 2) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("updateLightsLocked --> level:");
                stringBuilder.append(com.android.server.HwBatteryService.this.getHealthInfo().batteryLevel);
                stringBuilder.append(" -- Solid red");
                android.util.Flog.i(1100, stringBuilder.toString());
                this.mBatteryLight.setColor(this.mBatteryLowARGB);
                com.android.server.HwBatteryService.this.mFlashingARGB = 0;
            } else if (level <= 2 && com.android.server.HwBatteryService.this.mFlashingARGB != -1) {
                this.mBatteryLight.turnOff();
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("updateLightsLocked --> level:");
                stringBuilder.append(com.android.server.HwBatteryService.this.getHealthInfo().batteryLevel);
                stringBuilder.append("--Flashing red SHUTDOWN_LEVEL");
                android.util.Flog.i(1100, stringBuilder.toString());
                this.mBatteryLight.setFlashing(this.mBatteryLowARGB, 1, this.mBatteryLedOn, this.mBatteryLedOff);
                com.android.server.HwBatteryService.this.mFlashingARGB = -1;
            }
        }

        public void newUpdateLightsLocked() {
            int level = com.android.server.HwBatteryService.this.getHealthInfo().batteryLevel;
            int status = com.android.server.HwBatteryService.this.getHealthInfo().batteryStatus;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("updateLightsLocked --> level:");
            stringBuilder.append(level);
            stringBuilder.append(", status:");
            stringBuilder.append(status);
            stringBuilder.append(" mFrontCameraOpening ");
            stringBuilder.append(com.android.server.HwBatteryService.this.mFrontCameraOpening);
            android.util.Flog.i(1100, stringBuilder.toString());
            if (com.android.server.HwBatteryService.isLedCloseByCamera && ((status == 2 || status == 5) && com.android.server.HwBatteryService.this.mFrontCameraOpening)) {
                android.util.Flog.i(1100, "updateLightsLocked --> mBatteryLight.turnOff front camera open");
                this.mBatteryLight.turnOff();
                com.android.server.HwBatteryService.this.mFlashingARGB = 0;
            } else if (com.android.server.HwBatteryService.isScreenOnTurnOffLed) {
                removeBatteryMediumLights(level, status);
            } else if (com.android.server.HwBatteryService.this.mIsNotificationExisting) {
                if (level >= com.android.server.HwBatteryService.this.getLowBatteryWarningLevel()) {
                    if (status != 2) {
                        if (status != 5) {
                            android.util.Flog.i(1100, "updateLightsLocked --> mBatteryLight.turnOff");
                            this.mBatteryLight.turnOff();
                            com.android.server.HwBatteryService.this.mFlashingARGB = 0;
                            return;
                        }
                    }
                    if (status != 5) {
                        if (level < 90) {
                            if (com.android.server.HwBatteryService.this.mFlashingARGB != this.mBatteryMediumARGB) {
                                this.mBatteryLight.turnOff();
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("updateLightsLocked --> level:");
                                stringBuilder.append(com.android.server.HwBatteryService.this.getHealthInfo().batteryLevel);
                                stringBuilder.append("-- Flashing mBatteryMediumARGB");
                                android.util.Flog.i(1100, stringBuilder.toString());
                                this.mBatteryLight.setFlashing(this.mBatteryMediumARGB, 1, com.android.server.HwBatteryService.this.mNotificationLedOn, com.android.server.HwBatteryService.this.mNotificationLedOff);
                                com.android.server.HwBatteryService.this.mFlashingARGB = this.mBatteryMediumARGB;
                                return;
                            }
                            return;
                        }
                    }
                    if (com.android.server.HwBatteryService.this.mFlashingARGB != this.mBatteryFullARGB) {
                        this.mBatteryLight.turnOff();
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("updateLightsLocked --> level:");
                        stringBuilder.append(com.android.server.HwBatteryService.this.getHealthInfo().batteryLevel);
                        stringBuilder.append("-- Flashing green");
                        android.util.Flog.i(1100, stringBuilder.toString());
                        this.mBatteryLight.setFlashing(this.mBatteryFullARGB, 1, com.android.server.HwBatteryService.this.mNotificationLedOn, com.android.server.HwBatteryService.this.mNotificationLedOff);
                        com.android.server.HwBatteryService.this.mFlashingARGB = this.mBatteryFullARGB;
                    }
                } else if (status == 2) {
                    if (com.android.server.HwBatteryService.this.mFlashingARGB != this.mBatteryLowARGB) {
                        this.mBatteryLight.turnOff();
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("updateLightsLocked --> level:");
                        stringBuilder.append(com.android.server.HwBatteryService.this.getHealthInfo().batteryLevel);
                        stringBuilder.append("-- Flashing red");
                        android.util.Flog.i(1100, stringBuilder.toString());
                        this.mBatteryLight.setFlashing(this.mBatteryLowARGB, 1, com.android.server.HwBatteryService.this.mNotificationLedOn, com.android.server.HwBatteryService.this.mNotificationLedOff);
                        com.android.server.HwBatteryService.this.mFlashingARGB = this.mBatteryLowARGB;
                    }
                } else if (level <= 4 && level > 2) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("updateLightsLocked --> level:");
                    stringBuilder.append(com.android.server.HwBatteryService.this.getHealthInfo().batteryLevel);
                    stringBuilder.append("-- Solid red");
                    android.util.Flog.i(1100, stringBuilder.toString());
                    this.mBatteryLight.setColor(this.mBatteryLowARGB);
                    com.android.server.HwBatteryService.this.mFlashingARGB = 0;
                } else if (level > 2) {
                    android.util.Flog.i(1100, "updateLightsLocked --> mBatteryLight.turnOff");
                    this.mBatteryLight.turnOff();
                    com.android.server.HwBatteryService.this.mFlashingARGB = 0;
                } else if (com.android.server.HwBatteryService.this.mFlashingARGB != -1) {
                    this.mBatteryLight.turnOff();
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("updateLightsLocked --> level:");
                    stringBuilder.append(com.android.server.HwBatteryService.this.getHealthInfo().batteryLevel);
                    stringBuilder.append("--Flashing red SHUTDOWN_LEVEL");
                    android.util.Flog.i(1100, stringBuilder.toString());
                    this.mBatteryLight.setFlashing(this.mBatteryLowARGB, 1, this.mBatteryLedOn, this.mBatteryLedOff);
                    com.android.server.HwBatteryService.this.mFlashingARGB = -1;
                }
            } else if (level >= com.android.server.HwBatteryService.this.getLowBatteryWarningLevel()) {
                if (status != 2) {
                    if (status != 5) {
                        android.util.Flog.i(1100, "updateLightsLocked --> mBatteryLight.turnOff");
                        this.mBatteryLight.turnOff();
                        com.android.server.HwBatteryService.this.mFlashingARGB = 0;
                        return;
                    }
                }
                if (status != 5) {
                    if (level < 90) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("updateLightsLocked --> level:");
                        stringBuilder.append(com.android.server.HwBatteryService.this.getHealthInfo().batteryLevel);
                        stringBuilder.append(" -- Solid mBatteryMediumARGB");
                        android.util.Flog.i(1100, stringBuilder.toString());
                        this.mBatteryLight.setColor(this.mBatteryMediumARGB);
                        com.android.server.HwBatteryService.this.mFlashingARGB = 0;
                        return;
                    }
                }
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("updateLightsLocked --> level:");
                stringBuilder.append(com.android.server.HwBatteryService.this.getHealthInfo().batteryLevel);
                stringBuilder.append("-- Solid green");
                android.util.Flog.i(1100, stringBuilder.toString());
                this.mBatteryLight.setColor(this.mBatteryFullARGB);
                com.android.server.HwBatteryService.this.mFlashingARGB = 0;
            } else if (status == 2) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("updateLightsLocked --> level:");
                stringBuilder.append(com.android.server.HwBatteryService.this.getHealthInfo().batteryLevel);
                stringBuilder.append("-- Solid red");
                android.util.Flog.i(1100, stringBuilder.toString());
                this.mBatteryLight.setColor(this.mBatteryLowARGB);
                com.android.server.HwBatteryService.this.mFlashingARGB = 0;
            } else if (level <= 4 && level > 2) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("updateLightsLocked --> level:");
                stringBuilder.append(com.android.server.HwBatteryService.this.getHealthInfo().batteryLevel);
                stringBuilder.append("-- Solid red");
                android.util.Flog.i(1100, stringBuilder.toString());
                this.mBatteryLight.setColor(this.mBatteryLowARGB);
                com.android.server.HwBatteryService.this.mFlashingARGB = 0;
            } else if (level > 2) {
                android.util.Flog.i(1100, "updateLightsLocked --> mBatteryLight.turnOff");
                this.mBatteryLight.turnOff();
                com.android.server.HwBatteryService.this.mFlashingARGB = 0;
            } else if (com.android.server.HwBatteryService.this.mFlashingARGB != -1) {
                this.mBatteryLight.turnOff();
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("updateLightsLocked --> level:");
                stringBuilder.append(com.android.server.HwBatteryService.this.getHealthInfo().batteryLevel);
                stringBuilder.append("-- Flashing red SHUTDOWN_LEVEL");
                android.util.Flog.i(1100, stringBuilder.toString());
                this.mBatteryLight.setFlashing(this.mBatteryLowARGB, 1, this.mBatteryLedOn, this.mBatteryLedOff);
                com.android.server.HwBatteryService.this.mFlashingARGB = -1;
            }
        }
    }

    public HwBatteryService(android.content.Context context) {
        super(context);
        this.mContext = context;
        initAndRegisterReceiver();
        this.mHwBatteryThread = new android.os.HandlerThread("HwBatteryService");
        this.mHwBatteryThread.start();
        this.mHwBatteryHandler = new com.android.server.HwBatteryService.HwBatteryHandler(this.mHwBatteryThread.getLooper());
        this.mHwLed = new com.android.server.HwBatteryService.HwLed(context, (com.android.server.lights.LightsManager) getLocalService(com.android.server.lights.LightsManager.class));
        this.mAudioAttributes = new android.media.AudioAttributes.Builder().setUsage(13).setContentType(4).build();
    }

    private boolean writeFile(java.lang.String path, java.lang.String data) {
        java.io.IOException e2;
        java.lang.String str;
        java.lang.StringBuilder stringBuilder;
        java.io.FileOutputStream fos = null;
        boolean success = true;
        try {
            fos = new java.io.FileOutputStream(path);
            fos.write(data.getBytes());
            try {
                fos.close();
            } catch (java.io.IOException e) {
                e2 = e;
                str = "HwBatteryService";
                stringBuilder = new java.lang.StringBuilder();
            }
        } catch (java.io.IOException e22) {
            success = false;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("writeFile ");
            stringBuilder.append(path);
            android.util.Slog.e("HwBatteryService", stringBuilder.toString(), e22);
            if (fos != null) {
                try {
                    fos.close();
                } catch (java.io.IOException e3) {
                    e22 = e3;
                    str = "HwBatteryService";
                    stringBuilder = new java.lang.StringBuilder();
                }
            }
        } catch (Throwable th) {
            if (fos != null) {
                try {
                    fos.close();
                } catch (java.io.IOException e23) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("closeFile ");
                    stringBuilder.append(path);
                    android.util.Slog.e("HwBatteryService", stringBuilder.toString(), e23);
                }
            }
        }
        return success;
        stringBuilder.append("closeFile ");
        stringBuilder.append(path);
        android.util.Slog.e(str, stringBuilder.toString(), e22);
        success = false;
        return success;
    }

    /* JADX WARNING: Missing block: B:28:0x009d, code:
            return 0;
     */
    protected int alterWirelessTxSwitchInternal(int r8) {
        /*
        r7 = this;
        r0 = -1;
        r1 = 1;
        if (r8 == r1) goto L_0x001d;
    L_0x0004:
        if (r8 == 0) goto L_0x001d;
    L_0x0006:
        r1 = "HwBatteryService";
        r2 = new java.lang.StringBuilder;
        r2.<init>();
        r3 = "alterWirelessTxStatus status error : ";
        r2.append(r3);
        r2.append(r8);
        r2 = r2.toString();
        android.util.Slog.w(r1, r2);
        return r0;
    L_0x001d:
        r2 = "HwBatteryService";
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r4 = "alterWirelessTxStatus status : ";
        r3.append(r4);
        r3.append(r8);
        r3 = r3.toString();
        android.util.Slog.i(r2, r3);
        r2 = r7.mLock;
        monitor-enter(r2);
        r3 = 0;
        r7.mWirelessTxFlag = r3;	 Catch:{ all -> 0x009e }
        r7.mLastWirelessTxStatus = r3;	 Catch:{ all -> 0x009e }
        r4 = "sys/class/hw_power/charger/wireless_tx/tx_open";
        r5 = java.lang.String.valueOf(r8);	 Catch:{ all -> 0x009e }
        r4 = r7.writeFile(r4, r5);	 Catch:{ all -> 0x009e }
        if (r4 != 0) goto L_0x0052;
    L_0x0048:
        r1 = "HwBatteryService";
        r3 = "writeFile error sys/class/hw_power/charger/wireless_tx/tx_open";
        android.util.Slog.e(r1, r3);	 Catch:{ all -> 0x009e }
        monitor-exit(r2);	 Catch:{ all -> 0x009e }
        return r0;
    L_0x0052:
        r0 = r7.mLock;	 Catch:{ InterruptedException -> 0x005a }
        r5 = 100;
        r0.wait(r5);	 Catch:{ InterruptedException -> 0x005a }
        goto L_0x0062;
    L_0x005a:
        r0 = move-exception;
        r5 = "HwBatteryService";
        r6 = "Error occurs when sleep";
        android.util.Slog.e(r5, r6, r0);	 Catch:{ all -> 0x009e }
    L_0x0062:
        r0 = "sys/class/hw_power/charger/wireless_tx/tx_status";
        r0 = r7.getWirelessTxStatus(r0);	 Catch:{ all -> 0x009e }
        r5 = r7.allowWirelessTxSwitch(r8, r0);	 Catch:{ all -> 0x009e }
        if (r5 != 0) goto L_0x0091;
    L_0x006f:
        r1 = "HwBatteryService";
        r5 = new java.lang.StringBuilder;	 Catch:{ all -> 0x009e }
        r5.<init>();	 Catch:{ all -> 0x009e }
        r6 = "not allowed to open tx wireless : ";
        r5.append(r6);	 Catch:{ all -> 0x009e }
        r5.append(r0);	 Catch:{ all -> 0x009e }
        r5 = r5.toString();	 Catch:{ all -> 0x009e }
        android.util.Slog.i(r1, r5);	 Catch:{ all -> 0x009e }
        r1 = "sys/class/hw_power/charger/wireless_tx/tx_open";
        r3 = java.lang.String.valueOf(r3);	 Catch:{ all -> 0x009e }
        r7.writeFile(r1, r3);	 Catch:{ all -> 0x009e }
        monitor-exit(r2);	 Catch:{ all -> 0x009e }
        return r0;
    L_0x0091:
        if (r8 != r1) goto L_0x0096;
    L_0x0093:
        r7.mWirelessTxFlag = r1;	 Catch:{ all -> 0x009e }
        goto L_0x009c;
    L_0x0096:
        r7.sendWirelessTxStatusChangeBroadcast(r3);	 Catch:{ all -> 0x009e }
        r1 = 2;
        r7.mWirelessTxFlag = r1;	 Catch:{ all -> 0x009e }
    L_0x009c:
        monitor-exit(r2);	 Catch:{ all -> 0x009e }
        return r3;
    L_0x009e:
        r0 = move-exception;
        monitor-exit(r2);	 Catch:{ all -> 0x009e }
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.HwBatteryService.alterWirelessTxSwitchInternal(int):int");
    }

    protected int getWirelessTxSwitchInternal() {
        return getWirelessTxStatus("sys/class/hw_power/charger/wireless_tx/tx_open");
    }

    protected boolean supportWirelessTxChargeInternal() {
        java.io.File wirelessTxDir = new java.io.File("sys/class/hw_power/charger/wireless_tx");
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("exists : ");
        stringBuilder.append(wirelessTxDir.exists());
        android.util.Slog.i("HwBatteryService", stringBuilder.toString());
        return wirelessTxDir.exists() && wirelessTxDir.isDirectory();
    }

    private int getWirelessTxStatus(java.lang.String wirelessTxPath) {
        java.lang.StringBuilder stringBuilder;
        int result = 0;
        java.lang.String txStatus = null;
        try {
            txStatus = android.os.FileUtils.readTextFile(new java.io.File(wirelessTxPath), 0, null).trim();
            result = java.lang.Integer.parseInt(txStatus);
        } catch (java.io.IOException ioe) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Error occurs when read ");
            stringBuilder.append(wirelessTxPath);
            android.util.Slog.e("HwBatteryService", stringBuilder.toString(), ioe);
        } catch (java.lang.NumberFormatException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Error occurs when translate status : ");
            stringBuilder.append(txStatus);
            android.util.Slog.e("HwBatteryService", stringBuilder.toString());
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("getWirelessTxStatus , ");
        stringBuilder2.append(wirelessTxPath);
        stringBuilder2.append(" : ");
        stringBuilder2.append(result);
        android.util.Slog.i("HwBatteryService", stringBuilder2.toString());
        return result;
    }

    private boolean isWirelessTxNormal(int status) {
        switch (status) {
            case 1:
            case 2:
                return true;
            default:
                return false;
        }
    }

    private boolean isWirelessTxError(int status) {
        if (status != 3) {
            switch (status) {
                case 16:
                case 17:
                    break;
                default:
                    switch (status) {
                        case 19:
                        case 20:
                        case 21:
                        case 22:
                        case 23:
                            break;
                        default:
                            return false;
                    }
            }
        }
        return true;
    }

    private boolean isWirelessTxDisconnect(int status) {
        return status == 18;
    }

    private int getWirelessTxErrorRes(int status) {
        this.mLowBattery = false;
        if (status == 3) {
            return 33686199;
        }
        if (status != 23) {
            switch (status) {
                case 19:
                    return 33686201;
                case 20:
                    return 33686203;
                case 21:
                    return 33686202;
                default:
                    return -1;
            }
        }
        this.mLowBattery = true;
        return 33686200;
    }

    private boolean allowWirelessTxSwitch(int switchStatus, int wirelessTxStatus) {
        if (switchStatus == 0) {
            return true;
        }
        boolean result = true;
        switch (wirelessTxStatus) {
            case 20:
            case 21:
            case 22:
            case 23:
                result = false;
                break;
            default:
                break;
        }
        return result;
    }

    /* JADX WARNING: Missing block: B:16:0x0059, code:
            if (isWirelessTxNormal(r0) == false) goto L_0x005f;
     */
    /* JADX WARNING: Missing block: B:17:0x005b, code:
            sendWirelessTxStatusChangeBroadcast(1);
     */
    /* JADX WARNING: Missing block: B:19:0x0063, code:
            if (isWirelessTxError(r0) == false) goto L_0x006c;
     */
    /* JADX WARNING: Missing block: B:20:0x0065, code:
            sendWirelessTxChargeErrorBroadcast();
            sendWirelessTxErrorNotification(r0);
     */
    /* JADX WARNING: Missing block: B:22:0x0070, code:
            if (isWirelessTxDisconnect(r0) == false) goto L_0x0076;
     */
    /* JADX WARNING: Missing block: B:23:0x0072, code:
            sendWirelessTxStatusChangeBroadcast(0);
     */
    /* JADX WARNING: Missing block: B:24:0x0076, code:
            return;
     */
    private void handleWirelessTxStatus() {
        /*
        r5 = this;
        r0 = "HwBatteryService";
        r1 = "handleWirelessTxStatus";
        android.util.Slog.i(r0, r1);
        r0 = 0;
        r1 = r5.mLock;
        monitor-enter(r1);
        r2 = r5.mWirelessTxFlag;	 Catch:{ all -> 0x0077 }
        r3 = 1;
        if (r2 == r3) goto L_0x002b;
    L_0x0010:
        r2 = "HwBatteryService";
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0077 }
        r3.<init>();	 Catch:{ all -> 0x0077 }
        r4 = "switch not open, return, mWirelessTxFlag : ";
        r3.append(r4);	 Catch:{ all -> 0x0077 }
        r4 = r5.mWirelessTxFlag;	 Catch:{ all -> 0x0077 }
        r3.append(r4);	 Catch:{ all -> 0x0077 }
        r3 = r3.toString();	 Catch:{ all -> 0x0077 }
        android.util.Slog.i(r2, r3);	 Catch:{ all -> 0x0077 }
        monitor-exit(r1);	 Catch:{ all -> 0x0077 }
        return;
    L_0x002b:
        r2 = "sys/class/hw_power/charger/wireless_tx/tx_status";
        r2 = r5.getWirelessTxStatus(r2);	 Catch:{ all -> 0x0077 }
        r0 = r2;
        r2 = r5.mLastWirelessTxStatus;	 Catch:{ all -> 0x0077 }
        if (r0 != r2) goto L_0x0052;
    L_0x0037:
        r2 = "HwBatteryService";
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0077 }
        r3.<init>();	 Catch:{ all -> 0x0077 }
        r4 = "wireless_tx_status not changed, return, mLastWirelessTxStatus : ";
        r3.append(r4);	 Catch:{ all -> 0x0077 }
        r4 = r5.mLastWirelessTxStatus;	 Catch:{ all -> 0x0077 }
        r3.append(r4);	 Catch:{ all -> 0x0077 }
        r3 = r3.toString();	 Catch:{ all -> 0x0077 }
        android.util.Slog.i(r2, r3);	 Catch:{ all -> 0x0077 }
        monitor-exit(r1);	 Catch:{ all -> 0x0077 }
        return;
    L_0x0052:
        r5.mLastWirelessTxStatus = r0;	 Catch:{ all -> 0x0077 }
        monitor-exit(r1);	 Catch:{ all -> 0x0077 }
        r1 = r5.isWirelessTxNormal(r0);
        if (r1 == 0) goto L_0x005f;
    L_0x005b:
        r5.sendWirelessTxStatusChangeBroadcast(r3);
        goto L_0x0076;
    L_0x005f:
        r1 = r5.isWirelessTxError(r0);
        if (r1 == 0) goto L_0x006c;
    L_0x0065:
        r5.sendWirelessTxChargeErrorBroadcast();
        r5.sendWirelessTxErrorNotification(r0);
        goto L_0x0076;
    L_0x006c:
        r1 = r5.isWirelessTxDisconnect(r0);
        if (r1 == 0) goto L_0x0076;
    L_0x0072:
        r1 = 0;
        r5.sendWirelessTxStatusChangeBroadcast(r1);
    L_0x0076:
        return;
    L_0x0077:
        r2 = move-exception;
        monitor-exit(r1);	 Catch:{ all -> 0x0077 }
        throw r2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.HwBatteryService.handleWirelessTxStatus():void");
    }

    private void sendWirelessTxStatusChangeBroadcast(int status) {
        android.content.Intent intent = new android.content.Intent("huawei.intent.action.WIRELESS_TX_STATUS_CHANGE");
        intent.addFlags(1073741824);
        intent.addFlags(536870912);
        intent.putExtra("status", status);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("sendWirelessTxStatusChangeBroadcast status : ");
        stringBuilder.append(status);
        android.util.Slog.i("HwBatteryService", stringBuilder.toString());
        this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.ALL, "com.huawei.batteryservice.permission.WIRELESS_TX_STATUS_CHANGE");
    }

    private void sendWirelessTxChargeErrorBroadcast() {
        android.content.Intent intent = new android.content.Intent("huawei.intent.action.WIRELESS_TX_CHARGE_ERROR");
        intent.addFlags(1073741824);
        intent.addFlags(536870912);
        android.util.Slog.i("HwBatteryService", "sendWirelessTxChargeErrorBroadcast");
        this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.ALL, "com.huawei.batteryservice.permission.WIRELESS_TX_CHARGE_ERROR");
    }

    private void sendWirelessTxErrorNotification(int status) {
        int messageId = getWirelessTxErrorRes(status);
        if (messageId != -1) {
            android.util.Slog.i("HwBatteryService", "sendWirelessTxErrorNotification");
            java.lang.String message = this.mContext.getResources().getString(messageId);
            if (this.mLowBattery) {
                message = java.lang.String.format(message, new java.lang.Object[]{"20%"});
            }
            android.content.Intent intent = new android.content.Intent();
            intent.setComponent(new android.content.ComponentName("com.huawei.systemmanager", "com.huawei.systemmanager.power.ui.HwPowerManagerActivity"));
            android.app.PendingIntent pi = android.app.PendingIntent.getActivityAsUser(this.mContext, 0, intent, 0, null, android.os.UserHandle.CURRENT);
            makeNotificationChannel(message);
            android.app.Notification notification = new android.app.Notification.Builder(this.mContext, "battery_error_c_id").setSmallIcon(33752052).setContentText(message).setContentIntent(pi).setVibrate(new long[0]).setPriority(2).setWhen(java.lang.System.currentTimeMillis()).setShowWhen(true).setVisibility(1).setStyle(new android.app.Notification.BigTextStyle().bigText(message)).setAutoCancel(true).build();
            if (this.mNotificationManager != null) {
                this.mNotificationManager.notifyAsUser(null, messageId, notification, android.os.UserHandle.ALL);
            }
        }
    }

    public void onStart() {
        super.onStart();
        com.android.server.HwBatteryService.HealthdDeathRecipient healthdDeathRecipient = new com.android.server.HwBatteryService.HealthdDeathRecipient(android.os.ServiceManager.getService("batteryproperties"));
    }

    private java.lang.String getQuickChargeStatePath() {
        return "/sys/class/power_supply/Battery/fcp_status";
    }

    private java.lang.String getDCQuickChargeStatePath() {
        return "/sys/class/power_supply/Battery/scp_status";
    }

    private java.lang.String getBatteryOvpStatePath() {
        return "/sys/class/power_supply/Battery/bat_ovp";
    }

    private java.lang.String getBatteryIscdStatePath() {
        return "/sys/class/hw_power/battery/isc";
    }

    private void initAndRegisterReceiver() {
        this.mNotificationManager = (android.app.NotificationManager) this.mContext.getSystemService("notification");
        android.content.IntentFilter filter = new android.content.IntentFilter();
        filter.addAction("huawei.intent.action.CALL_BNT_CLICKED");
        filter.addAction("android.intent.action.LOCKED_BOOT_COMPLETED");
        filter.addAction("android.intent.action.SCREEN_ON");
        filter.addAction("android.intent.action.SCREEN_OFF");
        this.mContext.registerReceiver(this.mReceiver, filter, "android.permission.DEVICE_POWER", null);
    }

    private void closeSystemDialogs(android.content.Context context) {
        context.sendBroadcastAsUser(new android.content.Intent("android.intent.action.CLOSE_SYSTEM_DIALOGS"), android.os.UserHandle.ALL);
    }

    private void makeNotificationChannel(java.lang.String name) {
        if (this.mNotificationManager != null) {
            this.mNotificationManager.createNotificationChannel(new android.app.NotificationChannel("battery_error_c_id", name, 4));
        }
    }

    private void sendBatteryErrorNotification(int titleId, int messageId, int iconId) {
        android.util.Slog.i("HwBatteryService", "sendBatteryErrorNotification");
        java.lang.String title = this.mContext.getResources().getString(titleId);
        java.lang.CharSequence message = this.mContext.getResources().getString(messageId);
        android.content.Intent dialIntent = new android.content.Intent("android.intent.action.DIAL");
        if (isChinaRegion) {
            dialIntent.setData(android.net.Uri.parse("tel:4008308300"));
        }
        android.app.PendingIntent pi = android.app.PendingIntent.getActivityAsUser(this.mContext, 0, dialIntent, 0, null, android.os.UserHandle.CURRENT);
        android.content.Intent intent = new android.content.Intent("huawei.intent.action.CALL_BNT_CLICKED");
        intent.putExtra("n_id", titleId);
        intent.setPackage(this.mContext.getPackageName());
        android.app.PendingIntent actionClickPI = android.app.PendingIntent.getBroadcast(this.mContext, 0, intent, 0);
        makeNotificationChannel(title);
        android.app.Notification.Builder build = new android.app.Notification.Builder(this.mContext, "battery_error_c_id").setSmallIcon(iconId).setOngoing(true).setContentTitle(title).setContentText(message).setContentIntent(pi).setTicker(title).setVibrate(new long[0]).setPriority(2).setWhen(java.lang.System.currentTimeMillis()).setShowWhen(true).setVisibility(1).setAutoCancel(true);
        if (isChinaRegion) {
            build.addAction(new android.app.Notification.Action.Builder(null, this.mContext.getString(33685928), actionClickPI).build());
        }
        android.app.Notification notification = build.build();
        if (this.mNotificationManager != null) {
            this.mNotificationManager.notifyAsUser(null, titleId, notification, android.os.UserHandle.ALL);
        }
    }

    private void handleBatteryOvpStatus(java.lang.String status) {
        if (!this.mBatteryOvpStatus.equals(status) && "1".equals(status)) {
            android.util.Slog.i("HwBatteryService", "battery ovp error occur, send notification before.");
            this.mBatteryOvpStatus = status;
            if (this.mHwBatteryHandler.hasMessages(2)) {
                this.mHwBatteryHandler.removeMessages(2);
            }
            this.mHwBatteryHandler.sendMessage(android.os.Message.obtain(this.mHwBatteryHandler, 2, status));
        }
    }

    private void handleBatteryIscdStatus() {
        if (this.mIsBootFinish) {
            if (this.mHwBatteryHandler.hasMessages(6)) {
                this.mHwBatteryHandler.removeMessages(6);
            }
            this.mHwBatteryHandler.sendMessage(android.os.Message.obtain(this.mHwBatteryHandler, 6));
        }
    }

    private java.lang.String getQuickChargeBroadcastStatus(java.lang.String fcpStatus, java.lang.String scpStatus) {
        java.lang.String status = "0";
        if (isWirelessCharge()) {
            if (fcpStatus.equals("1")) {
                status = "3";
            }
        } else if (fcpStatus.equals("1") && scpStatus.equals("1")) {
            status = "2";
        } else if (fcpStatus.equals("1") && scpStatus.equals("0")) {
            status = "1";
        } else if (fcpStatus.equals("0") && scpStatus.equals("1")) {
            status = "2";
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("quick charge status : ");
        stringBuilder.append(status);
        android.util.Slog.i("HwBatteryService", stringBuilder.toString());
        return status;
    }

    protected void updateLight() {
        this.mHwLed.newUpdateLightsLocked();
    }

    protected void updateLight(boolean enable, int ledOnMS, int ledOffMS) {
        this.mIsNotificationExisting = enable;
        if (enable) {
            this.mNotificationLedOn = ledOnMS;
            this.mNotificationLedOff = ledOffMS;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("updateLight --> mIsNotificationExisting: ");
        stringBuilder.append(enable);
        stringBuilder.append(" ledOnMS: ");
        stringBuilder.append(ledOnMS);
        stringBuilder.append(" ledOffMS :");
        stringBuilder.append(ledOffMS);
        android.util.Flog.i(1100, stringBuilder.toString());
        this.mHwLed.newUpdateLightsLocked();
    }

    protected void cameraUpdateLight(boolean enable) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("cameraUpdateLight enable ");
        stringBuilder.append(enable);
        android.util.Slog.d("HwBatteryService", stringBuilder.toString());
        if (this.mFrontCameraOpening != enable) {
            this.mFrontCameraOpening = enable;
            this.mHwLed.newUpdateLightsLocked();
        }
    }

    protected void playRing() {
        if (!"factory".equalsIgnoreCase(android.os.SystemProperties.get("ro.runmode", "unknown"))) {
            if (this.mCust == null || !this.mCust.mutePowerConnectedTone()) {
                this.mHwBatteryHandler.post(new java.lang.Runnable() {
                    public void run() {
                        boolean z = true;
                        if (com.android.server.HwBatteryService.this.mPlugType != 1) {
                            z = false;
                        }
                        com.android.server.HwBatteryService.this.mUri = com.android.server.HwBatteryService.queryRingMusicUri(com.android.server.HwBatteryService.this.mContext, z ? "WirelessPowerConnected.ogg" : "PowerConnected.ogg");
                        com.android.server.HwBatteryService.this.mRingRingtone = com.android.server.HwBatteryService.this.playRing(com.android.server.HwBatteryService.this.mUri, com.android.server.HwBatteryService.this.mRingRingtone);
                    }
                });
            }
        }
    }

    protected void stopRing() {
        if (!"factory".equalsIgnoreCase(android.os.SystemProperties.get("ro.runmode", "unknown"))) {
            this.mHwBatteryHandler.post(new java.lang.Runnable() {
                public void run() {
                    com.android.server.HwBatteryService.this.stopRing(com.android.server.HwBatteryService.this.mRingRingtone);
                }
            });
        }
    }

    private android.media.Ringtone playRing(android.net.Uri uri, android.media.Ringtone ringtone) {
        ringtone = android.media.RingtoneManager.getRingtone(this.mContext, uri);
        if (ringtone != null) {
            ringtone.setAudioAttributes(this.mAudioAttributes);
            ringtone.play();
        }
        return ringtone;
    }

    private void stopRing(android.media.Ringtone ringtone) {
        if (ringtone != null) {
            ringtone.stop();
        }
    }

    private static android.net.Uri queryRingMusicUri(android.content.Context context, java.lang.String fileName) {
        return queryRingMusicUri(context.getContentResolver(), fileName);
    }

    /* JADX WARNING: Missing block: B:13:0x0047, code:
            if (r9 != null) goto L_0x0049;
     */
    private static android.net.Uri queryRingMusicUri(android.content.ContentResolver r10, java.lang.String r11) {
        /*
        r0 = 0;
        if (r11 != 0) goto L_0x0004;
    L_0x0003:
        return r0;
    L_0x0004:
        r7 = android.provider.MediaStore.Audio.Media.INTERNAL_CONTENT_URI;
        r1 = "_id";
        r3 = new java.lang.String[]{r1};
        r1 = new java.lang.StringBuilder;
        r2 = "_data like '%";
        r1.<init>(r2);
        r8 = r1;
        r8.append(r11);
        r1 = "'";
        r8.append(r1);
        r9 = r0;
        r4 = r8.toString();	 Catch:{ Exception -> 0x0054, all -> 0x004d }
        r5 = 0;
        r6 = 0;
        r1 = r10;
        r2 = r7;
        r1 = r1.query(r2, r3, r4, r5, r6);	 Catch:{ Exception -> 0x0054, all -> 0x004d }
        r9 = r1;
        if (r9 == 0) goto L_0x0047;
    L_0x002c:
        r1 = r9.moveToFirst();	 Catch:{ Exception -> 0x0054, all -> 0x004d }
        if (r1 == 0) goto L_0x0047;
    L_0x0032:
        r1 = "_id";
        r1 = r9.getColumnIndex(r1);	 Catch:{ Exception -> 0x0054, all -> 0x004d }
        r1 = r9.getInt(r1);	 Catch:{ Exception -> 0x0054, all -> 0x004d }
        r4 = (long) r1;	 Catch:{ Exception -> 0x0054, all -> 0x004d }
        r2 = android.content.ContentUris.withAppendedId(r7, r4);	 Catch:{ Exception -> 0x0054, all -> 0x004d }
        if (r9 == 0) goto L_0x0046;
    L_0x0043:
        r9.close();
    L_0x0046:
        return r2;
    L_0x0047:
        if (r9 == 0) goto L_0x0058;
    L_0x0049:
        r9.close();
        goto L_0x0058;
    L_0x004d:
        r0 = move-exception;
        if (r9 == 0) goto L_0x0053;
    L_0x0050:
        r9.close();
    L_0x0053:
        throw r0;
    L_0x0054:
        r1 = move-exception;
        if (r9 == 0) goto L_0x0058;
    L_0x0057:
        goto L_0x0049;
    L_0x0058:
        return r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.HwBatteryService.queryRingMusicUri(android.content.ContentResolver, java.lang.String):android.net.Uri");
    }

    protected void printBatteryLog(android.hardware.health.V1_0.HealthInfo oldInfo, android.hardware.health.V1_0.HealthInfo newInfo, int oldPlugType, boolean updatesStopped) {
        if (oldInfo != null) {
            if (newInfo != null) {
                java.lang.StringBuilder stringBuilder;
                int plugType;
                if (newInfo.chargerAcOnline) {
                    plugType = 1;
                } else if (newInfo.chargerUsbOnline) {
                    plugType = 2;
                } else if (newInfo.chargerWirelessOnline) {
                    plugType = 4;
                } else {
                    plugType = 0;
                    if (!(plugType == oldPlugType && oldInfo.batteryLevel == newInfo.batteryLevel)) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("update battery new values: chargerAcOnline=");
                        stringBuilder.append(newInfo.chargerAcOnline);
                        stringBuilder.append(", chargerUsbOnline=");
                        stringBuilder.append(newInfo.chargerUsbOnline);
                        stringBuilder.append(", batteryStatus=");
                        stringBuilder.append(newInfo.batteryStatus);
                        stringBuilder.append(", batteryHealth=");
                        stringBuilder.append(newInfo.batteryHealth);
                        stringBuilder.append(", batteryPresent=");
                        stringBuilder.append(newInfo.batteryPresent);
                        stringBuilder.append(", batteryLevel=");
                        stringBuilder.append(newInfo.batteryLevel);
                        stringBuilder.append(", batteryTechnology=");
                        stringBuilder.append(newInfo.batteryTechnology);
                        stringBuilder.append(", batteryVoltage=");
                        stringBuilder.append(newInfo.batteryVoltage);
                        stringBuilder.append(", batteryTemperature=");
                        stringBuilder.append(newInfo.batteryTemperature);
                        stringBuilder.append(", mUpdatesStopped=");
                        stringBuilder.append(updatesStopped);
                        android.util.Flog.i(605, stringBuilder.toString());
                    }
                    return;
                }
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("update battery new values: chargerAcOnline=");
                stringBuilder.append(newInfo.chargerAcOnline);
                stringBuilder.append(", chargerUsbOnline=");
                stringBuilder.append(newInfo.chargerUsbOnline);
                stringBuilder.append(", batteryStatus=");
                stringBuilder.append(newInfo.batteryStatus);
                stringBuilder.append(", batteryHealth=");
                stringBuilder.append(newInfo.batteryHealth);
                stringBuilder.append(", batteryPresent=");
                stringBuilder.append(newInfo.batteryPresent);
                stringBuilder.append(", batteryLevel=");
                stringBuilder.append(newInfo.batteryLevel);
                stringBuilder.append(", batteryTechnology=");
                stringBuilder.append(newInfo.batteryTechnology);
                stringBuilder.append(", batteryVoltage=");
                stringBuilder.append(newInfo.batteryVoltage);
                stringBuilder.append(", batteryTemperature=");
                stringBuilder.append(newInfo.batteryTemperature);
                stringBuilder.append(", mUpdatesStopped=");
                stringBuilder.append(updatesStopped);
                android.util.Flog.i(605, stringBuilder.toString());
                return;
            }
        }
        android.util.Flog.i(605, "mBatteryProps or new battery values is null");
    }

    private void sendBatteryIsdcErrorBroadcast() {
        android.content.Intent iscdErrorIntent = new android.content.Intent("huawei.intent.action.BATTERY_ISCD_ERROR");
        iscdErrorIntent.addFlags(1073741824);
        iscdErrorIntent.addFlags(536870912);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Stick broadcast intent: ");
        stringBuilder.append(iscdErrorIntent);
        android.util.Slog.i("HwBatteryService", stringBuilder.toString());
        this.mContext.sendStickyBroadcastAsUser(iscdErrorIntent, android.os.UserHandle.ALL);
    }
}
