package com.android.server;

public class HwBinderMonitor implements com.android.server.HwServiceFactory.IHwBinderMonitor {
    public static final int CATCH_BADPROC_BY_PID = 2;
    public static final int CATCH_BADPROC_BY_TID = 1;
    public static final java.lang.String CONSTANTPATH = "/sys/kernel/debug/binder/proc/";
    private static final java.lang.String CONSTANTPATH_TRACING = "/sys/kernel/tracing/binder/proc/";
    static final int NATIVE_SCORE = 0;
    public static final int PROCESS_ERROR = -1;
    public static final int PROCESS_IS_NATIVE = 1;
    public static final int PROCESS_NOT_NATIVE = 0;
    static final java.lang.String TAG = "HwBinderMonitor";
    private java.lang.String BINDER_TRANS_PATH = "/sys/kernel/debug/binder/transactions";
    private java.lang.String BINDER_TRANS_PATH_TRACING = "/sys/kernel/tracing/binder/transactions";

    @android.annotation.SuppressLint({"AvoidMethodInForLoop"})
    public void addBinderPid(java.util.ArrayList<java.lang.Integer> list, int pid) {
        java.util.ArrayList<java.lang.Integer> serverPidList = getNotNativeServerPidList(pid);
        for (int i = 0; i < serverPidList.size(); i++) {
            if (!list.contains(serverPidList.get(i))) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("pid: ");
                stringBuilder.append(serverPidList.get(i));
                android.util.Slog.i("HwBinderMonitor", stringBuilder.toString());
                list.add((java.lang.Integer) serverPidList.get(i));
            }
        }
    }

    private int isNativeProcess(int pid) {
        if (pid <= 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("pid less than 0, pid is ");
            stringBuilder.append(pid);
            android.util.Slog.w("HwBinderMonitor", stringBuilder.toString());
            return -1;
        }
        java.lang.String pidAdj = getAdjForPid(pid);
        if (pidAdj == null) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("no such oom_score file and pid is");
            stringBuilder2.append(pid);
            android.util.Slog.w("HwBinderMonitor", stringBuilder2.toString());
            return -1;
        }
        try {
            if (java.lang.Integer.parseInt(pidAdj.trim()) == 0) {
                return 1;
            }
            return 0;
        } catch (java.lang.NumberFormatException e) {
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("isNativeProcess NumberFormatException: ");
            stringBuilder3.append(e.toString());
            android.util.Slog.e("HwBinderMonitor", stringBuilder3.toString());
            return -1;
        }
    }

    private final java.lang.String getAdjForPid(int pid) {
        java.lang.String[] outStrings = new java.lang.String[1];
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("/proc/");
        stringBuilder.append(pid);
        stringBuilder.append("/oom_score");
        android.os.Process.readProcFile(stringBuilder.toString(), new int[]{4128}, outStrings, null, null);
        return outStrings[0];
    }

    private java.util.ArrayList<java.lang.Integer> getServerPidList(int bClientPid) {
        java.util.ArrayList<java.lang.Integer> serverPidList = new java.util.ArrayList();
        java.lang.String pid = java.lang.String.valueOf(bClientPid);
        java.io.BufferedReader buff = null;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("/sys/kernel/debug/binder/proc/");
        stringBuilder.append(pid);
        java.io.File file = new java.io.File(stringBuilder.toString());
        if (!file.exists()) {
            android.util.Slog.w("HwBinderMonitor", "file not exists : /sys/kernel/debug/binder/proc/");
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("/sys/kernel/tracing/binder/proc/");
            stringBuilder2.append(pid);
            file = new java.io.File(stringBuilder2.toString());
        }
        if (file.exists()) {
            try {
                buff = new java.io.BufferedReader(new java.io.InputStreamReader(new java.io.FileInputStream(file), "UTF-8"));
                for (java.lang.String readLine = buff.readLine(); readLine != null; readLine = buff.readLine()) {
                    if (isOutGoingLine(readLine, pid)) {
                        serverPidList.add(java.lang.Integer.valueOf(getServerPid(readLine)));
                    }
                }
                try {
                    buff.close();
                } catch (java.io.IOException e) {
                }
            } catch (java.io.FileNotFoundException e2) {
                if (buff != null) {
                    buff.close();
                }
            } catch (java.io.IOException e3) {
                if (buff != null) {
                    try {
                        buff.close();
                    } catch (java.io.IOException e4) {
                        return serverPidList;
                    }
                }
            } catch (Throwable th) {
                if (buff != null) {
                    try {
                        buff.close();
                    } catch (java.io.IOException e5) {
                    }
                }
            }
        }
        return serverPidList;
    }

    private boolean isOutGoingLine(java.lang.String str, java.lang.String pid) {
        java.lang.String regEx = new java.lang.StringBuilder();
        regEx.append("outgoing transaction .+ from ");
        regEx.append(pid);
        regEx.append(":");
        return java.util.regex.Pattern.compile(regEx.toString()).matcher(str).find();
    }

    private java.lang.String getServerPid(java.lang.String str) {
        int beginNum = str.indexOf("to") + 3;
        return str.substring(beginNum, str.indexOf(":", beginNum));
    }

    public java.util.ArrayList<java.lang.Integer> getNotNativeServerPidList(int bClientPid) {
        int serverPid = 0;
        java.util.ArrayList<java.lang.Integer> serverPidList = new java.util.ArrayList();
        java.util.ArrayList<java.lang.Integer> tmpServerPidList = getServerPidList(bClientPid);
        if (tmpServerPidList.size() > 0) {
            serverPid = ((java.lang.Integer) tmpServerPidList.get(0)).intValue();
        }
        if (isNativeProcess(serverPid) == 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("print stack of serverPid: ");
            stringBuilder.append(serverPid);
            android.util.Slog.w("HwBinderMonitor", stringBuilder.toString());
            serverPidList.add(java.lang.Integer.valueOf(serverPid));
        }
        serverPidList.addAll(getNotNativeFinalServerPidList(serverPid));
        return serverPidList;
    }

    @android.annotation.SuppressLint({"AvoidMethodInForLoop"})
    private java.util.ArrayList<java.lang.Integer> getNotNativeFinalServerPidList(int serverPid) {
        java.util.ArrayList<java.lang.Integer> finalServerPidList = new java.util.ArrayList();
        java.util.ArrayList<java.lang.Integer> allServerPidList = getServerPidList(serverPid);
        int i = 0;
        while (i < allServerPidList.size()) {
            if (isNativeProcess(((java.lang.Integer) allServerPidList.get(i)).intValue()) == 0 && !finalServerPidList.contains(allServerPidList.get(i))) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("print stack of finalServerPid: ");
                stringBuilder.append(allServerPidList.get(i));
                android.util.Slog.w("HwBinderMonitor", stringBuilder.toString());
                finalServerPidList.add((java.lang.Integer) allServerPidList.get(i));
            }
            i++;
        }
        return finalServerPidList;
    }

    private static java.lang.String readProcName(java.lang.String pid) {
        try {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("/proc/");
            stringBuilder.append(pid);
            stringBuilder.append("/comm");
            java.lang.String content = libcore.io.IoUtils.readFileAsString(stringBuilder.toString());
            if (content != null) {
                java.lang.String[] segments = content.split("\n");
                if (segments.length > 0 && segments[0].trim().length() > 0) {
                    return segments[0];
                }
            }
            return "unknown";
        } catch (java.io.IOException e) {
            return "unknown";
        }
    }

    private static java.lang.String getTransactionLine(java.lang.String str) {
        java.lang.String regEx = "outgoing transaction .+ from (\\d+):(\\d+) to (\\d+):(\\d+) code ([0-9a-f]+)";
        java.util.regex.Matcher matcher = java.util.regex.Pattern.compile("outgoing transaction .+ from (\\d+):(\\d+) to (\\d+):(\\d+) code ([0-9a-f]+)").matcher(str);
        if (!matcher.find()) {
            return null;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(matcher.group(1));
        stringBuilder.append(":");
        stringBuilder.append(matcher.group(2));
        stringBuilder.append("(");
        stringBuilder.append(readProcName(matcher.group(1)));
        stringBuilder.append(":");
        stringBuilder.append(readProcName(matcher.group(2)));
        stringBuilder.append(") -> ");
        stringBuilder.append(matcher.group(3));
        stringBuilder.append(":");
        stringBuilder.append(matcher.group(4));
        stringBuilder.append("(");
        stringBuilder.append(readProcName(matcher.group(3)));
        stringBuilder.append(":");
        stringBuilder.append(readProcName(matcher.group(4)));
        stringBuilder.append(") code: ");
        stringBuilder.append(matcher.group(5));
        stringBuilder.append("\n");
        return stringBuilder.toString();
    }

    /* JADX WARNING: Removed duplicated region for block: B:105:0x0136 A:{SYNTHETIC, Splitter: B:105:0x0136} */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x00de A:{SYNTHETIC, Splitter: B:52:0x00de} */
    /* JADX WARNING: Removed duplicated region for block: B:58:0x00e8 A:{SYNTHETIC, Splitter: B:58:0x00e8} */
    /* JADX WARNING: Removed duplicated region for block: B:93:0x0122 A:{SYNTHETIC, Splitter: B:93:0x0122} */
    /* JADX WARNING: Removed duplicated region for block: B:99:0x012c A:{SYNTHETIC, Splitter: B:99:0x012c} */
    /* JADX WARNING: Removed duplicated region for block: B:105:0x0136 A:{SYNTHETIC, Splitter: B:105:0x0136} */
    /* JADX WARNING: Removed duplicated region for block: B:71:0x00fd A:{SYNTHETIC, Splitter: B:71:0x00fd} */
    /* JADX WARNING: Removed duplicated region for block: B:77:0x0107 A:{SYNTHETIC, Splitter: B:77:0x0107} */
    /* JADX WARNING: Removed duplicated region for block: B:83:0x0111 A:{SYNTHETIC, Splitter: B:83:0x0111} */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x00d4 A:{SYNTHETIC, Splitter: B:46:0x00d4} */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x00de A:{SYNTHETIC, Splitter: B:52:0x00de} */
    /* JADX WARNING: Removed duplicated region for block: B:58:0x00e8 A:{SYNTHETIC, Splitter: B:58:0x00e8} */
    /* JADX WARNING: Removed duplicated region for block: B:83:0x0111 A:{SYNTHETIC, Splitter: B:83:0x0111} */
    /* JADX WARNING: Removed duplicated region for block: B:99:0x012c A:{SYNTHETIC, Splitter: B:99:0x012c} */
    /* JADX WARNING: Removed duplicated region for block: B:105:0x0136 A:{SYNTHETIC, Splitter: B:105:0x0136} */
    /* JADX WARNING: Removed duplicated region for block: B:77:0x0107 A:{SYNTHETIC, Splitter: B:77:0x0107} */
    /* JADX WARNING: Removed duplicated region for block: B:83:0x0111 A:{SYNTHETIC, Splitter: B:83:0x0111} */
    /* JADX WARNING: Removed duplicated region for block: B:58:0x00e8 A:{SYNTHETIC, Splitter: B:58:0x00e8} */
    public void writeTransactonToTrace(java.lang.String r10) {
        /*
        r9 = this;
        r0 = 0;
        r1 = new java.io.File;
        r2 = r9.BINDER_TRANS_PATH;
        r1.<init>(r2);
        r2 = 0;
        r3 = 0;
        r4 = 0;
        r5 = 0;
        r6 = r1.exists();
        if (r6 != 0) goto L_0x0051;
    L_0x0012:
        r6 = "HwBinderMonitor";
        r7 = new java.lang.StringBuilder;
        r7.<init>();
        r8 = "file not exists : ";
        r7.append(r8);
        r8 = r9.BINDER_TRANS_PATH;
        r7.append(r8);
        r7 = r7.toString();
        android.util.Slog.w(r6, r7);
        r6 = new java.io.File;
        r7 = r9.BINDER_TRANS_PATH_TRACING;
        r6.<init>(r7);
        r1 = r6;
        r6 = r1.exists();
        if (r6 != 0) goto L_0x0051;
    L_0x0038:
        r6 = "HwBinderMonitor";
        r7 = new java.lang.StringBuilder;
        r7.<init>();
        r8 = "file not exists : ";
        r7.append(r8);
        r8 = r9.BINDER_TRANS_PATH_TRACING;
        r7.append(r8);
        r7 = r7.toString();
        android.util.Slog.w(r6, r7);
        return;
    L_0x0051:
        r6 = 1600; // 0x640 float:2.242E-42 double:7.905E-321;
        java.lang.Thread.sleep(r6);	 Catch:{ InterruptedException -> 0x0057 }
        goto L_0x0058;
    L_0x0057:
        r6 = move-exception;
    L_0x0058:
        r6 = new java.io.FileInputStream;	 Catch:{ FileNotFoundException -> 0x0115, IOException -> 0x00f0, all -> 0x00c7 }
        r6.<init>(r1);	 Catch:{ FileNotFoundException -> 0x0115, IOException -> 0x00f0, all -> 0x00c7 }
        r2 = r6;
        r6 = new java.io.InputStreamReader;	 Catch:{ FileNotFoundException -> 0x0115, IOException -> 0x00f0, all -> 0x00c7 }
        r7 = "UTF-8";
        r6.<init>(r2, r7);	 Catch:{ FileNotFoundException -> 0x0115, IOException -> 0x00f0, all -> 0x00c7 }
        r4 = r6;
        r6 = new java.io.BufferedReader;	 Catch:{ FileNotFoundException -> 0x0115, IOException -> 0x00f0, all -> 0x00c7 }
        r6.<init>(r4);	 Catch:{ FileNotFoundException -> 0x0115, IOException -> 0x00f0, all -> 0x00c7 }
        r0 = r6;
        r6 = new java.io.FileOutputStream;	 Catch:{ FileNotFoundException -> 0x0115, IOException -> 0x00f0, all -> 0x00c7 }
        r7 = 1;
        r6.<init>(r10, r7);	 Catch:{ FileNotFoundException -> 0x0115, IOException -> 0x00f0, all -> 0x00c7 }
        r3 = r6;
        r6 = "\n----- binder transactions -----\n";
        r7 = "UTF-8";
        r6 = r6.getBytes(r7);	 Catch:{ FileNotFoundException -> 0x0115, IOException -> 0x00f0, all -> 0x00c7 }
        r3.write(r6);	 Catch:{ FileNotFoundException -> 0x0115, IOException -> 0x00f0, all -> 0x00c7 }
        r6 = r0.readLine();	 Catch:{ FileNotFoundException -> 0x0115, IOException -> 0x00f0, all -> 0x00c7 }
    L_0x0082:
        if (r6 == 0) goto L_0x009b;
    L_0x0084:
        r7 = getTransactionLine(r6);	 Catch:{ FileNotFoundException -> 0x0115, IOException -> 0x00f0, all -> 0x00c7 }
        if (r7 == 0) goto L_0x0093;
    L_0x008a:
        r8 = "UTF-8";
        r8 = r7.getBytes(r8);	 Catch:{ FileNotFoundException -> 0x0115, IOException -> 0x00f0, all -> 0x00c7 }
        r3.write(r8);	 Catch:{ FileNotFoundException -> 0x0115, IOException -> 0x00f0, all -> 0x00c7 }
    L_0x0093:
        r7 = r0.readLine();	 Catch:{ FileNotFoundException -> 0x0115, IOException -> 0x00f0, all -> 0x00c7 }
        r6 = r7;
        r5 = r5 + 1;
        goto L_0x0082;
    L_0x009b:
        r7 = "\n----- end binder transactions -----\n";
        r8 = "UTF-8";
        r7 = r7.getBytes(r8);	 Catch:{ FileNotFoundException -> 0x0115, IOException -> 0x00f0, all -> 0x00c7 }
        r3.write(r7);	 Catch:{ FileNotFoundException -> 0x0115, IOException -> 0x00f0, all -> 0x00c7 }
        r2.close();	 Catch:{ IOException -> 0x00ac }
        r2 = 0;
        goto L_0x00ae;
    L_0x00ac:
        r6 = move-exception;
        goto L_0x00af;
        r4.close();	 Catch:{ IOException -> 0x00b5 }
        r4 = 0;
        goto L_0x00b7;
    L_0x00b5:
        r6 = move-exception;
        goto L_0x00b8;
        r0.close();	 Catch:{ IOException -> 0x00be }
        r0 = 0;
        goto L_0x00c0;
    L_0x00be:
        r6 = move-exception;
        goto L_0x00c1;
        r3.close();	 Catch:{ IOException -> 0x013b }
        goto L_0x0139;
    L_0x00c7:
        r6 = move-exception;
        if (r2 == 0) goto L_0x00d1;
    L_0x00ca:
        r2.close();	 Catch:{ IOException -> 0x00cf }
        r2 = 0;
        goto L_0x00d1;
    L_0x00cf:
        r7 = move-exception;
        goto L_0x00d2;
    L_0x00d2:
        if (r4 == 0) goto L_0x00db;
    L_0x00d4:
        r4.close();	 Catch:{ IOException -> 0x00d9 }
        r4 = 0;
        goto L_0x00db;
    L_0x00d9:
        r7 = move-exception;
        goto L_0x00dc;
    L_0x00dc:
        if (r0 == 0) goto L_0x00e5;
    L_0x00de:
        r0.close();	 Catch:{ IOException -> 0x00e3 }
        r0 = 0;
        goto L_0x00e5;
    L_0x00e3:
        r7 = move-exception;
        goto L_0x00e6;
    L_0x00e6:
        if (r3 == 0) goto L_0x00ef;
    L_0x00e8:
        r3.close();	 Catch:{ IOException -> 0x00ed }
        r3 = 0;
        goto L_0x00ef;
    L_0x00ed:
        r7 = move-exception;
    L_0x00ef:
        throw r6;
    L_0x00f0:
        r6 = move-exception;
        if (r2 == 0) goto L_0x00fa;
    L_0x00f3:
        r2.close();	 Catch:{ IOException -> 0x00f8 }
        r2 = 0;
        goto L_0x00fa;
    L_0x00f8:
        r6 = move-exception;
        goto L_0x00fb;
    L_0x00fb:
        if (r4 == 0) goto L_0x0104;
    L_0x00fd:
        r4.close();	 Catch:{ IOException -> 0x0102 }
        r4 = 0;
        goto L_0x0104;
    L_0x0102:
        r6 = move-exception;
        goto L_0x0105;
    L_0x0105:
        if (r0 == 0) goto L_0x010e;
    L_0x0107:
        r0.close();	 Catch:{ IOException -> 0x010c }
        r0 = 0;
        goto L_0x010e;
    L_0x010c:
        r6 = move-exception;
        goto L_0x010f;
    L_0x010f:
        if (r3 == 0) goto L_0x013d;
    L_0x0111:
        r3.close();	 Catch:{ IOException -> 0x013b }
        goto L_0x0139;
    L_0x0115:
        r6 = move-exception;
        if (r2 == 0) goto L_0x011f;
    L_0x0118:
        r2.close();	 Catch:{ IOException -> 0x011d }
        r2 = 0;
        goto L_0x011f;
    L_0x011d:
        r6 = move-exception;
        goto L_0x0120;
    L_0x0120:
        if (r4 == 0) goto L_0x0129;
    L_0x0122:
        r4.close();	 Catch:{ IOException -> 0x0127 }
        r4 = 0;
        goto L_0x0129;
    L_0x0127:
        r6 = move-exception;
        goto L_0x012a;
    L_0x012a:
        if (r0 == 0) goto L_0x0133;
    L_0x012c:
        r0.close();	 Catch:{ IOException -> 0x0131 }
        r0 = 0;
        goto L_0x0133;
    L_0x0131:
        r6 = move-exception;
        goto L_0x0134;
    L_0x0134:
        if (r3 == 0) goto L_0x013d;
    L_0x0136:
        r3.close();	 Catch:{ IOException -> 0x013b }
    L_0x0139:
        r3 = 0;
        goto L_0x013d;
    L_0x013b:
        r6 = move-exception;
        goto L_0x013e;
    L_0x013e:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.HwBinderMonitor.writeTransactonToTrace(java.lang.String):void");
    }

    private static int parseTransactionLine(java.lang.String str, int tid) {
        java.lang.String regEx = "outgoing transaction .+ from (\\d+):(\\d+) to (\\d+):(\\d+) code ([0-9a-f]+)";
        java.util.regex.Matcher matcher = java.util.regex.Pattern.compile("outgoing transaction .+ from (\\d+):(\\d+) to (\\d+):(\\d+) code ([0-9a-f]+)").matcher(str);
        if (!matcher.find()) {
            return -1;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("parseTransactionLine1 : ");
        stringBuilder.append(tid);
        stringBuilder.append(" ");
        stringBuilder.append(matcher.group(1));
        stringBuilder.append(":");
        stringBuilder.append(matcher.group(2));
        stringBuilder.append(" ");
        stringBuilder.append(matcher.group(3));
        stringBuilder.append(":");
        stringBuilder.append(matcher.group(4));
        android.util.Slog.i("HwBinderMonitor", stringBuilder.toString());
        if (tid == java.lang.Integer.parseInt(matcher.group(2))) {
            return java.lang.Integer.parseInt(matcher.group(3));
        }
        return -1;
    }

    public int catchBadproc(int id, int ops) {
        java.util.ArrayList<java.lang.String> transLines = new java.util.ArrayList();
        int ret = -1;
        if (readTransactionLines(transLines) > 0) {
            for (int i = 0; i < transLines.size(); i++) {
                java.lang.String tl = (java.lang.String) transLines.get(i);
                java.lang.StringBuilder stringBuilder;
                if (ops == 1) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("search blocked process by tid ");
                    stringBuilder.append(id);
                    android.util.Slog.i("HwBinderMonitor", stringBuilder.toString());
                    ret = parseTransactionLine(tl, id);
                } else if (ops == 2) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("search blocked process by pid ");
                    stringBuilder.append(id);
                    android.util.Slog.i("HwBinderMonitor", stringBuilder.toString());
                    ret = findPidInTransactionLine(tl, id);
                }
                if (ret > 0) {
                    return ret;
                }
            }
        }
        return ret;
    }

    private int readTransactionLines(java.util.ArrayList<java.lang.String> transLines) {
        int lineCount = 0;
        java.io.BufferedReader buff = null;
        java.io.File file = new java.io.File(this.BINDER_TRANS_PATH);
        if (file.exists()) {
            try {
                buff = new java.io.BufferedReader(new java.io.InputStreamReader(new java.io.FileInputStream(file), "UTF-8"));
                java.lang.String regEx = "outgoing transaction";
                java.util.regex.Pattern pattern = java.util.regex.Pattern.compile("outgoing transaction");
                for (java.lang.String readLine = buff.readLine(); readLine != null; readLine = buff.readLine()) {
                    if (pattern.matcher(readLine).find()) {
                        transLines.add(readLine);
                        lineCount++;
                    }
                }
                try {
                    buff.close();
                } catch (java.io.IOException e) {
                    e.printStackTrace();
                }
            } catch (java.io.FileNotFoundException e2) {
                e2.printStackTrace();
                if (buff != null) {
                    buff.close();
                }
            } catch (java.io.IOException e3) {
                e3.printStackTrace();
                if (buff != null) {
                    buff.close();
                }
            } catch (Throwable th) {
                if (buff != null) {
                    try {
                        buff.close();
                    } catch (java.io.IOException e4) {
                        e4.printStackTrace();
                    }
                }
            }
            return lineCount;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("file not exists : ");
        stringBuilder.append(this.BINDER_TRANS_PATH);
        android.util.Slog.w("HwBinderMonitor", stringBuilder.toString());
        return -1;
    }

    private int findPidInTransactionLine(java.lang.String transLine, int pid) {
        java.lang.String regEx = "outgoing transaction .+ from (\\d+):(\\d+) to (\\d+):(\\d+) code ([0-9a-f]+)";
        java.util.regex.Matcher matcher = java.util.regex.Pattern.compile("outgoing transaction .+ from (\\d+):(\\d+) to (\\d+):(\\d+) code ([0-9a-f]+)").matcher(transLine);
        if (matcher.find()) {
            int pid_to = java.lang.Integer.parseInt(matcher.group(3));
            if (pid_to == pid) {
                return pid_to;
            }
        }
        return -1;
    }
}
