package com.android.server;

public class HwBluetoothBigDataService {
    public static final java.lang.String BIGDATA_RECEIVER_PACKAGENAME = "com.android.bluetooth";
    public static final java.lang.String BLUETOOTH_BIGDATA = "com.android.bluetooth.bluetoothBigdata";
    private static final java.lang.String TAG = "HwBluetoothBigDataService";
    private static com.android.server.HwBluetoothBigDataService mHwBluetoothBigDataService = null;
    boolean isChinaArea = "CN".equalsIgnoreCase(android.os.SystemProperties.get("ro.product.locale.region", ""));

    public static synchronized com.android.server.HwBluetoothBigDataService getHwBluetoothBigDataService() {
        com.android.server.HwBluetoothBigDataService hwBluetoothBigDataService;
        synchronized (com.android.server.HwBluetoothBigDataService.class) {
            if (mHwBluetoothBigDataService == null) {
                mHwBluetoothBigDataService = new com.android.server.HwBluetoothBigDataService();
            }
            hwBluetoothBigDataService = mHwBluetoothBigDataService;
        }
        return hwBluetoothBigDataService;
    }

    public void sendBigDataEvent(android.content.Context mContext, java.lang.String bigDataEvent) {
        if (this.isChinaArea && getAppName(mContext, android.os.Binder.getCallingPid()) != null) {
            android.content.Intent intent = new android.content.Intent();
            intent.setAction(bigDataEvent);
            intent.setPackage("com.android.bluetooth");
            intent.putExtra("appName", getAppName(mContext, android.os.Binder.getCallingPid()));
            mContext.sendBroadcastAsUser(intent, android.os.UserHandle.of(android.os.UserHandle.getCallingUserId()), "com.android.bluetooth.bluetoothBigdata");
        }
    }

    public java.lang.String getAppName(android.content.Context mContext, int pid) {
        if (pid <= 0) {
            return null;
        }
        android.app.ActivityManager activityManager = (android.app.ActivityManager) mContext.getSystemService("activity");
        if (activityManager == null) {
            return null;
        }
        java.util.List<android.app.ActivityManager.RunningAppProcessInfo> appProcesses = activityManager.getRunningAppProcesses();
        if (appProcesses != null) {
            if (appProcesses.size() != 0) {
                java.lang.String packageName = null;
                for (android.app.ActivityManager.RunningAppProcessInfo appProcess : appProcesses) {
                    if (appProcess.pid == pid && appProcess.importance == 100) {
                        packageName = appProcess.processName;
                        break;
                    }
                }
                return packageName;
            }
        }
        return null;
    }
}
