package com.android.server;

public class HwConnectivityExService extends huawei.android.net.IConnectivityExManager.Stub {
    private static final java.lang.String TAG = "HwConnectivityExService";
    static java.lang.String mSmartKeyguardLevel = "normal_level";
    static boolean useCtrlSocket = android.os.SystemProperties.getBoolean("ro.config.hw_useCtrlSocket", false);
    private android.content.Context mContext;
    private boolean mIsFixedAddress = false;

    public HwConnectivityExService(android.content.Context context) {
        this.mContext = context;
    }

    public void setSmartKeyguardLevel(java.lang.String level) {
        this.mContext.enforceCallingOrSelfPermission("android.permission.CONNECTIVITY_INTERNAL", "HwConnectivityExService");
        setStaticSmartKeyguardLevel(level);
    }

    private static void setStaticSmartKeyguardLevel(java.lang.String level) {
        mSmartKeyguardLevel = level;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("set mSmartKeyguardLevel = ");
        stringBuilder.append(mSmartKeyguardLevel);
        android.util.Slog.d("HwConnectivityExService", stringBuilder.toString());
    }

    public void setApIpv4AddressFixed(boolean isFixed) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Calling pid is ");
        stringBuilder.append(android.os.Binder.getCallingPid());
        stringBuilder.append(" isFixed ");
        stringBuilder.append(isFixed);
        android.util.Slog.d("HwConnectivityExService", stringBuilder.toString());
        int checkCallingOrSelfPermission = this.mContext.checkCallingOrSelfPermission("com.huawei.wifi.permission.WIFI_APIPV4FIXED");
        this.mContext.getPackageManager();
        if (checkCallingOrSelfPermission != 0) {
            android.util.Slog.e("HwConnectivityExService", "No com.huawei.wifi.permission.WIFI_APIPV4FIXED permission");
        } else {
            this.mIsFixedAddress = isFixed;
        }
    }

    public boolean isApIpv4AddressFixed() {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Calling pid is ");
        stringBuilder.append(android.os.Binder.getCallingPid());
        stringBuilder.append(" isFixed ");
        stringBuilder.append(this.mIsFixedAddress);
        android.util.Slog.d("HwConnectivityExService", stringBuilder.toString());
        int checkCallingOrSelfPermission = this.mContext.checkCallingOrSelfPermission("com.huawei.wifi.permission.WIFI_APIPV4FIXED");
        this.mContext.getPackageManager();
        if (checkCallingOrSelfPermission == 0) {
            return this.mIsFixedAddress;
        }
        android.util.Slog.e("HwConnectivityExService", "No com.huawei.wifi.permission.WIFI_APIPV4FIXED permission");
        return false;
    }

    private static void setUseCtrlSocketStatic(boolean flag) {
        useCtrlSocket = flag;
    }

    public void setUseCtrlSocket(boolean flag) {
        this.mContext.enforceCallingOrSelfPermission("android.permission.CONNECTIVITY_INTERNAL", "HwConnectivityExService");
        setUseCtrlSocketStatic(flag);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("set useCtrlSocket = ");
        stringBuilder.append(useCtrlSocket);
        android.util.Slog.d("HwConnectivityExService", stringBuilder.toString());
    }
}
