package com.android.server;

public class HwConnectivityManagerImpl implements com.android.server.HwConnectivityManager {
    private static final java.lang.String CHR_BROADCAST_PERMISSION = "com.huawei.android.permission.GET_CHR_DATA";
    private static final java.lang.String COUNTRY_CODE_CN = "460";
    public static final int CURRENT_CONNECT_TO_CELLULAR = 2;
    public static final int CURRENT_CONNECT_TO_WLAN = 1;
    private static final boolean DBG = true;
    private static final java.lang.String DISABLE_VPN = "disable-vpn";
    private static final int DNS_BIG_LATENCY = 2000;
    private static final int DNS_ERROR_IPV6_TIMEOUT = 15;
    private static final int DNS_FAIL_REPORT_COUNT = 6;
    private static final int DNS_FAIL_REPORT_TIMESPAN = 45000;
    private static final int DNS_FAIL_REPORT_TIME_INTERVAL = 600000;
    private static final int DNS_FAIL_SAMPLING_RATIO = 8;
    private static final int DNS_LATENCY_1000 = 1000;
    private static final int DNS_LATENCY_150 = 150;
    private static final int DNS_LATENCY_20 = 20;
    private static final int DNS_LATENCY_500 = 500;
    private static final int DNS_OVER2000_REPORT_COUNT = 6;
    private static final int DNS_OVER2000_REPORT_TIMESPAN = 45000;
    private static final int DNS_OVER2000_REPORT_TIME_INTERVAL = 600000;
    private static final int DNS_OVER2000_SAMPLING_RATIO = 2;
    private static final int DNS_REPORT_COUNTING_INTERVAL = 100;
    private static final int DNS_SUCCESS = 0;
    private static final int DNS_TIME_MIN = 10;
    protected static final boolean HWFLOW;
    private static final boolean INIT_PDN_WIFI = android.os.SystemProperties.getBoolean("ro.config.forbid_roam_dun_wifi", false);
    private static final java.lang.String INTENT_DS_DNS_STATISTICS = "com.intent.action.dns_statistics";
    private static final java.lang.String INTENT_DS_WEB_STAT_REPORT = "com.android.intent.action.web_stat_report";
    private static final java.lang.String INTENT_WIFI_DNS_STATISTICS = "com.intent.action.wifi_dns_statistics";
    private static final boolean IS_CHINA = "CN".equalsIgnoreCase(android.os.SystemProperties.get("ro.product.locale.region", ""));
    private static final boolean IS_DOCOMO;
    private static final java.lang.String LOG_TAG = "HwConnectivityManagerImpl";
    static final android.net.Uri MSIM_TELEPHONY_CARRIERS_URI = android.net.Uri.parse("content://telephony/carriers/subId");
    public static final int NOT_CONNECT_TO_NETWORK = 0;
    private static final java.lang.String P2P_TETHER_IFAC = "p2p-wlan0-";
    private static final java.lang.String P2P_TETHER_IFAC_110x = "p2p-p2p0-";
    private static final java.lang.String P2P_TETHER_IFAC_QCOM = "p2p0";
    protected static final java.lang.String PROPERTY_BTHOTSPOT_ON = "sys.isbthotspoton";
    protected static final java.lang.String PROPERTY_USBTETHERING_ON = "sys.isusbtetheringon";
    protected static final java.lang.String PROPERTY_WIFIHOTSPOT_ON = "sys.iswifihotspoton";
    private static final int PS_AP_SLOW_DNS_BIG_LATENCY = 6;
    private static final int PS_AP_SLOW_DNS_FAIL = 5;
    private static final java.lang.String SECURE_VPN = "secure-vpn";
    private static final java.lang.String TAG = null;
    private static final boolean VDBG = false;
    private static final java.lang.String WIFI_AP_MANUAL_CONNECT = "wifi_ap_manual_connect";
    private static com.android.server.HwConnectivityManager mInstance = new com.android.server.HwConnectivityManagerImpl();
    private android.net.ConnectivityManager mConnMgr = null;
    private int mConnectedType = 0;
    private final android.content.BroadcastReceiver mConnectivityChangeReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (intent != null) {
                java.lang.String action = intent.getAction();
                if (action != null && "android.net.conn.CONNECTIVITY_CHANGE".equals(action)) {
                    com.android.server.HwConnectivityManagerImpl.this.mConnMgr = (android.net.ConnectivityManager) context.getSystemService("connectivity");
                    if (com.android.server.HwConnectivityManagerImpl.this.mConnMgr != null) {
                        com.android.server.HwConnectivityManagerImpl.this.mNetworkInfoWlan = com.android.server.HwConnectivityManagerImpl.this.mConnMgr.getNetworkInfo(1);
                        com.android.server.HwConnectivityManagerImpl.this.mNetworkInfoMobile = com.android.server.HwConnectivityManagerImpl.this.mConnMgr.getNetworkInfo(0);
                        if (!(com.android.server.HwConnectivityManagerImpl.this.mNetworkInfoWlan == null || com.android.server.HwConnectivityManagerImpl.this.mNetworkInfoMobile == null)) {
                            if (com.android.server.HwConnectivityManagerImpl.this.mNetworkInfoWlan.isConnected()) {
                                com.android.server.HwConnectivityManagerImpl.this.mConnectedType = 1;
                                com.android.server.HwConnectivityManagerImpl.this.sendIntentDnsEvent(context, com.android.server.HwConnectivityManagerImpl.this.mLastConnectedType);
                                com.android.server.HwConnectivityManagerImpl.this.mLastConnectedType = com.android.server.HwConnectivityManagerImpl.this.mConnectedType;
                            } else if (com.android.server.HwConnectivityManagerImpl.this.mNetworkInfoMobile.isConnected()) {
                                com.android.server.HwConnectivityManagerImpl.this.mConnectedType = 2;
                                com.android.server.HwConnectivityManagerImpl.this.sendIntentDnsEvent(context, com.android.server.HwConnectivityManagerImpl.this.mLastConnectedType);
                                com.android.server.HwConnectivityManagerImpl.this.mLastConnectedType = com.android.server.HwConnectivityManagerImpl.this.mConnectedType;
                            } else {
                                com.android.server.HwConnectivityManagerImpl.this.mConnectedType = 0;
                                com.android.server.HwConnectivityManagerImpl.this.sendIntentDnsEvent(context, com.android.server.HwConnectivityManagerImpl.this.mLastConnectedType);
                                com.android.server.HwConnectivityManagerImpl.this.mLastConnectedType = com.android.server.HwConnectivityManagerImpl.this.mConnectedType;
                            }
                        }
                        com.android.server.HwConnectivityManagerImpl.this.clearInvalidPrivateDnsNetworkInfo();
                    }
                }
            }
        }
    };
    private android.content.Context mContex = null;
    private int mDnsCount = 0;
    private int mDnsFailCount = 0;
    private java.util.LinkedList<java.util.Date> mDnsFailQ = new java.util.LinkedList();
    private int mDnsIpv6Timeout = 0;
    private java.util.LinkedList<java.util.Date> mDnsOver2000Q = new java.util.LinkedList();
    private int mDnsResponse1000Count = 0;
    private int mDnsResponse150Count = 0;
    private int mDnsResponse2000Count = 0;
    private int mDnsResponse20Count = 0;
    private int mDnsResponse500Count = 0;
    private int mDnsResponseOver2000Count = 0;
    private int mDnsResponseTotalTime = 0;
    private com.android.server.HwConnectivityService mHwConnectivityService = null;
    private int mLastConnectedType = 0;
    private android.net.NetworkInfo mNetworkInfoMobile = null;
    private android.net.NetworkInfo mNetworkInfoWlan = null;
    private boolean mSendDnsFailFlag = false;
    private boolean mSendDnsOver2000Flag = false;
    private final com.huawei.android.app.admin.DeviceVpnManager mVpnManager = new com.huawei.android.app.admin.DeviceVpnManager();

    static {
        boolean z;
        boolean z2 = true;
        if (!android.util.Log.HWINFO) {
            if (!android.util.Log.HWModuleLog || !android.util.Log.isLoggable(TAG, 4)) {
                z = false;
                HWFLOW = z;
                if (android.os.SystemProperties.get("ro.config.hw_opta", "").equals("341") || !android.os.SystemProperties.get("ro.config.hw_optb", "").equals("392")) {
                    z2 = false;
                }
                IS_DOCOMO = z2;
            }
        }
        z = true;
        HWFLOW = z;
        if (android.os.SystemProperties.get("ro.config.hw_opta", "").equals("341")) {
        }
        z2 = false;
        IS_DOCOMO = z2;
    }

    public com.android.server.ConnectivityService createHwConnectivityService(android.content.Context context, android.os.INetworkManagementService netd, android.net.INetworkStatsService statsService, android.net.INetworkPolicyManager policyManager) {
        this.mContex = context;
        android.content.IntentFilter intentFilter = new android.content.IntentFilter();
        intentFilter.addAction("android.net.conn.CONNECTIVITY_CHANGE");
        this.mContex.registerReceiver(this.mConnectivityChangeReceiver, intentFilter);
        this.mHwConnectivityService = new com.android.server.HwConnectivityService(context, netd, statsService, policyManager);
        return this.mHwConnectivityService;
    }

    public static com.android.server.HwConnectivityManager getDefault() {
        return mInstance;
    }

    public void setPushServicePowerNormalMode() {
    }

    public boolean setPushServicePowerSaveMode(android.net.NetworkInfo networkInfo) {
        return true;
    }

    public void setTetheringProp(com.android.server.connectivity.Tethering tetheringService, boolean tethering, boolean usb, java.lang.String ifaceName) {
        android.util.Log.d(TAG, "enter setTetheringProp");
        java.lang.String prop = tethering ? "true" : "false";
        java.lang.String str;
        java.lang.StringBuilder stringBuilder;
        try {
            com.android.server.connectivity.tethering.TetheringConfiguration cfg = tetheringService.getTetheringConfiguration();
            if (usb) {
                android.os.SystemProperties.set("sys.isusbtetheringon", prop);
                str = TAG;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("set PROPERTY_USBTETHERING_ON: ");
                stringBuilder.append(prop);
                android.util.Log.d(str, stringBuilder.toString());
            } else if (cfg != null && cfg.isWifi(ifaceName)) {
                android.os.SystemProperties.set("sys.iswifihotspoton", prop);
                str = TAG;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("set iswifihotspoton = ");
                stringBuilder.append(prop);
                android.util.Log.d(str, stringBuilder.toString());
            } else if (cfg != null && cfg.isBluetooth(ifaceName)) {
                android.os.SystemProperties.set("sys.isbthotspoton", prop);
                str = TAG;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("set isbthotspoton = ");
                stringBuilder.append(prop);
                android.util.Log.d(str, stringBuilder.toString());
            }
        } catch (java.lang.RuntimeException e) {
            str = TAG;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("when setTetheringProp ,error =");
            stringBuilder.append(e);
            stringBuilder.append("  ifaceNmae =");
            stringBuilder.append(ifaceName);
            android.util.Log.e(str, stringBuilder.toString());
        }
    }

    private boolean isFromDocomo(android.content.Context context) {
        if (IS_DOCOMO && !android.text.TextUtils.isEmpty(android.provider.Settings.Global.getString(context.getContentResolver(), "tether_dun_apn"))) {
            return true;
        }
        return false;
    }

    /* JADX WARNING: Missing block: B:49:0x0169, code:
            if (r8 == null) goto L_0x019b;
     */
    public boolean checkDunExisted(android.content.Context r19) {
        /*
        r18 = this;
        r1 = r18;
        r0 = "ro.config.enable.gdun";
        r2 = 0;
        android.os.SystemProperties.getBoolean(r0, r2);
        r0 = r1.mHwConnectivityService;
        if (r0 != 0) goto L_0x0014;
    L_0x000c:
        r0 = TAG;
        r3 = "mHwConnectivityService == null ,return false";
        android.util.Log.d(r0, r3);
        return r2;
    L_0x0014:
        r0 = TAG;
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r4 = "isSystemBootComplete =";
        r3.append(r4);
        r4 = r1.mHwConnectivityService;
        r4 = r4.isSystemBootComplete();
        r3.append(r4);
        r3 = r3.toString();
        android.util.Log.d(r0, r3);
        r0 = r1.mHwConnectivityService;
        r0 = r0.isSystemBootComplete();
        if (r0 != 0) goto L_0x0039;
    L_0x0038:
        return r2;
    L_0x0039:
        r0 = r18.isFromDocomo(r19);
        r3 = 1;
        if (r0 == 0) goto L_0x0041;
    L_0x0040:
        return r3;
    L_0x0041:
        r4 = android.telephony.SubscriptionManager.getDefaultDataSubscriptionId();
        r0 = android.telephony.TelephonyManager.getDefault();
        r5 = r0.getCurrentPhoneType(r4);
        r0 = 0;
        r6 = TAG;
        r7 = new java.lang.StringBuilder;
        r7.<init>();
        r8 = " type:";
        r7.append(r8);
        r7.append(r5);
        r8 = " subId = ";
        r7.append(r8);
        r7.append(r4);
        r7 = r7.toString();
        android.util.Log.d(r6, r7);
        if (r5 != r3) goto L_0x008e;
    L_0x006e:
        r6 = android.telephony.TelephonyManager.getDefault();
        r0 = r6.getSimOperator(r4);
        r6 = TAG;
        r7 = new java.lang.StringBuilder;
        r7.<init>();
        r8 = " operator:";
        r7.append(r8);
        r7.append(r0);
        r7 = r7.toString();
        android.util.Log.d(r6, r7);
    L_0x008c:
        r6 = r0;
        goto L_0x0097;
    L_0x008e:
        r6 = android.telephony.HwInnerTelephonyManagerImpl.getDefault();
        r0 = r6.getOperatorNumeric();
        goto L_0x008c;
    L_0x0097:
        if (r6 == 0) goto L_0x019b;
    L_0x0099:
        r0 = "type";
        r7 = "proxy";
        r8 = "port";
        r11 = new java.lang.String[]{r0, r7, r8};
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r7 = "numeric = '";
        r0.append(r7);
        r0.append(r6);
        r7 = "' and carrier_enabled = 1";
        r0.append(r7);
        r7 = r0.toString();
        r0 = 0;
        r8 = r0;
        r0 = android.telephony.TelephonyManager.getDefault();	 Catch:{ Exception -> 0x0171 }
        r0 = r0.isMultiSimEnabled();	 Catch:{ Exception -> 0x0171 }
        if (r0 == 0) goto L_0x00f9;
    L_0x00c6:
        r0 = MSIM_TELEPHONY_CARRIERS_URI;	 Catch:{ Exception -> 0x0171 }
        r9 = (long) r4;	 Catch:{ Exception -> 0x0171 }
        r9 = java.lang.Long.toString(r9);	 Catch:{ Exception -> 0x0171 }
        r0 = android.net.Uri.withAppendedPath(r0, r9);	 Catch:{ Exception -> 0x0171 }
        r9 = r19.getContentResolver();	 Catch:{ Exception -> 0x0171 }
        r13 = 0;
        r14 = 0;
        r10 = r0;
        r12 = r7;
        r9 = r9.query(r10, r11, r12, r13, r14);	 Catch:{ Exception -> 0x0171 }
        r8 = r9;
        r9 = HWFLOW;	 Catch:{ Exception -> 0x0171 }
        if (r9 == 0) goto L_0x00f8;
    L_0x00e2:
        r9 = TAG;	 Catch:{ Exception -> 0x0171 }
        r10 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x0171 }
        r10.<init>();	 Catch:{ Exception -> 0x0171 }
        r12 = "Read DB '";
        r10.append(r12);	 Catch:{ Exception -> 0x0171 }
        r10.append(r0);	 Catch:{ Exception -> 0x0171 }
        r10 = r10.toString();	 Catch:{ Exception -> 0x0171 }
        android.util.Log.d(r9, r10);	 Catch:{ Exception -> 0x0171 }
    L_0x00f8:
        goto L_0x0126;
    L_0x00f9:
        r12 = r19.getContentResolver();	 Catch:{ Exception -> 0x0171 }
        r13 = android.provider.Telephony.Carriers.CONTENT_URI;	 Catch:{ Exception -> 0x0171 }
        r16 = 0;
        r17 = 0;
        r14 = r11;
        r15 = r7;
        r0 = r12.query(r13, r14, r15, r16, r17);	 Catch:{ Exception -> 0x0171 }
        r8 = r0;
        r0 = HWFLOW;	 Catch:{ Exception -> 0x0171 }
        if (r0 == 0) goto L_0x0126;
    L_0x010e:
        r0 = TAG;	 Catch:{ Exception -> 0x0171 }
        r9 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x0171 }
        r9.<init>();	 Catch:{ Exception -> 0x0171 }
        r10 = "Read DB '";
        r9.append(r10);	 Catch:{ Exception -> 0x0171 }
        r10 = android.provider.Telephony.Carriers.CONTENT_URI;	 Catch:{ Exception -> 0x0171 }
        r9.append(r10);	 Catch:{ Exception -> 0x0171 }
        r9 = r9.toString();	 Catch:{ Exception -> 0x0171 }
        android.util.Log.d(r0, r9);	 Catch:{ Exception -> 0x0171 }
    L_0x0126:
        if (r8 == 0) goto L_0x0169;
    L_0x0128:
        r0 = r8.moveToFirst();	 Catch:{ Exception -> 0x0171 }
        if (r0 == 0) goto L_0x0169;
    L_0x012e:
        r0 = "type";
        r0 = r8.getColumnIndexOrThrow(r0);	 Catch:{ Exception -> 0x0171 }
        r0 = r8.getString(r0);	 Catch:{ Exception -> 0x0171 }
        r9 = "dun";
        r9 = r0.contains(r9);	 Catch:{ Exception -> 0x0171 }
        if (r9 == 0) goto L_0x0163;
    L_0x0141:
        r9 = INIT_PDN_WIFI;	 Catch:{ Exception -> 0x0171 }
        if (r9 == 0) goto L_0x015c;
    L_0x0145:
        r9 = android.telephony.TelephonyManager.getDefault();	 Catch:{ Exception -> 0x0171 }
        if (r9 == 0) goto L_0x015c;
    L_0x014b:
        r9 = android.telephony.TelephonyManager.getDefault();	 Catch:{ Exception -> 0x0171 }
        r9 = r9.isNetworkRoaming();	 Catch:{ Exception -> 0x0171 }
        if (r9 == 0) goto L_0x015c;
        if (r8 == 0) goto L_0x015b;
    L_0x0158:
        r8.close();
    L_0x015b:
        return r2;
        if (r8 == 0) goto L_0x0162;
    L_0x015f:
        r8.close();
    L_0x0162:
        return r3;
    L_0x0163:
        r0 = r8.moveToNext();	 Catch:{ Exception -> 0x0171 }
        if (r0 != 0) goto L_0x012e;
    L_0x0169:
        if (r8 == 0) goto L_0x019b;
    L_0x016b:
        r8.close();
        goto L_0x019b;
    L_0x016f:
        r0 = move-exception;
        goto L_0x0195;
    L_0x0171:
        r0 = move-exception;
        r3 = TAG;	 Catch:{ all -> 0x016f }
        r9 = new java.lang.StringBuilder;	 Catch:{ all -> 0x016f }
        r9.<init>();	 Catch:{ all -> 0x016f }
        r10 = "Read DB '";
        r9.append(r10);	 Catch:{ all -> 0x016f }
        r10 = android.provider.Telephony.Carriers.CONTENT_URI;	 Catch:{ all -> 0x016f }
        r9.append(r10);	 Catch:{ all -> 0x016f }
        r10 = "' failed: ";
        r9.append(r10);	 Catch:{ all -> 0x016f }
        r9.append(r0);	 Catch:{ all -> 0x016f }
        r9 = r9.toString();	 Catch:{ all -> 0x016f }
        android.util.Log.d(r3, r9);	 Catch:{ all -> 0x016f }
        if (r8 == 0) goto L_0x019b;
    L_0x0194:
        goto L_0x016b;
    L_0x0195:
        if (r8 == 0) goto L_0x019a;
    L_0x0197:
        r8.close();
    L_0x019a:
        throw r0;
    L_0x019b:
        return r2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.HwConnectivityManagerImpl.checkDunExisted(android.content.Context):boolean");
    }

    public boolean setUsbFunctionForTethering(android.content.Context context, android.hardware.usb.UsbManager usbManager, boolean enable) {
        if (!com.huawei.deliver.info.HwDeliverInfo.isIOTVersion() || !android.os.SystemProperties.getBoolean("ro.config.persist_usb_tethering", false)) {
            return false;
        }
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("tethering setCurrentFunction rndis,serial ");
        stringBuilder.append(enable);
        android.util.Log.d(str, stringBuilder.toString());
        if (enable) {
            if (usbManager != null) {
                usbManager.setCurrentFunction("rndis,serial", false);
            }
            android.provider.Settings.Secure.putInt(context.getContentResolver(), "usb_tethering_on", 1);
        } else {
            android.provider.Settings.Secure.putInt(context.getContentResolver(), "usb_tethering_on", 0);
        }
        return true;
    }

    public void captivePortalCheckCompleted(android.content.Context context, boolean isCaptivePortal) {
        if (!isCaptivePortal && 1 == android.provider.Settings.System.getInt(context.getContentResolver(), "wifi_ap_manual_connect", 0)) {
            android.provider.Settings.System.putInt(context.getContentResolver(), "wifi_ap_manual_connect", 0);
            android.util.Log.d("HwConnectivityManagerImpl", "not portal ap manual connect");
        }
    }

    public void startBrowserOnClickNotification(android.content.Context context, java.lang.String url) {
        android.app.Notification notification = new android.app.Notification();
        java.lang.String usedUrl = android.provider.Settings.Global.getString(context.getContentResolver(), "captive_portal_server");
        if (!android.text.TextUtils.isEmpty(usedUrl) && usedUrl.startsWith("http")) {
            android.util.Log.d("HwConnectivityManagerImpl", "startBrowserOnClickNotification: use the portal url from the settings");
            url = usedUrl;
        } else if (IS_CHINA) {
            java.lang.String operator = android.telephony.TelephonyManager.getDefault().getNetworkOperator();
            if (!(operator == null || operator.length() == 0 || !operator.startsWith("460"))) {
                url = "http://www.baidu.com";
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("startBrowserOnClickNotification url: ");
        stringBuilder.append(url);
        android.util.Log.d("HwConnectivityManagerImpl", stringBuilder.toString());
        android.content.Intent intent = new android.content.Intent("android.intent.action.VIEW", android.net.Uri.parse(url));
        intent.setFlags(272629760);
        notification.contentIntent = android.app.PendingIntent.getActivity(context, 0, intent, 0);
        try {
            java.lang.String packageName = "com.android.browser";
            java.lang.String className = "com.android.browser.BrowserActivity";
            if (com.android.server.Utils.isPackageInstalled("com.huawei.browser", context)) {
                packageName = "com.huawei.browser";
                className = "com.huawei.browser.Main";
            }
            intent.setClassName(packageName, className);
            context.startActivity(intent);
        } catch (android.content.ActivityNotFoundException e) {
            try {
                android.util.Log.d("HwConnectivityManagerImpl", "default browser not exist..");
                notification.contentIntent.send();
            } catch (android.app.PendingIntent.CanceledException e2) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("Sending contentIntent failed: ");
                stringBuilder2.append(e2);
                android.util.Log.e("HwConnectivityManagerImpl", stringBuilder2.toString());
            }
        }
    }

    public com.android.server.connectivity.NetworkMonitor createHwNetworkMonitor(android.content.Context context, android.os.Handler handler, com.android.server.connectivity.NetworkAgentInfo nai, android.net.NetworkRequest defaultRequest) {
        return new com.android.server.HwNetworkMonitor(context, handler, nai, defaultRequest);
    }

    public android.net.Network getNetworkForTypeWifi() {
        if (this.mHwConnectivityService != null) {
            return this.mHwConnectivityService.getNetworkForTypeWifi();
        }
        return null;
    }

    public boolean isP2pTether(java.lang.String iface) {
        boolean z = false;
        if (iface == null) {
            return false;
        }
        if (!(iface.startsWith("p2p-wlan0-") || iface.startsWith("p2p-p2p0-"))) {
            if (!iface.startsWith("p2p0")) {
                return z;
            }
        }
        z = true;
        return z;
    }

    public void stopP2pTether(android.content.Context context) {
        if (context != null) {
            android.net.wifi.p2p.WifiP2pManager.Channel channel = null;
            android.net.wifi.p2p.WifiP2pManager.ActionListener mWifiP2pBridgeCreateListener = new android.net.wifi.p2p.WifiP2pManager.ActionListener() {
                public void onSuccess() {
                    android.util.Log.d(com.android.server.HwConnectivityManagerImpl.TAG, " Stop p2p tether success");
                }

                public void onFailure(int reason) {
                    java.lang.String access$000 = com.android.server.HwConnectivityManagerImpl.TAG;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(" Stop p2p tether fail:");
                    stringBuilder.append(reason);
                    android.util.Log.e(access$000, stringBuilder.toString());
                }
            };
            android.net.wifi.p2p.WifiP2pManager wifiP2pManager = (android.net.wifi.p2p.WifiP2pManager) context.getSystemService("wifip2p");
            if (wifiP2pManager != null) {
                channel = wifiP2pManager.initialize(context, context.getMainLooper(), null);
            }
            if (channel != null) {
                wifiP2pManager.removeGroup(channel, mWifiP2pBridgeCreateListener);
            }
        }
    }

    public boolean isVpnDisabled() {
        boolean allow = this.mVpnManager.isVpnDisabled(null);
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isVpnDisabled and result is ");
        stringBuilder.append(allow);
        android.util.Log.d(str, stringBuilder.toString());
        return allow;
    }

    public boolean isInsecureVpnDisabled() {
        boolean allow = this.mVpnManager.isInsecureVpnDisabled(null);
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isInsecureVpnDisabled and result is ");
        stringBuilder.append(allow);
        android.util.Log.d(str, stringBuilder.toString());
        return allow;
    }

    public void onDnsEvent(android.content.Context context, int returnCode, int latencyMs, int netId) {
        this.mDnsCount++;
        if (15 == returnCode) {
            this.mDnsIpv6Timeout++;
        }
        if (returnCode == 0) {
            this.mDnsResponseTotalTime += latencyMs;
            if (!this.mSendDnsFailFlag && this.mDnsFailQ.size() > 0) {
                this.mDnsFailQ.clear();
            }
            if (latencyMs > 2000) {
                this.mDnsResponseOver2000Count++;
                sendIntentPsSlowDnsOver2000(context, latencyMs);
            } else {
                if (!this.mSendDnsOver2000Flag && this.mDnsOver2000Q.size() > 0) {
                    this.mDnsOver2000Q.clear();
                }
                if (latencyMs <= 20) {
                    this.mDnsResponse20Count++;
                } else if (latencyMs <= 150) {
                    this.mDnsResponse150Count++;
                } else if (latencyMs <= 500) {
                    this.mDnsResponse500Count++;
                } else if (latencyMs <= 1000) {
                    this.mDnsResponse1000Count++;
                } else if (latencyMs <= 2000) {
                    this.mDnsResponse2000Count++;
                }
            }
        } else {
            this.mDnsFailCount++;
            sendIntentPsSlowDnsFail(context, returnCode);
        }
        if (100 == this.mDnsCount) {
            sendIntentDnsEvent(context, this.mLastConnectedType);
        }
        if (this.mHwConnectivityService != null) {
            this.mHwConnectivityService.recordPrivateDnsEvent(context, returnCode, latencyMs, netId);
        }
    }

    public boolean isBypassPrivateDns(int netId) {
        if (this.mHwConnectivityService != null) {
            return this.mHwConnectivityService.isBypassPrivateDns(netId);
        }
        return false;
    }

    private void clearInvalidPrivateDnsNetworkInfo() {
        if (this.mHwConnectivityService != null) {
            this.mHwConnectivityService.clearInvalidPrivateDnsNetworkInfo();
        }
    }

    private boolean randomSampling(int samplingRatio) {
        if (samplingRatio > 0 && new java.util.Random().nextInt(samplingRatio) != 0) {
            return false;
        }
        return true;
    }

    private void sendIntentPsSlowDnsFail(android.content.Context context, int returnCode) {
        java.util.Date now = new java.util.Date();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(" sendIntentPsSlowDnsFail mSendDnsFailFlag = ");
        stringBuilder.append(this.mSendDnsFailFlag);
        stringBuilder.append("mDnsFailQ.size() = ");
        stringBuilder.append(this.mDnsFailQ.size());
        android.util.Log.d("HwConnectivityManagerImpl", stringBuilder.toString());
        if (!this.mSendDnsFailFlag) {
            this.mDnsFailQ.addLast(now);
            if (this.mDnsFailQ.size() == 6) {
                if (now.getTime() - ((java.util.Date) this.mDnsFailQ.getFirst()).getTime() <= 45000 && randomSampling(8)) {
                    this.mSendDnsFailFlag = true;
                    if (this.mConnectedType == 2) {
                        android.content.Intent chrIntent = new android.content.Intent("com.android.intent.action.web_stat_report");
                        chrIntent.putExtra("ReportType", 5);
                        chrIntent.putExtra("WebFailCode", returnCode);
                        context.sendBroadcast(chrIntent, "com.huawei.android.permission.GET_CHR_DATA");
                        android.util.Log.d("HwConnectivityManagerImpl", " sendIntentPsSlowDnsFail");
                    }
                }
                this.mDnsFailQ.removeFirst();
            }
        } else if (this.mDnsFailQ.isEmpty() || now.getTime() - ((java.util.Date) this.mDnsFailQ.getLast()).getTime() > 600000) {
            android.util.Log.d("HwConnectivityManagerImpl", " sendIntentPsSlowDnsFail reset mSendDnsFailFlag");
            this.mSendDnsFailFlag = false;
            this.mDnsFailQ.clear();
            this.mDnsFailQ.addLast(now);
        }
    }

    private void sendIntentPsSlowDnsOver2000(android.content.Context context, int delay) {
        java.util.Date now = new java.util.Date();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(" sendIntentPsSlowDnsOver2000 mSendDnsOver2000Flag = ");
        stringBuilder.append(this.mSendDnsOver2000Flag);
        stringBuilder.append("mDnsOver2000Q.size() = ");
        stringBuilder.append(this.mDnsOver2000Q.size());
        android.util.Log.d("HwConnectivityManagerImpl", stringBuilder.toString());
        if (!this.mSendDnsOver2000Flag) {
            this.mDnsOver2000Q.addLast(now);
            if (this.mDnsOver2000Q.size() == 6) {
                if (now.getTime() - ((java.util.Date) this.mDnsOver2000Q.getFirst()).getTime() <= 45000 && randomSampling(2)) {
                    this.mSendDnsOver2000Flag = true;
                    if (this.mConnectedType == 2) {
                        android.content.Intent chrIntent = new android.content.Intent("com.android.intent.action.web_stat_report");
                        chrIntent.putExtra("ReportType", 6);
                        chrIntent.putExtra("WebDelay", delay);
                        context.sendBroadcast(chrIntent, "com.huawei.android.permission.GET_CHR_DATA");
                        android.util.Log.d("HwConnectivityManagerImpl", " sendIntentPsSlowDnsOver2000");
                    }
                }
                this.mDnsOver2000Q.removeFirst();
            }
        } else if (this.mDnsOver2000Q.isEmpty() || now.getTime() - ((java.util.Date) this.mDnsOver2000Q.getLast()).getTime() > 600000) {
            android.util.Log.d("HwConnectivityManagerImpl", " sendIntentPsSlowDnsOver2000 reset mSendDnsOver2000Flag");
            this.mSendDnsOver2000Flag = false;
            this.mDnsOver2000Q.clear();
            this.mDnsOver2000Q.addLast(now);
        }
    }

    private void sendIntentDnsEvent(android.content.Context context, int connectType) {
        if (connectType != 0) {
            if (this.mDnsCount != 0) {
                android.content.Intent intent;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("sendIntentDnsEvent connectType ");
                stringBuilder.append(connectType);
                android.util.Log.d("HwConnectivityManagerImpl", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("sendIntentDnsEvent mDnsCount:");
                stringBuilder.append(this.mDnsCount);
                stringBuilder.append(" mDnsIpv6Timeout:");
                stringBuilder.append(this.mDnsIpv6Timeout);
                stringBuilder.append(" mDnsResponseTotalTime:");
                stringBuilder.append(this.mDnsResponseTotalTime);
                stringBuilder.append(" mDnsFailCount:");
                stringBuilder.append(this.mDnsFailCount);
                stringBuilder.append(" mDnsResponse20Count:");
                stringBuilder.append(this.mDnsResponse20Count);
                stringBuilder.append(" mDnsResponse150Count:");
                stringBuilder.append(this.mDnsResponse150Count);
                stringBuilder.append(" mDnsResponse500Count:");
                stringBuilder.append(this.mDnsResponse500Count);
                stringBuilder.append(" mDnsResponse1000Count:");
                stringBuilder.append(this.mDnsResponse1000Count);
                stringBuilder.append(" mDnsResponse2000Count:");
                stringBuilder.append(this.mDnsResponse2000Count);
                stringBuilder.append(" mDnsResponseOver2000Count:");
                stringBuilder.append(this.mDnsResponseOver2000Count);
                android.util.Log.d("HwConnectivityManagerImpl", stringBuilder.toString());
                if (connectType == 2) {
                    intent = new android.content.Intent("com.intent.action.dns_statistics");
                } else {
                    intent = new android.content.Intent("com.intent.action.wifi_dns_statistics");
                }
                android.os.Bundle extras = new android.os.Bundle();
                extras.putInt("dnsCount", this.mDnsCount);
                extras.putInt("dnsIpv6Timeout", this.mDnsIpv6Timeout);
                extras.putInt("dnsResponseTotalTime", this.mDnsResponseTotalTime);
                extras.putInt("dnsFailCount", this.mDnsFailCount);
                extras.putInt("dnsResponse20Count", this.mDnsResponse20Count);
                extras.putInt("dnsResponse150Count", this.mDnsResponse150Count);
                extras.putInt("dnsResponse500Count", this.mDnsResponse500Count);
                extras.putInt("dnsResponse1000Count", this.mDnsResponse1000Count);
                extras.putInt("dnsResponse2000Count", this.mDnsResponse2000Count);
                extras.putInt("dnsResponseOver2000Count", this.mDnsResponseOver2000Count);
                intent.putExtras(extras);
                this.mDnsCount = 0;
                this.mDnsIpv6Timeout = 0;
                this.mDnsResponseTotalTime = 0;
                this.mDnsFailCount = 0;
                this.mDnsResponse20Count = 0;
                this.mDnsResponse150Count = 0;
                this.mDnsResponse500Count = 0;
                this.mDnsResponse1000Count = 0;
                this.mDnsResponse2000Count = 0;
                this.mDnsResponseOver2000Count = 0;
                context.sendBroadcast(intent, "com.huawei.android.permission.GET_CHR_DATA");
                return;
            }
        }
        android.util.Log.d("HwConnectivityManagerImpl", " not connect to network or DNS count is 0, return");
    }

    public boolean needCaptivePortalCheck(com.android.server.connectivity.NetworkAgentInfo nai, android.content.Context context) {
        int subId = android.telephony.SubscriptionManager.getDefaultDataSubscriptionId();
        if (android.telephony.SubscriptionManager.isUsableSubIdValue(subId) && context != null) {
            if (android.telephony.TelephonyManager.getDefault() != null) {
                int deviceProvisioned = android.provider.Settings.Global.getInt(context.getContentResolver(), "device_provisioned", 0);
                if (deviceProvisioned != 0) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("needCaptivePortal: deviceProvisioned=");
                    stringBuilder.append(deviceProvisioned);
                    stringBuilder.append(", return false.");
                    android.util.Log.e("HwConnectivityManagerImpl", stringBuilder.toString());
                    return false;
                }
                if (!(nai == null || nai.networkInfo == null)) {
                    if (nai.networkInfo.getType() == 0) {
                        java.lang.String simOperator = android.telephony.TelephonyManager.getDefault().getSimOperator(subId);
                        if (android.text.TextUtils.isEmpty(simOperator)) {
                            return false;
                        }
                        java.lang.String plmnConfig = android.provider.Settings.System.getString(context.getContentResolver(), "need_captive_portal_by_hplmn");
                        if (android.text.TextUtils.isEmpty(plmnConfig)) {
                            return false;
                        }
                        for (java.lang.String plmn : plmnConfig.split(",")) {
                            if (simOperator.equals(plmn)) {
                                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append("needCaptivePortalCheck return true for simOperator=");
                                stringBuilder2.append(simOperator);
                                android.util.Log.d("HwConnectivityManagerImpl", stringBuilder2.toString());
                                return true;
                            }
                        }
                        return false;
                    }
                }
                android.util.Log.e("HwConnectivityManagerImpl", "needCaptivePortal: NetworkAgentInfo is not Mobile Type,return false.");
                return false;
            }
        }
        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
        stringBuilder3.append("needCaptivePortal: subId =");
        stringBuilder3.append(subId);
        stringBuilder3.append(" is Invalid, or context is null,return false.");
        android.util.Log.e("HwConnectivityManagerImpl", stringBuilder3.toString());
        return false;
    }

    public void informModemTetherStatusToChangeGRO(int enable, java.lang.String faceName) {
        android.telephony.HwTelephonyManager.getDefault().informModemTetherStatusToChangeGRO(enable, faceName);
    }

    public boolean isApIpv4AddressFixed() {
        android.util.Log.d("HwConnectivityManagerImpl", "Get isApIpv4AddressFixed");
        huawei.android.net.IConnectivityExManager sService = huawei.android.net.IConnectivityExManager.Stub.asInterface(android.os.ServiceManager.getService("hwConnectivityExService"));
        if (sService == null) {
            return false;
        }
        try {
            return sService.isApIpv4AddressFixed();
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("RemoteException");
            stringBuilder.append(e.getMessage());
            android.util.Log.d("HwConnectivityManagerImpl", stringBuilder.toString());
            return false;
        }
    }

    public void setApIpv4AddressFixed(boolean isFixed) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setApIpv4AddressFixed: ");
        stringBuilder.append(isFixed);
        android.util.Log.d("HwConnectivityManagerImpl", stringBuilder.toString());
        huawei.android.net.IConnectivityExManager sService = huawei.android.net.IConnectivityExManager.Stub.asInterface(android.os.ServiceManager.getService("hwConnectivityExService"));
        if (sService != null) {
            try {
                sService.setApIpv4AddressFixed(isFixed);
            } catch (android.os.RemoteException e) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("RemoteException");
                stringBuilder2.append(e.getMessage());
                android.util.Log.d("HwConnectivityManagerImpl", stringBuilder2.toString());
            }
        }
    }
}
