package com.android.server;

public class HwConnectivityService extends com.android.server.ConnectivityService {
    private static final java.lang.String ACTION_BT_CONNECTION_CHANGED = "android.bluetooth.pan.profile.action.CONNECTION_STATE_CHANGED";
    public static final java.lang.String ACTION_MAPCON_SERVICE_FAILED = "com.hisi.mapcon.servicefailed";
    public static final java.lang.String ACTION_MAPCON_SERVICE_START = "com.hisi.mapcon.serviceStartResult";
    private static final java.lang.String ACTION_NOTIFY_WIFI_CONNECTED_CONCURRENTLY = "com.huawei.wifipro.action.ACTION_NOTIFY_WIFI_CONNECTED_CONCURRENTLY";
    private static final java.lang.String ACTION_OF_ANDROID_BOOT_COMPLETED = "android.intent.action.BOOT_COMPLETED";
    private static final java.lang.String ACTION_SIM_RECORDS_READY = "com.huawei.intent.action.ACTION_SIM_RECORDS_READY";
    private static final int CONNECTIVITY_SERVICE_NEED_SET_USER_DATA = 1100;
    private static final java.lang.String COUNTRY_CODE_CN = "460";
    public static final int DEFAULT_PHONE_ID = 0;
    private static final java.lang.String DEFAULT_PRIVATE_DNS_CONFIG = "1,4,4,6,8,8,10,60";
    private static final java.lang.String DEFAULT_SERVER = "connectivitycheck.gstatic.com";
    private static final java.lang.String DEFAULT_USER_AGENT = "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/52.0.2743.82 Safari/537.36";
    private static final int DEVICE_NOT_PROVISIONED = 0;
    private static final int DEVICE_PROVISIONED = 1;
    public static final java.lang.String DISABEL_DATA_SERVICE_ACTION = "android.net.conn.DISABEL_DATA_SERVICE_ACTION";
    private static final java.lang.String DISABLE_PORTAL_CHECK = "disable_portal_check";
    private static final int DNS_SUCCESS = 0;
    private static java.lang.String ENABLE_NOT_REMIND_FUNCTION = "enable_not_remind_function";
    public static final java.lang.String FLAG_SETUP_WIZARD = "flag_setup_wizard";
    private static final java.lang.String HW_CONNECTIVITY_ACTION = "huawei.net.conn.HW_CONNECTIVITY_CHANGE";
    private static final boolean HW_SIM_ACTIVATION = android.os.SystemProperties.getBoolean("ro.config.hw_sim_activation", false);
    private static final boolean HiCureEnabled = android.os.SystemProperties.getBoolean("ro.config.hw_hicure.enabled", true);
    private static final boolean IS_CHINA = "CN".equalsIgnoreCase(android.os.SystemProperties.get("ro.product.locale.region", ""));
    private static final int LTE_SERVICE_OFF = 0;
    private static final int LTE_SERVICE_ON = 1;
    public static final java.lang.String MAPCON_START_INTENT = "com.hisi.mmsut.started";
    private static final java.lang.String MDM_VPN_PERMISSION = "com.huawei.permission.sec.MDM_VPN";
    private static final java.lang.String MODULE_POWERSAVING = "powersaving";
    private static final java.lang.String MODULE_WIFI = "wifi";
    private static final int PREFER_NETWORK_TIMEOUT_INTERVAL = 10000;
    private static final int PRIVATE_DNS_DELAY_BAD = 500;
    private static final int PRIVATE_DNS_DELAY_NORMAL = 150;
    private static final int PRIVATE_DNS_DELAY_VERY_BAD = 1000;
    private static final java.lang.String PROP_PRIVATE_DNS_CONFIG = "hw.wifi.private_dns_config";
    public static final int SERVICE_STATE_MMS = 1;
    public static final int SERVICE_STATE_OFF = 0;
    public static final int SERVICE_STATE_ON = 1;
    public static final int SERVICE_TYPE_MMS = 0;
    public static final int SERVICE_TYPE_OTHERS = 2;
    private static final java.lang.String SYSTEM_MANAGER_PKG_NAME = "com.huawei.systemmanager";
    private static final java.lang.String TAG = "HwConnectivityService";
    private static final int USER_SETUP_COMPLETE = 1;
    private static final int USER_SETUP_NOT_COMPLETE = 0;
    private static java.lang.String VALUE_DISABLE_NOT_REMIND_FUNCTION = "false";
    private static java.lang.String VALUE_ENABLE_NOT_REMIND_FUNCTION = "true";
    private static int VALUE_NOT_SHOW_PDP = 0;
    private static int VALUE_SHOW_PDP = 1;
    private static final java.lang.String VALUE_SIM_CHANGE_ALERT_DATA_CONNECT = "0";
    private static final java.lang.String VERIZON_ICCID_PREFIX = "891480";
    private static java.lang.String WHETHER_SHOW_PDP_WARNING = "whether_show_pdp_warning";
    private static final java.lang.String WIFI_AP_MANUAL_CONNECT = "wifi_ap_manual_connect";
    public static final int WIFI_PULS_CSP_DISENABLED = 1;
    public static final int WIFI_PULS_CSP_ENABLED = 0;
    private static com.android.server.ConnectivityServiceUtils connectivityServiceUtils = ((com.android.server.ConnectivityServiceUtils) com.huawei.utils.reflect.EasyInvokeFactory.getInvokeUtils(com.android.server.ConnectivityServiceUtils.class));
    private static final java.lang.String descriptor = "android.net.IConnectivityManager";
    protected static final boolean isAlwaysAllowMMS = android.os.SystemProperties.getBoolean("ro.config.hw_always_allow_mms", false);
    private static final boolean isMapconOn = android.os.SystemProperties.getBoolean("ro.vendor.config.hw_vowifi", false);
    private static final boolean isVerizon;
    private static final boolean isWifiMmsUtOn = android.os.SystemProperties.getBoolean("ro.config.hw_vowifi_mmsut", false);
    private static int mLteMobileDataState = 3;
    private static android.net.INetworkStatsService mStatsService;
    private int curMmsDataSub = -1;
    private int curPrefDataSubscription = -1;
    private boolean isAlreadyPop = false;
    private boolean isConnected = false;
    private android.app.ActivityManager mActivityManager;
    private java.util.HashMap<java.lang.Integer, com.android.server.HwConnectivityService.BypassPrivateDnsInfo> mBypassPrivateDnsNetwork = new java.util.HashMap();
    private android.content.Context mContext;
    private com.android.server.HwCustConnectivityService mCust = ((com.android.server.HwCustConnectivityService) huawei.cust.HwCustUtils.createObj(com.android.server.HwCustConnectivityService.class, new java.lang.Object[0]));
    private android.app.AlertDialog mDataServiceToPdpDialog = null;
    private com.android.server.HwConnectivityService.DomainPreferHandler mDomainPreferHandler = null;
    private com.android.server.GcmFixer.NetworkStateReceiver mGcmFixIntentReceiver = new com.android.server.GcmFixer.NetworkStateReceiver();
    private android.os.Handler mHandler;
    private com.android.server.GcmFixer.HeartbeatReceiver mHeartbeatReceiver = new com.android.server.GcmFixer.HeartbeatReceiver();
    private com.android.server.hidata.hicure.HwHiCureManager mHiCureManager = null;
    private android.content.BroadcastReceiver mIntentReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            com.android.server.HwConnectivityService.log("mIntentReceiver begin");
            java.lang.String action = intent.getAction();
            if ("android.intent.action.BOOT_COMPLETED".equals(action)) {
                com.android.server.HwConnectivityService.log("receive Intent.ACTION_BOOT_COMPLETED!");
                com.android.server.HwConnectivityService.this.sendWifiBroadcastAfterBootCompleted = true;
            } else if ("android.bluetooth.pan.profile.action.CONNECTION_STATE_CHANGED".equals(action)) {
                com.android.server.HwConnectivityService.log("receive ACTION_BT_CONNECTION_CHANGED");
                if (intent.getIntExtra("android.bluetooth.profile.extra.STATE", -1) == 0) {
                    com.android.server.HwConnectivityService.this.mIsBlueThConnected = false;
                }
            } else {
                com.android.server.HwConnectivityService.this.mRegisteredPushPkg.updateStatus(intent);
            }
        }
    };
    private boolean mIsBlueThConnected = false;
    private boolean mIsSimReady = false;
    private boolean mIsSimStateChanged = false;
    private boolean mIsTopAppSkytone = false;
    private boolean mIsWifiConnected = false;
    private final java.lang.Object mLock = new java.lang.Object();
    protected android.content.BroadcastReceiver mMapconIntentReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent mapconIntent) {
            if (mapconIntent == null) {
                com.android.server.HwConnectivityService.log("intent is null");
                return;
            }
            java.lang.String action = mapconIntent.getAction();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onReceive: action=");
            stringBuilder.append(action);
            com.android.server.HwConnectivityService.log(stringBuilder.toString());
            if ("com.hisi.mmsut.started".equals(action)) {
                android.content.ServiceConnection mConnection = new android.content.ServiceConnection() {
                    public void onServiceConnected(android.content.ComponentName className, android.os.IBinder service) {
                        com.android.server.HwConnectivityService.this.mMapconService = com.hisi.mapcon.IMapconService.Stub.asInterface(service);
                    }

                    public void onServiceDisconnected(android.content.ComponentName className) {
                        com.android.server.HwConnectivityService.this.mMapconService = null;
                    }
                };
                com.android.server.HwConnectivityService.this.mContext.bindServiceAsUser(new android.content.Intent().setClassName("com.hisi.mapcon", "com.hisi.mapcon.MapconService"), mConnection, 1, android.os.UserHandle.OWNER);
            } else if ("com.hisi.mapcon.servicefailed".equals(action) && mapconIntent.getIntExtra("serviceType", 2) == 0) {
                int requestId = mapconIntent.getIntExtra("request-id", -1);
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("Recive ACTION_MAPCON_SERVICE_FAILED, requestId = ");
                stringBuilder2.append(requestId);
                com.android.server.HwConnectivityService.loge(stringBuilder2.toString());
                if (requestId > 0) {
                    com.android.server.HwConnectivityService.this.mDomainPreferHandler.sendMessageAtFrontOfQueue(com.android.server.HwConnectivityService.this.mDomainPreferHandler.obtainMessage(1, requestId, 0));
                }
            }
        }
    };
    protected com.hisi.mapcon.IMapconService mMapconService;
    android.telephony.PhoneStateListener mPhoneStateListener = new android.telephony.PhoneStateListener() {
        public void onCallStateChanged(int state, java.lang.String incomingNumber) {
            com.android.server.HwConnectivityService.this.updateCallState(state);
        }

        public void onServiceStateChanged(android.telephony.ServiceState state) {
            if (!(state == null || android.text.TextUtils.isEmpty(com.android.server.HwConnectivityService.this.mSimChangeAlertDataConnect))) {
                if (!com.android.server.HwConnectivityService.this.isAlreadyPop) {
                    boolean isConnect;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("onServiceStateChanged:");
                    stringBuilder.append(state);
                    android.util.Log.d("HwConnectivityService", stringBuilder.toString());
                    switch (state.getVoiceRegState()) {
                        case 1:
                        case 2:
                            isConnect = state.getDataRegState() == 0;
                            break;
                        case 3:
                            isConnect = false;
                            break;
                        default:
                            isConnect = true;
                            break;
                    }
                    if (state.getRoaming()) {
                        android.telephony.HwTelephonyManagerInner.getDefault().setDataRoamingEnabledWithoutPromp(false);
                        com.android.server.HwConnectivityService.this.mShowWarningRoamingToPdp = true;
                    }
                    if (isConnect && com.android.server.HwConnectivityService.this.isSetupWizardCompleted() && com.android.server.HwConnectivityService.this.mIsSimReady) {
                        com.android.server.HwConnectivityService.this.mHandler.sendEmptyMessage(0);
                        com.android.server.HwConnectivityService.this.isAlreadyPop = true;
                    }
                }
            }
        }
    };
    private com.android.server.HwConnectivityService.RegisteredPushPkg mRegisteredPushPkg = new com.android.server.HwConnectivityService.RegisteredPushPkg();
    private boolean mRemindService = android.os.SystemProperties.getBoolean("ro.config.DataPopFirstBoot", false);
    private java.lang.String mServer;
    private boolean mShowDlgEndCall = false;
    private boolean mShowDlgTurnOfDC = true;
    private boolean mShowWarningRoamingToPdp = false;
    private java.lang.String mSimChangeAlertDataConnect = null;
    private android.content.BroadcastReceiver mSimStateReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if ("android.intent.action.SIM_STATE_CHANGED".equals(intent.getAction())) {
                android.util.Log.d("HwConnectivityService", "CtrlSocket receive ACTION_SIM_STATE_CHANGED");
                com.android.server.HwConnectivityService.this.mIsSimStateChanged = true;
                if (!android.text.TextUtils.isEmpty(com.android.server.HwConnectivityService.this.mSimChangeAlertDataConnect)) {
                    com.android.server.HwConnectivityService.this.processWhenSimStateChange(intent);
                }
            }
        }
    };
    private android.content.BroadcastReceiver mTetheringReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            java.lang.String action = intent.getAction();
            if (action != null && "android.hardware.usb.action.USB_STATE".equals(action)) {
                boolean usbConnected = intent.getBooleanExtra("connected", false);
                boolean rndisEnabled = intent.getBooleanExtra("rndis", false);
                int is_usb_tethering_on = android.provider.Settings.Secure.getInt(com.android.server.HwConnectivityService.this.mContext.getContentResolver(), "usb_tethering_on", 0);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("mTetheringReceiver usbConnected = ");
                stringBuilder.append(usbConnected);
                stringBuilder.append(",rndisEnabled = ");
                stringBuilder.append(rndisEnabled);
                stringBuilder.append(", is_usb_tethering_on = ");
                stringBuilder.append(is_usb_tethering_on);
                android.util.Log.d("HwConnectivityService", stringBuilder.toString());
                if (1 == is_usb_tethering_on && usbConnected && !rndisEnabled) {
                    new java.lang.Thread() {
                        public void run() {
                            do {
                                try {
                                    if (com.android.server.HwConnectivityService.this.isSystemBootComplete()) {
                                        java.lang.Thread.sleep(200);
                                    } else {
                                        java.lang.Thread.sleep(1000);
                                    }
                                } catch (java.lang.InterruptedException e) {
                                    android.util.Log.e("HwConnectivityService", "wait to boot complete error");
                                }
                            } while (!com.android.server.HwConnectivityService.this.isSystemBootComplete());
                            com.android.server.HwConnectivityService.this.setUsbTethering(true, com.android.server.HwConnectivityService.this.mContext.getOpPackageName());
                        }
                    }.start();
                }
            }
        }
    };
    private java.net.URL mURL;
    private android.content.BroadcastReceiver mVerizonWifiDisconnectReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if ("android.net.wifi.STATE_CHANGE".equals(intent.getAction())) {
                android.net.NetworkInfo netInfo = (android.net.NetworkInfo) intent.getParcelableExtra("networkInfo");
                if (netInfo != null && netInfo.getType() == 1) {
                    if (netInfo.getState() == android.net.NetworkInfo.State.CONNECTED) {
                        com.android.server.HwConnectivityService.this.isConnected = true;
                    } else if (netInfo.getState() == android.net.NetworkInfo.State.DISCONNECTED && netInfo.getDetailedState() == android.net.NetworkInfo.DetailedState.DISCONNECTED && com.android.server.HwConnectivityService.this.isConnected) {
                        android.widget.Toast.makeText(context, 33686195, 1).show();
                        com.android.server.HwConnectivityService.this.isConnected = false;
                    }
                }
            }
        }
    };
    private int phoneId = -1;
    private boolean sendWifiBroadcastAfterBootCompleted = false;
    private com.android.server.HwConnectivityService.WifiDisconnectManager wifiDisconnectManager = new com.android.server.HwConnectivityService.WifiDisconnectManager(this, null);

    /* renamed from: com.android.server.HwConnectivityService$13 */
    static /* synthetic */ class AnonymousClass13 {
        static final /* synthetic */ int[] $SwitchMap$android$net$NetworkInfo$State = new int[android.net.NetworkInfo.State.values().length];

        static {
            try {
                $SwitchMap$android$net$NetworkInfo$State[android.net.NetworkInfo.State.CONNECTING.ordinal()] = 1;
            } catch (java.lang.NoSuchFieldError e) {
            }
            try {
                $SwitchMap$android$net$NetworkInfo$State[android.net.NetworkInfo.State.CONNECTED.ordinal()] = 2;
            } catch (java.lang.NoSuchFieldError e2) {
            }
            try {
                $SwitchMap$android$net$NetworkInfo$State[android.net.NetworkInfo.State.DISCONNECTING.ordinal()] = 3;
            } catch (java.lang.NoSuchFieldError e3) {
            }
            try {
                $SwitchMap$android$net$NetworkInfo$State[android.net.NetworkInfo.State.DISCONNECTED.ordinal()] = 4;
            } catch (java.lang.NoSuchFieldError e4) {
            }
        }
    }

    private static class BypassPrivateDnsInfo {
        private static final int[] BACKOFF_TIME_INTERVAL = new int[]{1, 2, 2, 4, 4, 4, 4, 8};
        private static final java.lang.String CHR_BROADCAST_PERMISSION = "com.huawei.android.permission.GET_CHR_DATA";
        private static final java.lang.String INTENT_WIFI_PRIVATE_DNS_STATISTICS = "com.intent.action.wifi_private_dns_statistics";
        private final int PRIVATE_DNS_OPEN = 1;
        private int backoffCnt = 0;
        private int backoffTime = 3600000;
        private int badCnt = 6;
        private int badTotalCnt = 8;
        private int failedCnt = 8;
        private java.lang.String mAssignedServers;
        private int mBadDelayTotalCnt;
        private boolean mBypassPrivateDns;
        private android.content.Context mContext;
        private int mDelay1000Cnt;
        private int mDelay150Cnt;
        private int mDelay500Cnt;
        private int mDelayOver1000Cnt;
        private int mDnsDelayOverThresCnt = 0;
        private int mNetworkType;
        private long mPrivateDnsBackoffTime;
        private int mPrivateDnsCnt;
        private long mPrivateDnsCntResetTime;
        private int mPrivateDnsFailCount;
        private int mPrivateDnsResponseTotalTime;
        private int privateDnsOpen = 1;
        private int resetCntTime = 600000;
        private int unacceptCnt = 4;
        private int verybadCnt = 4;

        public BypassPrivateDnsInfo(android.content.Context context, int NetworkType, java.lang.String assignedServers) {
            this.mContext = context;
            this.mNetworkType = NetworkType;
            this.mAssignedServers = assignedServers;
            this.mPrivateDnsCntResetTime = android.os.SystemClock.elapsedRealtime();
            this.mBypassPrivateDns = false;
            java.lang.String[] privateDnsConfig = android.os.SystemProperties.get("hw.wifi.private_dns_config", "1,4,4,6,8,8,10,60").split(",");
            if (privateDnsConfig.length == 8) {
                this.privateDnsOpen = java.lang.Integer.parseInt(privateDnsConfig[0]);
                this.unacceptCnt = java.lang.Integer.parseInt(privateDnsConfig[1]);
                this.verybadCnt = java.lang.Integer.parseInt(privateDnsConfig[2]);
                this.badCnt = java.lang.Integer.parseInt(privateDnsConfig[3]);
                this.badTotalCnt = java.lang.Integer.parseInt(privateDnsConfig[4]);
                this.failedCnt = java.lang.Integer.parseInt(privateDnsConfig[5]);
                this.resetCntTime = (java.lang.Integer.parseInt(privateDnsConfig[6]) * 60) * 1000;
                this.backoffTime = (java.lang.Integer.parseInt(privateDnsConfig[7]) * 60) * 1000;
            }
        }

        public void reset() {
            com.android.server.HwConnectivityService.log("privateDnsCnt reset");
            this.mPrivateDnsCntResetTime = android.os.SystemClock.elapsedRealtime();
            this.mPrivateDnsCnt = 0;
            this.mDelay150Cnt = 0;
            this.mDelay500Cnt = 0;
            this.mDelay1000Cnt = 0;
            this.mDelayOver1000Cnt = 0;
            this.mPrivateDnsResponseTotalTime = 0;
            this.mPrivateDnsFailCount = 0;
            this.mBadDelayTotalCnt = 0;
        }

        public boolean isNeedUpdatePrivateDnsSettings() {
            if (this.mBypassPrivateDns) {
                if (android.os.SystemClock.elapsedRealtime() - this.mPrivateDnsBackoffTime >= ((long) (BACKOFF_TIME_INTERVAL[this.backoffCnt <= BACKOFF_TIME_INTERVAL.length - 1 ? this.backoffCnt : BACKOFF_TIME_INTERVAL.length - 1] * this.backoffTime))) {
                    com.android.server.HwConnectivityService.log("isNeedUpdatePrivateDnsSettings private dns backoff timeout");
                    reset();
                    this.backoffCnt++;
                    this.mPrivateDnsBackoffTime = 0;
                    this.mBypassPrivateDns = false;
                    sendIntentPrivateDnsEvent();
                    return true;
                }
            } else if ((this.mDelayOver1000Cnt >= this.unacceptCnt || this.mDelay1000Cnt >= this.verybadCnt || this.mDelay500Cnt >= this.badCnt || this.mBadDelayTotalCnt >= this.badTotalCnt || this.mPrivateDnsFailCount >= this.failedCnt) && this.mNetworkType == 1) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" isNeedUpdatePrivateDnsSettings mDelay150Cnt : ");
                stringBuilder.append(this.mDelay150Cnt);
                stringBuilder.append(" , mDelay500Cnt : ");
                stringBuilder.append(this.mDelay500Cnt);
                stringBuilder.append(" , mDelay1000Cnt : ");
                stringBuilder.append(this.mDelay1000Cnt);
                stringBuilder.append(" , mDelayOver1000Cnt : ");
                stringBuilder.append(this.mDelayOver1000Cnt);
                stringBuilder.append(" , mBadDelayTotalCnt = ");
                stringBuilder.append(this.mBadDelayTotalCnt);
                com.android.server.HwConnectivityService.log(stringBuilder.toString());
                this.mPrivateDnsBackoffTime = android.os.SystemClock.elapsedRealtime();
                this.mBypassPrivateDns = true;
                this.mDnsDelayOverThresCnt++;
                sendIntentPrivateDnsEvent();
                return true;
            }
            return false;
        }

        public void updateDelayCount(int returnCode, int latencyMs) {
            if (this.mBypassPrivateDns) {
                com.android.server.HwConnectivityService.log("updateDelayCount mBypassPrivateDns return");
                return;
            }
            if (android.os.SystemClock.elapsedRealtime() - this.mPrivateDnsCntResetTime >= ((long) this.resetCntTime)) {
                sendIntentPrivateDnsEvent();
                reset();
            }
            this.mPrivateDnsCnt++;
            if (returnCode == 0) {
                this.mPrivateDnsResponseTotalTime += latencyMs;
                if (latencyMs > 1000) {
                    this.mDelayOver1000Cnt++;
                } else if (latencyMs <= 150) {
                    this.mDelay150Cnt++;
                } else if (latencyMs <= 500) {
                    this.mDelay500Cnt++;
                } else if (latencyMs <= 1000) {
                    this.mDelay1000Cnt++;
                }
                this.mBadDelayTotalCnt = (this.mDelay500Cnt + this.mDelay1000Cnt) + this.mDelayOver1000Cnt;
            } else {
                this.mPrivateDnsFailCount++;
            }
        }

        public void sendIntentPrivateDnsEvent() {
            if (this.mContext != null) {
                if (this.mNetworkType == 1) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("sendIntentPrivateDnsEvent ReqCnt : ");
                    stringBuilder.append(this.mPrivateDnsCnt);
                    stringBuilder.append(" , DnsAddr : ");
                    stringBuilder.append(this.mAssignedServers);
                    stringBuilder.append(", DnsDelay : ");
                    stringBuilder.append(this.mPrivateDnsResponseTotalTime);
                    stringBuilder.append(" , ReqFailCnt : ");
                    stringBuilder.append(this.mPrivateDnsFailCount);
                    stringBuilder.append(", DnsDelayOverThresCnt : ");
                    stringBuilder.append(this.mDnsDelayOverThresCnt);
                    stringBuilder.append(", PrivDnsDisableCnt= ");
                    stringBuilder.append(this.backoffCnt);
                    com.android.server.HwConnectivityService.log(stringBuilder.toString());
                    android.content.Intent intent = new android.content.Intent("com.intent.action.wifi_private_dns_statistics");
                    android.os.Bundle extras = new android.os.Bundle();
                    extras.putInt("ReqCnt", this.mPrivateDnsCnt);
                    extras.putInt("DnsDelay", this.mPrivateDnsResponseTotalTime);
                    extras.putInt("ReqFailCnt", this.mPrivateDnsFailCount);
                    extras.putInt("DnsDelayOverThresCnt", this.mDnsDelayOverThresCnt);
                    extras.putInt("PrivDnsDisableCnt", this.backoffCnt);
                    extras.putString("DnsAddr", this.mAssignedServers);
                    extras.putBoolean("PrivDns", 1 ^ this.mBypassPrivateDns);
                    intent.putExtras(extras);
                    this.mContext.sendBroadcast(intent, "com.huawei.android.permission.GET_CHR_DATA");
                }
            }
        }
    }

    private static class CtrlSocketInfo {
        public int mAllowCtrlSocketLevel;
        public java.util.List<java.lang.String> mPushWhiteListPkg;
        public int mRegisteredCount;
        public java.util.List<java.lang.String> mRegisteredPkg;
        public java.util.List<java.lang.String> mScrOffActPkg;

        CtrlSocketInfo() {
            this.mRegisteredPkg = null;
            this.mScrOffActPkg = null;
            this.mPushWhiteListPkg = null;
            this.mAllowCtrlSocketLevel = 0;
            this.mRegisteredCount = 0;
            this.mRegisteredPkg = new java.util.ArrayList();
            this.mScrOffActPkg = new java.util.ArrayList();
            this.mPushWhiteListPkg = new java.util.ArrayList();
        }
    }

    private class DomainPreferHandler extends android.os.Handler {
        private static final int MSG_PREFER_NETWORK_FAIL = 1;
        private static final int MSG_PREFER_NETWORK_SUCCESS = 0;
        private static final int MSG_PREFER_NETWORK_TIMEOUT = 2;

        public DomainPreferHandler(android.os.Looper looper) {
            super(looper);
        }

        private java.lang.String getMsgName(int whatMsg) {
            switch (whatMsg) {
                case 0:
                    return "PREFER_NETWORK_SUCCESS";
                case 1:
                    return "PREFER_NETWORK_FAIL";
                case 2:
                    return "PREFER_NETWORK_TIMEOUT";
                default:
                    return java.lang.Integer.toString(whatMsg);
            }
        }

        public void handleMessage(android.os.Message msg) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("DomainPreferHandler handleMessage msg.what = ");
            stringBuilder.append(getMsgName(msg.what));
            com.android.server.HwConnectivityService.log(stringBuilder.toString());
            switch (msg.what) {
                case 0:
                    handlePreferNetworkSuccess(msg);
                    return;
                case 1:
                    handlePreferNetworkFail(msg);
                    return;
                case 2:
                    handlePreferNetworkTimeout(msg);
                    return;
                default:
                    return;
            }
        }

        private void handlePreferNetworkSuccess(android.os.Message msg) {
            android.net.NetworkRequest req = msg.obj;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("handlePreferNetworkSuccess request = ");
            stringBuilder.append(req);
            com.android.server.HwConnectivityService.log(stringBuilder.toString());
            if (com.android.server.HwConnectivityService.this.mDomainPreferHandler.hasMessages(2, req)) {
                com.android.server.HwConnectivityService.this.mDomainPreferHandler.removeMessages(2, req);
            }
        }

        private void handlePreferNetworkFail(android.os.Message msg) {
            com.android.server.ConnectivityService.NetworkRequestInfo nri = com.android.server.HwConnectivityService.this.findExistingNetworkRequestInfo(msg.arg1);
            if (nri != null) {
                if (nri.mPreferType != null) {
                    android.net.NetworkRequest req = nri.request;
                    int domainPrefer = nri.mPreferType.value();
                    if (com.android.server.HwConnectivityService.this.mDomainPreferHandler.hasMessages(2, req)) {
                        com.android.server.HwConnectivityService.this.mDomainPreferHandler.removeMessages(2, req);
                        retryNetworkRequestWhenPreferException(req, com.android.server.AbstractConnectivityService.DomainPreferType.fromInt(domainPrefer), "FAIL");
                    }
                    return;
                }
            }
            com.android.server.HwConnectivityService.log("handlePreferNetworkFail, nri or preferType is null.");
        }

        private void handlePreferNetworkTimeout(android.os.Message msg) {
            retryNetworkRequestWhenPreferException(msg.obj, com.android.server.AbstractConnectivityService.DomainPreferType.fromInt(msg.arg1), "TIMEOUT");
        }

        private void retryNetworkRequestWhenPreferException(android.net.NetworkRequest req, com.android.server.AbstractConnectivityService.DomainPreferType prefer, java.lang.String reason) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("retryNetworkRequestWhenPreferException req = ");
            stringBuilder.append(req);
            stringBuilder.append(" prefer = ");
            stringBuilder.append(prefer);
            stringBuilder.append(" reason = ");
            stringBuilder.append(reason);
            com.android.server.HwConnectivityService.log(stringBuilder.toString());
            com.android.server.ConnectivityService.NetworkRequestInfo nri = (com.android.server.ConnectivityService.NetworkRequestInfo) com.android.server.HwConnectivityService.this.mNetworkRequests.get(req);
            if (nri != null) {
                if ((prefer == com.android.server.AbstractConnectivityService.DomainPreferType.DOMAIN_PREFER_WIFI || prefer == com.android.server.AbstractConnectivityService.DomainPreferType.DOMAIN_PREFER_CELLULAR || prefer == com.android.server.AbstractConnectivityService.DomainPreferType.DOMAIN_PREFER_VOLTE) && ((com.android.server.connectivity.NetworkAgentInfo) com.android.server.HwConnectivityService.this.mNetworkForRequestId.get(req.requestId)) == null && prefer != null) {
                    for (com.android.server.ConnectivityService.NetworkFactoryInfo nfi : com.android.server.HwConnectivityService.this.mNetworkFactoryInfos.values()) {
                        nfi.asyncChannel.sendMessage(536577, req);
                    }
                    android.net.NetworkCapabilities networkCapabilities = req.networkCapabilities;
                    android.net.NetworkSpecifier networkSpecifier = networkCapabilities.getNetworkSpecifier();
                    com.android.server.HwConnectivityService.this.mNetworkRequests.remove(req);
                    android.util.LocalLog localLog = com.android.server.HwConnectivityService.this.mNetworkRequestInfoLogs;
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("UPDATE-RELEASE ");
                    stringBuilder2.append(nri);
                    localLog.log(stringBuilder2.toString());
                    if (com.android.server.AbstractConnectivityService.DomainPreferType.DOMAIN_PREFER_WIFI == prefer) {
                        networkCapabilities.setNetworkSpecifier(null);
                        networkCapabilities.addTransportType(0);
                        networkCapabilities.removeTransportType(1);
                        networkCapabilities.setNetworkSpecifier(networkSpecifier);
                    } else if (com.android.server.AbstractConnectivityService.DomainPreferType.DOMAIN_PREFER_CELLULAR == prefer || com.android.server.AbstractConnectivityService.DomainPreferType.DOMAIN_PREFER_VOLTE == prefer) {
                        networkCapabilities.setNetworkSpecifier(null);
                        networkCapabilities.addTransportType(1);
                        networkCapabilities.removeTransportType(0);
                        if (networkSpecifier == null) {
                            networkCapabilities.setNetworkSpecifier(new android.net.StringNetworkSpecifier(java.lang.Integer.toString(android.telephony.SubscriptionManager.getDefaultDataSubscriptionId())));
                        } else {
                            networkCapabilities.setNetworkSpecifier(networkSpecifier);
                        }
                    }
                    com.android.server.HwConnectivityService.this.mNetworkRequests.put(req, nri);
                    localLog = com.android.server.HwConnectivityService.this.mNetworkRequestInfoLogs;
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("UPDATE-REGISTER ");
                    stringBuilder2.append(nri);
                    localLog.log(stringBuilder2.toString());
                    com.android.server.HwConnectivityService.this.rematchAllNetworksAndRequests(null, 0);
                    if (com.android.server.HwConnectivityService.this.mNetworkForRequestId.get(req.requestId) == null) {
                        com.android.server.HwConnectivityService.this.sendUpdatedScoreToFactories(req, 0);
                    }
                }
            }
        }
    }

    private class HwConnectivityServiceHandler extends android.os.Handler {
        private static final int EVENT_SHOW_ENABLE_PDP_DIALOG = 0;

        private HwConnectivityServiceHandler() {
        }

        /* synthetic */ HwConnectivityServiceHandler(com.android.server.HwConnectivityService x0, com.android.server.HwConnectivityService.AnonymousClass1 x1) {
            this();
        }

        public void handleMessage(android.os.Message msg) {
            if (msg.what == 0) {
                com.android.server.HwConnectivityService.this.handleShowEnablePdpDialog();
            }
        }
    }

    private class MobileEnabledSettingObserver extends android.database.ContentObserver {
        public MobileEnabledSettingObserver(android.os.Handler handler) {
            super(handler);
        }

        public void register() {
            com.android.server.HwConnectivityService.connectivityServiceUtils.getContext(com.android.server.HwConnectivityService.this).getContentResolver().registerContentObserver(android.provider.Settings.Global.getUriFor("device_provisioned"), true, this);
        }

        public void onChange(boolean selfChange) {
            if (com.android.server.HwConnectivityService.this.mRemindService || com.android.server.HwConnectivityService.this.checkDataServiceRemindMsim()) {
                super.onChange(selfChange);
                if (!com.android.server.HwConnectivityService.this.getMobileDataEnabled() && com.android.server.HwConnectivityService.this.mDataServiceToPdpDialog == null) {
                    com.android.server.HwConnectivityService.this.mDataServiceToPdpDialog = com.android.server.HwConnectivityService.this.createWarningToPdp();
                    com.android.server.HwConnectivityService.this.mDataServiceToPdpDialog.show();
                }
            }
        }
    }

    private class RegisteredPushPkg {
        private static final java.lang.String MSG_ALL_CTRLSOCKET_ALLOWED = "android.ctrlsocket.all.allowed";
        private static final java.lang.String MSG_SCROFF_CTRLSOCKET_STATS = "android.scroff.ctrlsocket.status";
        private static final java.lang.String ctrl_socket_version = "v2";
        private int ALLOW_ALL_CTRL_SOCKET_LEVEL = 2;
        private int ALLOW_NO_CTRL_SOCKET_LEVEL = 0;
        private int ALLOW_PART_CTRL_SOCKET_LEVEL = 1;
        private int ALLOW_SPECIAL_CTRL_SOCKET_LEVEL = 3;
        private int MAX_REGISTERED_PKG_NUM = 10;
        private final android.net.Uri WHITELIST_URI = android.provider.Settings.Secure.getUriFor("push_white_apps");
        private com.android.server.HwConnectivityService.CtrlSocketInfo mCtrlSocketInfo = new com.android.server.HwConnectivityService.CtrlSocketInfo();
        private boolean mEnable = android.os.SystemProperties.getBoolean("ro.config.hw_power_saving", false);

        RegisteredPushPkg() {
        }

        public void init(android.content.Context context) {
            android.content.IntentFilter filter = new android.content.IntentFilter();
            filter.addAction("android.intent.action.BOOT_COMPLETED");
            filter.addAction("android.bluetooth.pan.profile.action.CONNECTION_STATE_CHANGED");
            if (this.mEnable) {
                filter.addAction("android.scroff.ctrlsocket.status");
                filter.addAction("android.ctrlsocket.all.allowed");
                getCtrlSocketRegisteredPkg();
                getCtrlSocketPushWhiteList();
                context.getContentResolver().registerContentObserver(this.WHITELIST_URI, false, new android.database.ContentObserver(new android.os.Handler()) {
                    public void onChange(boolean selfChange) {
                        com.android.server.HwConnectivityService.RegisteredPushPkg.this.getCtrlSocketPushWhiteList();
                    }
                });
            }
            context.registerReceiver(com.android.server.HwConnectivityService.this.mIntentReceiver, filter);
        }

        public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) {
            java.lang.String register_pkg;
            java.lang.StringBuilder stringBuilder;
            switch (code) {
                case 1001:
                    register_pkg = data.readString();
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("CtrlSocket registerPushSocket pkg = ");
                    stringBuilder.append(register_pkg);
                    android.util.Log.d("HwConnectivityService", stringBuilder.toString());
                    registerPushSocket(register_pkg);
                    return true;
                case 1002:
                    register_pkg = data.readString();
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("CtrlSocket unregisterPushSocket pkg = ");
                    stringBuilder.append(register_pkg);
                    android.util.Log.d("HwConnectivityService", stringBuilder.toString());
                    unregisterPushSocket(register_pkg);
                    return true;
                case 1004:
                    reply.writeString(getActPkgInWhiteList());
                    return true;
                case 1005:
                    reply.writeInt(this.mCtrlSocketInfo.mAllowCtrlSocketLevel);
                    return true;
                case 1006:
                    android.util.Log.d("HwConnectivityService", "CtrlSocket getCtrlSocketVersion = v2");
                    reply.writeString("v2");
                    return true;
                default:
                    return false;
            }
        }

        private void registerPushSocket(java.lang.String pkgName) {
            if (pkgName != null) {
                boolean isToAdd = false;
                for (java.lang.String pkg : this.mCtrlSocketInfo.mRegisteredPkg) {
                    if (pkg.equals(pkgName)) {
                        return;
                    }
                }
                if (this.mCtrlSocketInfo.mRegisteredCount >= this.MAX_REGISTERED_PKG_NUM) {
                    for (java.lang.String pkg2 : this.mCtrlSocketInfo.mPushWhiteListPkg) {
                        if (pkg2.equals(pkgName)) {
                            isToAdd = true;
                        }
                    }
                } else {
                    isToAdd = true;
                }
                if (isToAdd) {
                    com.android.server.HwConnectivityService.CtrlSocketInfo ctrlSocketInfo = this.mCtrlSocketInfo;
                    ctrlSocketInfo.mRegisteredCount++;
                    this.mCtrlSocketInfo.mRegisteredPkg.add(pkgName);
                    updateRegisteredPkg();
                }
            }
        }

        private void unregisterPushSocket(java.lang.String pkgName) {
            if (pkgName != null) {
                int count = 0;
                boolean isMatch = false;
                for (java.lang.String pkg : this.mCtrlSocketInfo.mRegisteredPkg) {
                    if (pkg.equals(pkgName)) {
                        isMatch = true;
                        break;
                    }
                    count++;
                }
                if (isMatch) {
                    com.android.server.HwConnectivityService.CtrlSocketInfo ctrlSocketInfo = this.mCtrlSocketInfo;
                    ctrlSocketInfo.mRegisteredCount--;
                    this.mCtrlSocketInfo.mRegisteredPkg.remove(count);
                    updateRegisteredPkg();
                }
            }
        }

        private void getCtrlSocketPushWhiteList() {
            java.lang.String wlPkg = android.provider.Settings.Secure.getString(com.android.server.HwConnectivityService.this.mContext.getContentResolver(), "push_white_apps");
            if (wlPkg != null) {
                java.lang.String[] str = wlPkg.split(";");
                if (str != null) {
                    if (str.length > 0) {
                        this.mCtrlSocketInfo.mPushWhiteListPkg.clear();
                        for (int i = 0; i < str.length; i++) {
                            this.mCtrlSocketInfo.mPushWhiteListPkg.add(str[i]);
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("CtrlSocket PushWhiteList[");
                            stringBuilder.append(i);
                            stringBuilder.append("] = ");
                            stringBuilder.append(str[i]);
                            android.util.Log.d("HwConnectivityService", stringBuilder.toString());
                        }
                    }
                }
            }
        }

        private void getCtrlSocketRegisteredPkg() {
            java.lang.String registeredPkg = android.provider.Settings.Secure.getString(com.android.server.HwConnectivityService.this.mContext.getContentResolver(), "registered_pkgs");
            if (registeredPkg != null) {
                java.lang.String[] str = registeredPkg.split(";");
                if (str != null) {
                    if (str.length > 0) {
                        this.mCtrlSocketInfo.mRegisteredPkg.clear();
                        int i = 0;
                        this.mCtrlSocketInfo.mRegisteredCount = 0;
                        while (true) {
                            int i2 = i;
                            if (i2 < str.length) {
                                this.mCtrlSocketInfo.mRegisteredPkg.add(str[i2]);
                                com.android.server.HwConnectivityService.CtrlSocketInfo ctrlSocketInfo = this.mCtrlSocketInfo;
                                ctrlSocketInfo.mRegisteredCount++;
                                i = i2 + 1;
                            } else {
                                return;
                            }
                        }
                    }
                }
            }
        }

        private void updateRegisteredPkg() {
            java.lang.StringBuffer registeredPkg = new java.lang.StringBuffer();
            for (java.lang.String pkg : this.mCtrlSocketInfo.mRegisteredPkg) {
                registeredPkg.append(pkg);
                registeredPkg.append(";");
            }
            android.provider.Settings.Secure.putString(com.android.server.HwConnectivityService.this.mContext.getContentResolver(), "registered_pkgs", registeredPkg.toString());
        }

        private java.lang.String getActPkgInWhiteList() {
            if (this.ALLOW_PART_CTRL_SOCKET_LEVEL != this.mCtrlSocketInfo.mAllowCtrlSocketLevel) {
                return null;
            }
            java.lang.StringBuffer activePkg = new java.lang.StringBuffer();
            for (java.lang.String pkg : this.mCtrlSocketInfo.mScrOffActPkg) {
                activePkg.append(pkg);
                activePkg.append("\t");
            }
            return activePkg.toString();
        }

        public void updateStatus(android.content.Intent intent) {
            java.lang.String action = intent.getAction();
            if ("android.scroff.ctrlsocket.status".equals(action)) {
                int i = 0;
                if (intent.getBooleanExtra("ctrl_socket_status", false)) {
                    this.mCtrlSocketInfo.mScrOffActPkg.clear();
                    this.mCtrlSocketInfo.mAllowCtrlSocketLevel = this.ALLOW_PART_CTRL_SOCKET_LEVEL;
                    java.lang.String actPkgs = intent.getStringExtra("ctrl_socket_list");
                    if (!android.text.TextUtils.isEmpty(actPkgs)) {
                        java.lang.String[] whitePackages = actPkgs.split("\t");
                        if (whitePackages != null) {
                            while (i < whitePackages.length) {
                                this.mCtrlSocketInfo.mScrOffActPkg.add(whitePackages[i]);
                                i++;
                            }
                        }
                    }
                }
            } else if ("android.ctrlsocket.all.allowed".equals(action)) {
                this.mCtrlSocketInfo.mAllowCtrlSocketLevel = this.ALLOW_NO_CTRL_SOCKET_LEVEL;
            }
        }
    }

    private class WifiDisconnectManager {
        private static final java.lang.String ACTION_SWITCH_TO_MOBILE_NETWORK = "android.intent.action.SWITCH_TO_MOBILE_NETWORK";
        private static final java.lang.String ACTION_WIFI_NETWORK_CONNECTION_CHANGED = "huawei.intent.action.WIFI_NETWORK_CONNECTION_CHANGED";
        private static final java.lang.String CONNECT_STATE = "connect_state";
        private static final java.lang.String SWITCH_STATE = "switch_state";
        private static final int SWITCH_TO_WIFI_AUTO = 0;
        private static final java.lang.String SWITCH_TO_WIFI_TYPE = "wifi_connect_type";
        private static final java.lang.String WIFI_TO_PDP = "wifi_to_pdp";
        private static final int WIFI_TO_PDP_AUTO = 1;
        private static final int WIFI_TO_PDP_NEVER = 2;
        private static final int WIFI_TO_PDP_NOTIFY = 0;
        private boolean REMIND_WIFI_TO_PDP;
        private boolean mDialogHasShown;
        android.net.NetworkInfo.State mLastWifiState;
        private android.content.BroadcastReceiver mNetworkSwitchReceiver;
        private boolean mShouldStartMobile;
        private android.os.Handler mSwitchHandler;
        private android.content.DialogInterface.OnDismissListener mSwitchPdpListener;
        protected android.app.AlertDialog mWifiToPdpDialog;
        private boolean shouldShowDialogWhenConnectFailed;

        private WifiDisconnectManager() {
            this.REMIND_WIFI_TO_PDP = false;
            this.mWifiToPdpDialog = null;
            this.mShouldStartMobile = false;
            this.shouldShowDialogWhenConnectFailed = true;
            this.mDialogHasShown = false;
            this.mLastWifiState = android.net.NetworkInfo.State.DISCONNECTED;
            this.mSwitchPdpListener = new android.content.DialogInterface.OnDismissListener() {
                public void onDismiss(android.content.DialogInterface dialog) {
                    com.android.internal.telephony.HwTelephonyFactory.getHwDataServiceChrManager().sendMonitorWifiSwitchToMobileMessage(5000);
                    if (com.android.server.HwConnectivityService.WifiDisconnectManager.this.mShouldStartMobile) {
                        com.android.server.HwConnectivityService.this.setMobileDataEnabled("wifi", true);
                        com.android.server.HwConnectivityService.log("you have restart Mobile data service!");
                    }
                    com.android.server.HwConnectivityService.WifiDisconnectManager.this.mShouldStartMobile = false;
                    com.android.server.HwConnectivityService.WifiDisconnectManager.this.mWifiToPdpDialog = null;
                }
            };
            this.mNetworkSwitchReceiver = new android.content.BroadcastReceiver() {
                public void onReceive(android.content.Context context, android.content.Intent intent) {
                    if (!"android.intent.action.SWITCH_TO_MOBILE_NETWORK".equals(intent.getAction())) {
                        return;
                    }
                    if (intent.getBooleanExtra("switch_state", true)) {
                        com.android.server.HwConnectivityService.this.wifiDisconnectManager.switchToMobileNetwork();
                    } else {
                        com.android.server.HwConnectivityService.this.wifiDisconnectManager.cancelSwitchToMobileNetwork();
                    }
                }
            };
            this.mSwitchHandler = new android.os.Handler() {
                public void handleMessage(android.os.Message msg) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("mSwitchHandler recieve msg =");
                    stringBuilder.append(msg.what);
                    com.android.server.HwConnectivityService.log(stringBuilder.toString());
                    if (msg.what == 0) {
                        com.android.server.HwConnectivityService.WifiDisconnectManager.this.switchToMobileNetwork();
                    }
                }
            };
        }

        /* synthetic */ WifiDisconnectManager(com.android.server.HwConnectivityService x0, com.android.server.HwConnectivityService.AnonymousClass1 x1) {
            this();
        }

        private boolean getAirplaneModeEnable() {
            boolean z = true;
            if (android.provider.Settings.System.getInt(com.android.server.HwConnectivityService.connectivityServiceUtils.getContext(com.android.server.HwConnectivityService.this).getContentResolver(), "airplane_mode_on", 0) != 1) {
                z = false;
            }
            boolean retVal = z;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getAirplaneModeEnable returning ");
            stringBuilder.append(retVal);
            com.android.server.HwConnectivityService.log(stringBuilder.toString());
            return retVal;
        }

        private android.app.AlertDialog createSwitchToPdpWarning() {
            com.android.server.HwConnectivityService.log("create dialog of switch to pdp");
            com.android.internal.telephony.HwTelephonyFactory.getHwDataServiceChrManager().removeMonitorWifiSwitchToMobileMessage();
            android.app.AlertDialog.Builder buider = new android.app.AlertDialog.Builder(com.android.server.HwConnectivityService.connectivityServiceUtils.getContext(com.android.server.HwConnectivityService.this), 33947691);
            android.view.View view = android.view.LayoutInflater.from(buider.getContext()).inflate(34013282, null);
            final android.widget.CheckBox checkBox = (android.widget.CheckBox) view.findViewById(34603157);
            buider.setView(view);
            buider.setTitle(33685520);
            buider.setIcon(17301543);
            buider.setPositiveButton(33685567, new android.content.DialogInterface.OnClickListener() {
                public void onClick(android.content.DialogInterface dialoginterface, int i) {
                    com.android.server.HwConnectivityService.WifiDisconnectManager.this.mShouldStartMobile = true;
                    com.android.server.HwConnectivityService.log("setPositiveButton: mShouldStartMobile set true");
                    com.android.server.HwConnectivityService.WifiDisconnectManager.this.checkUserChoice(checkBox.isChecked(), true);
                }
            });
            buider.setNegativeButton(33685568, new android.content.DialogInterface.OnClickListener() {
                public void onClick(android.content.DialogInterface dialoginterface, int i) {
                    com.android.server.HwConnectivityService.log("you have chose to disconnect Mobile data service!");
                    com.android.server.HwConnectivityService.WifiDisconnectManager.this.mShouldStartMobile = false;
                    com.android.server.HwConnectivityService.WifiDisconnectManager.this.checkUserChoice(checkBox.isChecked(), false);
                }
            });
            android.app.AlertDialog dialog = buider.create();
            dialog.setCancelable(false);
            dialog.getWindow().setType(2008);
            return dialog;
        }

        private void checkUserChoice(boolean rememberChoice, boolean enableDataConnect) {
            int showPopState;
            if (!rememberChoice) {
                showPopState = 0;
            } else if (enableDataConnect) {
                showPopState = 1;
            } else {
                showPopState = 0;
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("checkUserChoice showPopState:");
            stringBuilder.append(showPopState);
            stringBuilder.append(", enableDataConnect:");
            stringBuilder.append(enableDataConnect);
            com.android.server.HwConnectivityService.log(stringBuilder.toString());
            android.provider.Settings.System.putInt(com.android.server.HwConnectivityService.connectivityServiceUtils.getContext(com.android.server.HwConnectivityService.this).getContentResolver(), "wifi_to_pdp", showPopState);
        }

        private void sendWifiBroadcast(boolean isConnectingOrConnected) {
            if (android.app.ActivityManagerNative.isSystemReady() && com.android.server.HwConnectivityService.this.sendWifiBroadcastAfterBootCompleted) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("notify settings:");
                stringBuilder.append(isConnectingOrConnected);
                com.android.server.HwConnectivityService.log(stringBuilder.toString());
                android.content.Intent intent = new android.content.Intent("huawei.intent.action.WIFI_NETWORK_CONNECTION_CHANGED");
                intent.putExtra("connect_state", isConnectingOrConnected);
                com.android.server.HwConnectivityService.connectivityServiceUtils.getContext(com.android.server.HwConnectivityService.this).sendBroadcast(intent);
            }
        }

        private boolean shouldNotifySettings() {
            if (!isSwitchToWifiSupported() || android.provider.Settings.System.getInt(com.android.server.HwConnectivityService.connectivityServiceUtils.getContext(com.android.server.HwConnectivityService.this).getContentResolver(), "wifi_connect_type", 0) == 0) {
                return false;
            }
            return true;
        }

        private boolean isSwitchToWifiSupported() {
            if (!"CMCC".equalsIgnoreCase(android.os.SystemProperties.get("ro.config.operators", ""))) {
                if (!com.android.server.HwConnectivityService.this.mCust.isSupportWifiConnectMode(com.android.server.HwConnectivityService.this.mContext)) {
                    return false;
                }
            }
            return true;
        }

        private void switchToMobileNetwork() {
            if (getAirplaneModeEnable()) {
                com.android.server.HwConnectivityService.this.enableDefaultTypeAPN(true);
            } else if (this.shouldShowDialogWhenConnectFailed || !this.mDialogHasShown) {
                int value = android.provider.Settings.System.getInt(com.android.server.HwConnectivityService.connectivityServiceUtils.getContext(com.android.server.HwConnectivityService.this).getContentResolver(), "wifi_to_pdp", 1);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("WIFI_TO_PDP value =");
                stringBuilder.append(value);
                com.android.server.HwConnectivityService.log(stringBuilder.toString());
                int wifiplusvalue = android.provider.Settings.System.getInt(com.android.server.HwConnectivityService.connectivityServiceUtils.getContext(com.android.server.HwConnectivityService.this).getContentResolver(), "wifi_csp_dispaly_state", 1);
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("wifiplus_csp_dispaly_state value =");
                stringBuilder2.append(wifiplusvalue);
                com.android.server.HwConnectivityService.log(stringBuilder2.toString());
                android.telephony.HwVSimManager hwVSimManager = android.telephony.HwVSimManager.getDefault();
                if (hwVSimManager != null && hwVSimManager.isVSimEnabled()) {
                    com.android.server.HwConnectivityService.log("vsim is enabled and following process will execute enableDefaultTypeAPN(true), so do nothing that likes value == WIFI_TO_PDP_AUTO");
                } else if (value == 0) {
                    if (wifiplusvalue == 0) {
                        com.android.server.HwConnectivityService.log("wifi_csp_dispaly_state = 0, Don't create WifiToPdpDialog");
                        com.android.server.HwConnectivityService.log("enableDefaultTypeAPN(true) in switchToMobileNetwork()  ");
                        com.android.server.HwConnectivityService.this.shouldEnableDefaultAPN();
                        return;
                    }
                    com.android.server.HwConnectivityService.this.setMobileDataEnabled("wifi", false);
                    this.mShouldStartMobile = true;
                    this.mDialogHasShown = true;
                    this.mWifiToPdpDialog = createSwitchToPdpWarning();
                    this.mWifiToPdpDialog.setOnDismissListener(this.mSwitchPdpListener);
                    this.mWifiToPdpDialog.show();
                } else if (value != 1) {
                    if (1 == wifiplusvalue) {
                        com.android.server.HwConnectivityService.this.setMobileDataEnabled("wifi", false);
                    } else {
                        com.android.server.HwConnectivityService.log("wifi_csp_dispaly_state = 0, Don't setMobileDataEnabled");
                    }
                }
                com.android.server.HwConnectivityService.log("enableDefaultTypeAPN(true) in switchToMobileNetwork( )");
                com.android.server.HwConnectivityService.this.shouldEnableDefaultAPN();
            }
        }

        private void cancelSwitchToMobileNetwork() {
            if (this.mWifiToPdpDialog != null) {
                android.util.Log.d("HwConnectivityService", "cancelSwitchToMobileNetwork and mWifiToPdpDialog is showing");
                this.mShouldStartMobile = true;
                this.mWifiToPdpDialog.dismiss();
            }
        }

        private void registerReceiver() {
            this.REMIND_WIFI_TO_PDP = "true".equals(android.provider.Settings.Global.getString(com.android.server.HwConnectivityService.this.mContext.getContentResolver(), "hw_RemindWifiToPdp"));
            if (this.REMIND_WIFI_TO_PDP && isSwitchToWifiSupported()) {
                android.content.IntentFilter filter = new android.content.IntentFilter();
                filter.addAction("android.intent.action.SWITCH_TO_MOBILE_NETWORK");
                com.android.server.HwConnectivityService.connectivityServiceUtils.getContext(com.android.server.HwConnectivityService.this).registerReceiver(this.mNetworkSwitchReceiver, filter);
            }
        }

        protected void hintUserSwitchToMobileWhileWifiDisconnected(android.net.NetworkInfo.State state, int type) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("hintUserSwitchToMobileWhileWifiDisconnected, state=");
            stringBuilder.append(state);
            stringBuilder.append("  type =");
            stringBuilder.append(type);
            com.android.server.HwConnectivityService.log(stringBuilder.toString());
            boolean shouldEnableDefaultTypeAPN = true;
            if (this.REMIND_WIFI_TO_PDP) {
                if (state == android.net.NetworkInfo.State.DISCONNECTED && type == 1 && com.android.server.HwConnectivityService.this.getMobileDataEnabled()) {
                    if (this.mLastWifiState == android.net.NetworkInfo.State.CONNECTED) {
                        int value = android.provider.Settings.System.getInt(com.android.server.HwConnectivityService.connectivityServiceUtils.getContext(com.android.server.HwConnectivityService.this).getContentResolver(), "wifi_to_pdp", 1);
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("WIFI_TO_PDP value     =");
                        stringBuilder2.append(value);
                        com.android.server.HwConnectivityService.log(stringBuilder2.toString());
                        if (value == 1) {
                            com.android.server.HwConnectivityService.this.shouldEnableDefaultAPN();
                            return;
                        }
                        this.shouldShowDialogWhenConnectFailed = true;
                        com.android.server.HwConnectivityService.log("mShouldEnableDefaultTypeAPN was set false");
                        shouldEnableDefaultTypeAPN = false;
                    }
                    if (shouldNotifySettings()) {
                        sendWifiBroadcast(false);
                    } else if (getAirplaneModeEnable()) {
                        shouldEnableDefaultTypeAPN = true;
                    } else {
                        this.mSwitchHandler.sendMessageDelayed(this.mSwitchHandler.obtainMessage(0), 5000);
                        com.android.server.HwConnectivityService.log("switch message will be send in 5 seconds");
                    }
                    if (this.mLastWifiState == android.net.NetworkInfo.State.CONNECTING) {
                        this.shouldShowDialogWhenConnectFailed = false;
                    }
                } else if ((state == android.net.NetworkInfo.State.CONNECTED || state == android.net.NetworkInfo.State.CONNECTING) && type == 1) {
                    if (state == android.net.NetworkInfo.State.CONNECTED) {
                        this.mDialogHasShown = false;
                    }
                    if (shouldNotifySettings()) {
                        sendWifiBroadcast(true);
                    } else if (this.mSwitchHandler.hasMessages(0)) {
                        this.mSwitchHandler.removeMessages(0);
                        com.android.server.HwConnectivityService.log("switch message was removed");
                    }
                    if (this.mWifiToPdpDialog != null) {
                        this.mShouldStartMobile = true;
                        this.mWifiToPdpDialog.dismiss();
                    }
                }
                if (type == 1) {
                    java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append("mLastWifiState =");
                    stringBuilder3.append(this.mLastWifiState);
                    com.android.server.HwConnectivityService.log(stringBuilder3.toString());
                    this.mLastWifiState = state;
                }
            }
            if (shouldEnableDefaultTypeAPN && state == android.net.NetworkInfo.State.DISCONNECTED && type == 1) {
                com.android.server.HwConnectivityService.log("enableDefaultTypeAPN(true) in hintUserSwitchToMobileWhileWifiDisconnected");
                com.android.server.HwConnectivityService.this.shouldEnableDefaultAPN();
            }
        }

        protected void makeDefaultAndHintUser(com.android.server.connectivity.NetworkAgentInfo newNetwork) {
        }
    }

    static {
        boolean z = true;
        if (!"389".equals(android.os.SystemProperties.get("ro.config.hw_opta")) || !"840".equals(android.os.SystemProperties.get("ro.config.hw_optb"))) {
            z = false;
        }
        isVerizon = z;
    }

    private static void log(java.lang.String s) {
        android.util.Slog.d("HwConnectivityService", s);
    }

    private static void loge(java.lang.String s) {
        android.util.Slog.e("HwConnectivityService", s);
    }

    public HwConnectivityService(android.content.Context context, android.os.INetworkManagementService netd, android.net.INetworkStatsService statsService, android.net.INetworkPolicyManager policyManager) {
        super(context, netd, statsService, policyManager);
        this.mContext = context;
        this.mSimChangeAlertDataConnect = android.provider.Settings.System.getString(context.getContentResolver(), "hw_sim_change_alert_data_connect");
        this.mRegisteredPushPkg.init(context);
        registerSimStateReceiver(context);
        if (isVerizon) {
            registerVerizonWifiDisconnectedReceiver(context);
        }
        this.wifiDisconnectManager.registerReceiver();
        registerPhoneStateListener(context);
        registerBootStateListener(context);
        this.mActivityManager = (android.app.ActivityManager) this.mContext.getSystemService("activity");
        this.mHandler = new com.android.server.HwConnectivityService.HwConnectivityServiceHandler(this, null);
        this.mDomainPreferHandler = new com.android.server.HwConnectivityService.DomainPreferHandler(this.mHandlerThread.getLooper());
        if (java.lang.Boolean.valueOf(android.os.SystemProperties.getBoolean("ro.vendor.config.hw_vowifi", false)).booleanValue()) {
            registerMapconIntentReceiver(context);
        }
        this.mServer = android.provider.Settings.Global.getString(context.getContentResolver(), "captive_portal_server");
        if (android.text.TextUtils.isEmpty(this.mServer) || this.mServer.startsWith("http")) {
            this.mServer = "connectivitycheck.gstatic.com";
        }
        android.os.SystemProperties.set("sys.defaultapn.enabled", "true");
        registerTetheringReceiver(context);
        initGCMFixer(context);
        if (true == HiCureEnabled) {
            this.mHiCureManager = com.android.server.hidata.hicure.HwHiCureManager.createInstance(context);
            log("HwHiCureManager setup.");
        }
    }

    private void initGCMFixer(android.content.Context context) {
        android.content.IntentFilter filter = new android.content.IntentFilter();
        filter.addAction("android.intent.action.BOOT_COMPLETED");
        filter.addAction("android.net.conn.CONNECTIVITY_CHANGE");
        this.mContext.registerReceiver(this.mGcmFixIntentReceiver, filter);
        filter = new android.content.IntentFilter();
        filter.addAction("com.android.intent.action.HEARTBEAT_FIXER");
        this.mContext.registerReceiver(this.mHeartbeatReceiver, filter, "android.permission.CONNECTIVITY_INTERNAL", null);
    }

    private java.lang.String[] getFeature(java.lang.String str) {
        if (str != null) {
            java.lang.String[] result = new java.lang.String[2];
            int subId = 0;
            if (huawei.android.telephony.wrapper.WrapperFactory.getMSimTelephonyManagerWrapper().isMultiSimEnabled()) {
                subId = huawei.android.telephony.wrapper.WrapperFactory.getMSimTelephonyManagerWrapper().getPreferredDataSubscription();
                if (str.equals("enableMMS_sub2")) {
                    str = "enableMMS";
                    subId = 1;
                } else if (str.equals("enableMMS_sub1")) {
                    str = "enableMMS";
                    subId = 0;
                }
            }
            result[0] = str;
            result[1] = java.lang.String.valueOf(subId);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getFeature: return feature=");
            stringBuilder.append(str);
            stringBuilder.append(" subId=");
            stringBuilder.append(subId);
            android.util.Slog.d("HwConnectivityService", stringBuilder.toString());
            return result;
        }
        throw new java.lang.IllegalArgumentException("getFeature() received null string");
    }

    protected java.lang.String getMmsFeature(java.lang.String feature) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getMmsFeature HwFeatureConfig.dual_card_mms_switch");
        stringBuilder.append(huawei.HwFeatureConfig.dual_card_mms_switch);
        android.util.Slog.d("HwConnectivityService", stringBuilder.toString());
        if (!huawei.HwFeatureConfig.dual_card_mms_switch) {
            return feature;
        }
        java.lang.String[] result = getFeature(feature);
        feature = result[0];
        this.phoneId = java.lang.Integer.parseInt(result[1]);
        this.curMmsDataSub = -1;
        return feature;
    }

    protected boolean isAlwaysAllowMMSforRoaming(int networkType, java.lang.String feature) {
        if (networkType == 0) {
            boolean isAlwaysAllowMMSforRoaming = isAlwaysAllowMMS;
            if (com.android.internal.telephony.HwPhoneConstants.IS_CHINA_TELECOM) {
                boolean roaming = huawei.android.telephony.wrapper.WrapperFactory.getMSimTelephonyManagerWrapper().isNetworkRoaming(this.phoneId);
                if (isAlwaysAllowMMSforRoaming) {
                }
            }
        }
        return true;
    }

    protected boolean isMmsAutoSetSubDiffFromDataSub(int networkType, java.lang.String feature) {
        if (!huawei.HwFeatureConfig.dual_card_mms_switch) {
            return false;
        }
        this.curPrefDataSubscription = huawei.android.telephony.wrapper.WrapperFactory.getMSimTelephonyManagerWrapper().getPreferredDataSubscription();
        this.curMmsDataSub = huawei.android.telephony.wrapper.WrapperFactory.getMSimTelephonyManagerWrapper().getMmsAutoSetDataSubscription();
        if (!feature.equals("enableMMS") || networkType != 0) {
            return false;
        }
        if ((this.curMmsDataSub != 0 && 1 != this.curMmsDataSub) || this.phoneId == this.curMmsDataSub) {
            return false;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("DSMMS dds is switching now, do not response request from another card, curMmsDataSub: ");
        stringBuilder.append(this.curMmsDataSub);
        log(stringBuilder.toString());
        return true;
    }

    protected boolean isMmsSubDiffFromDataSub(int networkType, java.lang.String feature) {
        if (huawei.HwFeatureConfig.dual_card_mms_switch && feature.equals("enableMMS") && networkType == 0 && this.curPrefDataSubscription != this.phoneId) {
            return true;
        }
        return false;
    }

    protected boolean isNetRequestersPidsContainCurrentPid(java.util.List<java.lang.Integer>[] mNetRequestersPids, int usedNetworkType, java.lang.Integer currentPid) {
        if (!huawei.HwFeatureConfig.dual_card_mms_switch || !huawei.android.telephony.wrapper.WrapperFactory.getMSimTelephonyManagerWrapper().isMultiSimEnabled() || mNetRequestersPids[usedNetworkType].contains(currentPid)) {
            return true;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("not tearing down special network - not found pid ");
        stringBuilder.append(currentPid);
        android.util.Slog.w("HwConnectivityService", stringBuilder.toString());
        return false;
    }

    protected boolean isNeedTearMmsAndRestoreData(int networkType, java.lang.String feature, android.os.Handler mHandler) {
        int lastPrefDataSubscription = 1;
        if (!huawei.HwFeatureConfig.dual_card_mms_switch) {
            return true;
        }
        if (networkType != 0 || !feature.equals("enableMMS")) {
            return true;
        }
        if (!huawei.android.telephony.wrapper.WrapperFactory.getMSimTelephonyManagerWrapper().isMultiSimEnabled()) {
            return true;
        }
        boolean retValue;
        int curMmsDataSub = huawei.android.telephony.wrapper.WrapperFactory.getMSimTelephonyManagerWrapper().getMmsAutoSetDataSubscription();
        if (curMmsDataSub != 0) {
            if (1 != curMmsDataSub) {
                retValue = true;
                return retValue;
            }
        }
        if (curMmsDataSub != 0) {
            lastPrefDataSubscription = 0;
        }
        int curPrefDataSubscription = huawei.android.telephony.wrapper.WrapperFactory.getMSimTelephonyManagerWrapper().getPreferredDataSubscription();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isNeedTearDataAndRestoreData lastPrefDataSubscription");
        stringBuilder.append(lastPrefDataSubscription);
        stringBuilder.append("curPrefDataSubscription");
        stringBuilder.append(curPrefDataSubscription);
        log(stringBuilder.toString());
        retValue = true;
        if (lastPrefDataSubscription != curPrefDataSubscription) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("DSMMS >>>> disable a connection, after MMS net disconnected will switch back to phone ");
            stringBuilder.append(lastPrefDataSubscription);
            log(stringBuilder.toString());
            huawei.android.telephony.wrapper.WrapperFactory.getMSimTelephonyManagerWrapper().setPreferredDataSubscription(lastPrefDataSubscription);
        } else {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("DSMMS unexpected case, data subscription is already on ");
            stringBuilder.append(curPrefDataSubscription);
            log(stringBuilder.toString());
        }
        huawei.android.telephony.wrapper.WrapperFactory.getMSimTelephonyManagerWrapper().setMmsAutoSetDataSubscription(-1);
        return retValue;
    }

    private boolean isConnectedOrConnectingOrSuspended(android.net.NetworkInfo info) {
        boolean z;
        synchronized (this) {
            if (!(info.getState() == android.net.NetworkInfo.State.CONNECTED || info.getState() == android.net.NetworkInfo.State.CONNECTING)) {
                if (info.getState() != android.net.NetworkInfo.State.SUSPENDED) {
                    z = false;
                }
            }
            z = true;
        }
        return z;
    }

    private android.app.AlertDialog createWarningRoamingToPdp() {
        android.app.AlertDialog.Builder buider = new android.app.AlertDialog.Builder(connectivityServiceUtils.getContext(this), connectivityServiceUtils.getContext(this).getResources().getIdentifier("androidhwext:style/Theme.Emui.Dialog.Alert", null, null));
        buider.setTitle(33685962);
        buider.setMessage(33685963);
        buider.setIcon(17301543);
        buider.setPositiveButton(17040145, new android.content.DialogInterface.OnClickListener() {
            public void onClick(android.content.DialogInterface dialoginterface, int i) {
                android.telephony.HwTelephonyManagerInner.getDefault().setDataRoamingEnabledWithoutPromp(true);
                android.widget.Toast.makeText(com.android.server.HwConnectivityService.this.mContext, 33685965, 1).show();
            }
        });
        buider.setNegativeButton(17040144, new android.content.DialogInterface.OnClickListener() {
            public void onClick(android.content.DialogInterface dialog, int which) {
                android.widget.Toast.makeText(com.android.server.HwConnectivityService.this.mContext, 33685966, 1).show();
            }
        });
        android.app.AlertDialog dialog = buider.create();
        dialog.getWindow().setType(2008);
        return dialog;
    }

    private android.app.AlertDialog createWarningToPdp() {
        android.app.AlertDialog.Builder buider;
        final java.lang.String enable_Not_Remind_Function = android.provider.SettingsEx.Systemex.getString(connectivityServiceUtils.getContext(this).getContentResolver(), ENABLE_NOT_REMIND_FUNCTION);
        android.widget.CheckBox checkBox = null;
        if (VALUE_ENABLE_NOT_REMIND_FUNCTION.equals(enable_Not_Remind_Function)) {
            int themeID = connectivityServiceUtils.getContext(this).getResources().getIdentifier("androidhwext:style/Theme.Emui.Dialog.Alert", null, null);
            buider = new android.app.AlertDialog.Builder(new android.view.ContextThemeWrapper(connectivityServiceUtils.getContext(this), themeID), themeID);
            android.view.View view = android.view.LayoutInflater.from(buider.getContext()).inflate(34013280, null);
            checkBox = (android.widget.CheckBox) view.findViewById(34603158);
            buider.setView(view);
            buider.setTitle(17039380);
        } else {
            buider = new android.app.AlertDialog.Builder(connectivityServiceUtils.getContext(this), connectivityServiceUtils.getContext(this).getResources().getIdentifier("androidhwext:style/Theme.Emui.Dialog.Alert", null, null));
            buider.setTitle(17039380);
            buider.setMessage(33685526);
        }
        final android.widget.CheckBox finalBox = checkBox;
        buider.setIcon(17301543);
        buider.setPositiveButton(17040145, new android.content.DialogInterface.OnClickListener() {
            public void onClick(android.content.DialogInterface dialoginterface, int i) {
                android.telephony.HwTelephonyManagerInner.getDefault().setDataEnabledWithoutPromp(true);
                if (!android.text.TextUtils.isEmpty(com.android.server.HwConnectivityService.this.mSimChangeAlertDataConnect)) {
                    if (com.android.server.HwConnectivityService.this.mShowWarningRoamingToPdp) {
                        com.android.server.HwConnectivityService.this.createWarningRoamingToPdp().show();
                    }
                    android.widget.Toast.makeText(com.android.server.HwConnectivityService.this.mContext, 33685967, 1).show();
                }
                if (com.android.server.HwConnectivityService.VALUE_ENABLE_NOT_REMIND_FUNCTION.equals(enable_Not_Remind_Function) && finalBox != null) {
                    com.android.server.HwConnectivityService.this.updateReminderSetting(finalBox.isChecked());
                }
                com.android.server.HwConnectivityService.this.mDataServiceToPdpDialog = null;
                com.android.server.HwConnectivityService.this.mShowWarningRoamingToPdp = false;
            }
        });
        buider.setNegativeButton(17040144, new android.content.DialogInterface.OnClickListener() {
            public void onClick(android.content.DialogInterface dialog, int which) {
                com.android.server.HwConnectivityService.connectivityServiceUtils.getContext(com.android.server.HwConnectivityService.this).sendBroadcast(new android.content.Intent("android.net.conn.DISABEL_DATA_SERVICE_ACTION"));
                android.telephony.HwTelephonyManagerInner.getDefault().setDataEnabledWithoutPromp(false);
                if (!android.text.TextUtils.isEmpty(com.android.server.HwConnectivityService.this.mSimChangeAlertDataConnect)) {
                    android.widget.Toast.makeText(com.android.server.HwConnectivityService.this.mContext, 33685968, 1).show();
                }
                if (com.android.server.HwConnectivityService.VALUE_ENABLE_NOT_REMIND_FUNCTION.equals(enable_Not_Remind_Function) && finalBox != null) {
                    com.android.server.HwConnectivityService.this.updateReminderSetting(finalBox.isChecked());
                }
                com.android.server.HwConnectivityService.this.mDataServiceToPdpDialog = null;
                com.android.server.HwConnectivityService.this.mShowWarningRoamingToPdp = false;
            }
        });
        buider.setOnCancelListener(new android.content.DialogInterface.OnCancelListener() {
            public void onCancel(android.content.DialogInterface dialog) {
                com.android.server.HwConnectivityService.connectivityServiceUtils.getContext(com.android.server.HwConnectivityService.this).sendBroadcast(new android.content.Intent("android.net.conn.DISABEL_DATA_SERVICE_ACTION"));
                android.telephony.HwTelephonyManagerInner.getDefault().setDataEnabledWithoutPromp(false);
                if (com.android.server.HwConnectivityService.VALUE_ENABLE_NOT_REMIND_FUNCTION.equals(enable_Not_Remind_Function) && finalBox != null) {
                    com.android.server.HwConnectivityService.this.updateReminderSetting(finalBox.isChecked());
                }
                com.android.server.HwConnectivityService.this.mDataServiceToPdpDialog = null;
                com.android.server.HwConnectivityService.this.mShowWarningRoamingToPdp = false;
            }
        });
        android.app.AlertDialog dialog = buider.create();
        dialog.getWindow().setType(2008);
        return dialog;
    }

    protected void registerPhoneStateListener(android.content.Context context) {
        ((android.telephony.TelephonyManager) context.getSystemService("phone")).listen(this.mPhoneStateListener, 33);
    }

    private final void updateCallState(int state) {
        if (!this.mRemindService && !android.os.SystemProperties.getBoolean("gsm.huawei.RemindDataService", false) && !android.os.SystemProperties.getBoolean("gsm.huawei.RemindDataService_1", false)) {
            return;
        }
        if (state == 0) {
            if (this.mShowDlgEndCall && this.mDataServiceToPdpDialog == null) {
                this.mDataServiceToPdpDialog = createWarningToPdp();
                this.mDataServiceToPdpDialog.show();
                this.mShowDlgEndCall = false;
            }
        } else if (this.mDataServiceToPdpDialog != null) {
            this.mDataServiceToPdpDialog.dismiss();
            this.mDataServiceToPdpDialog = null;
            this.mShowDlgEndCall = true;
        }
    }

    protected void registerBootStateListener(android.content.Context context) {
        new com.android.server.HwConnectivityService.MobileEnabledSettingObserver(new android.os.Handler()).register();
    }

    protected boolean needSetUserDataEnabled(boolean enabled) {
        int dataStatus = android.provider.Settings.Global.getInt(connectivityServiceUtils.getContext(this).getContentResolver(), "mobile_data", 1);
        if (!shouldShowThePdpWarning() || dataStatus != 0 || !enabled) {
            return true;
        }
        if (this.mShowDlgTurnOfDC) {
            this.mHandler.sendEmptyMessage(0);
            return false;
        }
        this.mShowDlgTurnOfDC = true;
        return true;
    }

    private void updateReminderSetting(boolean chooseNotRemind) {
        if (chooseNotRemind) {
            android.provider.Settings.System.putInt(connectivityServiceUtils.getContext(this).getContentResolver(), WHETHER_SHOW_PDP_WARNING, VALUE_NOT_SHOW_PDP);
        }
    }

    private boolean shouldShowThePdpWarning() {
        if (huawei.android.telephony.wrapper.WrapperFactory.getMSimTelephonyManagerWrapper().isMultiSimEnabled()) {
            return shouldShowThePdpWarningMsim();
        }
        java.lang.String enable_Not_Remind_Function = android.provider.SettingsEx.Systemex.getString(connectivityServiceUtils.getContext(this).getContentResolver(), ENABLE_NOT_REMIND_FUNCTION);
        boolean z = false;
        boolean remindDataAllow = android.os.SystemProperties.getBoolean("gsm.huawei.RemindDataService", false);
        int pdpWarningValue = android.provider.Settings.System.getInt(connectivityServiceUtils.getContext(this).getContentResolver(), WHETHER_SHOW_PDP_WARNING, VALUE_SHOW_PDP);
        if (!VALUE_ENABLE_NOT_REMIND_FUNCTION.equals(enable_Not_Remind_Function)) {
            return remindDataAllow;
        }
        if (remindDataAllow && pdpWarningValue == VALUE_SHOW_PDP) {
            z = true;
        }
        return z;
    }

    private boolean checkDataServiceRemindMsim() {
        int lDataVal = huawei.android.telephony.wrapper.WrapperFactory.getMSimTelephonyManagerWrapper().getPreferredDataSubscription();
        if (lDataVal == 0) {
            if (android.telephony.TelephonyManager.getDefault().hasIccCard(lDataVal)) {
                return android.os.SystemProperties.getBoolean("gsm.huawei.RemindDataService", false);
            }
            return android.os.SystemProperties.getBoolean("gsm.huawei.RemindDataService_1", false);
        } else if (1 == lDataVal) {
            return android.os.SystemProperties.getBoolean("gsm.huawei.RemindDataService_1", false);
        } else {
            return false;
        }
    }

    private boolean shouldShowThePdpWarningMsim() {
        java.lang.String enableNotRemindFunction = android.provider.SettingsEx.Systemex.getString(this.mContext.getContentResolver(), ENABLE_NOT_REMIND_FUNCTION);
        boolean remindDataAllow = false;
        int lDataVal = huawei.android.telephony.wrapper.WrapperFactory.getMSimTelephonyManagerWrapper().getPreferredDataSubscription();
        boolean z = true;
        if (1 == lDataVal) {
            remindDataAllow = android.os.SystemProperties.getBoolean("gsm.huawei.RemindDataService_1", false);
        } else if (lDataVal == 0) {
            remindDataAllow = android.os.SystemProperties.getBoolean("gsm.huawei.RemindDataService", false);
        }
        int pdpWarningValue = android.provider.Settings.System.getInt(this.mContext.getContentResolver(), WHETHER_SHOW_PDP_WARNING, VALUE_SHOW_PDP);
        if (!VALUE_ENABLE_NOT_REMIND_FUNCTION.equals(enableNotRemindFunction)) {
            return remindDataAllow;
        }
        if (!remindDataAllow || pdpWarningValue != VALUE_SHOW_PDP) {
            z = false;
        }
        return z;
    }

    private boolean shouldDisablePortalCheck(java.lang.String ssid) {
        if (ssid != null) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("wifi ssid: ");
            stringBuilder.append(ssid);
            log(stringBuilder.toString());
            if (ssid.length() > 2 && ssid.charAt(0) == '\"' && ssid.charAt(ssid.length() - 1) == '\"') {
                java.lang.Object ssid2 = ssid2.substring(1, ssid2.length() - 1);
            }
        }
        if (1 == android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "user_setup_complete", 0) && 1 == android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "device_provisioned", 0) && 1 == android.provider.Settings.Global.getInt(this.mContext.getContentResolver(), "hw_disable_portal", 0)) {
            log("stop portal check for orange");
            return true;
        } else if ("CMCC".equalsIgnoreCase(android.os.SystemProperties.get("ro.config.operators", "")) && "CMCC".equals(ssid2)) {
            log("stop portal check for CMCC");
            return true;
        } else if (1 == android.provider.Settings.System.getInt(connectivityServiceUtils.getContext(this).getContentResolver(), "disable_portal_check", 0)) {
            android.provider.Settings.System.putInt(connectivityServiceUtils.getContext(this).getContentResolver(), "disable_portal_check", 0);
            log("stop portal check for airsharing");
            return true;
        } else if (android.provider.Settings.Global.getInt(this.mContext.getContentResolver(), "device_provisioned", 0) == 0 && "true".equals(android.provider.SettingsEx.Systemex.getString(this.mContext.getContentResolver(), "wifi.challenge.required"))) {
            log("setup guide wifi disable portal, and does not start browser!");
            return true;
        } else if (this.mIsTopAppSkytone) {
            log("stop start broswer for TopAppSkytone");
            return true;
        } else if (1 != android.provider.Settings.System.getInt(connectivityServiceUtils.getContext(this).getContentResolver(), "wifi_ap_manual_connect", 0)) {
            return false;
        } else {
            android.provider.Settings.System.putInt(connectivityServiceUtils.getContext(this).getContentResolver(), "wifi_ap_manual_connect", 0);
            log("portal ap manual connect");
            return false;
        }
    }

    public boolean startBrowserForWifiPortal(android.app.Notification notification, java.lang.String ssid) {
        if (shouldDisablePortalCheck(ssid)) {
            log("do not start browser, popup system notification");
            return false;
        }
        java.lang.StringBuilder stringBuilder;
        log("setNotificationVisible: cancel notification and start browser directly for TYPE_WIFI..");
        try {
            java.lang.String usedUrl = android.provider.Settings.Global.getString(this.mContext.getContentResolver(), "captive_portal_server");
            if (!android.text.TextUtils.isEmpty(usedUrl) && usedUrl.startsWith("http")) {
                log("use the portal url from the settings");
                this.mURL = new java.net.URL(usedUrl);
            } else if (IS_CHINA) {
                java.lang.String operator = android.telephony.TelephonyManager.getDefault().getNetworkOperator();
                if (operator == null || operator.length() == 0 || !operator.startsWith("460")) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("http://");
                    stringBuilder.append(this.mServer);
                    stringBuilder.append("/generate_204");
                    this.mURL = new java.net.URL(stringBuilder.toString());
                } else {
                    this.mURL = new java.net.URL("http://connectivitycheck.platform.hicloud.com/generate_204");
                }
            } else {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("http://");
                stringBuilder2.append(this.mServer);
                stringBuilder2.append("/generate_204");
                this.mURL = new java.net.URL(stringBuilder2.toString());
            }
        } catch (java.net.MalformedURLException e) {
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("MalformedURLException ");
            stringBuilder3.append(e);
            log(stringBuilder3.toString());
        }
        android.content.Intent intent = new android.content.Intent("android.intent.action.VIEW", android.net.Uri.parse(this.mURL.toString()));
        intent.setFlags(272629760);
        notification.contentIntent = android.app.PendingIntent.getActivity(connectivityServiceUtils.getContext(this), 0, intent, 0);
        java.lang.String className;
        try {
            android.net.wifi.WifiInfo info = ((android.net.wifi.WifiManager) connectivityServiceUtils.getContext(this).getSystemService("wifi")).getConnectionInfo();
            if (info == null) {
                return true;
            }
            if (1 == android.provider.Settings.Secure.getInt(connectivityServiceUtils.getContext(this).getContentResolver(), "HW_WIFI_PORTAL_FLAG", 0)) {
                log("browser has been launched by notification user clicked it, don't launch browser here again.");
                return true;
            }
            android.provider.Settings.Secure.putInt(connectivityServiceUtils.getContext(this).getContentResolver(), "HW_WIFI_PORTAL_FLAG", 1);
            intent.putExtra("launch_from", "wifi_portal");
            java.lang.String packageName = "com.android.browser";
            className = "com.android.browser.BrowserActivity";
            if (com.android.server.Utils.isPackageInstalled("com.huawei.browser", this.mContext)) {
                packageName = "com.huawei.browser";
                className = "com.huawei.browser.Main";
            }
            if (1 != com.android.server.HiLinkUtil.getHiLinkSsidType(connectivityServiceUtils.getContext(this), android.net.wifi.WifiInfo.removeDoubleQuotes(info.getSSID()), info.getBSSID())) {
                intent.setClassName(packageName, className);
                connectivityServiceUtils.getContext(this).startActivity(intent);
            } else {
                java.lang.String uri = com.android.server.HiLinkUtil.getLaunchAppForSsid(connectivityServiceUtils.getContext(this), android.net.wifi.WifiInfo.removeDoubleQuotes(info.getSSID()), info.getBSSID());
                java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                stringBuilder4.append("launch HILINK_ROUTER  ");
                stringBuilder4.append(uri);
                log(stringBuilder4.toString());
                if ("http://192.168.3.1".equals(uri)) {
                    intent.setClassName(packageName, className);
                    connectivityServiceUtils.getContext(this).startActivity(intent);
                } else {
                    com.android.server.HiLinkUtil.startDeviceGuide(connectivityServiceUtils.getContext(this), uri);
                }
            }
            return true;
        } catch (android.content.ActivityNotFoundException e2) {
            try {
                log("default browser not exist..");
                if (isSetupWizardCompleted()) {
                    notification.contentIntent.send();
                } else {
                    log("setup wizard is not completed");
                    android.net.Network network = ((android.net.ConnectivityManager) this.mContext.getSystemService("connectivity")).getActiveNetwork();
                    className = getCaptivePortalUserAgent(this.mContext);
                    android.content.Intent intentPortal = new android.content.Intent("android.net.conn.CAPTIVE_PORTAL");
                    intentPortal.putExtra("android.net.extra.NETWORK", network);
                    intentPortal.putExtra("android.net.extra.CAPTIVE_PORTAL", new android.net.CaptivePortal(new android.net.ICaptivePortal.Stub() {
                        public void appResponse(int response) {
                        }
                    }));
                    intentPortal.putExtra("android.net.extra.CAPTIVE_PORTAL_URL", this.mURL.toString());
                    intent.putExtra("android.net.extra.CAPTIVE_PORTAL_USER_AGENT", className);
                    intentPortal.setFlags(272629760);
                    intentPortal.putExtra("flag_setup_wizard", true);
                    connectivityServiceUtils.getContext(this).startActivity(intentPortal);
                }
            } catch (android.app.PendingIntent.CanceledException e3) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Sending contentIntent failed: ");
                stringBuilder.append(e3);
                log(stringBuilder.toString());
            } catch (android.content.ActivityNotFoundException e4) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Activity not found: ");
                stringBuilder.append(e4);
                loge(stringBuilder.toString());
            }
        }
    }

    public boolean isSystemBootComplete() {
        return this.sendWifiBroadcastAfterBootCompleted;
    }

    protected void hintUserSwitchToMobileWhileWifiDisconnected(android.net.NetworkInfo.State state, int type) {
        if (com.android.server.wifipro.WifiProCommonUtils.isWifiSelfCuring() && state == android.net.NetworkInfo.State.DISCONNECTED && type == 1) {
            android.util.Log.d("HwSelfCureEngine", "DISCONNECTED, but enableDefaultTypeAPN-->UP is ignored due to wifi self curing.");
        } else {
            this.wifiDisconnectManager.hintUserSwitchToMobileWhileWifiDisconnected(state, type);
        }
    }

    protected void enableDefaultTypeApnWhenWifiConnectionStateChanged(android.net.NetworkInfo.State state, int type) {
        if (state == android.net.NetworkInfo.State.DISCONNECTED && type == 1) {
            this.mIsWifiConnected = false;
            this.mIsTopAppSkytone = false;
            android.os.SystemProperties.set("sys.defaultapn.enabled", "false");
        } else if (state == android.net.NetworkInfo.State.CONNECTED && type == 1) {
            this.mIsWifiConnected = true;
            java.lang.String pktName = com.android.server.wifipro.WifiProCommonUtils.getPackageName(this.mContext, com.android.server.wifipro.WifiProCommonUtils.getForegroundAppUid(this.mContext));
            if (pktName != null && pktName.equals("com.huawei.hiskytone")) {
                this.mIsTopAppSkytone = true;
            }
            android.os.SystemProperties.set("sys.defaultapn.enabled", "true");
        }
    }

    private void shouldEnableDefaultAPN() {
        if (!this.mIsBlueThConnected) {
            enableDefaultTypeAPN(true);
        }
    }

    private void sendBlueToothTetheringBroadcast(boolean isBttConnected) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("sendBroad bt_tethering_connect_state = ");
        stringBuilder.append(isBttConnected);
        log(stringBuilder.toString());
        android.content.Intent intent = new android.content.Intent("android.intent.action.BlueToothTethering_NETWORK_CONNECTION_CHANGED");
        intent.putExtra("btt_connect_state", isBttConnected);
        connectivityServiceUtils.getContext(this).sendBroadcast(intent);
    }

    protected void enableDefaultTypeApnWhenBlueToothTetheringStateChanged(com.android.server.connectivity.NetworkAgentInfo networkAgent, android.net.NetworkInfo newInfo) {
        if (newInfo.getType() == 7) {
            log("enter BlueToothTethering State Changed");
            android.net.NetworkInfo.State state = newInfo.getState();
            if (state == android.net.NetworkInfo.State.CONNECTED) {
                this.mIsBlueThConnected = true;
                sendBlueToothTetheringBroadcast(true);
            } else if (state == android.net.NetworkInfo.State.DISCONNECTED) {
                this.mIsBlueThConnected = false;
                sendBlueToothTetheringBroadcast(false);
                if (!this.mIsWifiConnected) {
                    enableDefaultTypeAPN(true);
                }
            }
        }
    }

    public void makeDefaultAndHintUser(com.android.server.connectivity.NetworkAgentInfo newNetwork) {
        this.wifiDisconnectManager.makeDefaultAndHintUser(newNetwork);
    }

    public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
        if (code == 1101) {
            data.enforceInterface("android.net.IConnectivityManager");
            int enableInt = data.readInt();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("needSetUserDataEnabled enableInt = ");
            stringBuilder.append(enableInt);
            android.util.Log.d("HwConnectivityService", stringBuilder.toString());
            boolean result = needSetUserDataEnabled(enableInt == 1);
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("needSetUserDataEnabled result = ");
            stringBuilder2.append(result);
            android.util.Log.d("HwConnectivityService", stringBuilder2.toString());
            reply.writeNoException();
            reply.writeInt(result);
            return true;
        } else if (this.mRegisteredPushPkg.onTransact(code, data, reply, flags)) {
            return true;
        } else {
            return super.onTransact(code, data, reply, flags);
        }
    }

    private void setMobileDataEnabled(java.lang.String module, boolean enabled) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("module:");
        stringBuilder.append(module);
        stringBuilder.append(" setMobileDataEnabled enabled = ");
        stringBuilder.append(enabled);
        android.util.Log.d("HwConnectivityService", stringBuilder.toString());
        android.telephony.TelephonyManager tm = (android.telephony.TelephonyManager) this.mContext.getSystemService("phone");
        if (tm != null) {
            tm.setDataEnabled(enabled);
            tm.setDataEnabledProperties(module, enabled);
        }
    }

    private boolean getDataEnabled() {
        boolean ret = false;
        android.telephony.TelephonyManager tm = (android.telephony.TelephonyManager) this.mContext.getSystemService("phone");
        if (tm != null) {
            ret = tm.getDataEnabled();
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("CtrlSocket getMobileDataEnabled enabled = ");
        stringBuilder.append(ret);
        android.util.Log.d("HwConnectivityService", stringBuilder.toString());
        return ret;
    }

    public boolean getMobileDataEnabled() {
        boolean ret = false;
        if (!this.mIsSimStateChanged) {
            return false;
        }
        android.telephony.TelephonyManager tm = (android.telephony.TelephonyManager) this.mContext.getSystemService("phone");
        if (tm != null) {
            try {
                int phoneCount = tm.getPhoneCount();
                boolean ret2 = false;
                for (int slotId = 0; slotId < phoneCount; slotId++) {
                    if (tm.getSimState(slotId) == 5) {
                        ret2 = true;
                    }
                }
                if (ret2) {
                    ret = tm.getDataEnabled();
                } else {
                    android.util.Log.d("HwConnectivityService", "all sim card not ready,return false");
                    return false;
                }
            } catch (java.lang.NullPointerException e) {
                android.util.Log.d("HwConnectivityService", "getMobileDataEnabled NPE");
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("CtrlSocket getMobileDataEnabled = ");
        stringBuilder.append(ret);
        android.util.Log.d("HwConnectivityService", stringBuilder.toString());
        return ret;
    }

    private void enableDefaultTypeAPN(boolean enabled) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("enableDefaultTypeAPN= ");
        stringBuilder.append(enabled);
        android.util.Log.d("HwConnectivityService", stringBuilder.toString());
        java.lang.String defaultMobileEnable = android.os.SystemProperties.get("sys.defaultapn.enabled", "true");
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("DEFAULT_MOBILE_ENABLE before state is ");
        stringBuilder2.append(defaultMobileEnable);
        android.util.Log.d("HwConnectivityService", stringBuilder2.toString());
        android.os.SystemProperties.set("sys.defaultapn.enabled", enabled ? "true" : "false");
        android.telephony.HwTelephonyManagerInner hwTm = android.telephony.HwTelephonyManagerInner.getDefault();
        if (hwTm != null) {
            hwTm.setDefaultMobileEnable(enabled);
        }
    }

    private void registerSimStateReceiver(android.content.Context context) {
        android.content.IntentFilter filter = new android.content.IntentFilter();
        filter.addAction("android.intent.action.SIM_STATE_CHANGED");
        context.registerReceiver(this.mSimStateReceiver, filter);
    }

    private void handleShowEnablePdpDialog() {
        if (this.mDataServiceToPdpDialog == null) {
            this.mDataServiceToPdpDialog = createWarningToPdp();
            this.mDataServiceToPdpDialog.show();
        }
    }

    private void registerTetheringReceiver(android.content.Context context) {
        if (com.huawei.deliver.info.HwDeliverInfo.isIOTVersion() && android.os.SystemProperties.getBoolean("ro.config.persist_usb_tethering", false)) {
            android.content.IntentFilter filter = new android.content.IntentFilter();
            filter.addAction("android.hardware.usb.action.USB_STATE");
            context.registerReceiver(this.mTetheringReceiver, filter);
        }
    }

    protected void updataNetworkAgentInfoForHicure(com.android.server.connectivity.NetworkAgentInfo nai) {
        if (nai.networkInfo.getType() != 0 || true != HiCureEnabled) {
            return;
        }
        if (android.net.NetworkInfo.State.CONNECTED == nai.networkInfo.getState()) {
            this.mHiCureManager.mDnsHiCureEngine.notifyConnectedInfo(nai);
        } else if (android.net.NetworkInfo.State.DISCONNECTED == nai.networkInfo.getState()) {
            this.mHiCureManager.mDnsHiCureEngine.notifyDisconnectedInfo();
        }
    }

    protected void setExplicitlyUnselected(com.android.server.connectivity.NetworkAgentInfo nai) {
        if (nai != null) {
            nai.networkMisc.explicitlySelected = false;
            nai.networkMisc.acceptUnvalidated = false;
            if (nai.networkInfo != null && android.net.ConnectivityManager.getNetworkTypeName(1).equals(nai.networkInfo.getTypeName())) {
                log("setExplicitlyUnselected, WiFi+ switch from WiFi to Cellular, enableDefaultTypeAPN explicitly.");
                enableDefaultTypeAPN(true);
            }
        }
    }

    protected void updateNetworkConcurrently(com.android.server.connectivity.NetworkAgentInfo networkAgent, android.net.NetworkInfo newInfo) {
        android.net.NetworkInfo oldInfo;
        android.net.NetworkInfo.State state = newInfo.getState();
        android.os.INetworkManagementService netd = connectivityServiceUtils.getNetd(this);
        synchronized (networkAgent) {
            oldInfo = networkAgent.networkInfo;
            networkAgent.networkInfo = newInfo;
        }
        if (oldInfo != null && oldInfo.getState() == state) {
            log("updateNetworkConcurrently, ignoring duplicate network state non-change");
        } else if (netd == null) {
            loge("updateNetworkConcurrently, invalid member, netd = null");
        } else {
            networkAgent.setCurrentScore(0);
            java.lang.StringBuilder stringBuilder;
            try {
                java.lang.String str;
                int i = networkAgent.network.netId;
                if (networkAgent.networkCapabilities.hasCapability(13)) {
                    str = null;
                } else {
                    str = "SYSTEM";
                }
                netd.createPhysicalNetwork(i, str);
                networkAgent.created = true;
                connectivityServiceUtils.updateLinkProperties(this, networkAgent, null);
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("updateNetworkConcurrently, nai.networkInfo = ");
                stringBuilder.append(networkAgent.networkInfo);
                log(stringBuilder.toString());
                networkAgent.asyncChannel.sendMessage(528391, 4, 0, null);
            } catch (java.lang.Exception e) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("updateNetworkConcurrently, Error creating network ");
                stringBuilder.append(networkAgent.network.netId);
                stringBuilder.append(": ");
                stringBuilder.append(e.getMessage());
                loge(stringBuilder.toString());
            }
        }
    }

    public void triggerRoamingNetworkMonitor(com.android.server.connectivity.NetworkAgentInfo networkAgent) {
        if (networkAgent != null && networkAgent.networkMonitor != null) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("triggerRoamingNetworkMonitor, nai.networkInfo = ");
            stringBuilder.append(networkAgent.networkInfo);
            log(stringBuilder.toString());
            networkAgent.networkMonitor.sendMessage(532581);
        }
    }

    public void triggerInvalidlinkNetworkMonitor(com.android.server.connectivity.NetworkAgentInfo networkAgent) {
        if (networkAgent != null && networkAgent.networkMonitor != null) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("triggerInvalidlinkNetworkMonitor, nai.networkInfo = ");
            stringBuilder.append(networkAgent.networkInfo);
            log(stringBuilder.toString());
            networkAgent.networkMonitor.sendMessage(532582);
        }
    }

    protected boolean reportPortalNetwork(com.android.server.connectivity.NetworkAgentInfo nai, int result) {
        if (result != 2) {
            return false;
        }
        nai.asyncChannel.sendMessage(528391, 3, 0, null);
        return true;
    }

    protected boolean ignoreRemovedByWifiPro(com.android.server.connectivity.NetworkAgentInfo nai) {
        if (nai.networkInfo.getType() != 1 || !com.android.server.wifipro.WifiProCommonUtils.isWifiProSwitchOn(this.mContext)) {
            return nai.networkInfo.getType() == 0 && isMpLinkEnable();
        } else {
            android.net.NetworkInfo activeNetworkInfo = getActiveNetworkInfo();
            if (activeNetworkInfo == null || activeNetworkInfo.getType() != 7) {
                return true;
            }
            log("ignoreRemovedByWifiPro, bluetooth active, needs to remove wifi.");
            return false;
        }
    }

    protected boolean isMpLinkEnable() {
        boolean MplinkEnable = huawei.android.net.hwmplink.MpLinkCommonUtils.isMpLinkEnabled(this.mContext) && huawei.android.net.hwmplink.MpLinkCommonUtils.isMpLinkEnabledInternal(this.mContext);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("hCs isMpLinkEnable return:");
        stringBuilder.append(MplinkEnable);
        log(stringBuilder.toString());
        return MplinkEnable;
    }

    protected boolean canMpLink(com.android.server.connectivity.NetworkAgentInfo newNetwork, com.android.server.connectivity.NetworkAgentInfo oldNetwork) {
        if ((newNetwork.networkInfo.getType() == 1 && oldNetwork.networkInfo.getType() == 0) || (oldNetwork.networkInfo.getType() == 1 && newNetwork.networkInfo.getType() == 0)) {
            return true;
        }
        return false;
    }

    protected void notifyMpLinkDefaultNetworkChange() {
        com.android.server.hidata.mplink.HwMpLinkContentAware.getInstance(this.mContext).notifyDefaultNetworkChange();
    }

    protected boolean isAppBindedNetwork() {
        if (com.android.server.hidata.mplink.HwMplinkManager.getInstance() != null) {
            return com.android.server.hidata.mplink.HwMplinkManager.getInstance().isAppBindedNetwork();
        }
        log("HwMplinkManager is null");
        return false;
    }

    protected android.net.NetworkInfo getActiveNetworkForMpLink(android.net.NetworkInfo info, int uid) {
        if (com.android.server.hidata.mplink.HwMplinkManager.getInstance() != null) {
            return com.android.server.hidata.mplink.HwMplinkManager.getInstance().getMpLinkNetworkInfo(info, uid);
        }
        log("HwMplinkManager is null");
        return info;
    }

    public android.net.Network getNetworkForTypeWifi() {
        android.net.Network activeNetwork = super.getActiveNetwork();
        android.net.NetworkInfo activeNetworkInfo = super.getActiveNetworkInfo();
        android.net.Network[] networks = super.getAllNetworks();
        int i = 0;
        if (activeNetworkInfo != null) {
            if (activeNetworkInfo.getType() == 1) {
                return activeNetwork;
            }
            if (activeNetworkInfo.getType() == 1) {
                return null;
            }
            while (i < networks.length) {
                if (!(activeNetwork == null || networks[i].netId == activeNetwork.netId)) {
                    android.net.NetworkCapabilities nc = super.getNetworkCapabilities(networks[i]);
                    if (nc != null && nc.hasTransport(1)) {
                        return networks[i];
                    }
                }
                i++;
            }
            return null;
        } else if (networks.length >= 1) {
            return networks[0];
        } else {
            return null;
        }
    }

    private android.net.NetworkInfo getNetworkInfoForBackgroundWifi() {
        android.net.NetworkInfo activeNetworkInfo = super.getActiveNetworkInfo();
        android.net.Network[] networks = super.getAllNetworks();
        if (activeNetworkInfo != null || networks.length != 1) {
            return null;
        }
        android.net.NetworkInfo result = new android.net.NetworkInfo(1, 0, android.net.ConnectivityManager.getNetworkTypeName(1), "");
        result.setDetailedState(android.net.NetworkInfo.DetailedState.CONNECTED, null, null);
        return result;
    }

    protected void setVpnSettingValue(boolean enable) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WiFi_PRO, setVpnSettingValue =");
        stringBuilder.append(enable);
        log(stringBuilder.toString());
        android.provider.Settings.System.putInt(this.mContext.getContentResolver(), "wifipro_network_vpn_state", enable);
    }

    private boolean isRequestedByPkgName(int pID, java.lang.String pkgName) {
        java.util.List<android.app.ActivityManager.RunningAppProcessInfo> appProcessList = this.mActivityManager.getRunningAppProcesses();
        if (appProcessList != null) {
            if (pkgName != null) {
                for (android.app.ActivityManager.RunningAppProcessInfo appProcess : appProcessList) {
                    if (appProcess != null && appProcess.pid == pID) {
                        java.lang.String[] pkgNameList = appProcess.pkgList;
                        for (java.lang.Object equals : pkgNameList) {
                            if (pkgName.equals(equals)) {
                                return true;
                            }
                        }
                        continue;
                    }
                }
                return false;
            }
        }
        return false;
    }

    public android.net.NetworkInfo getActiveNetworkInfo() {
        android.net.NetworkInfo networkInfo = super.getActiveNetworkInfo();
        if (networkInfo != null || !isRequestedByPkgName(android.os.Binder.getCallingPid(), "com.huawei.systemmanager")) {
            return networkInfo;
        }
        android.util.Slog.d("HwConnectivityService", "return the background wifi network info for system manager.");
        return getNetworkInfoForBackgroundWifi();
    }

    protected boolean isNetworkRequestBip(android.net.NetworkRequest nr) {
        if (nr == null) {
            loge("network request is null!");
            return false;
        }
        if (!(nr.networkCapabilities.hasCapability(23) || nr.networkCapabilities.hasCapability(24) || nr.networkCapabilities.hasCapability(25) || nr.networkCapabilities.hasCapability(26) || nr.networkCapabilities.hasCapability(27) || nr.networkCapabilities.hasCapability(28))) {
            if (!nr.networkCapabilities.hasCapability(29)) {
                return false;
            }
        }
        return true;
    }

    protected boolean checkNetworkSupportBip(com.android.server.connectivity.NetworkAgentInfo nai, android.net.NetworkRequest nri) {
        if (com.android.internal.telephony.HwModemCapability.isCapabilitySupport(1)) {
            log("MODEM is support BIP!");
            return false;
        }
        if (!(nai == null || nri == null)) {
            if (nai.networkInfo != null) {
                if (nai.networkInfo.getType() == 0) {
                    if (nai.isInternet()) {
                        if (isNetworkRequestBip(nri)) {
                            java.lang.StringBuilder stringBuilder;
                            java.lang.String defaultApn = android.os.SystemProperties.get("gsm.default.apn");
                            java.lang.String bipApn = android.os.SystemProperties.get("gsm.bip.apn");
                            if (defaultApn != null) {
                                if (bipApn != null) {
                                    if ("default".equals(bipApn)) {
                                        log("bip use default network, return true");
                                        return true;
                                    }
                                    java.lang.String[] buffers = bipApn.split(",");
                                    if (buffers.length <= 1 || !defaultApn.equalsIgnoreCase(buffers[1].trim())) {
                                        stringBuilder = new java.lang.StringBuilder();
                                        stringBuilder.append("network do NOT support bip, default: ");
                                        stringBuilder.append(defaultApn);
                                        stringBuilder.append(", bip: ");
                                        stringBuilder.append(bipApn);
                                        log(stringBuilder.toString());
                                        return false;
                                    }
                                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                    stringBuilder2.append("default apn support bip, default: ");
                                    stringBuilder2.append(defaultApn);
                                    stringBuilder2.append(", bip: ");
                                    stringBuilder2.append(buffers[1].trim());
                                    log(stringBuilder2.toString());
                                    return true;
                                }
                            }
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("default apn is null or bip apn is null, default: ");
                            stringBuilder.append(defaultApn);
                            stringBuilder.append(", bip: ");
                            stringBuilder.append(bipApn);
                            loge(stringBuilder.toString());
                            return false;
                        }
                        loge("network request is NOT bip!");
                        return false;
                    }
                }
                loge("NOT support internet or NOT mobile!");
                return false;
            }
        }
        loge("network agent or request is null, just return false!");
        return false;
    }

    public void setLteMobileDataEnabled(boolean enable) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("[enter]setLteMobileDataEnabled ");
        stringBuilder.append(enable);
        log(stringBuilder.toString());
        enforceChangePermission();
        android.telephony.HwTelephonyManagerInner.getDefault().setLteServiceAbility(enable);
        sendLteDataStateBroadcast(mLteMobileDataState);
    }

    public int checkLteConnectState() {
        enforceAccessPermission();
        return mLteMobileDataState;
    }

    protected void handleLteMobileDataStateChange(android.net.NetworkInfo info) {
        if (info == null) {
            android.util.Slog.e("HwConnectivityService", "NetworkInfo got null!");
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("[enter]handleLteMobileDataStateChange type=");
        stringBuilder.append(info.getType());
        stringBuilder.append(",subType=");
        stringBuilder.append(info.getSubtype());
        android.util.Slog.d("HwConnectivityService", stringBuilder.toString());
        if (info.getType() == 0) {
            int lteState;
            if (13 == info.getSubtype()) {
                lteState = mapDataStateToLteDataState(info.getState());
            } else {
                lteState = 3;
            }
            setLteMobileDataState(lteState);
        }
    }

    private int mapDataStateToLteDataState(android.net.NetworkInfo.State state) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("[enter]mapDataStateToLteDataState state=");
        stringBuilder.append(state);
        log(stringBuilder.toString());
        switch (com.android.server.HwConnectivityService.AnonymousClass13.$SwitchMap$android$net$NetworkInfo$State[state.ordinal()]) {
            case 1:
                return 0;
            case 2:
                return 1;
            case 3:
                return 2;
            case 4:
                return 3;
            default:
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("mapDataStateToLteDataState ignore state = ");
                stringBuilder2.append(state);
                android.util.Slog.d("HwConnectivityService", stringBuilder2.toString());
                return 3;
        }
    }

    private synchronized void setLteMobileDataState(int state) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("[enter]setLteMobileDataState state=");
        stringBuilder.append(state);
        android.util.Slog.d("HwConnectivityService", stringBuilder.toString());
        mLteMobileDataState = state;
        sendLteDataStateBroadcast(mLteMobileDataState);
    }

    private void sendLteDataStateBroadcast(int state) {
        android.content.Intent intent = new android.content.Intent("android.net.wifi.LTEDATA_COMPLETED_ACTION");
        intent.putExtra("lte_mobile_data_status", state);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Send sticky broadcast from ConnectivityService. intent=");
        stringBuilder.append(intent);
        android.util.Slog.d("HwConnectivityService", stringBuilder.toString());
        sendStickyBroadcast(intent);
    }

    public long getLteTotalRxBytes() {
        android.util.Slog.d("HwConnectivityService", "[enter]getLteTotalRxBytes");
        enforceAccessPermission();
        long lteRxBytes = 0;
        try {
            android.net.NetworkStatsHistory.Entry entry = getLteStatsEntry(2);
            if (entry != null) {
                lteRxBytes = entry.rxBytes;
            }
        } catch (java.lang.NullPointerException e) {
            e.printStackTrace();
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("lteTotalRxBytes=");
        stringBuilder.append(lteRxBytes);
        android.util.Log.d("HwConnectivityService", stringBuilder.toString());
        return lteRxBytes;
    }

    public long getLteTotalTxBytes() {
        android.util.Slog.d("HwConnectivityService", "[enter]getLteTotalTxBytes");
        enforceAccessPermission();
        long lteTxBytes = 0;
        try {
            android.net.NetworkStatsHistory.Entry entry = getLteStatsEntry(8);
            if (entry != null) {
                lteTxBytes = entry.txBytes;
            }
        } catch (java.lang.NullPointerException e) {
            e.printStackTrace();
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("LteTotalTxBytes=");
        stringBuilder.append(lteTxBytes);
        android.util.Log.d("HwConnectivityService", stringBuilder.toString());
        return lteTxBytes;
    }

    private android.net.NetworkStatsHistory.Entry getLteStatsEntry(int fields) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("[enter]getLteStatsEntry fields=");
        stringBuilder.append(fields);
        android.util.Log.d("HwConnectivityService", stringBuilder.toString());
        android.net.NetworkStatsHistory.Entry entry = null;
        android.net.INetworkStatsSession session = null;
        try {
            android.net.NetworkTemplate mobile4gTemplate = android.net.NetworkTemplate.buildTemplateMobileAll(((android.telephony.TelephonyManager) this.mContext.getSystemService("phone")).getSubscriberId());
            getStatsService().forceUpdate();
            session = getStatsService().openSession();
            if (session != null) {
                android.net.NetworkStatsHistory networkStatsHistory = session.getHistoryForNetwork(mobile4gTemplate, fields);
                if (networkStatsHistory != null) {
                    entry = networkStatsHistory.getValues(Long.MIN_VALUE, Long.MAX_VALUE, null);
                }
            }
        } catch (java.lang.Exception e) {
            e.printStackTrace();
        } catch (Throwable th) {
            android.net.TrafficStats.closeQuietly(null);
        }
        android.net.TrafficStats.closeQuietly(session);
        return entry;
    }

    private static synchronized android.net.INetworkStatsService getStatsService() {
        android.net.INetworkStatsService iNetworkStatsService;
        synchronized (com.android.server.HwConnectivityService.class) {
            android.util.Log.d("HwConnectivityService", "[enter]getStatsService");
            if (mStatsService == null) {
                mStatsService = android.net.INetworkStatsService.Stub.asInterface(android.os.ServiceManager.getService("netstats"));
            }
            iNetworkStatsService = mStatsService;
        }
        return iNetworkStatsService;
    }

    protected void registerMapconIntentReceiver(android.content.Context context) {
        android.content.IntentFilter filter = new android.content.IntentFilter();
        filter.addAction("com.hisi.mmsut.started");
        filter.addAction("com.hisi.mapcon.servicefailed");
        context.registerReceiver(this.mMapconIntentReceiver, filter);
    }

    private int getVoWifiServiceDomain(int phoneId, int type) {
        int domainPrefer = -1;
        if (this.mMapconService != null) {
            try {
                domainPrefer = this.mMapconService.getVoWifiServiceDomain(phoneId, type);
            } catch (android.os.RemoteException ex) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("getVoWifiServiceDomain failed, err = ");
                stringBuilder.append(ex.toString());
                loge(stringBuilder.toString());
            }
        }
        boolean isVoWifiRegistered = android.telephony.HwTelephonyManagerInner.getDefault().isWifiCallingAvailable(phoneId);
        boolean isMmsFollowVowifiPreferDomain = getBooleanCarrierConfig(phoneId, "mms_follow_vowifi_prefer_domain");
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("getVoWifiServiceDomain  isVoWifiRegistered:");
        stringBuilder2.append(isVoWifiRegistered);
        stringBuilder2.append(" isMmsFollowVowifiPreferDomain:");
        stringBuilder2.append(isMmsFollowVowifiPreferDomain);
        log(stringBuilder2.toString());
        if (!isMmsFollowVowifiPreferDomain || type != 0 || com.android.server.AbstractConnectivityService.DomainPreferType.DOMAIN_PREFER_VOLTE.value() != domainPrefer || !isVoWifiRegistered) {
            return domainPrefer;
        }
        log("VoWiFi registered and set mms domain as DOMAIN_PREFER_WIFI");
        return com.android.server.AbstractConnectivityService.DomainPreferType.DOMAIN_PREFER_WIFI.value();
    }

    private boolean getBooleanCarrierConfig(int subId, java.lang.String key) {
        android.telephony.CarrierConfigManager configManager = (android.telephony.CarrierConfigManager) this.mContext.getSystemService("carrier_config");
        android.os.PersistableBundle b = null;
        if (configManager != null) {
            b = configManager.getConfigForSubId(subId);
        }
        if (b == null || b.get(key) == null) {
            return false;
        }
        return b.getBoolean(key);
    }

    private int getVoWifiServiceState(int phoneId, int type) {
        if (this.mMapconService == null) {
            return -1;
        }
        try {
            return this.mMapconService.getVoWifiServiceState(phoneId, type);
        } catch (android.os.RemoteException ex) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getVoWifiServiceState failed, err = ");
            stringBuilder.append(ex.toString());
            loge(stringBuilder.toString());
            return -1;
        }
    }

    private int getPhoneIdFromNetworkCapabilities(android.net.NetworkCapabilities networkCapabilities) {
        int subId = -1;
        int phoneId = -1;
        android.net.NetworkSpecifier networkSpecifier = networkCapabilities.getNetworkSpecifier();
        if (networkSpecifier != null) {
            try {
                if (networkSpecifier instanceof android.net.StringNetworkSpecifier) {
                    subId = java.lang.Integer.parseInt(networkSpecifier.toString());
                }
            } catch (java.lang.NumberFormatException ex) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("getPhoneIdFromNetworkCapabilities exception, ex = ");
                stringBuilder.append(ex.toString());
                loge(stringBuilder.toString());
            }
        }
        if (subId != -1) {
            phoneId = android.telephony.SubscriptionManager.getPhoneId(subId);
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("getPhoneIdFromNetworkCapabilities, subId = ");
        stringBuilder2.append(subId);
        stringBuilder2.append(" phoneId:");
        stringBuilder2.append(phoneId);
        log(stringBuilder2.toString());
        return phoneId;
    }

    private boolean isDomainPreferRequest(android.net.NetworkRequest request) {
        if (android.net.NetworkRequest.Type.REQUEST == request.type && request.networkCapabilities.hasCapability(0)) {
            return true;
        }
        return false;
    }

    private boolean rebuildNetworkRequestByPrefer(com.android.server.ConnectivityService.NetworkRequestInfo nri, com.android.server.AbstractConnectivityService.DomainPreferType prefer) {
        android.net.NetworkRequest clientRequest = new android.net.NetworkRequest(nri.request);
        android.net.NetworkCapabilities networkCapabilities = nri.request.networkCapabilities;
        android.net.NetworkSpecifier networkSpecifier = networkCapabilities.getNetworkSpecifier();
        if (com.android.server.AbstractConnectivityService.DomainPreferType.DOMAIN_ONLY_WIFI != prefer) {
            if (com.android.server.AbstractConnectivityService.DomainPreferType.DOMAIN_PREFER_WIFI != prefer) {
                if (com.android.server.AbstractConnectivityService.DomainPreferType.DOMAIN_PREFER_CELLULAR != prefer && com.android.server.AbstractConnectivityService.DomainPreferType.DOMAIN_PREFER_VOLTE != prefer) {
                    return false;
                }
                networkCapabilities.setNetworkSpecifier(null);
                nri.mPreferType = prefer;
                nri.clientRequest = clientRequest;
                networkCapabilities.addTransportType(0);
                networkCapabilities.removeTransportType(1);
                networkCapabilities.setNetworkSpecifier(networkSpecifier);
                return true;
            }
        }
        networkCapabilities.setNetworkSpecifier(null);
        nri.mPreferType = prefer;
        nri.clientRequest = clientRequest;
        networkCapabilities.addTransportType(1);
        networkCapabilities.removeTransportType(0);
        if (networkSpecifier == null) {
            networkCapabilities.setNetworkSpecifier(new android.net.StringNetworkSpecifier(java.lang.Integer.toString(android.telephony.SubscriptionManager.getDefaultDataSubscriptionId())));
            return true;
        }
        networkCapabilities.setNetworkSpecifier(networkSpecifier);
        return true;
    }

    protected void handleRegisterNetworkRequest(com.android.server.ConnectivityService.NetworkRequestInfo nri) {
        android.net.NetworkCapabilities cap = nri.request.networkCapabilities;
        int domainPrefer = -1;
        if (isWifiMmsUtOn && isMapconOn && isDomainPreferRequest(nri.request)) {
            int phoneId;
            if (cap.getNetworkSpecifier() != null) {
                phoneId = getPhoneIdFromNetworkCapabilities(cap);
            } else {
                phoneId = android.telephony.SubscriptionManager.getPhoneId(android.telephony.SubscriptionManager.getDefaultDataSubscriptionId());
            }
            if (phoneId != -1 && cap.hasCapability(0) && 1 == getVoWifiServiceState(phoneId, 1)) {
                domainPrefer = getVoWifiServiceDomain(phoneId, 0);
            }
            com.android.server.AbstractConnectivityService.DomainPreferType prefer = com.android.server.AbstractConnectivityService.DomainPreferType.fromInt(domainPrefer);
            if (prefer == null || !rebuildNetworkRequestByPrefer(nri, prefer)) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("request(");
                stringBuilder.append(nri.request);
                stringBuilder.append(") domainPrefer = ");
                stringBuilder.append(prefer != null ? prefer : "null");
                log(stringBuilder.toString());
            } else {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("Update request(");
                stringBuilder2.append(nri.clientRequest);
                stringBuilder2.append(") to ");
                stringBuilder2.append(nri.request);
                stringBuilder2.append(" by ");
                stringBuilder2.append(prefer);
                log(stringBuilder2.toString());
                if (com.android.server.AbstractConnectivityService.DomainPreferType.DOMAIN_PREFER_WIFI == prefer || com.android.server.AbstractConnectivityService.DomainPreferType.DOMAIN_PREFER_CELLULAR == prefer || com.android.server.AbstractConnectivityService.DomainPreferType.DOMAIN_PREFER_VOLTE == prefer) {
                    this.mDomainPreferHandler.sendMessageDelayed(this.mDomainPreferHandler.obtainMessage(2, prefer.value(), 0, nri.request), 10000);
                }
            }
        }
        super.handleRegisterNetworkRequest(nri);
    }

    protected void handleReleaseNetworkRequest(android.net.NetworkRequest request, int callingUid) {
        android.net.NetworkRequest req = request;
        if (isWifiMmsUtOn && isMapconOn && isDomainPreferRequest(request)) {
            com.android.server.ConnectivityService.NetworkRequestInfo nri = findExistingNetworkRequestInfo(request.requestId);
            if (!(nri == null || nri.request.equals(request))) {
                if (nri.clientRequest == null || !nri.clientRequest.equals(request)) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("BUG: Do not find request in mNetworkRequests for preferRequest:");
                    stringBuilder.append(request);
                    loge(stringBuilder.toString());
                } else {
                    req = nri.request;
                }
            }
        }
        super.handleReleaseNetworkRequest(req, callingUid);
    }

    protected void handleRemoveNetworkRequest(com.android.server.ConnectivityService.NetworkRequestInfo nri, int whichCallback) {
        if (isWifiMmsUtOn && isMapconOn && isDomainPreferRequest(nri.request)) {
            this.mDomainPreferHandler.removeMessages(2, nri.request);
        }
        super.handleRemoveNetworkRequest(nri, whichCallback);
    }

    protected void notifyNetworkAvailable(com.android.server.connectivity.NetworkAgentInfo nai, com.android.server.ConnectivityService.NetworkRequestInfo nri) {
        if (isWifiMmsUtOn && isMapconOn && nri != null && isDomainPreferRequest(nri.request)) {
            this.mDomainPreferHandler.sendMessageAtFrontOfQueue(android.os.Message.obtain(this.mDomainPreferHandler, 0, nri.request));
        }
        super.notifyNetworkAvailable(nai, nri);
    }

    private com.android.server.ConnectivityService.NetworkRequestInfo findExistingNetworkRequestInfo(int requestId) {
        for (java.util.Map.Entry<android.net.NetworkRequest, com.android.server.ConnectivityService.NetworkRequestInfo> entry : this.mNetworkRequests.entrySet()) {
            if (((com.android.server.ConnectivityService.NetworkRequestInfo) entry.getValue()).request.requestId == requestId) {
                return (com.android.server.ConnectivityService.NetworkRequestInfo) entry.getValue();
            }
        }
        return null;
    }

    public void sendNetworkStickyBroadcastAsUser(java.lang.String action, com.android.server.connectivity.NetworkAgentInfo na) {
        if (isMatchedOperator()) {
            java.lang.String intfName = "lo";
            if (!(na == null || na.linkProperties == null)) {
                intfName = na.linkProperties.getInterfaceName();
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sendNetworkStickyBroadcastAsUser ");
            stringBuilder.append(action);
            stringBuilder.append("-->");
            stringBuilder.append(intfName);
            log(stringBuilder.toString());
            android.content.Intent intent = new android.content.Intent("huawei.net.conn.HW_CONNECTIVITY_CHANGE");
            intent.putExtra("actions", action);
            intent.putExtra("intfName", intfName);
            intent.putExtra("from", "ConnectivityService");
            try {
                this.mContext.sendStickyBroadcastAsUser(intent, android.os.UserHandle.ALL);
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("sendNetworkStickyBroadcastAsUser failed");
                stringBuilder2.append(e.getMessage());
                log(stringBuilder2.toString());
            }
        }
    }

    private boolean isMatchedOperator() {
        android.telephony.TelephonyManager tm = (android.telephony.TelephonyManager) this.mContext.getSystemService("phone");
        java.lang.String iccid = new java.lang.StringBuilder();
        iccid.append("");
        iccid.append(tm.getSimSerialNumber());
        iccid = iccid.toString();
        if (HW_SIM_ACTIVATION && iccid.startsWith("891480")) {
            return true;
        }
        return false;
    }

    public boolean turnOffVpn(java.lang.String packageName, int userId) {
        if (userId != android.os.UserHandle.getCallingUserId()) {
            this.mContext.enforceCallingOrSelfPermission("android.permission.INTERACT_ACROSS_USERS_FULL", "ConnectivityService");
        }
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_VPN", "NEED MDM_VPN PERMISSION");
        android.util.SparseArray<com.android.server.connectivity.Vpn> mVpns = getmVpns();
        synchronized (mVpns) {
            com.android.server.connectivity.Vpn vpn = (com.android.server.connectivity.Vpn) mVpns.get(userId);
            if (vpn != null) {
                boolean turnOffAllVpn = vpn.turnOffAllVpn(packageName);
                return turnOffAllVpn;
            }
            return false;
        }
    }

    private void processWhenSimStateChange(android.content.Intent intent) {
        if (!android.telephony.TelephonyManager.getDefault().isMultiSimEnabled() && !this.isAlreadyPop) {
            if ("READY".equals(intent.getStringExtra("ss"))) {
                this.mIsSimReady = true;
                connectivityServiceUtils.getContext(this).sendBroadcast(new android.content.Intent("android.net.conn.DISABEL_DATA_SERVICE_ACTION"));
                android.telephony.HwTelephonyManagerInner.getDefault().setDataEnabledWithoutPromp(false);
            }
        }
    }

    private boolean isSetupWizardCompleted() {
        return 1 == android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "user_setup_complete", 0) && 1 == android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "device_provisioned", 0);
    }

    private static java.lang.String getCaptivePortalUserAgent(android.content.Context context) {
        return getGlobalSetting(context, "captive_portal_user_agent", "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/52.0.2743.82 Safari/537.36");
    }

    private static java.lang.String getGlobalSetting(android.content.Context context, java.lang.String symbol, java.lang.String defaultValue) {
        java.lang.String value = android.provider.Settings.Global.getString(context.getContentResolver(), symbol);
        return value != null ? value : defaultValue;
    }

    private void registerVerizonWifiDisconnectedReceiver(android.content.Context context) {
        android.content.IntentFilter filter = new android.content.IntentFilter();
        filter.addAction("android.net.wifi.STATE_CHANGE");
        context.registerReceiver(this.mVerizonWifiDisconnectReceiver, filter);
    }

    /* JADX WARNING: Removed duplicated region for block: B:29:0x00e9 A:{ExcHandler: android.os.ServiceSpecificException (r4_5 'e' java.lang.Exception A:{Catch:{ Exception -> 0x010a }}), Splitter: B:24:0x00b1, Catch:{ Exception -> 0x010a }} */
    /* JADX WARNING: Missing block: B:29:0x00e9, code:
            r4 = move-exception;
     */
    /* JADX WARNING: Missing block: B:30:0x00ea, code:
            r5 = new java.lang.StringBuilder();
            r5.append("Failed to add addr : ");
            r5.append(r4);
            loge(r5.toString());
     */
    protected void updateDefaultNetworkRouting(com.android.server.connectivity.NetworkAgentInfo r8, com.android.server.connectivity.NetworkAgentInfo r9) {
        /*
        r7 = this;
        if (r9 == 0) goto L_0x0120;
    L_0x0002:
        r0 = r9.linkProperties;
        if (r0 == 0) goto L_0x0120;
    L_0x0006:
        r0 = r9.networkInfo;
        if (r0 != 0) goto L_0x000c;
    L_0x000a:
        goto L_0x0120;
    L_0x000c:
        if (r8 == 0) goto L_0x011f;
    L_0x000e:
        r0 = r8.linkProperties;
        if (r0 == 0) goto L_0x011f;
    L_0x0012:
        r0 = r8.networkInfo;
        if (r0 == 0) goto L_0x011f;
    L_0x0016:
        r0 = r8.network;
        if (r0 == 0) goto L_0x011f;
    L_0x001a:
        r0 = r8.networkInfo;
        r0 = r0.getType();
        if (r0 != 0) goto L_0x011f;
    L_0x0022:
        r0 = 1;
        r1 = r9.networkInfo;
        r1 = r1.getType();
        if (r0 != r1) goto L_0x011f;
    L_0x002b:
        r0 = r8.linkProperties;
        r0 = r0.getInterfaceName();
        if (r0 == 0) goto L_0x011f;
    L_0x0033:
        r1 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x010a }
        r1.<init>();	 Catch:{ Exception -> 0x010a }
        r2 = "Remove oldIface ";
        r1.append(r2);	 Catch:{ Exception -> 0x010a }
        r1.append(r0);	 Catch:{ Exception -> 0x010a }
        r2 = " from network ";
        r1.append(r2);	 Catch:{ Exception -> 0x010a }
        r2 = r8.network;	 Catch:{ Exception -> 0x010a }
        r2 = r2.netId;	 Catch:{ Exception -> 0x010a }
        r1.append(r2);	 Catch:{ Exception -> 0x010a }
        r1 = r1.toString();	 Catch:{ Exception -> 0x010a }
        log(r1);	 Catch:{ Exception -> 0x010a }
        r1 = r7.mNetd;	 Catch:{ Exception -> 0x010a }
        r2 = r8.network;	 Catch:{ Exception -> 0x010a }
        r2 = r2.netId;	 Catch:{ Exception -> 0x010a }
        r1.removeInterfaceFromNetwork(r0, r2);	 Catch:{ Exception -> 0x010a }
        r1 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x010a }
        r1.<init>();	 Catch:{ Exception -> 0x010a }
        r2 = "Clear oldIface ";
        r1.append(r2);	 Catch:{ Exception -> 0x010a }
        r1.append(r0);	 Catch:{ Exception -> 0x010a }
        r2 = " addresses";
        r1.append(r2);	 Catch:{ Exception -> 0x010a }
        r1 = r1.toString();	 Catch:{ Exception -> 0x010a }
        log(r1);	 Catch:{ Exception -> 0x010a }
        r1 = r7.mNetd;	 Catch:{ Exception -> 0x010a }
        r1.clearInterfaceAddresses(r0);	 Catch:{ Exception -> 0x010a }
        r1 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x010a }
        r1.<init>();	 Catch:{ Exception -> 0x010a }
        r2 = "recovery oldIface ";
        r1.append(r2);	 Catch:{ Exception -> 0x010a }
        r1.append(r0);	 Catch:{ Exception -> 0x010a }
        r2 = " addresses, immediately";
        r1.append(r2);	 Catch:{ Exception -> 0x010a }
        r1 = r1.toString();	 Catch:{ Exception -> 0x010a }
        log(r1);	 Catch:{ Exception -> 0x010a }
        r1 = r8.linkProperties;	 Catch:{ Exception -> 0x010a }
        r1 = r1.getLinkAddresses();	 Catch:{ Exception -> 0x010a }
        r1 = r1.iterator();	 Catch:{ Exception -> 0x010a }
    L_0x009d:
        r2 = r1.hasNext();	 Catch:{ Exception -> 0x010a }
        if (r2 == 0) goto L_0x0100;
    L_0x00a3:
        r2 = r1.next();	 Catch:{ Exception -> 0x010a }
        r2 = (android.net.LinkAddress) r2;	 Catch:{ Exception -> 0x010a }
        r3 = r2.getAddress();	 Catch:{ Exception -> 0x010a }
        r3 = r3.getHostAddress();	 Catch:{ Exception -> 0x010a }
        r4 = new java.lang.StringBuilder;	 Catch:{ ServiceSpecificException -> 0x00e9, ServiceSpecificException -> 0x00e9, Exception -> 0x00d3 }
        r4.<init>();	 Catch:{ ServiceSpecificException -> 0x00e9, ServiceSpecificException -> 0x00e9, Exception -> 0x00d3 }
        r5 = "add addr_x:  to interface: ";
        r4.append(r5);	 Catch:{ ServiceSpecificException -> 0x00e9, ServiceSpecificException -> 0x00e9, Exception -> 0x00d3 }
        r4.append(r0);	 Catch:{ ServiceSpecificException -> 0x00e9, ServiceSpecificException -> 0x00e9, Exception -> 0x00d3 }
        r4 = r4.toString();	 Catch:{ ServiceSpecificException -> 0x00e9, ServiceSpecificException -> 0x00e9, Exception -> 0x00d3 }
        log(r4);	 Catch:{ ServiceSpecificException -> 0x00e9, ServiceSpecificException -> 0x00e9, Exception -> 0x00d3 }
        r4 = r7.mNetd;	 Catch:{ ServiceSpecificException -> 0x00e9, ServiceSpecificException -> 0x00e9, Exception -> 0x00d3 }
        r4 = r4.getNetdService();	 Catch:{ ServiceSpecificException -> 0x00e9, ServiceSpecificException -> 0x00e9, Exception -> 0x00d3 }
        r5 = r2.getPrefixLength();	 Catch:{ ServiceSpecificException -> 0x00e9, ServiceSpecificException -> 0x00e9, Exception -> 0x00d3 }
        r4.interfaceAddAddress(r0, r3, r5);	 Catch:{ ServiceSpecificException -> 0x00e9, ServiceSpecificException -> 0x00e9, Exception -> 0x00d3 }
        goto L_0x00fe;
    L_0x00d3:
        r4 = move-exception;
        r5 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x010a }
        r5.<init>();	 Catch:{ Exception -> 0x010a }
        r6 = "Failed to add addr : ";
        r5.append(r6);	 Catch:{ Exception -> 0x010a }
        r5.append(r4);	 Catch:{ Exception -> 0x010a }
        r5 = r5.toString();	 Catch:{ Exception -> 0x010a }
        loge(r5);	 Catch:{ Exception -> 0x010a }
        goto L_0x00ff;
    L_0x00e9:
        r4 = move-exception;
        r5 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x010a }
        r5.<init>();	 Catch:{ Exception -> 0x010a }
        r6 = "Failed to add addr : ";
        r5.append(r6);	 Catch:{ Exception -> 0x010a }
        r5.append(r4);	 Catch:{ Exception -> 0x010a }
        r5 = r5.toString();	 Catch:{ Exception -> 0x010a }
        loge(r5);	 Catch:{ Exception -> 0x010a }
    L_0x00ff:
        goto L_0x009d;
    L_0x0100:
        r1 = "refresh linkproperties for recovery oldIface";
        log(r1);	 Catch:{ Exception -> 0x010a }
        r1 = 0;
        r7.updateLinkPropertiesEx(r8, r1);	 Catch:{ Exception -> 0x010a }
        goto L_0x011f;
    L_0x010a:
        r1 = move-exception;
        r2 = new java.lang.StringBuilder;
        r2.<init>();
        r3 = "Exception clearing interface: ";
        r2.append(r3);
        r2.append(r1);
        r2 = r2.toString();
        loge(r2);
    L_0x011f:
        return;
    L_0x0120:
        r0 = "invalid new defautl net";
        log(r0);
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.HwConnectivityService.updateDefaultNetworkRouting(com.android.server.connectivity.NetworkAgentInfo, com.android.server.connectivity.NetworkAgentInfo):void");
    }

    public void recordPrivateDnsEvent(android.content.Context context, int returnCode, int latencyMs, int netId) {
        com.android.server.connectivity.NetworkAgentInfo nai = getNetworkAgentInfoForNetId(netId);
        if (nai != null) {
            android.net.LinkProperties activeLp = nai.linkProperties;
            if (activeLp == null) {
                return;
            }
            if (activeLp.isPrivateDnsActive()) {
                if (isPrivateDnsAutoMode()) {
                    countPrivateDnsResponseDelay(returnCode, latencyMs, netId, activeLp);
                }
                return;
            }
            updateBypassPrivateDnsState((com.android.server.HwConnectivityService.BypassPrivateDnsInfo) this.mBypassPrivateDnsNetwork.get(java.lang.Integer.valueOf(netId)));
        }
    }

    private void countPrivateDnsResponseDelay(int returnCode, int latencyMs, int netId, android.net.LinkProperties lp) {
        com.android.server.HwConnectivityService.BypassPrivateDnsInfo privateDnsInfo = (com.android.server.HwConnectivityService.BypassPrivateDnsInfo) this.mBypassPrivateDnsNetwork.get(java.lang.Integer.valueOf(netId));
        if (privateDnsInfo != null) {
            privateDnsInfo.updateDelayCount(returnCode, latencyMs);
            updateBypassPrivateDnsState(privateDnsInfo);
            return;
        }
        java.lang.String assignedServers = java.util.Arrays.toString(android.net.NetworkUtils.makeStrings(lp.getDnsServers()));
        com.android.server.connectivity.NetworkAgentInfo nai = getNetworkAgentInfoForNetId(netId);
        if (nai != null) {
            com.android.server.HwConnectivityService.BypassPrivateDnsInfo newPrivateDnsInfo = new com.android.server.HwConnectivityService.BypassPrivateDnsInfo(this.mContext, nai.networkInfo.getType(), assignedServers);
            synchronized (this.mLock) {
                this.mBypassPrivateDnsNetwork.put(java.lang.Integer.valueOf(netId), newPrivateDnsInfo);
            }
            newPrivateDnsInfo.sendIntentPrivateDnsEvent();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" countPrivateDnsResponseDelay netId ");
            stringBuilder.append(netId);
            stringBuilder.append(", assignedServers ");
            stringBuilder.append(assignedServers);
            stringBuilder.append(" NetworkType = ");
            stringBuilder.append(nai.networkInfo.getType());
            log(stringBuilder.toString());
        }
    }

    private void updateBypassPrivateDnsState(com.android.server.HwConnectivityService.BypassPrivateDnsInfo privateDnsInfo) {
        if (privateDnsInfo != null && privateDnsInfo.isNeedUpdatePrivateDnsSettings()) {
            updatePrivateDnsSettings();
        }
    }

    private boolean isPrivateDnsAutoMode() {
        com.android.server.connectivity.DnsManager dnsManager = getDnsManager();
        boolean z = false;
        if (dnsManager != null) {
            com.android.server.connectivity.DnsManager.PrivateDnsConfig cfg = dnsManager.getPrivateDnsConfig();
            if (cfg != null) {
                if (!cfg.useTls || cfg.inStrictMode()) {
                    boolean isPrivateDnsAutoMode = false;
                } else {
                    int i = 1;
                }
                if (cfg.useTls && !cfg.inStrictMode()) {
                    z = true;
                }
                return z;
            }
        }
        return false;
    }

    public void clearInvalidPrivateDnsNetworkInfo() {
        synchronized (this.mLock) {
            java.util.Iterator<java.lang.Integer> it = this.mBypassPrivateDnsNetwork.keySet().iterator();
            while (it.hasNext()) {
                int networkId = ((java.lang.Integer) it.next()).intValue();
                boolean invalidNetId = true;
                for (android.net.Network network : getAllNetworks()) {
                    if (network.netId == networkId) {
                        invalidNetId = false;
                        break;
                    }
                }
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" clearInvalidPrivateDnsNetworkInfo networkId ");
                stringBuilder.append(networkId);
                stringBuilder.append(" , invalidNetId ");
                stringBuilder.append(invalidNetId);
                log(stringBuilder.toString());
                if (invalidNetId) {
                    it.remove();
                }
            }
        }
    }

    public boolean isBypassPrivateDns(int netId) {
        com.android.server.HwConnectivityService.BypassPrivateDnsInfo privateDnsInfo = (com.android.server.HwConnectivityService.BypassPrivateDnsInfo) this.mBypassPrivateDnsNetwork.get(java.lang.Integer.valueOf(netId));
        if (privateDnsInfo != null) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("isBypassPrivateDns netId: ");
            stringBuilder.append(netId);
            stringBuilder.append(", mBypassPrivateDns: ");
            stringBuilder.append(privateDnsInfo.mBypassPrivateDns);
            log(stringBuilder.toString());
            return privateDnsInfo.mBypassPrivateDns;
        }
        log("isBypassPrivateDns return false");
        return false;
    }
}
