package com.android.server;

public final class HwLocalDevManagerService {
    private static final java.lang.String TAG = "HwLocalDevManagerService";
    private static volatile com.android.server.HwLocalDevManagerService mInstance = null;
    private android.content.Context mContext;

    public static synchronized com.android.server.HwLocalDevManagerService getInstance(android.content.Context context) {
        com.android.server.HwLocalDevManagerService hwLocalDevManagerService;
        synchronized (com.android.server.HwLocalDevManagerService.class) {
            if (mInstance == null) {
                mInstance = new com.android.server.HwLocalDevManagerService(context);
            }
            hwLocalDevManagerService = mInstance;
        }
        return hwLocalDevManagerService;
    }

    public HwLocalDevManagerService(android.content.Context context) {
        this.mContext = context;
    }

    public int getLocalDevStat(int dev) {
        this.mContext.enforceCallingPermission("android.permission.BACKUP", "getLocalDevStat");
        try {
            return com.android.server.StorageManagerService.sSelf.mVold.sdbackupGetDevStat(dev);
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getLocalDevStat has exception : ");
            stringBuilder.append(e);
            android.util.Log.e("HwLocalDevManagerService", stringBuilder.toString());
            return -1;
        }
    }

    public java.lang.String getDeviceId(int dev) {
        this.mContext.enforceCallingPermission("android.permission.BACKUP", "getDeviceId");
        try {
            return com.android.server.StorageManagerService.sSelf.mVold.sdbackupGetCid(dev);
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getDeviceId has exception : ");
            stringBuilder.append(e);
            android.util.Log.e("HwLocalDevManagerService", stringBuilder.toString());
            return null;
        }
    }

    public int doSdcardCheckRW() {
        this.mContext.enforceCallingPermission("android.permission.BACKUP", "doSdcardCheckRW");
        try {
            return com.android.server.StorageManagerService.sSelf.mVold.sdbackupCheckRW();
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("doSdcardCheckRW has exception : ");
            stringBuilder.append(e);
            android.util.Log.e("HwLocalDevManagerService", stringBuilder.toString());
            return -1;
        }
    }
}
