package com.android.server;

public class HwNativeDaemonConnectorImpl implements com.android.server.HwNativeDaemonConnector {
    private static final java.lang.String CHR_BROADCAST_PERMISSION = "com.huawei.android.permission.GET_CHR_DATA";
    private static final boolean DEBUG = false;
    private static final java.lang.String TAG = "HwNativeDaemonConnector";
    private static volatile com.android.server.HwNativeDaemonConnectorImpl mInstance = null;
    private android.content.Context mContext;

    public static synchronized com.android.server.HwNativeDaemonConnectorImpl getInstance() {
        com.android.server.HwNativeDaemonConnectorImpl hwNativeDaemonConnectorImpl;
        synchronized (com.android.server.HwNativeDaemonConnectorImpl.class) {
            if (mInstance == null) {
                mInstance = new com.android.server.HwNativeDaemonConnectorImpl();
            }
            hwNativeDaemonConnectorImpl = mInstance;
        }
        return hwNativeDaemonConnectorImpl;
    }

    public void setContext(android.content.Context context) {
        this.mContext = context;
    }

    private HwNativeDaemonConnectorImpl() {
        android.telephony.Rlog.d("HwNativeDaemonConnector", "HwNativeDaemonConnectorImpl");
    }

    public void reportChrForAddRouteFail(java.lang.String cmd, java.lang.String receiveEvent) {
        if (cmd != null && cmd.indexOf("route add") >= 0 && cmd.indexOf("rmnet") >= 0) {
            if (receiveEvent == null || (receiveEvent.indexOf("success") < 0 && receiveEvent.indexOf("Network is unreachable") < 0 && receiveEvent.indexOf("No route to host") < 0)) {
                android.telephony.Rlog.d("HwNativeDaemonConnector", "Add router failed");
                this.mContext.sendBroadcast(new android.content.Intent("com.android.intent.action.add_router_fail"), "com.huawei.android.permission.GET_CHR_DATA");
            }
        }
    }
}
