package com.android.server;

public class HwNetworkMonitor extends com.android.server.connectivity.NetworkMonitor {
    public static final int NETWORK_TEST_RESULT_PORTAL = 2;
    private boolean mCheckCompleted;
    private android.content.Context mContext;
    public com.android.server.HwNetworkPropertyChecker mHwNetworkPropertyChecker;
    private com.android.server.connectivity.NetworkAgentInfo mNetworkAgentInfo;
    private boolean mWifiProEnabled;

    public HwNetworkMonitor(android.content.Context context, android.os.Handler handler, com.android.server.connectivity.NetworkAgentInfo networkAgentInfo, android.net.NetworkRequest defaultRequest) {
        super(context, handler, networkAgentInfo, defaultRequest);
        this.mWifiProEnabled = false;
        this.mCheckCompleted = false;
        this.mContext = null;
        this.mNetworkAgentInfo = null;
        this.mHwNetworkPropertyChecker = null;
        this.mWifiProEnabled = false;
        this.mCheckCompleted = false;
        this.mContext = context;
        this.mNetworkAgentInfo = networkAgentInfo;
        initialize(context, null, null, networkAgentInfo, true);
    }

    public void initialize(android.content.Context context, android.net.wifi.WifiManager wm, android.telephony.TelephonyManager tel, com.android.server.connectivity.NetworkAgentInfo nai, boolean enabled) {
        if (com.android.server.wifipro.WifiProCommonUtils.isWifiProPropertyEnabled(this.mContext) && nai != null && nai.networkInfo != null && nai.networkInfo.getType() == 1) {
            this.mHwNetworkPropertyChecker = new com.android.server.HwNetworkPropertyChecker(context, wm, tel, enabled, nai, true);
            this.mWifiProEnabled = true;
        }
    }

    public boolean isWifiProEnabled() {
        return this.mWifiProEnabled;
    }

    public boolean isCheckCompletedByWifiPro() {
        return this.mCheckCompleted;
    }

    public int getRespCodeByWifiPro() {
        int resp = 599;
        if (this.mWifiProEnabled) {
            resp = this.mHwNetworkPropertyChecker.isCaptivePortal(false);
            if (!this.mCheckCompleted && this.mHwNetworkPropertyChecker.isCheckingCompleted(resp)) {
                this.mCheckCompleted = true;
            }
        }
        return resp;
    }

    public int resetReevaluateDelayMs(int ms) {
        if (this.mWifiProEnabled) {
            return 500;
        }
        return ms;
    }

    public long getReqTimestamp() {
        return this.mWifiProEnabled ? this.mHwNetworkPropertyChecker.getReqTimestamp() : 0;
    }

    public long getRespTimestamp() {
        return this.mWifiProEnabled ? this.mHwNetworkPropertyChecker.getRespTimestamp() : 0;
    }

    public void reportPortalNetwork(android.os.Handler handler, int netId, java.lang.String redirectUrl) {
        handler.sendMessage(obtainMessage(532482, 2, netId, redirectUrl));
    }

    public void releaseNetworkPropertyChecker() {
        if (this.mHwNetworkPropertyChecker != null) {
            this.mHwNetworkPropertyChecker.release();
        }
    }

    public void resetNetworkMonitor() {
        this.mCheckCompleted = false;
        if (this.mHwNetworkPropertyChecker != null) {
            log("resetNetworkMonitor");
            this.mHwNetworkPropertyChecker.resetCheckerStatus();
            return;
        }
        log("resetNetworkMonitor initialize");
        initialize(this.mContext, null, null, this.mNetworkAgentInfo, true);
    }

    public java.lang.String getCaptiveUsedServer() {
        if (this.mHwNetworkPropertyChecker != null) {
            return this.mHwNetworkPropertyChecker.getCaptiveUsedServer();
        }
        return null;
    }
}
