package com.android.server;

public class HwNetworkPropertyChecker {
    private static final int BUFFER_SIZE = 8192;
    private static final java.lang.String BUNDLE_FLAG_MAIN_DETECT_MS = "mainDetectMs";
    private static final java.lang.String BUNDLE_FLAG_USED_SERVER = "usedServer";
    public static final java.lang.String CHINA_MAINLAND_BACKUP_SERVER = "http://www.baidu.com";
    public static final java.lang.String CHINA_MAINLAND_MAIN_SERVER = "http://connectivitycheck.platform.hicloud.com/generate_204";
    private static final java.lang.String DEFAULT_USER_AGENT = "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.32 Safari/537.36";
    private static final boolean DISABLE_BQE_SERVICE = false;
    public static final java.lang.String HICLOUD_HOST_NAME = "http://connectivitycheck.platform.hicloud.com";
    private static final java.lang.String HTML_TITLE_BAIDU_CN = "°Ù¶ÈÒ»ÏÂ";
    private static final java.lang.String HTML_TITLE_BAIDU_EN = "baidu";
    public static final int HW_DEFAULT_REEVALUATE_DELAY_MS = 500;
    public static final int HW_MAX_RETRIES = 3;
    private static final java.lang.String KEY_WORDS_TITLE_END = "</title>";
    private static final java.lang.String KEY_WORDS_TITLE_START = "<title>";
    private static final int LAC_UNKNOWN = -1;
    public static final int MIN_RX_PKT_DELTA = 3;
    private static final int MSG_DNS_RESP_RCVD = 104;
    private static final int MSG_HTML_DOWNLOADED_RCVD = 105;
    private static final int MSG_HTTP_RESP_RCVD = 103;
    private static final int MSG_HTTP_RESP_TIMEOUT = 101;
    private static final int MSG_NETWORK_DISCONNECTED = 102;
    public static final int NETWORK_PROPERTY_INTERNET = 5;
    public static final int NETWORK_PROPERTY_NO_INTERNET = -1;
    public static final int NETWORK_PROPERTY_PORTAL = 6;
    public static final java.lang.String OPERATOR_COUNTRY_KEY = "WIFI_PRO_OPERATOR_COUNTRY_KEY";
    public static final java.lang.String OVERSEA_BACKUP_SERVER = "http://connectivitycheck.gstatic.com/generate_204";
    public static final java.lang.String OVERSEA_MAIN_SERVER = "http://connectivitycheck.platform.hicloud.com/generate_204";
    private static final java.lang.String PRODUCT_LOCALE_CN = "CN";
    public static final java.lang.String SERVER_HICLOUD = "hicloud";
    private static final int SOCKET_TIMEOUT_MS = 10000;
    private static final int STRING_BUFFER_SIZE = 2097152;
    public static final java.lang.String TAG = "HwNetworkPropertyChecker";
    private static final java.lang.String URL_HTTPS_BAIDU = "https://www.baidu.com";
    private static final int WAIT_TIMEOUT_MS = 6000;
    private boolean htmlDownloaded = false;
    private boolean httpRespCodeRcvd = true;
    private java.lang.String mBackupServer;
    private android.content.BroadcastReceiver mBroadcastReceiver;
    private android.telephony.CellLocation mCellLocation;
    private boolean mCheckerInitialized;
    private int mCheckingCounter;
    private android.content.ContentResolver mContentResolver;
    protected android.content.Context mContext;
    private boolean mControllerNotified;
    private android.net.wifi.WifiConfiguration mCurrentWifiConfig;
    private int mDnsCheckResult;
    private java.lang.String mGatewayAddress;
    private android.os.Handler mHandler;
    private int mHtmlCheckResult = 599;
    private java.lang.Object mHtmlDownloadWaitingLock = new java.lang.Object();
    private java.lang.Object mHttpRespWaitingLock = new java.lang.Object();
    private int mHttpResponseCode;
    protected boolean mIgnoreRxCounter;
    private boolean mInOversea;
    private android.content.IntentFilter mIntentFilter;
    private boolean mLastDetectTimeout = false;
    private java.lang.String mMainServer;
    private int mMaxAttempts;
    private boolean mMobileHotspot;
    private android.net.Network mNetwork;
    private com.android.server.connectivity.NetworkAgentInfo mNetworkAgentInfo;
    private java.util.concurrent.atomic.AtomicBoolean mNetworkDisconnected = new java.util.concurrent.atomic.AtomicBoolean(true);
    private int mNetworkTypeByWebView;
    private java.lang.String mPortalDetectStatisticsInfo = null;
    private java.lang.String mPortalRedirectedUrl = null;
    private int mRawHttpRespCode;
    private java.lang.String mRawRedirectedHostName;
    private long mRequestTimestamp;
    private long mResponseTimestamp;
    protected java.lang.Object mRxCounterWaitLock = new java.lang.Object();
    protected int mTcpRxCounter;
    protected int mTcpRxFirstCounter;
    protected int mTcpRxSecondCounter;
    private android.telephony.TelephonyManager mTelManager;
    private android.content.BroadcastReceiver mTempReceiverWebView;
    private java.lang.String mUsedServer = null;
    private java.lang.Object mWebViewWaitingLock = new java.lang.Object();
    protected android.net.wifi.WifiManager mWifiManager;
    private boolean rxCounterRespRcvd;
    private volatile boolean webviewRespRcvd = false;

    private class NetworkCheckerThread extends java.lang.Thread {
        public static final java.lang.String SERVER_BAIDU = "baidu";
        public static final java.lang.String SERVER_BING = "bing";
        public static final java.lang.String SERVER_YOUTUBE = "youtube";
        public static final java.lang.String TYPE_HTTPS = "https";
        private final java.lang.String[] INVALID_REDIRECTED_HOST_1 = new java.lang.String[]{"yuzua", "huayaochou", "freewifi.360.cn", "free.wifi.360.cn", "wifi.shouji.360.cn"};
        private final java.lang.String[] INVALID_REDIRECTED_HOST_2 = new java.lang.String[]{"miwifi"};
        private java.lang.String gateWayAddr;
        private boolean isMainServer;
        private java.lang.String mChckingServer;
        private long mainDetectMs = -1;
        private int mainHttpCode = -1;
        private boolean reconfirm;
        private java.net.HttpURLConnection urlConnection;

        public NetworkCheckerThread(java.lang.String server, boolean mainServer, boolean reconfirm, int mainHttpCode, long mainDetectMs, java.lang.String gw) {
            this.mChckingServer = server;
            this.isMainServer = mainServer;
            this.urlConnection = null;
            this.reconfirm = reconfirm;
            this.gateWayAddr = gw;
            this.mainHttpCode = mainHttpCode;
            this.mainDetectMs = mainDetectMs;
        }

        /* JADX WARNING: Removed duplicated region for block: B:92:0x0222  */
        /* JADX WARNING: Missing block: B:34:0x00f7, code:
            if (r14.urlConnection != null) goto L_0x00f9;
     */
        public void run() {
            /*
            r14 = this;
            r0 = 599; // 0x257 float:8.4E-43 double:2.96E-321;
            r1 = com.android.server.HwNetworkPropertyChecker.this;
            r1 = r1.mNetwork;
            if (r1 != 0) goto L_0x0012;
        L_0x000a:
            r2 = com.android.server.HwNetworkPropertyChecker.this;
            r3 = "NetworkCheckerThread, mNetwork == null";
            r2.LOGW(r3);
            return;
        L_0x0012:
            r2 = 204; // 0xcc float:2.86E-43 double:1.01E-321;
            r3 = 0;
            r4 = r14.mChckingServer;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r5 = "http://connectivitycheck.platform.hicloud.com";
            r5 = r4.contains(r5);	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            if (r5 == 0) goto L_0x003c;
        L_0x001f:
            r5 = new java.lang.StringBuilder;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r5.<init>();	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r5.append(r4);	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r6 = "_";
            r5.append(r6);	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r6 = java.util.UUID.randomUUID();	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r6 = r6.toString();	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r5.append(r6);	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r5 = r5.toString();	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r4 = r5;
        L_0x003c:
            r5 = new java.net.URL;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r5.<init>(r4);	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r6 = r1.openConnection(r5);	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r7 = r6 instanceof java.net.HttpURLConnection;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            if (r7 != 0) goto L_0x005b;
        L_0x0049:
            r7 = com.android.server.HwNetworkPropertyChecker.this;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r8 = "NetworkCheckerThread, openConnection doesn't return HttpURLConnection instance.";
            r7.LOGW(r8);	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r1 = 0;
            r2 = r14.urlConnection;
            if (r2 == 0) goto L_0x005a;
        L_0x0055:
            r2 = r14.urlConnection;
            r2.disconnect();
        L_0x005a:
            return;
        L_0x005b:
            r7 = r6;
            r7 = (java.net.HttpURLConnection) r7;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r14.urlConnection = r7;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r7 = r14.urlConnection;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r7.setInstanceFollowRedirects(r3);	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r7 = r14.urlConnection;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r8 = 10000; // 0x2710 float:1.4013E-41 double:4.9407E-320;
            r7.setConnectTimeout(r8);	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r7 = r14.urlConnection;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r7.setReadTimeout(r8);	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r7 = r14.urlConnection;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r7.setUseCaches(r3);	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r7 = r14.urlConnection;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r8 = "User-Agent";
            r9 = "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.32 Safari/537.36";
            r7.setRequestProperty(r8, r9);	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r7 = com.android.server.HwNetworkPropertyChecker.this;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r8 = android.os.SystemClock.elapsedRealtime();	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r7.mRequestTimestamp = r8;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r7 = r14.urlConnection;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r7 = r7.getResponseCode();	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r0 = r7;
            r7 = com.android.server.HwNetworkPropertyChecker.this;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r8 = android.os.SystemClock.elapsedRealtime();	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r7.mResponseTimestamp = r8;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r7 = "http://connectivitycheck.platform.hicloud.com/generate_204";
            r8 = r14.mChckingServer;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r7 = r7.equals(r8);	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            if (r7 == 0) goto L_0x00bf;
        L_0x00a2:
            if (r0 != r2) goto L_0x00bf;
        L_0x00a4:
            r7 = r14.urlConnection;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r8 = "X-Hwcloud-ReqId";
            r7 = r7.getHeaderField(r8);	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            if (r7 == 0) goto L_0x00b6;
        L_0x00ae:
            r8 = r7.length();	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r9 = 32;
            if (r8 == r9) goto L_0x00bf;
        L_0x00b6:
            r8 = com.android.server.HwNetworkPropertyChecker.this;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r9 = "http return 204, but request id error and unreachable!";
            r8.LOGW(r9);	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r0 = 599; // 0x257 float:8.4E-43 double:2.96E-321;
        L_0x00bf:
            r7 = r14.mChckingServer;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r7 = r14.recomfirmResponseCode(r0, r7);	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r0 = r7;
            r7 = r14.mChckingServer;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r8 = "http://connectivitycheck.gstatic.com/generate_204";
            r7 = r7.equals(r8);	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            if (r7 == 0) goto L_0x00f4;
        L_0x00d0:
            r7 = 200; // 0xc8 float:2.8E-43 double:9.9E-322;
            if (r0 != r7) goto L_0x00f4;
        L_0x00d4:
            r7 = r14.urlConnection;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r7 = r7.getContentLength();	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            if (r7 != 0) goto L_0x00f4;
        L_0x00dc:
            r7 = com.android.server.HwNetworkPropertyChecker.this;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r8 = new java.lang.StringBuilder;	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r8.<init>();	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r9 = "NetworkCheckerThread, reset for clients3.google.com, respCode = ";
            r8.append(r9);	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r8.append(r0);	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r8 = r8.toString();	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r7.LOGW(r8);	 Catch:{ IOException -> 0x0111, SecurityException -> 0x0103 }
            r0 = 204; // 0xcc float:2.86E-43 double:1.01E-321;
        L_0x00f4:
            r1 = 0;
            r2 = r14.urlConnection;
            if (r2 == 0) goto L_0x01ed;
        L_0x00f9:
            r2 = r14.urlConnection;
            r2.disconnect();
            goto L_0x01ed;
        L_0x0100:
            r2 = move-exception;
            goto L_0x0238;
        L_0x0103:
            r2 = move-exception;
            r4 = com.android.server.HwNetworkPropertyChecker.this;	 Catch:{ all -> 0x0100 }
            r5 = "NetworkCheckerThread, SecurityException se";
            r4.LOGD(r5);	 Catch:{ all -> 0x0100 }
            r1 = 0;
            r2 = r14.urlConnection;
            if (r2 == 0) goto L_0x01ed;
        L_0x0110:
            goto L_0x00f9;
        L_0x0111:
            r4 = move-exception;
            r5 = r4.getMessage();	 Catch:{ all -> 0x0100 }
            r6 = com.android.server.HwNetworkPropertyChecker.this;	 Catch:{ all -> 0x0100 }
            r7 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0100 }
            r7.<init>();	 Catch:{ all -> 0x0100 }
            r8 = "NetworkCheckerThread, IOException, mainServer = ";
            r7.append(r8);	 Catch:{ all -> 0x0100 }
            r8 = r14.isMainServer;	 Catch:{ all -> 0x0100 }
            r7.append(r8);	 Catch:{ all -> 0x0100 }
            r8 = ", Oversea = ";
            r7.append(r8);	 Catch:{ all -> 0x0100 }
            r8 = com.android.server.HwNetworkPropertyChecker.this;	 Catch:{ all -> 0x0100 }
            r8 = r8.mInOversea;	 Catch:{ all -> 0x0100 }
            r7.append(r8);	 Catch:{ all -> 0x0100 }
            r7 = r7.toString();	 Catch:{ all -> 0x0100 }
            r6.LOGD(r7);	 Catch:{ all -> 0x0100 }
            r6 = 100;
            if (r5 == 0) goto L_0x016d;
        L_0x0140:
            r7 = "ECONNREFUSED";
            r7 = r5.contains(r7);	 Catch:{ all -> 0x0100 }
            if (r7 == 0) goto L_0x016d;
        L_0x0148:
            r7 = com.android.server.HwNetworkPropertyChecker.this;	 Catch:{ all -> 0x0100 }
            r7 = r7.mCurrentWifiConfig;	 Catch:{ all -> 0x0100 }
            r7 = com.android.server.wifipro.WifiProCommonUtils.isOpenType(r7);	 Catch:{ all -> 0x0100 }
            if (r7 != 0) goto L_0x016d;
        L_0x0154:
            r7 = com.android.server.HwNetworkPropertyChecker.this;	 Catch:{ all -> 0x0100 }
            r7 = r7.mCurrentWifiConfig;	 Catch:{ all -> 0x0100 }
            if (r7 == 0) goto L_0x016d;
        L_0x015c:
            r7 = com.android.server.HwNetworkPropertyChecker.this;	 Catch:{ all -> 0x0100 }
            r7 = r7.mCurrentWifiConfig;	 Catch:{ all -> 0x0100 }
            r7 = r7.internetHistory;	 Catch:{ all -> 0x0100 }
            r7 = com.android.server.wifipro.WifiProCommonUtils.matchedRequestByHistory(r7, r6);	 Catch:{ all -> 0x0100 }
            if (r7 == 0) goto L_0x016d;
        L_0x016a:
            r0 = 204; // 0xcc float:2.86E-43 double:1.01E-321;
            goto L_0x01bb;
        L_0x016d:
            if (r5 == 0) goto L_0x019c;
        L_0x016f:
            r7 = "ECONNRESET";
            r7 = r5.contains(r7);	 Catch:{ all -> 0x0100 }
            if (r7 == 0) goto L_0x019c;
        L_0x0177:
            r7 = com.android.server.HwNetworkPropertyChecker.this;	 Catch:{ all -> 0x0100 }
            r7 = r7.mCurrentWifiConfig;	 Catch:{ all -> 0x0100 }
            r7 = com.android.server.wifipro.WifiProCommonUtils.isOpenType(r7);	 Catch:{ all -> 0x0100 }
            if (r7 != 0) goto L_0x019c;
        L_0x0183:
            r7 = com.android.server.HwNetworkPropertyChecker.this;	 Catch:{ all -> 0x0100 }
            r7 = r7.mCurrentWifiConfig;	 Catch:{ all -> 0x0100 }
            if (r7 == 0) goto L_0x019c;
        L_0x018b:
            r7 = com.android.server.HwNetworkPropertyChecker.this;	 Catch:{ all -> 0x0100 }
            r7 = r7.mCurrentWifiConfig;	 Catch:{ all -> 0x0100 }
            r7 = r7.internetHistory;	 Catch:{ all -> 0x0100 }
            r6 = com.android.server.wifipro.WifiProCommonUtils.matchedRequestByHistory(r7, r6);	 Catch:{ all -> 0x0100 }
            if (r6 == 0) goto L_0x019c;
        L_0x0199:
            r0 = 204; // 0xcc float:2.86E-43 double:1.01E-321;
            goto L_0x01bb;
        L_0x019c:
            if (r5 == 0) goto L_0x01bb;
        L_0x019e:
            r6 = "ENETUNREACH";
            r6 = r5.contains(r6);	 Catch:{ all -> 0x0100 }
            if (r6 != 0) goto L_0x01b6;
        L_0x01a6:
            r6 = "ENONET";
            r6 = r5.contains(r6);	 Catch:{ all -> 0x0100 }
            if (r6 != 0) goto L_0x01b6;
        L_0x01ae:
            r6 = "Unable to resolve host";
            r6 = r5.contains(r6);	 Catch:{ all -> 0x0100 }
            if (r6 == 0) goto L_0x01bb;
        L_0x01b6:
            r6 = com.android.server.HwNetworkPropertyChecker.this;	 Catch:{ all -> 0x0100 }
            r7 = 1;
            r6.mIgnoreRxCounter = r7;	 Catch:{ all -> 0x0100 }
        L_0x01bb:
            if (r0 == r2) goto L_0x01e6;
        L_0x01bd:
            if (r5 == 0) goto L_0x01e6;
        L_0x01bf:
            r2 = "ECONNRESET";
            r2 = r5.contains(r2);	 Catch:{ all -> 0x0100 }
            if (r2 != 0) goto L_0x01e4;
        L_0x01c7:
            r2 = "Connection reset";
            r2 = r5.contains(r2);	 Catch:{ all -> 0x0100 }
            if (r2 == 0) goto L_0x01d0;
        L_0x01cf:
            goto L_0x01e4;
        L_0x01d0:
            r2 = "ECONNREFUSED";
            r2 = r5.contains(r2);	 Catch:{ all -> 0x0100 }
            if (r2 != 0) goto L_0x01e1;
        L_0x01d8:
            r2 = "unexpected end";
            r2 = r5.contains(r2);	 Catch:{ all -> 0x0100 }
            if (r2 == 0) goto L_0x01e6;
        L_0x01e1:
            r0 = 601; // 0x259 float:8.42E-43 double:2.97E-321;
            goto L_0x01e6;
        L_0x01e4:
            r0 = 606; // 0x25e float:8.49E-43 double:2.994E-321;
        L_0x01e6:
            r1 = 0;
            r2 = r14.urlConnection;
            if (r2 == 0) goto L_0x01ed;
        L_0x01eb:
            goto L_0x00f9;
        L_0x01ed:
            r2 = com.android.server.HwNetworkPropertyChecker.this;
            r2.mHttpResponseCode = r0;
            r4 = com.android.server.HwNetworkPropertyChecker.this;
            r5 = r14.reconfirm;
            r2 = com.android.server.HwNetworkPropertyChecker.this;
            r6 = r2.mResponseTimestamp;
            r2 = com.android.server.HwNetworkPropertyChecker.this;
            r8 = r2.mRequestTimestamp;
            r8 = r6 - r8;
            r2 = r14.mChckingServer;
            r10 = r14.mainHttpCode;
            r11 = r14.mainDetectMs;
            r6 = com.android.server.HwNetworkPropertyChecker.this;
            r13 = r6.mCurrentWifiConfig;
            r6 = r0;
            r7 = r8;
            r9 = r2;
            r4.updatePortalDetectionStatistics(r5, r6, r7, r9, r10, r11, r13);
            r2 = com.android.server.HwNetworkPropertyChecker.this;
            r2 = r2.mNetworkDisconnected;
            r2 = r2.get();
            if (r2 != 0) goto L_0x0237;
        L_0x0222:
            r2 = com.android.server.HwNetworkPropertyChecker.this;
            r2 = r2.mHandler;
            r4 = com.android.server.HwNetworkPropertyChecker.this;
            r4 = r4.mHandler;
            r5 = 103; // 0x67 float:1.44E-43 double:5.1E-322;
            r3 = android.os.Message.obtain(r4, r5, r3, r3);
            r2.sendMessage(r3);
        L_0x0237:
            return;
        L_0x0238:
            r1 = 0;
            r3 = r14.urlConnection;
            if (r3 == 0) goto L_0x0242;
        L_0x023d:
            r3 = r14.urlConnection;
            r3.disconnect();
        L_0x0242:
            throw r2;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.HwNetworkPropertyChecker.NetworkCheckerThread.run():void");
        }

        private boolean isInvalidRedirectedHost(java.lang.String host, java.lang.String[] servers) {
            if (!(host == null || servers == null)) {
                for (java.lang.CharSequence contains : servers) {
                    if (host.contains(contains)) {
                        return true;
                    }
                }
            }
            return false;
        }

        private int recomfirmResponseCode(int respCode, java.lang.String server) {
            if (com.android.server.wifipro.WifiProCommonUtils.isRedirectedRespCode(respCode)) {
                java.lang.String newLocation = this.urlConnection.getHeaderField("Location");
                java.lang.String host = com.android.server.wifipro.WifiProCommonUtils.parseHostByUrlLocation(newLocation);
                com.android.server.HwNetworkPropertyChecker hwNetworkPropertyChecker = com.android.server.HwNetworkPropertyChecker.this;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("recomfirmResponseCode, host = ");
                stringBuilder.append(host);
                stringBuilder.append(", location = ");
                stringBuilder.append(newLocation);
                stringBuilder.append(", gateway = ");
                stringBuilder.append(this.gateWayAddr);
                stringBuilder.append(",respCode =");
                stringBuilder.append(respCode);
                hwNetworkPropertyChecker.LOGW(stringBuilder.toString());
                if (!(host == null || newLocation == null || com.android.server.HwNetworkPropertyChecker.this.mCurrentWifiConfig == null)) {
                    if (!this.reconfirm) {
                        com.android.server.HwNetworkPropertyChecker.this.mRawRedirectedHostName = host;
                    }
                    com.android.server.HwNetworkPropertyChecker.this.mPortalRedirectedUrl = newLocation;
                    if ("http://www.baidu.com".equals(server) && host.contains("baidu")) {
                        if (host.startsWith("https")) {
                            return 204;
                        }
                        return 599;
                    }
                }
                if (!(com.android.server.HwNetworkPropertyChecker.this.mNetworkDisconnected.get() || android.text.TextUtils.isEmpty(com.android.server.HwNetworkPropertyChecker.this.mRawRedirectedHostName) || android.text.TextUtils.isEmpty(host) || com.android.server.HwNetworkPropertyChecker.this.mRawRedirectedHostName.equals(host) || !com.android.server.wifipro.WifiProCommonUtils.isOpenType(com.android.server.HwNetworkPropertyChecker.this.mCurrentWifiConfig))) {
                    return 605;
                }
            }
            return respCode;
        }
    }

    private static class OneAddressPerFamilyNetwork extends android.net.Network {
        public OneAddressPerFamilyNetwork(android.net.Network network) {
            super(network);
        }

        public java.net.InetAddress[] getAllByName(java.lang.String host) throws java.net.UnknownHostException {
            java.util.List<java.net.InetAddress> addrs = java.util.Arrays.asList(android.net.dns.ResolvUtil.blockingResolveAllLocally(this, host));
            java.util.LinkedHashMap<java.lang.Class, java.net.InetAddress> addressByFamily = new java.util.LinkedHashMap();
            addressByFamily.put(((java.net.InetAddress) addrs.get(0)).getClass(), (java.net.InetAddress) addrs.get(0));
            java.util.Collections.shuffle(addrs);
            for (java.net.InetAddress addr : addrs) {
                addressByFamily.put(addr.getClass(), addr);
            }
            return (java.net.InetAddress[]) addressByFamily.values().toArray(new java.net.InetAddress[addressByFamily.size()]);
        }
    }

    public static class StarndardPortalInfo {
        public java.lang.String currentSsid = "";
        public int lac = -1;
        public long timestamp = 0;
    }

    public HwNetworkPropertyChecker(android.content.Context context, android.net.wifi.WifiManager wifiManager, android.telephony.TelephonyManager telManager, boolean enabled, com.android.server.connectivity.NetworkAgentInfo agent, boolean needRxBroadcast) {
        this.mContext = context;
        this.mWifiManager = wifiManager;
        this.mTelManager = telManager;
        this.mNetworkAgentInfo = agent;
        this.mNetwork = null;
        this.mCurrentWifiConfig = null;
        this.mGatewayAddress = null;
        this.mMainServer = "http://connectivitycheck.platform.hicloud.com/generate_204";
        this.mBackupServer = "http://www.baidu.com";
        this.mInOversea = false;
        this.mCheckerInitialized = false;
        this.mHttpResponseCode = 599;
        this.mIgnoreRxCounter = false;
        this.mControllerNotified = false;
        this.mRequestTimestamp = 0;
        this.mResponseTimestamp = 0;
        this.mCheckingCounter = 0;
        this.mMaxAttempts = 3;
        this.mTcpRxCounter = 0;
        this.mTcpRxFirstCounter = 0;
        this.mTcpRxSecondCounter = 0;
        if (this.mWifiManager == null) {
            this.mWifiManager = (android.net.wifi.WifiManager) this.mContext.getSystemService("wifi");
        }
        this.mContentResolver = this.mContext.getContentResolver();
        init(needRxBroadcast);
    }

    private void init(boolean needRxBroadcast) {
        this.mIntentFilter = new android.content.IntentFilter();
        this.mIntentFilter.addAction("android.net.wifi.STATE_CHANGE");
        if (needRxBroadcast) {
            this.mIntentFilter.addAction("com.huawei.wifi.action.ACTION_RESPONSE_TCP_RX_COUNTER");
        }
        this.mBroadcastReceiver = new android.content.BroadcastReceiver() {
            public void onReceive(android.content.Context context, android.content.Intent intent) {
                int i = 0;
                if ("android.net.wifi.STATE_CHANGE".equals(intent.getAction())) {
                    android.net.NetworkInfo info = (android.net.NetworkInfo) intent.getParcelableExtra("networkInfo");
                    if (!(info == null || android.net.NetworkInfo.DetailedState.DISCONNECTED != info.getDetailedState() || com.android.server.HwNetworkPropertyChecker.this.mNetworkDisconnected.get())) {
                        com.android.server.HwNetworkPropertyChecker.this.LOGD("NETWORK_STATE_CHANGED_ACTION, network is connected --> disconnected.");
                        com.android.server.HwNetworkPropertyChecker.this.mNetworkDisconnected.set(true);
                        com.android.server.HwNetworkPropertyChecker.this.mHandler.sendMessage(android.os.Message.obtain(com.android.server.HwNetworkPropertyChecker.this.mHandler, 102, 0, 0));
                    }
                } else if ("com.huawei.wifi.action.ACTION_RESPONSE_TCP_RX_COUNTER".equals(intent.getAction())) {
                    int rx = intent.getIntExtra("wifipro_tcp_rx_counter", 0);
                    com.android.server.HwNetworkPropertyChecker hwNetworkPropertyChecker = com.android.server.HwNetworkPropertyChecker.this;
                    if (rx > 0) {
                        i = rx;
                    }
                    hwNetworkPropertyChecker.mTcpRxCounter = i;
                    synchronized (com.android.server.HwNetworkPropertyChecker.this.mRxCounterWaitLock) {
                        com.android.server.HwNetworkPropertyChecker.this.rxCounterRespRcvd = true;
                        com.android.server.HwNetworkPropertyChecker.this.mRxCounterWaitLock.notifyAll();
                    }
                }
            }
        };
        this.mContext.registerReceiver(this.mBroadcastReceiver, this.mIntentFilter, "com.huawei.wifipro.permission.RECV.NETWORK_CHECKER", null);
        this.mHandler = new android.os.Handler(android.os.Looper.getMainLooper()) {
            public void handleMessage(android.os.Message msg) {
                android.os.Message message = msg;
                boolean reconfirmDetect = false;
                switch (message.what) {
                    case 101:
                        com.android.server.HwNetworkPropertyChecker.this.mHttpResponseCode = 599;
                        if (message.arg1 == 1) {
                            reconfirmDetect = true;
                        }
                        if (!reconfirmDetect && com.android.server.HwNetworkPropertyChecker.this.mCheckingCounter < com.android.server.HwNetworkPropertyChecker.this.mMaxAttempts) {
                            com.android.server.HwNetworkPropertyChecker.this.mLastDetectTimeout = true;
                        }
                        int mainHttpCode = com.android.server.HwNetworkPropertyChecker.this.mLastDetectTimeout ? 600 : message.arg2;
                        android.os.Bundle bundle = message.obj;
                        com.android.server.HwNetworkPropertyChecker.this.updatePortalDetectionStatistics(reconfirmDetect, 600, -1, bundle.getString("usedServer"), mainHttpCode, bundle.getLong("mainDetectMs"), com.android.server.HwNetworkPropertyChecker.this.mCurrentWifiConfig);
                        if (reconfirmDetect) {
                            com.android.server.HwNetworkPropertyChecker.this.mHttpResponseCode = 600;
                        }
                        synchronized (com.android.server.HwNetworkPropertyChecker.this.mHttpRespWaitingLock) {
                            com.android.server.HwNetworkPropertyChecker.this.httpRespCodeRcvd = true;
                            com.android.server.HwNetworkPropertyChecker.this.mHttpRespWaitingLock.notifyAll();
                        }
                        break;
                    case 102:
                        if (com.android.server.HwNetworkPropertyChecker.this.mHandler.hasMessages(101)) {
                            com.android.server.HwNetworkPropertyChecker.this.LOGD("MSG_HTTP_RESP_TIMEOUT msg removed because of disconnected.");
                            com.android.server.HwNetworkPropertyChecker.this.mHandler.removeMessages(101);
                        }
                        com.android.server.HwNetworkPropertyChecker.this.mHttpResponseCode = 599;
                        com.android.server.HwNetworkPropertyChecker.this.mRawHttpRespCode = 599;
                        com.android.server.HwNetworkPropertyChecker.this.mMobileHotspot = false;
                        com.android.server.HwNetworkPropertyChecker.this.mCheckerInitialized = false;
                        com.android.server.HwNetworkPropertyChecker.this.mRawRedirectedHostName = null;
                        com.android.server.HwNetworkPropertyChecker.this.mPortalRedirectedUrl = null;
                        com.android.server.HwNetworkPropertyChecker.this.mUsedServer = null;
                        synchronized (com.android.server.HwNetworkPropertyChecker.this.mHttpRespWaitingLock) {
                            com.android.server.HwNetworkPropertyChecker.this.httpRespCodeRcvd = true;
                            com.android.server.HwNetworkPropertyChecker.this.mHttpRespWaitingLock.notifyAll();
                        }
                        break;
                    case 103:
                        if (com.android.server.HwNetworkPropertyChecker.this.mHandler.hasMessages(101)) {
                            com.android.server.HwNetworkPropertyChecker.this.LOGD("MSG_HTTP_RESP_TIMEOUT msg removed because of HTTP response received.");
                            com.android.server.HwNetworkPropertyChecker.this.mHandler.removeMessages(101);
                        }
                        synchronized (com.android.server.HwNetworkPropertyChecker.this.mHttpRespWaitingLock) {
                            com.android.server.HwNetworkPropertyChecker.this.httpRespCodeRcvd = true;
                            com.android.server.HwNetworkPropertyChecker.this.mHttpRespWaitingLock.notifyAll();
                        }
                        break;
                    case 104:
                        if (com.android.server.HwNetworkPropertyChecker.this.mHandler.hasMessages(101)) {
                            com.android.server.HwNetworkPropertyChecker.this.LOGD("MSG_HTTP_RESP_TIMEOUT msg removed because of DNS response received.");
                            com.android.server.HwNetworkPropertyChecker.this.mHandler.removeMessages(101);
                        }
                        com.android.server.HwNetworkPropertyChecker.this.mDnsCheckResult = message.arg1;
                        synchronized (com.android.server.HwNetworkPropertyChecker.this.mHttpRespWaitingLock) {
                            com.android.server.HwNetworkPropertyChecker.this.httpRespCodeRcvd = true;
                            com.android.server.HwNetworkPropertyChecker.this.mHttpRespWaitingLock.notifyAll();
                        }
                        break;
                    case 105:
                        if (com.android.server.HwNetworkPropertyChecker.this.mHandler.hasMessages(105)) {
                            com.android.server.HwNetworkPropertyChecker.this.LOGD("MSG_HTML_DOWNLOADED_RCVD msg removed because of html downloaded.");
                            com.android.server.HwNetworkPropertyChecker.this.mHandler.removeMessages(105);
                        }
                        com.android.server.HwNetworkPropertyChecker.this.mHtmlCheckResult = message.arg1;
                        synchronized (com.android.server.HwNetworkPropertyChecker.this.mHtmlDownloadWaitingLock) {
                            com.android.server.HwNetworkPropertyChecker.this.htmlDownloaded = true;
                            com.android.server.HwNetworkPropertyChecker.this.mHtmlDownloadWaitingLock.notifyAll();
                        }
                        break;
                    default:
                        break;
                }
                super.handleMessage(msg);
            }
        };
    }

    private void registerTempReceiverWebView() {
        android.content.IntentFilter intentFilter = new android.content.IntentFilter();
        intentFilter.addAction("com.huawei.wifipro.action.ACTION_RESP_WEBVIEW_CHECK");
        this.mTempReceiverWebView = new android.content.BroadcastReceiver() {
            public void onReceive(android.content.Context context, android.content.Intent intent) {
                if ("com.huawei.wifipro.action.ACTION_RESP_WEBVIEW_CHECK".equals(intent.getAction())) {
                    com.android.server.HwNetworkPropertyChecker.this.mNetworkTypeByWebView = intent.getIntExtra("wifipro_flag_network_type", 100);
                    synchronized (com.android.server.HwNetworkPropertyChecker.this.mWebViewWaitingLock) {
                        com.android.server.HwNetworkPropertyChecker.this.webviewRespRcvd = true;
                        com.android.server.HwNetworkPropertyChecker.this.mWebViewWaitingLock.notifyAll();
                    }
                }
            }
        };
        this.mContext.registerReceiver(this.mTempReceiverWebView, intentFilter, "com.huawei.wifipro.permission.RECV.NETWORK_CHECKER", null);
    }

    private void unregisterTempReceiverWebView() {
        if (this.mTempReceiverWebView != null) {
            this.mContext.unregisterReceiver(this.mTempReceiverWebView);
            this.mTempReceiverWebView = null;
        }
    }

    private void initNetworkInfo() {
        if (this.mWifiManager != null) {
            android.net.DhcpInfo dhcpInfo = this.mWifiManager.getDhcpInfo();
            if (dhcpInfo != null && dhcpInfo.gateway != 0) {
                this.mGatewayAddress = android.net.NetworkUtils.intToInetAddress(dhcpInfo.gateway).getHostAddress();
            }
        }
    }

    private void initCurrWifiConfig() {
        if (this.mWifiManager != null) {
            android.net.wifi.WifiInfo wifiInfo = this.mWifiManager.getConnectionInfo();
            java.util.List<android.net.wifi.WifiConfiguration> configNetworks = this.mWifiManager.getConfiguredNetworks();
            if (configNetworks != null && wifiInfo != null) {
                for (int i = 0; i < configNetworks.size(); i++) {
                    android.net.wifi.WifiConfiguration config = (android.net.wifi.WifiConfiguration) configNetworks.get(i);
                    if (config.networkId == wifiInfo.getNetworkId()) {
                        this.mCurrentWifiConfig = config;
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("initialize, current rssi = ");
                        stringBuilder.append(wifiInfo.getRssi());
                        stringBuilder.append(", network = ");
                        stringBuilder.append(config.configKey(true));
                        LOGD(stringBuilder.toString());
                        this.mNetworkDisconnected.set(false);
                        return;
                    }
                }
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:31:0x00a6  */
    private void initialize(boolean r5) {
        /*
        r4 = this;
        r0 = r4.mCheckerInitialized;
        if (r0 != 0) goto L_0x00d0;
    L_0x0004:
        r0 = r4.mWifiManager;
        if (r0 != 0) goto L_0x0015;
    L_0x0008:
        r0 = r4.mContext;
        r1 = "wifi";
        r0 = r0.getSystemService(r1);
        r0 = (android.net.wifi.WifiManager) r0;
        r4.mWifiManager = r0;
    L_0x0015:
        r0 = r4.mTelManager;
        if (r0 != 0) goto L_0x0025;
    L_0x0019:
        r0 = r4.mContext;
        r1 = "phone";
        r0 = r0.getSystemService(r1);
        r0 = (android.telephony.TelephonyManager) r0;
        r4.mTelManager = r0;
    L_0x0025:
        r0 = r4.mNetwork;
        if (r0 != 0) goto L_0x0050;
    L_0x0029:
        r0 = r4.mNetworkAgentInfo;
        if (r0 == 0) goto L_0x003f;
    L_0x002d:
        r0 = r4.mNetworkAgentInfo;
        r0 = r0.network;
        if (r0 == 0) goto L_0x003f;
    L_0x0033:
        r0 = new com.android.server.HwNetworkPropertyChecker$OneAddressPerFamilyNetwork;
        r1 = r4.mNetworkAgentInfo;
        r1 = r1.network;
        r0.<init>(r1);
        r4.mNetwork = r0;
        goto L_0x0050;
    L_0x003f:
        r0 = com.android.server.HwServiceFactory.getHwConnectivityManager();
        r0 = r0.getNetworkForTypeWifi();
        if (r0 == 0) goto L_0x0050;
    L_0x0049:
        r1 = new com.android.server.HwNetworkPropertyChecker$OneAddressPerFamilyNetwork;
        r1.<init>(r0);
        r4.mNetwork = r1;
    L_0x0050:
        r4.initNetworkInfo();
        r4.initCurrWifiConfig();
        r0 = r4.mTelManager;
        r0 = r0.getNetworkOperator();
        r1 = 1;
        if (r0 == 0) goto L_0x0079;
    L_0x005f:
        r2 = r0.length();
        if (r2 != 0) goto L_0x0066;
    L_0x0065:
        goto L_0x0079;
    L_0x0066:
        r2 = "460";
        r2 = r0.startsWith(r2);
        if (r2 != 0) goto L_0x0094;
    L_0x006e:
        r2 = "http://connectivitycheck.platform.hicloud.com/generate_204";
        r4.mMainServer = r2;
        r2 = "http://connectivitycheck.gstatic.com/generate_204";
        r4.mBackupServer = r2;
        r4.mInOversea = r1;
        goto L_0x0094;
    L_0x0079:
        r2 = "CN";
        r3 = com.android.server.wifipro.WifiProCommonUtils.getProductLocale();
        r2 = r2.equalsIgnoreCase(r3);
        if (r2 != 0) goto L_0x0094;
    L_0x0085:
        r2 = "initialize, can't get network operator!";
        r4.LOGD(r2);
        r2 = "http://connectivitycheck.platform.hicloud.com/generate_204";
        r4.mMainServer = r2;
        r2 = "http://connectivitycheck.gstatic.com/generate_204";
        r4.mBackupServer = r2;
        r4.mInOversea = r1;
    L_0x0094:
        r2 = android.common.HwFrameworkFactory.getHwInnerWifiManager();
        r3 = r4.mContext;
        r2 = r2.getHwMeteredHint(r3);
        r4.mMobileHotspot = r2;
        r4.mCheckerInitialized = r1;
        r1 = r4.mCurrentWifiConfig;
        if (r1 == 0) goto L_0x00d0;
    L_0x00a6:
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "initialize, AP's network history = ";
        r1.append(r2);
        r2 = r4.mCurrentWifiConfig;
        r2 = r2.internetHistory;
        r1.append(r2);
        r2 = ", operator = ";
        r1.append(r2);
        r1.append(r0);
        r2 = ", mInOversea = ";
        r1.append(r2);
        r2 = r4.mInOversea;
        r1.append(r2);
        r1 = r1.toString();
        r4.LOGD(r1);
    L_0x00d0:
        if (r5 == 0) goto L_0x00e2;
    L_0x00d2:
        r0 = com.android.server.HwServiceFactory.getHwConnectivityManager();
        r0 = r0.getNetworkForTypeWifi();
        r4.mNetwork = r0;
        r4.initNetworkInfo();
        r4.initCurrWifiConfig();
    L_0x00e2:
        r0 = 0;
        r4.mIgnoreRxCounter = r0;
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.HwNetworkPropertyChecker.initialize(boolean):void");
    }

    private void sendCheckResultWhenConnected(int finalRespCode, java.lang.String action, java.lang.String flag, int property) {
        android.content.Intent intent = new android.content.Intent(action);
        intent.setFlags(67108864);
        intent.putExtra(flag, property);
        if ("wifi_network_property".equals(flag)) {
            boolean standardPortal;
            if (property == 6) {
                if (!android.text.TextUtils.isEmpty(this.mRawRedirectedHostName)) {
                    intent.putExtra("raw_redirected_host", this.mRawRedirectedHostName);
                }
                standardPortal = false;
                if (isPortalSpecifiedServer(this.mUsedServer) || !com.android.server.wifipro.WifiProCommonUtils.httpReachableHome(this.mRawHttpRespCode)) {
                    standardPortal = true;
                }
                intent.putExtra("standard_portal_network", standardPortal);
            }
            if (this.mPortalDetectStatisticsInfo != null) {
                intent.putExtra("portal_detect_stat_info", this.mPortalDetectStatisticsInfo);
            }
            standardPortal = this.mCurrentWifiConfig != null && com.android.server.wifipro.WifiProCommonUtils.matchedRequestByHistory(this.mCurrentWifiConfig.internetHistory, 103);
            intent.putExtra("portal_http_resp_code", finalRespCode);
            intent.putExtra("portal_first_detect", standardPortal);
            intent.putExtra("portal_redirected_url", this.mPortalRedirectedUrl);
            intent.putExtra("portal_config_key", this.mCurrentWifiConfig != null ? this.mCurrentWifiConfig.configKey() : "");
        }
        this.mContext.sendBroadcast(intent, "com.huawei.wifipro.permission.RECV.NETWORK_CHECKER");
    }

    public boolean isNetworkChanged() {
        android.net.wifi.WifiConfiguration currConfig = com.android.server.wifipro.WifiProCommonUtils.getCurrentWifiConfig(this.mWifiManager);
        if (!(currConfig == null || this.mCurrentWifiConfig == null || this.mNetworkDisconnected.get())) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("isNetworkChanged, current ssid = ");
            stringBuilder.append(currConfig.configKey());
            stringBuilder.append(", checking ssid = ");
            stringBuilder.append(this.mCurrentWifiConfig.configKey());
            LOGW(stringBuilder.toString());
            if (this.mCurrentWifiConfig.configKey() != null && this.mCurrentWifiConfig.configKey().equals(currConfig.configKey())) {
                return false;
            }
        }
        return true;
    }

    public boolean isInOversea() {
        return this.mInOversea;
    }

    public boolean isCheckingCompleted(int finalRespCode) {
        boolean ret = false;
        if (com.android.server.wifipro.WifiProCommonUtils.httpReachableOrRedirected(finalRespCode)) {
            ret = true;
            if (!(this.mControllerNotified || isNetworkChanged())) {
                this.mControllerNotified = true;
                int property = finalRespCode == 204 ? 5 : 6;
                sendCheckResultWhenConnected(finalRespCode, "com.huawei.wifi.action.NETWOR_PROPERTY_NOTIFICATION", "wifi_network_property", property);
                if (property == 5 && this.mCurrentWifiConfig != null && com.android.server.wifipro.WifiProCommonUtils.matchedRequestByHistory(this.mCurrentWifiConfig.internetHistory, 102)) {
                    property = 6;
                }
                sendCheckResultWhenConnected(finalRespCode, "huawei.conn.NETWORK_CONDITIONS_MEASURED", "extra_is_internet_ready", property);
            }
            this.mLastDetectTimeout = false;
        } else if (this.mCheckingCounter >= this.mMaxAttempts) {
            ret = true;
            if (!(this.mControllerNotified || isNetworkChanged())) {
                this.mControllerNotified = true;
                sendCheckResultWhenConnected(finalRespCode, "com.huawei.wifi.action.NETWOR_PROPERTY_NOTIFICATION", "wifi_network_property", -1);
                sendCheckResultWhenConnected(finalRespCode, "huawei.conn.NETWORK_CONDITIONS_MEASURED", "extra_is_internet_ready", -1);
            }
            this.mLastDetectTimeout = false;
        } else if (this.mCheckingCounter == 1) {
            LOGD("sendbroadcast :WifiProCommonDefs.ACTION_FIRST_CHECK_NO_INTERNET_NOTIFICATION");
            android.content.Intent intent = new android.content.Intent("com.huawei.wifi.action.FIRST_CHECK_NO_INTERNET_NOTIFICATION");
            intent.setFlags(67108864);
            this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.ALL);
        }
        return ret;
    }

    private int syncCheckNetworkProperty(java.lang.String server, boolean mainServer, boolean reconfirm, int mainHttpCode, long mainDetectMs) {
        java.lang.Throwable th;
        boolean z = reconfirm;
        this.mHttpResponseCode = 599;
        java.lang.String str;
        int i;
        long j;
        if (this.mNetworkDisconnected.get()) {
            str = server;
            i = mainHttpCode;
            j = mainDetectMs;
        } else {
            com.android.server.HwNetworkPropertyChecker.NetworkCheckerThread networkCheckerThread = new com.android.server.HwNetworkPropertyChecker.NetworkCheckerThread(server, mainServer, z, mainHttpCode, mainDetectMs, this.mGatewayAddress);
            int timeout = mainServer ? 10000 : 6000;
            if (!z && this.mCheckingCounter == 1) {
                timeout = 6000;
            }
            int timeout2 = timeout;
            synchronized (this.mHttpRespWaitingLock) {
                try {
                    this.httpRespCodeRcvd = false;
                    android.os.Bundle bundle = new android.os.Bundle();
                    try {
                        bundle.putLong("mainDetectMs", mainDetectMs);
                        try {
                            bundle.putString("usedServer", server);
                            try {
                                this.mHandler.sendMessageDelayed(android.os.Message.obtain(this.mHandler, 101, z, mainHttpCode, bundle), (long) timeout2);
                                networkCheckerThread.start();
                                while (!this.httpRespCodeRcvd) {
                                    this.mHttpRespWaitingLock.wait();
                                }
                                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("syncCheckNetworkProperty, Thread exited or timeout, http resp code = ");
                                stringBuilder.append(this.mHttpResponseCode);
                                LOGD(stringBuilder.toString());
                            } catch (java.lang.InterruptedException e) {
                            }
                        } catch (java.lang.InterruptedException e2) {
                            i = mainHttpCode;
                            this.mRawHttpRespCode = this.mHttpResponseCode;
                            return this.mHttpResponseCode;
                        } catch (Throwable th2) {
                            th = th2;
                            i = mainHttpCode;
                            throw th;
                        }
                    } catch (java.lang.InterruptedException e3) {
                        str = server;
                        i = mainHttpCode;
                        this.mRawHttpRespCode = this.mHttpResponseCode;
                        return this.mHttpResponseCode;
                    } catch (Throwable th3) {
                        th = th3;
                        str = server;
                        i = mainHttpCode;
                        throw th;
                    }
                    try {
                    } catch (Throwable th4) {
                        th = th4;
                        throw th;
                    }
                } catch (java.lang.InterruptedException e4) {
                    str = server;
                    i = mainHttpCode;
                    j = mainDetectMs;
                } catch (Throwable th5) {
                    th = th5;
                    str = server;
                    i = mainHttpCode;
                    j = mainDetectMs;
                    throw th;
                }
            }
        }
        this.mRawHttpRespCode = this.mHttpResponseCode;
        return this.mHttpResponseCode;
    }

    public int requestTcpRxPacketsCounter() {
        int rxCounter = 0;
        if (com.android.server.wifipro.WifiProCommonUtils.isWifiProPropertyEnabled(this.mContext)) {
            android.content.Intent intent = new android.content.Intent("com.huawei.wifi.action.ACTION_REQUEST_TCP_RX_COUNTER");
            intent.setFlags(67108864);
            synchronized (this.mRxCounterWaitLock) {
                try {
                    this.rxCounterRespRcvd = false;
                    this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.ALL);
                    while (!this.rxCounterRespRcvd) {
                        this.mRxCounterWaitLock.wait();
                    }
                    if (this.mTcpRxCounter > 0) {
                        rxCounter = this.mTcpRxCounter;
                    }
                } catch (java.lang.InterruptedException e) {
                }
            }
            this.mTcpRxCounter = 0;
            return rxCounter;
        }
        LOGD("requestTcpRxPacketsCounter: Product don't support wifi+, skip Tcp Rx Packets Counter, rx = 0");
        return 0;
    }

    public int recomfirmByRxCounter(int httpResponseCode, boolean reconfirm) {
        boolean tcpRxUsable = !reconfirm && com.android.server.wifipro.WifiProCommonUtils.unreachableRespCode(httpResponseCode) && this.mCheckingCounter == this.mMaxAttempts && !this.mNetworkDisconnected.get() && !this.mIgnoreRxCounter && isNetworkPoorRssi();
        if (tcpRxUsable) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("recomfirmByRxCounter, firstRx = ");
            stringBuilder.append(this.mTcpRxFirstCounter);
            stringBuilder.append(", secondRx = ");
            stringBuilder.append(this.mTcpRxSecondCounter);
            LOGD(stringBuilder.toString());
            if (this.mTcpRxSecondCounter - this.mTcpRxFirstCounter >= 3 && this.mTcpRxFirstCounter >= 0) {
                httpResponseCode = 204;
                if (this.mCurrentWifiConfig != null && com.android.server.wifipro.WifiProCommonUtils.isOpenAndPortal(this.mCurrentWifiConfig)) {
                    httpResponseCode = 302;
                }
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("recomfirmByRxCounter, ResponseCode 599 --> ");
                stringBuilder.append(httpResponseCode);
                LOGD(stringBuilder.toString());
            }
            this.mTcpRxFirstCounter = 0;
            this.mTcpRxSecondCounter = 0;
        }
        return httpResponseCode;
    }

    public int isCaptivePortal(boolean reconfirm) {
        return isCaptivePortal(reconfirm, false, false);
    }

    public int isCaptivePortal(boolean reconfirm, boolean portalNetwork, boolean wifiBackground) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("=====ENTER: ===isCaptivePortal, reconfirm = ");
        stringBuilder.append(reconfirm);
        stringBuilder.append(", counter = ");
        stringBuilder.append(this.mCheckingCounter);
        LOGD(stringBuilder.toString());
        int httpResponseCode = 599;
        initialize(reconfirm);
        this.mCheckingCounter++;
        if (!this.mNetworkDisconnected.get()) {
            this.mPortalDetectStatisticsInfo = null;
            httpResponseCode = transformResponseCode(recomfirmByRxCounter(recomfirmResponseCode(this.mUsedServer, getHttpRespCode(reconfirm, this.mCheckingCounter, portalNetwork, wifiBackground), reconfirm), reconfirm));
            updateWifiConfigHistory(httpResponseCode, reconfirm);
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("=====LEAVE: ===isCaptivePortal, httpResponseCode = ");
        stringBuilder2.append(httpResponseCode);
        stringBuilder2.append(", ovs= ");
        stringBuilder2.append(this.mInOversea);
        stringBuilder2.append(", reconfirm = ");
        stringBuilder2.append(reconfirm);
        LOGD(stringBuilder2.toString());
        return httpResponseCode;
    }

    private int getHttpRespCode(boolean reconfirm, int checkingCounter, boolean portalNetwork, boolean wifiBackground) {
        boolean z = reconfirm;
        this.mUsedServer = this.mMainServer;
        if (z) {
            int i = checkingCounter;
        } else if (checkingCounter == 3 && !this.mControllerNotified) {
            LOGD("getHttpRespCode, http unreachable, use the backup server to check for 3rd time.");
            this.mUsedServer = this.mBackupServer;
        }
        int httpResponseCode = syncCheckNetworkProperty(this.mUsedServer, true, z, 599, -1);
        updateStarndardPortalRecord(httpResponseCode, z);
        if (!z || !com.android.server.wifipro.WifiProCommonUtils.unreachableRespCode(httpResponseCode)) {
            return httpResponseCode;
        }
        if (this.mInOversea || wifiBackground || !portalNetwork || isStandardPortal()) {
            LOGD("getHttpRespCode, http unreachable, use the backup server to recheck again.");
            this.mUsedServer = this.mBackupServer;
            return syncCheckNetworkProperty(this.mUsedServer, false, z, httpResponseCode, -1);
        }
        LOGD("getHttpRespCode, http unreachable, use the backup server(g) to recheck again.");
        this.mUsedServer = "http://connectivitycheck.gstatic.com/generate_204";
        return syncCheckNetworkProperty(this.mUsedServer, false, z, httpResponseCode, -1);
    }

    private boolean isNetworkReachableByICMP() {
        return com.android.server.wifipro.WifiProCommonUtils.isNetworkReachableByICMP(!this.mInOversea ? "www.baidu.com" : "www.bing.com", 12000);
    }

    private int getCurrentLac() {
        if (this.mTelManager == null) {
            this.mTelManager = (android.telephony.TelephonyManager) this.mContext.getSystemService("phone");
        }
        this.mCellLocation = this.mTelManager.getCellLocation();
        int simstatus = this.mTelManager.getSimState();
        if (this.mCellLocation != null) {
            if (simstatus != 1) {
                int lac = -1;
                if (this.mCellLocation instanceof android.telephony.gsm.GsmCellLocation) {
                    lac = ((android.telephony.gsm.GsmCellLocation) this.mCellLocation).getLac();
                } else if (this.mCellLocation instanceof android.telephony.cdma.CdmaCellLocation) {
                    lac = ((android.telephony.cdma.CdmaCellLocation) this.mCellLocation).getNetworkId();
                } else {
                    LOGD("CellLocation PhoneType Unknown.");
                }
                return lac;
            }
        }
        return -1;
    }

    private void updateStarndardPortalRecord(int respCode, boolean reconfirm) {
        if (!reconfirm && com.android.server.wifipro.WifiProCommonUtils.isRedirectedRespCode(respCode) && com.android.server.wifipro.WifiProCommonUtils.isOpenType(this.mCurrentWifiConfig)) {
            com.android.server.wifipro.PortalDataBaseManager database = com.android.server.wifipro.PortalDataBaseManager.getInstance(this.mContext);
            if (database != null && this.mCurrentWifiConfig != null) {
                com.android.server.HwNetworkPropertyChecker.StarndardPortalInfo portalInfo = new com.android.server.HwNetworkPropertyChecker.StarndardPortalInfo();
                portalInfo.currentSsid = this.mCurrentWifiConfig.SSID;
                portalInfo.lac = getCurrentLac();
                portalInfo.timestamp = java.lang.System.currentTimeMillis();
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("updateStarndardPortalRecord, ssid = ");
                stringBuilder.append(this.mCurrentWifiConfig.SSID);
                LOGD(stringBuilder.toString());
                database.updateStandardPortalTable(portalInfo);
            }
        }
    }

    private boolean isStandardPortal() {
        com.android.server.wifipro.PortalDataBaseManager database = com.android.server.wifipro.PortalDataBaseManager.getInstance(this.mContext);
        if (!(database == null || this.mCurrentWifiConfig == null)) {
            com.android.server.HwNetworkPropertyChecker.StarndardPortalInfo portalInfo = new com.android.server.HwNetworkPropertyChecker.StarndardPortalInfo();
            portalInfo.currentSsid = this.mCurrentWifiConfig.SSID;
            database.syncQueryStarndardPortalNetwork(portalInfo);
            long timestamp = portalInfo.timestamp;
            if (timestamp > 0 && java.lang.System.currentTimeMillis() - timestamp <= 14400000) {
                LOGD("isStandardPortal return true");
                return true;
            }
        }
        LOGD("isStandardPortal return false");
        return false;
    }

    private boolean isStarndardPortalAuthenCompleted(int respCode) {
        com.android.server.wifipro.PortalDataBaseManager database = com.android.server.wifipro.PortalDataBaseManager.getInstance(this.mContext);
        if (!(database == null || this.mCurrentWifiConfig == null || !com.android.server.wifipro.WifiProCommonUtils.httpReachableHome(respCode))) {
            LOGD("isStarndardPortalAuthenCompleted, verify authen infomathion.");
            int curlac = getCurrentLac();
            com.android.server.HwNetworkPropertyChecker.StarndardPortalInfo portalInfo = new com.android.server.HwNetworkPropertyChecker.StarndardPortalInfo();
            portalInfo.currentSsid = this.mCurrentWifiConfig.SSID;
            database.syncQueryStarndardPortalNetwork(portalInfo);
            long timestamp = portalInfo.timestamp;
            int lastlac = portalInfo.lac;
            if ((timestamp > 0 && java.lang.System.currentTimeMillis() - timestamp <= 14400000) || (lastlac != -1 && lastlac == curlac)) {
                LOGD("portal HTTP response --> 200, this' s starndard portal and authen completed.");
                return true;
            }
        }
        return false;
    }

    private int transformResponseCode(int respCode) {
        int httpResponseCode = respCode;
        if (respCode != 204) {
            if (!com.android.server.wifipro.WifiProCommonUtils.unreachableRespCode(respCode)) {
                if (isPortalSpecifiedServer(this.mUsedServer)) {
                    if (com.android.server.wifipro.WifiProCommonUtils.isRedirectedRespCodeByGoogle(respCode)) {
                        httpResponseCode = 302;
                    }
                } else if (com.android.server.wifipro.WifiProCommonUtils.httpReachableOrRedirected(respCode) && !com.android.server.wifipro.WifiProCommonUtils.isRedirectedRespCode(respCode)) {
                    httpResponseCode = 204;
                }
                return httpResponseCode;
            }
        }
        return httpResponseCode;
    }

    public int syncRecheckBasedOnWebView(boolean oversea) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("syncRecheckBasedOnWebView:: begin, oversea = ");
        stringBuilder.append(oversea);
        LOGD(stringBuilder.toString());
        if (com.android.server.wifipro.WifiProCommonUtils.isWifiProPropertyEnabled(this.mContext)) {
            registerTempReceiverWebView();
            android.content.Intent intent = new android.content.Intent("com.huawei.wifipro.action.ACTION_REQUEST_WEBVIEW_CHECK");
            intent.putExtra("wifipro_flag_oversea", oversea);
            intent.setFlags(67108864);
            this.webviewRespRcvd = false;
            synchronized (this.mWebViewWaitingLock) {
                try {
                    this.mNetworkTypeByWebView = 100;
                    this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.ALL);
                    while (!this.webviewRespRcvd) {
                        this.mWebViewWaitingLock.wait();
                    }
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("syncRecheckBasedOnWebView::end, network type = ");
                    stringBuilder2.append(this.mNetworkTypeByWebView);
                    LOGD(stringBuilder2.toString());
                    unregisterTempReceiverWebView();
                } catch (java.lang.InterruptedException e) {
                }
            }
            return this.mNetworkTypeByWebView;
        }
        LOGD("syncRecheckBasedOnWebView:: Product don't support wifi+, skip webview check, network type = 100!");
        return 100;
    }

    public int syncCheckDnsResponse() {
        this.mDnsCheckResult = -1;
        synchronized (this.mHttpRespWaitingLock) {
            try {
                new java.lang.Thread(new java.lang.Runnable() {
                    public void run() {
                        com.android.server.HwNetworkPropertyChecker.this.mNetwork = com.android.server.HwServiceFactory.getHwConnectivityManager().getNetworkForTypeWifi();
                        try {
                            if (com.android.server.HwNetworkPropertyChecker.this.mNetwork != null) {
                                com.android.server.HwNetworkPropertyChecker.this.mNetwork.getByName("www.bing.com");
                                com.android.server.HwNetworkPropertyChecker.this.mHandler.sendMessage(android.os.Message.obtain(com.android.server.HwNetworkPropertyChecker.this.mHandler, 104, 0, 0));
                            }
                        } catch (java.net.UnknownHostException e) {
                            com.android.server.HwNetworkPropertyChecker.this.LOGD("syncCheckDnsResponse, Unabled to resolve this host.");
                            com.android.server.HwNetworkPropertyChecker.this.mHandler.sendMessage(android.os.Message.obtain(com.android.server.HwNetworkPropertyChecker.this.mHandler, 104, -1, 0));
                        }
                    }
                }).start();
                this.httpRespCodeRcvd = false;
                this.mHandler.sendMessageDelayed(android.os.Message.obtain(this.mHandler, 101, 0, 0), 6000);
                while (!this.httpRespCodeRcvd) {
                    this.mHttpRespWaitingLock.wait();
                }
            } catch (java.lang.InterruptedException e) {
                LOGD("syncCheckDnsResponse Interrupted ");
            }
        }
        return this.mDnsCheckResult;
    }

    public int syncCheckHtmlContent(final java.lang.String checkUrl) {
        this.mHtmlCheckResult = 599;
        if (checkUrl != null) {
            if (!this.mNetworkDisconnected.get()) {
                synchronized (this.mHtmlDownloadWaitingLock) {
                    this.htmlDownloaded = false;
                    try {
                        new java.lang.Thread(new java.lang.Runnable() {
                            public void run() {
                                java.lang.String downloadHtml = com.android.server.HwNetworkPropertyChecker.this.downloadPortalWebHtml(checkUrl);
                                if (downloadHtml != null) {
                                    java.lang.String htmlTitle = null;
                                    int start = downloadHtml.indexOf("<title>", 0);
                                    if (start != -1) {
                                        int end = downloadHtml.indexOf("</title>", start);
                                        if (end != -1 && "</title>".length() + end < downloadHtml.length()) {
                                            htmlTitle = downloadHtml.substring("<title>".length() + start, end);
                                        }
                                    }
                                    if (htmlTitle != null && (htmlTitle.contains("°Ù¶ÈÒ»ÏÂ") || htmlTitle.toLowerCase(java.util.Locale.US).contains("baidu"))) {
                                        com.android.server.HwNetworkPropertyChecker.this.LOGD("parsePortalWebHtml(), http is reachable!!!");
                                        com.android.server.HwNetworkPropertyChecker.this.mHandler.sendMessage(android.os.Message.obtain(com.android.server.HwNetworkPropertyChecker.this.mHandler, 105, 204, 0));
                                    }
                                }
                                com.android.server.HwNetworkPropertyChecker.this.mHandler.sendMessage(android.os.Message.obtain(com.android.server.HwNetworkPropertyChecker.this.mHandler, 105, 599, 0));
                            }
                        }).start();
                        this.mHandler.sendMessageDelayed(android.os.Message.obtain(this.mHandler, 105, 599, 0), 6000);
                        while (!this.htmlDownloaded) {
                            this.mHtmlDownloadWaitingLock.wait();
                        }
                    } catch (java.lang.InterruptedException e) {
                        LOGD("syncCheckHtmlContent Interrupted ");
                    }
                }
                return this.mHtmlCheckResult;
            }
        }
        LOGD("wifi disconnected, syncCheckHtmlContent return 599.");
        return this.mHtmlCheckResult;
    }

    public java.lang.String getCaptiveUsedServer() {
        if (android.text.TextUtils.isEmpty(this.mUsedServer) || !this.mUsedServer.contains("http://connectivitycheck.platform.hicloud.com")) {
            return this.mUsedServer;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(this.mUsedServer);
        stringBuilder.append("_");
        stringBuilder.append(java.util.UUID.randomUUID().toString());
        return stringBuilder.toString();
    }

    public java.lang.String getPortalRedirectedUrl() {
        return this.mPortalRedirectedUrl;
    }

    private int recomfirmResponseCode(java.lang.String usedServer, int respCode, boolean reconfirm) {
        if (this.mCurrentWifiConfig != null) {
            if (!this.mNetworkDisconnected.get()) {
                if (com.android.server.wifipro.WifiProCommonUtils.unreachableRespCode(respCode)) {
                    if (!reconfirm && this.mCheckingCounter == this.mMaxAttempts && !this.mControllerNotified && this.mCurrentWifiConfig.portalNetwork) {
                        LOGD("HTTP GET failed, change 599 --> 302 based on the portal history record to launch browser.");
                        respCode = 302;
                    }
                    return respCode;
                }
                if (respCode == 204 && ((com.android.server.wifipro.WifiProCommonUtils.isOpenAndPortal(this.mCurrentWifiConfig) || com.android.server.wifipro.WifiProCommonUtils.isOpenAndMaybePortal(this.mCurrentWifiConfig)) && usedServer != null && usedServer.contains("http://connectivitycheck.platform.hicloud.com"))) {
                    int httpRespCode = syncCheckNetworkProperty(this.mBackupServer, false, reconfirm, respCode, this.mResponseTimestamp - this.mRequestTimestamp);
                    if (com.android.server.wifipro.WifiProCommonUtils.isRedirectedRespCode(httpRespCode) || (com.android.server.wifipro.WifiProCommonUtils.httpReachableHome(httpRespCode) && "http://connectivitycheck.gstatic.com/generate_204".equals(this.mBackupServer))) {
                        this.mUsedServer = this.mBackupServer;
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("HTTP GET ");
                        stringBuilder.append(httpRespCode);
                        stringBuilder.append(", 204 ==> 302 based on the backup server check.");
                        LOGD(stringBuilder.toString());
                        return 302;
                    }
                }
                if (com.android.server.wifipro.WifiProCommonUtils.httpReachableOrRedirected(respCode) && isPortalSpecifiedServer(usedServer)) {
                    return respCode;
                }
                return recheckForAbnormalRespCode(respCode, reconfirm);
            }
        }
        return 599;
    }

    private int recheckForAbnormalRespCode(int respCode, boolean reconfirm) {
        int type;
        int newRespCode = respCode;
        boolean repairOk = false;
        if (respCode == 606) {
            respCode = recheckForConnectionReset(respCode, reconfirm);
            if (!com.android.server.wifipro.WifiProCommonUtils.unreachableRespCode(respCode) && this.mInOversea) {
                return respCode;
            }
            if (com.android.server.wifipro.WifiProCommonUtils.unreachableRespCode(respCode)) {
                type = syncRecheckBasedOnWebView(this.mInOversea);
                if (type == 101 && !this.mNetworkDisconnected.get()) {
                    respCode = 204;
                } else if (type != 102 || this.mMobileHotspot || !com.android.server.wifipro.WifiProCommonUtils.isOpenType(this.mCurrentWifiConfig) || this.mNetworkDisconnected.get()) {
                    respCode = 599;
                } else {
                    respCode = 302;
                }
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("recomfirmRespCode, CONN_RESET,  the final respCode = ");
                stringBuilder.append(respCode);
                LOGW(stringBuilder.toString());
                return respCode;
            }
        }
        if (com.android.server.wifipro.WifiProCommonUtils.httpReachableHome(newRespCode) && com.android.server.wifipro.WifiProCommonUtils.isOpenType(this.mCurrentWifiConfig) && !this.mMobileHotspot && !isStarndardPortalAuthenCompleted(newRespCode)) {
            type = recheckForOpen200Type(newRespCode, reconfirm);
            if (type != newRespCode) {
                repairOk = true;
                newRespCode = type;
            }
        } else if (com.android.server.wifipro.WifiProCommonUtils.isRedirectedRespCode(respCode) && this.mMobileHotspot) {
            type = recheckForHotspot302Type();
            if (type != respCode) {
                repairOk = true;
                newRespCode = type;
            }
        } else if (com.android.server.wifipro.WifiProCommonUtils.isOpenType(this.mCurrentWifiConfig) || !(com.android.server.wifipro.WifiProCommonUtils.isRedirectedRespCode(respCode) || respCode == 602)) {
            if (respCode != 601) {
                if (respCode != 603) {
                    if (respCode == 604) {
                        newRespCode = recheckForAbnormalRouterServer(respCode, reconfirm);
                        if (newRespCode != 599) {
                            repairOk = true;
                        }
                        respCode = 599;
                        this.mIgnoreRxCounter = true;
                    } else if (respCode == 605) {
                        respCode = recheckForRedirectedHostChanged();
                    }
                }
            }
            newRespCode = recheckForAbnormalStatus(respCode, reconfirm);
            if (newRespCode != 599) {
                repairOk = true;
            }
            respCode = 599;
            this.mIgnoreRxCounter = true;
        } else {
            type = recheckForNonOpen302Type(respCode);
            if (type != respCode) {
                repairOk = true;
                newRespCode = type;
            }
        }
        return repairOk ? newRespCode : respCode;
    }

    private boolean isPortalSpecifiedServer(java.lang.String usedServer) {
        if (!"http://connectivitycheck.platform.hicloud.com/generate_204".equals(usedServer)) {
            if (!"http://connectivitycheck.gstatic.com/generate_204".equals(usedServer)) {
                return false;
            }
        }
        return true;
    }

    private int recheckForRedirectedHostChanged() {
        int type = syncRecheckBasedOnWebView(this.mInOversea);
        if (this.mNetworkDisconnected.get()) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("recheckForRedirectedHostChanged, network disconnected when loading webview, type = ");
            stringBuilder.append(type);
            LOGW(stringBuilder.toString());
            return 599;
        } else if (type != 101) {
            return 302;
        } else {
            LOGW("recheckForRedirectedHostChanged, connected network type is hasInternet based on the WebView loading results.");
            return 204;
        }
    }

    private int recheckForConnectionReset(int respCode, boolean reconfirm) {
        if (this.mNetworkDisconnected.get()) {
            LOGW("recheckForConnectionReset, network is disconnected.");
            return 599;
        }
        java.lang.String backupServer = this.mInOversea ? "http://connectivitycheck.gstatic.com/generate_204" : "http://www.baidu.com";
        this.mUsedServer = backupServer;
        int tmpRespCode = syncCheckNetworkProperty(backupServer, false, reconfirm, respCode, this.mResponseTimestamp - this.mRequestTimestamp);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("recheckForConnectionReset, use 2nd server, respCode = ");
        stringBuilder.append(tmpRespCode);
        LOGD(stringBuilder.toString());
        if (tmpRespCode != 599) {
            if (tmpRespCode != 600) {
                if (com.android.server.wifipro.WifiProCommonUtils.isRedirectedRespCodeByGoogle(tmpRespCode) && this.mInOversea) {
                    return 302;
                }
                if (tmpRespCode == 204 && this.mInOversea) {
                    return 204;
                }
                if (com.android.server.wifipro.WifiProCommonUtils.isRedirectedRespCode(tmpRespCode)) {
                    return 302;
                }
                if (com.android.server.wifipro.WifiProCommonUtils.httpReachableHome(tmpRespCode)) {
                    return 200;
                }
                return 599;
            }
        }
        return 599;
    }

    private int recheckForAbnormalStatus(int respCode, boolean reconfirm) {
        int type = syncRecheckBasedOnWebView(this.mInOversea);
        if (this.mNetworkDisconnected.get()) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("recheckForAbnormalStatus, network disconnected when loading webview, type = ");
            stringBuilder.append(type);
            LOGW(stringBuilder.toString());
            return 599;
        } else if (type == 102 && com.android.server.wifipro.WifiProCommonUtils.isOpenType(this.mCurrentWifiConfig)) {
            LOGW("recheckForAbnormalStatus, SPECIAL_STATUS, connected network type is portal based on the WebView loading results.");
            return 302;
        } else if (type == 101) {
            LOGW("recheckForAbnormalStatus, SPECIAL_STATUS, connected network type is hasInternet based on the WebView loading results.");
            return 204;
        } else if (type == 100 && !this.mNetworkDisconnected.get() && com.android.server.wifipro.WifiProCommonUtils.isOpenAndPortal(this.mCurrentWifiConfig)) {
            return 302;
        } else {
            return 599;
        }
    }

    private int recheckForAbnormalRouterServer(int respCode, boolean reconfirm) {
        int type = syncRecheckBasedOnWebView(this.mInOversea);
        if (this.mNetworkDisconnected.get()) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("recheckForAbnormalRouterServer, network disconnected when loading webview, type = ");
            stringBuilder.append(type);
            LOGW(stringBuilder.toString());
            return 599;
        } else if (type != 101) {
            return 599;
        } else {
            LOGW("recheckForAbnormalRouterServer, connected network type is hasInternet based on the WebView");
            return 204;
        }
    }

    private int recheckForOpen200Type(int lastRespCode, boolean reconfirm) {
        int newRespCode = lastRespCode;
        int type = syncRecheckBasedOnWebView(this.mInOversea);
        if (this.mNetworkDisconnected.get()) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("recheckForOpen200Type, network disconnected when loading webview, type = ");
            stringBuilder.append(type);
            LOGW(stringBuilder.toString());
            return 599;
        }
        if (type == 101) {
            newRespCode = 204;
        } else if (type == 102) {
            LOGW("recheckForOpen200Type, connected network type is portal based on the WebView loading results.");
            newRespCode = 302;
        } else if (type == 100) {
            int tmpRespCode = 200;
            if (!this.mInOversea) {
                tmpRespCode = syncCheckHtmlContent("https://www.baidu.com");
            }
            if (tmpRespCode == 204) {
                newRespCode = tmpRespCode;
            } else if (!this.mNetworkDisconnected.get() && com.android.server.wifipro.WifiProCommonUtils.httpUnreachableOrAbnormal(tmpRespCode) && com.android.server.wifipro.WifiProCommonUtils.isOpenAndPortal(this.mCurrentWifiConfig)) {
                LOGD("recheckForOpen200Type, it's known portal.");
                newRespCode = 302;
            }
        }
        return newRespCode;
    }

    private int recheckForHotspot302Type() {
        int newRespCode = 599;
        int type = syncRecheckBasedOnWebView(this.mInOversea);
        if (this.mNetworkDisconnected.get()) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("recheckForHotspot302Type, network disconnected when loading webview, type = ");
            stringBuilder.append(type);
            LOGD(stringBuilder.toString());
            return 599;
        }
        if (type == 101) {
            LOGD("recheckForHotspot302Type, hotspot has internet access when load webpage.");
            newRespCode = 204;
        } else if (type == 100) {
            LOGD("recheckForHotspot302Type, hotspot has no internet access when load webpage.");
            newRespCode = 599;
        }
        return newRespCode;
    }

    private int recheckForNonOpen302Type(int lastRespCode) {
        int type = syncRecheckBasedOnWebView(this.mInOversea);
        if (this.mNetworkDisconnected.get()) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("recheckForNonOpen302Type, network disconnected when loading webview, type = ");
            stringBuilder.append(type);
            LOGW(stringBuilder.toString());
            return 599;
        } else if (type == 101) {
            LOGW("recheckForNonOpen302Type, 30x/GW from NON-OPEN WiFi, has internet based on the WebView.");
            return 204;
        } else {
            LOGW("recheckForNonOpen302Type, 30x/GW from NON-OPEN WiFi, UNKNOWN/Redirect on the WebView --> tobe NO INTERNET");
            this.mIgnoreRxCounter = true;
            return 599;
        }
    }

    private void updateWifiConfigHistory(int respCode, boolean reconfirm) {
        if (reconfirm && com.android.server.wifipro.WifiProCommonUtils.httpReachableOrRedirected(respCode) && this.mCurrentWifiConfig != null) {
            java.lang.String internetHistory = this.mCurrentWifiConfig.internetHistory;
            if (internetHistory != null) {
                if (internetHistory.lastIndexOf("/") != -1) {
                    boolean z = false;
                    java.lang.String status = internetHistory.substring(0, 1);
                    android.content.Intent intent;
                    if (status != null && status.equals("0")) {
                        int newStatus = respCode == 204 ? 1 : 2;
                        internetHistory = internetHistory.substring(internetHistory.indexOf("/") + 1);
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append(java.lang.String.valueOf(newStatus));
                        stringBuilder.append("/");
                        stringBuilder.append(internetHistory);
                        internetHistory = stringBuilder.toString();
                        this.mCurrentWifiConfig.noInternetAccess = false;
                        this.mCurrentWifiConfig.validatedInternetAccess = this.mCurrentWifiConfig.noInternetAccess ^ 1;
                        if (newStatus == 1) {
                            this.mCurrentWifiConfig.numNoInternetAccessReports = 0;
                            this.mCurrentWifiConfig.lastHasInternetTimestamp = java.lang.System.currentTimeMillis();
                        }
                        android.net.wifi.WifiConfiguration wifiConfiguration = this.mCurrentWifiConfig;
                        if (respCode != 204) {
                            z = true;
                        }
                        wifiConfiguration.portalNetwork = z;
                        this.mCurrentWifiConfig.internetHistory = internetHistory;
                        if (newStatus == 1) {
                            sendCheckResultWhenConnected(204, "huawei.conn.NETWORK_CONDITIONS_MEASURED", "extra_is_internet_ready", 1);
                        }
                        intent = new android.content.Intent("com.huawei.wifipro.ACTION_UPDATE_CONFIG_HISTORY");
                        intent.putExtra("new_wifi_config", new android.net.wifi.WifiConfiguration(this.mCurrentWifiConfig));
                        this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.ALL, "com.huawei.wifipro.permission.RECV.NETWORK_CHECKER");
                    } else if (status != null && status.equals("2") && respCode == 204) {
                        this.mCurrentWifiConfig.lastHasInternetTimestamp = java.lang.System.currentTimeMillis();
                        this.mCurrentWifiConfig.portalCheckStatus = 0;
                        intent = new android.content.Intent("com.huawei.wifipro.ACTION_UPDATE_CONFIG_HISTORY");
                        intent.putExtra("new_wifi_config", new android.net.wifi.WifiConfiguration(this.mCurrentWifiConfig));
                        this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.ALL, "com.huawei.wifipro.permission.RECV.NETWORK_CHECKER");
                    }
                }
            }
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("updateWifiConfigHistory, inputed arg is invalid, internetHistory = ");
            stringBuilder2.append(internetHistory);
            LOGW(stringBuilder2.toString());
        }
    }

    public boolean isNetworkPoorRssi() {
        android.net.wifi.WifiInfo wifiInfo = this.mWifiManager.getConnectionInfo();
        if (wifiInfo == null || com.android.server.wifipro.WifiProCommonUtils.getCurrenSignalLevel(wifiInfo) >= 3) {
            return false;
        }
        return true;
    }

    private void updatePortalDetectionStatistics(boolean reconfirm, int currHttpCode, long currDetectMs, java.lang.String server, int mainHttpCode, long mainHttpMs, android.net.wifi.WifiConfiguration config) {
        java.lang.String str = server;
        android.net.wifi.WifiConfiguration wifiConfiguration = config;
        long j;
        if (reconfirm || this.mControllerNotified || wifiConfiguration == null || str == null) {
            j = mainHttpMs;
        } else {
            boolean mainServer = str.contains("hicloud");
            if (!mainServer || this.mCheckingCounter >= this.mMaxAttempts || !com.android.server.wifipro.WifiProCommonUtils.unreachableRespCode(currHttpCode)) {
                boolean firstConnected = com.android.server.wifipro.WifiProCommonUtils.matchedRequestByHistory(wifiConfiguration.internetHistory, 103);
                if (firstConnected || wifiConfiguration.portalNetwork) {
                    long currDetectMs2;
                    if (currDetectMs <= 0) {
                        currDetectMs2 = -1;
                    } else {
                        currDetectMs2 = currDetectMs;
                    }
                    if (mainHttpMs <= 0) {
                        j = -1;
                    } else {
                        j = mainHttpMs;
                    }
                    int mainCode = mainServer ? currHttpCode : mainHttpCode;
                    int backupCode = mainServer ? -1 : currHttpCode;
                    long mainDetectMs = mainServer ? currDetectMs2 : j;
                    long backupDetectMs = mainServer ? -1 : currDetectMs2;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(firstConnected);
                    stringBuilder.append("|");
                    stringBuilder.append(this.mInOversea);
                    stringBuilder.append("|");
                    stringBuilder.append(mainCode);
                    stringBuilder.append("|");
                    stringBuilder.append(backupCode);
                    stringBuilder.append("|");
                    stringBuilder.append(mainDetectMs);
                    stringBuilder.append("|");
                    stringBuilder.append(backupDetectMs);
                    this.mPortalDetectStatisticsInfo = stringBuilder.toString();
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("updatePortalDetectionStatistics, portalDetectStatisticsInfo = ");
                    stringBuilder.append(this.mPortalDetectStatisticsInfo);
                    LOGD(stringBuilder.toString());
                }
            }
        }
    }

    public long getReqTimestamp() {
        return this.mRequestTimestamp;
    }

    public long getRespTimestamp() {
        return this.mResponseTimestamp;
    }

    public int getRawHttpRespCode() {
        return this.mRawHttpRespCode;
    }

    public boolean isMobileHotspot() {
        return this.mMobileHotspot;
    }

    public void setRawRedirectedHostName(java.lang.String hostName) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setRawRedirectedHostName, hostName = ");
        stringBuilder.append(hostName);
        LOGW(stringBuilder.toString());
        this.mRawRedirectedHostName = hostName;
    }

    public void resetCheckerStatus() {
        this.mCheckingCounter = 0;
        this.mRequestTimestamp = 0;
        this.mResponseTimestamp = 0;
        this.mCheckerInitialized = false;
        this.mMainServer = "http://connectivitycheck.platform.hicloud.com/generate_204";
        this.mBackupServer = "http://www.baidu.com";
        this.mInOversea = false;
        this.mControllerNotified = false;
        this.mIgnoreRxCounter = false;
        this.mLastDetectTimeout = false;
        synchronized (this.mRxCounterWaitLock) {
            this.rxCounterRespRcvd = false;
        }
    }

    /* JADX WARNING: Missing block: B:23:0x005f, code:
            if (r1 == null) goto L_0x0091;
     */
    private java.lang.String downloadPortalWebHtml(java.lang.String r10) {
        /*
        r9 = this;
        r0 = 0;
        r1 = 0;
        r2 = 0;
        r3 = 599; // 0x257 float:8.4E-43 double:2.96E-321;
        r4 = new java.net.URL;	 Catch:{ IOException -> 0x007c, Exception -> 0x0067 }
        r4.<init>(r10);	 Catch:{ IOException -> 0x007c, Exception -> 0x0067 }
        r5 = r4.openConnection();	 Catch:{ IOException -> 0x007c, Exception -> 0x0067 }
        r6 = r5 instanceof java.net.HttpURLConnection;	 Catch:{ IOException -> 0x007c, Exception -> 0x0067 }
        if (r6 != 0) goto L_0x0025;
    L_0x0012:
        r6 = 0;
        if (r2 == 0) goto L_0x001f;
    L_0x0015:
        r2.close();	 Catch:{ IOException -> 0x0019 }
        goto L_0x001f;
    L_0x0019:
        r7 = move-exception;
        r8 = "NetworkCheckerThread, exception of close, msg receive ";
        r9.LOGD(r8);
    L_0x001f:
        if (r1 == 0) goto L_0x0024;
    L_0x0021:
        r1.disconnect();
    L_0x0024:
        return r6;
    L_0x0025:
        r6 = r5;
        r6 = (java.net.HttpURLConnection) r6;	 Catch:{ IOException -> 0x007c, Exception -> 0x0067 }
        r1 = r6;
        r9.setConnectionProperty(r1);	 Catch:{ IOException -> 0x007c, Exception -> 0x0067 }
        r6 = r1.getInputStream();	 Catch:{ IOException -> 0x007c, Exception -> 0x0067 }
        r2 = r6;
        r6 = r1.getResponseCode();	 Catch:{ IOException -> 0x007c, Exception -> 0x0067 }
        r3 = r6;
        r6 = new java.lang.StringBuilder;	 Catch:{ IOException -> 0x007c, Exception -> 0x0067 }
        r6.<init>();	 Catch:{ IOException -> 0x007c, Exception -> 0x0067 }
        r7 = "downloadPortalWebHtml, respCode = ";
        r6.append(r7);	 Catch:{ IOException -> 0x007c, Exception -> 0x0067 }
        r6.append(r3);	 Catch:{ IOException -> 0x007c, Exception -> 0x0067 }
        r6 = r6.toString();	 Catch:{ IOException -> 0x007c, Exception -> 0x0067 }
        r9.LOGD(r6);	 Catch:{ IOException -> 0x007c, Exception -> 0x0067 }
        r6 = 200; // 0xc8 float:2.8E-43 double:9.9E-322;
        if (r3 != r6) goto L_0x0053;
    L_0x004e:
        r6 = r9.readAllHtml(r2);	 Catch:{ IOException -> 0x007c, Exception -> 0x0067 }
        r0 = r6;
    L_0x0053:
        if (r2 == 0) goto L_0x005f;
    L_0x0055:
        r2.close();	 Catch:{ IOException -> 0x0059 }
        goto L_0x005f;
    L_0x0059:
        r4 = move-exception;
        r5 = "NetworkCheckerThread, exception of close, msg receive ";
        r9.LOGD(r5);
    L_0x005f:
        if (r1 == 0) goto L_0x0091;
    L_0x0061:
        r1.disconnect();
        goto L_0x0091;
    L_0x0065:
        r4 = move-exception;
        goto L_0x0092;
    L_0x0067:
        r4 = move-exception;
        r5 = "NetworkCheckerThread, Exception, msg receive ";
        r9.LOGD(r5);	 Catch:{ all -> 0x0065 }
        if (r2 == 0) goto L_0x0079;
    L_0x006f:
        r2.close();	 Catch:{ IOException -> 0x0073 }
        goto L_0x0079;
    L_0x0073:
        r4 = move-exception;
        r5 = "NetworkCheckerThread, exception of close, msg receive ";
        r9.LOGD(r5);
    L_0x0079:
        if (r1 == 0) goto L_0x0091;
    L_0x007b:
        goto L_0x0061;
    L_0x007c:
        r4 = move-exception;
        r5 = "NetworkCheckerThread, IOException, msg receive ";
        r9.LOGD(r5);	 Catch:{ all -> 0x0065 }
        if (r2 == 0) goto L_0x008e;
    L_0x0084:
        r2.close();	 Catch:{ IOException -> 0x0088 }
        goto L_0x008e;
    L_0x0088:
        r4 = move-exception;
        r5 = "NetworkCheckerThread, exception of close, msg receive ";
        r9.LOGD(r5);
    L_0x008e:
        if (r1 == 0) goto L_0x0091;
    L_0x0090:
        goto L_0x0061;
    L_0x0091:
        return r0;
    L_0x0092:
        if (r2 == 0) goto L_0x009e;
    L_0x0094:
        r2.close();	 Catch:{ IOException -> 0x0098 }
        goto L_0x009e;
    L_0x0098:
        r5 = move-exception;
        r6 = "NetworkCheckerThread, exception of close, msg receive ";
        r9.LOGD(r6);
    L_0x009e:
        if (r1 == 0) goto L_0x00a3;
    L_0x00a0:
        r1.disconnect();
    L_0x00a3:
        throw r4;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.HwNetworkPropertyChecker.downloadPortalWebHtml(java.lang.String):java.lang.String");
    }

    private void setConnectionProperty(java.net.HttpURLConnection urlConnection) throws java.io.IOException {
        urlConnection.setInstanceFollowRedirects(false);
        urlConnection.setConnectTimeout(10000);
        urlConnection.setReadTimeout(10000);
        urlConnection.setUseCaches(false);
    }

    private java.lang.String readAllHtml(java.io.InputStream in) throws java.io.IOException {
        java.io.InputStreamReader isr = new java.io.InputStreamReader(in, "UTF-8");
        try {
            java.lang.StringBuffer html = new java.lang.StringBuffer(2097152);
            char[] buffer = new char[8192];
            int length = -1;
            int htmlLength = 0;
            while (true) {
                int read = isr.read(buffer, 0, 8192);
                length = read;
                if (read != -1 && htmlLength + length < 2097152) {
                    htmlLength += length;
                    html.append(buffer, 0, length);
                }
            }
            return html.toString();
        } catch (java.lang.OutOfMemoryError e) {
            LOGD("readAllHtml, OutOfMemoryError msg receive ");
            return null;
        }
    }

    public void release() {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("release(), network's disconnected, checking counter = ");
        stringBuilder.append(this.mCheckingCounter);
        LOGW(stringBuilder.toString());
        if (this.mBroadcastReceiver != null) {
            this.mContext.unregisterReceiver(this.mBroadcastReceiver);
            this.mBroadcastReceiver = null;
        }
        this.mGatewayAddress = null;
        this.mNetworkDisconnected.set(true);
        this.mLastDetectTimeout = false;
    }

    public void LOGD(java.lang.String msg) {
        android.util.Log.d("HwNetworkPropertyChecker", msg);
    }

    public void LOGW(java.lang.String msg) {
        android.util.Log.w("HwNetworkPropertyChecker", msg);
    }
}
