package com.android.server;

public class HwRecoverySystemHelper {
    private static final java.lang.String TAG = "HwRecoverySystemHelper";

    public static boolean clearWipeDataFactoryLowlevel(android.content.Context mContext, android.content.Intent mIntent) {
        final android.content.Context context = mContext;
        android.content.Intent intent = mIntent;
        if (!intent.getBooleanExtra("masterClearWipeDataFactoryLowlevel", false)) {
            return false;
        }
        final boolean wipeEuicc = intent.getBooleanExtra("wipeEuicc", false);
        new java.lang.Thread("Reboot") {
            public void run() {
                try {
                    com.android.server.HwRecoverySystemHelper.rebootWipeUserDataFactoryLowlevel(context, wipeEuicc);
                    android.util.Log.wtf("HwRecoverySystemHelper", "Still running after master clear?!-rebootWipeUserDataFactoryLowlevel");
                } catch (java.io.IOException e) {
                    android.util.Slog.e("HwRecoverySystemHelper", "Can't perform master clear/factory reset", e);
                }
            }
        }.start();
        return true;
    }

    public static boolean clearWipeDataFactory(android.content.Context mContext, android.content.Intent mIntent) {
        final android.content.Context context = mContext;
        if (!mIntent.getBooleanExtra("masterClearWipeDataFactory", false)) {
            return false;
        }
        new java.lang.Thread("Reboot") {
            public void run() {
                try {
                    com.android.server.HwRecoverySystemHelper.rebootWipeUserDataFactory(context);
                    android.util.Log.wtf("HwRecoverySystemHelper", "Still running after master clear?!-rebootWipeUserDataFactory");
                } catch (java.io.IOException e) {
                    android.util.Slog.e("HwRecoverySystemHelper", "Can't perform master clear/factory reset", e);
                }
            }
        }.start();
        return true;
    }

    private static void rebootWipeUserDataFactoryLowlevel(android.content.Context context, boolean wipeEuicc) throws java.io.IOException {
        final android.os.ConditionVariable condition = new android.os.ConditionVariable();
        android.content.Intent intent = new android.content.Intent("android.intent.action.MASTER_CLEAR_NOTIFICATION");
        intent.addFlags(268435456);
        context.sendOrderedBroadcastAsUser(intent, android.os.UserHandle.OWNER, "android.permission.MASTER_CLEAR", new android.content.BroadcastReceiver() {
            public void onReceive(android.content.Context context, android.content.Intent intent) {
                condition.open();
            }
        }, null, 0, null, null);
        condition.block();
        if (wipeEuicc) {
            android.os.RecoverySystem.hwWipeEuiccData(context);
        }
        android.util.Log.d("HwRecoverySystemHelper", "out rebootWipeUserDataFactoryLowlevel");
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("--wipe_data_factory_lowlevel\n--locale=");
        stringBuilder.append(java.util.Locale.getDefault().toString());
        android.os.RecoverySystem.hwBootCommand(context, stringBuilder.toString());
    }

    public static void rebootWipeUserDataFactory(android.content.Context context) throws java.io.IOException {
        final android.os.ConditionVariable condition = new android.os.ConditionVariable();
        context.sendOrderedBroadcastAsUser(new android.content.Intent("android.intent.action.MASTER_CLEAR_NOTIFICATION"), android.os.UserHandle.OWNER, "android.permission.MASTER_CLEAR", new android.content.BroadcastReceiver() {
            public void onReceive(android.content.Context context, android.content.Intent intent) {
                condition.open();
            }
        }, null, 0, null, null);
        condition.block();
        android.util.Log.d("HwRecoverySystemHelper", "out rebootWipeUserDataFactory");
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("--wipe_data_factory_reset\n--locale=");
        stringBuilder.append(java.util.Locale.getDefault().toString());
        android.os.RecoverySystem.hwBootCommand(context, stringBuilder.toString());
    }
}
