package com.android.server;

public final class HwSdLockService {
    public static final java.lang.String ACTION_LOCKED_SD_ADDED = "android.intent.action.HWSDLOCK_LOCKED_SD_ADDED";
    public static final java.lang.String ACTION_LOCKED_SD_AUTO_UNLOCK_FAILED = "android.intent.action.HWSDLOCK_AUTO_UNLOCK_FAILED";
    public static final java.lang.String ACTION_LOCKED_SD_CLEAR_COMPLETED = "android.intent.action.HWSDLOCK_CLEAR_COMPLETED";
    public static final java.lang.String ACTION_LOCKED_SD_FORCE_ERASE_COMPLETED = "android.intent.action.HWSDLOCK_FORCE_ERASE_COMPLETED";
    public static final java.lang.String ACTION_LOCKED_SD_REMOVED = "android.intent.action.HWSDLOCK_LOCKED_SD_REMOVED";
    public static final java.lang.String ACTION_LOCKED_SD_SET_PWD_COMPLETED = "android.intent.action.HWSDLOCK_SET_PWD_COMPLETED";
    public static final java.lang.String ACTION_LOCKED_SD_UNLOCK_COMPLETED = "android.intent.action.HWSDLOCK_UNLOCK_COMPLETED";
    private static final java.lang.String[] COLUMNS_FOR_QUERY_IV = new java.lang.String[]{"iv"};
    private static final java.lang.String[] COLUMNS_FOR_QUERY_VALUE = new java.lang.String[]{"password"};
    private static final java.lang.String COLUMN_IV = "iv";
    private static final java.lang.String COLUMN_KEY = "cid";
    private static final java.lang.String COLUMN_VALUE = "password";
    private static final boolean DEBUG = false;
    private static final java.lang.Object DEFAULT = new java.lang.Object();
    private static final java.lang.String DEFAULT_IMEI = "135792468013579";
    private static final int MAX_CONTAINERS = 250;
    static final int MAX_ERASE_TIME = 180000;
    public static final int MSG_VOLUME_LOCKED_DISK_ADD = 1;
    public static final int MSG_VOLUME_LOCKED_DISK_REMOVED = 2;
    public static final int MSG_VOLUME_NODE_CHANGE = 3;
    private static final java.lang.String PERMISSION = "com.huawei.hwsdlock.permission.ACCESS_HWSDCARD_SECURE";
    private static final java.lang.String PRIVATE_KEY_FILE = "/data/system/SdLockPrivate.key";
    private static final java.lang.String PUBLIC_KEY_FILE = "/data/system/SdLockPublic.key";
    public static final int RESPONSE_CODE_OK = 200;
    private static final java.lang.String S1_KEY = "ad246a7d0ff4a09da7ecdadcf836a487";
    private static final java.lang.String SYSTEM_DIRECTORY = "/system/";
    private static final java.lang.String TABLE = "sdlocksettings";
    private static final java.lang.String TAG = "HwSdLockService";
    private static final java.lang.String VOLD_TAG = "VoldConnector";
    public static final int VOLUME_DISK_ERASING = 645;
    public static final int VOLUME_DISK_LOCKED = 670;
    public static final int VOLUME_DISK_UNENCRYPTED = 639;
    public static final int VOLUME_DISK_UNLOCKED = 671;
    public static final int VOLUME_LOCKED_DISK_ADD = 672;
    public static final int VOLUME_LOCKED_DISK_REMOVED = 673;
    public static final int VOLUME_NODE_CREATED = 674;
    private static volatile com.android.server.HwSdLockService mInstance = null;
    private final java.lang.Object lock = new java.lang.Object();
    private final android.content.BroadcastReceiver mBroadcastReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, final android.content.Intent intent) {
            com.android.server.HwSdLockService.this.mHwSDLockHandler.post(new java.lang.Runnable() {
                public void run() {
                    com.android.server.HwSdLockService.this.handleBootCompleted(intent);
                }
            });
        }
    };
    private android.content.Context mContext;
    private java.lang.Runnable mEraseStateRunable = new java.lang.Runnable() {
        public void run() {
            com.android.server.HwSdLockService.this.mErasingSDLock = false;
        }
    };
    private boolean mErasingSDLock = false;
    private java.lang.String mExternalStorageVolumeID = null;
    private boolean mForceEraseCompleted = false;
    private android.os.Handler mHandler;
    android.os.Handler mHwSDLockHandler;
    private final android.os.HandlerThread mHwSDLockThread;
    private final com.android.server.HwSdLockService.DatabaseHelper mOpenHelper;
    android.app.ProgressDialog mProgressDialog = null;
    private android.os.storage.StorageEventListener mStorageListener = new android.os.storage.StorageEventListener() {
        public void onStorageStateChanged(java.lang.String path, java.lang.String oldState, java.lang.String newState) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onStorageStateChanged : newState ");
            stringBuilder.append(newState);
            stringBuilder.append(", oldState ");
            stringBuilder.append(oldState);
            android.util.Log.i("HwSdLockService", stringBuilder.toString());
            if (newState.equals("mounted") && com.android.server.HwSdLockService.this.mSystemReady) {
                com.android.server.HwSdLockService.this.autoUnlockSD();
            }
        }
    };
    private android.os.storage.StorageManager mStorageManager;
    private boolean mSystemReady = false;
    private volatile android.os.IVold mVold;

    static class DatabaseHelper extends android.database.sqlite.SQLiteOpenHelper {
        private static final java.lang.String DATABASE_NAME = "sdlocksettings.db";
        private static final int DATABASE_VERSION = 2;
        private static final java.lang.String TAG = "SdLockSettingsDB";

        public DatabaseHelper(android.content.Context context) {
            super(context, "sdlocksettings.db", null, 2);
            setWriteAheadLoggingEnabled(true);
        }

        private void createTable(android.database.sqlite.SQLiteDatabase db) {
            db.execSQL("CREATE TABLE sdlocksettings (_id INTEGER PRIMARY KEY AUTOINCREMENT,cid TEXT,password TEXT,iv TEXT);");
        }

        public void onCreate(android.database.sqlite.SQLiteDatabase db) {
            createTable(db);
        }

        public void onUpgrade(android.database.sqlite.SQLiteDatabase db, int oldVersion, int currentVersion) {
            int upgradeVersion = oldVersion;
            if (upgradeVersion == 1) {
                upgradeVersion = 2;
            }
            if (upgradeVersion != 2) {
                android.util.Log.w("SdLockSettingsDB", "Failed to upgrade database!");
            }
        }
    }

    private final class HwSdLockHandler extends android.os.Handler {
        public HwSdLockHandler(android.os.Looper looper) {
            super(looper);
        }

        public void handleMessage(android.os.Message msg) {
            switch (msg.what) {
                case 1:
                    android.util.Log.w("HwSdLockService", "receive event: onLockedDiskAdd");
                    com.android.server.HwSdLockService.this.sendBroadcast("android.intent.action.HWSDLOCK_LOCKED_SD_ADDED");
                    com.android.server.HwSdLockService.this.autoUnlockSD();
                    return;
                case 2:
                    android.util.Log.w("HwSdLockService", "receive event: onLockedDiskRemove");
                    com.android.server.HwSdLockService.this.resetErasing();
                    com.android.server.HwSdLockService.this.sendBroadcast("android.intent.action.HWSDLOCK_LOCKED_SD_REMOVED");
                    return;
                case 3:
                    synchronized (com.android.server.HwSdLockService.this.lock) {
                        if (com.android.server.HwSdLockService.this.mForceEraseCompleted) {
                            com.android.server.HwSdLockService.this.mForceEraseCompleted = false;
                            android.util.Log.i("HwSdLockService", "format begin");
                            new java.lang.Thread(new java.lang.Runnable() {
                                public void run() {
                                    com.android.server.HwSdLockService.this.formatSD();
                                }
                            }).start();
                        } else {
                            android.util.Log.i("HwSdLockService", "receive event:VOLUME_NODE_CREATED, autoUnlockSD");
                            com.android.server.HwSdLockService.this.autoUnlockSD();
                        }
                    }
                    return;
                default:
                    return;
            }
        }
    }

    public static synchronized com.android.server.HwSdLockService getInstance(android.content.Context context) {
        com.android.server.HwSdLockService hwSdLockService;
        synchronized (com.android.server.HwSdLockService.class) {
            if (mInstance == null) {
                mInstance = new com.android.server.HwSdLockService(context);
            }
            hwSdLockService = mInstance;
        }
        return hwSdLockService;
    }

    public void onLockedDiskAdd() {
        this.mHwSDLockHandler.obtainMessage(1).sendToTarget();
    }

    public void onLockedDiskRemove() {
        this.mHwSDLockHandler.obtainMessage(2).sendToTarget();
    }

    public void onLockedDiskChange() {
        this.mHwSDLockHandler.obtainMessage(3).sendToTarget();
    }

    public HwSdLockService(android.content.Context context) {
        this.mContext = context;
        this.mHwSDLockThread = new android.os.HandlerThread("HwSdLockService");
        this.mHwSDLockThread.start();
        this.mHwSDLockHandler = new com.android.server.HwSdLockService.HwSdLockHandler(this.mHwSDLockThread.getLooper());
        this.mOpenHelper = new com.android.server.HwSdLockService.DatabaseHelper(this.mContext);
        this.mStorageManager = (android.os.storage.StorageManager) this.mContext.getSystemService("storage");
        this.mStorageManager.registerListener(this.mStorageListener);
        android.content.IntentFilter bootCompleteFilter = new android.content.IntentFilter();
        bootCompleteFilter.setPriority(1000);
        bootCompleteFilter.addAction("android.intent.action.BOOT_COMPLETED");
        this.mContext.registerReceiver(this.mBroadcastReceiver, bootCompleteFilter);
        this.mHandler = com.android.server.UiThread.getHandler();
        connect();
    }

    private void connect() {
        android.os.IBinder binder = android.os.ServiceManager.getService("vold");
        if (binder != null) {
            try {
                binder.linkToDeath(new android.os.IBinder.DeathRecipient() {
                    public void binderDied() {
                        android.util.Slog.w("HwSdLockService", "vold died; reconnecting");
                        com.android.server.HwSdLockService.this.mVold = null;
                        com.android.server.HwSdLockService.this.connect();
                    }
                }, 0);
            } catch (android.os.RemoteException e) {
                binder = null;
            }
        }
        if (binder != null) {
            this.mVold = android.os.IVold.Stub.asInterface(binder);
        } else {
            android.util.Slog.w("HwSdLockService", "vold not found; trying again");
        }
        if (this.mVold == null) {
            com.android.internal.os.BackgroundThread.getHandler().postDelayed(new com.android.server.-$$Lambda$HwSdLockService$ND1unlY9yNP8AczS6iPL5TQAq9A(this), 1000);
        }
    }

    public void handleBootCompleted(android.content.Intent intent) {
        if (intent == null) {
            android.util.Log.i("HwSdLockService", "mBroadcastReceiver onReceive, the intent is null!");
            return;
        }
        java.lang.String action = intent.getAction();
        if ("android.intent.action.BOOT_COMPLETED".equals(action)) {
            autoUnlockSD();
            this.mSystemReady = true;
        } else {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("received worng broadcast ");
            stringBuilder.append(action);
            android.util.Log.i("HwSdLockService", stringBuilder.toString());
        }
    }

    public int setSDLockPassword(java.lang.String pw) {
        checkPermission(android.os.Binder.getCallingUid());
        if (this.mErasingSDLock) {
            android.util.Log.e("HwSdLockService", "excute setSDLockPassword command failed, erasing now");
            return 645;
        } else if (pw == null) {
            android.util.Log.e("HwSdLockService", "setSDLockPassword, password is null");
            return -1;
        } else {
            int ret = -1;
            if (getSDLockState() == 670) {
                android.util.Log.e("HwSdLockService", "setSDLockPassword, SDCard locked now, need unlock first");
                return -1;
            }
            java.lang.String key = getSDCardId();
            if (key == null) {
                android.util.Log.e("HwSdLockService", "setSDLockPassword, get SDCard Id error");
                return -1;
            }
            if (readKeyValue(key, null) != null) {
                clearSDLockPassword();
            }
            try {
                if (this.mVold != null) {
                    this.mVold.sdlockSetPassword(pw);
                    ret = 200;
                }
            } catch (java.lang.Exception e) {
                e.printStackTrace();
            }
            if (ret == 200) {
                writeKeyValue(key, pw);
                sendBroadcast("android.intent.action.HWSDLOCK_SET_PWD_COMPLETED");
            }
            return ret;
        }
    }

    public int clearSDLockPassword() {
        checkPermission(android.os.Binder.getCallingUid());
        if (this.mErasingSDLock) {
            android.util.Log.e("HwSdLockService", "excute clearSDLockPassword command failed, erasing now");
            return 645;
        } else if (getSDLockState() == 670) {
            android.util.Log.e("HwSdLockService", "clearSDLockPassword, SDCard locked now, need unlock first");
            return -1;
        } else {
            java.lang.String key = getSDCardId();
            if (key == null) {
                android.util.Log.e("HwSdLockService", "clearSDLockPassword, get SDCard Id error");
                return -1;
            }
            java.lang.String encryptPwd = readKeyValue(key, null);
            java.lang.String encryptPwdIv = readKeyIv(key, null);
            java.lang.String decryptPwd = null;
            if (!(encryptPwdIv == null || encryptPwd == null)) {
                try {
                    decryptPwd = aesDecrypt(encryptPwd, com.android.server.storage.Hex.decodeHex(encryptPwdIv.toCharArray()));
                } catch (java.lang.Exception e) {
                    e.printStackTrace();
                    android.util.Log.e("HwSdLockService", "clearSDLockPassword Decrypt error");
                }
            }
            int ret = unlockSDCard(decryptPwd);
            if (ret != 200) {
                return ret;
            }
            try {
                if (this.mVold != null) {
                    this.mVold.sdlockClearPassword(decryptPwd);
                    ret = 200;
                }
            } catch (java.lang.Exception e2) {
                e2.printStackTrace();
            }
            if (ret == 200) {
                deleteKeyValue(key);
                sendBroadcast("android.intent.action.HWSDLOCK_CLEAR_COMPLETED");
            }
            return ret;
        }
    }

    public int unlockSDCard(java.lang.String pw) {
        checkPermission(android.os.Binder.getCallingUid());
        if (this.mErasingSDLock) {
            android.util.Log.e("HwSdLockService", "excute unlockSDCard command failed, erasing now");
            return 645;
        } else if (pw == null) {
            android.util.Log.e("HwSdLockService", "unlockSDCard, password is null");
            return -1;
        } else if (getSDLockState() == 671) {
            return 200;
        } else {
            int code = 0;
            try {
                if (this.mVold != null) {
                    this.mVold.sdlockUnlock(pw);
                    code = 200;
                }
            } catch (java.lang.Exception e) {
                e.printStackTrace();
            }
            if (200 == code) {
                sendBroadcast("android.intent.action.HWSDLOCK_UNLOCK_COMPLETED");
                writeKeyValue(getSDCardId(), pw);
            } else {
                android.util.Log.e("HwSdLockService", "unlockSDCard error , cause Cmd unlocked failed");
            }
            return code;
        }
    }

    public void eraseSDLock() {
        checkPermission(android.os.Binder.getCallingUid());
        if (this.mErasingSDLock) {
            android.util.Log.e("HwSdLockService", "excute eraseSDLock command failed, erasing now");
        } else if (getSDLockState() != 670) {
            android.util.Log.e("HwSdLockService", "erase failed, this sdcard is not in lock state");
        } else {
            final java.lang.String key = getSDCardId();
            if (key == null) {
                android.util.Log.e("HwSdLockService", "erase failed, cannot get SD card ID");
                return;
            }
            this.mHandler.post(new java.lang.Runnable() {
                public void run() {
                    if (com.android.server.HwSdLockService.this.mProgressDialog == null) {
                        int themeID = com.android.server.HwSdLockService.this.mContext.getResources().getIdentifier("androidhwext:style/Theme.Emui.Dialog.Alert", null, null);
                        com.android.server.HwSdLockService.this.mProgressDialog = new android.app.ProgressDialog(com.android.server.HwSdLockService.this.mContext, themeID);
                        com.android.server.HwSdLockService.this.mProgressDialog.setIndeterminate(true);
                        com.android.server.HwSdLockService.this.mProgressDialog.setCancelable(true);
                        com.android.server.HwSdLockService.this.mProgressDialog.getWindow().setType(2003);
                        com.android.server.HwSdLockService.this.mProgressDialog.setMessage(com.android.server.HwSdLockService.this.mContext.getText(17040956));
                    }
                    com.android.server.HwSdLockService.this.mProgressDialog.show();
                }
            });
            this.mErasingSDLock = true;
            this.mHandler.postDelayed(this.mEraseStateRunable, 180000);
            new java.lang.Thread(new java.lang.Runnable() {
                public void run() {
                    com.android.server.HwSdLockService.this.handleEraseSDLock(key);
                }
            }).start();
        }
    }

    private void showToast() {
        this.mHandler.post(new java.lang.Runnable() {
            public void run() {
                android.widget.Toast.makeText(com.android.server.HwSdLockService.this.mContext, com.android.server.HwSdLockService.this.mContext.getString(33685829), 0).show();
            }
        });
    }

    private void handleEraseSDLock(java.lang.String key) {
        int code = -1;
        synchronized (this.lock) {
            try {
                if (this.mVold != null) {
                    this.mVold.sdlockErase();
                    code = 200;
                }
            } catch (java.lang.Exception e) {
                e.printStackTrace();
            }
            if (200 == code) {
                this.mForceEraseCompleted = true;
                deleteKeyValue(key);
            } else {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("eraseSDLock error, code ");
                stringBuilder.append(code);
                android.util.Log.e("HwSdLockService", stringBuilder.toString());
                resetErasing();
                showToast();
            }
        }
    }

    public int getSDLockState() {
        checkPermission(android.os.Binder.getCallingUid());
        if (this.mErasingSDLock) {
            android.util.Log.e("HwSdLockService", "excute getSDLockState command failed, erasing now");
            return 645;
        } else if (this.mVold == null) {
            android.util.Log.e("HwSdLockService", "getSDLockState failed, mVold is null");
            return -1;
        } else {
            int ret = -1;
            try {
                java.lang.String state = this.mVold.sdlockPoll();
                if (state == null) {
                    android.util.Log.e("HwSdLockService", "getSDLockState failed, state is null");
                    return -1;
                }
                java.lang.String state2 = state.trim();
                if (state2.equals("locked")) {
                    ret = 670;
                } else if (state2.equals("unlocked")) {
                    ret = 671;
                } else if (state2.equals("none")) {
                    ret = 639;
                } else {
                    android.util.Log.w("HwSdLockService", "unknown state");
                }
                return ret;
            } catch (java.lang.Exception e) {
                e.printStackTrace();
            }
        }
    }

    public java.lang.String getSDCardId() {
        checkPermission(android.os.Binder.getCallingUid());
        if (this.mErasingSDLock) {
            android.util.Log.e("HwSdLockService", "excute getSDCardId command failed, erasing now");
            return null;
        } else if (this.mVold == null) {
            android.util.Log.e("HwSdLockService", "getSDLockState failed, mVold is null");
            return null;
        } else {
            java.lang.String cid = null;
            try {
                cid = this.mVold.sdlockGetCid();
                if (cid == null) {
                    android.util.Log.e("HwSdLockService", "getSDCardId failed, cid is null");
                    return null;
                }
                cid = cid.trim();
                return cid;
            } catch (java.lang.Exception e) {
                e.printStackTrace();
            }
        }
    }

    private void sendBroadcast(java.lang.String action) {
        this.mContext.sendBroadcastAsUser(new android.content.Intent(action), android.os.UserHandle.ALL, "com.huawei.hwsdlock.permission.RECV_HWSDLOCK_STATE");
    }

    private int formatSD() {
        int ret = -1;
        android.os.storage.IStorageManager service = android.os.storage.IStorageManager.Stub.asInterface(android.os.ServiceManager.getService("mount"));
        if (service != null) {
            android.os.storage.DiskInfo externalStorageVolumeDiskInfo = getExternalStorageVolumeDisk();
            if (externalStorageVolumeDiskInfo == null) {
                android.util.Log.e("HwSdLockService", "erase failed, cannot get SD card Disk Info");
                showToast();
                return -1;
            }
            this.mExternalStorageVolumeID = externalStorageVolumeDiskInfo.getId();
            if (this.mExternalStorageVolumeID == null) {
                android.util.Log.e("HwSdLockService", "erase failed, cannot get SD card mount ID");
                showToast();
                return -1;
            }
            try {
                service.partitionPublic(this.mExternalStorageVolumeID);
                ret = 0;
            } catch (java.lang.Exception e) {
                android.util.Log.e("HwSdLockService", "Unable to invoke IMountService.formatMedia()");
            }
        } else {
            showToast();
            android.util.Log.e("HwSdLockService", "Unable to locate IMountService");
        }
        resetErasing();
        if (ret == 0) {
            sendBroadcast("android.intent.action.HWSDLOCK_FORCE_ERASE_COMPLETED");
        }
        return ret;
    }

    private void resetErasing() {
        this.mErasingSDLock = false;
        this.mExternalStorageVolumeID = null;
        this.mHandler.removeCallbacks(this.mEraseStateRunable);
        this.mHandler.post(new java.lang.Runnable() {
            public void run() {
                if (com.android.server.HwSdLockService.this.mProgressDialog != null) {
                    com.android.server.HwSdLockService.this.mProgressDialog.dismiss();
                    com.android.server.HwSdLockService.this.mProgressDialog = null;
                }
            }
        });
    }

    private java.lang.String getICSStoragePath() {
        java.lang.String pathString = null;
        android.os.storage.StorageVolume[] storageVolumes = ((android.os.storage.StorageManager) this.mContext.getSystemService("storage")).getVolumeList();
        for (int i = 0; i < storageVolumes.length; i++) {
            if (!storageVolumes[i].isEmulated()) {
                pathString = storageVolumes[i].getPath();
                if (!pathString.contains("usb")) {
                    break;
                }
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("getICSStoragePath =");
                stringBuilder.append(pathString);
                android.util.Log.i("HwSdLockService", stringBuilder.toString());
            }
        }
        return pathString;
    }

    private android.os.storage.StorageVolume getExternalStorageVolume() {
        android.os.storage.StorageVolume[] storageVolumes = ((android.os.storage.StorageManager) this.mContext.getSystemService("storage")).getVolumeList();
        for (int i = 0; i < storageVolumes.length; i++) {
            if (!storageVolumes[i].isEmulated()) {
                return storageVolumes[i];
            }
        }
        return null;
    }

    private android.os.storage.DiskInfo getExternalStorageVolumeDisk() {
        for (android.os.storage.DiskInfo disk : ((android.os.storage.StorageManager) this.mContext.getSystemService("storage")).getDisks()) {
            if (disk.isSd()) {
                return disk;
            }
        }
        return null;
    }

    private boolean autoUnlockSD() {
        boolean unlocked = false;
        if (getSDLockState() != 670) {
            return true;
        }
        java.lang.String key = getSDCardId();
        if (key != null) {
            java.lang.String decryptPwd = null;
            java.lang.String encryptPwd = readKeyValue(key, null);
            java.lang.String encryptPwdIv = readKeyIv(key, null);
            if (encryptPwd == null || encryptPwdIv == null) {
                android.util.Log.i("HwSdLockService", "it's a new locked sdcard");
            } else {
                try {
                    decryptPwd = aesDecrypt(encryptPwd, com.android.server.storage.Hex.decodeHex(encryptPwdIv.toCharArray()));
                } catch (java.lang.Exception e) {
                    e.printStackTrace();
                    android.util.Log.e("HwSdLockService", "autoUnlockSD Decrypt error");
                }
                if (unlockSDCard(decryptPwd) == 200) {
                    android.util.Log.i("HwSdLockService", "unlock sdcard ok");
                    unlocked = true;
                } else {
                    android.util.Log.i("HwSdLockService", "unlock sdcard error");
                }
            }
        }
        if (!unlocked) {
            sendBroadcast("android.intent.action.HWSDLOCK_AUTO_UNLOCK_FAILED");
        }
        return unlocked;
    }

    private final void checkPermission(int userId) {
        this.mContext.enforceCallingOrSelfPermission("com.huawei.hwsdlock.permission.ACCESS_HWSDCARD_SECURE", "need com.huawei.hwsdlock.permission.ACCESS_HWSDCARD_SECURE");
    }

    private final void checkWritePermission(int userId) {
        this.mContext.enforceCallingOrSelfPermission("com.huawei.hwsdlock.permission.ACCESS_HWSDCARD_SECURE", "HwSdLockService Write");
    }

    private final void checkPasswordReadPermission(int userId) {
        this.mContext.enforceCallingOrSelfPermission("com.huawei.hwsdlock.permission.ACCESS_HWSDCARD_SECURE", "HwSdLockService Read");
    }

    public void writeKeyValue(java.lang.String key, java.lang.String value) {
        writeKeyValue(this.mOpenHelper.getWritableDatabase(), key, value);
    }

    public void writeKeyValue(android.database.sqlite.SQLiteDatabase db, java.lang.String key, java.lang.String value) {
        if (key == null) {
            android.util.Log.e("HwSdLockService", "writeKeyValue, sdcard id is null");
            return;
        }
        byte[] ivBytes = com.android.server.utils.RandomUtil.random(16);
        java.lang.String ivStr = new java.lang.String(com.android.server.storage.Hex.encodeHex(ivBytes));
        try {
            java.lang.String aesEncryptPwd = aesEncrypt(value, ivBytes);
            android.content.ContentValues cv = new android.content.ContentValues();
            cv.put("cid", key);
            cv.put("password", aesEncryptPwd);
            cv.put("iv", ivStr);
            db.beginTransaction();
            try {
                db.delete("sdlocksettings", "cid=?", new java.lang.String[]{key});
                db.insert("sdlocksettings", null, cv);
                db.setTransactionSuccessful();
            } finally {
                db.endTransaction();
            }
        } catch (java.lang.Exception e) {
            e.printStackTrace();
            android.util.Log.e("HwSdLockService", "writeKeyValue Encrypt error");
        }
    }

    public void deleteKeyValue(java.lang.String key) {
        if (key == null) {
            android.util.Log.e("HwSdLockService", "deleteKeyValue, sdcard id is null");
            return;
        }
        android.database.sqlite.SQLiteDatabase db = this.mOpenHelper.getReadableDatabase();
        android.database.sqlite.SQLiteDatabase sQLiteDatabase = db;
        android.database.Cursor query = sQLiteDatabase.query("sdlocksettings", COLUMNS_FOR_QUERY_VALUE, "cid=?", new java.lang.String[]{key}, null, null, null);
        android.database.Cursor cursor = query;
        if (query != null) {
            try {
                db.delete("sdlocksettings", "cid=?", new java.lang.String[]{key});
            } finally {
                cursor.close();
            }
        }
    }

    public java.lang.String readKeyValue(java.lang.String key, java.lang.String defaultValue) {
        java.lang.Object result = DEFAULT;
        if (key == null) {
            android.util.Log.e("HwSdLockService", "readKeyValue, sdcard id is null");
            return null;
        }
        android.database.Cursor query = this.mOpenHelper.getReadableDatabase().query("sdlocksettings", COLUMNS_FOR_QUERY_VALUE, "cid=?", new java.lang.String[]{key}, null, null, null);
        android.database.Cursor cursor = query;
        if (query != null) {
            if (cursor.moveToFirst()) {
                result = cursor.getString(0);
            }
            cursor.close();
        }
        return result == DEFAULT ? defaultValue : (java.lang.String) result;
    }

    public java.lang.String readKeyIv(java.lang.String key, java.lang.String defaultValue) {
        java.lang.Object result = DEFAULT;
        if (key == null) {
            android.util.Log.e("HwSdLockService", "readKeyIv, sdcard id is null");
            return null;
        }
        android.database.Cursor query = this.mOpenHelper.getReadableDatabase().query("sdlocksettings", COLUMNS_FOR_QUERY_IV, "cid=?", new java.lang.String[]{key}, null, null, null);
        android.database.Cursor cursor = query;
        if (query != null) {
            if (cursor.moveToFirst()) {
                result = cursor.getString(0);
            }
            cursor.close();
        }
        return result == DEFAULT ? defaultValue : (java.lang.String) result;
    }

    public java.lang.String aesEncrypt(java.lang.String password, byte[] ivBytes) throws java.lang.Exception {
        javax.crypto.spec.SecretKeySpec skeySpec = new javax.crypto.spec.SecretKeySpec(genAESKey(), "AES");
        javax.crypto.Cipher cipher = javax.crypto.Cipher.getInstance("AES/CBC/PKCS5Padding");
        cipher.init(1, skeySpec, new javax.crypto.spec.IvParameterSpec(ivBytes));
        java.lang.String ciphertextStr = bcd2Str(cipher.doFinal(password.getBytes(java.nio.charset.Charset.defaultCharset())));
        java.lang.String ivStr = bcd2Str(ivBytes);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(ivStr);
        stringBuilder.append(ciphertextStr);
        return stringBuilder.toString();
    }

    public java.lang.String aesDecrypt(java.lang.String password, byte[] ivBytes) throws java.lang.Exception {
        byte[] bytes = password.substring(bcd2Str(ivBytes).length(), password.length()).getBytes(java.nio.charset.Charset.defaultCharset());
        byte[] bcd = ASCII_To_BCD(bytes, bytes.length);
        javax.crypto.spec.SecretKeySpec newKey = new javax.crypto.spec.SecretKeySpec(genAESKey(), "AES");
        javax.crypto.Cipher cipher = javax.crypto.Cipher.getInstance("AES/CBC/PKCS5Padding");
        cipher.init(2, newKey, new javax.crypto.spec.IvParameterSpec(ivBytes));
        return new java.lang.String(cipher.doFinal(bcd), java.nio.charset.Charset.defaultCharset());
    }

    private byte[] genMasterKey() throws java.lang.Exception {
        return com.android.server.utils.Calculator.calculator(com.android.server.storage.Hex.decodeHex("4135a1281fd5ede8fc53516fd2919dce65ba30f9c2db4dbced6f2cd9c471105a".toCharArray()), com.android.server.storage.Hex.decodeHex("bf0af535386b84bd4ed4e870c1b3d4d0569764bc291af58aeb54d8f60de24249".toCharArray()), com.android.server.storage.Hex.decodeHex("b720a52ffe5e9e9b8ef5da107b17452b74a2abb770bfc36708cc623f710bea1f".toCharArray()));
    }

    private byte[] genAESKey() throws java.lang.Exception {
        byte[] s1 = com.android.server.storage.Hex.decodeHex("ad246a7d0ff4a09da7ecdadcf836a487".toCharArray());
        java.lang.String imei = ((android.telephony.TelephonyManager) this.mContext.getSystemService("phone")).getDeviceId();
        if (imei == null) {
            android.util.Log.e("HwSdLockService", "cannot get right number, set to default");
            imei = "135792468013579";
        }
        return com.android.server.utils.PBKDF2WithHmacSHA1.generateStorngPasswordHash(new java.lang.String(genMasterKey(), java.nio.charset.Charset.defaultCharset()), new java.lang.String(com.android.server.utils.Calculator.xor(s1, imei.getBytes(java.nio.charset.Charset.defaultCharset())), java.nio.charset.Charset.defaultCharset()), 1000);
    }

    public static byte[] ASCII_To_BCD(byte[] ascii, int asc_len) {
        byte[] bcd = new byte[(asc_len / 2)];
        int j = 0;
        for (int i = 0; i < (asc_len + 1) / 2; i++) {
            int j2 = j + 1;
            bcd[i] = asc_to_bcd(ascii[j]);
            if (j2 >= asc_len) {
                j = j2;
                j2 = 0;
            } else {
                j = j2 + 1;
                j2 = asc_to_bcd(ascii[j2]);
            }
            bcd[i] = (byte) (j2 + (bcd[i] << 4));
        }
        return bcd;
    }

    public static byte asc_to_bcd(byte asc) {
        byte bcd;
        if (asc >= (byte) 48 && asc <= (byte) 57) {
            bcd = (byte) (asc - 48);
        } else if (asc >= (byte) 65 && asc <= (byte) 70) {
            bcd = (byte) ((asc - 65) + 10);
        } else if (asc < (byte) 97 || asc > (byte) 102) {
            return (byte) (asc - 48);
        } else {
            bcd = (byte) ((asc - 97) + 10);
        }
        return bcd;
    }

    public static java.lang.String bcd2Str(byte[] bytes) {
        char[] temp = new char[(bytes.length * 2)];
        for (int i = 0; i < bytes.length; i++) {
            char val = (char) (((bytes[i] & 240) >> 4) & 15);
            temp[i * 2] = (char) (val > 9 ? (val + 65) - 10 : val + 48);
            val = (char) (bytes[i] & 15);
            temp[(i * 2) + 1] = (char) (val > 9 ? (val + 65) - 10 : val + 48);
        }
        return new java.lang.String(temp);
    }

    public static java.lang.String[] splitString(java.lang.String string, int len) {
        int x = string.length() / len;
        int y = string.length() % len;
        int z = 0;
        if (y != 0) {
            z = 1;
        }
        java.lang.String[] strings = new java.lang.String[(x + z)];
        java.lang.String str = "";
        for (int i = 0; i < x + z; i++) {
            if (i != (x + z) - 1 || y == 0) {
                str = string.substring(i * len, (i * len) + len);
            } else {
                str = string.substring(i * len, (i * len) + y);
            }
            strings[i] = str;
        }
        return strings;
    }

    public static byte[][] splitArray(byte[] data, int len) {
        int x = data.length / len;
        int y = data.length % len;
        int z = 0;
        if (y != 0) {
            z = 1;
        }
        byte[][] arrays = new byte[(x + z)][];
        for (int i = 0; i < x + z; i++) {
            byte[] arr = new byte[len];
            if (i != (x + z) - 1 || y == 0) {
                java.lang.System.arraycopy(data, i * len, arr, 0, len);
            } else {
                java.lang.System.arraycopy(data, i * len, arr, 0, y);
            }
            arrays[i] = arr;
        }
        return arrays;
    }
}
