package com.android.server;

public class HwSecureInputMethodManagerService extends com.android.server.AbsInputMethodManagerService implements android.content.ServiceConnection, android.os.Handler.Callback {
    static final boolean DEBUG = false;
    static final boolean DEBUG_FLOW = android.util.Log.HWINFO;
    static final boolean DEBUG_RESTORE = false;
    static final int MSG_ATTACH_TOKEN = 1040;
    static final int MSG_BIND_CLIENT = 3010;
    static final int MSG_BIND_INPUT = 1010;
    static final int MSG_CREATE_SESSION = 1050;
    static final int MSG_HIDE_SOFT_INPUT = 1030;
    static final int MSG_REPORT_FULLSCREEN_MODE = 3045;
    static final int MSG_SET_ACTIVE = 3020;
    static final int MSG_SET_INTERACTIVE = 3030;
    static final int MSG_SET_USER_ACTION_NOTIFICATION_SEQUENCE_NUMBER = 3040;
    static final int MSG_SHOW_SOFT_INPUT = 1020;
    static final int MSG_START_INPUT = 2000;
    static final int MSG_UNBIND_CLIENT = 3000;
    static final int MSG_UNBIND_INPUT = 1000;
    private static final int NOT_A_SUBTYPE_ID = -1;
    static final int SECURE_SUGGESTION_SPANS_MAX_SIZE = 20;
    public static final java.lang.String SETTINGS_SECURE_KEYBOARD_CONTROL = "secure_keyboard";
    static final java.lang.String TAG = "SecInputMethodManagerService";
    static final long TIME_TO_RECONNECT = 3000;
    static final int UNBIND_SECIME_IF_SHOULD = 10000;
    private static final java.lang.String secImeId = "com.huawei.secime/.SoftKeyboard";
    private final android.app.AppOpsManager mAppOpsManager;
    int mBackDisposition = 0;
    boolean mBoundToMethod;
    final com.android.internal.os.HandlerCaller mCaller;
    final java.util.HashMap<android.os.IBinder, com.android.server.HwSecureInputMethodManagerService.ClientState> mClients = new java.util.HashMap();
    final android.content.Context mContext;
    android.view.inputmethod.EditorInfo mCurAttribute;
    com.android.server.HwSecureInputMethodManagerService.ClientState mCurClient;
    private boolean mCurClientInKeyguard;
    android.os.IBinder mCurFocusedWindow;
    com.android.server.HwSecureInputMethodManagerService.ClientState mCurFocusedWindowClient;
    int mCurFocusedWindowSoftInputMode;
    java.lang.String mCurId;
    com.android.internal.view.IInputContext mCurInputContext;
    int mCurInputContextMissingMethods;
    android.content.Intent mCurIntent;
    com.android.internal.view.IInputMethod mCurMethod;
    java.lang.String mCurMethodId;
    int mCurSeq;
    android.os.IBinder mCurToken;
    int mCurUserActionNotificationSequenceNumber = 0;
    com.android.server.HwSecureInputMethodManagerService.SessionState mEnabledSession;
    boolean mHaveConnection;
    private final android.content.pm.IPackageManager mIPackageManager = android.app.AppGlobals.getPackageManager();
    final android.view.IWindowManager mIWindowManager;
    int mImeWindowVis;
    boolean mInFullscreenMode;
    boolean mInputShown;
    boolean mIsInteractive = true;
    private android.app.KeyguardManager mKeyguardManager;
    long mLastBindTime;
    private android.os.LocaleList mLastSystemLocales;
    final java.util.ArrayList<android.view.inputmethod.InputMethodInfo> mMethodList = new java.util.ArrayList();
    final java.util.HashMap<java.lang.String, android.view.inputmethod.InputMethodInfo> mMethodMap = new java.util.HashMap();
    private final com.android.server.HwSecureInputMethodManagerService.MyPackageMonitor mMyPackageMonitor = new com.android.server.HwSecureInputMethodManagerService.MyPackageMonitor();
    final com.android.internal.view.InputBindResult mNoBinding = new com.android.internal.view.InputBindResult(-1, null, null, null, -1, -1);
    final android.content.res.Resources mRes;
    private com.android.server.HwSecureInputMethodManagerService.SecureSettingsObserver mSecureSettingsObserver;
    private final android.util.LruCache<android.text.style.SuggestionSpan, android.view.inputmethod.InputMethodInfo> mSecureSuggestionSpans = new android.util.LruCache(20);
    final com.android.internal.inputmethod.InputMethodUtils.InputMethodSettings mSettings;
    private final java.util.HashMap<android.view.inputmethod.InputMethodInfo, java.util.ArrayList<android.view.inputmethod.InputMethodSubtype>> mShortcutInputMethodsAndSubtypes = new java.util.HashMap();
    private boolean mShouldSetActive;
    boolean mShowExplicitlyRequested;
    boolean mShowForced;
    boolean mShowRequested;
    private final java.lang.String mSlotIme;
    @com.android.internal.annotations.GuardedBy("mMethodMap")
    private final java.util.WeakHashMap<android.os.IBinder, com.android.server.HwSecureInputMethodManagerService.StartInputInfo> mStartInputMap = new java.util.WeakHashMap();
    private com.android.server.statusbar.StatusBarManagerService mStatusBar;
    boolean mSystemReady = false;
    private int mUnbindCounter = 0;
    private final android.os.UserManager mUserManager;
    boolean mVisibleBound = false;
    final android.content.ServiceConnection mVisibleConnection = new com.android.server.HwSecureInputMethodManagerService.MySerServiceConnection();
    final com.android.server.wm.WindowManagerInternal mWindowManagerInternal;

    static final class ClientState {
        final android.view.inputmethod.InputBinding binding = new android.view.inputmethod.InputBinding(null, this.inputContext.asBinder(), this.uid, this.pid);
        final com.android.internal.view.IInputMethodClient client;
        com.android.server.HwSecureInputMethodManagerService.SessionState curSession;
        final com.android.internal.view.IInputContext inputContext;
        final int pid;
        boolean sessionRequested;
        final int uid;

        public java.lang.String toString() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("ClientState{");
            stringBuilder.append(java.lang.Integer.toHexString(java.lang.System.identityHashCode(this)));
            stringBuilder.append(" uid ");
            stringBuilder.append(this.uid);
            stringBuilder.append(" pid ");
            stringBuilder.append(this.pid);
            stringBuilder.append("}");
            return stringBuilder.toString();
        }

        ClientState(com.android.internal.view.IInputMethodClient _client, com.android.internal.view.IInputContext _inputContext, int _uid, int _pid) {
            this.client = _client;
            this.inputContext = _inputContext;
            this.uid = _uid;
            this.pid = _pid;
        }
    }

    class ImmsBroadcastReceiver extends android.content.BroadcastReceiver {
        ImmsBroadcastReceiver() {
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            java.lang.String action = intent.getAction();
            if (!"android.intent.action.USER_ADDED".equals(action)) {
                if (!"android.intent.action.USER_REMOVED".equals(action)) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("Unexpected intent ");
                    stringBuilder.append(intent);
                    android.util.Slog.w("SecInputMethodManagerService", stringBuilder.toString());
                    return;
                }
            }
            com.android.server.HwSecureInputMethodManagerService.this.updateCurrentProfileIds();
        }
    }

    private static final class MethodCallback extends com.android.internal.view.IInputSessionCallback.Stub {
        private final android.view.InputChannel mChannel;
        private final com.android.internal.view.IInputMethod mMethod;
        private final com.android.server.HwSecureInputMethodManagerService mParentIMMS;

        MethodCallback(com.android.server.HwSecureInputMethodManagerService imms, com.android.internal.view.IInputMethod method, android.view.InputChannel channel) {
            this.mParentIMMS = imms;
            this.mMethod = method;
            this.mChannel = channel;
        }

        public void sessionCreated(com.android.internal.view.IInputMethodSession session) {
            long ident = android.os.Binder.clearCallingIdentity();
            try {
                this.mParentIMMS.onSessionCreated(this.mMethod, session, this.mChannel);
            } finally {
                android.os.Binder.restoreCallingIdentity(ident);
            }
        }
    }

    public static final class MyLifecycle extends com.android.server.SystemService {
        private com.android.server.HwSecureInputMethodManagerService mService;

        public MyLifecycle(android.content.Context context) {
            super(context);
            this.mService = new com.android.server.HwSecureInputMethodManagerService(context);
        }

        public void onStart() {
            publishBinderService("input_method_secure", this.mService);
        }

        public void onSwitchUser(int userHandle) {
            this.mService.onSwitchUser(userHandle);
        }

        public void onBootPhase(int phase) {
            if (phase == 550) {
                this.mService.systemRunning((com.android.server.statusbar.StatusBarManagerService) android.os.ServiceManager.getService("statusbar"));
            }
        }

        public void onUnlockUser(int userHandle) {
            this.mService.onUnlockUser(userHandle);
        }
    }

    class MyPackageMonitor extends com.android.internal.content.PackageMonitor {
        MyPackageMonitor() {
        }

        private boolean isChangingPackagesOfCurrentUser() {
            return getChangingUserId() == com.android.server.HwSecureInputMethodManagerService.this.mSettings.getCurrentUserId();
        }

        public boolean onHandleForceStop(android.content.Intent intent, java.lang.String[] packages, int uid, boolean doit) {
            return false;
        }

        public void onSomePackagesChanged() {
            if (isChangingPackagesOfCurrentUser()) {
                synchronized (com.android.server.HwSecureInputMethodManagerService.this.mMethodMap) {
                    com.android.server.HwSecureInputMethodManagerService.this.buildInputMethodListLocked(false);
                }
            }
        }

        public boolean onPackageChanged(java.lang.String packageName, int uid, java.lang.String[] components) {
            onSomePackagesChanged();
            if (components != null) {
                for (java.lang.String name : components) {
                    if (packageName.equals(name)) {
                        return true;
                    }
                }
            }
            return false;
        }
    }

    static class MySerServiceConnection implements android.content.ServiceConnection {
        MySerServiceConnection() {
        }

        public void onServiceConnected(android.content.ComponentName name, android.os.IBinder service) {
        }

        public void onServiceDisconnected(android.content.ComponentName name) {
        }
    }

    private class SecureSettingsObserver extends android.database.ContentObserver {
        boolean mRegistered = false;
        int mUserId;

        public SecureSettingsObserver() {
            super(new android.os.Handler());
        }

        public void registerContentObserverInner(int userId) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("SecureSettingsObserver mRegistered=");
            stringBuilder.append(this.mRegistered);
            stringBuilder.append(" new user=");
            stringBuilder.append(userId);
            stringBuilder.append(" current user=");
            stringBuilder.append(this.mUserId);
            android.util.Slog.d("SecInputMethodManagerService", stringBuilder.toString());
            if (!this.mRegistered || this.mUserId != userId) {
                android.content.ContentResolver resolver = com.android.server.HwSecureInputMethodManagerService.this.mContext.getContentResolver();
                if (this.mRegistered) {
                    resolver.unregisterContentObserver(this);
                    this.mRegistered = false;
                }
                this.mUserId = userId;
                resolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("secure_keyboard"), false, this, userId);
                this.mRegistered = true;
            }
        }

        public void onChange(boolean selfChange, android.net.Uri uri) {
            if (uri != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("SecureSettingsObserver onChange, uri = ");
                stringBuilder.append(uri.toString());
                android.util.Slog.i("SecInputMethodManagerService", stringBuilder.toString());
                if (android.provider.Settings.Secure.getUriFor("secure_keyboard").equals(uri) && !com.android.server.HwSecureInputMethodManagerService.this.isSecureIMEEnable()) {
                    synchronized (com.android.server.HwSecureInputMethodManagerService.this.mMethodMap) {
                        com.android.server.HwSecureInputMethodManagerService.this.hideCurrentInputLocked(0, null);
                        com.android.server.HwSecureInputMethodManagerService.this.mCurMethodId = null;
                        com.android.server.HwSecureInputMethodManagerService.this.unbindCurrentMethodLocked(false);
                    }
                }
            }
        }
    }

    static class SessionState {
        android.view.InputChannel channel;
        final com.android.server.HwSecureInputMethodManagerService.ClientState client;
        final com.android.internal.view.IInputMethod method;
        com.android.internal.view.IInputMethodSession session;

        public java.lang.String toString() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("SessionState{uid ");
            stringBuilder.append(this.client.uid);
            stringBuilder.append(" pid ");
            stringBuilder.append(this.client.pid);
            stringBuilder.append(" method ");
            stringBuilder.append(java.lang.Integer.toHexString(java.lang.System.identityHashCode(this.method)));
            stringBuilder.append(" session ");
            stringBuilder.append(java.lang.Integer.toHexString(java.lang.System.identityHashCode(this.session)));
            stringBuilder.append(" channel ");
            stringBuilder.append(this.channel);
            stringBuilder.append("}");
            return stringBuilder.toString();
        }

        SessionState(com.android.server.HwSecureInputMethodManagerService.ClientState _client, com.android.internal.view.IInputMethod _method, com.android.internal.view.IInputMethodSession _session, android.view.InputChannel _channel) {
            this.client = _client;
            this.method = _method;
            this.session = _session;
            this.channel = _channel;
        }
    }

    private static class StartInputInfo {
        private static final java.util.concurrent.atomic.AtomicInteger sSequenceNumber = new java.util.concurrent.atomic.AtomicInteger(0);
        final int mClientBindSequenceNumber;
        final android.view.inputmethod.EditorInfo mEditorInfo;
        final java.lang.String mImeId;
        final android.os.IBinder mImeToken;
        final boolean mRestarting;
        final int mSequenceNumber = sSequenceNumber.getAndIncrement();
        final int mStartInputReason;
        final android.os.IBinder mTargetWindow;
        final int mTargetWindowSoftInputMode;
        final long mTimestamp = android.os.SystemClock.uptimeMillis();
        final long mWallTime = java.lang.System.currentTimeMillis();

        StartInputInfo(android.os.IBinder imeToken, java.lang.String imeId, int startInputReason, boolean restarting, android.os.IBinder targetWindow, android.view.inputmethod.EditorInfo editorInfo, int targetWindowSoftInputMode, int clientBindSequenceNumber) {
            this.mImeToken = imeToken;
            this.mImeId = imeId;
            this.mStartInputReason = startInputReason;
            this.mRestarting = restarting;
            this.mTargetWindow = targetWindow;
            this.mEditorInfo = editorInfo;
            this.mTargetWindowSoftInputMode = targetWindowSoftInputMode;
            this.mClientBindSequenceNumber = clientBindSequenceNumber;
        }
    }

    private final class LocalSecureServiceImpl implements com.android.server.HwSecureInputMethodManagerInternal {
        private LocalSecureServiceImpl() {
        }

        /* synthetic */ LocalSecureServiceImpl(com.android.server.HwSecureInputMethodManagerService x0, com.android.server.HwSecureInputMethodManagerService.AnonymousClass1 x1) {
            this();
        }

        public void setClientActiveFlag() {
            com.android.server.HwSecureInputMethodManagerService.this.mShouldSetActive = true;
        }
    }

    protected boolean isSecureIME(java.lang.String packageName) {
        return "com.huawei.secime".equals(packageName);
    }

    protected boolean shouldBuildInputMethodList(java.lang.String packageName) {
        return "com.huawei.secime".equals(packageName);
    }

    private boolean isSecureIMEEnable() {
        return android.provider.Settings.Secure.getIntForUser(this.mContext.getContentResolver(), "secure_keyboard", 1, this.mSettings.getCurrentUserId()) == 1;
    }

    /* JADX WARNING: Missing block: B:16:0x002e, code:
            return false;
     */
    private boolean setClientActiveIfShould() {
        /*
        r7 = this;
        r0 = r7.mShouldSetActive;
        r1 = 0;
        if (r0 == 0) goto L_0x0032;
    L_0x0005:
        r0 = r7.mIsInteractive;
        if (r0 != 0) goto L_0x000a;
    L_0x0009:
        goto L_0x0032;
    L_0x000a:
        r0 = r7.mMethodMap;
        monitor-enter(r0);
        r2 = r7.mCurClient;	 Catch:{ all -> 0x002f }
        if (r2 == 0) goto L_0x002d;
    L_0x0011:
        r2 = r7.mCurClient;	 Catch:{ all -> 0x002f }
        r2 = r2.client;	 Catch:{ all -> 0x002f }
        if (r2 == 0) goto L_0x002d;
    L_0x0017:
        r2 = r7.mCurClient;	 Catch:{ all -> 0x002f }
        r2 = r2.client;	 Catch:{ all -> 0x002f }
        r3 = r7.mCaller;	 Catch:{ all -> 0x002f }
        r4 = 3020; // 0xbcc float:4.232E-42 double:1.492E-320;
        r5 = r7.mCurClient;	 Catch:{ all -> 0x002f }
        r6 = 1;
        r3 = r3.obtainMessageIO(r4, r6, r5);	 Catch:{ all -> 0x002f }
        r7.executeOrSendMessage(r2, r3);	 Catch:{ all -> 0x002f }
        r7.mShouldSetActive = r1;	 Catch:{ all -> 0x002f }
        monitor-exit(r0);	 Catch:{ all -> 0x002f }
        return r6;
    L_0x002d:
        monitor-exit(r0);	 Catch:{ all -> 0x002f }
        return r1;
    L_0x002f:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x002f }
        throw r1;
    L_0x0032:
        return r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.HwSecureInputMethodManagerService.setClientActiveIfShould():boolean");
    }

    protected void switchUserExtra(int userId) {
        if (this.mSecureSettingsObserver != null) {
            this.mSecureSettingsObserver.registerContentObserverInner(userId);
        }
        if (!isSecureIMEEnable()) {
            hideCurrentInputLocked(0, null);
            this.mCurMethodId = null;
            unbindCurrentMethodLocked(false);
        }
    }

    void onUnlockUser(int userId) {
        synchronized (this.mMethodMap) {
            int currentUserId = this.mSettings.getCurrentUserId();
            if (userId != currentUserId) {
                return;
            }
            this.mSettings.switchCurrentUser(currentUserId, this.mSystemReady ^ 1);
            buildInputMethodListLocked(false);
        }
    }

    void onSwitchUser(int userId) {
        synchronized (this.mMethodMap) {
            switchUserLocked(userId);
        }
    }

    public HwSecureInputMethodManagerService(android.content.Context context) {
        android.content.Context context2 = context;
        this.mContext = context2;
        this.mRes = context.getResources();
        this.mIWindowManager = android.view.IWindowManager.Stub.asInterface(android.os.ServiceManager.getService("window"));
        this.mWindowManagerInternal = (com.android.server.wm.WindowManagerInternal) com.android.server.LocalServices.getService(com.android.server.wm.WindowManagerInternal.class);
        this.mCaller = new com.android.internal.os.HandlerCaller(context2, null, new com.android.internal.os.HandlerCaller.Callback() {
            public void executeMessage(android.os.Message msg) {
                com.android.server.HwSecureInputMethodManagerService.this.handleMessage(msg);
            }
        }, true);
        this.mAppOpsManager = (android.app.AppOpsManager) this.mContext.getSystemService(android.app.AppOpsManager.class);
        this.mUserManager = (android.os.UserManager) this.mContext.getSystemService(android.os.UserManager.class);
        this.mSlotIme = this.mContext.getString(17041186);
        new android.os.Bundle().putBoolean("android.allowDuringSetup", true);
        android.content.IntentFilter broadcastFilter = new android.content.IntentFilter();
        broadcastFilter.addAction("android.intent.action.USER_ADDED");
        broadcastFilter.addAction("android.intent.action.USER_REMOVED");
        this.mContext.registerReceiver(new com.android.server.HwSecureInputMethodManagerService.ImmsBroadcastReceiver(), broadcastFilter);
        int userId = 0;
        try {
            userId = android.app.ActivityManagerNative.getDefault().getCurrentUser().id;
        } catch (android.os.RemoteException e) {
            android.util.Slog.w("SecInputMethodManagerService", "Couldn't get current user ID; guessing it's 0", e);
        }
        this.mMyPackageMonitor.register(this.mContext, null, android.os.UserHandle.ALL, true);
        this.mSettings = new com.android.internal.inputmethod.InputMethodUtils.InputMethodSettings(this.mRes, context.getContentResolver(), this.mMethodMap, this.mMethodList, userId, this.mSystemReady ^ 1);
        updateCurrentProfileIds();
        android.content.IntentFilter filter = new android.content.IntentFilter();
        filter.addAction("android.intent.action.LOCALE_CHANGED");
        this.mContext.registerReceiver(new android.content.BroadcastReceiver() {
            public void onReceive(android.content.Context context, android.content.Intent intent) {
                synchronized (com.android.server.HwSecureInputMethodManagerService.this.mMethodMap) {
                    com.android.server.HwSecureInputMethodManagerService.this.resetStateIfCurrentLocaleChangedLocked();
                }
            }
        }, filter);
    }

    private void resetAllInternalStateLocked(boolean updateOnlyWhenLocaleChanged, boolean resetDefaultEnabledIme) {
        if (this.mSystemReady) {
            android.os.LocaleList newLocales = this.mRes.getConfiguration().getLocales();
            if (!(updateOnlyWhenLocaleChanged && (newLocales == null || newLocales.equals(this.mLastSystemLocales)))) {
                if (!updateOnlyWhenLocaleChanged) {
                    hideCurrentInputLocked(0, null);
                    resetCurrentMethodAndClient(6);
                }
                buildInputMethodListLocked(resetDefaultEnabledIme);
                this.mLastSystemLocales = newLocales;
            }
        }
    }

    private void resetStateIfCurrentLocaleChangedLocked() {
        resetAllInternalStateLocked(true, true);
    }

    private void switchUserLocked(int newUserId) {
        boolean useCopyOnWriteSettings;
        if (this.mSystemReady) {
            if (this.mUserManager.isUserUnlockingOrUnlocked(newUserId)) {
                useCopyOnWriteSettings = false;
                this.mSettings.switchCurrentUser(newUserId, useCopyOnWriteSettings);
                updateCurrentProfileIds();
                resetAllInternalStateLocked(false, false);
                switchUserExtra(newUserId);
            }
        }
        useCopyOnWriteSettings = true;
        this.mSettings.switchCurrentUser(newUserId, useCopyOnWriteSettings);
        updateCurrentProfileIds();
        resetAllInternalStateLocked(false, false);
        switchUserExtra(newUserId);
    }

    void updateCurrentProfileIds() {
        this.mSettings.setCurrentProfileIds(this.mUserManager.getProfileIdsWithDisabled(this.mSettings.getCurrentUserId()));
    }

    public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
        try {
            return super.onTransact(code, data, reply, flags);
        } catch (java.lang.RuntimeException e) {
            if (!(e instanceof java.lang.SecurityException)) {
                android.util.Slog.wtf("SecInputMethodManagerService", "Input Method Manager Crash", e);
            }
            throw e;
        }
    }

    public void systemRunning(com.android.server.statusbar.StatusBarManagerService statusBar) {
        this.mSecureSettingsObserver = new com.android.server.HwSecureInputMethodManagerService.SecureSettingsObserver();
        this.mSecureSettingsObserver.registerContentObserverInner(this.mSettings.getCurrentUserId());
        if (com.android.server.LocalServices.getService(com.android.server.HwSecureInputMethodManagerInternal.class) == null) {
            com.android.server.LocalServices.addService(com.android.server.HwSecureInputMethodManagerInternal.class, new com.android.server.HwSecureInputMethodManagerService.LocalSecureServiceImpl(this, null));
        }
        synchronized (this.mMethodMap) {
            if (!this.mSystemReady) {
                this.mSystemReady = true;
                int currentUserId = this.mSettings.getCurrentUserId();
                this.mSettings.switchCurrentUser(currentUserId, this.mUserManager.isUserUnlockingOrUnlocked(currentUserId) ^ 1);
                this.mKeyguardManager = (android.app.KeyguardManager) this.mContext.getSystemService(android.app.KeyguardManager.class);
                this.mStatusBar = statusBar;
                if (this.mStatusBar != null) {
                    this.mStatusBar.setIconVisibility(this.mSlotIme, false);
                }
                updateSystemUiLocked(this.mCurToken, this.mImeWindowVis, this.mBackDisposition);
                buildInputMethodListLocked(true);
                this.mLastSystemLocales = this.mRes.getConfiguration().getLocales();
            }
        }
    }

    private boolean calledFromValidUser() {
        int uid = android.os.Binder.getCallingUid();
        int userId = android.os.UserHandle.getUserId(uid);
        if (uid != 1000) {
            if (!this.mSettings.isCurrentProfile(userId)) {
                if (this.mContext.checkCallingOrSelfPermission("android.permission.INTERACT_ACROSS_USERS_FULL") == 0) {
                    return true;
                }
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("--- IPC called from background users. Ignore. callers=");
                stringBuilder.append(android.os.Debug.getCallers(10));
                android.util.Slog.w("SecInputMethodManagerService", stringBuilder.toString());
                return false;
            }
        }
        return true;
    }

    private boolean calledWithValidToken(android.os.IBinder token) {
        if (token != null) {
            if (this.mCurToken == token) {
                return true;
            }
        }
        return false;
    }

    private boolean bindCurrentInputMethodService(android.content.Intent service, android.content.ServiceConnection conn, int flags) {
        if (service != null) {
            if (conn != null) {
                return this.mContext.bindServiceAsUser(service, conn, flags, new android.os.UserHandle(this.mSettings.getCurrentUserId()));
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("--- bind failed: service = ");
        stringBuilder.append(service);
        stringBuilder.append(", conn = ");
        stringBuilder.append(conn);
        android.util.Slog.e("SecInputMethodManagerService", stringBuilder.toString());
        return false;
    }

    public java.util.List<android.view.inputmethod.InputMethodInfo> getInputMethodList() {
        if (!calledFromValidUser()) {
            return java.util.Collections.emptyList();
        }
        java.util.ArrayList arrayList;
        synchronized (this.mMethodMap) {
            arrayList = new java.util.ArrayList(this.mMethodList);
        }
        return arrayList;
    }

    public java.util.List<android.view.inputmethod.InputMethodInfo> getVrInputMethodList() {
        return getInputMethodList(true);
    }

    private java.util.List<android.view.inputmethod.InputMethodInfo> getInputMethodList(boolean isVrOnly) {
        if (!calledFromValidUser()) {
            return java.util.Collections.emptyList();
        }
        java.util.ArrayList<android.view.inputmethod.InputMethodInfo> methodList;
        synchronized (this.mMethodMap) {
            methodList = new java.util.ArrayList();
            java.util.Iterator it = this.mMethodList.iterator();
            while (it.hasNext()) {
                android.view.inputmethod.InputMethodInfo info = (android.view.inputmethod.InputMethodInfo) it.next();
                if (info.isVrOnly() == isVrOnly) {
                    methodList.add(info);
                }
            }
        }
        return methodList;
    }

    public java.util.List<android.view.inputmethod.InputMethodInfo> getEnabledInputMethodList() {
        return java.util.Collections.emptyList();
    }

    public java.util.List<android.view.inputmethod.InputMethodSubtype> getEnabledInputMethodSubtypeList(java.lang.String imiId, boolean allowsImplicitlySelectedSubtypes) {
        return java.util.Collections.emptyList();
    }

    public void addClient(com.android.internal.view.IInputMethodClient client, com.android.internal.view.IInputContext inputContext, int uid, int pid) {
        if (calledFromValidUser()) {
            synchronized (this.mMethodMap) {
                this.mClients.put(client.asBinder(), new com.android.server.HwSecureInputMethodManagerService.ClientState(client, inputContext, uid, pid));
            }
        }
    }

    public void removeClient(com.android.internal.view.IInputMethodClient client) {
        if (calledFromValidUser()) {
            synchronized (this.mMethodMap) {
                com.android.server.HwSecureInputMethodManagerService.ClientState cs = (com.android.server.HwSecureInputMethodManagerService.ClientState) this.mClients.remove(client.asBinder());
                if (cs != null) {
                    clearClientSessionLocked(cs);
                    if (this.mCurClient == cs) {
                        this.mCurClient = null;
                    }
                    if (this.mCurFocusedWindowClient == cs) {
                        this.mCurFocusedWindowClient = null;
                    }
                }
            }
        }
    }

    void executeOrSendMessage(android.os.IInterface target, android.os.Message msg) {
        if (target != null) {
            if (target.asBinder() instanceof android.os.Binder) {
                this.mCaller.sendMessage(msg);
            } else {
                handleMessage(msg);
                msg.recycle();
            }
        }
    }

    void unbindCurrentClientLocked(int unbindClientReason) {
        if (this.mCurClient != null) {
            if (this.mBoundToMethod) {
                this.mBoundToMethod = false;
                if (this.mCurMethod != null) {
                    executeOrSendMessage(this.mCurMethod, this.mCaller.obtainMessageO(1000, this.mCurMethod));
                }
            }
            executeOrSendMessage(this.mCurClient.client, this.mCaller.obtainMessageIO(3020, 0, this.mCurClient));
            executeOrSendMessage(this.mCurClient.client, this.mCaller.obtainMessageIIO(3000, this.mCurSeq, unbindClientReason, this.mCurClient.client));
            this.mCurClient.sessionRequested = false;
            this.mCurClient = null;
        }
    }

    private int getImeShowFlags() {
        if (this.mShowForced) {
            return 0 | 3;
        }
        if (this.mShowExplicitlyRequested) {
            return 0 | 1;
        }
        return 0;
    }

    private int getAppShowFlags() {
        if (this.mShowForced) {
            return 0 | 2;
        }
        if (this.mShowExplicitlyRequested) {
            return 0;
        }
        return 0 | 1;
    }

    com.android.internal.view.InputBindResult attachNewInputLocked(int startInputReason, boolean initial) {
        if (!this.mBoundToMethod) {
            executeOrSendMessage(this.mCurMethod, this.mCaller.obtainMessageOO(1010, this.mCurMethod, this.mCurClient.binding));
            this.mBoundToMethod = true;
        }
        com.android.server.HwSecureInputMethodManagerService.SessionState session = this.mCurClient.curSession;
        android.os.Binder startInputToken = new android.os.Binder();
        this.mStartInputMap.put(startInputToken, new com.android.server.HwSecureInputMethodManagerService.StartInputInfo(this.mCurToken, this.mCurId, startInputReason, initial ^ 1, this.mCurFocusedWindow, this.mCurAttribute, this.mCurFocusedWindowSoftInputMode, this.mCurSeq));
        if (session != null) {
            executeOrSendMessage(session.method, this.mCaller.obtainMessageIIOOOO(2000, this.mCurInputContextMissingMethods, initial ^ 1, startInputToken, session, this.mCurInputContext, this.mCurAttribute));
        }
        android.view.InputChannel inputChannel = null;
        if (this.mShowRequested) {
            if (DEBUG_FLOW) {
                android.util.Slog.v("SecInputMethodManagerService", "Attach new input asks to show input");
            }
            showCurrentInputLocked(getAppShowFlags(), null);
        }
        if (session == null) {
            return null;
        }
        com.android.internal.view.IInputMethodSession iInputMethodSession = session.session;
        if (session.channel != null) {
            inputChannel = session.channel.dup();
        }
        return new com.android.internal.view.InputBindResult(0, iInputMethodSession, inputChannel, this.mCurId, this.mCurSeq, this.mCurUserActionNotificationSequenceNumber);
    }

    com.android.internal.view.InputBindResult startInputLocked(int startInputReason, com.android.internal.view.IInputMethodClient client, com.android.internal.view.IInputContext inputContext, int missingMethods, android.view.inputmethod.EditorInfo attribute, int controlFlags) {
        if (this.mCurMethodId == null) {
            return this.mNoBinding;
        }
        com.android.server.HwSecureInputMethodManagerService.ClientState cs = (com.android.server.HwSecureInputMethodManagerService.ClientState) this.mClients.get(client.asBinder());
        java.lang.StringBuilder stringBuilder;
        if (cs == null) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("unknown client ");
            stringBuilder2.append(client.asBinder());
            throw new java.lang.IllegalArgumentException(stringBuilder2.toString());
        } else if (attribute == null) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Ignoring startInput with null EditorInfo. uid=");
            stringBuilder.append(cs.uid);
            stringBuilder.append(" pid=");
            stringBuilder.append(cs.pid);
            android.util.Slog.w("SecInputMethodManagerService", stringBuilder.toString());
            return null;
        } else {
            try {
                if (this.mIWindowManager.inputMethodClientHasFocus(cs.client)) {
                    return startInputUncheckedLocked(cs, inputContext, missingMethods, attribute, controlFlags, startInputReason);
                }
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Starting input on non-focused client ");
                stringBuilder.append(cs.client);
                stringBuilder.append(" (uid=");
                stringBuilder.append(cs.uid);
                stringBuilder.append(" pid=");
                stringBuilder.append(cs.pid);
                stringBuilder.append(")");
                android.util.Slog.w("SecInputMethodManagerService", stringBuilder.toString());
                return null;
            } catch (android.os.RemoteException e) {
            }
        }
    }

    com.android.internal.view.InputBindResult startInputUncheckedLocked(com.android.server.HwSecureInputMethodManagerService.ClientState cs, com.android.internal.view.IInputContext inputContext, int missingMethods, android.view.inputmethod.EditorInfo attribute, int controlFlags, int startInputReason) {
        com.android.server.HwSecureInputMethodManagerService.ClientState clientState = cs;
        android.view.inputmethod.EditorInfo editorInfo = attribute;
        int i = controlFlags;
        if (this.mCurMethodId == null) {
            return this.mNoBinding;
        }
        if (com.android.internal.inputmethod.InputMethodUtils.checkIfPackageBelongsToUid(this.mAppOpsManager, clientState.uid, editorInfo.packageName)) {
            if (this.mCurClient != clientState) {
                this.mCurClientInKeyguard = isKeyguardLocked();
                unbindCurrentClientLocked(1);
                if (this.mIsInteractive) {
                    executeOrSendMessage(clientState.client, this.mCaller.obtainMessageIO(3020, this.mIsInteractive, clientState));
                }
            }
            this.mCurSeq++;
            if (this.mCurSeq <= 0) {
                this.mCurSeq = 1;
            }
            this.mCurClient = clientState;
            this.mCurInputContext = inputContext;
            this.mCurInputContextMissingMethods = missingMethods;
            this.mCurAttribute = editorInfo;
            if ((65536 & i) != 0) {
                this.mShowRequested = true;
            }
            int i2;
            if (this.mCurId == null || !this.mCurId.equals(this.mCurMethodId)) {
                i2 = startInputReason;
            } else {
                boolean z = false;
                if (clientState.curSession != null) {
                    if ((i & 256) != 0) {
                        z = true;
                    }
                    return attachNewInputLocked(startInputReason, z);
                }
                i2 = startInputReason;
                if (this.mHaveConnection) {
                    if (this.mCurMethod != null) {
                        requestClientSessionLocked(cs);
                        return new com.android.internal.view.InputBindResult(1, null, null, this.mCurId, this.mCurSeq, this.mCurUserActionNotificationSequenceNumber);
                    } else if (android.os.SystemClock.uptimeMillis() < this.mLastBindTime + 3000) {
                        return new com.android.internal.view.InputBindResult(2, null, null, this.mCurId, this.mCurSeq, this.mCurUserActionNotificationSequenceNumber);
                    } else {
                        android.util.EventLog.writeEvent(32000, new java.lang.Object[]{this.mCurMethodId, java.lang.Long.valueOf(android.os.SystemClock.uptimeMillis() - this.mLastBindTime), java.lang.Integer.valueOf(0)});
                    }
                }
            }
            try {
                return startInputInnerLocked();
            } catch (java.lang.RuntimeException e) {
                java.lang.RuntimeException runtimeException = e;
                android.util.Slog.w("SecInputMethodManagerService", "Unexpected exception", e);
                return null;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Rejecting this client as it reported an invalid package name. uid=");
        stringBuilder.append(clientState.uid);
        stringBuilder.append(" package=");
        stringBuilder.append(editorInfo.packageName);
        android.util.Slog.e("SecInputMethodManagerService", stringBuilder.toString());
        return this.mNoBinding;
    }

    com.android.internal.view.InputBindResult startInputInnerLocked() {
        if (this.mCurMethodId != null) {
            if (this.mMethodMap.containsKey(this.mCurMethodId)) {
                if (!this.mSystemReady) {
                    return new com.android.internal.view.InputBindResult(7, null, null, this.mCurMethodId, this.mCurSeq, this.mCurUserActionNotificationSequenceNumber);
                }
                android.view.inputmethod.InputMethodInfo info = (android.view.inputmethod.InputMethodInfo) this.mMethodMap.get(this.mCurMethodId);
                java.lang.StringBuilder stringBuilder;
                if (info == null) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("info == null id: ");
                    stringBuilder.append(this.mCurMethodId);
                    android.util.Slog.w("SecInputMethodManagerService", stringBuilder.toString());
                    return this.mNoBinding;
                }
                unbindCurrentMethodLocked(true);
                this.mCurIntent = new android.content.Intent("android.view.InputMethod");
                this.mCurIntent.setComponent(info.getComponent());
                this.mCurIntent.putExtra("android.intent.extra.client_label", 17040221);
                this.mCurIntent.putExtra("android.intent.extra.client_intent", android.app.PendingIntent.getActivity(this.mContext, 0, new android.content.Intent("android.settings.INPUT_METHOD_SETTINGS"), 0));
                if (bindCurrentInputMethodService(this.mCurIntent, this, 1610612741)) {
                    this.mLastBindTime = android.os.SystemClock.uptimeMillis();
                    this.mHaveConnection = true;
                    this.mCurId = info.getId();
                    this.mCurToken = new android.os.Binder();
                    try {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("Adding window token: ");
                        stringBuilder.append(this.mCurToken);
                        android.util.Slog.v("SecInputMethodManagerService", stringBuilder.toString());
                        this.mIWindowManager.addWindowToken(this.mCurToken, 2011, 0);
                    } catch (android.os.RemoteException e) {
                    }
                    return new com.android.internal.view.InputBindResult(2, null, null, this.mCurId, this.mCurSeq, this.mCurUserActionNotificationSequenceNumber);
                }
                this.mCurIntent = null;
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("Failure connecting to input method service: ");
                stringBuilder2.append(this.mCurIntent);
                android.util.Slog.w("SecInputMethodManagerService", stringBuilder2.toString());
                return null;
            }
        }
        return this.mNoBinding;
    }

    private com.android.internal.view.InputBindResult startInput(int startInputReason, com.android.internal.view.IInputMethodClient client, com.android.internal.view.IInputContext inputContext, int missingMethods, android.view.inputmethod.EditorInfo attribute, int controlFlags) {
        if (!calledFromValidUser()) {
            return null;
        }
        com.android.internal.view.InputBindResult startInputLocked;
        synchronized (this.mMethodMap) {
            long ident = android.os.Binder.clearCallingIdentity();
            try {
                startInputLocked = startInputLocked(startInputReason, client, inputContext, missingMethods, attribute, controlFlags);
            } finally {
                android.os.Binder.restoreCallingIdentity(ident);
            }
        }
        return startInputLocked;
    }

    public void finishInput(com.android.internal.view.IInputMethodClient client) {
    }

    /* JADX WARNING: Missing block: B:19:0x0066, code:
            return;
     */
    public void onServiceConnected(android.content.ComponentName r7, android.os.IBinder r8) {
        /*
        r6 = this;
        r0 = r6.mMethodMap;
        monitor-enter(r0);
        r1 = r6.mCurIntent;	 Catch:{ all -> 0x0067 }
        if (r1 == 0) goto L_0x0065;
    L_0x0007:
        r1 = r6.mCurIntent;	 Catch:{ all -> 0x0067 }
        r1 = r1.getComponent();	 Catch:{ all -> 0x0067 }
        r1 = r7.equals(r1);	 Catch:{ all -> 0x0067 }
        if (r1 == 0) goto L_0x0065;
    L_0x0013:
        r1 = com.android.internal.view.IInputMethod.Stub.asInterface(r8);	 Catch:{ all -> 0x0067 }
        r6.mCurMethod = r1;	 Catch:{ all -> 0x0067 }
        r1 = r6.mCurToken;	 Catch:{ all -> 0x0067 }
        if (r1 != 0) goto L_0x002a;
    L_0x001d:
        r1 = "SecInputMethodManagerService";
        r2 = "Service connected without a token!";
        android.util.Slog.w(r1, r2);	 Catch:{ all -> 0x0067 }
        r1 = 0;
        r6.unbindCurrentMethodLocked(r1);	 Catch:{ all -> 0x0067 }
        monitor-exit(r0);	 Catch:{ all -> 0x0067 }
        return;
    L_0x002a:
        r1 = DEBUG_FLOW;	 Catch:{ all -> 0x0067 }
        if (r1 == 0) goto L_0x0046;
    L_0x002e:
        r1 = "SecInputMethodManagerService";
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0067 }
        r2.<init>();	 Catch:{ all -> 0x0067 }
        r3 = "Initiating attach with token: ";
        r2.append(r3);	 Catch:{ all -> 0x0067 }
        r3 = r6.mCurToken;	 Catch:{ all -> 0x0067 }
        r2.append(r3);	 Catch:{ all -> 0x0067 }
        r2 = r2.toString();	 Catch:{ all -> 0x0067 }
        android.util.Slog.v(r1, r2);	 Catch:{ all -> 0x0067 }
    L_0x0046:
        r1 = r6.mCurMethod;	 Catch:{ all -> 0x0067 }
        r2 = r6.mCaller;	 Catch:{ all -> 0x0067 }
        r3 = 1040; // 0x410 float:1.457E-42 double:5.14E-321;
        r4 = r6.mCurMethod;	 Catch:{ all -> 0x0067 }
        r5 = r6.mCurToken;	 Catch:{ all -> 0x0067 }
        r2 = r2.obtainMessageOO(r3, r4, r5);	 Catch:{ all -> 0x0067 }
        r6.executeOrSendMessage(r1, r2);	 Catch:{ all -> 0x0067 }
        r1 = r6.mCurClient;	 Catch:{ all -> 0x0067 }
        if (r1 == 0) goto L_0x0065;
    L_0x005b:
        r1 = r6.mCurClient;	 Catch:{ all -> 0x0067 }
        r6.clearClientSessionLocked(r1);	 Catch:{ all -> 0x0067 }
        r1 = r6.mCurClient;	 Catch:{ all -> 0x0067 }
        r6.requestClientSessionLocked(r1);	 Catch:{ all -> 0x0067 }
    L_0x0065:
        monitor-exit(r0);	 Catch:{ all -> 0x0067 }
        return;
    L_0x0067:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x0067 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.HwSecureInputMethodManagerService.onServiceConnected(android.content.ComponentName, android.os.IBinder):void");
    }

    /* JADX WARNING: Missing block: B:21:0x0057, code:
            return;
     */
    /* JADX WARNING: Missing block: B:23:0x0059, code:
            r9.dispose();
     */
    /* JADX WARNING: Missing block: B:24:0x005c, code:
            return;
     */
    void onSessionCreated(com.android.internal.view.IInputMethod r7, com.android.internal.view.IInputMethodSession r8, android.view.InputChannel r9) {
        /*
        r6 = this;
        r0 = r6.mMethodMap;
        monitor-enter(r0);
        r1 = r6.mCurMethod;	 Catch:{ all -> 0x005d }
        if (r1 == 0) goto L_0x0058;
    L_0x0007:
        if (r7 == 0) goto L_0x0058;
    L_0x0009:
        r1 = r6.mCurMethod;	 Catch:{ all -> 0x005d }
        r1 = r1.asBinder();	 Catch:{ all -> 0x005d }
        r2 = r7.asBinder();	 Catch:{ all -> 0x005d }
        if (r1 != r2) goto L_0x0058;
    L_0x0015:
        r1 = r6.mCurClient;	 Catch:{ all -> 0x005d }
        if (r1 == 0) goto L_0x0058;
    L_0x0019:
        r1 = DEBUG_FLOW;	 Catch:{ all -> 0x005d }
        if (r1 == 0) goto L_0x0024;
    L_0x001d:
        r1 = "SecInputMethodManagerService";
        r2 = "IME session created";
        android.util.Slog.v(r1, r2);	 Catch:{ all -> 0x005d }
    L_0x0024:
        r1 = r6.mCurClient;	 Catch:{ all -> 0x005d }
        r6.clearClientSessionLocked(r1);	 Catch:{ all -> 0x005d }
        r1 = r6.mCurClient;	 Catch:{ all -> 0x005d }
        r2 = new com.android.server.HwSecureInputMethodManagerService$SessionState;	 Catch:{ all -> 0x005d }
        r3 = r6.mCurClient;	 Catch:{ all -> 0x005d }
        r2.<init>(r3, r7, r8, r9);	 Catch:{ all -> 0x005d }
        r1.curSession = r2;	 Catch:{ all -> 0x005d }
        r1 = 9;
        r2 = 1;
        r1 = r6.attachNewInputLocked(r1, r2);	 Catch:{ all -> 0x005d }
        if (r1 != 0) goto L_0x003f;
    L_0x003d:
        monitor-exit(r0);	 Catch:{ all -> 0x005d }
        return;
    L_0x003f:
        r2 = r1.method;	 Catch:{ all -> 0x005d }
        if (r2 == 0) goto L_0x0056;
    L_0x0043:
        r2 = r6.mCurClient;	 Catch:{ all -> 0x005d }
        r2 = r2.client;	 Catch:{ all -> 0x005d }
        r3 = r6.mCaller;	 Catch:{ all -> 0x005d }
        r4 = 3010; // 0xbc2 float:4.218E-42 double:1.487E-320;
        r5 = r6.mCurClient;	 Catch:{ all -> 0x005d }
        r5 = r5.client;	 Catch:{ all -> 0x005d }
        r3 = r3.obtainMessageOO(r4, r5, r1);	 Catch:{ all -> 0x005d }
        r6.executeOrSendMessage(r2, r3);	 Catch:{ all -> 0x005d }
    L_0x0056:
        monitor-exit(r0);	 Catch:{ all -> 0x005d }
        return;
    L_0x0058:
        monitor-exit(r0);	 Catch:{ all -> 0x005d }
        r9.dispose();
        return;
    L_0x005d:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x005d }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.HwSecureInputMethodManagerService.onSessionCreated(com.android.internal.view.IInputMethod, com.android.internal.view.IInputMethodSession, android.view.InputChannel):void");
    }

    void unbindCurrentMethodLocked(boolean savePosition) {
        if (this.mVisibleBound) {
            this.mContext.unbindService(this.mVisibleConnection);
            this.mVisibleBound = false;
        }
        if (this.mHaveConnection) {
            this.mContext.unbindService(this);
            this.mHaveConnection = false;
        }
        if (this.mCurToken != null) {
            try {
                if ((this.mImeWindowVis & 1) != 0 && savePosition) {
                    this.mWindowManagerInternal.saveLastInputMethodWindowForTransition();
                }
                this.mIWindowManager.removeWindowToken(this.mCurToken, 0);
            } catch (android.os.RemoteException e) {
            }
            this.mCurToken = null;
        }
        this.mCurId = null;
        clearCurMethodLocked();
    }

    void resetCurrentMethodAndClient(int unbindClientReason) {
        this.mCurMethodId = null;
        unbindCurrentMethodLocked(false);
        unbindCurrentClientLocked(unbindClientReason);
    }

    void requestClientSessionLocked(com.android.server.HwSecureInputMethodManagerService.ClientState cs) {
        if (!cs.sessionRequested) {
            android.view.InputChannel[] channels = android.view.InputChannel.openInputChannelPair(cs.toString());
            cs.sessionRequested = true;
            executeOrSendMessage(this.mCurMethod, this.mCaller.obtainMessageOOO(1050, this.mCurMethod, channels[1], new com.android.server.HwSecureInputMethodManagerService.MethodCallback(this, this.mCurMethod, channels[0])));
        }
    }

    void clearClientSessionLocked(com.android.server.HwSecureInputMethodManagerService.ClientState cs) {
        finishSessionLocked(cs.curSession);
        cs.curSession = null;
        cs.sessionRequested = false;
    }

    private void finishSessionLocked(com.android.server.HwSecureInputMethodManagerService.SessionState sessionState) {
        if (sessionState != null) {
            if (sessionState.session != null) {
                try {
                    sessionState.session.finishSession();
                } catch (android.os.RemoteException e) {
                    android.util.Slog.w("SecInputMethodManagerService", "Session failed to close due to remote exception", e);
                    updateSystemUiLocked(this.mCurToken, 0, this.mBackDisposition);
                }
                sessionState.session = null;
            }
            if (sessionState.channel != null) {
                sessionState.channel.dispose();
                sessionState.channel = null;
            }
        }
    }

    void clearCurMethodLocked() {
        if (this.mCurMethod != null) {
            for (com.android.server.HwSecureInputMethodManagerService.ClientState cs : this.mClients.values()) {
                clearClientSessionLocked(cs);
            }
            finishSessionLocked(this.mEnabledSession);
            this.mEnabledSession = null;
            this.mCurMethod = null;
        }
        if (this.mStatusBar != null) {
            this.mStatusBar.setIconVisibility(this.mSlotIme, false);
        }
        this.mInFullscreenMode = false;
    }

    public void onServiceDisconnected(android.content.ComponentName name) {
        synchronized (this.mMethodMap) {
            if (!(this.mCurMethod == null || this.mCurIntent == null || !name.equals(this.mCurIntent.getComponent()))) {
                clearCurMethodLocked();
                this.mLastBindTime = android.os.SystemClock.uptimeMillis();
                this.mShowRequested = this.mInputShown;
                this.mInputShown = false;
                if (this.mCurClient != null) {
                    executeOrSendMessage(this.mCurClient.client, this.mCaller.obtainMessageIIO(3000, 3, this.mCurSeq, this.mCurClient.client));
                }
            }
        }
    }

    /* JADX WARNING: Missing block: B:31:0x007f, code:
            android.os.Binder.restoreCallingIdentity(r0);
     */
    /* JADX WARNING: Missing block: B:32:0x0083, code:
            return;
     */
    public void updateStatusIcon(android.os.IBinder r13, java.lang.String r14, int r15) {
        /*
        r12 = this;
        r0 = android.os.Binder.clearCallingIdentity();
        r2 = r12.mMethodMap;	 Catch:{ all -> 0x0087 }
        monitor-enter(r2);	 Catch:{ all -> 0x0087 }
        r3 = r12.calledWithValidToken(r13);	 Catch:{ all -> 0x0084 }
        if (r3 != 0) goto L_0x0034;
    L_0x000d:
        r3 = android.os.Binder.getCallingUid();	 Catch:{ all -> 0x0084 }
        r4 = "SecInputMethodManagerService";
        r5 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0084 }
        r5.<init>();	 Catch:{ all -> 0x0084 }
        r6 = "Ignoring updateStatusIcon due to an invalid token. uid:";
        r5.append(r6);	 Catch:{ all -> 0x0084 }
        r5.append(r3);	 Catch:{ all -> 0x0084 }
        r6 = " token:";
        r5.append(r6);	 Catch:{ all -> 0x0084 }
        r5.append(r13);	 Catch:{ all -> 0x0084 }
        r5 = r5.toString();	 Catch:{ all -> 0x0084 }
        android.util.Slog.e(r4, r5);	 Catch:{ all -> 0x0084 }
        monitor-exit(r2);	 Catch:{ all -> 0x0084 }
        android.os.Binder.restoreCallingIdentity(r0);
        return;
    L_0x0034:
        r3 = 0;
        if (r15 != 0) goto L_0x0043;
    L_0x0037:
        r4 = r12.mStatusBar;	 Catch:{ all -> 0x0084 }
        if (r4 == 0) goto L_0x007e;
    L_0x003b:
        r4 = r12.mStatusBar;	 Catch:{ all -> 0x0084 }
        r5 = r12.mSlotIme;	 Catch:{ all -> 0x0084 }
        r4.setIconVisibility(r5, r3);	 Catch:{ all -> 0x0084 }
        goto L_0x007e;
    L_0x0043:
        if (r14 == 0) goto L_0x007e;
    L_0x0045:
        r4 = 0;
        r5 = r4;
        r6 = r12.mContext;	 Catch:{ RemoteException -> 0x005f }
        r6 = r6.getPackageManager();	 Catch:{ RemoteException -> 0x005f }
        r7 = r12.mIPackageManager;	 Catch:{ RemoteException -> 0x005f }
        r8 = r12.mSettings;	 Catch:{ RemoteException -> 0x005f }
        r8 = r8.getCurrentUserId();	 Catch:{ RemoteException -> 0x005f }
        r3 = r7.getApplicationInfo(r14, r3, r8);	 Catch:{ RemoteException -> 0x005f }
        r3 = r6.getApplicationLabel(r3);	 Catch:{ RemoteException -> 0x005f }
        r5 = r3;
        goto L_0x0060;
    L_0x005f:
        r3 = move-exception;
    L_0x0060:
        r3 = r12.mStatusBar;	 Catch:{ all -> 0x0084 }
        if (r3 == 0) goto L_0x007e;
    L_0x0064:
        r6 = r12.mStatusBar;	 Catch:{ all -> 0x0084 }
        r7 = r12.mSlotIme;	 Catch:{ all -> 0x0084 }
        r10 = 0;
        if (r5 == 0) goto L_0x0070;
    L_0x006b:
        r4 = r5.toString();	 Catch:{ all -> 0x0084 }
    L_0x0070:
        r11 = r4;
        r8 = r14;
        r9 = r15;
        r6.setIcon(r7, r8, r9, r10, r11);	 Catch:{ all -> 0x0084 }
        r3 = r12.mStatusBar;	 Catch:{ all -> 0x0084 }
        r4 = r12.mSlotIme;	 Catch:{ all -> 0x0084 }
        r6 = 1;
        r3.setIconVisibility(r4, r6);	 Catch:{ all -> 0x0084 }
    L_0x007e:
        monitor-exit(r2);	 Catch:{ all -> 0x0084 }
        android.os.Binder.restoreCallingIdentity(r0);
        return;
    L_0x0084:
        r3 = move-exception;
        monitor-exit(r2);	 Catch:{ all -> 0x0084 }
        throw r3;	 Catch:{ all -> 0x0087 }
    L_0x0087:
        r2 = move-exception;
        android.os.Binder.restoreCallingIdentity(r0);
        throw r2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.HwSecureInputMethodManagerService.updateStatusIcon(android.os.IBinder, java.lang.String, int):void");
    }

    private boolean shouldShowImeSwitcherLocked(int visibility) {
        return false;
    }

    private boolean isKeyguardLocked() {
        return this.mKeyguardManager != null && this.mKeyguardManager.isKeyguardLocked();
    }

    private boolean isScreenLocked() {
        return this.mKeyguardManager != null && this.mKeyguardManager.isKeyguardLocked() && this.mKeyguardManager.isKeyguardSecure();
    }

    public void setImeWindowStatus(android.os.IBinder token, android.os.IBinder startInputToken, int vis, int backDisposition) {
        if (calledWithValidToken(token)) {
            com.android.server.HwSecureInputMethodManagerService.StartInputInfo info;
            boolean dismissImeOnBackKeyPressed;
            synchronized (this.mMethodMap) {
                info = (com.android.server.HwSecureInputMethodManagerService.StartInputInfo) this.mStartInputMap.get(startInputToken);
                this.mImeWindowVis = vis;
                this.mBackDisposition = backDisposition;
                updateSystemUiLocked(token, vis, backDisposition);
            }
            boolean z = false;
            switch (backDisposition) {
                case 1:
                    dismissImeOnBackKeyPressed = false;
                    break;
                case 2:
                    dismissImeOnBackKeyPressed = true;
                    break;
                default:
                    if ((vis & 2) == 0) {
                        dismissImeOnBackKeyPressed = false;
                        break;
                    } else {
                        dismissImeOnBackKeyPressed = true;
                        break;
                    }
            }
            com.android.server.wm.WindowManagerInternal windowManagerInternal = this.mWindowManagerInternal;
            if ((vis & 2) != 0) {
                z = true;
            }
            windowManagerInternal.updateInputMethodWindowStatus(token, z, dismissImeOnBackKeyPressed, info != null ? info.mTargetWindow : null);
            return;
        }
        int uid = android.os.Binder.getCallingUid();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Ignoring setImeWindowStatus due to an invalid token. uid:");
        stringBuilder.append(uid);
        stringBuilder.append(" token:");
        stringBuilder.append(token);
        android.util.Slog.e("SecInputMethodManagerService", stringBuilder.toString());
    }

    private void updateSystemUi(android.os.IBinder token, int vis, int backDisposition) {
        synchronized (this.mMethodMap) {
            updateSystemUiLocked(token, vis, backDisposition);
        }
    }

    private void updateSystemUiLocked(android.os.IBinder token, int vis, int backDisposition) {
        if (calledWithValidToken(token)) {
            long ident = android.os.Binder.clearCallingIdentity();
            if (vis != 0) {
                try {
                    if (isKeyguardLocked() && !this.mCurClientInKeyguard) {
                        vis = 0;
                    }
                } catch (Throwable th) {
                    android.os.Binder.restoreCallingIdentity(ident);
                }
            }
            boolean needsToShowImeSwitcher = shouldShowImeSwitcherLocked(vis);
            if (this.mStatusBar != null) {
                this.mStatusBar.setImeWindowStatus(token, vis, backDisposition, needsToShowImeSwitcher);
            }
            android.os.Binder.restoreCallingIdentity(ident);
            return;
        }
        int uid = android.os.Binder.getCallingUid();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Ignoring updateSystemUiLocked due to an invalid token. uid:");
        stringBuilder.append(uid);
        stringBuilder.append(" token:");
        stringBuilder.append(token);
        android.util.Slog.e("SecInputMethodManagerService", stringBuilder.toString());
    }

    public void registerSuggestionSpansForNotification(android.text.style.SuggestionSpan[] spans) {
        if (calledFromValidUser()) {
            synchronized (this.mMethodMap) {
                android.view.inputmethod.InputMethodInfo currentImi = (android.view.inputmethod.InputMethodInfo) this.mMethodMap.get(this.mCurMethodId);
                for (android.text.style.SuggestionSpan ss : spans) {
                    if (!android.text.TextUtils.isEmpty(ss.getNotificationTargetClassName())) {
                        this.mSecureSuggestionSpans.put(ss, currentImi);
                    }
                }
            }
        }
    }

    /* JADX WARNING: Missing block: B:16:0x0030, code:
            return;
     */
    public void reportFullscreenMode(android.os.IBinder r6, boolean r7) {
        /*
        r5 = this;
        r0 = r5.calledFromValidUser();
        if (r0 != 0) goto L_0x0007;
    L_0x0006:
        return;
    L_0x0007:
        r0 = r5.mMethodMap;
        monitor-enter(r0);
        r1 = r5.calledWithValidToken(r6);	 Catch:{ all -> 0x0031 }
        if (r1 != 0) goto L_0x0012;
    L_0x0010:
        monitor-exit(r0);	 Catch:{ all -> 0x0031 }
        return;
    L_0x0012:
        r1 = r5.mCurClient;	 Catch:{ all -> 0x0031 }
        if (r1 == 0) goto L_0x002f;
    L_0x0016:
        r1 = r5.mCurClient;	 Catch:{ all -> 0x0031 }
        r1 = r1.client;	 Catch:{ all -> 0x0031 }
        if (r1 == 0) goto L_0x002f;
    L_0x001c:
        r5.mInFullscreenMode = r7;	 Catch:{ all -> 0x0031 }
        r1 = r5.mCurClient;	 Catch:{ all -> 0x0031 }
        r1 = r1.client;	 Catch:{ all -> 0x0031 }
        r2 = r5.mCaller;	 Catch:{ all -> 0x0031 }
        r3 = 3045; // 0xbe5 float:4.267E-42 double:1.5044E-320;
        r4 = r5.mCurClient;	 Catch:{ all -> 0x0031 }
        r2 = r2.obtainMessageIO(r3, r7, r4);	 Catch:{ all -> 0x0031 }
        r5.executeOrSendMessage(r1, r2);	 Catch:{ all -> 0x0031 }
    L_0x002f:
        monitor-exit(r0);	 Catch:{ all -> 0x0031 }
        return;
    L_0x0031:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x0031 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.HwSecureInputMethodManagerService.reportFullscreenMode(android.os.IBinder, boolean):void");
    }

    public boolean notifySuggestionPicked(android.text.style.SuggestionSpan span, java.lang.String originalString, int index) {
        return false;
    }

    public boolean showSoftInput(com.android.internal.view.IInputMethodClient client, int flags, android.os.ResultReceiver resultReceiver) {
        if (!calledFromValidUser()) {
            return false;
        }
        int uid = android.os.Binder.getCallingUid();
        long ident = android.os.Binder.clearCallingIdentity();
        try {
            synchronized (this.mMethodMap) {
                if (this.mCurClient == null || client == null || this.mCurClient.client.asBinder() != client.asBinder()) {
                    if (client != null) {
                        try {
                            if (!this.mIWindowManager.inputMethodClientHasFocus(client)) {
                                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("Ignoring showSoftInput of uid ");
                                stringBuilder.append(uid);
                                stringBuilder.append(": ");
                                stringBuilder.append(client);
                                android.util.Slog.w("SecInputMethodManagerService", stringBuilder.toString());
                                android.os.Binder.restoreCallingIdentity(ident);
                                return false;
                            }
                        } catch (android.os.RemoteException e) {
                            android.os.Binder.restoreCallingIdentity(ident);
                            return false;
                        }
                    }
                }
                if (DEBUG_FLOW) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("Client requesting input be shown, requestedUid=");
                    stringBuilder2.append(uid);
                    android.util.Slog.v("SecInputMethodManagerService", stringBuilder2.toString());
                }
                boolean showCurrentInputLocked = showCurrentInputLocked(flags, resultReceiver);
                android.os.Binder.restoreCallingIdentity(ident);
                return showCurrentInputLocked;
            }
        } catch (Throwable th) {
            android.os.Binder.restoreCallingIdentity(ident);
        }
    }

    boolean showCurrentInputLocked(int flags, android.os.ResultReceiver resultReceiver) {
        this.mShowRequested = true;
        if ((flags & 2) != 0) {
            this.mShowExplicitlyRequested = true;
            this.mShowForced = true;
        } else if ((flags & 1) == 0) {
            this.mShowExplicitlyRequested = true;
        }
        if (!this.mSystemReady) {
            return false;
        }
        boolean res = false;
        if (this.mCurMethod != null) {
            if (DEBUG_FLOW) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("showCurrentInputLocked: mCurToken=");
                stringBuilder.append(this.mCurToken);
                android.util.Slog.d("SecInputMethodManagerService", stringBuilder.toString());
            }
            executeOrSendMessage(this.mCurMethod, this.mCaller.obtainMessageIOO(1020, getImeShowFlags(), this.mCurMethod, resultReceiver));
            this.mInputShown = true;
            if (this.mHaveConnection && !this.mVisibleBound) {
                bindCurrentInputMethodService(this.mCurIntent, this.mVisibleConnection, 201326593);
                this.mVisibleBound = true;
            }
            res = true;
        } else if (this.mHaveConnection && android.os.SystemClock.uptimeMillis() >= this.mLastBindTime + 3000) {
            android.util.EventLog.writeEvent(32000, new java.lang.Object[]{this.mCurMethodId, java.lang.Long.valueOf(android.os.SystemClock.uptimeMillis() - this.mLastBindTime), java.lang.Integer.valueOf(1)});
            android.util.Slog.w("SecInputMethodManagerService", "Force disconnect/connect to the IME in showCurrentInputLocked()");
            this.mContext.unbindService(this);
            bindCurrentInputMethodService(this.mCurIntent, this, 1073741825);
        }
        return res;
    }

    public boolean hideSoftInput(com.android.internal.view.IInputMethodClient client, int flags, android.os.ResultReceiver resultReceiver) {
        if (!calledFromValidUser()) {
            return false;
        }
        int pid = android.os.Binder.getCallingPid();
        long ident = android.os.Binder.clearCallingIdentity();
        try {
            synchronized (this.mMethodMap) {
                if (this.mCurClient == null || client == null || this.mCurClient.client.asBinder() != client.asBinder()) {
                    if (client != null) {
                        try {
                            if (!this.mIWindowManager.inputMethodClientHasFocus(client)) {
                                android.os.Binder.restoreCallingIdentity(ident);
                                return false;
                            }
                        } catch (android.os.RemoteException e) {
                            android.os.Binder.restoreCallingIdentity(ident);
                            return false;
                        }
                    }
                }
                if (DEBUG_FLOW) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("Client requesting input be hidden, pid=");
                    stringBuilder.append(pid);
                    android.util.Slog.v("SecInputMethodManagerService", stringBuilder.toString());
                }
                boolean hideCurrentInputLocked = hideCurrentInputLocked(flags, resultReceiver);
                android.os.Binder.restoreCallingIdentity(ident);
                return hideCurrentInputLocked;
            }
        } catch (Throwable th) {
            android.os.Binder.restoreCallingIdentity(ident);
        }
    }

    boolean hideCurrentInputLocked(int flags, android.os.ResultReceiver resultReceiver) {
        if ((flags & 1) != 0 && (this.mShowExplicitlyRequested || this.mShowForced)) {
            return false;
        }
        if (this.mShowForced && (flags & 2) != 0) {
            return false;
        }
        boolean z = true;
        if (this.mCurMethod == null || (!this.mInputShown && (this.mImeWindowVis & 1) == 0)) {
            z = false;
        }
        if (z) {
            executeOrSendMessage(this.mCurMethod, this.mCaller.obtainMessageOO(1030, this.mCurMethod, resultReceiver));
            z = true;
        } else {
            z = false;
        }
        if (!(this.mInputShown || this.mShowRequested)) {
            z = false;
        }
        if (this.mHaveConnection && this.mVisibleBound) {
            this.mContext.unbindService(this.mVisibleConnection);
            this.mVisibleBound = false;
        }
        this.mInputShown = false;
        this.mShowRequested = false;
        this.mShowExplicitlyRequested = false;
        this.mShowForced = false;
        return z;
    }

    /* JADX WARNING: Missing block: B:34:0x006c, code:
            return null;
     */
    /* JADX WARNING: Missing block: B:42:0x0077, code:
            if (r2 != 8) goto L_0x0083;
     */
    /* JADX WARNING: Missing block: B:43:0x0079, code:
            android.util.Slog.i("SecInputMethodManagerService", "startInputOrWindowGainedFocus, client deactive by imms, set active again to enable secure inputmethod");
            r1.mShouldSetActive = true;
     */
    /* JADX WARNING: Missing block: B:44:0x0083, code:
            r0 = secureImeStartInputOrWindowGainedFocus(r12, r13, r14, r15, r16, r17, r18, r19, r20);
     */
    /* JADX WARNING: Missing block: B:45:0x0087, code:
            if (r0 == null) goto L_0x0090;
     */
    /* JADX WARNING: Missing block: B:47:0x008b, code:
            if (r0 == r1.mNoBinding) goto L_0x0090;
     */
    /* JADX WARNING: Missing block: B:48:0x008d, code:
            setClientActiveIfShould();
     */
    /* JADX WARNING: Missing block: B:49:0x0090, code:
            return r0;
     */
    public com.android.internal.view.InputBindResult startInputOrWindowGainedFocus(int r12, com.android.internal.view.IInputMethodClient r13, android.os.IBinder r14, int r15, int r16, int r17, android.view.inputmethod.EditorInfo r18, com.android.internal.view.IInputContext r19, int r20, int r21) {
        /*
        r11 = this;
        r1 = r11;
        r2 = r12;
        r3 = r14;
        r0 = r1.calledFromValidUser();
        r4 = 0;
        if (r0 != 0) goto L_0x000b;
    L_0x000a:
        return r4;
    L_0x000b:
        r5 = r1.mMethodMap;
        monitor-enter(r5);
        r6 = android.os.Binder.clearCallingIdentity();	 Catch:{ all -> 0x0096 }
        r0 = r1.mCurMethodId;	 Catch:{ all -> 0x0091 }
        r8 = 1;
        if (r0 != 0) goto L_0x003a;
    L_0x0017:
        r0 = r1.isSecureIMEEnable();	 Catch:{ all -> 0x0091 }
        if (r0 == 0) goto L_0x002c;
    L_0x001d:
        r0 = "com.huawei.secime/.SoftKeyboard";
        r1.mCurMethodId = r0;	 Catch:{ all -> 0x0091 }
        r0 = "SecInputMethodManagerService";
        r9 = "startInputOrWindowGainedFocus, mCurMethodId is null, reset";
        android.util.Slog.d(r0, r9);	 Catch:{ all -> 0x0091 }
        r1.mShouldSetActive = r8;	 Catch:{ all -> 0x0091 }
        goto L_0x003a;
    L_0x002c:
        r0 = "SecInputMethodManagerService";
        r8 = "startInputOrWindowGainedFocus, secure ime is disable";
        android.util.Slog.d(r0, r8);	 Catch:{ all -> 0x0091 }
        android.os.Binder.restoreCallingIdentity(r6);	 Catch:{ all -> 0x0096 }
        monitor-exit(r5);	 Catch:{ all -> 0x0096 }
        return r4;
    L_0x003a:
        if (r3 == 0) goto L_0x006d;
    L_0x003c:
        r0 = 10000; // 0x2710 float:1.4013E-41 double:4.9407E-320;
        if (r2 != r0) goto L_0x006d;
    L_0x0040:
        r9 = r1.mCurFocusedWindow;	 Catch:{ all -> 0x0091 }
        if (r9 == r3) goto L_0x0060;
    L_0x0044:
        r9 = r1.mHaveConnection;	 Catch:{ all -> 0x0091 }
        if (r9 == 0) goto L_0x0060;
    L_0x0048:
        r9 = r1.mUnbindCounter;	 Catch:{ all -> 0x0091 }
        if (r9 <= 0) goto L_0x0060;
    L_0x004c:
        r9 = r1.isScreenLocked();	 Catch:{ all -> 0x0091 }
        if (r9 != 0) goto L_0x0060;
    L_0x0052:
        r9 = "SecInputMethodManagerService";
        r10 = "unbind secime";
        android.util.Slog.d(r9, r10);	 Catch:{ all -> 0x0091 }
        r1.unbindCurrentMethodLocked(r8);	 Catch:{ all -> 0x0091 }
        r1.unbindCurrentClientLocked(r0);	 Catch:{ all -> 0x0091 }
    L_0x0060:
        r0 = r1.mUnbindCounter;	 Catch:{ all -> 0x0091 }
        r0 = r0 + r8;
        r1.mUnbindCounter = r0;	 Catch:{ all -> 0x0091 }
        r1.mCurFocusedWindow = r3;	 Catch:{ all -> 0x0091 }
        android.os.Binder.restoreCallingIdentity(r6);	 Catch:{ all -> 0x0096 }
        monitor-exit(r5);	 Catch:{ all -> 0x0096 }
        return r4;
    L_0x006d:
        r0 = 0;
        r1.mUnbindCounter = r0;	 Catch:{ all -> 0x0091 }
        android.os.Binder.restoreCallingIdentity(r6);	 Catch:{ all -> 0x0096 }
        monitor-exit(r5);	 Catch:{ all -> 0x0096 }
        r0 = 8;
        if (r2 != r0) goto L_0x0083;
    L_0x0079:
        r0 = "SecInputMethodManagerService";
        r4 = "startInputOrWindowGainedFocus, client deactive by imms, set active again to enable secure inputmethod";
        android.util.Slog.i(r0, r4);
        r1.mShouldSetActive = r8;
    L_0x0083:
        r0 = r11.secureImeStartInputOrWindowGainedFocus(r12, r13, r14, r15, r16, r17, r18, r19, r20);
        if (r0 == 0) goto L_0x0090;
    L_0x0089:
        r4 = r1.mNoBinding;
        if (r0 == r4) goto L_0x0090;
    L_0x008d:
        r1.setClientActiveIfShould();
    L_0x0090:
        return r0;
    L_0x0091:
        r0 = move-exception;
        android.os.Binder.restoreCallingIdentity(r6);	 Catch:{ all -> 0x0096 }
        throw r0;	 Catch:{ all -> 0x0096 }
    L_0x0096:
        r0 = move-exception;
        monitor-exit(r5);	 Catch:{ all -> 0x0096 }
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.HwSecureInputMethodManagerService.startInputOrWindowGainedFocus(int, com.android.internal.view.IInputMethodClient, android.os.IBinder, int, int, int, android.view.inputmethod.EditorInfo, com.android.internal.view.IInputContext, int, int):com.android.internal.view.InputBindResult");
    }

    private com.android.internal.view.InputBindResult secureImeStartInputOrWindowGainedFocus(int startInputReason, com.android.internal.view.IInputMethodClient client, android.os.IBinder windowToken, int controlFlags, int softInputMode, int windowFlags, android.view.inputmethod.EditorInfo attribute, com.android.internal.view.IInputContext inputContext, int missingMethods) {
        if (windowToken != null) {
            return windowGainedFocus(startInputReason, client, windowToken, controlFlags, softInputMode, windowFlags, attribute, inputContext, missingMethods);
        }
        return startInput(startInputReason, client, inputContext, missingMethods, attribute, controlFlags);
    }

    /* JADX WARNING: Removed duplicated region for block: B:59:0x012a A:{Catch:{ all -> 0x022d, all -> 0x0236 }} */
    /* JADX WARNING: Removed duplicated region for block: B:58:0x0128 A:{Catch:{ all -> 0x022d, all -> 0x0236 }} */
    /* JADX WARNING: Removed duplicated region for block: B:62:0x0134 A:{Catch:{ all -> 0x022d, all -> 0x0236 }} */
    /* JADX WARNING: Removed duplicated region for block: B:89:0x01af A:{Catch:{ all -> 0x022d, all -> 0x0236 }} */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x01ae A:{Catch:{ all -> 0x022d, all -> 0x0236 }} */
    /* JADX WARNING: Removed duplicated region for block: B:82:0x019a A:{Catch:{ all -> 0x022d, all -> 0x0236 }} */
    /* JADX WARNING: Removed duplicated region for block: B:78:0x018a A:{Catch:{ all -> 0x022d, all -> 0x0236 }} */
    /* JADX WARNING: Removed duplicated region for block: B:70:0x0160 A:{Catch:{ all -> 0x022d, all -> 0x0236 }} */
    /* JADX WARNING: Removed duplicated region for block: B:63:0x0136 A:{Catch:{ all -> 0x022d, all -> 0x0236 }} */
    protected com.android.internal.view.InputBindResult windowGainedFocus(int r23, com.android.internal.view.IInputMethodClient r24, android.os.IBinder r25, int r26, int r27, int r28, android.view.inputmethod.EditorInfo r29, com.android.internal.view.IInputContext r30, int r31) {
        /*
        r22 = this;
        r8 = r22;
        r9 = r25;
        r10 = r27;
        r11 = r29;
        r12 = r22.calledFromValidUser();
        r13 = 0;
        r0 = android.os.Binder.clearCallingIdentity();
        r14 = r0;
        r7 = r8.mMethodMap;	 Catch:{ all -> 0x0238 }
        monitor-enter(r7);	 Catch:{ all -> 0x0238 }
        r0 = r8.mClients;	 Catch:{ all -> 0x022d }
        r1 = r24.asBinder();	 Catch:{ all -> 0x022d }
        r0 = r0.get(r1);	 Catch:{ all -> 0x022d }
        r0 = (com.android.server.HwSecureInputMethodManagerService.ClientState) r0;	 Catch:{ all -> 0x022d }
        r6 = r0;
        if (r6 == 0) goto L_0x020c;
    L_0x0024:
        r5 = 0;
        r0 = r8.mIWindowManager;	 Catch:{ RemoteException -> 0x006d }
        r1 = r6.client;	 Catch:{ RemoteException -> 0x006d }
        r0 = r0.inputMethodClientHasFocus(r1);	 Catch:{ RemoteException -> 0x006d }
        if (r0 != 0) goto L_0x0065;
    L_0x002f:
        r0 = "SecInputMethodManagerService";
        r1 = new java.lang.StringBuilder;	 Catch:{ RemoteException -> 0x006d }
        r1.<init>();	 Catch:{ RemoteException -> 0x006d }
        r2 = "Focus gain on non-focused client ";
        r1.append(r2);	 Catch:{ RemoteException -> 0x006d }
        r2 = r6.client;	 Catch:{ RemoteException -> 0x006d }
        r1.append(r2);	 Catch:{ RemoteException -> 0x006d }
        r2 = " (uid=";
        r1.append(r2);	 Catch:{ RemoteException -> 0x006d }
        r2 = r6.uid;	 Catch:{ RemoteException -> 0x006d }
        r1.append(r2);	 Catch:{ RemoteException -> 0x006d }
        r2 = " pid=";
        r1.append(r2);	 Catch:{ RemoteException -> 0x006d }
        r2 = r6.pid;	 Catch:{ RemoteException -> 0x006d }
        r1.append(r2);	 Catch:{ RemoteException -> 0x006d }
        r2 = ")";
        r1.append(r2);	 Catch:{ RemoteException -> 0x006d }
        r1 = r1.toString();	 Catch:{ RemoteException -> 0x006d }
        android.util.Slog.w(r0, r1);	 Catch:{ RemoteException -> 0x006d }
        monitor-exit(r7);	 Catch:{ all -> 0x0066 }
        android.os.Binder.restoreCallingIdentity(r14);
        return r5;
    L_0x0065:
        goto L_0x006e;
    L_0x0066:
        r0 = move-exception;
        r17 = r7;
        r16 = r12;
        goto L_0x0232;
    L_0x006d:
        r0 = move-exception;
    L_0x006e:
        r0 = 0;
        if (r12 != 0) goto L_0x0087;
    L_0x0071:
        r1 = "SecInputMethodManagerService";
        r2 = "A background user is requesting window. Hiding IME.";
        android.util.Slog.w(r1, r2);	 Catch:{ all -> 0x0066 }
        r1 = "SecInputMethodManagerService";
        r2 = "If you want to interect with IME, you need android.permission.INTERACT_ACROSS_USERS_FULL";
        android.util.Slog.w(r1, r2);	 Catch:{ all -> 0x0066 }
        r8.hideCurrentInputLocked(r0, r5);	 Catch:{ all -> 0x0066 }
        monitor-exit(r7);	 Catch:{ all -> 0x0066 }
        android.os.Binder.restoreCallingIdentity(r14);
        return r5;
    L_0x0087:
        r1 = r8.mCurFocusedWindow;	 Catch:{ all -> 0x022d }
        if (r1 != r9) goto L_0x00ff;
    L_0x008b:
        r0 = "SecInputMethodManagerService";
        r1 = new java.lang.StringBuilder;	 Catch:{ all -> 0x022d }
        r1.<init>();	 Catch:{ all -> 0x022d }
        r2 = "Window already focused, ignoring focus gain of: ";
        r1.append(r2);	 Catch:{ all -> 0x022d }
        r4 = r24;
        r1.append(r4);	 Catch:{ all -> 0x022d }
        r2 = " attribute=";
        r1.append(r2);	 Catch:{ all -> 0x022d }
        r1.append(r11);	 Catch:{ all -> 0x022d }
        r2 = ", token = ";
        r1.append(r2);	 Catch:{ all -> 0x022d }
        r1.append(r9);	 Catch:{ all -> 0x022d }
        r1 = r1.toString();	 Catch:{ all -> 0x022d }
        android.util.Slog.w(r0, r1);	 Catch:{ all -> 0x022d }
        if (r11 == 0) goto L_0x00ce;
    L_0x00b5:
        r1 = r8;
        r2 = r6;
        r3 = r30;
        r4 = r31;
        r5 = r11;
        r16 = r12;
        r12 = r6;
        r6 = r26;
        r17 = r7;
        r7 = r23;
        r0 = r1.startInputUncheckedLocked(r2, r3, r4, r5, r6, r7);	 Catch:{ all -> 0x0236 }
        monitor-exit(r17);	 Catch:{ all -> 0x0236 }
        android.os.Binder.restoreCallingIdentity(r14);
        return r0;
    L_0x00ce:
        r17 = r7;
        r16 = r12;
        r12 = r6;
        r0 = r8.mInputShown;	 Catch:{ all -> 0x0236 }
        if (r0 == 0) goto L_0x00fa;
    L_0x00d7:
        r0 = "SecInputMethodManagerService";
        r1 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0236 }
        r1.<init>();	 Catch:{ all -> 0x0236 }
        r2 = "Window already focused, force refreshime kgon:";
        r1.append(r2);	 Catch:{ all -> 0x0236 }
        r2 = r22.isKeyguardLocked();	 Catch:{ all -> 0x0236 }
        r1.append(r2);	 Catch:{ all -> 0x0236 }
        r1 = r1.toString();	 Catch:{ all -> 0x0236 }
        android.util.Slog.i(r0, r1);	 Catch:{ all -> 0x0236 }
        r0 = r8.mCurToken;	 Catch:{ all -> 0x0236 }
        r1 = r8.mImeWindowVis;	 Catch:{ all -> 0x0236 }
        r2 = r8.mBackDisposition;	 Catch:{ all -> 0x0236 }
        r8.updateSystemUi(r0, r1, r2);	 Catch:{ all -> 0x0236 }
    L_0x00fa:
        monitor-exit(r17);	 Catch:{ all -> 0x0236 }
        android.os.Binder.restoreCallingIdentity(r14);
        return r5;
    L_0x00ff:
        r17 = r7;
        r16 = r12;
        r12 = r6;
        r8.mCurFocusedWindow = r9;	 Catch:{ all -> 0x0236 }
        r8.mCurFocusedWindowSoftInputMode = r10;	 Catch:{ all -> 0x0236 }
        r8.mCurFocusedWindowClient = r12;	 Catch:{ all -> 0x0236 }
        r1 = r10 & 240;
        r2 = 16;
        r7 = 1;
        if (r1 == r2) goto L_0x0121;
    L_0x0111:
        r1 = r8.mRes;	 Catch:{ all -> 0x0236 }
        r1 = r1.getConfiguration();	 Catch:{ all -> 0x0236 }
        r2 = 3;
        r1 = r1.isLayoutSizeAtLeast(r2);	 Catch:{ all -> 0x0236 }
        if (r1 == 0) goto L_0x011f;
    L_0x011e:
        goto L_0x0121;
    L_0x011f:
        r1 = r0;
        goto L_0x0122;
    L_0x0121:
        r1 = r7;
    L_0x0122:
        r18 = r1;
        r1 = r26 & 2;
        if (r1 == 0) goto L_0x012a;
    L_0x0128:
        r1 = r7;
        goto L_0x012b;
    L_0x012a:
        r1 = r0;
    L_0x012b:
        r19 = r1;
        r20 = 0;
        r1 = r10 & 15;
        switch(r1) {
            case 0: goto L_0x01af;
            case 1: goto L_0x01ae;
            case 2: goto L_0x019a;
            case 3: goto L_0x018a;
            case 4: goto L_0x0160;
            case 5: goto L_0x0136;
            default: goto L_0x0134;
        };	 Catch:{ all -> 0x0236 }
    L_0x0134:
        goto L_0x01f2;
    L_0x0136:
        r0 = DEBUG_FLOW;	 Catch:{ all -> 0x0236 }
        if (r0 == 0) goto L_0x0141;
    L_0x013a:
        r0 = "SecInputMethodManagerService";
        r1 = "Window asks to always show input";
        android.util.Slog.v(r0, r1);	 Catch:{ all -> 0x0236 }
    L_0x0141:
        if (r11 == 0) goto L_0x0159;
    L_0x0143:
        r1 = r8;
        r2 = r12;
        r3 = r30;
        r4 = r31;
        r6 = r5;
        r5 = r11;
        r9 = r6;
        r6 = r26;
        r0 = r7;
        r7 = r23;
        r1 = r1.startInputUncheckedLocked(r2, r3, r4, r5, r6, r7);	 Catch:{ all -> 0x0236 }
        r20 = 1;
        r13 = r1;
        goto L_0x015b;
    L_0x0159:
        r9 = r5;
        r0 = r7;
    L_0x015b:
        r8.showCurrentInputLocked(r0, r9);	 Catch:{ all -> 0x0236 }
        goto L_0x01f2;
    L_0x0160:
        r9 = r5;
        r0 = r7;
        r1 = r10 & 256;
        if (r1 == 0) goto L_0x01f2;
    L_0x0166:
        r1 = DEBUG_FLOW;	 Catch:{ all -> 0x0236 }
        if (r1 == 0) goto L_0x0171;
    L_0x016a:
        r1 = "SecInputMethodManagerService";
        r2 = "Window asks to show input going forward";
        android.util.Slog.v(r1, r2);	 Catch:{ all -> 0x0236 }
    L_0x0171:
        if (r11 == 0) goto L_0x0185;
    L_0x0173:
        r1 = r8;
        r2 = r12;
        r3 = r30;
        r4 = r31;
        r5 = r11;
        r6 = r26;
        r7 = r23;
        r1 = r1.startInputUncheckedLocked(r2, r3, r4, r5, r6, r7);	 Catch:{ all -> 0x0236 }
        r20 = 1;
        r13 = r1;
    L_0x0185:
        r8.showCurrentInputLocked(r0, r9);	 Catch:{ all -> 0x0236 }
        goto L_0x01f2;
    L_0x018a:
        r9 = r5;
        r1 = DEBUG_FLOW;	 Catch:{ all -> 0x0236 }
        if (r1 == 0) goto L_0x0196;
    L_0x018f:
        r1 = "SecInputMethodManagerService";
        r2 = "Window asks to hide input";
        android.util.Slog.v(r1, r2);	 Catch:{ all -> 0x0236 }
    L_0x0196:
        r8.hideCurrentInputLocked(r0, r9);	 Catch:{ all -> 0x0236 }
        goto L_0x01f2;
    L_0x019a:
        r9 = r5;
        r1 = r10 & 256;
        if (r1 == 0) goto L_0x01f2;
    L_0x019f:
        r1 = DEBUG_FLOW;	 Catch:{ all -> 0x0236 }
        if (r1 == 0) goto L_0x01aa;
    L_0x01a3:
        r1 = "SecInputMethodManagerService";
        r2 = "Window asks to hide input going forward";
        android.util.Slog.v(r1, r2);	 Catch:{ all -> 0x0236 }
    L_0x01aa:
        r8.hideCurrentInputLocked(r0, r9);	 Catch:{ all -> 0x0236 }
        goto L_0x01f2;
    L_0x01ae:
        goto L_0x01f2;
    L_0x01af:
        r9 = r5;
        r0 = r7;
        if (r19 == 0) goto L_0x01dd;
    L_0x01b3:
        if (r18 != 0) goto L_0x01b6;
    L_0x01b5:
        goto L_0x01dd;
    L_0x01b6:
        r1 = r10 & 256;
        if (r1 == 0) goto L_0x01f2;
    L_0x01ba:
        r1 = DEBUG_FLOW;	 Catch:{ all -> 0x0236 }
        if (r1 == 0) goto L_0x01c5;
    L_0x01be:
        r1 = "SecInputMethodManagerService";
        r2 = "Unspecified window will show input";
        android.util.Slog.v(r1, r2);	 Catch:{ all -> 0x0236 }
    L_0x01c5:
        if (r11 == 0) goto L_0x01d9;
    L_0x01c7:
        r1 = r8;
        r2 = r12;
        r3 = r30;
        r4 = r31;
        r5 = r11;
        r6 = r26;
        r7 = r23;
        r1 = r1.startInputUncheckedLocked(r2, r3, r4, r5, r6, r7);	 Catch:{ all -> 0x0236 }
        r20 = 1;
        r13 = r1;
    L_0x01d9:
        r8.showCurrentInputLocked(r0, r9);	 Catch:{ all -> 0x0236 }
        goto L_0x01f2;
    L_0x01dd:
        r0 = android.view.WindowManager.LayoutParams.mayUseInputMethod(r28);	 Catch:{ all -> 0x0236 }
        if (r0 == 0) goto L_0x01f2;
    L_0x01e3:
        r0 = DEBUG_FLOW;	 Catch:{ all -> 0x0236 }
        if (r0 == 0) goto L_0x01ee;
    L_0x01e7:
        r0 = "SecInputMethodManagerService";
        r1 = "Unspecified window will hide input";
        android.util.Slog.v(r0, r1);	 Catch:{ all -> 0x0236 }
    L_0x01ee:
        r0 = 2;
        r8.hideCurrentInputLocked(r0, r9);	 Catch:{ all -> 0x0236 }
    L_0x01f2:
        if (r20 != 0) goto L_0x0206;
    L_0x01f4:
        if (r11 == 0) goto L_0x0206;
    L_0x01f6:
        r1 = r8;
        r2 = r12;
        r3 = r30;
        r4 = r31;
        r5 = r11;
        r6 = r26;
        r7 = r23;
        r0 = r1.startInputUncheckedLocked(r2, r3, r4, r5, r6, r7);	 Catch:{ all -> 0x0236 }
        r13 = r0;
    L_0x0206:
        monitor-exit(r17);	 Catch:{ all -> 0x0236 }
        android.os.Binder.restoreCallingIdentity(r14);
        return r13;
    L_0x020c:
        r17 = r7;
        r16 = r12;
        r12 = r6;
        r0 = new java.lang.IllegalArgumentException;	 Catch:{ all -> 0x0236 }
        r1 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0236 }
        r1.<init>();	 Catch:{ all -> 0x0236 }
        r2 = "unknown client ";
        r1.append(r2);	 Catch:{ all -> 0x0236 }
        r2 = r24.asBinder();	 Catch:{ all -> 0x0236 }
        r1.append(r2);	 Catch:{ all -> 0x0236 }
        r1 = r1.toString();	 Catch:{ all -> 0x0236 }
        r0.<init>(r1);	 Catch:{ all -> 0x0236 }
        throw r0;	 Catch:{ all -> 0x0236 }
    L_0x022d:
        r0 = move-exception;
        r17 = r7;
        r16 = r12;
    L_0x0232:
        monitor-exit(r17);	 Catch:{ all -> 0x0236 }
        throw r0;	 Catch:{ all -> 0x0234 }
    L_0x0234:
        r0 = move-exception;
        goto L_0x023b;
    L_0x0236:
        r0 = move-exception;
        goto L_0x0232;
    L_0x0238:
        r0 = move-exception;
        r16 = r12;
    L_0x023b:
        android.os.Binder.restoreCallingIdentity(r14);
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.HwSecureInputMethodManagerService.windowGainedFocus(int, com.android.internal.view.IInputMethodClient, android.os.IBinder, int, int, int, android.view.inputmethod.EditorInfo, com.android.internal.view.IInputContext, int):com.android.internal.view.InputBindResult");
    }

    public void showInputMethodPickerFromClient(com.android.internal.view.IInputMethodClient client, int auxiliarySubtypeMode) {
    }

    public void setInputMethod(android.os.IBinder token, java.lang.String id) {
    }

    public void setInputMethodAndSubtype(android.os.IBinder token, java.lang.String id, android.view.inputmethod.InputMethodSubtype subtype) {
    }

    public void showInputMethodAndSubtypeEnablerFromClient(com.android.internal.view.IInputMethodClient client, java.lang.String inputMethodId) {
    }

    public boolean isInputMethodPickerShownForTest() {
        return false;
    }

    public boolean switchToNextInputMethod(android.os.IBinder token, boolean onlyCurrentIme) {
        return false;
    }

    public boolean shouldOfferSwitchingToNextInputMethod(android.os.IBinder token) {
        return false;
    }

    /* JADX WARNING: Missing block: B:28:0x0053, code:
            return null;
     */
    /* JADX WARNING: Missing block: B:33:0x0058, code:
            return null;
     */
    public android.view.inputmethod.InputMethodSubtype getLastInputMethodSubtype() {
        /*
        r7 = this;
        r0 = r7.calledFromValidUser();
        r1 = 0;
        if (r0 != 0) goto L_0x0008;
    L_0x0007:
        return r1;
    L_0x0008:
        r0 = r7.mMethodMap;
        monitor-enter(r0);
        r2 = r7.mSettings;	 Catch:{ all -> 0x0059 }
        r2 = r2.getLastInputMethodAndSubtypeLocked();	 Catch:{ all -> 0x0059 }
        if (r2 == 0) goto L_0x0057;
    L_0x0013:
        r3 = r2.first;	 Catch:{ all -> 0x0059 }
        r3 = (java.lang.CharSequence) r3;	 Catch:{ all -> 0x0059 }
        r3 = android.text.TextUtils.isEmpty(r3);	 Catch:{ all -> 0x0059 }
        if (r3 != 0) goto L_0x0057;
    L_0x001d:
        r3 = r2.second;	 Catch:{ all -> 0x0059 }
        r3 = (java.lang.CharSequence) r3;	 Catch:{ all -> 0x0059 }
        r3 = android.text.TextUtils.isEmpty(r3);	 Catch:{ all -> 0x0059 }
        if (r3 == 0) goto L_0x0028;
    L_0x0027:
        goto L_0x0057;
    L_0x0028:
        r3 = r7.mMethodMap;	 Catch:{ all -> 0x0059 }
        r4 = r2.first;	 Catch:{ all -> 0x0059 }
        r3 = r3.get(r4);	 Catch:{ all -> 0x0059 }
        r3 = (android.view.inputmethod.InputMethodInfo) r3;	 Catch:{ all -> 0x0059 }
        if (r3 != 0) goto L_0x0036;
    L_0x0034:
        monitor-exit(r0);	 Catch:{ all -> 0x0059 }
        return r1;
    L_0x0036:
        r4 = r2.second;	 Catch:{ NumberFormatException -> 0x0054 }
        r4 = (java.lang.String) r4;	 Catch:{ NumberFormatException -> 0x0054 }
        r4 = java.lang.Integer.parseInt(r4);	 Catch:{ NumberFormatException -> 0x0054 }
        r5 = com.android.internal.inputmethod.InputMethodUtils.getSubtypeIdFromHashCode(r3, r4);	 Catch:{ NumberFormatException -> 0x0054 }
        if (r5 < 0) goto L_0x0052;
    L_0x0045:
        r6 = r3.getSubtypeCount();	 Catch:{ NumberFormatException -> 0x0054 }
        if (r5 < r6) goto L_0x004c;
    L_0x004b:
        goto L_0x0052;
    L_0x004c:
        r6 = r3.getSubtypeAt(r5);	 Catch:{ NumberFormatException -> 0x0054 }
        monitor-exit(r0);	 Catch:{ all -> 0x0059 }
        return r6;
    L_0x0052:
        monitor-exit(r0);	 Catch:{ all -> 0x0059 }
        return r1;
    L_0x0054:
        r4 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x0059 }
        return r1;
    L_0x0057:
        monitor-exit(r0);	 Catch:{ all -> 0x0059 }
        return r1;
    L_0x0059:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x0059 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.HwSecureInputMethodManagerService.getLastInputMethodSubtype():android.view.inputmethod.InputMethodSubtype");
    }

    public void setAdditionalInputMethodSubtypes(java.lang.String imiId, android.view.inputmethod.InputMethodSubtype[] subtypes) {
    }

    public int getInputMethodWindowVisibleHeight() {
        return this.mWindowManagerInternal.getInputMethodWindowVisibleHeight();
    }

    public void clearLastInputMethodWindowForTransition(android.os.IBinder token) {
        if (calledFromValidUser()) {
            long ident = android.os.Binder.clearCallingIdentity();
            try {
                synchronized (this.mMethodMap) {
                    if (calledWithValidToken(token)) {
                        this.mWindowManagerInternal.clearLastInputMethodWindowForTransition();
                        android.os.Binder.restoreCallingIdentity(ident);
                        return;
                    }
                    int uid = android.os.Binder.getCallingUid();
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("Ignoring clearLastInputMethodWindowForTransition due to an invalid token. uid:");
                    stringBuilder.append(uid);
                    stringBuilder.append(" token:");
                    stringBuilder.append(token);
                    android.util.Slog.e("SecInputMethodManagerService", stringBuilder.toString());
                    android.os.Binder.restoreCallingIdentity(ident);
                }
            } catch (Throwable th) {
                android.os.Binder.restoreCallingIdentity(ident);
            }
        }
    }

    public void notifyUserAction(int sequenceNumber) {
    }

    public void hideMySoftInput(android.os.IBinder token, int flags) {
        if (calledFromValidUser()) {
            synchronized (this.mMethodMap) {
                if (calledWithValidToken(token)) {
                    if (DEBUG_FLOW) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("hideMySoftInput, pid=");
                        stringBuilder.append(android.os.Binder.getCallingPid());
                        stringBuilder.append(", token=");
                        stringBuilder.append(token);
                        android.util.Slog.v("SecInputMethodManagerService", stringBuilder.toString());
                    }
                    long ident = android.os.Binder.clearCallingIdentity();
                    try {
                        hideCurrentInputLocked(flags, null);
                    } finally {
                        android.os.Binder.restoreCallingIdentity(ident);
                    }
                } else {
                    int uid = android.os.Binder.getCallingUid();
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("Ignoring hideInputMethod due to an invalid token. uid:");
                    stringBuilder2.append(uid);
                    stringBuilder2.append(" token:");
                    stringBuilder2.append(token);
                    android.util.Slog.e("SecInputMethodManagerService", stringBuilder2.toString());
                }
            }
        }
    }

    public void showMySoftInput(android.os.IBinder token, int flags) {
        if (calledFromValidUser()) {
            synchronized (this.mMethodMap) {
                if (calledWithValidToken(token)) {
                    long ident = android.os.Binder.clearCallingIdentity();
                    try {
                        showCurrentInputLocked(flags, null);
                    } finally {
                        android.os.Binder.restoreCallingIdentity(ident);
                    }
                } else {
                    int uid = android.os.Binder.getCallingUid();
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("Ignoring showMySoftInput due to an invalid token. uid:");
                    stringBuilder.append(uid);
                    stringBuilder.append(" token:");
                    stringBuilder.append(token);
                    android.util.Slog.e("SecInputMethodManagerService", stringBuilder.toString());
                }
            }
        }
    }

    void setEnabledSessionInMainThread(com.android.server.HwSecureInputMethodManagerService.SessionState session) {
        if (this.mEnabledSession != session) {
            if (!(this.mEnabledSession == null || this.mEnabledSession.session == null)) {
                try {
                    this.mEnabledSession.method.setSessionEnabled(this.mEnabledSession.session, false);
                } catch (android.os.RemoteException e) {
                }
            }
            this.mEnabledSession = session;
            if (this.mEnabledSession != null && this.mEnabledSession.session != null) {
                try {
                    this.mEnabledSession.method.setSessionEnabled(this.mEnabledSession.session, true);
                } catch (android.os.RemoteException e2) {
                }
            }
        }
    }

    /* JADX WARNING: Missing block: B:31:0x00a1, code:
            if (android.os.Binder.isProxy(r1) != false) goto L_0x00a3;
     */
    /* JADX WARNING: Missing block: B:80:0x0153, code:
            if (android.os.Binder.isProxy(r1) != false) goto L_0x0155;
     */
    public boolean handleMessage(android.os.Message r13) {
        /*
        r12 = this;
        r0 = r13.what;
        r1 = 0;
        r2 = 1;
        switch(r0) {
            case 1000: goto L_0x01b2;
            case 1010: goto L_0x019d;
            case 1020: goto L_0x0186;
            case 1030: goto L_0x0171;
            case 1040: goto L_0x015c;
            case 1050: goto L_0x0123;
            case 2000: goto L_0x00f1;
            case 3000: goto L_0x00e3;
            case 3010: goto L_0x008a;
            case 3020: goto L_0x004a;
            case 3030: goto L_0x0040;
            case 3040: goto L_0x0008;
            default: goto L_0x0007;
        };
    L_0x0007:
        return r1;
    L_0x0008:
        r0 = r13.arg1;
        r1 = r13.obj;
        r1 = (com.android.server.HwSecureInputMethodManagerService.ClientState) r1;
        r3 = r1.client;	 Catch:{ RemoteException -> 0x0014 }
        r3.setUserActionNotificationSequenceNumber(r0);	 Catch:{ RemoteException -> 0x0014 }
        goto L_0x003f;
    L_0x0014:
        r3 = move-exception;
        r4 = "SecInputMethodManagerService";
        r5 = new java.lang.StringBuilder;
        r5.<init>();
        r6 = "Got RemoteException sending setUserActionNotificationSequenceNumber(";
        r5.append(r6);
        r5.append(r0);
        r6 = ") notification to pid ";
        r5.append(r6);
        r6 = r1.pid;
        r5.append(r6);
        r6 = " uid ";
        r5.append(r6);
        r6 = r1.uid;
        r5.append(r6);
        r5 = r5.toString();
        android.util.Slog.w(r4, r5);
    L_0x003f:
        return r2;
    L_0x0040:
        r0 = r13.arg1;
        if (r0 == 0) goto L_0x0046;
    L_0x0044:
        r1 = r2;
    L_0x0046:
        r12.handleSetInteractive(r1);
        return r2;
    L_0x004a:
        r0 = r13.arg1;	 Catch:{ RemoteException -> 0x005e }
        if (r0 != r2) goto L_0x005d;
    L_0x004e:
        r0 = r13.obj;	 Catch:{ RemoteException -> 0x005e }
        r0 = (com.android.server.HwSecureInputMethodManagerService.ClientState) r0;	 Catch:{ RemoteException -> 0x005e }
        r0 = r0.client;	 Catch:{ RemoteException -> 0x005e }
        r3 = r13.arg2;	 Catch:{ RemoteException -> 0x005e }
        if (r3 == 0) goto L_0x005a;
    L_0x0058:
        r1 = r2;
    L_0x005a:
        r0.setActive(r2, r1);	 Catch:{ RemoteException -> 0x005e }
    L_0x005d:
        goto L_0x0089;
    L_0x005e:
        r0 = move-exception;
        r1 = "SecInputMethodManagerService";
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r4 = "Got RemoteException sending setActive(false) notification to pid ";
        r3.append(r4);
        r4 = r13.obj;
        r4 = (com.android.server.HwSecureInputMethodManagerService.ClientState) r4;
        r4 = r4.pid;
        r3.append(r4);
        r4 = " uid ";
        r3.append(r4);
        r4 = r13.obj;
        r4 = (com.android.server.HwSecureInputMethodManagerService.ClientState) r4;
        r4 = r4.uid;
        r3.append(r4);
        r3 = r3.toString();
        android.util.Slog.w(r1, r3);
    L_0x0089:
        return r2;
    L_0x008a:
        r0 = r13.obj;
        r0 = (com.android.internal.os.SomeArgs) r0;
        r1 = r0.arg1;
        r1 = (com.android.internal.view.IInputMethodClient) r1;
        r3 = r0.arg2;
        r3 = (com.android.internal.view.InputBindResult) r3;
        r1.onBindMethod(r3);	 Catch:{ RemoteException -> 0x00ab }
        r4 = r3.channel;
        if (r4 == 0) goto L_0x00cf;
    L_0x009d:
        r4 = android.os.Binder.isProxy(r1);
        if (r4 == 0) goto L_0x00cf;
    L_0x00a3:
        r4 = r3.channel;
        r4.dispose();
        goto L_0x00cf;
    L_0x00a9:
        r2 = move-exception;
        goto L_0x00d3;
    L_0x00ab:
        r4 = move-exception;
        r5 = "SecInputMethodManagerService";
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00a9 }
        r6.<init>();	 Catch:{ all -> 0x00a9 }
        r7 = "Client died receiving input method ";
        r6.append(r7);	 Catch:{ all -> 0x00a9 }
        r7 = r0.arg2;	 Catch:{ all -> 0x00a9 }
        r6.append(r7);	 Catch:{ all -> 0x00a9 }
        r6 = r6.toString();	 Catch:{ all -> 0x00a9 }
        android.util.Slog.w(r5, r6);	 Catch:{ all -> 0x00a9 }
        r4 = r3.channel;
        if (r4 == 0) goto L_0x00cf;
    L_0x00c8:
        r4 = android.os.Binder.isProxy(r1);
        if (r4 == 0) goto L_0x00cf;
    L_0x00ce:
        goto L_0x00a3;
    L_0x00cf:
        r0.recycle();
        return r2;
    L_0x00d3:
        r4 = r3.channel;
        if (r4 == 0) goto L_0x00e2;
    L_0x00d7:
        r4 = android.os.Binder.isProxy(r1);
        if (r4 == 0) goto L_0x00e2;
    L_0x00dd:
        r4 = r3.channel;
        r4.dispose();
    L_0x00e2:
        throw r2;
    L_0x00e3:
        r0 = r13.obj;	 Catch:{ RemoteException -> 0x00ef }
        r0 = (com.android.internal.view.IInputMethodClient) r0;	 Catch:{ RemoteException -> 0x00ef }
        r1 = r13.arg1;	 Catch:{ RemoteException -> 0x00ef }
        r3 = r13.arg2;	 Catch:{ RemoteException -> 0x00ef }
        r0.onUnbindMethod(r1, r3);	 Catch:{ RemoteException -> 0x00ef }
        goto L_0x00f0;
    L_0x00ef:
        r0 = move-exception;
    L_0x00f0:
        return r2;
    L_0x00f1:
        r0 = r13.arg1;
        r3 = r13.arg2;
        if (r3 == 0) goto L_0x00f9;
    L_0x00f7:
        r8 = r2;
        goto L_0x00fa;
    L_0x00f9:
        r8 = r1;
    L_0x00fa:
        r1 = r13.obj;
        r1 = (com.android.internal.os.SomeArgs) r1;
        r3 = r1.arg1;
        r9 = r3;
        r9 = (android.os.IBinder) r9;
        r3 = r1.arg2;
        r10 = r3;
        r10 = (com.android.server.HwSecureInputMethodManagerService.SessionState) r10;
        r3 = r1.arg3;
        r11 = r3;
        r11 = (com.android.internal.view.IInputContext) r11;
        r3 = r1.arg4;
        r7 = r3;
        r7 = (android.view.inputmethod.EditorInfo) r7;
        r12.setEnabledSessionInMainThread(r10);	 Catch:{ RemoteException -> 0x011e }
        r3 = r10.method;	 Catch:{ RemoteException -> 0x011e }
        r4 = r9;
        r5 = r11;
        r6 = r0;
        r3.startInput(r4, r5, r6, r7, r8);	 Catch:{ RemoteException -> 0x011e }
        goto L_0x011f;
    L_0x011e:
        r3 = move-exception;
    L_0x011f:
        r1.recycle();
        return r2;
    L_0x0123:
        r0 = r13.obj;
        r0 = (com.android.internal.os.SomeArgs) r0;
        r1 = r0.arg1;
        r1 = (com.android.internal.view.IInputMethod) r1;
        r3 = r0.arg2;
        r3 = (android.view.InputChannel) r3;
        r4 = r0.arg3;	 Catch:{ RemoteException -> 0x014c, all -> 0x013f }
        r4 = (com.android.internal.view.IInputSessionCallback) r4;	 Catch:{ RemoteException -> 0x014c, all -> 0x013f }
        r1.createSession(r3, r4);	 Catch:{ RemoteException -> 0x014c, all -> 0x013f }
        if (r3 == 0) goto L_0x0158;
    L_0x0138:
        r4 = android.os.Binder.isProxy(r1);
        if (r4 == 0) goto L_0x0158;
    L_0x013e:
        goto L_0x0155;
    L_0x013f:
        r2 = move-exception;
        if (r3 == 0) goto L_0x014b;
    L_0x0142:
        r4 = android.os.Binder.isProxy(r1);
        if (r4 == 0) goto L_0x014b;
    L_0x0148:
        r3.dispose();
    L_0x014b:
        throw r2;
    L_0x014c:
        r4 = move-exception;
        if (r3 == 0) goto L_0x0158;
    L_0x014f:
        r4 = android.os.Binder.isProxy(r1);
        if (r4 == 0) goto L_0x0158;
    L_0x0155:
        r3.dispose();
    L_0x0158:
        r0.recycle();
        return r2;
    L_0x015c:
        r0 = r13.obj;
        r0 = (com.android.internal.os.SomeArgs) r0;
        r1 = r0.arg1;	 Catch:{ RemoteException -> 0x016c }
        r1 = (com.android.internal.view.IInputMethod) r1;	 Catch:{ RemoteException -> 0x016c }
        r3 = r0.arg2;	 Catch:{ RemoteException -> 0x016c }
        r3 = (android.os.IBinder) r3;	 Catch:{ RemoteException -> 0x016c }
        r1.attachToken(r3);	 Catch:{ RemoteException -> 0x016c }
        goto L_0x016d;
    L_0x016c:
        r1 = move-exception;
    L_0x016d:
        r0.recycle();
        return r2;
    L_0x0171:
        r0 = r13.obj;
        r0 = (com.android.internal.os.SomeArgs) r0;
        r3 = r0.arg1;	 Catch:{ RemoteException -> 0x0181 }
        r3 = (com.android.internal.view.IInputMethod) r3;	 Catch:{ RemoteException -> 0x0181 }
        r4 = r0.arg2;	 Catch:{ RemoteException -> 0x0181 }
        r4 = (android.os.ResultReceiver) r4;	 Catch:{ RemoteException -> 0x0181 }
        r3.hideSoftInput(r1, r4);	 Catch:{ RemoteException -> 0x0181 }
        goto L_0x0182;
    L_0x0181:
        r1 = move-exception;
    L_0x0182:
        r0.recycle();
        return r2;
    L_0x0186:
        r0 = r13.obj;
        r0 = (com.android.internal.os.SomeArgs) r0;
        r1 = r0.arg1;	 Catch:{ RemoteException -> 0x0198 }
        r1 = (com.android.internal.view.IInputMethod) r1;	 Catch:{ RemoteException -> 0x0198 }
        r3 = r13.arg1;	 Catch:{ RemoteException -> 0x0198 }
        r4 = r0.arg2;	 Catch:{ RemoteException -> 0x0198 }
        r4 = (android.os.ResultReceiver) r4;	 Catch:{ RemoteException -> 0x0198 }
        r1.showSoftInput(r3, r4);	 Catch:{ RemoteException -> 0x0198 }
        goto L_0x0199;
    L_0x0198:
        r1 = move-exception;
    L_0x0199:
        r0.recycle();
        return r2;
    L_0x019d:
        r0 = r13.obj;
        r0 = (com.android.internal.os.SomeArgs) r0;
        r1 = r0.arg1;	 Catch:{ RemoteException -> 0x01ad }
        r1 = (com.android.internal.view.IInputMethod) r1;	 Catch:{ RemoteException -> 0x01ad }
        r3 = r0.arg2;	 Catch:{ RemoteException -> 0x01ad }
        r3 = (android.view.inputmethod.InputBinding) r3;	 Catch:{ RemoteException -> 0x01ad }
        r1.bindInput(r3);	 Catch:{ RemoteException -> 0x01ad }
        goto L_0x01ae;
    L_0x01ad:
        r1 = move-exception;
    L_0x01ae:
        r0.recycle();
        return r2;
    L_0x01b2:
        r0 = r13.obj;	 Catch:{ RemoteException -> 0x01ba }
        r0 = (com.android.internal.view.IInputMethod) r0;	 Catch:{ RemoteException -> 0x01ba }
        r0.unbindInput();	 Catch:{ RemoteException -> 0x01ba }
        goto L_0x01bb;
    L_0x01ba:
        r0 = move-exception;
    L_0x01bb:
        return r2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.HwSecureInputMethodManagerService.handleMessage(android.os.Message):boolean");
    }

    private void handleSetInteractive(boolean interactive) {
        synchronized (this.mMethodMap) {
            this.mIsInteractive = interactive;
            updateSystemUiLocked(this.mCurToken, interactive ? this.mImeWindowVis : 0, this.mBackDisposition);
            if (!(this.mCurClient == null || this.mCurClient.client == null)) {
                executeOrSendMessage(this.mCurClient.client, this.mCaller.obtainMessageIIO(3020, this.mIsInteractive, this.mInFullscreenMode, this.mCurClient));
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:11:0x0086 A:{ExcHandler: org.xmlpull.v1.XmlPullParserException (r6_7 'e' java.lang.Exception), Splitter: B:9:0x0070} */
    /* JADX WARNING: Missing block: B:11:0x0086, code:
            r6 = move-exception;
     */
    /* JADX WARNING: Missing block: B:12:0x0087, code:
            r8 = new java.lang.StringBuilder();
            r8.append("Unable to load input method ");
            r8.append(r5);
            android.util.Slog.w("SecInputMethodManagerService", r8.toString(), r6);
     */
    void buildInputMethodListLocked(boolean r11) {
        /*
        r10 = this;
        r0 = r10.mMethodList;
        r0.clear();
        r0 = r10.mMethodMap;
        r0.clear();
        r0 = r10.mContext;
        r0 = r0.getPackageManager();
        r1 = new android.content.Intent;
        r2 = "android.view.InputMethod";
        r1.<init>(r2);
        r2 = r10.mSettings;
        r2 = r2.getCurrentUserId();
        r3 = 32896; // 0x8080 float:4.6097E-41 double:1.6253E-319;
        r1 = r0.queryIntentServicesAsUser(r1, r3, r2);
        r2 = 0;
    L_0x0025:
        r3 = r1.size();
        if (r2 >= r3) goto L_0x00a0;
    L_0x002b:
        r3 = r1.get(r2);
        r3 = (android.content.pm.ResolveInfo) r3;
        r4 = r3.serviceInfo;
        r5 = new android.content.ComponentName;
        r6 = r4.packageName;
        r7 = r4.name;
        r5.<init>(r6, r7);
        r6 = "android.permission.BIND_INPUT_METHOD";
        r7 = r4.permission;
        r6 = r6.equals(r7);
        if (r6 != 0) goto L_0x0067;
    L_0x0046:
        r6 = "SecInputMethodManagerService";
        r7 = new java.lang.StringBuilder;
        r7.<init>();
        r8 = "Skipping input method ";
        r7.append(r8);
        r7.append(r5);
        r8 = ": it does not require the permission ";
        r7.append(r8);
        r8 = "android.permission.BIND_INPUT_METHOD";
        r7.append(r8);
        r7 = r7.toString();
        android.util.Slog.w(r6, r7);
        goto L_0x009d;
    L_0x0067:
        r6 = r4.packageName;
        r6 = r10.shouldBuildInputMethodList(r6);
        if (r6 != 0) goto L_0x0070;
    L_0x006f:
        goto L_0x009d;
    L_0x0070:
        r6 = new android.view.inputmethod.InputMethodInfo;	 Catch:{ XmlPullParserException -> 0x0086, XmlPullParserException -> 0x0086 }
        r7 = r10.mContext;	 Catch:{ XmlPullParserException -> 0x0086, XmlPullParserException -> 0x0086 }
        r6.<init>(r7, r3);	 Catch:{ XmlPullParserException -> 0x0086, XmlPullParserException -> 0x0086 }
        r7 = r10.mMethodList;	 Catch:{ XmlPullParserException -> 0x0086, XmlPullParserException -> 0x0086 }
        r7.add(r6);	 Catch:{ XmlPullParserException -> 0x0086, XmlPullParserException -> 0x0086 }
        r7 = r6.getId();	 Catch:{ XmlPullParserException -> 0x0086, XmlPullParserException -> 0x0086 }
        r8 = r10.mMethodMap;	 Catch:{ XmlPullParserException -> 0x0086, XmlPullParserException -> 0x0086 }
        r8.put(r7, r6);	 Catch:{ XmlPullParserException -> 0x0086, XmlPullParserException -> 0x0086 }
        goto L_0x009d;
    L_0x0086:
        r6 = move-exception;
        r7 = "SecInputMethodManagerService";
        r8 = new java.lang.StringBuilder;
        r8.<init>();
        r9 = "Unable to load input method ";
        r8.append(r9);
        r8.append(r5);
        r8 = r8.toString();
        android.util.Slog.w(r7, r8, r6);
    L_0x009d:
        r2 = r2 + 1;
        goto L_0x0025;
    L_0x00a0:
        r10.updateSecureIMEStatus();
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.HwSecureInputMethodManagerService.buildInputMethodListLocked(boolean):void");
    }

    private android.util.Pair<android.view.inputmethod.InputMethodInfo, android.view.inputmethod.InputMethodSubtype> findLastResortApplicableShortcutInputMethodAndSubtypeLocked(java.lang.String mode) {
        for (android.view.inputmethod.InputMethodInfo imi : this.mSettings.getEnabledInputMethodListLocked()) {
            com.android.internal.inputmethod.InputMethodUtils.getOverridingImplicitlyEnabledSubtypes(imi, mode);
        }
        return null;
    }

    public android.view.inputmethod.InputMethodSubtype getCurrentInputMethodSubtype() {
        return null;
    }

    /* JADX WARNING: Missing block: B:9:0x0024, code:
            return r1;
     */
    public java.util.List getShortcutInputMethodsAndSubtypes() {
        /*
        r4 = this;
        r0 = r4.mMethodMap;
        monitor-enter(r0);
        r1 = new java.util.ArrayList;	 Catch:{ all -> 0x0027 }
        r1.<init>();	 Catch:{ all -> 0x0027 }
        r2 = r4.mShortcutInputMethodsAndSubtypes;	 Catch:{ all -> 0x0027 }
        r2 = r2.size();	 Catch:{ all -> 0x0027 }
        if (r2 != 0) goto L_0x0025;
    L_0x0010:
        r2 = "voice";
        r2 = r4.findLastResortApplicableShortcutInputMethodAndSubtypeLocked(r2);	 Catch:{ all -> 0x0027 }
        if (r2 == 0) goto L_0x0023;
    L_0x0019:
        r3 = r2.first;	 Catch:{ all -> 0x0027 }
        r1.add(r3);	 Catch:{ all -> 0x0027 }
        r3 = r2.second;	 Catch:{ all -> 0x0027 }
        r1.add(r3);	 Catch:{ all -> 0x0027 }
    L_0x0023:
        monitor-exit(r0);	 Catch:{ all -> 0x0027 }
        return r1;
    L_0x0025:
        monitor-exit(r0);	 Catch:{ all -> 0x0027 }
        return r1;
    L_0x0027:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x0027 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.HwSecureInputMethodManagerService.getShortcutInputMethodsAndSubtypes():java.util.List");
    }

    public boolean setCurrentInputMethodSubtype(android.view.inputmethod.InputMethodSubtype subtype) {
        return false;
    }

    private static java.lang.String imeWindowStatusToString(int imeWindowVis) {
        java.lang.StringBuilder sb = new java.lang.StringBuilder();
        boolean first = true;
        if ((imeWindowVis & 1) != 0) {
            sb.append("Active");
            first = false;
        }
        if ((imeWindowVis & 2) != 0) {
            if (!first) {
                sb.append("|");
            }
            sb.append("Visible");
        }
        return sb.toString();
    }

    public com.android.internal.inputmethod.IInputContentUriToken createInputContentUriToken(android.os.IBinder token, android.net.Uri contentUri, java.lang.String packageName) {
        if (!calledFromValidUser()) {
            return null;
        }
        if (token == null) {
            throw new java.lang.NullPointerException("token");
        } else if (packageName == null) {
            throw new java.lang.NullPointerException("packageName");
        } else if (contentUri != null) {
            if ("content".equals(contentUri.getScheme())) {
                synchronized (this.mMethodMap) {
                    int uid = android.os.Binder.getCallingUid();
                    java.lang.StringBuilder stringBuilder;
                    if (this.mCurMethodId == null) {
                        return null;
                    } else if (this.mCurToken != token) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("Ignoring createInputContentUriToken mCurToken=");
                        stringBuilder.append(this.mCurToken);
                        stringBuilder.append(" token=");
                        stringBuilder.append(token);
                        android.util.Slog.e("SecInputMethodManagerService", stringBuilder.toString());
                        return null;
                    } else if (android.text.TextUtils.equals(this.mCurAttribute.packageName, packageName)) {
                        int imeUserId = android.os.UserHandle.getUserId(uid);
                        int appUserId = android.os.UserHandle.getUserId(this.mCurClient.uid);
                        com.android.server.InputContentUriTokenHandler inputContentUriTokenHandler = new com.android.server.InputContentUriTokenHandler(android.content.ContentProvider.getUriWithoutUserId(contentUri), uid, packageName, android.content.ContentProvider.getUserIdFromUri(contentUri, imeUserId), appUserId);
                        return inputContentUriTokenHandler;
                    } else {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("Ignoring createInputContentUriToken mCurAttribute.packageName=");
                        stringBuilder.append(this.mCurAttribute.packageName);
                        stringBuilder.append(" packageName=");
                        stringBuilder.append(packageName);
                        android.util.Slog.e("SecInputMethodManagerService", stringBuilder.toString());
                        return null;
                    }
                }
            }
            throw new java.security.InvalidParameterException("contentUri must have content scheme");
        } else {
            throw new java.lang.NullPointerException("contentUri");
        }
    }

    public boolean switchToPreviousInputMethod(android.os.IBinder token) {
        return false;
    }

    protected void dump(java.io.FileDescriptor fd, java.io.PrintWriter pw, java.lang.String[] args) {
        if (this.mContext.checkCallingOrSelfPermission("android.permission.DUMP") != 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Permission Denial: can't dump InputMethodManager from from pid=");
            stringBuilder.append(android.os.Binder.getCallingPid());
            stringBuilder.append(", uid=");
            stringBuilder.append(android.os.Binder.getCallingUid());
            pw.println(stringBuilder.toString());
            return;
        }
        com.android.server.HwSecureInputMethodManagerService.ClientState ci;
        com.android.server.HwSecureInputMethodManagerService.ClientState client;
        com.android.internal.view.IInputMethod method;
        java.lang.StringBuilder stringBuilder2;
        android.util.Printer p = new android.util.PrintWriterPrinter(pw);
        synchronized (this.mMethodMap) {
            java.lang.StringBuilder stringBuilder3;
            p.println("  Clients:");
            for (com.android.server.HwSecureInputMethodManagerService.ClientState ci2 : this.mClients.values()) {
                stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("  Client ");
                stringBuilder3.append(ci2);
                stringBuilder3.append(":");
                p.println(stringBuilder3.toString());
                stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("    client=");
                stringBuilder3.append(ci2.client);
                p.println(stringBuilder3.toString());
                stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("    inputContext=");
                stringBuilder3.append(ci2.inputContext);
                p.println(stringBuilder3.toString());
                stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("    sessionRequested=");
                stringBuilder3.append(ci2.sessionRequested);
                p.println(stringBuilder3.toString());
                stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("    curSession=");
                stringBuilder3.append(ci2.curSession);
                p.println(stringBuilder3.toString());
            }
            java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
            stringBuilder4.append("  mCurMethodId=");
            stringBuilder4.append(this.mCurMethodId);
            p.println(stringBuilder4.toString());
            client = this.mCurClient;
            java.lang.StringBuilder stringBuilder5 = new java.lang.StringBuilder();
            stringBuilder5.append("  mCurClient=");
            stringBuilder5.append(client);
            stringBuilder5.append(" mCurSeq=");
            stringBuilder5.append(this.mCurSeq);
            p.println(stringBuilder5.toString());
            stringBuilder5 = new java.lang.StringBuilder();
            stringBuilder5.append("  mCurFocusedWindow=");
            stringBuilder5.append(this.mCurFocusedWindow);
            stringBuilder5.append(" softInputMode=");
            stringBuilder5.append(com.android.internal.view.InputMethodClient.softInputModeToString(this.mCurFocusedWindowSoftInputMode));
            stringBuilder5.append(" client=");
            stringBuilder5.append(this.mCurFocusedWindowClient);
            p.println(stringBuilder5.toString());
            ci2 = this.mCurFocusedWindowClient;
            stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("  mCurFocusedWindowClient=");
            stringBuilder3.append(ci2);
            p.println(stringBuilder3.toString());
            stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("  mCurId=");
            stringBuilder3.append(this.mCurId);
            stringBuilder3.append(" mHaveConnect=");
            stringBuilder3.append(this.mHaveConnection);
            stringBuilder3.append(" mBoundToMethod=");
            stringBuilder3.append(this.mBoundToMethod);
            p.println(stringBuilder3.toString());
            stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("  mCurToken=");
            stringBuilder3.append(this.mCurToken);
            p.println(stringBuilder3.toString());
            stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("  mCurIntent=");
            stringBuilder3.append(this.mCurIntent);
            p.println(stringBuilder3.toString());
            method = this.mCurMethod;
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("  mCurMethod=");
            stringBuilder2.append(this.mCurMethod);
            p.println(stringBuilder2.toString());
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("  mEnabledSession=");
            stringBuilder2.append(this.mEnabledSession);
            p.println(stringBuilder2.toString());
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("  mImeWindowVis=");
            stringBuilder2.append(imeWindowStatusToString(this.mImeWindowVis));
            p.println(stringBuilder2.toString());
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("  mShowRequested=");
            stringBuilder2.append(this.mShowRequested);
            stringBuilder2.append(" mShowExplicitlyRequested=");
            stringBuilder2.append(this.mShowExplicitlyRequested);
            stringBuilder2.append(" mShowForced=");
            stringBuilder2.append(this.mShowForced);
            stringBuilder2.append(" mInputShown=");
            stringBuilder2.append(this.mInputShown);
            p.println(stringBuilder2.toString());
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("  mInFullscreenMode=");
            stringBuilder2.append(this.mInFullscreenMode);
            p.println(stringBuilder2.toString());
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("  mCurUserActionNotificationSequenceNumber=");
            stringBuilder2.append(this.mCurUserActionNotificationSequenceNumber);
            p.println(stringBuilder2.toString());
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("  mSystemReady=");
            stringBuilder2.append(this.mSystemReady);
            stringBuilder2.append(" mInteractive=");
            stringBuilder2.append(this.mIsInteractive);
            p.println(stringBuilder2.toString());
            p.println("  mSettings:");
        }
        p.println(" ");
        if (client != null) {
            pw.flush();
            try {
                client.client.asBinder().dump(fd, args);
            } catch (android.os.RemoteException e) {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("Input method client dead: ");
                stringBuilder2.append(e);
                p.println(stringBuilder2.toString());
            }
        } else {
            p.println("No input method client.");
        }
        if (!(ci2 == null || client == ci2)) {
            p.println(" ");
            p.println("Warning: Current input method client doesn't match the last focused. window.");
            p.println("Dumping input method client in the last focused window just in case.");
            p.println(" ");
            pw.flush();
            try {
                ci2.client.asBinder().dump(fd, args);
            } catch (android.os.RemoteException e2) {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("Input method client in focused window dead: ");
                stringBuilder2.append(e2);
                p.println(stringBuilder2.toString());
            }
        }
        p.println(" ");
        if (method != null) {
            pw.flush();
            try {
                method.asBinder().dump(fd, args);
            } catch (android.os.RemoteException e22) {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("Input method service dead: ");
                stringBuilder2.append(e22);
                p.println(stringBuilder2.toString());
            }
        } else {
            p.println("No input method service.");
        }
    }

    public android.os.IBinder getHwInnerService() {
        return null;
    }
}
