package com.android.server;

public class HwServiceFactoryImpl implements com.android.server.HwServiceFactory.Factory {
    private static final java.lang.String TAG = "HwServiceFactoryImpl";
    private static com.huawei.displayengine.DisplayEngineInterface mDisplayEngineInterface = null;
    private static com.android.server.HWDrmDialogsService mDrmDialogService = null;
    private static com.android.server.display.HwSmartBackLightNormalizedController mHwSmartBackLightController = null;

    public static class DisplayEngineInterfaceImpl implements com.android.server.HwServiceFactory.IDisplayEngineInterface {
        public void initialize() {
            if (com.android.server.HwServiceFactoryImpl.mDisplayEngineInterface == null) {
                com.android.server.HwServiceFactoryImpl.mDisplayEngineInterface = new com.huawei.displayengine.DisplayEngineInterface();
            }
        }

        public boolean getSupported(java.lang.String feature) {
            boolean z = false;
            if (com.android.server.HwServiceFactoryImpl.mDisplayEngineInterface == null) {
                return false;
            }
            int ret = com.android.server.HwServiceFactoryImpl.mDisplayEngineInterface.getSupported(feature);
            com.android.server.HwServiceFactoryImpl.mDisplayEngineInterface;
            if (ret != 0) {
                z = true;
            }
            return z;
        }

        public void setScene(java.lang.String scene, java.lang.String action) {
            if (com.android.server.HwServiceFactoryImpl.mDisplayEngineInterface != null) {
                com.android.server.HwServiceFactoryImpl.mDisplayEngineInterface.setScene(scene, action);
            }
        }

        public void updateLightSensorState(boolean sensorEnable) {
            if (com.android.server.HwServiceFactoryImpl.mDisplayEngineInterface != null) {
                com.android.server.HwServiceFactoryImpl.mDisplayEngineInterface.updateLightSensorState(sensorEnable);
            }
        }
    }

    public static class HwActiveServicesImpl implements com.android.server.HwServiceFactory.IHwActiveServices {
        public com.android.server.am.ActiveServices getInstance(com.android.server.am.ActivityManagerService ams) {
            return new com.android.server.am.HwActiveServices(ams);
        }
    }

    public static class HwActivityManagerServiceImpl implements com.android.server.HwServiceFactory.IHwActivityManagerService {
        public com.android.server.am.ActivityManagerService getInstance(android.content.Context context) {
            android.util.Slog.i("HwServiceFactoryImpl", "HwActivityManagerServiceImpl getInstance starts");
            return new com.android.server.am.HwActivityManagerService(context);
        }
    }

    public static class HwActivityStackSupervisorImpl implements com.android.server.HwServiceFactory.IHwActivityStackSupervisor {
        public com.android.server.am.ActivityStackSupervisor getInstance(com.android.server.am.ActivityManagerService service, android.os.Looper looper) {
            return new com.android.server.am.HwActivityStackSupervisor(service, looper);
        }
    }

    public static class HwActivityStarterImpl implements com.android.server.HwServiceFactory.IHwActivityStarter {
        public com.android.server.am.ActivityStarter getInstance(com.android.server.am.ActivityStartController controller, com.android.server.am.ActivityManagerService service, com.android.server.am.ActivityStackSupervisor supervisor, com.android.server.am.ActivityStartInterceptor interceptor) {
            return new com.android.server.am.HwActivityStarter(controller, service, supervisor, interceptor);
        }
    }

    public static class HwAppOpsServiceImpl implements com.android.server.HwServiceFactory.IHwAppOpsService {
        public com.android.server.AppOpsService getInstance(java.io.File storagePath) {
            return new com.android.server.HwAppOpsService(storagePath);
        }

        public com.android.server.AppOpsService getInstance(java.io.File storagePath, android.os.Handler handler) {
            return new com.android.server.HwAppOpsService(storagePath, handler);
        }
    }

    public static class HwAttestationServiceImpl implements com.android.server.HwServiceFactory.IHwAttestationServiceFactory {
        public android.os.IBinder getInstance(android.content.Context context) {
            return new com.android.server.HwAttestationService(context);
        }
    }

    public static class HwAudioServiceImpl implements com.android.server.HwServiceFactory.IHwAudioService {
        public com.android.server.audio.AudioService getInstance(android.content.Context context) {
            return new com.android.server.audio.HwAudioService(context);
        }
    }

    public static class HwAutomaticBrightnessControllerImpl implements com.android.server.HwServiceFactory.IHwAutomaticBrightnessController {
        public com.android.server.display.AutomaticBrightnessController getInstance(com.android.server.display.AutomaticBrightnessController.Callbacks callbacks, android.os.Looper looper, android.hardware.SensorManager sensorManager, com.android.server.display.BrightnessMappingStrategy mapper, int lightSensorWarmUpTime, int brightnessMin, int brightnessMax, float dozeScaleFactor, android.content.Context context) {
            return new com.android.server.display.HwNormalizedAutomaticBrightnessController(callbacks, looper, sensorManager, mapper, lightSensorWarmUpTime, brightnessMin, brightnessMax, dozeScaleFactor, context);
        }

        public com.android.server.display.AutomaticBrightnessController getInstance(com.android.server.display.AutomaticBrightnessController.Callbacks callbacks, android.os.Looper looper, android.hardware.SensorManager sensorManager, com.android.server.display.BrightnessMappingStrategy mapper, int lightSensorWarmUpTime, int brightnessMin, int brightnessMax, float dozeScaleFactor, int lightSensorRate, int initialLightSensorRate, long brighteningLightDebounceConfig, long darkeningLightDebounceConfig, boolean resetAmbientLuxAfterWarmUpConfig, com.android.server.display.HysteresisLevels hysteresisLevels, android.content.Context context) {
            return new com.android.server.display.HwNormalizedAutomaticBrightnessController(callbacks, looper, sensorManager, mapper, lightSensorWarmUpTime, brightnessMin, brightnessMax, dozeScaleFactor, lightSensorRate, initialLightSensorRate, brighteningLightDebounceConfig, darkeningLightDebounceConfig, resetAmbientLuxAfterWarmUpConfig, hysteresisLevels, context);
        }
    }

    public static class HwBluetoothBigDataServiceImpl implements com.android.server.HwServiceFactory.IHwBluetoothBigDataService {
        private com.android.server.HwBluetoothBigDataService mHwBluetoothBigDataService;

        private com.android.server.HwBluetoothBigDataService getInstance() {
            this.mHwBluetoothBigDataService = new com.android.server.HwBluetoothBigDataService();
            return this.mHwBluetoothBigDataService;
        }

        public void sendBigDataEvent(android.content.Context context, java.lang.String bigDataEvent) {
            getInstance().sendBigDataEvent(context, bigDataEvent);
        }
    }

    public static class HwBluetoothManagerServiceImpl implements com.android.server.HwServiceFactory.IHwBluetoothManagerService {
        public com.android.server.BluetoothManagerService createHwBluetoothManagerService(android.content.Context context) {
            return new com.android.server.HwBluetoothManagerService(context);
        }
    }

    public static class HwDrmDialogServiceImpl implements com.android.server.HwServiceFactory.IHwDrmDialogService {
        public void startDrmDialogService(android.content.Context context) {
            if (com.android.server.HwServiceFactoryImpl.mDrmDialogService == null) {
                com.android.server.HwServiceFactoryImpl.mDrmDialogService = new com.android.server.HWDrmDialogsService(context);
                com.android.server.HwServiceFactoryImpl.mDrmDialogService.start();
            }
        }
    }

    public static class HwFingerprintServiceImpl implements com.android.server.HwServiceFactory.IHwFingerprintService {
        public java.lang.Class<com.android.server.SystemService> createServiceClass() {
            try {
                return java.lang.Class.forName("com.android.server.fingerprint.HwFingerprintService");
            } catch (java.lang.ClassNotFoundException e) {
                return null;
            }
        }
    }

    public static class HwForceRotationManagerServiceWrapper implements com.android.server.HwServiceFactory.IHwForceRotationManagerServiceWrapper {
        public com.android.server.forcerotation.HwForceRotationManagerService getServiceInstance(android.content.Context context, android.os.Handler uiHandler) {
            return new com.android.server.forcerotation.HwForceRotationManagerService(context, uiHandler);
        }
    }

    public static class HwIMonitorManagerImpl implements com.android.server.HwServiceFactory.IHwIMonitorManager {
        private com.android.server.HwIMonitorManager mHwIMonitorManager;

        private com.android.server.HwIMonitorManager getInstance() {
            this.mHwIMonitorManager = new com.android.server.HwIMonitorManager();
            return this.mHwIMonitorManager;
        }

        public boolean uploadBtRadarEvent(int event, java.lang.String exception) {
            return getInstance().uploadBtRadarEvent(event, exception);
        }
    }

    public static class HwInputManagerServiceImpl implements com.android.server.input.IHwInputManagerService {
        public com.android.server.input.HwInputManagerService getInstance(android.content.Context context, android.os.Handler handler) {
            android.util.Slog.i("HwServiceFactoryImpl", "Input Manager ,getInstance");
            return new com.android.server.input.HwInputManagerService(context, handler);
        }
    }

    public static class HwInputMethodManagerServiceImpl implements com.android.server.HwServiceFactory.IHwInputMethodManagerService {
        public com.android.server.InputMethodManagerService getInstance(android.content.Context context) {
            return new com.android.server.HwInputMethodManagerService(context);
        }
    }

    public static class HwLocationManagerServiceImpl implements com.android.server.HwServiceFactory.IHwLocationManagerService {
        public com.android.server.LocationManagerService getInstance(android.content.Context context) {
            return new com.android.server.HwLocationManagerService(context);
        }
    }

    public static class HwLockSettingsServiceImpl implements com.android.server.HwServiceFactory.IHwLockSettingsService {
        public com.android.server.locksettings.LockSettingsService getInstance(android.content.Context context) {
            return new com.android.server.locksettings.HwLockSettingsService(context);
        }
    }

    public static class HwNetworkManagementServiceImpl implements com.android.server.HwServiceFactory.IHwNetworkManagermentService {
        private com.android.server.HwNetworkManagementService mHwNMService;

        public com.android.server.NetworkManagementService getInstance(android.content.Context context, java.lang.String socket, com.android.server.NetworkManagementService.SystemServices services) {
            this.mHwNMService = new com.android.server.HwNetworkManagementService(context, socket, services);
            return this.mHwNMService;
        }

        public void setNativeDaemonConnector(java.lang.Object service, java.lang.Object connect) {
            if ((service instanceof com.android.server.HwNetworkManagementService) && (connect instanceof com.android.server.NativeDaemonConnector)) {
                ((com.android.server.HwNetworkManagementService) service).setConnector((com.android.server.NativeDaemonConnector) connect);
            }
        }

        public void startAccessPointWithChannel(android.net.wifi.WifiConfiguration wifiConfig, java.lang.String wlanIface) {
            this.mHwNMService.startAccessPointWithChannel(wifiConfig, wlanIface);
        }

        public void sendDataSpeedSlowMessage(java.lang.String[] cooked, java.lang.String raw) {
            this.mHwNMService.sendDataSpeedSlowMessage(cooked, raw);
        }

        public void sendWebStatMessage(java.lang.String[] cooked, java.lang.String raw) {
            this.mHwNMService.sendWebStatMessage(cooked, raw);
        }

        public void sendDSCPChangeMessage(java.lang.String[] cooked, java.lang.String raw) {
            this.mHwNMService.sendDSCPChangeMessage(cooked, raw);
        }

        public boolean handleApLinkedStaListChange(java.lang.String raw, java.lang.String[] cooked) {
            return this.mHwNMService.handleApLinkedStaListChange(raw, cooked);
        }

        public void sendApkDownloadUrlBroadcast(java.lang.String[] cooked, java.lang.String raw) {
            this.mHwNMService.sendApkDownloadUrlBroadcast(cooked, raw);
        }

        public void reportVodParams(int videoSegState, int videoProtocol, int videoRemainingPlayTime, int videoStatus, int aveCodeRate, int segSize, int flowInfoRemote, int flowInfoLocal, int segDuration, int segIndex) {
            this.mHwNMService.reportVodParams(videoSegState, videoProtocol, videoRemainingPlayTime, videoStatus, aveCodeRate, segSize, flowInfoRemote, flowInfoLocal, segDuration, segIndex);
        }

        public void reportKsiParams(int slowType, int avgAmp, int duration, int timeStart) {
            this.mHwNMService.reportKsiParams(slowType, avgAmp, duration, timeStart);
        }
    }

    public static class HwNetworkPolicyManagerServiceImpl implements com.android.server.HwServiceFactory.IHwNetworkPolicyManagerService {
        public com.android.server.net.NetworkPolicyManagerService getInstance(android.content.Context context, android.app.IActivityManager activityManager, android.os.INetworkManagementService networkManagement) {
            android.util.Slog.i("HwServiceFactoryImpl", "HwNetworkPolicyManagerService created");
            return new com.android.server.net.HwNetworkPolicyManagerService(context, activityManager, networkManagement);
        }
    }

    public static class HwNetworkStatsServiceImpl implements com.android.server.HwServiceFactory.IHwNetworkStatsService {
        public com.android.server.net.NetworkStatsService getInstance(android.content.Context context, android.os.INetworkManagementService networkManager, android.app.AlarmManager alarmManager, android.os.PowerManager.WakeLock wakeLock, java.time.Clock clock, android.telephony.TelephonyManager teleManager, com.android.server.net.NetworkStatsService.NetworkStatsSettings settings, com.android.server.net.NetworkStatsObservers statsObservers, java.io.File systemDir, java.io.File baseDir) {
            return new com.android.server.net.HwNetworkStatsService(context, networkManager, alarmManager, wakeLock, clock, teleManager, settings, statsObservers, systemDir, baseDir);
        }
    }

    public static class HwNormalizedManualBrightnessControllerImpl implements com.android.server.HwServiceFactory.IHwNormalizedManualBrightnessController {
        public com.android.server.display.ManualBrightnessController getInstance(com.android.server.display.ManualBrightnessController.ManualBrightnessCallbacks callbacks, android.content.Context context, android.hardware.SensorManager sensorManager) {
            return new com.android.server.display.HwNormalizedManualBrightnessController(callbacks, context, sensorManager);
        }
    }

    public static class HwNormalizedRampAnimatorImpl implements com.android.server.HwServiceFactory.IHwRampAnimator {
        public com.android.server.display.RampAnimator<com.android.server.display.DisplayPowerState> getInstance(com.android.server.display.DisplayPowerState object, android.util.IntProperty<com.android.server.display.DisplayPowerState> property) {
            return new com.android.server.display.HwNormalizedRampAnimator(object, property);
        }
    }

    public static class HwNotificationManagerServiceImpl implements com.android.server.HwServiceFactory.IHwNotificationManagerService {
        public com.android.server.notification.NotificationManagerService getInstance(android.content.Context context, com.android.server.statusbar.StatusBarManagerService statusBar, com.android.server.lights.LightsService lights) {
            return new com.android.server.notification.HwNotificationManagerService(context, statusBar, lights);
        }
    }

    public static class HwPowerManagerServiceImpl implements com.android.server.HwServiceFactory.IHwPowerManagerService {
        public com.android.server.power.PowerManagerService getInstance(android.content.Context context) {
            return new com.android.server.power.HwPowerManagerService(context);
        }
    }

    public static class HwSmartBackLightControllerImpl implements com.android.server.HwServiceFactory.IHwSmartBackLightController {
        public boolean checkIfUsingHwSBL() {
            return com.android.server.display.HwSmartBackLightNormalizedController.checkIfUsingHwSBL();
        }

        public void StartHwSmartBackLightController(android.content.Context context, com.android.server.lights.LightsManager lightsManager, android.hardware.SensorManager sensorManager) {
            if (com.android.server.HwServiceFactoryImpl.mHwSmartBackLightController == null) {
                com.android.server.HwServiceFactoryImpl.mHwSmartBackLightController = new com.android.server.display.HwSmartBackLightNormalizedController(context, lightsManager, sensorManager);
            }
        }

        public void updatePowerState(int state, boolean useSmartBacklight) {
            if (com.android.server.HwServiceFactoryImpl.mHwSmartBackLightController != null) {
                com.android.server.HwServiceFactoryImpl.mHwSmartBackLightController.updatePowerState(state, useSmartBacklight);
            }
        }

        public void updateBrightnessState(int state) {
            if (com.android.server.HwServiceFactoryImpl.mHwSmartBackLightController != null) {
                com.android.server.HwServiceFactoryImpl.mHwSmartBackLightController.updateBrightnessState(state);
            }
        }
    }

    public static class HwStorageManagerServiceImpl implements com.android.server.HwServiceFactory.IHwStorageManagerService {
        public com.android.server.StorageManagerService getInstance(android.content.Context context) {
            android.util.Slog.i("HwServiceFactoryImpl", "HwStorageManagerServiceImpl getInstance starts");
            return new com.android.server.HwStorageManagerService(context);
        }
    }

    public static class HwTelephonyRegistryImpl implements com.android.server.HwServiceFactory.IHwTelephonyRegistry {
        public com.android.server.TelephonyRegistry getInstance(android.content.Context context) {
            return new com.android.server.StubTelephonyRegistry(context);
        }
    }

    public static class HwUserManagerServiceImpl implements com.android.server.HwServiceFactory.IHwUserManagerService {
        public com.android.server.pm.UserManagerService getInstance(android.content.Context context, com.android.server.pm.PackageManagerService pm, com.android.server.pm.UserDataPreparer userDataPreparer, java.lang.Object packagesLock) {
            return new com.android.server.pm.HwUserManagerService(context, pm, userDataPreparer, packagesLock);
        }
    }

    public static class HwWallpaperManagerServiceImpl implements com.android.server.HwServiceFactory.IHwWallpaperManagerService {
        public com.android.server.wallpaper.WallpaperManagerService getInstance(android.content.Context context) {
            return new com.android.server.wallpaper.HwWallpaperManagerService(context);
        }
    }

    public static class HwWindowManagerServiceImpl implements com.android.server.HwServiceFactory.IHwWindowManagerService {
        public com.android.server.wm.WindowManagerService getInstance(android.content.Context context, com.android.server.input.InputManagerService inputManager, boolean haveInputMethods, boolean showBootMsgs, boolean onlyCore, com.android.server.policy.WindowManagerPolicy policy) {
            return new com.android.server.wm.HwWindowManagerService(context, inputManager, haveInputMethods, showBootMsgs, onlyCore, policy);
        }
    }

    public static class HwWindowStateAnimatorImpl implements com.android.server.HwServiceFactory.IHwWindowStateAnimator {
        public com.android.server.wm.WindowStateAnimator getInstance(com.android.server.wm.WindowState win) {
            return new com.android.server.wm.HwWindowStateAnimator(win);
        }
    }

    public static class HwZenModeFilteringImpl implements com.android.server.HwServiceFactory.IHwZenModeFiltering {
        public boolean matchesCallFilter(android.content.Context context, int zen, android.service.notification.ZenModeConfig config, android.os.UserHandle userHandle, android.os.Bundle extras, com.android.server.notification.ValidateNotificationPeople validator, int contactsTimeoutMs, float timeoutAffinity) {
            return com.android.server.notification.HwZenModeFiltering.matchesCallFilter(context, zen, config, userHandle, extras, validator, contactsTimeoutMs, timeoutAffinity);
        }
    }

    public static class MultiTaskManagerServiceImpl implements com.android.server.HwServiceFactory.IMultiTaskManagerServiceFactory {
        public android.os.IBinder getInstance(android.content.Context context) {
            return new com.android.server.mtm.MultiTaskManagerService(context);
        }
    }

    public com.android.server.HwServiceFactory.IHwAppOpsService getHwAppOpsService() {
        return new com.android.server.HwServiceFactoryImpl.HwAppOpsServiceImpl();
    }

    public com.android.server.HwServiceFactory.IHwZenModeFiltering getHwZenModeFiltering() {
        return new com.android.server.HwServiceFactoryImpl.HwZenModeFilteringImpl();
    }

    public com.android.server.HwServiceFactory.IHwWallpaperManagerService getHuaweiWallpaperManagerService() {
        return new com.android.server.HwServiceFactoryImpl.HwWallpaperManagerServiceImpl();
    }

    public java.lang.String getWallpaperManagerServiceClassName() {
        return "com.android.server.wallpaper.HwWallpaperManagerService$Lifecycle";
    }

    public com.android.server.HwServiceFactory.IHwPowerManagerService getHwPowerManagerService() {
        return new com.android.server.HwServiceFactoryImpl.HwPowerManagerServiceImpl();
    }

    public com.android.server.HwServiceFactory.IHwNotificationManagerService getHwNotificationManagerService() {
        return new com.android.server.HwServiceFactoryImpl.HwNotificationManagerServiceImpl();
    }

    public com.android.server.HwServiceFactory.IHwNetworkManagermentService getHwNetworkManagermentService() {
        return new com.android.server.HwServiceFactoryImpl.HwNetworkManagementServiceImpl();
    }

    public com.android.server.HwServiceFactory.IHwNetworkPolicyManagerService getHwNetworkPolicyManagerService() {
        return new com.android.server.HwServiceFactoryImpl.HwNetworkPolicyManagerServiceImpl();
    }

    public com.android.server.HwServiceFactory.IHwInputMethodManagerService getHwInputMethodManagerService() {
        return new com.android.server.HwServiceFactoryImpl.HwInputMethodManagerServiceImpl();
    }

    public com.android.server.HwServiceFactory.IHwActivityStackSupervisor getHwActivityStackSupervisor() {
        return new com.android.server.HwServiceFactoryImpl.HwActivityStackSupervisorImpl();
    }

    public com.android.server.HwServiceFactory.IHwActivityStarter getHwActivityStarter() {
        return new com.android.server.HwServiceFactoryImpl.HwActivityStarterImpl();
    }

    public com.android.server.HwServiceFactory.IHwTelephonyRegistry getHwTelephonyRegistry() {
        return new com.android.server.HwServiceFactoryImpl.HwTelephonyRegistryImpl();
    }

    public com.android.server.HwServiceFactory.IHwAudioService getHwAudioService() {
        return new com.android.server.HwServiceFactoryImpl.HwAudioServiceImpl();
    }

    public com.android.server.HwServiceFactory.IHwBluetoothManagerService getHwBluetoothManagerService() {
        return new com.android.server.HwServiceFactoryImpl.HwBluetoothManagerServiceImpl();
    }

    public com.android.server.HwServiceFactory.IHwActivityManagerService getHwActivityManagerService() {
        android.util.Slog.i("HwServiceFactoryImpl", "getHwActivityManagerService starts");
        return new com.android.server.HwServiceFactoryImpl.HwActivityManagerServiceImpl();
    }

    public com.android.server.HwServiceFactory.IHwStorageManagerService getHwStorageManagerService() {
        android.util.Slog.i("HwServiceFactoryImpl", "getHwStorageManagerService starts");
        return new com.android.server.HwServiceFactoryImpl.HwStorageManagerServiceImpl();
    }

    public com.android.server.power.IHwShutdownThread getHwShutdownThreadImpl() {
        return new com.android.server.power.HwShutdownThreadImpl();
    }

    public com.android.server.HwConnectivityManager getHwConnectivityManager() {
        return com.android.server.HwConnectivityManagerImpl.getDefault();
    }

    public com.android.server.HwServiceFactory.IHwLockSettingsService getHuaweiLockSettingsService() {
        return new com.android.server.HwServiceFactoryImpl.HwLockSettingsServiceImpl();
    }

    public com.android.server.pm.PackageManagerService getHuaweiPackageManagerService(android.content.Context context, com.android.server.pm.Installer installer, boolean factoryTest, boolean onlyCore) {
        return com.android.server.pm.HwPackageManagerService.getInstance(context, installer, factoryTest, onlyCore);
    }

    public com.android.server.pm.permission.DefaultPermissionGrantPolicy getHwDefaultPermissionGrantPolicy(android.content.Context context, android.os.Looper looper, com.android.server.pm.permission.DefaultPermissionGrantPolicy.DefaultPermissionGrantedCallback callback, com.android.server.pm.permission.PermissionManagerService permissionManager) {
        return new com.android.server.pm.permission.HwDefaultPermissionGrantPolicy(context, looper, callback, permissionManager);
    }

    public com.android.server.HwServiceFactory.IHwWindowStateAnimator getHuaweiWindowStateAnimator() {
        return new com.android.server.HwServiceFactoryImpl.HwWindowStateAnimatorImpl();
    }

    public com.android.server.HwServiceFactory.IHwWindowManagerService getHuaweiWindowManagerService() {
        return new com.android.server.HwServiceFactoryImpl.HwWindowManagerServiceImpl();
    }

    public com.android.server.HwServiceFactory.IHwUserManagerService getHwUserManagerService() {
        return new com.android.server.HwServiceFactoryImpl.HwUserManagerServiceImpl();
    }

    public com.android.server.statusbar.StatusBarManagerService createHwStatusBarManagerService(android.content.Context context, com.android.server.wm.WindowManagerService windowManager) {
        return new com.android.server.statusbar.HwStatusBarManagerService(context, windowManager);
    }

    public com.android.server.HwServiceFactory.IHwActiveServices getHwActiveServices() {
        return new com.android.server.HwServiceFactoryImpl.HwActiveServicesImpl();
    }

    public void setAlarmService(com.android.server.AlarmManagerService alarm) {
        com.android.server.SMCSAMSHelper.getInstance().setAlarmService(alarm);
    }

    public boolean isPrivAppInData(java.io.File path, java.lang.String apkListFile) {
        return com.android.server.pm.HwPackageManagerService.isPrivAppInData(path, apkListFile);
    }

    public boolean isPrivAppNonSystemPartitionDir(java.io.File path) {
        return com.android.server.pm.HwPackageManagerService.isPrivAppNonSystemPartitionDir(path);
    }

    public boolean isPrivAppInCust(java.io.File file) {
        return com.android.server.pm.HwPackageManagerService.isPrivAppInCust(file);
    }

    public boolean isCustedCouldStopped(java.lang.String pkg, boolean block, boolean stopped) {
        return com.android.server.pm.HwPackageManagerService.isCustedCouldStopped(pkg, block, stopped);
    }

    public boolean shouldFilteInvalidSensorVal(float lux) {
        return com.android.server.power.HwDisplayPowerController.shouldFilteInvalidSensorVal(lux);
    }

    public void setIfCoverClosed(boolean isClosed) {
        com.android.server.power.HwDisplayPowerController.setIfCoverClosed(isClosed);
    }

    public boolean isCoverClosed() {
        return com.android.server.power.HwDisplayPowerController.isCoverClosed();
    }

    public boolean clearWipeDataFactoryLowlevel(android.content.Context context, android.content.Intent intent) {
        return com.android.server.HwRecoverySystemHelper.clearWipeDataFactoryLowlevel(context, intent);
    }

    public boolean clearWipeDataFactory(android.content.Context context, android.content.Intent intent) {
        return com.android.server.HwRecoverySystemHelper.clearWipeDataFactory(context, intent);
    }

    public void activePlaceFile() {
        com.android.server.HWDataSpaceHolder.activePlaceFile();
    }

    public com.android.server.HwNLPManager getHwNLPManager() {
        return com.android.server.HwNLPManagerImpl.getDefault();
    }

    public void setupHwServices(android.content.Context context) {
        if ("true".equals(android.os.SystemProperties.get("ro.config.hw_eapsim", "false"))) {
            try {
                android.util.Slog.i("HwServiceFactoryImpl", "Smartcard System Service");
                android.os.ServiceManager.addService("smartcardservice", new com.android.server.SmartcardSystemService(context));
            } catch (java.lang.Throwable e) {
                android.util.Slog.e("HwServiceFactoryImpl", "Failure starting Smartcard System Service", e);
            }
        }
        android.util.Slog.i("HwServiceFactoryImpl", "Hw Connectivity Service");
        android.os.ServiceManager.addService("hwConnectivityExService", new com.android.server.HwConnectivityExService(context));
        try {
            com.android.server.HwGeneralService generalService = new com.android.server.HwGeneralService(context, com.android.server.UiThread.getHandler());
            android.util.Slog.i("HwServiceFactoryImpl", "General Service");
            android.os.ServiceManager.addService("hwGeneralService", generalService);
        } catch (java.lang.Throwable e2) {
            android.util.Slog.e("HwServiceFactoryImpl", "Failure starting generalService", e2);
        }
        try {
            android.util.Slog.i("HwServiceFactoryImpl", "smartdisplay Service");
            com.android.server.HwSmartDisplayService smartdisplay = new com.android.server.HwSmartDisplayService(context);
            boolean isSupport_HIACE_ARSR1P = (smartdisplay.getDisplayEffectSupported(0) & 17) != 0;
            if (("true".equals(android.os.SystemProperties.get("ro.config.eyesprotect_support", "false")) && smartdisplay.isFeatureSupported(1)) || smartdisplay.isFeatureSupported(2) || "true".equals(android.os.SystemProperties.get("ro.config.hw_displayeffect_en", "false")) || isSupport_HIACE_ARSR1P) {
                android.os.ServiceManager.addService("smartDisplay_service", smartdisplay);
            }
        } catch (Throwable th) {
            android.util.Slog.i("HwServiceFactoryImpl", "smartdisplay_service failed");
        }
        if (huawei.android.os.HwGeneralManager.getInstance().isSupportForce()) {
            try {
                com.android.server.HwGeneralService generalService2 = new com.android.server.HwGeneralService(context, com.android.server.UiThread.getHandler());
                android.util.Slog.i("HwServiceFactoryImpl", "General Service");
                android.os.ServiceManager.addService("hwGeneralService", generalService2);
            } catch (java.lang.Throwable e3) {
                android.util.Slog.e("HwServiceFactoryImpl", "Failure starting generalService", e3);
            }
        }
        int apsSupportValue = android.os.SystemProperties.getInt("sys.aps.support", 0);
        if (apsSupportValue != 0) {
            try {
                com.android.server.aps.HwApsManagerService apsService = new com.android.server.aps.HwApsManagerService(context);
                android.os.ServiceManager.addService("aps_service", apsService);
                apsService.systemReady();
            } catch (java.lang.Throwable e32) {
                android.util.Slog.e("HwServiceFactoryImpl", "Failure starting apsService", e32);
            }
        } else {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Not support APS! sys.aps.support = ");
            stringBuilder.append(apsSupportValue);
            android.util.Slog.e("HwServiceFactoryImpl", stringBuilder.toString());
        }
        try {
            android.os.ServiceManager.addService("DisplayEngineExService", new com.android.server.display.DisplayEngineService(context));
            android.util.Slog.i("HwServiceFactoryImpl", "[effect] DisplayEngineServiceEx success");
        } catch (java.lang.Throwable e322) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("[effect] Failed to start DisplayEngineServiceEx, ");
            stringBuilder2.append(e322.getMessage());
            android.util.Slog.e("HwServiceFactoryImpl", stringBuilder2.toString());
        }
    }

    public com.android.server.HwNativeDaemonConnector getHwNativeDaemonConnector() {
        return com.android.server.HwNativeDaemonConnectorImpl.getInstance();
    }

    public com.android.server.pm.HwPackageServiceManager getHwPackageServiceManager() {
        return com.android.server.pm.HwPackageServiceManagerImpl.getDefault();
    }

    public com.android.server.location.GnssLocationProvider createHwGnssLocationProvider(android.content.Context context, android.location.ILocationManager ilocationManager, android.os.Looper looper) {
        return new com.android.server.location.HwGnssLocationProvider(context, ilocationManager, looper);
    }

    public com.android.server.content.SyncManager createHwSyncManager(android.content.Context context, boolean factoryTest) {
        return new com.android.server.content.HwSyncManager(context, factoryTest);
    }

    public com.android.server.wm.IHwAppTransition getHwAppTransitionImpl() {
        return new com.android.server.wm.HwAppTransitionImpl();
    }

    public com.android.server.HwServiceFactory.IHwDrmDialogService getHwDrmDialogService() {
        return new com.android.server.HwServiceFactoryImpl.HwDrmDialogServiceImpl();
    }

    public com.android.server.HwServiceFactory.IHwAttestationServiceFactory getHwAttestationService() {
        return new com.android.server.HwServiceFactoryImpl.HwAttestationServiceImpl();
    }

    public com.android.server.HwServiceFactory.IMultiTaskManagerServiceFactory getMultiTaskManagerService() {
        return new com.android.server.HwServiceFactoryImpl.MultiTaskManagerServiceImpl();
    }

    public boolean removeProtectAppInPrivacyMode(android.accounts.AuthenticatorDescription desc, boolean removed, android.content.Context context) {
        return com.android.server.accounts.HwAccountHelper.removeProtectAppInPrivacyMode(desc, removed, context);
    }

    public com.android.server.input.IHwInputManagerService getHwInputManagerService() {
        return new com.android.server.HwServiceFactoryImpl.HwInputManagerServiceImpl();
    }

    public java.lang.String getDeviceStorageMonitorServiceClassName() {
        return com.android.server.storage.HwDeviceStorageMonitorService.class.getName();
    }

    public com.android.server.connectivity.HwNotificationTethering getHwNotificationTethering(android.content.Context context) {
        return new com.android.server.connectivity.HwNotificationTetheringImpl(context);
    }

    public com.android.server.am.ActivityRecord createActivityRecord(com.android.server.am.ActivityManagerService _service, com.android.server.am.ProcessRecord _caller, int _launchedFromPid, int _launchedFromUid, java.lang.String _launchedFromPackage, android.content.Intent _intent, java.lang.String _resolvedType, android.content.pm.ActivityInfo aInfo, android.content.res.Configuration _configuration, com.android.server.am.ActivityRecord _resultTo, java.lang.String _resultWho, int _reqCode, boolean _componentSpecified, boolean _rootVoiceInteraction, com.android.server.am.ActivityStackSupervisor supervisor, android.app.ActivityOptions options, com.android.server.am.ActivityRecord sourceRecord) {
        return new com.android.server.am.HwActivityRecord(_service, _caller, _launchedFromPid, _launchedFromUid, _launchedFromPackage, _intent, _resolvedType, aInfo, _configuration, _resultTo, _resultWho, _reqCode, _componentSpecified, _rootVoiceInteraction, supervisor, options, sourceRecord);
    }

    public com.android.server.am.ActivityStartInterceptor createActivityStartInterceptor(com.android.server.am.ActivityManagerService service, com.android.server.am.ActivityStackSupervisor supervisor) {
        return new com.android.server.am.HwActivityStartInterceptor(service, supervisor);
    }

    public com.android.server.wm.AppTransition createHwAppTransition(android.content.Context context, com.android.server.wm.WindowManagerService w) {
        return new com.android.server.wm.HwAppTransition(context, w);
    }

    public com.android.server.wm.TaskStack createTaskStack(com.android.server.wm.WindowManagerService service, int stackId, com.android.server.wm.StackWindowController controller) {
        return new com.android.server.wm.HwTaskStack(service, stackId, controller);
    }

    public com.android.server.wm.DisplayContent createDisplayContent(android.view.Display display, com.android.server.wm.WindowManagerService service, com.android.server.wm.WallpaperController wallpaperController, com.android.server.wm.DisplayWindowController controller) {
        return new com.android.server.wm.HwDisplayContent(display, service, wallpaperController, controller);
    }

    public com.android.server.am.TaskRecord createTaskRecord(com.android.server.am.ActivityManagerService service, int taskId, android.content.pm.ActivityInfo info, android.content.Intent intent, android.service.voice.IVoiceInteractionSession voiceSession, com.android.internal.app.IVoiceInteractor voiceInteractor) {
        return new com.android.server.am.HwTaskRecord(service, taskId, info, intent, voiceSession, voiceInteractor);
    }

    public com.android.server.am.TaskRecord createTaskRecord(com.android.server.am.ActivityManagerService service, int taskId, android.content.pm.ActivityInfo info, android.content.Intent intent, android.app.ActivityManager.TaskDescription taskDescription) {
        return new com.android.server.am.HwTaskRecord(service, taskId, info, intent, taskDescription);
    }

    public com.android.server.am.TaskRecord createTaskRecord(com.android.server.am.ActivityManagerService service, int taskId, android.content.Intent intent, android.content.Intent affinityIntent, java.lang.String affinity, java.lang.String rootAffinity, android.content.ComponentName realActivity, android.content.ComponentName origActivity, boolean rootWasReset, boolean autoRemoveRecents, boolean askedCompatMode, int userId, int effectiveUid, java.lang.String lastDescription, java.util.ArrayList<com.android.server.am.ActivityRecord> activities, long lastTimeMoved, boolean neverRelinquishIdentity, android.app.ActivityManager.TaskDescription lastTaskDescription, int taskAffiliation, int prevTaskId, int nextTaskId, int taskAffiliationColor, int callingUid, java.lang.String callingPackage, int resizeMode, boolean supportsPictureInPicture, boolean realActivitySuspended, boolean userSetupComplete, int minWidth, int minHeight) {
        return new com.android.server.am.HwTaskRecord(service, taskId, intent, affinityIntent, affinity, rootAffinity, realActivity, origActivity, rootWasReset, autoRemoveRecents, askedCompatMode, userId, effectiveUid, lastDescription, activities, lastTimeMoved, neverRelinquishIdentity, lastTaskDescription, taskAffiliation, prevTaskId, nextTaskId, taskAffiliationColor, callingUid, callingPackage, resizeMode, supportsPictureInPicture, realActivitySuspended, userSetupComplete, minWidth, minHeight);
    }

    public com.android.server.am.ActivityStack createActivityStack(com.android.server.am.ActivityDisplay display, int stackId, com.android.server.am.ActivityStackSupervisor supervisor, int windowingMode, int activityType, boolean onTop) {
        return new com.android.server.am.HwActivityStack(display, stackId, supervisor, windowingMode, activityType, onTop);
    }

    public com.android.server.HwServiceFactory.IHwSmartBackLightController getHwSmartBackLightController() {
        return new com.android.server.HwServiceFactoryImpl.HwSmartBackLightControllerImpl();
    }

    public com.android.server.HwServiceFactory.IDisplayEngineInterface getDisplayEngineInterface() {
        return new com.android.server.HwServiceFactoryImpl.DisplayEngineInterfaceImpl();
    }

    public com.android.server.HwServiceFactory.IHwAutomaticBrightnessController getHuaweiAutomaticBrightnessController() {
        return new com.android.server.HwServiceFactoryImpl.HwAutomaticBrightnessControllerImpl();
    }

    public com.android.server.HwServiceFactory.IDisplayEffectMonitor getDisplayEffectMonitor(android.content.Context context) {
        return com.android.server.display.DisplayEffectMonitor.getInstance(context);
    }

    public com.android.server.HwServiceFactory.IHwNormalizedManualBrightnessController getHuaweiManualBrightnessController() {
        return new com.android.server.HwServiceFactoryImpl.HwNormalizedManualBrightnessControllerImpl();
    }

    public com.android.server.HwServiceFactory.IHwBluetoothBigDataService getHwBluetoothBigDataService() {
        return new com.android.server.HwServiceFactoryImpl.HwBluetoothBigDataServiceImpl();
    }

    public com.android.server.HwServiceFactory.IHwIMonitorManager getHwIMonitorManager() {
        return new com.android.server.HwServiceFactoryImpl.HwIMonitorManagerImpl();
    }

    public com.android.server.zrhung.IZRHungService getZRHungService() {
        return com.android.server.zrhung.ZRHungService.getInstance();
    }

    public com.android.server.HwServiceFactory.IHwRampAnimator getHwNormalizedRampAnimator() {
        return new com.android.server.HwServiceFactoryImpl.HwNormalizedRampAnimatorImpl();
    }

    public com.android.server.HwServiceFactory.IHwLocationManagerService getHwLocationManagerService() {
        return new com.android.server.HwServiceFactoryImpl.HwLocationManagerServiceImpl();
    }

    public com.android.server.location.IHwLocalLocationProvider getHwLocalLocationProvider(android.content.Context context, android.location.ILocationManager ilocationManager) {
        return com.android.server.location.HwLocalLocationProvider.getInstance(context, ilocationManager);
    }

    public com.android.server.location.IHwCmccGpsFeature getHwCmccGpsFeature(android.content.Context context, com.android.server.location.GnssLocationProvider gnssLocationProvider) {
        return new com.android.server.location.HwCmccGpsFeature(context, gnssLocationProvider);
    }

    public com.android.server.location.IHwGpsLogServices getHwGpsLogServices(android.content.Context context) {
        return com.android.server.location.HwGpsLogServices.getInstance(context);
    }

    public com.android.server.location.IHwGpsLogServices getNewHwGpsLogService() {
        return com.android.server.location.HwGpsLogServices.getGpsLogService();
    }

    public com.android.server.location.IHwGpsLocationCustFeature getHwGpsLocationCustFeature() {
        return new com.android.server.location.HwGpsLocationCustFeature();
    }

    public com.android.server.location.IHwGpsXtraDownloadReceiver getHwGpsXtraDownloadReceiver() {
        return new com.android.server.location.HwGpsXtraDownloadReceiver();
    }

    public com.android.server.location.IHwGpsLocationManager getHwGpsLocationManager(android.content.Context context) {
        return com.android.server.location.HwGpsLocationManager.getInstance(context);
    }

    public com.android.server.HwServiceFactory.IHwFingerprintService getHwFingerprintService() {
        return new com.android.server.HwServiceFactoryImpl.HwFingerprintServiceImpl();
    }

    public com.android.server.am.AbsHwMtmBroadcastResourceManager getMtmBRManagerImpl(com.android.server.am.HwBroadcastQueue queue) {
        return new com.android.server.am.HwMtmBroadcastResourceManager(queue);
    }

    public com.android.server.HwServiceFactory.ISystemBlockMonitor getISystemBlockMonitor() {
        return com.android.server.SystemBlockMonitor.getInstance();
    }

    public com.android.server.HwServiceFactory.IHwBinderMonitor getIHwBinderMonitor() {
        return new com.android.server.HwBinderMonitor();
    }

    public com.android.server.rms.IHwIpcChecker getIHwIpcChecker(java.lang.Object object, android.os.Handler handler, long waitMaxMillis) {
        return new com.android.server.rms.ipcchecker.HwIpcChecker(object, handler, waitMaxMillis);
    }

    public com.android.server.rms.IHwIpcMonitor getIHwIpcMonitor(java.lang.Object object, java.lang.String type, java.lang.String name) {
        return com.android.server.rms.ipcchecker.HwIpcMonitorImpl.getHwIpcMonitor(object, type, name);
    }

    public com.android.server.location.IHwGpsActionReporter getHwGpsActionReporter(android.content.Context context, android.location.ILocationManager iLocationManager) {
        return com.android.server.location.HwGpsActionReporter.getInstance(context, iLocationManager);
    }

    public com.android.server.os.IFreezeScreenWindowMonitor getWinFreezeScreenMonitor() {
        return com.android.server.os.FreezeScreenWindowMonitor.getInstance();
    }

    public com.android.server.location.LocationProviderProxy locationProviderProxyCreateAndBind(android.content.Context context, java.lang.String name, java.lang.String action, int overlaySwitchResId, int defaultServicePackageNameResId, int initialPackageNamesResId, android.os.Handler handler) {
        return com.android.server.location.HwLocationProviderProxy.createAndBind(context, name, action, overlaySwitchResId, defaultServicePackageNameResId, initialPackageNamesResId, handler);
    }

    public com.android.server.location.GeocoderProxy geocoderProxyCreateAndBind(android.content.Context context, int overlaySwitchResId, int defaultServicePackageNameResId, int initialPackageNamesResId, android.os.Handler handler) {
        return com.android.server.location.HwGeocoderProxy.createAndBind(context, overlaySwitchResId, defaultServicePackageNameResId, initialPackageNamesResId, handler);
    }

    public void addHwFmService(android.content.Context context) {
        android.os.ServiceManager.addService("hwfm_service", new com.huawei.android.hardware.fmradio.HwFmService(context));
    }

    public com.android.server.am.IHwPowerInfoService getHwPowerInfoService(android.content.Context context, boolean isSystemReady) {
        return com.android.server.am.HwPowerInfoService.getInstance(context, isSystemReady);
    }

    public com.android.server.HwServiceFactory.IHwNetworkStatsService getHwNetworkStatsService() {
        return new com.android.server.HwServiceFactoryImpl.HwNetworkStatsServiceImpl();
    }

    public android.encrypt.ISDCardCryptedHelper getSDCardCryptedHelper() {
        return new android.encrypt.SDCardCryptedHelper();
    }

    public com.android.server.location.IAgpsConnectProvider getAgpsConnectProvider(android.content.Context context) {
        return com.android.server.location.AgpsConnectProvider.createAgpsConnectProvider(context);
    }

    public void reportProximitySensorEventToIAware(boolean positive) {
        android.rms.HwSysResManager.getInstance().reportProximitySensorEventToIAware(positive);
    }

    public void addHwPCManagerService(android.content.Context context, com.android.server.am.ActivityManagerService ams) {
        android.util.Slog.i("HwServiceFactoryImpl", "PCManager, addService");
        android.os.ServiceManager.addService("hwPcManager", new com.android.server.pc.HwPCManagerService(context, ams));
    }

    public void reportVibratorToIAware(int uid) {
        android.rms.HwSysResManager.getInstance().reportVibratorToIAware(uid);
    }

    public com.android.server.HwServiceFactory.IHwForceRotationManagerServiceWrapper getForceRotationManagerServiceWrapper() {
        return new com.android.server.HwServiceFactoryImpl.HwForceRotationManagerServiceWrapper();
    }

    public void updateLocalesWhenOTA(android.content.Context context) {
        com.android.server.UpdateConfig.updateLocalesWhenOTA(context);
    }

    public void updateLocalesWhenOTAEX(android.content.Context context, int preSdkVersion) {
        com.android.server.UpdateConfig.updateLocalesWhenOTAEX(context, preSdkVersion);
    }

    public com.android.server.camera.IHwCameraServiceProxy getHwCameraServiceProxy(android.content.Context context) {
        return new com.android.server.camera.HwCameraServiceProxy(context);
    }

    public com.android.server.audio.MediaFocusControl getHwMediaFocusControl(android.content.Context cntxt, com.android.server.audio.PlayerFocusEnforcer pfe) {
        return new com.android.server.audio.HwMediaFocusControl(cntxt, pfe);
    }

    public com.android.server.audio.FocusRequester getHwFocusRequester(android.media.AudioAttributes aa, int focusRequest, int grantFlags, android.media.IAudioFocusDispatcher afl, android.os.IBinder source, java.lang.String id, com.android.server.audio.MediaFocusControl.AudioFocusDeathHandler hdlr, java.lang.String pn, int uid, com.android.server.audio.MediaFocusControl ctlr, int sdk, boolean isInExternal) {
        return new com.android.server.audio.HwFocusRequester(aa, focusRequest, grantFlags, afl, source, id, hdlr, pn, uid, ctlr, sdk, isInExternal);
    }

    public com.android.server.audio.FocusRequester getHwFocusRequester(android.media.AudioFocusInfo afi, android.media.IAudioFocusDispatcher afl, android.os.IBinder source, com.android.server.audio.MediaFocusControl.AudioFocusDeathHandler hdlr, com.android.server.audio.MediaFocusControl ctlr, boolean isInExternal) {
        return new com.android.server.audio.HwFocusRequester(afi, afl, source, hdlr, ctlr, isInExternal);
    }

    public void reportMediaKeyToIAware(int uid) {
        android.rms.HwSysResManager.getInstance().reportMediaKeyToIAware(uid);
    }

    public com.android.server.security.securityprofile.ISecurityProfileController getSecurityProfileController() {
        return new com.android.server.security.securityprofile.SecurityProfileControllerImpl();
    }

    public com.android.server.wm.IHwScreenRotationAnimation getHwScreenRotationAnimation() {
        return new com.android.server.wm.HwScreenRotationAnimationImpl();
    }

    public void reportToastHiddenToIAware(int pid, int hcode) {
        android.rms.HwSysResManager.getInstance().reportToastHiddenToIAware(pid, hcode);
    }

    public void reportSysWakeUp(java.lang.String reason) {
        android.rms.HwSysResManager.getInstance().reportSysWakeUp(reason);
    }

    public android.rms.iaware.NetLocationStrategy getNetLocationStrategy(java.lang.String pkgName, int uid, int type) {
        return android.rms.HwSysResManager.getInstance().getNetLocationStrategy(pkgName, uid, type);
    }

    public com.android.server.policy.HWExtMotionRotationProcessorEx getHWExtMotionRotationProcessor(com.android.server.policy.IHWExtMotionRotationProcessor.WindowOrientationListenerProxy proxy) {
        return new com.android.server.policy.HWExtMotionRotationProcessorEx(proxy);
    }

    public void setPowerState(int powerState) {
        com.android.server.power.HwDisplayPowerController.setPowerState(powerState);
    }

    public void reportGoogleConn(boolean conn) {
        android.rms.HwSysResManager.getInstance().reportGoogleConn(conn);
    }

    public com.android.server.location.HwLbsLogger getHwLbsLogger(android.content.Context context) {
        return com.android.server.location.HwLbsLogger.getInstance(context);
    }

    public boolean hwBrightnessSetData(java.lang.String name, android.os.Bundle data, int[] result) {
        return com.android.server.power.HwDisplayPowerController.hwBrightnessSetData(name, data, result);
    }

    public boolean hwBrightnessGetData(java.lang.String name, android.os.Bundle data, int[] result) {
        return com.android.server.power.HwDisplayPowerController.hwBrightnessGetData(name, data, result);
    }

    public void loadHwBrightnessProcessors(com.android.server.display.AutomaticBrightnessController autoController, com.android.server.display.ManualBrightnessController manualController) {
        com.android.server.power.HwDisplayPowerController.loadHwBrightnessProcessors(autoController, manualController);
    }

    public com.android.server.display.HwUibcReceiver getHwUibcReceiver() {
        return com.android.server.display.HwUibcReceiver.getInstance();
    }

    public void clearHwUibcReceiver() {
        com.android.server.display.HwUibcReceiver.clearInstance();
    }

    public com.android.server.wm.IHwAppWindowContainerController getHwAppWindowContainerController() {
        return new com.android.server.wm.HwAppWindowContainerControllerImpl();
    }

    public com.android.server.display.IHwWifiDisplayAdapterEx getHwWifiDisplayAdapterEx(com.android.server.display.IWifiDisplayAdapterInner wfda) {
        return new com.android.server.display.HwWifiDisplayAdapterEx(wfda);
    }

    public com.android.server.display.IHwWifiDisplayControllerEx getHwWifiDisplayControllerEx(com.android.server.display.IWifiDisplayControllerInner wfdc, android.content.Context context, android.os.Handler handler) {
        return new com.android.server.display.HwWifiDisplayControllerEx(wfdc, context, handler);
    }
}
