package com.android.server;

public class LocationManagerServiceUtil {
    private static final java.lang.String FUSEDPROXY_SERVICE_ACTION = "com.android.location.service.FusedProvider";
    private static final java.lang.String FUSED_LOCATION_SERVICE_ACTION = "com.android.location.service.FusedLocationProvider";
    private static final java.lang.String GEOCODER_SERVICE_ACTION = "com.android.location.service.GeocodeProvider";
    private static final java.lang.String GEOFENCE_SERVICE_ACTION = "com.android.location.service.GeofenceProvider";
    public static final java.lang.String GOOGLE_GMS_PROCESS = "com.google.android.gms";
    public static final java.lang.String GOOGLE_GMS_UI_PROCESS = "com.google.android.gms.ui";
    public static final java.lang.String GOOGLE_MAP_PROCESS = "com.google.android.apps.maps";
    private static final java.lang.String GOOGLE_MAP_STATE = "google_map_state";
    public static final java.lang.String GOOGLE_NETWORK_PROCESS = "com.google.process.location";
    private static final java.lang.String NETWORK_LOCATION_SERVICE_ACTION = "com.android.location.service.v3.NetworkLocationProvider";
    public static final int STATE_INSTALLED_ONLY = 0;
    public static final int STATE_INSTALLED_RPOMPTED = 1;
    public static final int STATE_UNINSTALLED = 2;
    private static final java.lang.String TAG = "LocationManagerServiceUtil";
    private static com.android.server.location.GeocoderProxyUtils geocoderProxyUtilsUtils = ((com.android.server.location.GeocoderProxyUtils) com.huawei.utils.reflect.EasyInvokeFactory.getInvokeUtils(com.android.server.location.GeocoderProxyUtils.class));
    private static volatile com.android.server.LocationManagerServiceUtil instance;
    private static com.android.server.location.LocationProviderProxyUtils locationProviderProxyUtils = ((com.android.server.location.LocationProviderProxyUtils) com.huawei.utils.reflect.EasyInvokeFactory.getInvokeUtils(com.android.server.location.LocationProviderProxyUtils.class));
    private static int pidGoogleLocation = -99;
    private static com.android.server.LocationManagerServiceUtils utils = ((com.android.server.LocationManagerServiceUtils) com.huawei.utils.reflect.EasyInvokeFactory.getInvokeUtils(com.android.server.LocationManagerServiceUtils.class));
    private android.app.ActivityManager am = null;
    public int googleMapState = 2;
    private boolean isMultiNlpEnableFlag = false;
    private boolean isMultiNlpEnableLoaded = false;
    private android.content.Context mContext = null;
    private java.lang.String mNLPcivil;
    private java.lang.String mNLPforeign = "com.google.android.gms";
    private final com.android.internal.content.PackageMonitor mPackageMonitor = new com.android.internal.content.PackageMonitor() {
        public void onPackageAdded(java.lang.String packageName, int uid) {
            if ("com.google.android.apps.maps".equals(packageName)) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("onPackageAdded ");
                stringBuilder.append(packageName);
                android.util.Slog.d("LocationManagerServiceUtil", stringBuilder.toString());
                com.android.server.LocationManagerServiceUtil.this.setGoogleMapState(0);
            }
            super.onPackageAdded(packageName, uid);
        }

        public void onPackageRemoved(java.lang.String packageName, int uid) {
            if ("com.google.android.apps.maps".equals(packageName)) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("onPackageRemoved ");
                stringBuilder.append(packageName);
                android.util.Slog.d("LocationManagerServiceUtil", stringBuilder.toString());
                com.android.server.LocationManagerServiceUtil.this.shouldMonitorGmsProcess = false;
                com.android.server.LocationManagerServiceUtil.this.setGoogleMapState(2);
            }
            super.onPackageRemoved(packageName, uid);
        }
    };
    private android.telephony.PhoneStateListener mPhoneStateListener;
    private com.android.server.LocationManagerService mService;
    private android.telephony.TelephonyManager mTelephonyManager;
    public boolean shouldMonitorGmsProcess = false;
    public boolean skipGooglePrompt = true;
    public boolean useGoogleNlpNow = false;

    public static void setPidGoogleLocation(int pid, java.lang.String processName) {
        java.lang.StringBuilder stringBuilder;
        if ("com.google.process.location".equals(processName)) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setPidGoogleLocation pid = ");
            stringBuilder.append(pid);
            android.util.Slog.d("LocationManagerServiceUtil", stringBuilder.toString());
            pidGoogleLocation = pid;
        } else if ("com.google.android.apps.maps".equals(processName) && getDefault() != null && getDefault().isMultiNlpEnable() && getDefault().googleMapState == 0) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setPidGoogleLocation processName = ");
            stringBuilder.append(processName);
            android.util.Slog.d("LocationManagerServiceUtil", stringBuilder.toString());
            if (getDefault().isGmsProcessRunning()) {
                getDefault().sendProvidersChangedAction();
            } else {
                getDefault().shouldMonitorGmsProcess = true;
            }
        } else if ("com.google.android.gms".equals(processName) && getDefault() != null && getDefault().isMultiNlpEnable() && getDefault().shouldMonitorGmsProcess) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setPidGoogleLocation processName = ");
            stringBuilder.append(processName);
            android.util.Slog.d("LocationManagerServiceUtil", stringBuilder.toString());
            getDefault().sendProvidersChangedAction();
            getDefault().shouldMonitorGmsProcess = false;
        }
    }

    public static com.android.server.LocationManagerServiceUtil getDefault(com.android.server.LocationManagerService service, android.content.Context context) {
        if (instance == null) {
            instance = new com.android.server.LocationManagerServiceUtil(service, context);
        }
        return instance;
    }

    public static com.android.server.LocationManagerServiceUtil getDefault() {
        return instance;
    }

    private LocationManagerServiceUtil(com.android.server.LocationManagerService service, android.content.Context context) {
        this.mService = service;
        this.mContext = context;
        android.os.SystemProperties.set("sys.show_google_nlp", "true");
        if ("CN".equalsIgnoreCase(android.os.SystemProperties.get("ro.product.locale.region", ""))) {
            android.os.SystemProperties.set("sys.show_google_nlp", "false");
            this.googleMapState = getGoogleMapState();
            this.mPackageMonitor.register(this.mContext, null, android.os.UserHandle.ALL, true);
            this.mPhoneStateListener = new android.telephony.PhoneStateListener() {
                public void onServiceStateChanged(android.telephony.ServiceState state) {
                    if (state != null) {
                        java.lang.String numeric = state.getOperatorNumeric();
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("ServiceStateChanged numeric = ");
                        stringBuilder.append(numeric);
                        android.util.Slog.d("LocationManagerServiceUtil", stringBuilder.toString());
                        if (numeric != null && numeric.length() >= 5 && numeric.substring(0, 5).equals("99999")) {
                            return;
                        }
                        java.lang.String pkgName;
                        java.lang.StringBuilder stringBuilder2;
                        if (numeric != null && numeric.length() >= 3 && numeric.substring(0, 3).equals("460")) {
                            pkgName = com.android.server.LocationManagerServiceUtil.this.mNLPcivil;
                            stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("ServiceStateChanged use pkgName = ");
                            stringBuilder2.append(pkgName);
                            android.util.Slog.d("LocationManagerServiceUtil", stringBuilder2.toString());
                            com.android.server.LocationManagerServiceUtil.this.useGoogleNlpNow = false;
                            com.android.server.LocationManagerServiceUtil.this.skipGooglePrompt = true;
                            android.os.SystemProperties.set("sys.show_google_nlp", "false");
                            com.android.server.LocationManagerServiceUtil.this.bindSpecificService(pkgName, 10, false);
                        } else if (numeric != null && !numeric.equals("")) {
                            pkgName = com.android.server.LocationManagerServiceUtil.this.mNLPcivil;
                            stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("ServiceStateChanged use pkgName = ");
                            stringBuilder2.append(pkgName);
                            android.util.Slog.d("LocationManagerServiceUtil", stringBuilder2.toString());
                            com.android.server.LocationManagerServiceUtil.this.useGoogleNlpNow = false;
                            com.android.server.LocationManagerServiceUtil.this.skipGooglePrompt = false;
                            android.os.SystemProperties.set("sys.show_google_nlp", "false");
                            com.android.server.LocationManagerServiceUtil.this.bindSpecificService(pkgName, 10, false);
                        }
                    }
                }
            };
            if (isMultiNlpEnable()) {
                this.mTelephonyManager = (android.telephony.TelephonyManager) this.mContext.getSystemService("phone");
                this.mTelephonyManager.listen(this.mPhoneStateListener, 1);
            }
        }
        this.am = (android.app.ActivityManager) this.mContext.getSystemService("activity");
    }

    private boolean isGmsProcessRunning() {
        java.util.List<android.app.ActivityManager.RunningAppProcessInfo> appProcessList = ((android.app.ActivityManager) this.mContext.getSystemService("activity")).getRunningAppProcesses();
        if (appProcessList == null) {
            return false;
        }
        for (android.app.ActivityManager.RunningAppProcessInfo appProcess : appProcessList) {
            if ("com.google.android.gms".equals(appProcess.processName)) {
                return true;
            }
        }
        return false;
    }

    private void setGoogleMapState(int state) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setGoogleMapState. ");
        stringBuilder.append(state);
        android.util.Slog.d("LocationManagerServiceUtil", stringBuilder.toString());
        android.provider.Settings.System.putInt(this.mContext.getContentResolver(), "google_map_state", state);
        this.googleMapState = state;
    }

    private int getGoogleMapState() {
        int state = android.provider.Settings.System.getInt(this.mContext.getContentResolver(), "google_map_state", 2);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getGoogleMapState. ");
        stringBuilder.append(state);
        android.util.Slog.d("LocationManagerServiceUtil", stringBuilder.toString());
        return state;
    }

    private void sendProvidersChangedAction() {
        android.util.Slog.d("LocationManagerServiceUtil", "sendProvidersChangedAction.");
        setGoogleMapState(1);
        if (android.provider.Settings.Secure.getInt(getDefault().mContext.getContentResolver(), "location_mode", 0) != 0) {
            this.mContext.sendBroadcastAsUser(new android.content.Intent("android.location.PROVIDERS_CHANGED"), android.os.UserHandle.ALL);
            this.mContext.sendBroadcastAsUser(new android.content.Intent("android.location.MODE_CHANGED"), android.os.UserHandle.ALL);
        }
    }

    public java.util.HashMap<java.lang.String, com.android.server.location.LocationProviderInterface> getRealProviders() {
        return utils.getRealProviders(this.mService);
    }

    public java.util.Set<java.lang.String> getEnabledProviders() {
        return utils.getEnabledProviders(this.mService);
    }

    public android.os.Handler getLocationHandler() {
        return utils.getLocationHandler(this.mService);
    }

    public java.lang.Object getmLock() {
        return utils.getmLock(this.mService);
    }

    public java.util.HashMap<java.lang.Object, com.android.server.LocationManagerService.Receiver> getReceivers() {
        return utils.getReceivers(this.mService);
    }

    public void removeUpdatesLocked(com.android.server.LocationManagerService.Receiver receiver) {
        utils.removeUpdatesLocked(this.mService, receiver);
    }

    private java.util.ArrayList<com.android.server.location.LocationProviderProxy> getProxyProviders() {
        return utils.getProxyProviders(this.mService);
    }

    public void addProviderLocked(com.android.server.location.LocationProviderInterface provider) {
        utils.addProviderLocked(this.mService, provider);
    }

    private void setGeocodeProvider(com.android.server.location.GeocoderProxy geocodeProvider) {
        utils.setGeocodeProvider(this.mService, geocodeProvider);
    }

    private com.android.server.location.GeocoderProxy getGeocoderProvider() {
        return utils.getGeocodeProvider(this.mService);
    }

    private com.android.server.ServiceWatcher getLocationProviderProxyWatcher(com.android.server.location.LocationProviderProxy locationProviderProxy) {
        return locationProviderProxyUtils.getServiceWatcher(locationProviderProxy);
    }

    private com.android.server.ServiceWatcher getgetGeocoderServiceWatcher(com.android.server.location.GeocoderProxy geocoderProxy) {
        return geocoderProxyUtilsUtils.getServiceWatcher(geocoderProxy);
    }

    private void updateProvidersLocked() {
        utils.updateProvidersLocked(this.mService);
    }

    public boolean isMockProvider(java.lang.String provider) {
        return utils.isMockProvider(this.mService, provider).booleanValue();
    }

    public java.util.HashMap<java.lang.String, com.android.server.location.LocationProviderInterface> getProvidersByName() {
        return utils.getProvidersByName(this.mService);
    }

    public java.util.HashMap<java.lang.String, java.util.ArrayList<com.android.server.LocationManagerService.UpdateRecord>> getRecordsByProvider() {
        return utils.getRecordsByProvider(this.mService);
    }

    public boolean isAllowedByCurrentUserSettingsLocked(java.lang.String provider) {
        return utils.isAllowedByCurrentUserSettingsLocked(this.mService, provider).booleanValue();
    }

    public boolean isMultiNlpEnable() {
        if (!this.isMultiNlpEnableLoaded) {
            if ("CN".equalsIgnoreCase(android.os.SystemProperties.get("ro.product.locale.region", ""))) {
                android.content.pm.PackageInfo foreignPackage = null;
                android.content.pm.PackageInfo civilPackage = null;
                try {
                    foreignPackage = this.mContext.getPackageManager().getPackageInfo(this.mNLPforeign, 4);
                } catch (android.content.pm.PackageManager.NameNotFoundException e) {
                    android.util.Slog.e("LocationManagerServiceUtil", "missing foreignPackage");
                } catch (java.lang.Exception e2) {
                    e2.printStackTrace();
                }
                this.mNLPcivil = android.os.SystemProperties.get("ro.config.hw_nlp", "com.baidu.map.location");
                try {
                    civilPackage = this.mContext.getPackageManager().getPackageInfo(this.mNLPcivil, 4);
                } catch (android.content.pm.PackageManager.NameNotFoundException e3) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("missing mNLPcivil: ");
                    stringBuilder.append(this.mNLPcivil);
                    android.util.Slog.e("LocationManagerServiceUtil", stringBuilder.toString());
                } catch (java.lang.Exception e4) {
                    e4.printStackTrace();
                }
                if (!(android.text.TextUtils.isEmpty(this.mNLPcivil) || foreignPackage == null || civilPackage == null)) {
                    this.isMultiNlpEnableFlag = true;
                }
            }
            this.isMultiNlpEnableLoaded = true;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("isMultiNlpEnable: isMultiNlpEnableFlag = ");
            stringBuilder2.append(this.isMultiNlpEnableFlag);
            android.util.Slog.e("LocationManagerServiceUtil", stringBuilder2.toString());
        }
        return this.isMultiNlpEnableFlag;
    }

    public static boolean useCivilNlpPackage(java.lang.String action, java.lang.String packageName) {
        if (("com.android.location.service.GeofenceProvider".equals(action) || "com.android.location.service.FusedLocationProvider".equals(action) || "com.android.location.service.FusedProvider".equals(action)) && getDefault() != null && getDefault().isMultiNlpEnable()) {
            if (getDefault().useGoogleNlpNow) {
                if (getDefault().mNLPforeign.equals(packageName)) {
                    return true;
                }
            } else if (getDefault().mNLPcivil != null && getDefault().mNLPcivil.equals(packageName)) {
                return true;
            }
        }
        return false;
    }

    public static boolean skipForeignNlpPackage(java.lang.String action, java.lang.String packageName) {
        if (("com.android.location.service.GeofenceProvider".equals(action) || "com.android.location.service.FusedLocationProvider".equals(action) || "com.android.location.service.FusedProvider".equals(action)) && getDefault() != null && getDefault().isMultiNlpEnable() && !getDefault().useGoogleNlpNow && getDefault().mNLPforeign.equals(packageName)) {
            return true;
        }
        return false;
    }

    private void bindSpecificService(java.lang.String packageName, int version, boolean bind) {
        com.android.server.location.LocationProviderProxy networkProvider = (com.android.server.location.LocationProviderProxy) getRealProviders().get("network");
        com.android.server.location.GeocoderProxy geocoderProxy = getGeocoderProvider();
        boolean needUpdateProvider = false;
        if (bind) {
            if (networkProvider != null) {
                bindSpecificService(getLocationProviderProxyWatcher(networkProvider), packageName, version);
            } else {
                android.util.Slog.e("LocationManagerServiceUtil", "bindSpecificService: no network location provider found, init again");
                needUpdateProvider = true;
                networkProvider = com.android.server.location.LocationProviderProxy.createAndBind(this.mContext, "network", "com.android.location.service.v3.NetworkLocationProvider", 17956962, 17039832, 17236014, getLocationHandler());
                if (networkProvider != null) {
                    getRealProviders().put("network", networkProvider);
                    getProxyProviders().add(networkProvider);
                    addProviderLocked(networkProvider);
                }
            }
            if (geocoderProxy != null) {
                bindSpecificService(getgetGeocoderServiceWatcher(getGeocoderProvider()), packageName, version);
            } else {
                android.util.Slog.e("LocationManagerServiceUtil", "bindSpecificService: no geocoder provider found, init agan");
                needUpdateProvider = true;
                setGeocodeProvider(com.android.server.location.GeocoderProxy.createAndBind(this.mContext, 17956954, 17039808, 17236014, getLocationHandler()));
            }
            if (needUpdateProvider) {
                updateProvidersLocked();
            }
        }
    }

    private void bindSpecificService(com.android.server.ServiceWatcher serviceWatcher, java.lang.String packageName, int version) {
        if (serviceWatcher != null) {
            if (packageName.equals(serviceWatcher.getBestPackageName())) {
                android.util.Slog.d("LocationManagerServiceUtil", "bindSpecificService: same package name, return");
                return;
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("bindSpecificService old mPackageName = ");
            stringBuilder.append(serviceWatcher.getBestPackageName());
            android.util.Slog.d("LocationManagerServiceUtil", stringBuilder.toString());
            java.lang.String currentPackageName = serviceWatcher.getBestPackageName();
            if (this.mNLPcivil.equals(currentPackageName)) {
                android.util.Slog.d("LocationManagerServiceUtil", "currentPackageName is civil, force Stop");
                this.am.forceStopPackage(currentPackageName);
            }
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("bindSpecificService new packageName = ");
            stringBuilder2.append(packageName);
            android.util.Slog.d("LocationManagerServiceUtil", stringBuilder2.toString());
            serviceWatcher.bindToPackageWithLock(packageName, version, false);
        }
    }

    public static boolean shouldSkipGoogleNlp(int pid) {
        if (pid == pidGoogleLocation) {
            if (getDefault() == null || !getDefault().isMultiNlpEnable() || !getDefault().skipGooglePrompt || 1 == getDefault().googleMapState) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("shouldSkipGoogleNlp return false skip process ");
                stringBuilder.append(pid);
                android.util.Slog.w("LocationManagerServiceUtil", stringBuilder.toString());
            } else {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("skip process ");
                stringBuilder2.append(pid);
                android.util.Slog.w("LocationManagerServiceUtil", stringBuilder2.toString());
                return true;
            }
        }
        return false;
    }

    public android.content.Context getContext() {
        return this.mContext;
    }

    public void clearPackageLocation(java.lang.String packageName) {
        synchronized (getmLock()) {
            java.util.Iterator it;
            java.util.ArrayList<com.android.server.LocationManagerService.Receiver> deadReceivers = null;
            for (com.android.server.LocationManagerService.Receiver receiver : getReceivers().values()) {
                if (receiver.mIdentity.mPackageName.equals(packageName)) {
                    if (deadReceivers == null) {
                        deadReceivers = new java.util.ArrayList();
                    }
                    deadReceivers.add(receiver);
                }
            }
            if (deadReceivers != null) {
                it = deadReceivers.iterator();
                while (it.hasNext()) {
                    removeUpdatesLocked((com.android.server.LocationManagerService.Receiver) it.next());
                }
            }
        }
    }
}
