package com.android.server;

public class SmartHeartBeat extends com.android.server.SmartHeartBeatDummy {
    static final int ALARM_ADJUST_BACKWARD = 2;
    static final int ALARM_ADJUST_FORWARD = 0;
    static final int ALARM_ADJUST_NEAR = 1;
    static final int ALARM_ADJUST_NONE = -1;
    static final int ALARM_ADJUST_PACKAGE_MSG = 102;
    static final int ALARM_PENDING_PACKAGE_MSG = 101;
    static final int ALL_ALARM_TYPE = 0;
    static final boolean DEBUG_HEART_BEAT = android.os.SystemProperties.getBoolean("persist.sys.shb.debug", false);
    static final int NONE_WAKEUP_ALARM_TYPE = 2;
    static final boolean SHB_MODULE_SWITCHER = android.os.SystemProperties.getBoolean("persist.sys.shb.switcher", true);
    static final java.lang.String TAG = "SmartHeartBeat";
    static final int WAKEUP_ALARM_TYPE = 1;
    private static com.android.server.HwAlarmManagerService mAlarmService;
    private static android.content.Context mContext;
    private static com.android.server.SmartHeartBeatDummy mInstance = null;
    private static final java.lang.Object mLock = new java.lang.Object();
    private com.android.server.SmartHeartBeat.HeartBeatDatabase mDataMap;
    private android.os.Handler mHandler;
    private android.os.HandlerThread mThread = new android.os.HandlerThread("HeartBeatHandlerThread");

    private static class AdjustValue {
        private long interval = 0;
        private int mode = 0;

        AdjustValue(long theInterval, int theMode) {
            this.interval = theInterval;
            this.mode = theMode;
        }

        public long getInterval() {
            return this.interval;
        }

        public int getMode() {
            return this.mode;
        }

        public java.lang.String toString() {
            java.lang.StringBuilder sb = new java.lang.StringBuilder(128);
            sb.append(this.interval);
            sb.append(" ");
            sb.append(this.mode);
            return sb.toString();
        }
    }

    private static class HeartBeatDatabase {
        public final com.android.server.SmartHeartBeat.HeartBeatDatabase.AdjustPackageForActions adjustPackageForActions;
        private java.lang.Object lock;
        public final com.android.server.SmartHeartBeat.HeartBeatDatabase.AdjustPackage noneWakeupAdjustPkgsMap;
        private final com.android.server.SmartHeartBeat.MultiMap<java.lang.String, java.lang.Integer> pendingMap;
        private final com.android.server.SmartHeartBeat.MultiMap<java.lang.String, java.lang.String> pendingMapForActions;
        public final com.android.server.SmartHeartBeat.HeartBeatDatabase.AdjustPackage wakeupAdjustPkgsMap;

        private class AdjustPackage {
            private final java.util.HashMap<java.lang.String, com.android.server.SmartHeartBeat.AdjustValue> adjustMap;

            private AdjustPackage() {
                this.adjustMap = new java.util.HashMap();
            }

            public void clearAdjustPkg() {
                synchronized (com.android.server.SmartHeartBeat.HeartBeatDatabase.this.lock) {
                    this.adjustMap.clear();
                }
            }

            public void putAdjustPkg(java.lang.String pkg, long interval, int mode) {
                synchronized (com.android.server.SmartHeartBeat.HeartBeatDatabase.this.lock) {
                    this.adjustMap.put(pkg, new com.android.server.SmartHeartBeat.AdjustValue(interval, mode));
                }
            }

            public long getAdjustPkgInterval(java.lang.String pkg) {
                long interval;
                synchronized (com.android.server.SmartHeartBeat.HeartBeatDatabase.this.lock) {
                    com.android.server.SmartHeartBeat.AdjustValue pkgValue = (com.android.server.SmartHeartBeat.AdjustValue) this.adjustMap.get(pkg);
                    interval = pkgValue == null ? 0 : pkgValue.getInterval();
                }
                return interval;
            }

            public int getAdjustPkgMode(java.lang.String pkg) {
                int mode;
                synchronized (com.android.server.SmartHeartBeat.HeartBeatDatabase.this.lock) {
                    com.android.server.SmartHeartBeat.AdjustValue pkgValue = (com.android.server.SmartHeartBeat.AdjustValue) this.adjustMap.get(pkg);
                    mode = pkgValue == null ? 0 : pkgValue.getMode();
                }
                return mode;
            }

            public void removeAdjustPkg(java.lang.String pkg) {
                synchronized (com.android.server.SmartHeartBeat.HeartBeatDatabase.this.lock) {
                    this.adjustMap.remove(pkg);
                }
            }

            public boolean containsAdjustKey(java.lang.String pkg) {
                boolean containsKey;
                synchronized (com.android.server.SmartHeartBeat.HeartBeatDatabase.this.lock) {
                    containsKey = this.adjustMap.containsKey(pkg);
                }
                return containsKey;
            }

            public void dump(java.io.PrintWriter pw) {
                synchronized (com.android.server.SmartHeartBeat.HeartBeatDatabase.this.lock) {
                    for (java.util.Map.Entry entry : this.adjustMap.entrySet()) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append(entry.getKey());
                        stringBuilder.append(":");
                        pw.print(stringBuilder.toString());
                        pw.println(entry.getValue());
                    }
                }
            }
        }

        private class AdjustPackageForActions {
            private final java.util.HashMap<java.lang.String, java.util.HashMap<java.lang.String, com.android.server.SmartHeartBeat.AdjustValue>> mPkgMap;

            private AdjustPackageForActions() {
                this.mPkgMap = new java.util.HashMap();
            }

            public void clearAdjustPkg() {
                synchronized (com.android.server.SmartHeartBeat.HeartBeatDatabase.this.lock) {
                    this.mPkgMap.clear();
                }
            }

            public void putAdjustPkg(java.lang.String pkg, java.util.List<java.lang.String> actions, long interval, int mode) {
                synchronized (com.android.server.SmartHeartBeat.HeartBeatDatabase.this.lock) {
                    java.util.HashMap<java.lang.String, com.android.server.SmartHeartBeat.AdjustValue> actionMap = (java.util.HashMap) this.mPkgMap.get(pkg);
                    if (actionMap == null) {
                        actionMap = new java.util.HashMap();
                        this.mPkgMap.put(pkg, actionMap);
                    }
                    if (actionMap != null) {
                        int listSize = actions.size();
                        for (int i = 0; i < listSize; i++) {
                            actionMap.put((java.lang.String) actions.get(i), new com.android.server.SmartHeartBeat.AdjustValue(interval, mode));
                        }
                    }
                }
            }

            public com.android.server.SmartHeartBeat.AdjustValue getAdjustValue(java.lang.String pkg, java.lang.String action) {
                synchronized (com.android.server.SmartHeartBeat.HeartBeatDatabase.this.lock) {
                    java.util.HashMap<java.lang.String, com.android.server.SmartHeartBeat.AdjustValue> actionMap = (java.util.HashMap) this.mPkgMap.get(pkg);
                    if (actionMap != null) {
                        com.android.server.SmartHeartBeat.AdjustValue adjustValue = (com.android.server.SmartHeartBeat.AdjustValue) actionMap.get(action);
                        return adjustValue;
                    }
                    return null;
                }
            }

            public void removeAdjustPkg(java.lang.String pkg, java.util.List<java.lang.String> actions) {
                synchronized (com.android.server.SmartHeartBeat.HeartBeatDatabase.this.lock) {
                    java.util.HashMap<java.lang.String, com.android.server.SmartHeartBeat.AdjustValue> actionMap = (java.util.HashMap) this.mPkgMap.get(pkg);
                    if (actionMap != null) {
                        int listSize = actions.size();
                        for (int i = 0; i < listSize; i++) {
                            actionMap.remove(actions.get(i));
                        }
                        if (actionMap.isEmpty()) {
                            this.mPkgMap.remove(pkg);
                        }
                    }
                }
            }

            public boolean containsAdjustKey(java.lang.String pkg, java.lang.String action) {
                synchronized (com.android.server.SmartHeartBeat.HeartBeatDatabase.this.lock) {
                    java.util.HashMap<java.lang.String, com.android.server.SmartHeartBeat.AdjustValue> actionMap = (java.util.HashMap) this.mPkgMap.get(pkg);
                    if (actionMap != null) {
                        boolean containsKey = actionMap.containsKey(action);
                        return containsKey;
                    }
                    return false;
                }
            }

            public void dump(java.io.PrintWriter pw) {
                synchronized (com.android.server.SmartHeartBeat.HeartBeatDatabase.this.lock) {
                    for (java.util.Map.Entry entry : this.mPkgMap.entrySet()) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append(entry.getKey());
                        stringBuilder.append(":");
                        pw.println(stringBuilder.toString());
                        for (java.util.Map.Entry entry2 : ((java.util.HashMap) entry.getValue()).entrySet()) {
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("    ");
                            stringBuilder2.append(entry2.getKey());
                            stringBuilder2.append(":");
                            pw.print(stringBuilder2.toString());
                            pw.println(entry2.getValue());
                        }
                    }
                }
            }
        }

        private HeartBeatDatabase() {
            this.pendingMap = new com.android.server.SmartHeartBeat.MultiMap();
            this.pendingMapForActions = new com.android.server.SmartHeartBeat.MultiMap();
            this.wakeupAdjustPkgsMap = new com.android.server.SmartHeartBeat.HeartBeatDatabase.AdjustPackage();
            this.noneWakeupAdjustPkgsMap = new com.android.server.SmartHeartBeat.HeartBeatDatabase.AdjustPackage();
            this.adjustPackageForActions = new com.android.server.SmartHeartBeat.HeartBeatDatabase.AdjustPackageForActions();
            this.lock = new java.lang.Object();
        }

        public void addPendingPackage(java.lang.String pkgName, int type) {
            this.pendingMap.put(pkgName, java.lang.Integer.valueOf(type));
            if (com.android.server.SmartHeartBeat.DEBUG_HEART_BEAT) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("addPendingPackage, pkgName: ");
                stringBuilder.append(pkgName);
                stringBuilder.append(", type: ");
                stringBuilder.append(type);
                android.util.Slog.d("SmartHeartBeat", stringBuilder.toString());
            }
        }

        public void addPendingPackageForActions(java.lang.String pkgName, java.util.List<java.lang.String> actionList) {
            if (com.android.server.SmartHeartBeat.DEBUG_HEART_BEAT) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("addPendingPackageForActions, pkgName: ");
                stringBuilder.append(pkgName);
                stringBuilder.append(", actionList: ");
                stringBuilder.append(actionList);
                android.util.Slog.d("SmartHeartBeat", stringBuilder.toString());
            }
            int listSize = actionList.size();
            for (int i = 0; i < listSize; i++) {
                this.pendingMapForActions.put(pkgName, (java.lang.String) actionList.get(i));
            }
        }

        public void removePendingPackage(java.lang.String pkgName, int type) {
            this.pendingMap.remove(pkgName, java.lang.Integer.valueOf(type));
            if (com.android.server.SmartHeartBeat.DEBUG_HEART_BEAT) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("removePendingPackage, pkgName: ");
                stringBuilder.append(pkgName);
                stringBuilder.append(", type: ");
                stringBuilder.append(type);
                android.util.Slog.d("SmartHeartBeat", stringBuilder.toString());
            }
        }

        public void removePendingPackageForActions(java.lang.String pkgName, java.util.List<java.lang.String> actionList) {
            if (com.android.server.SmartHeartBeat.DEBUG_HEART_BEAT) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("removePendingPackageForActions, pkgName: ");
                stringBuilder.append(pkgName);
                stringBuilder.append(", actionList: ");
                stringBuilder.append(actionList);
                android.util.Slog.d("SmartHeartBeat", stringBuilder.toString());
            }
            int listSize = actionList.size();
            for (int i = 0; i < listSize; i++) {
                this.pendingMapForActions.remove(pkgName, (java.lang.String) actionList.get(i));
            }
        }

        public void removeAllPendingPackages() {
            this.pendingMap.clear();
            this.pendingMapForActions.clear();
            if (com.android.server.SmartHeartBeat.DEBUG_HEART_BEAT) {
                android.util.Slog.d("SmartHeartBeat", "removeAllPendingPackages");
            }
        }

        public boolean isPendingPackage(com.android.server.AlarmManagerService.Alarm alarm) {
            java.lang.String pkgName = alarm.packageName;
            java.lang.String action = com.android.server.SmartHeartBeat.getActionByClearCallingIdentity(alarm.operation);
            java.util.List<java.lang.String> actionList = this.pendingMapForActions.getAll(pkgName);
            if (actionList.size() > 0 && action != null && actionList.contains(action)) {
                if (com.android.server.SmartHeartBeat.DEBUG_HEART_BEAT) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("isPendingPackage, true, pkg:");
                    stringBuilder.append(pkgName);
                    stringBuilder.append(", action:");
                    stringBuilder.append(action);
                    android.util.Slog.d("SmartHeartBeat", stringBuilder.toString());
                }
                return true;
            } else if (alarm.type != 0 || alarm.alarmClock == null) {
                java.util.List<java.lang.Integer> pendingTypeList = this.pendingMap.getAll(pkgName);
                if (pendingTypeList.size() > 0) {
                    for (java.lang.Integer alarmType : pendingTypeList) {
                        if (alarmType.intValue() == alarm.type) {
                            if (com.android.server.SmartHeartBeat.DEBUG_HEART_BEAT) {
                                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append("isPendingPackage, true, pkg:");
                                stringBuilder2.append(pkgName);
                                android.util.Slog.d("SmartHeartBeat", stringBuilder2.toString());
                            }
                            return true;
                        }
                    }
                }
                return false;
            } else {
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("isPendingPackage, false, pkg:");
                stringBuilder3.append(pkgName);
                stringBuilder3.append(", action:");
                stringBuilder3.append(action);
                stringBuilder3.append(",not pending alarm with AlarmClockInfo");
                android.util.Slog.d("SmartHeartBeat", stringBuilder3.toString());
                return false;
            }
        }

        public void dump(java.io.PrintWriter pw) {
            synchronized (this.lock) {
                pw.println("=======dumping shb bg");
                pw.println("===pending pkg:");
                this.pendingMap.dump(pw);
                pw.println();
                pw.println("===pending actions:");
                this.pendingMapForActions.dump(pw);
                pw.println();
                pw.println("===adjust pkg wakeup:");
                this.wakeupAdjustPkgsMap.dump(pw);
                pw.println();
                pw.println("===adjust pkg none_wakeup:");
                this.noneWakeupAdjustPkgsMap.dump(pw);
                pw.println();
                pw.println("===adjust actions:");
                this.adjustPackageForActions.dump(pw);
                pw.println("=======dumping shb end");
            }
        }
    }

    private static class HeartBeatHandler extends android.os.Handler {
        public HeartBeatHandler(android.os.Looper looper) {
            super(looper);
        }

        public void handleMessage(android.os.Message msg) {
            switch (msg.what) {
                case 101:
                    pendingPackageMessage(msg);
                    return;
                case 102:
                    adjustPackageMessage(msg);
                    return;
                default:
                    return;
            }
        }

        private void adjustPackageMessage(android.os.Message msg) {
            java.util.List<java.lang.String> pkgList = msg.obj;
            if (com.android.server.SmartHeartBeat.DEBUG_HEART_BEAT) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("adjustPackageMessage, pkgList: ");
                stringBuilder.append(pkgList);
                android.util.Slog.d("SmartHeartBeat", stringBuilder.toString());
            }
            synchronized (com.android.server.SmartHeartBeat.mAlarmService.mLock) {
                com.android.server.SmartHeartBeat.mAlarmService.rebatchPkgAlarmsLocked(pkgList);
            }
        }

        private void pendingPackageMessage(android.os.Message msg) {
            com.android.server.SmartHeartBeat.MessageInfo args = msg.obj;
            if (args == null) {
                android.util.Slog.d("SmartHeartBeat", "pendingPackageMessage, null == args");
                return;
            }
            boolean pending = args.state;
            if (com.android.server.SmartHeartBeat.DEBUG_HEART_BEAT) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("pendingPackageMessage, pending: ");
                stringBuilder.append(pending);
                stringBuilder.append(", pkg:");
                stringBuilder.append(args.pkgList);
                android.util.Slog.d("SmartHeartBeat", stringBuilder.toString());
            }
            synchronized (com.android.server.SmartHeartBeat.mAlarmService.mLock) {
                if (args.pkgList == null) {
                    com.android.server.SmartHeartBeat.mAlarmService.rebatchAllAlarmsLocked(true);
                } else {
                    com.android.server.SmartHeartBeat.mAlarmService.rebatchPkgAlarmsLocked(args.pkgList);
                }
            }
        }
    }

    private static class MessageInfo {
        java.util.List<java.lang.String> pkgList;
        boolean state;

        private MessageInfo() {
        }
    }

    private static class MultiMap<K, V> {
        private java.util.HashMap<K, java.util.List<V>> store;

        private MultiMap() {
            this.store = new java.util.HashMap();
        }

        java.util.List<V> getAll(K key) {
            java.util.List<V> values = (java.util.List) this.store.get(key);
            return values != null ? values : java.util.Collections.emptyList();
        }

        void put(K key, V val) {
            java.util.List<V> curVals = (java.util.List) this.store.get(key);
            if (curVals == null) {
                curVals = new java.util.ArrayList(3);
                this.store.put(key, curVals);
            }
            if (!curVals.contains(val)) {
                curVals.add(val);
            }
        }

        void remove(K key, V val) {
            java.util.List<V> curVals = (java.util.List) this.store.get(key);
            if (curVals != null) {
                curVals.remove(val);
                if (curVals.isEmpty()) {
                    this.store.remove(key);
                }
            }
        }

        void removeAll(K key) {
            this.store.remove(key);
        }

        void clear() {
            this.store.clear();
        }

        void dump(java.io.PrintWriter pw) {
            for (java.util.Map.Entry entry : this.store.entrySet()) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(entry.getKey());
                stringBuilder.append(":");
                pw.print(stringBuilder.toString());
                pw.println(entry.getValue());
            }
        }
    }

    public static synchronized com.android.server.SmartHeartBeatDummy getInstance(android.content.Context context, com.android.server.HwAlarmManagerService service) {
        com.android.server.SmartHeartBeatDummy smartHeartBeatDummy;
        synchronized (com.android.server.SmartHeartBeat.class) {
            if (mInstance == null) {
                if (SHB_MODULE_SWITCHER) {
                    mContext = context;
                    mAlarmService = service;
                    android.util.Slog.i("SmartHeartBeat", "getInstance new");
                    mInstance = new com.android.server.SmartHeartBeat();
                } else {
                    android.util.Slog.i("SmartHeartBeat", "SmartHeartBeat is turn off !");
                    mInstance = new com.android.server.SmartHeartBeatDummy();
                }
            }
            if (DEBUG_HEART_BEAT) {
                android.util.Slog.i("SmartHeartBeat", "getInstance return");
            }
            smartHeartBeatDummy = mInstance;
        }
        return smartHeartBeatDummy;
    }

    private SmartHeartBeat() {
        this.mThread.start();
        this.mHandler = new com.android.server.SmartHeartBeat.HeartBeatHandler(this.mThread.getLooper());
        this.mDataMap = new com.android.server.SmartHeartBeat.HeartBeatDatabase();
        android.util.Slog.i("SmartHeartBeat", "SmartHeartBeat getInstance init success!");
    }

    protected void finalize() {
        this.mThread.quit();
        android.util.Slog.i("SmartHeartBeat", "SmartHeartBeat destructor !");
        try {
            super.finalize();
        } catch (Throwable th) {
        }
    }

    private boolean isPending(com.android.server.AlarmManagerService.Alarm alarm) {
        boolean pending = false;
        if (alarm == null) {
            android.util.Slog.d("SmartHeartBeat", "isPending, null == alarm");
            return false;
        }
        if (this.mDataMap.isPendingPackage(alarm)) {
            pending = true;
        }
        if (DEBUG_HEART_BEAT) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("isPending, ret:");
            stringBuilder.append(pending);
            stringBuilder.append(", alarm:");
            stringBuilder.append(alarm);
            android.util.Slog.d("SmartHeartBeat", stringBuilder.toString());
        }
        return pending;
    }

    public boolean shouldPendingAlarm(com.android.server.AlarmManagerService.Alarm alarm) {
        boolean isPending;
        synchronized (mLock) {
            isPending = isPending(alarm);
        }
        return isPending;
    }

    public void setAlarmsPending(java.util.List<java.lang.String> pkgList, java.util.List<java.lang.String> actionList, boolean pending, int pendingType) {
        java.lang.StringBuilder stringBuilder;
        if (pkgList != null) {
            if (pkgList.size() > 0) {
                if (DEBUG_HEART_BEAT) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("setAlarmsPending, pkgList=");
                    stringBuilder.append(pkgList);
                    stringBuilder.append(", action=");
                    stringBuilder.append(actionList);
                    stringBuilder.append(", pending=");
                    stringBuilder.append(pending);
                    stringBuilder.append(", pendingType=");
                    stringBuilder.append(pendingType);
                    android.util.Slog.i("SmartHeartBeat", stringBuilder.toString());
                } else {
                    android.util.Slog.d("SmartHeartBeat", "setAlarmsPending ...");
                }
                synchronized (mLock) {
                    for (java.lang.String pkgName : pkgList) {
                        if (pending) {
                            if (actionList != null) {
                                this.mDataMap.addPendingPackageForActions(pkgName, actionList);
                            } else {
                                if (pendingType == 0 || 1 == pendingType) {
                                    this.mDataMap.addPendingPackage(pkgName, 0);
                                    this.mDataMap.addPendingPackage(pkgName, 2);
                                }
                                if (pendingType == 0 || 2 == pendingType) {
                                    this.mDataMap.addPendingPackage(pkgName, 1);
                                    this.mDataMap.addPendingPackage(pkgName, 3);
                                }
                            }
                        } else if (actionList != null) {
                            this.mDataMap.removePendingPackageForActions(pkgName, actionList);
                        } else {
                            if (pendingType == 0 || 1 == pendingType) {
                                this.mDataMap.removePendingPackage(pkgName, 0);
                                this.mDataMap.removePendingPackage(pkgName, 2);
                            }
                            if (pendingType == 0 || 2 == pendingType) {
                                this.mDataMap.removePendingPackage(pkgName, 1);
                                this.mDataMap.removePendingPackage(pkgName, 3);
                            }
                        }
                    }
                }
                com.android.server.SmartHeartBeat.MessageInfo args = new com.android.server.SmartHeartBeat.MessageInfo();
                args.state = pending;
                args.pkgList = pkgList;
                android.os.Message msg = this.mHandler.obtainMessage();
                msg.what = 101;
                msg.obj = args;
                this.mHandler.sendMessage(msg);
                return;
            }
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setAlarmsPending, pkgList=");
        stringBuilder.append(pkgList);
        android.util.Slog.d("SmartHeartBeat", stringBuilder.toString());
    }

    public void removeAllPendingAlarms() {
        synchronized (mLock) {
            this.mDataMap.removeAllPendingPackages();
        }
        com.android.server.SmartHeartBeat.MessageInfo args = new com.android.server.SmartHeartBeat.MessageInfo();
        args.state = true;
        args.pkgList = null;
        android.os.Message msg = this.mHandler.obtainMessage();
        msg.what = 101;
        msg.obj = args;
        this.mHandler.sendMessage(msg);
        android.util.Slog.i("SmartHeartBeat", "remove all pending alarms");
    }

    /* JADX WARNING: Removed duplicated region for block: B:30:0x00a4  */
    private boolean isAdjustAlarm(com.android.server.AlarmManagerService.Alarm r9) {
        /*
        r8 = this;
        r0 = 0;
        r1 = r9.packageName;
        r2 = r9.operation;
        r2 = getActionByClearCallingIdentity(r2);
        r3 = r9.type;
        r4 = r8.mDataMap;
        r4 = r4.adjustPackageForActions;
        r4 = r4.containsAdjustKey(r1, r2);
        r5 = 1;
        if (r4 == 0) goto L_0x0039;
    L_0x0016:
        r4 = DEBUG_HEART_BEAT;
        if (r4 == 0) goto L_0x0038;
    L_0x001a:
        r4 = "SmartHeartBeat";
        r6 = new java.lang.StringBuilder;
        r6.<init>();
        r7 = "isAdjustAlarm: true,pkg: ";
        r6.append(r7);
        r6.append(r1);
        r7 = ",action: ";
        r6.append(r7);
        r6.append(r2);
        r6 = r6.toString();
        android.util.Slog.d(r4, r6);
    L_0x0038:
        return r5;
    L_0x0039:
        if (r3 != 0) goto L_0x0068;
    L_0x003b:
        r4 = r9.alarmClock;
        if (r4 == 0) goto L_0x0068;
    L_0x003f:
        r4 = DEBUG_HEART_BEAT;
        if (r4 == 0) goto L_0x0066;
    L_0x0043:
        r4 = "SmartHeartBeat";
        r5 = new java.lang.StringBuilder;
        r5.<init>();
        r6 = "isAdjustAlarm: false,pkg: ";
        r5.append(r6);
        r5.append(r1);
        r6 = ",action: ";
        r5.append(r6);
        r5.append(r2);
        r6 = ",not adjustalarm with AlarmClockInfo";
        r5.append(r6);
        r5 = r5.toString();
        android.util.Slog.d(r4, r5);
    L_0x0066:
        r4 = 0;
        return r4;
    L_0x0068:
        if (r3 == 0) goto L_0x0098;
    L_0x006a:
        r4 = 2;
        if (r4 != r3) goto L_0x006e;
    L_0x006d:
        goto L_0x0098;
    L_0x006e:
        if (r5 == r3) goto L_0x008f;
    L_0x0070:
        r4 = 3;
        if (r4 != r3) goto L_0x0074;
    L_0x0073:
        goto L_0x008f;
    L_0x0074:
        r4 = DEBUG_HEART_BEAT;
        if (r4 == 0) goto L_0x008e;
    L_0x0078:
        r4 = "SmartHeartBeat";
        r5 = new java.lang.StringBuilder;
        r5.<init>();
        r6 = "isAdjustAlarm1: ";
        r5.append(r6);
        r5.append(r0);
        r5 = r5.toString();
        android.util.Slog.d(r4, r5);
    L_0x008e:
        return r0;
    L_0x008f:
        r4 = r8.mDataMap;
        r4 = r4.noneWakeupAdjustPkgsMap;
        r0 = r4.containsAdjustKey(r1);
        goto L_0x00a0;
    L_0x0098:
        r4 = r8.mDataMap;
        r4 = r4.wakeupAdjustPkgsMap;
        r0 = r4.containsAdjustKey(r1);
    L_0x00a0:
        r4 = DEBUG_HEART_BEAT;
        if (r4 == 0) goto L_0x00c2;
    L_0x00a4:
        r4 = "SmartHeartBeat";
        r5 = new java.lang.StringBuilder;
        r5.<init>();
        r6 = "isAdjustAlarm: ";
        r5.append(r6);
        r5.append(r0);
        r6 = ",pkg:";
        r5.append(r6);
        r5.append(r1);
        r5 = r5.toString();
        android.util.Slog.d(r4, r5);
    L_0x00c2:
        return r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.SmartHeartBeat.isAdjustAlarm(com.android.server.AlarmManagerService$Alarm):boolean");
    }

    private long calAlarmWhenElapsed(com.android.server.AlarmManagerService.Alarm a) {
        com.android.server.AlarmManagerService.Alarm alarm = a;
        long interval = 0;
        int mode = -1;
        long adjustWhenElapsed = alarm.whenElapsed;
        java.lang.String pkg = alarm.packageName;
        java.lang.String action = getActionByClearCallingIdentity(alarm.operation);
        int type = alarm.type;
        long whenElapsed = alarm.whenElapsed;
        com.android.server.SmartHeartBeat.AdjustValue adjustValue = this.mDataMap.adjustPackageForActions.getAdjustValue(pkg, action);
        if (adjustValue != null) {
            interval = adjustValue.interval;
            mode = adjustValue.mode;
        }
        if (interval == 0) {
            if (type != 0) {
                if (2 != type) {
                    if (1 != type) {
                        if (3 != type) {
                            return adjustWhenElapsed;
                        }
                    }
                    interval = this.mDataMap.noneWakeupAdjustPkgsMap.getAdjustPkgInterval(pkg);
                    mode = this.mDataMap.noneWakeupAdjustPkgsMap.getAdjustPkgMode(pkg);
                }
            }
            interval = this.mDataMap.wakeupAdjustPkgsMap.getAdjustPkgInterval(pkg);
            mode = this.mDataMap.wakeupAdjustPkgsMap.getAdjustPkgMode(pkg);
        }
        if (0 == interval) {
            return adjustWhenElapsed;
        }
        if ((type == 0 || 1 == type) && 0 > whenElapsed) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Maybe the whenElapsed time is incorrect: pkg=");
            stringBuilder.append(pkg);
            stringBuilder.append(" whenElapsed = ");
            stringBuilder.append(whenElapsed);
            android.util.Slog.d("SmartHeartBeat", stringBuilder.toString());
            whenElapsed = android.os.SystemClock.elapsedRealtime();
        }
        switch (mode) {
            case 0:
            case 1:
            case 2:
                adjustWhenElapsed = ((((interval / 2) * ((long) mode)) + whenElapsed) / interval) * interval;
                if (mode == 2) {
                    if (2 == mode && adjustWhenElapsed - whenElapsed == interval) {
                        adjustWhenElapsed = whenElapsed;
                        break;
                    }
                }
                if (adjustWhenElapsed < android.os.SystemClock.elapsedRealtime()) {
                    adjustWhenElapsed += interval;
                }
                break;
            default:
                break;
        }
        if (DEBUG_HEART_BEAT) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("calAlarmWhenElapsed pkg: ");
            stringBuilder2.append(pkg);
            stringBuilder2.append(", action: ");
            stringBuilder2.append(action);
            stringBuilder2.append(", whenElapsed: ");
            stringBuilder2.append(whenElapsed);
            stringBuilder2.append(", adjusted WhenElapsed: ");
            stringBuilder2.append(adjustWhenElapsed);
            stringBuilder2.append(", interval: ");
            stringBuilder2.append(interval);
            stringBuilder2.append(", mode: ");
            stringBuilder2.append(mode);
            android.util.Slog.d("SmartHeartBeat", stringBuilder2.toString());
        }
        return adjustWhenElapsed;
    }

    private long getAdjustAlarmWhenElapsed(com.android.server.AlarmManagerService.Alarm a) {
        long val = isAdjustAlarm(a) ? calAlarmWhenElapsed(a) : a.whenElapsed;
        if (DEBUG_HEART_BEAT) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getAdjustAlarmWhenElapsed, val: ");
            stringBuilder.append(val);
            stringBuilder.append(", pkg: ");
            stringBuilder.append(a.packageName);
            stringBuilder.append(", whenElapsed: ");
            stringBuilder.append(a.whenElapsed);
            stringBuilder.append(", type: ");
            stringBuilder.append(a.type);
            android.util.Slog.d("SmartHeartBeat", stringBuilder.toString());
        }
        return val;
    }

    private static java.lang.String getActionByClearCallingIdentity(android.app.PendingIntent operation) {
        long identity = android.os.Binder.clearCallingIdentity();
        java.lang.String action = null;
        if (operation != null) {
            try {
                action = operation.getIntent().getAction();
            } catch (Throwable th) {
            }
        }
        android.os.Binder.restoreCallingIdentity(identity);
        return action;
    }

    public void setAlarmsAdjust(java.util.List<java.lang.String> pkgList, java.util.List<java.lang.String> actionList, boolean adjust, int type, long interval, int mode) {
        java.lang.StringBuilder stringBuilder;
        java.util.List<java.lang.String> list = pkgList;
        java.util.List<java.lang.String> list2 = actionList;
        boolean z = adjust;
        int i = type;
        long j = interval;
        int i2 = mode;
        if (list != null) {
            if (pkgList.size() > 0) {
                if (DEBUG_HEART_BEAT) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("setAlarmsAdjust, pkgList=");
                    stringBuilder.append(list);
                    stringBuilder.append(", action=");
                    stringBuilder.append(list2);
                    stringBuilder.append(", adjust=");
                    stringBuilder.append(z);
                    stringBuilder.append(", type=");
                    stringBuilder.append(i);
                    stringBuilder.append(", interval=");
                    stringBuilder.append(j);
                    stringBuilder.append(", mode=");
                    stringBuilder.append(i2);
                    android.util.Slog.i("SmartHeartBeat", stringBuilder.toString());
                } else {
                    android.util.Slog.d("SmartHeartBeat", "setAlarmsAdjust ...");
                }
                synchronized (mLock) {
                    java.util.Iterator<java.lang.String> it;
                    for (java.util.Iterator<java.lang.String> it2 = pkgList.iterator(); it2.hasNext(); it2 = it) {
                        java.lang.String pkg = (java.lang.String) it2.next();
                        java.lang.String pkg2;
                        if (!z) {
                            it = it2;
                            pkg2 = pkg;
                            if (list2 != null) {
                                this.mDataMap.adjustPackageForActions.removeAdjustPkg(pkg2, list2);
                            } else {
                                if (i == 0 || 1 == i) {
                                    this.mDataMap.wakeupAdjustPkgsMap.removeAdjustPkg(pkg2);
                                }
                                if (i == 0 || 2 == i) {
                                    this.mDataMap.noneWakeupAdjustPkgsMap.removeAdjustPkg(pkg2);
                                }
                            }
                        } else if (j <= 0) {
                            android.util.Slog.d("SmartHeartBeat", "setAlarmsAdjust interval must be greater than 0.");
                            return;
                        } else if (list2 != null) {
                            it = it2;
                            pkg2 = pkg;
                            this.mDataMap.adjustPackageForActions.putAdjustPkg(pkg, list2, j, i2);
                        } else {
                            it = it2;
                            pkg2 = pkg;
                            if (i == 0 || 1 == i) {
                                this.mDataMap.wakeupAdjustPkgsMap.putAdjustPkg(pkg2, j, i2);
                            }
                            if (i == 0 || 2 == i) {
                                this.mDataMap.noneWakeupAdjustPkgsMap.putAdjustPkg(pkg2, j, i2);
                            }
                        }
                    }
                    android.os.Message msg = this.mHandler.obtainMessage();
                    msg.what = 102;
                    msg.obj = list;
                    this.mHandler.sendMessage(msg);
                    return;
                }
            }
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setAlarmsAdjust, pkgList: ");
        stringBuilder.append(list);
        android.util.Slog.i("SmartHeartBeat", stringBuilder.toString());
    }

    public void removeAllAdjustAlarms() {
        android.util.Slog.i("SmartHeartBeat", "remove all adjust alarms.");
        synchronized (mLock) {
            this.mDataMap.wakeupAdjustPkgsMap.clearAdjustPkg();
            this.mDataMap.noneWakeupAdjustPkgsMap.clearAdjustPkg();
            this.mDataMap.adjustPackageForActions.clearAdjustPkg();
        }
    }

    /* JADX WARNING: Missing block: B:14:0x0050, code:
            return;
     */
    /* JADX WARNING: Missing block: B:25:0x00ac, code:
            return;
     */
    /* JADX WARNING: Missing block: B:36:0x010d, code:
            return;
     */
    public void adjustAlarmIfNeeded(com.android.server.AlarmManagerService.Alarm r12) {
        /*
        r11 = this;
        if (r12 != 0) goto L_0x000a;
    L_0x0002:
        r0 = "SmartHeartBeat";
        r1 = "adjustAlarmIfNeeded, alarm is null!";
        android.util.Slog.e(r0, r1);
        return;
    L_0x000a:
        r0 = android.os.SystemClock.elapsedRealtime();
        r2 = mLock;
        monitor-enter(r2);
        r3 = r12.whenElapsed;	 Catch:{ all -> 0x010e }
        r3 = (r0 > r3 ? 1 : (r0 == r3 ? 0 : -1));
        r4 = 259200000; // 0xf731400 float:1.1984677E-29 double:1.280618154E-315;
        if (r3 >= 0) goto L_0x0051;
    L_0x001a:
        r6 = r12.whenElapsed;	 Catch:{ all -> 0x010e }
        r6 = r6 - r0;
        r3 = (r6 > r4 ? 1 : (r6 == r4 ? 0 : -1));
        if (r3 <= 0) goto L_0x0051;
    L_0x0021:
        r3 = DEBUG_HEART_BEAT;	 Catch:{ all -> 0x010e }
        if (r3 == 0) goto L_0x004f;
    L_0x0025:
        r3 = "SmartHeartBeat";
        r4 = new java.lang.StringBuilder;	 Catch:{ all -> 0x010e }
        r4.<init>();	 Catch:{ all -> 0x010e }
        r5 = "adjustAlarmIfNeeded, no need change alarm: ";
        r4.append(r5);	 Catch:{ all -> 0x010e }
        r5 = r12.packageName;	 Catch:{ all -> 0x010e }
        r4.append(r5);	 Catch:{ all -> 0x010e }
        r5 = ", whenElapsed: ";
        r4.append(r5);	 Catch:{ all -> 0x010e }
        r5 = r12.whenElapsed;	 Catch:{ all -> 0x010e }
        r4.append(r5);	 Catch:{ all -> 0x010e }
        r5 = ", now: ";
        r4.append(r5);	 Catch:{ all -> 0x010e }
        r4.append(r0);	 Catch:{ all -> 0x010e }
        r4 = r4.toString();	 Catch:{ all -> 0x010e }
        android.util.Slog.i(r3, r4);	 Catch:{ all -> 0x010e }
    L_0x004f:
        monitor-exit(r2);	 Catch:{ all -> 0x010e }
        return;
    L_0x0051:
        r3 = r11.isPending(r12);	 Catch:{ all -> 0x010e }
        if (r3 == 0) goto L_0x00ad;
    L_0x0057:
        r6 = r12.whenElapsed;	 Catch:{ all -> 0x010e }
        r3 = (r0 > r6 ? 1 : (r0 == r6 ? 0 : -1));
        if (r3 >= 0) goto L_0x005e;
    L_0x005d:
        goto L_0x0063;
    L_0x005e:
        r6 = r12.whenElapsed;	 Catch:{ all -> 0x010e }
        r6 = r0 - r6;
        r4 = r4 + r6;
    L_0x0063:
        r3 = r4;
        r5 = r12.when;	 Catch:{ all -> 0x010e }
        r5 = r5 + r3;
        r12.when = r5;	 Catch:{ all -> 0x010e }
        r5 = r12.whenElapsed;	 Catch:{ all -> 0x010e }
        r5 = r5 + r3;
        r12.whenElapsed = r5;	 Catch:{ all -> 0x010e }
        r5 = r12.maxWhenElapsed;	 Catch:{ all -> 0x010e }
        r5 = r5 + r3;
        r12.maxWhenElapsed = r5;	 Catch:{ all -> 0x010e }
        r5 = DEBUG_HEART_BEAT;	 Catch:{ all -> 0x010e }
        if (r5 == 0) goto L_0x00ab;
    L_0x0077:
        r5 = "SmartHeartBeat";
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x010e }
        r6.<init>();	 Catch:{ all -> 0x010e }
        r7 = "adjustAlarmIfNeeded, is pending alarm: ";
        r6.append(r7);	 Catch:{ all -> 0x010e }
        r7 = r12.packageName;	 Catch:{ all -> 0x010e }
        r6.append(r7);	 Catch:{ all -> 0x010e }
        r7 = ", tag: ";
        r6.append(r7);	 Catch:{ all -> 0x010e }
        r7 = r12.statsTag;	 Catch:{ all -> 0x010e }
        r6.append(r7);	 Catch:{ all -> 0x010e }
        r7 = ", whenElapsed: ";
        r6.append(r7);	 Catch:{ all -> 0x010e }
        r7 = r12.whenElapsed;	 Catch:{ all -> 0x010e }
        r6.append(r7);	 Catch:{ all -> 0x010e }
        r7 = ", now: ";
        r6.append(r7);	 Catch:{ all -> 0x010e }
        r6.append(r0);	 Catch:{ all -> 0x010e }
        r6 = r6.toString();	 Catch:{ all -> 0x010e }
        android.util.Slog.i(r5, r6);	 Catch:{ all -> 0x010e }
    L_0x00ab:
        monitor-exit(r2);	 Catch:{ all -> 0x010e }
        return;
    L_0x00ad:
        r3 = r11.getAdjustAlarmWhenElapsed(r12);	 Catch:{ all -> 0x010e }
        r5 = r12.whenElapsed;	 Catch:{ all -> 0x010e }
        r5 = (r3 > r5 ? 1 : (r3 == r5 ? 0 : -1));
        if (r5 == 0) goto L_0x010c;
    L_0x00b7:
        r5 = r12.whenElapsed;	 Catch:{ all -> 0x010e }
        r5 = r3 - r5;
        r7 = r12.whenElapsed;	 Catch:{ all -> 0x010e }
        r7 = r7 + r5;
        r12.whenElapsed = r7;	 Catch:{ all -> 0x010e }
        r7 = r12.when;	 Catch:{ all -> 0x010e }
        r7 = r7 + r5;
        r12.when = r7;	 Catch:{ all -> 0x010e }
        r7 = r12.whenElapsed;	 Catch:{ all -> 0x010e }
        r9 = r12.maxWhenElapsed;	 Catch:{ all -> 0x010e }
        r7 = (r7 > r9 ? 1 : (r7 == r9 ? 0 : -1));
        if (r7 <= 0) goto L_0x00d0;
    L_0x00cd:
        r7 = r12.whenElapsed;	 Catch:{ all -> 0x010e }
        goto L_0x00d2;
    L_0x00d0:
        r7 = r12.maxWhenElapsed;	 Catch:{ all -> 0x010e }
    L_0x00d2:
        r12.maxWhenElapsed = r7;	 Catch:{ all -> 0x010e }
        r7 = DEBUG_HEART_BEAT;	 Catch:{ all -> 0x010e }
        if (r7 == 0) goto L_0x010c;
    L_0x00d8:
        r7 = "SmartHeartBeat";
        r8 = new java.lang.StringBuilder;	 Catch:{ all -> 0x010e }
        r8.<init>();	 Catch:{ all -> 0x010e }
        r9 = "adjustAlarmLocked, is unify alarm: ";
        r8.append(r9);	 Catch:{ all -> 0x010e }
        r9 = r12.packageName;	 Catch:{ all -> 0x010e }
        r8.append(r9);	 Catch:{ all -> 0x010e }
        r9 = ", tag: ";
        r8.append(r9);	 Catch:{ all -> 0x010e }
        r9 = r12.statsTag;	 Catch:{ all -> 0x010e }
        r8.append(r9);	 Catch:{ all -> 0x010e }
        r9 = ", whenElapsed: ";
        r8.append(r9);	 Catch:{ all -> 0x010e }
        r9 = r12.whenElapsed;	 Catch:{ all -> 0x010e }
        r8.append(r9);	 Catch:{ all -> 0x010e }
        r9 = ", now: ";
        r8.append(r9);	 Catch:{ all -> 0x010e }
        r8.append(r0);	 Catch:{ all -> 0x010e }
        r8 = r8.toString();	 Catch:{ all -> 0x010e }
        android.util.Slog.i(r7, r8);	 Catch:{ all -> 0x010e }
    L_0x010c:
        monitor-exit(r2);	 Catch:{ all -> 0x010e }
        return;
    L_0x010e:
        r3 = move-exception;
        monitor-exit(r2);	 Catch:{ all -> 0x010e }
        throw r3;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.SmartHeartBeat.adjustAlarmIfNeeded(com.android.server.AlarmManagerService$Alarm):void");
    }

    public void dump(java.io.PrintWriter pw) {
        synchronized (mLock) {
            this.mDataMap.dump(pw);
        }
    }
}
