package com.android.server;

class StubTelephonyRegistry extends com.android.server.TelephonyRegistry {
    private static final java.lang.String TAG = "StubTelephonyRegistry";
    private android.content.Context mContext;
    private com.huawei.hsm.permission.LocationPermission mLocationPermission = new com.huawei.hsm.permission.LocationPermission(this.mContext);

    StubTelephonyRegistry(android.content.Context context) {
        super(context);
        this.mContext = context;
    }

    public void listenForSubscriber(int subId, java.lang.String pkgForDebug, com.android.internal.telephony.IPhoneStateListener callback, int events, boolean notifyNow) {
        int uid = android.os.Binder.getCallingUid();
        int pid = android.os.Binder.getCallingPid();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("uid:");
        stringBuilder.append(uid);
        stringBuilder.append(" pid:");
        stringBuilder.append(pid);
        stringBuilder.append(" PhoneStateListener.LISTEN_CELL_LOCATION:");
        stringBuilder.append(16);
        stringBuilder.append(" events:");
        stringBuilder.append(events);
        android.util.Log.d("StubTelephonyRegistry", stringBuilder.toString());
        if ((events & 16) != 0) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("LISTEN_CELL_LOCATION uid:");
            stringBuilder.append(uid);
            android.util.Log.d("StubTelephonyRegistry", stringBuilder.toString());
            if (this.mLocationPermission.isLocationBlocked()) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("LISTEN_CELL_LOCATION is blocked by huawei's permission manager uid:");
                stringBuilder.append(uid);
                android.util.Log.d("StubTelephonyRegistry", stringBuilder.toString());
                events &= -17;
            }
        }
        super.listenForSubscriber(subId, pkgForDebug, callback, events, notifyNow);
    }
}
