package com.android.server;

public class UpdateConfig {
    private static final java.lang.String TAG = "UpdateConfig";

    public static void updateLocalesWhenOTA(android.content.Context context) {
        if (context != null) {
            android.content.pm.PackageManager mPackageManager = context.getPackageManager();
            java.lang.String prop = android.os.SystemProperties.get("ril.operator.numeric");
            if (mPackageManager != null && mPackageManager.isUpgrade() && prop.length() >= 3 && "414".equals(prop.substring(0, 3))) {
                updateLocale();
            }
        }
    }

    public static void updateLocalesWhenOTAEX(android.content.Context context, int preSdkVersion) {
        if (!(context == null || preSdkVersion == -1)) {
            if (preSdkVersion < 28) {
                android.content.pm.PackageManager mPackageManager = context.getPackageManager();
                java.lang.String prop = android.os.SystemProperties.get("ril.operator.numeric");
                if (mPackageManager != null && mPackageManager.isUpgrade() && prop.length() >= 3 && "414".equals(prop.substring(0, 3))) {
                    updateLocale();
                }
            }
        }
    }

    private static void updateLocale() {
        android.os.LocaleList defaultsList = com.android.internal.app.LocalePicker.getLocales();
        if (defaultsList != null) {
            java.util.List<java.util.Locale> nList = new java.util.ArrayList();
            int size = defaultsList.size();
            boolean isChange = false;
            for (int i = 0; i < size; i++) {
                java.util.Locale locale = defaultsList.get(i);
                if (i == 0 && (locale.getLanguage().equals("en") || locale.getLanguage().equals("zh"))) {
                    java.util.Locale.Builder localeBuilder = new java.util.Locale.Builder().setLanguageTag("en");
                    try {
                        localeBuilder = new java.util.Locale.Builder().setLocale(locale).setRegion("ZG");
                    } catch (java.util.IllformedLocaleException e) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("Error locale: ");
                        stringBuilder.append(locale.toLanguageTag());
                        android.util.Slog.e("UpdateConfig", stringBuilder.toString());
                    }
                    nList.add(localeBuilder.build());
                    isChange = true;
                } else {
                    nList.add(locale);
                }
            }
            if (isChange) {
                java.util.List<java.util.Locale> rList = new java.util.ArrayList();
                for (int i2 = 0; i2 < size; i2++) {
                    java.util.Locale tmpL = (java.util.Locale) nList.get(i2);
                    if (!rList.contains(tmpL)) {
                        rList.add(tmpL);
                    }
                }
                com.android.internal.app.LocalePicker.updateLocales(new android.os.LocaleList((java.util.Locale[]) rList.toArray(new java.util.Locale[0])));
            }
        }
    }
}
