package com.android.server;

public class VibetonzProxy {
    private static java.lang.String TAG = "VibetonzProxy";
    private static java.lang.String apkPath = "/system/framework/immersion.jar";
    private static java.lang.String dexOutputDir = "/data/data/com.immersion/";
    private static dalvik.system.DexClassLoader mClassLoader = null;
    private static boolean mloadedVibetonz;
    private com.android.server.VibetonzProxy.IVibetonzImpl mVibetonzImpl = null;

    public interface IVibetonzImpl {
        boolean hasHaptic(android.content.Context context, android.net.Uri uri);

        boolean isPlaying(java.lang.String str);

        void pausePlayEffect(java.lang.String str);

        void playIvtEffect(java.lang.String str);

        void resumePausedEffect(java.lang.String str);

        boolean startHaptic(android.content.Context context, int i, int i2, android.net.Uri uri);

        void stopHaptic();

        void stopPlayEffect();
    }

    public static class VibetonzReflactCall implements com.android.server.VibetonzProxy.IVibetonzImpl {
        private java.lang.Class<?> mClazz_RingtoneVibetonzImpl;
        private java.lang.Class<?> mClazz_vibetonzImpl;
        private java.lang.Object mObject_RingtoneVibetonzImpl;
        private java.lang.Object mObject_vibetonzImpl;

        private VibetonzReflactCall() {
            try {
                this.mClazz_vibetonzImpl = com.android.server.VibetonzProxy.mClassLoader.loadClass("com.immersion.VibetonzImpl");
                this.mObject_vibetonzImpl = this.mClazz_vibetonzImpl.getMethod("getInstance", new java.lang.Class[0]).invoke(null, new java.lang.Object[0]);
                this.mClazz_RingtoneVibetonzImpl = com.android.server.VibetonzProxy.mClassLoader.loadClass("com.immersion.RingtoneVibetonzImpl");
                this.mObject_RingtoneVibetonzImpl = this.mClazz_RingtoneVibetonzImpl.getMethod("getInstance", new java.lang.Class[0]).invoke(null, new java.lang.Object[0]);
            } catch (java.lang.ClassNotFoundException e) {
                e.printStackTrace();
            } catch (java.lang.NoSuchMethodException e2) {
                e2.printStackTrace();
            } catch (java.lang.IllegalAccessException e3) {
                e3.printStackTrace();
            } catch (java.lang.IllegalArgumentException e4) {
                e4.printStackTrace();
            } catch (java.lang.reflect.InvocationTargetException e5) {
                e5.printStackTrace();
            } catch (java.lang.RuntimeException e6) {
                e6.printStackTrace();
            } catch (java.lang.Exception e7) {
                e7.printStackTrace();
            }
        }

        public void playIvtEffect(java.lang.String effectName) {
            if (this.mClazz_vibetonzImpl == null) {
                android.util.Log.e(com.android.server.VibetonzProxy.TAG, "playIvtEffect can not found the class!");
                return;
            }
            android.util.Log.v(com.android.server.VibetonzProxy.TAG, "playIvtEffect===================");
            try {
                this.mClazz_vibetonzImpl.getMethod("playIvtEffect", new java.lang.Class[]{java.lang.String.class}).invoke(this.mObject_vibetonzImpl, new java.lang.Object[]{effectName});
            } catch (java.lang.NoSuchMethodException e) {
                e.printStackTrace();
            } catch (java.lang.IllegalAccessException e2) {
                e2.printStackTrace();
            } catch (java.lang.IllegalArgumentException e3) {
                e3.printStackTrace();
            } catch (java.lang.reflect.InvocationTargetException e4) {
                e4.printStackTrace();
            } catch (java.lang.RuntimeException e5) {
                e5.printStackTrace();
            } catch (java.lang.Exception e6) {
                e6.printStackTrace();
            }
        }

        public void stopPlayEffect() {
            if (this.mClazz_vibetonzImpl == null) {
                android.util.Log.e(com.android.server.VibetonzProxy.TAG, "stopPlayEffect can not found the class!");
                return;
            }
            android.util.Log.v(com.android.server.VibetonzProxy.TAG, "stopPlayEffect===================");
            try {
                this.mClazz_vibetonzImpl.getMethod("stopPlayEffect", new java.lang.Class[0]).invoke(this.mObject_vibetonzImpl, new java.lang.Object[0]);
            } catch (java.lang.NoSuchMethodException e) {
                e.printStackTrace();
            } catch (java.lang.IllegalAccessException e2) {
                e2.printStackTrace();
            } catch (java.lang.IllegalArgumentException e3) {
                e3.printStackTrace();
            } catch (java.lang.reflect.InvocationTargetException e4) {
                e4.printStackTrace();
            } catch (java.lang.RuntimeException e5) {
                e5.printStackTrace();
            } catch (java.lang.Exception e6) {
                e6.printStackTrace();
            }
        }

        public void pausePlayEffect(java.lang.String effectName) {
            if (this.mClazz_vibetonzImpl == null) {
                android.util.Log.e(com.android.server.VibetonzProxy.TAG, "pausePlayEffect can not found the class!");
                return;
            }
            android.util.Log.v(com.android.server.VibetonzProxy.TAG, "pausePlayEffect===================");
            try {
                this.mClazz_vibetonzImpl.getMethod("pausePlayEffect", new java.lang.Class[]{java.lang.String.class}).invoke(this.mObject_vibetonzImpl, new java.lang.Object[]{effectName});
            } catch (java.lang.NoSuchMethodException e) {
                e.printStackTrace();
            } catch (java.lang.IllegalAccessException e2) {
                e2.printStackTrace();
            } catch (java.lang.IllegalArgumentException e3) {
                e3.printStackTrace();
            } catch (java.lang.reflect.InvocationTargetException e4) {
                e4.printStackTrace();
            } catch (java.lang.RuntimeException e5) {
                e5.printStackTrace();
            } catch (java.lang.Exception e6) {
                e6.printStackTrace();
            }
        }

        public void resumePausedEffect(java.lang.String effectName) {
            if (this.mClazz_vibetonzImpl == null) {
                android.util.Log.e(com.android.server.VibetonzProxy.TAG, "resumePausedEffect can not found the class!");
                return;
            }
            android.util.Log.v(com.android.server.VibetonzProxy.TAG, "resumePausedEffect===================");
            try {
                this.mClazz_vibetonzImpl.getMethod("resumePausedEffect", new java.lang.Class[]{java.lang.String.class}).invoke(this.mObject_vibetonzImpl, new java.lang.Object[]{effectName});
            } catch (java.lang.NoSuchMethodException e) {
                e.printStackTrace();
            } catch (java.lang.IllegalAccessException e2) {
                e2.printStackTrace();
            } catch (java.lang.IllegalArgumentException e3) {
                e3.printStackTrace();
            } catch (java.lang.reflect.InvocationTargetException e4) {
                e4.printStackTrace();
            } catch (java.lang.RuntimeException e5) {
                e5.printStackTrace();
            } catch (java.lang.Exception e6) {
                e6.printStackTrace();
            }
        }

        public boolean isPlaying(java.lang.String effectName) {
            if (this.mClazz_vibetonzImpl == null) {
                android.util.Log.e(com.android.server.VibetonzProxy.TAG, "isPlaying can not found the class!");
                return false;
            }
            android.util.Log.v(com.android.server.VibetonzProxy.TAG, "isPlaying===================");
            try {
                return java.lang.Boolean.parseBoolean(this.mClazz_vibetonzImpl.getMethod("isPlaying", new java.lang.Class[]{java.lang.String.class}).invoke(this.mObject_vibetonzImpl, new java.lang.Object[]{effectName}).toString());
            } catch (java.lang.NoSuchMethodException e) {
                e.printStackTrace();
                return false;
            } catch (java.lang.IllegalAccessException e2) {
                e2.printStackTrace();
                return false;
            } catch (java.lang.IllegalArgumentException e3) {
                e3.printStackTrace();
                return false;
            } catch (java.lang.reflect.InvocationTargetException e4) {
                e4.printStackTrace();
                return false;
            } catch (java.lang.RuntimeException e5) {
                e5.printStackTrace();
                return false;
            } catch (java.lang.Exception e6) {
                e6.printStackTrace();
                return false;
            }
        }

        public boolean startHaptic(android.content.Context mContext, int callerID, int ringtoneType, android.net.Uri uri) {
            if (this.mClazz_RingtoneVibetonzImpl == null) {
                android.util.Log.e(com.android.server.VibetonzProxy.TAG, "startHaptic can not found the class!");
                return false;
            }
            android.util.Log.v(com.android.server.VibetonzProxy.TAG, "startHaptic===================");
            try {
                return java.lang.Boolean.parseBoolean(this.mClazz_RingtoneVibetonzImpl.getMethod("startHaptic", new java.lang.Class[]{android.content.Context.class, java.lang.Integer.TYPE, java.lang.Integer.TYPE, android.net.Uri.class}).invoke(this.mObject_RingtoneVibetonzImpl, new java.lang.Object[]{mContext, java.lang.Integer.valueOf(callerID), java.lang.Integer.valueOf(ringtoneType), uri}).toString());
            } catch (java.lang.NoSuchMethodException e) {
                e.printStackTrace();
                return false;
            } catch (java.lang.IllegalAccessException e2) {
                e2.printStackTrace();
                return false;
            } catch (java.lang.IllegalArgumentException e3) {
                e3.printStackTrace();
                return false;
            } catch (java.lang.reflect.InvocationTargetException e4) {
                e4.printStackTrace();
                return false;
            } catch (java.lang.RuntimeException e5) {
                e5.printStackTrace();
                return false;
            } catch (java.lang.Exception e6) {
                e6.printStackTrace();
                return false;
            }
        }

        public boolean hasHaptic(android.content.Context mContext, android.net.Uri uri) {
            if (this.mClazz_RingtoneVibetonzImpl == null) {
                android.util.Log.e(com.android.server.VibetonzProxy.TAG, "hasHaptic can not found the class!");
                return false;
            }
            android.util.Log.v(com.android.server.VibetonzProxy.TAG, "hasHaptic===================");
            try {
                return java.lang.Boolean.parseBoolean(this.mClazz_RingtoneVibetonzImpl.getMethod("hasHaptic", new java.lang.Class[]{android.content.Context.class, android.net.Uri.class}).invoke(this.mObject_RingtoneVibetonzImpl, new java.lang.Object[]{mContext, uri}).toString());
            } catch (java.lang.NoSuchMethodException e) {
                e.printStackTrace();
                return false;
            } catch (java.lang.IllegalAccessException e2) {
                e2.printStackTrace();
                return false;
            } catch (java.lang.IllegalArgumentException e3) {
                e3.printStackTrace();
                return false;
            } catch (java.lang.reflect.InvocationTargetException e4) {
                e4.printStackTrace();
                return false;
            } catch (java.lang.RuntimeException e5) {
                e5.printStackTrace();
                return false;
            } catch (java.lang.Exception e6) {
                e6.printStackTrace();
                return false;
            }
        }

        public void stopHaptic() {
            if (this.mClazz_RingtoneVibetonzImpl == null) {
                android.util.Log.e(com.android.server.VibetonzProxy.TAG, "stopHaptic can not found the class!");
                return;
            }
            android.util.Log.v(com.android.server.VibetonzProxy.TAG, "stopHaptic===================");
            try {
                this.mClazz_RingtoneVibetonzImpl.getMethod("stopHaptic", new java.lang.Class[0]).invoke(this.mObject_RingtoneVibetonzImpl, new java.lang.Object[0]);
            } catch (java.lang.NoSuchMethodException e) {
                e.printStackTrace();
            } catch (java.lang.IllegalAccessException e2) {
                e2.printStackTrace();
            } catch (java.lang.IllegalArgumentException e3) {
                e3.printStackTrace();
            } catch (java.lang.reflect.InvocationTargetException e4) {
                e4.printStackTrace();
            } catch (java.lang.RuntimeException e5) {
                e5.printStackTrace();
            } catch (java.lang.Exception e6) {
                e6.printStackTrace();
            }
        }
    }

    public static class VibetonzStub implements com.android.server.VibetonzProxy.IVibetonzImpl {
        private VibetonzStub() {
        }

        public void playIvtEffect(java.lang.String effectName) {
            android.util.Log.e(com.android.server.VibetonzProxy.TAG, "playIvtEffect called while not implement!");
        }

        public void stopPlayEffect() {
            android.util.Log.e(com.android.server.VibetonzProxy.TAG, "stopPlayEffect called while not implement!");
        }

        public void pausePlayEffect(java.lang.String effectName) {
            android.util.Log.e(com.android.server.VibetonzProxy.TAG, "pausePlayEffect called while not implement!");
        }

        public void resumePausedEffect(java.lang.String effectName) {
            android.util.Log.e(com.android.server.VibetonzProxy.TAG, "resumePausedEffect called while not implement!");
        }

        public boolean isPlaying(java.lang.String effectName) {
            android.util.Log.e(com.android.server.VibetonzProxy.TAG, "isPlaying called while not implement!");
            return false;
        }

        public boolean startHaptic(android.content.Context mContext, int callerID, int ringtoneType, android.net.Uri uri) {
            android.util.Log.e(com.android.server.VibetonzProxy.TAG, "startHaptic called while not implement!");
            return false;
        }

        public boolean hasHaptic(android.content.Context mContext, android.net.Uri uri) {
            android.util.Log.e(com.android.server.VibetonzProxy.TAG, "hasHaptic called while not implement!");
            return false;
        }

        public void stopHaptic() {
            android.util.Log.e(com.android.server.VibetonzProxy.TAG, "stopHaptic called while not implement!");
        }
    }

    public static void initVibetonzImpl() {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Never mkdir ");
        stringBuilder.append(dexOutputDir);
        stringBuilder.append(" before the storage is encrypted,it cause storage encryption failure!");
        android.util.Log.w(str, stringBuilder.toString());
        boolean z = false;
        try {
            mClassLoader = new dalvik.system.DexClassLoader(apkPath, dexOutputDir, null, java.lang.ClassLoader.getSystemClassLoader());
            java.lang.Class<?> clazz = null;
            try {
                clazz = mClassLoader.loadClass("com.immersion.Device");
            } catch (java.lang.ClassNotFoundException e) {
                e.printStackTrace();
            } catch (java.lang.Exception e2) {
                e2.printStackTrace();
            }
            if (clazz != null) {
                z = true;
            }
            mloadedVibetonz = z;
        } catch (java.lang.IllegalArgumentException e3) {
            e3.printStackTrace();
            mloadedVibetonz = false;
        }
    }

    private static boolean isVibetonzAvailable() {
        return mloadedVibetonz;
    }

    public com.android.server.VibetonzProxy.IVibetonzImpl getInstance() {
        if (this.mVibetonzImpl == null) {
            initVibetonzImpl();
            if (isVibetonzAvailable()) {
                android.util.Log.d(TAG, "will create VibetonzReflactCall");
                this.mVibetonzImpl = new com.android.server.VibetonzProxy.VibetonzReflactCall();
            } else {
                android.util.Log.d(TAG, "will create VibetonzStub");
                this.mVibetonzImpl = new com.android.server.VibetonzProxy.VibetonzStub();
            }
        }
        return this.mVibetonzImpl;
    }
}
