package com.android.server.accounts;

public class HwAccountHelper {
    private static final boolean DEBUG = false;
    private static final java.lang.String TAG = "HwAccountHelper";

    private static boolean isPrivacyModeStateOn(android.content.Context context) {
        boolean privacyModeStateOn = false;
        boolean privacyModeStateOn2 = false;
        try {
            if (1 == android.provider.Settings.Secure.getInt(context.getContentResolver(), "privacy_mode_on", 1) && 1 == android.provider.Settings.Secure.getInt(context.getContentResolver(), "privacy_mode_state", 0)) {
                privacyModeStateOn = true;
            }
            return privacyModeStateOn;
        } catch (java.lang.Exception e) {
            return false;
        }
    }

    private static boolean isPrivacyModePkg(java.lang.String packageName, java.lang.String account, android.content.Context context) {
        java.lang.String pkgNameList = android.provider.Settings.Secure.getString(context.getContentResolver(), "privacy_app_list");
        if (pkgNameList == null || pkgNameList.equals("")) {
            return false;
        }
        java.lang.String[] pkgNameArray = pkgNameList.contains(";") ? pkgNameList.split(";") : new java.lang.String[]{pkgNameList};
        java.lang.String tempName = null;
        int i = 0;
        while (pkgNameArray != null && i < pkgNameArray.length) {
            tempName = pkgNameArray[i];
            if (!tempName.equals(packageName)) {
                if (!tempName.contains(account)) {
                    i++;
                }
            }
            return true;
        }
        return false;
    }

    public static boolean removeProtectAppInPrivacyMode(android.accounts.AuthenticatorDescription desc, boolean removed, android.content.Context context) {
        if (isPrivacyModeStateOn(context) && removed && isPrivacyModePkg(desc.packageName, desc.type, context)) {
            return true;
        }
        return false;
    }
}
