package com.android.server.am;

public final class HwActivityManagerService extends com.android.server.am.ActivityManagerService {
    public static final int BACKUP_APP_ADJ = 300;
    private static final int CACHED_PROCESS_LIMIT = 8;
    static final boolean DEBUG_HWTRIM = smcsLOGV;
    static final boolean DEBUG_HWTRIM_PERFORM = smcsLOGV;
    public static final int FOREGROUND_APP_ADJ = 0;
    public static final int HEAVY_WEIGHT_APP_ADJ = 400;
    public static final int HOME_APP_ADJ = 600;
    private static final java.lang.String HW_TRIM_MEMORY_ACTION = "huawei.intent.action.HW_TRIM_MEMORY_ACTION";
    public static final boolean IS_SUPPORT_CLONE_APP = android.os.SystemProperties.getBoolean("ro.config.hw_support_clone_app", false);
    private static final boolean IS_TABLET = "tablet".equals(android.os.SystemProperties.get("ro.build.characteristics", "default"));
    private static final int MIN_CLEAN_PKG = 5;
    public static final int NATIVE_ADJ = -1000;
    public static final int PERCEPTIBLE_APP_ADJ = 200;
    private static final int PERSISTENT_MASK = 9;
    public static final int PERSISTENT_PROC_ADJ = -800;
    public static final int PERSISTENT_SERVICE_ADJ = -700;
    public static final int PREVIOUS_APP_ADJ = 700;
    private static final int QUEUE_NUM_DEFAULT = 2;
    private static final int QUEUE_NUM_IAWARE = 6;
    private static final int QUEUE_NUM_RMS = 4;
    public static final int SERVICE_ADJ = 500;
    public static final int SERVICE_B_ADJ = 800;
    static final int SET_CUSTOM_ACTIVITY_CONTROLLER_TRANSACTION = 2101;
    private static final int SMART_TRIM_ADJ_LIMIT = android.os.SystemProperties.getInt("ro.smart_trim.adj", 3);
    private static final int SMART_TRIM_POST_MSG_DELAY = 10;
    private static final int START_HW_SERVICE_POST_MSG_DELAY = 30000;
    public static final int SYSTEM_ADJ = -900;
    private static final java.lang.String SYSTEM_DEBUGGABLE = "ro.debuggable";
    static final java.lang.String TAG = "HwActivityManagerService";
    public static final int VISIBLE_APP_ADJ = 100;
    private static final java.lang.String descriptor = "android.app.IActivityManager";
    private static boolean enableIaware = android.os.SystemProperties.getBoolean("persist.sys.enable_iaware", false);
    static final boolean enableRms = android.os.SystemProperties.getBoolean("ro.config.enable_rms", false);
    private static final boolean mIsSMCSHWSYSMEnabled = android.os.SystemProperties.getBoolean("ro.enable.hwsysm_smcs", true);
    private static com.android.server.am.HwActivityManagerService mSelf;
    private static java.util.Set<java.lang.String> sAllowedCrossUserForCloneArrays = new java.util.HashSet();
    private static java.util.HashMap<java.lang.String, java.lang.Integer> sHardCodeAppToSetOomAdjArrays = new java.util.HashMap();
    private static java.util.Set<java.lang.String> sPreventStartWhenSleeping = new java.util.HashSet();
    static final boolean smcsLOGV = android.os.SystemProperties.getBoolean("ro.enable.st_debug", false);
    final android.os.RemoteCallbackList<android.contentsensor.IActivityObserver> mActivityObservers = new android.os.RemoteCallbackList();
    private android.rms.HwSysResource mAppResource;
    public android.rms.HwSysResource mAppServiceResource;
    private android.rms.HwSysResource mBroadcastResource;
    private java.util.HashMap<java.lang.Integer, android.content.Intent> mCurrentSplitIntent = new java.util.HashMap();
    private com.android.server.util.AbsUserBehaviourRecord mCust;
    android.app.IActivityController mCustomController = null;
    com.android.server.am.ActivityRecord mFocusedActivityForNavi = null;
    android.os.Handler mHandler = new android.os.Handler();
    final com.android.server.am.HwGameAssistantController mHwGameAssistantController;
    private android.content.Intent mLastSplitIntent;
    private android.rms.HwSysResource mOrderedBroadcastResource;
    com.android.server.am.HwActivityManagerService.OverscanTimeout mOverscanTimeout = new com.android.server.am.HwActivityManagerService.OverscanTimeout();
    public java.util.HashMap<java.lang.String, java.lang.Integer> mPkgDisplayMaps = new java.util.HashMap();
    private boolean[] mScreenStatusRequest = new boolean[]{false, false};
    private java.util.HashMap<java.lang.Integer, java.util.Stack<android.os.IBinder>> mSplitActivityEntryStack;
    private android.os.Bundle mSplitExtras;
    private int mSrvFlagLocked = 0;
    private com.android.server.security.trustspace.TrustSpaceManagerInternal mTrustSpaceManagerInternal;

    class OverscanTimeout implements java.lang.Runnable {
        OverscanTimeout() {
        }

        public void run() {
            android.util.Slog.i("HwActivityManagerService", "OverscanTimeout run");
            android.provider.Settings.Global.putString(com.android.server.am.HwActivityManagerService.this.mContext.getContentResolver(), "single_hand_mode", "");
        }
    }

    class ScreenStatusReceiver extends android.content.BroadcastReceiver {
        ScreenStatusReceiver() {
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if ("android.intent.action.stk.check_screen_idle".equals(intent.getAction())) {
                java.lang.StringBuilder stringBuilder;
                int slotId = intent.getIntExtra("slot_id", 0);
                if (slotId >= 0) {
                    if (slotId < com.android.server.am.HwActivityManagerService.this.mScreenStatusRequest.length) {
                        com.android.server.am.HwActivityManagerService.this.mScreenStatusRequest[slotId] = intent.getBooleanExtra("SCREEN_STATUS_REQUEST", false);
                        if (com.android.server.am.HwActivityManagerService.this.mScreenStatusRequest[slotId]) {
                            com.android.server.am.ActivityRecord p = com.android.server.am.HwActivityManagerService.this.getFocusedStack().topRunningActivityLocked();
                            if (p != null) {
                                android.content.Intent StkIntent = new android.content.Intent("com.huawei.intent.action.stk.idle_screen");
                                if (p.intent.hasCategory("android.intent.category.HOME")) {
                                    StkIntent.putExtra("SCREEN_IDLE", true);
                                } else {
                                    StkIntent.putExtra("SCREEN_IDLE", false);
                                }
                                StkIntent.putExtra("slot_id", slotId);
                                StkIntent.addFlags(16777216);
                                com.android.server.am.HwActivityManagerService.this.mContext.sendBroadcast(StkIntent, "com.huawei.permission.CAT_IDLE_SCREEN");
                                if (com.android.server.am.ActivityManagerDebugConfig.DEBUG_ALL) {
                                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                    stringBuilder2.append("Broadcasting Home Idle Screen Intent ... slot: ");
                                    stringBuilder2.append(slotId);
                                    android.util.Slog.v("HwActivityManagerService", stringBuilder2.toString());
                                }
                            }
                        } else if (com.android.server.am.ActivityManagerDebugConfig.DEBUG_ALL) {
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("Screen Status request is OFF, slot: ");
                            stringBuilder.append(slotId);
                            android.util.Slog.v("HwActivityManagerService", stringBuilder.toString());
                        }
                    }
                }
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("ScreenStatusReceiver, slotId ");
                stringBuilder.append(slotId);
                stringBuilder.append(" Invalid");
                android.util.Slog.w("HwActivityManagerService", stringBuilder.toString());
            }
        }
    }

    class TrimMemoryReceiver extends android.content.BroadcastReceiver {
        TrimMemoryReceiver() {
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (intent != null) {
                if (intent.getAction() != null) {
                    if ("huawei.intent.action.HW_TRIM_MEMORY_ACTION".equals(intent.getAction())) {
                        com.android.server.am.HwActivityManagerService.this.trimGLMemory(80);
                    }
                }
            }
        }
    }

    static {
        sHardCodeAppToSetOomAdjArrays.put("com.huawei.android.pushagent.PushService", java.lang.Integer.valueOf(200));
        sHardCodeAppToSetOomAdjArrays.put("com.tencent.mm", java.lang.Integer.valueOf(800));
        sAllowedCrossUserForCloneArrays.add("media");
        sAllowedCrossUserForCloneArrays.add("com.android.providers.media.documents");
        sAllowedCrossUserForCloneArrays.add("com.huawei.android.launcher.settings");
        sAllowedCrossUserForCloneArrays.add("com.android.badge");
        sAllowedCrossUserForCloneArrays.add("com.android.providers.media");
        sAllowedCrossUserForCloneArrays.add("android.media.IMediaScannerService");
        sAllowedCrossUserForCloneArrays.add("com.android.contacts.files");
        sAllowedCrossUserForCloneArrays.add("com.android.contacts.app");
        sAllowedCrossUserForCloneArrays.add("com.huawei.numberlocation");
        sAllowedCrossUserForCloneArrays.add("csp-prefs-cfg");
        sAllowedCrossUserForCloneArrays.add("contacts");
        sAllowedCrossUserForCloneArrays.add("com.android.contacts");
        sAllowedCrossUserForCloneArrays.add("android.process.media");
        sAllowedCrossUserForCloneArrays.add("com.huawei.android.launcher");
        sAllowedCrossUserForCloneArrays.add("android.process.acore");
        sAllowedCrossUserForCloneArrays.add("call_log");
        sAllowedCrossUserForCloneArrays.add("android.intent.action.MEDIA_SCANNER_SCAN_FILE");
        sAllowedCrossUserForCloneArrays.add("android.intent.action.MEDIA_SCANNER_SCAN_FOLDER");
        sAllowedCrossUserForCloneArrays.add("com.android.launcher.action.INSTALL_SHORTCUT");
        sAllowedCrossUserForCloneArrays.add("mms");
        sAllowedCrossUserForCloneArrays.add("sms");
        sAllowedCrossUserForCloneArrays.add("mms-sms");
        sAllowedCrossUserForCloneArrays.add("com.android.providers.downloads");
        sAllowedCrossUserForCloneArrays.add("downloads");
        sAllowedCrossUserForCloneArrays.add("com.android.providers.downloads.documents");
        sPreventStartWhenSleeping.add("com.ss.android.article.news/com.ss.android.message.sswo.SswoActivity");
        sPreventStartWhenSleeping.add("com.ss.android.article.video/com.ss.android.message.sswo.SswoActivity");
        sPreventStartWhenSleeping.add("dongzheng.szkingdom.android.phone/com.dgzq.IM.ui.activity.KeepAliveActivity");
    }

    public HwActivityManagerService(android.content.Context mContext) {
        super(mContext);
        mSelf = this;
        if (android.os.SystemProperties.getInt("ro.config.gameassist", 0) == 1) {
            this.mHwGameAssistantController = new com.android.server.am.HwGameAssistantController(this);
        } else {
            this.mHwGameAssistantController = null;
        }
    }

    public static com.android.server.am.HwActivityManagerService self() {
        return mSelf;
    }

    public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
        boolean res;
        boolean _result;
        if (code == 502) {
            data.enforceInterface("android.app.IActivityManager");
            res = handleANRFilterFIFO(data.readInt(), data.readInt());
            reply.writeNoException();
            reply.writeInt(res);
            return true;
        } else if (code == 504) {
            data.enforceInterface("android.app.IActivityManager");
            java.lang.String packageName = getPackageNameForPid(data.readInt());
            reply.writeNoException();
            reply.writeString(packageName);
            return true;
        } else if (code == 2101) {
            data.enforceInterface("android.app.IActivityManager");
            setCustomActivityController(android.app.IActivityController.Stub.asInterface(data.readStrongBinder()));
            reply.writeNoException();
            return true;
        } else if (code != 3103) {
            boolean forLast = false;
            if (code != 1599294787) {
                android.os.Bundle _arg2 = null;
                switch (code) {
                    case 601:
                        data.enforceInterface("android.app.IActivityManager");
                        android.content.Intent intent = (android.content.Intent) data.readParcelable(null);
                        int pid = data.readInt();
                        android.os.Bundle bundle = data.readBundle();
                        if (data.readInt() > 0) {
                            forLast = true;
                        }
                        setIntentInfo(intent, pid, bundle, forLast);
                        reply.writeNoException();
                        return true;
                    case 602:
                        data.enforceInterface("android.app.IActivityManager");
                        android.os.Parcelable[] p = getIntentInfo(data.readInt(), data.readInt() > 0);
                        reply.writeNoException();
                        reply.writeParcelableArray(p, 0);
                        return true;
                    case 603:
                        data.enforceInterface("android.app.IActivityManager");
                        addToEntryStack(data.readInt(), data.readStrongBinder(), data.readInt(), (android.content.Intent) android.content.Intent.CREATOR.createFromParcel(data));
                        reply.writeNoException();
                        return true;
                    case 604:
                        data.enforceInterface("android.app.IActivityManager");
                        clearEntryStack(data.readInt(), data.readStrongBinder());
                        return true;
                    case 605:
                        data.enforceInterface("android.app.IActivityManager");
                        removeFromEntryStack(data.readInt(), data.readStrongBinder());
                        return true;
                    case 606:
                        data.enforceInterface("android.app.IActivityManager");
                        res = isTopSplitActivity(data.readInt(), data.readStrongBinder());
                        reply.writeNoException();
                        reply.writeInt(res);
                        return true;
                    default:
                        switch (code) {
                            case 3201:
                                data.enforceInterface("android.app.IActivityManager");
                                registerActivityObserver(android.contentsensor.IActivityObserver.Stub.asInterface(data.readStrongBinder()));
                                reply.writeNoException();
                                return true;
                            case 3202:
                                data.enforceInterface("android.app.IActivityManager");
                                unregisterActivityObserver(android.contentsensor.IActivityObserver.Stub.asInterface(data.readStrongBinder()));
                                reply.writeNoException();
                                return true;
                            default:
                                android.content.ComponentName _arg0;
                                boolean _result2;
                                switch (code) {
                                    case 3211:
                                        data.enforceInterface("android.app.IActivityManager");
                                        if (data.readInt() != 0) {
                                            _arg0 = (android.content.ComponentName) android.content.ComponentName.CREATOR.createFromParcel(data);
                                        } else {
                                            _arg0 = null;
                                        }
                                        if (data.readInt() != 0) {
                                            _arg2 = (android.os.Bundle) android.os.Bundle.CREATOR.createFromParcel(data);
                                        }
                                        _result2 = requestContentNode(_arg0, _arg2, data.readInt());
                                        reply.writeNoException();
                                        reply.writeInt(_result2);
                                        return true;
                                    case 3212:
                                        data.enforceInterface("android.app.IActivityManager");
                                        if (data.readInt() != 0) {
                                            _arg0 = (android.content.ComponentName) android.content.ComponentName.CREATOR.createFromParcel(data);
                                        } else {
                                            _arg0 = null;
                                        }
                                        if (data.readInt() != 0) {
                                            _arg2 = (android.os.Bundle) android.os.Bundle.CREATOR.createFromParcel(data);
                                        }
                                        _result2 = requestContentOther(_arg0, _arg2, data.readInt());
                                        reply.writeNoException();
                                        reply.writeInt(_result2);
                                        return true;
                                    default:
                                        java.util.List<java.lang.String> addList;
                                        switch (code) {
                                            case 3301:
                                                addList = new java.util.ArrayList();
                                                data.enforceInterface("android.app.IActivityManager");
                                                data.readStringList(addList);
                                                forLast = addGameSpacePackageList(addList);
                                                reply.writeNoException();
                                                reply.writeInt(forLast);
                                                return true;
                                            case 3302:
                                                addList = new java.util.ArrayList();
                                                data.enforceInterface("android.app.IActivityManager");
                                                data.readStringList(addList);
                                                forLast = delGameSpacePackageList(addList);
                                                reply.writeNoException();
                                                reply.writeInt(forLast);
                                                return true;
                                            case 3303:
                                                data.enforceInterface("android.app.IActivityManager");
                                                _result = isInGameSpace(data.readString());
                                                reply.writeNoException();
                                                reply.writeInt(_result);
                                                return true;
                                            case 3304:
                                                data.enforceInterface("android.app.IActivityManager");
                                                addList = getGameList();
                                                reply.writeNoException();
                                                reply.writeStringList(addList);
                                                return true;
                                            case 3305:
                                                data.enforceInterface("android.app.IActivityManager");
                                                registerGameObserver(com.huawei.android.app.IGameObserver.Stub.asInterface(data.readStrongBinder()));
                                                reply.writeNoException();
                                                return true;
                                            case 3306:
                                                data.enforceInterface("android.app.IActivityManager");
                                                unregisterGameObserver(com.huawei.android.app.IGameObserver.Stub.asInterface(data.readStrongBinder()));
                                                reply.writeNoException();
                                                return true;
                                            case 3307:
                                                data.enforceInterface("android.app.IActivityManager");
                                                _result = isGameDndOn();
                                                reply.writeNoException();
                                                reply.writeInt(_result);
                                                return true;
                                            case 3308:
                                                data.enforceInterface("android.app.IActivityManager");
                                                _result = isGameKeyControlOn();
                                                reply.writeNoException();
                                                reply.writeInt(_result);
                                                return true;
                                            case 3309:
                                                data.enforceInterface("android.app.IActivityManager");
                                                _result = isGameGestureDisabled();
                                                reply.writeNoException();
                                                reply.writeInt(_result);
                                                return true;
                                            default:
                                                break;
                                        }
                                }
                        }
                }
            }
            if (DEBUG_HWTRIM) {
                android.util.Log.v("HwActivityManagerService", "AMS.onTransact: got HWMEMCLEAN_TRANSACTION");
            }
            if (mIsSMCSHWSYSMEnabled) {
                if (this.mContext == null) {
                    return false;
                }
                if (this.mContext.checkCallingPermission("huawei.permission.HSM_SMCS") != 0) {
                    if (DEBUG_HWTRIM) {
                        android.util.Log.e("HwActivityManagerService", "SMCSAMSHelper.handleTransact permission deny");
                    }
                    return false;
                } else if (com.android.server.SMCSAMSHelper.getInstance().handleTransact(data, reply, flags)) {
                    return true;
                }
            } else if (DEBUG_HWTRIM) {
                android.util.Log.v("HwActivityManagerService", "AMS.onTransact: HWSysM SMCS is disabled.");
            }
            return super.onTransact(code, data, reply, flags);
        } else {
            data.enforceInterface("android.app.IActivityManager");
            _result = isInMultiWindowMode();
            reply.writeNoException();
            reply.writeInt(_result);
            return true;
        }
    }

    public void addCallerToIntent(android.content.Intent intent, android.app.IApplicationThread caller) {
        java.lang.String callerPackage = null;
        if (caller != null) {
            com.android.server.am.ProcessRecord callerApp = getRecordForAppLocked(caller);
            if (callerApp != null) {
                callerPackage = callerApp.info.packageName;
            }
        }
        if (callerPackage != null) {
            java.lang.String CALLER_PACKAGE = "caller_package";
            try {
                if (isInstall(intent)) {
                    java.lang.String callerIndex = intent.getStringExtra("caller_package");
                    if (callerIndex != null) {
                        callerPackage = callerIndex;
                    }
                    intent.putExtra("caller_package", callerPackage);
                }
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Get package info faild:");
                stringBuilder.append(e);
                android.util.Log.e("HwActivityManagerService", stringBuilder.toString());
            }
        }
    }

    private boolean isInstall(android.content.Intent intent) {
        java.lang.String action = intent.getAction();
        java.lang.String type = intent.getType();
        boolean story = false;
        if ("android.intent.action.INSTALL_PACKAGE".equals(action)) {
            story = true;
        }
        if ("application/vnd.android.package-archive".equals(type)) {
            return true;
        }
        return story;
    }

    private final boolean isOomAdjCustomized(com.android.server.am.ProcessRecord app) {
        if (!sHardCodeAppToSetOomAdjArrays.containsKey(app.info.packageName)) {
            if (!sHardCodeAppToSetOomAdjArrays.containsKey(app.processName)) {
                return false;
            }
        }
        return true;
    }

    private int retrieveCustedMaxAdj(java.lang.String processName) {
        int rc = -901;
        if (sHardCodeAppToSetOomAdjArrays.containsKey(processName)) {
            rc = ((java.lang.Integer) sHardCodeAppToSetOomAdjArrays.get(processName)).intValue();
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("retrieveCustedMaxAdj for processName:");
        stringBuilder.append(processName);
        stringBuilder.append(", get adj:");
        stringBuilder.append(rc);
        android.util.Slog.i("HwActivityManagerService", stringBuilder.toString());
        return rc;
    }

    protected final boolean computeOomAdjLocked(com.android.server.am.ProcessRecord app, int cachedAdj, com.android.server.am.ProcessRecord TOP_APP, boolean doingAll, long now) {
        if (this.mAdjSeq != app.adjSeq) {
            return super.computeOomAdjLocked(app, cachedAdj, TOP_APP, doingAll, now);
        }
        boolean computeOomAdj = super.computeOomAdjLocked(app, cachedAdj, TOP_APP, doingAll, now);
        if (app.curAdj > app.maxAdj && isOomAdjCustomized(app)) {
            app.curAdj = app.maxAdj;
        }
        return computeOomAdj;
    }

    protected final boolean startProcessLocked(com.android.server.am.ProcessRecord app, java.lang.String hostingType, java.lang.String hostingNameStr, java.lang.String abiOverride) {
        java.lang.StringBuilder stringBuilder;
        if (android.util.HwPCUtils.isPcCastModeInServer()) {
            if (this.mPkgDisplayMaps.containsKey(app.info.packageName)) {
                int displayId = ((java.lang.Integer) this.mPkgDisplayMaps.get(app.info.packageName)).intValue();
                if (android.util.HwPCUtils.isValidExtDisplayId(displayId)) {
                    app.mDisplayId = displayId;
                    if (app.entryPointArgs == null) {
                        app.entryPointArgs = new java.lang.String[]{java.lang.String.valueOf(displayId)};
                    }
                }
            }
            if (android.util.HwPCUtils.enabledInPad()) {
                java.util.List<android.view.inputmethod.InputMethodInfo> methodList = android.util.HwPCUtils.getInputMethodList();
                if (methodList != null) {
                    int listSize = methodList.size();
                    java.lang.String pkgName = null;
                    for (int i = 0; listSize > i; i++) {
                        android.view.inputmethod.InputMethodInfo mi = (android.view.inputmethod.InputMethodInfo) methodList.get(i);
                        if (mi != null) {
                            pkgName = mi.getPackageName();
                        }
                        if (pkgName != null && pkgName.equals(app.info.packageName)) {
                            app.entryPointArgs = new java.lang.String[]{java.lang.String.valueOf(android.util.HwPCUtils.getPCDisplayID())};
                            break;
                        }
                    }
                }
            }
        }
        if (android.util.HwVRUtils.isVRMode()) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("hwAMS startProcessLocked is VR Display is ");
            stringBuilder.append(android.util.HwVRUtils.getVRDisplayID());
            android.util.Slog.e("HwActivityManagerService", stringBuilder.toString());
            app.entryPointArgs = new java.lang.String[]{java.lang.String.valueOf(android.util.HwVRUtils.getVRDisplayID()), java.lang.String.valueOf(2880), java.lang.String.valueOf(1600)};
        }
        boolean result = super.startProcessLocked(app, hostingType, hostingNameStr, abiOverride);
        if (isOomAdjCustomized(app)) {
            int custMaxAdj = retrieveCustedMaxAdj(app.processName);
            if (app.maxAdj > -800 && custMaxAdj >= -900 && custMaxAdj <= 906) {
                app.maxAdj = custMaxAdj;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("addAppLocked, app:");
                stringBuilder.append(app);
                stringBuilder.append(", set maxadj to ");
                stringBuilder.append(custMaxAdj);
                android.util.Slog.i("HwActivityManagerService", stringBuilder.toString());
            }
        }
        return result;
    }

    protected void startPushService() {
        java.io.File jarFile = new java.io.File("/system/framework/hwpush.jar");
        java.io.File custFile = huawei.cust.HwCfgFilePolicy.getCfgFile("jars/hwpush.jar", 0);
        if (jarFile.exists() || (custFile != null && custFile.exists())) {
            android.util.Slog.d("HwActivityManagerService", "start push service");
            this.mHandler.postDelayed(new java.lang.Runnable() {
                public void run() {
                    android.content.Intent serviceIntent = new android.content.Intent(com.android.server.am.HwActivityManagerService.this.mContext, com.huawei.android.pushagentproxy.PushService.class);
                    serviceIntent.putExtra("startFlag", "1");
                    com.android.server.am.HwActivityManagerService.this.mContext.startService(serviceIntent);
                }
            }, 30000);
        }
    }

    public android.content.res.Configuration getCurNaviConfiguration() {
        return this.mWindowManager.getCurNaviConfiguration();
    }

    protected void setFocusedActivityLockedForNavi(com.android.server.am.ActivityRecord r) {
        if (this.mFocusedActivityForNavi != r) {
            if (com.android.server.am.ActivityManagerDebugConfig.DEBUG_FOCUS) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("setFocusedActivityLockedForNavi: r=");
                stringBuilder.append(r);
                android.util.Slog.d("HwActivityManagerService", stringBuilder.toString());
            }
            this.mFocusedActivityForNavi = r;
            if (r != null) {
                this.mWindowManager.setFocusedAppForNavi(r.appToken);
            }
        }
    }

    public java.lang.String topAppName() {
        com.android.server.am.ActivityStack focusedStack;
        synchronized (this) {
            focusedStack = getFocusedStack();
        }
        com.android.server.am.ActivityRecord r = focusedStack.topRunningActivityLocked();
        if (r != null) {
            return r.shortComponentName;
        }
        return null;
    }

    public boolean serviceIsRunning(android.content.ComponentName serviceCmpName, int curUser) {
        boolean z;
        synchronized (this) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("serviceIsRunning, for user ");
            stringBuilder.append(curUser);
            stringBuilder.append(", serviceCmpName ");
            stringBuilder.append(serviceCmpName);
            android.util.Slog.d("HwActivityManagerService", stringBuilder.toString());
            z = this.mServices.getServicesLocked(curUser).get(serviceCmpName) != null;
        }
        return z;
    }

    void setDeviceProvisioned() {
        android.content.ContentResolver cr = this.mContext.getContentResolver();
        if ((android.provider.Settings.Global.getInt(cr, "device_provisioned", 0) == 0 || android.provider.Settings.Secure.getInt(cr, "user_setup_complete", 0) == 0) && ((com.android.server.pm.PackageManagerService) android.os.ServiceManager.getService("package")).isSetupDisabled()) {
            android.provider.Settings.Global.putInt(cr, "device_provisioned", 1);
            android.provider.Settings.Secure.putInt(cr, "user_setup_complete", 1);
        }
    }

    public void systemReady(java.lang.Runnable goingCallback, android.util.TimingsTraceLog traceLog) {
        if (!this.mSystemReady) {
            setDeviceProvisioned();
        }
        super.systemReady(goingCallback, traceLog);
        initTrustSpace();
        this.mContext.registerReceiver(new com.android.server.am.HwActivityManagerService.ScreenStatusReceiver(), new android.content.IntentFilter("android.intent.action.stk.check_screen_idle"), "com.huawei.permission.STK_CHECK_SCREEN_IDLE", null);
        this.mContext.registerReceiver(new com.android.server.am.HwActivityManagerService.TrimMemoryReceiver(), new android.content.IntentFilter("huawei.intent.action.HW_TRIM_MEMORY_ACTION"));
    }

    public java.util.ArrayList<java.lang.Integer> getIawareDumpData() {
        java.util.ArrayList<java.lang.Integer> queueSizes = new java.util.ArrayList();
        for (com.android.server.am.BroadcastQueue queue : this.mBroadcastQueues) {
            java.util.ArrayList<java.lang.Integer> queueSizesTemp = queue.getIawareDumpData();
            if (queueSizesTemp != null) {
                queueSizes.addAll(queueSizesTemp);
            }
        }
        return queueSizes;
    }

    public void updateSRMSStatisticsData(int subTypeCode) {
        com.android.server.rms.iaware.srms.SRMSDumpRadar.getInstance().updateStatisticsData(subTypeCode);
    }

    public boolean getIawareResourceFeature(int type) {
        if (type >= 1 && type <= 2) {
            return com.android.server.rms.iaware.srms.ResourceFeature.getIawareResourceFeature(type);
        }
        if (type < 10 || type > 11) {
            return false;
        }
        return com.android.server.rms.iaware.srms.BroadcastFeature.isFeatureEnabled(type);
    }

    public long proxyBroadcast(java.util.List<java.lang.String> pkgs, boolean proxy) {
        long delay;
        synchronized (this) {
            delay = 0;
            for (com.android.server.am.BroadcastQueue queue : this.mBroadcastQueues) {
                long temp = queue.proxyBroadcast(pkgs, proxy);
                delay = temp > delay ? temp : delay;
            }
        }
        return delay;
    }

    public long proxyBroadcastByPid(java.util.List<java.lang.Integer> pids, boolean proxy) {
        long delay;
        synchronized (this) {
            delay = 0;
            for (com.android.server.am.BroadcastQueue queue : this.mBroadcastQueues) {
                long temp = queue.proxyBroadcastByPid(pids, proxy);
                delay = temp > delay ? temp : delay;
            }
        }
        return delay;
    }

    public void setProxyBCActions(java.util.List<java.lang.String> actions) {
        synchronized (this) {
            for (com.android.server.am.BroadcastQueue queue : this.mBroadcastQueues) {
                queue.setProxyBCActions(actions);
            }
        }
    }

    public void setActionExcludePkg(java.lang.String action, java.lang.String pkg) {
        synchronized (this) {
            for (com.android.server.am.BroadcastQueue queue : this.mBroadcastQueues) {
                queue.setActionExcludePkg(action, pkg);
            }
        }
    }

    public void proxyBCConfig(int type, java.lang.String key, java.util.List<java.lang.String> value) {
        synchronized (this) {
            for (com.android.server.am.BroadcastQueue queue : this.mBroadcastQueues) {
                queue.proxyBCConfig(type, key, value);
            }
        }
    }

    public void checkIfScreenStatusRequestAndSendBroadcast() {
        for (int slotId = 0; slotId < this.mScreenStatusRequest.length; slotId++) {
            if (this.mScreenStatusRequest[slotId]) {
                android.content.Intent StkIntent = new android.content.Intent("com.huawei.intent.action.stk.idle_screen");
                StkIntent.addFlags(16777216);
                StkIntent.putExtra("SCREEN_IDLE", true);
                StkIntent.putExtra("slot_id", slotId);
                this.mContext.sendBroadcast(StkIntent, "com.huawei.permission.CAT_IDLE_SCREEN");
            }
        }
    }

    public void setServiceFlagLocked(int servFlag) {
        this.mSrvFlagLocked = servFlag;
    }

    public boolean isProcessExistLocked(java.lang.String processName, int uid) {
        return getProcessRecordLocked(processName, uid, true) != null;
    }

    public com.android.server.am.ProcessRecord getProcessRecordLocked(int pid) {
        com.android.server.am.ProcessRecord proc = null;
        if (pid >= 0) {
            synchronized (this.mPidsSelfLocked) {
                proc = (com.android.server.am.ProcessRecord) this.mPidsSelfLocked.get(pid);
            }
        }
        return proc;
    }

    public boolean shouldPreventSendReceiver(android.content.Intent intent, android.content.pm.ResolveInfo resolveInfo, int callerPid, int callerUid, com.android.server.am.ProcessRecord targetApp, com.android.server.am.ProcessRecord callerApp) {
        com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy appStartupPolicy = com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.self();
        if (appStartupPolicy != null) {
            return appStartupPolicy.shouldPreventSendReceiver(intent, resolveInfo, callerPid, callerUid, targetApp, callerApp);
        }
        return false;
    }

    public boolean shouldPreventStartService(android.content.pm.ServiceInfo servInfo, int callerPid, int callerUid, com.android.server.am.ProcessRecord callerApp, boolean servExist, android.content.Intent service) {
        com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy appStartupPolicy = com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.self();
        if (appStartupPolicy == null) {
            return false;
        }
        return appStartupPolicy.shouldPreventStartService(servInfo, callerPid, callerUid, callerApp, this.mSrvFlagLocked, servExist, service);
    }

    public boolean shouldPreventActivity(android.content.Intent intent, android.content.pm.ActivityInfo aInfo, com.android.server.am.ActivityRecord record, int callerPid, int callerUid, com.android.server.am.ProcessRecord callerApp) {
        if (!(intent == null || aInfo == null)) {
            if (record != null) {
                if (isSleepingLocked() && sPreventStartWhenSleeping.contains(record.shortComponentName)) {
                    return true;
                }
                com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy appStartupPolicy = com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.self();
                if (appStartupPolicy == null) {
                    return false;
                }
                boolean shouldPrevent = appStartupPolicy.shouldPreventStartActivity(intent, aInfo, record, callerPid, callerUid, callerApp);
                if (!shouldPrevent) {
                    shouldPrevent = com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.self().shouldPreventStartActivity(aInfo, callerPid, callerUid, this.mBatteryStatsService.getActiveStatistics().isScreenOn());
                }
                return shouldPrevent;
            }
        }
        return false;
    }

    public boolean shouldPreventRestartService(android.content.pm.ServiceInfo sInfo, boolean realStart) {
        com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy appStartupPolicy = com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.self();
        if (appStartupPolicy != null) {
            return appStartupPolicy.shouldPreventRestartService(sInfo, realStart);
        }
        return false;
    }

    private void initTrustSpace() {
        this.mTrustSpaceManagerInternal = (com.android.server.security.trustspace.TrustSpaceManagerInternal) com.android.server.LocalServices.getService(com.android.server.security.trustspace.TrustSpaceManagerInternal.class);
        if (this.mTrustSpaceManagerInternal == null) {
            android.util.Slog.e("HwActivityManagerService", "TrustSpaceManagerInternal not find !");
        } else {
            this.mTrustSpaceManagerInternal.initTrustSpace();
        }
    }

    private boolean shouldPreventStartComponent(int type, java.lang.String calleePackage, int callerUid, int callerPid, java.lang.String callerPackage, int userId) {
        boolean shouldPrevent = false;
        if (!this.mSystemReady) {
            return false;
        }
        long ident = android.os.Binder.clearCallingIdentity();
        try {
            if (this.mTrustSpaceManagerInternal != null) {
                shouldPrevent = this.mTrustSpaceManagerInternal.checkIntent(type, calleePackage, callerUid, callerPid, callerPackage, userId);
            }
            com.android.server.security.securityprofile.ISecurityProfileController spc = com.android.server.HwServiceFactory.getSecurityProfileController();
            if (spc != null) {
                shouldPrevent |= spc.shouldPreventInteraction(type, calleePackage, callerUid, callerPid, callerPackage, userId);
            }
            shouldPrevent |= com.android.server.security.hsm.HwSystemManagerPlugin.getInstance(this.mContext).shouldPreventStartComponent(type, calleePackage, callerUid, callerPid, callerPackage, userId);
            return shouldPrevent;
        } finally {
            android.os.Binder.restoreCallingIdentity(ident);
        }
    }

    public boolean shouldPreventStartService(android.content.pm.ServiceInfo sInfo, int callerUid, int callerPid, java.lang.String callerPackage, int userId) {
        if (sInfo == null) {
            return false;
        }
        return shouldPreventStartComponent(2, sInfo.applicationInfo.packageName, callerUid, callerPid, callerPackage, userId);
    }

    public boolean shouldPreventStartActivity(android.content.pm.ActivityInfo aInfo, int callerUid, int callerPid, java.lang.String callerPackage, int userId) {
        if (aInfo == null) {
            return false;
        }
        return shouldPreventStartComponent(0, aInfo.applicationInfo.packageName, callerUid, callerPid, callerPackage, userId);
    }

    public boolean shouldPreventStartProvider(android.content.pm.ProviderInfo cpi, int callerUid, int callerPid, java.lang.String callerPackage, int userId) {
        if (cpi == null) {
            return false;
        }
        return shouldPreventStartComponent(3, cpi.packageName, callerUid, callerPid, callerPackage, userId);
    }

    public boolean shouldPreventSendBroadcast(android.content.Intent intent, java.lang.String receiver, int callerUid, int callerPid, java.lang.String callingPackage, int userId) {
        return shouldPreventStartComponent(1, receiver, callerUid, callerPid, callingPackage, userId);
    }

    protected void exitSingleHandMode() {
        this.mHandler.removeCallbacks(this.mOverscanTimeout);
        this.mHandler.postDelayed(this.mOverscanTimeout, 200);
    }

    public boolean shouldPreventStartProvider(android.content.pm.ProviderInfo cpi, int callerPid, int callerUid, com.android.server.am.ProcessRecord callerApp) {
        com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy appStartupPolicy = com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.self();
        if (appStartupPolicy != null) {
            return appStartupPolicy.shouldPreventStartProvider(cpi, callerPid, callerUid, callerApp);
        }
        return false;
    }

    protected void setCustomActivityController(android.app.IActivityController controller) {
        enforceCallingPermission("android.permission.SET_ACTIVITY_WATCHER", "setCustomActivityController()");
        synchronized (this) {
            this.mCustomController = controller;
        }
        com.android.server.input.HwInputManagerService.HwInputManagerServiceInternal inputManager = (com.android.server.input.HwInputManagerService.HwInputManagerServiceInternal) com.android.server.LocalServices.getService(com.android.server.input.HwInputManagerService.HwInputManagerServiceInternal.class);
        if (inputManager != null) {
            inputManager.setCustomActivityController(controller);
        }
    }

    public void setRequestedOrientation(android.os.IBinder token, int requestedOrientation) {
        super.setRequestedOrientation(token, requestedOrientation);
        if (this.mWindowManager.getLazyMode() != 0) {
            long origId = android.os.Binder.clearCallingIdentity();
            try {
                synchronized (this) {
                    if (requestedOrientation == 0 || requestedOrientation == 6 || requestedOrientation == 8 || requestedOrientation == 11) {
                        android.provider.Settings.Global.putString(this.mContext.getContentResolver(), "single_hand_mode", "");
                    }
                }
                android.os.Binder.restoreCallingIdentity(origId);
            } catch (Throwable th) {
                android.os.Binder.restoreCallingIdentity(origId);
            }
        }
    }

    protected boolean customActivityStarting(android.content.Intent intent, java.lang.String packageName) {
        if (this.mCustomController != null) {
            boolean startOK = true;
            try {
                startOK = this.mCustomController.activityStarting(intent.cloneFilter(), packageName);
            } catch (android.os.RemoteException e) {
                this.mCustomController = null;
                com.android.server.input.HwInputManagerService.HwInputManagerServiceInternal inputManager = (com.android.server.input.HwInputManagerService.HwInputManagerServiceInternal) com.android.server.LocalServices.getService(com.android.server.input.HwInputManagerService.HwInputManagerServiceInternal.class);
                if (inputManager != null) {
                    inputManager.setCustomActivityController(null);
                }
            }
            if (!startOK) {
                android.util.Slog.i("HwActivityManagerService", "Not starting activity because custom controller stop it");
                return true;
            }
        }
        return false;
    }

    protected boolean customActivityResuming(java.lang.String packageName) {
        com.android.server.security.securityprofile.ISecurityProfileController spc = com.android.server.HwServiceFactory.getSecurityProfileController();
        if (spc != null) {
            spc.handleActivityResuming(packageName);
        }
        if (this.mCustomController != null) {
            boolean resumeOK = true;
            try {
                resumeOK = this.mCustomController.activityResuming(packageName);
            } catch (android.os.RemoteException e) {
                this.mCustomController = null;
                com.android.server.input.HwInputManagerService.HwInputManagerServiceInternal inputManager = (com.android.server.input.HwInputManagerService.HwInputManagerServiceInternal) com.android.server.LocalServices.getService(com.android.server.input.HwInputManagerService.HwInputManagerServiceInternal.class);
                if (inputManager != null) {
                    inputManager.setCustomActivityController(null);
                }
            }
            if (!resumeOK) {
                android.util.Slog.i("HwActivityManagerService", "Not resuming activity because custom controller stop it");
                return true;
            }
        }
        return false;
    }

    protected com.android.server.am.BroadcastQueue[] initialBroadcastQueue() {
        int queueNum;
        if (enableIaware) {
            queueNum = 6;
        } else if (enableRms) {
            queueNum = 4;
        } else {
            queueNum = 2;
            return new com.android.server.am.BroadcastQueue[queueNum];
        }
        return new com.android.server.am.BroadcastQueue[queueNum];
    }

    protected void setThirdPartyAppBroadcastQueue(com.android.server.am.BroadcastQueue[] broadcastQueues) {
        if (enableRms || enableIaware) {
            com.android.server.ServiceThread thirdAppHandlerThread = new com.android.server.ServiceThread("ThirdAppHandlerThread", 10, false);
            thirdAppHandlerThread.start();
            android.os.Handler thirdAppHandler = new android.os.Handler(thirdAppHandlerThread.getLooper());
            this.mFgThirdAppBroadcastQueue = new com.android.server.am.HwBroadcastQueue(this, thirdAppHandler, "fgthirdapp", (long) BROADCAST_FG_TIMEOUT, false);
            this.mBgThirdAppBroadcastQueue = new com.android.server.am.HwBroadcastQueue(this, thirdAppHandler, "bgthirdapp", (long) BROADCAST_BG_TIMEOUT, false);
            broadcastQueues[2] = this.mFgThirdAppBroadcastQueue;
            broadcastQueues[3] = this.mBgThirdAppBroadcastQueue;
        }
    }

    protected void setKeyAppBroadcastQueue(com.android.server.am.BroadcastQueue[] broadcastQueues) {
        if (enableIaware) {
            com.android.server.ServiceThread keyAppHandlerThread = new com.android.server.ServiceThread("keyAppHanderThread", 0, false);
            keyAppHandlerThread.start();
            android.os.Handler keyAppHandler = new android.os.Handler(keyAppHandlerThread.getLooper());
            this.mFgKeyAppBroadcastQueue = new com.android.server.am.HwBroadcastQueue(this, keyAppHandler, "fgkeyapp", (long) BROADCAST_FG_TIMEOUT, false);
            this.mBgKeyAppBroadcastQueue = new com.android.server.am.HwBroadcastQueue(this, keyAppHandler, "bgkeyapp", (long) BROADCAST_BG_TIMEOUT, false);
            broadcastQueues[4] = this.mFgKeyAppBroadcastQueue;
            broadcastQueues[5] = this.mBgKeyAppBroadcastQueue;
        }
    }

    protected boolean isThirdPartyAppBroadcastQueue(com.android.server.am.ProcessRecord callerApp) {
        boolean z = false;
        if ((!enableRms && !getIawareResourceFeature(1)) || callerApp == null) {
            return false;
        }
        if (DEBUG_HWTRIM || android.util.Log.HWINFO) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Split enqueueing broadcast [callerApp]:");
            stringBuilder.append(callerApp);
            android.util.Log.i("HwActivityManagerService", stringBuilder.toString());
        }
        if (callerApp.instr != null) {
            return false;
        }
        if ((callerApp.info.flags & 1) != 0) {
            if ((callerApp.info.hwFlags & 33554432) == 0) {
                return z;
            }
        }
        z = true;
        return z;
    }

    protected boolean isKeyAppBroadcastQueue(int type, java.lang.String name) {
        return getIawareResourceFeature(1) && name != null && isKeyApp(type, 0, name);
    }

    protected boolean isThirdPartyAppPendingBroadcastProcessLocked(int pid) {
        boolean z = false;
        if (!enableRms) {
            if (!getIawareResourceFeature(1)) {
                return false;
            }
        }
        if (!this.mFgThirdAppBroadcastQueue.isPendingBroadcastProcessLocked(pid)) {
            if (!this.mBgThirdAppBroadcastQueue.isPendingBroadcastProcessLocked(pid)) {
                return z;
            }
        }
        z = true;
        return z;
    }

    protected boolean isKeyAppPendingBroadcastProcessLocked(int pid) {
        boolean z = true;
        if (!getIawareResourceFeature(1) || this.mFgKeyAppBroadcastQueue == null || this.mBgKeyAppBroadcastQueue == null) {
            return false;
        }
        if (!this.mFgKeyAppBroadcastQueue.isPendingBroadcastProcessLocked(pid)) {
            if (!this.mBgKeyAppBroadcastQueue.isPendingBroadcastProcessLocked(pid)) {
                z = false;
                return z;
            }
        }
        return z;
    }

    protected com.android.server.am.BroadcastQueue thirdPartyAppBroadcastQueueForIntent(android.content.Intent intent) {
        boolean isFg = (intent.getFlags() & 268435456) != 0;
        if (DEBUG_HWTRIM || android.util.Log.HWINFO) {
            java.lang.String str = "HwActivityManagerService";
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("thirdAppBroadcastQueueForIntent intent ");
            stringBuilder.append(intent);
            stringBuilder.append(" on ");
            stringBuilder.append(isFg ? "fgthirdapp" : "bgthirdapp");
            stringBuilder.append(" queue");
            android.util.Log.i(str, stringBuilder.toString());
        }
        return isFg ? this.mFgThirdAppBroadcastQueue : this.mBgThirdAppBroadcastQueue;
    }

    protected com.android.server.am.BroadcastQueue keyAppBroadcastQueueForIntent(android.content.Intent intent) {
        boolean isFg = (intent.getFlags() & 268435456) != 0;
        if (DEBUG_HWTRIM || android.util.Log.HWINFO) {
            java.lang.String str = "HwActivityManagerService";
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("keyAppBroadcastQueueForIntent intent ");
            stringBuilder.append(intent);
            stringBuilder.append(" on ");
            stringBuilder.append(isFg ? "fgkeyapp" : "bgkeyapp");
            stringBuilder.append(" queue");
            android.util.Log.i(str, stringBuilder.toString());
        }
        if (isFg) {
            updateSRMSStatisticsData(0);
        } else {
            updateSRMSStatisticsData(1);
        }
        return isFg ? this.mFgKeyAppBroadcastQueue : this.mBgKeyAppBroadcastQueue;
    }

    protected void initBroadcastResourceLocked() {
        if (this.mBroadcastResource == null) {
            if (DEBUG_HWTRIM || android.util.Log.HWINFO) {
                android.util.Log.d("HwActivityManagerService", "init BroadcastResource");
            }
            this.mBroadcastResource = android.common.HwFrameworkFactory.getHwResource(11);
        }
    }

    public void checkOrderedBroadcastTimeoutLocked(java.lang.String actionOrPkg, int timeCost, boolean isInToOut) {
        if (getIawareResourceFeature(2)) {
            if (this.mOrderedBroadcastResource == null) {
                if (DEBUG_HWTRIM || android.util.Log.HWINFO) {
                    android.util.Log.d("HwActivityManagerService", "init OrderedBroadcastResource");
                }
                this.mOrderedBroadcastResource = android.common.HwFrameworkFactory.getHwResource(31);
            }
            if (!(this.mOrderedBroadcastResource == null || isInToOut)) {
                this.mOrderedBroadcastResource.acquire(0, actionOrPkg, 0);
            }
        }
    }

    protected void checkBroadcastRecordSpeed(int callingUid, java.lang.String callerPackage, com.android.server.am.ProcessRecord callerApp) {
        if (this.mBroadcastResource != null && callerApp != null) {
            int uid = callingUid;
            java.lang.String pkg = callerPackage;
            int processType = getProcessType(callerApp);
            if (("1".equals(android.os.SystemProperties.get("ro.debuggable", "0")) || processType == 0) && 2 == this.mBroadcastResource.acquire(uid, pkg, processType) && com.android.server.am.ActivityManagerDebugConfig.DEBUG_BROADCAST) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("This App send broadcast speed is overload! uid = ");
                stringBuilder.append(uid);
                android.util.Log.i("HwActivityManagerService", stringBuilder.toString());
            }
        }
    }

    protected void clearBroadcastResource(com.android.server.am.ProcessRecord app) {
        if (this.mBroadcastResource != null && app != null) {
            int uid = app.info.uid;
            java.lang.String pkg = app.info.packageName;
            int processType = getProcessType(app);
            if ("1".equals(android.os.SystemProperties.get("ro.debuggable", "0")) || processType == 0) {
                this.mBroadcastResource.clear(uid, pkg, processType);
            }
        }
    }

    private int getProcessType(com.android.server.am.ProcessRecord app) {
        return (app.info.flags & 1) != 0 ? 2 : 0;
    }

    public boolean isKeyApp(int type, int value, java.lang.String key) {
        if (this.mBroadcastResource == null || key == null || 1 != this.mBroadcastResource.queryPkgPolicy(type, value, key)) {
            return false;
        }
        if (android.util.Log.HWLog) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("isKeyApp in whiteList key:");
            stringBuilder.append(key);
            stringBuilder.append(" , type is ");
            stringBuilder.append(type);
            android.util.Log.i("HwActivityManagerService", stringBuilder.toString());
        }
        return true;
    }

    public com.android.server.util.AbsUserBehaviourRecord getRecordCust() {
        if (this.mCust == null) {
            this.mCust = new com.android.server.util.HwUserBehaviourRecord(this.mContext);
        }
        return this.mCust;
    }

    private void initAppResourceLocked() {
        if (this.mAppResource == null) {
            android.util.Log.i("HwActivityManagerService", "init Appresource");
            this.mAppResource = android.common.HwFrameworkFactory.getHwResource(18);
        }
    }

    private void initAppServiceResourceLocked() {
        if (this.mAppServiceResource == null) {
            android.util.Log.i("HwActivityManagerService", "init AppServiceResource");
            this.mAppServiceResource = android.common.HwFrameworkFactory.getHwResource(17);
        }
    }

    public void initAppAndAppServiceResourceLocked() {
        initAppResourceLocked();
        initAppServiceResourceLocked();
    }

    public boolean isAcquireAppServiceResourceLocked(com.android.server.am.ServiceRecord sr, com.android.server.am.ProcessRecord app) {
        if (this.mAppServiceResource == null || sr == null || sr.appInfo.uid <= 0 || sr.appInfo.packageName == null || sr.serviceInfo.name == null || 2 != this.mAppServiceResource.acquire(sr.appInfo.uid, sr.appInfo.packageName, getProcessType(app))) {
            return true;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Failed to acquire AppServiceResource:");
        stringBuilder.append(sr.serviceInfo.name);
        stringBuilder.append(" of ");
        stringBuilder.append(sr.appInfo.packageName);
        stringBuilder.append("/");
        stringBuilder.append(sr.appInfo.uid);
        android.util.Log.i("HwActivityManagerService", stringBuilder.toString());
        return false;
    }

    public boolean isAcquireAppResourceLocked(com.android.server.am.ProcessRecord app) {
        if (!(this.mAppResource == null || app == null || app.uid <= 0 || app.info == null || app.processName == null || app.startTime <= 0)) {
            int processType = ((app.info.flags & 1) != 0 && (app.info.hwFlags & 33554432) == 0 && (app.info.hwFlags & 67108864) == 0) ? 2 : 0;
            android.os.Bundle args = new android.os.Bundle();
            args.putInt("callingUid", app.uid);
            args.putString("pkg", app.processName);
            args.putLong("startTime", app.startTime);
            args.putInt("processType", processType);
            args.putBoolean("launchfromActivity", app.launchfromActivity);
            args.putBoolean("topProcess", isTopProcessLocked(app));
            if (2 == this.mAppResource.acquire(null, null, args)) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Failed to acquire AppResource:");
                stringBuilder.append(app.info.packageName);
                stringBuilder.append("/");
                stringBuilder.append(app.uid);
                android.util.Log.i("HwActivityManagerService", stringBuilder.toString());
                return false;
            }
        }
        return true;
    }

    private void clearAppServiceResource(com.android.server.am.ProcessRecord app) {
        if (this.mAppServiceResource != null && app != null) {
            this.mAppServiceResource.clear(app.uid, app.info.packageName, getProcessType(app));
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("clear AppServiceResource of ");
            stringBuilder.append(app.info.packageName);
            stringBuilder.append("/");
            stringBuilder.append(app.uid);
            android.util.Log.i("HwActivityManagerService", stringBuilder.toString());
        }
    }

    private void clearAppResource(com.android.server.am.ProcessRecord app) {
        if (this.mAppResource != null && app != null && app.uid > 0 && app.info != null && app.info.packageName != null) {
            int processType = ((app.info.flags & 1) != 0 && (app.info.hwFlags & 33554432) == 0 && (app.info.hwFlags & 67108864) == 0) ? 2 : 0;
            this.mAppResource.clear(app.uid, app.info.packageName, processType);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("clear Appresource of ");
            stringBuilder.append(app.info.packageName);
            stringBuilder.append("/");
            stringBuilder.append(app.uid);
            android.util.Log.i("HwActivityManagerService", stringBuilder.toString());
        }
    }

    public void clearAppAndAppServiceResource(com.android.server.am.ProcessRecord app) {
        clearAppServiceResource(app);
        clearAppResource(app);
    }

    public void trimGLMemory(int level) {
        android.util.Slog.i("HwActivityManagerService", " trimGLMemory begin ");
        synchronized (this.mLruProcesses) {
            int list_size = this.mLruProcesses.size();
            for (int i = 0; i < list_size; i++) {
                com.android.server.am.ProcessRecord app = (com.android.server.am.ProcessRecord) this.mLruProcesses.get(i);
                if (app.thread != null) {
                    try {
                        app.thread.scheduleTrimMemory(level);
                    } catch (android.os.RemoteException e) {
                    }
                }
            }
        }
        android.util.Slog.i("HwActivityManagerService", " trimGLMemory end ");
    }

    public java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBaseInfo> getAllProcessBaseInfo() {
        android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBaseInfo> list;
        synchronized (this.mPidsSelfLocked) {
            int size = this.mPidsSelfLocked.size();
            list = new android.util.ArrayMap(size);
            for (int i = 0; i < size; i++) {
                com.android.server.am.ProcessRecord p = (com.android.server.am.ProcessRecord) this.mPidsSelfLocked.valueAt(i);
                com.android.server.mtm.iaware.appmng.AwareProcessBaseInfo baseInfo = new com.android.server.mtm.iaware.appmng.AwareProcessBaseInfo();
                baseInfo.mCurAdj = p.curAdj;
                baseInfo.mForegroundActivities = p.foregroundActivities;
                baseInfo.mAdjType = p.adjType;
                baseInfo.mHasShownUi = p.hasShownUi;
                baseInfo.mUid = p.uid;
                baseInfo.mAppUid = p.info.uid;
                baseInfo.mSetProcState = p.setProcState;
                list.put(java.lang.Integer.valueOf(p.pid), baseInfo);
            }
        }
        return list;
    }

    public com.android.server.mtm.iaware.appmng.AwareProcessBaseInfo getProcessBaseInfo(int pid) {
        com.android.server.mtm.iaware.appmng.AwareProcessBaseInfo baseInfo;
        synchronized (this.mPidsSelfLocked) {
            baseInfo = new com.android.server.mtm.iaware.appmng.AwareProcessBaseInfo();
            baseInfo.mCurAdj = 1001;
            com.android.server.am.ProcessRecord p = (com.android.server.am.ProcessRecord) this.mPidsSelfLocked.get(pid);
            if (p != null) {
                baseInfo.mForegroundActivities = p.foregroundActivities;
                baseInfo.mUid = p.uid;
                baseInfo.mAppUid = p.info.uid;
                baseInfo.mSetProcState = p.setProcState;
                baseInfo.mCurAdj = p.curAdj;
                baseInfo.mAdjType = p.adjType;
            }
        }
        return baseInfo;
    }

    public void reportAssocEnable(android.util.ArrayMap<java.lang.Integer, java.lang.Integer> forePids) {
        android.rms.HwSysResManager resManager = android.rms.HwSysResManager.getInstance();
        if (resManager != null && resManager.isResourceNeeded(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_APPASSOC)) && forePids != null) {
            synchronized (this) {
                java.util.Iterator it = this.mLruProcesses.iterator();
                while (it.hasNext()) {
                    com.android.server.am.ProcessRecord proc = (com.android.server.am.ProcessRecord) it.next();
                    if (proc != null) {
                        if (proc.foregroundActivities) {
                            forePids.put(java.lang.Integer.valueOf(proc.pid), java.lang.Integer.valueOf(proc.uid));
                        }
                        java.util.ArrayList<java.lang.String> pkgs = new java.util.ArrayList();
                        int size = proc.pkgList.size();
                        for (int i = 0; i < size; i++) {
                            java.lang.String pkg = (java.lang.String) proc.pkgList.keyAt(i);
                            if (!pkgs.contains(pkg)) {
                                pkgs.add(pkg);
                            }
                        }
                        android.os.Bundle args = new android.os.Bundle();
                        args.putInt("callPid", proc.pid);
                        args.putInt("callUid", proc.uid);
                        args.putString("callProcName", proc.processName);
                        args.putInt("userid", proc.userId);
                        args.putStringArrayList("pkgname", pkgs);
                        args.putInt("relationType", 4);
                        android.rms.HwSysResManager.getInstance().reportData(new android.rms.iaware.CollectData(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_APPASSOC), java.lang.System.currentTimeMillis(), args));
                        java.util.Iterator it2 = proc.connections.iterator();
                        while (it2.hasNext()) {
                            com.android.server.am.ConnectionRecord cr = (com.android.server.am.ConnectionRecord) it2.next();
                            if (cr != null) {
                                if (cr.binding != null) {
                                    this.mHwAMSEx.reportServiceRelationIAware(1, cr.binding.service, proc);
                                }
                            }
                        }
                        it2 = proc.conProviders.iterator();
                        while (it2.hasNext()) {
                            com.android.server.am.ContentProviderConnection cpc = (com.android.server.am.ContentProviderConnection) it2.next();
                            if (cpc != null) {
                                this.mHwAMSEx.reportServiceRelationIAware(2, cpc.provider, proc);
                            }
                        }
                    }
                }
                this.mHwAMSEx.reportHomeProcess(this.mHomeProcess);
            }
        }
    }

    public void setPackageStoppedState(java.util.List<java.lang.String> packageList, boolean stopped, int targetUid) {
        if (packageList != null) {
            int userId = android.os.UserHandle.getUserId(targetUid);
            android.content.pm.IPackageManager pm = android.app.AppGlobals.getPackageManager();
            try {
                synchronized (this) {
                    for (java.lang.String packageName : packageList) {
                        pm.setPackageStoppedState(packageName, stopped, userId);
                    }
                }
            } catch (android.os.RemoteException e) {
            } catch (java.lang.IllegalArgumentException e2) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Failed trying to unstop package ");
                stringBuilder.append(packageList.toString());
                stringBuilder.append(": ");
                stringBuilder.append(e2);
                android.util.Slog.w("HwActivityManagerService", stringBuilder.toString());
            }
        }
    }

    protected final boolean cleanUpApplicationRecordLocked(com.android.server.am.ProcessRecord app, boolean restarting, boolean allowRestart, int index, boolean replacingPid) {
        if (IS_TABLET) {
            if (this.mSplitActivityEntryStack != null && this.mSplitActivityEntryStack.containsKey(java.lang.Integer.valueOf(app.pid))) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Split main entrance killed, clear sub activities for ");
                stringBuilder.append(app.info.packageName);
                stringBuilder.append(", pid ");
                stringBuilder.append(app.pid);
                android.util.Slog.w("HwActivityManagerService", stringBuilder.toString());
                clearEntryStack(app.pid, null);
                this.mSplitActivityEntryStack.remove(java.lang.Integer.valueOf(app.pid));
            }
            if (this.mCurrentSplitIntent != null && this.mCurrentSplitIntent.containsKey(java.lang.Integer.valueOf(app.pid))) {
                this.mCurrentSplitIntent.remove(java.lang.Integer.valueOf(app.pid));
            }
        }
        return super.cleanUpApplicationRecordLocked(app, restarting, allowRestart, index, replacingPid);
    }

    public void cleanActivityByUid(java.util.List<java.lang.String> packageList, int targetUid) {
        synchronized (this) {
            int userId = android.os.UserHandle.getUserId(targetUid);
            for (java.lang.String packageName : packageList) {
                if (canCleanTaskRecord(packageName)) {
                    this.mStackSupervisor.finishDisabledPackageActivitiesLocked(packageName, null, true, false, userId);
                }
            }
        }
    }

    public int numOfPidWithActivity(int uid) {
        int count = 0;
        synchronized (this.mPidsSelfLocked) {
            int list_size = this.mPidsSelfLocked.size();
            for (int i = 0; i < list_size; i++) {
                com.android.server.am.ProcessRecord p = (com.android.server.am.ProcessRecord) this.mPidsSelfLocked.valueAt(i);
                if (p.uid == uid && p.hasShownUi) {
                    count++;
                }
            }
        }
        return count;
    }

    protected void forceValidateHomeButton(int userId) {
        if (android.provider.Settings.Secure.getIntForUser(this.mContext.getContentResolver(), "user_setup_complete", 0, userId) == 0 || android.provider.Settings.Global.getInt(this.mContext.getContentResolver(), "device_provisioned", 0) == 0) {
            android.provider.Settings.Global.putInt(this.mContext.getContentResolver(), "device_provisioned", 1);
            android.provider.Settings.Secure.putIntForUser(this.mContext.getContentResolver(), "user_setup_complete", 1, userId);
            android.util.Log.w("HwActivityManagerService", "DEVICE_PROVISIONED or USER_SETUP_COMPLETE set 0 to 1!");
        }
    }

    protected boolean isStartLauncherActivity(android.content.Intent intent, int userId) {
        if (intent == null) {
            android.util.Log.w("HwActivityManagerService", "intent is null, not start launcher!");
            return false;
        }
        android.content.pm.PackageManager pm = this.mContext.getPackageManager();
        android.content.Intent mainIntent = new android.content.Intent("android.intent.action.MAIN").addCategory("android.intent.category.HOME").addCategory("android.intent.category.DEFAULT");
        android.content.ComponentName cmp = intent.getComponent();
        if (pm != null && intent.hasCategory("android.intent.category.HOME")) {
            long origId = android.os.Binder.clearCallingIdentity();
            try {
                for (android.content.pm.ResolveInfo info : pm.queryIntentActivitiesAsUser(mainIntent, 0, userId)) {
                    if (info != null && info.priority == 0 && cmp != null && info.activityInfo != null && cmp.getPackageName().equals(info.activityInfo.packageName)) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("info priority is 0, cmp: ");
                        stringBuilder.append(cmp);
                        stringBuilder.append(", userId: ");
                        stringBuilder.append(userId);
                        android.util.Log.d("HwActivityManagerService", stringBuilder.toString());
                        return true;
                    }
                }
                android.os.Binder.restoreCallingIdentity(origId);
            } finally {
                android.os.Binder.restoreCallingIdentity(origId);
            }
        }
        return false;
    }

    /* JADX WARNING: Missing block: B:10:0x0019, code:
            return r2;
     */
    private java.lang.String getPackageNameForPid(int r6) {
        /*
        r5 = this;
        r0 = r5.mPidsSelfLocked;
        monitor-enter(r0);
        r1 = r5.mPidsSelfLocked;	 Catch:{ all -> 0x0038 }
        r1 = r1.get(r6);	 Catch:{ all -> 0x0038 }
        r1 = (com.android.server.am.ProcessRecord) r1;	 Catch:{ all -> 0x0038 }
        if (r1 == 0) goto L_0x001a;
    L_0x000d:
        r2 = r1.info;	 Catch:{ all -> 0x0038 }
        if (r2 == 0) goto L_0x0016;
    L_0x0011:
        r2 = r1.info;	 Catch:{ all -> 0x0038 }
        r2 = r2.packageName;	 Catch:{ all -> 0x0038 }
        goto L_0x0018;
    L_0x0016:
        r2 = "android";
    L_0x0018:
        monitor-exit(r0);	 Catch:{ all -> 0x0038 }
        return r2;
    L_0x001a:
        r2 = 100;
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0038 }
        r3.<init>();	 Catch:{ all -> 0x0038 }
        r4 = "ProcessRecord for pid ";
        r3.append(r4);	 Catch:{ all -> 0x0038 }
        r3.append(r6);	 Catch:{ all -> 0x0038 }
        r4 = " does not exist";
        r3.append(r4);	 Catch:{ all -> 0x0038 }
        r3 = r3.toString();	 Catch:{ all -> 0x0038 }
        android.util.Flog.i(r2, r3);	 Catch:{ all -> 0x0038 }
        r2 = 0;
        monitor-exit(r0);	 Catch:{ all -> 0x0038 }
        return r2;
    L_0x0038:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x0038 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.am.HwActivityManagerService.getPackageNameForPid(int):java.lang.String");
    }

    public boolean isInMultiWindowMode() {
        long origId = android.os.Binder.clearCallingIdentity();
        try {
            synchronized (this) {
                com.android.server.am.ActivityStack focusedStack = getFocusedStack();
                if (focusedStack == null) {
                    android.os.Binder.restoreCallingIdentity(origId);
                    return false;
                }
                boolean inMultiWindowMode = focusedStack.inMultiWindowMode();
                android.os.Binder.restoreCallingIdentity(origId);
                return inMultiWindowMode;
            }
        } catch (Throwable th) {
            android.os.Binder.restoreCallingIdentity(origId);
        }
    }

    public boolean isLauncher(java.lang.String packageName) {
        if (android.os.Process.myUid() == 1000 && packageName != null) {
            if (!packageName.trim().isEmpty()) {
                if ("com.huawei.android.launcher".equals(packageName)) {
                    return true;
                }
                if (this.mContext != null) {
                    java.util.List<android.content.pm.ResolveInfo> outActivities = new java.util.ArrayList();
                    android.content.pm.PackageManager pm = this.mContext.getPackageManager();
                    if (pm != null) {
                        android.content.ComponentName componentName = pm.getHomeActivities(outActivities);
                        if (componentName == null || componentName.getPackageName() == null) {
                            for (android.content.pm.ResolveInfo info : outActivities) {
                                java.lang.String homePkg = info.activityInfo.packageName;
                                if (packageName.equals(homePkg)) {
                                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                    stringBuilder.append("homePkg is ");
                                    stringBuilder.append(homePkg);
                                    stringBuilder.append(" ,isLauncher");
                                    android.util.Slog.d("HwActivityManagerService", stringBuilder.toString());
                                    return true;
                                }
                            }
                        } else if (packageName.equals(componentName.getPackageName())) {
                            return true;
                        } else {
                            return false;
                        }
                    }
                }
                return false;
            }
        }
        return false;
    }

    private void setIntentInfo(android.content.Intent intent, int pid, android.os.Bundle bundle, boolean forLast) {
        if (forLast) {
            this.mLastSplitIntent = intent;
            this.mSplitExtras = bundle;
            return;
        }
        if (!this.mCurrentSplitIntent.containsKey(java.lang.Integer.valueOf(pid))) {
            android.util.Log.e("HwActivityManagerService", "CRITICAL_LOG add intent info.");
        }
        this.mCurrentSplitIntent.put(java.lang.Integer.valueOf(pid), intent);
    }

    private android.os.Parcelable[] getIntentInfo(int pid, boolean forLast) {
        if (forLast) {
            return new android.os.Parcelable[]{this.mLastSplitIntent, this.mSplitExtras};
        }
        return new android.os.Parcelable[]{(android.os.Parcelable) this.mCurrentSplitIntent.get(java.lang.Integer.valueOf(pid)), null};
    }

    public void addToEntryStack(int pid, android.os.IBinder token, int resultCode, android.content.Intent resultData) {
        if (this.mSplitActivityEntryStack == null) {
            this.mSplitActivityEntryStack = new java.util.HashMap();
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("addToEntryStack, activity is ");
        stringBuilder.append(token);
        android.util.Flog.i(100, stringBuilder.toString());
        java.util.Stack<android.os.IBinder> pkgStack = (java.util.Stack) this.mSplitActivityEntryStack.get(java.lang.Integer.valueOf(pid));
        if (pkgStack == null) {
            pkgStack = new java.util.Stack();
        }
        pkgStack.push(token);
        this.mSplitActivityEntryStack.put(java.lang.Integer.valueOf(pid), pkgStack);
    }

    public void clearEntryStack(int pid, android.os.IBinder selfToken) {
        if (this.mSplitActivityEntryStack != null) {
            if (!this.mSplitActivityEntryStack.isEmpty()) {
                java.util.Stack<android.os.IBinder> pkgStack = (java.util.Stack) this.mSplitActivityEntryStack.get(java.lang.Integer.valueOf(pid));
                if (!(pkgStack == null || pkgStack.empty())) {
                    if (selfToken == null || selfToken.equals(pkgStack.peek())) {
                        long ident = android.os.Binder.clearCallingIdentity();
                        while (!pkgStack.empty()) {
                            android.os.IBinder token = (android.os.IBinder) pkgStack.pop();
                            if (!(token == null || token.equals(selfToken))) {
                                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("Clearing entry ");
                                stringBuilder.append(token);
                                android.util.Flog.i(100, stringBuilder.toString());
                                finishActivity(token, 0, null, 0);
                            }
                        }
                        android.os.Binder.restoreCallingIdentity(ident);
                        if (selfToken != null) {
                            pkgStack.push(selfToken);
                        }
                    }
                }
            }
        }
    }

    public boolean isTopSplitActivity(int pid, android.os.IBinder token) {
        if (!(this.mSplitActivityEntryStack == null || this.mSplitActivityEntryStack.isEmpty())) {
            if (token != null) {
                java.util.Stack<android.os.IBinder> pkgStack = (java.util.Stack) this.mSplitActivityEntryStack.get(java.lang.Integer.valueOf(pid));
                if (pkgStack != null) {
                    if (!pkgStack.empty()) {
                        return token.equals(pkgStack.peek());
                    }
                }
                return false;
            }
        }
        return false;
    }

    public void removeFromEntryStack(int pid, android.os.IBinder token) {
        if (token != null) {
            if (this.mSplitActivityEntryStack != null) {
                java.util.Stack<android.os.IBinder> pkgStack = (java.util.Stack) this.mSplitActivityEntryStack.get(java.lang.Integer.valueOf(pid));
                if (pkgStack != null && pkgStack.empty()) {
                    pkgStack.remove(token);
                }
            }
        }
    }

    public boolean isLimitedPackageBroadcast(android.content.Intent intent) {
        java.lang.String action = intent.getAction();
        boolean limitedPackageBroadcast = false;
        if (!"android.intent.action.PACKAGE_ADDED".equals(action) && !"android.intent.action.PACKAGE_REMOVED".equals(action)) {
            return false;
        }
        android.os.Bundle intentExtras = intent.getExtras();
        if (intentExtras != null) {
            limitedPackageBroadcast = intentExtras.getBoolean("LimitedPackageBroadcast", false);
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Android Wear-isLimitedPackageBroadcast: limitedPackageBroadcast = ");
        stringBuilder.append(limitedPackageBroadcast);
        android.util.Flog.d(100, stringBuilder.toString());
        return limitedPackageBroadcast;
    }

    public boolean isPkgHasAlarm(java.util.List<java.lang.String> packageList, int targetUid) {
        if (packageList == null) {
            return false;
        }
        synchronized (this) {
            for (java.lang.String packageName : packageList) {
                if (this.mIntentSenderRecords.size() > 0) {
                    for (java.lang.ref.WeakReference<com.android.server.am.PendingIntentRecord> wpir : this.mIntentSenderRecords.values()) {
                        if (wpir != null) {
                            com.android.server.am.PendingIntentRecord pir = (com.android.server.am.PendingIntentRecord) wpir.get();
                            if (!(pir == null || pir.key == null)) {
                                if (pir.key.packageName != null) {
                                    if (pir.key.packageName.equals(packageName)) {
                                        return true;
                                    }
                                }
                            }
                        }
                    }
                    continue;
                }
            }
            return false;
        }
    }

    protected void checkAndPrintTestModeLog(java.util.List list, java.lang.String intentAction, java.lang.String callingMethod, java.lang.String desciption) {
        if (android.util.Log.HWINFO) {
            if (list != null) {
                android.content.pm.PackageManager pm = this.mContext.getPackageManager();
                if ("android.provider.Telephony.SMS_RECEIVED".equals(intentAction) || "android.provider.Telephony.SMS_DELIVER".equals(intentAction)) {
                    int list_size = list.size();
                    java.lang.String appName = null;
                    java.lang.String packageName = null;
                    for (int ii = 0; ii < list_size; ii++) {
                        boolean is_data_ok;
                        try {
                            java.lang.Object myReceiver = list.get(ii);
                            if (myReceiver instanceof android.content.pm.ResolveInfo) {
                                packageName = ((android.content.pm.ResolveInfo) myReceiver).getComponentInfo().packageName;
                            } else if (myReceiver instanceof com.android.server.am.BroadcastFilter) {
                                packageName = ((com.android.server.am.BroadcastFilter) myReceiver).packageName;
                            }
                            appName = pm.getApplicationLabel(pm.getApplicationInfo(packageName, 0)).toString();
                            is_data_ok = true;
                        } catch (java.lang.Exception e) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("checkAndPrintTestModeLog(). error: ");
                            stringBuilder.append(e.toString());
                            android.util.Log.e("HwActivityManagerService", stringBuilder.toString());
                            is_data_ok = false;
                        }
                        if (is_data_ok) {
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append(" <");
                            stringBuilder2.append(appName);
                            stringBuilder2.append(">[");
                            stringBuilder2.append(packageName);
                            stringBuilder2.append("][");
                            stringBuilder2.append(callingMethod);
                            stringBuilder2.append("]");
                            stringBuilder2.append(desciption);
                            android.util.Log.i("HwActivityManagerService", stringBuilder2.toString());
                        }
                    }
                }
            }
        }
    }

    public void registerActivityObserver(android.contentsensor.IActivityObserver observer) {
        enforceCallingPermission("com.huawei.permission.CONTENT_SENSOR_PERMISSION", "registerActivityObserver()");
        synchronized (this) {
            this.mActivityObservers.register(observer);
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("registerActivityObserver:");
        stringBuilder.append(observer);
        stringBuilder.append(", callingPid=");
        stringBuilder.append(android.os.Binder.getCallingPid());
        stringBuilder.append(", num=");
        stringBuilder.append(this.mActivityObservers.getRegisteredCallbackCount());
        android.util.Slog.i("HwActivityManagerService", stringBuilder.toString());
    }

    public void unregisterActivityObserver(android.contentsensor.IActivityObserver observer) {
        enforceCallingPermission("com.huawei.permission.CONTENT_SENSOR_PERMISSION", "registerActivityObserver()");
        synchronized (this) {
            this.mActivityObservers.unregister(observer);
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("unregisterActivityObserver:");
        stringBuilder.append(observer);
        stringBuilder.append(", callingPid=");
        stringBuilder.append(android.os.Binder.getCallingPid());
        stringBuilder.append(", num=");
        stringBuilder.append(this.mActivityObservers.getRegisteredCallbackCount());
        android.util.Slog.i("HwActivityManagerService", stringBuilder.toString());
    }

    /* JADX WARNING: Missing block: B:21:0x0049, code:
            return false;
     */
    public boolean requestContentNode(android.content.ComponentName r8, android.os.Bundle r9, int r10) {
        /*
        r7 = this;
        r0 = "com.huawei.permission.CONTENT_SENSOR_PERMISSION";
        r1 = "requestContentNode()";
        r7.enforceCallingPermission(r0, r1);
        monitor-enter(r7);
        r0 = r7.getFocusedStack();	 Catch:{ all -> 0x004a }
        r0 = r0.getTopActivity();	 Catch:{ all -> 0x004a }
        r1 = r7.getTopActivityAppToken(r8, r0);	 Catch:{ all -> 0x004a }
        r2 = 0;
        if (r1 == 0) goto L_0x0048;
    L_0x0017:
        r3 = r1.app;	 Catch:{ all -> 0x004a }
        if (r3 == 0) goto L_0x0048;
    L_0x001b:
        r3 = r1.app;	 Catch:{ all -> 0x004a }
        r3 = r3.thread;	 Catch:{ all -> 0x004a }
        if (r3 != 0) goto L_0x0022;
    L_0x0021:
        goto L_0x0048;
    L_0x0022:
        r3 = r1.app;	 Catch:{ RemoteException -> 0x002f }
        r3 = r3.thread;	 Catch:{ RemoteException -> 0x002f }
        r4 = r1.appToken;	 Catch:{ RemoteException -> 0x002f }
        r3.requestContentNode(r4, r9, r10);	 Catch:{ RemoteException -> 0x002f }
        r2 = 1;
        monitor-exit(r7);	 Catch:{ all -> 0x004a }
        return r2;
    L_0x002f:
        r3 = move-exception;
        r4 = "HwActivityManagerService";
        r5 = new java.lang.StringBuilder;	 Catch:{ all -> 0x004a }
        r5.<init>();	 Catch:{ all -> 0x004a }
        r6 = "requestContentNode failed: crash calling ";
        r5.append(r6);	 Catch:{ all -> 0x004a }
        r5.append(r0);	 Catch:{ all -> 0x004a }
        r5 = r5.toString();	 Catch:{ all -> 0x004a }
        android.util.Slog.w(r4, r5);	 Catch:{ all -> 0x004a }
        monitor-exit(r7);	 Catch:{ all -> 0x004a }
        return r2;
    L_0x0048:
        monitor-exit(r7);	 Catch:{ all -> 0x004a }
        return r2;
    L_0x004a:
        r0 = move-exception;
        monitor-exit(r7);	 Catch:{ all -> 0x004a }
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.am.HwActivityManagerService.requestContentNode(android.content.ComponentName, android.os.Bundle, int):boolean");
    }

    /* JADX WARNING: Missing block: B:21:0x0049, code:
            return false;
     */
    public boolean requestContentOther(android.content.ComponentName r8, android.os.Bundle r9, int r10) {
        /*
        r7 = this;
        r0 = "com.huawei.permission.CONTENT_SENSOR_PERMISSION";
        r1 = "requestContentOther()";
        r7.enforceCallingPermission(r0, r1);
        monitor-enter(r7);
        r0 = r7.getFocusedStack();	 Catch:{ all -> 0x004a }
        r0 = r0.getTopActivity();	 Catch:{ all -> 0x004a }
        r1 = r7.getTopActivityAppToken(r8, r0);	 Catch:{ all -> 0x004a }
        r2 = 0;
        if (r1 == 0) goto L_0x0048;
    L_0x0017:
        r3 = r1.app;	 Catch:{ all -> 0x004a }
        if (r3 == 0) goto L_0x0048;
    L_0x001b:
        r3 = r1.app;	 Catch:{ all -> 0x004a }
        r3 = r3.thread;	 Catch:{ all -> 0x004a }
        if (r3 != 0) goto L_0x0022;
    L_0x0021:
        goto L_0x0048;
    L_0x0022:
        r3 = r1.app;	 Catch:{ RemoteException -> 0x002f }
        r3 = r3.thread;	 Catch:{ RemoteException -> 0x002f }
        r4 = r1.appToken;	 Catch:{ RemoteException -> 0x002f }
        r3.requestContentOther(r4, r9, r10);	 Catch:{ RemoteException -> 0x002f }
        r2 = 1;
        monitor-exit(r7);	 Catch:{ all -> 0x004a }
        return r2;
    L_0x002f:
        r3 = move-exception;
        r4 = "HwActivityManagerService";
        r5 = new java.lang.StringBuilder;	 Catch:{ all -> 0x004a }
        r5.<init>();	 Catch:{ all -> 0x004a }
        r6 = "requestContentOther failed: crash calling ";
        r5.append(r6);	 Catch:{ all -> 0x004a }
        r5.append(r0);	 Catch:{ all -> 0x004a }
        r5 = r5.toString();	 Catch:{ all -> 0x004a }
        android.util.Slog.w(r4, r5);	 Catch:{ all -> 0x004a }
        monitor-exit(r7);	 Catch:{ all -> 0x004a }
        return r2;
    L_0x0048:
        monitor-exit(r7);	 Catch:{ all -> 0x004a }
        return r2;
    L_0x004a:
        r0 = move-exception;
        monitor-exit(r7);	 Catch:{ all -> 0x004a }
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.am.HwActivityManagerService.requestContentOther(android.content.ComponentName, android.os.Bundle, int):boolean");
    }

    public void dispatchActivityResumed(android.os.IBinder token) {
        if (this.mActivityObservers != null) {
            com.android.server.am.ActivityRecord activityRecord = com.android.server.am.ActivityRecord.forToken(token);
            if (activityRecord != null && activityRecord.app != null) {
                int i = this.mActivityObservers.beginBroadcast();
                while (i > 0) {
                    i--;
                    android.contentsensor.IActivityObserver observer = (android.contentsensor.IActivityObserver) this.mActivityObservers.getBroadcastItem(i);
                    if (observer != null) {
                        try {
                            observer.activityResumed(activityRecord.app.pid, activityRecord.app.uid, activityRecord.realActivity);
                        } catch (android.os.RemoteException e) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("observer.activityResumed get RemoteException, remove observer ");
                            stringBuilder.append(observer);
                            android.util.Slog.w("HwActivityManagerService", stringBuilder.toString());
                            unregisterActivityObserver(observer);
                        }
                    }
                }
                this.mActivityObservers.finishBroadcast();
            }
        }
    }

    public void dispatchActivityPaused(android.os.IBinder token) {
        if (this.mActivityObservers != null) {
            com.android.server.am.ActivityRecord activityRecord = com.android.server.am.ActivityRecord.forToken(token);
            if (activityRecord != null && activityRecord.app != null) {
                int i = this.mActivityObservers.beginBroadcast();
                while (i > 0) {
                    i--;
                    android.contentsensor.IActivityObserver observer = (android.contentsensor.IActivityObserver) this.mActivityObservers.getBroadcastItem(i);
                    if (observer != null) {
                        try {
                            observer.activityPaused(activityRecord.app.pid, activityRecord.app.uid, activityRecord.realActivity);
                        } catch (android.os.RemoteException e) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("observer.activityResumed get RemoteException, remove observer ");
                            stringBuilder.append(observer);
                            android.util.Slog.w("HwActivityManagerService", stringBuilder.toString());
                            unregisterActivityObserver(observer);
                        }
                    }
                }
                this.mActivityObservers.finishBroadcast();
            }
        }
    }

    private com.android.server.am.ActivityRecord getTopActivityAppToken(android.content.ComponentName componentName, com.android.server.am.ActivityRecord activity) {
        if (activity == null) {
            android.util.Slog.w("HwActivityManagerService", "requestContent failed: no activity");
            return null;
        } else if (componentName == null) {
            return null;
        } else {
            if (componentName.equals(activity.realActivity)) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("componentName = ");
                stringBuilder.append(componentName);
                stringBuilder.append(" realActivity = ");
                stringBuilder.append(activity.realActivity);
                stringBuilder.append(" isEqual = ");
                stringBuilder.append(componentName.equals(activity.realActivity));
                android.util.Slog.w("HwActivityManagerService", stringBuilder.toString());
                if (this.mLastActivityRecord != null) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(" mLastActivityRecord = ");
                    stringBuilder.append(this.mLastActivityRecord.realActivity);
                    android.util.Slog.w("HwActivityManagerService", stringBuilder.toString());
                }
                return activity;
            }
            com.android.server.am.ActivityRecord lastResumedActivity = getLastResumedActivity();
            java.lang.StringBuilder stringBuilder2;
            if (lastResumedActivity != null && componentName.equals(lastResumedActivity.realActivity)) {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("lastResumedActivity = ");
                stringBuilder2.append(lastResumedActivity.realActivity);
                android.util.Slog.w("HwActivityManagerService", stringBuilder2.toString());
                return lastResumedActivity;
            } else if (this.mLastActivityRecord == null || !componentName.equals(this.mLastActivityRecord.realActivity)) {
                return null;
            } else {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append(" mLastActivityRecord = ");
                stringBuilder2.append(this.mLastActivityRecord.realActivity);
                android.util.Slog.w("HwActivityManagerService", stringBuilder2.toString());
                return this.mLastActivityRecord;
            }
        }
    }

    public boolean isHiddenSpaceSwitch(android.content.pm.UserInfo first, android.content.pm.UserInfo second) {
        if (!(first == null || second == null)) {
            if (first.id != second.id) {
                if (!first.isHwHiddenSpace()) {
                    if (!second.isHwHiddenSpace()) {
                        android.util.Slog.i("HwActivityManagerService", "not hiddenSpaceSwitch");
                        return false;
                    }
                }
                android.util.Slog.i("HwActivityManagerService", "isHiddenSpaceSwitch!");
                return true;
            }
        }
        return false;
    }

    public int iawareGetUidState(int uid) {
        com.android.server.am.UidRecord uidRec = (com.android.server.am.UidRecord) this.mActiveUids.get(uid);
        return uidRec == null ? 19 : uidRec.curProcState;
    }

    protected final com.android.server.am.ProcessRecord getProcessRecordLocked(java.lang.String processName, int uid, boolean keepIfLarge) {
        return super.getProcessRecordLocked(processName, android.os.UserHandle.getUid(handleUserForClone(processName, android.os.UserHandle.getUserId(uid)), uid), keepIfLarge);
    }

    protected final android.app.ContentProviderHolder getContentProviderImpl(android.app.IApplicationThread caller, java.lang.String name, android.os.IBinder token, boolean stable, int userId) {
        android.app.ContentProviderHolder cph = super.getContentProviderImpl(caller, name, token, stable, handleUserForCloneOrAfw(name, userId));
        if (IS_SUPPORT_CLONE_APP && userId != 0 && cph == null) {
            android.content.pm.UserInfo ui = this.mUserController.mInjector.getUserManagerInternal().getUserInfo(userId);
            if (ui != null && ui.isClonedProfile()) {
                return super.getContentProviderImpl(caller, name, token, stable, ui.profileGroupId);
            }
        }
        return cph;
    }

    protected int handleUserForCloneOrAfw(java.lang.String name, int userId) {
        if (userId != 0) {
            if (name != null) {
                int newUserId = userId;
                if (userId != this.mUserController.getCurrentUserIdLU()) {
                    long ident = android.os.Binder.clearCallingIdentity();
                    try {
                        android.content.pm.UserInfo ui = this.mUserController.getUserInfo(userId);
                        if (ui != null && ((IS_SUPPORT_CLONE_APP && ui.isClonedProfile() && sAllowedCrossUserForCloneArrays.contains(name)) || (ui.isManagedProfile() && "com.huawei.android.launcher.settings".equals(name)))) {
                            newUserId = ui.profileGroupId;
                        }
                        android.os.Binder.restoreCallingIdentity(ident);
                    } catch (Throwable th) {
                        android.os.Binder.restoreCallingIdentity(ident);
                    }
                }
                return newUserId;
            }
        }
        return userId;
    }

    protected final void removeContentProviderExternalUnchecked(java.lang.String name, android.os.IBinder token, int userId) {
        super.removeContentProviderExternalUnchecked(name, token, handleUserForClone(name, userId));
    }

    protected int handleUserForClone(java.lang.String name, int userId) {
        if (IS_SUPPORT_CLONE_APP && userId != 0) {
            if (name != null) {
                int newUserId = userId;
                if (userId != this.mUserController.getCurrentUserIdLU() && sAllowedCrossUserForCloneArrays.contains(name)) {
                    long ident = android.os.Binder.clearCallingIdentity();
                    try {
                        android.content.pm.UserInfo ui = this.mUserController.getUserInfo(userId);
                        if (ui != null && ui.isClonedProfile()) {
                            newUserId = ui.profileGroupId;
                        }
                        android.os.Binder.restoreCallingIdentity(ident);
                    } catch (Throwable th) {
                        android.os.Binder.restoreCallingIdentity(ident);
                    }
                }
                return newUserId;
            }
        }
        return userId;
    }

    final int broadcastIntentLocked(com.android.server.am.ProcessRecord callerApp, java.lang.String callerPackage, android.content.Intent intent, java.lang.String resolvedType, android.content.IIntentReceiver resultTo, int resultCode, java.lang.String resultData, android.os.Bundle resultExtras, java.lang.String[] requiredPermissions, int appOp, android.os.Bundle bOptions, boolean ordered, boolean sticky, int callingPid, int callingUid, int userId) {
        android.content.Intent intent2 = intent;
        int i = userId;
        java.lang.String action = null;
        if (intent2 != null) {
            action = intent.getAction();
        }
        java.lang.String action2 = action;
        if ("com.android.launcher.action.INSTALL_SHORTCUT".equals(action2)) {
            intent2.putExtra("android.intent.extra.USER_ID", i);
        }
        if (this.mHwGameAssistantController != null) {
            this.mHwGameAssistantController.handleInterestedBroadcast(intent2);
        }
        if ("android.net.wifi.STATE_CHANGE".equals(action2) && getBgBroadcastQueue().getMtmBRManager() != null) {
            if (getBgBroadcastQueue().getMtmBRManager().iawareNeedSkipBroadcastSend(action2, new java.lang.Object[]{intent2})) {
                return 0;
            }
        }
        return super.broadcastIntentLocked(callerApp, callerPackage, intent2, resolvedType, resultTo, resultCode, resultData, resultExtras, requiredPermissions, appOp, bOptions, ordered, sticky, callingPid, callingUid, handleUserForClone(action2, i));
    }

    public android.content.ComponentName startService(android.app.IApplicationThread caller, android.content.Intent service, java.lang.String resolvedType, boolean requireForeground, java.lang.String callingPackage, int userId) throws android.os.TransactionTooLargeException {
        return super.startService(caller, service, resolvedType, requireForeground, callingPackage, handleUserForClone(getTargetFromIntentForClone(service), userId));
    }

    public int stopService(android.app.IApplicationThread caller, android.content.Intent service, java.lang.String resolvedType, int userId) {
        return super.stopService(caller, service, resolvedType, handleUserForClone(getTargetFromIntentForClone(service), userId));
    }

    public int bindService(android.app.IApplicationThread caller, android.os.IBinder token, android.content.Intent service, java.lang.String resolvedType, android.app.IServiceConnection connection, int flags, java.lang.String callingPackage, int userId) throws android.os.TransactionTooLargeException {
        android.content.Intent intent = service;
        return super.bindService(caller, token, intent, resolvedType, connection, flags, callingPackage, handleUserForClone(getTargetFromIntentForClone(intent), userId));
    }

    android.content.ComponentName startServiceInPackage(int uid, android.content.Intent service, java.lang.String resolvedType, boolean fgRequired, java.lang.String callingPackage, int userId) throws android.os.TransactionTooLargeException {
        return super.startServiceInPackage(uid, service, resolvedType, fgRequired, callingPackage, handleUserForClone(getTargetFromIntentForClone(service), userId));
    }

    private java.lang.String getTargetFromIntentForClone(android.content.Intent intent) {
        if (intent.getAction() == null) {
            return intent.getComponent() != null ? intent.getComponent().getPackageName() : null;
        } else {
            return intent.getAction();
        }
    }

    public int iawareGetUidProcNum(int uid) {
        com.android.server.am.UidRecord uidRec = (com.android.server.am.UidRecord) this.mActiveUids.get(uid);
        return uidRec == null ? 0 : uidRec.numProcs;
    }

    protected void notifyProcessWillDie(boolean byForceStop, boolean crashed, boolean byAnr, java.lang.String packageName, int pid, int uid) {
        com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.self().notifyProcessWillDie(byForceStop, crashed, byAnr, packageName, pid, uid);
    }

    public void togglePCMode(boolean pcMode, int displayId) {
        synchronized (this) {
            if (!pcMode) {
                try {
                    com.android.server.am.ActivityDisplay activityDisplay = (com.android.server.am.ActivityDisplay) this.mStackSupervisor.mActivityDisplays.get(displayId);
                    if (activityDisplay != null && (this.mStackSupervisor instanceof com.android.server.am.HwActivityStackSupervisor)) {
                        int size = activityDisplay.getChildCount();
                        java.util.ArrayList<com.android.server.am.ActivityStack> stacks = new java.util.ArrayList();
                        for (int i = 0; i < size; i++) {
                            stacks.add(activityDisplay.getChildAt(i));
                        }
                        ((com.android.server.am.HwActivityStackSupervisor) this.mStackSupervisor).onDisplayRemoved(stacks);
                    }
                } catch (java.lang.Throwable th) {
                    throw th;
                }
            }
            if (this.mWindowManager instanceof com.android.server.wm.HwWindowManagerService) {
                ((com.android.server.wm.HwWindowManagerService) this.mWindowManager).togglePCMode(pcMode, displayId);
            }
        }
    }

    public void updateFingerprintSlideSwitch() {
        if (android.util.HwPCUtils.enabled() && (this.mWindowManager instanceof com.android.server.wm.HwWindowManagerService)) {
            this.mWindowManager.updateFingerprintSlideSwitch();
        }
    }

    public void freezeOrThawRotationInPcMode() {
        if (android.util.HwPCUtils.enabledInPad()) {
            synchronized (this) {
                this.mWindowManager.freezeRotation(1);
            }
        }
    }

    /* JADX WARNING: Missing block: B:58:0x0161, code:
            android.os.Binder.restoreCallingIdentity(r12);
     */
    /* JADX WARNING: Missing block: B:59:0x0165, code:
            return;
     */
    public void relaunchIMEIfNecessary() {
        /*
        r22 = this;
        r11 = r22;
        r0 = "android.permission.KILL_BACKGROUND_PROCESSES";
        r0 = r11.checkCallingPermission(r0);
        if (r0 == 0) goto L_0x0049;
    L_0x000a:
        r0 = "android.permission.RESTART_PACKAGES";
        r0 = r11.checkCallingPermission(r0);
        if (r0 != 0) goto L_0x0013;
    L_0x0012:
        goto L_0x0049;
    L_0x0013:
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r1 = "Permission Denial: killBackgroundProcesses() from pid=";
        r0.append(r1);
        r1 = android.os.Binder.getCallingPid();
        r0.append(r1);
        r1 = ", uid=";
        r0.append(r1);
        r1 = android.os.Binder.getCallingUid();
        r0.append(r1);
        r1 = " requires ";
        r0.append(r1);
        r1 = "android.permission.KILL_BACKGROUND_PROCESSES";
        r0.append(r1);
        r0 = r0.toString();
        r1 = "HwActivityManagerService";
        android.util.Slog.w(r1, r0);
        r1 = new java.lang.SecurityException;
        r1.<init>(r0);
        throw r1;
    L_0x0049:
        r0 = android.os.Binder.clearCallingIdentity();
        r12 = r0;
        r0 = r11.mContext;	 Catch:{ all -> 0x0171 }
        r0 = r0.getContentResolver();	 Catch:{ all -> 0x0171 }
        r1 = "default_input_method";
        r0 = android.provider.Settings.Secure.getString(r0, r1);	 Catch:{ all -> 0x0171 }
        r1 = 0;
        r2 = android.util.HwPCUtils.enabledInPad();	 Catch:{ all -> 0x0171 }
        if (r2 == 0) goto L_0x0072;
    L_0x0061:
        r2 = r11.mContext;	 Catch:{ all -> 0x0171 }
        r3 = "input_method";
        r2 = r2.getSystemService(r3);	 Catch:{ all -> 0x0171 }
        r2 = (android.view.inputmethod.InputMethodManager) r2;	 Catch:{ all -> 0x0171 }
        if (r2 == 0) goto L_0x0072;
    L_0x006d:
        r3 = r2.getInputMethodList();	 Catch:{ all -> 0x0171 }
        r1 = r3;
    L_0x0072:
        r14 = r1;
        if (r0 != 0) goto L_0x0079;
    L_0x0075:
        android.os.Binder.restoreCallingIdentity(r12);
        return;
    L_0x0079:
        r1 = 47;
        r1 = r0.indexOf(r1);	 Catch:{ all -> 0x0171 }
        r15 = r1;
        r1 = -1;
        if (r15 != r1) goto L_0x0087;
    L_0x0083:
        android.os.Binder.restoreCallingIdentity(r12);
        return;
    L_0x0087:
        r2 = 0;
        r2 = r0.substring(r2, r15);	 Catch:{ all -> 0x0171 }
        r10 = r2;
        r2 = r11.mUserController;	 Catch:{ all -> 0x0171 }
        r3 = android.os.Binder.getCallingPid();	 Catch:{ all -> 0x0171 }
        r4 = android.os.Binder.getCallingUid();	 Catch:{ all -> 0x0171 }
        r5 = android.os.UserHandle.myUserId();	 Catch:{ all -> 0x0171 }
        r6 = 1;
        r7 = 2;
        r8 = "killBackgroundProcesses";
        r9 = 0;
        r0 = r2.handleIncomingUser(r3, r4, r5, r6, r7, r8, r9);	 Catch:{ all -> 0x0171 }
        r9 = r0;
        r0 = android.app.AppGlobals.getPackageManager();	 Catch:{ all -> 0x0171 }
        r8 = r0;
        monitor-enter(r22);	 Catch:{ all -> 0x0171 }
        r2 = r1;
        r0 = 268435456; // 0x10000000 float:2.5243549E-29 double:1.32624737E-315;
        r0 = r8.getPackageUid(r10, r0, r9);	 Catch:{ RemoteException -> 0x00c0 }
        r0 = android.os.UserHandle.getAppId(r0);	 Catch:{ RemoteException -> 0x00c0 }
        goto L_0x00d8;
    L_0x00b7:
        r0 = move-exception;
        r17 = r8;
        r18 = r9;
        r19 = r10;
        goto L_0x016d;
    L_0x00c0:
        r0 = move-exception;
        r3 = "HwActivityManagerService";
        r4 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0166 }
        r4.<init>();	 Catch:{ all -> 0x0166 }
        r5 = "Unable to get Package Uid, userId = ";
        r4.append(r5);	 Catch:{ all -> 0x0166 }
        r4.append(r9);	 Catch:{ all -> 0x0166 }
        r4 = r4.toString();	 Catch:{ all -> 0x0166 }
        android.util.Slog.e(r3, r4);	 Catch:{ all -> 0x0166 }
        r0 = r2;
    L_0x00d8:
        if (r0 != r1) goto L_0x00f5;
    L_0x00da:
        r1 = "HwActivityManagerService";
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00b7 }
        r2.<init>();	 Catch:{ all -> 0x00b7 }
        r3 = "Invalid packageName: ";
        r2.append(r3);	 Catch:{ all -> 0x00b7 }
        r2.append(r10);	 Catch:{ all -> 0x00b7 }
        r2 = r2.toString();	 Catch:{ all -> 0x00b7 }
        android.util.Slog.w(r1, r2);	 Catch:{ all -> 0x00b7 }
        monitor-exit(r22);	 Catch:{ all -> 0x00b7 }
        android.os.Binder.restoreCallingIdentity(r12);
        return;
    L_0x00f5:
        r1 = android.util.HwPCUtils.enabledInPad();	 Catch:{ all -> 0x0166 }
        if (r1 == 0) goto L_0x0149;
    L_0x00fb:
        if (r14 == 0) goto L_0x0149;
    L_0x00fd:
        r7 = r14.iterator();	 Catch:{ all -> 0x0166 }
    L_0x0101:
        r1 = r7.hasNext();	 Catch:{ all -> 0x0166 }
        if (r1 == 0) goto L_0x0142;
    L_0x0107:
        r1 = r7.next();	 Catch:{ all -> 0x0166 }
        r1 = (android.view.inputmethod.InputMethodInfo) r1;	 Catch:{ all -> 0x0166 }
        r6 = r1;
        r2 = r6.getPackageName();	 Catch:{ all -> 0x0166 }
        r5 = 100;
        r16 = 0;
        r17 = 0;
        r18 = 1;
        r19 = 0;
        r20 = "relaunchIME";
        r1 = r11;
        r3 = r0;
        r4 = r9;
        r21 = r6;
        r6 = r16;
        r16 = r7;
        r7 = r17;
        r17 = r8;
        r8 = r18;
        r18 = r9;
        r9 = r19;
        r19 = r10;
        r10 = r20;
        r1.killPackageProcessesLocked(r2, r3, r4, r5, r6, r7, r8, r9, r10);	 Catch:{ all -> 0x016f }
        r7 = r16;
        r8 = r17;
        r9 = r18;
        r10 = r19;
        goto L_0x0101;
    L_0x0142:
        r17 = r8;
        r18 = r9;
        r19 = r10;
        goto L_0x0160;
    L_0x0149:
        r17 = r8;
        r18 = r9;
        r19 = r10;
        r5 = 100;
        r6 = 0;
        r7 = 0;
        r8 = 1;
        r9 = 0;
        r10 = "relaunchIME";
        r1 = r11;
        r2 = r19;
        r3 = r0;
        r4 = r18;
        r1.killPackageProcessesLocked(r2, r3, r4, r5, r6, r7, r8, r9, r10);	 Catch:{ all -> 0x016f }
    L_0x0160:
        monitor-exit(r22);	 Catch:{ all -> 0x016f }
        android.os.Binder.restoreCallingIdentity(r12);
        return;
    L_0x0166:
        r0 = move-exception;
        r17 = r8;
        r18 = r9;
        r19 = r10;
    L_0x016d:
        monitor-exit(r22);	 Catch:{ all -> 0x016f }
        throw r0;	 Catch:{ all -> 0x0171 }
    L_0x016f:
        r0 = move-exception;
        goto L_0x016d;
    L_0x0171:
        r0 = move-exception;
        android.os.Binder.restoreCallingIdentity(r12);
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.am.HwActivityManagerService.relaunchIMEIfNecessary():void");
    }

    /* JADX WARNING: Missing block: B:44:0x0098, code:
            android.os.Binder.restoreCallingIdentity(r1);
     */
    /* JADX WARNING: Missing block: B:45:0x009b, code:
            return;
     */
    /* JADX WARNING: Missing block: B:50:0x00a2, code:
            android.os.Binder.restoreCallingIdentity(r1);
     */
    public void hwRestoreTask(int r12, float r13, float r14) {
        /*
        r11 = this;
        r0 = android.util.HwPCUtils.isPcCastModeInServer();
        if (r0 == 0) goto L_0x00ae;
    L_0x0006:
        r0 = com.android.server.am.HwPCMultiWindowManager.getInstance(r11);
        if (r0 != 0) goto L_0x000d;
    L_0x000c:
        return;
    L_0x000d:
        r1 = android.os.Binder.clearCallingIdentity();
        monitor-enter(r11);	 Catch:{ all -> 0x00a9 }
        r3 = r11.mStackSupervisor;	 Catch:{ all -> 0x00a6 }
        r3 = r3.anyTaskForIdLocked(r12);	 Catch:{ all -> 0x00a6 }
        if (r3 != 0) goto L_0x001f;
    L_0x001a:
        monitor-exit(r11);	 Catch:{ all -> 0x00a6 }
        android.os.Binder.restoreCallingIdentity(r1);
        return;
    L_0x001f:
        r4 = r3.mWindowState;	 Catch:{ all -> 0x00a6 }
        r4 = android.content.res.HwPCMultiWindowCompatibility.isRestorable(r4);	 Catch:{ all -> 0x00a6 }
        if (r4 != 0) goto L_0x002c;
    L_0x0027:
        monitor-exit(r11);	 Catch:{ all -> 0x00a6 }
        android.os.Binder.restoreCallingIdentity(r1);
        return;
    L_0x002c:
        r4 = r3.getStack();	 Catch:{ all -> 0x00a6 }
        r4 = r4 instanceof com.android.server.am.HwActivityStack;	 Catch:{ all -> 0x00a6 }
        r5 = 1;
        if (r4 == 0) goto L_0x003e;
    L_0x0035:
        r4 = r3.getStack();	 Catch:{ all -> 0x00a6 }
        r4 = (com.android.server.am.HwActivityStack) r4;	 Catch:{ all -> 0x00a6 }
        r4.resetOtherStacksVisible(r5);	 Catch:{ all -> 0x00a6 }
    L_0x003e:
        r4 = r0.getWindowBounds(r3);	 Catch:{ all -> 0x00a6 }
        if (r4 != 0) goto L_0x0049;
    L_0x0044:
        monitor-exit(r11);	 Catch:{ all -> 0x00a6 }
        android.os.Binder.restoreCallingIdentity(r1);
        return;
    L_0x0049:
        r6 = -1082130432; // 0xffffffffbf800000 float:-1.0 double:NaN;
        r7 = (r13 > r6 ? 1 : (r13 == r6 ? 0 : -1));
        if (r7 == 0) goto L_0x009c;
    L_0x004f:
        r6 = (r14 > r6 ? 1 : (r14 == r6 ? 0 : -1));
        if (r6 == 0) goto L_0x009c;
    L_0x0053:
        r6 = r3.getOverrideBounds();	 Catch:{ all -> 0x00a6 }
        if (r6 != 0) goto L_0x005e;
    L_0x0059:
        r7 = r0.getMaximizedBounds();	 Catch:{ all -> 0x00a6 }
        r6 = r7;
    L_0x005e:
        r7 = r6.width();	 Catch:{ all -> 0x00a6 }
        if (r7 == 0) goto L_0x0097;
    L_0x0064:
        r7 = r6.height();	 Catch:{ all -> 0x00a6 }
        if (r7 != 0) goto L_0x006b;
    L_0x006a:
        goto L_0x0097;
    L_0x006b:
        r7 = r6.left;	 Catch:{ all -> 0x00a6 }
        r7 = (float) r7;	 Catch:{ all -> 0x00a6 }
        r7 = r13 - r7;
        r8 = r6.width();	 Catch:{ all -> 0x00a6 }
        r8 = (float) r8;	 Catch:{ all -> 0x00a6 }
        r7 = r7 / r8;
        r8 = r6.top;	 Catch:{ all -> 0x00a6 }
        r8 = (float) r8;	 Catch:{ all -> 0x00a6 }
        r8 = r14 - r8;
        r9 = r6.height();	 Catch:{ all -> 0x00a6 }
        r9 = (float) r9;	 Catch:{ all -> 0x00a6 }
        r8 = r8 / r9;
        r9 = r4.width();	 Catch:{ all -> 0x00a6 }
        r9 = (float) r9;	 Catch:{ all -> 0x00a6 }
        r9 = r9 * r7;
        r9 = r13 - r9;
        r9 = (int) r9;	 Catch:{ all -> 0x00a6 }
        r10 = r4.height();	 Catch:{ all -> 0x00a6 }
        r10 = (float) r10;	 Catch:{ all -> 0x00a6 }
        r10 = r10 * r8;
        r10 = r14 - r10;
        r10 = (int) r10;	 Catch:{ all -> 0x00a6 }
        r4.offsetTo(r9, r10);	 Catch:{ all -> 0x00a6 }
        goto L_0x009c;
    L_0x0097:
        monitor-exit(r11);	 Catch:{ all -> 0x00a6 }
        android.os.Binder.restoreCallingIdentity(r1);
        return;
    L_0x009c:
        r6 = 3;
        r7 = 0;
        r3.resize(r4, r6, r5, r7);	 Catch:{ all -> 0x00a6 }
        monitor-exit(r11);	 Catch:{ all -> 0x00a6 }
        android.os.Binder.restoreCallingIdentity(r1);
        goto L_0x00ae;
    L_0x00a6:
        r3 = move-exception;
        monitor-exit(r11);	 Catch:{ all -> 0x00a6 }
        throw r3;	 Catch:{ all -> 0x00a9 }
    L_0x00a9:
        r3 = move-exception;
        android.os.Binder.restoreCallingIdentity(r1);
        throw r3;
    L_0x00ae:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.am.HwActivityManagerService.hwRestoreTask(int, float, float):void");
    }

    /* JADX WARNING: Removed duplicated region for block: B:25:0x003b A:{SYNTHETIC, Splitter: B:25:0x003b} */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x0036 A:{SKIP, Catch:{ all -> 0x001d, all -> 0x00dc }} */
    /* JADX WARNING: Missing block: B:43:0x00d6, code:
            android.os.Binder.restoreCallingIdentity(r1);
     */
    public void hwResizeTask(int r11, android.graphics.Rect r12) {
        /*
        r10 = this;
        r0 = android.util.HwPCUtils.isPcCastModeInServer();
        if (r0 == 0) goto L_0x00e1;
    L_0x0006:
        r0 = com.android.server.am.HwPCMultiWindowManager.getInstance(r10);
        if (r0 != 0) goto L_0x000d;
    L_0x000c:
        return;
    L_0x000d:
        r1 = android.os.Binder.clearCallingIdentity();
        monitor-enter(r10);	 Catch:{ all -> 0x00dc }
        r3 = 0;
        r4 = 0;
        if (r12 == 0) goto L_0x0020;
    L_0x0016:
        r5 = r12.top;	 Catch:{ all -> 0x001d }
        if (r5 >= 0) goto L_0x0020;
    L_0x001a:
        r12 = 0;
        r3 = 1;
        goto L_0x002e;
    L_0x001d:
        r3 = move-exception;
        goto L_0x00da;
    L_0x0020:
        if (r12 == 0) goto L_0x002e;
    L_0x0022:
        r5 = r12.isEmpty();	 Catch:{ all -> 0x001d }
        if (r5 == 0) goto L_0x002e;
    L_0x0028:
        r5 = r0.getMaximizedBounds();	 Catch:{ all -> 0x001d }
        r12 = r5;
        r4 = 1;
    L_0x002e:
        r5 = r10.mStackSupervisor;	 Catch:{ all -> 0x001d }
        r5 = r5.anyTaskForIdLocked(r11);	 Catch:{ all -> 0x001d }
        if (r5 != 0) goto L_0x003b;
    L_0x0036:
        monitor-exit(r10);	 Catch:{ all -> 0x001d }
        android.os.Binder.restoreCallingIdentity(r1);
        return;
    L_0x003b:
        r6 = r0.isSupportResize(r5, r3, r4);	 Catch:{ all -> 0x001d }
        if (r6 != 0) goto L_0x0072;
    L_0x0041:
        r6 = "HwPCMultiWindowManager";
        r7 = new java.lang.StringBuilder;	 Catch:{ all -> 0x001d }
        r7.<init>();	 Catch:{ all -> 0x001d }
        r8 = "hwResizeTask-fail: (";
        r7.append(r8);	 Catch:{ all -> 0x001d }
        r8 = r5.mWindowState;	 Catch:{ all -> 0x001d }
        r8 = java.lang.Integer.toHexString(r8);	 Catch:{ all -> 0x001d }
        r7.append(r8);	 Catch:{ all -> 0x001d }
        r8 = ")isFullscreen:";
        r7.append(r8);	 Catch:{ all -> 0x001d }
        r7.append(r3);	 Catch:{ all -> 0x001d }
        r8 = "; isMax:";
        r7.append(r8);	 Catch:{ all -> 0x001d }
        r7.append(r4);	 Catch:{ all -> 0x001d }
        r7 = r7.toString();	 Catch:{ all -> 0x001d }
        android.util.HwPCUtils.log(r6, r7);	 Catch:{ all -> 0x001d }
        monitor-exit(r10);	 Catch:{ all -> 0x001d }
        android.os.Binder.restoreCallingIdentity(r1);
        return;
    L_0x0072:
        r6 = "HwPCMultiWindowManager";
        r7 = new java.lang.StringBuilder;	 Catch:{ all -> 0x001d }
        r7.<init>();	 Catch:{ all -> 0x001d }
        r8 = "hwResizeTask: ";
        r7.append(r8);	 Catch:{ all -> 0x001d }
        if (r12 != 0) goto L_0x0083;
    L_0x0080:
        r8 = "null";
        goto L_0x00b0;
    L_0x0083:
        r8 = new java.lang.StringBuilder;	 Catch:{ all -> 0x001d }
        r8.<init>();	 Catch:{ all -> 0x001d }
        r9 = r12.toShortString();	 Catch:{ all -> 0x001d }
        r8.append(r9);	 Catch:{ all -> 0x001d }
        r9 = " (";
        r8.append(r9);	 Catch:{ all -> 0x001d }
        r9 = r12.width();	 Catch:{ all -> 0x001d }
        r8.append(r9);	 Catch:{ all -> 0x001d }
        r9 = ", ";
        r8.append(r9);	 Catch:{ all -> 0x001d }
        r9 = r12.height();	 Catch:{ all -> 0x001d }
        r8.append(r9);	 Catch:{ all -> 0x001d }
        r9 = ")";
        r8.append(r9);	 Catch:{ all -> 0x001d }
        r8 = r8.toString();	 Catch:{ all -> 0x001d }
    L_0x00b0:
        r7.append(r8);	 Catch:{ all -> 0x001d }
        r7 = r7.toString();	 Catch:{ all -> 0x001d }
        android.util.HwPCUtils.log(r6, r7);	 Catch:{ all -> 0x001d }
        r6 = 3;
        r7 = 1;
        r8 = 0;
        r5.resize(r12, r6, r7, r8);	 Catch:{ all -> 0x001d }
        r6 = r5.getStack();	 Catch:{ all -> 0x001d }
        r6 = r6 instanceof com.android.server.am.HwActivityStack;	 Catch:{ all -> 0x001d }
        if (r6 == 0) goto L_0x00d5;
    L_0x00c8:
        if (r3 != 0) goto L_0x00cc;
    L_0x00ca:
        if (r4 == 0) goto L_0x00d5;
    L_0x00cc:
        r6 = r5.getStack();	 Catch:{ all -> 0x001d }
        r6 = (com.android.server.am.HwActivityStack) r6;	 Catch:{ all -> 0x001d }
        r6.resetOtherStacksVisible(r8);	 Catch:{ all -> 0x001d }
    L_0x00d5:
        monitor-exit(r10);	 Catch:{ all -> 0x001d }
        android.os.Binder.restoreCallingIdentity(r1);
        goto L_0x00e1;
    L_0x00da:
        monitor-exit(r10);	 Catch:{ all -> 0x001d }
        throw r3;	 Catch:{ all -> 0x00dc }
    L_0x00dc:
        r3 = move-exception;
        android.os.Binder.restoreCallingIdentity(r1);
        throw r3;
    L_0x00e1:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.am.HwActivityManagerService.hwResizeTask(int, android.graphics.Rect):void");
    }

    public int getWindowState(android.os.IBinder token) {
        if (!android.util.HwPCUtils.isPcCastModeInServer()) {
            return -1;
        }
        long ident = android.os.Binder.clearCallingIdentity();
        try {
            com.android.server.am.ActivityRecord r;
            synchronized (this) {
                r = com.android.server.am.ActivityRecord.isInStackLocked(token);
            }
            if (r != null) {
                if (r.task != null) {
                    int windowState = r.task.getWindowState();
                    android.os.Binder.restoreCallingIdentity(ident);
                    return windowState;
                }
            }
            android.os.Binder.restoreCallingIdentity(ident);
            return -1;
        } catch (Throwable th) {
            android.os.Binder.restoreCallingIdentity(ident);
        }
    }

    /* JADX WARNING: Missing block: B:9:0x0015, code:
            return r3;
     */
    public android.app.HwRecentTaskInfo getHwRecentTaskInfo(int r5) {
        /*
        r4 = this;
        monitor-enter(r4);
        r0 = android.os.Binder.clearCallingIdentity();	 Catch:{ all -> 0x0022 }
        r2 = r4.mStackSupervisor;	 Catch:{ all -> 0x001d }
        r2 = r2.anyTaskForIdLocked(r5);	 Catch:{ all -> 0x001d }
        if (r2 == 0) goto L_0x0016;
    L_0x000d:
        r3 = r4.createHwRecentTaskInfoFromTaskRecord(r2);	 Catch:{ all -> 0x001d }
        android.os.Binder.restoreCallingIdentity(r0);	 Catch:{ all -> 0x0022 }
        monitor-exit(r4);	 Catch:{ all -> 0x0022 }
        return r3;
    L_0x0016:
        android.os.Binder.restoreCallingIdentity(r0);	 Catch:{ all -> 0x0022 }
        monitor-exit(r4);	 Catch:{ all -> 0x0022 }
        r0 = 0;
        return r0;
    L_0x001d:
        r2 = move-exception;
        android.os.Binder.restoreCallingIdentity(r0);	 Catch:{ all -> 0x0022 }
        throw r2;	 Catch:{ all -> 0x0022 }
    L_0x0022:
        r0 = move-exception;
        monitor-exit(r4);	 Catch:{ all -> 0x0022 }
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.am.HwActivityManagerService.getHwRecentTaskInfo(int):android.app.HwRecentTaskInfo");
    }

    protected void forceGCAfterRebooting() {
        java.util.List<android.app.ActivityManager.RunningAppProcessInfo> runningAppInfo = getRunningAppProcesses();
        if (runningAppInfo == null) {
            android.util.HwPCUtils.log("HwPCMultiWindowManager", "forceGCAfterRebooting-fail: runningAppInfo is null");
            return;
        }
        for (android.app.ActivityManager.RunningAppProcessInfo appProcess : runningAppInfo) {
            android.os.Process.sendSignal(appProcess.pid, 10);
        }
    }

    protected android.app.HwRecentTaskInfo createHwRecentTaskInfoFromTaskRecord(com.android.server.am.TaskRecord tr) {
        android.app.ActivityManager.RecentTaskInfo rti = createRecentTasks().createRecentTaskInfo(tr);
        android.app.HwRecentTaskInfo hwRti = new android.app.HwRecentTaskInfo();
        hwRti.translateRecentTaskinfo(rti);
        com.android.server.am.ActivityStack stack = tr.getStack();
        if (stack != null) {
            hwRti.displayId = stack.mDisplayId;
        }
        hwRti.windowState = tr.getWindowState();
        if (!tr.mActivities.isEmpty() && (this.mWindowManager instanceof com.android.server.wm.HwWindowManagerService)) {
            hwRti.systemUiVisibility = ((com.android.server.wm.HwWindowManagerService) this.mWindowManager).getWindowSystemUiVisibility(((com.android.server.am.ActivityRecord) tr.mActivities.get(0)).appToken);
        }
        return hwRti;
    }

    /* JADX WARNING: Missing block: B:13:0x001c, code:
            super.overridePendingTransition(r3, r4, r5, r6);
     */
    /* JADX WARNING: Missing block: B:14:0x001f, code:
            return;
     */
    public void overridePendingTransition(android.os.IBinder r3, java.lang.String r4, int r5, int r6) {
        /*
        r2 = this;
        monitor-enter(r2);
        r0 = com.android.server.am.ActivityRecord.isInStackLocked(r3);	 Catch:{ all -> 0x0020 }
        if (r0 != 0) goto L_0x0009;
    L_0x0007:
        monitor-exit(r2);	 Catch:{ all -> 0x0020 }
        return;
    L_0x0009:
        r1 = android.util.HwPCUtils.isPcCastModeInServer();	 Catch:{ all -> 0x0020 }
        if (r1 == 0) goto L_0x001b;
    L_0x000f:
        r1 = r0.getDisplayId();	 Catch:{ all -> 0x0020 }
        r1 = android.util.HwPCUtils.isValidExtDisplayId(r1);	 Catch:{ all -> 0x0020 }
        if (r1 == 0) goto L_0x001b;
    L_0x0019:
        monitor-exit(r2);	 Catch:{ all -> 0x0020 }
        return;
    L_0x001b:
        monitor-exit(r2);	 Catch:{ all -> 0x0020 }
        super.overridePendingTransition(r3, r4, r5, r6);
        return;
    L_0x0020:
        r0 = move-exception;
        monitor-exit(r2);	 Catch:{ all -> 0x0020 }
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.am.HwActivityManagerService.overridePendingTransition(android.os.IBinder, java.lang.String, int, int):void");
    }

    public void moveTaskBackwards(int task) {
        boolean handled = false;
        if (android.util.HwPCUtils.isPcCastModeInServer()) {
            synchronized (this) {
                long origId = android.os.Binder.clearCallingIdentity();
                com.android.server.am.TaskRecord tr = this.mStackSupervisor.anyTaskForIdLocked(task);
                if (tr != null && android.util.HwPCUtils.isExtDynamicStack(tr.getStackId())) {
                    handled = true;
                    tr.getStack().moveTaskToBackLocked(task);
                }
                android.os.Binder.restoreCallingIdentity(origId);
            }
        }
        if (!handled) {
            super.moveTaskBackwards(task);
        }
    }

    public void registerHwTaskStackListener(android.app.ITaskStackListener listener) {
        com.android.server.am.TaskChangeNotificationController taskctl = getHwTaskChangeController();
        if (taskctl != null) {
            taskctl.registerTaskStackListener(listener);
        }
    }

    public void unRegisterHwTaskStackListener(android.app.ITaskStackListener listener) {
        if (getHwTaskChangeController() != null) {
            getHwTaskChangeController().unregisterTaskStackListener(listener);
        }
    }

    public android.graphics.Bitmap getDisplayBitmap(int displayId, int width, int height) {
        if (this.mWindowManager instanceof com.android.server.wm.HwWindowManagerService) {
            return ((com.android.server.wm.HwWindowManagerService) this.mWindowManager).getDisplayBitmap(displayId, width, height);
        }
        return null;
    }

    protected boolean isTaskNotResizeableEx(com.android.server.am.TaskRecord task, android.graphics.Rect bounds) {
        return (isTaskSizeChange(task, bounds) && !android.content.res.HwPCMultiWindowCompatibility.isResizable(task.getWindowState())) || !(isTaskSizeChange(task, bounds) || android.content.res.HwPCMultiWindowCompatibility.isLayoutHadBounds(task.getWindowState()));
    }

    private boolean isTaskSizeChange(com.android.server.am.TaskRecord task, android.graphics.Rect rect) {
        if (task.getOverrideBounds().width() == rect.width()) {
            if (task.getOverrideBounds().height() == rect.height()) {
                return false;
            }
        }
        return true;
    }

    /* JADX WARNING: Missing block: B:10:0x001b, code:
            return;
     */
    public void toggleHome() {
        /*
        r20 = this;
        r1 = r20;
        r0 = android.util.HwPCUtils.isPcCastModeInServer();
        if (r0 == 0) goto L_0x00d8;
    L_0x0008:
        monitor-enter(r20);
        r2 = android.os.Binder.clearCallingIdentity();	 Catch:{ all -> 0x00d5 }
        r0 = android.util.HwPCUtils.getPCDisplayID();	 Catch:{ all -> 0x00d0 }
        r4 = android.util.HwPCUtils.isValidExtDisplayId(r0);	 Catch:{ all -> 0x00d0 }
        if (r4 != 0) goto L_0x001c;
    L_0x0017:
        android.os.Binder.restoreCallingIdentity(r2);	 Catch:{ all -> 0x00d5 }
        monitor-exit(r20);	 Catch:{ all -> 0x00d5 }
        return;
    L_0x001c:
        r4 = r1.mStackSupervisor;	 Catch:{ all -> 0x00d0 }
        r4 = r4.mActivityDisplays;	 Catch:{ all -> 0x00d0 }
        r4 = r4.get(r0);	 Catch:{ all -> 0x00d0 }
        r4 = (com.android.server.am.ActivityDisplay) r4;	 Catch:{ all -> 0x00d0 }
        if (r4 != 0) goto L_0x002d;
    L_0x0028:
        android.os.Binder.restoreCallingIdentity(r2);	 Catch:{ all -> 0x00d5 }
        monitor-exit(r20);	 Catch:{ all -> 0x00d5 }
        return;
    L_0x002d:
        r5 = new java.util.ArrayList;	 Catch:{ all -> 0x00d0 }
        r5.<init>();	 Catch:{ all -> 0x00d0 }
        r6 = r4.getChildCount();	 Catch:{ all -> 0x00d0 }
        r7 = 0;
        r8 = r7;
    L_0x0038:
        if (r8 >= r6) goto L_0x0044;
    L_0x003a:
        r9 = r4.getChildAt(r8);	 Catch:{ all -> 0x00d0 }
        r5.add(r9);	 Catch:{ all -> 0x00d0 }
        r8 = r8 + 1;
        goto L_0x0038;
    L_0x0044:
        r8 = 1;
        r9 = r5.size();	 Catch:{ all -> 0x00d0 }
        r10 = 1;
        r9 = r9 - r10;
    L_0x004b:
        if (r9 < 0) goto L_0x0063;
    L_0x004d:
        r11 = r5.get(r9);	 Catch:{ all -> 0x00d0 }
        r11 = (com.android.server.am.ActivityStack) r11;	 Catch:{ all -> 0x00d0 }
        r12 = r11 instanceof com.android.server.am.HwActivityStack;	 Catch:{ all -> 0x00d0 }
        if (r12 == 0) goto L_0x0060;
    L_0x0057:
        r12 = r11;
        r12 = (com.android.server.am.HwActivityStack) r12;	 Catch:{ all -> 0x00d0 }
        r12 = r12.mHiddenFromHome;	 Catch:{ all -> 0x00d0 }
        if (r12 == 0) goto L_0x0060;
    L_0x005e:
        r8 = 0;
        goto L_0x0063;
    L_0x0060:
        r9 = r9 + -1;
        goto L_0x004b;
    L_0x0063:
        r9 = r5.size();	 Catch:{ all -> 0x00d0 }
        r9 = r9 - r10;
    L_0x0068:
        if (r9 < 0) goto L_0x00ca;
    L_0x006a:
        r11 = r5.get(r9);	 Catch:{ all -> 0x00d0 }
        r11 = (com.android.server.am.ActivityStack) r11;	 Catch:{ all -> 0x00d0 }
        r12 = r11.topTask();	 Catch:{ all -> 0x00d0 }
        r15 = r12;
        if (r15 != 0) goto L_0x007b;
    L_0x0078:
        r19 = r15;
        goto L_0x00c7;
    L_0x007b:
        r12 = 0;
        if (r8 == 0) goto L_0x009a;
    L_0x007e:
        r12 = r11.shouldBeVisible(r12);	 Catch:{ all -> 0x00d0 }
        if (r12 == 0) goto L_0x0078;
    L_0x0084:
        r12 = r11 instanceof com.android.server.am.HwActivityStack;	 Catch:{ all -> 0x00d0 }
        if (r12 == 0) goto L_0x0078;
    L_0x0088:
        r12 = r11;
        r12 = (com.android.server.am.HwActivityStack) r12;	 Catch:{ all -> 0x00d0 }
        r12 = r12.mHiddenFromHome;	 Catch:{ all -> 0x00d0 }
        if (r12 != 0) goto L_0x0078;
    L_0x008f:
        r12 = r15.taskId;	 Catch:{ all -> 0x00d0 }
        r11.moveTaskToBackLocked(r12);	 Catch:{ all -> 0x00d0 }
        r12 = r11;
        r12 = (com.android.server.am.HwActivityStack) r12;	 Catch:{ all -> 0x00d0 }
        r12.mHiddenFromHome = r10;	 Catch:{ all -> 0x00d0 }
        goto L_0x0078;
    L_0x009a:
        r12 = r11.shouldBeVisible(r12);	 Catch:{ all -> 0x00d0 }
        if (r12 != 0) goto L_0x00c5;
    L_0x00a0:
        r12 = r11 instanceof com.android.server.am.HwActivityStack;	 Catch:{ all -> 0x00d0 }
        if (r12 == 0) goto L_0x00c5;
    L_0x00a4:
        r12 = r11;
        r12 = (com.android.server.am.HwActivityStack) r12;	 Catch:{ all -> 0x00d0 }
        r12 = r12.mHiddenFromHome;	 Catch:{ all -> 0x00d0 }
        if (r12 == 0) goto L_0x00c5;
    L_0x00ab:
        r14 = 1;
        r16 = 0;
        r17 = 0;
        r18 = "moveToFrontFromHomeKey.";
        r12 = r11;
        r13 = r15;
        r19 = r15;
        r15 = r16;
        r16 = r17;
        r17 = r18;
        r12.moveTaskToFrontLocked(r13, r14, r15, r16, r17);	 Catch:{ all -> 0x00d0 }
        r12 = r11;
        r12 = (com.android.server.am.HwActivityStack) r12;	 Catch:{ all -> 0x00d0 }
        r12.mHiddenFromHome = r7;	 Catch:{ all -> 0x00d0 }
        goto L_0x00c7;
    L_0x00c5:
        r19 = r15;
    L_0x00c7:
        r9 = r9 + -1;
        goto L_0x0068;
    L_0x00ca:
        android.os.Binder.restoreCallingIdentity(r2);	 Catch:{ all -> 0x00d5 }
        monitor-exit(r20);	 Catch:{ all -> 0x00d5 }
        goto L_0x00d8;
    L_0x00d0:
        r0 = move-exception;
        android.os.Binder.restoreCallingIdentity(r2);	 Catch:{ all -> 0x00d5 }
        throw r0;	 Catch:{ all -> 0x00d5 }
    L_0x00d5:
        r0 = move-exception;
        monitor-exit(r20);	 Catch:{ all -> 0x00d5 }
        throw r0;
    L_0x00d8:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.am.HwActivityManagerService.toggleHome():void");
    }

    protected boolean isMaximizedPortraitAppOnPCMode(com.android.server.am.ActivityRecord r) {
        if (!(!android.util.HwPCUtils.isPcCastModeInServer() || r.getStack() == null || r.info == null || r.info.getComponentName() == null || !android.util.HwPCUtils.isValidExtDisplayId(r.getStack().mDisplayId))) {
            if (com.android.server.am.HwPCMultiWindowManager.getInstance(this).mPortraitMaximizedPkgList.contains(r.info.getComponentName().getPackageName())) {
                return true;
            }
        }
        return false;
    }

    public void registerExternalPointerEventListener(android.view.WindowManagerPolicyConstants.PointerEventListener listener) {
        this.mWindowManager.registerExternalPointerEventListener(listener);
    }

    public void unregisterExternalPointerEventListener(android.view.WindowManagerPolicyConstants.PointerEventListener listener) {
        this.mWindowManager.unregisterExternalPointerEventListener(listener);
    }

    public void setPCScreenDpMode(int mode) {
        if (this.mWindowManager instanceof com.android.server.wm.HwWindowManagerService) {
            ((com.android.server.wm.HwWindowManagerService) this.mWindowManager).setPCScreenDisplayMode(mode);
        }
    }

    public int getPCScreenDisplayMode() {
        if (this.mWindowManager instanceof com.android.server.wm.HwWindowManagerService) {
            return ((com.android.server.wm.HwWindowManagerService) this.mWindowManager).getPCScreenDisplayMode();
        }
        return 0;
    }

    public boolean isPackageRunningOnPCMode(java.lang.String packageName, int uid) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isPackageRunningOnPCMode, packageName:");
        stringBuilder.append(packageName);
        stringBuilder.append(", uid:");
        stringBuilder.append(uid);
        android.util.Slog.d("HwActivityManagerService", stringBuilder.toString());
        if (packageName == null) {
            android.util.Slog.e("HwActivityManagerService", "isPackageRunningOnPCMode packageName == null");
            return false;
        }
        synchronized (this) {
            com.android.server.am.ProcessRecord pr = (com.android.server.am.ProcessRecord) this.mProcessNames.get(packageName, uid);
            if (pr != null) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("pr.mDisplayId:");
                stringBuilder2.append(pr.mDisplayId);
                android.util.Slog.d("HwActivityManagerService", stringBuilder2.toString());
                boolean isValidExtDisplayId = android.util.HwPCUtils.isValidExtDisplayId(pr.mDisplayId);
                return isValidExtDisplayId;
            }
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("no pr, packageName:");
            stringBuilder3.append(packageName);
            android.util.Slog.d("HwActivityManagerService", stringBuilder3.toString());
            return false;
        }
    }

    public android.graphics.Bitmap getTaskThumbnailOnPCMode(int taskId) {
        android.graphics.Bitmap bitmap = null;
        synchronized (this) {
            com.android.server.am.TaskRecord tr = this.mStackSupervisor.anyTaskForIdLocked(taskId, 1);
            if (!(tr == null || tr.mStack == null || !(this.mWindowManager instanceof com.android.server.wm.HwWindowManagerService))) {
                com.android.server.am.ActivityRecord r = tr.topRunningActivityLocked();
                if (r != null) {
                    bitmap = ((com.android.server.wm.HwWindowManagerService) this.mWindowManager).getTaskSnapshotForPc(r.getDisplayId(), r.appToken, tr.taskId, tr.userId);
                }
            }
        }
        return bitmap;
    }

    protected final boolean checkUriPermissionLocked(com.android.server.am.ActivityManagerService.GrantUri grantUri, int uid, int modeFlags) {
        boolean result = super.checkUriPermissionLocked(grantUri, uid, modeFlags);
        if (!(!IS_SUPPORT_CLONE_APP || result || grantUri == null || grantUri.uri == null || android.os.UserHandle.getUserId(uid) == this.mUserController.getCurrentUserIdLU() || !sAllowedCrossUserForCloneArrays.contains(grantUri.uri.getAuthority()))) {
            long ident = android.os.Binder.clearCallingIdentity();
            try {
                android.content.pm.UserInfo ui = this.mUserController.getUserInfo(android.os.UserHandle.getUserId(uid));
                if (ui == null || !ui.isClonedProfile()) {
                    android.os.Binder.restoreCallingIdentity(ident);
                } else {
                    boolean checkUriPermissionLocked = super.checkUriPermissionLocked(grantUri, android.os.UserHandle.getUid(ui.profileGroupId, uid), modeFlags);
                    return checkUriPermissionLocked;
                }
            } finally {
                android.os.Binder.restoreCallingIdentity(ident);
            }
        }
        return result;
    }

    public int sendIntentSender(android.content.IIntentSender target, android.os.IBinder whitelistToken, int code, android.content.Intent intent, java.lang.String resolvedType, android.content.IIntentReceiver finishedReceiver, java.lang.String requiredPermission, android.os.Bundle options) {
        if (android.util.HwPCUtils.isPcCastModeInServer() && (target instanceof com.android.server.am.PendingIntentRecord)) {
            com.android.server.am.PendingIntentRecord.Key key = ((com.android.server.am.PendingIntentRecord) target).key;
            if (key != null) {
                int displayId = options != null ? android.app.ActivityOptions.fromBundle(options).getLaunchDisplayId() : 0;
                if (!android.util.HwPCUtils.enabledInPad() || !"com.android.incallui".equals(key.packageName) || isKeyguardLocked() || android.util.HwPCUtils.isValidExtDisplayId(displayId)) {
                    this.mPkgDisplayMaps.put(key.packageName, java.lang.Integer.valueOf(displayId));
                } else {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("sendIntentSender skip when screen on, packageName: ");
                    stringBuilder.append(key.packageName);
                    stringBuilder.append(",isKeyguardLocked: ");
                    stringBuilder.append(isKeyguardLocked());
                    stringBuilder.append(",displayId: ");
                    stringBuilder.append(displayId);
                    android.util.Slog.d("HwActivityManagerService", stringBuilder.toString());
                    return 0;
                }
            }
        }
        return super.sendIntentSender(target, whitelistToken, code, intent, resolvedType, finishedReceiver, requiredPermission, options);
    }

    public boolean checkTaskId(int taskId) {
        com.android.server.am.ProcessRecord processRecord = (com.android.server.am.ProcessRecord) this.mPidsSelfLocked.get(android.os.Binder.getCallingPid());
        if (processRecord != null) {
            java.util.ArrayList<com.android.server.am.ActivityRecord> activityRecords = processRecord.activities;
            java.util.ArrayList taskIdContainer = new java.util.ArrayList();
            int recordsSize = activityRecords.size();
            for (int i = 0; i < recordsSize; i++) {
                com.android.server.am.TaskRecord task = ((com.android.server.am.ActivityRecord) activityRecords.get(i)).getTask();
                if (task != null) {
                    taskIdContainer.add(java.lang.Integer.valueOf(task.taskId));
                }
            }
            if (taskIdContainer.contains(java.lang.Integer.valueOf(taskId))) {
                return true;
            }
        }
        return false;
    }

    public void cleanAppForHiddenSpace() {
        if (android.app.mtm.MultiTaskManager.getInstance() != null) {
            android.app.mtm.MultiTaskManager.getInstance().getAppListForUserClean(new android.app.mtm.iaware.appmng.IAppCleanCallback.Stub() {
                public void onCleanFinish(android.app.mtm.iaware.appmng.AppCleanParam result) {
                    java.util.List<java.lang.String> pkgNames = result.getStringList();
                    java.util.List<java.lang.Integer> userIds = result.getIntList();
                    java.util.List<java.lang.Integer> killTypes = result.getIntList2();
                    if (!(pkgNames == null || userIds == null)) {
                        if (killTypes != null) {
                            if (pkgNames.size() <= 5) {
                                android.util.Slog.d("HwActivityManagerService", "less then 5 pkgs, abandon cleanAppForHiddenSpace");
                                return;
                            }
                            java.util.List<android.app.mtm.iaware.appmng.AppCleanParam.AppCleanInfo> appCleanInfoList = new java.util.ArrayList();
                            for (int i = 0; i < pkgNames.size(); i++) {
                                appCleanInfoList.add(new android.app.mtm.iaware.appmng.AppCleanParam.AppCleanInfo((java.lang.String) pkgNames.get(i), (java.lang.Integer) userIds.get(i), (java.lang.Integer) killTypes.get(i)));
                            }
                            android.app.mtm.iaware.appmng.IAppCleanCallback callback2 = new android.app.mtm.iaware.appmng.IAppCleanCallback.Stub() {
                                public void onCleanFinish(android.app.mtm.iaware.appmng.AppCleanParam result2) {
                                }
                            };
                            android.util.Slog.d("HwActivityManagerService", "executeMultiAppClean for hidden space");
                            android.app.mtm.MultiTaskManager.getInstance().executeMultiAppClean(appCleanInfoList, callback2);
                        }
                    }
                }
            });
        }
    }

    public boolean addGameSpacePackageList(java.util.List<java.lang.String> packageList) {
        if (this.mHwGameAssistantController != null) {
            return this.mHwGameAssistantController.addGameSpacePackageList(packageList);
        }
        return false;
    }

    public boolean delGameSpacePackageList(java.util.List<java.lang.String> packageList) {
        if (this.mHwGameAssistantController != null) {
            return this.mHwGameAssistantController.delGameSpacePackageList(packageList);
        }
        return false;
    }

    public boolean isInGameSpace(java.lang.String packageName) {
        if (this.mHwGameAssistantController != null) {
            return this.mHwGameAssistantController.isInGameSpace(packageName);
        }
        return false;
    }

    public java.util.List<java.lang.String> getGameList() {
        if (this.mHwGameAssistantController != null) {
            return this.mHwGameAssistantController.getGameList();
        }
        return null;
    }

    public void registerGameObserver(com.huawei.android.app.IGameObserver observer) {
        if (this.mHwGameAssistantController != null) {
            this.mHwGameAssistantController.registerGameObserver(observer);
        }
    }

    public void unregisterGameObserver(com.huawei.android.app.IGameObserver observer) {
        if (this.mHwGameAssistantController != null) {
            this.mHwGameAssistantController.unregisterGameObserver(observer);
        }
    }

    public boolean isGameDndOn() {
        if (this.mHwGameAssistantController != null) {
            return this.mHwGameAssistantController.isGameDndOn();
        }
        return false;
    }

    public boolean isGameKeyControlOn() {
        if (this.mHwGameAssistantController != null) {
            return this.mHwGameAssistantController.isGameKeyControlOn();
        }
        return false;
    }

    public boolean isGameGestureDisabled() {
        if (this.mHwGameAssistantController != null) {
            return this.mHwGameAssistantController.isGameGestureDisabled();
        }
        return false;
    }
}
