package com.android.server.am;

public final class HwActivityManagerServiceEx implements com.android.server.am.IHwActivityManagerServiceEx {
    private static final java.lang.String ACTION_CONFIRM_APPLOCK_CREDENTIAL = "huawei.intent.action.APPLOCK_FRAMEWORK_MANAGER";
    private static final java.lang.String ACTION_CONFIRM_APPLOCK_PACKAGENAME = "com.huawei.systemmanager";
    private static final java.lang.String ACTION_HWOUC_SHOW_UPGRADE_REMIND = "com.huawei.android.hwouc.action.SHOW_UPGRADE_REMIND";
    private static final java.util.Set<java.lang.String> ACTIVITY_NOTIFIER_TYPES = new java.util.HashSet<java.lang.String>() {
        {
            add("returnToHome");
            add("activityLifeState");
            add("appSwitch");
        }
    };
    private static final java.lang.String APKPATCH_META_DATA = "android.huawei.MARKETED_SYSTEM_APP";
    private static final int APP_ASSOC_HOME_UPDATE = 11;
    private static final java.lang.String ASSOC_CALL_PID = "callPid";
    private static final java.lang.String ASSOC_CALL_PROCNAME = "callProcName";
    private static final java.lang.String ASSOC_CALL_UID = "callUid";
    private static final java.lang.String ASSOC_PID = "pid";
    private static final java.lang.String ASSOC_PKGNAME = "pkgname";
    private static final java.lang.String ASSOC_RELATION_TYPE = "relationType";
    private static final int ASSOC_REPORT_MIN_TIME = 60000;
    private static final java.lang.String ASSOC_TGT_COMPNAME = "compName";
    private static final java.lang.String ASSOC_TGT_PROCNAME = "tgtProcName";
    private static final java.lang.String ASSOC_TGT_UID = "tgtUid";
    private static final int CACHED_PROCESS_LIMIT = 8;
    private static final java.util.Set<java.lang.String> CLONEPROFILE_PERMISSION = new java.util.HashSet<java.lang.String>() {
        {
            add("com.huawei.hidisk");
            add("com.android.gallery3d");
            add("com.hicloud.android.clone");
            add("com.huawei.KoBackup");
        }
    };
    static final boolean DEBUG_HWTRIM = smcsLOGV;
    static final boolean DEBUG_HWTRIM_PERFORM = smcsLOGV;
    private static final java.util.Set<java.lang.String> EXEMPTED_AUTHORITIES = new java.util.HashSet<java.lang.String>() {
        {
            add("com.huawei.systemmanager.fileProvider");
            add("com.huawei.pcassistant.provider");
        }
    };
    private static final int FG_TO_TOP_APP_MSG = 70;
    private static final int HWOUC_UPDATE_REMIND_MSG = 80;
    private static final java.lang.String HW_LAUNCHER_PKGNAME = "com.huawei.android.launcher";
    private static final boolean HW_SUPPORT_LAUNCHER_EXIT_ANIM = (android.os.SystemProperties.getBoolean("ro.config.disable_launcher_exit_anim", false) ^ 1);
    private static final java.lang.String HW_SYSTEM_SERVER_START = "com.huawei.systemserver.START";
    private static final boolean IS_CHINA = "CN".equalsIgnoreCase(android.os.SystemProperties.get("ro.product.locale.region", ""));
    public static final boolean IS_SUPPORT_CLONE_APP = android.os.SystemProperties.getBoolean("ro.config.hw_support_clone_app", false);
    static final int KILL_APPLICATION_MSG = 22;
    static final int MULTI_WINDOW_MODE_CHANGED_MSG = 23;
    private static final int NOTIFY_ACTIVITY_STATE = 71;
    static final int NOTIFY_CALL = 24;
    private static final java.lang.String PACKAGE_HWOUC = "com.huawei.android.hwouc";
    private static final java.lang.String PERMISSION_HWOUC_UPGRADE_REMIND = "com.huawei.android.hwouc.permission.UPGRADE_REMIND";
    private static final int PERSISTENT_MASK = 9;
    private static final int PRIMARY_SYSTEM_GID = 1000;
    private static final java.util.Set<java.lang.String> PROCESS_NAME_IN_REPAIR_MODE = new java.util.HashSet<java.lang.String>() {
        {
            add("com.huawei.ddtTest");
            add("com.huawei.morpheus");
            add("com.huawei.hwdetectrepair");
        }
    };
    private static final java.lang.String REASON_SYS_REPLACE = "replace sys pkg";
    private static final int REPAIR_MODE_SYSTEM_UID = 12701000;
    private static final java.lang.String RESOURCE_APPASSOC = "RESOURCE_APPASSOC";
    private static final java.lang.String SETTING_GUEST_HAS_LOGGED_IN = "guest_has_logged_in";
    private static final int SHOW_APPFREEZE_DIALOG_MSG = 51;
    private static final int SHOW_GUEST_SWITCH_DIALOG_MSG = 50;
    private static final int SHOW_SWITCH_DIALOG_MSG = 49;
    static final int SHOW_UNINSTALL_LAUNCHER_MSG = 48;
    private static final java.lang.String SPLIT_SCREEN_APP_NAME = "splitscreen.SplitScreenAppActivity";
    private static final java.lang.String SYSTEMUI_NAME = "com.android.systemui";
    static final java.lang.String TAG = "HwActivityManagerServiceEx";
    static final int TASK_SNAPSHOT = 25;
    private static final boolean enableRms = android.os.SystemProperties.getBoolean("ro.config.enable_rms", false);
    private static java.util.Set<java.lang.String> mPIPWhitelists = new java.util.HashSet();
    private static java.util.Set<java.lang.String> mTranslucentWhitelists = new java.util.HashSet();
    private static java.util.Set<java.lang.String> mWhitelistActivities = new java.util.HashSet();
    static final boolean smcsLOGV = android.os.SystemProperties.getBoolean("ro.enable.st_debug", false);
    private boolean isLastMultiMode = false;
    final android.os.RemoteCallbackList<android.app.IHwActivityNotifier> mActivityNotifiers = new android.os.RemoteCallbackList();
    private final android.util.ArrayMap<java.lang.Integer, android.util.ArrayMap<java.lang.Integer, java.lang.Long>> mAssocMap = new android.util.ArrayMap();
    private android.os.Handler mBootCheckHandler;
    final android.content.Context mContext;
    android.os.Handler mHandler = new android.os.Handler() {
        public void handleMessage(android.os.Message msg) {
            int i = msg.what;
            if (i != 80) {
                switch (i) {
                    case 48:
                        com.android.server.am.HwActivityManagerServiceEx.this.showUninstallLauncher();
                        return;
                    case 49:
                        com.android.server.am.HwActivityManagerServiceEx.this.mIAmsInner.getUserController().showUserSwitchDialog((android.util.Pair) msg.obj);
                        return;
                    case 50:
                        com.android.server.am.HwActivityManagerServiceEx.this.showGuestSwitchDialog(msg.arg1, (java.lang.String) msg.obj);
                        return;
                    case 51:
                        com.android.server.am.HwActivityManagerServiceEx.this.showAppEyeAnrUi(msg);
                        return;
                    default:
                        switch (i) {
                            case 70:
                                com.android.server.am.HwActivityManagerServiceEx.this.reportFgToTopMsg(msg);
                                return;
                            case 71:
                                com.android.server.am.HwActivityManagerServiceEx.this.handleNotifyActivityState(msg);
                                return;
                            default:
                                return;
                        }
                }
            }
            android.util.Slog.i("HwActivityManagerServiceEx", "send UPDATE REMIND broacast to HWOUC");
            android.content.Intent intent = new android.content.Intent("com.huawei.android.hwouc.action.SHOW_UPGRADE_REMIND");
            intent.setPackage("com.huawei.android.hwouc");
            com.android.server.am.HwActivityManagerServiceEx.this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.SYSTEM, "com.huawei.android.hwouc.permission.UPGRADE_REMIND");
        }
    };
    android.os.Handler mHwHandler = null;
    com.android.server.ServiceThread mHwHandlerThread = null;
    final com.android.server.am.TaskChangeNotificationController mHwTaskChangeNotificationController;
    com.android.server.am.IHwActivityManagerInner mIAmsInner = null;
    private java.lang.String mLastLauncherName;
    private boolean mNeedRemindHwOUC = false;
    private com.android.server.am.HwActivityManagerServiceEx.ResetSessionDialog mNewSessionDialog;
    public java.util.HashMap<java.lang.String, java.lang.Long> mPCUsageStats = new java.util.HashMap();
    private android.content.Intent mQuickSlideIntent = null;
    private long mQuickSlideStartTime;
    private com.android.server.am.HwActivityManagerServiceEx.SettingsObserver mSettingsObserver;
    private android.os.RemoteCallbackList<android.os.IMWThirdpartyCallback> mThirdPartyCallbackList;

    private class ResetSessionDialog extends android.app.AlertDialog implements android.content.DialogInterface.OnClickListener {
        private final int mUserId;

        public ResetSessionDialog(android.content.Context context, int userId) {
            super(context, context.getResources().getIdentifier("androidhwext:style/Theme.Emui.Dialog", null, null));
            getWindow().setType(2014);
            getWindow().addFlags(655360);
            android.app.KeyguardManager keyguardManager = (android.app.KeyguardManager) context.getSystemService("keyguard");
            if (keyguardManager != null && keyguardManager.isKeyguardLocked()) {
                getWindow().addPrivateFlags(Integer.MIN_VALUE);
            }
            setMessage(context.getString(33685841));
            setButton(-1, context.getString(33685843), this);
            setButton(-2, context.getString(33685842), this);
            setCanceledOnTouchOutside(false);
            this.mUserId = userId;
        }

        public void onClick(android.content.DialogInterface dialog, int which) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onClick which:");
            stringBuilder.append(which);
            android.util.Slog.i("HwActivityManagerServiceEx", stringBuilder.toString());
            if (which == -2) {
                com.android.server.am.HwActivityManagerServiceEx.this.wipeGuestSession(this.mUserId);
                dismiss();
            } else if (which == -1) {
                cancel();
                com.android.server.am.HwActivityManagerServiceEx.this.sendMessageToSwitchUser(this.mUserId, com.android.server.am.HwActivityManagerServiceEx.this.getGuestName());
            }
        }
    }

    private final class SettingsObserver extends android.database.ContentObserver {
        private static final java.lang.String KEY_HW_UPGRADE_REMIND = "hw_upgrade_remind";
        private final android.net.Uri URI_HW_UPGRADE_REMIND = android.provider.Settings.Secure.getUriFor("hw_upgrade_remind");

        SettingsObserver(android.os.Handler handler) {
            super(handler);
        }

        public void init() {
            android.content.ContentResolver resolver = com.android.server.am.HwActivityManagerServiceEx.this.mContext.getContentResolver();
            boolean z = false;
            resolver.registerContentObserver(this.URI_HW_UPGRADE_REMIND, false, this, 0);
            com.android.server.am.HwActivityManagerServiceEx hwActivityManagerServiceEx = com.android.server.am.HwActivityManagerServiceEx.this;
            if (android.provider.Settings.Secure.getIntForUser(resolver, "hw_upgrade_remind", 0, 0) != 0) {
                z = true;
            }
            hwActivityManagerServiceEx.mNeedRemindHwOUC = z;
        }

        public void onChange(boolean selfChange, android.net.Uri uri) {
            if (this.URI_HW_UPGRADE_REMIND.equals(uri)) {
                com.android.server.am.HwActivityManagerServiceEx hwActivityManagerServiceEx = com.android.server.am.HwActivityManagerServiceEx.this;
                boolean z = false;
                if (android.provider.Settings.Secure.getIntForUser(com.android.server.am.HwActivityManagerServiceEx.this.mContext.getContentResolver(), "hw_upgrade_remind", 0, 0) != 0) {
                    z = true;
                }
                hwActivityManagerServiceEx.mNeedRemindHwOUC = z;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("mNeedRemindHwOUC has changed to : ");
                stringBuilder.append(com.android.server.am.HwActivityManagerServiceEx.this.mNeedRemindHwOUC);
                android.util.Slog.i("HwActivityManagerServiceEx", stringBuilder.toString());
            }
        }
    }

    static {
        mWhitelistActivities.add("com.vlocker.settings.DismissActivity");
        mTranslucentWhitelists.add("com.android.packageinstaller.permission.ui.GrantPermissionsActivity");
        mPIPWhitelists.add("com.android.systemui.pip.phone.PipMenuActivity");
    }

    public HwActivityManagerServiceEx(com.android.server.am.IHwActivityManagerInner iams, android.content.Context context) {
        this.mIAmsInner = iams;
        this.mContext = context;
        this.mHwHandlerThread = new com.android.server.ServiceThread("HwActivityManagerServiceEx", -2, false);
        this.mHwHandlerThread.start();
        this.mHwHandler = new android.os.Handler(this.mHwHandlerThread.getLooper()) {
            public void handleMessage(android.os.Message msg) {
                int appId;
                switch (msg.what) {
                    case 22:
                        synchronized (com.android.server.am.HwActivityManagerServiceEx.this.mIAmsInner.getAMSForLock()) {
                            appId = msg.arg1;
                            int userId = msg.arg2;
                            android.os.Bundle bundle = (android.os.Bundle) msg.obj;
                            java.lang.String pkg = bundle.getString("pkg");
                            java.lang.String reason = bundle.getString("reason");
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("killApplication start for pkg: ");
                            stringBuilder.append(pkg);
                            stringBuilder.append(", userId: ");
                            stringBuilder.append(userId);
                            android.util.Slog.w("HwActivityManagerServiceEx", stringBuilder.toString());
                            com.android.server.am.HwActivityManagerServiceEx.this.mIAmsInner.forceStopPackageLockedInner(pkg, appId, false, false, true, false, false, userId, reason);
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("killApplication end for pkg: ");
                            stringBuilder.append(pkg);
                            stringBuilder.append(", userId: ");
                            stringBuilder.append(userId);
                            android.util.Slog.w("HwActivityManagerServiceEx", stringBuilder.toString());
                        }
                        return;
                    case 23:
                        boolean isInMultiWindowMode = ((java.lang.Boolean) msg.obj).booleanValue();
                        synchronized (com.android.server.am.HwActivityManagerServiceEx.this.mThirdPartyCallbackList) {
                            try {
                                appId = com.android.server.am.HwActivityManagerServiceEx.this.mThirdPartyCallbackList.beginBroadcast();
                                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append("onMultiWindowModeChanged begin : mThirdPartyCallbackList size : ");
                                stringBuilder2.append(appId);
                                android.util.Flog.i(100, stringBuilder2.toString());
                                while (appId > 0) {
                                    appId--;
                                    try {
                                        ((android.os.IMWThirdpartyCallback) com.android.server.am.HwActivityManagerServiceEx.this.mThirdPartyCallbackList.getBroadcastItem(appId)).onModeChanged(isInMultiWindowMode);
                                    } catch (java.lang.Exception e) {
                                        android.util.Flog.e(100, "Error in sending the Callback");
                                    }
                                }
                                stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append("onMultiWindowModeChanged end : mThirdPartyCallbackList size : ");
                                stringBuilder2.append(appId);
                                android.util.Flog.i(100, stringBuilder2.toString());
                                com.android.server.am.HwActivityManagerServiceEx.this.mThirdPartyCallbackList.finishBroadcast();
                            } catch (java.lang.IllegalStateException e2) {
                                android.util.Flog.e(100, "beginBroadcast() called while already in a broadcast");
                            }
                        }
                        return;
                    case 24:
                        synchronized (com.android.server.am.HwActivityManagerServiceEx.this.mActivityNotifiers) {
                            try {
                                android.os.Bundle bundle2 = msg.obj;
                                java.lang.String userId2 = java.lang.String.valueOf(bundle2.getInt("android.intent.extra.user_handle"));
                                java.lang.String reason2 = bundle2.getString("android.intent.extra.REASON");
                                int i = com.android.server.am.HwActivityManagerServiceEx.this.mActivityNotifiers.beginBroadcast();
                                while (i > 0) {
                                    i--;
                                    android.app.IHwActivityNotifier notifier = (android.app.IHwActivityNotifier) com.android.server.am.HwActivityManagerServiceEx.this.mActivityNotifiers.getBroadcastItem(i);
                                    java.util.HashMap<java.lang.String, java.lang.String> cookie = (java.util.HashMap) com.android.server.am.HwActivityManagerServiceEx.this.mActivityNotifiers.getBroadcastCookie(i);
                                    if ((userId2.equals(cookie.get("android.intent.extra.user_handle")) || cookie.get("android.intent.extra.USER") != null) && reason2.equals(cookie.get("android.intent.extra.REASON"))) {
                                        try {
                                            long start = java.lang.System.currentTimeMillis();
                                            ((android.app.IHwActivityNotifier) com.android.server.am.HwActivityManagerServiceEx.this.mActivityNotifiers.getBroadcastItem(i)).call(bundle2);
                                            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                                            stringBuilder3.append("HwActivityNotifier end call ");
                                            stringBuilder3.append(notifier);
                                            stringBuilder3.append(" for ");
                                            stringBuilder3.append(reason2);
                                            stringBuilder3.append(" under user ");
                                            stringBuilder3.append(userId2);
                                            stringBuilder3.append(" cost ");
                                            stringBuilder3.append(java.lang.System.currentTimeMillis() - start);
                                            android.util.Slog.w("HwActivityManagerServiceEx", stringBuilder3.toString());
                                        } catch (android.os.RemoteException e3) {
                                            java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                                            stringBuilder4.append("observer.call get RemoteException, remove notifier ");
                                            stringBuilder4.append(notifier);
                                            android.util.Flog.e(100, stringBuilder4.toString());
                                            com.android.server.am.HwActivityManagerServiceEx.this.mActivityNotifiers.unregister(notifier);
                                        }
                                    }
                                }
                                com.android.server.am.HwActivityManagerServiceEx.this.mActivityNotifiers.finishBroadcast();
                            } catch (java.lang.Exception e4) {
                                android.util.Flog.e(100, "HwActivityNotifier call error");
                            }
                        }
                        return;
                    case 25:
                        com.android.server.am.ActivityRecord from = msg.obj;
                        if (from.getConfiguration().orientation == 2 && from.appToken != null) {
                            java.lang.StringBuilder stringBuilder5 = new java.lang.StringBuilder();
                            stringBuilder5.append("takeTaskSnapShot package ");
                            stringBuilder5.append(from.packageName);
                            android.util.Slog.v("HwActivityManagerServiceEx", stringBuilder5.toString());
                            com.android.server.am.HwActivityManagerServiceEx.this.mIAmsInner.getAMSForLock().mWindowManager.getWindowManagerServiceEx().takeTaskSnapshot(from.appToken);
                        }
                        return;
                    default:
                        return;
                }
            }
        };
        com.android.server.os.HwBootCheck.bootSceneStart(100, 60000);
        this.mHwTaskChangeNotificationController = new com.android.server.am.TaskChangeNotificationController(this.mIAmsInner.getAMSForLock(), this.mIAmsInner.getStackSupervisor(), this.mHandler);
        this.mThirdPartyCallbackList = new android.os.RemoteCallbackList();
    }

    final void reportFgToTopMsg(android.os.Message msg) {
        java.lang.StringBuffer stringBuffer = new java.lang.StringBuffer();
        stringBuffer.append(java.lang.String.valueOf(msg.arg1));
        stringBuffer.append("#");
        stringBuffer.append(java.lang.String.valueOf(msg.arg2));
        stringBuffer.append("#");
        stringBuffer.append(msg.obj);
        this.mIAmsInner.getDAMonitor().DAMonitorReport(this.mIAmsInner.getDAMonitor().getFirstDevSchedEventId(), stringBuffer.toString());
    }

    final void handleNotifyActivityState(android.os.Message msg) {
        if (msg != null) {
            java.lang.String activityInfo = null;
            if (msg.obj instanceof java.lang.String) {
                activityInfo = msg.obj;
            }
            if (activityInfo == null) {
                android.util.Slog.e("HwActivityManagerServiceEx", "msg.obj type error.");
                return;
            }
            if (!(this.mIAmsInner == null || this.mIAmsInner.getDAMonitor() == null)) {
                this.mIAmsInner.getDAMonitor().notifyActivityState(activityInfo);
            }
        }
    }

    private void showUninstallLauncher() {
        android.content.Context mUiContext = this.mIAmsInner.getUiContext();
        try {
            if (this.mContext.getPackageManager().getPackageInfo(this.mLastLauncherName, 0) != null) {
                android.app.AlertDialog d = new com.android.server.am.BaseErrorDialog(mUiContext);
                d.getWindow().setType(2010);
                d.setCancelable(false);
                d.setTitle(mUiContext.getString(33685930));
                d.setMessage(mUiContext.getString(33685932, new java.lang.Object[]{this.mContext.getPackageManager().getApplicationLabel(pInfo.applicationInfo).toString()}));
                d.setButton(-1, mUiContext.getString(33685931), new android.content.DialogInterface.OnClickListener() {
                    public void onClick(android.content.DialogInterface dialog, int which) {
                        com.android.server.am.HwActivityManagerServiceEx.this.mContext.getPackageManager().deletePackage(com.android.server.am.HwActivityManagerServiceEx.this.mLastLauncherName, null, 0);
                    }
                });
                d.setButton(-2, mUiContext.getString(17039360), new android.content.DialogInterface.OnClickListener() {
                    public void onClick(android.content.DialogInterface dialog, int which) {
                    }
                });
                d.show();
            }
        } catch (android.content.pm.PackageManager.NameNotFoundException e) {
        }
    }

    public int changeGidIfRepairMode(int uid, java.lang.String processName) {
        if (uid == 12701000 && PROCESS_NAME_IN_REPAIR_MODE.contains(processName)) {
            return 1000;
        }
        return uid;
    }

    public void showUninstallLauncherDialog(java.lang.String pkgName) {
        this.mLastLauncherName = pkgName;
        this.mHandler.sendMessage(this.mHandler.obtainMessage(48));
    }

    private void showGuestSwitchDialog(int userId, java.lang.String userName) {
        cancelDialog();
        android.content.ContentResolver cr = this.mContext.getContentResolver();
        int notFirstLogin = android.provider.Settings.System.getIntForUser(cr, "guest_has_logged_in", 0, userId);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("notFirstLogin:");
        stringBuilder.append(notFirstLogin);
        stringBuilder.append(", userid=");
        stringBuilder.append(userId);
        android.util.Slog.i("HwActivityManagerServiceEx", stringBuilder.toString());
        if (notFirstLogin != 0) {
            showGuestResetSessionDialog(userId);
            return;
        }
        android.provider.Settings.System.putIntForUser(cr, "guest_has_logged_in", 1, userId);
        sendMessageToSwitchUser(userId, userName);
    }

    public void killApplication(java.lang.String pkg, int appId, int userId, java.lang.String reason) {
        if (appId < 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Invalid appid specified for pkg : ");
            stringBuilder.append(pkg);
            android.util.Slog.w("HwActivityManagerServiceEx", stringBuilder.toString());
            return;
        }
        int callerUid = android.os.Binder.getCallingUid();
        if (android.os.UserHandle.getAppId(callerUid) == 1000) {
            android.os.Message msg = this.mHwHandler.obtainMessage(22);
            msg.arg1 = appId;
            msg.arg2 = userId;
            android.os.Bundle bundle = new android.os.Bundle();
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("killApplication send message for pkg: ");
            stringBuilder2.append(pkg);
            stringBuilder2.append(", userId: ");
            stringBuilder2.append(userId);
            android.util.Slog.w("HwActivityManagerServiceEx", stringBuilder2.toString());
            bundle.putString("pkg", pkg);
            bundle.putString("reason", reason);
            msg.obj = bundle;
            this.mHwHandler.sendMessage(msg);
            return;
        }
        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
        stringBuilder3.append(callerUid);
        stringBuilder3.append(" cannot kill pkg: ");
        stringBuilder3.append(pkg);
        throw new java.lang.SecurityException(stringBuilder3.toString());
    }

    private final boolean cleanProviderLocked(com.android.server.am.ProcessRecord proc, com.android.server.am.ContentProviderRecord cpr, boolean always) {
        boolean inLaunching = this.mIAmsInner.getLaunchingProviders().contains(cpr);
        if (!inLaunching || always) {
            synchronized (cpr) {
                cpr.launchingApp = null;
                cpr.notifyAll();
            }
            this.mIAmsInner.getProviderMap().removeProviderByClass(cpr.name, android.os.UserHandle.getUserId(cpr.uid));
            java.lang.String[] names = cpr.info.authority.split(";");
            for (java.lang.String removeProviderByName : names) {
                this.mIAmsInner.getProviderMap().removeProviderByName(removeProviderByName, android.os.UserHandle.getUserId(cpr.uid));
            }
        }
        for (int i = cpr.connections.size() - 1; i >= 0; i--) {
            com.android.server.am.ContentProviderConnection conn = (com.android.server.am.ContentProviderConnection) cpr.connections.get(i);
            if (!conn.waiting || !inLaunching || always) {
                com.android.server.am.ProcessRecord capp = conn.client;
                conn.dead = true;
                if (conn.stableCount > 0) {
                    if (!(capp.persistent || capp.thread == null || capp.pid == 0 || capp.pid == this.mIAmsInner.getAmsPid())) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("depends on provider ");
                        stringBuilder.append(cpr.name.flattenToShortString());
                        stringBuilder.append(" in dying proc ");
                        stringBuilder.append(proc != null ? proc.processName : "??");
                        capp.kill(stringBuilder.toString(), true);
                    }
                } else if (!(capp.thread == null || conn.provider.provider == null)) {
                    try {
                        capp.thread.unstableProviderDied(conn.provider.provider.asBinder());
                    } catch (android.os.RemoteException e) {
                        android.util.Slog.e("HwActivityManagerServiceEx", "cleanProviderLocked error because RemoteException!");
                    }
                    cpr.connections.remove(i);
                    if (conn.client.conProviders.remove(conn)) {
                        this.mIAmsInner.stopAssociationLockedInner(capp.uid, capp.processName, cpr.uid, cpr.name);
                    }
                }
            }
        }
        if (inLaunching && always) {
            this.mIAmsInner.getLaunchingProviders().remove(cpr);
        }
        return inLaunching;
    }

    /* JADX WARNING: Removed duplicated region for block: B:29:0x0059 A:{Catch:{ all -> 0x00f0, all -> 0x00f4 }} */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x005e A:{Catch:{ all -> 0x00f0, all -> 0x00f4 }} */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x0085 A:{Catch:{ all -> 0x00f0, all -> 0x00f4 }} */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x0091 A:{LOOP_END, LOOP:1: B:37:0x008e->B:39:0x0091, Catch:{ all -> 0x00f0, all -> 0x00f4 }} */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x00a7 A:{LOOP_END, LOOP:2: B:41:0x00a5->B:42:0x00a7, Catch:{ all -> 0x00f0, all -> 0x00f4 }} */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x00c3 A:{SKIP, Catch:{ all -> 0x00f0, all -> 0x00f4 }} */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x00b9 A:{Catch:{ all -> 0x00f0, all -> 0x00f4 }} */
    public boolean cleanPackageRes(java.util.List<java.lang.String> r20, java.util.Map<java.lang.String, java.util.List<java.lang.String>> r21, int r22, boolean r23, boolean r24, boolean r25) {
        /*
        r19 = this;
        r1 = r19;
        r2 = r21;
        r3 = r22;
        if (r20 != 0) goto L_0x000a;
    L_0x0008:
        r0 = 0;
        return r0;
    L_0x000a:
        r5 = 0;
        r13 = 1;
        r14 = 0;
        r12 = android.os.UserHandle.getUserId(r22);
        r0 = r1.mIAmsInner;
        r15 = r0.getAMSForLock();
        monitor-enter(r15);
        r0 = r20.iterator();	 Catch:{ all -> 0x00f0 }
    L_0x001c:
        r6 = r0.hasNext();	 Catch:{ all -> 0x00f0 }
        if (r6 == 0) goto L_0x00ed;
    L_0x0022:
        r6 = r0.next();	 Catch:{ all -> 0x00f0 }
        r6 = (java.lang.String) r6;	 Catch:{ all -> 0x00f0 }
        r11 = r6;
        if (r24 != 0) goto L_0x0039;
    L_0x002b:
        r6 = r1.canCleanTaskRecord(r11);	 Catch:{ all -> 0x0035 }
        if (r6 == 0) goto L_0x0032;
    L_0x0031:
        goto L_0x0039;
    L_0x0032:
        r16 = r11;
        goto L_0x0049;
    L_0x0035:
        r0 = move-exception;
        r4 = r12;
        goto L_0x00f2;
    L_0x0039:
        r6 = r1.mIAmsInner;	 Catch:{ all -> 0x00f0 }
        r8 = 0;
        r7 = r11;
        r9 = r13;
        r10 = r14;
        r16 = r11;
        r11 = r12;
        r6 = r6.finishDisabledPackageActivitiesLocked(r7, r8, r9, r10, r11);	 Catch:{ all -> 0x00f0 }
        if (r6 == 0) goto L_0x0049;
    L_0x0048:
        r5 = 1;
    L_0x0049:
        r6 = r1.mIAmsInner;	 Catch:{ all -> 0x00f0 }
        r8 = 0;
        r11 = 1;
        r7 = r16;
        r9 = r12;
        r10 = r14;
        r4 = r12;
        r12 = r13;
        r6 = r6.bringDownDisabledPackageServicesLocked(r7, r8, r9, r10, r11, r12);	 Catch:{ all -> 0x00f4 }
        if (r6 == 0) goto L_0x005a;
    L_0x0059:
        r5 = 1;
    L_0x005a:
        r12 = r16;
        if (r12 != 0) goto L_0x0067;
    L_0x005e:
        r6 = r1.mIAmsInner;	 Catch:{ all -> 0x00f4 }
        r6 = r6.getStickyBroadcasts();	 Catch:{ all -> 0x00f4 }
        r6.remove(r4);	 Catch:{ all -> 0x00f4 }
    L_0x0067:
        r6 = new java.util.ArrayList;	 Catch:{ all -> 0x00f4 }
        r6.<init>();	 Catch:{ all -> 0x00f4 }
        r11 = r6;
        r6 = r1.mIAmsInner;	 Catch:{ all -> 0x00f4 }
        r6 = r6.getProviderMap();	 Catch:{ all -> 0x00f4 }
        r8 = 0;
        r7 = r12;
        r9 = r13;
        r10 = r14;
        r17 = r11;
        r11 = r4;
        r18 = r0;
        r0 = r12;
        r12 = r17;
        r6 = r6.collectPackageProvidersLocked(r7, r8, r9, r10, r11, r12);	 Catch:{ all -> 0x00f4 }
        if (r6 == 0) goto L_0x0086;
    L_0x0085:
        r5 = 1;
    L_0x0086:
        r6 = r17;
        r7 = r6.size();	 Catch:{ all -> 0x00f4 }
        r8 = 1;
        r7 = r7 - r8;
    L_0x008e:
        r9 = 0;
        if (r7 < 0) goto L_0x009d;
    L_0x0091:
        r10 = r6.get(r7);	 Catch:{ all -> 0x00f4 }
        r10 = (com.android.server.am.ContentProviderRecord) r10;	 Catch:{ all -> 0x00f4 }
        r1.cleanProviderLocked(r9, r10, r8);	 Catch:{ all -> 0x00f4 }
        r7 = r7 + -1;
        goto L_0x008e;
    L_0x009d:
        r7 = r1.mIAmsInner;	 Catch:{ all -> 0x00f4 }
        r7 = r7.getBroadcastQueues();	 Catch:{ all -> 0x00f4 }
        r7 = r7.length;	 Catch:{ all -> 0x00f4 }
        r7 = r7 - r8;
    L_0x00a5:
        if (r7 < 0) goto L_0x00b7;
    L_0x00a7:
        r8 = r1.mIAmsInner;	 Catch:{ all -> 0x00f4 }
        r8 = r8.getBroadcastQueues();	 Catch:{ all -> 0x00f4 }
        r8 = r8[r7];	 Catch:{ all -> 0x00f4 }
        r8 = r8.cleanupDisabledPackageReceiversLocked(r0, r9, r4, r13);	 Catch:{ all -> 0x00f4 }
        r5 = r5 | r8;
        r7 = r7 + -1;
        goto L_0x00a5;
    L_0x00b7:
        if (r2 != 0) goto L_0x00c3;
    L_0x00b9:
        r7 = r1.mIAmsInner;	 Catch:{ all -> 0x00f4 }
        r7 = r7.getAlarmService();	 Catch:{ all -> 0x00f4 }
        r7.removePackageAlarm(r0, r9, r3);	 Catch:{ all -> 0x00f4 }
        goto L_0x00de;
    L_0x00c3:
        if (r23 == 0) goto L_0x00de;
    L_0x00c5:
        r8 = r1.mIAmsInner;	 Catch:{ all -> 0x00f4 }
        r8 = r8.getAlarmService();	 Catch:{ all -> 0x00f4 }
        if (r8 == 0) goto L_0x00de;
    L_0x00cd:
        r8 = r2.get(r0);	 Catch:{ all -> 0x00f4 }
        r8 = (java.util.List) r8;	 Catch:{ all -> 0x00f4 }
        if (r8 == 0) goto L_0x00de;
    L_0x00d5:
        r9 = r1.mIAmsInner;	 Catch:{ all -> 0x00f4 }
        r9 = r9.getAlarmService();	 Catch:{ all -> 0x00f4 }
        r9.removePackageAlarm(r0, r8, r3);	 Catch:{ all -> 0x00f4 }
    L_0x00de:
        if (r24 != 0) goto L_0x00e2;
    L_0x00e0:
        if (r25 != 0) goto L_0x00e7;
    L_0x00e2:
        r9 = r1.mIAmsInner;	 Catch:{ all -> 0x00f4 }
        r9.finishForceStopPackageLockedInner(r0, r3);	 Catch:{ all -> 0x00f4 }
        r12 = r4;
        r0 = r18;
        goto L_0x001c;
    L_0x00ed:
        r4 = r12;
        monitor-exit(r15);	 Catch:{ all -> 0x00f4 }
        return r5;
    L_0x00f0:
        r0 = move-exception;
        r4 = r12;
    L_0x00f2:
        monitor-exit(r15);	 Catch:{ all -> 0x00f4 }
        throw r0;
    L_0x00f4:
        r0 = move-exception;
        goto L_0x00f2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.am.HwActivityManagerServiceEx.cleanPackageRes(java.util.List, java.util.Map, int, boolean, boolean, boolean):boolean");
    }

    /* JADX WARNING: Missing block: B:43:0x00af, code:
            return true;
     */
    public boolean canCleanTaskRecord(java.lang.String r13) {
        /*
        r12 = this;
        r0 = 1;
        if (r13 != 0) goto L_0x0004;
    L_0x0003:
        return r0;
    L_0x0004:
        r1 = r12.mIAmsInner;
        r1 = r1.getAMSForLock();
        monitor-enter(r1);
        r2 = r12.mIAmsInner;	 Catch:{ all -> 0x00b0 }
        r2 = r2.getRecentRawTasks();	 Catch:{ all -> 0x00b0 }
        if (r2 != 0) goto L_0x0015;
    L_0x0013:
        monitor-exit(r1);	 Catch:{ all -> 0x00b0 }
        return r0;
    L_0x0015:
        r3 = r2.size();	 Catch:{ all -> 0x00b0 }
        r4 = 0;
        r5 = r12.mIAmsInner;	 Catch:{ all -> 0x00b0 }
        r5 = r5.getDAMonitor();	 Catch:{ all -> 0x00b0 }
        r5 = r5.getActivityImportCount();	 Catch:{ all -> 0x00b0 }
        r6 = 0;
        r7 = r4;
        r4 = r6;
    L_0x0027:
        if (r4 >= r3) goto L_0x0094;
    L_0x0029:
        if (r7 >= r5) goto L_0x0094;
    L_0x002b:
        r8 = r2.get(r4);	 Catch:{ all -> 0x00b0 }
        r8 = (com.android.server.am.TaskRecord) r8;	 Catch:{ all -> 0x00b0 }
        if (r8 == 0) goto L_0x0091;
    L_0x0033:
        r9 = r8.mActivities;	 Catch:{ all -> 0x00b0 }
        if (r9 != 0) goto L_0x0038;
    L_0x0037:
        goto L_0x0091;
    L_0x0038:
        r9 = r8.mActivities;	 Catch:{ all -> 0x00b0 }
        r9 = r9.size();	 Catch:{ all -> 0x00b0 }
        if (r9 <= 0) goto L_0x008f;
    L_0x0040:
        r9 = r8.getBaseIntent();	 Catch:{ all -> 0x00b0 }
        if (r9 == 0) goto L_0x008f;
    L_0x0046:
        r9 = r8.getBaseIntent();	 Catch:{ all -> 0x00b0 }
        r9 = r9.getComponent();	 Catch:{ all -> 0x00b0 }
        if (r9 == 0) goto L_0x008f;
    L_0x0050:
        r9 = r8.getBaseIntent();	 Catch:{ all -> 0x00b0 }
        r9 = r9.getComponent();	 Catch:{ all -> 0x00b0 }
        r9 = r9.getPackageName();	 Catch:{ all -> 0x00b0 }
        r10 = r13.equals(r9);	 Catch:{ all -> 0x00b0 }
        if (r10 == 0) goto L_0x0064;
    L_0x0062:
        monitor-exit(r1);	 Catch:{ all -> 0x00b0 }
        return r6;
    L_0x0064:
        r10 = r12.mIAmsInner;	 Catch:{ all -> 0x00b0 }
        r10 = r10.getDAMonitor();	 Catch:{ all -> 0x00b0 }
        r10 = r10.getRecentTask();	 Catch:{ all -> 0x00b0 }
        r11 = r8.getBaseIntent();	 Catch:{ all -> 0x00b0 }
        r11 = r11.getComponent();	 Catch:{ all -> 0x00b0 }
        r11 = r11.flattenToShortString();	 Catch:{ all -> 0x00b0 }
        r10 = r10.equals(r11);	 Catch:{ all -> 0x00b0 }
        if (r10 == 0) goto L_0x0081;
    L_0x0080:
        goto L_0x0091;
    L_0x0081:
        r10 = r8.getBaseIntent();	 Catch:{ all -> 0x00b0 }
        r10 = r10.getFlags();	 Catch:{ all -> 0x00b0 }
        r11 = 8388608; // 0x800000 float:1.17549435E-38 double:4.144523E-317;
        r10 = r10 & r11;
        if (r10 == 0) goto L_0x008f;
    L_0x008e:
        goto L_0x0091;
    L_0x008f:
        r7 = r7 + 1;
    L_0x0091:
        r4 = r4 + 1;
        goto L_0x0027;
    L_0x0094:
        r4 = r12.mIAmsInner;	 Catch:{ all -> 0x00b0 }
        r4 = r4.getStackSupervisor();	 Catch:{ all -> 0x00b0 }
        r4 = r4 instanceof com.android.server.am.HwActivityStackSupervisor;	 Catch:{ all -> 0x00b0 }
        if (r4 == 0) goto L_0x00ae;
    L_0x009e:
        r4 = r12.mIAmsInner;	 Catch:{ all -> 0x00b0 }
        r4 = r4.getStackSupervisor();	 Catch:{ all -> 0x00b0 }
        r4 = (com.android.server.am.HwActivityStackSupervisor) r4;	 Catch:{ all -> 0x00b0 }
        r4 = r4.isInVisibleStack(r13);	 Catch:{ all -> 0x00b0 }
        if (r4 == 0) goto L_0x00ae;
    L_0x00ac:
        monitor-exit(r1);	 Catch:{ all -> 0x00b0 }
        return r6;
    L_0x00ae:
        monitor-exit(r1);	 Catch:{ all -> 0x00b0 }
        return r0;
    L_0x00b0:
        r0 = move-exception;
        monitor-exit(r1);	 Catch:{ all -> 0x00b0 }
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.am.HwActivityManagerServiceEx.canCleanTaskRecord(java.lang.String):boolean");
    }

    public java.lang.Boolean switchUser(int userId) {
        boolean isStorageLow = false;
        try {
            isStorageLow = android.app.AppGlobals.getPackageManager().isStorageLow();
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("check low storage error because e: ");
            stringBuilder.append(e);
            android.util.Slog.e("HwActivityManagerServiceEx", stringBuilder.toString());
        }
        if (isStorageLow) {
            com.android.server.UiThread.getHandler().post(new java.lang.Runnable() {
                public void run() {
                    android.widget.Toast toast = android.widget.Toast.makeText(com.android.server.am.HwActivityManagerServiceEx.this.mContext, com.android.server.am.HwActivityManagerServiceEx.this.mContext.getResources().getString(17040400), 1);
                    toast.getWindowParams().type = 2006;
                    android.view.WindowManager.LayoutParams windowParams = toast.getWindowParams();
                    windowParams.privateFlags |= 16;
                    toast.show();
                }
            });
            return java.lang.Boolean.FALSE;
        }
        android.content.pm.UserInfo targetUser = this.mIAmsInner.getUserController().getUserInfo(userId);
        if (targetUser == null || !targetUser.isGuest()) {
            return null;
        }
        this.mHandler.removeMessages(50);
        this.mHandler.sendMessage(this.mHandler.obtainMessage(50, userId, 0, targetUser.name));
        return java.lang.Boolean.TRUE;
    }

    private void sendMessageToSwitchUser(int userId, java.lang.String userName) {
        com.android.server.am.UserController userctl = this.mIAmsInner.getUserController();
        android.util.Pair<android.content.pm.UserInfo, android.content.pm.UserInfo> userNames = new android.util.Pair(userctl.getUserInfo(userctl.getCurrentUserId()), userctl.getUserInfo(userId));
        this.mHandler.removeMessages(49);
        this.mHandler.sendMessage(this.mHandler.obtainMessage(49, userNames));
    }

    private void showGuestResetSessionDialog(int guestId) {
        this.mNewSessionDialog = new com.android.server.am.HwActivityManagerServiceEx.ResetSessionDialog(this.mContext, guestId);
        this.mNewSessionDialog.show();
        android.view.WindowManager.LayoutParams lp = this.mNewSessionDialog.getWindow().getAttributes();
        lp.width = -1;
        this.mNewSessionDialog.getWindow().setAttributes(lp);
    }

    private void cancelDialog() {
        if (this.mNewSessionDialog != null && this.mNewSessionDialog.isShowing()) {
            this.mNewSessionDialog.cancel();
            this.mNewSessionDialog = null;
        }
    }

    private java.lang.String getUserName(int userId) {
        if (this.mIAmsInner.getUserController() == null) {
            return null;
        }
        android.content.pm.UserInfo info = this.mIAmsInner.getUserController().getUserInfo(userId);
        if (info == null) {
            return null;
        }
        return info.name;
    }

    private java.lang.String getGuestName() {
        return this.mContext.getString(33685844);
    }

    private void wipeGuestSession(int userId) {
        android.os.UserManager userManager = (android.os.UserManager) this.mContext.getSystemService("user");
        if (userManager.markGuestForDeletion(userId)) {
            android.content.pm.UserInfo newGuest = userManager.createGuest(this.mContext, getGuestName());
            if (newGuest == null) {
                android.util.Slog.e("HwActivityManagerServiceEx", "Could not create new guest, switching back to owner");
                sendMessageToSwitchUser(0, getUserName(0));
                userManager.removeUser(userId);
                return;
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Create new guest, switching to = ");
            stringBuilder.append(newGuest.id);
            android.util.Slog.d("HwActivityManagerServiceEx", stringBuilder.toString());
            sendMessageToSwitchUser(newGuest.id, newGuest.name);
            android.provider.Settings.System.putIntForUser(this.mContext.getContentResolver(), "guest_has_logged_in", 1, newGuest.id);
            userManager.removeUser(userId);
            return;
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("Couldn't mark the guest for deletion for user ");
        stringBuilder2.append(userId);
        android.util.Slog.w("HwActivityManagerServiceEx", stringBuilder2.toString());
    }

    public com.android.server.am.TaskChangeNotificationController getHwTaskChangeController() {
        return this.mHwTaskChangeNotificationController;
    }

    public void onAppGroupChanged(int pid, int uid, java.lang.String pkgName, int oldSchedGroup, int newSchedGroup) {
        if (newSchedGroup == 3) {
            android.os.Message msg = this.mHandler.obtainMessage(70);
            msg.arg1 = pid;
            msg.arg2 = uid;
            msg.obj = pkgName;
            this.mHandler.sendMessage(msg);
        }
    }

    public boolean registerThirdPartyCallBack(android.os.IMWThirdpartyCallback aCallBackHandler) {
        boolean lRegistered = false;
        if (aCallBackHandler != null) {
            synchronized (this.mThirdPartyCallbackList) {
                lRegistered = this.mThirdPartyCallbackList.register(aCallBackHandler);
            }
        }
        return lRegistered;
    }

    public boolean unregisterThirdPartyCallBack(android.os.IMWThirdpartyCallback aCallBackHandler) {
        boolean lUnregistered = false;
        if (aCallBackHandler != null) {
            synchronized (this.mThirdPartyCallbackList) {
                lUnregistered = this.mThirdPartyCallbackList.unregister(aCallBackHandler);
            }
        }
        return lUnregistered;
    }

    public void onMultiWindowModeChanged(boolean isInMultiWindowMode) {
        if (this.isLastMultiMode != isInMultiWindowMode) {
            this.isLastMultiMode = isInMultiWindowMode;
            android.os.Message msg = this.mHwHandler.obtainMessage(23);
            msg.obj = java.lang.Boolean.valueOf(isInMultiWindowMode);
            this.mHwHandler.sendMessage(msg);
        }
    }

    public void notifyActivityState(com.android.server.am.ActivityRecord r, java.lang.String state) {
        android.os.Message msg = this.mHandler.obtainMessage(71);
        java.lang.String activityInfo = parseActivityStateInfo(r, state);
        if (activityInfo == null) {
            android.util.Slog.e("HwActivityManagerServiceEx", "parse activity info error.");
            return;
        }
        msg.obj = activityInfo;
        this.mHandler.sendMessage(msg);
        if (this.mNeedRemindHwOUC && r.userId == 0 && r.isActivityTypeHome() && state.equals(com.android.server.am.ActivityStack.ActivityState.RESUMED.toString())) {
            this.mHandler.removeMessages(80);
            this.mHandler.sendEmptyMessage(80);
        }
    }

    private java.lang.String parseActivityStateInfo(com.android.server.am.ActivityRecord r, java.lang.String state) {
        if (r != null) {
            if (state != null) {
                if (!(r.packageName == null || r.shortComponentName == null || r.app == null || r.appInfo == null)) {
                    if (r.appInfo.uid > 1000) {
                        java.lang.StringBuffer stringBuffer = new java.lang.StringBuffer();
                        stringBuffer.append(r.packageName);
                        stringBuffer.append("#");
                        stringBuffer.append(r.shortComponentName);
                        stringBuffer.append("#");
                        stringBuffer.append(r.appInfo.uid);
                        stringBuffer.append("#");
                        stringBuffer.append(r.app.pid);
                        stringBuffer.append("#");
                        stringBuffer.append(state);
                        return stringBuffer.toString();
                    }
                }
                android.util.Slog.e("HwActivityManagerServiceEx", "invalid ActivityRecord, error.");
                return null;
            }
        }
        android.util.Slog.e("HwActivityManagerServiceEx", "invalid input param, error.");
        return null;
    }

    public boolean isApplyPersistAppPatch(java.lang.String ssp, int uid, int userId, boolean bWillRestart, boolean evenPersistent, java.lang.String reason, java.lang.String action) {
        java.lang.String str = reason;
        java.lang.String str2 = action;
        boolean bResult = false;
        boolean bHandle = "android.intent.action.PACKAGE_REMOVED".equals(str2);
        boolean bDisableService = bWillRestart && evenPersistent && str != null && str.endsWith("replace sys pkg");
        if (!bDisableService && !bHandle) {
            return false;
        }
        java.lang.String str3 = ssp;
        android.content.pm.ApplicationInfo info = this.mIAmsInner.getPackageManagerInternal().getApplicationInfo(str3, 1152, android.os.Process.myUid(), userId);
        if (info == null) {
            return false;
        }
        com.android.server.am.ProcessRecord apprecord = this.mIAmsInner.getProcessRecord(info.processName, uid, true);
        if ((bHandle && apprecord != null && !apprecord.persistent) || apprecord == null) {
            return false;
        }
        if (!(apprecord.info == null || apprecord.info.sourceDir == null || ((apprecord.info.hwFlags & 536870912) == 0 && (info.metaData == null || !info.metaData.getBoolean("android.huawei.MARKETED_SYSTEM_APP", false))))) {
            if (!apprecord.info.sourceDir.equals(info.sourceDir) && bHandle) {
                this.mIAmsInner.forceStopPackageLockedInner(str3, uid, true, false, true, true, false, userId, "replace sys pkg");
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(str2);
                stringBuilder.append("HwActivityManagerServiceEx");
                stringBuilder.append("-----kill & restart---");
                android.util.Slog.i("PatchService", stringBuilder.toString());
                this.mIAmsInner.startPersistApp(info, null, false, null);
            }
            bResult = true;
        }
        return bResult;
    }

    public boolean isSpecialVideoForPCMode(com.android.server.am.ActivityRecord r) {
        if (android.util.HwPCUtils.isPcCastModeInServer()) {
            com.android.server.am.HwPCMultiWindowManager multiWindowMgr = com.android.server.am.HwPCMultiWindowManager.getInstance(this.mIAmsInner.getAMSForLock());
            if (multiWindowMgr != null) {
                int stackId = r.getStack().getStackId();
                if (r.packageName != null && android.util.HwPCUtils.isPcDynamicStack(stackId) && multiWindowMgr.isPortraitApp(r.getTask())) {
                    return true;
                }
            }
        }
        return false;
    }

    public boolean canSleepForPCMode() {
        if (!(this.mIAmsInner.getStackSupervisor() instanceof com.android.server.am.HwActivityStackSupervisor)) {
            return false;
        }
        com.android.server.am.HwActivityStackSupervisor HwSupervisor = (com.android.server.am.HwActivityStackSupervisor) this.mIAmsInner.getStackSupervisor();
        int i = HwSupervisor.getChildCount() - 1;
        while (i >= 0) {
            com.android.server.am.ActivityDisplay display = HwSupervisor.getActivityDisplay(i);
            if (display == null || (!display.mStacks.isEmpty() && display.mAllSleepTokens.isEmpty())) {
                i--;
            } else {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("the display ");
                stringBuilder.append(display.mDisplayId);
                stringBuilder.append(" has (");
                stringBuilder.append(display.mAllSleepTokens.size());
                stringBuilder.append(") SleepTokens when goToSleep,mStacks ");
                stringBuilder.append(display.mStacks);
                android.util.HwPCUtils.log("HwActivityManagerServiceEx", stringBuilder.toString());
                return true;
            }
        }
        return false;
    }

    public boolean canUpdateSleepForPCMode() {
        if (!(this.mIAmsInner.getStackSupervisor() instanceof com.android.server.am.HwActivityStackSupervisor)) {
            return false;
        }
        com.android.server.am.HwActivityStackSupervisor HwSupervisor = (com.android.server.am.HwActivityStackSupervisor) this.mIAmsInner.getStackSupervisor();
        int i = HwSupervisor.getChildCount() - 1;
        while (i >= 0) {
            com.android.server.am.ActivityDisplay display = HwSupervisor.getActivityDisplay(i);
            if (display == null || display.mAllSleepTokens.isEmpty()) {
                i--;
            } else {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("the display ");
                stringBuilder.append(display.mDisplayId);
                stringBuilder.append(" has (");
                stringBuilder.append(display.mAllSleepTokens.size());
                stringBuilder.append(") SleepTokens when updateSleep");
                android.util.HwPCUtils.log("HwActivityManagerServiceEx", stringBuilder.toString());
                return false;
            }
        }
        return true;
    }

    public java.lang.String[] updateEntryPointArgsForPCMode(com.android.server.am.ProcessRecord app, java.lang.String[] entryPointArgs) {
        if ((android.util.HwPCUtils.isPcCastModeInServer() || android.util.HwVRUtils.isVRMode()) && app.entryPointArgs != null) {
            return concat(entryPointArgs, app.entryPointArgs);
        }
        return entryPointArgs;
    }

    private static java.lang.String[] concat(java.lang.String[] first, java.lang.String[] second) {
        java.lang.String[] result = new java.lang.String[(first.length + second.length)];
        java.lang.System.arraycopy(first, 0, result, 0, first.length);
        java.lang.System.arraycopy(second, 0, result, first.length, second.length);
        return result;
    }

    public boolean isFreeFormVisible() {
        return false;
    }

    public void call(android.os.Bundle extras) {
        android.os.Message msg = this.mHwHandler.obtainMessage(24);
        msg.obj = extras;
        this.mHwHandler.sendMessage(msg);
    }

    public void registerHwActivityNotifier(android.app.IHwActivityNotifier notifier, java.lang.String reason) {
        if (notifier != null && ACTIVITY_NOTIFIER_TYPES.contains(reason) && this.mContext.checkCallingOrSelfPermission("com.huawei.permission.ACTIVITY_NOTIFIER_PERMISSION") == 0) {
            java.util.Map<java.lang.String, java.lang.String> cookie = new java.util.HashMap();
            cookie.put("android.intent.extra.REASON", reason);
            cookie.put("android.intent.extra.user_handle", java.lang.String.valueOf(android.os.Binder.getCallingUserHandle().getIdentifier()));
            java.lang.String[] callingPkgNames = this.mContext.getPackageManager().getPackagesForUid(android.os.Binder.getCallingUid());
            if (callingPkgNames != null) {
                for (java.lang.String pkgName : callingPkgNames) {
                    if ("com.android.systemui".equals(pkgName)) {
                        cookie.put("android.intent.extra.USER", java.lang.String.valueOf(android.os.Binder.getCallingUserHandle().getIdentifier()));
                        break;
                    }
                }
            }
            synchronized (this.mActivityNotifiers) {
                this.mActivityNotifiers.register(notifier, cookie);
            }
        }
    }

    public void unregisterHwActivityNotifier(android.app.IHwActivityNotifier notifier) {
        if (notifier != null && this.mContext.checkCallingOrSelfPermission("com.huawei.permission.ACTIVITY_NOTIFIER_PERMISSION") == 0) {
            synchronized (this.mActivityNotifiers) {
                this.mActivityNotifiers.unregister(notifier);
            }
        }
    }

    public void notifyAppSwitch(com.android.server.am.ActivityRecord from, com.android.server.am.ActivityRecord to) {
        if (HW_SUPPORT_LAUNCHER_EXIT_ANIM && from != null && to != null && from != to && to.isActivityTypeHome() && "com.huawei.android.launcher".equals(to.packageName)) {
            java.lang.String packageName = from.packageName;
            com.android.server.am.TaskRecord tr = from.getTask();
            if ("com.huawei.systemmanager".equals(packageName) && "huawei.intent.action.APPLOCK_FRAMEWORK_MANAGER".equals(from.intent.getAction())) {
                packageName = from.intent.getStringExtra("android.intent.extra.PACKAGE_NAME");
            } else if (!(tr == null || tr.getRootActivity() == null)) {
                packageName = tr.getRootActivity().packageName;
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setResumedActivityUncheckLocked start call, from: ");
            stringBuilder.append(from);
            stringBuilder.append(", to: ");
            stringBuilder.append(to);
            android.util.Slog.w("HwActivityManagerServiceEx", stringBuilder.toString());
            android.os.Bundle bundle = new android.os.Bundle();
            bundle.putString("package", packageName);
            bundle.putString("topPackage", from.packageName);
            bundle.putBoolean("isTransluent", from.isTransluent());
            bundle.putInt("userId", from.userId);
            bundle.putString("android.intent.extra.REASON", "returnToHome");
            bundle.putInt("android.intent.extra.user_handle", to.userId);
            android.os.Message msg = this.mHwHandler.obtainMessage(24);
            msg.obj = bundle;
            this.mHwHandler.sendMessageAtFrontOfQueue(msg);
            android.os.Message msg2 = this.mHwHandler.obtainMessage(25);
            msg2.obj = from;
            this.mHwHandler.sendMessage(msg2);
        }
        if (from != null && to != null && !from.packageName.equals(to.packageName)) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("appSwitch from: ");
            stringBuilder2.append(from.packageName);
            stringBuilder2.append(" to: ");
            stringBuilder2.append(to.packageName);
            android.util.Slog.w("HwActivityManagerServiceEx", stringBuilder2.toString());
            android.os.Bundle bundle2 = new android.os.Bundle();
            bundle2.putString("fromPackage", from.packageName);
            bundle2.putInt("fromUid", from.getUid());
            bundle2.putString("toPackage", to.packageName);
            bundle2.putInt("toUid", to.getUid());
            bundle2.putString("android.intent.extra.REASON", "appSwitch");
            bundle2.putInt("android.intent.extra.user_handle", this.mIAmsInner.getUserController().getCurrentUserIdLU());
            android.os.Message msg3 = this.mHwHandler.obtainMessage(24);
            msg3.obj = bundle2;
            this.mHwHandler.sendMessage(msg3);
        }
    }

    public void dispatchActivityLifeState(com.android.server.am.ActivityRecord r, java.lang.String state) {
        if (r != null) {
            com.android.server.am.TaskRecord task = r.task;
            boolean z = true;
            if (mTranslucentWhitelists.contains(r.info.name) && task != null) {
                for (int i = task.mActivities.size() - 1; i >= 0; i--) {
                    com.android.server.am.ActivityRecord activityRecord = (com.android.server.am.ActivityRecord) task.mActivities.get(i);
                    if (activityRecord != null && !activityRecord.finishing && activityRecord != r) {
                        r = activityRecord;
                        break;
                    }
                }
            }
            android.os.Bundle bundle = new android.os.Bundle();
            if (r.app != null) {
                bundle.putInt("uid", r.app.uid);
                bundle.putInt("pid", r.app.pid);
            }
            android.content.ComponentName comp = r.info.getComponentName();
            android.graphics.Rect bounds = r.getBounds();
            if (r.maxAspectRatio <= 0.0f || r.maxAspectRatio >= com.android.server.am.ActivityRecord.mDeviceMaxRatio || mWhitelistActivities.contains(comp.getClassName())) {
                bounds = new android.graphics.Rect();
            }
            bundle.putBoolean("isTop", r == this.mIAmsInner.getLastResumedActivityRecord());
            bundle.putString("state", state);
            bundle.putParcelable("comp", comp);
            bundle.putParcelable("bounds", bounds);
            java.lang.String str = "isFloating";
            if (!mPIPWhitelists.contains(comp.getClassName())) {
                if (!r.isFloating()) {
                    z = false;
                }
            }
            bundle.putBoolean(str, z);
            bundle.putFloat("maxRatio", r.maxAspectRatio);
            bundle.putBoolean("isHomeActivity", r.isActivityTypeHome());
            bundle.putString("android.intent.extra.REASON", "activityLifeState");
            bundle.putInt("android.intent.extra.user_handle", this.mIAmsInner.getUserController().getCurrentUserIdLU());
            android.os.Message msg = this.mHwHandler.obtainMessage(24);
            msg.obj = bundle;
            this.mHwHandler.sendMessage(msg);
        }
    }

    private android.content.Intent slideGetDefaultIntent() {
        android.content.Intent intent = new android.content.Intent();
        if (android.os.SystemProperties.get("ro.config.hw_optb", "0").equals("156")) {
            intent.setPackage("com.huawei.vassistant");
            intent.setAction("com.huawei.action.VOICE_ASSISTANT");
            intent.putExtra("from_slide_open", true);
        } else {
            intent.setPackage("no_set");
        }
        return intent;
    }

    private android.content.Intent slideGetIntentFromSetting() {
        java.lang.String keyStr;
        if (this.mIAmsInner.isSleeping()) {
            keyStr = "quick_slide_app_db_secure";
        } else {
            keyStr = "quick_slide_app_db";
        }
        java.lang.String intentStr = android.provider.Settings.Secure.getStringForUser(this.mContext.getContentResolver(), keyStr, this.mIAmsInner.getUserController().getCurrentUserId());
        if (intentStr == null) {
            return null;
        }
        try {
            return android.content.Intent.parseUri(intentStr, 0);
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("startActivity get intent err : ");
            stringBuilder.append(intentStr);
            android.util.Slog.e("HwActivityManagerServiceEx", stringBuilder.toString());
            return null;
        }
    }

    public void slideOpenStartActivity() {
        android.content.Intent intent = slideGetIntentFromSetting();
        if (intent == null) {
            intent = slideGetDefaultIntent();
        }
        this.mQuickSlideIntent = intent;
        this.mQuickSlideStartTime = android.os.SystemClock.uptimeMillis();
        com.android.server.am.ActivityRecord lastResumedActivity = this.mIAmsInner.getLastResumedActivityRecord();
        java.lang.String lastResumedPkg = lastResumedActivity != null ? lastResumedActivity.packageName : null;
        android.content.Context context = this.mContext;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("{curPkgName:");
        stringBuilder.append(lastResumedPkg);
        stringBuilder.append(",startPkgName:");
        stringBuilder.append(intent.getPackage());
        stringBuilder.append("}");
        android.util.Flog.bdReport(context, 652, stringBuilder.toString());
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("slideOpenStartActivity lastResumedPkg:");
        stringBuilder2.append(lastResumedPkg);
        stringBuilder2.append(", startPkgName:");
        stringBuilder2.append(intent.getPackage());
        android.util.Slog.i("HwActivityManagerServiceEx", stringBuilder2.toString());
        if (!(intent == null || intent.getPackage() == null || intent.getPackage().equals("no_set"))) {
            if (lastResumedActivity == null || !lastResumedActivity.visible || !lastResumedActivity.packageName.equals(intent.getPackage())) {
                this.mContext.startActivityAsUser(intent, android.os.UserHandle.CURRENT);
                return;
            }
        }
        android.util.Slog.i("HwActivityManagerServiceEx", "no_set or has been started, need not start activity!");
    }

    public void slideCloseMoveActivityToBack() {
        com.android.server.am.ActivityRecord lastResumedActivity = this.mIAmsInner.getLastResumedActivityRecord();
        synchronized (this.mIAmsInner.getAMSForLock()) {
            if (lastResumedActivity != null) {
                try {
                    if (!(lastResumedActivity.task == null || lastResumedActivity.task.getStack() == null || this.mQuickSlideIntent == null || !lastResumedActivity.packageName.equals(this.mQuickSlideIntent.getPackage()))) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("moveActivityToBack task:");
                        stringBuilder.append(lastResumedActivity.task);
                        android.util.Slog.i("HwActivityManagerServiceEx", stringBuilder.toString());
                        lastResumedActivity.task.getStack().moveTaskToBackLocked(lastResumedActivity.task.taskId);
                    }
                } finally {
                }
            }
        }
        java.lang.String pkgName = this.mQuickSlideIntent != null ? this.mQuickSlideIntent.getPackage() : null;
        long curTime = android.os.SystemClock.uptimeMillis();
        long durTime = (this.mQuickSlideStartTime == 0 || curTime < this.mQuickSlideStartTime) ? 0 : curTime - this.mQuickSlideStartTime;
        android.content.Context context = this.mContext;
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("{durTime:");
        stringBuilder2.append(durTime);
        stringBuilder2.append(",pkgName:");
        stringBuilder2.append(pkgName);
        stringBuilder2.append("}");
        android.util.Flog.bdReport(context, 653, stringBuilder2.toString());
        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
        stringBuilder3.append("slideCloseMoveActivityToBack durTime:");
        stringBuilder3.append(durTime);
        stringBuilder3.append(", pkgName:");
        stringBuilder3.append(pkgName);
        android.util.Slog.i("HwActivityManagerServiceEx", stringBuilder3.toString());
        this.mQuickSlideIntent = null;
        this.mQuickSlideStartTime = 0;
    }

    private void registerHallCallback() {
        if (!new android.cover.CoverManager().registerHallCallback("android", 1, new android.cover.IHallCallback.Stub() {
            public void onStateChange(android.cover.HallState hallState) {
                long ident = android.os.Binder.clearCallingIdentity();
                try {
                    if (hallState.state == 2) {
                        com.android.server.am.HwActivityManagerServiceEx.this.slideOpenStartActivity();
                    } else if (hallState.state == 0) {
                        com.android.server.am.HwActivityManagerServiceEx.this.slideCloseMoveActivityToBack();
                    }
                    android.os.Binder.restoreCallingIdentity(ident);
                } catch (Throwable th) {
                    android.os.Binder.restoreCallingIdentity(ident);
                }
            }
        })) {
            android.util.Slog.i("HwActivityManagerServiceEx", "registerHallCallback err!");
        }
    }

    public void registerBroadcastReceiver() {
        if ((android.os.SystemProperties.getInt("ro.config.hw_hall_prop", 0) & 1) != 0) {
            android.content.BroadcastReceiver receiver = new android.content.BroadcastReceiver() {
                public void onReceive(android.content.Context context, android.content.Intent intent) {
                    if (intent != null && "com.huawei.systemserver.START".equals(intent.getAction())) {
                        android.util.Slog.i("HwActivityManagerServiceEx", "registerBroadcastReceiver");
                        com.android.server.am.HwActivityManagerServiceEx.this.registerHallCallback();
                    }
                }
            };
            android.content.IntentFilter filter = new android.content.IntentFilter();
            filter.addAction("com.huawei.systemserver.START");
            this.mContext.registerReceiverAsUser(receiver, android.os.UserHandle.ALL, filter, null, null);
        }
    }

    public void systemReady(java.lang.Runnable goingCallback, android.util.TimingsTraceLog traceLog) {
        this.mSettingsObserver = new com.android.server.am.HwActivityManagerServiceEx.SettingsObserver(this.mHandler);
        this.mSettingsObserver.init();
    }

    public boolean handleANRFilterFIFO(int uid, int cmd) {
        switch (cmd) {
            case 0:
                return com.huawei.hsm.permission.ANRFilter.getInstance().addUid(uid);
            case 1:
                return com.huawei.hsm.permission.ANRFilter.getInstance().removeUid(uid);
            case 2:
                return com.huawei.hsm.permission.ANRFilter.getInstance().checkUid(uid);
            default:
                return false;
        }
    }

    private void handleShowAppEyeAnrUi(int pid, int uid, java.lang.String processName, java.lang.String packageName) {
        android.os.Message msg = this.mHandler.obtainMessage(51);
        msg.arg1 = pid;
        msg.arg2 = uid;
        android.os.Bundle bundle = new android.os.Bundle();
        if (packageName != null) {
            bundle.putString("pkg", packageName);
        }
        if (processName != null) {
            bundle.putString("proc", processName);
        }
        msg.obj = bundle;
        msg.sendToTarget();
    }

    private void showAppEyeAnrUi(android.os.Message msg) {
        int pid = msg.arg1;
        int uid = msg.arg2;
        java.lang.String processName = msg.obj.getString("proc");
        if (processName != null) {
            com.android.server.am.ProcessRecord app;
            synchronized (this.mIAmsInner.getAMSForLock()) {
                app = this.mIAmsInner.getProcessRecord(processName, uid, true);
            }
            if (app != null) {
                appEyeAppNotResponding(app);
            } else {
                android.util.Slog.e("HwActivityManagerServiceEx", "showAppEyeAnrUi null!");
            }
        }
    }

    /* JADX WARNING: Missing block: B:29:0x008c, code:
            return;
     */
    private void appEyeAppNotResponding(com.android.server.am.ProcessRecord r13) {
        /*
        r12 = this;
        r8 = 0;
        r9 = 0;
        r0 = r12.mContext;
        r0 = r0.getContentResolver();
        r1 = "anr_show_background";
        r2 = 0;
        r0 = android.provider.Settings.Secure.getInt(r0, r1, r2);
        r1 = 1;
        if (r0 == 0) goto L_0x0014;
    L_0x0012:
        r0 = r1;
        goto L_0x0015;
    L_0x0014:
        r0 = r2;
    L_0x0015:
        r10 = r0;
        r0 = r12.mIAmsInner;
        r11 = r0.getAMSForLock();
        monitor-enter(r11);
        if (r10 != 0) goto L_0x0047;
    L_0x001f:
        r0 = r13.isInterestingToUserLocked();	 Catch:{ all -> 0x0045 }
        if (r0 != 0) goto L_0x0047;
    L_0x0025:
        r0 = r13.pid;	 Catch:{ all -> 0x0045 }
        r3 = r12.mIAmsInner;	 Catch:{ all -> 0x0045 }
        r3 = r3.getAmsPid();	 Catch:{ all -> 0x0045 }
        if (r0 == r3) goto L_0x0047;
    L_0x002f:
        r0 = "BG ANR";
        r13.kill(r0, r1);	 Catch:{ all -> 0x0045 }
        r2 = "recoverresult";
        r3 = 0;
        r4 = 0;
        r0 = r13.info;	 Catch:{ all -> 0x0045 }
        r5 = r0.packageName;	 Catch:{ all -> 0x0045 }
        r6 = 0;
        r7 = "BG Kill";
        r1 = r12;
        r1.zrHungSendEvent(r2, r3, r4, r5, r6, r7);	 Catch:{ all -> 0x0045 }
        monitor-exit(r11);	 Catch:{ all -> 0x0045 }
        return;
    L_0x0045:
        r0 = move-exception;
        goto L_0x008d;
    L_0x0047:
        r0 = r12.mIAmsInner;	 Catch:{ all -> 0x0045 }
        r0 = r0.getAppErrors();	 Catch:{ all -> 0x0045 }
        r8 = r0;
        if (r8 != 0) goto L_0x0052;
    L_0x0050:
        monitor-exit(r11);	 Catch:{ all -> 0x0045 }
        return;
    L_0x0052:
        r0 = "AppFreeze!";
        r1 = 0;
        r8.makeAppeyeAppNotRespondingLocked(r13, r1, r0, r1);	 Catch:{ all -> 0x0045 }
        r0 = android.os.Message.obtain();	 Catch:{ all -> 0x0045 }
        r3 = 2;
        r0.what = r3;	 Catch:{ all -> 0x0045 }
        r4 = new com.android.server.am.AppNotRespondingDialog$Data;	 Catch:{ all -> 0x0045 }
        r4.<init>(r13, r1, r2);	 Catch:{ all -> 0x0045 }
        r0.obj = r4;	 Catch:{ all -> 0x0045 }
        r13.anrType = r3;	 Catch:{ all -> 0x0045 }
        r2 = "showanrdialog";
        r3 = r13.pid;	 Catch:{ all -> 0x0045 }
        r4 = r13.uid;	 Catch:{ all -> 0x0045 }
        r1 = r13.info;	 Catch:{ all -> 0x0045 }
        r5 = r1.packageName;	 Catch:{ all -> 0x0045 }
        r6 = 0;
        r7 = "appeye";
        r1 = r12;
        r1 = r1.zrHungSendEvent(r2, r3, r4, r5, r6, r7);	 Catch:{ all -> 0x0045 }
        if (r1 == 0) goto L_0x008b;
    L_0x007d:
        r1 = r12.mIAmsInner;	 Catch:{ all -> 0x0045 }
        r1 = r1.getUiHandler();	 Catch:{ all -> 0x0045 }
        r9 = r1;
        if (r9 != 0) goto L_0x0088;
    L_0x0086:
        monitor-exit(r11);	 Catch:{ all -> 0x0045 }
        return;
    L_0x0088:
        r9.sendMessage(r0);	 Catch:{ all -> 0x0045 }
    L_0x008b:
        monitor-exit(r11);	 Catch:{ all -> 0x0045 }
        return;
    L_0x008d:
        monitor-exit(r11);	 Catch:{ all -> 0x0045 }
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.am.HwActivityManagerServiceEx.appEyeAppNotResponding(com.android.server.am.ProcessRecord):void");
    }

    public boolean zrHungSendEvent(java.lang.String eventType, int pid, int uid, java.lang.String packageName, java.lang.String processName, java.lang.String event) {
        android.zrhung.ZrHungData data = new android.zrhung.ZrHungData();
        if (eventType == null) {
            android.util.Slog.e("HwActivityManagerServiceEx", "eventType is null");
            return true;
        } else if (eventType.equals("handleshowdialog")) {
            handleShowAppEyeAnrUi(pid, uid, processName, packageName);
            return true;
        } else {
            if (pid > 0) {
                data.putInt("pid", pid);
            }
            if (uid > 0) {
                data.putInt("uid", uid);
            }
            if (packageName != null) {
                data.putString("packageName", packageName);
            }
            if (processName != null) {
                data.putString("processName", processName);
            }
            if (event != null) {
                data.putString("result", event);
            }
            data.putString("eventtype", eventType);
            if (com.android.server.HwServiceFactory.getZRHungService().sendEvent(data)) {
                return true;
            }
            android.util.Slog.e("HwActivityManagerServiceEx", "zrHungSendEvent failed!");
            return false;
        }
    }

    public boolean isTaskVisible(int id) {
        int callerUid = android.os.Binder.getCallingUid();
        if (callerUid == 1000) {
            boolean z = false;
            if (this.mIAmsInner == null) {
                return false;
            }
            com.android.server.am.ActivityStackSupervisor mStackSupervisor = this.mIAmsInner.getStackSupervisor();
            if (mStackSupervisor == null) {
                return false;
            }
            com.android.server.am.TaskRecord tr = mStackSupervisor.anyTaskForIdLocked(id);
            if (!(tr == null || tr.getTopActivity() == null || !tr.getTopActivity().visible)) {
                z = true;
            }
            return z;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Process with uid=");
        stringBuilder.append(callerUid);
        stringBuilder.append(" cannot call function isTaskVisible.");
        throw new java.lang.SecurityException(stringBuilder.toString());
    }

    public boolean shouldPreventStartProcess(java.lang.String processName, int userId) {
        if (userId != 0) {
            for (java.lang.String procName : this.mContext.getResources().getStringArray(33816583)) {
                if (procName.equals(processName)) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(processName);
                    stringBuilder.append(" is not allowed for sub user ");
                    stringBuilder.append(userId);
                    android.util.Slog.i("HwActivityManagerServiceEx", stringBuilder.toString());
                    return true;
                }
            }
            android.content.pm.UserInfo ui = null;
            long ident = android.os.Binder.clearCallingIdentity();
            try {
                java.lang.StringBuilder stringBuilder2;
                ui = this.mIAmsInner.getUserController().getUserInfo(userId);
                if (ui != null && ui.isManagedProfile()) {
                    for (java.lang.String procName2 : this.mContext.getResources().getStringArray(33816584)) {
                        if (procName2.equals(processName)) {
                            stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append(processName);
                            stringBuilder2.append(" is not allowed for afw user ");
                            stringBuilder2.append(userId);
                            android.util.Slog.i("HwActivityManagerServiceEx", stringBuilder2.toString());
                            return true;
                        }
                    }
                }
                if (ui != null && ui.isClonedProfile()) {
                    for (java.lang.String procName22 : this.mContext.getResources().getStringArray(33816585)) {
                        if (procName22.equals(processName)) {
                            stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append(processName);
                            stringBuilder2.append(" is not allowed for clone user ");
                            stringBuilder2.append(userId);
                            android.util.Slog.i("HwActivityManagerServiceEx", stringBuilder2.toString());
                            return true;
                        }
                    }
                }
            } finally {
                android.os.Binder.restoreCallingIdentity(ident);
            }
        }
        return false;
    }

    public int getEffectiveUid(int hwHbsUid, int defaultUid) {
        int effectiveUid = defaultUid;
        if (19959 > hwHbsUid || hwHbsUid > 19999) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Invalid HBS app uid ");
            stringBuilder.append(hwHbsUid);
            android.util.Slog.e("HwActivityManagerServiceEx", stringBuilder.toString());
        } else {
            int hbsCoreUid;
            try {
                hbsCoreUid = android.system.Os.lstat("/data/data/com.huawei.hbs.framework").st_uid;
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("HBS uid found: ");
                stringBuilder2.append(hbsCoreUid);
                android.util.Slog.i("HwActivityManagerServiceEx", stringBuilder2.toString());
            } catch (android.system.ErrnoException e) {
                android.util.Slog.i("HwActivityManagerServiceEx", "HBS uid not found");
                hbsCoreUid = -1;
            }
            java.lang.StringBuilder stringBuilder3;
            if (defaultUid == hbsCoreUid) {
                stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("Change HBS app uid ");
                stringBuilder3.append(defaultUid);
                stringBuilder3.append(" -> ");
                stringBuilder3.append(hwHbsUid);
                android.util.Slog.i("HwActivityManagerServiceEx", stringBuilder3.toString());
                effectiveUid = hwHbsUid;
            } else {
                stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("Invalid HBS core uid ");
                stringBuilder3.append(defaultUid);
                android.util.Slog.i("HwActivityManagerServiceEx", stringBuilder3.toString());
            }
        }
        return effectiveUid;
    }

    public boolean isExemptedAuthority(android.net.Uri grantUri) {
        return EXEMPTED_AUTHORITIES.contains(grantUri.getAuthority());
    }

    public void setThreadSchedPolicy(int oldSchedGroup, com.android.server.am.ProcessRecord app) {
        if (app != null) {
            if (app.curSchedGroup == 3) {
                if (oldSchedGroup != 3) {
                    this.mIAmsInner.getDAMonitor().setVipThread(app.pid, app.renderThreadTid, true);
                }
            } else if (oldSchedGroup == 3) {
                this.mIAmsInner.getDAMonitor().setVipThread(app.pid, app.renderThreadTid, false);
            }
        }
    }

    public android.view.WindowManagerPolicyConstants.PointerEventListener getPointerEventListener() {
        return new android.view.WindowManagerPolicyConstants.PointerEventListener() {
            public void onPointerEvent(android.view.MotionEvent motionEvent) {
                com.android.server.am.HwActivityManagerServiceEx.this.mIAmsInner.getDAMonitor().onPointerEvent(motionEvent.getAction());
            }
        };
    }

    public void noteActivityStart(java.lang.String packageName, java.lang.String processName, java.lang.String activityName, int pid, int uid, boolean started) {
        if (this.mIAmsInner.getSystemReady()) {
            this.mIAmsInner.getDAMonitor().noteActivityStart(packageName, processName, activityName, pid, uid, started);
        }
    }

    public java.util.List<java.lang.String> getPidWithUiFromUid(int uid) {
        java.util.List<java.lang.String> pids = new java.util.ArrayList();
        synchronized (this.mIAmsInner.getPidsSelfLocked()) {
            int pidsSize = this.mIAmsInner.getPidsSelfLocked().size();
            for (int i = 0; i < pidsSize; i++) {
                com.android.server.am.ProcessRecord p = (com.android.server.am.ProcessRecord) this.mIAmsInner.getPidsSelfLocked().valueAt(i);
                if (p.uid == uid && p.pid != 0 && p.hasShownUi) {
                    pids.add(java.lang.String.valueOf(p.pid));
                }
            }
        }
        return pids;
    }

    public void removePackageStopFlag(java.lang.String packageName, int uid, java.lang.String resolvedType, int resultCode, java.lang.String requiredPermission, android.os.Bundle options, int userId) {
        java.lang.StringBuilder stringBuilder;
        if (packageName != null && options != null && options.getBoolean("fromSystemUI")) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("packageName: ");
            stringBuilder2.append(packageName);
            stringBuilder2.append(", uid: ");
            stringBuilder2.append(uid);
            stringBuilder2.append(", resolvedType: ");
            stringBuilder2.append(resolvedType);
            stringBuilder2.append(", resultCode: ");
            stringBuilder2.append(resultCode);
            stringBuilder2.append(", requiredPermission: ");
            stringBuilder2.append(requiredPermission);
            stringBuilder2.append(", userId: ");
            stringBuilder2.append(userId);
            android.util.Slog.d("HwActivityManagerServiceEx", stringBuilder2.toString());
            try {
                android.app.AppGlobals.getPackageManager().setPackageStoppedState(packageName, false, android.os.UserHandle.getUserId(uid));
            } catch (android.os.RemoteException e) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Failed trying to unstop ");
                stringBuilder.append(packageName);
                stringBuilder.append(" due to  RemoteException");
                android.util.Slog.w("HwActivityManagerServiceEx", stringBuilder.toString());
            } catch (java.lang.IllegalArgumentException e2) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Failed trying to unstop package ");
                stringBuilder.append(packageName);
                stringBuilder.append(" due to IllegalArgumentException");
                android.util.Slog.w("HwActivityManagerServiceEx", stringBuilder.toString());
            }
        }
    }

    /* JADX WARNING: Missing block: B:52:0x0104, code:
            return 0;
     */
    public int preloadApplication(java.lang.String r11, int r12) {
        /*
        r10 = this;
        r0 = android.os.Binder.getCallingUid();
        r1 = -1;
        r2 = 1000; // 0x3e8 float:1.401E-42 double:4.94E-321;
        if (r0 == r2) goto L_0x000a;
    L_0x0009:
        return r1;
    L_0x000a:
        r0 = r10.mIAmsInner;
        r0 = r0.getAMSForLock();
        monitor-enter(r0);
        r2 = r10.mIAmsInner;	 Catch:{ all -> 0x0105 }
        r2 = r2.getConstants();	 Catch:{ all -> 0x0105 }
        r2 = r2.CUR_MAX_CACHED_PROCESSES;	 Catch:{ all -> 0x0105 }
        r3 = 8;
        if (r2 > r3) goto L_0x001f;
    L_0x001d:
        monitor-exit(r0);	 Catch:{ all -> 0x0105 }
        return r1;
    L_0x001f:
        r2 = android.app.AppGlobals.getPackageManager();	 Catch:{ all -> 0x0105 }
        if (r2 != 0) goto L_0x0027;
    L_0x0025:
        monitor-exit(r0);	 Catch:{ all -> 0x0105 }
        return r1;
    L_0x0027:
        r3 = 0;
        r4 = r3;
        r5 = 1152; // 0x480 float:1.614E-42 double:5.69E-321;
        r5 = r2.getApplicationInfo(r11, r5, r12);	 Catch:{ RemoteException -> 0x0031 }
        r4 = r5;
        goto L_0x0048;
    L_0x0031:
        r5 = move-exception;
        r6 = "HwActivityManagerServiceEx";
        r7 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0105 }
        r7.<init>();	 Catch:{ all -> 0x0105 }
        r8 = "Failed trying to get application info: ";
        r7.append(r8);	 Catch:{ all -> 0x0105 }
        r7.append(r11);	 Catch:{ all -> 0x0105 }
        r7 = r7.toString();	 Catch:{ all -> 0x0105 }
        android.util.Slog.w(r6, r7);	 Catch:{ all -> 0x0105 }
    L_0x0048:
        if (r4 != 0) goto L_0x0062;
    L_0x004a:
        r3 = "HwActivityManagerServiceEx";
        r5 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0105 }
        r5.<init>();	 Catch:{ all -> 0x0105 }
        r6 = "preloadApplication, get application info failed, packageName = ";
        r5.append(r6);	 Catch:{ all -> 0x0105 }
        r5.append(r11);	 Catch:{ all -> 0x0105 }
        r5 = r5.toString();	 Catch:{ all -> 0x0105 }
        android.util.Slog.d(r3, r5);	 Catch:{ all -> 0x0105 }
        monitor-exit(r0);	 Catch:{ all -> 0x0105 }
        return r1;
    L_0x0062:
        r5 = 0;
        r6 = r10.mIAmsInner;	 Catch:{ all -> 0x0105 }
        r7 = r4.processName;	 Catch:{ all -> 0x0105 }
        r8 = r4.uid;	 Catch:{ all -> 0x0105 }
        r9 = 1;
        r6 = r6.getProcessRecordLockedEx(r7, r8, r9);	 Catch:{ all -> 0x0105 }
        r5 = r6;
        if (r5 == 0) goto L_0x0097;
    L_0x0071:
        r6 = r5.thread;	 Catch:{ all -> 0x0105 }
        if (r6 == 0) goto L_0x0097;
    L_0x0075:
        r3 = "HwActivityManagerServiceEx";
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0105 }
        r6.<init>();	 Catch:{ all -> 0x0105 }
        r7 = "process has started, packageName:";
        r6.append(r7);	 Catch:{ all -> 0x0105 }
        r6.append(r11);	 Catch:{ all -> 0x0105 }
        r7 = ", processName:";
        r6.append(r7);	 Catch:{ all -> 0x0105 }
        r7 = r4.processName;	 Catch:{ all -> 0x0105 }
        r6.append(r7);	 Catch:{ all -> 0x0105 }
        r6 = r6.toString();	 Catch:{ all -> 0x0105 }
        android.util.Slog.d(r3, r6);	 Catch:{ all -> 0x0105 }
        monitor-exit(r0);	 Catch:{ all -> 0x0105 }
        return r1;
    L_0x0097:
        r6 = r4.flags;	 Catch:{ all -> 0x0105 }
        r7 = 9;
        r6 = r6 & r7;
        if (r6 != r7) goto L_0x00a7;
    L_0x009e:
        r3 = "HwActivityManagerServiceEx";
        r6 = "preloadApplication, application is persistent, return";
        android.util.Slog.d(r3, r6);	 Catch:{ all -> 0x0105 }
        monitor-exit(r0);	 Catch:{ all -> 0x0105 }
        return r1;
    L_0x00a7:
        r1 = 0;
        if (r5 != 0) goto L_0x00bb;
    L_0x00aa:
        r6 = r10.mIAmsInner;	 Catch:{ all -> 0x0105 }
        r6 = r6.newProcessRecordLockedEx(r4, r3, r1, r1);	 Catch:{ all -> 0x0105 }
        r5 = r6;
        r6 = r10.mIAmsInner;	 Catch:{ all -> 0x0105 }
        r6.updateLruProcessLockedEx(r5, r1, r3);	 Catch:{ all -> 0x0105 }
        r6 = r10.mIAmsInner;	 Catch:{ all -> 0x0105 }
        r6.updateOomAdjLockedEx();	 Catch:{ all -> 0x0105 }
    L_0x00bb:
        r6 = r5.uid;	 Catch:{ RemoteException -> 0x00dd, IllegalArgumentException -> 0x00c5 }
        r6 = android.os.UserHandle.getUserId(r6);	 Catch:{ RemoteException -> 0x00dd, IllegalArgumentException -> 0x00c5 }
        r2.setPackageStoppedState(r11, r1, r6);	 Catch:{ RemoteException -> 0x00dd, IllegalArgumentException -> 0x00c5 }
    L_0x00c4:
        goto L_0x00f5;
    L_0x00c5:
        r6 = move-exception;
        r7 = "HwActivityManagerServiceEx";
        r8 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0105 }
        r8.<init>();	 Catch:{ all -> 0x0105 }
        r9 = "IllegalArgumentException, Failed trying to unstop package ";
        r8.append(r9);	 Catch:{ all -> 0x0105 }
        r8.append(r11);	 Catch:{ all -> 0x0105 }
        r8 = r8.toString();	 Catch:{ all -> 0x0105 }
        android.util.Slog.w(r7, r8);	 Catch:{ all -> 0x0105 }
        goto L_0x00f5;
    L_0x00dd:
        r6 = move-exception;
        r7 = "HwActivityManagerServiceEx";
        r8 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0105 }
        r8.<init>();	 Catch:{ all -> 0x0105 }
        r9 = "RemoteException, Failed trying to unstop package: ";
        r8.append(r9);	 Catch:{ all -> 0x0105 }
        r8.append(r11);	 Catch:{ all -> 0x0105 }
        r8 = r8.toString();	 Catch:{ all -> 0x0105 }
        android.util.Slog.w(r7, r8);	 Catch:{ all -> 0x0105 }
        goto L_0x00c4;
    L_0x00f5:
        r6 = r5.thread;	 Catch:{ all -> 0x0105 }
        if (r6 != 0) goto L_0x0103;
    L_0x00f9:
        r6 = r10.mIAmsInner;	 Catch:{ all -> 0x0105 }
        r7 = "start application";
        r8 = r5.processName;	 Catch:{ all -> 0x0105 }
        r6.startProcessLockedEx(r5, r7, r8, r3);	 Catch:{ all -> 0x0105 }
    L_0x0103:
        monitor-exit(r0);	 Catch:{ all -> 0x0105 }
        return r1;
    L_0x0105:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x0105 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.am.HwActivityManagerServiceEx.preloadApplication(java.lang.String, int):int");
    }

    private void reportAppForceStopMsg(int userId, java.lang.String packageName, int callingPid) {
        java.lang.String SETTINGS_PKGNAME = "com.android.settings";
        if (checkIfPackageNameMatchesPid(callingPid, "com.android.settings")) {
            this.mIAmsInner.getDAMonitor().reportAppDiedMsg(userId, packageName, "settings");
        }
    }

    private boolean checkIfPackageNameMatchesPid(int mPid, java.lang.String targetPackageName) {
        if (targetPackageName.equals(getPackageNameForPid(mPid))) {
            return true;
        }
        return false;
    }

    public void reportAppDiedMsg(int userId, java.lang.String processName, int callerPid, java.lang.String reason) {
        if (reason == null || !reason.contains("forceStop")) {
            this.mIAmsInner.getDAMonitor().reportAppDiedMsg(userId, processName, reason);
            return;
        }
        if (reason.contains("SystemManager")) {
            this.mIAmsInner.getDAMonitor().reportAppDiedMsg(userId, processName, "SystemManager");
        } else if (reason.contains("PowerGenie")) {
            this.mIAmsInner.getDAMonitor().reportAppDiedMsg(userId, processName, "PowerGenie");
        } else {
            reportAppForceStopMsg(userId, processName, callerPid);
        }
    }

    /* JADX WARNING: Missing block: B:10:0x0021, code:
            return r2;
     */
    private java.lang.String getPackageNameForPid(int r6) {
        /*
        r5 = this;
        r0 = r5.mIAmsInner;
        r0 = r0.getPidsSelfLocked();
        monitor-enter(r0);
        r1 = r5.mIAmsInner;	 Catch:{ all -> 0x0040 }
        r1 = r1.getPidsSelfLocked();	 Catch:{ all -> 0x0040 }
        r1 = r1.get(r6);	 Catch:{ all -> 0x0040 }
        r1 = (com.android.server.am.ProcessRecord) r1;	 Catch:{ all -> 0x0040 }
        if (r1 == 0) goto L_0x0022;
    L_0x0015:
        r2 = r1.info;	 Catch:{ all -> 0x0040 }
        if (r2 == 0) goto L_0x001e;
    L_0x0019:
        r2 = r1.info;	 Catch:{ all -> 0x0040 }
        r2 = r2.packageName;	 Catch:{ all -> 0x0040 }
        goto L_0x0020;
    L_0x001e:
        r2 = "android";
    L_0x0020:
        monitor-exit(r0);	 Catch:{ all -> 0x0040 }
        return r2;
    L_0x0022:
        r2 = 100;
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0040 }
        r3.<init>();	 Catch:{ all -> 0x0040 }
        r4 = "ProcessRecord for pid ";
        r3.append(r4);	 Catch:{ all -> 0x0040 }
        r3.append(r6);	 Catch:{ all -> 0x0040 }
        r4 = " does not exist";
        r3.append(r4);	 Catch:{ all -> 0x0040 }
        r3 = r3.toString();	 Catch:{ all -> 0x0040 }
        android.util.Flog.i(r2, r3);	 Catch:{ all -> 0x0040 }
        r2 = 0;
        monitor-exit(r0);	 Catch:{ all -> 0x0040 }
        return r2;
    L_0x0040:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x0040 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.am.HwActivityManagerServiceEx.getPackageNameForPid(int):java.lang.String");
    }

    /* JADX WARNING: Missing block: B:22:0x009f, code:
            r4 = r10.mIAmsInner.getAMSForLock();
     */
    /* JADX WARNING: Missing block: B:23:0x00a5, code:
            monitor-enter(r4);
     */
    /* JADX WARNING: Missing block: B:25:?, code:
            r10.mIAmsInner.cleanupAppInLaunchingProvidersLockedEx(r0, true);
     */
    /* JADX WARNING: Missing block: B:26:0x00ac, code:
            if (r13 == false) goto L_0x00b2;
     */
    /* JADX WARNING: Missing block: B:27:0x00ae, code:
            r0.killedByAm = true;
            r0.killed = true;
     */
    /* JADX WARNING: Missing block: B:28:0x00b2, code:
            r0.unlinkDeathRecipient();
            r3 = new java.lang.StringBuilder();
            r3.append(r14);
            r3.append("(");
            r3.append(r0.adjType);
            r3.append(")");
            r3 = r3.toString();
            r10.mIAmsInner.removeProcessLockedEx(r0, false, r12, r3);
     */
    /* JADX WARNING: Missing block: B:29:0x00d5, code:
            if (r13 == false) goto L_0x0133;
     */
    /* JADX WARNING: Missing block: B:30:0x00d7, code:
            r10.mIAmsInner.getDAMonitor().killProcessGroupForQuickKill(r0.info.uid, r11.mPid);
            r8 = new java.lang.StringBuilder();
            r8.append("Killing ");
            r8.append(r1);
            r8.append(" (adj ");
            r8.append(r0.curAdj);
            r8.append("): ");
            r8.append(r3);
            android.util.Slog.i("HwActivityManagerServiceEx", r8.toString());
            android.util.EventLog.writeEvent(30023, new java.lang.Object[]{java.lang.Integer.valueOf(r2), java.lang.Integer.valueOf(r11.mPid), r1, java.lang.Integer.valueOf(r0.curAdj), r3});
     */
    /* JADX WARNING: Missing block: B:31:0x0133, code:
            r10.mIAmsInner.cleanupBroadcastLockedEx(r0);
            r10.mIAmsInner.cleanupAlarmLockedEx(r0);
     */
    /* JADX WARNING: Missing block: B:32:0x013d, code:
            monitor-exit(r4);
     */
    /* JADX WARNING: Missing block: B:33:0x013e, code:
            r10.mIAmsInner.getDAMonitor().reportAppDiedMsg(r2, r1, r14);
     */
    /* JADX WARNING: Missing block: B:34:0x0147, code:
            return true;
     */
    public boolean killProcessRecordFromIAwareInternal(com.android.server.mtm.taskstatus.ProcessInfo r11, boolean r12, boolean r13, java.lang.String r14, boolean r15) {
        /*
        r10 = this;
        r0 = 0;
        r1 = 0;
        r2 = 0;
        r3 = r10.mIAmsInner;
        r3 = r3.getPidsSelfLocked();
        monitor-enter(r3);
        r4 = r11.mPid;	 Catch:{ all -> 0x0165 }
        r5 = r10.mIAmsInner;	 Catch:{ all -> 0x0165 }
        r5 = r5.getMyPid();	 Catch:{ all -> 0x0165 }
        r6 = 0;
        if (r4 == r5) goto L_0x014b;
    L_0x0015:
        r4 = r11.mPid;	 Catch:{ all -> 0x0165 }
        if (r4 < 0) goto L_0x014b;
    L_0x0019:
        r4 = r10.mIAmsInner;	 Catch:{ all -> 0x0165 }
        r4 = r4.getPidsSelfLocked();	 Catch:{ all -> 0x0165 }
        r5 = r11.mPid;	 Catch:{ all -> 0x0165 }
        r4 = r4.get(r5);	 Catch:{ all -> 0x0165 }
        r4 = (com.android.server.am.ProcessRecord) r4;	 Catch:{ all -> 0x0165 }
        r0 = r4;
        if (r0 != 0) goto L_0x0044;
    L_0x002a:
        r4 = "HwActivityManagerServiceEx";
        r5 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0165 }
        r5.<init>();	 Catch:{ all -> 0x0165 }
        r7 = "killProcessRecordFromIAware this process has been killed or died before  :";
        r5.append(r7);	 Catch:{ all -> 0x0165 }
        r7 = r11.mProcessName;	 Catch:{ all -> 0x0165 }
        r5.append(r7);	 Catch:{ all -> 0x0165 }
        r5 = r5.toString();	 Catch:{ all -> 0x0165 }
        android.util.Slog.e(r4, r5);	 Catch:{ all -> 0x0165 }
        monitor-exit(r3);	 Catch:{ all -> 0x0165 }
        return r6;
    L_0x0044:
        if (r15 != 0) goto L_0x0098;
    L_0x0046:
        r4 = r0.curAdj;	 Catch:{ all -> 0x0165 }
        r5 = 200; // 0xc8 float:2.8E-43 double:9.9E-322;
        if (r4 >= r5) goto L_0x0098;
    L_0x004c:
        r4 = "exec-service";
        r5 = r0.adjType;	 Catch:{ all -> 0x0165 }
        r4 = r4.equals(r5);	 Catch:{ all -> 0x0165 }
        if (r4 != 0) goto L_0x0098;
    L_0x0056:
        r4 = "HwActivityManagerServiceEx";
        r5 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0165 }
        r5.<init>();	 Catch:{ all -> 0x0165 }
        r7 = "killProcessRecordFromIAware process cleaner kill process: adj changed, new adj:";
        r5.append(r7);	 Catch:{ all -> 0x0165 }
        r7 = r0.curAdj;	 Catch:{ all -> 0x0165 }
        r5.append(r7);	 Catch:{ all -> 0x0165 }
        r7 = ", old adj:";
        r5.append(r7);	 Catch:{ all -> 0x0165 }
        r7 = r11.mCurAdj;	 Catch:{ all -> 0x0165 }
        r5.append(r7);	 Catch:{ all -> 0x0165 }
        r7 = ", pid:";
        r5.append(r7);	 Catch:{ all -> 0x0165 }
        r7 = r11.mPid;	 Catch:{ all -> 0x0165 }
        r5.append(r7);	 Catch:{ all -> 0x0165 }
        r7 = ", uid:";
        r5.append(r7);	 Catch:{ all -> 0x0165 }
        r7 = r11.mUid;	 Catch:{ all -> 0x0165 }
        r5.append(r7);	 Catch:{ all -> 0x0165 }
        r7 = ", ";
        r5.append(r7);	 Catch:{ all -> 0x0165 }
        r7 = r11.mProcessName;	 Catch:{ all -> 0x0165 }
        r5.append(r7);	 Catch:{ all -> 0x0165 }
        r5 = r5.toString();	 Catch:{ all -> 0x0165 }
        android.util.Slog.e(r4, r5);	 Catch:{ all -> 0x0165 }
        monitor-exit(r3);	 Catch:{ all -> 0x0165 }
        return r6;
    L_0x0098:
        r4 = r0.processName;	 Catch:{ all -> 0x0165 }
        r1 = r4;
        r4 = r0.userId;	 Catch:{ all -> 0x0165 }
        r2 = r4;
        monitor-exit(r3);	 Catch:{ all -> 0x0165 }
        r3 = r10.mIAmsInner;
        r4 = r3.getAMSForLock();
        monitor-enter(r4);
        r3 = r10.mIAmsInner;	 Catch:{ all -> 0x0148 }
        r5 = 1;
        r3.cleanupAppInLaunchingProvidersLockedEx(r0, r5);	 Catch:{ all -> 0x0148 }
        if (r13 == 0) goto L_0x00b2;
    L_0x00ae:
        r0.killedByAm = r5;	 Catch:{ all -> 0x0148 }
        r0.killed = r5;	 Catch:{ all -> 0x0148 }
    L_0x00b2:
        r0.unlinkDeathRecipient();	 Catch:{ all -> 0x0148 }
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0148 }
        r3.<init>();	 Catch:{ all -> 0x0148 }
        r3.append(r14);	 Catch:{ all -> 0x0148 }
        r7 = "(";
        r3.append(r7);	 Catch:{ all -> 0x0148 }
        r7 = r0.adjType;	 Catch:{ all -> 0x0148 }
        r3.append(r7);	 Catch:{ all -> 0x0148 }
        r7 = ")";
        r3.append(r7);	 Catch:{ all -> 0x0148 }
        r3 = r3.toString();	 Catch:{ all -> 0x0148 }
        r7 = r10.mIAmsInner;	 Catch:{ all -> 0x0148 }
        r7.removeProcessLockedEx(r0, r6, r12, r3);	 Catch:{ all -> 0x0148 }
        if (r13 == 0) goto L_0x0133;
    L_0x00d7:
        r7 = r10.mIAmsInner;	 Catch:{ all -> 0x0148 }
        r7 = r7.getDAMonitor();	 Catch:{ all -> 0x0148 }
        r8 = r0.info;	 Catch:{ all -> 0x0148 }
        r8 = r8.uid;	 Catch:{ all -> 0x0148 }
        r9 = r11.mPid;	 Catch:{ all -> 0x0148 }
        r7.killProcessGroupForQuickKill(r8, r9);	 Catch:{ all -> 0x0148 }
        r7 = "HwActivityManagerServiceEx";
        r8 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0148 }
        r8.<init>();	 Catch:{ all -> 0x0148 }
        r9 = "Killing ";
        r8.append(r9);	 Catch:{ all -> 0x0148 }
        r8.append(r1);	 Catch:{ all -> 0x0148 }
        r9 = " (adj ";
        r8.append(r9);	 Catch:{ all -> 0x0148 }
        r9 = r0.curAdj;	 Catch:{ all -> 0x0148 }
        r8.append(r9);	 Catch:{ all -> 0x0148 }
        r9 = "): ";
        r8.append(r9);	 Catch:{ all -> 0x0148 }
        r8.append(r3);	 Catch:{ all -> 0x0148 }
        r8 = r8.toString();	 Catch:{ all -> 0x0148 }
        android.util.Slog.i(r7, r8);	 Catch:{ all -> 0x0148 }
        r7 = 30023; // 0x7547 float:4.2071E-41 double:1.48333E-319;
        r8 = 5;
        r8 = new java.lang.Object[r8];	 Catch:{ all -> 0x0148 }
        r9 = java.lang.Integer.valueOf(r2);	 Catch:{ all -> 0x0148 }
        r8[r6] = r9;	 Catch:{ all -> 0x0148 }
        r6 = r11.mPid;	 Catch:{ all -> 0x0148 }
        r6 = java.lang.Integer.valueOf(r6);	 Catch:{ all -> 0x0148 }
        r8[r5] = r6;	 Catch:{ all -> 0x0148 }
        r6 = 2;
        r8[r6] = r1;	 Catch:{ all -> 0x0148 }
        r6 = 3;
        r9 = r0.curAdj;	 Catch:{ all -> 0x0148 }
        r9 = java.lang.Integer.valueOf(r9);	 Catch:{ all -> 0x0148 }
        r8[r6] = r9;	 Catch:{ all -> 0x0148 }
        r6 = 4;
        r8[r6] = r3;	 Catch:{ all -> 0x0148 }
        android.util.EventLog.writeEvent(r7, r8);	 Catch:{ all -> 0x0148 }
    L_0x0133:
        r6 = r10.mIAmsInner;	 Catch:{ all -> 0x0148 }
        r6.cleanupBroadcastLockedEx(r0);	 Catch:{ all -> 0x0148 }
        r6 = r10.mIAmsInner;	 Catch:{ all -> 0x0148 }
        r6.cleanupAlarmLockedEx(r0);	 Catch:{ all -> 0x0148 }
        monitor-exit(r4);	 Catch:{ all -> 0x0148 }
        r3 = r10.mIAmsInner;
        r3 = r3.getDAMonitor();
        r3.reportAppDiedMsg(r2, r1, r14);
        return r5;
    L_0x0148:
        r3 = move-exception;
        monitor-exit(r4);	 Catch:{ all -> 0x0148 }
        throw r3;
    L_0x014b:
        r4 = "HwActivityManagerServiceEx";
        r5 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0165 }
        r5.<init>();	 Catch:{ all -> 0x0165 }
        r7 = "killProcessRecordFromIAware it is failed to get process record ,mUid :";
        r5.append(r7);	 Catch:{ all -> 0x0165 }
        r7 = r11.mUid;	 Catch:{ all -> 0x0165 }
        r5.append(r7);	 Catch:{ all -> 0x0165 }
        r5 = r5.toString();	 Catch:{ all -> 0x0165 }
        android.util.Slog.e(r4, r5);	 Catch:{ all -> 0x0165 }
        monitor-exit(r3);	 Catch:{ all -> 0x0165 }
        return r6;
    L_0x0165:
        r4 = move-exception;
        monitor-exit(r3);	 Catch:{ all -> 0x0165 }
        throw r4;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.am.HwActivityManagerServiceEx.killProcessRecordFromIAwareInternal(com.android.server.mtm.taskstatus.ProcessInfo, boolean, boolean, java.lang.String, boolean):boolean");
    }

    public boolean killProcessRecordFromMTM(com.android.server.mtm.taskstatus.ProcessInfo procInfo, boolean restartservice, java.lang.String reason) {
        if (procInfo.mPid == this.mIAmsInner.getMyPid() || procInfo.mPid < 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("killProcessRecordFromMTM it is failed to get process record ,mUid :");
            stringBuilder.append(procInfo.mUid);
            android.util.Slog.e("HwActivityManagerServiceEx", stringBuilder.toString());
            return false;
        }
        synchronized (this.mIAmsInner.getPidsSelfLocked()) {
            int adj = procInfo.mCurAdj;
            com.android.server.am.ProcessRecord proc = (com.android.server.am.ProcessRecord) this.mIAmsInner.getPidsSelfLocked().get(procInfo.mPid);
            if (proc == null) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("killProcessRecordFromMTM this process has been killed or died before  :");
                stringBuilder2.append(procInfo.mProcessName);
                android.util.Slog.e("HwActivityManagerServiceEx", stringBuilder2.toString());
                return false;
            }
            synchronized (this.mIAmsInner.getAMSForLock()) {
                java.lang.String detailedReason = new java.lang.StringBuilder();
                detailedReason.append("iAwareK[");
                detailedReason.append(reason);
                detailedReason.append("](adj:");
                detailedReason.append(adj);
                detailedReason.append(",type:");
                detailedReason.append(proc.adjType);
                detailedReason.append(")");
                this.mIAmsInner.removeProcessLockedEx(proc, false, restartservice, detailedReason.toString());
            }
            return true;
        }
    }

    public void removePackageAlarm(java.lang.String pkg, java.util.List<java.lang.String> tags, int targetUid) {
        synchronized (this.mIAmsInner.getAMSForLock()) {
            if (this.mIAmsInner.getAlarmService() != null) {
                this.mIAmsInner.getAlarmService().removePackageAlarm(pkg, tags, targetUid);
            } else {
                android.util.Slog.e("HwActivityManagerServiceEx", "removeByTag alarm instance is null");
            }
        }
    }

    /* JADX WARNING: Missing block: B:40:?, code:
            r9.mLru = r8.mIAmsInner.getLruProcesses().lastIndexOf(r0);
     */
    /* JADX WARNING: Missing block: B:42:0x00c6, code:
            return true;
     */
    public boolean getProcessRecordFromMTM(com.android.server.mtm.taskstatus.ProcessInfo r9) {
        /*
        r8 = this;
        r0 = 0;
        r1 = 0;
        if (r9 != 0) goto L_0x000c;
    L_0x0004:
        r2 = "HwActivityManagerServiceEx";
        r3 = "getProcessRecordFromMTM procInfo is null";
        android.util.Slog.e(r2, r3);
        return r1;
    L_0x000c:
        r2 = r8.mIAmsInner;
        r2 = r2.getAMSForLock();
        monitor-enter(r2);
        r3 = r8.mIAmsInner;	 Catch:{ all -> 0x00e5 }
        r3 = r3.getPidsSelfLocked();	 Catch:{ all -> 0x00e5 }
        monitor-enter(r3);	 Catch:{ all -> 0x00e5 }
        r4 = r9.mPid;	 Catch:{ all -> 0x00e2 }
        r5 = r8.mIAmsInner;	 Catch:{ all -> 0x00e2 }
        r5 = r5.getMyPid();	 Catch:{ all -> 0x00e2 }
        if (r4 == r5) goto L_0x00c7;
    L_0x0024:
        r4 = r9.mPid;	 Catch:{ all -> 0x00e2 }
        if (r4 < 0) goto L_0x00c7;
    L_0x0028:
        r4 = r8.mIAmsInner;	 Catch:{ all -> 0x00e2 }
        r4 = r4.getPidsSelfLocked();	 Catch:{ all -> 0x00e2 }
        r5 = r9.mPid;	 Catch:{ all -> 0x00e2 }
        r4 = r4.get(r5);	 Catch:{ all -> 0x00e2 }
        r4 = (com.android.server.am.ProcessRecord) r4;	 Catch:{ all -> 0x00e2 }
        r0 = r4;
        if (r0 != 0) goto L_0x0054;
    L_0x0039:
        r4 = "HwActivityManagerServiceEx";
        r5 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00e2 }
        r5.<init>();	 Catch:{ all -> 0x00e2 }
        r6 = "getProcessRecordFromMTM process info is null ,mUid :";
        r5.append(r6);	 Catch:{ all -> 0x00e2 }
        r6 = r9.mPid;	 Catch:{ all -> 0x00e2 }
        r5.append(r6);	 Catch:{ all -> 0x00e2 }
        r5 = r5.toString();	 Catch:{ all -> 0x00e2 }
        android.util.Slog.e(r4, r5);	 Catch:{ all -> 0x00e2 }
        monitor-exit(r3);	 Catch:{ all -> 0x00e2 }
        monitor-exit(r2);	 Catch:{ all -> 0x00e5 }
        return r1;
    L_0x0054:
        r4 = r9.mType;	 Catch:{ all -> 0x00e2 }
        if (r4 != 0) goto L_0x0062;
    L_0x0058:
        r4 = r9.mPid;	 Catch:{ all -> 0x00e2 }
        r5 = r0.info;	 Catch:{ all -> 0x00e2 }
        r4 = r8.getAppType(r4, r5);	 Catch:{ all -> 0x00e2 }
        r9.mType = r4;	 Catch:{ all -> 0x00e2 }
    L_0x0062:
        r4 = r0.processName;	 Catch:{ all -> 0x00e2 }
        r9.mProcessName = r4;	 Catch:{ all -> 0x00e2 }
        r4 = r0.curSchedGroup;	 Catch:{ all -> 0x00e2 }
        r9.mCurSchedGroup = r4;	 Catch:{ all -> 0x00e2 }
        r4 = r0.curAdj;	 Catch:{ all -> 0x00e2 }
        r9.mCurAdj = r4;	 Catch:{ all -> 0x00e2 }
        r4 = r0.adjType;	 Catch:{ all -> 0x00e2 }
        r9.mAdjType = r4;	 Catch:{ all -> 0x00e2 }
        r4 = r0.info;	 Catch:{ all -> 0x00e2 }
        r4 = r4.uid;	 Catch:{ all -> 0x00e2 }
        r9.mAppUid = r4;	 Catch:{ all -> 0x00e2 }
        r4 = r0.setProcState;	 Catch:{ all -> 0x00e2 }
        r9.mSetProcState = r4;	 Catch:{ all -> 0x00e2 }
        r4 = r0.foregroundActivities;	 Catch:{ all -> 0x00e2 }
        r9.mForegroundActivities = r4;	 Catch:{ all -> 0x00e2 }
        r4 = r0.foregroundServices;	 Catch:{ all -> 0x00e2 }
        r9.mForegroundServices = r4;	 Catch:{ all -> 0x00e2 }
        r4 = r0.forcingToImportant;	 Catch:{ all -> 0x00e2 }
        r5 = 1;
        if (r4 == 0) goto L_0x008b;
    L_0x0089:
        r4 = r5;
        goto L_0x008c;
    L_0x008b:
        r4 = r1;
    L_0x008c:
        r9.mForceToForeground = r4;	 Catch:{ all -> 0x00e2 }
        r4 = r9.mPackageName;	 Catch:{ all -> 0x00e2 }
        r4 = r4.size();	 Catch:{ all -> 0x00e2 }
        if (r4 != 0) goto L_0x00b8;
    L_0x0096:
        r4 = r0.pkgList;	 Catch:{ all -> 0x00e2 }
        r4 = r4.size();	 Catch:{ all -> 0x00e2 }
    L_0x009d:
        if (r1 >= r4) goto L_0x00b8;
    L_0x009f:
        r6 = r0.pkgList;	 Catch:{ all -> 0x00e2 }
        r6 = r6.keyAt(r1);	 Catch:{ all -> 0x00e2 }
        r6 = (java.lang.String) r6;	 Catch:{ all -> 0x00e2 }
        r7 = r9.mPackageName;	 Catch:{ all -> 0x00e2 }
        r7 = r7.contains(r6);	 Catch:{ all -> 0x00e2 }
        if (r7 == 0) goto L_0x00b0;
    L_0x00af:
        goto L_0x00b5;
    L_0x00b0:
        r7 = r9.mPackageName;	 Catch:{ all -> 0x00e2 }
        r7.add(r6);	 Catch:{ all -> 0x00e2 }
    L_0x00b5:
        r1 = r1 + 1;
        goto L_0x009d;
    L_0x00b8:
        monitor-exit(r3);	 Catch:{ all -> 0x00e2 }
        r1 = r8.mIAmsInner;	 Catch:{ all -> 0x00e5 }
        r1 = r1.getLruProcesses();	 Catch:{ all -> 0x00e5 }
        r1 = r1.lastIndexOf(r0);	 Catch:{ all -> 0x00e5 }
        r9.mLru = r1;	 Catch:{ all -> 0x00e5 }
        monitor-exit(r2);	 Catch:{ all -> 0x00e5 }
        return r5;
    L_0x00c7:
        r4 = "HwActivityManagerServiceEx";
        r5 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00e2 }
        r5.<init>();	 Catch:{ all -> 0x00e2 }
        r6 = "getProcessRecordFromMTM it is failed to get process record ,mPid :";
        r5.append(r6);	 Catch:{ all -> 0x00e2 }
        r6 = r9.mPid;	 Catch:{ all -> 0x00e2 }
        r5.append(r6);	 Catch:{ all -> 0x00e2 }
        r5 = r5.toString();	 Catch:{ all -> 0x00e2 }
        android.util.Slog.e(r4, r5);	 Catch:{ all -> 0x00e2 }
        monitor-exit(r3);	 Catch:{ all -> 0x00e2 }
        monitor-exit(r2);	 Catch:{ all -> 0x00e5 }
        return r1;
    L_0x00e2:
        r1 = move-exception;
        monitor-exit(r3);	 Catch:{ all -> 0x00e2 }
        throw r1;	 Catch:{ all -> 0x00e5 }
    L_0x00e5:
        r1 = move-exception;
        monitor-exit(r2);	 Catch:{ all -> 0x00e5 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.am.HwActivityManagerServiceEx.getProcessRecordFromMTM(com.android.server.mtm.taskstatus.ProcessInfo):boolean");
    }

    public int canAppBoost(android.content.pm.ActivityInfo aInfo, boolean isScreenOn) {
        if (!isScreenOn) {
            if (aInfo != null) {
                int type = getAppType(-1, aInfo.applicationInfo);
                if (type == 4) {
                    return 0;
                }
                if (1 != type) {
                    java.lang.String packageName = aInfo.packageName;
                    if (!(packageName == null || packageName.startsWith("com.huawei"))) {
                        return 0;
                    }
                }
                return 1;
            }
        }
        return 1;
    }

    private int getAppType(int pid, android.content.pm.ApplicationInfo info) {
        if (info == null) {
            android.util.Slog.e("HwActivityManagerServiceEx", "getAppType app info is null");
            return 0;
        }
        int flags = info.flags;
        try {
            int hwFlags = ((java.lang.Integer) java.lang.Class.forName("android.content.pm.ApplicationInfo").getField("hwFlags").get(info)).intValue();
            if (!((flags & 1) == 0 || (hwFlags & 100663296) == 0)) {
                return 3;
            }
        } catch (java.lang.ClassNotFoundException e) {
            android.util.Slog.e("HwActivityManagerServiceEx", "getAppType exception: ClassNotFoundException");
        } catch (java.lang.NoSuchFieldException e2) {
            android.util.Slog.e("HwActivityManagerServiceEx", "getAppType exception: NoSuchFieldException");
        } catch (java.lang.IllegalArgumentException e3) {
            android.util.Slog.e("HwActivityManagerServiceEx", "getAppType exception: IllegalArgumentException");
        } catch (java.lang.IllegalAccessException e4) {
            android.util.Slog.e("HwActivityManagerServiceEx", "getAppType exception: IllegalAccessException");
        }
        if (pid == android.os.Process.myPid()) {
            return 1;
        }
        if ((flags & 1) != 0) {
            return 2;
        }
        return 4;
    }

    public void setAndRestoreMaxAdjIfNeed(java.util.List<java.lang.String> adjCustPkg) {
        if (adjCustPkg != null) {
            android.util.ArraySet<java.lang.String> adjCustPkgSet = new android.util.ArraySet();
            adjCustPkgSet.addAll(adjCustPkg);
            synchronized (this.mIAmsInner.getAMSForLock()) {
                synchronized (this.mIAmsInner.getPidsSelfLocked()) {
                    int list_size = this.mIAmsInner.getPidsSelfLocked().size();
                    for (int i = 0; i < list_size; i++) {
                        com.android.server.am.ProcessRecord p = (com.android.server.am.ProcessRecord) this.mIAmsInner.getPidsSelfLocked().valueAt(i);
                        if (p != null) {
                            boolean pkgContains = false;
                            for (java.lang.String pkg : p.pkgList.keySet()) {
                                if (adjCustPkgSet.contains(pkg)) {
                                    pkgContains = true;
                                    break;
                                }
                            }
                            if (pkgContains) {
                                if (p.maxAdj > 260) {
                                    p.maxAdj = 260;
                                }
                            } else if (p.maxAdj == 260) {
                                p.maxAdj = 1001;
                            }
                        }
                    }
                }
            }
        }
    }

    public void reportServiceRelationIAware(int relationType, com.android.server.am.ServiceRecord r, com.android.server.am.ProcessRecord caller) {
        if (!(r == null || caller == null || r.name == null)) {
            if (r.appInfo != null) {
                if (caller.uid != r.appInfo.uid && this.mIAmsInner.getDAMonitor().isResourceNeeded("RESOURCE_APPASSOC")) {
                    android.os.Bundle bundleArgs = new android.os.Bundle();
                    int callerUid = caller.uid;
                    int callerPid = caller.pid;
                    java.lang.String callerProcessName = caller.processName;
                    int targetUid = r.appInfo.uid;
                    java.lang.String targetProcessName = r.processName;
                    java.lang.String compName = r.name.flattenToShortString();
                    bundleArgs.putInt("callPid", callerPid);
                    bundleArgs.putInt("callUid", callerUid);
                    bundleArgs.putString("callProcName", callerProcessName);
                    bundleArgs.putInt("tgtUid", targetUid);
                    bundleArgs.putString("tgtProcName", targetProcessName);
                    bundleArgs.putString("compName", compName);
                    bundleArgs.putInt("relationType", relationType);
                    this.mIAmsInner.getDAMonitor().reportData("RESOURCE_APPASSOC", java.lang.System.currentTimeMillis(), bundleArgs);
                }
            }
        }
    }

    public void reportServiceRelationIAware(int relationType, com.android.server.am.ContentProviderRecord r, com.android.server.am.ProcessRecord caller) {
        if (caller != null) {
            if (r != null) {
                if (r.info != null) {
                    if (r.name != null) {
                        if (caller.uid != r.uid && this.mIAmsInner.getDAMonitor().isResourceNeeded("RESOURCE_APPASSOC")) {
                            if (r.proc != null) {
                                synchronized (this.mAssocMap) {
                                    android.util.ArrayMap<java.lang.Integer, java.lang.Long> pids = (android.util.ArrayMap) this.mAssocMap.get(java.lang.Integer.valueOf(caller.pid));
                                    if (pids != null) {
                                        java.lang.Long elaseTime = (java.lang.Long) pids.get(java.lang.Integer.valueOf(r.proc.pid));
                                        if (elaseTime == null) {
                                            pids.put(java.lang.Integer.valueOf(r.proc.pid), java.lang.Long.valueOf(android.os.SystemClock.elapsedRealtime()));
                                        } else if (android.os.SystemClock.elapsedRealtime() - elaseTime.longValue() < 60000) {
                                            return;
                                        }
                                    }
                                    pids = new android.util.ArrayMap();
                                    pids.put(java.lang.Integer.valueOf(r.proc.pid), java.lang.Long.valueOf(android.os.SystemClock.elapsedRealtime()));
                                    this.mAssocMap.put(java.lang.Integer.valueOf(caller.pid), pids);
                                }
                            }
                            android.os.Bundle bundleArgs = new android.os.Bundle();
                            int callerUid = caller.uid;
                            int callerPid = caller.pid;
                            java.lang.String callerProcessName = caller.processName;
                            int targetUid = r.uid;
                            java.lang.String targetProcessName = r.info.processName;
                            java.lang.String compName = r.name.flattenToShortString();
                            bundleArgs.putInt("callPid", callerPid);
                            bundleArgs.putInt("callUid", callerUid);
                            bundleArgs.putString("callProcName", callerProcessName);
                            bundleArgs.putInt("tgtUid", targetUid);
                            bundleArgs.putString("tgtProcName", targetProcessName);
                            bundleArgs.putString("compName", compName);
                            bundleArgs.putInt("relationType", relationType);
                            this.mIAmsInner.getDAMonitor().reportData("RESOURCE_APPASSOC", java.lang.System.currentTimeMillis(), bundleArgs);
                        }
                    }
                }
            }
        }
    }

    public void reportProcessDied(int pid) {
        synchronized (this.mAssocMap) {
            this.mAssocMap.remove(java.lang.Integer.valueOf(pid));
            java.util.Iterator<java.util.Map.Entry<java.lang.Integer, android.util.ArrayMap<java.lang.Integer, java.lang.Long>>> it = this.mAssocMap.entrySet().iterator();
            while (it.hasNext()) {
                android.util.ArrayMap<java.lang.Integer, java.lang.Long> pids = (android.util.ArrayMap) ((java.util.Map.Entry) it.next()).getValue();
                pids.remove(java.lang.Integer.valueOf(pid));
                if (pids.isEmpty()) {
                    it.remove();
                }
            }
        }
    }

    public void reportAssocDisable() {
        synchronized (this.mAssocMap) {
            this.mAssocMap.clear();
        }
    }

    public void reportPreviousInfo(int relationType, com.android.server.am.ProcessRecord prevProc) {
        if (prevProc != null && this.mIAmsInner.getDAMonitor().isResourceNeeded("RESOURCE_APPASSOC")) {
            int prevPid = prevProc.pid;
            int prevUid = prevProc.uid;
            android.os.Bundle bundleArgs = new android.os.Bundle();
            bundleArgs.putInt("pid", prevPid);
            bundleArgs.putInt("tgtUid", prevUid);
            bundleArgs.putInt("relationType", relationType);
            this.mIAmsInner.getDAMonitor().reportData("RESOURCE_APPASSOC", java.lang.System.currentTimeMillis(), bundleArgs);
        }
    }

    public void reportHomeProcess(com.android.server.am.ProcessRecord homeProc) {
        if (this.mIAmsInner.getDAMonitor().isResourceNeeded("RESOURCE_APPASSOC")) {
            int pid = 0;
            int uid = 0;
            java.util.ArrayList<java.lang.String> pkgs = new java.util.ArrayList();
            if (homeProc != null) {
                try {
                    pid = homeProc.pid;
                    uid = homeProc.uid;
                    for (java.lang.String pkg : homeProc.pkgList.keySet()) {
                        if (!pkgs.contains(pkg)) {
                            pkgs.add(pkg);
                        }
                    }
                } catch (java.util.ConcurrentModificationException e) {
                    android.util.Slog.i("HwActivityManagerServiceEx", "reportHomeProcess error happened.");
                }
            }
            android.os.Bundle bundleArgs = new android.os.Bundle();
            bundleArgs.putInt("pid", pid);
            bundleArgs.putInt("tgtUid", uid);
            bundleArgs.putStringArrayList("pkgname", pkgs);
            bundleArgs.putInt("relationType", 11);
            this.mIAmsInner.getDAMonitor().reportData("RESOURCE_APPASSOC", java.lang.System.currentTimeMillis(), bundleArgs);
        }
    }

    public void setHbsMiniAppUid(android.content.pm.ApplicationInfo info, android.content.Intent intent) {
        if (!(info == null || intent == null)) {
            if (intent.getComponent() != null) {
                if ("com.huawei.hbs.framework".equals(intent.getComponent().getPackageName())) {
                    try {
                        android.util.Slog.i("HwActivityManagerServiceEx", "This is HBS mini application, setHbsMiniAppUid");
                        info.hwHbsUid = new android.content.Intent(intent).getIntExtra("AppUID", -1);
                    } catch (Throwable th) {
                        android.util.Slog.w("HwActivityManagerServiceEx", "HBS set app uid for mini app throw errors");
                    }
                }
            }
        }
    }

    public boolean checkActivityStartForPCMode(com.android.server.am.ActivityStarter as, android.app.ActivityOptions options, com.android.server.am.ActivityRecord startActivity, com.android.server.am.ActivityStack targetStack) {
        if (!(as == null || startActivity == null)) {
            if (targetStack != null) {
                if (!android.util.HwPCUtils.isPcCastModeInServer() || as.hasStartedOnOtherDisplay(startActivity, targetStack.mDisplayId) == -1) {
                    return true;
                }
                android.app.ActivityOptions.abort(options);
                com.android.server.am.ActivityStack sourceStack = startActivity.resultTo != null ? startActivity.resultTo.getStack() : null;
                if (sourceStack != null) {
                    sourceStack.sendActivityResultLocked(-1, startActivity.resultTo, startActivity.resultWho, startActivity.requestCode, 0, null);
                }
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("cancel activity start, act:");
                stringBuilder.append(startActivity);
                stringBuilder.append(" targetStack:");
                stringBuilder.append(targetStack);
                android.util.HwPCUtils.log("HwActivityManagerServiceEx", stringBuilder.toString());
                return false;
            }
        }
        android.util.HwPCUtils.log("HwActivityManagerServiceEx", "null params, return true for checkActivityStartForPCMode");
        return true;
    }

    public boolean isProcessExistPidsSelfLocked(java.lang.String processName, int uid) {
        boolean isExisted = false;
        android.util.SparseArray<com.android.server.am.ProcessRecord> pidsSelfLocked = this.mIAmsInner.getPidsSelfLocked();
        synchronized (pidsSelfLocked) {
            int pidsSize = pidsSelfLocked.size();
            for (int i = 0; i < pidsSize; i++) {
                com.android.server.am.ProcessRecord p = (com.android.server.am.ProcessRecord) pidsSelfLocked.valueAt(i);
                if (p != null && p.uid == uid && p.processName != null && p.processName.equals(processName)) {
                    isExisted = true;
                    break;
                }
            }
        }
        return isExisted;
    }

    public boolean isPcMutiResumeStack(com.android.server.am.ActivityStack stack) {
        if (android.util.HwPCUtils.isPcCastModeInServer() && stack != null && android.util.HwPCUtils.isPcDynamicStack(stack.getStackId())) {
            com.android.server.am.ActivityRecord resumedActivity = stack.getResumedActivity();
            java.util.List<java.lang.String> mutiResumeAppList = android.util.HwPCUtils.getMutiResumeAppList();
            if (!(resumedActivity == null || !resumedActivity.isResizeable() || mutiResumeAppList == null || resumedActivity.packageName == null)) {
                return mutiResumeAppList.contains(resumedActivity.packageName);
            }
        }
        return false;
    }

    public boolean isTaskSupportResize(int taskId, boolean isFullscreen, boolean isMaximized) {
        if (!android.util.HwPCUtils.isPcCastModeInServer()) {
            return false;
        }
        com.android.server.am.HwPCMultiWindowManager multiWindowMgr = com.android.server.am.HwPCMultiWindowManager.getInstance(this.mIAmsInner.getAMSForLock());
        if (multiWindowMgr == null || !(this.mIAmsInner.getStackSupervisor() instanceof com.android.server.am.HwActivityStackSupervisor)) {
            return false;
        }
        com.android.server.am.HwActivityStackSupervisor hwSupervisor = (com.android.server.am.HwActivityStackSupervisor) this.mIAmsInner.getStackSupervisor();
        long origId = android.os.Binder.clearCallingIdentity();
        try {
            synchronized (this.mIAmsInner.getAMSForLock()) {
                com.android.server.am.TaskRecord task = hwSupervisor.anyTaskForIdLocked(taskId);
                if (task == null) {
                    android.os.Binder.restoreCallingIdentity(origId);
                    return false;
                }
                boolean isSupportResize = multiWindowMgr.isSupportResize(task, isFullscreen, isMaximized);
                android.os.Binder.restoreCallingIdentity(origId);
                return isSupportResize;
            }
        } catch (Throwable th) {
            android.os.Binder.restoreCallingIdentity(origId);
        }
    }

    public int getTopTaskIdInDisplay(int displayId, java.lang.String pkgName, boolean invisibleAlso) {
        if (displayId != 0 && android.util.HwPCUtils.isPcCastModeInServer() && !android.util.HwPCUtils.isValidExtDisplayId(displayId)) {
            android.util.Slog.e("HwActivityManagerServiceEx", "is not a valid pc display id");
            return -1;
        } else if (!(this.mIAmsInner.getStackSupervisor() instanceof com.android.server.am.HwActivityStackSupervisor)) {
            return -1;
        } else {
            int topTaskIdInDisplay;
            com.android.server.am.HwActivityStackSupervisor hwSupervisor = (com.android.server.am.HwActivityStackSupervisor) this.mIAmsInner.getStackSupervisor();
            synchronized (this.mIAmsInner.getAMSForLock()) {
                topTaskIdInDisplay = hwSupervisor.getTopTaskIdInDisplay(displayId, pkgName, invisibleAlso);
            }
            return topTaskIdInDisplay;
        }
    }

    public android.graphics.Rect getPCTopTaskBounds(int displayId) {
        if (android.util.HwPCUtils.isPcCastModeInServer() && !android.util.HwPCUtils.isValidExtDisplayId(displayId)) {
            android.util.Slog.e("HwActivityManagerServiceEx", "is not a valid pc display id");
            return null;
        } else if (!(this.mIAmsInner.getStackSupervisor() instanceof com.android.server.am.HwActivityStackSupervisor)) {
            return null;
        } else {
            android.graphics.Rect pCTopTaskBounds;
            com.android.server.am.HwActivityStackSupervisor hwSupervisor = (com.android.server.am.HwActivityStackSupervisor) this.mIAmsInner.getStackSupervisor();
            synchronized (this.mIAmsInner.getAMSForLock()) {
                pCTopTaskBounds = hwSupervisor.getPCTopTaskBounds(displayId);
            }
            return pCTopTaskBounds;
        }
    }

    public void updateUsageStatsForPCMode(com.android.server.am.ActivityRecord component, boolean visible, android.app.usage.UsageStatsManagerInternal usageStatsService) {
        if (component != null && android.util.HwPCUtils.isPcDynamicStack(component.getStackId()) && usageStatsService != null) {
            if (!visible) {
                usageStatsService.reportEvent(component.realActivity, component.userId, 2, android.util.HwPCUtils.getPCDisplayID());
                this.mPCUsageStats.remove(component.realActivity.toShortString());
            } else if (!this.mPCUsageStats.containsKey(component.realActivity.toShortString())) {
                usageStatsService.reportEvent(component.realActivity, component.userId, 1, android.util.HwPCUtils.getPCDisplayID());
                this.mPCUsageStats.put(component.realActivity.toShortString(), java.lang.Long.valueOf(java.lang.System.currentTimeMillis()));
            }
        }
    }

    public void dismissSplitScreenModeWithFinish(com.android.server.am.ActivityRecord r) {
        if (r.getWindowingMode() == 4 && r.getActivityType() == 1) {
            com.android.server.am.ActivityStackSupervisor mStackSupervisor = this.mIAmsInner.getStackSupervisor();
            if (mStackSupervisor == null) {
                android.util.Slog.w("HwActivityManagerServiceEx", "dismissSplitScreenModeWithFinish:mStackSupervisor not found.");
            } else if (r.info.name.contains("splitscreen.SplitScreenAppActivity")) {
                dismissSplitScreenToPrimaryStack(mStackSupervisor);
            } else {
                com.android.server.am.ActivityStack nextTargetAs = mStackSupervisor.getNextStackInSplitSecondary(r.getStack());
                if (nextTargetAs != null) {
                    com.android.server.am.ActivityRecord nextTargetAR = nextTargetAs.topRunningActivityLocked();
                    if (nextTargetAR != null && nextTargetAR.info.name.contains("splitscreen.SplitScreenAppActivity")) {
                        dismissSplitScreenToPrimaryStack(mStackSupervisor);
                    }
                }
            }
        }
    }

    private void dismissSplitScreenToPrimaryStack(com.android.server.am.ActivityStackSupervisor mStackSupervisor) {
        long ident = android.os.Binder.clearCallingIdentity();
        try {
            com.android.server.am.ActivityStack stack = mStackSupervisor.getDefaultDisplay().getSplitScreenPrimaryStack();
            if (stack == null) {
                android.util.Slog.w("HwActivityManagerServiceEx", "dismissSplitScreenToPrimaryStack: primary split-screen stack not found.");
                return;
            }
            this.mIAmsInner.getAMSForLock().mWindowManager.mShouldResetTime = true;
            this.mIAmsInner.getAMSForLock().mWindowManager.startFreezingScreen(0, 0);
            stack.moveToFront("dismissSplitScreenToPrimaryStack");
            stack.setWindowingMode(1);
            this.mIAmsInner.getAMSForLock().mWindowManager.stopFreezingScreen();
            android.os.Binder.restoreCallingIdentity(ident);
        } finally {
            android.os.Binder.restoreCallingIdentity(ident);
        }
    }

    public int[] changeGidsIfNeeded(com.android.server.am.ProcessRecord app, int[] gids) {
        com.android.server.am.ProcessRecord processRecord = app;
        int[] gids2 = gids;
        int userId = android.os.UserHandle.getUserId(processRecord.uid);
        boolean z = true;
        int i = 0;
        if (!"com.huawei.securitymgr".equals(processRecord.info.packageName) || userId == 0) {
            if (IS_SUPPORT_CLONE_APP) {
                long ident = android.os.Binder.clearCallingIdentity();
                try {
                    java.util.List<android.content.pm.UserInfo> profiles = ((android.os.UserManager) this.mContext.getSystemService("user")).getProfiles(userId);
                    if (profiles.size() > 1) {
                        java.util.Iterator<android.content.pm.UserInfo> iterator = profiles.iterator();
                        while (iterator.hasNext()) {
                            if (((android.content.pm.UserInfo) iterator.next()).isManagedProfile()) {
                                iterator.remove();
                            }
                        }
                        if (profiles.size() > 1) {
                            for (android.content.pm.UserInfo ui : profiles) {
                                if (ui.id != userId) {
                                    int[] newGids = new int[(gids2.length + 2)];
                                    java.lang.System.arraycopy(gids2, i, newGids, i, gids2.length);
                                    newGids[gids2.length] = android.os.UserHandle.getUserGid(ui.id);
                                    newGids[gids2.length + 1] = android.os.UserHandle.getUid(ui.id, 1023);
                                    gids2 = newGids;
                                    i = 0;
                                }
                            }
                        }
                    }
                    android.os.Binder.restoreCallingIdentity(ident);
                    if (!(CLONEPROFILE_PERMISSION.contains(processRecord.info.packageName) || com.android.server.pm.HwPackageManagerService.isSupportCloneAppInCust(processRecord.info.packageName))) {
                        if (!processRecord.info.processName.contains("android.process.media")) {
                            z = false;
                        }
                    }
                    if (z && userId == 0) {
                        int[] newGids2 = new int[(gids2.length + (2 * 20))];
                        int i2 = 0;
                        java.lang.System.arraycopy(gids2, 0, newGids2, 0, gids2.length);
                        while (true) {
                            int i3 = i2;
                            if (i3 >= 20) {
                                break;
                            }
                            newGids2[gids2.length + i3] = android.os.UserHandle.getUid(128 + i3, 1023);
                            newGids2[(gids2.length + 20) + i3] = android.os.UserHandle.getUserGid(128 + i3);
                            i2 = i3 + 1;
                        }
                        gids2 = newGids2;
                    }
                } catch (Throwable th) {
                    android.os.Binder.restoreCallingIdentity(ident);
                }
            }
            return gids2;
        }
        int[] newGids3 = new int[(gids2.length + 1)];
        java.lang.System.arraycopy(gids2, 0, newGids3, 0, gids2.length);
        newGids3[gids2.length] = android.os.UserHandle.getUserGid(0);
        return newGids3;
    }

    public boolean isAllowToStartActivity(android.content.Context context, java.lang.String callerPkg, android.content.pm.ActivityInfo aInfo, boolean isKeyguard, android.content.pm.ActivityInfo topActivity) {
        if (IS_CHINA && callerPkg != null) {
            if (aInfo != null) {
                int activityMode;
                int i = 0;
                if (isKeyguard) {
                    activityMode = 8;
                } else {
                    boolean isNotTop = (topActivity == null || aInfo.packageName == null || aInfo.packageName.equals(topActivity.packageName)) ? false : true;
                    if (!callerPkg.equals(aInfo.packageName) || !isNotTop) {
                        return true;
                    }
                    activityMode = 4;
                }
                if (aInfo.applicationInfo != null) {
                    i = aInfo.applicationInfo.uid;
                }
                boolean hsmCheck = com.android.server.security.hsm.HwAddViewHelper.getInstance(context).addViewPermissionCheck(aInfo.packageName, activityMode, i);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("isAllowToStartActivity:");
                stringBuilder.append(hsmCheck);
                stringBuilder.append(", activityMode:");
                stringBuilder.append(activityMode);
                stringBuilder.append(", callerPkg:");
                stringBuilder.append(callerPkg);
                stringBuilder.append(", destInfo:");
                stringBuilder.append(aInfo);
                stringBuilder.append(", topActivity:");
                stringBuilder.append(topActivity);
                android.util.Slog.i("HwActivityManagerServiceEx", stringBuilder.toString());
                return hsmCheck;
            }
        }
        return true;
    }
}
