package com.android.server.am;

public class HwActivityRecord extends com.android.server.am.ActivityRecord {
    int mCustomRequestedOrientation = 0;
    private boolean mSplitMode;

    public HwActivityRecord(com.android.server.am.ActivityManagerService _service, com.android.server.am.ProcessRecord _caller, int _launchedFromPid, int _launchedFromUid, java.lang.String _launchedFromPackage, android.content.Intent _intent, java.lang.String _resolvedType, android.content.pm.ActivityInfo aInfo, android.content.res.Configuration _configuration, com.android.server.am.ActivityRecord _resultTo, java.lang.String _resultWho, int _reqCode, boolean _componentSpecified, boolean _rootVoiceInteraction, com.android.server.am.ActivityStackSupervisor supervisor, android.app.ActivityOptions options, com.android.server.am.ActivityRecord sourceRecord) {
        super(_service, _caller, _launchedFromPid, _launchedFromUid, _launchedFromPackage, _intent, _resolvedType, aInfo, _configuration, _resultTo, _resultWho, _reqCode, _componentSpecified, _rootVoiceInteraction, supervisor, options, sourceRecord);
    }

    private boolean isLaunchIntentForCamera(java.lang.String shortComponentName, android.content.Intent intent) {
        java.util.Set<java.lang.String> categories = intent.getCategories();
        if (categories == null || ((!categories.contains("android.intent.category.INFO") && !categories.contains("android.intent.category.LAUNCHER")) || shortComponentName == null || !shortComponentName.contains("camera"))) {
            return false;
        }
        return true;
    }

    private boolean isChooserActivity(android.content.Intent aIntent) {
        if (aIntent == null || aIntent.getComponent() == null || aIntent.getComponent().getClassName() == null || !"com.huawei.android.internal.app.HwResolverActivity".equalsIgnoreCase(aIntent.getComponent().getClassName())) {
            return false;
        }
        return true;
    }

    void scheduleMultiWindowModeChanged(android.content.res.Configuration overrideConfig) {
        super.scheduleMultiWindowModeChanged(overrideConfig);
        if (this.task != null) {
            this.service.onMultiWindowModeChanged(inMultiWindowMode());
        }
    }

    protected void initSplitMode(android.content.Intent intent) {
        if (intent != null) {
            boolean z = (intent.getHwFlags() & 4) != 0 && (intent.getHwFlags() & 8) == 0;
            this.mSplitMode = z;
        }
    }

    protected boolean isSplitMode() {
        return this.mSplitMode;
    }

    public void schedulePCWindowStateChanged() {
        if (!(this.task == null || this.task.getStack() == null || this.app == null)) {
            if (this.app.thread != null) {
                try {
                    this.app.thread.schedulePCWindowStateChanged(this.appToken, this.task.getWindowState());
                } catch (android.os.RemoteException e) {
                    android.util.Slog.d("HwActivityRecord", "on schedulePCWindowStateChanged error", e);
                }
            }
        }
    }

    protected void computeBounds(android.graphics.Rect outBounds) {
        if (this.task == null || !android.util.HwPCUtils.isExtDynamicStack(this.task.getStackId())) {
            super.computeBounds(outBounds);
        } else {
            outBounds.setEmpty();
        }
    }

    protected boolean isForceRotationMode(java.lang.String packageName, android.content.Intent _intent) {
        com.huawei.forcerotation.HwForceRotationManager forceRotationManager = com.huawei.forcerotation.HwForceRotationManager.getDefault();
        boolean z = false;
        if (!forceRotationManager.isForceRotationSupported() || !forceRotationManager.isForceRotationSwitchOpen() || android.os.UserHandle.isIsolated(android.os.Binder.getCallingUid())) {
            return false;
        }
        boolean isAppInForceRotationWhiteList = false;
        if (packageName != null) {
            isAppInForceRotationWhiteList = forceRotationManager.isAppInForceRotationWhiteList(packageName);
        }
        boolean isFirstActivity = (_intent.getFlags() & 67108864) != 0;
        if (!(isFirstActivity || _intent.getCategories() == null)) {
            isFirstActivity = _intent.getCategories().contains("android.intent.category.LAUNCHER");
        }
        if (isAppInForceRotationWhiteList && isFirstActivity) {
            z = true;
        }
        return z;
    }

    protected int overrideRealConfigChanged(android.content.pm.ActivityInfo info) {
        int realConfigChange = info.getRealConfigChanged();
        com.huawei.forcerotation.HwForceRotationManager forceRotationManager = com.huawei.forcerotation.HwForceRotationManager.getDefault();
        if (!forceRotationManager.isForceRotationSupported() || !forceRotationManager.isForceRotationSwitchOpen()) {
            return realConfigChange;
        }
        if (!inMultiWindowMode() && forceRotationManager.isAppInForceRotationWhiteList(info.packageName)) {
            realConfigChange |= 3232;
        }
        return realConfigChange;
    }

    protected int getConfigurationChanges(android.content.res.Configuration lastReportedConfig) {
        if (android.util.HwPCUtils.isExtDynamicStack(getStackId())) {
            int changes = lastReportedConfig.diff(getConfiguration());
            if (((changes & 4) | (1073741824 & changes)) == 0) {
                return 0;
            }
        }
        return super.getConfigurationChanges(lastReportedConfig);
    }

    public java.lang.String getPackageName() {
        return this.packageName;
    }

    protected boolean isSplitBaseActivity() {
        com.android.server.am.ActivityRecord lastResumed = this.service.getLastResumedActivity();
        return lastResumed != null && lastResumed.isSplitMode() && lastResumed.getTask() != null && lastResumed.getTask() == getTask() && this == getTask().getRootActivity();
    }

    public int getWindowState() {
        if (this.task == null) {
            return -1;
        }
        return this.task.getWindowState();
    }
}
