package com.android.server.am;

public final class HwActivityStartInterceptor extends com.android.server.am.ActivityStartInterceptor {
    private static final java.lang.String ACTION_CONFIRM_APPLOCK_CREDENTIAL = "huawei.intent.action.APPLOCK_FRAMEWORK_MANAGER";
    private static final java.lang.String ACTION_CONFIRM_APPLOCK_PACKAGENAME = "com.huawei.systemmanager";
    private static final java.lang.String KEY_BLUR_BACKGROUND = "blurBackground";
    private static final java.lang.String LAUNCHER_PKGNAME = "com.huawei.android.launcher";
    private static final java.lang.String WE_CHAT = "com.tencent.mm";
    private static final boolean mIsSupportGameAssist;
    private com.android.server.am.ActivityRecord mSourceRecord;

    static {
        boolean z = false;
        if (android.os.SystemProperties.getInt("ro.config.gameassist", 0) == 1) {
            z = true;
        }
        mIsSupportGameAssist = z;
    }

    public HwActivityStartInterceptor(com.android.server.am.ActivityManagerService service, com.android.server.am.ActivityStackSupervisor supervisor) {
        super(service, supervisor);
    }

    public boolean interceptStartActivityIfNeed(android.content.Intent intent) {
        if (interceptStartVideoActivityIfNeed(intent) || interceptStartActivityForAppLock(intent)) {
            return true;
        }
        return false;
    }

    private boolean interceptStartActivityForAppLock(android.content.Intent intent) {
        if ((this.mUserId != 0 && !com.android.server.pm.UserManagerService.getInstance().getUserInfo(this.mUserId).isClonedProfile()) || this.mSupervisor.getKeyguardController().isKeyguardLocked() || !this.mSupervisor.isAppInLockList(intent.getComponent().getPackageName())) {
            return false;
        }
        if (this.mSourceRecord == null && this.mInTask == null) {
            this.mIntent.addFlags(268435456);
        }
        android.content.IIntentSender target = this.mService.getIntentSenderLocked(2, this.mCallingPackage, android.os.Binder.getCallingUid(), this.mUserId, null, null, 0, new android.content.Intent[]{this.mIntent}, new java.lang.String[]{this.mResolvedType}, 1342177280, null);
        android.content.Intent newIntent = new android.content.Intent("huawei.intent.action.APPLOCK_FRAMEWORK_MANAGER");
        this.mUserId = 0;
        newIntent.setPackage("com.huawei.systemmanager");
        newIntent.setFlags(41943040);
        newIntent.putExtra("android.intent.extra.PACKAGE_NAME", this.mAInfo.packageName);
        newIntent.putExtra("android.intent.extra.INTENT", new android.content.IntentSender(target));
        if (!(!"com.huawei.android.launcher".equals(this.mCallingPackage) && (this.mIntent.getHwFlags() & 4096) == 0 && (this.mService.getFocusedStack() == null || this.mService.getFocusedStack().mResumedActivity == null || !"com.huawei.android.launcher".equals(this.mService.getFocusedStack().mResumedActivity.packageName)))) {
            newIntent.putExtra("blurBackground", true);
        }
        this.mIntent = newIntent;
        this.mCallingPid = this.mRealCallingPid;
        this.mCallingUid = this.mRealCallingUid;
        this.mResolvedType = null;
        if (this.mInTask != null) {
            this.mIntent.putExtra("android.intent.extra.TASK_ID", this.mInTask.taskId);
            this.mInTask = null;
        }
        this.mRInfo = this.mSupervisor.resolveIntent(this.mIntent, this.mResolvedType, this.mUserId, 0, this.mRealCallingUid);
        this.mAInfo = this.mSupervisor.resolveActivity(this.mIntent, this.mRInfo, this.mStartFlags, null);
        return true;
    }

    public void setSourceRecord(com.android.server.am.ActivityRecord sourceRecord) {
        this.mSourceRecord = sourceRecord;
    }

    private boolean interceptStartVideoActivityIfNeed(android.content.Intent intent) {
        if (!mIsSupportGameAssist) {
            return false;
        }
        com.android.server.am.HwSnsVideoManager manager = com.android.server.am.HwSnsVideoManager.getInstance(this.mService.mContext);
        if (intent.getComponent() != null && manager.getDeferLaunchingActivitys().contains(intent.getComponent().flattenToShortString()) && this.mService.isGameDndOn()) {
            if (manager.isGameDndOn()) {
                java.lang.String pkgName = intent.getComponent().getPackageName();
                if (!"com.tencent.mm".equals(pkgName) || this.mService.getFocusedStack() == null || this.mService.getFocusedStack().mResumedActivity == null || !pkgName.equals(this.mService.getFocusedStack().mResumedActivity.packageName)) {
                    manager.setActivityManager(this.mService);
                    if (manager.isAttached()) {
                        manager.updateFloatView(pkgName, makeIntentSender(intent));
                        manager.setReadyToShowActivity(false);
                    } else if (manager.getReadyToShowActivity(intent)) {
                        return false;
                    } else {
                        if (!manager.isTransferActivity(intent)) {
                            manager.addFloatView(pkgName, makeIntentSender(intent));
                        }
                        manager.setReadyToShowActivity(false);
                    }
                    return true;
                }
                manager.setReadyToShowActivity(true);
                return false;
            }
        }
        manager.setReadyToShowActivity(true);
        return false;
    }

    android.content.IntentSender makeIntentSender(android.content.Intent intent) {
        return new android.content.IntentSender(this.mService.getIntentSenderLocked(2, this.mCallingPackage, this.mCallingUid, this.mUserId, null, null, 0, new android.content.Intent[]{intent}, new java.lang.String[]{this.mResolvedType}, 1409286144, null));
    }
}
