package com.android.server.am;

public final class HwActivityStarter extends com.android.server.am.ActivityStarter {
    private static final android.content.Intent BROWSE_PROBE = new android.content.Intent().setAction("android.intent.action.VIEW").addCategory("android.intent.category.BROWSABLE").setData(android.net.Uri.parse("http:"));
    private static final android.content.ComponentName DOCOMOHOME_COMPONENT = new android.content.ComponentName("com.nttdocomo.android.dhome", "com.nttdocomo.android.dhome.HomeActivity");
    private static final android.content.ComponentName DRAWERHOME_COMPONENT = new android.content.ComponentName("com.huawei.android.launcher", "com.huawei.android.launcher.drawer.DrawerLauncher");
    private static final java.lang.String INTENT_FORWARD_USER_ID = "intent_forward_user_id";
    private static final boolean IS_SHOW_DCMUI = android.os.SystemProperties.getBoolean("ro.config.hw_show_dcmui", false);
    private static final android.content.ComponentName NEWSIMPLEHOME_COMPONENT = new android.content.ComponentName("com.huawei.android.launcher", "com.huawei.android.launcher.newsimpleui.NewSimpleLauncher");
    private static final android.content.ComponentName SIMPLEHOME_COMPONENT = new android.content.ComponentName("com.huawei.android.launcher", "com.huawei.android.launcher.simpleui.SimpleUILauncher");
    private static final java.lang.String TAG = "ActivityStarter";
    private static final android.content.ComponentName UNIHOME_COMPONENT = new android.content.ComponentName("com.huawei.android.launcher", "com.huawei.android.launcher.unihome.UniHomeLauncher");
    private static final java.util.HashSet<android.content.ComponentName> sHomecomponent = new java.util.HashSet<android.content.ComponentName>() {
        {
            if (android.os.SystemProperties.getBoolean("ro.config.hw_show_dcmui", false)) {
                add(com.android.server.am.HwActivityStarter.DOCOMOHOME_COMPONENT);
                return;
            }
            add(com.android.server.am.HwActivityStarter.UNIHOME_COMPONENT);
            add(com.android.server.am.HwActivityStarter.DRAWERHOME_COMPONENT);
            add(com.android.server.am.HwActivityStarter.SIMPLEHOME_COMPONENT);
            add(com.android.server.am.HwActivityStarter.NEWSIMPLEHOME_COMPONENT);
        }
    };
    private static java.util.Set<java.lang.String> sPCPkgName = new java.util.HashSet();
    private static java.util.Set<java.lang.String> sSkipCancelResultList = new java.util.HashSet();
    private boolean mIsStartupGuideFinished;

    static {
        sSkipCancelResultList.add("com.huawei.systemmanager/.applock.password.AuthLaunchLockedAppActivity");
        sPCPkgName.add("com.huawei.android.hwpay");
        sPCPkgName.add("com.android.bluetooth");
        sPCPkgName.add("com.huawei.screenrecorder");
    }

    public HwActivityStarter(com.android.server.am.ActivityStartController controller, com.android.server.am.ActivityManagerService service, com.android.server.am.ActivityStackSupervisor supervisor, com.android.server.am.ActivityStartInterceptor interceptor) {
        super(controller, service, supervisor, interceptor);
    }

    int startActivity(android.app.IApplicationThread caller, android.content.Intent intent, android.content.Intent ephemeralIntent, java.lang.String resolvedType, android.content.pm.ActivityInfo aInfo, android.content.pm.ResolveInfo rInfo, android.service.voice.IVoiceInteractionSession voiceSession, com.android.internal.app.IVoiceInteractor voiceInteractor, android.os.IBinder resultTo, java.lang.String resultWho, int requestCode, int callingPid, int callingUid, java.lang.String callingPackage, int realCallingPid, int realCallingUid, int startFlags, com.android.server.am.SafeActivityOptions options, boolean ignoreTargetSecurity, boolean componentSpecified, com.android.server.am.ActivityRecord[] outActivity, com.android.server.am.TaskRecord inTask, java.lang.String reason, boolean allowPendingRemoteAnimationRegistryLookup) {
        android.content.Intent intent2 = intent;
        android.content.pm.ActivityInfo activityInfo = aInfo;
        com.android.server.am.ActivityRecord[] activityRecordArr = outActivity;
        java.lang.StringBuilder stringBuilder;
        if (intent2.getComponent() != null && android.hdm.HwDeviceManager.disallowOp(4, intent2.getComponent().getPackageName())) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("[");
            stringBuilder.append(intent2.getComponent().getPackageName());
            stringBuilder.append("] is disallowed running by MDM apk");
            android.util.Flog.i(101, stringBuilder.toString());
            com.android.server.UiThread.getHandler().post(new java.lang.Runnable() {
                public void run() {
                    android.content.Context context = com.android.server.am.HwActivityStarter.this.mService.mUiContext;
                    if (context != null) {
                        android.widget.Toast toast = android.widget.Toast.makeText(context, context.getString(33686101), 0);
                        android.view.WindowManager.LayoutParams windowParams = toast.getWindowParams();
                        windowParams.privateFlags |= 16;
                        toast.show();
                    }
                }
            });
            return -96;
        } else if (isApplicationDisabledByMDM(activityInfo, intent2, resolvedType)) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Application is disabled by MDM, intent = ");
            stringBuilder.append(intent2);
            android.util.Flog.i(101, stringBuilder.toString());
            return -92;
        } else {
            int i = 0;
            int userId = activityInfo != null ? android.os.UserHandle.getUserId(activityInfo.applicationInfo.uid) : 0;
            if (!(mLauncherStartState.containsKey(java.lang.Integer.valueOf(userId)) && ((java.lang.Boolean) mLauncherStartState.get(java.lang.Integer.valueOf(userId))).booleanValue()) && isFrpRestricted(this.mService.mContext, userId) && isStartBrowserApps(activityInfo, userId)) {
                android.util.Log.w("ActivityStarter", "forbid launching browser because frp is restricted");
                return 0;
            }
            int startResult = super.startActivity(caller, intent, ephemeralIntent, resolvedType, aInfo, rInfo, voiceSession, voiceInteractor, resultTo, resultWho, requestCode, callingPid, callingUid, callingPackage, realCallingPid, realCallingUid, startFlags, options, ignoreTargetSecurity, componentSpecified, outActivity, inTask, reason, allowPendingRemoteAnimationRegistryLookup);
            try {
                if (android.app.ActivityManager.isStartResultSuccessful(startResult) && android.util.HwPCUtils.isPcCastModeInServer() && !android.util.HwPCUtils.enabledInPad()) {
                    while (i < activityRecordArr.length) {
                        com.android.server.am.ActivityRecord r = activityRecordArr[i];
                        if (r.getWindowingMode() != 1) {
                            if (r.getActivityType() != 2 || !r.fullscreen) {
                                i++;
                            }
                        }
                        android.util.HwPCUtils.getHwPCManager().setScreenPower(true);
                    }
                }
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("startActivityLocked ");
                stringBuilder2.append(e);
                android.util.HwPCUtils.log("ActivityStarter", stringBuilder2.toString());
            }
            return startResult;
        }
    }

    private boolean isApplicationDisabledByMDM(android.content.pm.ActivityInfo aInfo, android.content.Intent intent, java.lang.String resolvedType) {
        boolean mdmDisabnled = false;
        if (intent.getComponent() == null) {
            android.content.pm.ResolveInfo info = this.mSupervisor.resolveIntent(intent, resolvedType, aInfo != null ? android.os.UserHandle.getUserId(aInfo.applicationInfo.uid) : 0, 131584, android.os.Binder.getCallingUid());
            if (!(info == null || info.activityInfo == null)) {
                mdmDisabnled = android.hdm.HwDeviceManager.mdmDisallowOp(21, new android.content.Intent().setComponent(new android.content.ComponentName(info.activityInfo.packageName, info.activityInfo.name)));
            }
        } else {
            mdmDisabnled = android.hdm.HwDeviceManager.mdmDisallowOp(21, intent);
        }
        if (mdmDisabnled) {
            com.android.server.UiThread.getHandler().post(new java.lang.Runnable() {
                public void run() {
                    android.widget.Toast.makeText(com.android.server.am.HwActivityStarter.this.mService.mContext, com.android.server.am.HwActivityStarter.this.mService.mContext.getResources().getString(33685904), 0).show();
                }
            });
        }
        return mdmDisabnled;
    }

    /* JADX WARNING: Removed duplicated region for block: B:214:0x03a2  */
    /* JADX WARNING: Removed duplicated region for block: B:214:0x03a2  */
    /* JADX WARNING: Removed duplicated region for block: B:214:0x03a2  */
    /* JADX WARNING: Removed duplicated region for block: B:214:0x03a2  */
    /* JADX WARNING: Removed duplicated region for block: B:205:0x036c  */
    /* JADX WARNING: Missing block: B:41:?, code:
            r0 = new java.lang.StringBuilder();
            r0.append("startActivityMayWait, callerApp: ");
            r0.append(r8);
            r0.append(", intent: ");
            r0.append(r9);
            r0.append(", userId = ");
            r0.append(r10);
            r0.append(", callingUid = ");
            r0.append(android.os.Binder.getCallingUid());
            android.util.Flog.i(101, r0.toString());
     */
    /* JADX WARNING: Missing block: B:42:0x00cb, code:
            if (r10 != 0) goto L_0x0108;
     */
    /* JADX WARNING: Missing block: B:44:0x00d1, code:
            if (r35.getComponent() == null) goto L_0x0108;
     */
    /* JADX WARNING: Missing block: B:46:0x00df, code:
            if (com.android.server.pm.HwPackageManagerService.isSupportCloneAppInCust(r35.getComponent().getPackageName()) != false) goto L_0x0108;
     */
    /* JADX WARNING: Missing block: B:47:0x00e1, code:
            r0 = super.startActivityMayWait(r32, r33, r34, r35, r36, r37, r38, r39, r40, r41, r42, r43, r44, r45, r46, r47, r48, r49, r50, r51);
     */
    /* JADX WARNING: Missing block: B:49:0x00e7, code:
            if (com.android.server.am.ActivityManagerDebugConfig.DEBUG_HW_ACTIVITY == false) goto L_0x00ec;
     */
    /* JADX WARNING: Missing block: B:50:0x00e9, code:
            android.os.Trace.traceEnd(64);
     */
    /* JADX WARNING: Missing block: B:51:0x00ec, code:
            r1 = new java.lang.StringBuilder();
            r1.append("startActivityMayWait cost ");
            r1.append(android.os.SystemClock.uptimeMillis() - r22);
            android.util.Flog.i(101, r1.toString());
     */
    /* JADX WARNING: Missing block: B:52:0x0107, code:
            return r0;
     */
    /* JADX WARNING: Missing block: B:55:0x010c, code:
            r6 = android.os.Binder.clearCallingIdentity();
     */
    /* JADX WARNING: Missing block: B:57:?, code:
            r5 = new java.util.HashMap();
            r4 = r10;
     */
    /* JADX WARNING: Missing block: B:58:0x011b, code:
            if ((r35.getHwFlags() & 1024) == 0) goto L_0x011f;
     */
    /* JADX WARNING: Missing block: B:59:0x011d, code:
            r0 = 1;
     */
    /* JADX WARNING: Missing block: B:60:0x011f, code:
            r0 = null;
     */
    /* JADX WARNING: Missing block: B:61:0x0120, code:
            r16 = r0;
            r2 = r36;
     */
    /* JADX WARNING: Missing block: B:62:0x012a, code:
            r1 = r15.mSupervisor.resolveIntent(r9, r2, r10);
     */
    /* JADX WARNING: Missing block: B:63:0x012e, code:
            if (r1 != null) goto L_0x01f0;
     */
    /* JADX WARNING: Missing block: B:65:?, code:
            r0 = r15.mService.mUserController.mInjector.getUserManagerInternal().getUserInfo(r10);
     */
    /* JADX WARNING: Missing block: B:66:0x013e, code:
            if (r0 == null) goto L_0x01d8;
     */
    /* JADX WARNING: Missing block: B:68:0x0144, code:
            if (r0.isClonedProfile() == false) goto L_0x01d8;
     */
    /* JADX WARNING: Missing block: B:70:0x014a, code:
            if (android.os.storage.StorageManager.isUserKeyUnlocked(r48) != false) goto L_0x019d;
     */
    /* JADX WARNING: Missing block: B:72:0x0152, code:
            if (android.os.storage.StorageManager.isUserKeyUnlocked(r0.profileGroupId) == false) goto L_0x019d;
     */
    /* JADX WARNING: Missing block: B:74:0x015a, code:
            if (r15.mService.mUserController.mHaveTryCloneProUserUnlock == false) goto L_0x0164;
     */
    /* JADX WARNING: Missing block: B:75:0x015c, code:
            showErrorDialogToRemoveUser(r15.mService.mContext, r10);
     */
    /* JADX WARNING: Missing block: B:78:?, code:
            android.util.Slog.i("ActivityStarter", "Wait for CloneProfile user unLock, return!");
     */
    /* JADX WARNING: Missing block: B:81:?, code:
            android.os.Binder.restoreCallingIdentity(r6);
     */
    /* JADX WARNING: Missing block: B:83:0x0171, code:
            if (com.android.server.am.ActivityManagerDebugConfig.DEBUG_HW_ACTIVITY == false) goto L_0x0176;
     */
    /* JADX WARNING: Missing block: B:84:0x0173, code:
            android.os.Trace.traceEnd(64);
     */
    /* JADX WARNING: Missing block: B:85:0x0176, code:
            r3 = new java.lang.StringBuilder();
            r3.append("startActivityMayWait cost ");
            r3.append(android.os.SystemClock.uptimeMillis() - r22);
            android.util.Flog.i(101, r3.toString());
     */
    /* JADX WARNING: Missing block: B:86:0x0194, code:
            return 0;
     */
    /* JADX WARNING: Missing block: B:87:0x0195, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:88:0x0196, code:
            r25 = r2;
            r1 = 64;
            r3 = 101;
     */
    /* JADX WARNING: Missing block: B:90:?, code:
            r3 = r0.profileGroupId;
     */
    /* JADX WARNING: Missing block: B:92:?, code:
            r10 = new java.lang.StringBuilder();
            r10.append("startActivityMayWait forward intent from clone user ");
            r10.append(r0.id);
            r10.append(" to parent user ");
            r10.append(r3);
            r10.append(" because clone user has non target apps to respond.");
     */
    /* JADX WARNING: Missing block: B:93:0x01c0, code:
            r12 = 101;
     */
    /* JADX WARNING: Missing block: B:95:?, code:
            android.util.Flog.i(101, r10.toString());
     */
    /* JADX WARNING: Missing block: B:96:0x01c5, code:
            r10 = r3;
     */
    /* JADX WARNING: Missing block: B:97:0x01c7, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:98:0x01c8, code:
            r1 = r2;
            r10 = r3;
     */
    /* JADX WARNING: Missing block: B:99:0x01cb, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:100:0x01cc, code:
            r1 = r2;
            r10 = r3;
     */
    /* JADX WARNING: Missing block: B:101:0x01cf, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:102:0x01d0, code:
            r1 = r2;
     */
    /* JADX WARNING: Missing block: B:103:0x01d1, code:
            r2 = r6;
            r17 = r8;
     */
    /* JADX WARNING: Missing block: B:105:0x01d8, code:
            r13 = r4;
            r14 = r5;
            r28 = r6;
            r17 = r8;
            r8 = 101;
            r30 = r2;
            r2 = r1;
            r1 = r30;
     */
    /* JADX WARNING: Missing block: B:106:0x01e8, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:107:0x01e9, code:
            r1 = r2;
     */
    /* JADX WARNING: Missing block: B:108:0x01ea, code:
            r2 = r6;
            r17 = r8;
            r8 = r12;
     */
    /* JADX WARNING: Missing block: B:109:0x01f0, code:
            if (r8 != null) goto L_0x0200;
     */
    /* JADX WARNING: Missing block: B:110:0x01f2, code:
            if (r16 == false) goto L_0x01f5;
     */
    /* JADX WARNING: Missing block: B:112:0x01f5, code:
            r2 = r1;
            r13 = r4;
            r14 = r5;
            r28 = r6;
            r17 = r8;
            r8 = 101;
     */
    /* JADX WARNING: Missing block: B:115:0x0202, code:
            if (r1.activityInfo == null) goto L_0x02d1;
     */
    /* JADX WARNING: Missing block: B:117:0x0205, code:
            if (r8 != null) goto L_0x0209;
     */
    /* JADX WARNING: Missing block: B:118:0x0207, code:
            r12 = null;
     */
    /* JADX WARNING: Missing block: B:120:?, code:
            r12 = r8.info.packageName;
     */
    /* JADX WARNING: Missing block: B:121:0x020d, code:
            r27 = r1;
            r2 = r12;
            r12 = 1;
            r13 = r4;
            r14 = r5;
            r28 = r6;
            r17 = r8;
     */
    /* JADX WARNING: Missing block: B:124:0x0225, code:
            if (shouldDisplayClonedAppToChoose(r2, r9, r36, r27, r10, r14, r16) == null) goto L_0x029d;
     */
    /* JADX WARNING: Missing block: B:125:0x0227, code:
            r9.addHwFlags(2);
            r2 = r27;
            r9.setComponent(new android.content.ComponentName(r2.activityInfo.packageName, r2.activityInfo.name));
     */
    /* JADX WARNING: Missing block: B:126:0x023d, code:
            r1 = null;
     */
    /* JADX WARNING: Missing block: B:128:?, code:
            standardizeIntentUriForClone(r9, r13);
            r1 = android.content.Intent.createChooser(r9, r15.mService.mContext.getResources().getText(17041358));
            r1.setFlags(r35.getFlags() & -536870913);
     */
    /* JADX WARNING: Missing block: B:129:0x0260, code:
            r8 = 101;
     */
    /* JADX WARNING: Missing block: B:130:0x0264, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:131:0x0265, code:
            r1 = r36;
            r2 = r28;
     */
    /* JADX WARNING: Missing block: B:132:0x026b, code:
            r0 = move-exception;
     */
    /* JADX WARNING: Missing block: B:134:?, code:
            r3 = new java.lang.StringBuilder();
            r3.append("startActivityMayWait, fail to create chooser for ");
            r3.append(r9);
     */
    /* JADX WARNING: Missing block: B:135:0x027e, code:
            r8 = 101;
     */
    /* JADX WARNING: Missing block: B:137:?, code:
            android.util.Flog.e(101, r3.toString(), r0);
     */
    /* JADX WARNING: Missing block: B:147:0x029d, code:
            r2 = r27;
            r8 = 101;
     */
    /* JADX WARNING: Missing block: B:149:?, code:
            r9.setHwFlags(r35.getHwFlags() & -3);
     */
    /* JADX WARNING: Missing block: B:150:0x02aa, code:
            r1 = r36;
     */
    /* JADX WARNING: Missing block: B:155:0x02c0, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:157:0x02c2, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:159:0x02c5, code:
            r1 = r36;
     */
    /* JADX WARNING: Missing block: B:160:0x02c8, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:161:0x02c9, code:
            r17 = r8;
            r1 = r36;
            r2 = r6;
     */
    /* JADX WARNING: Missing block: B:162:0x02d1, code:
            r2 = r1;
            r13 = r4;
            r14 = r5;
            r28 = r6;
            r17 = r8;
            r8 = 101;
     */
    /* JADX WARNING: Missing block: B:163:0x02da, code:
            r1 = r36;
     */
    /* JADX WARNING: Missing block: B:166:0x02e8, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:173:0x02fd, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:174:0x02fe, code:
            r2 = r6;
            r17 = r8;
     */
    /* JADX WARNING: Missing block: B:175:0x0304, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:176:0x0305, code:
            r2 = r6;
            r17 = r8;
            r8 = 101;
     */
    /* JADX WARNING: Missing block: B:177:0x0309, code:
            r1 = r36;
     */
    /* JADX WARNING: Missing block: B:180:0x030f, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:181:0x0310, code:
            r25 = r1;
     */
    /* JADX WARNING: Missing block: B:192:0x0322, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:193:0x0323, code:
            r25 = r36;
     */
    /* JADX WARNING: Missing block: B:194:0x0325, code:
            r3 = r8;
            r1 = 64;
     */
    int startActivityMayWait(android.app.IApplicationThread r32, int r33, java.lang.String r34, android.content.Intent r35, java.lang.String r36, android.service.voice.IVoiceInteractionSession r37, com.android.internal.app.IVoiceInteractor r38, android.os.IBinder r39, java.lang.String r40, int r41, int r42, android.app.ProfilerInfo r43, android.app.WaitResult r44, android.content.res.Configuration r45, com.android.server.am.SafeActivityOptions r46, boolean r47, int r48, com.android.server.am.TaskRecord r49, java.lang.String r50, boolean r51) {
        /*
        r31 = this;
        r15 = r31;
        r9 = r35;
        r10 = r48;
        r0 = android.os.SystemClock.uptimeMillis();
        r22 = r0;
        r13 = 64;
        r12 = 101; // 0x65 float:1.42E-43 double:5.0E-322;
        r0 = com.android.server.am.ActivityManagerDebugConfig.DEBUG_HW_ACTIVITY;	 Catch:{ all -> 0x0399 }
        if (r0 == 0) goto L_0x0022;
    L_0x0014:
        r0 = "startActivityMayWait";
        android.os.Trace.traceBegin(r13, r0);	 Catch:{ all -> 0x001b }
        goto L_0x0022;
    L_0x001b:
        r0 = move-exception;
    L_0x001c:
        r25 = r36;
        r3 = r12;
        r1 = r13;
        goto L_0x039e;
    L_0x0022:
        r0 = android.util.HwPCUtils.enabledInPad();	 Catch:{ all -> 0x0399 }
        r1 = 0;
        if (r0 == 0) goto L_0x0078;
    L_0x0029:
        r0 = android.util.HwPCUtils.isPcCastModeInServer();	 Catch:{ all -> 0x001b }
        if (r0 == 0) goto L_0x0078;
    L_0x002f:
        if (r9 == 0) goto L_0x0078;
    L_0x0031:
        r0 = "com.huawei.android.projectmenu";
        r2 = r35.getPackage();	 Catch:{ all -> 0x001b }
        r0 = r0.equals(r2);	 Catch:{ all -> 0x001b }
        if (r0 == 0) goto L_0x0078;
    L_0x003d:
        r0 = "HwActivityStarter";
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x001b }
        r2.<init>();	 Catch:{ all -> 0x001b }
        r3 = "startActivityMayWait intent: ";
        r2.append(r3);	 Catch:{ all -> 0x001b }
        r2.append(r9);	 Catch:{ all -> 0x001b }
        r2 = r2.toString();	 Catch:{ all -> 0x001b }
        android.util.HwPCUtils.log(r0, r2);	 Catch:{ all -> 0x001b }
        r0 = com.android.server.am.ActivityManagerDebugConfig.DEBUG_HW_ACTIVITY;
        if (r0 == 0) goto L_0x005c;
    L_0x0059:
        android.os.Trace.traceEnd(r13);
    L_0x005c:
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r2 = "startActivityMayWait cost ";
        r0.append(r2);
        r2 = android.os.SystemClock.uptimeMillis();
        r2 = r2 - r22;
        r0.append(r2);
        r0 = r0.toString();
        android.util.Flog.i(r12, r0);
        return r1;
    L_0x0078:
        r0 = com.android.server.am.HwActivityManagerService.IS_SUPPORT_CLONE_APP;	 Catch:{ all -> 0x0399 }
        if (r0 == 0) goto L_0x0331;
    L_0x007c:
        r0 = r15.mService;	 Catch:{ all -> 0x032c }
        r0 = r0.mUserController;	 Catch:{ all -> 0x032c }
        r0 = r0.mInjector;	 Catch:{ all -> 0x032c }
        r0 = r0.getUserManagerInternal();	 Catch:{ all -> 0x032c }
        r0 = r0.hasClonedProfile();	 Catch:{ all -> 0x032c }
        if (r0 == 0) goto L_0x0331;
    L_0x008c:
        r2 = 0;
        r3 = r15.mService;	 Catch:{ all -> 0x032c }
        monitor-enter(r3);	 Catch:{ all -> 0x032c }
        r0 = r15.mService;	 Catch:{ all -> 0x031c }
        r11 = r32;
        r0 = r0.getRecordForAppLocked(r11);	 Catch:{ all -> 0x031a }
        r8 = r0;
        monitor-exit(r3);	 Catch:{ all -> 0x0313 }
        r0 = new java.lang.StringBuilder;	 Catch:{ all -> 0x001b }
        r0.<init>();	 Catch:{ all -> 0x001b }
        r2 = "startActivityMayWait, callerApp: ";
        r0.append(r2);	 Catch:{ all -> 0x001b }
        r0.append(r8);	 Catch:{ all -> 0x001b }
        r2 = ", intent: ";
        r0.append(r2);	 Catch:{ all -> 0x001b }
        r0.append(r9);	 Catch:{ all -> 0x001b }
        r2 = ", userId = ";
        r0.append(r2);	 Catch:{ all -> 0x001b }
        r0.append(r10);	 Catch:{ all -> 0x001b }
        r2 = ", callingUid = ";
        r0.append(r2);	 Catch:{ all -> 0x001b }
        r2 = android.os.Binder.getCallingUid();	 Catch:{ all -> 0x001b }
        r0.append(r2);	 Catch:{ all -> 0x001b }
        r0 = r0.toString();	 Catch:{ all -> 0x001b }
        android.util.Flog.i(r12, r0);	 Catch:{ all -> 0x001b }
        if (r10 != 0) goto L_0x0108;
    L_0x00cd:
        r0 = r35.getComponent();	 Catch:{ all -> 0x001b }
        if (r0 == 0) goto L_0x0108;
    L_0x00d3:
        r0 = r35.getComponent();	 Catch:{ all -> 0x001b }
        r0 = r0.getPackageName();	 Catch:{ all -> 0x001b }
        r0 = com.android.server.pm.HwPackageManagerService.isSupportCloneAppInCust(r0);	 Catch:{ all -> 0x001b }
        if (r0 != 0) goto L_0x0108;
    L_0x00e1:
        r0 = super.startActivityMayWait(r32, r33, r34, r35, r36, r37, r38, r39, r40, r41, r42, r43, r44, r45, r46, r47, r48, r49, r50, r51);	 Catch:{ all -> 0x001b }
        r1 = com.android.server.am.ActivityManagerDebugConfig.DEBUG_HW_ACTIVITY;
        if (r1 == 0) goto L_0x00ec;
    L_0x00e9:
        android.os.Trace.traceEnd(r13);
    L_0x00ec:
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "startActivityMayWait cost ";
        r1.append(r2);
        r2 = android.os.SystemClock.uptimeMillis();
        r2 = r2 - r22;
        r1.append(r2);
        r1 = r1.toString();
        android.util.Flog.i(r12, r1);
        return r0;
    L_0x0108:
        r2 = android.os.Binder.clearCallingIdentity();	 Catch:{ all -> 0x001b }
        r6 = r2;
        r0 = new java.util.HashMap;	 Catch:{ all -> 0x0304 }
        r0.<init>();	 Catch:{ all -> 0x0304 }
        r5 = r0;
        r4 = r10;
        r0 = r35.getHwFlags();	 Catch:{ all -> 0x0304 }
        r0 = r0 & 1024;
        r3 = 1;
        if (r0 == 0) goto L_0x011f;
    L_0x011d:
        r0 = r3;
        goto L_0x0120;
    L_0x011f:
        r0 = r1;
    L_0x0120:
        r16 = r0;
        r0 = r15.mSupervisor;	 Catch:{ all -> 0x0304 }
        r2 = r36;
        r0 = r0.resolveIntent(r9, r2, r10);	 Catch:{ all -> 0x0304 }
        r24 = r0;
        r1 = r24;
        if (r1 != 0) goto L_0x01f0;
    L_0x0130:
        r0 = r15.mService;	 Catch:{ all -> 0x01e8 }
        r0 = r0.mUserController;	 Catch:{ all -> 0x01e8 }
        r0 = r0.mInjector;	 Catch:{ all -> 0x01e8 }
        r0 = r0.getUserManagerInternal();	 Catch:{ all -> 0x01e8 }
        r0 = r0.getUserInfo(r10);	 Catch:{ all -> 0x01e8 }
        if (r0 == 0) goto L_0x01d8;
    L_0x0140:
        r3 = r0.isClonedProfile();	 Catch:{ all -> 0x01e8 }
        if (r3 == 0) goto L_0x01d8;
    L_0x0146:
        r3 = android.os.storage.StorageManager.isUserKeyUnlocked(r48);	 Catch:{ all -> 0x01e8 }
        if (r3 != 0) goto L_0x019d;
    L_0x014c:
        r3 = r0.profileGroupId;	 Catch:{ all -> 0x01e8 }
        r3 = android.os.storage.StorageManager.isUserKeyUnlocked(r3);	 Catch:{ all -> 0x01e8 }
        if (r3 == 0) goto L_0x019d;
    L_0x0154:
        r3 = r15.mService;	 Catch:{ all -> 0x01e8 }
        r3 = r3.mUserController;	 Catch:{ all -> 0x01e8 }
        r3 = r3.mHaveTryCloneProUserUnlock;	 Catch:{ all -> 0x01e8 }
        if (r3 == 0) goto L_0x0164;
    L_0x015c:
        r3 = r15.mService;	 Catch:{ all -> 0x01e8 }
        r3 = r3.mContext;	 Catch:{ all -> 0x01e8 }
        r15.showErrorDialogToRemoveUser(r3, r10);	 Catch:{ all -> 0x01e8 }
        goto L_0x016b;
    L_0x0164:
        r3 = "ActivityStarter";
        r12 = "Wait for CloneProfile user unLock, return!";
        android.util.Slog.i(r3, r12);	 Catch:{ all -> 0x01cf }
        android.os.Binder.restoreCallingIdentity(r6);	 Catch:{ all -> 0x0195 }
        r3 = com.android.server.am.ActivityManagerDebugConfig.DEBUG_HW_ACTIVITY;
        if (r3 == 0) goto L_0x0176;
    L_0x0173:
        android.os.Trace.traceEnd(r13);
    L_0x0176:
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r12 = "startActivityMayWait cost ";
        r3.append(r12);
        r12 = android.os.SystemClock.uptimeMillis();
        r12 = r12 - r22;
        r3.append(r12);
        r3 = r3.toString();
        r12 = 101; // 0x65 float:1.42E-43 double:5.0E-322;
        android.util.Flog.i(r12, r3);
        r3 = 0;
        return r3;
    L_0x0195:
        r0 = move-exception;
        r25 = r2;
        r1 = r13;
        r3 = 101; // 0x65 float:1.42E-43 double:5.0E-322;
        goto L_0x039e;
    L_0x019d:
        r3 = r0.profileGroupId;	 Catch:{ all -> 0x01cf }
        r10 = new java.lang.StringBuilder;	 Catch:{ all -> 0x01cb }
        r10.<init>();	 Catch:{ all -> 0x01cb }
        r12 = "startActivityMayWait forward intent from clone user ";
        r10.append(r12);	 Catch:{ all -> 0x01cb }
        r12 = r0.id;	 Catch:{ all -> 0x01cb }
        r10.append(r12);	 Catch:{ all -> 0x01cb }
        r12 = " to parent user ";
        r10.append(r12);	 Catch:{ all -> 0x01cb }
        r10.append(r3);	 Catch:{ all -> 0x01cb }
        r12 = " because clone user has non target apps to respond.";
        r10.append(r12);	 Catch:{ all -> 0x01cb }
        r10 = r10.toString();	 Catch:{ all -> 0x01cb }
        r12 = 101; // 0x65 float:1.42E-43 double:5.0E-322;
        android.util.Flog.i(r12, r10);	 Catch:{ all -> 0x01c7 }
        r10 = r3;
        goto L_0x01d8;
    L_0x01c7:
        r0 = move-exception;
        r1 = r2;
        r10 = r3;
        goto L_0x01ea;
    L_0x01cb:
        r0 = move-exception;
        r1 = r2;
        r10 = r3;
        goto L_0x01d1;
    L_0x01cf:
        r0 = move-exception;
        r1 = r2;
    L_0x01d1:
        r2 = r6;
        r17 = r8;
    L_0x01d4:
        r8 = 101; // 0x65 float:1.42E-43 double:5.0E-322;
        goto L_0x030b;
        r13 = r4;
        r14 = r5;
        r28 = r6;
        r17 = r8;
        r8 = 101; // 0x65 float:1.42E-43 double:5.0E-322;
        r30 = r2;
        r2 = r1;
        r1 = r30;
        goto L_0x02dc;
    L_0x01e8:
        r0 = move-exception;
        r1 = r2;
    L_0x01ea:
        r2 = r6;
        r17 = r8;
        r8 = r12;
        goto L_0x030b;
    L_0x01f0:
        if (r8 != 0) goto L_0x0200;
    L_0x01f2:
        if (r16 == 0) goto L_0x01f5;
    L_0x01f4:
        goto L_0x0200;
    L_0x01f5:
        r2 = r1;
        r13 = r4;
        r14 = r5;
        r28 = r6;
        r17 = r8;
        r8 = 101; // 0x65 float:1.42E-43 double:5.0E-322;
        goto L_0x02da;
    L_0x0200:
        r0 = r1.activityInfo;	 Catch:{ all -> 0x02fd }
        if (r0 == 0) goto L_0x02d1;
    L_0x0204:
        r0 = 0;
        if (r8 != 0) goto L_0x0209;
    L_0x0207:
        r12 = r0;
        goto L_0x020d;
    L_0x0209:
        r12 = r8.info;	 Catch:{ all -> 0x02c8 }
        r12 = r12.packageName;	 Catch:{ all -> 0x02c8 }
    L_0x020d:
        r27 = r1;
        r1 = r15;
        r2 = r12;
        r12 = r3;
        r3 = r9;
        r13 = r4;
        r4 = r36;
        r14 = r5;
        r5 = r27;
        r28 = r6;
        r6 = r10;
        r7 = r14;
        r17 = r8;
        r8 = r16;
        r1 = r1.shouldDisplayClonedAppToChoose(r2, r3, r4, r5, r6, r7, r8);	 Catch:{ all -> 0x02c2 }
        if (r1 == 0) goto L_0x029d;
    L_0x0227:
        r1 = 2;
        r9.addHwFlags(r1);	 Catch:{ all -> 0x02c2 }
        r1 = new android.content.ComponentName;	 Catch:{ all -> 0x02c2 }
        r2 = r27;
        r3 = r2.activityInfo;	 Catch:{ all -> 0x02c2 }
        r3 = r3.packageName;	 Catch:{ all -> 0x02c2 }
        r4 = r2.activityInfo;	 Catch:{ all -> 0x02c2 }
        r4 = r4.name;	 Catch:{ all -> 0x02c2 }
        r1.<init>(r3, r4);	 Catch:{ all -> 0x02c2 }
        r9.setComponent(r1);	 Catch:{ all -> 0x02c2 }
        r1 = r0;
        r15.standardizeIntentUriForClone(r9, r13);	 Catch:{ Exception -> 0x026b, all -> 0x0264 }
        r0 = r15.mService;	 Catch:{ Exception -> 0x026b, all -> 0x0264 }
        r0 = r0.mContext;	 Catch:{ Exception -> 0x026b, all -> 0x0264 }
        r0 = r0.getResources();	 Catch:{ Exception -> 0x026b, all -> 0x0264 }
        r3 = 17041358; // 0x10407ce float:2.425017E-38 double:8.4195495E-317;
        r0 = r0.getText(r3);	 Catch:{ Exception -> 0x026b, all -> 0x0264 }
        r0 = android.content.Intent.createChooser(r9, r0);	 Catch:{ Exception -> 0x026b, all -> 0x0264 }
        r1 = r0;
        r0 = r35.getFlags();	 Catch:{ Exception -> 0x026b, all -> 0x0264 }
        r3 = -536870913; // 0xffffffffdfffffff float:-3.6893486E19 double:NaN;
        r0 = r0 & r3;
        r1.setFlags(r0);	 Catch:{ Exception -> 0x026b, all -> 0x0264 }
        r8 = 101; // 0x65 float:1.42E-43 double:5.0E-322;
        goto L_0x0283;
    L_0x0264:
        r0 = move-exception;
        r1 = r36;
        r2 = r28;
        goto L_0x01d4;
    L_0x026b:
        r0 = move-exception;
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x02c2 }
        r3.<init>();	 Catch:{ all -> 0x02c2 }
        r4 = "startActivityMayWait, fail to create chooser for ";
        r3.append(r4);	 Catch:{ all -> 0x02c2 }
        r3.append(r9);	 Catch:{ all -> 0x02c2 }
        r3 = r3.toString();	 Catch:{ all -> 0x02c2 }
        r8 = 101; // 0x65 float:1.42E-43 double:5.0E-322;
        android.util.Flog.e(r8, r3, r0);	 Catch:{ all -> 0x02c0 }
    L_0x0283:
        if (r1 == 0) goto L_0x0299;
    L_0x0285:
        r3 = r1;
        r0 = r15.mService;	 Catch:{ all -> 0x0294 }
        r0 = r0.mContext;	 Catch:{ all -> 0x0294 }
        r0 = r0.getContentResolver();	 Catch:{ all -> 0x0294 }
        r0 = r3.resolveTypeIfNeeded(r0);	 Catch:{ all -> 0x0294 }
        r9 = r3;
        goto L_0x029b;
    L_0x0294:
        r0 = move-exception;
        r1 = r36;
        r9 = r3;
        goto L_0x02e9;
    L_0x0299:
        r0 = r36;
    L_0x029b:
        r1 = r0;
        goto L_0x02ac;
    L_0x029d:
        r2 = r27;
        r8 = 101; // 0x65 float:1.42E-43 double:5.0E-322;
        r0 = r35.getHwFlags();	 Catch:{ all -> 0x02c0 }
        r0 = r0 & -3;
        r9.setHwFlags(r0);	 Catch:{ all -> 0x02c0 }
        r1 = r36;
    L_0x02ac:
        r0 = r14.size();	 Catch:{ all -> 0x02e8 }
        if (r0 != r12) goto L_0x02dc;
    L_0x02b2:
        r0 = "intent_forward_user_id";
        r0 = r14.get(r0);	 Catch:{ all -> 0x02e8 }
        r0 = (java.lang.Integer) r0;	 Catch:{ all -> 0x02e8 }
        r0 = r0.intValue();	 Catch:{ all -> 0x02e8 }
        r10 = r0;
        goto L_0x02dc;
    L_0x02c0:
        r0 = move-exception;
        goto L_0x02c5;
    L_0x02c2:
        r0 = move-exception;
        r8 = 101; // 0x65 float:1.42E-43 double:5.0E-322;
    L_0x02c5:
        r1 = r36;
        goto L_0x02e9;
    L_0x02c8:
        r0 = move-exception;
        r17 = r8;
        r8 = 101; // 0x65 float:1.42E-43 double:5.0E-322;
        r1 = r36;
        r2 = r6;
        goto L_0x030b;
    L_0x02d1:
        r2 = r1;
        r13 = r4;
        r14 = r5;
        r28 = r6;
        r17 = r8;
        r8 = 101; // 0x65 float:1.42E-43 double:5.0E-322;
    L_0x02da:
        r1 = r36;
    L_0x02dc:
        if (r16 == 0) goto L_0x02ec;
    L_0x02de:
        r0 = r9.getHwFlags();	 Catch:{ all -> 0x02e8 }
        r0 = r0 & -1025;
        r9.setHwFlags(r0);	 Catch:{ all -> 0x02e8 }
        goto L_0x02ec;
    L_0x02e8:
        r0 = move-exception;
    L_0x02e9:
        r2 = r28;
        goto L_0x030b;
    L_0x02ec:
        if (r10 == r13) goto L_0x02f4;
    L_0x02ee:
        r9.prepareToLeaveUser(r13);	 Catch:{ all -> 0x02e8 }
        r15.standardizeIntentUriForClone(r9, r13);	 Catch:{ all -> 0x02e8 }
    L_0x02f4:
        r2 = r28;
        android.os.Binder.restoreCallingIdentity(r2);	 Catch:{ all -> 0x030f }
        r25 = r1;
        goto L_0x0336;
    L_0x02fd:
        r0 = move-exception;
        r2 = r6;
        r17 = r8;
        r8 = 101; // 0x65 float:1.42E-43 double:5.0E-322;
        goto L_0x0309;
    L_0x0304:
        r0 = move-exception;
        r2 = r6;
        r17 = r8;
        r8 = r12;
    L_0x0309:
        r1 = r36;
    L_0x030b:
        android.os.Binder.restoreCallingIdentity(r2);	 Catch:{ all -> 0x030f }
        throw r0;	 Catch:{ all -> 0x030f }
    L_0x030f:
        r0 = move-exception;
        r25 = r1;
        goto L_0x0325;
    L_0x0313:
        r0 = move-exception;
        r17 = r8;
        r8 = r12;
        r2 = r17;
        goto L_0x0320;
    L_0x031a:
        r0 = move-exception;
        goto L_0x031f;
    L_0x031c:
        r0 = move-exception;
        r11 = r32;
    L_0x031f:
        r8 = r12;
    L_0x0320:
        monitor-exit(r3);	 Catch:{ all -> 0x032a }
        throw r0;	 Catch:{ all -> 0x0322 }
    L_0x0322:
        r0 = move-exception;
        r25 = r36;
    L_0x0325:
        r3 = r8;
        r1 = 64;
        goto L_0x039e;
    L_0x032a:
        r0 = move-exception;
        goto L_0x0320;
    L_0x032c:
        r0 = move-exception;
        r11 = r32;
        goto L_0x001c;
    L_0x0331:
        r11 = r32;
        r8 = r12;
        r25 = r36;
    L_0x0336:
        r24 = r9;
        r26 = r10;
        r1 = r15;
        r2 = r11;
        r3 = r33;
        r4 = r34;
        r5 = r24;
        r6 = r25;
        r7 = r37;
        r12 = r8;
        r8 = r38;
        r9 = r39;
        r10 = r40;
        r11 = r41;
        r14 = r12;
        r12 = r42;
        r13 = r43;
        r14 = r44;
        r15 = r45;
        r16 = r46;
        r17 = r47;
        r18 = r26;
        r19 = r49;
        r20 = r50;
        r21 = r51;
        r0 = super.startActivityMayWait(r2, r3, r4, r5, r6, r7, r8, r9, r10, r11, r12, r13, r14, r15, r16, r17, r18, r19, r20, r21);	 Catch:{ all -> 0x038f }
        r1 = com.android.server.am.ActivityManagerDebugConfig.DEBUG_HW_ACTIVITY;
        if (r1 == 0) goto L_0x0371;
    L_0x036c:
        r1 = 64;
        android.os.Trace.traceEnd(r1);
    L_0x0371:
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "startActivityMayWait cost ";
        r1.append(r2);
        r2 = android.os.SystemClock.uptimeMillis();
        r2 = r2 - r22;
        r1.append(r2);
        r1 = r1.toString();
        r3 = 101; // 0x65 float:1.42E-43 double:5.0E-322;
        android.util.Flog.i(r3, r1);
        return r0;
    L_0x038f:
        r0 = move-exception;
        r1 = 64;
        r3 = 101; // 0x65 float:1.42E-43 double:5.0E-322;
        r9 = r24;
        r10 = r26;
        goto L_0x039e;
    L_0x0399:
        r0 = move-exception;
        r3 = r12;
        r1 = r13;
        r25 = r36;
    L_0x039e:
        r4 = com.android.server.am.ActivityManagerDebugConfig.DEBUG_HW_ACTIVITY;
        if (r4 == 0) goto L_0x03a5;
    L_0x03a2:
        android.os.Trace.traceEnd(r1);
    L_0x03a5:
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "startActivityMayWait cost ";
        r1.append(r2);
        r4 = android.os.SystemClock.uptimeMillis();
        r4 = r4 - r22;
        r1.append(r4);
        r1 = r1.toString();
        android.util.Flog.i(r3, r1);
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.am.HwActivityStarter.startActivityMayWait(android.app.IApplicationThread, int, java.lang.String, android.content.Intent, java.lang.String, android.service.voice.IVoiceInteractionSession, com.android.internal.app.IVoiceInteractor, android.os.IBinder, java.lang.String, int, int, android.app.ProfilerInfo, android.app.WaitResult, android.content.res.Configuration, com.android.server.am.SafeActivityOptions, boolean, int, com.android.server.am.TaskRecord, java.lang.String, boolean):int");
    }

    private boolean shouldDisplayClonedAppToChoose(java.lang.String callerPackageName, android.content.Intent intent, java.lang.String resolvedType, android.content.pm.ResolveInfo rInfo, int userId, java.util.Map<java.lang.String, java.lang.Integer> mapForwardUserId, boolean shouldCheckDual) {
        if (!((callerPackageName == null && !shouldCheckDual) || "com.huawei.android.launcher".equals(callerPackageName) || "android".equals(callerPackageName) || "com.android.systemui".equals(callerPackageName))) {
            if (!"com.android.settings".equals(callerPackageName)) {
                if (rInfo.activityInfo.packageName.equals(callerPackageName) || (intent.getHwFlags() & 2) != 0) {
                    return false;
                }
                android.content.pm.UserInfo clonedProfile = null;
                if ((shouldCheckDual || com.android.server.pm.HwPackageManagerService.isSupportCloneAppInCust(callerPackageName)) && userId != 0) {
                    clonedProfile = this.mService.mUserController.mInjector.getUserManagerInternal().findClonedProfile();
                    if (clonedProfile != null && clonedProfile.id == userId) {
                        android.content.pm.ResolveInfo infoForParent = this.mSupervisor.resolveIntent(intent, resolvedType, clonedProfile.profileGroupId);
                        if (!(infoForParent == null || infoForParent.activityInfo.getComponentName().equals(rInfo.activityInfo.getComponentName()))) {
                            mapForwardUserId.put("intent_forward_user_id", java.lang.Integer.valueOf(clonedProfile.profileGroupId));
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("startActivityMayWait forward intent from clone user ");
                            stringBuilder.append(clonedProfile.id);
                            stringBuilder.append(" to parent user ");
                            stringBuilder.append(clonedProfile.profileGroupId);
                            stringBuilder.append(" because clone user just has partial target apps to respond.");
                            android.util.Flog.i(101, stringBuilder.toString());
                            return false;
                        }
                    }
                }
                if (!com.android.server.pm.HwPackageManagerService.isSupportCloneAppInCust(rInfo.activityInfo.packageName)) {
                    return false;
                }
                if (clonedProfile == null) {
                    clonedProfile = this.mService.mUserController.mInjector.getUserManagerInternal().findClonedProfile();
                }
                if (clonedProfile != null) {
                    if (clonedProfile.id == userId || clonedProfile.profileGroupId == userId) {
                        if (this.mSupervisor.resolveIntent(intent, resolvedType, clonedProfile.id) == null) {
                            return false;
                        }
                        if (callerPackageName != null) {
                            java.util.List<android.content.pm.ResolveInfo> homeResolveInfos = new java.util.ArrayList();
                            try {
                                android.app.AppGlobals.getPackageManager().getHomeActivities(homeResolveInfos);
                            } catch (android.os.RemoteException e) {
                                android.util.Flog.e(101, "Failed to getHomeActivities from PackageManager.", e);
                            }
                            for (android.content.pm.ResolveInfo ri : homeResolveInfos) {
                                if (callerPackageName.equals(ri.activityInfo.packageName)) {
                                    return false;
                                }
                            }
                        }
                        return true;
                    }
                }
                return false;
            }
        }
        return false;
    }

    protected boolean standardizeHomeIntent(android.content.pm.ResolveInfo rInfo, android.content.Intent intent) {
        if (!(rInfo == null || rInfo.activityInfo == null)) {
            if (intent != null) {
                if (!sHomecomponent.contains(new android.content.ComponentName(rInfo.activityInfo.applicationInfo.packageName, rInfo.activityInfo.name)) || isHomeIntent(intent)) {
                    return false;
                }
                android.content.ComponentName cn = intent.getComponent();
                java.lang.String packageName = cn != null ? cn.getPackageName() : intent.getPackage();
                intent.setComponent(null);
                if (packageName != null) {
                    intent.setPackage(packageName);
                }
                java.util.Set<java.lang.String> s = intent.getCategories();
                if (s != null) {
                    s.clear();
                }
                intent.addCategory("android.intent.category.HOME");
                if (!IS_SHOW_DCMUI) {
                    intent.setAction("android.intent.action.MAIN");
                }
                return true;
            }
        }
        return false;
    }

    private boolean isHomeIntent(android.content.Intent intent) {
        return "android.intent.action.MAIN".equals(intent.getAction()) && intent.hasCategory("android.intent.category.HOME") && intent.getCategories().size() == 1 && intent.getData() == null && intent.getComponent() == null && intent.getType() == null;
    }

    public boolean startingCustomActivity(boolean abort, android.content.Intent intent, android.content.pm.ActivityInfo aInfo) {
        if (((com.android.server.am.HwActivityManagerService) this.mService).mCustomController != null) {
            return ((com.android.server.am.HwActivityManagerService) this.mService).customActivityStarting(intent, aInfo.applicationInfo.packageName);
        }
        return abort;
    }

    protected void setInitialState(com.android.server.am.ActivityRecord r, android.app.ActivityOptions options, com.android.server.am.TaskRecord inTask, boolean doResume, int startFlags, com.android.server.am.ActivityRecord sourceRecord, android.service.voice.IVoiceInteractionSession voiceSession, com.android.internal.app.IVoiceInteractor voiceInteractor) {
        com.android.server.am.ActivityRecord activityRecord = r;
        android.app.ActivityOptions activityOptions = options;
        if (android.util.HwPCUtils.isPcCastModeInServer()) {
            if (!android.util.HwPCUtils.enabledInPad() && activityOptions != null && android.util.HwPCUtils.isValidExtDisplayId(activityOptions.getLaunchDisplayId()) && (android.text.TextUtils.equals(activityRecord.packageName, "com.android.incallui") || android.text.TextUtils.equals(activityRecord.packageName, "com.android.systemui"))) {
                activityOptions.setLaunchDisplayId(0);
            }
            if (android.util.HwPCUtils.enabledInPad() && (this.mService instanceof com.android.server.am.HwActivityManagerService) && !((com.android.server.am.HwActivityManagerService) this.mService).isLauncher(activityRecord.packageName) && activityOptions == null) {
                activityOptions = android.app.ActivityOptions.makeBasic();
            }
        }
        super.setInitialState(activityRecord, activityOptions, inTask, doResume, startFlags, sourceRecord, voiceSession, voiceInteractor);
    }

    protected int getPreferedDisplayId(com.android.server.am.ActivityRecord sourceRecord, com.android.server.am.ActivityRecord startingActivity, android.app.ActivityOptions options) {
        if (android.util.HwPCUtils.isPcCastModeInServer()) {
            if (startingActivity != null && startingActivity.isActivityTypeHome() && "android".equals(startingActivity.launchedFromPackage)) {
                return 0;
            }
            if (options != null && android.util.HwPCUtils.isValidExtDisplayId(options.getLaunchDisplayId())) {
                return options.getLaunchDisplayId();
            }
            if (startingActivity != null && (this.mService instanceof com.android.server.am.HwActivityManagerService)) {
                java.util.HashMap<java.lang.String, java.lang.Integer> maps = ((com.android.server.am.HwActivityManagerService) this.mService).mPkgDisplayMaps;
                int displayId = 0;
                if (android.text.TextUtils.isEmpty(startingActivity.launchedFromPackage)) {
                    if (!android.text.TextUtils.isEmpty(startingActivity.packageName) && maps.containsKey(startingActivity.packageName)) {
                        displayId = ((java.lang.Integer) maps.get(startingActivity.packageName)).intValue();
                    }
                } else if (maps.containsKey(startingActivity.launchedFromPackage)) {
                    displayId = ((java.lang.Integer) maps.get(startingActivity.launchedFromPackage)).intValue();
                }
                if (android.util.HwPCUtils.isValidExtDisplayId(displayId)) {
                    return displayId;
                }
            }
        }
        return super.getPreferedDisplayId(sourceRecord, startingActivity, options);
    }

    protected int hasStartedOnOtherDisplay(com.android.server.am.ActivityRecord startActivity, int sourceDisplayId) {
        if (android.util.HwPCUtils.isPcCastModeInServer() && !sPCPkgName.contains(startActivity.packageName)) {
            java.lang.String activityName = startActivity.realActivity != null ? startActivity.realActivity.getClassName() : "";
            if (packageShouldNotHandle(startActivity.packageName) && !"com.huawei.filemanager.desktopinstruction.EasyProjection".equals(activityName)) {
                return -1;
            }
            if (android.util.HwPCUtils.isValidExtDisplayId(sourceDisplayId) && startActivity.isActivityTypeHome()) {
                return 2;
            }
            java.util.ArrayList<com.android.server.am.ProcessRecord> list;
            if ("com.huawei.filemanager.desktopinstruction.EasyProjection".equals(activityName)) {
                list = getPackageProcess("com.huawei.filemanager.desktopinstruction", startActivity.userId);
            } else {
                list = getPackageProcess(startActivity.packageName, startActivity.userId);
            }
            if (list != null) {
                int size = list.size();
                int i = 0;
                while (i < size) {
                    com.android.server.am.ProcessRecord pr = (com.android.server.am.ProcessRecord) list.get(i);
                    if (pr == null || pr.mDisplayId == sourceDisplayId || !(pr.foregroundActivities || ("com.huawei.works".equals(startActivity.packageName) && isConnectFromWeLink(sourceDisplayId)))) {
                        i++;
                    } else {
                        this.mService.mStackSupervisor.showToast(sourceDisplayId);
                        if (sourceDisplayId == 0) {
                            return 1;
                        }
                        return 0;
                    }
                }
            }
            if (this.mService instanceof com.android.server.am.HwActivityManagerService) {
                ((com.android.server.am.HwActivityManagerService) this.mService).mPkgDisplayMaps.put(startActivity.packageName, java.lang.Integer.valueOf(sourceDisplayId));
            }
        }
        return -1;
    }

    private boolean isConnectFromWeLink(int displayId) {
        android.view.Display display = ((android.hardware.display.DisplayManager) this.mService.mContext.getSystemService("display")).getDisplay(displayId);
        if (display != null && "com.huawei.works".equals(display.getOwnerPackageName())) {
            return true;
        }
        return false;
    }

    protected boolean killProcessOnDefaultDisplay(com.android.server.am.ActivityRecord startActivity) {
        if (android.util.HwPCUtils.enabled()) {
            boolean killPackageProcess = false;
            java.util.ArrayList<com.android.server.am.ProcessRecord> list = getPackageProcess(startActivity.packageName, startActivity.userId);
            int N = list.size();
            for (int i = 0; i < N; i++) {
                if (android.util.HwPCUtils.isValidExtDisplayId(((com.android.server.am.ProcessRecord) list.get(i)).mDisplayId)) {
                    killPackageProcess = true;
                    break;
                }
            }
            if (killPackageProcess) {
                this.mService.forceStopPackageLocked(startActivity.packageName, android.os.UserHandle.getAppId(startActivity.appInfo.uid), false, false, true, false, false, android.os.UserHandle.getUserId(startActivity.appInfo.uid), "relaunch due to in diff display");
                return true;
            }
        }
        return false;
    }

    protected boolean killProcessOnOtherDisplay(com.android.server.am.ActivityRecord startActivity, int sourceDisplayId) {
        com.android.server.am.ActivityRecord activityRecord = startActivity;
        int i = sourceDisplayId;
        if (android.util.HwPCUtils.isPcCastModeInServer()) {
            java.lang.String activityName = activityRecord.realActivity != null ? activityRecord.realActivity.getClassName() : "";
            if (packageShouldNotHandle(activityRecord.packageName) && !"com.huawei.filemanager.desktopinstruction.EasyProjection".equals(activityName)) {
                return false;
            }
            int N;
            if ("com.huawei.filemanager.desktopinstruction.EasyProjection".equals(activityName)) {
                java.util.ArrayList<com.android.server.am.ProcessRecord> list = getPackageProcess("com.huawei.filemanager.desktopinstruction", activityRecord.userId);
                N = list.size();
                boolean isRemoved = false;
                for (int i2 = 0; i2 < N; i2++) {
                    if (((com.android.server.am.ProcessRecord) list.get(i2)).mDisplayId != i) {
                        this.mService.removeProcessLocked((com.android.server.am.ProcessRecord) list.get(i2), false, true, "killProcessOnOtherDisplay");
                        isRemoved = true;
                    }
                }
                if (isRemoved) {
                    java.util.Set<java.lang.String> disabledClasses = new java.util.HashSet();
                    disabledClasses.add("com.huawei.filemanager.desktopinstruction.EasyProjection");
                    this.mService.mStackSupervisor.finishDisabledPackageActivitiesLocked("com.huawei.desktop.explorer", disabledClasses, true, false, android.os.UserHandle.getUserId(activityRecord.appInfo.uid));
                }
                return isRemoved;
            }
            java.lang.String processName = "";
            N = -1;
            boolean killPackageProcess = false;
            java.util.ArrayList<com.android.server.am.ProcessRecord> list2 = getPackageProcess(activityRecord.packageName, activityRecord.userId);
            int N2 = list2.size();
            int i3 = 0;
            while (i3 < N2) {
                if (((com.android.server.am.ProcessRecord) list2.get(i3)).mDisplayId != i) {
                    if (android.util.HwPCUtils.enabledInPad() && "com.android.settings".equals(activityRecord.packageName) && "com.android.phone".equals(((com.android.server.am.ProcessRecord) list2.get(i3)).processName)) {
                        android.util.HwPCUtils.log("ActivityStarter", "settings in phone process");
                    } else if (android.text.TextUtils.isEmpty(activityRecord.packageName) || !activityRecord.packageName.contains("com.tencent.mm") || activityRecord.app == null || activityRecord.app.pid == ((com.android.server.am.ProcessRecord) list2.get(i3)).pid) {
                        killPackageProcess = true;
                        processName = ((com.android.server.am.ProcessRecord) list2.get(i3)).processName;
                        N = ((com.android.server.am.ProcessRecord) list2.get(i3)).mDisplayId;
                        break;
                    } else {
                        android.util.HwPCUtils.log("ActivityStarter", "pid is not same so dont kill the process when killing Process on other display");
                    }
                }
                i3++;
            }
            if (sPCPkgName.contains(activityRecord.packageName)) {
                killPackageProcess = false;
            }
            if (killPackageProcess) {
                this.mService.forceStopPackageLocked(activityRecord.packageName, android.os.UserHandle.getAppId(activityRecord.appInfo.uid), false, false, true, false, false, android.os.UserHandle.getUserId(activityRecord.appInfo.uid), "relaunch due to in diff display");
                com.android.server.pc.HwPCDataReporter.getInstance().reportKillProcessEvent(activityRecord.packageName, processName, i, N);
                return true;
            }
        }
        return false;
    }

    private boolean packageShouldNotHandle(java.lang.String pkgName) {
        boolean z = true;
        if (android.util.HwPCUtils.enabledInPad()) {
            if (!("com.huawei.desktop.explorer".equals(pkgName) || "com.huawei.desktop.systemui".equals(pkgName) || "com.android.systemui".equals(pkgName) || "com.android.incallui".equals(pkgName))) {
                if (!"com.huawei.android.wfdft".equals(pkgName)) {
                    z = false;
                    return z;
                }
            }
            return z;
        }
        if (!"com.huawei.desktop.explorer".equals(pkgName)) {
            if (!"com.huawei.desktop.systemui".equals(pkgName)) {
                z = false;
            }
        }
        return z;
    }

    private java.util.ArrayList<com.android.server.am.ProcessRecord> getPackageProcess(java.lang.String pkg, int userId) {
        java.util.ArrayList<com.android.server.am.ProcessRecord> procs = new java.util.ArrayList();
        int NP = this.mService.mProcessNames.getMap().size();
        for (int ip = 0; ip < NP; ip++) {
            android.util.SparseArray<com.android.server.am.ProcessRecord> apps = (android.util.SparseArray) this.mService.mProcessNames.getMap().valueAt(ip);
            int NA = apps.size();
            for (int ia = 0; ia < NA; ia++) {
                com.android.server.am.ProcessRecord proc = (com.android.server.am.ProcessRecord) apps.valueAt(ia);
                if (proc.userId == userId) {
                    if (proc != this.mService.mHomeProcess) {
                        if (!proc.pkgList.containsKey(pkg)) {
                            if ("com.huawei.filemanager.desktopinstruction".equals(pkg) && proc.processName != null) {
                                if (!proc.processName.equals(pkg)) {
                                }
                            }
                        }
                        procs.add(proc);
                    }
                }
            }
        }
        return procs;
    }

    private void standardizeIntentUriForClone(android.content.Intent intent, int userId) {
        android.content.Intent intent2 = intent;
        int i = userId;
        android.content.ClipData clipData = intent.getClipData();
        java.lang.String volume = null;
        java.lang.String sdcard = android.os.Environment.getLegacyExternalStorageDirectory().getAbsolutePath();
        int i2 = 0;
        if (clipData != null) {
            int itemCount = clipData.getItemCount();
            java.lang.String volume2 = null;
            int i3 = 0;
            while (i3 < itemCount) {
                android.content.ClipData.Item item = clipData.getItemAt(i3);
                android.net.Uri uri = item.getUri();
                if (uri != null && "file".equals(uri.getScheme()) && uri.getPath().startsWith(sdcard)) {
                    if (volume2 == null) {
                        this.mService.mContext.getSystemService("storage");
                        android.os.storage.StorageVolume[] volumes = android.os.storage.StorageManager.getVolumeList(i, 512);
                        if (volumes == null) {
                            break;
                        } else if (volumes.length == 0) {
                            break;
                        } else {
                            volume2 = volumes[i2].getPath();
                        }
                    }
                    clipData.setItemAt(i3, new android.content.ClipData.Item(item.getText(), item.getHtmlText(), item.getIntent(), android.net.Uri.parse(uri.toString().replace(sdcard, volume2))));
                }
                i3++;
                i2 = 0;
            }
            volume = volume2;
        }
        android.net.Uri uri2 = intent.getData();
        if (uri2 != null && "file".equals(uri2.getScheme()) && uri2.getPath().startsWith(sdcard)) {
            if (volume == null) {
                this.mService.mContext.getSystemService("storage");
                android.os.storage.StorageVolume[] volumes2 = android.os.storage.StorageManager.getVolumeList(i, 512);
                if (volumes2 != null && volumes2.length > 0) {
                    volume = volumes2[0].getPath();
                }
            }
            if (volume != null) {
                intent2.setData(android.net.Uri.parse(uri2.toString().replace(sdcard, volume)));
            }
        }
        android.net.Uri stream = (android.net.Uri) intent2.getParcelableExtra("android.intent.extra.STREAM");
        if (stream != null && "file".equals(stream.getScheme()) && stream.getPath().startsWith(sdcard)) {
            if (volume == null) {
                this.mService.mContext.getSystemService("storage");
                android.os.storage.StorageVolume[] volumes3 = android.os.storage.StorageManager.getVolumeList(i, 512);
                if (volumes3 != null && volumes3.length > 0) {
                    volume = volumes3[0].getPath();
                }
            }
            if (volume != null) {
                intent2.putExtra("android.intent.extra.STREAM", android.net.Uri.parse(stream.toString().replace(sdcard, volume)));
            }
        }
    }

    protected boolean isInSkipCancelResultList(java.lang.String clsName) {
        return sSkipCancelResultList.contains(clsName);
    }

    private boolean isStartBrowserApps(android.content.pm.ActivityInfo aInfo, int userId) {
        if (aInfo != null) {
            if (aInfo.applicationInfo != null) {
                java.util.Set<java.lang.String> specPkg = new java.util.HashSet();
                specPkg.add("com.google.android.setupwizard");
                specPkg.add("com.huawei.hwstartupguide");
                specPkg.add("com.android.settings");
                android.content.pm.PackageManager pm = this.mService.mContext.getPackageManager();
                long origId = android.os.Binder.clearCallingIdentity();
                try {
                    java.util.List<android.content.pm.ResolveInfo> list = pm.queryIntentActivitiesAsUser(BROWSE_PROBE, 786432, userId);
                    int count = list.size();
                    for (int i = 0; i < count; i++) {
                        android.content.pm.ResolveInfo info = (android.content.pm.ResolveInfo) list.get(i);
                        if (!(info.activityInfo == null || info.activityInfo.getComponentName() == null || info.activityInfo.packageName == null)) {
                            if (info.handleAllWebDataURI) {
                                boolean z = true;
                                java.lang.StringBuilder stringBuilder;
                                if (specPkg.contains(aInfo.packageName) && info.activityInfo.getComponentName().equals(aInfo.getComponentName())) {
                                    stringBuilder = new java.lang.StringBuilder();
                                    stringBuilder.append("skip launch aInfo:");
                                    stringBuilder.append(aInfo);
                                    stringBuilder.append(" because browser info:");
                                    stringBuilder.append(info);
                                    android.util.Log.w("ActivityStarter", stringBuilder.toString());
                                    android.os.Binder.restoreCallingIdentity(origId);
                                    return z;
                                } else if (!specPkg.contains(aInfo.packageName) && info.activityInfo.packageName.equals(aInfo.packageName)) {
                                    stringBuilder = new java.lang.StringBuilder();
                                    stringBuilder.append("skip launch aInfo:");
                                    stringBuilder.append(aInfo);
                                    stringBuilder.append(" because browser app:");
                                    stringBuilder.append(aInfo.packageName);
                                    android.util.Log.w("ActivityStarter", stringBuilder.toString());
                                    return z;
                                }
                            }
                        }
                    }
                    android.os.Binder.restoreCallingIdentity(origId);
                    return false;
                } finally {
                    android.os.Binder.restoreCallingIdentity(origId);
                }
            }
        }
        return false;
    }

    private void showErrorDialogToRemoveUser(final android.content.Context context, final int userId) {
        com.android.server.UiThread.getHandler().post(new java.lang.Runnable() {
            public void run() {
                android.app.AlertDialog ErrorDialog = new android.app.AlertDialog.Builder(context, 33947691).setPositiveButton(33686057, new android.content.DialogInterface.OnClickListener() {
                    public void onClick(android.content.DialogInterface dialog, int which) {
                        android.os.UserManager.get(context).removeUser(userId);
                    }
                }).setNegativeButton(17039360, new android.content.DialogInterface.OnClickListener() {
                    public void onClick(android.content.DialogInterface dialog, int which) {
                        dialog.dismiss();
                    }
                }).setTitle(context.getString(33686059)).setMessage(context.getString(33686058)).create();
                ErrorDialog.getWindow().setType(2003);
                android.view.WindowManager.LayoutParams attributes = ErrorDialog.getWindow().getAttributes();
                attributes.privateFlags |= 16;
                ErrorDialog.setCanceledOnTouchOutside(false);
                ErrorDialog.show();
                ErrorDialog.getButton(-1).setTextColor(-65536);
            }
        });
    }
}
