package com.android.server.am;

public class HwActivityStarterEx implements com.huawei.server.am.IHwActivityStarterEx {
    public static final java.lang.String TAG = "HwActivityStarterEx";
    private static final boolean mIsSupportGameAssist;
    final com.android.server.am.ActivityManagerService mService;
    private android.widget.Toast mToast = null;

    static {
        boolean z = false;
        if (android.os.SystemProperties.getInt("ro.config.gameassist", 0) == 1) {
            z = true;
        }
        mIsSupportGameAssist = z;
    }

    public HwActivityStarterEx(com.android.server.am.ActivityManagerService service) {
        this.mService = service;
    }

    private java.lang.String buildMsg(int canBoost, boolean isScreenOn) {
        boolean screenOn = isScreenOn;
        java.lang.StringBuilder strMsg = new java.lang.StringBuilder();
        strMsg.append("canBoost=");
        strMsg.append(canBoost);
        strMsg.append("|screenOn=");
        strMsg.append(screenOn);
        return strMsg.toString();
    }

    public void effectiveIawareToLaunchApp(android.content.Intent targetIntent, android.content.pm.ActivityInfo targetAInfo, java.lang.String curActivityPkName) {
        android.content.Intent intent = targetIntent;
        android.content.pm.ActivityInfo activityInfo = targetAInfo;
        java.lang.String str = curActivityPkName;
        if (intent != null && activityInfo != null) {
            java.lang.String strPkg = "";
            java.lang.String shortComponentName = "";
            java.lang.String lastShortComponentName = null;
            if (targetIntent.getComponent() != null) {
                strPkg = targetIntent.getComponent().getPackageName();
                shortComponentName = targetIntent.getComponent().flattenToShortString();
            }
            if (!isAppHotStart(intent, activityInfo, this.mService.getRecentTasks().getRawTasks())) {
                this.mService.mDAProxy.notifyAppEventToIaware(3, strPkg);
            }
            boolean isScreenOn = false;
            com.android.server.am.BatteryStatsService mBatteryStatsService = this.mService.mBatteryStatsService;
            if (mBatteryStatsService != null) {
                isScreenOn = mBatteryStatsService.getActiveStatistics().isScreenOn();
            }
            int canBoost = this.mService.mHwAMSEx.canAppBoost(activityInfo, isScreenOn);
            java.lang.String strMsg = buildMsg(canBoost, isScreenOn);
            com.android.server.am.ActivityRecord lastResumeActivity = this.mService.getLastResumedActivity();
            if (lastResumeActivity != null) {
                lastShortComponentName = lastResumeActivity.shortComponentName;
            }
            java.lang.StringBuilder appEventStr = new java.lang.StringBuilder();
            appEventStr.append(strPkg);
            boolean z = false;
            if (str != null) {
                if (str.equals(strPkg)) {
                    boolean diffComponent = shortComponentName.equals(lastShortComponentName) ^ 1;
                    if (isScreenOn && diffComponent) {
                        z = true;
                    }
                    sendUniperfEvent(4098, strMsg, z, appEventStr);
                    if (canBoost > 0) {
                        this.mService.mDAProxy.notifyAppEventToIaware(2, appEventStr.toString());
                        return;
                    }
                    return;
                }
            }
            boolean hasActivityInStack = false;
            if (this.mService.mWarmColdSwitch) {
                hasActivityInStack = this.mService.mStackSupervisor.hasActivityInStackLocked(activityInfo);
            }
            if (hasActivityInStack) {
                android.iawareperf.UniPerf.getInstance().uniPerfEvent(4399, strMsg, new int[0]);
            } else {
                if ("com.android.systemui".equals(strPkg)) {
                    android.iawareperf.UniPerf.getInstance().uniPerfEvent(4098, strMsg, new int[0]);
                } else {
                    android.iawareperf.UniPerf.getInstance().uniPerfEvent(4099, strMsg, new int[0]);
                }
            }
            if (canBoost > 0) {
                this.mService.mDAProxy.notifyAppEventToIaware(1, appEventStr.toString());
            }
            com.huawei.pgmng.log.LogPower.push(139, strPkg);
        }
    }

    private void sendUniperfEvent(int uniperfCmdId, java.lang.String extra, boolean needOnOff, java.lang.StringBuilder appEventStr) {
        if (needOnOff) {
            appEventStr.append(":on");
            android.iawareperf.UniPerf.getInstance().uniPerfEvent(uniperfCmdId, extra, new int[]{0});
            return;
        }
        android.iawareperf.UniPerf.getInstance().uniPerfEvent(uniperfCmdId, extra, new int[0]);
    }

    private boolean isAppHotStart(android.content.Intent targetIntent, android.content.pm.ActivityInfo targetAInfo, java.util.ArrayList<com.android.server.am.TaskRecord> recentTasks) {
        if (!(targetIntent == null || targetAInfo == null || recentTasks == null)) {
            if ("android.intent.action.MAIN".equals(targetIntent.getAction()) && targetIntent.getCategories() != null) {
                if (targetIntent.getCategories().contains("android.intent.category.LAUNCHER")) {
                    android.content.ComponentName cls = targetIntent.getComponent();
                    int taskSize = recentTasks.size();
                    int i = 0;
                    while (i < taskSize) {
                        com.android.server.am.TaskRecord task = (com.android.server.am.TaskRecord) recentTasks.get(i);
                        android.content.Intent taskIntent = task.intent;
                        android.content.Intent affinityIntent = task.affinityIntent;
                        if ((task.rootAffinity == null || !task.rootAffinity.equals(targetAInfo.taskAffinity)) && ((taskIntent == null || taskIntent.getComponent() == null || taskIntent.getComponent().compareTo(cls) != 0) && (affinityIntent == null || affinityIntent.getComponent() == null || affinityIntent.getComponent().compareTo(cls) != 0))) {
                            i++;
                        } else if (task.mActivities.size() > 0) {
                            return true;
                        } else {
                            return false;
                        }
                    }
                }
            }
            return true;
        }
        return false;
    }

    public boolean isAbleToLaunchInVR(android.content.Context context, java.lang.String packageName) {
        android.vrsystem.IVRSystemServiceManager vrMananger = android.common.HwFrameworkFactory.getVRSystemServiceManager();
        if (!(packageName == null || context == null || vrMananger == null)) {
            if (vrMananger.isVRMode()) {
                if (!vrMananger.isVRApplication(context, packageName) && !vrMananger.isVirtualScreenMode()) {
                    return false;
                }
                android.util.HwVRUtils.addVRLowPowerAppList(packageName);
                if ("com.huawei.vrvirtualscreen".equals(packageName)) {
                    vrMananger.setVirtualScreenMode(true);
                } else if ("com.huawei.vrlauncherx".equals(packageName)) {
                    vrMananger.setVirtualScreenMode(false);
                }
                return true;
            }
        }
        return true;
    }

    public boolean isAbleToLaunchVideoActivity(android.content.Context context, android.content.Intent intent) {
        if (!mIsSupportGameAssist) {
            return true;
        }
        if (!com.android.server.am.HwSnsVideoManager.getInstance(context).getReadyToShowActivity(intent)) {
            return false;
        }
        com.android.server.am.HwSnsVideoManager.getInstance(this.mService.mContext).setReadyToShowActivity(false);
        return true;
    }

    public boolean isAbleToLaunchInPCCastMode(java.lang.String packageName, int displayId) {
        if (!(displayId == 0 || displayId == -1)) {
            if (packageName != null) {
                if (!android.util.HwPCUtils.isPcCastModeInServer() || !android.util.HwPCUtils.sPackagesCanStartedInPCMode.contains(packageName)) {
                    return true;
                }
                android.util.HwPCUtils.log("HwActivityStarterEx", "about to launch app which cannot be started in PC mode, abort.");
                final android.content.Context context = android.util.HwPCUtils.getDisplayContext(this.mService.mContext, android.util.HwPCUtils.getPCDisplayID());
                if (context != null) {
                    com.android.server.UiThread.getHandler().post(new java.lang.Runnable() {
                        public void run() {
                            if (com.android.server.am.HwActivityStarterEx.this.mToast != null) {
                                com.android.server.am.HwActivityStarterEx.this.mToast.cancel();
                            }
                            com.android.server.am.HwActivityStarterEx.this.mToast = android.widget.Toast.makeText(context, context.getResources().getString(33686015), 0);
                            com.android.server.am.HwActivityStarterEx.this.mToast.show();
                        }
                    });
                }
                return false;
            }
        }
        return true;
    }
}
