package com.android.server.am;

public class HwBroadcastRecord {
    private com.android.server.am.BroadcastRecord mBroadcastRecord = null;
    private int mCurAdj = -10000;
    private int mCurProcState = -1;
    private int mCurrentReceiverPid;
    private boolean mIsSysApp = false;
    private java.lang.String mPkg = null;
    private int mReceiverPid = -1;
    private int mReceiverUid = -1;

    public HwBroadcastRecord(com.android.server.am.BroadcastRecord br) {
        if (br != null) {
            this.mBroadcastRecord = br;
            return;
        }
        throw new java.lang.NullPointerException();
    }

    public com.android.server.am.BroadcastRecord getBroadcastRecord() {
        return this.mBroadcastRecord;
    }

    public com.android.server.am.BroadcastQueue getBroacastQueue() {
        return this.mBroadcastRecord.queue;
    }

    public int getCallingPid() {
        return this.mBroadcastRecord.callingPid;
    }

    public android.content.Intent getIntent() {
        return this.mBroadcastRecord.intent;
    }

    public java.lang.String getAction() {
        if (this.mBroadcastRecord.intent != null) {
            return this.mBroadcastRecord.intent.getAction();
        }
        return null;
    }

    public java.lang.String getResolvedType() {
        return this.mBroadcastRecord.resolvedType;
    }

    public boolean isBg() {
        return "background".equals(this.mBroadcastRecord.queue.mQueueName);
    }

    public long getDispatchClockTime() {
        return this.mBroadcastRecord.dispatchClockTime;
    }

    public java.util.List getBrReceivers() {
        return this.mBroadcastRecord.receivers;
    }

    public void setReceiverUid(int uid) {
        this.mReceiverUid = uid;
    }

    public void setReceiverPid(int pid) {
        this.mReceiverPid = pid;
    }

    public void setReceiverCurAdj(int curAdj) {
        this.mCurAdj = curAdj;
    }

    public void setReceiverPkg(java.lang.String pkg) {
        this.mPkg = pkg;
    }

    public void setSysApp(boolean isSysApp) {
        this.mIsSysApp = isSysApp;
    }

    public void setReceiverCurProcState(int curProcState) {
        this.mCurProcState = curProcState;
    }

    public int getReceiverUid() {
        return this.mReceiverUid;
    }

    public int getReceiverPid() {
        return this.mReceiverPid;
    }

    public int getReceiverCurAdj() {
        return this.mCurAdj;
    }

    public java.lang.String getReceiverPkg() {
        return this.mPkg;
    }

    public boolean isSysApp() {
        return this.mIsSysApp;
    }

    public int getReceiverCurProcState() {
        return this.mCurProcState;
    }

    public boolean isSameReceiver(com.android.server.am.HwBroadcastRecord br) {
        if (br != null && getBrReceivers().get(0) == br.getBrReceivers().get(0)) {
            return true;
        }
        return false;
    }

    public java.lang.String toString() {
        return this.mBroadcastRecord.toString();
    }

    public java.lang.String getBrQueueName() {
        return this.mBroadcastRecord.queue.mQueueName;
    }

    public void setCurrentReceiverPid(int pid) {
        this.mCurrentReceiverPid = pid;
    }

    public int getCurrentReceiverPid() {
        return this.mCurrentReceiverPid;
    }

    public java.lang.String getCallerPackage() {
        return this.mBroadcastRecord.callerPackage;
    }
}
