package com.android.server.am;

public class HwSnsVideoManager {
    private static final java.lang.String APP_LOCK = "com.huawei.systemmanager/.applock.password.AuthLaunchLockedAppActivity";
    private static final int DEFAULT_CHECK_MAX_TIME = 1000;
    private static final int DEFAULT_CHECK_MAX_TIMES = 15;
    private static final int DEFAULT_CHECK_MIN_TIME = 750;
    private static final int DEFAULT_CHECK_STEP_TIME = 200;
    private static final int DEFAULT_STAY_MAX_TIME = 10000;
    private static java.lang.String GAME_DEEP_MODE = "game_deep_nodisturb_mode";
    private static java.lang.String GAME_DND_MODE = "game_dnd_mode";
    private static int GAME_DND_MODE_CLOSE = 2;
    private static int GAME_DND_MODE_DEFAULT = GAME_DND_MODE_CLOSE;
    private static int GAME_DND_MODE_OPEN = 1;
    static final boolean IS_DEBUG_VERSION;
    private static final int MSG_HANDLE_ADD_VIEW = 0;
    private static final int MSG_HANDLE_REMOVE_VIEW = 1;
    private static final int MSG_HANDLE_SHOW_TOAST = 3;
    private static final int MSG_HANDLE_UPDATE_VIEW = 2;
    private static final java.lang.String QQ = "com.tencent.mobileqq";
    private static final java.lang.String TAG = "HwSnsVideoManager";
    private static final java.lang.String TIM = "com.tencent.tim";
    private static final java.lang.String WECHAT = "com.tencent.mm";
    private static com.android.server.am.HwSnsVideoManager mInstance;
    private static java.util.Set<java.lang.String> sDeferLaunchingActivitys = new java.util.HashSet();
    private static java.util.Set<java.lang.String> sTransferLaunchingActivitys = new java.util.HashSet();
    private static int times = 0;
    private android.widget.TextView mAnswerView;
    private android.widget.ImageView mAppView;
    private boolean mAttached = false;
    private android.widget.TextView mCancelView;
    private java.lang.Runnable mCheckRunnable = new java.lang.Runnable() {
        public void run() {
            com.android.server.am.ActivityStack stack = com.android.server.am.HwSnsVideoManager.this.mService.getFocusedStack();
            com.android.server.am.ActivityRecord ar = stack != null ? stack.mResumedActivity : null;
            com.android.server.am.HwSnsVideoManager.access$708();
            if (com.android.server.am.HwSnsVideoManager.times >= 15) {
                if (com.android.server.am.HwSnsVideoManager.IS_DEBUG_VERSION) {
                    android.util.Log.d("HwSnsVideoManager", "check to max times");
                }
                com.android.server.am.HwSnsVideoManager.times = 0;
                com.android.server.am.HwSnsVideoManager.this.cancelCheckRunnable();
            } else if (ar == null) {
                if (com.android.server.am.HwSnsVideoManager.IS_DEBUG_VERSION) {
                    android.util.Log.d("HwSnsVideoManager", "ar in null, check after 200ms");
                }
                com.android.server.am.HwSnsVideoManager.this.postCheckRunnable(200);
            } else {
                if (com.android.server.am.HwSnsVideoManager.IS_DEBUG_VERSION) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("check ");
                    stringBuilder.append(ar.shortComponentName);
                    android.util.Log.d("HwSnsVideoManager", stringBuilder.toString());
                }
                if (!("com.huawei.systemmanager/.applock.password.AuthLaunchLockedAppActivity".equals(ar.shortComponentName) || com.android.server.am.HwSnsVideoManager.sDeferLaunchingActivitys.contains(ar.shortComponentName))) {
                    if (com.android.server.am.HwSnsVideoManager.this.mService.mWindowManager.isInDisplayFrozen()) {
                        if (com.android.server.am.HwSnsVideoManager.IS_DEBUG_VERSION) {
                            android.util.Log.d("HwSnsVideoManager", "window is freeze, check after 200ms");
                        }
                        com.android.server.am.HwSnsVideoManager.this.postCheckRunnable(200);
                    } else {
                        if (com.android.server.am.HwSnsVideoManager.IS_DEBUG_VERSION) {
                            android.util.Log.d("HwSnsVideoManager", "handleShowToast");
                        }
                        com.android.server.am.HwSnsVideoManager.times = 0;
                        com.android.server.am.HwSnsVideoManager.this.showToast();
                    }
                }
            }
        }
    };
    private android.content.Context mContext;
    private android.os.Handler mHandler;
    private android.os.HandlerThread mHandlerThread;
    private android.widget.Toast mLastToast;
    private java.lang.String mPkgName;
    private boolean mReadyToShowActivity = false;
    private java.lang.Runnable mRemoveRunnable = new java.lang.Runnable() {
        public void run() {
            com.android.server.am.HwSnsVideoManager.this.setReadyToShowActivity(false);
            com.android.server.am.HwSnsVideoManager.this.handleRemoveView();
            android.content.Context access$400 = com.android.server.am.HwSnsVideoManager.this.mContext;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("{pkg:");
            stringBuilder.append(com.android.server.am.HwSnsVideoManager.this.mPkgName);
            stringBuilder.append("}");
            com.huawei.bd.Reporter.e(access$400, 803, stringBuilder.toString());
        }
    };
    private com.android.server.am.ActivityManagerService mService;
    private com.android.server.am.SnsFloatNotification mSnsFloatView;
    private android.widget.TextView mTipsView;
    private android.content.IntentSender mVideoCallIntent;
    private final android.view.WindowManager mWindowManager;

    private final class SnsVideoManagerHandler extends android.os.Handler {
        public SnsVideoManagerHandler(android.os.Looper looper) {
            super(looper, null, true);
        }

        public void handleMessage(android.os.Message msg) {
            switch (msg.what) {
                case 0:
                    com.android.server.am.HwSnsVideoManager.this.handleAddView();
                    return;
                case 1:
                    com.android.server.am.HwSnsVideoManager.this.handleRemoveView();
                    return;
                case 2:
                    com.android.server.am.HwSnsVideoManager.this.handleUpdateView();
                    return;
                case 3:
                    com.android.server.am.HwSnsVideoManager.this.handleShowToast();
                    return;
                default:
                    return;
            }
        }
    }

    static /* synthetic */ int access$708() {
        int i = times;
        times = i + 1;
        return i;
    }

    static {
        boolean z = false;
        if (android.os.SystemProperties.getInt("ro.logsystem.usertype", 1) == 3) {
            z = true;
        }
        IS_DEBUG_VERSION = z;
        sDeferLaunchingActivitys.add("com.tencent.mm/.plugin.voip.ui.VideoActivity");
        sDeferLaunchingActivitys.add("com.tencent.mobileqq/com.tencent.av.ui.VideoInviteFull");
        sDeferLaunchingActivitys.add("com.tencent.tim/com.tencent.av.ui.VideoInviteFull");
        sDeferLaunchingActivitys.add("com.tencent.mobileqq/com.tencent.av.ui.VChatActivity");
        sDeferLaunchingActivitys.add("com.tencent.tim/com.tencent.av.ui.VChatActivity");
        sTransferLaunchingActivitys.add("com.tencent.mobileqq/com.tencent.av.ui.VChatActivity");
        sTransferLaunchingActivitys.add("com.tencent.tim/com.tencent.av.ui.VChatActivity");
    }

    private HwSnsVideoManager(android.content.Context context) {
        this.mContext = context;
        this.mWindowManager = (android.view.WindowManager) context.getSystemService("window");
        initHandlerThread();
    }

    public static synchronized com.android.server.am.HwSnsVideoManager getInstance(android.content.Context context) {
        com.android.server.am.HwSnsVideoManager hwSnsVideoManager;
        synchronized (com.android.server.am.HwSnsVideoManager.class) {
            if (mInstance == null) {
                mInstance = new com.android.server.am.HwSnsVideoManager(context);
            }
            hwSnsVideoManager = mInstance;
        }
        return hwSnsVideoManager;
    }

    private void initHandlerThread() {
        this.mHandlerThread = new android.os.HandlerThread("HwSnsVideoManager");
        this.mHandlerThread.start();
        this.mHandler = new com.android.server.am.HwSnsVideoManager.SnsVideoManagerHandler(this.mHandlerThread.getLooper());
    }

    private void postRemoveRunnable(int showTime) {
        this.mHandler.removeCallbacks(this.mRemoveRunnable);
        this.mHandler.postDelayed(this.mRemoveRunnable, (long) showTime);
    }

    public void cancelRemoveRunnable() {
        this.mHandler.removeCallbacks(this.mRemoveRunnable);
    }

    private void postCheckRunnable(int showTime) {
        this.mHandler.removeCallbacks(this.mCheckRunnable);
        this.mHandler.postDelayed(this.mCheckRunnable, (long) showTime);
    }

    public void cancelCheckRunnable() {
        this.mHandler.removeCallbacks(this.mCheckRunnable);
    }

    public void showToast() {
        if (this.mLastToast != null) {
            this.mLastToast.cancel();
        }
        this.mHandler.sendEmptyMessage(3);
    }

    private void handleShowToast() {
        this.mLastToast = android.widget.Toast.makeText(new android.view.ContextThemeWrapper(this.mContext, this.mContext.getResources().getIdentifier("androidhwext:style/Theme.Emui.Toast", null, null)), 33686074, 0);
        android.view.WindowManager.LayoutParams windowParams = this.mLastToast.getWindowParams();
        windowParams.privateFlags |= 16;
        this.mLastToast.show();
    }

    public void addFloatView(java.lang.String pkgName, android.content.IntentSender sendor) {
        if (!this.mAttached) {
            postRemoveRunnable(10000);
            this.mPkgName = pkgName;
            this.mVideoCallIntent = sendor;
            this.mHandler.sendEmptyMessage(0);
        }
    }

    private void handleAddView() {
        if (IS_DEBUG_VERSION) {
            android.util.Log.d("HwSnsVideoManager", "handleAddView");
        }
        createFloatViewIfNeeded(true);
        this.mSnsFloatView.addNotificationView(inflateView());
        this.mAttached = true;
    }

    public void removeFloatView() {
        if (this.mAttached) {
            cancelRemoveRunnable();
            this.mHandler.sendEmptyMessage(1);
        }
    }

    private void handleRemoveView() {
        if (this.mAttached) {
            if (IS_DEBUG_VERSION) {
                android.util.Log.d("HwSnsVideoManager", "handleRemoveView");
            }
            cancelRemoveRunnable();
            this.mSnsFloatView.removeNotificationView();
            this.mAttached = false;
        }
    }

    public void updateFloatView(java.lang.String pkgName, android.content.IntentSender sendor) {
        if (this.mAttached) {
            postRemoveRunnable(10000);
            this.mPkgName = pkgName;
            this.mVideoCallIntent = sendor;
            this.mHandler.sendEmptyMessage(2);
        }
    }

    private void handleUpdateView() {
        if (this.mAttached) {
            if (IS_DEBUG_VERSION) {
                android.util.Log.d("HwSnsVideoManager", "handleUpdateView");
            }
            this.mAppView.setImageResource(pkgToDrawable(this.mPkgName));
            this.mTipsView.setText(pkgToString(this.mPkgName));
        }
    }

    private void createFloatViewIfNeeded(boolean init) {
        if (this.mSnsFloatView == null) {
            this.mSnsFloatView = new com.android.server.am.SnsFloatNotification(this.mContext);
        }
        if (init) {
            this.mSnsFloatView.initLayout();
        }
    }

    private android.view.View inflateView() {
        android.view.View view = ((android.view.LayoutInflater) this.mContext.getSystemService("layout_inflater")).inflate(34013297, null);
        initView(view);
        this.mSnsFloatView.addView(view);
        return view;
    }

    private void initView(android.view.View view) {
        this.mCancelView = (android.widget.TextView) view.findViewById(34603064);
        this.mCancelView.setOnClickListener(new android.view.View.OnClickListener() {
            public void onClick(android.view.View v) {
                com.android.server.am.HwSnsVideoManager.this.cancelLaunchActivity();
            }
        });
        this.mAnswerView = (android.widget.TextView) view.findViewById(34603065);
        this.mAnswerView.setOnClickListener(new android.view.View.OnClickListener() {
            public void onClick(android.view.View v) {
                com.android.server.am.HwSnsVideoManager.this.confirmLaunchActivity();
            }
        });
        this.mAppView = (android.widget.ImageView) view.findViewById(34603062);
        this.mAppView.setImageResource(pkgToDrawable(this.mPkgName));
        this.mTipsView = (android.widget.TextView) view.findViewById(34603063);
        this.mTipsView.setText(pkgToString(this.mPkgName));
    }

    private void confirmLaunchActivity() {
        if (IS_DEBUG_VERSION) {
            android.util.Log.d("HwSnsVideoManager", "confirmLaunchActivity");
        }
        android.content.Context context = this.mContext;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("{pkg:");
        stringBuilder.append(this.mPkgName);
        stringBuilder.append("}");
        com.huawei.bd.Reporter.e(context, 800, stringBuilder.toString());
        int checkTime = 750;
        if ("com.tencent.tim".equals(this.mPkgName)) {
            checkTime = 1000;
        }
        postCheckRunnable(checkTime);
        setReadyToShowActivity(true);
        handleRemoveView();
        ((com.android.server.am.PendingIntentRecord) this.mVideoCallIntent.getTarget()).sendInner(0, null, null, null, null, null, null, null, 0, 0, 0, null);
    }

    private void cancelLaunchActivity() {
        if (IS_DEBUG_VERSION) {
            android.util.Log.d("HwSnsVideoManager", "cancelLaunchActivity");
        }
        android.content.Context context = this.mContext;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("{pkg:");
        stringBuilder.append(this.mPkgName);
        stringBuilder.append("}");
        com.huawei.bd.Reporter.e(context, 801, stringBuilder.toString());
        setReadyToShowActivity(false);
        handleRemoveView();
    }

    public void setReadyToShowActivity(boolean isReady) {
        this.mReadyToShowActivity = isReady;
    }

    public boolean getReadyToShowActivity(android.content.Intent intent) {
        if (intent.getComponent() != null && sDeferLaunchingActivitys.contains(intent.getComponent().flattenToShortString())) {
            return this.mReadyToShowActivity;
        }
        return true;
    }

    public boolean isAttached() {
        createFloatViewIfNeeded(false);
        return this.mSnsFloatView.isAttached();
    }

    public void setAttached(boolean attached) {
        this.mAttached = attached;
    }

    public java.lang.String getPkgName() {
        return this.mPkgName;
    }

    public java.util.Set<java.lang.String> getDeferLaunchingActivitys() {
        return sDeferLaunchingActivitys;
    }

    public void setActivityManager(com.android.server.am.ActivityManagerService service) {
        this.mService = service;
    }

    private int pkgToDrawable(java.lang.String pkgName) {
        if (pkgName.equals("com.tencent.mm")) {
            return 33751947;
        }
        if (pkgName.equals("com.tencent.mobileqq")) {
            return 33751945;
        }
        return 33751946;
    }

    private int pkgToString(java.lang.String pkgName) {
        if (pkgName.equals("com.tencent.mm")) {
            return 33686073;
        }
        if (pkgName.equals("com.tencent.mobileqq")) {
            return 33686069;
        }
        return 33686070;
    }

    public boolean isGameDndOn() {
        if (android.provider.Settings.Secure.getIntForUser(this.mContext.getContentResolver(), GAME_DND_MODE, GAME_DND_MODE_DEFAULT, -2) != 1) {
            if (android.provider.Settings.Secure.getIntForUser(this.mContext.getContentResolver(), GAME_DEEP_MODE, GAME_DND_MODE_DEFAULT, -2) != 1) {
                return false;
            }
        }
        return true;
    }

    public boolean isTransferActivity(android.content.Intent intent) {
        if (intent.getComponent() != null && sTransferLaunchingActivitys.contains(intent.getComponent().flattenToShortString())) {
            return true;
        }
        return false;
    }
}
