package com.android.server.am;

public class HwTaskRecord extends com.android.server.am.TaskRecord {
    private boolean mGetLaunchBoundsFirst = true;
    private boolean mIsInLockScreen = false;
    boolean mSaveBounds = true;
    private int mWindowStateBeforeLockScreen = 4;
    private boolean mWindowStateBeforeLockScreenValid = false;

    public HwTaskRecord(com.android.server.am.ActivityManagerService service, int _taskId, android.content.pm.ActivityInfo info, android.content.Intent _intent, android.service.voice.IVoiceInteractionSession _voiceSession, com.android.internal.app.IVoiceInteractor _voiceInteractor) {
        super(service, _taskId, info, _intent, _voiceSession, _voiceInteractor);
        if (android.util.HwPCUtils.isPcCastModeInServer()) {
            this.mRootActivityInfo = info;
        }
    }

    public HwTaskRecord(com.android.server.am.ActivityManagerService service, int _taskId, android.content.pm.ActivityInfo info, android.content.Intent _intent, android.app.ActivityManager.TaskDescription _taskDescription) {
        super(service, _taskId, info, _intent, _taskDescription);
        if (android.util.HwPCUtils.isPcCastModeInServer()) {
            this.mRootActivityInfo = info;
        }
    }

    public HwTaskRecord(com.android.server.am.ActivityManagerService service, int _taskId, android.content.Intent _intent, android.content.Intent _affinityIntent, java.lang.String _affinity, java.lang.String _rootAffinity, android.content.ComponentName _realActivity, android.content.ComponentName _origActivity, boolean _rootWasReset, boolean _autoRemoveRecents, boolean _askedCompatMode, int _userId, int _effectiveUid, java.lang.String _lastDescription, java.util.ArrayList<com.android.server.am.ActivityRecord> activities, long lastTimeMoved, boolean neverRelinquishIdentity, android.app.ActivityManager.TaskDescription _lastTaskDescription, int taskAffiliation, int prevTaskId, int nextTaskId, int taskAffiliationColor, int callingUid, java.lang.String callingPackage, int resizeMode, boolean supportsPictureInPicture, boolean _realActivitySuspended, boolean userSetupComplete, int minWidth, int minHeight) {
        super(service, _taskId, _intent, _affinityIntent, _affinity, _rootAffinity, _realActivity, _origActivity, _rootWasReset, _autoRemoveRecents, _askedCompatMode, _userId, _effectiveUid, _lastDescription, activities, lastTimeMoved, neverRelinquishIdentity, _lastTaskDescription, taskAffiliation, prevTaskId, nextTaskId, taskAffiliationColor, callingUid, callingPackage, resizeMode, supportsPictureInPicture, _realActivitySuspended, userSetupComplete, minWidth, minHeight);
        if (android.util.HwPCUtils.isPcCastModeInServer() && this.mActivities.size() > 0) {
            this.mRootActivityInfo = ((com.android.server.am.ActivityRecord) this.mActivities.get(0)).info;
        }
    }

    @android.annotation.SuppressLint({"AvoidMax/Min"})
    public void overrideConfigOrienForFreeForm(android.content.res.Configuration config) {
        com.android.server.am.ActivityRecord topActivity = getTopActivity();
        if (topActivity != null) {
            int i = 1;
            if (inFreeformWindowingMode()) {
                android.content.pm.ApplicationInfo info = this.mService.getPackageManagerInternalLocked().getApplicationInfo(topActivity.packageName, 0, android.os.Process.myUid(), this.userId);
                if (info != null) {
                    if ((info.flags & 1) != 0) {
                        android.content.res.Resources res = this.mService.mContext.getResources();
                        android.content.res.Configuration serviceConfig = getParent().getConfiguration();
                        if (res.getConfiguration().orientation == 1) {
                            config.orientation = 1;
                        } else {
                            if (config.screenWidthDp > java.lang.Math.min(serviceConfig.screenWidthDp, serviceConfig.screenHeightDp)) {
                                i = 2;
                            }
                            config.orientation = i;
                        }
                    }
                }
            } else if (inSplitScreenWindowingMode() && this.mService.getPackageManagerInternalLocked().isInMWPortraitWhiteList(topActivity.packageName)) {
                config.orientation = 1;
            }
        }
    }

    public void setWindowState(int state) {
        if (this.mWindowState != state) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setWindowState: ");
            stringBuilder.append(java.lang.Integer.toHexString(this.mWindowState));
            stringBuilder.append(" to ");
            stringBuilder.append(java.lang.Integer.toHexString(state));
            android.util.HwPCUtils.log("HwPCMultiWindowManager", stringBuilder.toString());
            this.mWindowState = state;
            if (this.mService.mStackSupervisor instanceof com.android.server.am.HwActivityStackSupervisor) {
                ((com.android.server.am.HwActivityStackSupervisor) this.mService.mStackSupervisor).scheduleReportPCWindowStateChangedLocked(this);
            }
            this.mService.getHwTaskChangeController().notifyTaskProfileLocked(this.taskId, this.mWindowState);
        }
    }

    protected void updateHwOverrideConfiguration(android.graphics.Rect bounds) {
        com.android.server.am.HwPCMultiWindowManager multiWindowMgr = com.android.server.am.HwPCMultiWindowManager.getInstance(this.mService);
        if (this.mStack != null && android.util.HwPCUtils.isExtDynamicStack(this.mStack.getStackId()) && multiWindowMgr != null) {
            int windowStateLayout;
            int finalState;
            com.android.server.am.ActivityRecord topActivity;
            java.lang.StringBuilder stringBuilder;
            if (bounds == null) {
                windowStateLayout = 4;
            } else if (multiWindowMgr.getMaximizedBounds().equals(getOverrideBounds())) {
                windowStateLayout = 3;
            } else if (getOverrideBounds().width() > getOverrideBounds().height()) {
                windowStateLayout = 2;
            } else {
                windowStateLayout = 1;
                finalState = (this.mNextWindowState & 65280) | windowStateLayout;
                topActivity = getTopActivity();
                if (topActivity != null && multiWindowMgr.isSpecialVideo(topActivity.packageName)) {
                    finalState |= 65536;
                }
                if (!(this.mWindowState == finalState || android.util.HwPCUtils.enabledInPad())) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("force to update task:");
                    stringBuilder.append(toString());
                    android.util.HwPCUtils.log("HwPCMultiWindowManager", stringBuilder.toString());
                    multiWindowMgr.setForceUpdateTask(this.taskId);
                }
                setWindowState(finalState);
                multiWindowMgr.storeTaskSettings(this);
            }
            finalState = (this.mNextWindowState & 65280) | windowStateLayout;
            topActivity = getTopActivity();
            finalState |= 65536;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("force to update task:");
            stringBuilder.append(toString());
            android.util.HwPCUtils.log("HwPCMultiWindowManager", stringBuilder.toString());
            multiWindowMgr.setForceUpdateTask(this.taskId);
            setWindowState(finalState);
            multiWindowMgr.storeTaskSettings(this);
        }
    }

    protected boolean isMaximizedPortraitAppOnPCMode(java.lang.String packageName) {
        if (android.util.HwPCUtils.isPcCastModeInServer() && getStack() != null && android.util.HwPCUtils.isValidExtDisplayId(getStack().mDisplayId) && com.android.server.am.HwPCMultiWindowManager.getInstance(this.mService).mPortraitMaximizedPkgList.contains(packageName)) {
            return true;
        }
        return false;
    }

    void setStack(com.android.server.am.ActivityStack stack) {
        if (stack != null && android.util.HwPCUtils.isExtDynamicStack(stack.getStackId())) {
            int density = this.mService.mWindowManager.getBaseDisplayDensity(0);
            int extDensity = this.mService.mWindowManager.getBaseDisplayDensity(stack.mDisplayId);
            android.graphics.Point size = new android.graphics.Point();
            this.mService.mWindowManager.getBaseDisplaySize(stack.mDisplayId, size);
            if (density > 0 && extDensity > 0) {
                float ratio = (((float) extDensity) * 1.0f) / ((float) density);
                if (this.mMinWidth == -1) {
                    this.mMinWidth = this.mService.mStackSupervisor.mDefaultMinSizeOfResizeableTask;
                }
                if (this.mMinHeight == -1) {
                    this.mMinHeight = this.mService.mStackSupervisor.mDefaultMinSizeOfResizeableTask;
                }
                int halfWidth = size.x / 2;
                int halfHeight = size.y / 2;
                this.mMinWidth = (int) (((float) this.mMinWidth) * ratio);
                this.mMinWidth = this.mMinWidth > halfWidth ? halfWidth : this.mMinWidth;
                this.mMinHeight = (int) (((float) this.mMinHeight) * ratio);
                this.mMinHeight = this.mMinHeight > halfHeight ? halfHeight : this.mMinHeight;
            }
        }
        super.setStack(stack);
    }

    protected android.graphics.Rect getLaunchBounds() {
        if (this.mStack != null && android.util.HwPCUtils.isExtDynamicStack(this.mStack.getStackId()) && this.mGetLaunchBoundsFirst && this.mRootActivityInfo != null) {
            com.android.server.am.HwPCMultiWindowManager multiWindowMgr = com.android.server.am.HwPCMultiWindowManager.getInstance(this.mService);
            if (multiWindowMgr != null) {
                this.mGetLaunchBoundsFirst = false;
                multiWindowMgr.restoreTaskWindowState(this);
                this.mLastNonFullscreenBounds = multiWindowMgr.getLaunchBounds(this);
                return this.mLastNonFullscreenBounds;
            }
        }
        return super.getLaunchBounds();
    }

    boolean removeActivity(com.android.server.am.ActivityRecord r, boolean reparenting) {
        boolean z = false;
        if (r == null) {
            android.util.HwPCUtils.log("HwPCMultiWindowManager", "input parameter ActivityRecord is null");
            return false;
        }
        boolean ret = super.removeActivity(r, reparenting);
        boolean changed = false;
        if (android.util.HwPCUtils.enabledInPad() && android.util.HwPCUtils.isPcCastModeInServer()) {
            changed = checkInKeyGuard();
            if (!(changed || !this.mIsInLockScreen || getTopActivity() == null)) {
                if (r.canShowWhenLocked() == getTopActivity().canShowWhenLocked()) {
                    z = true;
                }
                changed = z;
            }
        }
        if (this.mStack != null && android.util.HwPCUtils.isExtDynamicStack(this.mStack.getStackId()) && getTopActivity() != null && (getTopActivity() instanceof com.android.server.am.HwActivityRecord) && (r instanceof com.android.server.am.HwActivityRecord) && ((((com.android.server.am.HwActivityRecord) getTopActivity()).mCustomRequestedOrientation != ((com.android.server.am.HwActivityRecord) r).mCustomRequestedOrientation || changed) && (this.mService instanceof com.android.server.am.HwActivityManagerService))) {
            com.android.server.am.HwPCMultiWindowManager multiWindowMgr = com.android.server.am.HwPCMultiWindowManager.getInstance(this.mService);
            if (multiWindowMgr != null) {
                int customRequestedOrientation = ((com.android.server.am.HwActivityRecord) getTopActivity()).mCustomRequestedOrientation;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("removeActivity: (");
                stringBuilder.append(r.toString());
                stringBuilder.append(")");
                android.util.HwPCUtils.log("HwPCMultiWindowManager", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("newTopActivity: (");
                stringBuilder.append(getTopActivity().toString());
                stringBuilder.append(")[");
                stringBuilder.append(customRequestedOrientation);
                stringBuilder.append("]");
                android.util.HwPCUtils.log("HwPCMultiWindowManager", stringBuilder.toString());
                if (customRequestedOrientation == 0) {
                    this.mSaveBounds = true;
                    multiWindowMgr.restoreTaskWindowState(this);
                    multiWindowMgr.resizeTaskFromPC(this, multiWindowMgr.getLaunchBounds(this));
                }
            }
        }
        return ret;
    }

    void createWindowContainer(boolean onTop, boolean showForAllUsers) {
        super.createWindowContainer(onTop, showForAllUsers);
        if (this.mRootActivityInfo != null && this.mStack != null && android.util.HwPCUtils.isExtDynamicStack(this.mStack.mStackId)) {
            this.mService.getHwTaskChangeController().notifyTaskCreated(this.taskId, this.mRootActivityInfo.getComponentName());
        }
    }

    void removeWindowContainer() {
        super.removeWindowContainer();
        if (this.mStack != null && android.util.HwPCUtils.isExtDynamicStack(this.mStack.mStackId)) {
            this.mService.getHwTaskChangeController().notifyTaskRemoved(this.taskId);
        }
    }

    protected boolean isResizeable(boolean checkSupportsPip) {
        if (this.mStack == null || !android.util.HwPCUtils.isExtDynamicStack(this.mStack.getStackId())) {
            return super.isResizeable(checkSupportsPip);
        }
        return true;
    }

    protected void adjustForMinimalTaskDimensions(android.graphics.Rect bounds) {
        if (android.os.SystemProperties.getInt("persist.sys.rog.configmode", 0) == 1) {
            this.mService.mStackSupervisor.reCalculateDefaultMinimalSizeOfResizeableTasks();
        }
        this.mDefaultMinSize = this.mService.mStackSupervisor.mDefaultMinSizeOfResizeableTask;
        android.graphics.Rect originBounds = new android.graphics.Rect();
        android.graphics.Point size = new android.graphics.Point();
        if (android.util.HwPCUtils.isExtDynamicStack(getStackId())) {
            originBounds.set(bounds);
            int densityDpi = getConfiguration().densityDpi;
            int serviceDpi = this.mService.getGlobalConfiguration().densityDpi;
            if (densityDpi > 0 && serviceDpi > 0) {
                this.mDefaultMinSize = (this.mDefaultMinSize * densityDpi) / serviceDpi;
                if (!(this.mService.mWindowManager == null || getStack() == null)) {
                    this.mService.mWindowManager.getBaseDisplaySize(getStack().mDisplayId, size);
                    int minSizePx = (int) (((float) (size.x < size.y ? size.x : size.y)) * 1045220557);
                    int i = (this.mDefaultMinSize <= minSizePx || minSizePx == 0) ? this.mDefaultMinSize : minSizePx;
                    this.mDefaultMinSize = i;
                }
            }
        }
        super.adjustForMinimalTaskDimensions(bounds);
        if (android.util.HwPCUtils.isExtDynamicStack(getStackId())) {
            updateBoundsByRatio(originBounds, bounds, size);
        }
    }

    private void updateBoundsByRatio(android.graphics.Rect oldBound, android.graphics.Rect newBound, android.graphics.Point displaySize) {
        if (!(oldBound == null || oldBound.isEmpty() || newBound == null || newBound.isEmpty() || displaySize == null || displaySize.x <= 0)) {
            if (displaySize.y > 0) {
                int oldW = oldBound.right - oldBound.left;
                int oldH = oldBound.bottom - oldBound.top;
                if (oldW != 0) {
                    if (oldH != 0) {
                        int newW = newBound.right - newBound.left;
                        int newH = newBound.bottom - newBound.top;
                        if (newW != 0) {
                            if (newH != 0) {
                                float ratio = ((float) oldW) / ((float) oldH);
                                int tmpH;
                                if (newW != oldW) {
                                    tmpH = (int) (((float) newW) / ratio);
                                    if (((float) tmpH) > ((float) displaySize.y) * 0.8f) {
                                        newBound.set(oldBound);
                                    } else {
                                        newBound.bottom = newBound.top + tmpH;
                                    }
                                } else if (newH != oldH) {
                                    tmpH = (int) (((float) newH) * ratio);
                                    if (((float) tmpH) > ((float) displaySize.x) * 0.8f) {
                                        newBound.set(oldBound);
                                    } else {
                                        newBound.right = newBound.left + tmpH;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    private boolean checkInKeyGuard() {
        android.util.HwPCUtils.log("HwPCMultiWindowManager", "checkInKeyGuard");
        android.app.KeyguardManager keyguardManager = (android.app.KeyguardManager) this.mService.mContext.getSystemService("keyguard");
        boolean tempIsInLockScreen = this.mIsInLockScreen;
        if (keyguardManager.inKeyguardRestrictedInputMode()) {
            android.util.HwPCUtils.log("HwPCMultiWindowManager", "checkInKeyGuard mIsInLockScreen true");
            this.mIsInLockScreen = true;
        } else {
            this.mIsInLockScreen = false;
            android.util.HwPCUtils.log("HwPCMultiWindowManager", "checkInKeyGuard mIsInLockScreen false");
        }
        if (tempIsInLockScreen != this.mIsInLockScreen) {
            return true;
        }
        return false;
    }

    void activityResumedInTop() {
        if (android.util.HwPCUtils.enabledInPad() && android.util.HwPCUtils.isPcCastModeInServer()) {
            checkInKeyGuard();
            if (this.mWindowState != 4 && this.mIsInLockScreen) {
                android.util.HwPCUtils.log("HwPCMultiWindowManager", "activityResumedInTop WINDOW_FULLSCREEN");
                this.mWindowStateBeforeLockScreen = this.mWindowState;
                this.mWindowStateBeforeLockScreenValid = true;
                setWindowState(4);
            } else if (!this.mIsInLockScreen && this.mWindowStateBeforeLockScreenValid && this.mWindowState != this.mWindowStateBeforeLockScreen) {
                setWindowState(this.mWindowStateBeforeLockScreen);
            }
        }
    }

    void addActivityToTop(com.android.server.am.ActivityRecord r) {
        super.addActivityToTop(r);
        if (android.util.HwPCUtils.isExtDynamicStack(getStackId()) && (this.mService instanceof com.android.server.am.HwActivityManagerService) && r.info != null && (getTopActivity() instanceof com.android.server.am.HwActivityRecord)) {
            com.android.server.am.HwPCMultiWindowManager multiWindowMgr = com.android.server.am.HwPCMultiWindowManager.getInstance(this.mService);
            int requestedOrientation = r.info.screenOrientation;
            int newCustomRequestOrientation = 0;
            if (multiWindowMgr != null) {
                if (com.android.server.am.HwPCMultiWindowManager.isFixedOrientationPortrait(requestedOrientation)) {
                    newCustomRequestOrientation = 1;
                } else if (com.android.server.am.HwPCMultiWindowManager.isFixedOrientationLandscape(requestedOrientation)) {
                    newCustomRequestOrientation = 2;
                }
            }
            if (newCustomRequestOrientation != 0) {
                int i = 1;
                if (android.content.res.HwPCMultiWindowCompatibility.getWindowStateLayout(this.mWindowState) != 1) {
                    i = 2;
                }
                int customRequestedOrientation = i;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("requestedOrientation:");
                stringBuilder.append(newCustomRequestOrientation);
                stringBuilder.append(" oldRequestedOrientation:");
                stringBuilder.append(customRequestedOrientation);
                android.util.HwPCUtils.log("HwPCMultiWindowManager", stringBuilder.toString());
                if (newCustomRequestOrientation != customRequestedOrientation) {
                    r.setRequestedOrientation(newCustomRequestOrientation);
                }
            }
            activityResumedInTop();
        }
    }

    public java.util.ArrayList<com.android.server.am.ActivityRecord> getActivities() {
        return this.mActivities;
    }
}
