package com.android.server.am;

public class MultiNlpUtils {
    private static final java.lang.String TAG = "LocationManagerServiceUtil";

    public static boolean shouldSkipGoogleNlp(android.content.Intent intent, java.lang.String processName) {
        if (processName == null) {
            return false;
        }
        if ("com.google.process.location".equals(processName)) {
            if (isCanSkipGoogleNlp()) {
                android.util.Slog.w("LocationManagerServiceUtil", "shouldSkipGoogleNlp : return true for process google network");
                return true;
            }
            android.util.Slog.w("LocationManagerServiceUtil", "shouldSkipGoogleNlp : return false");
        }
        if (intent != null && (("android.location.PROVIDERS_CHANGED".equals(intent.getAction()) || "com.android.settings.location.MODE_CHANGING".equals(intent.getAction())) && ("com.google.android.gms".equals(processName) || "com.google.android.gms.ui".equals(processName) || "com.google.android.gms.persistent".equals(processName)))) {
            if (isCanSkipGoogleNlp()) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("shouldSkipGoogleNlp : return true for gms process for action ");
                stringBuilder.append(intent.getAction());
                android.util.Slog.w("LocationManagerServiceUtil", stringBuilder.toString());
                return true;
            }
            android.util.Slog.w("LocationManagerServiceUtil", "shouldSkipGoogleNlp : return false");
        }
        return false;
    }

    private static boolean isCanSkipGoogleNlp() {
        if (com.android.server.LocationManagerServiceUtil.getDefault() == null || !com.android.server.LocationManagerServiceUtil.getDefault().isMultiNlpEnable() || !com.android.server.LocationManagerServiceUtil.getDefault().skipGooglePrompt || 1 == com.android.server.LocationManagerServiceUtil.getDefault().googleMapState) {
            return false;
        }
        return true;
    }
}
