package com.android.server.aps;

public class HwApsManagerService extends android.aps.IHwApsManager.Stub {
    static final int APS_COMPAT_MODE_MSG_FORCESTOP_APK = 310;
    static final int APS_COMPAT_MODE_MSG_WRITE = 300;
    private static final float APS_MANAGER_SERVICE_VERSION = 1.0f;
    public static final int FIRST_ON_SMART_FHD = 1;
    public static final int LOW_RESOLUTION_CLOSE_STATUS = 0;
    public static final int LOW_RESOLUTION_OPEN_STATUS = 1;
    private static final java.lang.String LOW_RESOLUTION_SWITCH_STATUS = "low_resolution_switch";
    private static final java.lang.String TAG = "HwApsManagerService";
    private static int apsMask = 255;
    private int longSize = 0;
    private java.util.ArrayList<android.aps.IApsManagerServiceCallback> mCallbacks = new java.util.ArrayList();
    private final android.content.BroadcastReceiver mCarModeReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (intent != null) {
                try {
                    if (intent.getAction() != null) {
                        if (intent.getAction().equals(android.app.UiModeManager.ACTION_ENTER_CAR_MODE) || intent.getAction().equals(android.app.UiModeManager.ACTION_EXIT_CAR_MODE)) {
                            if (android.app.IUiModeManager.Stub.asInterface(android.os.ServiceManager.getService("uimode")).getCurrentModeType() == 3) {
                                com.android.server.aps.HwApsManagerService.this.mInCarMode = true;
                                com.android.server.aps.HwApsManagerService.this.mHwApsManagerServiceConfig.stopAllAppsInLowResolution();
                            } else {
                                com.android.server.aps.HwApsManagerService.this.mInCarMode = false;
                                com.android.server.aps.HwApsManagerService.this.mHwApsManagerServiceConfig.stopAllAppsInLowResolution();
                            }
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("APS: HwApsManagerService.BroadcastReceiver.onRecive, now is in car mode? = ");
                            stringBuilder.append(com.android.server.aps.HwApsManagerService.this.mInCarMode);
                            android.util.Slog.i("HwApsManagerService", stringBuilder.toString());
                        }
                    }
                } catch (android.os.RemoteException e) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("APS: HwApsManagerService.BroadcastReceiver.onRecive, remote exception is thrown. e = ");
                    stringBuilder2.append(e);
                    android.util.Slog.e("HwApsManagerService", stringBuilder2.toString());
                }
            }
        }
    };
    private final android.content.Context mContext;
    private final com.android.server.aps.HwApsManagerService.ApsMainHandler mHandler;
    private final com.android.server.ServiceThread mHandlerThread;
    private com.android.server.aps.HwApsManagerServiceConfig mHwApsManagerServiceConfig;
    boolean mInCarMode = false;
    private int shortSize = 0;

    final class ApsMainHandler extends android.os.Handler {
        public ApsMainHandler(android.os.Looper looper) {
            super(looper, null, true);
        }
    }

    private final class LocalService implements android.aps.IApsManager {
        private LocalService() {
        }

        /* synthetic */ LocalService(com.android.server.aps.HwApsManagerService x0, com.android.server.aps.HwApsManagerService.AnonymousClass1 x1) {
            this();
        }

        public boolean isSupportApsColorPlus(java.lang.String pkgName) {
            return false;
        }

        public int setColorPlusPkgList(java.util.List<java.lang.String> list) {
            return -1;
        }

        public int setResolution(java.lang.String pkgName, float ratio, boolean switchable) {
            return -1;
        }

        public int setLowResolutionMode(int lowResolutionMode) {
            return -1;
        }

        public int setDescentGradeResolution(java.lang.String pkgName, int reduceLevel, boolean switchable) {
            return -1;
        }

        public int setFps(java.lang.String pkgName, int fps) {
            return -1;
        }

        public int setMaxFps(java.lang.String pkgName, int fps) {
            return -1;
        }

        public int setBrightness(java.lang.String pkgName, int ratioPercent) {
            return -1;
        }

        public int setTexture(java.lang.String pkgName, int ratioPercent) {
            return -1;
        }

        public int setPackageApsInfo(java.lang.String pkgName, android.aps.ApsAppInfo info) {
            return -1;
        }

        public android.aps.ApsAppInfo getPackageApsInfo(java.lang.String pkgName) {
            return com.android.server.aps.HwApsManagerService.this.getPackageApsInfo(pkgName);
        }

        public float getResolution(java.lang.String pkgName) {
            return com.android.server.aps.HwApsManagerService.this.getResolution(pkgName);
        }

        public int getFps(java.lang.String pkgName) {
            return -1;
        }

        public int getMaxFps(java.lang.String pkgName) {
            return -1;
        }

        public int getBrightness(java.lang.String pkgName) {
            return -1;
        }

        public int getTexture(java.lang.String pkgName) {
            return -1;
        }

        public boolean deletePackageApsInfo(java.lang.String pkgName) {
            return false;
        }

        public int isFeaturesEnabled(int bitmask) {
            return 0;
        }

        public boolean disableFeatures(int bitmask) {
            return false;
        }

        public boolean enableFeatures(int bitmak) {
            return false;
        }

        public java.util.List<android.aps.ApsAppInfo> getAllPackagesApsInfo() {
            return null;
        }

        public java.util.List<java.lang.String> getAllApsPackages() {
            return null;
        }

        public boolean updateApsInfo(java.util.List<android.aps.ApsAppInfo> list) {
            return false;
        }

        public boolean registerCallback(java.lang.String pkgName, android.aps.IApsManagerServiceCallback callback) {
            return false;
        }

        public float getSeviceVersion() {
            return 1.0f;
        }

        public boolean stopPackages(java.util.List<java.lang.String> list) {
            return false;
        }

        public int setDynamicResolutionRatio(java.lang.String pkgName, float ratio) {
            return 0;
        }

        public float getDynamicResolutionRatio(java.lang.String pkgName) {
            return -1.0f;
        }

        public int setDynamicFps(java.lang.String pkgName, int fps) {
            return 0;
        }

        public int getDynamicFps(java.lang.String pkgName) {
            return -1;
        }

        public int setFbSkip(java.lang.String pkgName, boolean onoff) {
            return -1;
        }

        public int setHighpToLowp(java.lang.String pkgName, boolean onoff) {
            return -1;
        }

        public int setShadowMap(java.lang.String pkgName, int status) {
            return -1;
        }

        public int setMipMap(java.lang.String pkgName, int status) {
            return -1;
        }

        public boolean getFbSkip(java.lang.String pkgName) {
            return false;
        }

        public boolean getHighpToLowp(java.lang.String pkgName) {
            return false;
        }

        public int getShadowMap(java.lang.String pkgName) {
            return -1;
        }

        public int getMipMap(java.lang.String pkgName) {
            return -1;
        }
    }

    public HwApsManagerService(android.content.Context context) {
        this.mContext = context;
        this.mHandlerThread = new com.android.server.ServiceThread("HwApsManagerService", -2, false);
        this.mHandlerThread.start();
        this.mHandler = new com.android.server.aps.HwApsManagerService.ApsMainHandler(this.mHandlerThread.getLooper());
        android.view.Display display = ((android.view.WindowManager) this.mContext.getSystemService("window")).getDefaultDisplay();
        android.util.DisplayMetrics displayMetrics = new android.util.DisplayMetrics();
        display.getRealMetrics(displayMetrics);
        if (displayMetrics.widthPixels < displayMetrics.heightPixels) {
            this.longSize = displayMetrics.heightPixels;
            this.shortSize = displayMetrics.widthPixels;
        } else {
            this.longSize = displayMetrics.widthPixels;
            this.shortSize = displayMetrics.heightPixels;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("APS ManagerService.screen longSize");
        stringBuilder.append(this.longSize);
        stringBuilder.append(",shortSize=");
        stringBuilder.append(this.shortSize);
        android.util.Slog.e("HwApsManagerService", stringBuilder.toString());
        android.content.IntentFilter filter = new android.content.IntentFilter();
        filter.addAction(android.app.UiModeManager.ACTION_ENTER_CAR_MODE);
        filter.addAction(android.app.UiModeManager.ACTION_EXIT_CAR_MODE);
        context.registerReceiver(this.mCarModeReceiver, filter);
    }

    public void systemReady() {
        this.mHwApsManagerServiceConfig = new com.android.server.aps.HwApsManagerServiceConfig(this, this.mHandler);
        com.android.server.LocalServices.addService(android.aps.IApsManager.class, new com.android.server.aps.HwApsManagerService.LocalService(this, null));
        android.util.Slog.i("HwApsManagerService", "APS systemReady");
    }

    private boolean checkCallingPermission(java.lang.String permission, java.lang.String func) {
        if (android.os.Binder.getCallingPid() == android.os.Process.myPid() || this.mContext.checkCallingPermission(permission) == 0) {
            return true;
        }
        java.lang.String msg = new java.lang.StringBuilder();
        msg.append("Permission Denial: ");
        msg.append(func);
        msg.append(" from pid=");
        msg.append(android.os.Binder.getCallingPid());
        msg.append(", uid=");
        msg.append(android.os.Binder.getCallingUid());
        msg.append(" requires ");
        msg.append(permission);
        android.util.Slog.w("HwApsManagerService", msg.toString());
        return false;
    }

    public int getLowResolutionSwitchState() {
        return android.provider.Settings.Global.getInt(this.mContext.getContentResolver(), "low_resolution_switch", 0);
    }

    private void enforceNotIsolatedCaller(java.lang.String caller) {
        if (android.os.UserHandle.isIsolated(android.os.Binder.getCallingUid())) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Isolated process not allowed to call ");
            stringBuilder.append(caller);
            throw new java.lang.SecurityException(stringBuilder.toString());
        }
    }

    private boolean validBitmask(int bitmask) {
        if (bitmask >= 0) {
            if (bitmask <= 15) {
                return true;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("invalide param bitmask =");
        stringBuilder.append(bitmask);
        android.util.Slog.e("HwApsManagerService", stringBuilder.toString());
        return false;
    }

    public int setLowResolutionMode(int lowResolutionMode) {
        if (!checkCallingPermission("com.huawei.aps.permission.UPDATE_APS_INFO", "setLowResolutionMode")) {
            return -3;
        }
        int lowResolutionModeLocked;
        synchronized (this) {
            lowResolutionModeLocked = this.mHwApsManagerServiceConfig.setLowResolutionModeLocked(lowResolutionMode);
        }
        return lowResolutionModeLocked;
    }

    public boolean isSupportApsColorPlus(java.lang.String pkgName) {
        boolean isSupportApsColorPlusLocked;
        enforceNotIsolatedCaller("isSupportApsColorPlus");
        synchronized (this) {
            isSupportApsColorPlusLocked = this.mHwApsManagerServiceConfig.isSupportApsColorPlusLocked(pkgName);
        }
        return isSupportApsColorPlusLocked;
    }

    public int setColorPlusPkgList(java.util.List<java.lang.String> pkgList) {
        if (!checkCallingPermission("com.huawei.aps.permission.UPDATE_APS_INFO", "setColorPlusPkgList")) {
            return -3;
        }
        int colorPlusPkgListLocked;
        synchronized (this) {
            colorPlusPkgListLocked = this.mHwApsManagerServiceConfig.setColorPlusPkgListLocked(pkgList);
        }
        return colorPlusPkgListLocked;
    }

    public int setResolution(java.lang.String pkgName, float ratio, boolean switchable) {
        if (!checkCallingPermission("com.huawei.aps.permission.UPDATE_APS_INFO", "setResolution")) {
            return -3;
        }
        int resolutionLocked;
        synchronized (this) {
            resolutionLocked = this.mHwApsManagerServiceConfig.setResolutionLocked(pkgName, ratio, switchable);
        }
        return resolutionLocked;
    }

    public int setDescentGradeResolution(java.lang.String pkgName, int reduceLevel, boolean switchable) {
        if (!checkCallingPermission("com.huawei.aps.permission.UPDATE_APS_INFO", "setDescentGradeResolution")) {
            return -3;
        }
        float ratio;
        java.lang.StringBuilder stringBuilder;
        if (this.shortSize == 1080 && this.longSize == 1920) {
            if (reduceLevel == 1) {
                ratio = 0.6667f;
            } else if (reduceLevel == 0) {
                ratio = 1.0f;
            } else {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("setDescentGradeResolution invalid param =");
                stringBuilder.append(reduceLevel);
                android.util.Slog.e("HwApsManagerService", stringBuilder.toString());
                return -1;
            }
        } else if (this.shortSize != 1440 || this.longSize != 2560) {
            android.util.Slog.e("HwApsManagerService", "setDescentGradeResolution invalid param.");
            return -1;
        } else if (reduceLevel == 2) {
            ratio = 0.5f;
        } else if (reduceLevel == 1) {
            ratio = 0.75f;
        } else if (reduceLevel == 0) {
            ratio = 1.0f;
        } else {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setDescentGradeResolution invalid param =");
            stringBuilder.append(reduceLevel);
            android.util.Slog.e("HwApsManagerService", stringBuilder.toString());
            return -1;
        }
        return setResolution(pkgName, ratio, switchable);
    }

    public int setFps(java.lang.String pkgName, int fps) {
        if (!checkCallingPermission("com.huawei.aps.permission.UPDATE_APS_INFO", "setFps")) {
            return -3;
        }
        int fpsLocked;
        synchronized (this) {
            fpsLocked = this.mHwApsManagerServiceConfig.setFpsLocked(pkgName, fps);
        }
        return fpsLocked;
    }

    public int setMaxFps(java.lang.String pkgName, int fps) {
        if (!checkCallingPermission("com.huawei.aps.permission.UPDATE_APS_INFO", "setMaxFps")) {
            return -3;
        }
        int maxFpsLocked;
        synchronized (this) {
            maxFpsLocked = this.mHwApsManagerServiceConfig.setMaxFpsLocked(pkgName, fps);
        }
        return maxFpsLocked;
    }

    public int setBrightness(java.lang.String pkgName, int ratioPercent) {
        if (!checkCallingPermission("com.huawei.aps.permission.UPDATE_APS_INFO", "setBrightness")) {
            return -3;
        }
        int result;
        synchronized (this) {
            result = this.mHwApsManagerServiceConfig.setBrightnessLocked(pkgName, ratioPercent);
            if (result == 0) {
                this.mHwApsManagerServiceConfig.notifyApsManagerServiceCallback(pkgName, 3, ratioPercent);
            }
        }
        return result;
    }

    public int setTexture(java.lang.String pkgName, int ratioPercent) {
        if (!checkCallingPermission("com.huawei.aps.permission.UPDATE_APS_INFO", "setTexture")) {
            return -3;
        }
        int result;
        synchronized (this) {
            result = this.mHwApsManagerServiceConfig.setTextureLocked(pkgName, ratioPercent);
            if (result == 0) {
                this.mHwApsManagerServiceConfig.notifyApsManagerServiceCallback(pkgName, 2, ratioPercent);
            }
        }
        return result;
    }

    public int setFbSkip(java.lang.String pkgName, boolean onoff) {
        if (!checkCallingPermission("com.huawei.aps.permission.UPDATE_APS_INFO", "setFbSkip")) {
            return -3;
        }
        int result;
        boolean status = onoff;
        synchronized (this) {
            result = this.mHwApsManagerServiceConfig.setFbSkipLocked(pkgName, onoff);
            if (result == 0) {
                this.mHwApsManagerServiceConfig.notifyApsManagerServiceCallback(pkgName, 4, status);
            }
        }
        return result;
    }

    public int setHighpToLowp(java.lang.String pkgName, boolean onoff) {
        if (!checkCallingPermission("com.huawei.aps.permission.UPDATE_APS_INFO", "setHighpToLowp")) {
            return -3;
        }
        int result;
        boolean status = onoff;
        synchronized (this) {
            result = this.mHwApsManagerServiceConfig.setHighpToLowpLocked(pkgName, onoff);
            if (result == 0) {
                this.mHwApsManagerServiceConfig.notifyApsManagerServiceCallback(pkgName, 5, status);
            }
        }
        return result;
    }

    public int setShadowMap(java.lang.String pkgName, int status) {
        if (!checkCallingPermission("com.huawei.aps.permission.UPDATE_APS_INFO", "setShadowMap")) {
            return -3;
        }
        int result;
        synchronized (this) {
            result = this.mHwApsManagerServiceConfig.setShadowMapLocked(pkgName, status);
            if (result == 0) {
                this.mHwApsManagerServiceConfig.notifyApsManagerServiceCallback(pkgName, 6, status);
            }
        }
        return result;
    }

    public int setMipMap(java.lang.String pkgName, int status) {
        if (!checkCallingPermission("com.huawei.aps.permission.UPDATE_APS_INFO", "setMipMap")) {
            return -3;
        }
        int result;
        synchronized (this) {
            result = this.mHwApsManagerServiceConfig.setMipMapLocked(pkgName, status);
            if (result == 0) {
                this.mHwApsManagerServiceConfig.notifyApsManagerServiceCallback(pkgName, 7, status);
            }
        }
        return result;
    }

    public boolean getFbSkip(java.lang.String pkgName) {
        if ((apsMask & 16) == 0) {
            return false;
        }
        enforceNotIsolatedCaller("getFbSkip");
        return this.mHwApsManagerServiceConfig.getFbSkipLocked(pkgName);
    }

    public boolean getHighpToLowp(java.lang.String pkgName) {
        if ((apsMask & 32) == 0) {
            return false;
        }
        enforceNotIsolatedCaller("getHighpToLowp");
        return this.mHwApsManagerServiceConfig.getHighpToLowpLocked(pkgName);
    }

    public int getShadowMap(java.lang.String pkgName) {
        if ((apsMask & 64) == 0) {
            return -6;
        }
        enforceNotIsolatedCaller("getShadowMap");
        return this.mHwApsManagerServiceConfig.getShadowMapLocked(pkgName);
    }

    public int getMipMap(java.lang.String pkgName) {
        if ((apsMask & 128) == 0) {
            return -6;
        }
        enforceNotIsolatedCaller("getMipMap");
        return this.mHwApsManagerServiceConfig.getMipMapLocked(pkgName);
    }

    public int setDynamicResolutionRatio(java.lang.String pkgName, float ratio) {
        if (!checkCallingPermission("com.huawei.aps.permission.UPDATE_APS_INFO", "setResolution")) {
            return -3;
        }
        int result;
        synchronized (this) {
            result = this.mHwApsManagerServiceConfig.setDynamicResolutionRatioLocked(pkgName, ratio);
            if (result == 0) {
                this.mHwApsManagerServiceConfig.notifyApsManagerServiceCallback(pkgName, 1, (int) (100000.0f * ratio));
            }
        }
        return result;
    }

    public float getDynamicResolutionRatio(java.lang.String pkgName) {
        if ((apsMask & 1) == 0) {
            return -1.0f;
        }
        enforceNotIsolatedCaller("getDynamicResolutionRatio");
        return this.mHwApsManagerServiceConfig.getDynamicResolutionRatioLocked(pkgName);
    }

    public int setDynamicFps(java.lang.String pkgName, int fps) {
        if (!checkCallingPermission("com.huawei.aps.permission.UPDATE_APS_INFO", "setFps")) {
            return -3;
        }
        int result;
        synchronized (this) {
            result = this.mHwApsManagerServiceConfig.setDynamicFpsLocked(pkgName, fps);
            if (result == 0) {
                this.mHwApsManagerServiceConfig.notifyApsManagerServiceCallback(pkgName, 0, fps);
            }
        }
        return result;
    }

    public int getDynamicFps(java.lang.String pkgName) {
        if ((apsMask & 2) == 0) {
            return -1;
        }
        enforceNotIsolatedCaller("getDynamicFps");
        return this.mHwApsManagerServiceConfig.getDynamicFpsLocked(pkgName);
    }

    public int setPackageApsInfo(java.lang.String pkgName, android.aps.ApsAppInfo info) {
        if (!checkCallingPermission("com.huawei.aps.permission.UPDATE_APS_INFO", "setPackageApsInfo")) {
            return -3;
        }
        int packageApsInfoLocked;
        synchronized (this) {
            packageApsInfoLocked = this.mHwApsManagerServiceConfig.setPackageApsInfoLocked(pkgName, info);
        }
        return packageApsInfoLocked;
    }

    public android.aps.ApsAppInfo getPackageApsInfo(java.lang.String pkgName) {
        enforceNotIsolatedCaller("getPackageApsInfo");
        if (!checkCallingPermission("com.huawei.aps.permission.UPDATE_APS_INFO", "getPackageApsInfo")) {
            return null;
        }
        if (pkgName == null) {
            android.util.Slog.e("HwApsManagerService", "getPackageApsInfo pkgName null");
        }
        return this.mHwApsManagerServiceConfig.getPackageApsInfoLocked(pkgName);
    }

    public float getResolution(java.lang.String pkgName) {
        if (this.mHwApsManagerServiceConfig != null) {
            if ((1 & apsMask) != 0) {
                enforceNotIsolatedCaller("getResolution");
                return this.mHwApsManagerServiceConfig.getResolutionLocked(pkgName);
            }
        }
        return -1.0f;
    }

    public int getFps(java.lang.String pkgName) {
        if ((apsMask & 2) == 0) {
            return -1;
        }
        enforceNotIsolatedCaller("getFps");
        return this.mHwApsManagerServiceConfig.getFpsLocked(pkgName);
    }

    public int getMaxFps(java.lang.String pkgName) {
        if ((apsMask & 2) == 0) {
            return -1;
        }
        enforceNotIsolatedCaller("getMaxFps");
        return this.mHwApsManagerServiceConfig.getMaxFpsLocked(pkgName);
    }

    public int getBrightness(java.lang.String pkgName) {
        if ((apsMask & 8) == 0) {
            return -1;
        }
        enforceNotIsolatedCaller("getBrightness");
        return this.mHwApsManagerServiceConfig.getBrightnessLocked(pkgName);
    }

    public int getTexture(java.lang.String pkgName) {
        if ((apsMask & 4) == 0) {
            return -1;
        }
        enforceNotIsolatedCaller("getTexture");
        return this.mHwApsManagerServiceConfig.getTextureLocked(pkgName);
    }

    public boolean deletePackageApsInfo(java.lang.String pkgName) {
        enforceNotIsolatedCaller("deletePackageApsInfo");
        if (checkCallingPermission("com.huawei.aps.permission.UPDATE_APS_INFO", "deletePackageApsInfo")) {
            return this.mHwApsManagerServiceConfig.deletePackageApsInfoLocked(pkgName);
        }
        return false;
    }

    public int isFeaturesEnabled(int bitmask) {
        if (!checkCallingPermission("com.huawei.aps.permission.UPDATE_APS_INFO", "isFeaturesEnabled")) {
            return -3;
        }
        if (validBitmask(bitmask)) {
            return apsMask & bitmask;
        }
        return -1;
    }

    public boolean disableFeatures(int bitmask) {
        if (!validBitmask(bitmask)) {
            return false;
        }
        apsMask &= ~bitmask;
        return true;
    }

    public boolean enableFeatures(int bitmask) {
        if (!validBitmask(bitmask)) {
            return false;
        }
        apsMask |= bitmask;
        return true;
    }

    public java.util.List<android.aps.ApsAppInfo> getAllPackagesApsInfo() {
        enforceNotIsolatedCaller("getAllPackagesApsInfo");
        if (checkCallingPermission("com.huawei.aps.permission.UPDATE_APS_INFO", "getAllPackagesApsInfo")) {
            return this.mHwApsManagerServiceConfig.getAllPackagesApsInfoLocked();
        }
        return null;
    }

    public java.util.List<java.lang.String> getAllApsPackages() {
        enforceNotIsolatedCaller("getAllApsPackages");
        if (checkCallingPermission("com.huawei.aps.permission.UPDATE_APS_INFO", "getAllApsPackages")) {
            return this.mHwApsManagerServiceConfig.getAllApsPackagesLocked();
        }
        return null;
    }

    public boolean updateApsInfo(java.util.List<android.aps.ApsAppInfo> infos) {
        enforceNotIsolatedCaller("updateApsInfo");
        if (checkCallingPermission("com.huawei.aps.permission.UPDATE_APS_INFO", "updateApsInfo")) {
            return this.mHwApsManagerServiceConfig.updateApsInfoLocked(infos);
        }
        return false;
    }

    public boolean registerCallback(java.lang.String pkgName, android.aps.IApsManagerServiceCallback callback) {
        boolean registerCallbackLocked;
        synchronized (this) {
            registerCallbackLocked = this.mHwApsManagerServiceConfig.registerCallbackLocked(pkgName, callback);
        }
        return registerCallbackLocked;
    }

    public float getSeviceVersion() {
        if (checkCallingPermission("com.huawei.aps.permission.UPDATE_APS_INFO", "getSeviceVersion")) {
            return 1.0f;
        }
        return 0.0f;
    }

    public boolean stopPackages(java.util.List<java.lang.String> pkgs) {
        android.util.Slog.w("HwApsManagerService", "stopPackages.");
        if (((android.app.ActivityManagerInternal) com.android.server.LocalServices.getService(android.app.ActivityManagerInternal.class)) == null) {
            android.util.Slog.e("HwApsManagerService", "stopPackages: can not get AMS.");
            return false;
        }
        for (java.lang.String pkgName : pkgs) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("forceStopPackage=");
            stringBuilder.append(pkgName);
            android.util.Slog.i("HwApsManagerService", stringBuilder.toString());
        }
        return true;
    }
}
