package com.android.server.audio;

public class HwAudioService extends com.android.server.audio.AudioService {
    private static final java.lang.String ACTION_COMMFORCE = "huawei.intent.action.COMMFORCE";
    private static final java.lang.String ACTION_INCALL_EXTRA = "IsForegroundActivity";
    private static final java.lang.String ACTION_INCALL_SCREEN = "InCallScreenIsForegroundActivity";
    private static final java.lang.String ACTION_START_SOUNDTRIGGER_DETECTOR = "com.huawei.vassistant.intent.action.START_SOUNDTRIGGER";
    private static final java.lang.String ACTION_WAKEUP_SERVICE = "com.huawei.wakeup.services.WakeupService";
    private static final java.lang.String BLUETOOTH_PKG_NAME = "com.android.bluetooth";
    private static final java.lang.String CURRENT_PRODUCT_NAME = android.os.SystemProperties.get("ro.product.device", null);
    private static final boolean DEBUG = android.os.SystemProperties.getBoolean("ro.media.debuggable", false);
    private static final boolean DEBUG_THEME_SOUND = false;
    private static final int DEFAULT_STREAM_TYPE = 1;
    private static final int DEVICE_IN_HEADPHONE = -1979705328;
    private static final int DEVICE_OUT_HEADPHONE = 604004364;
    private static final int DUALPA_RCV_DEALY_DURATION = 5000;
    private static final java.lang.String DUALPA_RCV_DEALY_OFF = "dualpa_security_delay=0";
    private static final java.lang.String DUALPA_RCV_DEALY_ON = "dualpa_security_delay=1";
    private static final java.lang.String EXCLUSIVE_PRODUCT_NAME = "HWH1711-Q";
    private static final java.lang.String EXTRA_SOUNDTRIGGER_STATE = "soundtrigger_state";
    private static final int GAMEMODE_BACKGROUND = 2;
    private static final int GAMEMODE_FOREGROUND = 9;
    public static final int HW_AUDIO_EXCEPTION_OCCOUR = -1000;
    public static final int HW_AUDIO_MODE_TYPE_EXCEPTION_OCCOUR = -1001;
    public static final int HW_AUDIO_TRACK_OVERFLOW_TYPE_EXCEPTION_OCCOUR = -1002;
    public static final int HW_MIC_MUTE_EXCEPTION_OCCOUR = -2002;
    public static final int HW_RING_MODE_TYPE_EXCEPTION_OCCOUR = -2001;
    public static final int HW_SCO_CONNECT_EXCEPTION_OCCOUR = -2003;
    private static final int JUDGE_MILLISECONDS = 5000;
    private static final java.lang.String KEY_SOUNDTRIGGER_SWITCH = "hw_soundtrigger_enabled";
    private static final boolean LOW_LATENCY_SUPPORT = android.os.SystemProperties.getBoolean("persist.media.lowlatency.enable", false);
    private static final java.lang.String LOW_LATENCY_WHITE_LIST = "/odm/etc/audio/low_latency/white_list.xml";
    private static final java.util.UUID MODEL_UUID = java.util.UUID.fromString("7dc67ab3-eab6-4e34-b62a-f4fa3788092a");
    private static final int MSG_AUDIO_EXCEPTION_OCCUR = 10000;
    private static final int MSG_DISABLE_HEADPHONE = 91;
    private static final int MSG_DUALPA_RCV_DEALY = 71;
    private static final int MSG_RELOAD_SNDEFFS = 99;
    private static final int MSG_RINGER_MODE_CHANGE = 80;
    private static final int MSG_SHOW_DISABLE_HEADPHONE_TOAST = 92;
    private static final int MSG_SHOW_DISABLE_MICROPHONE_TOAST = 90;
    private static final java.lang.String NODE_ATTR_PACKAGE = "package";
    private static final java.lang.String NODE_WHITEAPP = "whiteapp";
    private static final int PACKAGE_ADDED = 1;
    private static final int PACKAGE_REMOVED = 2;
    private static final java.lang.String PERMISSION_COMMFORCE = "android.permission.COMM_FORCE";
    public static final int PID_BIT_WIDE = 21;
    private static final java.lang.String PROP_DESKTOP_MODE = "sys.desktop.mode";
    private static final int RADIO_UID = 1001;
    private static final int RECORDSTATE_STOPPED = 1;
    private static final java.lang.String SESSION_ID = "session_id";
    private static final int SETTINGS_RING_TYPE = 2;
    private static final java.lang.String SOUNDTRIGGER_MAD_OFF = "mad=off";
    private static final java.lang.String SOUNDTRIGGER_MAD_ON = "mad=on";
    private static final java.lang.String SOUNDTRIGGER_START = "start";
    private static final int SOUNDTRIGGER_STATUS_OFF = 0;
    private static final int SOUNDTRIGGER_STATUS_ON = 1;
    private static final java.lang.String SOUNDTRIGGER_STOP = "stop";
    private static final java.lang.String SOUNDTRIGGER_WAKUP_OFF = "wakeup=off";
    private static final java.lang.String SOUNDTRIGGER_WAKUP_ON = "wakeup=on";
    private static final int SOUNDVIBRATE_AS_GAME = 4;
    private static final int SOUNDVIBRATE_BACKGROUND = 2;
    private static final int SOUNDVIBRATE_FOREGROUND = 1;
    private static final int SOUNDVIBRATE_PROP_OFF = 0;
    private static final int SOUNDVIBRATE_PROP_ON = 1;
    private static final int SOUNDVIBRATE_SETTINGS_OFF = 0;
    private static final int SOUNDVIBRATE_SETTINGS_ON = 1;
    private static final int SPK_RCV_STEREO_OFF = 0;
    private static final java.lang.String SPK_RCV_STEREO_OFF_PARA = "stereo_landscape_portrait_enable=0";
    private static final int SPK_RCV_STEREO_ON = 1;
    private static final java.lang.String SPK_RCV_STEREO_ON_PARA = "stereo_landscape_portrait_enable=1";
    private static final boolean SUPPORT_GAME_MODE = android.os.SystemProperties.getBoolean("ro.config.dolby_game_mode", false);
    private static final java.lang.String SYSKEY_SOUND_HWT = "syskey_sound_hwt";
    private static final int SYSTEM_UID = 1000;
    private static final java.lang.String TAG = "HwAudioService";
    private static final java.lang.String TAG_CTAIFS = "ctaifs";
    private static final long THREE_SEC_LIMITED = 3000;
    private static final java.lang.String VASSISTANT_PACKAGE_NAME = "com.huawei.vassistant";
    private static boolean isCallForeground = false;
    private static final boolean mIsHuaweiSafeMediaConfig = android.os.SystemProperties.getBoolean("ro.config.huawei_safe_media", true);
    private static android.telephony.PhoneStateListener mPhoneListener = new android.telephony.PhoneStateListener() {
        public void onCallStateChanged(int state, java.lang.String incomingNumber) {
            super.onCallStateChanged(state, incomingNumber);
            switch (state) {
                case 0:
                    android.os.SystemProperties.set("persist.sys.audio_mode", "0");
                    return;
                case 1:
                    android.os.SystemProperties.set("persist.sys.audio_mode", "1");
                    return;
                case 2:
                    android.os.SystemProperties.set("persist.sys.audio_mode", "2");
                    return;
                default:
                    return;
            }
        }
    };
    private static final int mSecurityVolumeIndex = android.os.SystemProperties.getInt("ro.config.hw.security_volume", 0);
    private static final boolean mVoipOptimizeInGameMode = android.os.SystemProperties.getBoolean("ro.config.gameassist_voipopt", false);
    private boolean IS_IN_GAMEMODE = false;
    private long dialogShowTime = 0;
    private boolean isShowingDialog = false;
    private com.android.server.audio.AudioExceptionRecord mAudioExceptionRecord = null;
    private android.os.IBinder mBinder;
    private android.media.soundtrigger.SoundTriggerDetector.Callback mCallBack = new android.media.soundtrigger.SoundTriggerDetector.Callback() {
        public void onAvailabilityChanged(int var1) {
        }

        public void onDetected(android.media.soundtrigger.SoundTriggerDetector.EventPayload var1) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onDetected() called with: eventPayload = [");
            stringBuilder.append(var1);
            stringBuilder.append("]");
            android.util.Slog.i("HwAudioService", stringBuilder.toString());
            if (var1.getCaptureSession() != null) {
                com.android.server.DeviceIdleController.LocalService idleController = (com.android.server.DeviceIdleController.LocalService) com.android.server.LocalServices.getService(com.android.server.DeviceIdleController.LocalService.class);
                if (idleController != null) {
                    android.util.Slog.i("HwAudioService", "addPowerSaveTempWhitelistApp#va");
                    idleController.addPowerSaveTempWhitelistApp(android.os.Process.myUid(), "com.huawei.vassistant", 10000, com.android.server.audio.HwAudioService.getCurrentUserId(), false, "hivoice");
                }
                com.android.server.audio.HwAudioService.this.startWakeupService(var1.getCaptureSession().intValue());
                return;
            }
            android.util.Slog.e("HwAudioService", "session invalid!");
        }

        public void onError() {
            android.util.Slog.e("HwAudioService", "onError()");
        }

        public void onRecognitionPaused() {
        }

        public void onRecognitionResumed() {
        }
    };
    private android.content.ContentResolver mContentResolver;
    private android.content.Context mContext;
    private com.android.server.notification.HwCustZenModeHelper mCustZenModeHelper;
    android.os.IBinder.DeathRecipient mDeathRecipient = new android.os.IBinder.DeathRecipient() {
        public void binderDied() {
            android.util.Slog.e("HwAudioService", "binderDied");
            com.android.server.audio.HwAudioService.this.startSoundTriggerV2(true);
        }
    };
    protected volatile int mDesktopMode = -1;
    private boolean mEnableAdjustVolume = true;
    private com.android.server.audio.HwAudioService.EnableVolumeClient mEnableVolumeClient = null;
    private final java.lang.Object mEnableVolumeLock = new java.lang.Object();
    private java.util.ArrayList<com.android.server.audio.HwAudioService.HeadphoneInfo> mHeadphones = new java.util.ArrayList();
    private int mHeadsetSwitchState = 0;
    private com.android.server.audio.HwAudioService.HwThemeHandler mHwThemeHandler;
    private boolean mIsFmConnected = false;
    private boolean mIsLinkDeathRecipient = false;
    private android.widget.Toast mLVMToast = null;
    private long mLastSetMode3Time = -1;
    private long mLastStopAudioRecordTime = -1;
    private long mLastStopPlayBackTime = -1;
    private final android.content.BroadcastReceiver mLowlatencyReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            java.lang.String action = intent.getAction();
            if ("android.intent.action.PACKAGE_REMOVED".equals(action)) {
                com.android.server.audio.HwAudioService.this.isLowlatencyPkg(intent.getData().getSchemeSpecificPart());
            } else if ("android.intent.action.PACKAGE_ADDED".equals(action)) {
                java.lang.String packageName = intent.getData().getSchemeSpecificPart();
                if (com.android.server.audio.HwAudioService.this.isLowlatencyPkg(packageName)) {
                    com.android.server.audio.HwAudioService.this.updateLowlatencyUidsMap(packageName, 1);
                }
            }
        }
    };
    private java.util.Map<java.lang.String, java.lang.Integer> mLowlatencyUidsMap = new android.util.ArrayMap();
    private android.app.NotificationManager mNm;
    private final com.android.internal.content.PackageMonitor mPackageMonitor = new com.android.internal.content.PackageMonitor() {
        public void onPackageRemoved(java.lang.String packageName, int uid) {
            if ("com.huawei.vassistant".equals(packageName)) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("onPackageRemoved uid :");
                stringBuilder.append(uid);
                android.util.Slog.i("HwAudioService", stringBuilder.toString());
                com.android.server.audio.HwAudioService.this.updateVAVersionCode();
            }
        }

        public void onPackageDataCleared(java.lang.String packageName, int uid) {
            if ("com.huawei.vassistant".equals(packageName)) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("onPackageDataCleared uid : ");
                stringBuilder.append(uid);
                android.util.Slog.i("HwAudioService", stringBuilder.toString());
                com.android.server.audio.HwAudioService.this.resetVASoundTrigger();
            }
        }

        public void onPackageAppeared(java.lang.String packageName, int reason) {
            if ("com.huawei.vassistant".equals(packageName)) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("onPackageUpdateStarted reason : ");
                stringBuilder.append(reason);
                android.util.Slog.i("HwAudioService", stringBuilder.toString());
                com.android.server.audio.HwAudioService.this.updateVAVersionCode();
            }
        }
    };
    private final android.content.BroadcastReceiver mReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            java.lang.String action = intent.getAction();
            if (action != null && action.equals("android.intent.action.FM")) {
                int state = intent.getIntExtra("state", 0);
                if (com.android.server.audio.HwAudioService.DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("Broadcast Receiver: Got ACTION_FMRx_PLUG, state =");
                    stringBuilder.append(state);
                    android.util.Slog.i("HwAudioService", stringBuilder.toString());
                }
                boolean isConnected = com.android.server.audio.HwAudioService.this.mIsFmConnected;
                if (state == 0 && isConnected) {
                    android.media.AudioSystem.setDeviceConnectionState(1048576, 0, "", "");
                    com.android.server.audio.HwAudioService.this.mIsFmConnected = false;
                } else if (state == 1 && !isConnected) {
                    android.media.AudioSystem.setDeviceConnectionState(1048576, 1, "", "");
                    com.android.server.audio.HwAudioService.this.mIsFmConnected = true;
                }
            } else if (action != null && action.equals("huawei.intent.action.RINGTONE_CHANGE")) {
                com.android.server.audio.HwAudioService.this.mSysKeyEffectFile = intent.getStringExtra("KEYTOUCH_AUDIOEFFECT_PATH");
                if (com.android.server.audio.HwAudioService.this.mSysKeyEffectFile != null) {
                    com.android.server.audio.HwAudioService.this.mHwThemeHandler.sendMessage(com.android.server.audio.HwAudioService.this.mHwThemeHandler.obtainMessage(99, 0, 0, null));
                }
            } else if (action != null && "InCallScreenIsForegroundActivity".equals(action)) {
                com.android.server.audio.HwAudioService.isCallForeground = intent.getBooleanExtra("IsForegroundActivity", true);
                if (com.android.server.audio.HwAudioService.DEBUG) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("isCallForeground= ");
                    stringBuilder2.append(com.android.server.audio.HwAudioService.isCallForeground);
                    android.util.Slog.v("HwAudioService", stringBuilder2.toString());
                }
            } else if (action != null && "android.intent.action.PHONE_STATE".equals(action)) {
                java.lang.String state2 = intent.getStringExtra("state");
                if (com.android.server.audio.HwAudioService.DEBUG) {
                    java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append("phone state=");
                    stringBuilder3.append(state2);
                    android.util.Slog.v("HwAudioService", stringBuilder3.toString());
                }
                if (android.telephony.TelephonyManager.EXTRA_STATE_IDLE.equals(state2)) {
                    com.android.server.audio.HwAudioService.this.force_exitLVMMode();
                }
            } else if (action != null && "android.intent.action.USER_UNLOCKED".equals(action)) {
                com.android.server.audio.HwAudioService.this.onUserUnlocked(intent.getIntExtra("android.intent.extra.user_handle", -10000));
            } else if (action != null && "android.intent.action.BOOT_COMPLETED".equals(action)) {
                com.android.server.audio.HwAudioService.this.bindIAwareSdk();
            }
        }
    };
    private android.widget.Toast mRingerModeToast = null;
    private boolean mSetVbrlibFlag = false;
    private android.media.soundtrigger.SoundTriggerDetector mSoundTriggerDetector;
    private java.lang.String mSoundTriggerGram = null;
    private android.os.Handler mSoundTriggerHandler;
    private android.media.soundtrigger.SoundTriggerManager mSoundTriggerManager;
    private java.lang.String mSoundTriggerRes = null;
    private com.android.internal.app.ISoundTriggerService mSoundTriggerService;
    private int mSoundTriggerStatus = 0;
    private int mSpkRcvStereoStatus = -1;
    private java.lang.String mSysKeyEffectFile;
    private android.os.UserManager mUserManager;
    private final android.os.UserManagerInternal mUserManagerInternal;
    private int mVAVersinCode;
    private java.lang.String[] mZenModeWhiteList;
    private int oldInCallDevice = 0;
    private int oldLVMDevice = 0;
    private int type = -1;

    private class EnableVolumeClient implements android.os.IBinder.DeathRecipient {
        private java.lang.String mCallerPkg;
        private android.os.IBinder mCb;

        public java.lang.String getCallerPkg() {
            return this.mCallerPkg;
        }

        EnableVolumeClient(android.os.IBinder cb) {
            if (cb != null) {
                try {
                    cb.linkToDeath(this, 0);
                } catch (android.os.RemoteException e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("EnableVolumeClient() could not link to ");
                    stringBuilder.append(cb);
                    stringBuilder.append(" binder death");
                    android.util.Slog.w("HwAudioService", stringBuilder.toString());
                    cb = null;
                }
            }
            this.mCb = cb;
            this.mCallerPkg = com.android.server.audio.HwAudioService.this.getPackageNameByPid(android.os.Binder.getCallingPid());
        }

        public void binderDied() {
            synchronized (com.android.server.audio.HwAudioService.this.mEnableVolumeLock) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" EnableVolumeClient died.pkgname:");
                stringBuilder.append(this.mCallerPkg);
                android.util.Slog.i("HwAudioService", stringBuilder.toString());
                com.android.server.audio.HwAudioService.this.mEnableAdjustVolume = true;
                release();
            }
        }

        public void release() {
            if (this.mCb != null) {
                this.mCb.unlinkToDeath(this, 0);
                this.mCb = null;
            }
            com.android.server.audio.HwAudioService.this.mEnableVolumeClient = null;
        }
    }

    private class ForeAppTypeListener extends android.rms.iaware.IForegroundAppTypeCallback {
        public void reportForegroundAppType(int type, java.lang.String pkg) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("now type = ");
            stringBuilder.append(com.android.server.audio.HwAudioService.this.type);
            stringBuilder.append(",reportForegroundAppType = ");
            stringBuilder.append(type);
            stringBuilder.append(",pkg = ");
            stringBuilder.append(pkg);
            stringBuilder.append(",systemload = ");
            stringBuilder.append(android.os.SystemProperties.get("sys.iaware.type", "-1"));
            stringBuilder.append("mVoipOptimizeInGameMode");
            stringBuilder.append(com.android.server.audio.HwAudioService.mVoipOptimizeInGameMode);
            android.util.Slog.i("HwAudioService", stringBuilder.toString());
            if (type != com.android.server.audio.HwAudioService.this.type) {
                com.android.server.audio.HwAudioService.this.type = type;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(type);
                stringBuilder.append("");
                android.os.SystemProperties.set("sys.iaware.type", stringBuilder.toString());
            }
            if (type != 9) {
                if (com.android.server.audio.HwAudioService.SUPPORT_GAME_MODE && com.android.server.audio.HwAudioService.this.IS_IN_GAMEMODE) {
                    com.android.server.audio.HwAudioService.this.mHwAudioServiceEx.setDolbyEffect(0);
                    com.android.server.audio.HwAudioService.this.IS_IN_GAMEMODE = false;
                    android.media.AudioSystem.setParameters("dolby_game_mode=off");
                }
                if (com.android.server.audio.HwAudioService.mVoipOptimizeInGameMode) {
                    android.media.AudioSystem.setParameters("game_mode=off");
                    return;
                }
                return;
            }
            if (com.android.server.audio.HwAudioService.SUPPORT_GAME_MODE) {
                if (!com.android.server.audio.HwAudioService.this.IS_IN_GAMEMODE) {
                    if (!android.media.AudioSystem.isStreamActive(3, 0)) {
                        android.util.Slog.i("HwAudioService", "Music steam not start");
                        if (com.android.server.audio.HwAudioService.this.mHwAudioServiceEx.setDolbyEffect(3)) {
                            com.android.server.audio.HwAudioService.this.IS_IN_GAMEMODE = true;
                            com.android.server.audio.HwAudioService.this.updateLowlatencyUidsMap(pkg, 1);
                        } else {
                            android.util.Slog.d("HwAudioService", "set game mode fail.");
                        }
                    }
                }
            }
            if (com.android.server.audio.HwAudioService.mVoipOptimizeInGameMode) {
                android.util.Slog.d("HwAudioService", "support voip optinization during game mode.");
                android.media.AudioSystem.setParameters("game_mode=on");
            }
        }
    }

    private static class HeadphoneInfo {
        public java.lang.String mCaller;
        public java.lang.String mDeviceAddress;
        public java.lang.String mDeviceName;
        public int mDeviceType;

        public HeadphoneInfo(int deviceType, java.lang.String deviceAddress, java.lang.String deviceName, java.lang.String caller) {
            this.mDeviceType = deviceType;
            this.mDeviceName = deviceName;
            this.mDeviceAddress = deviceAddress;
            this.mCaller = caller;
        }
    }

    private class HwAudioGameObserver extends com.huawei.android.app.IGameObserver.Stub {
        private HwAudioGameObserver() {
        }

        /* synthetic */ HwAudioGameObserver(com.android.server.audio.HwAudioService x0, com.android.server.audio.HwAudioService.AnonymousClass1 x1) {
            this();
        }

        public void onGameListChanged() {
            android.util.Slog.v("HwAudioService", "onGameListChanged !");
        }

        public void onGameStatusChanged(java.lang.String packageName, int event) {
            if (packageName != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("onGameStatusChanged packageName = ");
                stringBuilder.append(packageName);
                stringBuilder.append(", event = ");
                stringBuilder.append(event);
                android.util.Slog.d("HwAudioService", stringBuilder.toString());
                if (com.android.server.audio.HwAudioService.this.isSupportSoundToVibrateMode() && android.provider.Settings.Secure.getInt(com.android.server.audio.HwAudioService.this.mContext.getContentResolver(), "sound_to_vibrate_effect", 1) == 1) {
                    if (event != 4) {
                        switch (event) {
                            case 1:
                                break;
                            case 2:
                                android.media.AudioSystem.setParameters("vbrmode=background");
                                break;
                            default:
                                android.util.Slog.w("HwAudioService", "onGameStatusChanged event not in foreground or background!");
                                break;
                        }
                    }
                    if (!com.android.server.audio.HwAudioService.this.mSetVbrlibFlag) {
                        android.util.Slog.d("HwAudioService", "HwAudioGameObserver set mSetVbrlibFalg = true means firstly load the vbr lib!");
                        android.media.AudioSystem.setParameters("vbrEnter=on");
                        com.android.server.audio.HwAudioService.this.mSetVbrlibFlag = true;
                    }
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("vbrmode=front;gamepackagename=");
                    stringBuilder.append(packageName);
                    android.media.AudioSystem.setParameters(stringBuilder.toString());
                }
            }
        }
    }

    private class HwThemeHandler extends android.os.Handler {
        private HwThemeHandler() {
        }

        /* synthetic */ HwThemeHandler(com.android.server.audio.HwAudioService x0, com.android.server.audio.HwAudioService.AnonymousClass1 x1) {
            this();
        }

        public void handleMessage(android.os.Message msg) {
            if (99 == msg.what) {
                com.android.server.audio.HwAudioService.this.reloadSoundEffects();
            }
        }
    }

    protected boolean usingHwSafeMediaConfig() {
        return mIsHuaweiSafeMediaConfig;
    }

    protected int getHwSafeMediaVolumeIndex() {
        return mSecurityVolumeIndex * 10;
    }

    protected boolean isHwSafeMediaVolumeEnabled() {
        return mSecurityVolumeIndex > 0;
    }

    protected boolean checkMMIRunning() {
        return "true".equals(android.os.SystemProperties.get("runtime.mmitest.isrunning", "false"));
    }

    public HwAudioService(android.content.Context context) {
        super(context);
        android.util.Slog.i("HwAudioService", "HwAudioService");
        this.mContext = context;
        this.mNm = (android.app.NotificationManager) this.mContext.getSystemService("notification");
        android.content.IntentFilter intentFilter = new android.content.IntentFilter("android.intent.action.FM");
        intentFilter.addAction("huawei.intent.action.RINGTONE_CHANGE");
        intentFilter.addAction("InCallScreenIsForegroundActivity");
        intentFilter.addAction("android.intent.action.PHONE_STATE");
        intentFilter.addAction("android.intent.action.USER_UNLOCKED");
        intentFilter.addAction("android.intent.action.REBOOT");
        intentFilter.addAction("android.intent.action.ACTION_SHUTDOWN");
        intentFilter.addAction("android.intent.action.BOOT_COMPLETED");
        context.registerReceiverAsUser(this.mReceiver, android.os.UserHandle.ALL, intentFilter, null, null);
        this.mPackageMonitor.register(this.mContext, this.mContext.getMainLooper(), android.os.UserHandle.SYSTEM, false);
        this.mContentResolver = this.mContext.getContentResolver();
        this.mAudioExceptionRecord = new com.android.server.audio.AudioExceptionRecord();
        readPersistedSettingsEx(this.mContentResolver);
        setAudioSystemParameters();
        com.android.server.HwServiceFactory.getHwDrmDialogService().startDrmDialogService(context);
        this.mUserManagerInternal = (android.os.UserManagerInternal) com.android.server.LocalServices.getService(android.os.UserManagerInternal.class);
        if (LOW_LATENCY_SUPPORT) {
            android.content.IntentFilter lowlatencyIntentFilter = new android.content.IntentFilter();
            lowlatencyIntentFilter.addAction("android.intent.action.PACKAGE_REMOVED");
            lowlatencyIntentFilter.addAction("android.intent.action.PACKAGE_ADDED");
            lowlatencyIntentFilter.addDataScheme("package");
            this.mContext.registerReceiverAsUser(this.mLowlatencyReceiver, android.os.UserHandle.ALL, lowlatencyIntentFilter, null, null);
            initLowlatencyUidsMap();
        }
        this.mCustZenModeHelper = (com.android.server.notification.HwCustZenModeHelper) huawei.cust.HwCustUtils.createObj(com.android.server.notification.HwCustZenModeHelper.class, new java.lang.Object[0]);
        if (this.mCustZenModeHelper != null) {
            this.mZenModeWhiteList = this.mCustZenModeHelper.getWhiteAppsInZenMode();
        }
        ((android.telephony.TelephonyManager) context.getSystemService("phone")).listen(mPhoneListener, 32);
        com.huawei.android.app.ActivityManagerEx.registerGameObserver(new com.android.server.audio.HwAudioService.HwAudioGameObserver(this, null));
    }

    private boolean isSupportSoundToVibrateMode() {
        return android.os.SystemProperties.getInt("ro.config.gameassist_soundtovibrate", 0) == 1;
    }

    public void initHwThemeHandler() {
        this.mHwThemeHandler = new com.android.server.audio.HwAudioService.HwThemeHandler(this, null);
    }

    public void reloadSoundEffects() {
        unloadSoundEffects();
        loadSoundEffects();
    }

    private void onUserUnlocked(int userId) {
        if (userId != -10000) {
            createManagers();
            boolean isPrimary = this.mUserManager.getUserInfo(userId).isPrimary();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("user unlocked ,start soundtrigger! isPrimary : ");
            stringBuilder.append(isPrimary);
            android.util.Slog.i("HwAudioService", stringBuilder.toString());
            if (isPrimary) {
                updateVAVersionCode();
                createAndStartSoundTrigger(true);
            }
        }
    }

    protected void onUserBackground(int userId) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onUserBackground userId : ");
        stringBuilder.append(userId);
        android.util.Slog.i("HwAudioService", stringBuilder.toString());
        checkWithUserSwith(userId, true);
    }

    protected void onUserForeground(int userId) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onUserForeground userId : ");
        stringBuilder.append(userId);
        android.util.Slog.i("HwAudioService", stringBuilder.toString());
        checkWithUserSwith(userId, false);
    }

    protected void updateDefaultStream() {
        if (this.mContentResolver == null) {
            android.util.Slog.i("HwAudioService", "mContentResolver is null.");
            return;
        }
        int streamType = android.provider.Settings.System.getIntForUser(this.mContentResolver, "default_volume_key_control", 1, -2);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("get default stream : ");
        stringBuilder.append(streamType);
        android.util.Slog.i("HwAudioService", stringBuilder.toString());
        if (streamType == 2) {
            this.mDefaultVolStream = 2;
        } else {
            this.mDefaultVolStream = 3;
        }
    }

    private void checkWithUserSwith(int userId, boolean background) {
        createManagers();
        if (userId >= 0) {
            boolean isPrimary = com.android.server.pm.UserManagerService.getInstance().getUserInfo(userId).isPrimary();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onUserBackground isPrimary : ");
            stringBuilder.append(isPrimary);
            android.util.Slog.i("HwAudioService", stringBuilder.toString());
            if (isPrimary) {
                createAndStartSoundTrigger(background ^ 1);
            }
        }
    }

    private void updateVAVersionCode() {
        int versionCode = 0;
        try {
            versionCode = this.mContext.getPackageManager().getPackageInfo("com.huawei.vassistant", 128).versionCode;
        } catch (android.content.pm.PackageManager.NameNotFoundException e) {
            android.util.Slog.e("HwAudioService", "updateVAVersionCode vassistant not found!");
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("updateVAVersionCode versionCode : ");
        stringBuilder.append(versionCode);
        stringBuilder.append(" mVAVersinCode = ");
        stringBuilder.append(this.mVAVersinCode);
        android.util.Slog.i("HwAudioService", stringBuilder.toString());
        if (versionCode < this.mVAVersinCode) {
            resetVASoundTrigger();
        }
        this.mVAVersinCode = versionCode;
    }

    private void resetVASoundTrigger() {
        startSoundTriggerV2(false);
        android.provider.Settings.Secure.putInt(this.mContentResolver, "hw_soundtrigger_enabled", 0);
    }

    private boolean isSoundTriggerOn() {
        return android.provider.Settings.Secure.getInt(this.mContentResolver, "hw_soundtrigger_enabled", 0) == 1;
    }

    private void createAndStartSoundTrigger(boolean start) {
        startSoundTriggerV2(start);
    }

    private boolean startSoundTriggerDetector() {
        boolean z;
        createManagers();
        createSoundTriggerDetector();
        android.hardware.soundtrigger.SoundTrigger.GenericSoundModel model = getCurrentModel();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("startSoundTriggerDetector model : ");
        stringBuilder.append(model);
        android.util.Slog.i("HwAudioService", stringBuilder.toString());
        long ident = android.os.Binder.clearCallingIdentity();
        if (model != null) {
            try {
                z = true;
                if (this.mSoundTriggerDetector.startRecognition(1)) {
                    android.util.Slog.i("HwAudioService", "start recognition successfully!");
                    return z;
                }
            } finally {
                android.os.Binder.restoreCallingIdentity(ident);
            }
        }
        z = "start recognition failed!";
        android.util.Slog.e("HwAudioService", z);
        android.os.Binder.restoreCallingIdentity(ident);
        return false;
    }

    private boolean stopSoundTriggerDetector() {
        createManagers();
        createSoundTriggerDetector();
        android.hardware.soundtrigger.SoundTrigger.GenericSoundModel model = getCurrentModel();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("stopSoundTriggerDetector model : ");
        stringBuilder.append(model);
        android.util.Slog.i("HwAudioService", stringBuilder.toString());
        long ident = android.os.Binder.clearCallingIdentity();
        if (model != null) {
            try {
                if (this.mSoundTriggerDetector.stopRecognition()) {
                    android.util.Slog.i("HwAudioService", "stop recognition successfully!");
                    return true;
                }
            } finally {
                android.os.Binder.restoreCallingIdentity(ident);
            }
        }
        android.util.Slog.e("HwAudioService", "stop recognition failed!");
        android.os.Binder.restoreCallingIdentity(ident);
        return false;
    }

    private void createSoundTriggerHandler() {
        if (this.mSoundTriggerHandler == null) {
            this.mSoundTriggerHandler = new android.os.Handler(android.os.Looper.getMainLooper());
        }
    }

    private void createManagers() {
        if (this.mSoundTriggerManager == null) {
            this.mSoundTriggerManager = (android.media.soundtrigger.SoundTriggerManager) this.mContext.getSystemService("soundtrigger");
            this.mUserManager = (android.os.UserManager) this.mContext.getSystemService("user");
            this.mSoundTriggerService = com.android.internal.app.ISoundTriggerService.Stub.asInterface(android.os.ServiceManager.getService("soundtrigger"));
        }
    }

    private void createSoundTriggerDetector() {
        if (this.mSoundTriggerDetector == null) {
            createSoundTriggerHandler();
            this.mSoundTriggerDetector = this.mSoundTriggerManager.createSoundTriggerDetector(MODEL_UUID, this.mCallBack, this.mSoundTriggerHandler);
        }
    }

    private static boolean isSupportWakeUpV2() {
        java.lang.String wakeupV2 = android.media.AudioSystem.getParameters("audio_capability#soundtrigger_version");
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("wakeupV2 : ");
        stringBuilder.append(wakeupV2);
        android.util.Slog.i("HwAudioService", stringBuilder.toString());
        if ("".equals(wakeupV2)) {
            return false;
        }
        return true;
    }

    private void startSoundTriggerV2(boolean start) {
        if (isSupportWakeUpV2()) {
            createManagers();
            android.hardware.soundtrigger.SoundTrigger.GenericSoundModel model = getCurrentModel();
            boolean isUserUnlocked = this.mUserManager.isUserUnlocked(android.os.UserHandle.SYSTEM);
            boolean isSoundTriggerOn = isSoundTriggerOn();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("startSoundTriggerV2 model : ");
            stringBuilder.append(model);
            stringBuilder.append(" isSoundTriggerOn : ");
            stringBuilder.append(isSoundTriggerOn);
            stringBuilder.append(" isUserUnlocked : ");
            stringBuilder.append(isUserUnlocked);
            stringBuilder.append(" start : ");
            stringBuilder.append(start);
            android.util.Slog.i("HwAudioService", stringBuilder.toString());
            if (isUserUnlocked && model != null && isSoundTriggerOn) {
                if (start) {
                    startSoundTriggerDetector();
                } else {
                    stopSoundTriggerDetector();
                }
            }
            return;
        }
        android.util.Slog.i("HwAudioService", "startSoundTriggerV2 not support wakeup v2");
    }

    private android.hardware.soundtrigger.SoundTrigger.GenericSoundModel getCurrentModel() {
        try {
            if (this.mSoundTriggerService != null) {
                return this.mSoundTriggerService.getSoundModel(new android.os.ParcelUuid(MODEL_UUID));
            }
            android.util.Slog.e("HwAudioService", "getCurrentModel mSoundTriggerService is null!");
            return null;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getCurrentModel e : ");
            stringBuilder.append(e);
            android.util.Slog.e("HwAudioService", stringBuilder.toString());
        }
    }

    private void startWakeupService(int session) {
        android.content.Intent intent = new android.content.Intent("com.huawei.wakeup.services.WakeupService");
        intent.setPackage("com.huawei.vassistant");
        intent.putExtra("session_id", session);
        this.mContext.startService(intent);
    }

    public android.media.AudioRoutesInfo startWatchingRoutes(android.media.IAudioRoutesObserver observer) {
        android.util.Slog.d("HwAudioService", "startWatchingRoutes");
        if (linkVAtoDeathRe(observer)) {
            return null;
        }
        return super.startWatchingRoutes(observer);
    }

    private boolean linkVAtoDeathRe(android.media.IAudioRoutesObserver observer) {
        android.util.Slog.d("HwAudioService", "linkVAtoDeathRe for vassistant");
        int uid = android.os.Binder.getCallingUid();
        if (this.mContext == null) {
            return false;
        }
        android.content.pm.PackageManager pm = this.mContext.getPackageManager();
        if (pm == null) {
            return false;
        }
        java.lang.String[] packages = pm.getPackagesForUid(uid);
        if (packages == null) {
            return false;
        }
        int i = 0;
        while (i < packages.length) {
            java.lang.String packageName = packages[i];
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("packageName:");
            stringBuilder.append(packageName);
            android.util.Slog.d("HwAudioService", stringBuilder.toString());
            if ("com.huawei.vassistant".equals(packageName)) {
                this.mBinder = observer.asBinder();
                try {
                    this.mBinder.linkToDeath(this.mDeathRecipient, 0);
                    this.mIsLinkDeathRecipient = true;
                    return true;
                } catch (android.os.RemoteException e) {
                    e.printStackTrace();
                }
            } else {
                i++;
            }
        }
        return false;
    }

    public boolean isFileReady(java.lang.String filename) {
        return new java.io.File(filename).canRead();
    }

    public void unloadHwThemeSoundEffects() {
        this.mHwThemeHandler.removeMessages(99);
    }

    public int getSampleId(android.media.SoundPool soundpool, int effect, java.lang.String defFilePath, int index) {
        int sampleId = 0;
        if (effect == 0) {
            java.lang.String themeFilePath = this.mSysKeyEffectFile;
            if (themeFilePath == null) {
                themeFilePath = defFilePath;
            }
            if (themeFilePath == null) {
                return -1;
            }
            if (isFileReady(themeFilePath)) {
                sampleId = soundpool.load(themeFilePath, index);
                if (sampleId > 0) {
                    android.provider.SettingsEx.Systemex.putString(this.mContentResolver, "syskey_sound_hwt", themeFilePath);
                }
            }
        } else {
            sampleId = soundpool.load(defFilePath, index);
        }
        return sampleId;
    }

    public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
        if (code != 1003) {
            int _arg0 = 0;
            java.lang.StringBuilder stringBuilder;
            switch (code) {
                case 101:
                    int event = data.readInt();
                    if (DEBUG) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("HwAudioService.onTransact: got event ");
                        stringBuilder.append(event);
                        android.util.Slog.v("HwAudioService", stringBuilder.toString());
                    }
                    if (event == 1) {
                        _arg0 = 1;
                    }
                    sendMsg(this.mAudioHandler, 8, 2, 1, _arg0, null, 0);
                    if (DEBUG) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("setSpeakermediaOn ");
                        stringBuilder.append(_arg0);
                        android.util.Slog.v("HwAudioService", stringBuilder.toString());
                    }
                    reply.writeNoException();
                    return true;
                case 102:
                    reply.writeNoException();
                    return true;
                default:
                    switch (code) {
                        case 1005:
                            data.enforceInterface("android.media.IAudioService");
                            sendMsg(this.mAudioHandler, 90, 2, 0, 0, null, 20);
                            reply.writeNoException();
                            return true;
                        case 1006:
                            data.enforceInterface("android.media.IAudioService");
                            sendMsg(this.mAudioHandler, 91, 2, 0, 0, null, 0);
                            reply.writeNoException();
                            return true;
                        default:
                            java.lang.StringBuilder stringBuilder2;
                            switch (code) {
                                case 1101:
                                    _arg0 = isAdjustVolumeEnable();
                                    stringBuilder2 = new java.lang.StringBuilder();
                                    stringBuilder2.append("isAdjustVolumeEnable transaction called. result:");
                                    stringBuilder2.append(_arg0);
                                    android.util.Slog.i("HwAudioService", stringBuilder2.toString());
                                    reply.writeNoException();
                                    reply.writeInt(_arg0);
                                    return true;
                                case 1102:
                                    boolean _arg02;
                                    android.os.IBinder callerToken = data.readStrongBinder();
                                    if (data.readInt() != 0) {
                                        _arg02 = true;
                                    }
                                    stringBuilder = new java.lang.StringBuilder();
                                    stringBuilder.append("enableVolumeAdjust  transaction called.enable:");
                                    stringBuilder.append(_arg02);
                                    android.util.Slog.i("HwAudioService", stringBuilder.toString());
                                    enableVolumeAdjust(_arg02, android.os.Binder.getCallingUid(), callerToken);
                                    reply.writeNoException();
                                    return true;
                                case 1103:
                                    boolean _result;
                                    data.enforceInterface("android.media.IAudioService");
                                    if (data.readInt() != 0) {
                                        _result = startSoundTriggerDetector();
                                    } else {
                                        _result = stopSoundTriggerDetector();
                                    }
                                    reply.writeNoException();
                                    reply.writeInt(_result ? 1 : 0);
                                    if (this.mBinder != null && this.mIsLinkDeathRecipient) {
                                        this.mBinder.unlinkToDeath(this.mDeathRecipient, 0);
                                        this.mIsLinkDeathRecipient = false;
                                    }
                                    return true;
                                case 1104:
                                    _arg0 = data.readInt();
                                    stringBuilder2 = new java.lang.StringBuilder();
                                    stringBuilder2.append("desktopModeChanged transaction mode:");
                                    stringBuilder2.append(_arg0);
                                    android.util.Slog.i("HwAudioService", stringBuilder2.toString());
                                    desktopModeChanged(_arg0);
                                    reply.writeNoException();
                                    return true;
                                case 1105:
                                    data.enforceInterface("android.media.IAudioService");
                                    reply.writeNoException();
                                    reply.writeBoolean(isScoAvailableOffCall());
                                    return true;
                                case 1106:
                                    data.enforceInterface("android.media.IAudioService");
                                    reply.writeNoException();
                                    reply.writeBoolean(isHwKaraokeEffectEnable());
                                    return true;
                                default:
                                    return super.onTransact(code, data, reply, flags);
                            }
                    }
            }
        }
        data.enforceInterface("android.media.IAudioService");
        java.lang.String _arg03 = data.readString();
        recordLastRecordTime(data.readInt(), data.readInt());
        reply.writeNoException();
        return true;
    }

    public boolean isHwKaraokeEffectEnable() {
        boolean enable = this.mHwAudioServiceEx.isHwKaraokeEffectEnable(getPackageNameByPid(android.os.Binder.getCallingPid()));
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("HwKaraoke Effect enable = ");
        stringBuilder.append(enable);
        android.util.Slog.i("HwAudioService", stringBuilder.toString());
        return enable;
    }

    public boolean isScoAvailableOffCall() {
        if (this.mBluetoothHeadset != null) {
            return this.mBluetoothHeadset.isScoAvailableOffCall();
        }
        return true;
    }

    public static void printCtaifsLog(java.lang.String applicationName, java.lang.String packageName, java.lang.String callingMethod, java.lang.String desciption) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("<");
        stringBuilder.append(applicationName);
        stringBuilder.append(">[");
        stringBuilder.append(applicationName);
        stringBuilder.append("][");
        stringBuilder.append(packageName);
        stringBuilder.append("][");
        stringBuilder.append(callingMethod);
        stringBuilder.append("] ");
        stringBuilder.append(desciption);
        android.util.Slog.i("ctaifs", stringBuilder.toString());
    }

    public static java.lang.String getRecordAppName(android.content.Context context, java.lang.String packageName) {
        if (context == null) {
            return null;
        }
        android.content.pm.PackageManager pm = context.getPackageManager();
        if (pm == null) {
            return null;
        }
        android.content.pm.ApplicationInfo appInfo = null;
        long ident = android.os.Binder.clearCallingIdentity();
        try {
            appInfo = pm.getApplicationInfoAsUser(packageName, 0, getCurrentUserId());
        } catch (android.content.pm.PackageManager.NameNotFoundException e) {
            android.util.Slog.e("HwAudioService", "App Name Not Found");
        } catch (Throwable th) {
            android.os.Binder.restoreCallingIdentity(ident);
        }
        android.os.Binder.restoreCallingIdentity(ident);
        if (appInfo == null) {
            return null;
        }
        java.lang.CharSequence displayName = pm.getApplicationLabel(appInfo);
        if (android.text.TextUtils.isEmpty(displayName)) {
            return null;
        }
        return java.lang.String.valueOf(displayName);
    }

    protected void appendExtraInfo(android.content.Intent intent) {
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("appendExtraInfo mHeadsetSwitchState: ");
            stringBuilder.append(this.mHeadsetSwitchState);
            android.util.Slog.d("HwAudioService", stringBuilder.toString());
        }
        if (intent != null) {
            intent.putExtra("switch_state", this.mHeadsetSwitchState);
        }
    }

    protected void sendDeviceConnectionIntentForImcs(int device, int state, java.lang.String name) {
        android.content.Intent intent = new android.content.Intent();
        intent.putExtra("state", state);
        intent.putExtra("name", name);
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sendDeviceConnectionIntentForImcs mHeadsetSwitchState: ");
            stringBuilder.append(this.mHeadsetSwitchState);
            android.util.Slog.d("HwAudioService", stringBuilder.toString());
        }
        intent.putExtra("switch_state", this.mHeadsetSwitchState);
        if (device == 4) {
            intent.setAction("imcs.action.HEADSET_PLUG");
            intent.putExtra("microphone", 1);
        } else if (device == 8) {
            intent.setAction("imcs.action.HEADSET_PLUG");
            intent.putExtra("microphone", 0);
        } else {
            return;
        }
        long ident = android.os.Binder.clearCallingIdentity();
        try {
            android.app.ActivityManagerNative.broadcastStickyIntent(intent, "imcs.permission.HEADSET_PLUG", -1);
        } finally {
            android.os.Binder.restoreCallingIdentity(ident);
        }
    }

    private boolean isAdjustVolumeEnable() {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isAdjustVolumeEnable,mEnableAdjustVolume:");
        stringBuilder.append(this.mEnableAdjustVolume);
        android.util.Slog.i("HwAudioService", stringBuilder.toString());
        return this.mEnableAdjustVolume;
    }

    private void enableVolumeAdjust(boolean enable, int callerUid, android.os.IBinder cb) {
        if (hasSystemPriv(callerUid)) {
            synchronized (this.mEnableVolumeLock) {
                java.lang.String callerPkg = getPackageNameByPid(android.os.Binder.getCallingPid());
                if (this.mEnableVolumeClient == null) {
                    this.mEnableVolumeClient = new com.android.server.audio.HwAudioService.EnableVolumeClient(cb);
                    this.mEnableAdjustVolume = enable;
                } else {
                    java.lang.String clientPkg = this.mEnableVolumeClient.getCallerPkg();
                    if (callerPkg.equals(clientPkg)) {
                        this.mEnableAdjustVolume = enable;
                    } else {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("Just allowed one caller use the interface until older caller die.older. caller:");
                        stringBuilder.append(callerPkg);
                        stringBuilder.append(" old callser:");
                        stringBuilder.append(clientPkg);
                        android.util.Slog.w("HwAudioService", stringBuilder.toString());
                    }
                }
            }
            return;
        }
        android.util.Slog.i("HwAudioService", "caller is not system app.Can not set volumeAdjust to enable or disable.");
    }

    protected void readPersistedSettingsEx(android.content.ContentResolver cr) {
        if (HW_SOUND_TRIGGER_SUPPORT) {
            getSoundTriggerSettings(cr);
        }
        if (SPK_RCV_STEREO_SUPPORT) {
            getSpkRcvStereoState(cr);
        }
    }

    protected void onErrorCallBackEx(int exceptionId) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("AudioException onErrorCallBackEx exceptionId:");
        stringBuilder.append(exceptionId);
        android.util.Slog.i("HwAudioService", stringBuilder.toString());
        if (exceptionId <= -1000) {
            sendMsg(this.mAudioHandler, 10000, 1, exceptionId, 0, null, 0);
        }
    }

    protected void onScoExceptionOccur(int clientPid) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("AudioException ScoExceptionOccur,clientpid:");
        stringBuilder.append(clientPid);
        stringBuilder.append(" have more than one sco connected!");
        android.util.Slog.w("HwAudioService", stringBuilder.toString());
        java.lang.String packageName = getPackageNameByPid(clientPid);
        sendMsg(this.mAudioHandler, 10000, 1, -2003, 0, new com.android.server.audio.report.AudioExceptionMsg(-2003, packageName, getVersionName(packageName)), 0);
    }

    public void setMicrophoneMute(boolean on, java.lang.String callingPackage, int userId) {
        boolean firstState = android.media.AudioSystem.isMicrophoneMuted();
        super.setMicrophoneMute(on, callingPackage, userId);
        if (!firstState && android.media.AudioSystem.isMicrophoneMuted()) {
            this.mAudioExceptionRecord.updateMuteMsg(callingPackage, getVersionName(callingPackage));
        }
    }

    private boolean hasCameraRecordPermission(java.lang.String packageName) {
        boolean z = false;
        if (packageName != null) {
            if (packageName.length() != 0) {
                android.content.pm.PackageManager pm = this.mContext.getPackageManager();
                if (pm == null) {
                    return false;
                }
                if (pm.checkPermission("android.permission.CAMERA", packageName) == 0 && pm.checkPermission("android.permission.RECORD_AUDIO", packageName) == 0) {
                    z = true;
                }
                return z;
            }
        }
        return false;
    }

    protected void handleMessageEx(android.os.Message msg) {
        int i = msg.what;
        if (i == 71) {
            android.media.AudioSystem.setParameters("dualpa_security_delay=0");
        } else if (i != 80) {
            switch (i) {
                case 90:
                    showDisableMicrophoneToast();
                    break;
                case 91:
                    disableHeadPhone();
                    break;
                case 92:
                    showDisableHeadphoneToast();
                    break;
                default:
                    switch (i) {
                        case 10000:
                            onAudioException(msg.arg1, msg.obj != null ? (com.android.server.audio.report.AudioExceptionMsg) msg.obj : null);
                            break;
                        case 10001:
                            if (LOUD_VOICE_MODE_SUPPORT) {
                                handleLVMModeChangeProcess(msg.arg1, msg.obj);
                                break;
                            }
                            break;
                        default:
                            break;
                    }
            }
        } else if (msg.obj == null) {
            android.util.Slog.e("HwAudioService", "MSG_RINGER_MODE_CHANGE msg obj is null!");
        } else {
            com.android.server.audio.report.AudioExceptionMsg tempMsg = msg.obj;
            java.lang.String caller = tempMsg.getMsgPackagename();
            if (caller == null) {
                caller = "";
            }
            int fromRingerMode = msg.arg1;
            int ringerMode = msg.arg2;
            if (!isFirstTimeShow(caller) || hasCameraRecordPermission(caller)) {
                android.util.Slog.i("HwAudioService", "AudioException showRingerModeToast");
                showRingerModeToast(caller, fromRingerMode, ringerMode);
            } else {
                android.util.Slog.i("HwAudioService", "AudioException showRingerModeDialog");
                showRingerModeDialog(caller, fromRingerMode, ringerMode);
                savePkgNameToDB(caller);
            }
            onAudioException(-2001, tempMsg);
        }
    }

    public void onAudioException(int exceptionId, com.android.server.audio.report.AudioExceptionMsg exceptionMsg) {
        if (!this.mSystemReady) {
            android.util.Slog.e("HwAudioService", "AudioException,but system is not ready! ");
        }
        if (exceptionId != -1001) {
            switch (exceptionId) {
                case -2003:
                    android.util.Slog.w("HwAudioService", "AudioException HW_SCO_CONNECT_EXCEPTION_OCCOUR");
                    return;
                case -2002:
                    if (!this.mUserManagerInternal.getUserRestriction(getCurrentUserId(), "no_unmute_microphone")) {
                        android.util.Slog.w("HwAudioService", "AudioException HW_MIC_MUTE_EXCEPTION_OCCOUR");
                        if ("HWH1711-Q".equals(CURRENT_PRODUCT_NAME)) {
                            android.util.Slog.w("HwAudioService", "Not allowded to recovery according to the us operator's rules");
                            return;
                        } else {
                            android.media.AudioSystem.muteMicrophone(false);
                            return;
                        }
                    }
                    return;
                case -2001:
                    android.util.Slog.w("HwAudioService", "AudioException HW_RING_MODE_TYPE_EXCEPTION_OCCOUR");
                    return;
                default:
                    int tmp = -exceptionId;
                    if ((-(tmp >> 21)) == -1002) {
                        int exceptionPid = tmp - 2101346304;
                        if (exceptionPid > 0) {
                            java.lang.String packageName = getPackageNameByPid(exceptionPid);
                            java.lang.String packageVersion = getVersionName(packageName);
                            if (packageName != null) {
                                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("AudioTrack_Overflow packageName = ");
                                stringBuilder.append(packageName);
                                stringBuilder.append(" ");
                                stringBuilder.append(packageVersion);
                                stringBuilder.append(" pid = ");
                                stringBuilder.append(exceptionPid);
                                android.util.Slog.e("HwAudioService", stringBuilder.toString());
                                android.media.HwMediaMonitorManager.writeLogMsg(916010207, 3, -1002, "OAE5");
                            } else {
                                android.util.Slog.w("HwAudioService", "AudioTrack_Overflow getPackageNameByPid failed");
                            }
                        } else {
                            android.util.Slog.w("HwAudioService", "AudioTrack_Overflow pid error");
                        }
                        return;
                    }
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("No such AudioException exceptionId:");
                    stringBuilder2.append(exceptionId);
                    android.util.Slog.w("HwAudioService", stringBuilder2.toString());
                    return;
            }
        }
        android.util.Slog.w("HwAudioService", "AudioException HW_AUDIO_MODE_TYPE_EXCEPTION_OCCOUR, setModeInt AudioSystem.MODE_NORMAL");
    }

    protected void handleLVMModeChangeProcess(int state, java.lang.Object object) {
        if (state == 1) {
            if (object != null) {
                com.android.server.audio.AbsAudioService.DeviceVolumeState myObj = (com.android.server.audio.AbsAudioService.DeviceVolumeState) object;
                setLVMMode(myObj.mDirection, myObj.mDevice, myObj.mOldIndex, myObj.mstreamType);
            }
        } else if (isInCall()) {
            int device = getInCallDevice();
            setLVMMode(0, device, -1, 0);
            setVoiceALGODeviceChange(device);
        }
    }

    private boolean isInCall() {
        if (getMode() != 2) {
            return false;
        }
        android.telecom.TelecomManager telecomManager = (android.telecom.TelecomManager) this.mContext.getSystemService("telecom");
        if (telecomManager == null) {
            return false;
        }
        return telecomManager.isInCall();
    }

    protected int getOldInCallDevice(int mode) {
        if (mode == 2) {
            this.oldInCallDevice = getInCallDevice();
        } else if (mode == 0) {
            this.oldInCallDevice = 0;
        }
        return this.oldInCallDevice;
    }

    private int getInCallDevice() {
        int activeStreamType;
        if (android.media.AudioSystem.getForceUse(0) == 3) {
            activeStreamType = 6;
        } else {
            activeStreamType = 0;
        }
        return hwGetDeviceForStream(activeStreamType);
    }

    private void setVoiceALGODeviceChange(int device) {
        if (this.oldInCallDevice != device) {
            android.media.AudioSystem.setParameters("VOICE_ALGO_DeviceChange=true");
            this.oldInCallDevice = device;
        }
    }

    private void force_exitLVMMode() {
        if ("true".equals(android.media.AudioSystem.getParameters("VOICE_LVM_Enable"))) {
            android.media.AudioSystem.setParameters("VOICE_LVM_Enable=false");
            this.oldLVMDevice = 0;
            if (DEBUG) {
                android.util.Slog.i("HwAudioService", "force disable LVM");
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:21:0x0046  */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x0044  */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x0058  */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x0056  */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x005e  */
    /* JADX WARNING: Removed duplicated region for block: B:57:0x00f8  */
    protected void setLVMMode(int r11, int r12, int r13, int r14) {
        /*
        r10 = this;
        r0 = r10.getMode();
        r1 = 2;
        if (r0 != r1) goto L_0x0019;
    L_0x0007:
        r0 = r10.mContext;
        r2 = "android.permission.MODIFY_PHONE_STATE";
        r0 = r0.checkCallingOrSelfPermission(r2);
        if (r0 == 0) goto L_0x0019;
    L_0x0011:
        r0 = "HwAudioService";
        r1 = "MODIFY_PHONE_STATE Permission Denial: setLVMMode";
        android.util.Slog.e(r0, r1);
        return;
    L_0x0019:
        r0 = LOUD_VOICE_MODE_SUPPORT;
        if (r0 == 0) goto L_0x0111;
    L_0x001d:
        r0 = r10.isInCall();
        if (r0 == 0) goto L_0x0111;
    L_0x0023:
        if (r14 == 0) goto L_0x0027;
    L_0x0025:
        goto L_0x0111;
    L_0x0027:
        r0 = "true";
        r2 = "VOICE_LVM_Enable";
        r2 = android.media.AudioSystem.getParameters(r2);
        r0 = r0.equals(r2);
        r2 = 0;
        r3 = 1;
        if (r1 == r12) goto L_0x003d;
    L_0x0038:
        if (r3 != r12) goto L_0x003b;
    L_0x003a:
        goto L_0x003d;
    L_0x003b:
        r4 = r2;
        goto L_0x003e;
    L_0x003d:
        r4 = r3;
    L_0x003e:
        r5 = r10.getStreamMaxIndex(r2);
        if (r5 != r13) goto L_0x0046;
    L_0x0044:
        r5 = r3;
        goto L_0x0047;
    L_0x0046:
        r5 = r2;
    L_0x0047:
        r6 = 0;
        if (r5 == 0) goto L_0x005a;
    L_0x004a:
        if (r4 == 0) goto L_0x005a;
    L_0x004c:
        r7 = r10.oldLVMDevice;
        if (r7 != r12) goto L_0x005a;
    L_0x0050:
        r7 = r10.getStreamIndex(r2, r12);
        if (r7 >= r13) goto L_0x0058;
    L_0x0056:
        r7 = r3;
        goto L_0x0059;
    L_0x0058:
        r7 = r2;
    L_0x0059:
        r6 = r7;
    L_0x005a:
        r7 = DEBUG;
        if (r7 == 0) goto L_0x0094;
    L_0x005e:
        r7 = "HwAudioService";
        r8 = new java.lang.StringBuilder;
        r8.<init>();
        r9 = "direction:";
        r8.append(r9);
        r8.append(r11);
        r9 = " device:";
        r8.append(r9);
        r8.append(r12);
        r9 = " oldIndex:";
        r8.append(r9);
        r8.append(r13);
        r9 = " isLVMMode:";
        r8.append(r9);
        r8.append(r0);
        r9 = " isChangeVolume:";
        r8.append(r9);
        r8.append(r6);
        r8 = r8.toString();
        android.util.Slog.i(r7, r8);
    L_0x0094:
        if (r0 != 0) goto L_0x00d8;
    L_0x0096:
        if (r5 == 0) goto L_0x00d8;
    L_0x0098:
        if (r3 != r11) goto L_0x00d8;
    L_0x009a:
        if (r4 == 0) goto L_0x00d8;
    L_0x009c:
        r2 = "VOICE_LVM_Enable=true";
        android.media.AudioSystem.setParameters(r2);
        r2 = 4;
        if (r12 != r3) goto L_0x00ab;
    L_0x00a4:
        r1 = 916219001; // 0x369c6479 float:4.660859E-6 double:4.526723325E-315;
        android.media.HwMediaMonitorManager.writeBigData(r1, r2);
        goto L_0x00b3;
    L_0x00ab:
        if (r12 != r1) goto L_0x00b3;
    L_0x00ad:
        r1 = 916219002; // 0x369c647a float:4.6608593E-6 double:4.52672333E-315;
        android.media.HwMediaMonitorManager.writeBigData(r1, r2);
    L_0x00b3:
        r1 = 33685776; // 0x2020110 float:9.551197E-38 double:1.66429847E-316;
        r10.showLVMToast(r1);
        r10.oldLVMDevice = r12;
        r1 = DEBUG;
        if (r1 == 0) goto L_0x0110;
    L_0x00bf:
        r1 = "HwAudioService";
        r2 = new java.lang.StringBuilder;
        r2.<init>();
        r3 = "enable LVM after  = ";
        r2.append(r3);
        r3 = r10.oldLVMDevice;
        r2.append(r3);
        r2 = r2.toString();
        android.util.Slog.i(r1, r2);
        goto L_0x0110;
    L_0x00d8:
        if (r0 == 0) goto L_0x0110;
    L_0x00da:
        r1 = -1;
        if (r1 == r11) goto L_0x00e3;
    L_0x00dd:
        r1 = r10.oldLVMDevice;
        if (r12 != r1) goto L_0x00e3;
    L_0x00e1:
        if (r6 == 0) goto L_0x0110;
    L_0x00e3:
        r1 = r10.oldLVMDevice;
        if (r1 == 0) goto L_0x0110;
    L_0x00e7:
        r1 = "VOICE_LVM_Enable=false";
        android.media.AudioSystem.setParameters(r1);
        r1 = 33685777; // 0x2020111 float:9.551198E-38 double:1.6642985E-316;
        r10.showLVMToast(r1);
        r10.oldLVMDevice = r2;
        r1 = DEBUG;
        if (r1 == 0) goto L_0x0110;
    L_0x00f8:
        r1 = "HwAudioService";
        r2 = new java.lang.StringBuilder;
        r2.<init>();
        r3 = "disable LVM after oldLVMDevice= ";
        r2.append(r3);
        r3 = r10.oldLVMDevice;
        r2.append(r3);
        r2 = r2.toString();
        android.util.Slog.i(r1, r2);
    L_0x0110:
        return;
    L_0x0111:
        r0 = "HwAudioService";
        r1 = "setLVMMode abort";
        android.util.Slog.e(r0, r1);
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.audio.HwAudioService.setLVMMode(int, int, int, int):void");
    }

    private void showLVMToast(int message) {
        if (this.mLVMToast == null) {
            this.mLVMToast = android.widget.Toast.makeText(new android.view.ContextThemeWrapper(this.mContext, this.mContext.getResources().getIdentifier("androidhwext:style/Theme.Emui.Toast", null, null)), "Unknown State", 0);
            android.view.WindowManager.LayoutParams windowParams = this.mLVMToast.getWindowParams();
            windowParams.privateFlags |= 16;
        }
        try {
            if (DEBUG) {
                android.util.Slog.i("HwAudioService", "showLVMToast ");
            }
            this.mLVMToast.setText(message);
            this.mLVMToast.show();
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("showLVMToast exception: ");
            stringBuilder.append(e);
            android.util.Slog.e("HwAudioService", stringBuilder.toString());
        }
    }

    protected void getSoundTriggerSettings(android.content.ContentResolver cr) {
        java.lang.String KEY_SOUNDTRIGGER_TYPE = "hw_soundtrigger_type";
        this.mSoundTriggerStatus = android.provider.Settings.Secure.getInt(cr, "hw_soundtrigger_enabled", 0);
        this.mSoundTriggerRes = android.provider.Settings.Secure.getString(cr, "hw_soundtrigger_resource");
        this.mSoundTriggerGram = android.provider.Settings.Secure.getString(cr, "hw_soundtrigger_grammar");
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mSoundTriggerStatus = ");
            stringBuilder.append(this.mSoundTriggerStatus);
            stringBuilder.append(" mSoundTriggerRes = ");
            stringBuilder.append(this.mSoundTriggerRes);
            stringBuilder.append(" mSoundTriggerGram = ");
            stringBuilder.append(this.mSoundTriggerGram);
            android.util.Slog.i("HwAudioService", stringBuilder.toString());
        }
    }

    private void setSoundTrigger() {
        if (this.mSoundTriggerStatus == 1) {
            android.media.AudioSystem.setParameters("mad=on");
            android.media.AudioSystem.setParameters("wakeup=on");
            android.util.Slog.i("HwAudioService", "setSoundTrigger = on");
        } else if (this.mSoundTriggerStatus == 0) {
            android.media.AudioSystem.setParameters("mad=off");
            android.media.AudioSystem.setParameters("wakeup=off");
            android.util.Slog.i("HwAudioService", "setSoundTrigger = off");
            return;
        }
        if (!(this.mSoundTriggerRes == null || this.mSoundTriggerRes.isEmpty() || this.mSoundTriggerGram == null)) {
            if (!this.mSoundTriggerGram.isEmpty()) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("mad=tslice_model=");
                stringBuilder.append(this.mSoundTriggerRes);
                android.media.AudioSystem.setParameters(stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("mad=tslice_gram=");
                stringBuilder.append(this.mSoundTriggerGram);
                android.media.AudioSystem.setParameters(stringBuilder.toString());
            }
        }
    }

    private boolean isInCallingState() {
        android.telephony.TelephonyManager tmgr = null;
        if (this.mContext != null) {
            tmgr = (android.telephony.TelephonyManager) this.mContext.getSystemService("phone");
        }
        if (tmgr == null) {
            return false;
        }
        if (tmgr.getCallState() != 0) {
            if (DEBUG) {
                android.util.Slog.v("HwAudioService", "phone is in call state");
            }
            return true;
        }
        if (DEBUG) {
            android.util.Slog.v("HwAudioService", "phone is NOT in call state");
        }
        return false;
    }

    private boolean hasSystemPriv(int uid) {
        android.content.pm.PackageManager pm = this.mContext.getPackageManager();
        if (pm == null) {
            return false;
        }
        java.lang.String[] pkgs = pm.getPackagesForUid(uid);
        if (pkgs == null) {
            return false;
        }
        int length = pkgs.length;
        int i = 0;
        while (i < length) {
            java.lang.String pkg = pkgs[i];
            try {
                android.content.pm.ApplicationInfo info = pm.getApplicationInfo(pkg, 0);
                if (info == null || (info.flags & 1) == 0) {
                    i++;
                } else {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("system app ");
                    stringBuilder.append(pkg);
                    android.util.Slog.i("HwAudioService", stringBuilder.toString());
                    return true;
                }
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("not found app ");
                stringBuilder2.append(pkg);
                android.util.Slog.i("HwAudioService", stringBuilder2.toString());
            }
        }
        return false;
    }

    protected boolean checkAudioSettingAllowed(java.lang.String msg) {
        java.lang.StringBuilder stringBuilder;
        if (isInCallingState()) {
            int uid = android.os.Binder.getCallingUid();
            if (!(1001 == uid || 1000 == uid)) {
                if (!hasSystemPriv(uid)) {
                    if (DEBUG) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("Audio Settings NOT allow from func=");
                        stringBuilder.append(msg);
                        stringBuilder.append(", from pid=");
                        stringBuilder.append(android.os.Binder.getCallingPid());
                        stringBuilder.append(", uid=");
                        stringBuilder.append(android.os.Binder.getCallingUid());
                        android.util.Slog.v("HwAudioService", stringBuilder.toString());
                    }
                    return false;
                }
            }
            if (DEBUG) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("Audio Settings ALLOW from func=");
                stringBuilder2.append(msg);
                stringBuilder2.append(", from pid=");
                stringBuilder2.append(android.os.Binder.getCallingPid());
                stringBuilder2.append(", uid=");
                stringBuilder2.append(android.os.Binder.getCallingUid());
                android.util.Slog.v("HwAudioService", stringBuilder2.toString());
            }
            return true;
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Audio Settings ALLOW from func=");
        stringBuilder.append(msg);
        stringBuilder.append(", from pid=");
        stringBuilder.append(android.os.Binder.getCallingPid());
        stringBuilder.append(", uid=");
        stringBuilder.append(android.os.Binder.getCallingUid());
        android.util.Slog.w("HwAudioService", stringBuilder.toString());
        return true;
    }

    protected java.lang.String getPackageNameByPid(int pid) {
        if (pid <= 0) {
            return null;
        }
        android.app.ActivityManager activityManager = (android.app.ActivityManager) this.mContext.getSystemService("activity");
        if (activityManager == null) {
            return null;
        }
        java.util.List<android.app.ActivityManager.RunningAppProcessInfo> appProcesses = activityManager.getRunningAppProcesses();
        if (appProcesses == null) {
            return null;
        }
        java.lang.String packageName = null;
        for (android.app.ActivityManager.RunningAppProcessInfo appProcess : appProcesses) {
            if (appProcess.pid == pid) {
                packageName = appProcess.processName;
                break;
            }
        }
        int indexProcessFlag = -1;
        if (packageName != null) {
            indexProcessFlag = packageName.indexOf(58);
        }
        return indexProcessFlag > 0 ? packageName.substring(0, indexProcessFlag) : packageName;
    }

    private java.lang.String getVersionName(java.lang.String packageName) {
        if (android.text.TextUtils.isEmpty(packageName)) {
            return null;
        }
        java.lang.String versionName;
        try {
            versionName = this.mContext.getPackageManager().getPackageInfo(packageName, 0).versionName;
        } catch (android.content.pm.PackageManager.NameNotFoundException e) {
            versionName = "version isn't exist";
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getVersionName failed");
            stringBuilder.append(packageName);
            android.util.Slog.e("HwAudioService", stringBuilder.toString());
        }
        return versionName;
    }

    public void checkMicMute() {
        android.util.Slog.i("HwAudioService", "AudioException record is not occpied, check mic mute.");
        java.lang.String recordPkg = getPackageNameByPid(android.os.Binder.getCallingPid());
        printCtaifsLog(getRecordAppName(this.mContext, recordPkg), recordPkg, "onTransact", "本地录音");
        if (android.media.AudioSystem.isMicrophoneMuted() && getMode() != 2) {
            android.util.Slog.i("HwAudioService", "AudioException mic is muted when record! set unmute!");
            sendMsg(this.mAudioHandler, 10000, 1, -2002, 0, new com.android.server.audio.report.AudioExceptionMsg(-2002, this.mAudioExceptionRecord.getMutePackageName(), this.mAudioExceptionRecord.getMutePPackageVersion()), 500);
        }
    }

    private java.lang.String getApplicationLabel(java.lang.String pkgName) {
        try {
            android.content.pm.PackageManager packageManager = this.mContext.getPackageManager();
            return packageManager.getApplicationLabel(packageManager.getApplicationInfo(pkgName, null)).toString();
        } catch (android.content.pm.PackageManager.NameNotFoundException e) {
            android.util.Slog.e("HwAudioService", "getApplicationLabel exception", e);
            return null;
        }
    }

    protected boolean checkEnbaleVolumeAdjust() {
        return isAdjustVolumeEnable();
    }

    protected void sendCommForceBroadcast() {
        if (getMode() == 2) {
            int uid = android.os.Binder.getCallingUid();
            if (1000 == uid || "com.android.bluetooth".equals(getPackageNameByPid(android.os.Binder.getCallingPid()))) {
                try {
                    this.mContext.sendBroadcastAsUser(new android.content.Intent("huawei.intent.action.COMMFORCE"), android.os.UserHandle.getUserHandleForUid(android.os.UserHandle.getCallingUserId()), "android.permission.COMM_FORCE");
                } catch (java.lang.Exception e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("sendCommForceBroadcast exception: ");
                    stringBuilder.append(e);
                    android.util.Slog.e("HwAudioService", stringBuilder.toString());
                }
                return;
            }
            if (DEBUG) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("Ignore sendCommForceBroadcast from uid = ");
                stringBuilder2.append(uid);
                android.util.Slog.v("HwAudioService", stringBuilder2.toString());
            }
        }
    }

    protected void checkMuteRcvDelay(int curMode, int mode) {
        if (mode == 0 && (curMode == 2 || curMode == 3)) {
            android.media.AudioSystem.setParameters("dualpa_security_delay=1");
            sendMsg(this.mAudioHandler, 71, 0, 0, 0, null, 5000);
        } else if (curMode != mode && (mode == 1 || mode == 2 || mode == 3)) {
            android.media.AudioSystem.setParameters("dualpa_security_delay=0");
        } else if (DEBUG) {
            android.util.Slog.i("HwAudioService", "checkMuteRcvDelay Do Nothing");
        }
    }

    private void setAudioSystemParameters() {
        if (HW_SOUND_TRIGGER_SUPPORT) {
            setSoundTrigger();
        }
        if (SPK_RCV_STEREO_SUPPORT) {
            setSpkRcvStereoStatus();
        }
        this.mSetVbrlibFlag = false;
    }

    void reportAudioFlingerRestarted() {
        android.rms.iaware.LogIAware.report(2101, "AudioFlinger");
    }

    protected void processMediaServerRestart() {
        readPersistedSettingsEx(this.mContentResolver);
        setAudioSystemParameters();
        android.util.Slog.i("HwAudioService", "mediaserver restart ,start soundtrigger!");
        createAndStartSoundTrigger(true);
        reportAudioFlingerRestarted();
        if (LOW_LATENCY_SUPPORT) {
            initLowlatencyUidsMap();
        }
    }

    private void getSpkRcvStereoState(android.content.ContentResolver contentResolver) {
        this.mSpkRcvStereoStatus = android.provider.Settings.Secure.getInt(contentResolver, "stereo_landscape_portrait", 1);
    }

    private void setSpkRcvStereoStatus() {
        if (this.mSpkRcvStereoStatus == 1) {
            android.media.AudioSystem.setParameters("stereo_landscape_portrait_enable=1");
            android.media.AudioSystem.setParameters("rotation=0");
        } else if (this.mSpkRcvStereoStatus == 0) {
            android.media.AudioSystem.setParameters("stereo_landscape_portrait_enable=0");
        } else {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setSpkRcvStereoStatus Fail ");
            stringBuilder.append(this.mSpkRcvStereoStatus);
            android.util.Slog.e("HwAudioService", stringBuilder.toString());
        }
    }

    public int getRingerModeExternal() {
        int ringerMode = super.getRingerModeExternal();
        if (!(ringerMode == 0 || this.mNm == null || this.mNm.getZenMode() == 0)) {
            java.lang.String pkgName = getPackageNameByPid(android.os.Binder.getCallingPid());
            if (!(pkgName == null || this.mZenModeWhiteList == null)) {
                for (java.lang.String temp : this.mZenModeWhiteList) {
                    if (pkgName.equals(temp)) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("Return ringer mode silent for ");
                        stringBuilder.append(pkgName);
                        stringBuilder.append(" under zen mode");
                        android.util.Slog.i("HwAudioService", stringBuilder.toString());
                        return 0;
                    }
                }
            }
        }
        return ringerMode;
    }

    public void setRingerModeExternal(int toRingerMode, java.lang.String caller) {
        boolean shouldControll = isSystemApp(caller) ^ 1;
        if (shouldControll) {
            boolean shouldReport = checkShouldAbortRingerModeChange(caller);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("AudioException setRingerModeExternal shouldReport=");
            stringBuilder.append(shouldReport);
            stringBuilder.append(" uid:");
            stringBuilder.append(android.os.Binder.getCallingUid());
            stringBuilder.append(" caller:");
            stringBuilder.append(caller);
            android.util.Slog.i("HwAudioService", stringBuilder.toString());
        }
        int fromRingerMode = getRingerModeExternal();
        super.setRingerModeExternal(toRingerMode, caller);
        if (fromRingerMode == getRingerModeInternal()) {
            android.util.Slog.d("HwAudioService", "AudioException setRingerModeExternal ,but not change");
            return;
        }
        if (shouldControll) {
            alertUserRingerModeChange(caller, fromRingerMode, toRingerMode);
        }
    }

    private void alertUserRingerModeChange(java.lang.String caller, int fromRingerMode, int ringerMode) {
        sendMsg(this.mAudioHandler, 80, 2, fromRingerMode, ringerMode, new com.android.server.audio.report.AudioExceptionMsg(-2001, caller, getVersionName(caller)), 0);
    }

    private boolean isFirstTimeShow(java.lang.String caller) {
        java.lang.String pkgs = android.provider.Settings.Secure.getStringForUser(this.mContentResolver, "change_ringer_mode_pkgs", -2);
        if (android.text.TextUtils.isEmpty(pkgs)) {
            return true;
        }
        return pkgs.contains(caller) ^ 1;
    }

    private void savePkgNameToDB(java.lang.String caller) {
        if (!android.text.TextUtils.isEmpty(caller)) {
            java.lang.String pkgs = android.provider.Settings.Secure.getStringForUser(this.mContentResolver, "change_ringer_mode_pkgs", -2);
            java.lang.StringBuilder stringBuilder;
            if (android.text.TextUtils.isEmpty(pkgs)) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(caller);
                stringBuilder.append("\\");
                pkgs = stringBuilder.toString();
            } else {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(pkgs);
                stringBuilder.append(caller);
                stringBuilder.append("\\");
                pkgs = stringBuilder.toString();
            }
            android.provider.Settings.Secure.putStringForUser(this.mContentResolver, "change_ringer_mode_pkgs", pkgs, -2);
        }
    }

    private boolean checkShouldAbortRingerModeChange(java.lang.String caller) {
        if (!(isScreenOff() || isKeyguardLocked())) {
            if (isCallerShowing(caller)) {
                return false;
            }
        }
        return true;
    }

    private boolean isKeyguardLocked() {
        android.app.KeyguardManager keyguard = (android.app.KeyguardManager) this.mContext.getSystemService("keyguard");
        if (keyguard != null) {
            return keyguard.isKeyguardLocked();
        }
        return false;
    }

    private boolean isCallerShowing(java.lang.String caller) {
        java.lang.String pkgName = getTopApp();
        if (pkgName != null) {
            return pkgName.startsWith(caller);
        }
        android.util.Slog.e("HwAudioService", "AudioException getTopApp ,but pkgname is null.");
        return false;
    }

    private java.lang.String getTopApp() {
        return ((com.android.server.am.ActivityManagerService) android.os.ServiceManager.getService("activity")).topAppName();
    }

    private boolean isScreenOff() {
        android.os.PowerManager power = (android.os.PowerManager) this.mContext.getSystemService("power");
        if (power != null) {
            return power.isScreenOn() ^ 1;
        }
        return false;
    }

    private boolean isSystemApp(java.lang.String caller) {
        android.content.pm.PackageManager pm = this.mContext.getPackageManager();
        if (pm == null) {
            return false;
        }
        try {
            android.content.pm.ApplicationInfo info = pm.getApplicationInfo(caller, 0);
            if (info == null || (info.flags & 1) == 0) {
                return false;
            }
            return true;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("AudioException not found app:");
            stringBuilder.append(caller);
            android.util.Slog.i("HwAudioService", stringBuilder.toString());
        }
    }

    private void showRingerModeToast(java.lang.String caller, int fromRingerMode, int toRingerMode) {
        int fromResId = getRingerModeStrResId(fromRingerMode);
        int toResId = getRingerModeStrResId(toRingerMode);
        if (fromResId > 0) {
            if (toResId > 0) {
                java.lang.String callerAppName = getApplicationLabel(caller);
                if (this.mRingerModeToast == null) {
                    this.mRingerModeToast = android.widget.Toast.makeText(new android.view.ContextThemeWrapper(this.mContext, this.mContext.getResources().getIdentifier("androidhwext:style/Theme.Emui.Toast", null, null)), "Unknown State", 0);
                }
                try {
                    java.lang.String messageStr = this.mContext.getString(33685819, new java.lang.Object[]{callerAppName, this.mContext.getString(fromResId), this.mContext.getString(toResId)});
                    android.util.Slog.i("HwAudioService", "AudioException showRingerModeToast ");
                    this.mRingerModeToast.setText(messageStr);
                    this.mRingerModeToast.show();
                } catch (java.lang.Exception e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("AudioException showRingerModeToast exception: ");
                    stringBuilder.append(e);
                    android.util.Slog.e("HwAudioService", stringBuilder.toString());
                }
                return;
            }
        }
        android.util.Slog.e("HwAudioService", "AudioException showRingerModeToast resid not found ");
    }

    private void showRingerModeDialog(java.lang.String caller, int fromRingerMode, int toRingerMode) {
        int fromResId = getRingerModeStrResId(fromRingerMode);
        int toResId = getRingerModeStrResId(toRingerMode);
        if (fromResId > 0) {
            if (toResId > 0) {
                java.lang.String callerAppName = getApplicationLabel(caller);
                java.lang.String messageStr = this.mContext.getString(33685819, new java.lang.Object[]{callerAppName, this.mContext.getString(fromResId), this.mContext.getString(toResId)});
                android.app.AlertDialog.Builder builder = new android.app.AlertDialog.Builder(this.mContext, this.mContext.getResources().getIdentifier("androidhwext:style/Theme.Emui.Dialog.Alert", null, null));
                builder.setMessage(messageStr);
                builder.setCancelable(false);
                builder.setPositiveButton(33685821, new android.content.DialogInterface.OnClickListener() {
                    public void onClick(android.content.DialogInterface dialog, int whichButton) {
                        dialog.dismiss();
                    }
                });
                android.app.Dialog dialog = builder.create();
                dialog.getWindow().setType(2003);
                dialog.show();
                android.util.Slog.i("HwAudioService", "AudioException showRingerModeDialog show ");
                this.isShowingDialog = true;
                return;
            }
        }
        android.util.Slog.e("HwAudioService", "AudioException showRingerModeDialog resid not found ");
    }

    private int getRingerModeStrResId(int RingerMode) {
        switch (RingerMode) {
            case 0:
                return 33685823;
            case 1:
                return 33685820;
            case 2:
                return 33685822;
            default:
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("getRingerModeStrResId RingerMode is error.RingerMode =");
                stringBuilder.append(RingerMode);
                android.util.Slog.e("HwAudioService", stringBuilder.toString());
                return 0;
        }
    }

    private static int getCurrentUserId() {
        long ident = android.os.Binder.clearCallingIdentity();
        int i;
        try {
            i = android.app.ActivityManagerNative.getDefault().getCurrentUser().id;
            return i;
        } catch (android.os.RemoteException e) {
            i = "HwAudioService";
            android.util.Slog.w(i, "Activity manager not running, nothing we can do assume user 0.");
            return 0;
        } finally {
            android.os.Binder.restoreCallingIdentity(ident);
        }
    }

    private int getUidByPkg(java.lang.String pkgName) {
        int uid = -1;
        if (pkgName == null) {
            return -1;
        }
        try {
            uid = this.mContext.getPackageManager().getPackageUidAsUser(pkgName, getCurrentUserId());
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("not found uid pkgName:");
            stringBuilder.append(pkgName);
            android.util.Slog.w("HwAudioService", stringBuilder.toString());
        }
        return uid;
    }

    private void updateLowlatencyUidsMap(java.lang.String pkgName, int packageCmdType) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("updateLowlatencyUidsMap ");
        stringBuilder.append(pkgName);
        stringBuilder.append(" packageCmdType ");
        stringBuilder.append(packageCmdType);
        android.util.Slog.i("HwAudioService", stringBuilder.toString());
        switch (packageCmdType) {
            case 1:
                int uid = getUidByPkg(pkgName);
                if (uid != -1) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("AddLowlatencyPkg=");
                    stringBuilder.append(uid);
                    android.media.AudioSystem.setParameters(stringBuilder.toString());
                }
                this.mLowlatencyUidsMap.put(pkgName, java.lang.Integer.valueOf(uid));
                return;
            case 2:
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("RemLowlatencyPkg=");
                stringBuilder2.append(this.mLowlatencyUidsMap.get(pkgName));
                android.media.AudioSystem.setParameters(stringBuilder2.toString());
                this.mLowlatencyUidsMap.remove(pkgName);
                return;
            default:
                return;
        }
    }

    private void initLowlatencyUidsMap() {
        this.mLowlatencyUidsMap.clear();
        java.io.InputStream in = null;
        org.xmlpull.v1.XmlPullParser xmlParser = null;
        try {
            in = new java.io.FileInputStream(new java.io.File("/odm/etc/audio/low_latency/white_list.xml").getPath());
            xmlParser = android.util.Xml.newPullParser();
            xmlParser.setInput(in, null);
        } catch (java.io.FileNotFoundException e) {
            android.util.Slog.e("HwAudioService", "LOW_LATENCY_WHITE_LIST not exist");
        } catch (org.xmlpull.v1.XmlPullParserException e2) {
            android.util.Slog.e("HwAudioService", "LOW_LATENCY_WHITE_LIST can not parse");
        }
        if (xmlParser == null) {
            if (in != null) {
                try {
                    in.close();
                } catch (java.io.IOException e3) {
                    android.util.Slog.e("HwAudioService", "LOW_LATENCY_WHITE_LIST IO Close Fail");
                }
            }
            android.util.Slog.e("HwAudioService", "LOW_LATENCY_WHITE_LIST is null");
            return;
        }
        while (true) {
            try {
                int next = xmlParser.next();
                int eventType = next;
                if (next == 1) {
                    break;
                } else if (eventType == 2 && xmlParser.getName().equals("whiteapp")) {
                    java.lang.String packageName = xmlParser.getAttributeValue(null, "package");
                    if (!(packageName == null || packageName.length() == 0)) {
                        updateLowlatencyUidsMap(packageName, 1);
                    }
                }
            } catch (org.xmlpull.v1.XmlPullParserException e4) {
                android.util.Slog.e("HwAudioService", "XmlPullParserException");
            } catch (java.io.IOException e5) {
                android.util.Slog.e("HwAudioService", "IOException");
            }
        }
        if (in != null) {
            try {
                in.close();
            } catch (java.io.IOException e6) {
                android.util.Slog.e("HwAudioService", "LOW_LATENCY_WHITE_LIST IO Close Fail");
            }
        }
    }

    private boolean isLowlatencyPkg(java.lang.String pkgName) {
        if (this.mLowlatencyUidsMap.get(pkgName) == null || ((java.lang.Integer) this.mLowlatencyUidsMap.get(pkgName)).intValue() == getUidByPkg(pkgName)) {
            return false;
        }
        return true;
    }

    protected void dump(java.io.FileDescriptor fd, java.io.PrintWriter pw, java.lang.String[] args) {
        super.dump(fd, pw, args);
        try {
            this.mContext.enforceCallingOrSelfPermission("android.permission.DUMP", "HwAudioService");
            pw.print("HwAudioService:");
            pw.print("DEBUG =");
            pw.println(DEBUG);
            pw.print("mIsHuaweiSafeMediaConfig =");
            pw.println(mIsHuaweiSafeMediaConfig);
            pw.print("mSecurityVolumeIndex =");
            pw.println(mSecurityVolumeIndex);
            pw.print("LOUD_VOICE_MODE_SUPPORT=");
            pw.println(LOUD_VOICE_MODE_SUPPORT);
            pw.print("Lound Voice State:");
            pw.println(android.media.AudioSystem.getParameters("VOICE_LVM_Enable"));
            pw.print("HW_SOUND_TRIGGER_SUPPORT=");
            pw.println(HW_SOUND_TRIGGER_SUPPORT);
            pw.print("mSoundTriggerStatus=");
            pw.println(this.mSoundTriggerStatus);
            pw.print("mad=on:");
            pw.println(android.media.AudioSystem.getParameters("mad=on"));
            pw.print("wakeup=on:");
            pw.println(android.media.AudioSystem.getParameters("wakeup=on"));
            pw.print("HW_KARAOKE_EFFECT_ENABLED=");
            pw.println(HW_KARAOKE_EFFECT_ENABLED);
            pw.print("isCallForeground=");
            pw.println(isCallForeground);
            pw.print("DUAL_SMARTPA_SUPPORT=");
            pw.println(DUAL_SMARTPA_SUPPORT);
            pw.print("SPK_RCV_STEREO_SUPPORT=");
            pw.println(SPK_RCV_STEREO_SUPPORT);
            pw.print("mSpkRcvStereoStatus=");
            pw.println(this.mSpkRcvStereoStatus);
            pw.print("mLowlatencyUidsMap=");
            pw.println(this.mLowlatencyUidsMap);
            pw.print("mVoipOptimizeInGameMode =");
            pw.println(mVoipOptimizeInGameMode);
        } catch (java.lang.SecurityException e) {
            android.util.Slog.w("HwAudioService", "enforceCallingOrSelfPermission dump failed ");
        }
    }

    private void showDisableMicrophoneToast() {
        android.widget.Toast toast = android.widget.Toast.makeText(new android.view.ContextThemeWrapper(this.mContext, this.mContext.getResources().getIdentifier("androidhwext:style/Theme.Emui.Toast", null, null)), 33685911, 0);
        android.view.WindowManager.LayoutParams windowParams = toast.getWindowParams();
        windowParams.privateFlags |= 16;
        toast.show();
    }

    private void showDisableHeadphoneToast() {
        android.widget.Toast toast = android.widget.Toast.makeText(new android.view.ContextThemeWrapper(this.mContext, this.mContext.getResources().getIdentifier("androidhwext:style/Theme.Emui.Toast", null, null)), 33685913, 0);
        android.view.WindowManager.LayoutParams windowParams = toast.getWindowParams();
        windowParams.privateFlags |= 16;
        toast.show();
    }

    public void setWiredDeviceConnectionState(int type, int state, java.lang.String address, java.lang.String name, java.lang.String caller) {
        if ((-1375700964 & type) == 0) {
            super.setWiredDeviceConnectionState(type, state, address, name, caller);
        } else if (android.hdm.HwDeviceManager.disallowOp(31)) {
            android.util.Slog.i("HwAudioService", "disallow headphone by MDM");
            if (state == 1 && type > 0) {
                sendMsg(this.mAudioHandler, 92, 2, 0, 0, null, 0);
            }
        } else {
            this.mHwAudioServiceEx.updateTypeCNotify(type, state);
            synchronized (this.mConnectedDevices) {
                if (state == 1) {
                    try {
                        this.mHeadphones.add(new com.android.server.audio.HwAudioService.HeadphoneInfo(type, address, name, caller));
                    } catch (Throwable th) {
                    }
                } else {
                    for (int i = 0; i < this.mHeadphones.size(); i++) {
                        if (((com.android.server.audio.HwAudioService.HeadphoneInfo) this.mHeadphones.get(i)).mDeviceType == type) {
                            this.mHeadphones.remove(i);
                            break;
                        }
                    }
                }
                super.setWiredDeviceConnectionState(type, state, address, name, caller);
            }
        }
    }

    private void disableHeadPhone() {
        synchronized (this.mConnectedDevices) {
            for (int i = 0; i < this.mHeadphones.size(); i++) {
                com.android.server.audio.HwAudioService.HeadphoneInfo info = (com.android.server.audio.HwAudioService.HeadphoneInfo) this.mHeadphones.get(i);
                super.setWiredDeviceConnectionState(info.mDeviceType, 0, info.mDeviceAddress, info.mDeviceName, info.mCaller);
            }
            this.mHeadphones.clear();
        }
    }

    /* JADX WARNING: Missing block: B:14:0x002f, code:
            if (r2 == null) goto L_0x0039;
     */
    /* JADX WARNING: Missing block: B:16:?, code:
            r0.notifyIncallModeChange(r2.getPid(), r1);
     */
    /* JADX WARNING: Missing block: B:17:0x0039, code:
            r0.notifyIncallModeChange(0, 0);
     */
    protected void updateAftPolicy() {
        /*
        r7 = this;
        r0 = android.aft.HwAftPolicyManager.getService();
        if (r0 != 0) goto L_0x0007;
    L_0x0006:
        return;
    L_0x0007:
        r1 = r7.getMode();	 Catch:{ RemoteException -> 0x0040 }
        r2 = 0;
        r3 = r7.mSetModeDeathHandlers;	 Catch:{ RemoteException -> 0x0040 }
        monitor-enter(r3);	 Catch:{ RemoteException -> 0x0040 }
        r4 = r7.mSetModeDeathHandlers;	 Catch:{ all -> 0x003d }
        r4 = r4.isEmpty();	 Catch:{ all -> 0x003d }
        r5 = 0;
        if (r4 == 0) goto L_0x0025;
    L_0x0018:
        r4 = "HwAudioService";
        r6 = "updateAftPolicy SetModeDeathHandlers is empty, trun off aft";
        android.util.Slog.i(r4, r6);	 Catch:{ all -> 0x003d }
        r0.notifyIncallModeChange(r5, r5);	 Catch:{ all -> 0x003d }
        monitor-exit(r3);	 Catch:{ all -> 0x003d }
        return;
    L_0x0025:
        r4 = r7.mSetModeDeathHandlers;	 Catch:{ all -> 0x003d }
        r4 = r4.get(r5);	 Catch:{ all -> 0x003d }
        r4 = (com.android.server.audio.AudioService.SetModeDeathHandler) r4;	 Catch:{ all -> 0x003d }
        r2 = r4;
        monitor-exit(r3);	 Catch:{ all -> 0x003d }
        if (r2 == 0) goto L_0x0039;
    L_0x0031:
        r3 = r2.getPid();	 Catch:{ RemoteException -> 0x0040 }
        r0.notifyIncallModeChange(r3, r1);	 Catch:{ RemoteException -> 0x0040 }
        goto L_0x003c;
    L_0x0039:
        r0.notifyIncallModeChange(r5, r5);	 Catch:{ RemoteException -> 0x0040 }
    L_0x003c:
        goto L_0x0057;
    L_0x003d:
        r4 = move-exception;
        monitor-exit(r3);	 Catch:{ all -> 0x003d }
        throw r4;	 Catch:{ RemoteException -> 0x0040 }
    L_0x0040:
        r1 = move-exception;
        r2 = "HwAudioService";
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r4 = "binder call throw ";
        r3.append(r4);
        r3.append(r1);
        r3 = r3.toString();
        android.util.Slog.e(r2, r3);
    L_0x0057:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.audio.HwAudioService.updateAftPolicy():void");
    }

    private void desktopModeChanged(int desktopMode) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("desktopModeChanged desktopMode = ");
        stringBuilder.append(desktopMode);
        android.util.Slog.v("HwAudioService", stringBuilder.toString());
        if (this.mDesktopMode != desktopMode) {
            this.mDesktopMode = desktopMode;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("");
            stringBuilder.append(desktopMode);
            android.os.SystemProperties.set("sys.desktop.mode", stringBuilder.toString());
            com.android.server.audio.MediaFocusControl mediaFocusControl = this.mMediaFocusControl;
            boolean z = true;
            if (this.mDesktopMode != 1) {
                z = false;
            }
            mediaFocusControl.desktopModeChanged(z);
        }
    }

    public int trackPlayer(android.media.PlayerBase.PlayerIdCard pic) {
        if (this.mDesktopMode == 1) {
            pic.setPkgName(getPackageNameByPid(android.os.Binder.getCallingPid()));
        }
        return super.trackPlayer(pic);
    }

    public void playerEvent(int piid, int event) {
        super.playerEvent(piid, event);
        this.mHwAudioServiceEx.notifyHiResIcon(event);
        recordLastPlaybackTime(piid, event);
        recoverFromExceptionMode(event);
    }

    private void recoverFromExceptionMode(int event) {
        if (event == 2) {
            com.android.server.audio.AudioService.SetModeDeathHandler hdlr = setMode3Handler();
            if (hdlr != null) {
                java.util.List<android.media.AudioPlaybackConfiguration> list = this.mPlaybackMonitor.getActivePlaybackConfigurations(true);
                int i = 0;
                while (i < list.size()) {
                    android.media.AudioPlaybackConfiguration conf = (android.media.AudioPlaybackConfiguration) list.get(i);
                    if ((conf.getPlayerState() != 2 && conf.getPlayerState() != 3) || conf.getClientPid() != hdlr.getPid()) {
                        i++;
                    } else {
                        return;
                    }
                }
                i = -1;
                java.lang.String recordPid = android.media.AudioSystem.getParameters("active_record_pid");
                if (recordPid != null) {
                    try {
                        i = java.lang.Integer.parseInt(recordPid);
                    } catch (java.lang.NumberFormatException e) {
                        java.lang.NumberFormatException numberFormatException = e;
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("NumberFormatException: ");
                        stringBuilder.append(recordPid);
                        android.util.Slog.v("HwAudioService", stringBuilder.toString());
                    }
                }
                long recoverTime = java.lang.System.currentTimeMillis();
                boolean needRecoverForRecord = recoverTime - this.mLastStopAudioRecordTime > 5000;
                boolean needRecoverForPlay = recoverTime - this.mLastStopPlayBackTime > 5000;
                boolean isSetModeTimePassBy = recoverTime - this.mLastSetMode3Time > 5000;
                if (i != hdlr.getPid() && needRecoverForRecord && needRecoverForPlay && isSetModeTimePassBy) {
                    long token = android.os.Binder.clearCallingIdentity();
                    try {
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("mLastStopAudioRecordTime: ");
                        stringBuilder2.append(this.mLastStopAudioRecordTime);
                        stringBuilder2.append(" mLastStopPlayBackTime: ");
                        stringBuilder2.append(this.mLastStopPlayBackTime);
                        stringBuilder2.append(" mLastSetMode3Time: ");
                        stringBuilder2.append(this.mLastSetMode3Time);
                        stringBuilder2.append(" pid: ");
                        stringBuilder2.append(hdlr.getPid());
                        stringBuilder2.append(" PkgName: ");
                        stringBuilder2.append(getPackageNameByPid(hdlr.getPid()));
                        android.util.Slog.v("HwAudioService", stringBuilder2.toString());
                        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                        stringBuilder3.append("OAE6:");
                        stringBuilder3.append(hdlr.getPid());
                        stringBuilder3.append(" :");
                        stringBuilder3.append(getPackageNameByPid(hdlr.getPid()));
                        android.media.HwMediaMonitorManager.writeLogMsg(916010201, 3, -1001, stringBuilder3.toString());
                    } finally {
                        android.os.Binder.restoreCallingIdentity(token);
                    }
                }
            }
        }
    }

    private com.android.server.audio.AudioService.SetModeDeathHandler setMode3Handler() {
        if (this.mSetModeDeathHandlers == null) {
            return null;
        }
        try {
            java.util.Iterator iter = this.mSetModeDeathHandlers.iterator();
            while (iter.hasNext()) {
                com.android.server.audio.AudioService.SetModeDeathHandler object = iter.next();
                if (object instanceof com.android.server.audio.AudioService.SetModeDeathHandler) {
                    com.android.server.audio.AudioService.SetModeDeathHandler hdlr = object;
                    if (hdlr != null && hdlr.getMode() == 3) {
                        return hdlr;
                    }
                }
            }
        } catch (java.util.ConcurrentModificationException e) {
            android.util.Slog.i("HwAudioService", "Exist ConcurrentModificationException", e);
        } catch (java.lang.Exception e2) {
            android.util.Slog.i("HwAudioService", "Exception: ", e2);
        }
        return null;
    }

    private void recordLastRecordTime(int state, int pid) {
        if (state == 1) {
            com.android.server.audio.AudioService.SetModeDeathHandler hdlr = setMode3Handler();
            if (hdlr != null && hdlr.getPid() == pid) {
                this.mLastStopAudioRecordTime = java.lang.System.currentTimeMillis();
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("mLastStopAudioRecordTime: ");
                stringBuilder.append(this.mLastStopAudioRecordTime);
                android.util.Slog.i("HwAudioService", stringBuilder.toString());
            }
        }
    }

    private void recordLastPlaybackTime(int piid, int event) {
        if (event == 4) {
            com.android.server.audio.AudioService.SetModeDeathHandler hdlr = setMode3Handler();
            if (hdlr != null) {
                java.util.List<android.media.AudioPlaybackConfiguration> list = this.mPlaybackMonitor.getActivePlaybackConfigurations(true);
                int playbackNumber = list.size();
                for (int i = 0; i < playbackNumber; i++) {
                    android.media.AudioPlaybackConfiguration conf = (android.media.AudioPlaybackConfiguration) list.get(i);
                    if (conf != null && conf.getPlayerState() == 4 && conf.getClientPid() == hdlr.getPid() && conf.getPlayerInterfaceId() == piid) {
                        this.mLastStopPlayBackTime = java.lang.System.currentTimeMillis();
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("mLastStopPlayBackTime: ");
                        stringBuilder.append(this.mLastStopPlayBackTime);
                        android.util.Slog.i("HwAudioService", stringBuilder.toString());
                        break;
                    }
                }
            }
        }
    }

    public void setMode(int mode, android.os.IBinder cb, java.lang.String callingPackage) {
        if (SUPPORT_GAME_MODE) {
            if (mode == 1 && this.IS_IN_GAMEMODE) {
                this.mHwAudioServiceEx.setDolbyEffect(0);
            } else if (mode == 0 && this.IS_IN_GAMEMODE) {
                this.mHwAudioServiceEx.setDolbyEffect(3);
            }
        }
        super.setMode(mode, cb, callingPackage);
        com.android.server.audio.AudioService.SetModeDeathHandler hdlr = setMode3Handler();
        if (hdlr != null) {
            if (mode == 3) {
                if (hdlr.getBinder() == cb) {
                    this.mLastSetMode3Time = java.lang.System.currentTimeMillis();
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("mLastSetMode3Time: ");
                    stringBuilder.append(this.mLastSetMode3Time);
                    android.util.Slog.i("HwAudioService", stringBuilder.toString());
                }
            }
        }
    }

    private void bindIAwareSdk() {
        android.rms.iaware.IAwareSdk.rigsterForegroundAppTypeWithCallback(new com.android.server.audio.HwAudioService.ForeAppTypeListener());
        android.util.Slog.i("HwAudioService", "Intent.ACTION_BOOT_COMPLETED rigsterForegroundAppTypeWithCallback ForeAppTypeListener");
        android.os.IBinder b = android.os.ServiceManager.getService("IAwareSdkService");
        if (b != null) {
            try {
                b.linkToDeath(new android.os.IBinder.DeathRecipient() {
                    public void binderDied() {
                        com.android.server.audio.HwAudioService.this.bindIAwareSdk();
                    }
                }, 0);
            } catch (android.os.RemoteException e) {
                android.util.Slog.e("HwAudioService", "IAwareSdkService linkToDeath error");
            }
            return;
        }
        android.util.Slog.e("HwAudioService", "IAwareSdkService getService is null");
    }
}
