package com.android.server.camera;

public class HwCameraServiceProxy implements com.android.server.camera.IHwCameraServiceProxy {
    private static final java.lang.String TAG = "HwCameraServiceProxy";
    private android.content.BroadcastReceiver coverStateReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (intent == null) {
                android.util.Slog.w("HwCameraServiceProxy", "onReceive, the intent is null!");
                return;
            }
            android.util.Slog.w("HwCameraServiceProxy", "onReceive");
            com.android.server.camera.HwCameraServiceProxy.this.dismissSlidedownTip();
        }
    };
    private android.view.Window dialogWindow;
    private android.os.Handler handler;
    private android.view.View imageView;
    private android.content.IntentFilter intentFilter = null;
    private android.cover.IHallCallback.Stub mCallback = new android.cover.IHallCallback.Stub() {
        public void onStateChange(android.cover.HallState hallState) {
            if (hallState.state == 2) {
                android.util.Slog.w("HwCameraServiceProxy", "hallState SLIDE_HALL_OPEN");
                com.android.server.camera.HwCameraServiceProxy.this.dismissSlidedownTip();
            }
        }
    };
    private final android.content.Context mContext;
    private android.cover.CoverManager mCoverManager;
    private boolean ret = false;
    private android.app.Dialog tipDialog;

    public HwCameraServiceProxy(android.content.Context context) {
        this.mContext = context;
        this.mCoverManager = new android.cover.CoverManager();
        this.handler = new android.os.Handler(android.os.Looper.getMainLooper());
        this.handler.post(new java.lang.Runnable() {
            public void run() {
                if (com.android.server.camera.HwCameraServiceProxy.this.mContext != null) {
                    if (com.android.server.camera.HwCameraServiceProxy.this.mCoverManager != null) {
                        com.android.server.camera.HwCameraServiceProxy.this.tipDialog = new android.app.Dialog(com.android.server.camera.HwCameraServiceProxy.this.mContext.getApplicationContext());
                        com.android.server.camera.HwCameraServiceProxy.this.tipDialog.requestWindowFeature(1);
                        com.android.server.camera.HwCameraServiceProxy.this.tipDialog.setContentView(34013296);
                        com.android.server.camera.HwCameraServiceProxy.this.tipDialog.setCanceledOnTouchOutside(true);
                        com.android.server.camera.HwCameraServiceProxy.this.dialogWindow = com.android.server.camera.HwCameraServiceProxy.this.tipDialog.getWindow();
                        com.android.server.camera.HwCameraServiceProxy.this.dialogWindow.setType(2009);
                        com.android.server.camera.HwCameraServiceProxy.this.dialogWindow.setGravity(48);
                        com.android.server.camera.HwCameraServiceProxy.this.dialogWindow.setBackgroundDrawable(new android.graphics.drawable.ColorDrawable(0));
                        com.android.server.camera.HwCameraServiceProxy.this.dialogWindow.addFlags(524288);
                        com.android.server.camera.HwCameraServiceProxy.this.intentFilter = new android.content.IntentFilter();
                        com.android.server.camera.HwCameraServiceProxy.this.intentFilter.addAction("android.intent.action.SCREEN_OFF");
                        com.android.server.camera.HwCameraServiceProxy.this.intentFilter.addAction("android.intent.action.CLOSE_SYSTEM_DIALOGS");
                        com.android.server.camera.HwCameraServiceProxy.this.tipDialog.setOnKeyListener(new android.content.DialogInterface.OnKeyListener() {
                            public boolean onKey(android.content.DialogInterface dialog, int keyCode, android.view.KeyEvent event) {
                                if (keyCode == 4) {
                                    android.util.Slog.w("HwCameraServiceProxy", "onKeyBack");
                                    com.android.server.camera.HwCameraServiceProxy.this.dismissSlidedownTip();
                                }
                                return false;
                            }
                        });
                        return;
                    }
                }
                android.util.Slog.w("HwCameraServiceProxy", "Context == null or coverManager == null");
            }
        });
    }

    public void setType(final int type) {
        this.handler.post(new java.lang.Runnable() {
            public void run() {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("setType ");
                stringBuilder.append(type);
                android.util.Slog.w("HwCameraServiceProxy", stringBuilder.toString());
                if (com.android.server.camera.HwCameraServiceProxy.this.tipDialog == null) {
                    android.util.Slog.w("HwCameraServiceProxy", "tipDialog = null");
                    return;
                }
                if (com.android.server.camera.HwCameraServiceProxy.this.imageView == null) {
                    com.android.server.camera.HwCameraServiceProxy.this.imageView = com.android.server.camera.HwCameraServiceProxy.this.tipDialog.findViewById(34603060);
                    if (com.android.server.camera.HwCameraServiceProxy.this.imageView == null) {
                        return;
                    }
                }
                if (type == 0) {
                    com.android.server.camera.HwCameraServiceProxy.this.imageView.setVisibility(0);
                } else {
                    com.android.server.camera.HwCameraServiceProxy.this.imageView.setVisibility(8);
                }
            }
        });
    }

    public void regesiterService() {
        android.util.Slog.w("HwCameraServiceProxy", "regesiterService begin");
        this.ret = this.mCoverManager.registerHallCallback("cameraserver", 1, this.mCallback);
        android.util.Slog.w("HwCameraServiceProxy", "regesiterService end");
    }

    public void showSlidedownTip() {
        if (!this.ret) {
            android.util.Slog.w("HwCameraServiceProxy", "registerHallCallback fail!");
        }
        this.handler.post(new java.lang.Runnable() {
            public void run() {
                if (com.android.server.camera.HwCameraServiceProxy.this.tipDialog != null && !com.android.server.camera.HwCameraServiceProxy.this.tipDialog.isShowing() && com.android.server.camera.HwCameraServiceProxy.this.mContext != null) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("show tipDialog = ");
                    stringBuilder.append(com.android.server.camera.HwCameraServiceProxy.this.tipDialog.toString());
                    android.util.Slog.w("HwCameraServiceProxy", stringBuilder.toString());
                    com.android.server.camera.HwCameraServiceProxy.this.mContext.registerReceiver(com.android.server.camera.HwCameraServiceProxy.this.coverStateReceiver, com.android.server.camera.HwCameraServiceProxy.this.intentFilter);
                    com.android.server.camera.HwCameraServiceProxy.this.tipDialog.show();
                }
            }
        });
    }

    public void dismissSlidedownTip() {
        this.handler.post(new java.lang.Runnable() {
            public void run() {
                if (com.android.server.camera.HwCameraServiceProxy.this.tipDialog == null || !com.android.server.camera.HwCameraServiceProxy.this.tipDialog.isShowing()) {
                    android.util.Slog.w("HwCameraServiceProxy", "tipDialog = null");
                    return;
                }
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("dismiss tipDialog = ");
                stringBuilder.append(com.android.server.camera.HwCameraServiceProxy.this.tipDialog.toString());
                android.util.Slog.w("HwCameraServiceProxy", stringBuilder.toString());
                com.android.server.camera.HwCameraServiceProxy.this.tipDialog.dismiss();
            }
        });
    }

    public void unRegesiterService() {
        android.util.Slog.w("HwCameraServiceProxy", "unRegesiterService begin");
        dismissSlidedownTip();
        this.handler.post(new java.lang.Runnable() {
            public void run() {
                try {
                    if (!(com.android.server.camera.HwCameraServiceProxy.this.coverStateReceiver == null || com.android.server.camera.HwCameraServiceProxy.this.mContext == null)) {
                        android.util.Slog.w("HwCameraServiceProxy", "coverStateReceiver.unregisterReceiver begin");
                        com.android.server.camera.HwCameraServiceProxy.this.mContext.unregisterReceiver(com.android.server.camera.HwCameraServiceProxy.this.coverStateReceiver);
                        com.android.server.camera.HwCameraServiceProxy.this.coverStateReceiver = null;
                        android.util.Slog.w("HwCameraServiceProxy", "coverStateReceiver.unregisterReceiver end");
                    }
                } catch (java.lang.IllegalArgumentException e) {
                    android.util.Slog.d("HwCameraServiceProxy", e.getMessage());
                    android.util.Slog.w("HwCameraServiceProxy", "coverStateReceiver.unregisterReceiver end with error");
                }
            }
        });
        this.mCoverManager.unRegisterHallCallbackEx(1, this.mCallback);
        android.util.Slog.w("HwCameraServiceProxy", "unRegesiterService end");
    }
}
