package com.android.server.connectivity;

public class HwNotificationTetheringImpl implements com.android.server.connectivity.HwNotificationTethering {
    private static final java.lang.String ACTION_CONNECTION_STATE_CHANGED = "android.bluetooth.pan.profile.action.CONNECTION_STATE_CHANGED";
    private static final java.lang.String ACTION_WIFI_AP_STA_JOIN = "android.net.wifi.WIFI_AP_STA_JOIN";
    private static final java.lang.String ACTION_WIFI_AP_STA_LEAVE = "android.net.wifi.WIFI_AP_STA_LEAVE";
    private static final boolean DBG = HWFLOW;
    private static final java.lang.String EXTRA_BLUETOOTH_PAN_PROFILE_CONNECTEED_SIZE = "bluetooth_pan_profile_connected_size";
    private static final java.lang.String EXTRA_STA_COUNT = "staCount";
    private static final java.lang.String EXTRA_WIFI_REPEATER_CLIENTS_SIZE = "wifi_repeater_clients_size";
    protected static final boolean HWFLOW;
    private static final java.lang.String IDLE_WIFI_TETHER_ALARM_TAG = "HwCustTethering IDLE_WIFI_TETHER";
    private static final int IDLE_WIFI_TETHER_DELAY = 600000;
    private static final int NOTIFICATION_TYPE_BLUETOOTH = 2;
    private static final int NOTIFICATION_TYPE_MULTIPLE = 4;
    private static final int NOTIFICATION_TYPE_NONE = -1;
    private static final int NOTIFICATION_TYPE_P2P = 3;
    private static final int NOTIFICATION_TYPE_STOP_AP = 5;
    private static final int NOTIFICATION_TYPE_USB = 1;
    private static final int NOTIFICATION_TYPE_WIFI = 0;
    private static final int POWER_OFF = 0;
    private static final java.lang.String START_TETHER_ACTION = "com.huawei.server.connectivity.action.START_TETHER";
    private static final java.lang.String START_TETHER_PERMISSION = "com.android.server.connectivity.permission.START_TETHERING";
    private static final java.lang.String TAG = "HwCustTethering";
    private static final java.lang.String WIFI_REPEATER_CLIENTS_CHANGED_ACTION = "com.huawei.wifi.action.WIFI_REPEATER_CLIENTS_CHANGED";
    private static final java.lang.Object tetheredLock = new java.lang.Object();
    private android.app.AlarmManager mAlarmManager;
    private int mBluetoothUsbNum;
    private android.content.Context mContext;
    android.app.AlarmManager.OnAlarmListener mIdleApAlarmListener = new android.app.AlarmManager.OnAlarmListener() {
        public void onAlarm() {
            com.android.server.connectivity.HwNotificationTetheringImpl.this.mSetIdleAlarm = false;
            if (com.android.server.connectivity.HwNotificationTetheringImpl.this.mPluggedType == 0) {
                com.android.server.connectivity.HwNotificationTetheringImpl.this.stopTethering(0);
                android.util.Log.d("HwCustTethering", "WIFI_TETHER was in idle for 10 minutes, stop tethering, show notification");
                com.android.server.connectivity.HwNotificationTetheringImpl.this.showStopWifiTetherNotification();
            }
        }
    };
    private android.app.NotificationManager mNotificationManager;
    private int mP2pConnectNum;
    private boolean mP2pTethered;
    private android.app.PendingIntent mPi;
    private int mPluggedType = -1;
    private volatile boolean mSetIdleAlarm = false;
    private com.android.server.connectivity.HwNotificationTetheringImpl.OnStartTetheringCallback mStartTetheringCallback;
    private android.app.Notification mStopApNotification;
    private boolean mSupportWifiRepeater;
    private android.app.Notification mTetheredNotification;
    private int[] mTetheredRecord = new int[]{0, 0, 0, 0};
    private int mTotalNum;
    private int mWifiConnectNum;
    private boolean mWifiTetherd;

    private class BluetoothPanProfileConnectNumReceiver extends android.content.BroadcastReceiver {
        private BluetoothPanProfileConnectNumReceiver() {
        }

        /* synthetic */ BluetoothPanProfileConnectNumReceiver(com.android.server.connectivity.HwNotificationTetheringImpl x0, com.android.server.connectivity.HwNotificationTetheringImpl.AnonymousClass1 x1) {
            this();
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            int bluetoothConnectNum = intent.getIntExtra("bluetooth_pan_profile_connected_size", 0);
            if (com.android.server.connectivity.HwNotificationTetheringImpl.DBG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("BluetoothPanProfileConnectNumReceiver bluetoothConnectNum = ");
                stringBuilder.append(bluetoothConnectNum);
                android.util.Log.d("HwCustTethering", stringBuilder.toString());
            }
            if (com.android.server.connectivity.HwNotificationTetheringImpl.this.mTetheredNotification != null && com.android.server.connectivity.HwNotificationTetheringImpl.this.mBluetoothUsbNum != bluetoothConnectNum) {
                com.android.server.connectivity.HwNotificationTetheringImpl.this.mBluetoothUsbNum = bluetoothConnectNum;
                com.android.server.connectivity.HwNotificationTetheringImpl.this.showTetheredNotificationWithNumbers(2);
            }
        }
    }

    static final class OnStartTetheringCallback extends android.net.ConnectivityManager.OnStartTetheringCallback {
        OnStartTetheringCallback() {
        }

        public void onTetheringStarted() {
        }

        public void onTetheringFailed() {
            android.util.Log.e("HwCustTethering", "WIFI tethering FAILED!");
        }
    }

    private class P2pConnectNumReceiver extends android.content.BroadcastReceiver {
        private P2pConnectNumReceiver() {
        }

        /* synthetic */ P2pConnectNumReceiver(com.android.server.connectivity.HwNotificationTetheringImpl x0, com.android.server.connectivity.HwNotificationTetheringImpl.AnonymousClass1 x1) {
            this();
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onReceive: ");
            stringBuilder.append(intent.getAction());
            android.util.Log.d("HwCustTethering", stringBuilder.toString());
            int p2pConnectNum = intent.getIntExtra("wifi_repeater_clients_size", 0);
            if (com.android.server.connectivity.HwNotificationTetheringImpl.this.mTetheredNotification != null && com.android.server.connectivity.HwNotificationTetheringImpl.this.mP2pTethered && com.android.server.connectivity.HwNotificationTetheringImpl.this.mP2pConnectNum != p2pConnectNum) {
                com.android.server.connectivity.HwNotificationTetheringImpl.this.mP2pConnectNum = p2pConnectNum;
                com.android.server.connectivity.HwNotificationTetheringImpl.this.showTetheredNotificationWithNumbers(3);
            }
        }
    }

    private class WifiConnectNumReceiver extends android.content.BroadcastReceiver {
        private WifiConnectNumReceiver() {
        }

        /* synthetic */ WifiConnectNumReceiver(com.android.server.connectivity.HwNotificationTetheringImpl x0, com.android.server.connectivity.HwNotificationTetheringImpl.AnonymousClass1 x1) {
            this();
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onReceive: ");
            stringBuilder.append(intent.getAction());
            android.util.Log.d("HwCustTethering", stringBuilder.toString());
            int wifiConnectNum = intent.getIntExtra("staCount", 0);
            if (com.android.server.connectivity.HwNotificationTetheringImpl.this.mTetheredNotification != null && com.android.server.connectivity.HwNotificationTetheringImpl.this.mWifiTetherd && com.android.server.connectivity.HwNotificationTetheringImpl.this.mWifiConnectNum != wifiConnectNum) {
                com.android.server.connectivity.HwNotificationTetheringImpl.this.mWifiConnectNum = wifiConnectNum;
                com.android.server.connectivity.HwNotificationTetheringImpl.this.showTetheredNotificationWithNumbers(0);
            }
        }
    }

    static {
        boolean z;
        if (!android.util.Log.HWINFO) {
            if (!android.util.Log.HWModuleLog || !android.util.Log.isLoggable("HwCustTethering", 4)) {
                z = false;
                HWFLOW = z;
            }
        }
        z = true;
        HWFLOW = z;
    }

    public HwNotificationTetheringImpl(android.content.Context context) {
        this.mContext = context;
        this.mNotificationManager = (android.app.NotificationManager) this.mContext.getSystemService("notification");
        this.mAlarmManager = (android.app.AlarmManager) this.mContext.getSystemService("alarm");
        initConfigs();
        registerConnectNumReceiver();
        registerStartTetherReceiver();
        if (!isSoftApCust()) {
            registerPluggedTypeReceiver();
        }
    }

    private void initConfigs() {
        this.mSupportWifiRepeater = android.os.SystemProperties.getBoolean("ro.config.hw_wifibridge", false);
    }

    private void registerConnectNumReceiver() {
        if (this.mSupportWifiRepeater) {
            this.mContext.registerReceiver(new com.android.server.connectivity.HwNotificationTetheringImpl.P2pConnectNumReceiver(this, null), new android.content.IntentFilter("com.huawei.wifi.action.WIFI_REPEATER_CLIENTS_CHANGED"));
        }
        android.content.BroadcastReceiver receiver = new com.android.server.connectivity.HwNotificationTetheringImpl.WifiConnectNumReceiver(this, null);
        android.content.IntentFilter filter = new android.content.IntentFilter();
        filter.addAction("android.net.wifi.WIFI_AP_STA_JOIN");
        filter.addAction("android.net.wifi.WIFI_AP_STA_LEAVE");
        this.mContext.registerReceiver(receiver, filter);
        this.mContext.registerReceiver(new com.android.server.connectivity.HwNotificationTetheringImpl.BluetoothPanProfileConnectNumReceiver(this, null), new android.content.IntentFilter("android.bluetooth.pan.profile.action.CONNECTION_STATE_CHANGED"));
    }

    private void registerStartTetherReceiver() {
        this.mStartTetheringCallback = new com.android.server.connectivity.HwNotificationTetheringImpl.OnStartTetheringCallback();
        this.mContext.registerReceiver(new android.content.BroadcastReceiver() {
            public void onReceive(android.content.Context context, android.content.Intent intent) {
                if ("com.huawei.server.connectivity.action.START_TETHER".equals(intent.getAction())) {
                    android.util.Log.d("HwCustTethering", "receive start tether action");
                    ((android.net.ConnectivityManager) com.android.server.connectivity.HwNotificationTetheringImpl.this.mContext.getSystemService("connectivity")).startTethering(0, false, com.android.server.connectivity.HwNotificationTetheringImpl.this.mStartTetheringCallback);
                    com.android.server.connectivity.HwNotificationTetheringImpl.this.clearStopApNotification();
                }
            }
        }, new android.content.IntentFilter("com.huawei.server.connectivity.action.START_TETHER"), "com.android.server.connectivity.permission.START_TETHERING", null);
    }

    private void registerPluggedTypeReceiver() {
        android.content.IntentFilter filter = new android.content.IntentFilter();
        filter.addAction("android.intent.action.BATTERY_CHANGED");
        this.mContext.registerReceiver(new android.content.BroadcastReceiver() {
            public void onReceive(android.content.Context context, android.content.Intent intent) {
                if ("android.intent.action.BATTERY_CHANGED".equals(intent.getAction())) {
                    int temp = intent.getIntExtra("plugged", 0);
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("new plugged:");
                    stringBuilder.append(temp);
                    stringBuilder.append(", current plugged:");
                    stringBuilder.append(com.android.server.connectivity.HwNotificationTetheringImpl.this.mPluggedType);
                    android.util.Log.d("HwCustTethering", stringBuilder.toString());
                    if (com.android.server.connectivity.HwNotificationTetheringImpl.this.mPluggedType != temp) {
                        com.android.server.connectivity.HwNotificationTetheringImpl.this.mPluggedType = temp;
                        if (com.android.server.connectivity.HwNotificationTetheringImpl.this.mPluggedType != 0) {
                            com.android.server.connectivity.HwNotificationTetheringImpl.this.mSetIdleAlarm = false;
                            com.android.server.connectivity.HwNotificationTetheringImpl.this.mAlarmManager.cancel(com.android.server.connectivity.HwNotificationTetheringImpl.this.mIdleApAlarmListener);
                        } else if (com.android.server.connectivity.HwNotificationTetheringImpl.this.mWifiTetherd && com.android.server.connectivity.HwNotificationTetheringImpl.this.mWifiConnectNum <= 0) {
                            android.util.Log.d("HwCustTethering", "reset IDLE_WIFI_TETHER alarm");
                            com.android.server.connectivity.HwNotificationTetheringImpl.this.mAlarmManager.cancel(com.android.server.connectivity.HwNotificationTetheringImpl.this.mIdleApAlarmListener);
                            com.android.server.connectivity.HwNotificationTetheringImpl.this.mSetIdleAlarm = true;
                            com.android.server.connectivity.HwNotificationTetheringImpl.this.mAlarmManager.setExact(2, android.os.SystemClock.elapsedRealtime() + 600000, "HwCustTethering IDLE_WIFI_TETHER", com.android.server.connectivity.HwNotificationTetheringImpl.this.mIdleApAlarmListener, null);
                        }
                    }
                }
            }
        }, filter);
    }

    private void sendNotification(boolean shouldForceUpdate) {
        int totalNum = this.mBluetoothUsbNum + this.mWifiConnectNum;
        if (DBG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sendNumberChangeNotification:");
            stringBuilder.append(totalNum);
            android.util.Log.d("HwCustTethering", stringBuilder.toString());
        }
        if (shouldForceUpdate || this.mTotalNum != totalNum) {
            this.mTotalNum = totalNum;
            android.app.Notification tempTetheredNotification = this.mTetheredNotification;
            if (tempTetheredNotification != null) {
                this.mNotificationManager.cancelAsUser(null, tempTetheredNotification.icon, android.os.UserHandle.ALL);
                java.lang.CharSequence title = null;
                java.lang.CharSequence message = null;
                if (this.mWifiConnectNum > 0 && this.mBluetoothUsbNum == 0) {
                    android.content.res.Resources r = android.content.res.Resources.getSystem();
                    title = this.mContext.getString(33685840);
                    message = r.getQuantityString(34406400, this.mWifiConnectNum, new java.lang.Object[]{java.lang.Integer.valueOf(this.mWifiConnectNum)});
                }
                tempTetheredNotification.tickerText = title;
                tempTetheredNotification.setLatestEventInfo(this.mContext, title, message, this.mPi);
                this.mNotificationManager.notifyAsUser(null, tempTetheredNotification.icon, tempTetheredNotification, android.os.UserHandle.ALL);
            }
        }
    }

    @java.lang.Deprecated
    public int getTetheredIcon(boolean usbTethered, boolean wifiTethered, boolean bluetoothTethered, boolean p2pTethered) {
        return 0;
    }

    @java.lang.Deprecated
    public void setTetheringNumber(boolean wifiTethered, boolean usbTethered, boolean bluetoothTethered) {
    }

    public void setTetheringNumber(java.util.List<java.lang.String> tetheringNumbers) {
        boolean p2pTethered = tetheringNumbers.contains("p2p");
        if (this.mSupportWifiRepeater) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setTetheringNumber: p2pTethered = ");
            stringBuilder.append(p2pTethered);
            android.util.Log.d("HwCustTethering", stringBuilder.toString());
            this.mP2pTethered = p2pTethered;
            if (!this.mP2pTethered) {
                this.mP2pConnectNum = 0;
            }
        }
        boolean wifiTethered = tetheringNumbers.contains("wifi");
        boolean usbTethered = tetheringNumbers.contains("usb");
        boolean bluetoothTethered = tetheringNumbers.contains("bluetooth");
        if (DBG) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("wifiTethered:");
            stringBuilder2.append(wifiTethered);
            stringBuilder2.append(" usbTethered:");
            stringBuilder2.append(usbTethered);
            stringBuilder2.append(" bluetoothTethered:");
            stringBuilder2.append(bluetoothTethered);
            android.util.Log.d("HwCustTethering", stringBuilder2.toString());
        }
        this.mBluetoothUsbNum = 0;
        if (usbTethered) {
            this.mBluetoothUsbNum = 1;
        }
        if (bluetoothTethered) {
            this.mBluetoothUsbNum++;
        }
        this.mWifiTetherd = wifiTethered;
        if (!this.mWifiTetherd) {
            this.mWifiConnectNum = 0;
        }
    }

    @java.lang.Deprecated
    public boolean sendTetherNotification(android.app.Notification tetheredNotification, java.lang.CharSequence title, java.lang.CharSequence message, android.app.PendingIntent pi) {
        return false;
    }

    public void sendTetherNotification() {
        sendNotification(false);
    }

    public void clearTetheredNotification() {
        synchronized (tetheredLock) {
            if (DBG) {
                android.util.Log.d("HwCustTethering", "clearTetheredNotification");
            }
            this.mTetheredNotification = null;
            this.mSetIdleAlarm = false;
            this.mAlarmManager.cancel(this.mIdleApAlarmListener);
        }
    }

    private void resetTetheredRecord() {
        for (int type = 0; type < 4; type++) {
            this.mTetheredRecord[type] = 0;
        }
    }

    public void stopTethering() {
        android.net.ConnectivityManager cm = (android.net.ConnectivityManager) this.mContext.getSystemService("connectivity");
        for (int type = 0; type < 4; type++) {
            if (this.mTetheredRecord[type] == 1) {
                cm.stopTethering(type);
            }
        }
    }

    private void stopTethering(int type) {
        android.net.ConnectivityManager cm = (android.net.ConnectivityManager) this.mContext.getSystemService("connectivity");
        if (this.mTetheredRecord[type] == 1) {
            cm.stopTethering(type);
        }
    }

    public int getNotificationType(java.util.List<java.lang.String> tetheringNumbers) {
        int type = -1;
        int tetheredTypes = 0;
        resetTetheredRecord();
        boolean wifiTethered = tetheringNumbers.contains("wifi");
        boolean usbTethered = tetheringNumbers.contains("usb");
        boolean bluetoothTethered = tetheringNumbers.contains("bluetooth");
        boolean p2pTethered = tetheringNumbers.contains("p2p");
        if (wifiTethered) {
            type = 0;
            tetheredTypes = 0 + 1;
            this.mTetheredRecord[0] = 1;
        }
        if (usbTethered) {
            type = 1;
            tetheredTypes++;
            this.mTetheredRecord[1] = 1;
        }
        if (bluetoothTethered) {
            type = 2;
            tetheredTypes++;
            this.mTetheredRecord[2] = 1;
        }
        if (p2pTethered) {
            type = 3;
            tetheredTypes++;
            this.mTetheredRecord[3] = 1;
        }
        if (tetheredTypes > 1) {
            return 4;
        }
        return type;
    }

    public int getNotificationIcon(int notificationType) {
        switch (notificationType) {
            case 0:
                return 17303548;
            case 1:
                return 33751226;
            case 2:
                return 33751224;
            case 3:
                return 17303548;
            case 4:
                return 33751225;
            case 5:
                return 33751942;
            default:
                return 0;
        }
    }

    public java.lang.CharSequence getNotificationTitle(int notificationType) {
        java.lang.CharSequence title;
        android.content.res.Resources r = android.content.res.Resources.getSystem();
        if (3 == notificationType) {
            title = r.getText(33685850);
        } else if (5 != notificationType) {
            return r.getText(33685847);
        } else {
            title = r.getText(33686176);
        }
        return title;
    }

    private java.lang.CharSequence getNotificationMessageWithNumbers(int notificationType) {
        java.lang.CharSequence message;
        android.content.res.Resources r = android.content.res.Resources.getSystem();
        switch (notificationType) {
            case 0:
                message = r.getQuantityString(34406401, this.mWifiConnectNum, new java.lang.Object[]{java.lang.Integer.valueOf(this.mWifiConnectNum)});
                break;
            case 1:
            case 2:
                message = r.getQuantityString(34406401, this.mBluetoothUsbNum, new java.lang.Object[]{java.lang.Integer.valueOf(this.mBluetoothUsbNum)});
                break;
            case 3:
                message = r.getQuantityString(34406401, this.mP2pConnectNum, new java.lang.Object[]{java.lang.Integer.valueOf(this.mP2pConnectNum)});
                break;
            default:
                message = r.getText(33685848);
                break;
        }
        return message;
    }

    public java.lang.CharSequence getNotificationActionText(int notificationType) {
        java.lang.CharSequence actionText;
        android.content.res.Resources r = android.content.res.Resources.getSystem();
        if (notificationType == 0) {
            actionText = r.getText(33685852);
        } else if (notificationType == 3) {
            actionText = r.getText(33685851);
        } else if (notificationType != 5) {
            actionText = r.getText(33685849);
        } else {
            actionText = r.getText(33686174);
        }
        return actionText;
    }

    public android.content.Intent getNotificationIntent(int notificationType) {
        android.content.Intent intent = new android.content.Intent();
        if (notificationType == 0) {
            intent.setAction("android.settings.WIFI_AP_SETTINGS");
        } else if (notificationType != 3) {
            intent.setClassName("com.android.settings", "com.android.settings.TetherSettings");
        } else {
            intent.setAction("android.settings.WIFI_BRIDGE_SETTINGS");
        }
        return intent;
    }

    public void showTetheredNotification(int notificationType, android.app.Notification notification, android.app.PendingIntent pi) {
        this.mTetheredNotification = notification;
        this.mPi = pi;
        showTetheredNotificationWithNumbers(notificationType);
    }

    /* JADX WARNING: Missing block: B:37:0x00c7, code:
            return;
     */
    private void showTetheredNotificationWithNumbers(int r10) {
        /*
        r9 = this;
        r0 = tetheredLock;
        monitor-enter(r0);
        r1 = r9.mTetheredNotification;	 Catch:{ all -> 0x00c8 }
        if (r1 != 0) goto L_0x0009;
    L_0x0007:
        monitor-exit(r0);	 Catch:{ all -> 0x00c8 }
        return;
    L_0x0009:
        r1 = r9.mNotificationManager;	 Catch:{ all -> 0x00c8 }
        r2 = 0;
        r3 = r9.mTetheredNotification;	 Catch:{ all -> 0x00c8 }
        r3 = r3.icon;	 Catch:{ all -> 0x00c8 }
        r4 = android.os.UserHandle.ALL;	 Catch:{ all -> 0x00c8 }
        r1.cancelAsUser(r2, r3, r4);	 Catch:{ all -> 0x00c8 }
        r1 = r9.mWifiTetherd;	 Catch:{ all -> 0x00c8 }
        if (r1 == 0) goto L_0x006c;
    L_0x0019:
        r9.clearStopApNotification();	 Catch:{ all -> 0x00c8 }
        r1 = r9.mWifiConnectNum;	 Catch:{ all -> 0x00c8 }
        if (r1 <= 0) goto L_0x0044;
    L_0x0020:
        r1 = "HwCustTethering";
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00c8 }
        r2.<init>();	 Catch:{ all -> 0x00c8 }
        r3 = "set mSetIdleAlarm false, mWifiConnectNum is ";
        r2.append(r3);	 Catch:{ all -> 0x00c8 }
        r3 = r9.mWifiConnectNum;	 Catch:{ all -> 0x00c8 }
        r2.append(r3);	 Catch:{ all -> 0x00c8 }
        r2 = r2.toString();	 Catch:{ all -> 0x00c8 }
        android.util.Log.d(r1, r2);	 Catch:{ all -> 0x00c8 }
        r1 = 0;
        r9.mSetIdleAlarm = r1;	 Catch:{ all -> 0x00c8 }
        r1 = r9.mAlarmManager;	 Catch:{ all -> 0x00c8 }
        r2 = r9.mIdleApAlarmListener;	 Catch:{ all -> 0x00c8 }
        r1.cancel(r2);	 Catch:{ all -> 0x00c8 }
        goto L_0x006c;
    L_0x0044:
        r1 = r9.isSoftApCust();	 Catch:{ all -> 0x00c8 }
        if (r1 != 0) goto L_0x006c;
    L_0x004a:
        r1 = r9.mSetIdleAlarm;	 Catch:{ all -> 0x00c8 }
        if (r1 != 0) goto L_0x006c;
    L_0x004e:
        r1 = "HwCustTethering";
        r2 = "set IDLE_WIFI_TETHER alarm, set mSetIdleAlarm:true";
        android.util.Log.d(r1, r2);	 Catch:{ all -> 0x00c8 }
        r1 = 1;
        r9.mSetIdleAlarm = r1;	 Catch:{ all -> 0x00c8 }
        r2 = r9.mAlarmManager;	 Catch:{ all -> 0x00c8 }
        r3 = 2;
        r4 = android.os.SystemClock.elapsedRealtime();	 Catch:{ all -> 0x00c8 }
        r6 = 600000; // 0x927c0 float:8.40779E-40 double:2.964394E-318;
        r4 = r4 + r6;
        r6 = "HwCustTethering IDLE_WIFI_TETHER";
        r7 = r9.mIdleApAlarmListener;	 Catch:{ all -> 0x00c8 }
        r8 = 0;
        r2.setExact(r3, r4, r6, r7, r8);	 Catch:{ all -> 0x00c8 }
    L_0x006c:
        r1 = "HwCustTethering";
        r2 = "showTetheredNotificationWithNumbers";
        android.util.Log.d(r1, r2);	 Catch:{ all -> 0x00c8 }
        r1 = r9.isConfigR1();	 Catch:{ all -> 0x00c8 }
        if (r1 == 0) goto L_0x0098;
    L_0x007a:
        r1 = r9.mTetheredNotification;	 Catch:{ all -> 0x00c8 }
        r2 = 32;
        r1.flags = r2;	 Catch:{ all -> 0x00c8 }
        r1 = r9.mWifiConnectNum;	 Catch:{ all -> 0x00c8 }
        if (r1 > 0) goto L_0x0090;
    L_0x0084:
        r1 = android.content.res.Resources.getSystem();	 Catch:{ all -> 0x00c8 }
        r2 = 33686177; // 0x20202a1 float:9.551646E-38 double:1.6643183E-316;
        r1 = r1.getText(r2);	 Catch:{ all -> 0x00c8 }
        goto L_0x0094;
    L_0x0090:
        r1 = r9.getNotificationMessageWithNumbers(r10);	 Catch:{ all -> 0x00c8 }
    L_0x0094:
        r9.notifyNotification(r10, r1);	 Catch:{ all -> 0x00c8 }
        goto L_0x00a3;
    L_0x0098:
        r1 = r9.mWifiConnectNum;	 Catch:{ all -> 0x00c8 }
        if (r1 <= 0) goto L_0x00a3;
    L_0x009c:
        r1 = r9.getNotificationMessageWithNumbers(r10);	 Catch:{ all -> 0x00c8 }
        r9.notifyNotification(r10, r1);	 Catch:{ all -> 0x00c8 }
    L_0x00a3:
        r1 = r9.mP2pConnectNum;	 Catch:{ all -> 0x00c8 }
        if (r1 > 0) goto L_0x00be;
    L_0x00a7:
        r1 = r9.mBluetoothUsbNum;	 Catch:{ all -> 0x00c8 }
        if (r1 <= 0) goto L_0x00ac;
    L_0x00ab:
        goto L_0x00be;
    L_0x00ac:
        r1 = 3;
        if (r10 != r1) goto L_0x00c6;
    L_0x00af:
        r1 = android.content.res.Resources.getSystem();	 Catch:{ all -> 0x00c8 }
        r2 = 33685848; // 0x2020158 float:9.551277E-38 double:1.66430202E-316;
        r1 = r1.getText(r2);	 Catch:{ all -> 0x00c8 }
        r9.notifyNotification(r10, r1);	 Catch:{ all -> 0x00c8 }
        goto L_0x00c6;
    L_0x00be:
        r1 = r9.getNotificationMessageWithNumbers(r10);	 Catch:{ all -> 0x00c8 }
        r9.notifyNotification(r10, r1);	 Catch:{ all -> 0x00c8 }
    L_0x00c6:
        monitor-exit(r0);	 Catch:{ all -> 0x00c8 }
        return;
    L_0x00c8:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x00c8 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.connectivity.HwNotificationTetheringImpl.showTetheredNotificationWithNumbers(int):void");
    }

    private void notifyNotification(int notificationType, java.lang.CharSequence message) {
        int selectType = notificationType;
        this.mTetheredNotification.setLatestEventInfo(this.mContext, getNotificationTitle(selectType), message, this.mPi);
        this.mTetheredNotification.actions = getNotificationAction(selectType);
        this.mNotificationManager.notifyAsUser(null, this.mTetheredNotification.icon, this.mTetheredNotification, android.os.UserHandle.ALL);
    }

    private boolean isConfigR1() {
        return android.os.SystemProperties.get("ro.config.hw_opta", "0").equals("389") && android.os.SystemProperties.get("ro.config.hw_optb", "0").equals("840");
    }

    private synchronized void showStopWifiTetherNotification() {
        android.app.PendingIntent pi = android.app.PendingIntent.getActivityAsUser(this.mContext, 0, getNotificationIntent(0), 0, null, android.os.UserHandle.CURRENT);
        android.app.PendingIntent pIntentCancel = android.app.PendingIntent.getBroadcast(this.mContext, 0, new android.content.Intent("com.huawei.server.connectivity.action.START_TETHER"), 134217728);
        android.content.res.Resources resource = android.content.res.Resources.getSystem();
        java.lang.CharSequence title = getNotificationTitle(5);
        java.lang.CharSequence message = resource.getText(33686175);
        java.lang.CharSequence action_text = getNotificationActionText(5);
        int icon = getNotificationIcon(5);
        android.app.Notification.Builder stopApNotificationBuilder = new android.app.Notification.Builder(this.mContext, com.android.internal.notification.SystemNotificationChannels.NETWORK_STATUS);
        stopApNotificationBuilder.setWhen(0).setOngoing(false).setVisibility(1).setCategory("status").addAction(new android.app.Notification.Action(0, action_text, pIntentCancel)).setSmallIcon(icon).setContentTitle(title).setContentText(message).setStyle(new android.app.Notification.BigTextStyle().bigText(message)).setContentIntent(pi).setAutoCancel(true);
        this.mStopApNotification = stopApNotificationBuilder.build();
        this.mNotificationManager.notifyAsUser(null, this.mStopApNotification.icon, this.mStopApNotification, android.os.UserHandle.ALL);
    }

    private synchronized void clearStopApNotification() {
        if (this.mStopApNotification != null) {
            this.mNotificationManager.cancelAsUser(null, this.mStopApNotification.icon, android.os.UserHandle.ALL);
            this.mStopApNotification = null;
        }
    }

    private android.app.Notification.Action[] getNotificationAction(int notificationType) {
        android.app.Notification.Action[] actions = new android.app.Notification.Action[1];
        actions[0] = new android.app.Notification.Action(0, getNotificationActionText(notificationType), android.app.PendingIntent.getBroadcast(this.mContext, 0, new android.content.Intent("com.android.server.connectivity.action.STOP_TETHERING"), 134217728));
        return actions;
    }

    private boolean isSoftApCust() {
        if (!android.os.SystemProperties.getBoolean("ro.config.check_hotspot_status", false)) {
            if (!"true".equals(android.provider.Settings.Global.getString(this.mContext.getContentResolver(), "hotspot_power_mode_on"))) {
                return false;
            }
        }
        return true;
    }
}
