package com.android.server.cota;

public class CotaInstallImpl {
    private static final int COTA_APP_INSTALL_ILLEGAL = -3;
    private static volatile com.android.server.cota.CotaInstallImpl mInstance = null;
    private com.android.server.cota.CotaInstallImpl.CotaInstallCallBack mCotaInstallCallBack;

    public interface CotaInstallCallBack {
        int getStatus();

        void startInstall();
    }

    private CotaInstallImpl() {
    }

    public static com.android.server.cota.CotaInstallImpl getInstance() {
        if (mInstance == null) {
            mInstance = new com.android.server.cota.CotaInstallImpl();
        }
        return mInstance;
    }

    public void registInstallCallBack(com.android.server.cota.CotaInstallImpl.CotaInstallCallBack c) {
        if (c != null) {
            this.mCotaInstallCallBack = c;
        }
    }

    public void unRegistInstallCallBack(com.android.server.cota.CotaInstallImpl.CotaInstallCallBack c) {
        this.mCotaInstallCallBack = null;
    }

    public void doInstall() {
        if (this.mCotaInstallCallBack != null) {
            this.mCotaInstallCallBack.startInstall();
        }
    }

    public int doGetStatus() {
        if (this.mCotaInstallCallBack != null) {
            return this.mCotaInstallCallBack.getStatus();
        }
        return -3;
    }
}
