package com.android.server.devicepolicy;

public class CaptureScreenUtils {
    public static android.graphics.Bitmap captureScreen(android.content.Context context) {
        android.view.Display display = ((android.view.WindowManager) context.getSystemService("window")).getDefaultDisplay();
        android.graphics.Matrix matrix = new android.graphics.Matrix();
        display.getRealMetrics(new android.util.DisplayMetrics());
        float[] dims = new float[]{(float) displayMetrics.widthPixels, (float) displayMetrics.heightPixels};
        float degrees = getDegreesForRotation(display.getRotation());
        boolean requiresRotation = degrees > 0.0f;
        if (requiresRotation) {
            matrix.reset();
            matrix.preRotate(-degrees);
            matrix.mapPoints(dims);
            dims[0] = java.lang.Math.abs(dims[0]);
            dims[1] = java.lang.Math.abs(dims[1]);
        }
        android.graphics.Bitmap bmp = android.view.SurfaceControl.screenshot(new android.graphics.Rect(), (int) dims[0], (int) dims[1], 0);
        if (!requiresRotation || bmp == null) {
            return bmp;
        }
        matrix.setRotate(degrees);
        android.graphics.Bitmap ss = android.graphics.Bitmap.createBitmap(bmp, 0, 0, bmp.getWidth(), bmp.getHeight(), matrix, true);
        bmp.recycle();
        return ss;
    }

    private static float getDegreesForRotation(int rotation) {
        switch (rotation) {
            case 1:
                return 270.0f;
            case 2:
                return 180.0f;
            case 3:
                return 90.0f;
            default:
                return 0.0f;
        }
    }
}
