package com.android.server.devicepolicy;

public class CertInstaller {
    private static final int CERTIFICATE_DEFAULT = 0;
    private static final int CERTIFICATE_WIFI = 1;
    private static final java.lang.String TAG = "DPMS_CerInstall";
    private static final android.security.KeyStore mKeyStore = android.security.KeyStore.getInstance();

    public static boolean installCert(java.lang.String alias, java.security.PrivateKey userKey, java.security.cert.X509Certificate userCert, java.util.List<java.security.cert.X509Certificate> caCerts, int certInstallType) {
        int uid;
        int uid2;
        java.lang.String str = alias;
        switch (certInstallType) {
            case 0:
                if (mKeyStore.isUnlocked()) {
                    uid = -1;
                    uid2 = 1;
                    break;
                }
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Keystore is ");
                stringBuilder.append(mKeyStore.state().toString());
                stringBuilder.append(". Credentials cannot be installed until device is unlocked");
                android.util.Log.e("DPMS_CerInstall", stringBuilder.toString());
                return false;
            case 1:
                uid = 1010;
                uid2 = 0;
                break;
            default:
                java.util.List<java.security.cert.X509Certificate> list = caCerts;
                return false;
        }
        int encryptFlag = uid2;
        uid2 = uid;
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("USRPKEY_");
        stringBuilder2.append(str);
        java.lang.String key = stringBuilder2.toString();
        if (userKey != null) {
            if (!mKeyStore.importKey(key, userKey.getEncoded(), uid2, encryptFlag)) {
                android.util.Log.e("DPMS_CerInstall", "Failed to install wifi cert");
                return false;
            }
        }
        byte[] certData = null;
        stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("USRCERT_");
        stringBuilder2.append(str);
        java.lang.String certName = stringBuilder2.toString();
        try {
            certData = android.security.Credentials.convertToPem(new java.security.cert.Certificate[]{userCert});
        } catch (java.lang.Exception e) {
            android.util.Log.e("DPMS_CerInstall", "Failed to install convertToPem user cert");
        }
        if (mKeyStore.put(certName, certData, uid2, encryptFlag)) {
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("CACERT_");
            stringBuilder2.append(str);
            java.lang.String caListName = stringBuilder2.toString();
            byte[] caListData = null;
            try {
                caListData = android.security.Credentials.convertToPem((java.security.cert.X509Certificate[]) caCerts.toArray(new java.security.cert.X509Certificate[caCerts.size()]));
            } catch (java.lang.Exception e2) {
                java.lang.Exception exception = e2;
                android.util.Log.e("DPMS_CerInstall", "Failed to install convertToPem ca cert");
            }
            if (mKeyStore.put(caListName, caListData, uid2, encryptFlag)) {
                android.util.Log.d("DPMS_CerInstall", "install cert success!");
                return true;
            }
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("Failed to install ");
            stringBuilder3.append(caListName);
            stringBuilder3.append(" as uid ");
            stringBuilder3.append(uid2);
            android.util.Log.e("DPMS_CerInstall", stringBuilder3.toString());
            return false;
        }
        java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
        stringBuilder4.append("Failed to install ");
        stringBuilder4.append(certName);
        stringBuilder4.append(" as uid ");
        stringBuilder4.append(uid2);
        android.util.Log.e("DPMS_CerInstall", stringBuilder4.toString());
        return false;
    }
}
