package com.android.server.devicepolicy;

public class DefaultStorageLocation {
    private static final java.lang.String INTERNAL = "0";
    private static final java.lang.String PRIMARYSD = "persist.sys.primarysd";
    private static final java.lang.String SDCARD = "1";

    public static boolean isSdcard() {
        return android.os.SystemProperties.get("persist.sys.primarysd", "0").equals("1");
    }

    public static boolean isInternal() {
        return android.os.SystemProperties.get("persist.sys.primarysd", "0").equals("0");
    }

    public static void switchVolume(android.content.Context context) {
        if (isSdcard()) {
            switchVolume(context, "0");
        } else {
            switchVolume(context, "1");
        }
    }

    private static void switchVolume(android.content.Context context, java.lang.String value) {
        android.os.SystemProperties.set("persist.sys.primarysd", value);
        android.content.Intent reboot = new android.content.Intent("android.intent.action.REBOOT");
        reboot.putExtra("android.intent.extra.KEY_CONFIRM", false);
        reboot.setFlags(268435456);
        context.startActivity(reboot);
    }

    public static void switchToInternal(android.content.Context context) {
        switchVolume(context, "0");
    }
}
