package com.android.server.devicepolicy;

public class HwDevicePolicyManagerServiceUtil extends com.huawei.utils.reflect.EasyInvokeUtils {
    private static final java.lang.String DOMAIN_SEPARATOR = "\\.";
    public static final java.lang.String EXCHANGE_DOMAIN = "domain";
    public static final java.lang.String EXCHANGE_ID = "id";
    public static final java.lang.String EXCHANGE_INCOMING_FIELD = "incomingfield";
    public static final java.lang.String EXCHANGE_INCOMING_URI = "incominguri";
    public static final java.lang.String EXCHANGE_INCOMING_USERNAME = "incomingusername";
    public static final java.lang.String EXCHANGE_LABEL = "label";
    public static final java.lang.String EXCHANGE_OUTCOMING_URI = "outgoinguri";
    public static final java.lang.String EXCHANGE_OUTCOMING_USERNAME = "outgoingusername";
    private static final int MAX_ADDRS = 1000;
    private static final int MAX_LENGTH_OF_PACKAGE_NAME = 1000;
    private static final int MAX_PACKAGES = 200;
    private static final java.lang.String TAG = "HwDevicePolicyManagerServiceUtil";
    private static final java.lang.String USB_STORAGE = "usb";
    private static final char WILD_CHARACTER = '?';
    private static final java.lang.String WILD_STRING = "*";
    private static android.content.Context mContext = null;

    public static boolean initialize(android.content.Context context) {
        if (context == null) {
            android.util.Log.e("HwDevicePolicyManagerServiceUtil", "initialize context is null");
            return false;
        }
        mContext = context;
        return true;
    }

    public static boolean matchProvider(java.lang.String testDomain, java.lang.String providerDomain) {
        if (testDomain != null) {
            if (providerDomain != null) {
                java.lang.String[] testParts = testDomain.split("\\.");
                java.lang.String[] providerParts = providerDomain.split("\\.");
                if (testParts.length != providerParts.length) {
                    return false;
                }
                for (int i = 0; i < testParts.length; i++) {
                    java.lang.String testPart = testParts[i].toLowerCase(java.util.Locale.US);
                    java.lang.String providerPart = providerParts[i].toLowerCase(java.util.Locale.US);
                    if (!providerPart.equals("*") && !matchWithWildcards(testPart, providerPart)) {
                        return false;
                    }
                }
                return true;
            }
        }
        return false;
    }

    public static boolean matchWithWildcards(java.lang.String testPart, java.lang.String providerPart) {
        if (testPart != null) {
            if (providerPart != null) {
                int providerLength = providerPart.length();
                if (testPart.length() != providerLength) {
                    return false;
                }
                for (int i = 0; i < providerLength; i++) {
                    char testChar = testPart.charAt(i);
                    char providerChar = providerPart.charAt(i);
                    if (testChar != providerChar && providerChar != '?') {
                        return false;
                    }
                }
                return true;
            }
        }
        return false;
    }

    public static void addListWithoutDuplicate(java.util.List<java.lang.String> originalList, java.util.List<java.lang.String> addList) {
        if (originalList != null) {
            if (addList != null) {
                java.util.Set<java.lang.String> set = new java.util.HashSet(originalList);
                for (java.lang.String str : addList) {
                    if (!android.text.TextUtils.isEmpty(str) && set.add(str)) {
                        originalList.add(str);
                    }
                }
            }
        }
    }

    public static void removeItemsFromList(java.util.List<java.lang.String> originalList, java.util.List<java.lang.String> removeList) {
        if (originalList != null) {
            if (removeList != null) {
                java.util.Set<java.lang.String> removeSet = new java.util.HashSet(removeList);
                java.util.List<java.lang.String> newList = new java.util.ArrayList();
                for (java.lang.String str : originalList) {
                    if (!removeSet.contains(str)) {
                        newList.add(str);
                    }
                }
                originalList.clear();
                originalList.addAll(newList);
            }
        }
    }

    public static void isOverLimit(java.util.List<java.lang.String> originalList, java.util.List<java.lang.String> addList, int limits) {
        if (addList != null) {
            if (addList.size() + (originalList == null ? 0 : originalList.size()) > limits) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("The added packages exceeds the supply: ");
                stringBuilder.append(limits);
                throw new java.lang.IllegalArgumentException(stringBuilder.toString());
            }
        }
    }

    public static void isOverLimit(java.util.List<java.lang.String> originalList, java.util.List<java.lang.String> addList) {
        isOverLimit(originalList, addList, 200);
    }

    public static boolean isValidatePackageNames(java.util.List<java.lang.String> packages) {
        if (packages != null) {
            if (packages.size() != 0) {
                for (java.lang.String packageName : packages) {
                    if (!isValidatePackageName(packageName)) {
                        return false;
                    }
                }
                return true;
            }
        }
        return true;
    }

    public static boolean isValidatePackageName(java.lang.String name) {
        if (name != null) {
            if (!name.isEmpty()) {
                int N = name.length();
                if (N > 1000) {
                    return false;
                }
                boolean front = true;
                boolean hasSep = false;
                for (int i = 0; i < N; i++) {
                    char c = name.charAt(i);
                    if ((c < 'a' || c > 'z') && (c < 'A' || c > 'Z')) {
                        if (!front) {
                            if (c < '0' || c > '9') {
                                if (c == '_') {
                                }
                            }
                        }
                        if (c != '.') {
                            return false;
                        }
                        hasSep = true;
                        front = true;
                    } else {
                        front = false;
                    }
                }
                return hasSep;
            }
        }
        return false;
    }

    public static void isAddrOverLimit(java.util.List<java.lang.String> originalList, java.util.List<java.lang.String> addList) {
        if (originalList != null) {
            if (addList != null) {
                if (originalList.size() + addList.size() > 1000) {
                    throw new java.lang.IllegalArgumentException("The added addrs exceeds the supply: 1000");
                }
            }
        }
    }

    public static boolean isValidIPAddrs(java.util.List<java.lang.String> addrList) {
        if (addrList != null) {
            if (addrList.size() != 0) {
                for (java.lang.String addr : addrList) {
                    if (!isValidIPAddr(addr)) {
                        return false;
                    }
                }
                return true;
            }
        }
        return false;
    }

    public static boolean isValidIPAddr(java.lang.String addr) {
        return android.util.Patterns.IP_ADDRESS.matcher(addr).matches();
    }

    public static boolean isValidExchangeParameter(android.os.Bundle para) {
        if (!(para == null || isNull(para.getString("id")) || isNull(para.getString("label")) || isNull(para.getString("domain")) || isNull(para.getString("incominguri")) || isNull(para.getString("incomingusername")) || isNull(para.getString("incomingfield")) || isNull(para.getString("outgoinguri")))) {
            if (!isNull(para.getString("outgoingusername"))) {
                return true;
            }
        }
        return false;
    }

    public static boolean isNull(java.lang.String str) {
        return str == null;
    }
}
