package com.android.server.devicepolicy;

interface IHwDevicePolicyManager {
    void addApn(android.content.ComponentName componentName, java.util.Map<java.lang.String, java.lang.String> map, int i);

    void addDisabledDeactivateMdmPackages(android.content.ComponentName componentName, java.util.List<java.lang.String> list, int i);

    void addDisallowedRunningApp(android.content.ComponentName componentName, java.util.List<java.lang.String> list, int i);

    void addDisallowedUninstallPackages(android.content.ComponentName componentName, java.util.List<java.lang.String> list, int i);

    void addInstallPackageWhiteList(android.content.ComponentName componentName, java.util.List<java.lang.String> list, int i);

    void addNetworkAccessWhitelist(android.content.ComponentName componentName, java.util.List<java.lang.String> list, int i);

    void addPersistentApp(android.content.ComponentName componentName, java.util.List<java.lang.String> list, int i);

    void bdReport(int i, java.lang.String str);

    android.graphics.Bitmap captureScreen(android.content.ComponentName componentName, int i);

    boolean clearCarrierLockScreenPassword(android.content.ComponentName componentName, java.lang.String str, int i);

    void clearDefaultLauncher(android.content.ComponentName componentName, int i);

    void clearDeviceOwnerApp(int i);

    void clearPackageData(android.content.ComponentName componentName, java.lang.String str, int i);

    void configExchangeMailProvider(android.content.ComponentName componentName, android.os.Bundle bundle, int i);

    int configVpnProfile(android.content.ComponentName componentName, android.os.Bundle bundle, int i);

    void deleteApn(android.content.ComponentName componentName, java.lang.String str, int i);

    void disableInstallSource(android.content.ComponentName componentName, java.util.List<java.lang.String> list, int i);

    void enableInstallPackage(android.content.ComponentName componentName, int i);

    boolean formatSDCard(android.content.ComponentName componentName, java.lang.String str, int i);

    java.util.Map<java.lang.String, java.lang.String> getApnInfo(android.content.ComponentName componentName, java.lang.String str, int i);

    java.util.List<java.lang.String> getDisabledDeactivateMdmPackageList(android.content.ComponentName componentName, int i);

    java.util.List<java.lang.String> getDisallowedRunningApp(android.content.ComponentName componentName, int i);

    java.util.List<java.lang.String> getDisallowedUninstallPackageList(android.content.ComponentName componentName, int i);

    android.os.Bundle getHwAdminCachedBundle(java.lang.String str);

    java.util.List<java.lang.String> getHwAdminCachedList(int i);

    boolean getHwAdminCachedValue(int i);

    java.util.List<java.lang.String> getInstallPackageSourceWhiteList(android.content.ComponentName componentName, int i);

    java.util.List<java.lang.String> getInstallPackageWhiteList(android.content.ComponentName componentName, int i);

    android.os.Bundle getMailProviderForDomain(android.content.ComponentName componentName, java.lang.String str, int i);

    java.util.List<java.lang.String> getNetworkAccessWhitelist(android.content.ComponentName componentName, int i);

    java.util.List<java.lang.String> getPersistentApp(android.content.ComponentName componentName, int i);

    android.os.Bundle getPolicy(android.content.ComponentName componentName, java.lang.String str, int i);

    int getSDCardEncryptionStatus();

    android.os.Bundle getVpnList(android.content.ComponentName componentName, android.os.Bundle bundle, int i);

    android.os.Bundle getVpnProfile(android.content.ComponentName componentName, android.os.Bundle bundle, int i);

    void hangupCalling(android.content.ComponentName componentName, int i);

    boolean hasHwPolicy(int i);

    boolean installCertificateWithType(android.content.ComponentName componentName, int i, byte[] bArr, java.lang.String str, java.lang.String str2, int i2, boolean z, int i3);

    void installPackage(android.content.ComponentName componentName, java.lang.String str, int i);

    boolean isAccountDisabled(android.content.ComponentName componentName, java.lang.String str, int i);

    boolean isAdbDisabled(android.content.ComponentName componentName, int i);

    boolean isBackButtonDisabled(android.content.ComponentName componentName, int i);

    boolean isBluetoothDisabled(android.content.ComponentName componentName, int i);

    boolean isBootLoaderDisabled(android.content.ComponentName componentName, int i);

    boolean isDataConnectivityDisabled(android.content.ComponentName componentName, int i);

    boolean isExternalStorageDisabled(android.content.ComponentName componentName, int i);

    boolean isGPSDisabled(android.content.ComponentName componentName, int i);

    boolean isGPSTurnOn(android.content.ComponentName componentName, int i);

    boolean isHomeButtonDisabled(android.content.ComponentName componentName, int i);

    boolean isInstallSourceDisabled(android.content.ComponentName componentName, int i);

    boolean isNFCDisabled(android.content.ComponentName componentName, int i);

    boolean isRooted(android.content.ComponentName componentName, int i);

    boolean isSDCardDecryptionDisabled(android.content.ComponentName componentName, int i);

    boolean isSMSDisabled(android.content.ComponentName componentName, int i);

    boolean isSafeModeDisabled(android.content.ComponentName componentName, int i);

    boolean isStatusBarExpandPanelDisabled(android.content.ComponentName componentName, int i);

    boolean isTaskButtonDisabled(android.content.ComponentName componentName, int i);

    boolean isUSBDataDisabled(android.content.ComponentName componentName, int i);

    boolean isUSBOtgDisabled(android.content.ComponentName componentName, int i);

    boolean isVoiceDisabled(android.content.ComponentName componentName, int i);

    boolean isWifiApDisabled(android.content.ComponentName componentName, int i);

    boolean isWifiDisabled(android.content.ComponentName componentName, int i);

    void killApplicationProcess(android.content.ComponentName componentName, java.lang.String str, int i);

    java.util.List<java.lang.String> queryApn(android.content.ComponentName componentName, java.util.Map<java.lang.String, java.lang.String> map, int i);

    java.util.ArrayList<java.lang.String> queryBrowsingHistory(android.content.ComponentName componentName, int i);

    void removeDisabledDeactivateMdmPackages(android.content.ComponentName componentName, java.util.List<java.lang.String> list, int i);

    void removeDisallowedRunningApp(android.content.ComponentName componentName, java.util.List<java.lang.String> list, int i);

    void removeDisallowedUninstallPackages(android.content.ComponentName componentName, java.util.List<java.lang.String> list, int i);

    void removeInstallPackageWhiteList(android.content.ComponentName componentName, java.util.List<java.lang.String> list, int i);

    void removeNetworkAccessWhitelist(android.content.ComponentName componentName, java.util.List<java.lang.String> list, int i);

    void removePersistentApp(android.content.ComponentName componentName, java.util.List<java.lang.String> list, int i);

    int removePolicy(android.content.ComponentName componentName, java.lang.String str, android.os.Bundle bundle, int i);

    int removeVpnProfile(android.content.ComponentName componentName, android.os.Bundle bundle, int i);

    void setAccountDisabled(android.content.ComponentName componentName, java.lang.String str, boolean z, int i);

    void setAdbDisabled(android.content.ComponentName componentName, boolean z, int i);

    void setBackButtonDisabled(android.content.ComponentName componentName, boolean z, int i);

    void setBluetoothDisabled(android.content.ComponentName componentName, boolean z, int i);

    void setBootLoaderDisabled(android.content.ComponentName componentName, boolean z, int i);

    boolean setCarrierLockScreenPassword(android.content.ComponentName componentName, java.lang.String str, java.lang.String str2, int i);

    void setCustomSettingsMenu(android.content.ComponentName componentName, java.util.List<java.lang.String> list, int i);

    void setDataConnectivityDisabled(android.content.ComponentName componentName, boolean z, int i);

    void setDefaultLauncher(android.content.ComponentName componentName, java.lang.String str, java.lang.String str2, int i);

    void setDeviceOwnerApp(android.content.ComponentName componentName, java.lang.String str, int i);

    void setExternalStorageDisabled(android.content.ComponentName componentName, boolean z, int i);

    void setGPSDisabled(android.content.ComponentName componentName, boolean z, int i);

    void setHomeButtonDisabled(android.content.ComponentName componentName, boolean z, int i);

    void setNFCDisabled(android.content.ComponentName componentName, boolean z, int i);

    int setPolicy(android.content.ComponentName componentName, java.lang.String str, android.os.Bundle bundle, int i);

    void setPreferApn(android.content.ComponentName componentName, java.lang.String str, int i);

    void setSDCardDecryptionDisabled(android.content.ComponentName componentName, boolean z, int i);

    void setSMSDisabled(android.content.ComponentName componentName, boolean z, int i);

    void setSafeModeDisabled(android.content.ComponentName componentName, boolean z, int i);

    void setSilentActiveAdmin(android.content.ComponentName componentName, int i);

    void setStatusBarExpandPanelDisabled(android.content.ComponentName componentName, boolean z, int i);

    void setSysTime(android.content.ComponentName componentName, long j, int i);

    int setSystemLanguage(android.content.ComponentName componentName, android.os.Bundle bundle, int i);

    void setTaskButtonDisabled(android.content.ComponentName componentName, boolean z, int i);

    void setUSBDataDisabled(android.content.ComponentName componentName, boolean z, int i);

    void setUSBOtgDisabled(android.content.ComponentName componentName, boolean z, int i);

    void setVoiceDisabled(android.content.ComponentName componentName, boolean z, int i);

    void setWifiApDisabled(android.content.ComponentName componentName, boolean z, int i);

    void setWifiDisabled(android.content.ComponentName componentName, boolean z, int i);

    void shutdownOrRebootDevice(int i, android.content.ComponentName componentName, int i2);

    void turnOnGPS(android.content.ComponentName componentName, boolean z, int i);

    void turnOnMobiledata(android.content.ComponentName componentName, boolean z, int i);

    void uninstallPackage(android.content.ComponentName componentName, java.lang.String str, boolean z, int i);

    void updateApn(android.content.ComponentName componentName, java.util.Map<java.lang.String, java.lang.String> map, java.lang.String str, int i);
}
