package com.android.server.devicepolicy;

public class LauncherUtils {
    public static void setDefaultLauncher(android.content.Context context, java.lang.String packageName, java.lang.String className) {
        android.content.pm.PackageManager pm = context.getPackageManager();
        int i = 0;
        java.util.List<android.content.pm.ResolveInfo> resolveInfos = pm.queryIntentActivities(new android.content.Intent("android.intent.action.MAIN").addCategory("android.intent.category.HOME").addCategory("android.intent.category.DEFAULT"), 0);
        int sz = resolveInfos.size();
        android.content.ComponentName[] set = new android.content.ComponentName[sz];
        int bestMatch = 0;
        int find = -1;
        while (i < sz) {
            android.content.pm.ResolveInfo resolveInfo = (android.content.pm.ResolveInfo) resolveInfos.get(i);
            if (resolveInfo != null) {
                pm.clearPackagePreferredActivities(resolveInfo.activityInfo.packageName);
                set[i] = new android.content.ComponentName(resolveInfo.activityInfo.packageName, resolveInfo.activityInfo.name);
                if (resolveInfo.activityInfo.packageName.equals(packageName)) {
                    find = i;
                }
                if (resolveInfo.match > bestMatch) {
                    bestMatch = resolveInfo.match;
                }
            }
            i++;
        }
        if (find != -1) {
            android.content.IntentFilter inf = new android.content.IntentFilter("android.intent.action.MAIN");
            inf.addCategory("android.intent.category.HOME");
            inf.addCategory("android.intent.category.DEFAULT");
            pm.addPreferredActivity(inf, bestMatch, set, set[find]);
        }
    }

    public static void clearDefaultLauncher(android.content.Context context) {
        android.content.pm.PackageManager pm = context.getPackageManager();
        java.util.List<android.content.pm.ResolveInfo> resolveInfos = pm.queryIntentActivities(new android.content.Intent("android.intent.action.MAIN").addCategory("android.intent.category.HOME").addCategory("android.intent.category.DEFAULT"), null);
        int j = resolveInfos.size();
        for (int i = 0; i < j; i++) {
            android.content.pm.ResolveInfo resolveInfo = (android.content.pm.ResolveInfo) resolveInfos.get(i);
            if (resolveInfo != null) {
                pm.clearPackagePreferredActivities(resolveInfo.activityInfo.packageName);
            }
        }
    }
}
