package com.android.server.devicepolicy.plugins;

public class DeviceBluetoothPlugin extends com.android.server.devicepolicy.DevicePolicyPlugin {
    private static final java.lang.String ACTION_DEVICE_POLICY_CHANGED = "com.huawei.devicepolicy.action.POLICY_CHANGED";
    private static final java.lang.String BLUETOOTH_BLACK_LIST = "bt-black-list";
    private static final java.lang.String BLUETOOTH_BLACK_LIST_ITEM = "bt-black-list/bt-black-list-item";
    private static final java.lang.String BLUETOOTH_CONTROL_PERMSSION = "com.huawei.permission.sec.MDM_BLUETOOTH";
    private static final java.lang.String BLUETOOTH_DISABLE_PROFILE_STRUCT_NAME = "disabled";
    private static final java.lang.String BLUETOOTH_DISCOVER_EXTRA_DATA = "discover";
    private static final java.lang.String BLUETOOTH_FILE_TRANSFER_STATE = "bt-file-transfer-state";
    private static final java.lang.String BLUETOOTH_LIMITED_EXTRA_DATA = "limite";
    private static final java.lang.String BLUETOOTH_OUTGOING_CALL_STATE = "bt-outgoing-call-state";
    private static final java.lang.String BLUETOOTH_PAIRING_STATE = "bt-pairing-state";
    private static final java.lang.String BLUETOOTH_POLICY_DISCOVERABLE = "bt-discover";
    private static final java.lang.String BLUETOOTH_POLICY_EXTRA_DATA = "policydata";
    private static final java.lang.String BLUETOOTH_POLICY_EXTRA_NAME = "policyname";
    private static final java.lang.String BLUETOOTH_POLICY_EXTRA_TYPE = "type";
    private static final java.lang.String BLUETOOTH_POLICY_LIMITED_DISCOVERABLE = "bt-limit-discover";
    private static final java.lang.String BLUETOOTH_SECURE_PROFILE = "bt-secure-profiles";
    private static final java.lang.String BLUETOOTH_SECURE_PROFILE_ITEM = "bt-secure-profiles/bt-secure-profiles-item";
    private static final java.lang.String BLUETOOTH_WHITE_LIST = "bt-white-list";
    private static final java.lang.String BLUETOOTH_WHITE_LIST_ITEM = "bt-white-list/bt-white-list-item";
    public static final java.lang.String TAG = com.android.server.devicepolicy.plugins.DeviceBluetoothPlugin.class.getSimpleName();
    private static int TYPE_REMOVE = 1;
    private static int TYPE_SET = 0;

    public DeviceBluetoothPlugin(android.content.Context context) {
        super(context);
    }

    public java.lang.String getPluginName() {
        return getClass().getSimpleName();
    }

    public com.android.server.devicepolicy.PolicyStruct getPolicyStruct() {
        com.android.server.devicepolicy.HwLog.i(TAG, "getPolicyStruct");
        com.android.server.devicepolicy.PolicyStruct struct = new com.android.server.devicepolicy.PolicyStruct(this);
        struct.addStruct("bt-black-list", com.android.server.devicepolicy.PolicyStruct.PolicyType.LIST, new java.lang.String[0]);
        struct.addStruct("bt-black-list/bt-black-list-item", com.android.server.devicepolicy.PolicyStruct.PolicyType.LIST, new java.lang.String[]{"value"});
        struct.addStruct("bt-white-list", com.android.server.devicepolicy.PolicyStruct.PolicyType.LIST, new java.lang.String[0]);
        struct.addStruct("bt-white-list/bt-white-list-item", com.android.server.devicepolicy.PolicyStruct.PolicyType.LIST, new java.lang.String[]{"value"});
        struct.addStruct("bt-pairing-state", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"disabled"});
        struct.addStruct("bt-file-transfer-state", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"disabled"});
        struct.addStruct("bt-outgoing-call-state", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"disabled"});
        struct.addStruct("bt-secure-profiles", com.android.server.devicepolicy.PolicyStruct.PolicyType.LIST, new java.lang.String[0]);
        struct.addStruct("bt-secure-profiles/bt-secure-profiles-item", com.android.server.devicepolicy.PolicyStruct.PolicyType.LIST, new java.lang.String[]{"disabled"});
        struct.addStruct("bt-discover", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"discover"});
        struct.addStruct("bt-limit-discover", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"limite"});
        return struct;
    }

    public boolean checkCallingPermission(android.content.ComponentName who, java.lang.String policyName) {
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_BLUETOOTH", "NEED BLUETOOTH PERMISSION.");
        return true;
    }

    public boolean onSetPolicy(android.content.ComponentName r5, java.lang.String r6, android.os.Bundle r7, boolean r8) {
        /*
        r4 = this;
        r0 = TAG;
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "onSetPolicy policyName : ";
        r1.append(r2);
        r1.append(r6);
        r1 = r1.toString();
        com.android.server.devicepolicy.HwLog.i(r0, r1);
        r0 = 0;
        if (r6 != 0) goto L_0x0021;
    L_0x0019:
        r1 = TAG;
        r2 = "params null.";
        com.android.server.devicepolicy.HwLog.e(r1, r2);
        return r0;
    L_0x0021:
        r1 = -1;
        r2 = r6.hashCode();
        r3 = 1;
        switch(r2) {
            case -1837809145: goto L_0x0071;
            case -1224274072: goto L_0x0067;
            case -786191612: goto L_0x005d;
            case -231917807: goto L_0x0053;
            case 58724381: goto L_0x0049;
            case 705160342: goto L_0x003f;
            case 830337541: goto L_0x0035;
            case 1892983461: goto L_0x002b;
            default: goto L_0x002a;
        };
    L_0x002a:
        goto L_0x007a;
    L_0x002b:
        r0 = "bt-file-transfer-state";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x007a;
    L_0x0033:
        r0 = 2;
        goto L_0x007b;
    L_0x0035:
        r0 = "bt-secure-profiles";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x007a;
    L_0x003d:
        r0 = 5;
        goto L_0x007b;
    L_0x003f:
        r0 = "bt-limit-discover";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x007a;
    L_0x0047:
        r0 = 7;
        goto L_0x007b;
    L_0x0049:
        r0 = "bt-white-list";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x007a;
    L_0x0051:
        r0 = r3;
        goto L_0x007b;
    L_0x0053:
        r0 = "bt-pairing-state";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x007a;
    L_0x005b:
        r0 = 3;
        goto L_0x007b;
    L_0x005d:
        r0 = "bt-discover";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x007a;
    L_0x0065:
        r0 = 6;
        goto L_0x007b;
    L_0x0067:
        r0 = "bt-outgoing-call-state";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x007a;
    L_0x006f:
        r0 = 4;
        goto L_0x007b;
    L_0x0071:
        r2 = "bt-black-list";
        r2 = r6.equals(r2);
        if (r2 == 0) goto L_0x007a;
    L_0x0079:
        goto L_0x007b;
    L_0x007a:
        r0 = r1;
    L_0x007b:
        switch(r0) {
            case 0: goto L_0x00b1;
            case 1: goto L_0x00b1;
            case 2: goto L_0x00a9;
            case 3: goto L_0x00a9;
            case 4: goto L_0x00a9;
            case 5: goto L_0x0087;
            case 6: goto L_0x007f;
            case 7: goto L_0x007f;
            default: goto L_0x007e;
        };
    L_0x007e:
        goto L_0x00c0;
    L_0x007f:
        if (r7 == 0) goto L_0x00c0;
    L_0x0081:
        if (r8 == 0) goto L_0x00c0;
    L_0x0083:
        r4.notifyBluetoothDiscoverChange(r6);
        goto L_0x00c0;
    L_0x0087:
        if (r7 == 0) goto L_0x00c0;
    L_0x0089:
        r0 = TAG;
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "BLUETOOTH_SECURE_PROFILE GET Int : ";
        r1.append(r2);
        r2 = "disabled";
        r2 = r7.getStringArrayList(r2);
        r1.append(r2);
        r1 = r1.toString();
        com.android.server.devicepolicy.HwLog.i(r0, r1);
        r4.notifyBluetoothSecureProfileChange(r7);
        goto L_0x00c0;
    L_0x00a9:
        if (r7 == 0) goto L_0x00c0;
    L_0x00ab:
        if (r8 == 0) goto L_0x00c0;
    L_0x00ad:
        r4.notifyBluetoothPolicyStateChange(r6, r7);
        goto L_0x00c0;
    L_0x00b1:
        if (r7 == 0) goto L_0x00c0;
    L_0x00b3:
        r0 = "value";
        r0 = r7.getStringArrayList(r0);
        r1 = TYPE_SET;
        r4.notifyBluetoohListPolicyChange(r1, r0, r6);
    L_0x00c0:
        return r3;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.plugins.DeviceBluetoothPlugin.onSetPolicy(android.content.ComponentName, java.lang.String, android.os.Bundle, boolean):boolean");
    }

    public boolean onRemovePolicy(android.content.ComponentName r5, java.lang.String r6, android.os.Bundle r7, boolean r8) {
        /*
        r4 = this;
        r0 = TAG;
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "onRemovePolicy policyName : ";
        r1.append(r2);
        r1.append(r6);
        r1 = r1.toString();
        com.android.server.devicepolicy.HwLog.i(r0, r1);
        r0 = 0;
        if (r6 != 0) goto L_0x0021;
    L_0x0019:
        r1 = TAG;
        r2 = "params null.";
        com.android.server.devicepolicy.HwLog.e(r1, r2);
        return r0;
    L_0x0021:
        r1 = -1;
        r2 = r6.hashCode();
        r3 = 1;
        switch(r2) {
            case -1837809145: goto L_0x0071;
            case -1224274072: goto L_0x0067;
            case -786191612: goto L_0x005d;
            case -231917807: goto L_0x0053;
            case 58724381: goto L_0x0049;
            case 705160342: goto L_0x003f;
            case 830337541: goto L_0x0035;
            case 1892983461: goto L_0x002b;
            default: goto L_0x002a;
        };
    L_0x002a:
        goto L_0x007a;
    L_0x002b:
        r0 = "bt-file-transfer-state";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x007a;
    L_0x0033:
        r0 = 2;
        goto L_0x007b;
    L_0x0035:
        r0 = "bt-secure-profiles";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x007a;
    L_0x003d:
        r0 = 5;
        goto L_0x007b;
    L_0x003f:
        r0 = "bt-limit-discover";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x007a;
    L_0x0047:
        r0 = 7;
        goto L_0x007b;
    L_0x0049:
        r0 = "bt-white-list";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x007a;
    L_0x0051:
        r0 = r3;
        goto L_0x007b;
    L_0x0053:
        r0 = "bt-pairing-state";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x007a;
    L_0x005b:
        r0 = 3;
        goto L_0x007b;
    L_0x005d:
        r0 = "bt-discover";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x007a;
    L_0x0065:
        r0 = 6;
        goto L_0x007b;
    L_0x0067:
        r0 = "bt-outgoing-call-state";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x007a;
    L_0x006f:
        r0 = 4;
        goto L_0x007b;
    L_0x0071:
        r2 = "bt-black-list";
        r2 = r6.equals(r2);
        if (r2 == 0) goto L_0x007a;
    L_0x0079:
        goto L_0x007b;
    L_0x007a:
        r0 = r1;
    L_0x007b:
        switch(r0) {
            case 0: goto L_0x0095;
            case 1: goto L_0x0095;
            case 2: goto L_0x008d;
            case 3: goto L_0x008d;
            case 4: goto L_0x008d;
            case 5: goto L_0x0087;
            case 6: goto L_0x007f;
            case 7: goto L_0x007f;
            default: goto L_0x007e;
        };
    L_0x007e:
        goto L_0x00a4;
    L_0x007f:
        if (r7 == 0) goto L_0x00a4;
    L_0x0081:
        if (r8 == 0) goto L_0x00a4;
    L_0x0083:
        r4.notifyBluetoothDiscoverChange(r6);
        goto L_0x00a4;
    L_0x0087:
        if (r7 == 0) goto L_0x00a4;
    L_0x0089:
        r4.notifyBluetoothSecureProfileChange(r7);
        goto L_0x00a4;
    L_0x008d:
        if (r7 == 0) goto L_0x00a4;
    L_0x008f:
        if (r8 == 0) goto L_0x00a4;
    L_0x0091:
        r4.notifyBluetoothPolicyStateChange(r6, r7);
        goto L_0x00a4;
    L_0x0095:
        if (r7 == 0) goto L_0x00a4;
    L_0x0097:
        r0 = "value";
        r0 = r7.getStringArrayList(r0);
        r1 = TYPE_REMOVE;
        r4.notifyBluetoohListPolicyChange(r1, r0, r6);
    L_0x00a4:
        return r3;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.plugins.DeviceBluetoothPlugin.onRemovePolicy(android.content.ComponentName, java.lang.String, android.os.Bundle, boolean):boolean");
    }

    public boolean onActiveAdminRemoved(android.content.ComponentName who, java.util.ArrayList<com.android.server.devicepolicy.PolicyStruct.PolicyItem> removedPolicies) {
        com.android.server.devicepolicy.HwLog.i(TAG, "onActiveAdminRemoved");
        if (removedPolicies != null && removedPolicies.size() > 0) {
            int k = removedPolicies.size();
            for (int j = 0; j < k; j++) {
                com.android.server.devicepolicy.PolicyStruct.PolicyItem item = (com.android.server.devicepolicy.PolicyStruct.PolicyItem) removedPolicies.get(j);
                java.lang.String policyName = item.getPolicyName();
                if (!policyName.equals("bt-black-list")) {
                    if (!policyName.equals("bt-white-list")) {
                        if (!(policyName.equals("bt-pairing-state") || policyName.equals("bt-file-transfer-state"))) {
                            if (!policyName.equals("bt-outgoing-call-state")) {
                                if (policyName.equals("bt-secure-profiles")) {
                                    notifyBluetoothSecureProfileChange(item.getAttributes());
                                } else if ((policyName.equals("bt-discover") || policyName.equals("bt-limit-discover")) && item.isGlobalPolicyChanged()) {
                                    notifyBluetoothDiscoverChange(policyName);
                                }
                            }
                        }
                        if (item.isGlobalPolicyChanged()) {
                            notifyBluetoothPolicyStateChange(policyName, item.getAttributes());
                        }
                    }
                }
                int n = item.getChildItem().size();
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("name: ");
                stringBuilder.append(policyName);
                stringBuilder.append(" childItem size ");
                stringBuilder.append(n);
                com.android.server.devicepolicy.HwLog.i(str, stringBuilder.toString());
                for (int i = 0; i < n; i++) {
                    notifyBluetoohListPolicyChange(TYPE_REMOVE, ((com.android.server.devicepolicy.PolicyStruct.PolicyItem) item.getChildItem().get(i)).getAttributes().getStringArrayList("value"), policyName);
                }
            }
        }
        return true;
    }

    private void notifyBluetoohListPolicyChange(int type, java.util.ArrayList<java.lang.String> policyData, java.lang.String policyName) {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("notifyBluetoothControlPolicyChange, type: ");
        stringBuilder.append(type);
        stringBuilder.append(" policyName: ");
        stringBuilder.append(policyName);
        com.android.server.devicepolicy.HwLog.i(str, stringBuilder.toString());
        android.content.Intent intent = new android.content.Intent("com.huawei.devicepolicy.action.POLICY_CHANGED");
        intent.setPackage("com.android.bluetooth");
        intent.addFlags(1073741824);
        intent.putExtra("policyname", policyName);
        intent.putExtra("type", type);
        intent.putStringArrayListExtra("policydata", policyData);
        this.mContext.sendBroadcast(intent);
    }

    private void notifyBluetoothPolicyStateChange(java.lang.String policyName, android.os.Bundle policyData) {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("notifyBluetoothControlPolicyChange, policyName: ");
        stringBuilder.append(policyName);
        stringBuilder.append("policyData");
        stringBuilder.append(policyData);
        com.android.server.devicepolicy.HwLog.i(str, stringBuilder.toString());
        android.content.Intent intent = new android.content.Intent("com.huawei.devicepolicy.action.POLICY_CHANGED");
        intent.setPackage("com.android.bluetooth");
        intent.addFlags(1073741824);
        intent.putExtra("policyname", policyName);
        intent.putExtra("policydata", policyData);
        this.mContext.sendBroadcast(intent);
    }

    private void notifyBluetoothSecureProfileChange(android.os.Bundle policyData) {
        android.content.Intent intent = new android.content.Intent("com.huawei.devicepolicy.action.POLICY_CHANGED");
        intent.setPackage("com.android.bluetooth");
        intent.addFlags(1073741824);
        intent.putExtra("policyname", "bt-secure-profiles");
        intent.putExtra("policydata", policyData);
        this.mContext.sendBroadcast(intent);
    }

    private void notifyBluetoothDiscoverChange(java.lang.String policyName) {
        android.content.Intent intent = new android.content.Intent("com.huawei.devicepolicy.action.POLICY_CHANGED");
        intent.setPackage("com.android.bluetooth");
        intent.addFlags(1073741824);
        intent.putExtra("policyname", policyName);
        this.mContext.sendBroadcast(intent);
    }
}
