package com.android.server.devicepolicy.plugins;

public class DeviceCameraPlugin extends com.android.server.devicepolicy.DevicePolicyPlugin {
    private static final java.lang.String ACTION_POLICY_CHANGED = "com.huawei.devicepolicy.action.POLICY_CHANGED";
    private static final java.lang.String PACKAGE_NAME_CAEMRA = "com.huawei.camera";
    private static final java.lang.String POLICY_DISABLE_VIDEO = "disable-video";
    private static final java.lang.String POLICY_NAME = "policy_name";
    private static final java.lang.String STATE_VALUE = "value";
    private static final java.lang.String TAG = com.android.server.devicepolicy.plugins.DeviceCameraPlugin.class.getSimpleName();

    public DeviceCameraPlugin(android.content.Context context) {
        super(context);
    }

    public java.lang.String getPluginName() {
        return getClass().getSimpleName();
    }

    public com.android.server.devicepolicy.PolicyStruct getPolicyStruct() {
        com.android.server.devicepolicy.PolicyStruct struct = new com.android.server.devicepolicy.PolicyStruct(this);
        struct.addStruct("disable-video", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        return struct;
    }

    public boolean checkCallingPermission(android.content.ComponentName admin, java.lang.String policyName) {
        com.android.server.devicepolicy.HwLog.i(TAG, "checkCallingPermission");
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_CAMERA", "does not have PERMISSION_MDM_CAMERA permission!");
        return true;
    }

    public boolean onSetPolicy(android.content.ComponentName admin, java.lang.String policyName, android.os.Bundle policyData, boolean changed) {
        return true;
    }

    public void onSetPolicyCompleted(android.content.ComponentName admin, java.lang.String policyName, boolean changed) {
        com.android.server.devicepolicy.HwLog.i(TAG, "onSetPolicyCompleted");
        if (changed && "disable-video".equals(policyName)) {
            this.mContext.sendBroadcast(createDisableVideoPolicyIntent());
        }
    }

    public boolean onRemovePolicy(android.content.ComponentName admin, java.lang.String policyName, android.os.Bundle policyData, boolean changed) {
        return true;
    }

    public void onRemovePolicyCompleted(android.content.ComponentName admin, java.lang.String policyName, boolean changed) {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onRemovePolicyCompleted, policyName: ");
        stringBuilder.append(policyName);
        stringBuilder.append(", changed: ");
        stringBuilder.append(changed);
        com.android.server.devicepolicy.HwLog.i(str, stringBuilder.toString());
        if (changed && "disable-video".equals(policyName)) {
            this.mContext.sendBroadcast(createDisableVideoPolicyIntent());
        }
    }

    public boolean onActiveAdminRemoved(android.content.ComponentName admin, java.util.ArrayList<com.android.server.devicepolicy.PolicyStruct.PolicyItem> arrayList) {
        com.android.server.devicepolicy.HwLog.i(TAG, "onActiveAdminRemoved");
        return true;
    }

    private android.content.Intent createDisableVideoPolicyIntent() {
        android.content.Intent intent = new android.content.Intent("com.huawei.devicepolicy.action.POLICY_CHANGED");
        intent.setPackage("com.huawei.camera");
        intent.putExtra("policy_name", "disable-video");
        return intent;
    }
}
