package com.android.server.devicepolicy.plugins;

public class DeviceControlPlugin extends com.android.server.devicepolicy.DevicePolicyPlugin {
    private static final java.lang.String DB_EYES_PROTECTION_MODE = "eyes_protection_mode";
    private static final int EYE_PROTECTION_CLOSE = 0;
    private static final int EYE_PROTECTION_ON = 1;
    public static final java.lang.String POLICY_TURN_ON_EYE_COMFORT = "device_control_turn_on_eye_comfort";
    public static final java.lang.String TAG = "DeviceControlPlugin";

    public DeviceControlPlugin(android.content.Context context) {
        super(context);
    }

    public java.lang.String getPluginName() {
        return getClass().getSimpleName();
    }

    public com.android.server.devicepolicy.PolicyStruct getPolicyStruct() {
        com.android.server.devicepolicy.HwLog.i("DeviceControlPlugin", "getPolicyStruct");
        com.android.server.devicepolicy.PolicyStruct struct = new com.android.server.devicepolicy.PolicyStruct(this);
        struct.addStruct("device_control_turn_on_eye_comfort", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        return struct;
    }

    public boolean checkCallingPermission(android.content.ComponentName who, java.lang.String policyName) {
        com.android.server.devicepolicy.HwLog.i("DeviceControlPlugin", "checkCallingPermission");
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_APP_MANAGEMENT", "does not have app_management MDM permission!");
        return true;
    }

    public boolean onSetPolicy(android.content.ComponentName who, java.lang.String policyName, android.os.Bundle policyData, boolean effective) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onSetPolicy: ");
        stringBuilder.append(policyName);
        android.util.Log.i("DeviceControlPlugin", stringBuilder.toString());
        if (!checkCallingPermission(who, policyName) || policyData == null) {
            return false;
        }
        long identityToken = android.os.Binder.clearCallingIdentity();
        boolean z = true;
        try {
            if (policyName.hashCode() == 1576234773) {
                if (policyName.equals("device_control_turn_on_eye_comfort")) {
                    z = false;
                }
            }
            if (!z) {
                onSetEyeComfotPolicy(policyData);
            }
            android.os.Binder.restoreCallingIdentity(identityToken);
            return true;
        } catch (Throwable th) {
            android.os.Binder.restoreCallingIdentity(identityToken);
        }
    }

    private void onSetEyeComfotPolicy(android.os.Bundle policyData) {
        android.provider.Settings.System.putInt(this.mContext.getContentResolver(), "eyes_protection_mode", policyData.getBoolean("value", false));
    }

    public boolean onGetPolicy(android.content.ComponentName who, java.lang.String policyName, android.os.Bundle policyData) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onGetPolicy: ");
        stringBuilder.append(policyName);
        android.util.Log.i("DeviceControlPlugin", stringBuilder.toString());
        boolean z = false;
        if (!checkCallingPermission(who, policyName) || policyData == null) {
            return false;
        }
        long identityToken = android.os.Binder.clearCallingIdentity();
        boolean z2 = true;
        try {
            if (policyName.hashCode() == 1576234773) {
                if (policyName.equals("device_control_turn_on_eye_comfort")) {
                    z2 = false;
                }
            }
            if (!z2) {
                if (android.provider.Settings.System.getInt(this.mContext.getContentResolver(), "eyes_protection_mode", 0) != 0) {
                    z = true;
                }
                policyData.putBoolean("value", z);
            }
            android.os.Binder.restoreCallingIdentity(identityToken);
            return true;
        } catch (Throwable th) {
            android.os.Binder.restoreCallingIdentity(identityToken);
        }
    }

    public boolean onRemovePolicy(android.content.ComponentName who, java.lang.String policyName, android.os.Bundle policyData, boolean effective) {
        com.android.server.devicepolicy.HwLog.i("DeviceControlPlugin", "onRemovePolicy");
        return true;
    }

    public boolean onActiveAdminRemoved(android.content.ComponentName who, java.util.ArrayList<com.android.server.devicepolicy.PolicyStruct.PolicyItem> arrayList) {
        com.android.server.devicepolicy.HwLog.i("DeviceControlPlugin", "onActiveAdminRemoved");
        return true;
    }
}
