package com.android.server.devicepolicy.plugins;

public class DeviceInfraredPlugin extends com.android.server.devicepolicy.DevicePolicyPlugin {
    private static final java.lang.String INFRARED_CONTROL_PERMSSION = "com.huawei.permission.sec.MDM";
    private static final java.lang.String INFRARED_ISALLOW_FORBID_KEY = "infrared_item_policy_value";
    private static final java.lang.String INFRARED_ISALLOW_ITEM_POLICY_NAME = "infrared_item_policy_name";
    public static final java.lang.String TAG = com.android.server.devicepolicy.plugins.DeviceInfraredPlugin.class.getSimpleName();

    public DeviceInfraredPlugin(android.content.Context context) {
        super(context);
    }

    public java.lang.String getPluginName() {
        return getClass().getSimpleName();
    }

    public com.android.server.devicepolicy.PolicyStruct getPolicyStruct() {
        com.android.server.devicepolicy.PolicyStruct struct = new com.android.server.devicepolicy.PolicyStruct(this);
        struct.addStruct("infrared_item_policy_name", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"infrared_item_policy_value"});
        return struct;
    }

    public boolean onInit(com.android.server.devicepolicy.PolicyStruct policyStruct) {
        if (policyStruct == null) {
            return false;
        }
        return true;
    }

    public boolean checkCallingPermission(android.content.ComponentName who, java.lang.String policyName) {
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM", "need permission com.huawei.permission.sec.MDM");
        return true;
    }

    public boolean onSetPolicy(android.content.ComponentName who, java.lang.String policyName, android.os.Bundle policyData, boolean changed) {
        if (policyName != null) {
            return true;
        }
        com.android.server.devicepolicy.HwLog.e(TAG, "onSetPolicy params null");
        return false;
    }

    public boolean onRemovePolicy(android.content.ComponentName who, java.lang.String policyName, android.os.Bundle policyData, boolean changed) {
        if (policyName != null) {
            return true;
        }
        com.android.server.devicepolicy.HwLog.e(TAG, "onRemovePolicy params null.");
        return false;
    }

    public boolean onActiveAdminRemoved(android.content.ComponentName who, java.util.ArrayList<com.android.server.devicepolicy.PolicyStruct.PolicyItem> arrayList) {
        return true;
    }
}
