package com.android.server.devicepolicy.plugins;

public class DeviceLocationPlugin extends com.android.server.devicepolicy.DevicePolicyPlugin {
    private static final java.lang.String ACTION_DEVICE_POLICY_CHANGED = "com.huawei.devicepolicy.action.POLICY_CHANGED";
    private static final java.lang.String DISALLOW_PASSIVE_LOCATION = "passive_location_disallow_item";
    private static final java.lang.String LOCATION_CONTROL_PERMSSION = "com.huawei.permission.sec.MDM_LOCATION";
    public static final java.lang.String TAG = com.android.server.devicepolicy.plugins.DeviceLocationPlugin.class.getSimpleName();

    public DeviceLocationPlugin(android.content.Context context) {
        super(context);
    }

    public java.lang.String getPluginName() {
        return getClass().getSimpleName();
    }

    public com.android.server.devicepolicy.PolicyStruct getPolicyStruct() {
        com.android.server.devicepolicy.HwLog.i(TAG, "getPolicyStruct");
        com.android.server.devicepolicy.PolicyStruct struct = new com.android.server.devicepolicy.PolicyStruct(this);
        struct.addStruct("passive_location_disallow_item", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        return struct;
    }

    public boolean checkCallingPermission(android.content.ComponentName who, java.lang.String policyName) {
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_LOCATION", "need permission com.huawei.permission.sec.MDM_LOCATION");
        return true;
    }

    public boolean onSetPolicy(android.content.ComponentName who, java.lang.String policyName, android.os.Bundle policyData, boolean changed) {
        android.util.Log.i(TAG, "onSetPolicy");
        if (policyName != null) {
            return true;
        }
        android.util.Log.e(TAG, "params null.");
        return false;
    }

    public boolean onRemovePolicy(android.content.ComponentName who, java.lang.String policyName, android.os.Bundle policyData, boolean changed) {
        android.util.Log.i(TAG, "onRemovePolicy");
        if (policyName != null) {
            return true;
        }
        android.util.Log.e(TAG, "policyName null");
        return false;
    }

    public boolean onActiveAdminRemoved(android.content.ComponentName who, java.util.ArrayList<com.android.server.devicepolicy.PolicyStruct.PolicyItem> removedPolicies) {
        android.util.Log.i(TAG, "onActiveAdminRemoved");
        if (removedPolicies != null && removedPolicies.size() > 0) {
            for (int size = removedPolicies.size(); 0 < size; size++) {
                java.lang.String policyName = ((com.android.server.devicepolicy.PolicyStruct.PolicyItem) removedPolicies.get(0)).getPolicyName();
                if (policyName.equals("passive_location_disallow_item")) {
                    sendLocationAllowSet(policyName);
                }
            }
        }
        return true;
    }

    private void sendLocationAllowSet(java.lang.String policyName) {
        android.content.Intent intent = new android.content.Intent();
        intent.setAction("com.huawei.devicepolicy.action.POLICY_CHANGED");
        intent.putExtra("policyName", policyName);
        intent.setPackage("android");
        intent.addFlags(1073741824);
        this.mContext.sendBroadcast(intent);
    }
}
