package com.android.server.devicepolicy.plugins;

public class DevicePasswordPlugin extends com.android.server.devicepolicy.DevicePolicyPlugin {
    private static final java.lang.String PWD_CHANGE_EXTEND_TIME = "pwd-password-change-extendtime";
    private static final java.lang.String PWD_NUM_SEQUENCE_MAX_LENGTH = "pwd-num-sequence-max-length";
    private static final java.lang.String PWD_REPETITION_MAX_LENGTH = "pwd-repetition-max-length";
    public static final java.lang.String TAG = com.android.server.devicepolicy.plugins.DevicePasswordPlugin.class.getSimpleName();

    public DevicePasswordPlugin(android.content.Context context) {
        super(context);
    }

    public java.lang.String getPluginName() {
        return getClass().getSimpleName();
    }

    public com.android.server.devicepolicy.PolicyStruct getPolicyStruct() {
        com.android.server.devicepolicy.HwLog.i(TAG, "getPolicyStruct");
        com.android.server.devicepolicy.PolicyStruct struct = new com.android.server.devicepolicy.PolicyStruct(this);
        struct.addStruct("pwd-num-sequence-max-length", com.android.server.devicepolicy.PolicyStruct.PolicyType.CONFIGURATION, new java.lang.String[]{"value"});
        struct.addStruct("pwd-repetition-max-length", com.android.server.devicepolicy.PolicyStruct.PolicyType.CONFIGURATION, new java.lang.String[]{"value"});
        struct.addStruct("pwd-password-change-extendtime", com.android.server.devicepolicy.PolicyStruct.PolicyType.CONFIGURATION, new java.lang.String[]{"value"});
        return struct;
    }

    public boolean onInit(com.android.server.devicepolicy.PolicyStruct policyStruct) {
        com.android.server.devicepolicy.HwLog.i(TAG, "onInit");
        if (policyStruct == null) {
            return false;
        }
        return true;
    }

    public boolean checkCallingPermission(android.content.ComponentName who, java.lang.String policyName) {
        com.android.server.devicepolicy.HwLog.i(TAG, "checkCallingPermission");
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_KEYGUARD", "does not have PERMISSION_MDM_KEYGUARD permission!");
        return true;
    }

    public boolean onSetPolicy(android.content.ComponentName who, java.lang.String policyName, android.os.Bundle policyData, boolean changed) {
        com.android.server.devicepolicy.HwLog.i(TAG, "onSetPolicy");
        return true;
    }

    public boolean onRemovePolicy(android.content.ComponentName who, java.lang.String policyName, android.os.Bundle policyData, boolean changed) {
        com.android.server.devicepolicy.HwLog.i(TAG, "onRemovePolicy");
        return true;
    }

    public boolean onGetPolicy(android.content.ComponentName who, java.lang.String policyName, android.os.Bundle policyData) {
        com.android.server.devicepolicy.HwLog.i(TAG, "onGetPolicy");
        return true;
    }

    public boolean onActiveAdminRemoved(android.content.ComponentName who, java.util.ArrayList<com.android.server.devicepolicy.PolicyStruct.PolicyItem> arrayList) {
        com.android.server.devicepolicy.HwLog.i(TAG, "onActiveAdminRemoved");
        return true;
    }
}
