package com.android.server.devicepolicy.plugins;

public class DeviceRestrictionPlugin extends com.android.server.devicepolicy.DevicePolicyPlugin {
    private static final java.lang.String DISABLE_APPLICATIONS_LIST = "disable-applications-list";
    private static final java.lang.String DISABLE_APPLICATIONS_LIST_ITEM = "disable-applications-list/disable-applications-list-item";
    private static final java.lang.String DISABLE_CHANGE_WALLPAPER = "disable-change-wallpaper";
    private static final java.lang.String DISABLE_HEADPHONE = "disable-headphone";
    private static final java.lang.String DISABLE_MICROPHONE = "disable-microphone";
    private static final java.lang.String DISABLE_NAVIGATIONBAR = "disable-navigationbar";
    private static final java.lang.String DISABLE_NOTIFICATION = "disable-notification";
    private static final java.lang.String DISABLE_SCREEN_CAPTURE = "disable-screen-capture";
    private static final java.lang.String DISABLE_SYSTEM_BROWSER = "disable-system-browser";
    private static final java.lang.String DISABLE_SYSTEM_UPDATE = "disable-system-update";
    private static final java.lang.String FLOAT_TASK_STATE = "float_task_state";
    private static final int FLOAT_TASK_STATE_OFF = 0;
    private static final int FLOAT_TASK_STATE_ON = 1;
    private static final java.lang.String KEY_BOOT_MDM = "boot_alarm_mdm";
    public static final java.lang.String PERMISSION_MDM_UPDATESTATE_MANAGER = "com.huawei.permission.sec.MDM_UPDATESTATE_MANAGER";
    private static final java.lang.String SETTINGS_FALLBACK_ACTIVITY_NAME = "com.android.settings.FallbackHome";
    private static final java.lang.String SETTINGS_PACKAGE_NAME = "com.android.settings";
    public static final java.lang.String TAG = com.android.server.devicepolicy.plugins.DeviceRestrictionPlugin.class.getSimpleName();
    private android.app.AlarmManager mAlarmManager;
    private android.app.PendingIntent mBootPendingIntent;
    java.util.ArrayList<java.lang.String> mDisableApplicationsList = new java.util.ArrayList();
    android.os.Handler mHandler = new android.os.Handler(android.os.Looper.myLooper());
    private android.app.PendingIntent mShutdownPendingIntent;

    public DeviceRestrictionPlugin(android.content.Context context) {
        super(context);
    }

    public java.lang.String getPluginName() {
        return getClass().getSimpleName();
    }

    public com.android.server.devicepolicy.PolicyStruct getPolicyStruct() {
        com.android.server.devicepolicy.HwLog.i(TAG, "getPolicyStruct");
        com.android.server.devicepolicy.PolicyStruct struct = new com.android.server.devicepolicy.PolicyStruct(this);
        struct.addStruct("disable-system-update", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("disable-system-browser", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("disable-screen-capture", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("disable-notification", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("disable-applications-list/disable-applications-list-item", com.android.server.devicepolicy.PolicyStruct.PolicyType.LIST, new java.lang.String[]{"value"});
        struct.addStruct("disable-clipboard", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("disable-google-account-autosync", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("disable-microphone", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("disable-headphone", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("disable-send-notification", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("disable-change-wallpaper", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("disable-power-shutdown", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("disable-shutdownmenu", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("disable-volume", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("disable-fingerprint-authentication", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("force-enable-wifi", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("force-enable-BT", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("disable_voice_outgoing", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("disable_voice_incoming", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("disable-navigationbar", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("disable-charge", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("force_scheduled_power_on", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("force_scheduled_power_off", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("disable_float_task", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("policy-file-share-disabled", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        return struct;
    }

    public boolean checkCallingPermission(android.content.ComponentName r5, java.lang.String r6) {
        /*
        r4 = this;
        r0 = TAG;
        r1 = "checkCallingPermission";
        com.android.server.devicepolicy.HwLog.i(r0, r1);
        r0 = r6.hashCode();
        r1 = 1;
        switch(r0) {
            case -2065188737: goto L_0x0120;
            case -1462770845: goto L_0x0116;
            case -1418767509: goto L_0x010b;
            case -1333051633: goto L_0x0101;
            case -694001423: goto L_0x00f7;
            case -595558097: goto L_0x00ed;
            case -304109734: goto L_0x00e2;
            case -168307399: goto L_0x00d7;
            case -31729136: goto L_0x00cc;
            case -614710: goto L_0x00c1;
            case 153563136: goto L_0x00b5;
            case 382441887: goto L_0x00a9;
            case 403658447: goto L_0x009d;
            case 458488698: goto L_0x0091;
            case 476421226: goto L_0x0086;
            case 539407267: goto L_0x007a;
            case 594183088: goto L_0x006e;
            case 702979817: goto L_0x0063;
            case 731920490: goto L_0x0057;
            case 775851010: goto L_0x004c;
            case 1389850009: goto L_0x0041;
            case 1658369855: goto L_0x0035;
            case 1785346365: goto L_0x0029;
            case 1946452102: goto L_0x001d;
            case 1981742202: goto L_0x0011;
            default: goto L_0x000f;
        };
    L_0x000f:
        goto L_0x012b;
    L_0x0011:
        r0 = "force-enable-BT";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x0019:
        r0 = 18;
        goto L_0x012c;
    L_0x001d:
        r0 = "disable-fingerprint-authentication";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x0025:
        r0 = 16;
        goto L_0x012c;
    L_0x0029:
        r0 = "force-enable-wifi";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x0031:
        r0 = 17;
        goto L_0x012c;
    L_0x0035:
        r0 = "disable_float_task";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x003d:
        r0 = 23;
        goto L_0x012c;
    L_0x0041:
        r0 = "disable-google-account-autosync";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x0049:
        r0 = 5;
        goto L_0x012c;
    L_0x004c:
        r0 = "disable-system-update";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x0054:
        r0 = 0;
        goto L_0x012c;
    L_0x0057:
        r0 = "disable-change-wallpaper";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x005f:
        r0 = 9;
        goto L_0x012c;
    L_0x0063:
        r0 = "disable-headphone";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x006b:
        r0 = 6;
        goto L_0x012c;
    L_0x006e:
        r0 = "disable-notification";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x0076:
        r0 = 21;
        goto L_0x012c;
    L_0x007a:
        r0 = "disable-power-shutdown";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x0082:
        r0 = 13;
        goto L_0x012c;
    L_0x0086:
        r0 = "disable-screen-capture";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x008e:
        r0 = r1;
        goto L_0x012c;
    L_0x0091:
        r0 = "disable-shutdownmenu";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x0099:
        r0 = 14;
        goto L_0x012c;
    L_0x009d:
        r0 = "force_scheduled_power_off";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x00a5:
        r0 = 12;
        goto L_0x012c;
    L_0x00a9:
        r0 = "disable-volume";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x00b1:
        r0 = 15;
        goto L_0x012c;
    L_0x00b5:
        r0 = "policy-file-share-disabled";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x00bd:
        r0 = 24;
        goto L_0x012c;
    L_0x00c1:
        r0 = "disable_voice_incoming";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x00c9:
        r0 = 20;
        goto L_0x012c;
    L_0x00cc:
        r0 = "disable_voice_outgoing";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x00d4:
        r0 = 19;
        goto L_0x012c;
    L_0x00d7:
        r0 = "disable-charge";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x00df:
        r0 = 10;
        goto L_0x012c;
    L_0x00e2:
        r0 = "disable-navigationbar";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x00ea:
        r0 = 22;
        goto L_0x012c;
    L_0x00ed:
        r0 = "disable-microphone";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x00f5:
        r0 = 7;
        goto L_0x012c;
    L_0x00f7:
        r0 = "disable-clipboard";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x00ff:
        r0 = 4;
        goto L_0x012c;
    L_0x0101:
        r0 = "disable-system-browser";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x0109:
        r0 = 2;
        goto L_0x012c;
    L_0x010b:
        r0 = "disable-send-notification";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x0113:
        r0 = 8;
        goto L_0x012c;
    L_0x0116:
        r0 = "disable-applications-list";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x011e:
        r0 = 3;
        goto L_0x012c;
    L_0x0120:
        r0 = "force_scheduled_power_on";
        r0 = r6.equals(r0);
        if (r0 == 0) goto L_0x012b;
    L_0x0128:
        r0 = 11;
        goto L_0x012c;
    L_0x012b:
        r0 = -1;
    L_0x012c:
        switch(r0) {
            case 0: goto L_0x01de;
            case 1: goto L_0x01d4;
            case 2: goto L_0x01ca;
            case 3: goto L_0x01ca;
            case 4: goto L_0x01c0;
            case 5: goto L_0x01b6;
            case 6: goto L_0x01a5;
            case 7: goto L_0x01a5;
            case 8: goto L_0x01a5;
            case 9: goto L_0x01a5;
            case 10: goto L_0x01a5;
            case 11: goto L_0x01a5;
            case 12: goto L_0x01a5;
            case 13: goto L_0x019b;
            case 14: goto L_0x0191;
            case 15: goto L_0x0187;
            case 16: goto L_0x017d;
            case 17: goto L_0x0173;
            case 18: goto L_0x0168;
            case 19: goto L_0x015d;
            case 20: goto L_0x015d;
            case 21: goto L_0x0152;
            case 22: goto L_0x0147;
            case 23: goto L_0x013c;
            case 24: goto L_0x0131;
            default: goto L_0x012f;
        };
    L_0x012f:
        goto L_0x01e8;
    L_0x0131:
        r0 = r4.mContext;
        r2 = "com.huawei.permission.sec.MDM_DEVICE_MANAGER";
        r3 = "does not have device_manager MDM permission!";
        r0.enforceCallingOrSelfPermission(r2, r3);
        goto L_0x01e8;
    L_0x013c:
        r0 = r4.mContext;
        r2 = "com.huawei.permission.sec.MDM_DEVICE_MANAGER";
        r3 = "does not have device_manager MDM permission!";
        r0.enforceCallingOrSelfPermission(r2, r3);
        goto L_0x01e8;
    L_0x0147:
        r0 = r4.mContext;
        r2 = "com.huawei.permission.sec.MDM_DEVICE_MANAGER";
        r3 = "does not have device_manager MDM permission!";
        r0.enforceCallingOrSelfPermission(r2, r3);
        goto L_0x01e8;
    L_0x0152:
        r0 = r4.mContext;
        r2 = "com.huawei.permission.sec.MDM_DEVICE_MANAGER";
        r3 = "does not have device_manager MDM permission!";
        r0.enforceCallingOrSelfPermission(r2, r3);
        goto L_0x01e8;
    L_0x015d:
        r0 = r4.mContext;
        r2 = "com.huawei.permission.sec.MDM_PHONE";
        r3 = "does not have google account MDM permission!";
        r0.enforceCallingOrSelfPermission(r2, r3);
        goto L_0x01e8;
    L_0x0168:
        r0 = r4.mContext;
        r2 = "com.huawei.permission.sec.MDM_BLUETOOTH";
        r3 = "does not have bluetooth MDM permission!";
        r0.enforceCallingOrSelfPermission(r2, r3);
        goto L_0x01e8;
    L_0x0173:
        r0 = r4.mContext;
        r2 = "com.huawei.permission.sec.MDM_WIFI";
        r3 = "does not have wifi MDM permission!";
        r0.enforceCallingOrSelfPermission(r2, r3);
        goto L_0x01e8;
    L_0x017d:
        r0 = r4.mContext;
        r2 = "com.huawei.permission.sec.MDM_FINGERPRINT";
        r3 = "does not have fingerprint MDM permission!";
        r0.enforceCallingOrSelfPermission(r2, r3);
        goto L_0x01e8;
    L_0x0187:
        r0 = r4.mContext;
        r2 = "com.huawei.permission.sec.MDM_DEVICE_MANAGER";
        r3 = "does not have device_manager MDM permission!";
        r0.enforceCallingOrSelfPermission(r2, r3);
        goto L_0x01e8;
    L_0x0191:
        r0 = r4.mContext;
        r2 = "com.huawei.permission.sec.MDM_DEVICE_MANAGER";
        r3 = "does not have device_manager MDM permission!";
        r0.enforceCallingOrSelfPermission(r2, r3);
        goto L_0x01e8;
    L_0x019b:
        r0 = r4.mContext;
        r2 = "com.huawei.permission.sec.MDM_DEVICE_MANAGER";
        r3 = "does not have device_manager MDM permission!";
        r0.enforceCallingOrSelfPermission(r2, r3);
        goto L_0x01e8;
    L_0x01a5:
        r0 = TAG;
        r2 = "check the calling Permission";
        com.android.server.devicepolicy.HwLog.i(r0, r2);
        r0 = r4.mContext;
        r2 = "com.huawei.permission.sec.MDM_DEVICE_MANAGER";
        r3 = "does not have device_manager MDM permission!";
        r0.enforceCallingOrSelfPermission(r2, r3);
        return r1;
    L_0x01b6:
        r0 = r4.mContext;
        r2 = "com.huawei.permission.sec.MDM_GOOGLE_ACCOUNT";
        r3 = "does not have google account MDM permission!";
        r0.enforceCallingOrSelfPermission(r2, r3);
        goto L_0x01e8;
    L_0x01c0:
        r0 = r4.mContext;
        r2 = "com.huawei.permission.sec.MDM_CLIPBOARD";
        r3 = "does not have clipboard MDM permission!";
        r0.enforceCallingOrSelfPermission(r2, r3);
        goto L_0x01e8;
    L_0x01ca:
        r0 = r4.mContext;
        r2 = "com.huawei.permission.sec.MDM_APP_MANAGEMENT";
        r3 = "does not have app_management MDM permission!";
        r0.enforceCallingOrSelfPermission(r2, r3);
        goto L_0x01e8;
    L_0x01d4:
        r0 = r4.mContext;
        r2 = "com.huawei.permission.sec.MDM_CAPTURE_SCREEN";
        r3 = "does not have capture_screen_management MDM permission!";
        r0.enforceCallingOrSelfPermission(r2, r3);
        goto L_0x01e8;
    L_0x01de:
        r0 = r4.mContext;
        r2 = "com.huawei.permission.sec.MDM_UPDATESTATE_MANAGER";
        r3 = "does not have system_update_management MDM permission!";
        r0.enforceCallingOrSelfPermission(r2, r3);
    L_0x01e8:
        return r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.plugins.DeviceRestrictionPlugin.checkCallingPermission(android.content.ComponentName, java.lang.String):boolean");
    }

    public boolean onSetPolicy(android.content.ComponentName who, java.lang.String policyName, android.os.Bundle policyData, boolean effective) {
        java.lang.String str = policyName;
        android.os.Bundle bundle = policyData;
        com.android.server.devicepolicy.HwLog.i(TAG, "onSetPolicy");
        boolean isSetSucess = true;
        android.content.pm.PackageManager pm = this.mContext.getPackageManager();
        long token = android.os.Binder.clearCallingIdentity();
        boolean z = true;
        try {
            switch (policyName.hashCode()) {
                case -2065188737:
                    if (str.equals("force_scheduled_power_on")) {
                        z = true;
                        break;
                    }
                    break;
                case -1462770845:
                    if (str.equals("disable-applications-list")) {
                        z = true;
                        break;
                    }
                    break;
                case -694001423:
                    if (str.equals("disable-clipboard")) {
                        z = true;
                        break;
                    }
                    break;
                case -168307399:
                    if (str.equals("disable-charge")) {
                        z = true;
                        break;
                    }
                    break;
                case 403658447:
                    if (str.equals("force_scheduled_power_off")) {
                        z = true;
                        break;
                    }
                    break;
                case 476421226:
                    if (str.equals("disable-screen-capture")) {
                        z = true;
                        break;
                    }
                    break;
                case 775851010:
                    if (str.equals("disable-system-update")) {
                        z = false;
                        break;
                    }
                    break;
                case 1389850009:
                    if (str.equals("disable-google-account-autosync")) {
                        z = true;
                        break;
                    }
                    break;
                case 1658369855:
                    if (str.equals("disable_float_task")) {
                        z = true;
                        break;
                    }
                    break;
                case 1785346365:
                    if (str.equals("force-enable-wifi")) {
                        z = true;
                        break;
                    }
                    break;
                case 1981742202:
                    if (str.equals("force-enable-BT")) {
                        z = true;
                        break;
                    }
                    break;
                default:
                    break;
            }
            int i;
            java.lang.String app;
            switch (z) {
                case false:
                    if (effective) {
                        isSetSucess = disableSystemUpdate(bundle.getBoolean("value"));
                        break;
                    }
                    break;
                case true:
                    java.util.ArrayList<java.lang.String> list = bundle.getStringArrayList("value");
                    if (!(list == null || list.size() == 0)) {
                        int j = list.size();
                        for (i = 0; i < j; i++) {
                            app = (java.lang.String) list.get(i);
                            isSetSucess = disableComponentForPackage(app, true, pm, 0);
                            this.mDisableApplicationsList.add(app);
                        }
                        break;
                    }
                case true:
                    i = android.os.UserHandle.getCallingUserId();
                    synchronized (this) {
                        isSetSucess = updateScreenCaptureDisabledInWindowManager(i, bundle.getBoolean("value"));
                    }
                    break;
                case true:
                    break;
                case true:
                    z = bundle.getBoolean("value", false);
                    if (effective && z) {
                        new java.lang.Thread(new java.lang.Runnable() {
                            public void run() {
                                com.android.server.devicepolicy.plugins.DeviceRestrictionPlugin.this.disableGoogleAccountSyncAutomatically();
                            }
                        }).start();
                        break;
                    }
                case true:
                    openWifi();
                    break;
                case true:
                    openBt();
                    break;
                case true:
                    if (!bundle.getBoolean("value", false)) {
                        enableCharging(true);
                        break;
                    }
                    enableCharging(false);
                    break;
                case true:
                    if (!bundle.getBoolean("value", false)) {
                        com.android.server.devicepolicy.HwLog.i(TAG, " ORCE_SCHEDULED_POWER_ON cancel");
                        cancelAlarm(this.mBootPendingIntent);
                        break;
                    }
                    long whenBoot = bundle.getLong("when", 0);
                    java.lang.String boradcastBoot = bundle.getString("boradcast", "");
                    java.lang.String str2 = TAG;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(" FORCE_SCHEDULED_POWER_ON boradcast:");
                    stringBuilder.append(boradcastBoot);
                    stringBuilder.append(",when:");
                    stringBuilder.append(whenBoot);
                    com.android.server.devicepolicy.HwLog.i(str2, stringBuilder.toString());
                    android.content.Intent intent = new android.content.Intent(boradcastBoot);
                    intent.putExtra("boot_alarm_mdm", true);
                    this.mBootPendingIntent = android.app.PendingIntent.getBroadcast(this.mContext, 0, intent, 0);
                    setAlarm(whenBoot, this.mBootPendingIntent);
                    break;
                case true:
                    if (!bundle.getBoolean("value", false)) {
                        com.android.server.devicepolicy.HwLog.i(TAG, " FORCE_SCHEDULED_POWER_OFF cancel");
                        cancelAlarm(this.mShutdownPendingIntent);
                        break;
                    }
                    long whenShutdown = bundle.getLong("when", 0);
                    app = bundle.getString("boradcast", "");
                    java.lang.String str3 = TAG;
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append(" FORCE_SCHEDULED_POWER_OFF boradcast:");
                    stringBuilder2.append(app);
                    stringBuilder2.append(",when:");
                    stringBuilder2.append(whenShutdown);
                    com.android.server.devicepolicy.HwLog.i(str3, stringBuilder2.toString());
                    this.mShutdownPendingIntent = android.app.PendingIntent.getBroadcast(this.mContext, 0, new android.content.Intent(app), 0);
                    setAlarm(whenShutdown, this.mShutdownPendingIntent);
                    break;
                case true:
                    z = isFloatTaskRunning();
                    storeFloatTaskState(z);
                    if (z) {
                        setFloatTaskEnabled(false);
                        break;
                    }
                    break;
                default:
                    break;
            }
            android.os.Binder.restoreCallingIdentity(token);
            return isSetSucess;
        } catch (Throwable th) {
            android.os.Binder.restoreCallingIdentity(token);
        }
    }

    public void onSetPolicyCompleted(android.content.ComponentName who, java.lang.String policyName, boolean changed) {
        com.android.server.devicepolicy.HwLog.i(TAG, "onSetPolicyCompleted");
        long token = android.os.Binder.clearCallingIdentity();
        java.lang.Object obj = -1;
        try {
            if (policyName.hashCode() == -304109734) {
                if (policyName.equals("disable-navigationbar")) {
                    obj = null;
                }
            }
            if (obj == null) {
                changeNavigationBarStatus(android.os.UserHandle.getCallingUserId(), android.hdm.HwDeviceManager.disallowOp(true));
            }
            android.os.Binder.restoreCallingIdentity(token);
        } catch (Throwable th) {
            android.os.Binder.restoreCallingIdentity(token);
        }
    }

    private void setAlarm(long triggerAtMillis, android.app.PendingIntent intent) {
        if (this.mAlarmManager == null) {
            this.mAlarmManager = (android.app.AlarmManager) this.mContext.getSystemService("alarm");
        }
        this.mAlarmManager.setExact(0, triggerAtMillis, intent);
    }

    private void cancelAlarm(android.app.PendingIntent intent) {
        if (this.mAlarmManager != null) {
            if (intent != null) {
                this.mAlarmManager.cancel(intent);
            }
        }
    }

    private void enableCharging(boolean charge) {
        android.os.PowerManager powerManager = (android.os.PowerManager) this.mContext.getSystemService("power");
        if (powerManager == null) {
            com.android.server.devicepolicy.HwLog.w(TAG, "powermanager is null");
        } else {
            powerManager.setPowerState(charge);
        }
    }

    private void changeNavigationBarStatus(int navBarUserHandle, boolean nav_policyData) {
        java.lang.String enableNavbar;
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("MDM policy changeNavigationBarStatus nav_policyData = ");
        stringBuilder.append(nav_policyData);
        com.android.server.devicepolicy.HwLog.i(str, stringBuilder.toString());
        str = "1";
        java.lang.String NAVIGATIONBAR_DISABLE = "0";
        if (nav_policyData) {
            enableNavbar = "0";
        } else {
            enableNavbar = "1";
        }
        java.util.List<android.content.pm.UserInfo> userInfo = android.os.UserManager.get(this.mContext).getUsers();
        android.content.Intent intent = new android.content.Intent("com.huawei.navigationbar.statuschange");
        intent.setPackage("com.android.systemui");
        intent.putExtra("minNavigationBar", nav_policyData);
        this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.ALL);
        int usersSize = userInfo.size();
        for (int i = 0; i < usersSize; i++) {
            android.provider.Settings.System.putStringForUser(this.mContext.getContentResolver(), "enable_navbar", enableNavbar, ((android.content.pm.UserInfo) userInfo.get(i)).id);
        }
    }

    private void openWifi() {
        android.net.wifi.WifiManager wifiManager = (android.net.wifi.WifiManager) this.mContext.getSystemService("wifi");
        if (wifiManager != null) {
            wifiManager.setWifiEnabled(true);
        }
    }

    private void openBt() {
        android.bluetooth.BluetoothAdapter bluetoothAdapter = android.bluetooth.BluetoothAdapter.getDefaultAdapter();
        if (bluetoothAdapter != null) {
            bluetoothAdapter.enable();
        }
    }

    public boolean onRemovePolicy(android.content.ComponentName who, java.lang.String policyName, android.os.Bundle policyData, boolean effective) {
        com.android.server.devicepolicy.HwLog.i(TAG, "onRemovePolicy");
        android.content.pm.PackageManager pm = this.mContext.getPackageManager();
        long token = android.os.Binder.clearCallingIdentity();
        boolean z = true;
        try {
            int hashCode = policyName.hashCode();
            if (hashCode != -1462770845) {
                if (hashCode == 1658369855) {
                    if (policyName.equals("disable_float_task")) {
                        z = true;
                    }
                }
            } else if (policyName.equals("disable-applications-list")) {
                z = false;
            }
            switch (z) {
                case false:
                    java.util.ArrayList<java.lang.String> list = policyData.getStringArrayList("value");
                    if (!(list == null || list.size() == 0)) {
                        int j = list.size();
                        for (hashCode = 0; hashCode < j; hashCode++) {
                            disableComponentForPackage((java.lang.String) list.get(hashCode), false, pm, 0);
                        }
                        break;
                    }
                case true:
                    if (isFloatTaskEnableBefore()) {
                        setFloatTaskEnabled(true);
                        break;
                    }
                    break;
                default:
                    break;
            }
            android.os.Binder.restoreCallingIdentity(token);
            return true;
        } catch (Throwable th) {
            android.os.Binder.restoreCallingIdentity(token);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:28:0x006d A:{Catch:{ all -> 0x00b3 }} */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x00a8 A:{Catch:{ all -> 0x00b3 }} */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x009b A:{Catch:{ all -> 0x00b3 }} */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x0078 A:{Catch:{ all -> 0x00b3 }} */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x006e A:{Catch:{ all -> 0x00b3 }} */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x006d A:{Catch:{ all -> 0x00b3 }} */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x00a8 A:{Catch:{ all -> 0x00b3 }} */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x009b A:{Catch:{ all -> 0x00b3 }} */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x0078 A:{Catch:{ all -> 0x00b3 }} */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x006e A:{Catch:{ all -> 0x00b3 }} */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x006d A:{Catch:{ all -> 0x00b3 }} */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x00a8 A:{Catch:{ all -> 0x00b3 }} */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x009b A:{Catch:{ all -> 0x00b3 }} */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x0078 A:{Catch:{ all -> 0x00b3 }} */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x006e A:{Catch:{ all -> 0x00b3 }} */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x006d A:{Catch:{ all -> 0x00b3 }} */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x00a8 A:{Catch:{ all -> 0x00b3 }} */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x009b A:{Catch:{ all -> 0x00b3 }} */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x0078 A:{Catch:{ all -> 0x00b3 }} */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x006e A:{Catch:{ all -> 0x00b3 }} */
    public boolean onActiveAdminRemoved(android.content.ComponentName r12, java.util.ArrayList<com.android.server.devicepolicy.PolicyStruct.PolicyItem> r13) {
        /*
        r11 = this;
        r0 = TAG;
        r1 = "onActiveAdminRemoved";
        com.android.server.devicepolicy.HwLog.i(r0, r1);
        r0 = r11.mContext;
        r0 = r0.getPackageManager();
        r1 = android.os.Binder.clearCallingIdentity();
        r3 = r13.iterator();	 Catch:{ all -> 0x00b3 }
    L_0x0015:
        r4 = r3.hasNext();	 Catch:{ all -> 0x00b3 }
        r5 = 1;
        if (r4 == 0) goto L_0x00ae;
    L_0x001c:
        r4 = r3.next();	 Catch:{ all -> 0x00b3 }
        r4 = (com.android.server.devicepolicy.PolicyStruct.PolicyItem) r4;	 Catch:{ all -> 0x00b3 }
        r6 = r4.getPolicyName();	 Catch:{ all -> 0x00b3 }
        r7 = -1;
        r8 = r6.hashCode();	 Catch:{ all -> 0x00b3 }
        r9 = -1462770845; // 0xffffffffa8cfe363 float:-2.308023E-14 double:NaN;
        r10 = 0;
        if (r8 == r9) goto L_0x005f;
    L_0x0031:
        r9 = 476421226; // 0x1c659c6a float:7.5971905E-22 double:2.353833607E-315;
        if (r8 == r9) goto L_0x0055;
    L_0x0036:
        r9 = 775851010; // 0x2e3e8c02 float:4.332535E-11 double:3.833213303E-315;
        if (r8 == r9) goto L_0x004b;
    L_0x003b:
        r9 = 1658369855; // 0x62d8b73f float:1.9988505E21 double:8.193435735E-315;
        if (r8 == r9) goto L_0x0041;
    L_0x0040:
        goto L_0x0069;
    L_0x0041:
        r8 = "disable_float_task";
        r6 = r6.equals(r8);	 Catch:{ all -> 0x00b3 }
        if (r6 == 0) goto L_0x0069;
    L_0x0049:
        r6 = 3;
        goto L_0x006a;
    L_0x004b:
        r8 = "disable-system-update";
        r6 = r6.equals(r8);	 Catch:{ all -> 0x00b3 }
        if (r6 == 0) goto L_0x0069;
    L_0x0053:
        r6 = r10;
        goto L_0x006a;
    L_0x0055:
        r8 = "disable-screen-capture";
        r6 = r6.equals(r8);	 Catch:{ all -> 0x00b3 }
        if (r6 == 0) goto L_0x0069;
    L_0x005d:
        r6 = r5;
        goto L_0x006a;
    L_0x005f:
        r8 = "disable-applications-list";
        r6 = r6.equals(r8);	 Catch:{ all -> 0x00b3 }
        if (r6 == 0) goto L_0x0069;
    L_0x0067:
        r6 = 2;
        goto L_0x006a;
    L_0x0069:
        r6 = r7;
    L_0x006a:
        switch(r6) {
            case 0: goto L_0x00a8;
            case 1: goto L_0x009b;
            case 2: goto L_0x0078;
            case 3: goto L_0x006e;
            default: goto L_0x006d;
        };	 Catch:{ all -> 0x00b3 }
    L_0x006d:
        goto L_0x00ac;
    L_0x006e:
        r6 = r11.isFloatTaskEnableBefore();	 Catch:{ all -> 0x00b3 }
        if (r6 == 0) goto L_0x00ac;
    L_0x0074:
        r11.setFloatTaskEnabled(r5);	 Catch:{ all -> 0x00b3 }
        goto L_0x00ac;
    L_0x0078:
        r5 = r11.mDisableApplicationsList;	 Catch:{ all -> 0x00b3 }
        if (r5 == 0) goto L_0x00ac;
    L_0x007c:
        r5 = r11.mDisableApplicationsList;	 Catch:{ all -> 0x00b3 }
        r5 = r5.size();	 Catch:{ all -> 0x00b3 }
        if (r5 == 0) goto L_0x00ac;
    L_0x0084:
        r5 = 0;
        r6 = r11.mDisableApplicationsList;	 Catch:{ all -> 0x00b3 }
        r6 = r6.size();	 Catch:{ all -> 0x00b3 }
    L_0x008b:
        if (r5 >= r6) goto L_0x00ac;
    L_0x008d:
        r7 = r11.mDisableApplicationsList;	 Catch:{ all -> 0x00b3 }
        r7 = r7.get(r5);	 Catch:{ all -> 0x00b3 }
        r7 = (java.lang.String) r7;	 Catch:{ all -> 0x00b3 }
        r11.disableComponentForPackage(r7, r10, r0, r10);	 Catch:{ all -> 0x00b3 }
        r5 = r5 + 1;
        goto L_0x008b;
    L_0x009b:
        r5 = android.os.UserHandle.getCallingUserId();	 Catch:{ all -> 0x00b3 }
        monitor-enter(r11);	 Catch:{ all -> 0x00b3 }
        r11.updateScreenCaptureDisabledInWindowManager(r5, r10);	 Catch:{ all -> 0x00a5 }
        monitor-exit(r11);	 Catch:{ all -> 0x00a5 }
        goto L_0x00ac;
    L_0x00a5:
        r3 = move-exception;
        monitor-exit(r11);	 Catch:{ all -> 0x00a5 }
        throw r3;	 Catch:{ all -> 0x00b3 }
    L_0x00a8:
        r11.disableSystemUpdate(r10);	 Catch:{ all -> 0x00b3 }
    L_0x00ac:
        goto L_0x0015;
    L_0x00ae:
        android.os.Binder.restoreCallingIdentity(r1);
        return r5;
    L_0x00b3:
        r3 = move-exception;
        android.os.Binder.restoreCallingIdentity(r1);
        throw r3;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.plugins.DeviceRestrictionPlugin.onActiveAdminRemoved(android.content.ComponentName, java.util.ArrayList):boolean");
    }

    private boolean disableSystemUpdate(boolean disable) {
        java.lang.String[] readBuf = new java.lang.String[]{"AA"};
        int[] errorRet = new int[1];
        java.lang.String writeValue = disable ? "1" : "0";
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("writeProtectArea :");
        stringBuilder.append(writeValue);
        com.android.server.devicepolicy.HwLog.i(str, stringBuilder.toString());
        if (huawei.android.os.HwProtectAreaManager.getInstance().writeProtectArea("SYSTEM_UPDATE_STATE", writeValue.length(), writeValue, errorRet) == 0) {
            int readRet = huawei.android.os.HwProtectAreaManager.getInstance().readProtectArea("SYSTEM_UPDATE_STATE", 4, readBuf, errorRet);
            java.lang.String str2 = TAG;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("readProtectArea: readRet = ");
            stringBuilder2.append(readRet);
            stringBuilder2.append("ReadBuf = ");
            stringBuilder2.append(java.util.Arrays.toString(readBuf));
            stringBuilder2.append("errorRet = ");
            stringBuilder2.append(java.util.Arrays.toString(errorRet));
            com.android.server.devicepolicy.HwLog.i(str2, stringBuilder2.toString());
            if (readRet == 0 && readBuf.length >= 1 && writeValue.equals(readBuf[0])) {
                java.lang.String updateState = disable ? "false" : "true";
                java.lang.String str3 = TAG;
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("writeProtectArea Success! Set sys.update.state to ");
                stringBuilder3.append(updateState);
                android.util.Log.i(str3, stringBuilder3.toString());
                android.os.SystemProperties.set("sys.update.state", updateState);
                return true;
            }
        }
        return false;
    }

    private boolean disableComponentForPackage(java.lang.String packageName, boolean disable, android.content.pm.PackageManager pm, int userId) {
        java.lang.String str = packageName;
        android.content.pm.PackageManager packageManager = pm;
        boolean setSuccess = true;
        if (android.text.TextUtils.isEmpty(packageName)) {
            return false;
        }
        boolean newState = disable ? true : false;
        android.content.pm.LauncherApps launcherApps = (android.content.pm.LauncherApps) this.mContext.getSystemService("launcherapps");
        try {
            int i;
            android.content.pm.PackageInfo packageInfo = packageManager.getPackageInfo(str, 786959);
            if (!(packageInfo == null || packageInfo.receivers == null || packageInfo.receivers.length == 0)) {
                for (android.content.pm.ActivityInfo activityInfo : packageInfo.receivers) {
                    packageManager.setComponentEnabledSetting(new android.content.ComponentName(str, activityInfo.name), newState, 0);
                }
            }
            if (!(packageInfo == null || packageInfo.services == null || packageInfo.services.length == 0)) {
                for (android.content.pm.ServiceInfo serviceInfo : packageInfo.services) {
                    packageManager.setComponentEnabledSetting(new android.content.ComponentName(str, serviceInfo.name), newState, 0);
                }
            }
            if (!(packageInfo == null || packageInfo.providers == null || packageInfo.providers.length == 0)) {
                for (android.content.pm.ProviderInfo providerInfo : packageInfo.providers) {
                    packageManager.setComponentEnabledSetting(new android.content.ComponentName(str, providerInfo.name), newState, 0);
                }
            }
            if (!(packageInfo == null || packageInfo.activities == null || packageInfo.activities.length == 0)) {
                i = 0;
                while (i < packageInfo.activities.length) {
                    android.content.ComponentName componentName = new android.content.ComponentName(str, packageInfo.activities[i].name);
                    if (disable) {
                        for (android.content.pm.LauncherActivityInfo launcherApp : launcherApps.getActivityList(str, new android.os.UserHandle(android.os.UserHandle.myUserId()))) {
                            if (!(launcherApp.getComponentName().getClassName().contains(packageInfo.activities[i].name) || packageInfo.activities[i].name.contains("com.android.settings.FallbackHome"))) {
                                packageManager.setComponentEnabledSetting(componentName, newState, 0);
                            }
                        }
                    } else {
                        packageManager.setComponentEnabledSetting(componentName, newState, 0);
                    }
                    i++;
                }
            }
            if (disable) {
                packageManager.clearPackagePreferredActivities(str);
            }
        } catch (android.content.pm.PackageManager.NameNotFoundException e) {
            setSuccess = false;
        }
        pm.flushPackageRestrictionsAsUser(userId);
        if (disable) {
            killApplicationInner(packageName);
        }
        return setSuccess;
    }

    private void killApplicationInner(java.lang.String packageName) {
        long ident = android.os.Binder.clearCallingIdentity();
        try {
            java.util.List<android.app.ActivityManager.RunningTaskInfo> taskList = ((android.app.ActivityManager) this.mContext.getSystemService("activity")).getRunningTasks(android.app.ActivityManager.getMaxRecentTasksStatic());
            if (!(taskList == null || taskList.isEmpty())) {
                for (android.app.ActivityManager.RunningTaskInfo ti : taskList) {
                    android.content.ComponentName baseActivity = ti.baseActivity;
                    if (baseActivity != null && android.text.TextUtils.equals(baseActivity.getPackageName(), packageName)) {
                        java.lang.String str = TAG;
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("The killed packageName: ");
                        stringBuilder.append(packageName);
                        stringBuilder.append(" task id: ");
                        stringBuilder.append(ti.id);
                        com.android.server.devicepolicy.HwLog.d(str, stringBuilder.toString());
                        android.app.ActivityManager.getService().removeTask(ti.id);
                    }
                }
            }
        } catch (android.os.RemoteException e) {
            java.lang.String str2 = TAG;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("killApplicationInner pkg:");
            stringBuilder2.append(packageName);
            stringBuilder2.append(", RemoteException");
            com.android.server.devicepolicy.HwLog.d(str2, stringBuilder2.toString());
        } catch (Throwable th) {
            android.os.Binder.restoreCallingIdentity(ident);
        }
        android.os.Binder.restoreCallingIdentity(ident);
    }

    android.view.IWindowManager getIWindowManager() {
        return android.view.IWindowManager.Stub.asInterface(android.os.ServiceManager.getService("window"));
    }

    private boolean updateScreenCaptureDisabledInWindowManager(int userHandle, boolean disabled) {
        try {
            getIWindowManager().refreshScreenCaptureDisabled(userHandle);
            return true;
        } catch (android.os.RemoteException e) {
            com.android.server.devicepolicy.HwLog.e(TAG, "Unable to notify WindowManager.");
            return false;
        }
    }

    private void disableGoogleAccountSyncAutomatically() {
        java.lang.Throwable th;
        java.lang.String GOOGLE_ACCOUNT_TYPE = "com.google";
        long identityToken = android.os.Binder.clearCallingIdentity();
        try {
            android.content.SyncAdapterType[] syncs = android.content.ContentResolver.getSyncAdapterTypes();
            try {
                android.accounts.Account[] accounts = android.accounts.AccountManager.get(this.mContext).getAccountsByType("com.google");
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("get google accounts, size=");
                stringBuilder.append(accounts.length);
                com.android.server.devicepolicy.HwLog.i(str, stringBuilder.toString());
                for (android.accounts.Account account : accounts) {
                    for (android.content.SyncAdapterType adapter : syncs) {
                        java.lang.String str2 = TAG;
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("getCurrentSyncs, type=");
                        stringBuilder2.append(adapter.accountType);
                        stringBuilder2.append(", authority=");
                        stringBuilder2.append(adapter.authority);
                        stringBuilder2.append(", visible=");
                        stringBuilder2.append(adapter.isUserVisible());
                        com.android.server.devicepolicy.HwLog.i(str2, stringBuilder2.toString());
                        if ("com.google".equals(adapter.accountType) && adapter.isUserVisible() && android.content.ContentResolver.getSyncAutomatically(account, adapter.authority)) {
                            java.lang.String str3 = TAG;
                            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                            stringBuilder3.append("setSyncAutomatically to false for google account authority: ");
                            stringBuilder3.append(adapter.authority);
                            com.android.server.devicepolicy.HwLog.i(str3, stringBuilder3.toString());
                            android.content.ContentResolver.setSyncAutomatically(account, adapter.authority, false);
                        }
                    }
                }
                android.os.Binder.restoreCallingIdentity(identityToken);
            } catch (Throwable th2) {
                th = th2;
                android.os.Binder.restoreCallingIdentity(identityToken);
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            android.os.Binder.restoreCallingIdentity(identityToken);
            throw th;
        }
    }

    private void setFloatTaskEnabled(boolean enable) {
        android.provider.Settings.Secure.putIntForUser(this.mContext.getContentResolver(), "float_task_state", enable, android.os.UserHandle.myUserId());
    }

    private boolean isFloatTaskRunning() {
        return android.provider.Settings.Secure.getIntForUser(this.mContext.getContentResolver(), "float_task_state", 0, android.os.UserHandle.myUserId()) == 1;
    }

    private boolean isFloatTaskEnableBefore() {
        return android.provider.Settings.System.getInt(this.mContext.getContentResolver(), "float_task_state_before", 0) == 1;
    }

    private void storeFloatTaskState(boolean enable) {
        android.provider.Settings.System.putInt(this.mContext.getContentResolver(), "float_task_state_before", enable);
    }
}
