package com.android.server.devicepolicy.plugins;

public class DeviceTelephonyPlugin extends com.android.server.devicepolicy.DevicePolicyPlugin {
    private static final java.lang.String CHANGE_PIN_CODE = "change_pin_code";
    private static final java.lang.String DISABLE_AIR_PLANE_MODE = "disable_airplane_mode";
    private static final java.lang.String DISABLE_DATA = "disable-data";
    private static final java.lang.String DISABLE_PUSH = "disable-push";
    private static final java.lang.String DISABLE_SUB = "disable-sub";
    private static final int DISABLE_SUB_ID = 1;
    private static final java.lang.String DISABLE_SYNC = "disable-sync";
    private static final java.lang.String INCOMING_SMS_EXCEPTION_PATTERN = "incoming_sms_exception_pattern";
    private static final java.lang.String INCOMING_SMS_RESTRICTION_PATTERN = "incoming_sms_restriction_pattern";
    private static final java.lang.String IS_OUTGOING = "isOutgoing";
    private static final java.lang.String OUTGOING_SMS_EXCEPTION_PATTERN = "outgoing_sms_exception_pattern";
    private static final java.lang.String OUTGOING_SMS_RESTRICTION_PATTERN = "outgoing_sms_restriction_pattern";
    private static final java.lang.String PHONE_PACKAGE = "com.android.phone";
    private static final java.lang.String REMOVE_TYPE = "removeType";
    private static final java.lang.String SET_PIN_LOCK = "set_pin_lock";
    private static final int SUB0 = 0;
    private static final int SUB1 = 1;
    private static final java.lang.String TAG = com.android.server.devicepolicy.plugins.DeviceTelephonyPlugin.class.getSimpleName();
    private static final java.lang.String TAG_ACTION_DISABLE_AIR_PLANE_MODE = "action_disable_airplane_mode";
    private static final java.lang.String TAG_ACTION_DISABLE_DATA = "action_disable_data";
    private static final java.lang.String TAG_ACTION_DISABLE_DATA_4G = "action_disable_data_4G";
    private static final java.lang.String TAG_ACTION_DISABLE_SUB = "action_disable_sub";

    public DeviceTelephonyPlugin(android.content.Context context) {
        super(context);
    }

    public java.lang.String getPluginName() {
        return getClass().getSimpleName();
    }

    public com.android.server.devicepolicy.PolicyStruct getPolicyStruct() {
        com.android.server.devicepolicy.HwLog.i(TAG, "getPolicyStruct");
        com.android.server.devicepolicy.PolicyStruct struct = new com.android.server.devicepolicy.PolicyStruct(this);
        struct.addStruct("disable-sub", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("disable-data", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("disable_airplane_mode", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("disable-sync", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("disable-push", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("set_pin_lock", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("change_pin_code", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("outgoing_day_limit", com.android.server.devicepolicy.PolicyStruct.PolicyType.CONFIGURATION, new java.lang.String[]{"day_mode", "limit_number_day", "day_mode_time"});
        struct.addStruct("outgoing_week_limit", com.android.server.devicepolicy.PolicyStruct.PolicyType.CONFIGURATION, new java.lang.String[]{"week_mode", "limit_number_week", "week_mode_time"});
        struct.addStruct("outgoing_month_limit", com.android.server.devicepolicy.PolicyStruct.PolicyType.CONFIGURATION, new java.lang.String[]{"month_mode", "limit_number_month", "month_mode_time"});
        struct.addStruct("incoming_day_limit", com.android.server.devicepolicy.PolicyStruct.PolicyType.CONFIGURATION, new java.lang.String[]{"day_mode", "limit_number_day", "day_mode_time"});
        struct.addStruct("incoming_week_limit", com.android.server.devicepolicy.PolicyStruct.PolicyType.CONFIGURATION, new java.lang.String[]{"week_mode", "limit_number_week", "week_mode_time"});
        struct.addStruct("incoming_month_limit", com.android.server.devicepolicy.PolicyStruct.PolicyType.CONFIGURATION, new java.lang.String[]{"month_mode", "limit_number_month", "month_mode_time"});
        struct.addStruct("incoming_sms_exception_pattern", com.android.server.devicepolicy.PolicyStruct.PolicyType.CONFIGURATION, new java.lang.String[]{"value"});
        struct.addStruct("incoming_sms_restriction_pattern", com.android.server.devicepolicy.PolicyStruct.PolicyType.CONFIGURATION, new java.lang.String[]{"value"});
        struct.addStruct("outgoing_sms_exception_pattern", com.android.server.devicepolicy.PolicyStruct.PolicyType.CONFIGURATION, new java.lang.String[]{"value"});
        struct.addStruct("outgoing_sms_restriction_pattern", com.android.server.devicepolicy.PolicyStruct.PolicyType.CONFIGURATION, new java.lang.String[]{"value"});
        return struct;
    }

    public boolean onInit(com.android.server.devicepolicy.PolicyStruct policyStruct) {
        com.android.server.devicepolicy.HwLog.i(TAG, "onInit");
        if (policyStruct == null) {
            return false;
        }
        return true;
    }

    public boolean checkCallingPermission(android.content.ComponentName who, java.lang.String policyName) {
        com.android.server.devicepolicy.HwLog.i(TAG, "checkCallingPermission");
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_TELEPHONY", "have no MDM_TELEPHONY permission!");
        return true;
    }

    public boolean onSetPolicy(android.content.ComponentName who, java.lang.String policyName, android.os.Bundle policyData, boolean changed) {
        com.android.server.devicepolicy.HwLog.i(TAG, "onSetPolicy");
        boolean result = false;
        if (!checkCallingPermission(who, policyName)) {
            return false;
        }
        int i = -1;
        boolean z = true;
        switch (policyName.hashCode()) {
            case -1888907677:
                if (policyName.equals("outgoing_week_limit")) {
                    i = 8;
                    break;
                }
                break;
            case -1155809047:
                if (policyName.equals("outgoing_month_limit")) {
                    i = 9;
                    break;
                }
                break;
            case -1032552593:
                if (policyName.equals("disable-data")) {
                    i = 1;
                    break;
                }
                break;
            case -1032175905:
                if (policyName.equals("disable-push")) {
                    i = 4;
                    break;
                }
                break;
            case -1032082848:
                if (policyName.equals("disable-sync")) {
                    i = 3;
                    break;
                }
                break;
            case -822171362:
                if (policyName.equals("incoming_sms_restriction_pattern")) {
                    i = 14;
                    break;
                }
                break;
            case -808925998:
                if (policyName.equals("set_pin_lock")) {
                    i = 5;
                    break;
                }
                break;
            case 34406113:
                if (policyName.equals("incoming_sms_exception_pattern")) {
                    i = 13;
                    break;
                }
                break;
            case 115663941:
                if (policyName.equals("outgoing_day_limit")) {
                    i = 7;
                    break;
                }
                break;
            case 650237273:
                if (policyName.equals("disable_airplane_mode")) {
                    i = 2;
                    break;
                }
                break;
            case 890761828:
                if (policyName.equals("outgoing_sms_restriction_pattern")) {
                    i = 16;
                    break;
                }
                break;
            case 1195673727:
                if (policyName.equals("incoming_day_limit")) {
                    i = 10;
                    break;
                }
                break;
            case 1352180187:
                if (policyName.equals("disable-sub")) {
                    i = 0;
                    break;
                }
                break;
            case 1526624617:
                if (policyName.equals("incoming_week_limit")) {
                    i = 11;
                    break;
                }
                break;
            case 1582555559:
                if (policyName.equals("outgoing_sms_exception_pattern")) {
                    i = 15;
                    break;
                }
                break;
            case 1646476963:
                if (policyName.equals("incoming_month_limit")) {
                    i = 12;
                    break;
                }
                break;
            case 1684123142:
                if (policyName.equals("change_pin_code")) {
                    i = 6;
                    break;
                }
                break;
            default:
                break;
        }
        boolean disablesub;
        java.lang.String str;
        android.content.Intent intentDisableData4G;
        java.lang.StringBuilder stringBuilder;
        java.lang.String str2;
        java.lang.String str3;
        switch (i) {
            case 0:
                disablesub = policyData.getBoolean("value");
                str = TAG;
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("disablesub: ");
                stringBuilder2.append(disablesub);
                com.android.server.devicepolicy.HwLog.i(str, stringBuilder2.toString());
                android.content.Intent intentDisableSub = new android.content.Intent("com.huawei.devicepolicy.action.POLICY_CHANGED");
                intentDisableSub.putExtra("action_tag", "action_disable_sub");
                intentDisableSub.putExtra("subId", 1);
                intentDisableSub.putExtra("subState", disablesub);
                this.mContext.sendBroadcast(intentDisableSub);
                result = true;
                break;
            case 1:
                disablesub = policyData.getBoolean("value");
                intentDisableData4G = new android.content.Intent("com.huawei.devicepolicy.action.POLICY_CHANGED");
                intentDisableData4G.putExtra("action_tag", "action_disable_data_4G");
                intentDisableData4G.putExtra("subId", 0);
                intentDisableData4G.putExtra("dataState", disablesub);
                this.mContext.sendBroadcast(intentDisableData4G);
                result = true;
                break;
            case 2:
                disablesub = policyData.getBoolean("value");
                str = TAG;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("disableAirPlane: ");
                stringBuilder.append(disablesub);
                com.android.server.devicepolicy.HwLog.i(str, stringBuilder.toString());
                if (android.provider.Settings.Global.getInt(this.mContext.getContentResolver(), "airplane_mode_on", 0) == 0) {
                    z = false;
                }
                boolean isAirplaneModeOn = z;
                str2 = TAG;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("isAirplaneModeOn: ");
                stringBuilder.append(isAirplaneModeOn);
                com.android.server.devicepolicy.HwLog.i(str2, stringBuilder.toString());
                if (disablesub && isAirplaneModeOn) {
                    android.net.ConnectivityManager connectivityManager = (android.net.ConnectivityManager) this.mContext.getSystemService("connectivity");
                    long ident = android.os.Binder.clearCallingIdentity();
                    try {
                        connectivityManager.setAirplaneMode(false);
                    } finally {
                        android.os.Binder.restoreCallingIdentity(ident);
                    }
                }
                intentDisableData4G = new android.content.Intent("com.huawei.devicepolicy.action.POLICY_CHANGED");
                intentDisableData4G.setPackage("com.android.settings");
                intentDisableData4G.putExtra("action_tag", "action_disable_airplane_mode");
                intentDisableData4G.putExtra("airPlaneState", disablesub);
                this.mContext.sendBroadcast(intentDisableData4G);
                result = true;
                break;
            case 3:
            case 4:
                result = true;
                break;
            case 5:
                i = policyData.getInt("slotId");
                str = policyData.getString("password");
                z = policyData.getBoolean("pinLockState");
                if (android.telephony.HwTelephonyManagerInner.getDefault() != null) {
                    str3 = TAG;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("setPinLock---- enablePinLock: ");
                    stringBuilder.append(z);
                    stringBuilder.append("  subId: ");
                    stringBuilder.append(i);
                    com.android.server.devicepolicy.HwLog.i(str3, stringBuilder.toString());
                    result = android.telephony.HwTelephonyManagerInner.getDefault().setPinLockEnabled(z, str, i);
                    break;
                }
                break;
            case 6:
                i = policyData.getInt("slotId");
                str = policyData.getString("oldPinCode");
                str2 = policyData.getString("newPinCode");
                if (android.telephony.HwTelephonyManagerInner.getDefault() != null) {
                    str3 = TAG;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("changePinLock----changPinId: ");
                    stringBuilder.append(i);
                    com.android.server.devicepolicy.HwLog.i(str3, stringBuilder.toString());
                    result = android.telephony.HwTelephonyManagerInner.getDefault().changeSimPinCode(str, str2, i);
                    break;
                }
                break;
            case 7:
            case 8:
            case 9:
            case 10:
            case 11:
            case 12:
                result = true;
                break;
            case 13:
            case 14:
            case 15:
            case 16:
                result = true;
                break;
            default:
                break;
        }
        return result;
    }

    public boolean onRemovePolicy(android.content.ComponentName r5, java.lang.String r6, android.os.Bundle r7, boolean r8) {
        /*
        r4 = this;
        r0 = TAG;
        r1 = "onRemovePolicy";
        com.android.server.devicepolicy.HwLog.i(r0, r1);
        r0 = new android.content.Intent;
        r1 = "com.huawei.devicepolicy.action.POLICY_CHANGED";
        r0.<init>(r1);
        r1 = "com.android.phone";
        r0.setPackage(r1);
        r1 = "removeType";
        r2 = "remove_single_policy";
        r0.putExtra(r1, r2);
        r1 = r6.hashCode();
        r2 = 0;
        r3 = 1;
        switch(r1) {
            case -1888907677: goto L_0x0056;
            case -1155809047: goto L_0x004c;
            case 115663941: goto L_0x0042;
            case 1195673727: goto L_0x0038;
            case 1526624617: goto L_0x002e;
            case 1646476963: goto L_0x0024;
            default: goto L_0x0023;
        };
    L_0x0023:
        goto L_0x0060;
    L_0x0024:
        r1 = "incoming_month_limit";
        r1 = r6.equals(r1);
        if (r1 == 0) goto L_0x0060;
    L_0x002c:
        r1 = 5;
        goto L_0x0061;
    L_0x002e:
        r1 = "incoming_week_limit";
        r1 = r6.equals(r1);
        if (r1 == 0) goto L_0x0060;
    L_0x0036:
        r1 = 4;
        goto L_0x0061;
    L_0x0038:
        r1 = "incoming_day_limit";
        r1 = r6.equals(r1);
        if (r1 == 0) goto L_0x0060;
    L_0x0040:
        r1 = 3;
        goto L_0x0061;
    L_0x0042:
        r1 = "outgoing_day_limit";
        r1 = r6.equals(r1);
        if (r1 == 0) goto L_0x0060;
    L_0x004a:
        r1 = r2;
        goto L_0x0061;
    L_0x004c:
        r1 = "outgoing_month_limit";
        r1 = r6.equals(r1);
        if (r1 == 0) goto L_0x0060;
    L_0x0054:
        r1 = 2;
        goto L_0x0061;
    L_0x0056:
        r1 = "outgoing_week_limit";
        r1 = r6.equals(r1);
        if (r1 == 0) goto L_0x0060;
    L_0x005e:
        r1 = r3;
        goto L_0x0061;
    L_0x0060:
        r1 = -1;
    L_0x0061:
        switch(r1) {
            case 0: goto L_0x00ad;
            case 1: goto L_0x009e;
            case 2: goto L_0x0090;
            case 3: goto L_0x0082;
            case 4: goto L_0x0073;
            case 5: goto L_0x0065;
            default: goto L_0x0064;
        };
    L_0x0064:
        goto L_0x00bb;
    L_0x0065:
        r1 = "isOutgoing";
        r0.putExtra(r1, r2);
        r1 = "time_mode";
        r2 = "month_mode";
        r0.putExtra(r1, r2);
        goto L_0x00bb;
    L_0x0073:
        r1 = "isOutgoing";
        r0.putExtra(r1, r2);
        r1 = "time_mode";
        r2 = "week_mode";
        r0.putExtra(r1, r2);
        goto L_0x00bb;
    L_0x0082:
        r1 = "isOutgoing";
        r0.putExtra(r1, r2);
        r1 = "time_mode";
        r2 = "day_mode";
        r0.putExtra(r1, r2);
        goto L_0x00bb;
    L_0x0090:
        r1 = "isOutgoing";
        r0.putExtra(r1, r3);
        r1 = "time_mode";
        r2 = "month_mode";
        r0.putExtra(r1, r2);
        goto L_0x00bb;
    L_0x009e:
        r1 = "isOutgoing";
        r0.putExtra(r1, r3);
        r1 = "time_mode";
        r2 = "week_mode";
        r0.putExtra(r1, r2);
        goto L_0x00bb;
    L_0x00ad:
        r1 = "isOutgoing";
        r0.putExtra(r1, r3);
        r1 = "time_mode";
        r2 = "day_mode";
        r0.putExtra(r1, r2);
    L_0x00bb:
        r1 = r4.mContext;
        if (r1 == 0) goto L_0x00c4;
    L_0x00bf:
        r1 = r4.mContext;
        r1.sendBroadcast(r0);
    L_0x00c4:
        return r3;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.plugins.DeviceTelephonyPlugin.onRemovePolicy(android.content.ComponentName, java.lang.String, android.os.Bundle, boolean):boolean");
    }

    public boolean onGetPolicy(android.content.ComponentName who, java.lang.String policyName, android.os.Bundle policyData) {
        com.android.server.devicepolicy.HwLog.i(TAG, "onGetPolicy");
        return true;
    }

    public boolean onActiveAdminRemoved(android.content.ComponentName who, java.util.ArrayList<com.android.server.devicepolicy.PolicyStruct.PolicyItem> arrayList) {
        com.android.server.devicepolicy.HwLog.i(TAG, "onActiveAdminRemoved");
        return true;
    }

    public void onActiveAdminRemovedCompleted(android.content.ComponentName who, java.util.ArrayList<com.android.server.devicepolicy.PolicyStruct.PolicyItem> removedPolicies) {
        com.android.server.devicepolicy.HwLog.i(TAG, "onActiveAdminRemovedCompleted");
        boolean isSMSLimitPolicy = false;
        if (removedPolicies == null) {
            com.android.server.devicepolicy.HwLog.e(TAG, "removed policied list is null");
            return;
        }
        int removedPoliciesSize = removedPolicies.size();
        for (int i = 0; i < removedPoliciesSize; i++) {
            com.android.server.devicepolicy.PolicyStruct.PolicyItem pi = (com.android.server.devicepolicy.PolicyStruct.PolicyItem) removedPolicies.get(i);
            if (pi != null) {
                java.lang.String policyName = pi.getPolicyName();
                if (pi.isGlobalPolicyChanged()) {
                    if (isSMSLimitPolicy(policyName)) {
                        isSMSLimitPolicy = true;
                    }
                }
            }
        }
        if (isSMSLimitPolicy) {
            android.content.Intent intentDisableSmsLimit = new android.content.Intent("com.huawei.devicepolicy.action.POLICY_CHANGED");
            intentDisableSmsLimit.setPackage("com.android.phone");
            intentDisableSmsLimit.putExtra("removeType", "remove_all_policy");
            if (this.mContext != null) {
                this.mContext.sendBroadcast(intentDisableSmsLimit);
            }
        }
    }

    private boolean isSMSLimitPolicy(java.lang.String policyName) {
        if (!("outgoing_day_limit".equals(policyName) || "outgoing_week_limit".equals(policyName) || "outgoing_month_limit".equals(policyName) || "incoming_day_limit".equals(policyName) || "incoming_week_limit".equals(policyName))) {
            if (!"incoming_month_limit".equals(policyName)) {
                return false;
            }
        }
        return true;
    }
}
