package com.android.server.devicepolicy.plugins;

public class DeviceVpnManagerImpl extends com.android.server.devicepolicy.DevicePolicyPlugin {
    private static final java.lang.String DISABLE_VPN = "disable-vpn";
    private static final java.lang.String MDM_VPN_PERMISSION = "com.huawei.permission.sec.MDM_VPN";
    private static final java.lang.String SECURE_VPN = "secure-vpn";
    public static final java.lang.String TAG = "DeviceVpnManagerImpl";

    public DeviceVpnManagerImpl(android.content.Context context) {
        super(context);
    }

    public java.lang.String getPluginName() {
        return getClass().getSimpleName();
    }

    public com.android.server.devicepolicy.PolicyStruct getPolicyStruct() {
        com.android.server.devicepolicy.HwLog.i("DeviceVpnManagerImpl", "getVpnPolicyStruct");
        com.android.server.devicepolicy.PolicyStruct struct = new com.android.server.devicepolicy.PolicyStruct(this);
        struct.addStruct("disable-vpn", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        struct.addStruct("secure-vpn", com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE, new java.lang.String[]{"value"});
        return struct;
    }

    public boolean onInit(com.android.server.devicepolicy.PolicyStruct policyStruct) {
        com.android.server.devicepolicy.HwLog.i("DeviceVpnManagerImpl", "onInit");
        if (policyStruct == null) {
            return false;
        }
        return true;
    }

    public boolean checkCallingPermission(android.content.ComponentName who, java.lang.String policyName) {
        com.android.server.devicepolicy.HwLog.i("DeviceVpnManagerImpl", "enforceCallingOrSelfPermission");
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_VPN", "NEED MDM_VPN PERMISSION");
        return true;
    }

    private static android.net.IConnectivityManager getService() {
        return android.net.IConnectivityManager.Stub.asInterface(android.os.ServiceManager.getService("connectivity"));
    }

    public boolean onSetPolicy(android.content.ComponentName who, java.lang.String policyName, android.os.Bundle policyData, boolean effective) {
        com.android.server.devicepolicy.HwLog.i("DeviceVpnManagerImpl", "onSetPolicy");
        if (("disable-vpn".equals(policyName) || "secure-vpn".equals(policyName)) && policyData.getBoolean("value") && effective) {
            try {
                getService().turnOffVpn("[Legacy VPN]", android.os.UserHandle.getCallingUserId());
                com.android.server.devicepolicy.HwLog.i("DeviceVpnManagerImpl", "turnOff vpn success!");
            } catch (android.os.RemoteException e) {
                com.android.server.devicepolicy.HwLog.i("DeviceVpnManagerImpl", "turnOff vpn fail!");
                return false;
            }
        }
        return true;
    }

    public boolean onRemovePolicy(android.content.ComponentName who, java.lang.String policyName, android.os.Bundle policyData, boolean effective) {
        com.android.server.devicepolicy.HwLog.i("DeviceVpnManagerImpl", "onRemovePolicy");
        return true;
    }

    public boolean onGetPolicy(android.content.ComponentName who, java.lang.String policyName, android.os.Bundle policyData) {
        com.android.server.devicepolicy.HwLog.i("DeviceVpnManagerImpl", "onGetPolicy");
        return true;
    }

    public boolean onActiveAdminRemoved(android.content.ComponentName who, java.util.ArrayList<com.android.server.devicepolicy.PolicyStruct.PolicyItem> arrayList) {
        com.android.server.devicepolicy.HwLog.i("DeviceVpnManagerImpl", "onActiveAdminRemoved");
        return true;
    }
}
