package com.android.server.display;

public class DisplayEngineService extends com.huawei.displayengine.IDisplayEngineServiceEx.Stub implements com.android.server.display.HwLightSensorController.LightSensorCallbacks {
    private static final int BINDER_REBUILD_COUNT_MAX = 10;
    private static final java.lang.String COLOR_MODE_SWITCH_PERMISSION = "com.huawei.android.permission.MANAGE_USERS";
    private static final int COLOR_TEMP_VALID_LUX_THRESHOLD = 50;
    private static final java.lang.String KEY_COLOR_MODE_SWITCH = "color_mode_switch";
    private static final java.lang.String KEY_NATURAL_TONE_SWITCH = "hw_natural_tone_display_switch";
    private static final java.lang.String KEY_READING_MODE_SWITCH = "hw_reading_mode_display_switch";
    private static final java.lang.String KEY_USER_PREFERENCE_TRAINING_TIMESTAMP = "hw_brightness_training_timestamp";
    private static final int LIGHT_SENSOR_RATE_MILLS = 300;
    private static final java.lang.String NATURAL_TONE_SWITCH_PERMISSION = "com.huawei.android.permission.MANAGE_USERS";
    private static final int READING_TYPE = 6;
    private static final int RETURN_PARAMETER_INVALID = -2;
    private static final java.lang.String SR_CONTROL_XML_FILE = "/display/effect/displayengine/SR_control.xml";
    private static final java.lang.String TAG = "DE J DisplayEngineService";
    private android.database.ContentObserver mAutoBrightnessAdjObserver = null;
    private com.android.server.display.DisplayEngineService.AutoBrightnessAdjSwitchedReceiver mAutoBrightnessAdjSwitchedReceiver = null;
    private int mBinderRebuildCount = 0;
    private boolean mBootComplete = false;
    private final android.content.BroadcastReceiver mBroadcastReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (context != null) {
                if (intent != null) {
                    com.huawei.displayengine.DElog.d("DE J DisplayEngineService", "onReceive step in!");
                    java.lang.String action = intent.getAction();
                    if (action != null && action.equals("huawei.intent.action.RGBW_CONFIG_ACTION")) {
                        int ret = com.android.server.display.DisplayEngineService.this.getSupported(13);
                        if (ret == 1) {
                            android.os.PersistableBundle data = new android.os.PersistableBundle();
                            data.putIntArray("Buffer", new int[1]);
                            data.putInt("BufferLength", 1);
                            com.android.server.display.DisplayEngineService.this.setEffect(13, 1, data);
                            com.huawei.displayengine.DElog.d("DE J DisplayEngineService", "setEffect feature rgbw mode param updata");
                        } else {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("current product not support rgbw and ret:");
                            stringBuilder.append(ret);
                            com.huawei.displayengine.DElog.e("DE J DisplayEngineService", stringBuilder.toString());
                        }
                    }
                    return;
                }
            }
            com.huawei.displayengine.DElog.e("DE J DisplayEngineService", "Invalid input parameter!");
        }
    };
    private int mChargeLevelThreshold = 50;
    private final com.android.server.display.DisplayEngineService.ChargingStateReceiver mChargingStateReceiver;
    private android.database.ContentObserver mColorModeObserver = null;
    private com.android.server.display.DisplayEngineService.ColorModeSwitchedReceiver mColorModeSwitchedReceiver = null;
    private final android.content.Context mContext;
    private int mDefaultColorModeValue = 1;
    private com.android.server.display.DisplayEffectMonitor mDisplayEffectMonitor;
    private final com.huawei.displayengine.DisplayEngineManager mDisplayManager;
    private final com.android.server.display.DisplayEngineService.DisplayEngineHandler mHandler;
    private final android.os.HandlerThread mHandlerThread;
    private final com.android.server.display.HwBrightnessSceneRecognition mHwBrightnessSceneRecognition;
    private volatile boolean mIsBinderBuilding = false;
    private volatile boolean mIsBrightnessTrainingAborting = false;
    private volatile boolean mIsBrightnessTrainingRunning = false;
    private volatile boolean mIsTrainingTriggeredSinceLastScreenOff = false;
    private long mLastAmbientColorTempToMonitorTime;
    private final com.android.server.display.HwLightSensorController mLightSensorController;
    private boolean mLightSensorEnable = false;
    private java.lang.Object mLockBinderBuilding;
    private java.lang.Object mLockService;
    private long mMinimumTrainingIntervalMillis = 57600000;
    private final com.android.server.display.DisplayEngineService.MotionActionReceiver mMotionActionReceiver;
    private volatile com.huawei.displayengine.IDisplayEngineService mNativeService;
    private volatile boolean mNativeServiceInitialized = false;
    private android.database.ContentObserver mNaturalToneObserver = null;
    private com.android.server.display.DisplayEngineService.NaturalToneSwitchedReceiver mNaturalToneSwitchedReceiver = null;
    private boolean mNeedPkgNameFromPG = false;
    private int mNewDragNumThreshold = 1;
    private boolean mPGEnable = false;
    private com.huawei.pgmng.plug.PGSdk mPGSdk = null;
    private volatile boolean mScreenOn = false;
    private final com.android.server.display.DisplayEngineService.ScreenStateReceiver mScreenStateReceiver;
    private com.huawei.pgmng.plug.PGSdk.Sink mStateRecognitionListener = null;

    private class AutoBrightnessAdjSwitchedReceiver extends android.content.BroadcastReceiver {
        private AutoBrightnessAdjSwitchedReceiver() {
        }

        /* synthetic */ AutoBrightnessAdjSwitchedReceiver(com.android.server.display.DisplayEngineService x0, com.android.server.display.DisplayEngineService.AnonymousClass1 x1) {
            this();
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (context != null) {
                if (intent != null) {
                    java.lang.String action = intent.getAction();
                    java.lang.Object obj = -1;
                    if (action.hashCode() == 959232034) {
                        if (action.equals("android.intent.action.USER_SWITCHED")) {
                            obj = null;
                        }
                    }
                    if (obj == null) {
                        if (com.android.server.display.DisplayEngineService.this.mHwBrightnessSceneRecognition != null && com.android.server.display.DisplayEngineService.this.mHwBrightnessSceneRecognition.isEnable()) {
                            com.android.server.display.DisplayEngineService.this.mHwBrightnessSceneRecognition.notifyUserChange(android.app.ActivityManager.getCurrentUser());
                        }
                        com.android.server.display.DisplayEngineService.this.initAutoBrightnessAdjContentObserver();
                    }
                    return;
                }
            }
            com.huawei.displayengine.DElog.e("DE J DisplayEngineService", "Invalid input parameter!");
        }
    }

    private class ChargingStateReceiver extends android.content.BroadcastReceiver {
        public ChargingStateReceiver() {
            android.content.IntentFilter filter = new android.content.IntentFilter();
            filter.addAction("android.intent.action.BATTERY_CHANGED");
            com.android.server.display.DisplayEngineService.this.mContext.registerReceiver(this, filter);
        }

        /* JADX WARNING: Removed duplicated region for block: B:17:0x0095  */
        /* JADX WARNING: Removed duplicated region for block: B:15:0x008d  */
        public void onReceive(android.content.Context r22, android.content.Intent r23) {
            /*
            r21 = this;
            r0 = r21;
            r1 = r23;
            if (r22 == 0) goto L_0x0212;
        L_0x0006:
            if (r1 != 0) goto L_0x000a;
        L_0x0008:
            goto L_0x0212;
        L_0x000a:
            r3 = r23.getAction();
            r4 = "DE J DisplayEngineService";
            r5 = new java.lang.StringBuilder;
            r5.<init>();
            r6 = "BroadcastReceiver.onReceive() action:";
            r5.append(r6);
            r5.append(r3);
            r5 = r5.toString();
            com.huawei.displayengine.DElog.d(r4, r5);
            r4 = "android.intent.action.BATTERY_CHANGED";
            r4 = r4.equals(r3);
            if (r4 == 0) goto L_0x020f;
        L_0x002c:
            r4 = 1120403456; // 0x42c80000 float:100.0 double:5.53552857E-315;
            r5 = "level";
            r6 = 0;
            r5 = r1.getIntExtra(r5, r6);
            r5 = (float) r5;
            r4 = r4 * r5;
            r5 = "scale";
            r7 = 100;
            r5 = r1.getIntExtra(r5, r7);
            r5 = (float) r5;
            r4 = r4 / r5;
            r4 = (int) r4;
            r5 = "status";
            r7 = 1;
            r5 = r1.getIntExtra(r5, r7);
            r8 = 5;
            if (r5 == r8) goto L_0x0052;
        L_0x004d:
            r8 = 2;
            if (r5 != r8) goto L_0x0051;
        L_0x0050:
            goto L_0x0052;
        L_0x0051:
            goto L_0x0053;
        L_0x0052:
            r6 = r7;
        L_0x0053:
            r8 = com.android.server.display.DisplayEngineService.this;
            r8 = r8.mContext;
            r8 = r8.getContentResolver();
            r9 = "hw_brightness_training_timestamp";
            r10 = -2;
            r11 = 0;
            r8 = android.provider.Settings.System.getLongForUser(r8, r9, r11, r10);
            r13 = java.lang.System.currentTimeMillis();
            r13 = r13 - r8;
            r10 = "DE J DisplayEngineService";
            r15 = new java.lang.StringBuilder;
            r15.<init>();
            r11 = "lastTraining elapseTimeMillis = ";
            r15.append(r11);
            r15.append(r13);
            r11 = r15.toString();
            com.huawei.displayengine.DElog.d(r10, r11);
            r10 = com.android.server.display.DisplayEngineService.this;
            r10 = r10.mContext;
            r10 = com.huawei.displayengine.DisplayEngineDBManager.getInstance(r10);
            if (r10 != 0) goto L_0x0095;
        L_0x008d:
            r7 = "DE J DisplayEngineService";
            r11 = "ChargingStateReceiver on recieve, dbManager is null! returned.";
            com.huawei.displayengine.DElog.w(r7, r11);
            return;
        L_0x0095:
            r11 = new android.os.Bundle;
            r11.<init>();
            r12 = "NumberLimit";
            r15 = com.android.server.display.DisplayEngineService.this;
            r15 = r15.mNewDragNumThreshold;
            r11.putInt(r12, r15);
            r12 = "DragInfo";
            r12 = r10.getAllRecords(r12, r11);
            if (r12 == 0) goto L_0x0203;
        L_0x00ad:
            r15 = r12.size();
            r7 = com.android.server.display.DisplayEngineService.this;
            r7 = r7.mNewDragNumThreshold;
            if (r15 >= r7) goto L_0x00bf;
        L_0x00b9:
            r17 = r3;
            r18 = r5;
            goto L_0x0207;
        L_0x00bf:
            r7 = com.android.server.display.DisplayEngineService.this;
            r7 = r7.mNewDragNumThreshold;
            r15 = 1;
            r7 = r7 - r15;
            r7 = r12.get(r7);
            r7 = (android.os.Bundle) r7;
            if (r7 != 0) goto L_0x00d7;
        L_0x00cf:
            r15 = "DE J DisplayEngineService";
            r1 = "ChargingStateReceiver on recieve, data is null! returned.";
            com.huawei.displayengine.DElog.i(r15, r1);
            return;
        L_0x00d7:
            r1 = "TimeStamp";
            r17 = r3;
            r2 = 0;
            r1 = r7.getLong(r1, r2);
            r3 = com.android.server.display.DisplayEngineService.this;
            r3 = r3.mIsTrainingTriggeredSinceLastScreenOff;
            if (r3 != 0) goto L_0x013c;
        L_0x00e9:
            r3 = (r1 > r8 ? 1 : (r1 == r8 ? 0 : -1));
            if (r3 <= 0) goto L_0x013c;
        L_0x00ed:
            r3 = com.android.server.display.DisplayEngineService.this;
            r3 = r3.mScreenOn;
            if (r3 != 0) goto L_0x013c;
        L_0x00f5:
            r3 = com.android.server.display.DisplayEngineService.this;
            r3 = r3.mChargeLevelThreshold;
            if (r4 <= r3) goto L_0x013c;
        L_0x00fd:
            if (r6 == 0) goto L_0x013c;
        L_0x00ff:
            r3 = com.android.server.display.DisplayEngineService.this;
            r15 = r3.mMinimumTrainingIntervalMillis;
            r3 = (r13 > r15 ? 1 : (r13 == r15 ? 0 : -1));
            if (r3 <= 0) goto L_0x013c;
        L_0x0109:
            r3 = com.android.server.display.DisplayEngineService.this;
            r3 = r3.mBootComplete;
            if (r3 == 0) goto L_0x013c;
        L_0x0111:
            r3 = com.android.server.display.DisplayEngineService.this;
            r15 = 1;
            r3.mIsTrainingTriggeredSinceLastScreenOff = r15;
            r3 = com.android.server.display.DisplayEngineService.this;
            r3 = r3.mIsBrightnessTrainingRunning;
            if (r3 != 0) goto L_0x0133;
        L_0x011f:
            r3 = com.android.server.display.DisplayEngineService.this;
            r3.mIsBrightnessTrainingRunning = r15;
            r3 = new java.lang.Thread;
            r15 = new com.android.server.display.DisplayEngineService$ChargingStateReceiver$1;
            r15.<init>(r13);
            r3.<init>(r15);
            r3.start();
            goto L_0x0211;
        L_0x0133:
            r3 = "DE J DisplayEngineService";
            r15 = "Trigger training failed, mIsBrightnessTrainingRunning == true";
            com.huawei.displayengine.DElog.w(r3, r15);
            goto L_0x0211;
        L_0x013c:
            r3 = "DE J DisplayEngineService";
            r15 = "-----------No Tigger Training Reason Start-----------";
            com.huawei.displayengine.DElog.d(r3, r15);
            r3 = "DE J DisplayEngineService";
            r15 = new java.lang.StringBuilder;
            r15.<init>();
            r18 = r5;
            r5 = "newestDragTime / lastTrainingProcessTime:     ";
            r15.append(r5);
            r15.append(r1);
            r5 = " / ";
            r15.append(r5);
            r15.append(r8);
            r5 = r15.toString();
            com.huawei.displayengine.DElog.d(r3, r5);
            r3 = "DE J DisplayEngineService";
            r5 = new java.lang.StringBuilder;
            r5.<init>();
            r15 = "mChargeLevel / mChargeLevelThreshold:         ";
            r5.append(r15);
            r5.append(r4);
            r15 = " / ";
            r5.append(r15);
            r15 = com.android.server.display.DisplayEngineService.this;
            r15 = r15.mChargeLevelThreshold;
            r5.append(r15);
            r5 = r5.toString();
            com.huawei.displayengine.DElog.d(r3, r5);
            r3 = "DE J DisplayEngineService";
            r5 = new java.lang.StringBuilder;
            r5.<init>();
            r15 = "chargeStatus:                                 ";
            r5.append(r15);
            r5.append(r6);
            r5 = r5.toString();
            com.huawei.displayengine.DElog.d(r3, r5);
            r3 = "DE J DisplayEngineService";
            r5 = new java.lang.StringBuilder;
            r5.<init>();
            r15 = "elapsedTime / mMinimumTrainingIntervalMillis: ";
            r5.append(r15);
            r5.append(r13);
            r15 = " / ";
            r5.append(r15);
            r15 = com.android.server.display.DisplayEngineService.this;
            r19 = r1;
            r1 = r15.mMinimumTrainingIntervalMillis;
            r5.append(r1);
            r1 = r5.toString();
            com.huawei.displayengine.DElog.d(r3, r1);
            r1 = "DE J DisplayEngineService";
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r3 = "mScreenOn:                                    ";
            r2.append(r3);
            r3 = com.android.server.display.DisplayEngineService.this;
            r3 = r3.mScreenOn;
            r2.append(r3);
            r2 = r2.toString();
            com.huawei.displayengine.DElog.d(r1, r2);
            r1 = "DE J DisplayEngineService";
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r3 = "mBootComplete:                                ";
            r2.append(r3);
            r3 = com.android.server.display.DisplayEngineService.this;
            r3 = r3.mBootComplete;
            r2.append(r3);
            r2 = r2.toString();
            com.huawei.displayengine.DElog.d(r1, r2);
            r1 = "DE J DisplayEngineService";
            r2 = "-----------No Tigger Training Reason Ended-----------";
            com.huawei.displayengine.DElog.d(r1, r2);
            goto L_0x0211;
        L_0x0203:
            r17 = r3;
            r18 = r5;
        L_0x0207:
            r1 = "DE J DisplayEngineService";
            r2 = "ChargingStateReceiver on recieve, items is null || items.size < 1! returned.";
            com.huawei.displayengine.DElog.i(r1, r2);
            return;
        L_0x020f:
            r17 = r3;
        L_0x0211:
            return;
        L_0x0212:
            r1 = "DE J DisplayEngineService";
            r2 = "Invalid input parameter!";
            com.huawei.displayengine.DElog.e(r1, r2);
            return;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.DisplayEngineService.ChargingStateReceiver.onReceive(android.content.Context, android.content.Intent):void");
        }
    }

    private class ColorModeSwitchedReceiver extends android.content.BroadcastReceiver {
        private ColorModeSwitchedReceiver() {
        }

        /* synthetic */ ColorModeSwitchedReceiver(com.android.server.display.DisplayEngineService x0, com.android.server.display.DisplayEngineService.AnonymousClass1 x1) {
            this();
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (context != null) {
                if (intent != null) {
                    java.lang.String action = intent.getAction();
                    java.lang.Object obj = -1;
                    if (action.hashCode() == 959232034) {
                        if (action.equals("android.intent.action.USER_SWITCHED")) {
                            obj = null;
                        }
                    }
                    if (obj == null) {
                        if (android.provider.Settings.System.getIntForUser(com.android.server.display.DisplayEngineService.this.mContext.getContentResolver(), "color_mode_switch", com.android.server.display.DisplayEngineService.this.mDefaultColorModeValue, -2) == 0) {
                            com.android.server.display.DisplayEngineService.this.setScene(13, 16);
                        } else {
                            com.android.server.display.DisplayEngineService.this.setScene(13, 17);
                        }
                    }
                    com.android.server.display.DisplayEngineService.this.initColorContentObserver();
                    return;
                }
            }
            com.huawei.displayengine.DElog.e("DE J DisplayEngineService", "Invalid input parameter!");
        }
    }

    private final class DisplayEngineHandler extends android.os.Handler {
        public static final int BEGIN_POSITION = 1;
        public static final int END_POSITION = -1;
        public static final int IMAGE_EXIT = 1004;
        public static final int IMAGE_FULLSCREEN_VIEW = 1002;
        public static final int IMAGE_THUMBNAIL = 1003;
        public static final int VIDEO_FULLSCREEN_EXIT = 1001;
        public static final int VIDEO_FULLSCREEN_START = 1000;
        boolean mAlreadyHandle = false;
        int mSceneState = 0;
        java.util.Stack mVideoStack = new java.util.Stack();

        public DisplayEngineHandler(android.os.Looper looper) {
            super(looper, null, true);
        }

        public void handleMessage(android.os.Message msg) {
            if (msg == null) {
                com.huawei.displayengine.DElog.e("DE J DisplayEngineService", "msg is null!");
                return;
            }
            if (msg.what != 2) {
                com.huawei.displayengine.DElog.e("DE J DisplayEngineService", "Invalid message");
            } else {
                android.os.Bundle B = msg.getData();
                java.lang.String name = (java.lang.String) B.get("SurfaceName");
                java.lang.String attachWin = (java.lang.String) B.get("AttachWinName");
                if (attachWin != null && com.android.server.display.DisplayEngineService.WhiteList.ATTACH_IMAGE_LIST.contains(attachWin) && name.startsWith("PopupWindow")) {
                    setImageScene(B);
                } else if (com.android.server.display.DisplayEngineService.WhiteList.IMAGE_LIST.contains(name)) {
                    setImageScene(B);
                } else if (com.android.server.display.DisplayEngineService.WhiteList.VIDEO_LIST.contains(name)) {
                    setVideoScene(B);
                } else if (com.android.server.display.DisplayEngineService.WhiteList.VO_LIST.contains(name)) {
                    setVoScene(B);
                }
            }
        }

        private void getTimer() {
            com.huawei.displayengine.DElog.d("DE J DisplayEngineService", "getTimer step in!");
            if (!this.mAlreadyHandle) {
                new android.os.Handler().postDelayed(new java.lang.Runnable() {
                    public void run() {
                        com.android.server.display.DisplayEngineService.DisplayEngineHandler.this.handleVideoStack();
                    }
                }, (long) 100);
                this.mAlreadyHandle = true;
            }
        }

        private void pushActionToStack(int action) {
            this.mVideoStack.push(java.lang.Integer.valueOf(action));
            getTimer();
        }

        private void setVideoScene(android.os.Bundle B) {
            int frameLeft = B.getInt("FrameLeft");
            int frameRight = B.getInt("FrameRight");
            int frameTop = B.getInt("FrameTop");
            int frameBottom = B.getInt("FrameBottom");
            int displayWidth = B.getInt("DisplayWidth");
            int displayHeight = B.getInt("DisplayHeight");
            int position = B.getInt("Position");
            if (position == -1) {
                pushActionToStack(1001);
            } else if (position != 1) {
            } else {
                if (com.android.server.display.DisplayEngineService.WhiteList.isFullScreen(frameLeft, frameTop, frameRight, frameBottom, displayWidth, displayHeight)) {
                    pushActionToStack(1000);
                } else {
                    pushActionToStack(1001);
                }
            }
        }

        private void setImageScene(android.os.Bundle B) {
            int frameLeft = B.getInt("FrameLeft");
            int frameRight = B.getInt("FrameRight");
            int frameTop = B.getInt("FrameTop");
            int frameBottom = B.getInt("FrameBottom");
            int displayWidth = B.getInt("DisplayWidth");
            int displayHeight = B.getInt("DisplayHeight");
            int position = B.getInt("Position");
            if (position == -1) {
                pushActionToStack(1004);
            } else if (position != 1) {
            } else {
                if (com.android.server.display.DisplayEngineService.WhiteList.isFullScreen(frameLeft, frameTop, frameRight, frameBottom, displayWidth, displayHeight)) {
                    pushActionToStack(1002);
                } else {
                    pushActionToStack(1003);
                }
            }
        }

        private void setVoScene(android.os.Bundle B) {
            int position = B.getInt("Position");
            if (position == -1) {
                pushActionToStack(1001);
            } else if (position == 1) {
                pushActionToStack(1000);
            } else {
                com.huawei.displayengine.DElog.e("DE J DisplayEngineService", "[leilei] setVoScene position ERROR !");
            }
        }

        private void handleVideoStack() {
            com.huawei.displayengine.DElog.d("DE J DisplayEngineService", "handleVideoStack step in!");
            if (this.mVideoStack.empty()) {
                this.mAlreadyHandle = false;
                return;
            }
            if (this.mSceneState != ((java.lang.Integer) this.mVideoStack.peek()).intValue()) {
                this.mSceneState = ((java.lang.Integer) this.mVideoStack.peek()).intValue();
                sendToNativeScene(this.mSceneState);
            }
            while (!this.mVideoStack.empty()) {
                this.mVideoStack.pop();
            }
            this.mAlreadyHandle = false;
        }

        private int sendToNativeScene(int sceneState) {
            int ret;
            switch (sceneState) {
                case 1000:
                    return com.android.server.display.DisplayEngineService.this.setScene(1, 4);
                case 1001:
                    ret = com.android.server.display.DisplayEngineService.this.setScene(1, 8);
                    if (com.android.server.display.DisplayEngineService.this.mPGEnable) {
                        return com.android.server.display.DisplayEngineService.this.setDetailPGscene();
                    }
                    return com.android.server.display.DisplayEngineService.this.setDetailIawareScene();
                case 1002:
                    return com.android.server.display.DisplayEngineService.this.setScene(3, 12);
                case 1003:
                    return com.android.server.display.DisplayEngineService.this.setScene(3, 12);
                case 1004:
                    ret = com.android.server.display.DisplayEngineService.this.setScene(3, 13);
                    if (com.android.server.display.DisplayEngineService.this.mPGEnable) {
                        return com.android.server.display.DisplayEngineService.this.setDetailPGscene();
                    }
                    return com.android.server.display.DisplayEngineService.this.setDetailIawareScene();
                default:
                    return -1;
            }
        }
    }

    private class MotionActionReceiver extends android.content.BroadcastReceiver {
        private static final java.lang.String ACTION_MOTION = "com.huawei.motion.change.noification";
        private static final java.lang.String EXTRA_KEY = "category";
        private static final java.lang.String EXTRA_MOTION_START = "start_motion";
        private static final java.lang.String EXTRA_MOTION_STOP_BACK_APP_NOCHANGE = "back_application_nochange";
        private static final java.lang.String EXTRA_MOTION_STOP_BACK_APP_TRANSATION = "back_application_transation";
        private static final java.lang.String EXTRA_MOTION_STOP_HOME = "return_home";
        private static final java.lang.String EXTRA_MOTION_STOP_RECENT = "enter_recent";
        private static final java.lang.String PERMISSION_MOTION = "com.huawei.android.launcher.permission.HW_MOTION";

        public MotionActionReceiver() {
            android.content.IntentFilter filter = new android.content.IntentFilter();
            filter.addAction("com.huawei.motion.change.noification");
            filter.setPriority(1000);
            com.android.server.display.DisplayEngineService.this.mContext.registerReceiver(this, filter, "com.huawei.android.launcher.permission.HW_MOTION", null);
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (context != null) {
                if (intent != null) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("[MOTION_NOTIFICATION] MotionActionReceiver.onReceive() action:");
                    stringBuilder.append(intent.getAction());
                    com.huawei.displayengine.DElog.d("DE J DisplayEngineService", stringBuilder.toString());
                    if (intent.getAction().equals("com.huawei.motion.change.noification")) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("[MOTION_NOTIFICATION] MotionActionReceiver.onReceive() extra:");
                        stringBuilder.append(intent.getStringExtra("category"));
                        com.huawei.displayengine.DElog.i("DE J DisplayEngineService", stringBuilder.toString());
                        java.lang.String stringExtra = intent.getStringExtra("category");
                        java.lang.Object obj = -1;
                        switch (stringExtra.hashCode()) {
                            case -1486606706:
                                if (stringExtra.equals("return_home")) {
                                    obj = 3;
                                    break;
                                }
                                break;
                            case -543270494:
                                if (stringExtra.equals("enter_recent")) {
                                    obj = 4;
                                    break;
                                }
                                break;
                            case -158947789:
                                if (stringExtra.equals("start_motion")) {
                                    obj = null;
                                    break;
                                }
                                break;
                            case 1472278296:
                                if (stringExtra.equals("back_application_nochange")) {
                                    obj = 1;
                                    break;
                                }
                                break;
                            case 1851839988:
                                if (stringExtra.equals("back_application_transation")) {
                                    obj = 2;
                                    break;
                                }
                                break;
                            default:
                                break;
                        }
                        switch (obj) {
                            case null:
                                com.android.server.display.DisplayEngineService.this.setScene(38, 21);
                                com.huawei.displayengine.DElog.d("DE J DisplayEngineService", "[MOTION_NOTIFICATION] Motion start");
                                break;
                            case 1:
                            case 2:
                                com.android.server.display.DisplayEngineService.this.setScene(38, 19);
                                com.huawei.displayengine.DElog.d("DE J DisplayEngineService", "[MOTION_NOTIFICATION] Motion app");
                                break;
                            case 3:
                                com.huawei.displayengine.DElog.d("DE J DisplayEngineService", "[MOTION_NOTIFICATION] Motion home");
                                com.android.server.display.DisplayEngineService.this.setScene(38, 18);
                                break;
                            case 4:
                                com.android.server.display.DisplayEngineService.this.setScene(38, 20);
                                com.huawei.displayengine.DElog.d("DE J DisplayEngineService", "[MOTION_NOTIFICATION] Motion recent");
                                break;
                            default:
                                break;
                        }
                    }
                    return;
                }
            }
            com.huawei.displayengine.DElog.e("DE J DisplayEngineService", "[MOTION_NOTIFICATION] MotionActionReceiver.onRecive() Invalid input parameter!");
        }
    }

    private class NaturalToneSwitchedReceiver extends android.content.BroadcastReceiver {
        private NaturalToneSwitchedReceiver() {
        }

        /* synthetic */ NaturalToneSwitchedReceiver(com.android.server.display.DisplayEngineService x0, com.android.server.display.DisplayEngineService.AnonymousClass1 x1) {
            this();
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (context != null) {
                if (intent != null) {
                    java.lang.String action = intent.getAction();
                    int i = -1;
                    if (action.hashCode() == 959232034) {
                        if (action.equals("android.intent.action.USER_SWITCHED")) {
                            i = 0;
                        }
                    }
                    if (i == 0) {
                        if (1 == android.provider.Settings.System.getIntForUser(com.android.server.display.DisplayEngineService.this.mContext.getContentResolver(), "hw_natural_tone_display_switch", 0, -2)) {
                            com.android.server.display.DisplayEngineService.this.setScene(25, 16);
                            com.huawei.displayengine.DElog.v("DE J DisplayEngineService", "NaturalToneSwitchedReceiver setScene, DE_ACTION_MODE_ON");
                        } else {
                            com.android.server.display.DisplayEngineService.this.setScene(25, 17);
                            com.huawei.displayengine.DElog.v("DE J DisplayEngineService", "NaturalToneSwitchedReceiver setScene, DE_ACTION_MODE_OFF");
                        }
                    }
                    com.android.server.display.DisplayEngineService.this.initNaturalToneContentObserver();
                    return;
                }
            }
            com.huawei.displayengine.DElog.e("DE J DisplayEngineService", "Invalid input parameter!");
        }
    }

    private class ScreenStateReceiver extends android.content.BroadcastReceiver {
        public ScreenStateReceiver() {
            android.content.IntentFilter filter = new android.content.IntentFilter();
            filter.addAction("android.intent.action.SCREEN_OFF");
            filter.addAction("android.intent.action.SCREEN_ON");
            filter.addAction("android.intent.action.BOOT_COMPLETED");
            filter.setPriority(1000);
            com.android.server.display.DisplayEngineService.this.mContext.registerReceiver(this, filter);
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (context != null) {
                if (intent != null) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("BroadcastReceiver.onReceive() action:");
                    stringBuilder.append(intent.getAction());
                    com.huawei.displayengine.DElog.i("DE J DisplayEngineService", stringBuilder.toString());
                    java.lang.String action = intent.getAction();
                    boolean z = true;
                    int hashCode = action.hashCode();
                    if (hashCode != -2128145023) {
                        if (hashCode != -1454123155) {
                            if (hashCode == 798292259) {
                                if (action.equals("android.intent.action.BOOT_COMPLETED")) {
                                    z = true;
                                }
                            }
                        } else if (action.equals("android.intent.action.SCREEN_ON")) {
                            z = true;
                        }
                    } else if (action.equals("android.intent.action.SCREEN_OFF")) {
                        z = false;
                    }
                    switch (z) {
                        case false:
                            com.android.server.display.DisplayEngineService.this.setScene(10, 17);
                            com.android.server.display.DisplayEngineService.this.mIsTrainingTriggeredSinceLastScreenOff = false;
                            com.android.server.display.DisplayEngineService.this.mScreenOn = false;
                            break;
                        case true:
                            com.android.server.display.DisplayEngineService.this.setScene(10, 16);
                            if (!com.android.server.display.DisplayEngineService.this.mIsBrightnessTrainingRunning || com.android.server.display.DisplayEngineService.this.mIsBrightnessTrainingAborting) {
                                com.huawei.displayengine.DElog.i("DE J DisplayEngineService", "Trigger training abort failed, training is NOT running or is already aborting.");
                            } else {
                                com.android.server.display.DisplayEngineService.this.mIsBrightnessTrainingAborting = true;
                                new java.lang.Thread(new java.lang.Runnable() {
                                    public void run() {
                                        com.huawei.displayengine.DElog.i("DE J DisplayEngineService", "mDisplayManager.brightnessTrainingAbort start... ");
                                        com.android.server.display.DisplayEngineService.this.mDisplayManager.brightnessTrainingAbort();
                                        com.huawei.displayengine.DElog.i("DE J DisplayEngineService", "mDisplayManager.brightnessTrainingAbort finished.");
                                        com.android.server.display.DisplayEngineService.this.mIsBrightnessTrainingAborting = false;
                                    }
                                }).start();
                            }
                            com.android.server.display.DisplayEngineService.this.mScreenOn = true;
                            break;
                        case true:
                            if (com.android.server.display.DisplayEngineService.this.mPGEnable || com.android.server.display.DisplayEngineService.this.mNeedPkgNameFromPG) {
                                com.android.server.display.DisplayEngineService.this.registerPGSdk();
                            }
                            com.android.server.display.DisplayEngineService.this.initColorModeSwitch();
                            com.android.server.display.DisplayEngineService.this.initNaturalToneSwitch();
                            com.android.server.display.DisplayEngineService.this.initAutoBrightnessAdjSwitch();
                            com.android.server.display.DisplayEngineService.this.initAutoBrightnessAdjContentObserver();
                            com.android.server.display.DisplayEngineService.this.registerRgbwBroadcast();
                            com.android.server.display.DisplayEngineService.this.setScene(18, 16);
                            com.android.server.display.DisplayEngineService.this.mHwBrightnessSceneRecognition.initBootCompleteValues();
                            com.android.server.display.DisplayEngineService.this.mBootComplete = true;
                            com.android.server.display.DisplayEngineService.this.mScreenOn = true;
                            break;
                        default:
                            break;
                    }
                    return;
                }
            }
            com.huawei.displayengine.DElog.e("DE J DisplayEngineService", "Invalid input parameter!");
        }
    }

    static final class WhiteList {
        static final java.util.List<java.lang.String> ATTACH_IMAGE_LIST = new java.util.ArrayList<java.lang.String>() {
            {
                add("com.tencent.mm/com.tencent.mm.plugin.profile.ui.ContactInfoUI");
            }
        };
        static final java.util.List<java.lang.String> IMAGE_LIST = new java.util.ArrayList<java.lang.String>() {
            {
                add("com.tencent.mm/com.tencent.mm.ui.chatting.gallery.ImageGalleryUI");
                add("com.tencent.mm/com.tencent.mm.plugin.sns.ui.SnsBrowseUI");
                add("com.tencent.mm/com.tencent.mm.plugin.sns.ui.SnsGalleryUI");
                add("com.tencent.mm/com.tencent.mm.plugin.subapp.ui.gallery.GestureGalleryUI");
                add("com.tencent.mm/com.tencent.mm.plugin.gallery.ui.ImagePreviewUI");
                add("com.tencent.mm/com.tencent.mm.plugin.setting.ui.setting.PreviewHdHeadImg");
                add("com.tencent.mobileqq/com.tencent.mobileqq.activity.aio.photo.AIOGalleryActivity");
                add("com.tencent.mobileqq/cooperation.qzone.QzonePicturePluginProxyActivity");
                add("com.tencent.mobileqq/com.tencent.mobileqq.activity.photo.PhotoPreviewActivity");
                add("com.tencent.mobileqq/com.tencent.mobileqq.activity.FriendProfileImageActivity");
                add("com.baidu.tieba/com.baidu.tieba.image.ImageViewerActivity");
                add("com.sina.weibo/com.sina.weibo.imageviewer.ImageViewer");
            }
        };
        static final java.util.List<java.lang.String> VIDEO_LIST = new java.util.ArrayList<java.lang.String>() {
            {
                add("SurfaceView - air.tv.douyu.android/tv.douyu.view.activity.PlayerActivity");
                add("SurfaceView - air.tv.douyu.android/tv.douyu.view.activity.VideoPlayerActivity");
                add("SurfaceView - air.tv.douyu.android/tv.douyu.view.activity.MobilePlayerActivity");
                add("SurfaceView - com.panda.videoliveplatform/com.panda.videoliveplatform.activity.LiveRoomActivity");
                add("SurfaceView - com.meelive.ingkee/com.meelive.ingkee.game.activity.RoomPlayerActivity");
                add("SurfaceView - com.meelive.ingkee/com.meelive.ingkee.ui.room.activity.RoomActivity");
                add("SurfaceView - com.duowan.kiwi/com.duowan.kiwi.channelpage.ChannelPage");
                add("SurfaceView - com.duowan.kiwi/com.duowan.kiwi.mobileliving.PortraitAwesomeLivingActivity");
                add("SurfaceView - com.duowan.kiwi/com.duowan.kiwi.recordervedio.VideoShowDetailActivity");
            }
        };
        static final java.util.List<java.lang.String> VO_LIST = new java.util.ArrayList<java.lang.String>() {
            {
                add("SurfaceView - com.tencent.mm/com.tencent.mm.plugin.voip.ui.VideoActivity");
                add("SurfaceView - com.tencent.mobileqq/com.tencent.av.ui.AVActivity");
            }
        };

        WhiteList() {
        }

        static boolean isFullScreen(int frameLeft, int frameTop, int frameRight, int frameBottom, int displayWidth, int displayHeight) {
            int l = java.lang.Math.abs(frameLeft);
            int t = java.lang.Math.abs(frameTop);
            int r = java.lang.Math.abs(frameRight);
            int b = java.lang.Math.abs(frameBottom);
            boolean z = l + r >= displayHeight + -100 && t + b >= displayWidth - 100;
            boolean isLandscape = z;
            z = l + r >= displayWidth + -100 && t + b >= displayHeight - 100;
            boolean isPortrait = z;
            if (!isLandscape) {
                if (!isPortrait) {
                    return false;
                }
            }
            return true;
        }
    }

    public DisplayEngineService(android.content.Context context) {
        this.mContext = context;
        com.android.server.display.HwLightSensorController controller = null;
        android.hardware.SensorManager manager = (android.hardware.SensorManager) this.mContext.getSystemService("sensor");
        if (manager == null) {
            com.huawei.displayengine.DElog.e("DE J DisplayEngineService", "Failed to get SensorManager:sensor");
        } else {
            controller = new com.android.server.display.HwLightSensorController(this.mContext, this, manager, 300);
        }
        this.mLightSensorController = controller;
        this.mHwBrightnessSceneRecognition = new com.android.server.display.HwBrightnessSceneRecognition(this.mContext);
        this.mScreenStateReceiver = new com.android.server.display.DisplayEngineService.ScreenStateReceiver();
        this.mMotionActionReceiver = new com.android.server.display.DisplayEngineService.MotionActionReceiver();
        this.mHandlerThread = new android.os.HandlerThread("DE J DisplayEngineService");
        this.mHandlerThread.start();
        this.mHandler = new com.android.server.display.DisplayEngineService.DisplayEngineHandler(this.mHandlerThread.getLooper());
        this.mNativeService = null;
        this.mLockService = new java.lang.Object();
        this.mLockBinderBuilding = new java.lang.Object();
        getConfigParam();
        sendUIScene();
        setDefaultColorModeValue();
        initColorModeValue();
        initNaturalToneValue();
        this.mDisplayEffectMonitor = com.android.server.display.DisplayEffectMonitor.getInstance(context);
        this.mChargingStateReceiver = new com.android.server.display.DisplayEngineService.ChargingStateReceiver();
        this.mDisplayManager = new com.huawei.displayengine.DisplayEngineManager(this.mContext);
    }

    private com.huawei.displayengine.IDisplayEngineService getNativeService() throws android.os.RemoteException {
        if (this.mNativeService == null && !this.mNativeServiceInitialized) {
            synchronized (this.mLockService) {
                if (this.mNativeService == null && !this.mNativeServiceInitialized) {
                    buildBinder();
                    if (this.mNativeService != null) {
                        this.mNativeServiceInitialized = true;
                    }
                }
            }
        }
        if (this.mNativeService != null || !this.mNativeServiceInitialized) {
            return this.mNativeService;
        }
        if (this.mBinderRebuildCount < 10) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Try to rebuild binder ");
            stringBuilder.append(this.mBinderRebuildCount);
            stringBuilder.append(" times.");
            throw new android.os.RemoteException(stringBuilder.toString());
        }
        throw new android.os.RemoteException("binder rebuilding failed!");
    }

    private void buildBinder() {
        android.os.IBinder binder = android.os.ServiceManager.getService("DisplayEngineService");
        if (binder != null) {
            this.mNativeService = com.huawei.displayengine.IDisplayEngineService.Stub.asInterface(binder);
            if (this.mNativeService == null) {
                com.huawei.displayengine.DElog.w("DE J DisplayEngineService", "service is null!");
                return;
            }
            return;
        }
        this.mNativeService = null;
        com.huawei.displayengine.DElog.w("DE J DisplayEngineService", "binder is null!");
    }

    private void rebuildBinder() {
        com.huawei.displayengine.DElog.i("DE J DisplayEngineService", "wait 800ms to rebuild binder...");
        android.os.SystemClock.sleep(800);
        com.huawei.displayengine.DElog.i("DE J DisplayEngineService", "rebuild binder...");
        synchronized (this.mLockService) {
            buildBinder();
            if (this.mNativeService != null) {
                com.huawei.displayengine.DElog.i("DE J DisplayEngineService", "rebuild binder success.");
                if (this.mScreenOn) {
                    setScene(10, 16);
                }
            } else {
                com.huawei.displayengine.DElog.i("DE J DisplayEngineService", "rebuild binder failed!");
                this.mBinderRebuildCount++;
            }
        }
        synchronized (this.mLockBinderBuilding) {
            if (this.mBinderRebuildCount < 10) {
                this.mIsBinderBuilding = false;
            }
        }
    }

    private void rebuildBinderDelayed() {
        if (!this.mIsBinderBuilding) {
            synchronized (this.mLockBinderBuilding) {
                if (!this.mIsBinderBuilding) {
                    new java.lang.Thread(new java.lang.Runnable() {
                        public void run() {
                            com.android.server.display.DisplayEngineService.this.rebuildBinder();
                        }
                    }).start();
                    this.mIsBinderBuilding = true;
                }
            }
        }
    }

    public int getSupported(int feature) {
        int ret = 0;
        try {
            com.huawei.displayengine.IDisplayEngineService service = getNativeService();
            if (service != null) {
                ret = service.getSupported(feature);
            }
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getSupported(");
            stringBuilder.append(feature);
            stringBuilder.append(") has remote exception:");
            stringBuilder.append(e.getMessage());
            com.huawei.displayengine.DElog.e("DE J DisplayEngineService", stringBuilder.toString());
            rebuildBinderDelayed();
        }
        return ret;
    }

    public int setScene(int scene, int action) {
        int ret = -1;
        try {
            com.huawei.displayengine.IDisplayEngineService service = getNativeService();
            if (service != null) {
                ret = service.setScene(scene, action);
                if (scene == 24 && this.mHwBrightnessSceneRecognition != null && this.mHwBrightnessSceneRecognition.isEnable()) {
                    this.mHwBrightnessSceneRecognition.notifyScreenStatus(action == 16);
                }
            }
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setScene(");
            stringBuilder.append(scene);
            stringBuilder.append(", ");
            stringBuilder.append(action);
            stringBuilder.append(") has remote exception:");
            stringBuilder.append(e.getMessage());
            com.huawei.displayengine.DElog.e("DE J DisplayEngineService", stringBuilder.toString());
            rebuildBinderDelayed();
        }
        return ret;
    }

    public int setData(int type, android.os.PersistableBundle data) {
        int ret = -1;
        java.lang.StringBuilder stringBuilder;
        try {
            com.huawei.displayengine.IDisplayEngineService service = getNativeService();
            if (service != null) {
                if (data == null) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("setData(");
                    stringBuilder.append(type);
                    stringBuilder.append(", data): data is null!");
                    com.huawei.displayengine.DElog.e("DE J DisplayEngineService", stringBuilder.toString());
                    ret = -2;
                } else if (this.mPGEnable && type == 10) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("setData(");
                    stringBuilder.append(type);
                    stringBuilder.append(", data): mPGEnable is true!");
                    com.huawei.displayengine.DElog.d("DE J DisplayEngineService", stringBuilder.toString());
                    return -1;
                } else {
                    ret = service.setData(type, data);
                    if (type == 10) {
                        handleIawareSpecialScene(type, data);
                        handleIawareEbookScene(type, data);
                    }
                }
            }
        } catch (android.os.RemoteException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setData(");
            stringBuilder.append(type);
            stringBuilder.append(") has remote exception:");
            stringBuilder.append(e.getMessage());
            com.huawei.displayengine.DElog.e("DE J DisplayEngineService", stringBuilder.toString());
            rebuildBinderDelayed();
        }
        return ret;
    }

    private void handleIawareEbookScene(int type, android.os.PersistableBundle data) {
        if (type == 10) {
            int scene = data.getInt("Scene");
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Scene is ");
            stringBuilder.append(scene);
            com.huawei.displayengine.DElog.d("DE J DisplayEngineService", stringBuilder.toString());
            if (scene == 6) {
                java.lang.String pkgName = getCurrentTopAppName();
                if (pkgName != null) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("pkgName is ");
                    stringBuilder2.append(pkgName);
                    com.huawei.displayengine.DElog.d("DE J DisplayEngineService", stringBuilder2.toString());
                }
                android.provider.Settings.System.putIntForUser(this.mContext.getContentResolver(), "hw_reading_mode_display_switch", 1, -2);
            } else {
                android.provider.Settings.System.putIntForUser(this.mContext.getContentResolver(), "hw_reading_mode_display_switch", 0, -2);
            }
        }
    }

    public int sendMessage(int messageID, android.os.Bundle data) {
        if (data != null) {
            android.os.Message msg = this.mHandler.obtainMessage(messageID);
            msg.setData(data);
            this.mHandler.sendMessage(msg);
            return 0;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("sendMessage(");
        stringBuilder.append(messageID);
        stringBuilder.append(", data): data is null!");
        com.huawei.displayengine.DElog.e("DE J DisplayEngineService", stringBuilder.toString());
        return -2;
    }

    public int getEffect(int feature, int type, byte[] status, int length) {
        int ret = -1;
        java.lang.StringBuilder stringBuilder;
        try {
            com.huawei.displayengine.IDisplayEngineService service = getNativeService();
            if (service != null) {
                if (status == null || status.length != length) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("getEffect(");
                    stringBuilder.append(feature);
                    stringBuilder.append(", ");
                    stringBuilder.append(type);
                    stringBuilder.append(", status, ");
                    stringBuilder.append(length);
                    stringBuilder.append("): data is null or status.length != length!");
                    com.huawei.displayengine.DElog.e("DE J DisplayEngineService", stringBuilder.toString());
                    ret = -2;
                } else {
                    ret = service.getEffect(feature, type, status, length);
                }
            }
        } catch (android.os.RemoteException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getEffect(");
            stringBuilder.append(feature);
            stringBuilder.append(", ");
            stringBuilder.append(type);
            stringBuilder.append(", ");
            stringBuilder.append(length);
            stringBuilder.append(") has remote exception:");
            stringBuilder.append(e.getMessage());
            com.huawei.displayengine.DElog.e("DE J DisplayEngineService", stringBuilder.toString());
            rebuildBinderDelayed();
        }
        return ret;
    }

    public int setEffect(int feature, int mode, android.os.PersistableBundle data) {
        int ret = -1;
        java.lang.StringBuilder stringBuilder;
        try {
            com.huawei.displayengine.IDisplayEngineService service = getNativeService();
            if (service != null) {
                if (data != null) {
                    ret = service.setEffect(feature, mode, data);
                } else {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("setEffect(");
                    stringBuilder.append(feature);
                    stringBuilder.append(", ");
                    stringBuilder.append(mode);
                    stringBuilder.append(", data): data is null!");
                    com.huawei.displayengine.DElog.e("DE J DisplayEngineService", stringBuilder.toString());
                    ret = -2;
                }
            }
        } catch (android.os.RemoteException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setEffect(");
            stringBuilder.append(feature);
            stringBuilder.append(", ");
            stringBuilder.append(mode);
            stringBuilder.append(") has remote exception:");
            stringBuilder.append(e.getMessage());
            com.huawei.displayengine.DElog.e("DE J DisplayEngineService", stringBuilder.toString());
            rebuildBinderDelayed();
        }
        return ret;
    }

    public void updateLightSensorState(boolean sensorEnable) {
        enableLightSensor(sensorEnable);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("LightSensorEnable=");
        stringBuilder.append(sensorEnable);
        com.huawei.displayengine.DElog.i("DE J DisplayEngineService", stringBuilder.toString());
    }

    public java.util.List<android.os.Bundle> getAllRecords(java.lang.String name, android.os.Bundle info) {
        return com.huawei.displayengine.DisplayEngineDBManager.getInstance(this.mContext).getAllRecords(name, info);
    }

    public void processSensorData(long timeInMs, int lux, int cct) {
        int[] ambientParam = new int[]{lux, cct};
        android.os.PersistableBundle bundle = new android.os.PersistableBundle();
        bundle.putIntArray("Buffer", ambientParam);
        bundle.putInt("BufferLength", 8);
        int ret = setData(9, bundle);
        if (ret != 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("processSensorData set Data Error: ret =");
            stringBuilder.append(ret);
            com.huawei.displayengine.DElog.i("DE J DisplayEngineService", stringBuilder.toString());
        }
        sendAmbientColorTempToMonitor(timeInMs, lux, cct);
    }

    private void enableLightSensor(boolean enable) {
        if (this.mLightSensorEnable != enable && this.mLightSensorController != null) {
            this.mLightSensorEnable = enable;
            if (this.mLightSensorEnable) {
                this.mLightSensorController.enableSensor();
                this.mLastAmbientColorTempToMonitorTime = 0;
                return;
            }
            this.mLightSensorController.disableSensor();
        }
    }

    private void initColorContentObserver() {
        if (this.mColorModeObserver != null) {
            this.mContext.getContentResolver().unregisterContentObserver(this.mColorModeObserver);
        }
        this.mColorModeObserver = new android.database.ContentObserver(new android.os.Handler()) {
            public void onChange(boolean selfChange) {
                if (android.provider.Settings.System.getIntForUser(com.android.server.display.DisplayEngineService.this.mContext.getContentResolver(), "color_mode_switch", com.android.server.display.DisplayEngineService.this.mDefaultColorModeValue, -2) == 0) {
                    com.android.server.display.DisplayEngineService.this.setScene(13, 16);
                } else {
                    com.android.server.display.DisplayEngineService.this.setScene(13, 17);
                }
            }
        };
        this.mContext.getContentResolver().registerContentObserver(android.provider.Settings.System.getUriFor("color_mode_switch"), true, this.mColorModeObserver, -2);
    }

    private void initColorModeSwitch() {
        if (this.mColorModeSwitchedReceiver == null) {
            this.mColorModeSwitchedReceiver = new com.android.server.display.DisplayEngineService.ColorModeSwitchedReceiver(this, null);
            android.content.IntentFilter filter = new android.content.IntentFilter();
            filter.addAction("android.intent.action.USER_SWITCHED");
            this.mContext.registerReceiver(this.mColorModeSwitchedReceiver, filter, "com.huawei.android.permission.MANAGE_USERS", new android.os.Handler());
        }
        initColorContentObserver();
    }

    private void initColorModeValue() {
        if (android.provider.Settings.System.getIntForUser(this.mContext.getContentResolver(), "color_mode_switch", this.mDefaultColorModeValue, -2) == 0) {
            setScene(13, 16);
        } else {
            setScene(13, 17);
        }
    }

    private void setDefaultColorModeValue() {
        byte[] status = new byte[1];
        java.lang.StringBuilder stringBuilder;
        if (getEffect(11, 0, status, 1) == 0) {
            this.mDefaultColorModeValue = status[0];
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("[effect] getEffect(DE_FEATURE_COLORMODE):");
            stringBuilder.append(this.mDefaultColorModeValue);
            com.huawei.displayengine.DElog.i("DE J DisplayEngineService", stringBuilder.toString());
            return;
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("[effect] getEffect(DE_FEATURE_COLORMODE):");
        stringBuilder.append(this.mDefaultColorModeValue);
        com.huawei.displayengine.DElog.e("DE J DisplayEngineService", stringBuilder.toString());
    }

    private void initNaturalToneContentObserver() {
        if (this.mNaturalToneObserver != null) {
            this.mContext.getContentResolver().unregisterContentObserver(this.mNaturalToneObserver);
        }
        this.mNaturalToneObserver = new android.database.ContentObserver(new android.os.Handler()) {
            public void onChange(boolean selfChange) {
                if (1 == android.provider.Settings.System.getIntForUser(com.android.server.display.DisplayEngineService.this.mContext.getContentResolver(), "hw_natural_tone_display_switch", 0, -2)) {
                    com.android.server.display.DisplayEngineService.this.setScene(25, 16);
                    com.huawei.displayengine.DElog.v("DE J DisplayEngineService", "ContentObserver setScene, DE_ACTION_MODE_ON");
                    return;
                }
                com.android.server.display.DisplayEngineService.this.setScene(25, 17);
                com.huawei.displayengine.DElog.v("DE J DisplayEngineService", " ContentObserver setScene, DE_ACTION_MODE_OFF");
            }
        };
        this.mContext.getContentResolver().registerContentObserver(android.provider.Settings.System.getUriFor("hw_natural_tone_display_switch"), true, this.mNaturalToneObserver, -2);
    }

    private void initNaturalToneSwitch() {
        if (this.mNaturalToneSwitchedReceiver == null) {
            this.mNaturalToneSwitchedReceiver = new com.android.server.display.DisplayEngineService.NaturalToneSwitchedReceiver(this, null);
            android.content.IntentFilter filter = new android.content.IntentFilter();
            filter.addAction("android.intent.action.USER_SWITCHED");
            this.mContext.registerReceiver(this.mNaturalToneSwitchedReceiver, filter, "com.huawei.android.permission.MANAGE_USERS", new android.os.Handler());
        }
        initNaturalToneContentObserver();
    }

    private void initNaturalToneValue() {
        if (1 == android.provider.Settings.System.getIntForUser(this.mContext.getContentResolver(), "hw_natural_tone_display_switch", 0, -2)) {
            setScene(25, 16);
            com.huawei.displayengine.DElog.v("DE J DisplayEngineService", "initNaturalToneValue setScene, DE_ACTION_MODE_ON");
            return;
        }
        setScene(25, 17);
        com.huawei.displayengine.DElog.v("DE J DisplayEngineService", "initNaturalToneValue setScene, DE_ACTION_MODE_OFF");
    }

    private void initAutoBrightnessAdjContentObserver() {
        if (this.mAutoBrightnessAdjObserver != null) {
            this.mContext.getContentResolver().unregisterContentObserver(this.mAutoBrightnessAdjObserver);
        }
        this.mAutoBrightnessAdjObserver = new android.database.ContentObserver(new android.os.Handler()) {
            public void onChange(boolean selfChange) {
                if (com.android.server.display.DisplayEngineService.this.mHwBrightnessSceneRecognition != null && com.android.server.display.DisplayEngineService.this.mHwBrightnessSceneRecognition.isEnable()) {
                    com.android.server.display.DisplayEngineService.this.mHwBrightnessSceneRecognition.notifyAutoBrightnessAdj();
                }
            }
        };
        this.mContext.getContentResolver().registerContentObserver(android.provider.Settings.System.getUriFor("hw_screen_auto_brightness_adj"), true, this.mAutoBrightnessAdjObserver, -2);
        com.huawei.displayengine.DElog.i("DE J DisplayEngineService", "initAutoBrightnessAdjContentObserver");
    }

    private void initAutoBrightnessAdjSwitch() {
        if (this.mAutoBrightnessAdjSwitchedReceiver == null) {
            this.mAutoBrightnessAdjSwitchedReceiver = new com.android.server.display.DisplayEngineService.AutoBrightnessAdjSwitchedReceiver(this, null);
            android.content.IntentFilter filter = new android.content.IntentFilter();
            filter.addAction("android.intent.action.USER_SWITCHED");
            this.mContext.registerReceiver(this.mAutoBrightnessAdjSwitchedReceiver, filter, "com.huawei.android.permission.MANAGE_USERS", new android.os.Handler());
        }
        com.huawei.displayengine.DElog.i("DE J DisplayEngineService", "initAutoBrightnessAdjSwitch");
    }

    private int setDetailPGscene(java.lang.String pkg) {
        java.lang.String pkgName = pkg;
        int scene = 0;
        if (pkg == null) {
            com.huawei.displayengine.DElog.i("DE J DisplayEngineService", "pkg is null");
            return -1;
        } else if (!this.mPGEnable) {
            com.huawei.displayengine.DElog.i("DE J DisplayEngineService", "mPGEnable false");
            return -1;
        } else if (this.mPGSdk == null) {
            com.huawei.displayengine.DElog.i("DE J DisplayEngineService", "mPGSdk is null");
            return -1;
        } else {
            java.lang.StringBuilder stringBuilder;
            try {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("getPkgType, pkgName: ");
                stringBuilder.append(pkgName);
                com.huawei.displayengine.DElog.d("DE J DisplayEngineService", stringBuilder.toString());
                scene = this.mPGSdk.getPkgType(this.mContext, pkgName);
            } catch (android.os.RemoteException ex) {
                com.huawei.displayengine.DElog.e("DE J DisplayEngineService", "getPkgType", ex);
            }
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("PGSdk getPkgType, scene result:");
            stringBuilder.append(scene);
            com.huawei.displayengine.DElog.d("DE J DisplayEngineService", stringBuilder.toString());
            return setScene(17, scene);
        }
    }

    private int setDetailPGscene() {
        java.lang.String pkgName = getCurrentTopAppName();
        int scene = 0;
        if (pkgName == null) {
            com.huawei.displayengine.DElog.i("DE J DisplayEngineService", "getCurrentTopAppName is null");
            return -1;
        } else if (!this.mPGEnable) {
            com.huawei.displayengine.DElog.i("DE J DisplayEngineService", "mPGEnable false");
            return -1;
        } else if (this.mPGSdk == null) {
            com.huawei.displayengine.DElog.i("DE J DisplayEngineService", "mPGSdk is null");
            return -1;
        } else {
            java.lang.StringBuilder stringBuilder;
            try {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("getPkgType,pkgName: ");
                stringBuilder.append(pkgName);
                com.huawei.displayengine.DElog.d("DE J DisplayEngineService", stringBuilder.toString());
                scene = this.mPGSdk.getPkgType(this.mContext, pkgName);
            } catch (android.os.RemoteException ex) {
                com.huawei.displayengine.DElog.e("DE J DisplayEngineService", "getPkgType", ex);
            }
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("PGSdk getPkgType, scene result:");
            stringBuilder.append(scene);
            com.huawei.displayengine.DElog.d("DE J DisplayEngineService", stringBuilder.toString());
            return setScene(17, scene);
        }
    }

    private int setDetailIawareScene() {
        java.lang.String pkgName = getCurrentTopAppName();
        if (pkgName == null) {
            com.huawei.displayengine.DElog.i("DE J DisplayEngineService", "getCurrentTopAppName is null");
            return -1;
        } else if (this.mPGEnable) {
            com.huawei.displayengine.DElog.i("DE J DisplayEngineService", "mPGEnable true");
            return -1;
        } else {
            int scene = com.android.server.rms.iaware.feature.DevSchedFeatureRT.getAppTypeForLCD(pkgName);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getFrom iaware ,pkgName:");
            stringBuilder.append(pkgName);
            stringBuilder.append(",getAppType: ");
            stringBuilder.append(scene);
            com.huawei.displayengine.DElog.d("DE J DisplayEngineService", stringBuilder.toString());
            android.os.PersistableBundle data = new android.os.PersistableBundle();
            data.putInt("Scene", scene);
            data.putInt("PowerLevel", -1);
            return setData(10, data);
        }
    }

    private void handleIawareSpecialScene(int type, android.os.PersistableBundle data) {
        if (type == 10) {
            int scene = data.getInt("Scene");
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" Scene is ");
            stringBuilder.append(scene);
            com.huawei.displayengine.DElog.d("DE J DisplayEngineService", stringBuilder.toString());
            if (scene == 255) {
                java.lang.String pkgName = getCurrentTopAppName();
                if (pkgName == null) {
                    com.huawei.displayengine.DElog.i("DE J DisplayEngineService", "getCurrentTopAppName is null");
                    return;
                }
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("pkgName is ");
                stringBuilder2.append(pkgName);
                com.huawei.displayengine.DElog.d("DE J DisplayEngineService", stringBuilder2.toString());
                if (pkgName.equals("com.huawei.mmitest")) {
                    setScene(35, 16);
                    com.huawei.displayengine.DElog.d("DE J DisplayEngineService", "setScene (35,16) OK!");
                }
            }
        }
    }

    private java.lang.String getCurrentTopAppName() {
        try {
            java.util.List<android.app.ActivityManager.RunningTaskInfo> runningTasks = ((android.app.ActivityManager) this.mContext.getSystemService("activity")).getRunningTasks(1);
            if (runningTasks != null) {
                if (!runningTasks.isEmpty()) {
                    return ((android.app.ActivityManager.RunningTaskInfo) runningTasks.get(0)).topActivity.getPackageName();
                }
            }
            return null;
        } catch (java.lang.SecurityException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getCurrentTopAppName() failed to get topActivity PackageName ");
            stringBuilder.append(e);
            com.huawei.displayengine.DElog.e("DE J DisplayEngineService", stringBuilder.toString());
            return null;
        }
    }

    private void initPGSdkState() {
        if (!this.mPGEnable && !this.mNeedPkgNameFromPG) {
            com.huawei.displayengine.DElog.i("DE J DisplayEngineService", "mPGEnable false");
        } else if (this.mPGSdk == null) {
            com.huawei.displayengine.DElog.i("DE J DisplayEngineService", "mPGSdk is null");
        } else if (this.mStateRecognitionListener == null) {
            com.huawei.displayengine.DElog.i("DE J DisplayEngineService", "mStateRecognitionListener is null");
        } else {
            try {
                com.huawei.displayengine.DElog.d("DE J DisplayEngineService", "enableStateEvent step in!");
                this.mPGSdk.enableStateEvent(this.mStateRecognitionListener, java.lang.Integer.valueOf(10000).intValue());
                this.mPGSdk.enableStateEvent(this.mStateRecognitionListener, java.lang.Integer.valueOf(10001).intValue());
                this.mPGSdk.enableStateEvent(this.mStateRecognitionListener, java.lang.Integer.valueOf(10002).intValue());
                this.mPGSdk.enableStateEvent(this.mStateRecognitionListener, java.lang.Integer.valueOf(10003).intValue());
                this.mPGSdk.enableStateEvent(this.mStateRecognitionListener, java.lang.Integer.valueOf(10005).intValue());
                this.mPGSdk.enableStateEvent(this.mStateRecognitionListener, java.lang.Integer.valueOf(10006).intValue());
                this.mPGSdk.enableStateEvent(this.mStateRecognitionListener, java.lang.Integer.valueOf(10007).intValue());
                this.mPGSdk.enableStateEvent(this.mStateRecognitionListener, java.lang.Integer.valueOf(10008).intValue());
                this.mPGSdk.enableStateEvent(this.mStateRecognitionListener, java.lang.Integer.valueOf(10009).intValue());
                this.mPGSdk.enableStateEvent(this.mStateRecognitionListener, java.lang.Integer.valueOf(10010).intValue());
                this.mPGSdk.enableStateEvent(this.mStateRecognitionListener, java.lang.Integer.valueOf(10002).intValue());
                this.mPGSdk.enableStateEvent(this.mStateRecognitionListener, java.lang.Integer.valueOf(10013).intValue());
                this.mPGSdk.enableStateEvent(this.mStateRecognitionListener, java.lang.Integer.valueOf(10015).intValue());
                this.mPGSdk.enableStateEvent(this.mStateRecognitionListener, java.lang.Integer.valueOf(10016).intValue());
                this.mPGSdk.enableStateEvent(this.mStateRecognitionListener, java.lang.Integer.valueOf(10017).intValue());
            } catch (android.os.RemoteException ex) {
                com.huawei.displayengine.DElog.e("DE J DisplayEngineService", "enableStateEvent", ex);
            }
        }
    }

    private void registerPGSdk() {
        if (this.mPGEnable || this.mNeedPkgNameFromPG) {
            if (this.mPGSdk == null) {
                com.huawei.displayengine.DElog.d("DE J DisplayEngineService", "mPGSdk constructor ok");
                this.mPGSdk = com.huawei.pgmng.plug.PGSdk.getInstance();
            }
            if (this.mStateRecognitionListener == null) {
                com.huawei.displayengine.DElog.d("DE J DisplayEngineService", "mStateRecognitionListener constructor ok");
                this.mStateRecognitionListener = new com.huawei.pgmng.plug.PGSdk.Sink() {
                    public void onStateChanged(int stateType, int eventType, int pid, java.lang.String pkg, int uid) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("state type: ");
                        stringBuilder.append(stateType);
                        stringBuilder.append(" eventType:");
                        stringBuilder.append(eventType);
                        stringBuilder.append(" pid:");
                        stringBuilder.append(pid);
                        stringBuilder.append(" pkd:");
                        stringBuilder.append(pkg);
                        stringBuilder.append(" uid:");
                        stringBuilder.append(uid);
                        com.huawei.displayengine.DElog.d("DE J DisplayEngineService", stringBuilder.toString());
                        if (com.android.server.display.DisplayEngineService.this.mHwBrightnessSceneRecognition != null && com.android.server.display.DisplayEngineService.this.mHwBrightnessSceneRecognition.isEnable() && com.android.server.display.DisplayEngineService.this.mNeedPkgNameFromPG && eventType == 1) {
                            if (pkg != null && pkg.length() > 0) {
                                com.android.server.display.DisplayEngineService.this.mHwBrightnessSceneRecognition.notifyTopApkChange(pkg);
                            }
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("PG pkg:");
                            stringBuilder.append(pkg);
                            com.huawei.displayengine.DElog.i("DE J DisplayEngineService", stringBuilder.toString());
                        }
                        if (!com.android.server.display.DisplayEngineService.this.mPGEnable) {
                            return;
                        }
                        if (stateType == 10000) {
                            com.android.server.display.DisplayEngineService.this.setDetailPGscene(pkg);
                            return;
                        }
                        if (stateType != 10016) {
                            if (stateType != 10017) {
                                com.android.server.display.DisplayEngineService.this.setScene(0, stateType);
                                return;
                            }
                        }
                        com.android.server.display.DisplayEngineService.this.setScene(0, stateType);
                        com.android.server.display.DisplayEngineService.this.setDetailPGscene(pkg);
                    }
                };
            }
            initPGSdkState();
            return;
        }
        com.huawei.displayengine.DElog.i("DE J DisplayEngineService", "mPGEnable false");
    }

    private void sendUIScene() {
        setScene(10, 16);
        this.mScreenOn = true;
    }

    private void registerRgbwBroadcast() {
        android.content.IntentFilter filter = new android.content.IntentFilter();
        filter.addAction("huawei.intent.action.RGBW_CONFIG_ACTION");
        this.mContext.registerReceiver(this.mBroadcastReceiver, filter, null, null);
    }

    private void setDefaultConfigValue() {
        this.mPGEnable = true;
        this.mNeedPkgNameFromPG = false;
    }

    private void getConfigParam() {
        try {
            if (!getConfig()) {
                com.huawei.displayengine.DElog.e("DE J DisplayEngineService", "getConfig failed!");
                setDefaultConfigValue();
            }
        } catch (java.io.IOException e) {
            com.huawei.displayengine.DElog.e("DE J DisplayEngineService", "getConfig failed setDefaultConfigValue!");
            setDefaultConfigValue();
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mPGEnable :");
        stringBuilder.append(this.mPGEnable);
        com.huawei.displayengine.DElog.d("DE J DisplayEngineService", stringBuilder.toString());
    }

    /* JADX WARNING: Missing block: B:20:0x0046, code:
            if (r2 == null) goto L_0x0054;
     */
    private boolean getConfig() throws java.io.IOException {
        /*
        r5 = this;
        r0 = "DE J DisplayEngineService";
        r1 = "getConfig";
        com.huawei.displayengine.DElog.i(r0, r1);
        r0 = "/display/effect/displayengine/SR_control.xml";
        r1 = 0;
        r0 = huawei.cust.HwCfgFilePolicy.getCfgFile(r0, r1);
        if (r0 != 0) goto L_0x0018;
    L_0x0010:
        r2 = "DE J DisplayEngineService";
        r3 = "get xmlFile :/display/effect/displayengine/SR_control.xml failed!";
        com.huawei.displayengine.DElog.w(r2, r3);
        return r1;
    L_0x0018:
        r2 = 0;
        r3 = new java.io.FileInputStream;	 Catch:{ FileNotFoundException -> 0x0050, IOException -> 0x004c, Exception -> 0x0045, all -> 0x003e }
        r3.<init>(r0);	 Catch:{ FileNotFoundException -> 0x0050, IOException -> 0x004c, Exception -> 0x0045, all -> 0x003e }
        r2 = r3;
        r3 = r5.getConfigFromXML(r2);	 Catch:{ FileNotFoundException -> 0x0050, IOException -> 0x004c, Exception -> 0x0045, all -> 0x003e }
        if (r3 != 0) goto L_0x0035;
    L_0x0025:
        r3 = "DE J DisplayEngineService";
        r4 = "get xmlFile error";
        com.huawei.displayengine.DElog.i(r3, r4);	 Catch:{ FileNotFoundException -> 0x0050, IOException -> 0x004c, Exception -> 0x0045, all -> 0x003e }
        r2.close();	 Catch:{ FileNotFoundException -> 0x0050, IOException -> 0x004c, Exception -> 0x0045, all -> 0x003e }
        r2.close();
        return r1;
    L_0x0035:
        r2.close();	 Catch:{ FileNotFoundException -> 0x0050, IOException -> 0x004c, Exception -> 0x0045, all -> 0x003e }
        r1 = 1;
        r2.close();
        return r1;
    L_0x003e:
        r1 = move-exception;
        if (r2 == 0) goto L_0x0044;
    L_0x0041:
        r2.close();
    L_0x0044:
        throw r1;
    L_0x0045:
        r3 = move-exception;
        if (r2 == 0) goto L_0x0054;
    L_0x0048:
        r2.close();
        goto L_0x0054;
    L_0x004c:
        r3 = move-exception;
        if (r2 == 0) goto L_0x0054;
    L_0x004f:
        goto L_0x0048;
    L_0x0050:
        r3 = move-exception;
        if (r2 == 0) goto L_0x0054;
    L_0x0053:
        goto L_0x0048;
    L_0x0054:
        return r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.DisplayEngineService.getConfig():boolean");
    }

    /* JADX WARNING: Removed duplicated region for block: B:33:0x00fc A:{Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }} */
    private boolean getConfigFromXML(java.io.InputStream r11) {
        /*
        r10 = this;
        r0 = "DE J DisplayEngineService";
        r1 = "getConfigFromeXML";
        com.huawei.displayengine.DElog.i(r0, r1);
        r0 = 0;
        r1 = 0;
        r2 = 0;
        r3 = android.util.Xml.newPullParser();
        r4 = "UTF-8";
        r3.setInput(r11, r4);	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r4 = r3.getEventType();	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
    L_0x0017:
        r5 = 1;
        if (r4 == r5) goto L_0x00fa;
    L_0x001a:
        switch(r4) {
            case 2: goto L_0x0032;
            case 3: goto L_0x001f;
            default: goto L_0x001d;
        };	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
    L_0x001d:
        goto L_0x00f0;
    L_0x001f:
        r6 = r3.getName();	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r2 = r6;
        r6 = "SRControl";
        r6 = r2.equals(r6);	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        if (r6 == 0) goto L_0x00f0;
    L_0x002c:
        if (r0 == 0) goto L_0x00f0;
    L_0x002e:
        r1 = 1;
        r0 = 0;
        goto L_0x00f0;
    L_0x0032:
        r6 = r3.getName();	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r2 = r6;
        r6 = "SRControl";
        r6 = r2.equals(r6);	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        if (r6 == 0) goto L_0x0042;
    L_0x003f:
        r0 = 1;
        goto L_0x00f0;
    L_0x0042:
        r6 = "PGEnable";
        r6 = r2.equals(r6);	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        if (r6 == 0) goto L_0x0056;
    L_0x004a:
        r6 = r3.nextText();	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r6 = java.lang.Boolean.parseBoolean(r6);	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r10.mPGEnable = r6;	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        goto L_0x00f0;
    L_0x0056:
        r6 = "NeedPkgNameFromPG";
        r6 = r2.equals(r6);	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        if (r6 == 0) goto L_0x006a;
    L_0x005e:
        r6 = r3.nextText();	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r6 = java.lang.Boolean.parseBoolean(r6);	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r10.mNeedPkgNameFromPG = r6;	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        goto L_0x00f0;
    L_0x006a:
        r6 = "MinimumTrainingIntervalMinutes";
        r6 = r2.equals(r6);	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        if (r6 == 0) goto L_0x009a;
    L_0x0072:
        r6 = 60000; // 0xea60 float:8.4078E-41 double:2.9644E-319;
        r8 = r3.nextText();	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r8 = java.lang.Integer.parseInt(r8);	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r8 = (long) r8;	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r6 = r6 * r8;
        r10.mMinimumTrainingIntervalMillis = r6;	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r6 = "DE J DisplayEngineService";
        r7 = new java.lang.StringBuilder;	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r7.<init>();	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r8 = "mMinimumTrainingIntervalMillis = ";
        r7.append(r8);	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r8 = r10.mMinimumTrainingIntervalMillis;	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r7.append(r8);	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r7 = r7.toString();	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        com.huawei.displayengine.DElog.i(r6, r7);	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        goto L_0x00f0;
    L_0x009a:
        r6 = "ChargeLevelThreshold";
        r6 = r2.equals(r6);	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        if (r6 == 0) goto L_0x00c5;
    L_0x00a2:
        r6 = r3.nextText();	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r6 = java.lang.Integer.parseInt(r6);	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r10.mChargeLevelThreshold = r6;	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r6 = "DE J DisplayEngineService";
        r7 = new java.lang.StringBuilder;	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r7.<init>();	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r8 = "mChargeLevelThreshold = ";
        r7.append(r8);	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r8 = r10.mChargeLevelThreshold;	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r7.append(r8);	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r7 = r7.toString();	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        com.huawei.displayengine.DElog.i(r6, r7);	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        goto L_0x00f0;
    L_0x00c5:
        r6 = "NewDragNumThreshold";
        r6 = r2.equals(r6);	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        if (r6 == 0) goto L_0x00f0;
    L_0x00cd:
        r6 = r3.nextText();	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r6 = java.lang.Integer.parseInt(r6);	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r10.mNewDragNumThreshold = r6;	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r6 = "DE J DisplayEngineService";
        r7 = new java.lang.StringBuilder;	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r7.<init>();	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r8 = "mNewDragNumThreshold = ";
        r7.append(r8);	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r8 = r10.mNewDragNumThreshold;	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r7.append(r8);	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r7 = r7.toString();	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        com.huawei.displayengine.DElog.i(r6, r7);	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
    L_0x00f0:
        if (r1 == 0) goto L_0x00f3;
    L_0x00f2:
        goto L_0x00fa;
    L_0x00f3:
        r5 = r3.next();	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        r4 = r5;
        goto L_0x0017;
    L_0x00fa:
        if (r1 == 0) goto L_0x0163;
    L_0x00fc:
        r6 = "DE J DisplayEngineService";
        r7 = "getConfigFromeXML success!";
        com.huawei.displayengine.DElog.i(r6, r7);	 Catch:{ XmlPullParserException -> 0x014c, IOException -> 0x0134, NumberFormatException -> 0x011c, Exception -> 0x0104 }
        return r5;
    L_0x0104:
        r4 = move-exception;
        r5 = "DE J DisplayEngineService";
        r6 = new java.lang.StringBuilder;
        r6.<init>();
        r7 = "get xmlFile error: ";
        r6.append(r7);
        r6.append(r4);
        r6 = r6.toString();
        com.huawei.displayengine.DElog.e(r5, r6);
        goto L_0x0164;
    L_0x011c:
        r4 = move-exception;
        r5 = "DE J DisplayEngineService";
        r6 = new java.lang.StringBuilder;
        r6.<init>();
        r7 = "get xmlFile error: ";
        r6.append(r7);
        r6.append(r4);
        r6 = r6.toString();
        com.huawei.displayengine.DElog.e(r5, r6);
        goto L_0x0163;
    L_0x0134:
        r4 = move-exception;
        r5 = "DE J DisplayEngineService";
        r6 = new java.lang.StringBuilder;
        r6.<init>();
        r7 = "get xmlFile error: ";
        r6.append(r7);
        r6.append(r4);
        r6 = r6.toString();
        com.huawei.displayengine.DElog.e(r5, r6);
        goto L_0x0163;
    L_0x014c:
        r4 = move-exception;
        r5 = "DE J DisplayEngineService";
        r6 = new java.lang.StringBuilder;
        r6.<init>();
        r7 = "get xmlFile error: ";
        r6.append(r7);
        r6.append(r4);
        r6 = r6.toString();
        com.huawei.displayengine.DElog.e(r5, r6);
    L_0x0164:
        r4 = "DE J DisplayEngineService";
        r5 = "getConfigFromeXML false!";
        com.huawei.displayengine.DElog.e(r4, r5);
        r4 = 0;
        return r4;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.DisplayEngineService.getConfigFromXML(java.io.InputStream):boolean");
    }

    private void sendAmbientColorTempToMonitor(long time, int lux, int colorTemp) {
        if (this.mDisplayEffectMonitor != null) {
            if (this.mLastAmbientColorTempToMonitorTime != 0) {
                if (time > this.mLastAmbientColorTempToMonitorTime) {
                    int durationInMs = (int) (time - this.mLastAmbientColorTempToMonitorTime);
                    this.mLastAmbientColorTempToMonitorTime = time;
                    if (colorTemp > 0) {
                        if (lux > 50) {
                            android.util.ArrayMap<java.lang.String, java.lang.Object> params = new android.util.ArrayMap();
                            params.put("paramType", "ambientColorTempCollection");
                            params.put("colorTempValue", java.lang.Integer.valueOf(colorTemp));
                            params.put("durationInMs", java.lang.Integer.valueOf(durationInMs));
                            this.mDisplayEffectMonitor.sendMonitorParam(params);
                            return;
                        }
                    }
                    return;
                }
            }
            this.mLastAmbientColorTempToMonitorTime = time;
        }
    }
}
