package com.android.server.display;

public class HwBrightnessSceneRecognition {
    private static final int BINDER_REBUILD_COUNT_MAX = 10;
    private static final java.lang.String CONTROL_XML_FILE = "/display/effect/displayengine/LABC_SR_control.xml";
    private static final int DEFAULT_APP_TYPE = 3;
    private static final int GAME_ENTER = 21;
    private static final int GAME_EXIT = 20;
    private static final java.lang.String TAG = "DE J HwBrightnessSceneRecognition";
    private com.huawei.android.location.activityrecognition.HwActivityRecognitionHardwareSink hwArSink = new com.huawei.android.location.activityrecognition.HwActivityRecognitionHardwareSink() {
        public void onActivityChanged(com.huawei.android.location.activityrecognition.HwActivityChangedEvent activityChangedEvent) {
            java.lang.StringBuffer bf = new java.lang.StringBuffer();
            for (com.huawei.android.location.activityrecognition.HwActivityRecognitionEvent event : activityChangedEvent.getActivityRecognitionEvents()) {
                java.lang.String activityType = event.getActivity();
                int eventType = event.getEventType();
                bf.append(event.getActivity());
                bf.append(",");
                bf.append(com.android.server.display.HwBrightnessSceneRecognition.this.getAREventType(event.getEventType()));
                bf.append(",");
                bf.append(event.getTimestampNs());
                bf.append(",");
                com.android.server.display.HwBrightnessSceneRecognition.this.updateARStatus(activityType, eventType);
            }
            com.huawei.displayengine.DElog.d("DE J HwBrightnessSceneRecognition", bf.toString());
            com.android.server.display.HwBrightnessSceneRecognition.this.setARSceneToBLControllerIfNeeded();
        }

        public void onActivityExtendChanged(com.huawei.android.location.activityrecognition.HwActivityChangedExtendEvent activityChangedExtendEvent) {
            com.huawei.displayengine.DElog.d("DE J HwBrightnessSceneRecognition", "onActivityExtendChanged .....");
        }

        public void onEnvironmentChanged(com.huawei.android.location.activityrecognition.HwEnvironmentChangedEvent environmentChangedEvent) {
            com.huawei.displayengine.DElog.d("DE J HwBrightnessSceneRecognition", "onEnvironmentChanged .....");
        }
    };
    private java.util.Map<java.lang.String, com.android.server.display.HwBrightnessSceneRecognition.ARActivity> mARActivities;
    private int mARConfidenceTH = 30;
    private int mARMonitorConfidenceSampleMaxNum = 0;
    private int mARMonitorConfidenceSampleTimeStepMs = 4000;
    private boolean mARSceneEnable = false;
    private int mARScreenOnTimeTHMs = 200;
    private int mARWaitTimeMs = 10000;
    private int mBinderRebuildCount = 0;
    private com.huawei.android.location.activityrecognition.HwActivityRecognitionServiceConnection mConnect = new com.huawei.android.location.activityrecognition.HwActivityRecognitionServiceConnection() {
        public void onServiceConnected() {
            com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", "onServiceConnected()");
            com.android.server.display.HwBrightnessSceneRecognition.this.mIsARConnected = true;
            com.android.server.display.HwBrightnessSceneRecognition.this.getSupportedARActivities();
            com.android.server.display.HwBrightnessSceneRecognition.this.enableAR();
        }

        public void onServiceDisconnected() {
            com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", "onServiceDisconnected()");
            com.android.server.display.HwBrightnessSceneRecognition.this.mIsARConnected = false;
            com.android.server.display.HwBrightnessSceneRecognition.this.disableAR();
        }
    };
    private final android.content.Context mContext;
    private com.huawei.displayengine.DisplayEngineDBManager mDBManager;
    private int mDBUserDragMaxSize = 100;
    private com.android.server.display.DisplayEffectMonitor mDisplayEffectMonitor;
    private com.huawei.displayengine.DisplayEngineManager mDisplayEngineManager;
    private boolean mEnable = false;
    private boolean mGameBLSceneEnable = false;
    private java.util.Map<java.lang.String, java.lang.Integer> mGameBrightnessLevelWhiteList;
    private int mGameBrightnessState;
    private boolean mGameDESceneEnable = false;
    private int mGameHDRState;
    private java.util.Map<java.lang.String, java.lang.Integer> mGameHDRWhiteList;
    private com.huawei.android.location.activityrecognition.HwActivityRecognition mHwActivityRecognition;
    boolean mIsARConnected = false;
    private volatile boolean mIsBinderBuilding = false;
    private boolean mIsScreenOn = true;
    private java.lang.Object mLockBinderBuilding;
    private java.lang.Object mLockService;
    private boolean mNeedNotifyGameCurveChange = false;
    private boolean mNeedNotifyPersonalizedCurveChange = false;
    private boolean mPersonalizedCurveEnable = false;
    private java.lang.String mPkgName = "";
    private volatile android.os.IPowerManager mPowerManagerService;
    private volatile boolean mPowerManagerServiceInitialized = false;
    private volatile boolean mScreenOffStateCleanFlag = true;
    private long mScreenOnTimeMs;
    private java.util.Map<java.lang.String, java.lang.Integer> mTopApkBrightnessLevelWhiteList;
    private int mTopApkState = 3;
    private int mUserId = 0;

    private static class ARActivity {
        public final int mAction;
        public int mStatus = 2;

        public ARActivity(int action) {
            this.mAction = action;
        }
    }

    public class ARMonitorThread extends java.lang.Thread {
        java.lang.String mARTag;
        java.util.List mConfidenceSamples = new java.util.LinkedList();
        int mSampleMaxNum;
        long mSampleTimeStepMs;

        ARMonitorThread(java.lang.String ARTag, long sampleTimeStepMs, int sampleMaxNum) {
            super("ARMonitorThread");
            this.mARTag = ARTag;
            this.mSampleTimeStepMs = sampleTimeStepMs;
            this.mSampleMaxNum = sampleMaxNum;
        }

        public void run() {
            com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", "ARMonitorThread: start sampling...");
            int i = 0;
            while (i < this.mSampleMaxNum) {
                try {
                    java.lang.Thread.sleep(this.mSampleTimeStepMs);
                } catch (java.lang.InterruptedException e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("ARThread Exception ");
                    stringBuilder.append(e);
                    com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder.toString());
                }
                if (!com.android.server.display.HwBrightnessSceneRecognition.this.mIsScreenOn) {
                    com.huawei.displayengine.DElog.d("DE J HwBrightnessSceneRecognition", "ARMonitorThread breaked due to screen off");
                    break;
                }
                com.huawei.android.location.activityrecognition.HwActivityChangedExtendEvent activityChangedEvent = com.android.server.display.HwBrightnessSceneRecognition.this.getCurrentActivityExtend();
                if (activityChangedEvent != null) {
                    for (com.huawei.android.location.activityrecognition.HwActivityRecognitionExtendEvent event : activityChangedEvent.getActivityRecognitionExtendEvents()) {
                        if (event != null) {
                            java.lang.String activityType = event.getActivity();
                            int confidence = event.getConfidence();
                            if (activityType != null && activityType.equals(this.mARTag)) {
                                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append("ARMonitorThread, confidence ");
                                stringBuilder2.append(i);
                                stringBuilder2.append(" = ");
                                stringBuilder2.append(confidence);
                                com.huawei.displayengine.DElog.d("DE J HwBrightnessSceneRecognition", stringBuilder2.toString());
                                this.mConfidenceSamples.add(java.lang.Short.valueOf((short) confidence));
                            }
                        }
                    }
                    if (this.mConfidenceSamples != null && this.mConfidenceSamples.size() < i + 1) {
                        com.android.server.display.HwBrightnessSceneRecognition.this.sendAbnormalActivityRecognitionToMonitor(this.mARTag, this.mConfidenceSamples);
                        com.huawei.displayengine.DElog.d("DE J HwBrightnessSceneRecognition", "ARMonitorThread breaked due to activity no longer exist.");
                        break;
                    }
                }
                i++;
            }
            com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", "ARMonitorThread: finished.");
        }
    }

    public static class ARTag {
        private static final java.lang.String ACTIVITY_FAST_WALKING = "android.activity_recognition.fast_walking";
        private static final java.lang.String ACTIVITY_IN_VEHICLE = "android.activity_recognition.in_vehicle";
        private static final java.lang.String ACTIVITY_ON_BICYCLE = "android.activity_recognition.on_bicycle";
        private static final java.lang.String ACTIVITY_ON_FOOT = "android.activity_recognition.on_foot";
        private static final java.lang.String ACTIVITY_OUTDOOR = "android.activity_recognition.outdoor";
        private static final java.lang.String ACTIVITY_RELATIVE_STILL = "android.activity_recognition.relative_still";
        private static final java.lang.String ACTIVITY_RUNNING = "android.activity_recognition.running";
        private static final java.lang.String ACTIVITY_STILL = "android.activity_recognition.still";
        private static final java.lang.String ACTIVITY_TYPE_VE_HIGH_SPEED_RAIL = "android.activity_recognition.high_speed_rail";
        private static final java.lang.String ACTIVITY_UNKNOWN = "android.activity_recognition.unknown";
        private static final java.lang.String ACTIVITY_WALKING = "android.activity_recognition.walking";
        private static final long MIN_REPORT_TIME = 1000000000;
    }

    public class ARThread extends java.lang.Thread {
        java.lang.String mARTag;
        com.android.server.display.HwBrightnessSceneRecognition.ARActivity mActivityOnQuest;
        int mConfidenceThreshold;
        long mWaitTimeMs;

        ARThread(java.lang.String ARTag, com.android.server.display.HwBrightnessSceneRecognition.ARActivity activity, long waitTime, int confidenceThreshold) {
            super("ARThread");
            this.mActivityOnQuest = activity;
            this.mWaitTimeMs = waitTime;
            this.mARTag = ARTag;
            this.mConfidenceThreshold = confidenceThreshold;
        }

        public void run() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Wait ");
            stringBuilder.append(this.mWaitTimeMs);
            stringBuilder.append("ms to verify ");
            stringBuilder.append(this.mARTag);
            stringBuilder.append("with confidence threshold ");
            stringBuilder.append(this.mConfidenceThreshold);
            com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder.toString());
            try {
                java.lang.Thread.sleep(this.mWaitTimeMs);
            } catch (java.lang.InterruptedException e) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("ARThread Exception ");
                stringBuilder2.append(e);
                com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder2.toString());
            }
            if (com.android.server.display.HwBrightnessSceneRecognition.this.mIsScreenOn) {
                com.huawei.android.location.activityrecognition.HwActivityChangedExtendEvent activityChangedEvent = com.android.server.display.HwBrightnessSceneRecognition.this.getCurrentActivityExtend();
                if (activityChangedEvent != null) {
                    for (com.huawei.android.location.activityrecognition.HwActivityRecognitionExtendEvent event : activityChangedEvent.getActivityRecognitionExtendEvents()) {
                        if (event != null) {
                            java.lang.String activityType = event.getActivity();
                            int confidence = event.getConfidence();
                            if (activityType != null) {
                                java.lang.StringBuilder stringBuilder3;
                                if (!activityType.equals(this.mARTag) || confidence <= this.mConfidenceThreshold) {
                                    stringBuilder3 = new java.lang.StringBuilder();
                                    stringBuilder3.append("confidence < mConfidenceThreshold ");
                                    stringBuilder3.append(this.mConfidenceThreshold);
                                    stringBuilder3.append(", AR scene ignored.");
                                    com.huawei.displayengine.DElog.d("DE J HwBrightnessSceneRecognition", stringBuilder3.toString());
                                } else {
                                    stringBuilder3 = new java.lang.StringBuilder();
                                    stringBuilder3.append("confidence:");
                                    stringBuilder3.append(confidence);
                                    stringBuilder3.append(" > mConfidenceThreshold:");
                                    stringBuilder3.append(this.mConfidenceThreshold);
                                    com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder3.toString());
                                    com.android.server.display.HwBrightnessSceneRecognition.this.setTopApkLevelToBLControllerIfNeeded(this.mActivityOnQuest.mAction);
                                    com.android.server.display.HwBrightnessSceneRecognition.this.sendActivityRecognitionToMonitor(this.mARTag);
                                }
                            }
                        }
                    }
                }
            }
            com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", "ARThread: finished.");
        }
    }

    public static class FeatureTag {
        public static final java.lang.String TAG_AR_SCENE = "ARScene";
        public static final java.lang.String TAG_GAME_BRIGHTNESS_SCENE = "GameBrightnessScene";
        public static final java.lang.String TAG_GAME_DE_SCENE = "GameDEScene";
        public static final java.lang.String TAG_PERSONALIZED_CURVE = "PersonalizedCurve";
    }

    public HwBrightnessSceneRecognition(android.content.Context context) {
        this.mContext = context;
        this.mLockService = new java.lang.Object();
        this.mLockBinderBuilding = new java.lang.Object();
        this.mGameBrightnessLevelWhiteList = new java.util.HashMap();
        this.mGameHDRWhiteList = new java.util.HashMap();
        this.mTopApkBrightnessLevelWhiteList = new java.util.HashMap();
        this.mARActivities = new java.util.HashMap();
        this.mDisplayEngineManager = new com.huawei.displayengine.DisplayEngineManager();
        getConfigParam();
        this.mDBManager = com.huawei.displayengine.DisplayEngineDBManager.getInstance(this.mContext);
        this.mDisplayEffectMonitor = com.android.server.display.DisplayEffectMonitor.getInstance(this.mContext);
    }

    private void setDefaultConfigValue() {
    }

    private void printConfigValue() {
        java.lang.StringBuilder stringBuilder;
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("printConfigValue: mEnable = ");
        stringBuilder2.append(this.mEnable);
        com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder2.toString());
        if (this.mGameBrightnessLevelWhiteList != null) {
            for (java.util.Map.Entry<java.lang.String, java.lang.Integer> entry : this.mGameBrightnessLevelWhiteList.entrySet()) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printConfigValue: mGameBrightnessLevelWhiteList = ");
                stringBuilder.append((java.lang.String) entry.getKey());
                stringBuilder.append(", ");
                stringBuilder.append(entry.getValue());
                com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder.toString());
            }
        } else {
            com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", "printConfigValue: mGameBrightnessLevelWhiteList is null.");
        }
        if (this.mGameHDRWhiteList != null) {
            for (java.util.Map.Entry<java.lang.String, java.lang.Integer> entry2 : this.mGameHDRWhiteList.entrySet()) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printConfigValue: mGameHDRWhiteList = ");
                stringBuilder.append((java.lang.String) entry2.getKey());
                stringBuilder.append(", ");
                stringBuilder.append(entry2.getValue());
                com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder.toString());
            }
        } else {
            com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", "printConfigValue: mGameHDRWhiteList is null.");
        }
        if (this.mTopApkBrightnessLevelWhiteList != null) {
            for (java.util.Map.Entry<java.lang.String, java.lang.Integer> entry22 : this.mTopApkBrightnessLevelWhiteList.entrySet()) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printConfigValue: mTopApkBrightnessLevelWhiteList = ");
                stringBuilder.append((java.lang.String) entry22.getKey());
                stringBuilder.append(", ");
                stringBuilder.append(entry22.getValue());
                com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder.toString());
            }
        } else {
            com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", "printConfigValue: mTopApkBrightnessLevelWhiteList is null.");
        }
        if (this.mARActivities != null) {
            for (java.util.Map.Entry<java.lang.String, com.android.server.display.HwBrightnessSceneRecognition.ARActivity> entry3 : this.mARActivities.entrySet()) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printConfigValue: mARActivities = ");
                stringBuilder.append((java.lang.String) entry3.getKey());
                stringBuilder.append(", ");
                stringBuilder.append(((com.android.server.display.HwBrightnessSceneRecognition.ARActivity) entry3.getValue()).mAction);
                com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder.toString());
            }
        } else {
            com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", "printConfigValue: mARActivities is null.");
        }
        stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("printConfigValue: mARSceneEnable = ");
        stringBuilder2.append(this.mARSceneEnable);
        com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder2.toString());
        stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("printConfigValue: mARScreenOnTimeTHMs = ");
        stringBuilder2.append(this.mARScreenOnTimeTHMs);
        com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder2.toString());
        stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("printConfigValue: mARConfidenceTH = ");
        stringBuilder2.append(this.mARConfidenceTH);
        com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder2.toString());
        stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("printConfigValue: mARScreenOnTimeTHMs = ");
        stringBuilder2.append(this.mARScreenOnTimeTHMs);
        com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder2.toString());
        stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("printConfigValue: mARWaitTimeMs = ");
        stringBuilder2.append(this.mARWaitTimeMs);
        com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder2.toString());
        stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("printConfigValue: mARMonitorConfidenceSampleMaxNum = ");
        stringBuilder2.append(this.mARMonitorConfidenceSampleMaxNum);
        com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder2.toString());
        stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("printConfigValue: mARMonitorConfidenceSampleTimeStepMs = ");
        stringBuilder2.append(this.mARMonitorConfidenceSampleTimeStepMs);
        com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder2.toString());
    }

    private void getConfigParam() {
        try {
            if (!getConfig()) {
                com.huawei.displayengine.DElog.e("DE J HwBrightnessSceneRecognition", "getConfig failed!");
                setDefaultConfigValue();
            }
            printConfigValue();
        } catch (java.io.IOException e) {
            com.huawei.displayengine.DElog.e("DE J HwBrightnessSceneRecognition", "getConfig failed setDefaultConfigValue!");
            setDefaultConfigValue();
            printConfigValue();
        }
    }

    private boolean getConfig() throws java.io.IOException {
        java.lang.StringBuilder stringBuilder;
        java.io.IOException e;
        java.lang.String str;
        com.huawei.displayengine.DElog.d("DE J HwBrightnessSceneRecognition", "getConfig");
        java.io.File xmlFile = huawei.cust.HwCfgFilePolicy.getCfgFile("/display/effect/displayengine/LABC_SR_control.xml", 0);
        if (xmlFile == null) {
            com.huawei.displayengine.DElog.w("DE J HwBrightnessSceneRecognition", "get xmlFile :/display/effect/displayengine/LABC_SR_control.xml failed!");
            return false;
        }
        java.io.FileInputStream inputStream = null;
        try {
            inputStream = new java.io.FileInputStream(xmlFile);
            if (getConfigFromXML(inputStream)) {
                inputStream.close();
                try {
                    inputStream.close();
                } catch (java.io.IOException e2) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("get xmlFile error: ");
                    stringBuilder.append(e2);
                    com.huawei.displayengine.DElog.e("DE J HwBrightnessSceneRecognition", stringBuilder.toString());
                }
                return true;
            }
            com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", "get xmlFile error");
            inputStream.close();
            try {
                inputStream.close();
            } catch (java.io.IOException e22) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("get xmlFile error: ");
                stringBuilder.append(e22);
                com.huawei.displayengine.DElog.e("DE J HwBrightnessSceneRecognition", stringBuilder.toString());
            }
            return false;
        } catch (java.lang.RuntimeException e3) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("get xmlFile error: ");
            stringBuilder.append(e3);
            com.huawei.displayengine.DElog.e("DE J HwBrightnessSceneRecognition", stringBuilder.toString());
            if (inputStream != null) {
                try {
                    inputStream.close();
                } catch (java.io.IOException e4) {
                    e22 = e4;
                    str = "DE J HwBrightnessSceneRecognition";
                    stringBuilder = new java.lang.StringBuilder();
                }
            }
            return false;
        } catch (java.io.FileNotFoundException e5) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("get xmlFile error: ");
            stringBuilder.append(e5);
            com.huawei.displayengine.DElog.e("DE J HwBrightnessSceneRecognition", stringBuilder.toString());
            if (inputStream != null) {
                try {
                    inputStream.close();
                } catch (java.io.IOException e6) {
                    e22 = e6;
                    str = "DE J HwBrightnessSceneRecognition";
                    stringBuilder = new java.lang.StringBuilder();
                }
            }
            return false;
        } catch (java.io.IOException e222) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("get xmlFile error: ");
            stringBuilder.append(e222);
            com.huawei.displayengine.DElog.e("DE J HwBrightnessSceneRecognition", stringBuilder.toString());
            if (inputStream != null) {
                try {
                    inputStream.close();
                } catch (java.io.IOException e7) {
                    e222 = e7;
                    str = "DE J HwBrightnessSceneRecognition";
                    stringBuilder = new java.lang.StringBuilder();
                }
            }
            return false;
        } catch (java.lang.Exception e8) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("get xmlFile error: ");
            stringBuilder.append(e8);
            com.huawei.displayengine.DElog.e("DE J HwBrightnessSceneRecognition", stringBuilder.toString());
            if (inputStream != null) {
                try {
                    inputStream.close();
                } catch (java.io.IOException e9) {
                    e222 = e9;
                    str = "DE J HwBrightnessSceneRecognition";
                    stringBuilder = new java.lang.StringBuilder();
                }
            }
            return false;
        } catch (Throwable th) {
            if (inputStream != null) {
                try {
                    inputStream.close();
                } catch (java.io.IOException e2222) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("get xmlFile error: ");
                    stringBuilder2.append(e2222);
                    com.huawei.displayengine.DElog.e("DE J HwBrightnessSceneRecognition", stringBuilder2.toString());
                }
            }
        }
        stringBuilder.append("get xmlFile error: ");
        stringBuilder.append(e2222);
        com.huawei.displayengine.DElog.e(str, stringBuilder.toString());
        return false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:75:0x0227 A:{Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }} */
    private boolean getConfigFromXML(java.io.InputStream r13) {
        /*
        r12 = this;
        r0 = "DE J HwBrightnessSceneRecognition";
        r1 = "getConfigFromeXML";
        com.huawei.displayengine.DElog.d(r0, r1);
        r0 = 0;
        r1 = 0;
        r2 = 0;
        r3 = android.util.Xml.newPullParser();
        r4 = 0;
        r5 = "UTF-8";
        r3.setInput(r13, r5);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r5 = r3.getEventType();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
    L_0x0018:
        r6 = 1;
        if (r5 == r6) goto L_0x0225;
    L_0x001b:
        switch(r5) {
            case 2: goto L_0x0033;
            case 3: goto L_0x0020;
            default: goto L_0x001e;
        };	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
    L_0x001e:
        goto L_0x021b;
    L_0x0020:
        r7 = r3.getName();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r2 = r7;
        r7 = "LABCSRControl";
        r7 = r2.equals(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        if (r7 == 0) goto L_0x021b;
    L_0x002d:
        if (r0 == 0) goto L_0x021b;
    L_0x002f:
        r1 = 1;
        r0 = 0;
        goto L_0x021b;
    L_0x0033:
        r7 = r3.getName();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r2 = r7;
        r7 = "LABCSRControl";
        r7 = r2.equals(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        if (r7 == 0) goto L_0x0043;
    L_0x0040:
        r0 = 1;
        goto L_0x021b;
    L_0x0043:
        r7 = "Enable";
        r7 = r2.equals(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        if (r7 == 0) goto L_0x0057;
    L_0x004b:
        r7 = r3.nextText();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r7 = java.lang.Boolean.parseBoolean(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r12.mEnable = r7;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        goto L_0x021b;
    L_0x0057:
        r7 = "DBUserDragMaxSize";
        r7 = r2.equals(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        if (r7 == 0) goto L_0x006b;
    L_0x005f:
        r7 = r3.nextText();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r7 = java.lang.Integer.parseInt(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r12.mDBUserDragMaxSize = r7;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        goto L_0x021b;
    L_0x006b:
        r7 = "GameBrightnessLevelWhiteList";
        r7 = r2.equals(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r8 = 2;
        if (r7 == 0) goto L_0x00ac;
    L_0x0074:
        r7 = r3.nextText();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9 = ",";
        r7 = r7.split(r9);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9 = r7.length;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        if (r9 == r8) goto L_0x0099;
    L_0x0081:
        r8 = "DE J HwBrightnessSceneRecognition";
        r9 = new java.lang.StringBuilder;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9.<init>();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r10 = "getConfigFromXML find illegal param, tag name = ";
        r9.append(r10);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9.append(r2);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9 = r9.toString();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        com.huawei.displayengine.DElog.d(r8, r9);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        goto L_0x021b;
    L_0x0099:
        r8 = r7[r4];	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9 = r7[r6];	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9 = java.lang.Integer.parseInt(r9);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r10 = r12.mGameBrightnessLevelWhiteList;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r11 = java.lang.Integer.valueOf(r9);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r10.put(r8, r11);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        goto L_0x021b;
    L_0x00ac:
        r7 = "GameHDRWhiteList";
        r7 = r2.equals(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        if (r7 == 0) goto L_0x00ec;
    L_0x00b4:
        r7 = r3.nextText();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9 = ",";
        r7 = r7.split(r9);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9 = r7.length;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        if (r9 == r8) goto L_0x00d9;
    L_0x00c1:
        r8 = "DE J HwBrightnessSceneRecognition";
        r9 = new java.lang.StringBuilder;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9.<init>();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r10 = "getConfigFromXML find illegal param, tag name = ";
        r9.append(r10);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9.append(r2);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9 = r9.toString();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        com.huawei.displayengine.DElog.d(r8, r9);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        goto L_0x021b;
    L_0x00d9:
        r8 = r7[r4];	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9 = r7[r6];	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9 = java.lang.Integer.parseInt(r9);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r10 = r12.mGameHDRWhiteList;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r11 = java.lang.Integer.valueOf(r9);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r10.put(r8, r11);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        goto L_0x021b;
    L_0x00ec:
        r7 = "TopApkBrightnessLevelWhiteList";
        r7 = r2.equals(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        if (r7 == 0) goto L_0x012c;
    L_0x00f4:
        r7 = r3.nextText();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9 = ",";
        r7 = r7.split(r9);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9 = r7.length;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        if (r9 == r8) goto L_0x0119;
    L_0x0101:
        r8 = "DE J HwBrightnessSceneRecognition";
        r9 = new java.lang.StringBuilder;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9.<init>();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r10 = "getConfigFromXML find illegal param, tag name = ";
        r9.append(r10);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9.append(r2);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9 = r9.toString();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        com.huawei.displayengine.DElog.d(r8, r9);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        goto L_0x021b;
    L_0x0119:
        r8 = r7[r4];	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9 = r7[r6];	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9 = java.lang.Integer.parseInt(r9);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r10 = r12.mTopApkBrightnessLevelWhiteList;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r11 = java.lang.Integer.valueOf(r9);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r10.put(r8, r11);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        goto L_0x021b;
    L_0x012c:
        r7 = "GameDESceneEnable";
        r7 = r2.equals(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        if (r7 == 0) goto L_0x0140;
    L_0x0134:
        r7 = r3.nextText();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r7 = java.lang.Boolean.parseBoolean(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r12.mGameDESceneEnable = r7;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        goto L_0x021b;
    L_0x0140:
        r7 = "GameBLSceneEnable";
        r7 = r2.equals(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        if (r7 == 0) goto L_0x0154;
    L_0x0148:
        r7 = r3.nextText();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r7 = java.lang.Boolean.parseBoolean(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r12.mGameBLSceneEnable = r7;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        goto L_0x021b;
    L_0x0154:
        r7 = "PersonalizedCurveEnable";
        r7 = r2.equals(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        if (r7 == 0) goto L_0x0168;
    L_0x015c:
        r7 = r3.nextText();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r7 = java.lang.Boolean.parseBoolean(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r12.mPersonalizedCurveEnable = r7;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        goto L_0x021b;
    L_0x0168:
        r7 = "ARSceneEnable";
        r7 = r2.equals(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        if (r7 == 0) goto L_0x017c;
    L_0x0170:
        r7 = r3.nextText();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r7 = java.lang.Boolean.parseBoolean(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r12.mARSceneEnable = r7;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        goto L_0x021b;
    L_0x017c:
        r7 = "ARActivity";
        r7 = r2.equals(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        if (r7 == 0) goto L_0x01bc;
    L_0x0184:
        r7 = r3.nextText();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9 = ",";
        r7 = r7.split(r9);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9 = r7.length;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        if (r9 == r8) goto L_0x01a9;
    L_0x0191:
        r8 = "DE J HwBrightnessSceneRecognition";
        r9 = new java.lang.StringBuilder;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9.<init>();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r10 = "getConfigFromXML find illegal param, tag name = ";
        r9.append(r10);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9.append(r2);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9 = r9.toString();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        com.huawei.displayengine.DElog.d(r8, r9);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        goto L_0x021b;
    L_0x01a9:
        r8 = r7[r4];	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9 = r7[r6];	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r9 = java.lang.Integer.parseInt(r9);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r10 = r12.mARActivities;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r11 = new com.android.server.display.HwBrightnessSceneRecognition$ARActivity;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r11.<init>(r9);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r10.put(r8, r11);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        goto L_0x021b;
    L_0x01bc:
        r7 = "ARScreenOnTimeTHMs";
        r7 = r2.equals(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        if (r7 == 0) goto L_0x01cf;
    L_0x01c4:
        r7 = r3.nextText();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r7 = java.lang.Integer.parseInt(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r12.mARScreenOnTimeTHMs = r7;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        goto L_0x021b;
    L_0x01cf:
        r7 = "ARConfidenceTH";
        r7 = r2.equals(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        if (r7 == 0) goto L_0x01e2;
    L_0x01d7:
        r7 = r3.nextText();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r7 = java.lang.Integer.parseInt(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r12.mARConfidenceTH = r7;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        goto L_0x021b;
    L_0x01e2:
        r7 = "ARWaitTimeMs";
        r7 = r2.equals(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        if (r7 == 0) goto L_0x01f5;
    L_0x01ea:
        r7 = r3.nextText();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r7 = java.lang.Integer.parseInt(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r12.mARWaitTimeMs = r7;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        goto L_0x021b;
    L_0x01f5:
        r7 = "ARMonitorConfidenceSampleMaxNum";
        r7 = r2.equals(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        if (r7 == 0) goto L_0x0208;
    L_0x01fd:
        r7 = r3.nextText();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r7 = java.lang.Integer.parseInt(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r12.mARMonitorConfidenceSampleMaxNum = r7;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        goto L_0x021b;
    L_0x0208:
        r7 = "ARMonitorConfidenceSampleTimeStepMs";
        r7 = r2.equals(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        if (r7 == 0) goto L_0x021b;
    L_0x0210:
        r7 = r3.nextText();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r7 = java.lang.Integer.parseInt(r7);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r12.mARMonitorConfidenceSampleTimeStepMs = r7;	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
    L_0x021b:
        if (r1 == 0) goto L_0x021e;
    L_0x021d:
        goto L_0x0225;
    L_0x021e:
        r6 = r3.next();	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        r5 = r6;
        goto L_0x0018;
    L_0x0225:
        if (r1 == 0) goto L_0x028e;
    L_0x0227:
        r7 = "DE J HwBrightnessSceneRecognition";
        r8 = "getConfigFromeXML success!";
        com.huawei.displayengine.DElog.i(r7, r8);	 Catch:{ XmlPullParserException -> 0x0277, IOException -> 0x025f, NumberFormatException -> 0x0247, Exception -> 0x022f }
        return r6;
    L_0x022f:
        r5 = move-exception;
        r6 = "DE J HwBrightnessSceneRecognition";
        r7 = new java.lang.StringBuilder;
        r7.<init>();
        r8 = "get xmlFile error: ";
        r7.append(r8);
        r7.append(r5);
        r7 = r7.toString();
        com.huawei.displayengine.DElog.e(r6, r7);
        goto L_0x028f;
    L_0x0247:
        r5 = move-exception;
        r6 = "DE J HwBrightnessSceneRecognition";
        r7 = new java.lang.StringBuilder;
        r7.<init>();
        r8 = "get xmlFile error: ";
        r7.append(r8);
        r7.append(r5);
        r7 = r7.toString();
        com.huawei.displayengine.DElog.e(r6, r7);
        goto L_0x028e;
    L_0x025f:
        r5 = move-exception;
        r6 = "DE J HwBrightnessSceneRecognition";
        r7 = new java.lang.StringBuilder;
        r7.<init>();
        r8 = "get xmlFile error: ";
        r7.append(r8);
        r7.append(r5);
        r7 = r7.toString();
        com.huawei.displayengine.DElog.e(r6, r7);
        goto L_0x028e;
    L_0x0277:
        r5 = move-exception;
        r6 = "DE J HwBrightnessSceneRecognition";
        r7 = new java.lang.StringBuilder;
        r7.<init>();
        r8 = "get xmlFile error: ";
        r7.append(r8);
        r7.append(r5);
        r7 = r7.toString();
        com.huawei.displayengine.DElog.e(r6, r7);
    L_0x028f:
        r5 = "DE J HwBrightnessSceneRecognition";
        r6 = "getConfigFromeXML false!";
        com.huawei.displayengine.DElog.e(r5, r6);
        return r4;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessSceneRecognition.getConfigFromXML(java.io.InputStream):boolean");
    }

    public boolean isEnable() {
        return this.mEnable;
    }

    private boolean isFeatureEnable(java.lang.String tag) {
        if (!this.mEnable) {
            return false;
        }
        boolean z = true;
        int hashCode = tag.hashCode();
        if (hashCode != -1081926945) {
            if (hashCode != -204695479) {
                if (hashCode == 2145497145) {
                    if (tag.equals("GameDEScene")) {
                        z = false;
                    }
                }
            } else if (tag.equals("GameBrightnessScene")) {
                z = true;
            }
        } else if (tag.equals("PersonalizedCurve")) {
            z = true;
        }
        switch (z) {
            case false:
                return this.mGameDESceneEnable;
            case true:
                return this.mGameBLSceneEnable;
            case true:
                return this.mPersonalizedCurveEnable;
            default:
                return false;
        }
    }

    private android.os.IPowerManager getPowerManagerService() throws android.os.RemoteException {
        if (this.mPowerManagerService == null && !this.mPowerManagerServiceInitialized) {
            synchronized (this.mLockService) {
                if (this.mPowerManagerService == null && !this.mPowerManagerServiceInitialized) {
                    buildBinder();
                    if (this.mPowerManagerService != null) {
                        this.mPowerManagerServiceInitialized = true;
                    }
                }
            }
        }
        if (this.mPowerManagerService != null || !this.mPowerManagerServiceInitialized) {
            return this.mPowerManagerService;
        }
        if (this.mBinderRebuildCount < 10) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Try to rebuild binder ");
            stringBuilder.append(this.mBinderRebuildCount);
            stringBuilder.append(" times.");
            throw new android.os.RemoteException(stringBuilder.toString());
        }
        throw new android.os.RemoteException("binder rebuilding failed!");
    }

    private void buildBinder() {
        android.os.IBinder binder = android.os.ServiceManager.getService("power");
        if (binder != null) {
            this.mPowerManagerService = android.os.IPowerManager.Stub.asInterface(binder);
            if (this.mPowerManagerService == null) {
                com.huawei.displayengine.DElog.w("DE J HwBrightnessSceneRecognition", "service is null!");
                return;
            }
            return;
        }
        this.mPowerManagerService = null;
        com.huawei.displayengine.DElog.w("DE J HwBrightnessSceneRecognition", "binder is null!");
    }

    private void rebuildBinder() {
        com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", "wait 800ms to rebuild binder...");
        android.os.SystemClock.sleep(800);
        com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", "rebuild binder...");
        synchronized (this.mLockService) {
            buildBinder();
            if (this.mPowerManagerService != null) {
                com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", "rebuild binder success.");
            } else {
                com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", "rebuild binder failed!");
                this.mBinderRebuildCount++;
            }
        }
        synchronized (this.mLockBinderBuilding) {
            if (this.mBinderRebuildCount < 10) {
                this.mIsBinderBuilding = false;
            }
        }
    }

    private void rebuildBinderDelayed() {
        if (!this.mIsBinderBuilding) {
            synchronized (this.mLockBinderBuilding) {
                if (!this.mIsBinderBuilding) {
                    new java.lang.Thread(new java.lang.Runnable() {
                        public void run() {
                            com.android.server.display.HwBrightnessSceneRecognition.this.rebuildBinder();
                        }
                    }).start();
                    this.mIsBinderBuilding = true;
                }
            }
        }
    }

    public void initBootCompleteValues() {
        if (this.mDBManager != null) {
            this.mDBManager.setMaxSize("DragInfo", this.mDBUserDragMaxSize);
        }
        if (this.mARSceneEnable) {
            connectARService();
        }
    }

    public void notifyTopApkChange(java.lang.String pkgName) {
        if (pkgName == null || pkgName.length() <= 0) {
            com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", "pkgName is null || pkgName.length() <= 0!");
        }
        this.mPkgName = pkgName;
        updateTopApkSceneIfNeeded(pkgName);
        updateGameSceneIfNeeded(pkgName);
        int topApkLevel = -1;
        if (this.mNeedNotifyGameCurveChange) {
            this.mNeedNotifyGameCurveChange = false;
            if (this.mGameBrightnessState == 21) {
                setTopApkLevelToBLControllerIfNeeded(21);
                return;
            }
            topApkLevel = 20;
        }
        if (this.mNeedNotifyPersonalizedCurveChange) {
            this.mNeedNotifyPersonalizedCurveChange = false;
            topApkLevel = this.mTopApkState;
        }
        if (topApkLevel > 0) {
            setTopApkLevelToBLControllerIfNeeded(topApkLevel);
        }
    }

    public void notifyScreenStatus(final boolean isScreenOn) {
        new java.lang.Thread(new java.lang.Runnable() {
            public void run() {
                boolean lastState = com.android.server.display.HwBrightnessSceneRecognition.this.mIsScreenOn;
                com.android.server.display.HwBrightnessSceneRecognition.this.mIsScreenOn = isScreenOn;
                if (!com.android.server.display.HwBrightnessSceneRecognition.this.mIsScreenOn && lastState) {
                    com.android.server.display.HwBrightnessSceneRecognition.this.mScreenOffStateCleanFlag = true;
                }
                com.android.server.display.HwBrightnessSceneRecognition.this.mScreenOnTimeMs = android.os.SystemClock.uptimeMillis();
                if (!com.android.server.display.HwBrightnessSceneRecognition.this.isARConnected()) {
                    return;
                }
                if (isScreenOn) {
                    com.android.server.display.HwBrightnessSceneRecognition.this.enableAR();
                } else {
                    com.android.server.display.HwBrightnessSceneRecognition.this.disableAR();
                }
            }
        }).start();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("notifyScreenStatus = ");
        stringBuilder.append(isScreenOn);
        com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder.toString());
    }

    public void notifyAutoBrightnessAdj() {
        if (isFeatureEnable("PersonalizedCurve")) {
            int userId = this.mUserId;
            android.os.Bundle data = new android.os.Bundle();
            int retService = -1;
            try {
                android.os.IPowerManager service = getPowerManagerService();
                if (service != null) {
                    retService = service.hwBrightnessGetData("SceneRecognition", data);
                }
            } catch (android.os.RemoteException e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("hwBrightnessGetData(SceneRecognition) has remote exception:");
                stringBuilder.append(e.getMessage());
                com.huawei.displayengine.DElog.e("DE J HwBrightnessSceneRecognition", stringBuilder.toString());
                rebuildBinderDelayed();
            }
            int retService2 = retService;
            if (retService2 == 0) {
                java.lang.StringBuilder stringBuilder2;
                int startBrightness = data.getInt("StartBrightness");
                int endBrightness = data.getInt("EndBrightness");
                int alLux = data.getInt("FilteredAmbientLight");
                boolean proximityPositive = data.getBoolean("ProximityPositive");
                boolean isDeltaValid = data.getBoolean("DeltaValid");
                int i;
                if (startBrightness < 4 || endBrightness < 4 || startBrightness > 255) {
                    i = alLux;
                    retService2 = endBrightness;
                } else if (endBrightness > 255) {
                    int i2 = retService2;
                    i = alLux;
                    retService2 = endBrightness;
                } else if (alLux < 0) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("hwBrightnessGetData return invalid alLux, alLux = ");
                    stringBuilder2.append(alLux);
                    com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder2.toString());
                    return;
                } else if (isDeltaValid) {
                    long currentTimeMillis = java.lang.System.currentTimeMillis();
                    java.lang.String str = this.mPkgName;
                    int i3 = this.mGameBrightnessState;
                    int i4 = i3;
                    retService2 = endBrightness;
                    writeDataBaseUserDrag(userId, currentTimeMillis, startBrightness, endBrightness, str, alLux, proximityPositive, i4, this.mTopApkState);
                    return;
                } else {
                    com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", "hwBrightnessGetData return delta invalid");
                    return;
                }
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("hwBrightnessGetData return invalid brightness, startBrightness = ");
                stringBuilder2.append(startBrightness);
                stringBuilder2.append(", endBrightness = ");
                stringBuilder2.append(retService2);
                com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder2.toString());
                return;
            }
            com.huawei.displayengine.DElog.w("DE J HwBrightnessSceneRecognition", "hwBrightnessGetData return false");
            return;
        }
        com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", "notifyAutoBrightnessAdj returned, isFeatureEnable(FeatureTag.TAG_PERSONALIZED_CURVE) returned false");
    }

    public void notifyUserChange(int userId) {
        this.mUserId = userId;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("notifyUserChange, new id = ");
        stringBuilder.append(this.mUserId);
        com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder.toString());
    }

    /* JADX WARNING: Removed duplicated region for block: B:26:0x00d6  */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x00ce  */
    private void updateGameSceneIfNeeded(java.lang.String r10) {
        /*
        r9 = this;
        r0 = r9.mIsScreenOn;
        if (r0 == 0) goto L_0x0109;
    L_0x0004:
        r0 = 0;
        r0 = r9.mScreenOffStateCleanFlag;
        r1 = 0;
        r9.mScreenOffStateCleanFlag = r1;
        r1 = r9.mGameHDRState;
        r2 = r9.mGameBrightnessState;
        r3 = 20;
        r4 = 21;
        if (r10 == 0) goto L_0x00b7;
    L_0x0014:
        r5 = r10.length();
        if (r5 > 0) goto L_0x001c;
    L_0x001a:
        goto L_0x00b7;
    L_0x001c:
        r5 = r9.mGameBrightnessLevelWhiteList;
        r5 = r5.get(r10);
        if (r5 == 0) goto L_0x0047;
    L_0x0024:
        r9.mGameBrightnessState = r4;
        r6 = "DE J HwBrightnessSceneRecognition";
        r7 = new java.lang.StringBuilder;
        r7.<init>();
        r8 = "apk ";
        r7.append(r8);
        r7.append(r10);
        r8 = " is in the game brightness whitelist, state = ";
        r7.append(r8);
        r8 = r9.mGameBrightnessState;
        r7.append(r8);
        r7 = r7.toString();
        com.huawei.displayengine.DElog.d(r6, r7);
        goto L_0x0069;
    L_0x0047:
        r9.mGameBrightnessState = r3;
        r6 = "DE J HwBrightnessSceneRecognition";
        r7 = new java.lang.StringBuilder;
        r7.<init>();
        r8 = "apk ";
        r7.append(r8);
        r7.append(r10);
        r8 = " is NOT in the game brightness whitelist, state = ";
        r7.append(r8);
        r8 = r9.mGameBrightnessState;
        r7.append(r8);
        r7 = r7.toString();
        com.huawei.displayengine.DElog.d(r6, r7);
    L_0x0069:
        r6 = r9.mGameHDRWhiteList;
        r6 = r6.get(r10);
        if (r6 == 0) goto L_0x0094;
    L_0x0071:
        r9.mGameHDRState = r4;
        r3 = "DE J HwBrightnessSceneRecognition";
        r7 = new java.lang.StringBuilder;
        r7.<init>();
        r8 = "apk ";
        r7.append(r8);
        r7.append(r10);
        r8 = " is in the game hdr whitelist, state = ";
        r7.append(r8);
        r8 = r9.mGameHDRState;
        r7.append(r8);
        r7 = r7.toString();
        com.huawei.displayengine.DElog.d(r3, r7);
        goto L_0x00b9;
    L_0x0094:
        r9.mGameHDRState = r3;
        r3 = "DE J HwBrightnessSceneRecognition";
        r7 = new java.lang.StringBuilder;
        r7.<init>();
        r8 = "apk ";
        r7.append(r8);
        r7.append(r10);
        r8 = " is NOT in the game hdr whitelist, state = ";
        r7.append(r8);
        r8 = r9.mGameHDRState;
        r7.append(r8);
        r7 = r7.toString();
        com.huawei.displayengine.DElog.d(r3, r7);
        goto L_0x00b9;
    L_0x00b7:
        r9.mGameBrightnessState = r3;
    L_0x00b9:
        r3 = "GameBrightnessScene";
        r3 = r9.isFeatureEnable(r3);
        if (r3 == 0) goto L_0x00ca;
    L_0x00c1:
        r3 = r9.mGameBrightnessState;
        if (r3 != r2) goto L_0x00c7;
    L_0x00c5:
        if (r0 == 0) goto L_0x00ca;
    L_0x00c7:
        r3 = 1;
        r9.mNeedNotifyGameCurveChange = r3;
    L_0x00ca:
        r3 = r9.mDisplayEngineManager;
        if (r3 != 0) goto L_0x00d6;
    L_0x00ce:
        r3 = "DE J HwBrightnessSceneRecognition";
        r4 = "mDisplayEngineManager is null !";
        com.huawei.displayengine.DElog.w(r3, r4);
        return;
    L_0x00d6:
        r3 = "GameDEScene";
        r3 = r9.isFeatureEnable(r3);
        if (r3 == 0) goto L_0x0109;
    L_0x00de:
        r3 = r9.mGameHDRState;
        if (r3 != r1) goto L_0x00e4;
    L_0x00e2:
        if (r0 == 0) goto L_0x0109;
    L_0x00e4:
        r3 = r9.mGameHDRState;
        r5 = 36;
        if (r3 != r4) goto L_0x00fa;
    L_0x00ea:
        r3 = r9.mDisplayEngineManager;
        r4 = 16;
        r3.setScene(r5, r4);
        r3 = "DE J HwBrightnessSceneRecognition";
        r4 = "setScene DE_SCENE_GAME DE_ACTION_MODE_ON";
        com.huawei.displayengine.DElog.d(r3, r4);
        goto L_0x0109;
    L_0x00fa:
        r3 = r9.mDisplayEngineManager;
        r4 = 17;
        r3.setScene(r5, r4);
        r3 = "DE J HwBrightnessSceneRecognition";
        r4 = "setScene DE_SCENE_GAME DE_ACTION_MODE_OFF";
        com.huawei.displayengine.DElog.d(r3, r4);
    L_0x0109:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessSceneRecognition.updateGameSceneIfNeeded(java.lang.String):void");
    }

    /* JADX WARNING: Removed duplicated region for block: B:16:0x0075  */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x006c  */
    private void updateTopApkSceneIfNeeded(java.lang.String r5) {
        /*
        r4 = this;
        r0 = r4.mIsScreenOn;
        if (r0 == 0) goto L_0x008b;
    L_0x0004:
        r0 = 3;
        if (r5 == 0) goto L_0x0062;
    L_0x0007:
        r1 = r5.length();
        if (r1 > 0) goto L_0x000e;
    L_0x000d:
        goto L_0x0062;
    L_0x000e:
        r1 = r4.mTopApkBrightnessLevelWhiteList;
        r1 = r1.get(r5);
        r1 = (java.lang.Integer) r1;
        if (r1 == 0) goto L_0x003f;
    L_0x0018:
        r0 = r1.intValue();
        r4.mTopApkState = r0;
        r0 = "DE J HwBrightnessSceneRecognition";
        r2 = new java.lang.StringBuilder;
        r2.<init>();
        r3 = "apk ";
        r2.append(r3);
        r2.append(r5);
        r3 = " is in the top apk whitelist, state = ";
        r2.append(r3);
        r3 = r4.mTopApkState;
        r2.append(r3);
        r2 = r2.toString();
        com.huawei.displayengine.DElog.d(r0, r2);
        goto L_0x0064;
    L_0x003f:
        r4.mTopApkState = r0;
        r0 = "DE J HwBrightnessSceneRecognition";
        r2 = new java.lang.StringBuilder;
        r2.<init>();
        r3 = "apk ";
        r2.append(r3);
        r2.append(r5);
        r3 = " is NOT in the top apk whitelist, state = ";
        r2.append(r3);
        r3 = r4.mTopApkState;
        r2.append(r3);
        r2 = r2.toString();
        com.huawei.displayengine.DElog.d(r0, r2);
        goto L_0x0064;
    L_0x0062:
        r4.mTopApkState = r0;
    L_0x0064:
        r0 = "PersonalizedCurve";
        r0 = r4.isFeatureEnable(r0);
        if (r0 != 0) goto L_0x0075;
    L_0x006c:
        r0 = "DE J HwBrightnessSceneRecognition";
        r1 = "updateTopApkSceneIfNeeded returned, isFeatureEnable(FeatureTag.TAG_PERSONALIZED_CURVE) returned false";
        com.huawei.displayengine.DElog.d(r0, r1);
        return;
    L_0x0075:
        r0 = r4.mDBManager;
        if (r0 == 0) goto L_0x008b;
    L_0x0079:
        r0 = r4.mDBManager;
        r1 = "BrightnessCurveDefault";
        r2 = new android.os.Bundle;
        r2.<init>();
        r0 = r0.getSize(r1, r2);
        if (r0 <= 0) goto L_0x008b;
    L_0x0088:
        r1 = 1;
        r4.mNeedNotifyPersonalizedCurveChange = r1;
    L_0x008b:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessSceneRecognition.updateTopApkSceneIfNeeded(java.lang.String):void");
    }

    private void setTopApkLevelToBLControllerIfNeeded(int topApkState) {
        android.os.Bundle data = new android.os.Bundle();
        data.putInt("TopApkLevel", topApkState);
        int retService = -1;
        java.lang.StringBuilder stringBuilder;
        try {
            android.os.IPowerManager service = getPowerManagerService();
            if (service != null) {
                retService = service.hwBrightnessSetData("PersonalizedBrightnessCurveLevel", data);
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("setTopApkLevelToBLControllerIfNeeded, topApkState = ");
                stringBuilder.append(topApkState);
                com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder.toString());
            }
        } catch (android.os.RemoteException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("hwBrightnessGetData(PersonalizedBrightnessCurveLevel) has remote exception:");
            stringBuilder.append(e.getMessage());
            com.huawei.displayengine.DElog.e("DE J HwBrightnessSceneRecognition", stringBuilder.toString());
            rebuildBinderDelayed();
        }
        if (retService != 0) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("hwBrightnessGetData(PersonalizedBrightnessCurveLevel) returned ");
            stringBuilder2.append(retService);
            com.huawei.displayengine.DElog.w("DE J HwBrightnessSceneRecognition", stringBuilder2.toString());
        }
    }

    private void writeDataBaseUserDrag(int userId, long timeMillis, int startBrightness, int endBrightness, java.lang.String pkgName, int alLux, boolean proximityPositive, int gameState, int topApkState) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("writeDataBaseUserDrag, userId = ");
        stringBuilder.append(userId);
        stringBuilder.append(", timeMillis = ");
        stringBuilder.append(timeMillis);
        stringBuilder.append(", startPoint = ");
        stringBuilder.append(startBrightness);
        stringBuilder.append(", endPoint = ");
        stringBuilder.append(endBrightness);
        stringBuilder.append(", pkgName = ");
        stringBuilder.append(pkgName);
        stringBuilder.append(", alLux = ");
        stringBuilder.append(alLux);
        stringBuilder.append(", proximityPositive = ");
        stringBuilder.append(proximityPositive);
        stringBuilder.append(", topApkState = ");
        stringBuilder.append(topApkState);
        stringBuilder.append(", gameState = ");
        stringBuilder.append(gameState);
        com.huawei.displayengine.DElog.d("DE J HwBrightnessSceneRecognition", stringBuilder.toString());
        if (this.mDBManager != null) {
            android.os.Bundle data = new android.os.Bundle();
            data.putLong("TimeStamp", java.lang.System.currentTimeMillis());
            data.putInt("UserID", userId);
            data.putFloat("StartPoint", (float) startBrightness);
            data.putFloat("StopPoint", (float) endBrightness);
            data.putInt("AmbientLight", alLux);
            data.putBoolean("ProximityPositive", proximityPositive);
            data.putInt("GameState", gameState == 21 ? 1 : -1);
            data.putInt("AppType", topApkState);
            data.putString("PackageName", pkgName);
            this.mDBManager.addorUpdateRecord("DragInfo", data);
        }
    }

    public void connectARService() {
        if (this.mContext == null) {
            com.huawei.displayengine.DElog.w("DE J HwBrightnessSceneRecognition", "mContext is null! connect failed.");
            return;
        }
        this.mHwActivityRecognition = new com.huawei.android.location.activityrecognition.HwActivityRecognition(this.mContext);
        com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", "connectARService");
        this.mHwActivityRecognition.connectService(this.hwArSink, this.mConnect);
    }

    public void disconnectARService() {
        if (this.mHwActivityRecognition != null && this.mIsARConnected) {
            this.mHwActivityRecognition.disconnectService();
            this.mIsARConnected = false;
        }
    }

    public boolean isARConnected() {
        return this.mIsARConnected;
    }

    public boolean enableAR() {
        boolean retall = true;
        if (!this.mIsARConnected || this.mHwActivityRecognition == null || this.mARActivities == null) {
            com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", "enableAR failed, mHwActivityRecognition == null || mARActivities == null!");
        } else {
            for (java.lang.String key : this.mARActivities.keySet()) {
                boolean ret = enableARActivity(key, 1);
                boolean z = retall && ret;
                retall = z;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("enableAR ");
                stringBuilder.append(key);
                stringBuilder.append(", ret = ");
                stringBuilder.append(ret);
                com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder.toString());
            }
        }
        return retall;
    }

    private boolean enableARActivity(java.lang.String activity, long reportTime) {
        if (this.mHwActivityRecognition == null) {
            return true;
        }
        long reportLatencyNs = 1000000000 * reportTime;
        boolean z = true;
        boolean z2 = enableActivityEvent(activity, 1, reportLatencyNs) && 1 != null;
        boolean ret = z2;
        if (!enableActivityEvent(activity, 2, reportLatencyNs) || !ret) {
            z = false;
        }
        return z;
    }

    public boolean disableAR() {
        boolean retall = true;
        if (!this.mIsARConnected || this.mHwActivityRecognition == null || this.mARActivities == null) {
            com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", "disableAR failed, mHwActivityRecognition == null || mARActivities == null!");
        } else {
            for (java.util.Map.Entry<java.lang.String, com.android.server.display.HwBrightnessSceneRecognition.ARActivity> entry : this.mARActivities.entrySet()) {
                java.lang.String key = (java.lang.String) entry.getKey();
                boolean ret = disableARActivity(key);
                boolean z = retall && ret;
                retall = z;
                ((com.android.server.display.HwBrightnessSceneRecognition.ARActivity) entry.getValue()).mStatus = 2;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("disableARActivity ");
                stringBuilder.append(key);
                stringBuilder.append(", ret = ");
                stringBuilder.append(ret);
                com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder.toString());
            }
        }
        return retall;
    }

    private boolean disableARActivity(java.lang.String activity) {
        if (this.mHwActivityRecognition == null) {
            return true;
        }
        boolean z = true;
        boolean z2 = disableActivityEvent(activity, 1) && 1 != null;
        boolean ret = z2;
        if (!disableActivityEvent(activity, 2) || !ret) {
            z = false;
        }
        return z;
    }

    private void updateARStatus(java.lang.String activityType, int eventType) {
        if (this.mARActivities == null) {
            com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", "mARActivities == null");
            return;
        }
        com.android.server.display.HwBrightnessSceneRecognition.ARActivity activity = (com.android.server.display.HwBrightnessSceneRecognition.ARActivity) this.mARActivities.get(activityType);
        java.lang.StringBuilder stringBuilder;
        if (activity != null) {
            activity.mStatus = eventType;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("updateARStatus, activityType:");
            stringBuilder.append(activityType);
            stringBuilder.append(" update status: ");
            stringBuilder.append(eventType);
            com.huawei.displayengine.DElog.i("DE J HwBrightnessSceneRecognition", stringBuilder.toString());
        } else {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("updateARStatus, activity == null! activityType == ");
            stringBuilder.append(activityType);
            stringBuilder.append(", eventType = ");
            stringBuilder.append(eventType);
            com.huawei.displayengine.DElog.w("DE J HwBrightnessSceneRecognition", stringBuilder.toString());
        }
    }

    private void setARSceneToBLControllerIfNeeded() {
        for (java.util.Map.Entry<java.lang.String, com.android.server.display.HwBrightnessSceneRecognition.ARActivity> entry : this.mARActivities.entrySet()) {
            com.android.server.display.HwBrightnessSceneRecognition.ARActivity activity = (com.android.server.display.HwBrightnessSceneRecognition.ARActivity) entry.getValue();
            java.lang.String tag = (java.lang.String) entry.getKey();
            if (activity.mStatus == 1) {
                if (android.os.SystemClock.uptimeMillis() - this.mScreenOnTimeMs > ((long) this.mARScreenOnTimeTHMs)) {
                    new com.android.server.display.HwBrightnessSceneRecognition.ARThread(tag, activity, (long) this.mARWaitTimeMs, this.mARConfidenceTH).start();
                    if (this.mARMonitorConfidenceSampleMaxNum > 0) {
                        new com.android.server.display.HwBrightnessSceneRecognition.ARMonitorThread((java.lang.String) entry.getKey(), (long) this.mARMonitorConfidenceSampleTimeStepMs, this.mARMonitorConfidenceSampleMaxNum).start();
                    }
                } else {
                    setTopApkLevelToBLControllerIfNeeded(activity.mAction);
                    sendActivityRecognitionToMonitor(tag);
                }
                return;
            }
        }
        setTopApkLevelToBLControllerIfNeeded(18);
        sendActivityRecognitionToMonitor("android.activity_recognition.unknown");
    }

    private void sendAbnormalActivityRecognitionToMonitor(java.lang.String tag, java.util.List confidenceSamples) {
        if (!(this.mDisplayEffectMonitor == null || confidenceSamples == null)) {
            if (tag != null) {
                int monitorScene = getMonitorUserScene(tag);
                if (monitorScene >= 0) {
                    android.util.ArrayMap<java.lang.String, java.lang.Object> params = new android.util.ArrayMap();
                    params.put("paramType", "userSceneMisrecognition");
                    params.put("userScene", java.lang.Integer.valueOf(monitorScene));
                    params.put("confidence", confidenceSamples);
                    this.mDisplayEffectMonitor.sendMonitorParam(params);
                }
            }
        }
    }

    private void sendActivityRecognitionToMonitor(java.lang.String tag) {
        if (this.mDisplayEffectMonitor != null) {
            if (tag != null) {
                int monitorScene = getMonitorUserScene(tag);
                if (monitorScene >= 0) {
                    android.util.ArrayMap<java.lang.String, java.lang.Object> params = new android.util.ArrayMap();
                    params.put("paramType", "userScene");
                    params.put("userScene", java.lang.Integer.valueOf(monitorScene));
                    this.mDisplayEffectMonitor.sendMonitorParam(params);
                }
            }
        }
    }

    private int getMonitorUserScene(java.lang.String tag) {
        if (tag == null) {
            return -1;
        }
        if (tag.equals("android.activity_recognition.still")) {
            return 1;
        }
        if (tag.equals("android.activity_recognition.on_foot")) {
            return 2;
        }
        if (tag.equals("android.activity_recognition.in_vehicle")) {
            return 3;
        }
        return 0;
    }

    protected java.lang.Object getAREventType(int type) {
        if (type == 1) {
            return "enter";
        }
        if (type == 2) {
            return "exit";
        }
        return java.lang.String.valueOf(type);
    }

    public boolean enableActivityEvent(java.lang.String activity, int eventType, long reportLatencyNs) {
        if (this.mHwActivityRecognition != null) {
            return this.mHwActivityRecognition.enableActivityEvent(activity, eventType, reportLatencyNs);
        }
        return false;
    }

    public boolean disableActivityEvent(java.lang.String activity, int eventType) {
        if (this.mHwActivityRecognition != null) {
            return this.mHwActivityRecognition.disableActivityEvent(activity, eventType);
        }
        return false;
    }

    public void getSupportedARActivities() {
        com.huawei.displayengine.DElog.d("DE J HwBrightnessSceneRecognition", "getSupportedARActivities....");
    }

    public boolean flushAR() {
        if (this.mHwActivityRecognition != null) {
            return this.mHwActivityRecognition.flush();
        }
        return false;
    }

    public com.huawei.android.location.activityrecognition.HwActivityChangedExtendEvent getCurrentActivityExtend() {
        if (this.mHwActivityRecognition != null) {
            return this.mHwActivityRecognition.getCurrentActivityExtend();
        }
        return null;
    }

    public java.lang.String getCurrentActivity() {
        if (this.mHwActivityRecognition != null) {
            return this.mHwActivityRecognition.getCurrentActivity();
        }
        return "android.activity_recognition.unknown";
    }
}
