package com.android.server.display;

public final class HwDisplayManagerServiceEx implements com.android.server.display.IHwDisplayManagerServiceEx {
    static final java.lang.String TAG = "HwDisplayManagerServiceEx";
    private int mChannelId;
    final android.content.Context mContext;
    com.android.server.display.IHwDisplayManagerInner mIDmsInner = null;

    public HwDisplayManagerServiceEx(com.android.server.display.IHwDisplayManagerInner dms, android.content.Context context) {
        this.mIDmsInner = dms;
        this.mContext = context;
        this.mChannelId = 0;
    }

    public void startWifiDisplayScan(int channelId) {
        this.mContext.enforceCallingOrSelfPermission("android.permission.CONFIGURE_WIFI_DISPLAY", "Permission required to start wifi display scans");
        int callingPid = android.os.Binder.getCallingPid();
        long token = android.os.Binder.clearCallingIdentity();
        try {
            this.mChannelId = channelId;
            this.mIDmsInner.startWifiDisplayScanInner(callingPid, channelId);
        } finally {
            android.os.Binder.restoreCallingIdentity(token);
            this.mChannelId = 0;
        }
    }

    private void connectWifiDisplayInternal(java.lang.String deviceAddress, java.lang.String verificaitonCode) {
        synchronized (this.mIDmsInner.getLock()) {
            if (this.mIDmsInner.getWifiDisplayAdapter() != null) {
                this.mIDmsInner.getWifiDisplayAdapter().requestConnectLocked(deviceAddress, verificaitonCode);
            }
        }
    }

    public void connectWifiDisplay(java.lang.String address, java.lang.String verificaitonCode) {
        if (address != null) {
            this.mContext.enforceCallingOrSelfPermission("android.permission.CONFIGURE_WIFI_DISPLAY", "Permission required to connect to a wifi display");
            long token = android.os.Binder.clearCallingIdentity();
            try {
                connectWifiDisplayInternal(address, verificaitonCode);
            } finally {
                android.os.Binder.restoreCallingIdentity(token);
            }
        } else {
            throw new java.lang.IllegalArgumentException("address must not be null");
        }
    }

    private void checkVerificationResultInternal(boolean isRight) {
        synchronized (this.mIDmsInner.getLock()) {
            if (this.mIDmsInner.getWifiDisplayAdapter() != null) {
                this.mIDmsInner.getWifiDisplayAdapter().checkVerificationResultLocked(isRight);
            }
        }
    }

    public void checkVerificationResult(boolean isRight) {
        this.mContext.enforceCallingOrSelfPermission("android.permission.CONFIGURE_WIFI_DISPLAY", "Permission required to start wifi display play");
        long token = android.os.Binder.clearCallingIdentity();
        try {
            checkVerificationResultInternal(isRight);
        } finally {
            android.os.Binder.restoreCallingIdentity(token);
        }
    }
}
