package com.android.server.display;

public class HwDualSensorEventListenerImpl {
    private static float AGAIN = 16.0f;
    private static float ATIME = 100.008f;
    private static float BACK_FLOOR_THRESH = 5.0f;
    private static long BACK_LUX_DEVIATION_THRESH = 10000;
    private static final int BACK_MSG_TIMER = 2;
    private static float BACK_ROOF_THRESH = 400000.0f;
    private static int[] BACK_SENSOR_STABILITY_THRESHOLD = new int[]{-30, -4, 4, 30};
    private static float COLOR_MAT_HIGH_11 = -0.85740393f;
    private static float COLOR_MAT_HIGH_12 = 3.8810537f;
    private static float COLOR_MAT_HIGH_13 = -1.2211744f;
    private static float COLOR_MAT_HIGH_14 = 0.047183935f;
    private static float COLOR_MAT_HIGH_21 = -2.835158f;
    private static float COLOR_MAT_HIGH_22 = 6.03384f;
    private static float COLOR_MAT_HIGH_23 = -0.9592755f;
    private static float COLOR_MAT_HIGH_24 = 0.06024589f;
    private static float COLOR_MAT_HIGH_31 = -1.5958017f;
    private static float COLOR_MAT_HIGH_32 = 2.4951355f;
    private static float COLOR_MAT_HIGH_33 = 5.1863265f;
    private static float COLOR_MAT_HIGH_34 = -0.26762903f;
    private static float COLOR_MAT_LOW_11 = -0.85740393f;
    private static float COLOR_MAT_LOW_12 = 3.8810537f;
    private static float COLOR_MAT_LOW_13 = -1.2211744f;
    private static float COLOR_MAT_LOW_14 = 0.6837388f;
    private static float COLOR_MAT_LOW_21 = -2.835158f;
    private static float COLOR_MAT_LOW_22 = 6.03384f;
    private static float COLOR_MAT_LOW_23 = -0.9592755f;
    private static float COLOR_MAT_LOW_24 = 1.2456132f;
    private static float COLOR_MAT_LOW_31 = -1.5958017f;
    private static float COLOR_MAT_LOW_32 = 2.4951355f;
    private static float COLOR_MAT_LOW_33 = 5.1863265f;
    private static float COLOR_MAT_LOW_34 = -4.55602f;
    private static float DARK_ROOM_DELTA = 5.0f;
    private static float DARK_ROOM_DELTA1 = 10.0f;
    private static float DARK_ROOM_DELTA2 = 30.0f;
    private static float DARK_ROOM_THRESH = 3.0f;
    private static float DARK_ROOM_THRESH1 = 15.0f;
    private static float DARK_ROOM_THRESH2 = 35.0f;
    private static float DARK_ROOM_THRESH3 = 75.0f;
    private static boolean DEBUG = false;
    private static java.lang.String DUAL_SENSOR_XML_PATH = "/product/etc/xml/lcd/DualSensorConfig.xml";
    private static final int FLASHLIGHT_DETECTION_MODE_CALLBACK = 1;
    private static final int FLASHLIGHT_DETECTION_MODE_THRESHOLD = 0;
    private static int FLASHLIGHT_OFF_TIME_THRESHOLD_MS = 600;
    private static final int FRONT_MSG_TIMER = 1;
    private static int[] FRONT_SENSOR_STABILITY_THRESHOLD = new int[]{-30, -4, 4, 30};
    private static final int FUSED_MSG_TIMER = 3;
    private static float IR_BOUNDRY = 1.0f;
    public static final int LIGHT_SENSOR_BACK = 1;
    public static final int LIGHT_SENSOR_DEFAULT = -1;
    public static final int LIGHT_SENSOR_DUAL = 2;
    public static final int LIGHT_SENSOR_FRONT = 0;
    private static float LUX_COEF_HIGH_BLUE = -0.06468f;
    private static float LUX_COEF_HIGH_GREEN = 0.19239f;
    private static float LUX_COEF_HIGH_IR = 0.5164043f;
    private static float LUX_COEF_HIGH_OFFSET = 0.0f;
    private static float LUX_COEF_HIGH_RED = 0.02673f;
    private static float LUX_COEF_HIGH_X = -11.499684f;
    private static float LUX_COEF_HIGH_Y = 16.098469f;
    private static float LUX_COEF_HIGH_Z = -3.7601638f;
    private static float LUX_COEF_LOW_BLUE = -0.09306f;
    private static float LUX_COEF_LOW_GREEN = 0.02112f;
    private static float LUX_COEF_LOW_IR = -3.1549554f;
    private static float LUX_COEF_LOW_OFFSET = 0.0f;
    private static float LUX_COEF_LOW_RED = 0.02442f;
    private static float LUX_COEF_LOW_X = -3.0825195f;
    private static float LUX_COEF_LOW_Y = 7.662419f;
    private static float LUX_COEF_LOW_Z = -6.400353f;
    private static final int MSG_TIMER = 0;
    private static float PRODUCTION_CALIBRATION_IR1 = 1.0f;
    private static float PRODUCTION_CALIBRATION_X = 1.0f;
    private static float PRODUCTION_CALIBRATION_Y = 1.0f;
    private static float PRODUCTION_CALIBRATION_Z = 1.0f;
    private static float RATIO_IR_GREEN = 0.5f;
    private static int[] STABILIZED_PROBABILITY_LUT = new int[25];
    private static final java.lang.String TAG = "HwDualSensorEventListenerImpl";
    private static final int TIMER_DISABLE = -1;
    private static int VERSION_SENSOR = 1;
    private static final int WARM_UP_FLAG = 2;
    private static float X_CONSTANT = 0.56695f;
    private static float X_G_COEF = -1.33815f;
    private static float X_G_QUADRATIC_COEF = 1.36349f;
    private static float X_RG_COEF = 2.5769f;
    private static float X_R_COEF = -1.20192f;
    private static float X_R_QUADRATIC_COEF = 1.17303f;
    private static float Y_CONSTANT = -0.43006f;
    private static float Y_G_COEF = 1.6651f;
    private static float Y_G_QUADRATIC_COEF = -0.7337f;
    private static float Y_RG_COEF = -0.5513f;
    private static float Y_R_COEF = 0.77904f;
    private static float Y_R_QUADRATIC_COEF = 0.03152f;
    private static int mBackRateMillis = 300;
    private static final long mDebugPrintInterval = 1000000000;
    private static int mFlashlightDetectionMode = 0;
    private static int mFrontRateMillis = 300;
    private static int mFusedRateMillis = 300;
    private static volatile com.android.server.display.HwDualSensorEventListenerImpl mInstance;
    private static java.util.Hashtable<java.lang.String, java.lang.Integer> mModuleSensorMap = new java.util.Hashtable();
    private java.lang.String mBackCameraId;
    private boolean mBackEnable = false;
    private long mBackEnableTime = -1;
    private android.hardware.Sensor mBackLightSensor;
    private com.android.server.display.HwDualSensorEventListenerImpl.SensorDataSender mBackSender;
    private int mBackSensorBypassCount = 0;
    private int mBackSensorBypassCountMax = 3;
    private com.android.server.display.HwDualSensorEventListenerImpl.SensorData mBackSensorData;
    private final android.hardware.SensorEventListener mBackSensorEventListener = new android.hardware.SensorEventListener() {
        public void onSensorChanged(android.hardware.SensorEvent event) {
            android.hardware.SensorEvent sensorEvent = event;
            if (com.android.server.display.HwDualSensorEventListenerImpl.this.mBackEnable) {
                int lux;
                int cct;
                long sensorClockTimeStamp = sensorEvent.timestamp;
                long systemClockTimeStamp = android.os.SystemClock.uptimeMillis();
                int[] arr = new int[]{0, 0};
                if (com.android.server.display.HwDualSensorEventListenerImpl.VERSION_SENSOR == 1) {
                    arr = com.android.server.display.HwDualSensorEventListenerImpl.this.convertXYZ2LuxAndCct(java.lang.Float.valueOf(sensorEvent.values[0]), java.lang.Float.valueOf(sensorEvent.values[1]), java.lang.Float.valueOf(sensorEvent.values[2]), java.lang.Float.valueOf(sensorEvent.values[3]));
                } else if (com.android.server.display.HwDualSensorEventListenerImpl.VERSION_SENSOR == 2) {
                    arr = com.android.server.display.HwDualSensorEventListenerImpl.this.convertRGB2LuxAndCct(sensorEvent.values[0], sensorEvent.values[1], sensorEvent.values[2], sensorEvent.values[3]);
                } else if (com.android.server.display.HwDualSensorEventListenerImpl.DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("Invalid VERSION_SENSOR=");
                    stringBuilder.append(com.android.server.display.HwDualSensorEventListenerImpl.VERSION_SENSOR);
                    android.util.Slog.i("HwDualSensorEventListenerImpl", stringBuilder.toString());
                }
                int[] arr2 = arr;
                int lux2 = arr2[0];
                int cct2 = arr2[1];
                if (com.android.server.display.HwDualSensorEventListenerImpl.this.mBackWarmUpFlg >= 2) {
                    lux = lux2;
                    cct = cct2;
                    com.android.server.display.HwDualSensorEventListenerImpl.this.mBackSensorData.setSensorData(lux, cct, systemClockTimeStamp, sensorClockTimeStamp);
                } else if (sensorClockTimeStamp < com.android.server.display.HwDualSensorEventListenerImpl.this.mBackEnableTime) {
                    if (com.android.server.display.HwDualSensorEventListenerImpl.DEBUG) {
                        android.util.Slog.d("HwDualSensorEventListenerImpl", "SensorEventListener.onSensorChanged(): Back sensor not ready yet!");
                    }
                    return;
                } else {
                    lux = lux2;
                    cct = cct2;
                    com.android.server.display.HwDualSensorEventListenerImpl.this.mBackSensorData.setSensorData(lux2, cct2, systemClockTimeStamp, sensorClockTimeStamp);
                    com.android.server.display.HwDualSensorEventListenerImpl.this.mBackWarmUpFlg = com.android.server.display.HwDualSensorEventListenerImpl.this.mBackWarmUpFlg + 1;
                    com.android.server.display.HwDualSensorEventListenerImpl.this.mHandler.removeMessages(2);
                    com.android.server.display.HwDualSensorEventListenerImpl.this.mHandler.sendEmptyMessage(2);
                }
                if (!com.android.server.display.HwDualSensorEventListenerImpl.DEBUG || sensorClockTimeStamp - com.android.server.display.HwDualSensorEventListenerImpl.this.mBackEnableTime >= 1000000000) {
                    int i = cct;
                } else {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("SensorEventListener.onSensorChanged(): warmUp=");
                    stringBuilder2.append(com.android.server.display.HwDualSensorEventListenerImpl.this.mBackWarmUpFlg);
                    stringBuilder2.append(" lux=");
                    stringBuilder2.append(lux);
                    stringBuilder2.append(" cct=");
                    stringBuilder2.append(cct);
                    stringBuilder2.append(" sensorTime=");
                    stringBuilder2.append(sensorClockTimeStamp);
                    stringBuilder2.append(" systemTime=");
                    stringBuilder2.append(systemClockTimeStamp);
                    stringBuilder2.append(" Xraw=");
                    stringBuilder2.append(sensorEvent.values[0]);
                    stringBuilder2.append(" Yraw=");
                    stringBuilder2.append(sensorEvent.values[1]);
                    stringBuilder2.append(" Zraw=");
                    stringBuilder2.append(sensorEvent.values[2]);
                    android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder2.toString());
                }
                return;
            }
            android.util.Slog.i("HwDualSensorEventListenerImpl", "SensorEventListener.onSensorChanged(): mBackEnable=false");
        }

        public void onAccuracyChanged(android.hardware.Sensor sensor, int accuracy) {
        }
    };
    private final java.lang.Object mBackSensorLock = new java.lang.Object();
    private int mBackSensorTimeOutTH = 5;
    private int mBackTimeOutCount = 0;
    private int mBackTimer = -1;
    private int mBackWarmUpFlg = 0;
    private android.hardware.camera2.CameraManager mCameraManager;
    private final android.content.Context mContext;
    private final android.os.HandlerThread mDualSensorProcessThread;
    private volatile long mFlashLightOffTimeStampMs = 0;
    private boolean mFrontEnable = false;
    private long mFrontEnableTime = -1;
    private android.hardware.Sensor mFrontLightSensor;
    private com.android.server.display.HwDualSensorEventListenerImpl.SensorDataSender mFrontSender;
    private com.android.server.display.HwDualSensorEventListenerImpl.SensorData mFrontSensorData;
    private final android.hardware.SensorEventListener mFrontSensorEventListener = new android.hardware.SensorEventListener() {
        public void onSensorChanged(android.hardware.SensorEvent event) {
            if (com.android.server.display.HwDualSensorEventListenerImpl.this.mFrontEnable) {
                long systemClockTimeStamp = android.os.SystemClock.uptimeMillis();
                int lux = (int) (event.values[0] + 0.5f);
                int cct = (int) (event.values[1] + 0.5f);
                long sensorClockTimeStamp = event.timestamp;
                if (com.android.server.display.HwDualSensorEventListenerImpl.this.mFrontWarmUpFlg >= 2) {
                    com.android.server.display.HwDualSensorEventListenerImpl.this.mFrontSensorData.setSensorData(lux, cct, systemClockTimeStamp, sensorClockTimeStamp);
                } else if (sensorClockTimeStamp < com.android.server.display.HwDualSensorEventListenerImpl.this.mFrontEnableTime) {
                    if (com.android.server.display.HwDualSensorEventListenerImpl.DEBUG) {
                        android.util.Slog.d("HwDualSensorEventListenerImpl", "SensorEventListener.onSensorChanged(): Front sensor not ready yet!");
                    }
                    return;
                } else {
                    com.android.server.display.HwDualSensorEventListenerImpl.this.mFrontSensorData.setSensorData(lux, cct, systemClockTimeStamp, sensorClockTimeStamp);
                    com.android.server.display.HwDualSensorEventListenerImpl.this.mFrontWarmUpFlg = com.android.server.display.HwDualSensorEventListenerImpl.this.mFrontWarmUpFlg + 1;
                    com.android.server.display.HwDualSensorEventListenerImpl.this.mHandler.removeMessages(1);
                    com.android.server.display.HwDualSensorEventListenerImpl.this.mHandler.sendEmptyMessage(1);
                }
                if (com.android.server.display.HwDualSensorEventListenerImpl.DEBUG && sensorClockTimeStamp - com.android.server.display.HwDualSensorEventListenerImpl.this.mFrontEnableTime < 1000000000) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("SensorEventListener.onSensorChanged(): warmUp=");
                    stringBuilder.append(com.android.server.display.HwDualSensorEventListenerImpl.this.mFrontWarmUpFlg);
                    stringBuilder.append(" lux=");
                    stringBuilder.append(lux);
                    stringBuilder.append(" cct=");
                    stringBuilder.append(cct);
                    stringBuilder.append(" sensorTime=");
                    stringBuilder.append(sensorClockTimeStamp);
                    stringBuilder.append(" systemTime=");
                    stringBuilder.append(systemClockTimeStamp);
                    android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
                }
                return;
            }
            android.util.Slog.i("HwDualSensorEventListenerImpl", "SensorEventListener.onSensorChanged(): mFrontEnable=false");
        }

        public void onAccuracyChanged(android.hardware.Sensor sensor, int accuracy) {
        }
    };
    private final java.lang.Object mFrontSensorLock = new java.lang.Object();
    private int mFrontTimer = -1;
    private int mFrontWarmUpFlg = 0;
    private boolean mFusedEnable = false;
    private long mFusedEnableTime = -1;
    private com.android.server.display.HwDualSensorEventListenerImpl.SensorDataSender mFusedSender;
    private com.android.server.display.HwDualSensorEventListenerImpl.FusedSensorData mFusedSensorData;
    private final java.lang.Object mFusedSensorLock = new java.lang.Object();
    private int mFusedTimer = -1;
    private int mFusedWarmUpFlg = 0;
    private final android.os.Handler mHandler;
    private android.hardware.SensorManager mSensorManager;
    private int mTimer = -1;
    private android.hardware.camera2.CameraManager.TorchCallback mTorchCallback = new android.hardware.camera2.CameraManager.TorchCallback() {
        public void onTorchModeUnavailable(java.lang.String cameraId) {
            super.onTorchModeUnavailable(cameraId);
            com.android.server.display.HwDualSensorEventListenerImpl.this.mFlashLightOffTimeStampMs = -2;
            android.util.Slog.i("HwDualSensorEventListenerImpl", "onTorchModeUnavailable, mFlashLightOffTimeStampMs set -2");
        }

        public void onTorchModeChanged(java.lang.String cameraId, boolean enabled) {
            super.onTorchModeChanged(cameraId, enabled);
            if (!cameraId.equals(com.android.server.display.HwDualSensorEventListenerImpl.this.mBackCameraId)) {
                return;
            }
            if (enabled) {
                com.android.server.display.HwDualSensorEventListenerImpl.this.mFlashLightOffTimeStampMs = -1;
                android.util.Slog.i("HwDualSensorEventListenerImpl", "mFlashLightOffTimeStampMs set -1");
                return;
            }
            com.android.server.display.HwDualSensorEventListenerImpl.this.mFlashLightOffTimeStampMs = android.os.SystemClock.uptimeMillis();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mFlashLightOffTimeStampMs set ");
            stringBuilder.append(com.android.server.display.HwDualSensorEventListenerImpl.this.mFlashLightOffTimeStampMs);
            android.util.Slog.i("HwDualSensorEventListenerImpl", stringBuilder.toString());
        }
    };

    private final class DualSensorHandler extends android.os.Handler {
        private long mTimestamp = 0;

        public DualSensorHandler(android.os.Looper looper) {
            super(looper, null, true);
        }

        private void updateTimer(int newTimer) {
            if (newTimer == -1) {
                return;
            }
            if (com.android.server.display.HwDualSensorEventListenerImpl.this.mTimer == -1) {
                com.android.server.display.HwDualSensorEventListenerImpl.this.mTimer = newTimer;
            } else if (newTimer < com.android.server.display.HwDualSensorEventListenerImpl.this.mTimer) {
                com.android.server.display.HwDualSensorEventListenerImpl.this.mTimer = newTimer;
            }
        }

        private void updateTimerAndSendData(com.android.server.display.HwDualSensorEventListenerImpl.SensorDataSender sender) {
            sender.sendData();
            if (sender.needQueue()) {
                sender.setTimer(sender.getRate());
            } else {
                sender.setTimer(-1);
            }
        }

        private void processTimer(com.android.server.display.HwDualSensorEventListenerImpl.SensorDataSender sender) {
            int timer = sender.getTimer();
            if (timer == -1) {
                return;
            }
            if (com.android.server.display.HwDualSensorEventListenerImpl.this.mTimer != -1) {
                timer -= com.android.server.display.HwDualSensorEventListenerImpl.this.mTimer;
                if (timer < 0) {
                    timer = 0;
                }
                if (timer == 0) {
                    updateTimerAndSendData(sender);
                    return;
                }
                return;
            }
            sender.setTimer(-1);
            android.util.Slog.w("HwDualSensorEventListenerImpl", "Timer has been queued, but mTimer is invalid!");
        }

        private void processTimerAsTrigger(com.android.server.display.HwDualSensorEventListenerImpl.SensorDataSender sender) {
            updateTimerAndSendData(sender);
            if (sender.getTimer() == -1) {
                return;
            }
            if (com.android.server.display.HwDualSensorEventListenerImpl.this.mTimer == -1) {
                queueMessage(sender.getTimer());
                return;
            }
            if (com.android.server.display.HwDualSensorEventListenerImpl.this.mTimer - ((int) (android.os.SystemClock.uptimeMillis() - this.mTimestamp)) > sender.getTimer()) {
                queueMessage(sender.getTimer());
            }
        }

        private void queueMessage(int timer) {
            com.android.server.display.HwDualSensorEventListenerImpl.this.mTimer = timer;
            queueMessage();
        }

        private void queueMessage() {
            this.mTimestamp = android.os.SystemClock.uptimeMillis();
            removeMessages(0);
            sendEmptyMessageDelayed(0, (long) com.android.server.display.HwDualSensorEventListenerImpl.this.mTimer);
        }

        public void handleMessage(android.os.Message msg) {
            switch (msg.what) {
                case 0:
                    processTimer(com.android.server.display.HwDualSensorEventListenerImpl.this.mFrontSender);
                    processTimer(com.android.server.display.HwDualSensorEventListenerImpl.this.mBackSender);
                    processTimer(com.android.server.display.HwDualSensorEventListenerImpl.this.mFusedSender);
                    com.android.server.display.HwDualSensorEventListenerImpl.this.mTimer = -1;
                    updateTimer(com.android.server.display.HwDualSensorEventListenerImpl.this.mFrontTimer);
                    updateTimer(com.android.server.display.HwDualSensorEventListenerImpl.this.mBackTimer);
                    updateTimer(com.android.server.display.HwDualSensorEventListenerImpl.this.mFusedTimer);
                    if (com.android.server.display.HwDualSensorEventListenerImpl.this.mTimer != -1) {
                        queueMessage();
                        return;
                    }
                    return;
                case 1:
                    processTimerAsTrigger(com.android.server.display.HwDualSensorEventListenerImpl.this.mFrontSender);
                    return;
                case 2:
                    processTimerAsTrigger(com.android.server.display.HwDualSensorEventListenerImpl.this.mBackSender);
                    return;
                case 3:
                    processTimerAsTrigger(com.android.server.display.HwDualSensorEventListenerImpl.this.mFusedSender);
                    return;
                default:
                    android.util.Slog.i("HwDualSensorEventListenerImpl", "handleMessage: Invalid message");
                    return;
            }
        }
    }

    private class FusedSensorData extends java.util.Observable {
        private float mAdjustMin;
        private float mBackFloorThresh;
        private long mBackLastValueSystemTime = -1;
        private int[] mBackLuxArray = new int[]{-1, -1, -1};
        private long mBackLuxDeviation;
        private int mBackLuxFiltered = -1;
        private int mBackLuxIndex = 0;
        private float mBackLuxRelativeChange = 0.0f;
        private int mBackLuxStaProInd;
        private float mBackRoofThresh;
        public com.android.server.display.HwDualSensorEventListenerImpl.FusedSensorData.SensorDataObserver mBackSensorDataObserver;
        private boolean mBackUpdated;
        private int mCurBackCct = -1;
        private float mCurBackFiltered = 0.0f;
        private int mCurBackLux = -1;
        private int mCurFrontCct = -1;
        private float mCurFrontFiltered = 0.0f;
        private int mCurFrontLux = -1;
        private float mDarkRoomDelta;
        private float mDarkRoomDelta1;
        private float mDarkRoomDelta2;
        private float mDarkRoomThresh;
        private float mDarkRoomThresh1;
        private float mDarkRoomThresh2;
        private float mDarkRoomThresh3;
        private long mDebugPrintTime = -1;
        private long mFrontLastValueSystemTime = -1;
        private int[] mFrontLuxArray = new int[]{-1, -1, -1};
        private int mFrontLuxFiltered = -1;
        private int mFrontLuxIndex = 0;
        private float mFrontLuxRelativeChange = 0.0f;
        private int mFrontLuxStaProInd;
        public com.android.server.display.HwDualSensorEventListenerImpl.FusedSensorData.SensorDataObserver mFrontSensorDataObserver;
        private boolean mFrontUpdated;
        private int mFusedCct = -1;
        private int mFusedLux = -1;
        private long mLastValueBackSensorTime = -1;
        private long mLastValueFrontSensorTime = -1;
        private float mModifyFactor;
        private float mPreBackFiltered = 0.0f;
        private float mPreFrontFiltered = 0.0f;
        private float mStaProb;
        private int[][] mStaProbLUT = ((int[][]) java.lang.reflect.Array.newInstance(int.class, new int[]{5, 5}));

        public class SensorDataObserver implements java.util.Observer {
            private final java.lang.String mName;
            private final com.android.server.display.HwDualSensorEventListenerImpl.FusedSensorDataRefresher mRefresher;

            public SensorDataObserver(com.android.server.display.HwDualSensorEventListenerImpl.FusedSensorDataRefresher refresher, java.lang.String name) {
                this.mRefresher = refresher;
                this.mName = name;
            }

            public void update(java.util.Observable o, java.lang.Object arg) {
                long[] data = (long[]) arg;
                int lux = (int) data[0];
                int cct = (int) data[1];
                long systemTimeStamp = data[2];
                long sensorTimeStamp = data[3];
                com.android.server.display.HwDualSensorEventListenerImpl.FusedSensorData.this.mDebugPrintTime = android.os.SystemClock.elapsedRealtimeNanos();
                if (com.android.server.display.HwDualSensorEventListenerImpl.DEBUG && com.android.server.display.HwDualSensorEventListenerImpl.FusedSensorData.this.mDebugPrintTime - com.android.server.display.HwDualSensorEventListenerImpl.this.mFusedEnableTime < 1000000000) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("FusedSensorData.update(): ");
                    stringBuilder.append(this.mName);
                    stringBuilder.append(" warmUp=");
                    stringBuilder.append(com.android.server.display.HwDualSensorEventListenerImpl.this.mFusedWarmUpFlg);
                    stringBuilder.append(" lux=");
                    stringBuilder.append(lux);
                    stringBuilder.append(" cct=");
                    stringBuilder.append(cct);
                    stringBuilder.append(" systemTime=");
                    stringBuilder.append(systemTimeStamp);
                    stringBuilder.append(" sensorTime=");
                    stringBuilder.append(sensorTimeStamp);
                    android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
                }
                this.mRefresher.updateData(lux, cct, systemTimeStamp, sensorTimeStamp);
                if (com.android.server.display.HwDualSensorEventListenerImpl.this.mFusedWarmUpFlg < 2) {
                    if (com.android.server.display.HwDualSensorEventListenerImpl.FusedSensorData.this.mFrontUpdated && com.android.server.display.HwDualSensorEventListenerImpl.FusedSensorData.this.mBackUpdated) {
                        com.android.server.display.HwDualSensorEventListenerImpl.this.mFusedWarmUpFlg = com.android.server.display.HwDualSensorEventListenerImpl.this.mFusedWarmUpFlg + 1;
                    }
                    com.android.server.display.HwDualSensorEventListenerImpl.this.mHandler.removeMessages(3);
                    com.android.server.display.HwDualSensorEventListenerImpl.this.mHandler.sendEmptyMessage(3);
                }
            }
        }

        public FusedSensorData() {
            this.mStaProbLUT[0][0] = 0;
            this.mStaProbLUT[0][1] = 20;
            this.mStaProbLUT[0][2] = 90;
            this.mStaProbLUT[0][3] = 20;
            this.mStaProbLUT[0][4] = 0;
            this.mStaProbLUT[1][0] = 20;
            this.mStaProbLUT[1][1] = 50;
            this.mStaProbLUT[1][2] = 90;
            this.mStaProbLUT[1][3] = 50;
            this.mStaProbLUT[1][4] = 20;
            this.mStaProbLUT[2][0] = 90;
            this.mStaProbLUT[2][1] = 90;
            this.mStaProbLUT[2][2] = 95;
            this.mStaProbLUT[2][3] = 90;
            this.mStaProbLUT[2][4] = 90;
            this.mStaProbLUT[3][0] = 20;
            this.mStaProbLUT[3][1] = 50;
            this.mStaProbLUT[3][2] = 90;
            this.mStaProbLUT[3][3] = 50;
            this.mStaProbLUT[3][4] = 20;
            this.mStaProbLUT[4][0] = 0;
            this.mStaProbLUT[4][1] = 20;
            this.mStaProbLUT[4][2] = 90;
            this.mStaProbLUT[4][3] = 20;
            this.mStaProbLUT[4][4] = 0;
            this.mFrontLuxStaProInd = 0;
            this.mBackLuxStaProInd = 0;
            this.mAdjustMin = 1.0f;
            this.mBackRoofThresh = com.android.server.display.HwDualSensorEventListenerImpl.BACK_ROOF_THRESH;
            this.mBackFloorThresh = com.android.server.display.HwDualSensorEventListenerImpl.BACK_FLOOR_THRESH;
            this.mDarkRoomThresh = com.android.server.display.HwDualSensorEventListenerImpl.DARK_ROOM_THRESH;
            this.mDarkRoomDelta = com.android.server.display.HwDualSensorEventListenerImpl.DARK_ROOM_DELTA;
            this.mDarkRoomThresh1 = com.android.server.display.HwDualSensorEventListenerImpl.DARK_ROOM_THRESH1;
            this.mDarkRoomThresh2 = com.android.server.display.HwDualSensorEventListenerImpl.DARK_ROOM_THRESH2;
            this.mDarkRoomThresh3 = com.android.server.display.HwDualSensorEventListenerImpl.DARK_ROOM_THRESH3;
            this.mDarkRoomDelta1 = com.android.server.display.HwDualSensorEventListenerImpl.DARK_ROOM_DELTA1;
            this.mDarkRoomDelta2 = com.android.server.display.HwDualSensorEventListenerImpl.DARK_ROOM_DELTA2;
            this.mBackLuxDeviation = 0;
            this.mFrontSensorDataObserver = new com.android.server.display.HwDualSensorEventListenerImpl.FusedSensorData.SensorDataObserver(new com.android.server.display.HwDualSensorEventListenerImpl.FusedSensorDataRefresher(com.android.server.display.HwDualSensorEventListenerImpl.this) {
                public void updateData(int lux, int cct, long systemTimeStamp, long sensorTimeStamp) {
                    com.android.server.display.HwDualSensorEventListenerImpl.FusedSensorData.this.setFrontData(lux, cct, systemTimeStamp, sensorTimeStamp);
                }
            }, "FrontSensor");
            this.mBackSensorDataObserver = new com.android.server.display.HwDualSensorEventListenerImpl.FusedSensorData.SensorDataObserver(new com.android.server.display.HwDualSensorEventListenerImpl.FusedSensorDataRefresher(com.android.server.display.HwDualSensorEventListenerImpl.this) {
                public void updateData(int lux, int cct, long systemTimeStamp, long sensorTimeStamp) {
                    com.android.server.display.HwDualSensorEventListenerImpl.FusedSensorData.this.setBackData(lux, cct, systemTimeStamp, sensorTimeStamp);
                }
            }, "BackSensor");
            this.mFrontUpdated = false;
            this.mBackUpdated = false;
            setStabilityProbabilityLUT();
        }

        public void setFrontData(int lux, int cct, long systemTimeStamp, long sensorTimeStamp) {
            this.mFrontLuxStaProInd = getLuxStableProbabilityIndex(lux, true);
            this.mCurFrontCct = cct;
            this.mFrontLastValueSystemTime = systemTimeStamp;
            this.mLastValueFrontSensorTime = sensorTimeStamp;
            this.mFrontUpdated = true;
            if (com.android.server.display.HwDualSensorEventListenerImpl.DEBUG && this.mDebugPrintTime - com.android.server.display.HwDualSensorEventListenerImpl.this.mFusedEnableTime < 1000000000) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("FusedSensorData.setFrontData(): mCurFrontFiltered=");
                stringBuilder.append(this.mCurFrontFiltered);
                stringBuilder.append(" mFrontLuxRelativeChange= ");
                stringBuilder.append(this.mFrontLuxRelativeChange);
                stringBuilder.append(" lux=");
                stringBuilder.append(lux);
                stringBuilder.append(" cct=");
                stringBuilder.append(cct);
                stringBuilder.append(" systemTime=");
                stringBuilder.append(this.mFrontLastValueSystemTime);
                stringBuilder.append(" sensorTime=");
                stringBuilder.append(this.mLastValueFrontSensorTime);
                android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
            }
        }

        public void setBackData(int lux, int cct, long systemTimeStamp, long sensorTimeStamp) {
            this.mBackLuxStaProInd = getLuxStableProbabilityIndex(lux, false);
            this.mCurBackCct = cct;
            this.mBackLastValueSystemTime = systemTimeStamp;
            this.mLastValueBackSensorTime = sensorTimeStamp;
            this.mBackUpdated = true;
            if (com.android.server.display.HwDualSensorEventListenerImpl.DEBUG && this.mDebugPrintTime - com.android.server.display.HwDualSensorEventListenerImpl.this.mFusedEnableTime < 1000000000) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("FusedSensorData.setBackData(): mCurBackFiltered=");
                stringBuilder.append(this.mCurBackFiltered);
                stringBuilder.append(" mBackLuxRelativeChange=");
                stringBuilder.append(this.mBackLuxRelativeChange);
                stringBuilder.append(" lux=");
                stringBuilder.append(lux);
                stringBuilder.append(" cct=");
                stringBuilder.append(cct);
                stringBuilder.append(" systemTime=");
                stringBuilder.append(this.mBackLastValueSystemTime);
                stringBuilder.append(" sensorTime=");
                stringBuilder.append(this.mLastValueBackSensorTime);
                android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
            }
        }

        private int getLuxStableProbabilityIndex(int lux, boolean frontSensorIsSelected) {
            int i = lux;
            boolean z = frontSensorIsSelected;
            if (i < 0 && com.android.server.display.HwDualSensorEventListenerImpl.DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("getLuxStableProbabilityIndex exception: lux=");
                stringBuilder.append(i);
                stringBuilder.append(" frontSensorIsSelected=");
                stringBuilder.append(z);
                android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
            }
            int[] luxArray = z ? this.mFrontLuxArray : this.mBackLuxArray;
            int luxArrayIndex = z ? this.mFrontLuxIndex : this.mBackLuxIndex;
            float preFiltered = z ? this.mPreFrontFiltered : this.mPreBackFiltered;
            int[] stabilityThresholdList = z ? com.android.server.display.HwDualSensorEventListenerImpl.FRONT_SENSOR_STABILITY_THRESHOLD : com.android.server.display.HwDualSensorEventListenerImpl.BACK_SENSOR_STABILITY_THRESHOLD;
            luxArray[luxArrayIndex] = i;
            int luxArrayIndex2 = (luxArrayIndex + 1) % 3;
            int count = 0;
            int curInd = 0;
            int sum = 0;
            for (luxArrayIndex = 0; luxArrayIndex < 3; luxArrayIndex++) {
                if (luxArray[luxArrayIndex] > 0) {
                    sum += luxArray[luxArrayIndex];
                    count++;
                }
            }
            float curFiltered = 0.0f;
            if (count > 0) {
                curFiltered = ((float) sum) / ((float) count);
            }
            if (z) {
            } else {
                this.mBackLuxDeviation = 0;
                while (true) {
                    int curInd2 = curInd;
                    if (curInd2 >= luxArray.length) {
                        break;
                    }
                    int count2 = count;
                    this.mBackLuxDeviation += java.lang.Math.abs(((long) luxArray[curInd2]) - ((long) curFiltered));
                    curInd = curInd2 + 1;
                    count = count2;
                }
                this.mBackLuxDeviation /= (long) luxArray.length;
            }
            float luxRelativeChange = 100.0f;
            if (java.lang.Float.compare(preFiltered, 0.0f) != 0) {
                luxRelativeChange = (100.0f * (curFiltered - preFiltered)) / preFiltered;
            }
            count = 0;
            curInd = stabilityThresholdList.length;
            while (count < curInd && java.lang.Float.compare(luxRelativeChange, (float) stabilityThresholdList[count]) > 0) {
                count++;
            }
            if (count > curInd) {
                count = curInd;
            }
            if (z) {
                this.mCurFrontFiltered = curFiltered;
                this.mFrontLuxRelativeChange = luxRelativeChange;
                this.mFrontLuxIndex = luxArrayIndex2;
            } else {
                this.mCurBackFiltered = curFiltered;
                this.mBackLuxRelativeChange = luxRelativeChange;
                this.mBackLuxIndex = luxArrayIndex2;
            }
            return count;
        }

        private void updateFusedData() {
            getStabilizedLuxAndCct();
        }

        /* JADX WARNING: Removed duplicated region for block: B:65:0x01d0  */
        /* JADX WARNING: Removed duplicated region for block: B:64:0x01cd  */
        /* JADX WARNING: Removed duplicated region for block: B:69:0x01f1  */
        /* JADX WARNING: Removed duplicated region for block: B:68:0x01e7  */
        /* JADX WARNING: Removed duplicated region for block: B:108:0x02b8  */
        /* JADX WARNING: Removed duplicated region for block: B:107:0x02af  */
        /* JADX WARNING: Removed duplicated region for block: B:114:0x02cd  */
        /* JADX WARNING: Removed duplicated region for block: B:113:0x02ca  */
        /* JADX WARNING: Removed duplicated region for block: B:118:0x02da  */
        /* JADX WARNING: Removed duplicated region for block: B:117:0x02d7  */
        private void getStabilizedLuxAndCct() {
            /*
            r8 = this;
            r0 = r8.mCurFrontFiltered;
            r0 = (int) r0;
            r8.mFrontLuxFiltered = r0;
            r0 = r8.mCurBackFiltered;
            r0 = (int) r0;
            r8.mBackLuxFiltered = r0;
            r0 = r8.mCurFrontFiltered;
            r1 = r8.mCurBackFiltered;
            r0 = java.lang.Float.compare(r0, r1);
            r1 = 1000000000; // 0x3b9aca00 float:0.0047237873 double:4.94065646E-315;
            if (r0 < 0) goto L_0x007e;
        L_0x0017:
            r0 = r8.mCurFrontFiltered;
            r0 = (int) r0;
            r8.mCurFrontLux = r0;
            r0 = r8.mCurBackFiltered;
            r0 = (int) r0;
            r8.mCurBackLux = r0;
            r0 = r8.mCurFrontLux;
            if (r0 >= 0) goto L_0x0052;
        L_0x0025:
            r0 = r8.mCurBackLux;
            if (r0 >= 0) goto L_0x0052;
        L_0x0029:
            r0 = com.android.server.display.HwDualSensorEventListenerImpl.DEBUG;
            if (r0 == 0) goto L_0x0051;
        L_0x002f:
            r0 = "HwDualSensorEventListenerImpl";
            r1 = new java.lang.StringBuilder;
            r1.<init>();
            r2 = "FusedSensorData.updateFusedData(): updateFusedData returned, mCurFrontLux=";
            r1.append(r2);
            r2 = r8.mCurFrontLux;
            r1.append(r2);
            r2 = " mCurBackLux=";
            r1.append(r2);
            r2 = r8.mCurBackLux;
            r1.append(r2);
            r1 = r1.toString();
            android.util.Slog.d(r0, r1);
        L_0x0051:
            return;
        L_0x0052:
            r0 = r8.mCurFrontLux;
            if (r0 >= 0) goto L_0x005f;
        L_0x0056:
            r0 = r8.mCurBackLux;
            r8.mCurFrontLux = r0;
            r0 = r8.mCurBackCct;
            r8.mCurFrontCct = r0;
            goto L_0x006b;
        L_0x005f:
            r0 = r8.mCurBackLux;
            if (r0 >= 0) goto L_0x006b;
        L_0x0063:
            r0 = r8.mCurFrontLux;
            r8.mCurBackLux = r0;
            r0 = r8.mCurFrontCct;
            r8.mCurBackCct = r0;
        L_0x006b:
            r0 = r8.mCurFrontLux;
            r8.mFusedLux = r0;
            r0 = r8.mCurFrontCct;
            r3 = r8.mCurBackCct;
            if (r0 <= r3) goto L_0x0078;
        L_0x0075:
            r0 = r8.mCurFrontCct;
            goto L_0x007a;
        L_0x0078:
            r0 = r8.mCurBackCct;
        L_0x007a:
            r8.mFusedCct = r0;
            goto L_0x02de;
        L_0x007e:
            r0 = r8.isFlashlightOn();
            if (r0 == 0) goto L_0x014c;
        L_0x0084:
            r0 = r8.mFrontLuxFiltered;
            r8.mBackLuxFiltered = r0;
            r0 = r8.mCurFrontFiltered;
            r0 = (int) r0;
            r8.mCurFrontLux = r0;
            r0 = r8.mCurBackFiltered;
            r0 = (int) r0;
            r8.mCurBackLux = r0;
            r0 = r8.mCurFrontLux;
            if (r0 >= 0) goto L_0x00c3;
        L_0x0096:
            r0 = r8.mCurBackLux;
            if (r0 >= 0) goto L_0x00c3;
        L_0x009a:
            r0 = com.android.server.display.HwDualSensorEventListenerImpl.DEBUG;
            if (r0 == 0) goto L_0x00c2;
        L_0x00a0:
            r0 = "HwDualSensorEventListenerImpl";
            r1 = new java.lang.StringBuilder;
            r1.<init>();
            r2 = "FusedSensorData.updateFusedData(): updateFusedData returned, mCurFrontLux=";
            r1.append(r2);
            r2 = r8.mCurFrontLux;
            r1.append(r2);
            r2 = " mCurBackLux=";
            r1.append(r2);
            r2 = r8.mCurBackLux;
            r1.append(r2);
            r1 = r1.toString();
            android.util.Slog.d(r0, r1);
        L_0x00c2:
            return;
        L_0x00c3:
            r0 = r8.mCurFrontLux;
            if (r0 >= 0) goto L_0x00d0;
        L_0x00c7:
            r0 = r8.mCurBackLux;
            r8.mCurFrontLux = r0;
            r0 = r8.mCurBackCct;
            r8.mCurFrontCct = r0;
            goto L_0x00dc;
        L_0x00d0:
            r0 = r8.mCurBackLux;
            if (r0 >= 0) goto L_0x00dc;
        L_0x00d4:
            r0 = r8.mCurFrontLux;
            r8.mCurBackLux = r0;
            r0 = r8.mCurFrontCct;
            r8.mCurBackCct = r0;
        L_0x00dc:
            r0 = r8.mCurFrontLux;
            r8.mFusedLux = r0;
            r0 = r8.mCurFrontCct;
            r3 = r8.mCurBackCct;
            if (r0 <= r3) goto L_0x00e9;
        L_0x00e6:
            r0 = r8.mCurFrontCct;
            goto L_0x00eb;
        L_0x00e9:
            r0 = r8.mCurBackCct;
        L_0x00eb:
            r8.mFusedCct = r0;
            r0 = com.android.server.display.HwDualSensorEventListenerImpl.DEBUG;
            if (r0 == 0) goto L_0x02de;
        L_0x00f3:
            r3 = r8.mDebugPrintTime;
            r0 = com.android.server.display.HwDualSensorEventListenerImpl.this;
            r5 = r0.mFusedEnableTime;
            r3 = r3 - r5;
            r0 = (r3 > r1 ? 1 : (r3 == r1 ? 0 : -1));
            if (r0 >= 0) goto L_0x02de;
        L_0x0100:
            r0 = "HwDualSensorEventListenerImpl";
            r3 = new java.lang.StringBuilder;
            r3.<init>();
            r4 = "FusedSensorData.updateFusedData(): mFusedLux=";
            r3.append(r4);
            r4 = r8.mFusedLux;
            r3.append(r4);
            r4 = " mCurFrontLux=";
            r3.append(r4);
            r4 = r8.mCurFrontLux;
            r3.append(r4);
            r4 = " mCurBackLux=";
            r3.append(r4);
            r4 = r8.mCurBackLux;
            r3.append(r4);
            r4 = " mFusedCct=";
            r3.append(r4);
            r4 = r8.mFusedCct;
            r3.append(r4);
            r4 = " mCurFrontCct=";
            r3.append(r4);
            r4 = r8.mCurFrontCct;
            r3.append(r4);
            r4 = " mCurBackCct=";
            r3.append(r4);
            r4 = r8.mCurBackCct;
            r3.append(r4);
            r3 = r3.toString();
            android.util.Slog.d(r0, r3);
            goto L_0x02de;
        L_0x014c:
            r0 = r8.mCurBackFiltered;
            r3 = r8.mCurFrontFiltered;
            r0 = r0 - r3;
            r3 = r8.mCurFrontFiltered;
            r4 = 0;
            r3 = (r3 > r4 ? 1 : (r3 == r4 ? 0 : -1));
            if (r3 < 0) goto L_0x0163;
        L_0x0158:
            r3 = r8.mCurFrontFiltered;
            r5 = r8.mDarkRoomThresh;
            r3 = (r3 > r5 ? 1 : (r3 == r5 ? 0 : -1));
            if (r3 > 0) goto L_0x0163;
        L_0x0160:
            r3 = r8.mDarkRoomDelta;
        L_0x0162:
            goto L_0x01c0;
        L_0x0163:
            r3 = r8.mCurFrontFiltered;
            r5 = r8.mDarkRoomThresh1;
            r3 = java.lang.Float.compare(r3, r5);
            if (r3 > 0) goto L_0x0182;
        L_0x016d:
            r3 = r8.mCurFrontFiltered;
            r5 = r8.mDarkRoomThresh;
            r3 = r3 - r5;
            r5 = r8.mDarkRoomDelta1;
            r6 = r8.mDarkRoomDelta;
            r5 = r5 - r6;
            r3 = r3 * r5;
            r5 = r8.mDarkRoomThresh1;
            r6 = r8.mDarkRoomThresh;
            r5 = r5 - r6;
            r3 = r3 / r5;
            r5 = r8.mDarkRoomDelta;
            r3 = r3 + r5;
            goto L_0x0162;
        L_0x0182:
            r3 = r8.mCurFrontFiltered;
            r5 = r8.mDarkRoomThresh2;
            r3 = java.lang.Float.compare(r3, r5);
            if (r3 >= 0) goto L_0x01a1;
        L_0x018c:
            r3 = r8.mCurFrontFiltered;
            r5 = r8.mDarkRoomThresh1;
            r3 = r3 - r5;
            r5 = r8.mDarkRoomDelta2;
            r6 = r8.mDarkRoomDelta1;
            r5 = r5 - r6;
            r3 = r3 * r5;
            r5 = r8.mDarkRoomThresh2;
            r6 = r8.mDarkRoomThresh1;
            r5 = r5 - r6;
            r3 = r3 / r5;
            r5 = r8.mDarkRoomDelta1;
            r3 = r3 + r5;
            goto L_0x0162;
        L_0x01a1:
            r3 = r8.mCurFrontFiltered;
            r5 = r8.mDarkRoomThresh3;
            r3 = java.lang.Float.compare(r3, r5);
            if (r3 >= 0) goto L_0x01bf;
        L_0x01ab:
            r3 = r8.mCurFrontFiltered;
            r5 = r8.mDarkRoomThresh2;
            r3 = r3 - r5;
            r5 = r8.mDarkRoomDelta2;
            r5 = r0 - r5;
            r3 = r3 * r5;
            r5 = r8.mDarkRoomThresh3;
            r6 = r8.mDarkRoomThresh2;
            r5 = r5 - r6;
            r3 = r3 / r5;
            r5 = r8.mDarkRoomDelta2;
            r3 = r3 + r5;
            goto L_0x0162;
        L_0x01bf:
            r3 = r0;
        L_0x01c0:
            r5 = r8.mCurFrontFiltered;
            r5 = r5 + r3;
            r8.mBackFloorThresh = r5;
            r5 = r8.mCurBackFiltered;
            r6 = r8.mBackFloorThresh;
            r5 = (r5 > r6 ? 1 : (r5 == r6 ? 0 : -1));
            if (r5 >= 0) goto L_0x01d0;
        L_0x01cd:
            r5 = r8.mCurBackFiltered;
            goto L_0x01d2;
        L_0x01d0:
            r5 = r8.mBackFloorThresh;
        L_0x01d2:
            r8.mCurBackFiltered = r5;
            r5 = r8.mStaProbLUT;
            r6 = r8.mBackLuxStaProInd;
            r5 = r5[r6];
            r6 = r8.mFrontLuxStaProInd;
            r5 = r5[r6];
            r5 = (float) r5;
            r8.mStaProb = r5;
            r5 = r8.mStaProb;
            r4 = (r5 > r4 ? 1 : (r5 == r4 ? 0 : -1));
            if (r4 != 0) goto L_0x01f1;
        L_0x01e7:
            r4 = r8.mCurFrontFiltered;
            r8.mPreFrontFiltered = r4;
            r4 = r8.mCurBackFiltered;
            r8.mPreBackFiltered = r4;
            goto L_0x0270;
        L_0x01f1:
            r4 = r8.mStaProb;
            r5 = 1101004800; // 0x41a00000 float:20.0 double:5.439686476E-315;
            r4 = (r4 > r5 ? 1 : (r4 == r5 ? 0 : -1));
            if (r4 != 0) goto L_0x01ff;
        L_0x01f9:
            r4 = 1017370378; // 0x3ca3d70a float:0.02 double:5.02647753E-315;
            r8.mModifyFactor = r4;
            goto L_0x0220;
        L_0x01ff:
            r4 = r8.mStaProb;
            r5 = 1112014848; // 0x42480000 float:50.0 double:5.49408334E-315;
            r4 = (r4 > r5 ? 1 : (r4 == r5 ? 0 : -1));
            if (r4 != 0) goto L_0x020d;
        L_0x0207:
            r4 = 1008981770; // 0x3c23d70a float:0.01 double:4.9850323E-315;
            r8.mModifyFactor = r4;
            goto L_0x0220;
        L_0x020d:
            r4 = r8.mStaProb;
            r5 = 1119092736; // 0x42b40000 float:90.0 double:5.529052754E-315;
            r4 = (r4 > r5 ? 1 : (r4 == r5 ? 0 : -1));
            if (r4 != 0) goto L_0x021b;
        L_0x0215:
            r4 = 998445679; // 0x3b83126f float:0.004 double:4.93297709E-315;
            r8.mModifyFactor = r4;
            goto L_0x0220;
        L_0x021b:
            r4 = 990057071; // 0x3b03126f float:0.002 double:4.89153186E-315;
            r8.mModifyFactor = r4;
        L_0x0220:
            r4 = r8.mModifyFactor;
            r5 = r8.mPreFrontFiltered;
            r4 = r4 * r5;
            r5 = r8.mAdjustMin;
            r5 = (r4 > r5 ? 1 : (r4 == r5 ? 0 : -1));
            if (r5 >= 0) goto L_0x022d;
        L_0x022b:
            r4 = r8.mAdjustMin;
        L_0x022d:
            r5 = r8.mModifyFactor;
            r6 = r8.mPreBackFiltered;
            r5 = r5 * r6;
            r6 = r8.mAdjustMin;
            r6 = (r5 > r6 ? 1 : (r5 == r6 ? 0 : -1));
            if (r6 >= 0) goto L_0x023a;
        L_0x0238:
            r5 = r8.mAdjustMin;
        L_0x023a:
            r6 = r8.mCurFrontFiltered;
            r7 = r8.mPreFrontFiltered;
            r6 = (r6 > r7 ? 1 : (r6 == r7 ? 0 : -1));
            if (r6 >= 0) goto L_0x0248;
        L_0x0242:
            r6 = r8.mPreFrontFiltered;
            r6 = r6 - r4;
            r8.mPreFrontFiltered = r6;
            goto L_0x0255;
        L_0x0248:
            r6 = r8.mCurFrontFiltered;
            r7 = r8.mPreFrontFiltered;
            r6 = (r6 > r7 ? 1 : (r6 == r7 ? 0 : -1));
            if (r6 <= 0) goto L_0x0255;
        L_0x0250:
            r6 = r8.mPreFrontFiltered;
            r6 = r6 + r4;
            r8.mPreFrontFiltered = r6;
        L_0x0255:
            r6 = r8.mCurBackFiltered;
            r7 = r8.mPreBackFiltered;
            r6 = (r6 > r7 ? 1 : (r6 == r7 ? 0 : -1));
            if (r6 >= 0) goto L_0x0263;
        L_0x025d:
            r6 = r8.mPreBackFiltered;
            r6 = r6 - r5;
            r8.mPreBackFiltered = r6;
            goto L_0x0270;
        L_0x0263:
            r6 = r8.mCurFrontFiltered;
            r7 = r8.mPreFrontFiltered;
            r6 = (r6 > r7 ? 1 : (r6 == r7 ? 0 : -1));
            if (r6 <= 0) goto L_0x0270;
        L_0x026b:
            r6 = r8.mPreBackFiltered;
            r6 = r6 + r5;
            r8.mPreBackFiltered = r6;
        L_0x0270:
            r4 = r8.mPreFrontFiltered;
            r4 = (int) r4;
            r8.mCurFrontLux = r4;
            r4 = r8.mPreBackFiltered;
            r4 = (int) r4;
            r8.mCurBackLux = r4;
            r4 = r8.mCurFrontLux;
            if (r4 >= 0) goto L_0x02ab;
        L_0x027e:
            r4 = r8.mCurBackLux;
            if (r4 >= 0) goto L_0x02ab;
        L_0x0282:
            r1 = com.android.server.display.HwDualSensorEventListenerImpl.DEBUG;
            if (r1 == 0) goto L_0x02aa;
        L_0x0288:
            r1 = "HwDualSensorEventListenerImpl";
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r4 = "FusedSensorData.updateFusedData(): updateFusedData returned, mCurFrontLux=";
            r2.append(r4);
            r4 = r8.mCurFrontLux;
            r2.append(r4);
            r4 = " mCurBackLux=";
            r2.append(r4);
            r4 = r8.mCurBackLux;
            r2.append(r4);
            r2 = r2.toString();
            android.util.Slog.d(r1, r2);
        L_0x02aa:
            return;
        L_0x02ab:
            r4 = r8.mCurFrontLux;
            if (r4 >= 0) goto L_0x02b8;
        L_0x02af:
            r4 = r8.mCurBackLux;
            r8.mCurFrontLux = r4;
            r4 = r8.mCurBackCct;
            r8.mCurFrontCct = r4;
            goto L_0x02c4;
        L_0x02b8:
            r4 = r8.mCurBackLux;
            if (r4 >= 0) goto L_0x02c4;
        L_0x02bc:
            r4 = r8.mCurFrontLux;
            r8.mCurBackLux = r4;
            r4 = r8.mCurFrontCct;
            r8.mCurBackCct = r4;
        L_0x02c4:
            r4 = r8.mCurFrontLux;
            r5 = r8.mCurBackLux;
            if (r4 <= r5) goto L_0x02cd;
        L_0x02ca:
            r4 = r8.mCurFrontLux;
            goto L_0x02cf;
        L_0x02cd:
            r4 = r8.mCurBackLux;
        L_0x02cf:
            r8.mFusedLux = r4;
            r4 = r8.mCurFrontCct;
            r5 = r8.mCurBackCct;
            if (r4 <= r5) goto L_0x02da;
        L_0x02d7:
            r4 = r8.mCurFrontCct;
            goto L_0x02dc;
        L_0x02da:
            r4 = r8.mCurBackCct;
        L_0x02dc:
            r8.mFusedCct = r4;
        L_0x02de:
            r0 = com.android.server.display.HwDualSensorEventListenerImpl.DEBUG;
            if (r0 == 0) goto L_0x033b;
        L_0x02e4:
            r3 = r8.mDebugPrintTime;
            r0 = com.android.server.display.HwDualSensorEventListenerImpl.this;
            r5 = r0.mFusedEnableTime;
            r3 = r3 - r5;
            r0 = (r3 > r1 ? 1 : (r3 == r1 ? 0 : -1));
            if (r0 >= 0) goto L_0x033b;
        L_0x02f1:
            r0 = "HwDualSensorEventListenerImpl";
            r1 = new java.lang.StringBuilder;
            r1.<init>();
            r2 = "FusedSensorData.updateFusedData(): mFusedLux=";
            r1.append(r2);
            r2 = r8.mFusedLux;
            r1.append(r2);
            r2 = " mCurFrontLux=";
            r1.append(r2);
            r2 = r8.mCurFrontLux;
            r1.append(r2);
            r2 = " mCurBackLux=";
            r1.append(r2);
            r2 = r8.mCurBackLux;
            r1.append(r2);
            r2 = " mFusedCct=";
            r1.append(r2);
            r2 = r8.mFusedCct;
            r1.append(r2);
            r2 = " mCurFrontCct=";
            r1.append(r2);
            r2 = r8.mCurFrontCct;
            r1.append(r2);
            r2 = " mCurBackCct=";
            r1.append(r2);
            r2 = r8.mCurBackCct;
            r1.append(r2);
            r1 = r1.toString();
            android.util.Slog.d(r0, r1);
        L_0x033b:
            return;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwDualSensorEventListenerImpl.FusedSensorData.getStabilizedLuxAndCct():void");
        }

        public void sendFusedData() {
            java.lang.StringBuilder stringBuilder;
            if (this.mFrontUpdated) {
                java.lang.StringBuilder stringBuilder2;
                if (com.android.server.display.HwDualSensorEventListenerImpl.this.mBackSensorBypassCount <= 0 && !this.mBackUpdated) {
                    com.android.server.display.HwDualSensorEventListenerImpl.this.mBackTimeOutCount = com.android.server.display.HwDualSensorEventListenerImpl.this.mBackTimeOutCount + 1;
                    if (com.android.server.display.HwDualSensorEventListenerImpl.this.mBackTimeOutCount >= com.android.server.display.HwDualSensorEventListenerImpl.this.mBackSensorTimeOutTH) {
                        com.android.server.display.HwDualSensorEventListenerImpl.this.mBackSensorBypassCount = com.android.server.display.HwDualSensorEventListenerImpl.this.mBackSensorBypassCountMax;
                        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                        stringBuilder3.append("mBackTimeOutCount start: ");
                        stringBuilder3.append(com.android.server.display.HwDualSensorEventListenerImpl.this.mBackTimeOutCount);
                        android.util.Slog.i("HwDualSensorEventListenerImpl", stringBuilder3.toString());
                    } else {
                        if (com.android.server.display.HwDualSensorEventListenerImpl.DEBUG && this.mDebugPrintTime - com.android.server.display.HwDualSensorEventListenerImpl.this.mFusedEnableTime < 1000000000) {
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("Skip this sendFusedData! mFrontUpdated=");
                            stringBuilder.append(this.mFrontUpdated);
                            stringBuilder.append(" mBackUpdated=");
                            stringBuilder.append(this.mBackUpdated);
                            android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
                        }
                        return;
                    }
                }
                com.android.server.display.HwDualSensorEventListenerImpl.this.mBackTimeOutCount = 0;
                updateFusedData();
                long lastValueSensorTime = this.mLastValueFrontSensorTime > this.mLastValueBackSensorTime ? this.mLastValueFrontSensorTime : this.mLastValueBackSensorTime;
                long lastValueSystemTime = this.mFrontLastValueSystemTime > this.mBackLastValueSystemTime ? this.mFrontLastValueSystemTime : this.mBackLastValueSystemTime;
                java.lang.Object dataToSend = new long[]{(long) this.mFusedLux, (long) this.mFusedCct, lastValueSystemTime, lastValueSensorTime, (long) this.mFrontLuxFiltered, (long) this.mBackLuxFiltered};
                if (this.mFusedLux >= 0) {
                    if (this.mFusedCct >= 0) {
                        if (com.android.server.display.HwDualSensorEventListenerImpl.DEBUG && this.mDebugPrintTime - com.android.server.display.HwDualSensorEventListenerImpl.this.mFusedEnableTime < 1000000000) {
                            stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("FusedSensorData.sendFusedData(): lux=");
                            stringBuilder2.append(this.mFusedLux);
                            stringBuilder2.append(" cct=");
                            stringBuilder2.append(this.mFusedCct);
                            stringBuilder2.append(" sensorTime=");
                            stringBuilder2.append(lastValueSensorTime);
                            stringBuilder2.append(" FrontSensorTime=");
                            stringBuilder2.append(this.mLastValueFrontSensorTime);
                            stringBuilder2.append(" BackSensorTime=");
                            stringBuilder2.append(this.mLastValueBackSensorTime);
                            android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder2.toString());
                        }
                        setChanged();
                        notifyObservers(dataToSend);
                        return;
                    }
                }
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("FusedSensorData.sendFusedData(): skip. mFusedLux=");
                stringBuilder2.append(this.mFusedLux);
                stringBuilder2.append(" mFusedCct=");
                stringBuilder2.append(this.mFusedCct);
                android.util.Slog.i("HwDualSensorEventListenerImpl", stringBuilder2.toString());
                return;
            }
            if (com.android.server.display.HwDualSensorEventListenerImpl.DEBUG) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Skip this sendFusedData! mFrontUpdated=");
                stringBuilder.append(this.mFrontUpdated);
                stringBuilder.append(" mBackUpdated=");
                stringBuilder.append(this.mBackUpdated);
                android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
            }
        }

        public int getSensorLuxData() {
            return this.mFusedLux;
        }

        public int getSensorCctData() {
            return this.mFusedCct;
        }

        public long getSensorDataTime() {
            return this.mFrontLastValueSystemTime > this.mBackLastValueSystemTime ? this.mFrontLastValueSystemTime : this.mBackLastValueSystemTime;
        }

        public void clearSensorData() {
            this.mCurFrontLux = -1;
            this.mCurFrontCct = -1;
            this.mCurBackLux = -1;
            this.mCurBackCct = -1;
            this.mFusedLux = -1;
            this.mFusedCct = -1;
            this.mLastValueFrontSensorTime = -1;
            this.mLastValueBackSensorTime = -1;
            this.mFrontLastValueSystemTime = -1;
            this.mBackLastValueSystemTime = -1;
            this.mDebugPrintTime = -1;
            this.mCurFrontFiltered = 0.0f;
            this.mPreFrontFiltered = 0.0f;
            this.mCurBackFiltered = 0.0f;
            this.mPreBackFiltered = 0.0f;
            this.mFrontLuxIndex = 0;
            this.mBackLuxIndex = 0;
            this.mFrontLuxRelativeChange = 0.0f;
            this.mBackLuxRelativeChange = 0.0f;
            this.mFrontLuxStaProInd = 0;
            this.mBackLuxStaProInd = 0;
            this.mAdjustMin = 1.0f;
            this.mFrontUpdated = false;
            this.mBackUpdated = false;
            this.mFrontLuxArray = new int[]{-1, -1, -1};
            this.mBackLuxArray = new int[]{-1, -1, -1};
        }

        public void setStabilityProbabilityLUT() {
            if (com.android.server.display.HwDualSensorEventListenerImpl.STABILIZED_PROBABILITY_LUT == null) {
                if (com.android.server.display.HwDualSensorEventListenerImpl.DEBUG) {
                    android.util.Slog.i("HwDualSensorEventListenerImpl", "STABILIZED_PROBABILITY_LUT is null");
                }
            } else if (com.android.server.display.HwDualSensorEventListenerImpl.STABILIZED_PROBABILITY_LUT.length != 25) {
                if (com.android.server.display.HwDualSensorEventListenerImpl.DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("STABILIZED_PROBABILITY_LUT.length=");
                    stringBuilder.append(com.android.server.display.HwDualSensorEventListenerImpl.STABILIZED_PROBABILITY_LUT.length);
                    android.util.Slog.i("HwDualSensorEventListenerImpl", stringBuilder.toString());
                }
            } else {
                for (int rowInd = 0; rowInd < 5; rowInd++) {
                    for (int colInd = 0; colInd < 5; colInd++) {
                        this.mStaProbLUT[rowInd][colInd] = com.android.server.display.HwDualSensorEventListenerImpl.STABILIZED_PROBABILITY_LUT[(rowInd * 5) + colInd];
                    }
                }
            }
        }

        private boolean isFlashlightOn() {
            boolean z = true;
            switch (com.android.server.display.HwDualSensorEventListenerImpl.mFlashlightDetectionMode) {
                case 0:
                    if (this.mCurBackFiltered <= this.mBackRoofThresh) {
                        if (this.mBackLuxDeviation <= com.android.server.display.HwDualSensorEventListenerImpl.BACK_LUX_DEVIATION_THRESH) {
                            z = false;
                        }
                    }
                    return z;
                case 1:
                    if (com.android.server.display.HwDualSensorEventListenerImpl.this.mFlashLightOffTimeStampMs != -1) {
                        if (android.os.SystemClock.uptimeMillis() - com.android.server.display.HwDualSensorEventListenerImpl.this.mFlashLightOffTimeStampMs >= ((long) com.android.server.display.HwDualSensorEventListenerImpl.FLASHLIGHT_OFF_TIME_THRESHOLD_MS)) {
                            if (com.android.server.display.HwDualSensorEventListenerImpl.this.mFlashLightOffTimeStampMs == -2) {
                                if (this.mCurBackFiltered <= this.mBackRoofThresh) {
                                    if (this.mBackLuxDeviation <= com.android.server.display.HwDualSensorEventListenerImpl.BACK_LUX_DEVIATION_THRESH) {
                                        z = false;
                                    }
                                }
                                return z;
                            }
                        }
                    }
                    return true;
                default:
                    break;
            }
            return false;
        }
    }

    private interface FusedSensorDataRefresher {
        void updateData(int i, int i2, long j, long j2);
    }

    private static class SensorData extends java.util.Observable {
        private java.util.List<java.lang.Integer> mCctDataList;
        private long mEnableTime;
        private int mLastSensorCctValue;
        private int mLastSensorLuxValue;
        private long mLastValueSensorTime;
        private long mLastValueSystemTime;
        private java.util.List<java.lang.Integer> mLuxDataList;

        /* synthetic */ SensorData(int x0, com.android.server.display.HwDualSensorEventListenerImpl.AnonymousClass1 x1) {
            this(x0);
        }

        private SensorData(int rateMillis) {
            this.mLastSensorLuxValue = -1;
            this.mLastSensorCctValue = -1;
            this.mLastValueSystemTime = -1;
            this.mLastValueSensorTime = -1;
            this.mEnableTime = -1;
            this.mLuxDataList = new java.util.concurrent.CopyOnWriteArrayList();
            this.mCctDataList = new java.util.concurrent.CopyOnWriteArrayList();
        }

        private void setSensorData(int lux, int cct, long systemClockTimeStamp, long sensorClockTimeStamp) {
            this.mLuxDataList.add(java.lang.Integer.valueOf(lux));
            this.mCctDataList.add(java.lang.Integer.valueOf(cct));
            this.mLastValueSystemTime = systemClockTimeStamp;
            this.mLastValueSensorTime = sensorClockTimeStamp;
        }

        private void sendSensorData() {
            int average;
            int count = 0;
            int sum = 0;
            for (java.lang.Integer data : this.mLuxDataList) {
                sum += data.intValue();
                count++;
            }
            if (count != 0) {
                average = sum / count;
                if (average >= 0) {
                    this.mLastSensorLuxValue = average;
                }
            }
            this.mLuxDataList.clear();
            count = 0;
            sum = 0;
            for (java.lang.Integer data2 : this.mCctDataList) {
                sum += data2.intValue();
                count++;
            }
            if (count != 0) {
                average = sum / count;
                if (average >= 0) {
                    this.mLastSensorCctValue = average;
                }
            }
            this.mCctDataList.clear();
            if (this.mLastSensorLuxValue >= 0) {
                if (this.mLastSensorCctValue >= 0) {
                    java.lang.Object data3 = new long[]{(long) this.mLastSensorLuxValue, (long) this.mLastSensorCctValue, this.mLastValueSystemTime, this.mLastValueSensorTime};
                    if (com.android.server.display.HwDualSensorEventListenerImpl.DEBUG && android.os.SystemClock.elapsedRealtimeNanos() - this.mEnableTime < 1000000000) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("SensorData.sendSensorData(): lux=");
                        stringBuilder.append(this.mLastSensorLuxValue);
                        stringBuilder.append(" cct=");
                        stringBuilder.append(this.mLastSensorCctValue);
                        stringBuilder.append(" systemTime=");
                        stringBuilder.append(this.mLastValueSystemTime);
                        stringBuilder.append(" sensorTime=");
                        stringBuilder.append(this.mLastValueSensorTime);
                        android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
                    }
                    java.lang.Object dataToSend = data3;
                    setChanged();
                    notifyObservers(dataToSend);
                    return;
                }
            }
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("SensorData.sendSensorData(): skip. mLastSensorLuxValue=");
            stringBuilder2.append(this.mLastSensorLuxValue);
            stringBuilder2.append(" mLastSensorCctValue=");
            stringBuilder2.append(this.mLastSensorCctValue);
            android.util.Slog.i("HwDualSensorEventListenerImpl", stringBuilder2.toString());
        }

        private void setEnableTime(long timeNanos) {
            this.mEnableTime = timeNanos;
        }

        public int getSensorLuxData() {
            return this.mLastSensorLuxValue;
        }

        public int getSensorCctData() {
            return this.mLastSensorCctValue;
        }

        public long getSensorDataTime() {
            return this.mLastValueSystemTime;
        }

        private void clearSensorData() {
            this.mLuxDataList.clear();
            this.mCctDataList.clear();
            this.mLastSensorLuxValue = -1;
            this.mLastSensorCctValue = -1;
            this.mLastValueSystemTime = -1;
            this.mLastValueSensorTime = -1;
            this.mEnableTime = -1;
        }
    }

    private interface SensorDataSender {
        int getRate();

        int getTimer();

        boolean needQueue();

        void sendData();

        void setTimer(int i);
    }

    static {
        boolean z;
        if (!android.util.Log.HWINFO) {
            if (!android.util.Log.HWModuleLog || !android.util.Log.isLoggable("HwDualSensorEventListenerImpl", 4)) {
                z = false;
                DEBUG = z;
            }
        }
        z = true;
        DEBUG = z;
    }

    private HwDualSensorEventListenerImpl(android.content.Context context, android.hardware.SensorManager sensorManager) {
        this.mContext = context;
        if (!parseParameters()) {
            android.util.Slog.i("HwDualSensorEventListenerImpl", "parse parameters failed!");
        }
        this.mFrontSensorData = new com.android.server.display.HwDualSensorEventListenerImpl.SensorData(mFrontRateMillis, null);
        this.mBackSensorData = new com.android.server.display.HwDualSensorEventListenerImpl.SensorData(mBackRateMillis, null);
        this.mFusedSensorData = new com.android.server.display.HwDualSensorEventListenerImpl.FusedSensorData();
        this.mFrontSender = new com.android.server.display.HwDualSensorEventListenerImpl.SensorDataSender() {
            public int getRate() {
                return com.android.server.display.HwDualSensorEventListenerImpl.mFrontRateMillis;
            }

            public int getTimer() {
                return com.android.server.display.HwDualSensorEventListenerImpl.this.mFrontTimer;
            }

            public void setTimer(int timer) {
                com.android.server.display.HwDualSensorEventListenerImpl.this.mFrontTimer = timer;
            }

            public void sendData() {
                com.android.server.display.HwDualSensorEventListenerImpl.this.mFrontSensorData.sendSensorData();
            }

            public boolean needQueue() {
                return com.android.server.display.HwDualSensorEventListenerImpl.this.mFrontEnable && com.android.server.display.HwDualSensorEventListenerImpl.this.mFrontWarmUpFlg >= 2;
            }
        };
        this.mBackSender = new com.android.server.display.HwDualSensorEventListenerImpl.SensorDataSender() {
            public int getRate() {
                return com.android.server.display.HwDualSensorEventListenerImpl.mBackRateMillis;
            }

            public int getTimer() {
                return com.android.server.display.HwDualSensorEventListenerImpl.this.mBackTimer;
            }

            public void setTimer(int timer) {
                com.android.server.display.HwDualSensorEventListenerImpl.this.mBackTimer = timer;
            }

            public void sendData() {
                com.android.server.display.HwDualSensorEventListenerImpl.this.mBackSensorData.sendSensorData();
            }

            public boolean needQueue() {
                return com.android.server.display.HwDualSensorEventListenerImpl.this.mBackEnable && com.android.server.display.HwDualSensorEventListenerImpl.this.mBackWarmUpFlg >= 2;
            }
        };
        this.mFusedSender = new com.android.server.display.HwDualSensorEventListenerImpl.SensorDataSender() {
            public int getRate() {
                return com.android.server.display.HwDualSensorEventListenerImpl.mFusedRateMillis;
            }

            public int getTimer() {
                return com.android.server.display.HwDualSensorEventListenerImpl.this.mFusedTimer;
            }

            public void setTimer(int timer) {
                com.android.server.display.HwDualSensorEventListenerImpl.this.mFusedTimer = timer;
            }

            public void sendData() {
                synchronized (com.android.server.display.HwDualSensorEventListenerImpl.this.mFusedSensorLock) {
                    com.android.server.display.HwDualSensorEventListenerImpl.this.mFusedSensorData.sendFusedData();
                }
            }

            public boolean needQueue() {
                return com.android.server.display.HwDualSensorEventListenerImpl.this.mFusedEnable && com.android.server.display.HwDualSensorEventListenerImpl.this.mFusedWarmUpFlg >= 2;
            }
        };
        this.mDualSensorProcessThread = new android.os.HandlerThread("HwDualSensorEventListenerImpl");
        this.mDualSensorProcessThread.start();
        this.mHandler = new com.android.server.display.HwDualSensorEventListenerImpl.DualSensorHandler(this.mDualSensorProcessThread.getLooper());
        this.mSensorManager = sensorManager;
        if (mFlashlightDetectionMode == 1) {
            registerBackCameraTorchCallback();
        }
    }

    public static com.android.server.display.HwDualSensorEventListenerImpl getInstance(android.hardware.SensorManager sensorManager, android.content.Context context) {
        if (mInstance == null) {
            synchronized (com.android.server.display.HwDualSensorEventListenerImpl.class) {
                if (mInstance == null) {
                    mInstance = new com.android.server.display.HwDualSensorEventListenerImpl(context, sensorManager);
                }
            }
        }
        return mInstance;
    }

    public void attachFrontSensorData(java.util.Observer observer) {
        if (this.mSensorManager == null) {
            android.util.Slog.e("HwDualSensorEventListenerImpl", "SensorManager is null!");
            return;
        }
        synchronized (this.mFrontSensorLock) {
            if (this.mFrontLightSensor == null) {
                this.mFrontLightSensor = this.mSensorManager.getDefaultSensor(5);
                if (DEBUG) {
                    android.util.Slog.d("HwDualSensorEventListenerImpl", "Obtain mFrontLightSensor at firt time.");
                }
            }
            enableFrontSensor();
            this.mFrontSensorData.addObserver(observer);
        }
    }

    /* JADX WARNING: Missing block: B:15:0x0042, code:
            return;
     */
    public void attachBackSensorData(java.util.Observer r6) {
        /*
        r5 = this;
        r0 = r5.mSensorManager;
        if (r0 != 0) goto L_0x000c;
    L_0x0004:
        r0 = "HwDualSensorEventListenerImpl";
        r1 = "SensorManager is null!";
        android.util.Slog.e(r0, r1);
        return;
    L_0x000c:
        r0 = r5.mBackSensorLock;
        monitor-enter(r0);
        r1 = r5.mBackLightSensor;	 Catch:{ all -> 0x0061 }
        if (r1 != 0) goto L_0x0057;
    L_0x0013:
        r1 = r5.mSensorManager;	 Catch:{ all -> 0x0061 }
        r2 = 65554; // 0x10012 float:9.1861E-41 double:3.2388E-319;
        r1 = r1.getSensorList(r2);	 Catch:{ all -> 0x0061 }
        r2 = r1.size();	 Catch:{ all -> 0x0061 }
        r3 = 1;
        if (r2 == r3) goto L_0x0043;
    L_0x0023:
        r2 = DEBUG;	 Catch:{ all -> 0x0061 }
        if (r2 == 0) goto L_0x0041;
    L_0x0027:
        r2 = "HwDualSensorEventListenerImpl";
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0061 }
        r3.<init>();	 Catch:{ all -> 0x0061 }
        r4 = "more than one color sensor: ";
        r3.append(r4);	 Catch:{ all -> 0x0061 }
        r4 = r1.size();	 Catch:{ all -> 0x0061 }
        r3.append(r4);	 Catch:{ all -> 0x0061 }
        r3 = r3.toString();	 Catch:{ all -> 0x0061 }
        android.util.Slog.d(r2, r3);	 Catch:{ all -> 0x0061 }
    L_0x0041:
        monitor-exit(r0);	 Catch:{ all -> 0x0061 }
        return;
    L_0x0043:
        r2 = 0;
        r2 = r1.get(r2);	 Catch:{ all -> 0x0061 }
        r2 = (android.hardware.Sensor) r2;	 Catch:{ all -> 0x0061 }
        r5.mBackLightSensor = r2;	 Catch:{ all -> 0x0061 }
        r2 = DEBUG;	 Catch:{ all -> 0x0061 }
        if (r2 == 0) goto L_0x0057;
    L_0x0050:
        r2 = "HwDualSensorEventListenerImpl";
        r3 = "Obtain mBackLightSensor at firt time.";
        android.util.Slog.d(r2, r3);	 Catch:{ all -> 0x0061 }
    L_0x0057:
        r5.enableBackSensor();	 Catch:{ all -> 0x0061 }
        r1 = r5.mBackSensorData;	 Catch:{ all -> 0x0061 }
        r1.addObserver(r6);	 Catch:{ all -> 0x0061 }
        monitor-exit(r0);	 Catch:{ all -> 0x0061 }
        return;
    L_0x0061:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x0061 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwDualSensorEventListenerImpl.attachBackSensorData(java.util.Observer):void");
    }

    public void attachFusedSensorData(java.util.Observer observer) {
        synchronized (this.mFusedSensorLock) {
            attachFrontSensorData(this.mFusedSensorData.mFrontSensorDataObserver);
            attachBackSensorData(this.mFusedSensorData.mBackSensorDataObserver);
            enableFusedSensor();
            this.mFusedSensorData.addObserver(observer);
        }
    }

    public void detachFrontSensorData(java.util.Observer observer) {
        if (observer != null) {
            synchronized (this.mFrontSensorLock) {
                this.mFrontSensorData.deleteObserver(observer);
                if (this.mFrontSensorData.countObservers() == 0) {
                    disableFrontSensor();
                }
            }
        }
    }

    public void detachBackSensorData(java.util.Observer observer) {
        if (observer != null) {
            synchronized (this.mBackSensorLock) {
                this.mBackSensorData.deleteObserver(observer);
                if (this.mBackSensorData.countObservers() == 0) {
                    disableBackSensor();
                }
            }
        }
    }

    public void detachFusedSensorData(java.util.Observer observer) {
        if (observer != null) {
            synchronized (this.mFusedSensorLock) {
                this.mFusedSensorData.deleteObserver(observer);
                if (this.mFusedSensorData.countObservers() == 0) {
                    disableFusedSensor();
                    detachFrontSensorData(this.mFusedSensorData.mFrontSensorDataObserver);
                    detachBackSensorData(this.mFusedSensorData.mBackSensorDataObserver);
                }
            }
        }
    }

    private void enableFrontSensor() {
        if (!this.mFrontEnable) {
            this.mFrontEnable = true;
            this.mFrontWarmUpFlg = 0;
            this.mFrontEnableTime = android.os.SystemClock.elapsedRealtimeNanos();
            this.mFrontSensorData.setEnableTime(this.mFrontEnableTime);
            this.mSensorManager.registerListener(this.mFrontSensorEventListener, this.mFrontLightSensor, mFrontRateMillis * 1000, this.mHandler);
            if (DEBUG) {
                android.util.Slog.d("HwDualSensorEventListenerImpl", "Front sensor enabled.");
            }
        }
    }

    private void enableBackSensor() {
        if (!this.mBackEnable) {
            this.mBackEnable = true;
            this.mBackWarmUpFlg = 0;
            this.mBackEnableTime = android.os.SystemClock.elapsedRealtimeNanos();
            this.mBackSensorData.setEnableTime(this.mBackEnableTime);
            this.mSensorManager.registerListener(this.mBackSensorEventListener, this.mBackLightSensor, mBackRateMillis * 1000, this.mHandler);
            if (DEBUG) {
                android.util.Slog.d("HwDualSensorEventListenerImpl", "Back sensor enabled.");
            }
        }
    }

    private void enableFusedSensor() {
        if (!this.mFusedEnable) {
            this.mFusedEnable = true;
            this.mFusedWarmUpFlg = 0;
            this.mFusedEnableTime = android.os.SystemClock.elapsedRealtimeNanos();
            this.mHandler.sendEmptyMessage(3);
            if (DEBUG) {
                android.util.Slog.d("HwDualSensorEventListenerImpl", "Fused sensor enabled.");
            }
            if (this.mBackSensorBypassCount > 0) {
                this.mBackSensorBypassCount--;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("mBackSensorBypassCount-- :");
                stringBuilder.append(this.mBackSensorBypassCount);
                android.util.Slog.i("HwDualSensorEventListenerImpl", stringBuilder.toString());
            }
        }
    }

    private void disableFrontSensor() {
        if (this.mFrontEnable) {
            this.mFrontEnable = false;
            this.mSensorManager.unregisterListener(this.mFrontSensorEventListener);
            this.mHandler.removeMessages(1);
            this.mFrontSensorData.clearSensorData();
            if (DEBUG) {
                android.util.Slog.d("HwDualSensorEventListenerImpl", "Front sensor disabled.");
            }
        }
    }

    private void disableBackSensor() {
        if (this.mBackEnable) {
            this.mBackEnable = false;
            this.mSensorManager.unregisterListener(this.mBackSensorEventListener);
            this.mHandler.removeMessages(2);
            this.mBackSensorData.clearSensorData();
            if (DEBUG) {
                android.util.Slog.d("HwDualSensorEventListenerImpl", "Back sensor disabled.");
            }
        }
    }

    private void disableFusedSensor() {
        if (this.mFusedEnable) {
            this.mFusedEnable = false;
            this.mHandler.removeMessages(3);
            this.mFusedSensorData.clearSensorData();
            if (DEBUG) {
                android.util.Slog.d("HwDualSensorEventListenerImpl", "Fused sensor disabled.");
            }
        }
    }

    private int[] convertXYZ2LuxAndCct(java.lang.Float Xraw, java.lang.Float Yraw, java.lang.Float Zraw, java.lang.Float IRraw) {
        float Xnorm = ((PRODUCTION_CALIBRATION_X * 1600.128f) * Xraw.floatValue()) / (ATIME * AGAIN);
        float Ynorm = ((PRODUCTION_CALIBRATION_Y * 1600.128f) * Yraw.floatValue()) / (ATIME * AGAIN);
        float Znorm = ((PRODUCTION_CALIBRATION_Z * 1600.128f) * Zraw.floatValue()) / (ATIME * AGAIN);
        float IR1norm = ((1600.128f * PRODUCTION_CALIBRATION_IR1) * IRraw.floatValue()) / (ATIME * AGAIN);
        int lux = 0;
        int cct = 0;
        if (java.lang.Float.compare(Ynorm, 0.0f) != 0) {
            float lux_f;
            float X;
            float Y;
            float Z;
            float f;
            if (IR1norm / Ynorm > IR_BOUNDRY) {
                lux_f = ((((LUX_COEF_HIGH_X * Xnorm) + (LUX_COEF_HIGH_Y * Ynorm)) + (LUX_COEF_HIGH_Z * Znorm)) + (LUX_COEF_HIGH_IR * IR1norm)) + LUX_COEF_HIGH_OFFSET;
                X = (((COLOR_MAT_HIGH_11 * Xnorm) + (COLOR_MAT_HIGH_12 * Ynorm)) + (COLOR_MAT_HIGH_13 * Znorm)) + (COLOR_MAT_HIGH_14 * IR1norm);
                Y = (((COLOR_MAT_HIGH_21 * Xnorm) + (COLOR_MAT_HIGH_22 * Ynorm)) + (COLOR_MAT_HIGH_23 * Znorm)) + (COLOR_MAT_HIGH_24 * IR1norm);
                Z = (((COLOR_MAT_HIGH_31 * Xnorm) + (COLOR_MAT_HIGH_32 * Ynorm)) + (COLOR_MAT_HIGH_33 * Znorm)) + (COLOR_MAT_HIGH_34 * IR1norm);
            } else {
                lux_f = ((((LUX_COEF_LOW_X * Xnorm) + (LUX_COEF_LOW_Y * Ynorm)) + (LUX_COEF_LOW_Z * Znorm)) + (LUX_COEF_LOW_IR * IR1norm)) + LUX_COEF_LOW_OFFSET;
                X = (((COLOR_MAT_LOW_11 * Xnorm) + (COLOR_MAT_LOW_12 * Ynorm)) + (COLOR_MAT_LOW_13 * Znorm)) + (COLOR_MAT_LOW_14 * IR1norm);
                Y = (((COLOR_MAT_LOW_21 * Xnorm) + (COLOR_MAT_LOW_22 * Ynorm)) + (COLOR_MAT_LOW_23 * Znorm)) + (COLOR_MAT_LOW_24 * IR1norm);
                Z = (((COLOR_MAT_LOW_31 * Xnorm) + (COLOR_MAT_LOW_32 * Ynorm)) + (COLOR_MAT_LOW_33 * Znorm)) + (COLOR_MAT_LOW_34 * IR1norm);
            }
            float XYZ = (X + Y) + Z;
            if (java.lang.Float.compare(XYZ, 0.0f) != 0) {
                float x = X / XYZ;
                float y = Y / XYZ;
                if (java.lang.Float.compare(y - 0.1858f, 0.0f) != 0) {
                    float tempvalue = (1.0f / (y - 0.1858f)) * (x - 0.332f);
                    f = 0.5f;
                    cct = (int) (((((((-499.0f * tempvalue) * tempvalue) * tempvalue) + ((3525.0f * tempvalue) * tempvalue)) - (6823.3f * tempvalue)) + 5520.33f) + 0.5f);
                    lux = (int) (lux_f + f);
                }
            }
            f = 0.5f;
            lux = (int) (lux_f + f);
        }
        return new int[]{lux, cct};
    }

    private int[] convertRGB2LuxAndCct(float red, float green, float blue, float IR) {
        float f = green;
        float cct_f = 0.0f;
        if (java.lang.Float.compare(f, 0.0f) <= 0) {
            return new int[]{0, 0};
        }
        float lux_f;
        if (java.lang.Float.compare(IR / f, 0.5f) > 0) {
            lux_f = ((LUX_COEF_HIGH_RED * red) + (LUX_COEF_HIGH_GREEN * f)) + (LUX_COEF_HIGH_BLUE * blue);
        } else {
            lux_f = ((LUX_COEF_LOW_RED * red) + (LUX_COEF_LOW_GREEN * f)) + (LUX_COEF_LOW_BLUE * blue);
        }
        float rgbSum = (red + f) + blue;
        if (java.lang.Float.compare(rgbSum, 0.0f) <= 0) {
            if (DEBUG) {
                android.util.Slog.d("HwDualSensorEventListenerImpl", "convertRGB2LuxAndCct: Illegal sensor value, rgbSum <= 0!");
            }
            return new int[]{0, 0};
        }
        float lux_f2;
        float redRatio = red / rgbSum;
        float greenRatio = f / rgbSum;
        float x = ((((X_CONSTANT + (X_R_COEF * redRatio)) + ((X_R_QUADRATIC_COEF * redRatio) * redRatio)) + (X_G_COEF * greenRatio)) + ((X_RG_COEF * greenRatio) * redRatio)) + ((X_G_QUADRATIC_COEF * greenRatio) * greenRatio);
        float y = ((((Y_CONSTANT + (Y_R_COEF * redRatio)) + ((Y_R_QUADRATIC_COEF * redRatio) * redRatio)) + (Y_G_COEF * greenRatio)) + ((Y_RG_COEF * redRatio) * greenRatio)) + ((Y_G_QUADRATIC_COEF * greenRatio) * greenRatio);
        if (java.lang.Float.compare(y, 0.1858f) >= 0) {
            float n = (x - 0.332f) / (y - 0.1858f);
            lux_f2 = lux_f;
            float cct_f2 = (((-449.0f * ((float) java.lang.Math.pow((double) n, 3.0d))) + (3525.0f * ((float) java.lang.Math.pow((double) n, 2.0d)))) - (6823.3f * n)) + 5520.33f;
            cct_f = 13000.0f;
            if (java.lang.Float.compare(cct_f2, 13000.0f) < 0) {
                cct_f = cct_f2;
            }
            float cct_f3 = cct_f;
            cct_f = 0.0f;
            if (java.lang.Float.compare(cct_f3, 0.0f) > 0) {
                cct_f = cct_f3;
            }
        } else {
            lux_f2 = lux_f;
            float f2 = redRatio;
        }
        return new int[]{(int) (lux_f2 + 0.5f), (int) (cct_f + 0.5f)};
    }

    /* JADX WARNING: Removed duplicated region for block: B:31:0x006f  */
    private boolean parseParameters() {
        /*
        r6 = this;
        r0 = 0;
        r1 = 0;
        r2 = new java.io.FileInputStream;	 Catch:{ FileNotFoundException -> 0x005b, Exception -> 0x004b, all -> 0x002c }
        r3 = DUAL_SENSOR_XML_PATH;	 Catch:{ FileNotFoundException -> 0x005b, Exception -> 0x004b, all -> 0x002c }
        r2.<init>(r3);	 Catch:{ FileNotFoundException -> 0x005b, Exception -> 0x004b, all -> 0x002c }
        r1 = r2;
        r2 = r6.parseParametersFromXML(r1);	 Catch:{ FileNotFoundException -> 0x005b, Exception -> 0x004b, all -> 0x002c }
        r0 = r2;
        r1.close();	 Catch:{ IOException -> 0x0014 }
    L_0x0013:
        goto L_0x006b;
    L_0x0014:
        r2 = move-exception;
        r3 = "HwDualSensorEventListenerImpl";
        r4 = new java.lang.StringBuilder;
        r4.<init>();
    L_0x001c:
        r5 = "input stream close uncorrectly: ";
        r4.append(r5);
        r4.append(r2);
        r4 = r4.toString();
        android.util.Slog.i(r3, r4);
        goto L_0x0013;
    L_0x002c:
        r2 = move-exception;
        if (r1 == 0) goto L_0x004a;
    L_0x002f:
        r1.close();	 Catch:{ IOException -> 0x0033 }
        goto L_0x004a;
    L_0x0033:
        r3 = move-exception;
        r4 = new java.lang.StringBuilder;
        r4.<init>();
        r5 = "input stream close uncorrectly: ";
        r4.append(r5);
        r4.append(r3);
        r4 = r4.toString();
        r5 = "HwDualSensorEventListenerImpl";
        android.util.Slog.i(r5, r4);
    L_0x004a:
        throw r2;
    L_0x004b:
        r2 = move-exception;
        if (r1 == 0) goto L_0x006b;
    L_0x004e:
        r1.close();	 Catch:{ IOException -> 0x0052 }
        goto L_0x0013;
    L_0x0052:
        r2 = move-exception;
        r3 = "HwDualSensorEventListenerImpl";
        r4 = new java.lang.StringBuilder;
        r4.<init>();
        goto L_0x001c;
    L_0x005b:
        r2 = move-exception;
        if (r1 == 0) goto L_0x006b;
    L_0x005e:
        r1.close();	 Catch:{ IOException -> 0x0062 }
        goto L_0x0013;
    L_0x0062:
        r2 = move-exception;
        r3 = "HwDualSensorEventListenerImpl";
        r4 = new java.lang.StringBuilder;
        r4.<init>();
        goto L_0x001c;
    L_0x006b:
        r2 = DEBUG;
        if (r2 == 0) goto L_0x0085;
    L_0x006f:
        r2 = "HwDualSensorEventListenerImpl";
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r4 = "parseResult=";
        r3.append(r4);
        r3.append(r0);
        r3 = r3.toString();
        android.util.Slog.d(r2, r3);
    L_0x0085:
        r6.printParameters();
        return r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwDualSensorEventListenerImpl.parseParameters():boolean");
    }

    private boolean parseParametersFromXML(java.io.InputStream inStream) {
        java.lang.StringBuilder stringBuilder;
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("parse dual sensor parameters from xml: ");
            stringBuilder2.append(DUAL_SENSOR_XML_PATH);
            android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder2.toString());
        }
        boolean backSensorParamLoadStarted = false;
        boolean moduleSensorOptionsLoadStarted = false;
        boolean algorithmParametersLoadStarted = false;
        boolean parseResult = false;
        org.xmlpull.v1.XmlPullParser parser = android.util.Xml.newPullParser();
        try {
            parser.setInput(inStream, "UTF-8");
            for (int eventType = parser.getEventType(); eventType != 1; eventType = parser.next()) {
                java.lang.String nodeName;
                switch (eventType) {
                    case 2:
                        nodeName = parser.getName();
                        if (!nodeName.equals("BackSensorParameters")) {
                            if (!backSensorParamLoadStarted || !nodeName.equals("IRBoundry")) {
                                if (!backSensorParamLoadStarted || !nodeName.equals("LuxCoefficientsLow")) {
                                    if (!backSensorParamLoadStarted || !nodeName.equals("ColorMatrixLow")) {
                                        if (!backSensorParamLoadStarted || !nodeName.equals("LuxCoefficientsHigh")) {
                                            if (!backSensorParamLoadStarted || !nodeName.equals("ColorMatrixHigh")) {
                                                if (!backSensorParamLoadStarted || !nodeName.equals("ATime")) {
                                                    if (!backSensorParamLoadStarted || !nodeName.equals("AGain")) {
                                                        if (!backSensorParamLoadStarted || !nodeName.equals("ProductionCalibrationX")) {
                                                            if (!backSensorParamLoadStarted || !nodeName.equals("ProductionCalibrationY")) {
                                                                if (!backSensorParamLoadStarted || !nodeName.equals("ProductionCalibrationZ")) {
                                                                    if (!backSensorParamLoadStarted || !nodeName.equals("ProductionCalibrationIR1")) {
                                                                        if (!backSensorParamLoadStarted || !nodeName.equals("FrontSensorRateMillis")) {
                                                                            if (!backSensorParamLoadStarted || !nodeName.equals("BackSensorRateMillis")) {
                                                                                if (!backSensorParamLoadStarted || !nodeName.equals("FusedSensorRateMillis")) {
                                                                                    if (!backSensorParamLoadStarted || !nodeName.equals("SensorVersion")) {
                                                                                        if (!backSensorParamLoadStarted || !nodeName.equals("RatioIRGreen")) {
                                                                                            if (!backSensorParamLoadStarted || !nodeName.equals("LuxCoefHighRed")) {
                                                                                                if (!backSensorParamLoadStarted || !nodeName.equals("LuxCoefHighGreen")) {
                                                                                                    if (!backSensorParamLoadStarted || !nodeName.equals("LuxCoefHighBlue")) {
                                                                                                        if (!backSensorParamLoadStarted || !nodeName.equals("LuxCoefLowRed")) {
                                                                                                            if (!backSensorParamLoadStarted || !nodeName.equals("LuxCoefLowGreen")) {
                                                                                                                if (!backSensorParamLoadStarted || !nodeName.equals("LuxCoefLowBlue")) {
                                                                                                                    if (!backSensorParamLoadStarted || !nodeName.equals("XConstant")) {
                                                                                                                        if (!backSensorParamLoadStarted || !nodeName.equals("XRCoef")) {
                                                                                                                            if (!backSensorParamLoadStarted || !nodeName.equals("XRQuadCoef")) {
                                                                                                                                if (!backSensorParamLoadStarted || !nodeName.equals("XGCoef")) {
                                                                                                                                    if (!backSensorParamLoadStarted || !nodeName.equals("XRGCoef")) {
                                                                                                                                        if (!backSensorParamLoadStarted || !nodeName.equals("XGQuadCoef")) {
                                                                                                                                            if (!backSensorParamLoadStarted || !nodeName.equals("YConstant")) {
                                                                                                                                                if (!backSensorParamLoadStarted || !nodeName.equals("YRCoef")) {
                                                                                                                                                    if (!backSensorParamLoadStarted || !nodeName.equals("YRQuadCoef")) {
                                                                                                                                                        if (!backSensorParamLoadStarted || !nodeName.equals("YGCoef")) {
                                                                                                                                                            if (!backSensorParamLoadStarted || !nodeName.equals("YRGCoef")) {
                                                                                                                                                                if (!backSensorParamLoadStarted || !nodeName.equals("YGQuadCoef")) {
                                                                                                                                                                    if (!nodeName.equals("ModuleSensorOptions")) {
                                                                                                                                                                        if (!moduleSensorOptionsLoadStarted) {
                                                                                                                                                                            if (!nodeName.equals("AlgorithmParameters")) {
                                                                                                                                                                                if (!algorithmParametersLoadStarted || !nodeName.equals("FrontSensorStabilityThresholdList")) {
                                                                                                                                                                                    if (!algorithmParametersLoadStarted || !nodeName.equals("BackSensorStabilityThresholdList")) {
                                                                                                                                                                                        if (!algorithmParametersLoadStarted || !nodeName.equals("StabilizedProbabilityLUT")) {
                                                                                                                                                                                            if (!algorithmParametersLoadStarted || !nodeName.equals("BackRoofThresh")) {
                                                                                                                                                                                                if (!algorithmParametersLoadStarted || !nodeName.equals("BackFloorThresh")) {
                                                                                                                                                                                                    if (!algorithmParametersLoadStarted || !nodeName.equals("DarkRoomThresh")) {
                                                                                                                                                                                                        if (!algorithmParametersLoadStarted || !nodeName.equals("DarkRoomDelta")) {
                                                                                                                                                                                                            if (!algorithmParametersLoadStarted || !nodeName.equals("DarkRoomDelta1")) {
                                                                                                                                                                                                                if (!algorithmParametersLoadStarted || !nodeName.equals("DarkRoomDelta2")) {
                                                                                                                                                                                                                    if (!algorithmParametersLoadStarted || !nodeName.equals("DarkRoomThresh1")) {
                                                                                                                                                                                                                        if (!algorithmParametersLoadStarted || !nodeName.equals("DarkRoomThresh2")) {
                                                                                                                                                                                                                            if (!algorithmParametersLoadStarted || !nodeName.equals("DarkRoomThresh3")) {
                                                                                                                                                                                                                                if (!algorithmParametersLoadStarted || !nodeName.equals("BackLuxDeviationThresh")) {
                                                                                                                                                                                                                                    if (!algorithmParametersLoadStarted || !nodeName.equals("FlashlightDetectionMode")) {
                                                                                                                                                                                                                                        if (!algorithmParametersLoadStarted || !nodeName.equals("FlashlightOffTimeThresholdMs")) {
                                                                                                                                                                                                                                            if (!algorithmParametersLoadStarted || !nodeName.equals("BackSensorTimeOutTH")) {
                                                                                                                                                                                                                                                if (algorithmParametersLoadStarted && nodeName.equals("BackSensorBypassCountMax")) {
                                                                                                                                                                                                                                                    this.mBackSensorBypassCountMax = java.lang.Integer.parseInt(parser.nextText());
                                                                                                                                                                                                                                                    break;
                                                                                                                                                                                                                                                }
                                                                                                                                                                                                                                            }
                                                                                                                                                                                                                                            this.mBackSensorTimeOutTH = java.lang.Integer.parseInt(parser.nextText());
                                                                                                                                                                                                                                            break;
                                                                                                                                                                                                                                        }
                                                                                                                                                                                                                                        FLASHLIGHT_OFF_TIME_THRESHOLD_MS = java.lang.Integer.parseInt(parser.nextText());
                                                                                                                                                                                                                                        break;
                                                                                                                                                                                                                                    }
                                                                                                                                                                                                                                    mFlashlightDetectionMode = java.lang.Integer.parseInt(parser.nextText());
                                                                                                                                                                                                                                    break;
                                                                                                                                                                                                                                }
                                                                                                                                                                                                                                BACK_LUX_DEVIATION_THRESH = java.lang.Long.parseLong(parser.nextText());
                                                                                                                                                                                                                                break;
                                                                                                                                                                                                                            }
                                                                                                                                                                                                                            DARK_ROOM_THRESH3 = java.lang.Float.parseFloat(parser.nextText());
                                                                                                                                                                                                                            break;
                                                                                                                                                                                                                        }
                                                                                                                                                                                                                        DARK_ROOM_THRESH2 = java.lang.Float.parseFloat(parser.nextText());
                                                                                                                                                                                                                        break;
                                                                                                                                                                                                                    }
                                                                                                                                                                                                                    DARK_ROOM_THRESH1 = java.lang.Float.parseFloat(parser.nextText());
                                                                                                                                                                                                                    break;
                                                                                                                                                                                                                }
                                                                                                                                                                                                                DARK_ROOM_DELTA2 = java.lang.Float.parseFloat(parser.nextText());
                                                                                                                                                                                                                break;
                                                                                                                                                                                                            }
                                                                                                                                                                                                            DARK_ROOM_DELTA1 = java.lang.Float.parseFloat(parser.nextText());
                                                                                                                                                                                                            break;
                                                                                                                                                                                                        }
                                                                                                                                                                                                        DARK_ROOM_DELTA = java.lang.Float.parseFloat(parser.nextText());
                                                                                                                                                                                                        break;
                                                                                                                                                                                                    }
                                                                                                                                                                                                    DARK_ROOM_THRESH = java.lang.Float.parseFloat(parser.nextText());
                                                                                                                                                                                                    break;
                                                                                                                                                                                                }
                                                                                                                                                                                                BACK_FLOOR_THRESH = java.lang.Float.parseFloat(parser.nextText());
                                                                                                                                                                                                break;
                                                                                                                                                                                            }
                                                                                                                                                                                            BACK_ROOF_THRESH = java.lang.Float.parseFloat(parser.nextText());
                                                                                                                                                                                            break;
                                                                                                                                                                                        }
                                                                                                                                                                                        parseStabilizedProbabilityLUT(parser.nextText());
                                                                                                                                                                                        break;
                                                                                                                                                                                    }
                                                                                                                                                                                    parseSensorStabilityThresholdList(parser.nextText(), false);
                                                                                                                                                                                    break;
                                                                                                                                                                                }
                                                                                                                                                                                parseSensorStabilityThresholdList(parser.nextText(), true);
                                                                                                                                                                                break;
                                                                                                                                                                            }
                                                                                                                                                                            algorithmParametersLoadStarted = true;
                                                                                                                                                                            break;
                                                                                                                                                                        }
                                                                                                                                                                        mModuleSensorMap.put(nodeName, java.lang.Integer.valueOf(java.lang.Integer.parseInt(parser.nextText())));
                                                                                                                                                                        break;
                                                                                                                                                                    }
                                                                                                                                                                    moduleSensorOptionsLoadStarted = true;
                                                                                                                                                                    break;
                                                                                                                                                                }
                                                                                                                                                                Y_G_QUADRATIC_COEF = java.lang.Float.parseFloat(parser.nextText());
                                                                                                                                                                break;
                                                                                                                                                            }
                                                                                                                                                            Y_RG_COEF = java.lang.Float.parseFloat(parser.nextText());
                                                                                                                                                            break;
                                                                                                                                                        }
                                                                                                                                                        Y_G_COEF = java.lang.Float.parseFloat(parser.nextText());
                                                                                                                                                        break;
                                                                                                                                                    }
                                                                                                                                                    Y_R_QUADRATIC_COEF = java.lang.Float.parseFloat(parser.nextText());
                                                                                                                                                    break;
                                                                                                                                                }
                                                                                                                                                Y_R_COEF = java.lang.Float.parseFloat(parser.nextText());
                                                                                                                                                break;
                                                                                                                                            }
                                                                                                                                            Y_CONSTANT = java.lang.Float.parseFloat(parser.nextText());
                                                                                                                                            break;
                                                                                                                                        }
                                                                                                                                        X_G_QUADRATIC_COEF = java.lang.Float.parseFloat(parser.nextText());
                                                                                                                                        break;
                                                                                                                                    }
                                                                                                                                    X_RG_COEF = java.lang.Float.parseFloat(parser.nextText());
                                                                                                                                    break;
                                                                                                                                }
                                                                                                                                X_G_COEF = java.lang.Float.parseFloat(parser.nextText());
                                                                                                                                break;
                                                                                                                            }
                                                                                                                            X_R_QUADRATIC_COEF = java.lang.Float.parseFloat(parser.nextText());
                                                                                                                            break;
                                                                                                                        }
                                                                                                                        X_R_COEF = java.lang.Float.parseFloat(parser.nextText());
                                                                                                                        break;
                                                                                                                    }
                                                                                                                    X_CONSTANT = java.lang.Float.parseFloat(parser.nextText());
                                                                                                                    break;
                                                                                                                }
                                                                                                                LUX_COEF_LOW_BLUE = java.lang.Float.parseFloat(parser.nextText());
                                                                                                                break;
                                                                                                            }
                                                                                                            LUX_COEF_LOW_GREEN = java.lang.Float.parseFloat(parser.nextText());
                                                                                                            break;
                                                                                                        }
                                                                                                        LUX_COEF_LOW_RED = java.lang.Float.parseFloat(parser.nextText());
                                                                                                        break;
                                                                                                    }
                                                                                                    LUX_COEF_HIGH_BLUE = java.lang.Float.parseFloat(parser.nextText());
                                                                                                    break;
                                                                                                }
                                                                                                LUX_COEF_HIGH_GREEN = java.lang.Float.parseFloat(parser.nextText());
                                                                                                break;
                                                                                            }
                                                                                            LUX_COEF_HIGH_RED = java.lang.Float.parseFloat(parser.nextText());
                                                                                            break;
                                                                                        }
                                                                                        RATIO_IR_GREEN = java.lang.Float.parseFloat(parser.nextText());
                                                                                        break;
                                                                                    }
                                                                                    VERSION_SENSOR = java.lang.Integer.parseInt(parser.nextText());
                                                                                    break;
                                                                                }
                                                                                mFusedRateMillis = java.lang.Integer.parseInt(parser.nextText());
                                                                                break;
                                                                            }
                                                                            mBackRateMillis = java.lang.Integer.parseInt(parser.nextText());
                                                                            break;
                                                                        }
                                                                        mFrontRateMillis = java.lang.Integer.parseInt(parser.nextText());
                                                                        break;
                                                                    }
                                                                    PRODUCTION_CALIBRATION_IR1 = java.lang.Float.parseFloat(parser.nextText());
                                                                    break;
                                                                }
                                                                PRODUCTION_CALIBRATION_Z = java.lang.Float.parseFloat(parser.nextText());
                                                                break;
                                                            }
                                                            PRODUCTION_CALIBRATION_Y = java.lang.Float.parseFloat(parser.nextText());
                                                            break;
                                                        }
                                                        PRODUCTION_CALIBRATION_X = java.lang.Float.parseFloat(parser.nextText());
                                                        break;
                                                    }
                                                    AGAIN = java.lang.Float.parseFloat(parser.nextText());
                                                    break;
                                                }
                                                ATIME = java.lang.Float.parseFloat(parser.nextText());
                                                break;
                                            }
                                            parseColorMatrix(parser.nextText(), false);
                                            break;
                                        }
                                        parseLuxCoefficients(parser.nextText(), false);
                                        break;
                                    }
                                    parseColorMatrix(parser.nextText(), true);
                                    break;
                                }
                                parseLuxCoefficients(parser.nextText(), true);
                                break;
                            }
                            IR_BOUNDRY = java.lang.Float.parseFloat(parser.nextText());
                            break;
                        }
                        backSensorParamLoadStarted = true;
                        break;
                        break;
                    case 3:
                        nodeName = parser.getName();
                        if (!nodeName.equals("BackSensorParameters")) {
                            if (!nodeName.equals("ModuleSensorOptions")) {
                                if (nodeName.equals("AlgorithmParameters")) {
                                    algorithmParametersLoadStarted = false;
                                    break;
                                }
                            }
                            moduleSensorOptionsLoadStarted = false;
                            break;
                        }
                        backSensorParamLoadStarted = false;
                        break;
                        break;
                    default:
                        break;
                }
            }
            parseResult = true;
        } catch (org.xmlpull.v1.XmlPullParserException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("XmlPullParserException: ");
            stringBuilder.append(e);
            android.util.Slog.i("HwDualSensorEventListenerImpl", stringBuilder.toString());
        } catch (java.io.IOException e2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("IOException: ");
            stringBuilder.append(e2);
            android.util.Slog.i("HwDualSensorEventListenerImpl", stringBuilder.toString());
        } catch (java.lang.NumberFormatException e3) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("NumberFormatException: ");
            stringBuilder.append(e3);
            android.util.Slog.i("HwDualSensorEventListenerImpl", stringBuilder.toString());
        } catch (java.lang.RuntimeException e4) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("RuntimeException: ");
            stringBuilder.append(e4);
            android.util.Slog.i("HwDualSensorEventListenerImpl", stringBuilder.toString());
        } catch (java.lang.Exception e5) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Exception: ");
            stringBuilder.append(e5);
            android.util.Slog.i("HwDualSensorEventListenerImpl", stringBuilder.toString());
        }
        return parseResult;
    }

    private boolean parseLuxCoefficients(java.lang.String nodeContent, boolean isLow) {
        if (nodeContent == null) {
            return false;
        }
        java.lang.String[] splitedContent = nodeContent.split(",", 5);
        if (isLow) {
            LUX_COEF_LOW_X = java.lang.Float.parseFloat(splitedContent[0]);
            LUX_COEF_LOW_Y = java.lang.Float.parseFloat(splitedContent[1]);
            LUX_COEF_LOW_Z = java.lang.Float.parseFloat(splitedContent[2]);
            LUX_COEF_LOW_IR = java.lang.Float.parseFloat(splitedContent[3]);
            LUX_COEF_LOW_OFFSET = java.lang.Float.parseFloat(splitedContent[4]);
        } else {
            LUX_COEF_HIGH_X = java.lang.Float.parseFloat(splitedContent[0]);
            LUX_COEF_HIGH_Y = java.lang.Float.parseFloat(splitedContent[1]);
            LUX_COEF_HIGH_Z = java.lang.Float.parseFloat(splitedContent[2]);
            LUX_COEF_HIGH_IR = java.lang.Float.parseFloat(splitedContent[3]);
            LUX_COEF_HIGH_OFFSET = java.lang.Float.parseFloat(splitedContent[4]);
        }
        return true;
    }

    private boolean parseColorMatrix(java.lang.String nodeContent, boolean isLow) {
        if (nodeContent == null) {
            return false;
        }
        java.lang.String[] splitedContent = nodeContent.split(",", 12);
        if (isLow) {
            COLOR_MAT_LOW_11 = java.lang.Float.parseFloat(splitedContent[0]);
            COLOR_MAT_LOW_12 = java.lang.Float.parseFloat(splitedContent[1]);
            COLOR_MAT_LOW_13 = java.lang.Float.parseFloat(splitedContent[2]);
            COLOR_MAT_LOW_14 = java.lang.Float.parseFloat(splitedContent[3]);
            COLOR_MAT_LOW_21 = java.lang.Float.parseFloat(splitedContent[4]);
            COLOR_MAT_LOW_22 = java.lang.Float.parseFloat(splitedContent[5]);
            COLOR_MAT_LOW_23 = java.lang.Float.parseFloat(splitedContent[6]);
            COLOR_MAT_LOW_24 = java.lang.Float.parseFloat(splitedContent[7]);
            COLOR_MAT_LOW_31 = java.lang.Float.parseFloat(splitedContent[8]);
            COLOR_MAT_LOW_32 = java.lang.Float.parseFloat(splitedContent[9]);
            COLOR_MAT_LOW_33 = java.lang.Float.parseFloat(splitedContent[10]);
            COLOR_MAT_LOW_34 = java.lang.Float.parseFloat(splitedContent[11]);
        } else {
            COLOR_MAT_HIGH_11 = java.lang.Float.parseFloat(splitedContent[0]);
            COLOR_MAT_HIGH_12 = java.lang.Float.parseFloat(splitedContent[1]);
            COLOR_MAT_HIGH_13 = java.lang.Float.parseFloat(splitedContent[2]);
            COLOR_MAT_HIGH_14 = java.lang.Float.parseFloat(splitedContent[3]);
            COLOR_MAT_HIGH_21 = java.lang.Float.parseFloat(splitedContent[4]);
            COLOR_MAT_HIGH_22 = java.lang.Float.parseFloat(splitedContent[5]);
            COLOR_MAT_HIGH_23 = java.lang.Float.parseFloat(splitedContent[6]);
            COLOR_MAT_HIGH_24 = java.lang.Float.parseFloat(splitedContent[7]);
            COLOR_MAT_HIGH_31 = java.lang.Float.parseFloat(splitedContent[8]);
            COLOR_MAT_HIGH_32 = java.lang.Float.parseFloat(splitedContent[9]);
            COLOR_MAT_HIGH_33 = java.lang.Float.parseFloat(splitedContent[10]);
            COLOR_MAT_HIGH_34 = java.lang.Float.parseFloat(splitedContent[11]);
        }
        return true;
    }

    public int getModuleSensorOption(java.lang.String moduleName) {
        java.lang.StringBuilder stringBuilder;
        if (mModuleSensorMap == null || !mModuleSensorMap.containsKey(moduleName)) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(moduleName);
            stringBuilder.append(" getModuleSensorOption=");
            stringBuilder.append(-1);
            android.util.Slog.i("HwDualSensorEventListenerImpl", stringBuilder.toString());
            return -1;
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(moduleName);
        stringBuilder.append(" getModuleSensorOption=");
        stringBuilder.append(mModuleSensorMap.get(moduleName));
        android.util.Slog.i("HwDualSensorEventListenerImpl", stringBuilder.toString());
        return ((java.lang.Integer) mModuleSensorMap.get(moduleName)).intValue();
    }

    private boolean parseSensorStabilityThresholdList(java.lang.String nodeContent, boolean isFrontSensor) {
        int index = 0;
        if (nodeContent == null) {
            android.util.Slog.i("HwDualSensorEventListenerImpl", "parseSensorStabilityThresholdList nodeContent is null.");
            return false;
        }
        java.lang.String[] splitedContent = nodeContent.split(",", 4);
        int[] parsedArray = new int[4];
        while (index < 4) {
            parsedArray[index] = java.lang.Integer.parseInt(splitedContent[index]);
            index++;
        }
        if (isFrontSensor) {
            FRONT_SENSOR_STABILITY_THRESHOLD = java.util.Arrays.copyOf(parsedArray, parsedArray.length);
        } else {
            BACK_SENSOR_STABILITY_THRESHOLD = java.util.Arrays.copyOf(parsedArray, parsedArray.length);
        }
        return true;
    }

    private boolean parseStabilizedProbabilityLUT(java.lang.String nodeContent) {
        int index = 0;
        if (nodeContent == null) {
            android.util.Slog.d("HwDualSensorEventListenerImpl", "parseStabilizedProbabilityLUT nodeContent is null.");
            return false;
        }
        java.lang.String[] splitedContent = nodeContent.split(",", 25);
        int[] parsedArray = new int[25];
        while (index < 25) {
            parsedArray[index] = java.lang.Integer.parseInt(splitedContent[index]);
            index++;
        }
        STABILIZED_PROBABILITY_LUT = java.util.Arrays.copyOf(parsedArray, parsedArray.length);
        return true;
    }

    private void printParameters() {
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder;
            if (VERSION_SENSOR == 1) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("VERSION_SENSOR=");
                stringBuilder.append(VERSION_SENSOR);
                stringBuilder.append(" IR_BOUNDRY=");
                stringBuilder.append(IR_BOUNDRY);
                android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("LUX_COEF_LOW_X=");
                stringBuilder.append(LUX_COEF_LOW_X);
                stringBuilder.append(" LUX_COEF_LOW_Y=");
                stringBuilder.append(LUX_COEF_LOW_Y);
                stringBuilder.append(" LUX_COEF_LOW_Z=");
                stringBuilder.append(LUX_COEF_LOW_Z);
                stringBuilder.append(" LUX_COEF_LOW_IR=");
                stringBuilder.append(LUX_COEF_LOW_IR);
                stringBuilder.append(" LUX_COEF_LOW_OFFSET=");
                stringBuilder.append(LUX_COEF_LOW_OFFSET);
                android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("LUX_COEF_HIGH_X=");
                stringBuilder.append(LUX_COEF_HIGH_X);
                stringBuilder.append(" LUX_COEF_HIGH_Y=");
                stringBuilder.append(LUX_COEF_HIGH_Y);
                stringBuilder.append(" LUX_COEF_HIGH_Z=");
                stringBuilder.append(LUX_COEF_HIGH_Z);
                stringBuilder.append(" LUX_COEF_HIGH_IR=");
                stringBuilder.append(LUX_COEF_HIGH_IR);
                stringBuilder.append(" LUX_COEF_HIGH_OFFSET=");
                stringBuilder.append(LUX_COEF_HIGH_OFFSET);
                android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("COLOR_MAT_LOW_11=");
                stringBuilder.append(COLOR_MAT_LOW_11);
                stringBuilder.append(" COLOR_MAT_LOW_12=");
                stringBuilder.append(COLOR_MAT_LOW_12);
                stringBuilder.append(" COLOR_MAT_LOW_13=");
                stringBuilder.append(COLOR_MAT_LOW_13);
                stringBuilder.append(" COLOR_MAT_LOW_14=");
                stringBuilder.append(COLOR_MAT_LOW_14);
                stringBuilder.append(" COLOR_MAT_LOW_21=");
                stringBuilder.append(COLOR_MAT_LOW_21);
                stringBuilder.append(" COLOR_MAT_LOW_22=");
                stringBuilder.append(COLOR_MAT_LOW_22);
                stringBuilder.append(" COLOR_MAT_LOW_23=");
                stringBuilder.append(COLOR_MAT_LOW_23);
                stringBuilder.append(" COLOR_MAT_LOW_24=");
                stringBuilder.append(COLOR_MAT_LOW_24);
                stringBuilder.append(" COLOR_MAT_LOW_31=");
                stringBuilder.append(COLOR_MAT_LOW_31);
                stringBuilder.append(" COLOR_MAT_LOW_32=");
                stringBuilder.append(COLOR_MAT_LOW_32);
                stringBuilder.append(" COLOR_MAT_LOW_33=");
                stringBuilder.append(COLOR_MAT_LOW_33);
                stringBuilder.append(" COLOR_MAT_LOW_34=");
                stringBuilder.append(COLOR_MAT_LOW_34);
                android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("COLOR_MAT_HIGH_11=");
                stringBuilder.append(COLOR_MAT_HIGH_11);
                stringBuilder.append(" COLOR_MAT_HIGH_12=");
                stringBuilder.append(COLOR_MAT_HIGH_12);
                stringBuilder.append(" COLOR_MAT_HIGH_13=");
                stringBuilder.append(COLOR_MAT_HIGH_13);
                stringBuilder.append(" COLOR_MAT_HIGH_14=");
                stringBuilder.append(COLOR_MAT_HIGH_14);
                stringBuilder.append(" COLOR_MAT_HIGH_21=");
                stringBuilder.append(COLOR_MAT_HIGH_21);
                stringBuilder.append(" COLOR_MAT_HIGH_22=");
                stringBuilder.append(COLOR_MAT_HIGH_22);
                stringBuilder.append(" COLOR_MAT_HIGH_23=");
                stringBuilder.append(COLOR_MAT_HIGH_23);
                stringBuilder.append(" COLOR_MAT_HIGH_24=");
                stringBuilder.append(COLOR_MAT_HIGH_24);
                stringBuilder.append(" COLOR_MAT_HIGH_31=");
                stringBuilder.append(COLOR_MAT_HIGH_31);
                stringBuilder.append(" COLOR_MAT_HIGH_32=");
                stringBuilder.append(COLOR_MAT_HIGH_32);
                stringBuilder.append(" COLOR_MAT_HIGH_33=");
                stringBuilder.append(COLOR_MAT_HIGH_33);
                stringBuilder.append(" COLOR_MAT_HIGH_34=");
                stringBuilder.append(COLOR_MAT_HIGH_34);
                android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("ATime=");
                stringBuilder.append(ATIME);
                stringBuilder.append(" AGain=");
                stringBuilder.append(AGAIN);
                android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("ProductionCalibration:");
                stringBuilder.append(PRODUCTION_CALIBRATION_X);
                stringBuilder.append(" ");
                stringBuilder.append(PRODUCTION_CALIBRATION_Y);
                stringBuilder.append(" ");
                stringBuilder.append(PRODUCTION_CALIBRATION_Z);
                stringBuilder.append(" ");
                stringBuilder.append(PRODUCTION_CALIBRATION_IR1);
                android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
            } else if (VERSION_SENSOR == 2) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("VERSION_SENSOR=");
                stringBuilder.append(VERSION_SENSOR);
                stringBuilder.append(" RATIO_IR_GREEN=");
                stringBuilder.append(RATIO_IR_GREEN);
                android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("LUX_COEF_HIGH_RED=");
                stringBuilder.append(LUX_COEF_HIGH_RED);
                stringBuilder.append(" LUX_COEF_HIGH_GREEN=");
                stringBuilder.append(LUX_COEF_HIGH_GREEN);
                stringBuilder.append(" LUX_COEF_HIGH_BLUE=");
                stringBuilder.append(LUX_COEF_HIGH_BLUE);
                android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("LUX_COEF_LOW_RED=");
                stringBuilder.append(LUX_COEF_LOW_RED);
                stringBuilder.append(" LUX_COEF_LOW_GREEN=");
                stringBuilder.append(LUX_COEF_LOW_GREEN);
                stringBuilder.append(" LUX_COEF_LOW_BLUE=");
                stringBuilder.append(LUX_COEF_LOW_BLUE);
                android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("X_CONSTANT=");
                stringBuilder.append(X_CONSTANT);
                stringBuilder.append(" X_R_COEF=");
                stringBuilder.append(X_R_COEF);
                stringBuilder.append(" X_R_QUADRATIC_COEF=");
                stringBuilder.append(X_R_QUADRATIC_COEF);
                stringBuilder.append(" X_G_COEF=");
                stringBuilder.append(X_G_COEF);
                stringBuilder.append(" X_RG_COEF=");
                stringBuilder.append(X_RG_COEF);
                stringBuilder.append(" X_G_QUADRATIC_COEF=");
                stringBuilder.append(X_G_QUADRATIC_COEF);
                android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Y_CONSTANT=");
                stringBuilder.append(Y_CONSTANT);
                stringBuilder.append(" Y_R_COEF=");
                stringBuilder.append(Y_R_COEF);
                stringBuilder.append(" Y_R_QUADRATIC_COEF=");
                stringBuilder.append(Y_R_QUADRATIC_COEF);
                stringBuilder.append(" Y_G_COEF=");
                stringBuilder.append(Y_G_COEF);
                stringBuilder.append(" Y_RG_COEF=");
                stringBuilder.append(Y_RG_COEF);
                stringBuilder.append(" Y_G_QUADRATIC_COEF=");
                stringBuilder.append(Y_G_QUADRATIC_COEF);
                android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
            }
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mFrontRateMillis=");
            stringBuilder.append(mFrontRateMillis);
            stringBuilder.append(" mBackRateMillis=");
            stringBuilder.append(mBackRateMillis);
            stringBuilder.append(" mFusedRateMillis=");
            stringBuilder.append(mFusedRateMillis);
            android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("FRONT_SENSOR_STABILITY_THRESHOLD:");
            stringBuilder.append(java.util.Arrays.toString(FRONT_SENSOR_STABILITY_THRESHOLD));
            android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("BACK_SENSOR_STABILITY_THRESHOLD:");
            stringBuilder.append(java.util.Arrays.toString(BACK_SENSOR_STABILITY_THRESHOLD));
            android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("STABILIZED_PROBABILITY_LUT:");
            stringBuilder.append(java.util.Arrays.toString(STABILIZED_PROBABILITY_LUT));
            android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("BACK_ROOF_THRESH=");
            stringBuilder.append(BACK_ROOF_THRESH);
            stringBuilder.append(" BACK_FLOOR_THRESH=");
            stringBuilder.append(BACK_FLOOR_THRESH);
            stringBuilder.append(" DARK_ROOM_THRESH=");
            stringBuilder.append(DARK_ROOM_THRESH);
            stringBuilder.append(" DARK_ROOM_DELTA=");
            stringBuilder.append(DARK_ROOM_DELTA);
            android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("DARK_ROOM_THRESH1=");
            stringBuilder.append(DARK_ROOM_THRESH1);
            stringBuilder.append(" DARK_ROOM_THRESH2=");
            stringBuilder.append(DARK_ROOM_THRESH2);
            stringBuilder.append(" DARK_ROOM_THRESH3=");
            stringBuilder.append(DARK_ROOM_THRESH3);
            stringBuilder.append(" DARK_ROOM_DELTA1=");
            stringBuilder.append(DARK_ROOM_DELTA1);
            stringBuilder.append(" DARK_ROOM_DELTA2=");
            stringBuilder.append(DARK_ROOM_DELTA2);
            android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mFlashlightDetectionMode=");
            stringBuilder.append(mFlashlightDetectionMode);
            stringBuilder.append("FLASHLIGHT_OFF_TIME_THRESHOLD_MS=");
            stringBuilder.append(FLASHLIGHT_OFF_TIME_THRESHOLD_MS);
            android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mBackSensorTimeOutTH=");
            stringBuilder.append(this.mBackSensorTimeOutTH);
            stringBuilder.append("mBackSensorBypassCountMax=");
            stringBuilder.append(this.mBackSensorBypassCountMax);
            android.util.Slog.d("HwDualSensorEventListenerImpl", stringBuilder.toString());
        }
    }

    private void registerBackCameraTorchCallback() {
        try {
            this.mCameraManager = (android.hardware.camera2.CameraManager) this.mContext.getSystemService("camera");
            if (this.mCameraManager == null) {
                android.util.Slog.w("HwDualSensorEventListenerImpl", "mCameraManager is null");
                mFlashlightDetectionMode = 0;
            } else {
                android.util.Slog.i("HwDualSensorEventListenerImpl", "mCameraManager successfully obtained");
                for (java.lang.String id : this.mCameraManager.getCameraIdList()) {
                    android.hardware.camera2.CameraCharacteristics c = this.mCameraManager.getCameraCharacteristics(id);
                    java.lang.Boolean flashAvailable = (java.lang.Boolean) c.get(android.hardware.camera2.CameraCharacteristics.FLASH_INFO_AVAILABLE);
                    java.lang.Integer lensFacing = (java.lang.Integer) c.get(android.hardware.camera2.CameraCharacteristics.LENS_FACING);
                    if (flashAvailable != null && flashAvailable.booleanValue() && lensFacing != null && lensFacing.intValue() == 1) {
                        this.mBackCameraId = id;
                    }
                }
                if (this.mBackCameraId != null) {
                    try {
                        this.mCameraManager.registerTorchCallback(this.mTorchCallback, null);
                    } catch (java.lang.IllegalArgumentException e) {
                        mFlashlightDetectionMode = 0;
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("IllegalArgumentException ");
                        stringBuilder.append(e);
                        android.util.Slog.w("HwDualSensorEventListenerImpl", stringBuilder.toString());
                    }
                } else {
                    android.util.Slog.w("HwDualSensorEventListenerImpl", "mBackCameraId is null");
                    mFlashlightDetectionMode = 0;
                }
            }
        } catch (android.hardware.camera2.CameraAccessException e2) {
            mFlashlightDetectionMode = 0;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("CameraAccessException ");
            stringBuilder2.append(e2);
            android.util.Slog.w("HwDualSensorEventListenerImpl", stringBuilder2.toString());
        }
    }
}
