package com.android.server.display;

public class HwEyeProtectionDividedTimeControl {
    private static final java.lang.String[] ACTION_DIVIDED_TIME_CONTROL = new java.lang.String[]{"com.android.server.action.DIVIDED_TIME_CONTROL_START", "com.android.server.action.DIVIDED_TIME_CONTROL_END"};
    public static final int ALARM_TYPE_DIVIDED_TIME_CONTROL_END = 1;
    public static final int ALARM_TYPE_DIVIDED_TIME_CONTROL_MAX = 2;
    public static final int ALARM_TYPE_DIVIDED_TIME_CONTROL_START = 0;
    public static final int DAY_IN_MINUTE = 1440;
    public static final long DAY_IN_MIllIS = 86400000;
    private static final int DEFAULT_TIME = -1;
    private static final int DEFAULT_USER = 0;
    private static final int HOUR_IN_MINUTE = 60;
    private static final java.lang.String TAG = "EyeProtectionDividedTimeControl";
    private static final java.lang.String USER_ID = "user_id";
    private android.app.AlarmManager mAlarmManager = null;
    private android.content.Context mContext;
    private com.android.server.display.HwEyeProtectionControllerImpl mEyeProtectionControlImpl = null;
    private boolean mInDividedTimeFlag = false;
    private boolean mInNextDay = false;
    private boolean mNowInNextDay = false;
    private int mScheduledBeginHour = -1;
    private int mScheduledBeginMinute = -1;
    private long mScheduledBeginTime = -1;
    private int mScheduledEndHour = -1;
    private int mScheduledEndMinute = -1;
    private long mScheduledEndTime = -1;
    private com.android.server.display.HwEyeProtectionDividedTimeControl.TimeControlAlarmReceiver mTimeControlAlarmReceiver = null;

    private class TimeControlAlarmReceiver extends android.content.BroadcastReceiver {
        public TimeControlAlarmReceiver() {
            android.content.IntentFilter filter = new android.content.IntentFilter();
            filter.addAction(com.android.server.display.HwEyeProtectionDividedTimeControl.ACTION_DIVIDED_TIME_CONTROL[0]);
            filter.addAction(com.android.server.display.HwEyeProtectionDividedTimeControl.ACTION_DIVIDED_TIME_CONTROL[1]);
            com.android.server.display.HwEyeProtectionDividedTimeControl.this.mContext.registerReceiver(this, filter);
            android.util.Slog.d("EyeProtectionDividedTimeControl", "TimeControlAlarmReceiver registerReceiver");
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (intent != null) {
                android.os.PowerManager pm = (android.os.PowerManager) context.getSystemService("power");
                boolean isScreenOn = pm.isScreenOn();
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("onReceive intent action = ");
                stringBuilder.append(intent.getAction());
                stringBuilder.append(",isScreenOn ");
                stringBuilder.append(isScreenOn);
                android.util.Slog.i("EyeProtectionDividedTimeControl", stringBuilder.toString());
                if (com.android.server.display.HwEyeProtectionDividedTimeControl.ACTION_DIVIDED_TIME_CONTROL[0].equals(intent.getAction())) {
                    com.android.server.display.HwEyeProtectionDividedTimeControl.this.setTimeControlAlarm(86400000, 0);
                    com.android.server.display.HwEyeProtectionDividedTimeControl.this.setValidTime(false);
                    if (!isScreenOn) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("isScreenon is ");
                        stringBuilder.append(pm.isScreenOn());
                        android.util.Slog.i("EyeProtectionDividedTimeControl", stringBuilder.toString());
                        com.android.server.display.HwEyeProtectionDividedTimeControl.this.mEyeProtectionControlImpl.setEyeProtectionScreenTurnOffMode(2);
                    } else if (com.android.server.display.HwEyeProtectionDividedTimeControl.this.mInDividedTimeFlag) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("onReceive intent action = ");
                        stringBuilder.append(intent.getAction());
                        stringBuilder.append(" has in divided time status");
                        android.util.Slog.i("EyeProtectionDividedTimeControl", stringBuilder.toString());
                    } else {
                        com.android.server.display.HwEyeProtectionDividedTimeControl.this.mInDividedTimeFlag = true;
                        com.android.server.display.HwEyeProtectionDividedTimeControl.this.mEyeProtectionControlImpl.setEyeScheduleSwitchToUserMode(3);
                    }
                } else if (com.android.server.display.HwEyeProtectionDividedTimeControl.ACTION_DIVIDED_TIME_CONTROL[1].equals(intent.getAction())) {
                    com.android.server.display.HwEyeProtectionDividedTimeControl.this.mInDividedTimeFlag = false;
                    if (com.android.server.display.HwEyeProtectionDividedTimeControl.this.mInNextDay) {
                        com.android.server.display.HwEyeProtectionDividedTimeControl.this.setTimeControlAlarm(0, 1);
                    } else {
                        com.android.server.display.HwEyeProtectionDividedTimeControl.this.setTimeControlAlarm(86400000, 1);
                    }
                    if (isScreenOn) {
                        com.android.server.display.HwEyeProtectionDividedTimeControl.this.mEyeProtectionControlImpl.setEyeScheduleSwitchToUserMode(0);
                    } else {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("isScreenon is ");
                        stringBuilder.append(pm.isScreenOn());
                        android.util.Slog.i("EyeProtectionDividedTimeControl", stringBuilder.toString());
                        com.android.server.display.HwEyeProtectionDividedTimeControl.this.mEyeProtectionControlImpl.setEyeProtectionScreenTurnOffMode(1);
                    }
                }
            }
        }
    }

    public HwEyeProtectionDividedTimeControl(android.content.Context context, com.android.server.display.HwEyeProtectionControllerImpl eyeProtectionControlImpl) {
        this.mAlarmManager = (android.app.AlarmManager) context.getSystemService("alarm");
        if (this.mAlarmManager == null) {
            android.util.Slog.d("EyeProtectionDividedTimeControl", "can not get alarmManager");
        }
        this.mContext = context;
        this.mEyeProtectionControlImpl = eyeProtectionControlImpl;
    }

    protected void init() {
        this.mTimeControlAlarmReceiver = new com.android.server.display.HwEyeProtectionDividedTimeControl.TimeControlAlarmReceiver();
    }

    public void setTimeControlAlarm(long delayTime, int type) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("set setTimeControlAlarm type is ");
        stringBuilder.append(type);
        stringBuilder.append(", delayTime is ");
        stringBuilder.append(delayTime);
        android.util.Slog.d("EyeProtectionDividedTimeControl", stringBuilder.toString());
        if (type < 2 && this.mScheduledBeginHour != -1) {
            if (this.mScheduledEndHour != -1) {
                java.lang.StringBuilder stringBuilder2;
                java.util.Calendar cal = java.util.Calendar.getInstance();
                cal.setTimeInMillis(java.lang.System.currentTimeMillis());
                int day = cal.get(5);
                cal.set(13, 0);
                cal.set(14, 0);
                if (type == 0) {
                    if (delayTime != 0) {
                        day++;
                    }
                    cal.set(11, this.mScheduledBeginHour);
                    cal.set(12, this.mScheduledBeginMinute);
                    cal.set(5, day);
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("set setTimeControlAlarm mScheduledBeginHour ");
                    stringBuilder2.append(this.mScheduledBeginHour);
                    stringBuilder2.append(", mScheduledBeginMinute is ");
                    stringBuilder2.append(this.mScheduledBeginMinute);
                    stringBuilder2.append(", day is ");
                    stringBuilder2.append(day);
                    android.util.Slog.i("EyeProtectionDividedTimeControl", stringBuilder2.toString());
                } else {
                    cal.set(11, this.mScheduledEndHour);
                    cal.set(12, this.mScheduledEndMinute);
                    if (this.mInNextDay && delayTime != 0) {
                        day += 2;
                    }
                    if (this.mInNextDay && delayTime == 0) {
                        if (this.mInDividedTimeFlag && this.mNowInNextDay) {
                            android.util.Slog.i("EyeProtectionDividedTimeControl", "end time has not coming set it in today");
                        } else {
                            day++;
                        }
                    }
                    if (!(this.mInNextDay || delayTime == 0)) {
                        day++;
                    }
                    cal.set(5, day);
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("set setTimeControlAlarm mScheduledEndHour ");
                    stringBuilder2.append(this.mScheduledEndHour);
                    stringBuilder2.append(", mScheduledEndMinute is ");
                    stringBuilder2.append(this.mScheduledEndMinute);
                    stringBuilder2.append(", day is ");
                    stringBuilder2.append(day);
                    android.util.Slog.i("EyeProtectionDividedTimeControl", stringBuilder2.toString());
                }
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("set setTimeControlAlarm day is ");
                stringBuilder2.append(day);
                android.util.Slog.i("EyeProtectionDividedTimeControl", stringBuilder2.toString());
                long time = cal.getTimeInMillis();
                android.content.Intent intent = new android.content.Intent(ACTION_DIVIDED_TIME_CONTROL[type]);
                android.app.PendingIntent pending = android.app.PendingIntent.getBroadcast(this.mContext, 0, intent, 0);
                if (pending != null) {
                    this.mAlarmManager.cancel(pending);
                    android.util.Slog.d("EyeProtectionDividedTimeControl", "setTimeControlAlarm(): cancel prev alarm");
                }
                this.mAlarmManager.setExact(0, time, android.app.PendingIntent.getBroadcast(this.mContext, 0, intent, 0));
            }
        }
    }

    protected boolean isNeedDelay() {
        java.util.Calendar cal = java.util.Calendar.getInstance();
        int hour = cal.get(11);
        int minute = cal.get(12);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("hour is ");
        stringBuilder.append(hour);
        stringBuilder.append(",minute is ");
        stringBuilder.append(minute);
        stringBuilder.append(",mScheduledBeginHour is ");
        stringBuilder.append(this.mScheduledBeginHour);
        stringBuilder.append(", mScheduledBeginMinute is ");
        stringBuilder.append(this.mScheduledBeginMinute);
        android.util.Slog.d("EyeProtectionDividedTimeControl", stringBuilder.toString());
        if (hour <= this.mScheduledBeginHour) {
            if (hour != this.mScheduledBeginHour || minute < this.mScheduledBeginMinute) {
                return false;
            }
        }
        return true;
    }

    protected void setTime(int time, int type) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("set time type is ");
        stringBuilder.append(type);
        android.util.Slog.d("EyeProtectionDividedTimeControl", stringBuilder.toString());
        if (type == 0) {
            this.mScheduledBeginTime = (long) time;
        } else if (type == 1) {
            this.mScheduledEndTime = (long) time;
        } else {
            android.util.Slog.d("EyeProtectionDividedTimeControl", "no type to settime");
            return;
        }
        SetHourAndMininte(time, type);
    }

    private void SetHourAndMininte(int time, int type) {
        int hour = time / 60;
        int minute = time % 60;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("SetHourAndMininte hour is ");
        stringBuilder.append(hour);
        stringBuilder.append(",minute is ");
        stringBuilder.append(minute);
        android.util.Slog.d("EyeProtectionDividedTimeControl", stringBuilder.toString());
        if (type == 0) {
            this.mScheduledBeginHour = hour;
            this.mScheduledBeginMinute = minute;
        } else if (type == 1) {
            this.mScheduledEndHour = hour;
            this.mScheduledEndMinute = minute;
        } else {
            android.util.Log.d("EyeProtectionDividedTimeControl", "no type to set hour and minute");
        }
    }

    private void SetTimeToDefault(int defaultValue) {
        this.mScheduledBeginTime = (long) defaultValue;
        this.mScheduledEndTime = (long) defaultValue;
        this.mScheduledBeginHour = defaultValue;
        this.mScheduledBeginMinute = defaultValue;
        this.mScheduledEndHour = defaultValue;
        this.mScheduledEndMinute = defaultValue;
    }

    public void cancelTimeControlAlarm(int type) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("cancelTimeControlAlarm type is ");
        stringBuilder.append(type);
        android.util.Slog.d("EyeProtectionDividedTimeControl", stringBuilder.toString());
        if (type < 2) {
            android.app.PendingIntent pending = android.app.PendingIntent.getBroadcast(this.mContext, 0, new android.content.Intent(ACTION_DIVIDED_TIME_CONTROL[type]), 0);
            if (pending != null) {
                this.mAlarmManager.cancel(pending);
            }
        }
    }

    public void delayTimeControlAlarm(long time, int type) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("delayTimeControlAlarm type is ");
        stringBuilder.append(type);
        android.util.Slog.d("EyeProtectionDividedTimeControl", stringBuilder.toString());
        if (type < 2) {
            android.content.Intent intent = new android.content.Intent(ACTION_DIVIDED_TIME_CONTROL[type]);
            android.app.PendingIntent pending = android.app.PendingIntent.getBroadcast(this.mContext, 0, intent, 0);
            if (pending != null) {
                this.mAlarmManager.cancel(pending);
            }
            this.mAlarmManager.setExact(0, time, android.app.PendingIntent.getBroadcast(this.mContext, 0, intent, 0));
        }
    }

    public boolean getInDividedTimeFlag() {
        return this.mInDividedTimeFlag;
    }

    public void setInDividedTimeFlag(boolean flag) {
        this.mInDividedTimeFlag = flag;
    }

    public void updateDiviedTimeFlag() {
        if (this.mScheduledBeginTime != -1) {
            if (this.mScheduledEndTime != -1) {
                java.util.Calendar cal = java.util.Calendar.getInstance();
                cal.setTimeInMillis(java.lang.System.currentTimeMillis());
                int curTime = (cal.get(11) * 60) + cal.get(12);
                int beginTime = (this.mScheduledBeginHour * 60) + this.mScheduledBeginMinute;
                int endTime = (this.mScheduledEndHour * 60) + this.mScheduledEndMinute;
                this.mInNextDay = false;
                this.mNowInNextDay = false;
                if (endTime < beginTime) {
                    this.mInNextDay = true;
                }
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("updateDiviedTimeFlag mScheduledBeginHour=");
                stringBuilder.append(this.mScheduledBeginHour);
                stringBuilder.append(",mScheduledBeginMinute=");
                stringBuilder.append(this.mScheduledBeginMinute);
                android.util.Slog.d("EyeProtectionDividedTimeControl", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("updateDiviedTimeFlag mScheduledEndHour=");
                stringBuilder.append(this.mScheduledEndHour);
                stringBuilder.append(",mScheduledEndMinute=");
                stringBuilder.append(this.mScheduledEndMinute);
                stringBuilder.append(",inNextDay is ");
                stringBuilder.append(this.mInNextDay);
                android.util.Slog.d("EyeProtectionDividedTimeControl", stringBuilder.toString());
                if (this.mInNextDay) {
                    if ((curTime < beginTime || curTime >= 1440) && (curTime < 0 || curTime > endTime)) {
                        this.mInDividedTimeFlag = false;
                    } else {
                        this.mInDividedTimeFlag = true;
                        if (curTime >= 0 && curTime <= endTime) {
                            this.mNowInNextDay = true;
                        }
                    }
                } else if (curTime < beginTime || curTime >= endTime) {
                    this.mInDividedTimeFlag = false;
                } else {
                    this.mInDividedTimeFlag = true;
                }
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("updateDiviedTimeFlag mInDividedTimeFlag=");
                stringBuilder2.append(this.mInDividedTimeFlag);
                android.util.Slog.d("EyeProtectionDividedTimeControl", stringBuilder2.toString());
            }
        }
    }

    public void reSetTimeControlAlarm() {
        if (this.mScheduledBeginTime != -1) {
            if (this.mScheduledEndTime != -1) {
                android.util.Slog.d("EyeProtectionDividedTimeControl", "reSetTimeControlAlarm");
                java.util.Calendar cal = java.util.Calendar.getInstance();
                cal.setTimeInMillis(java.lang.System.currentTimeMillis());
                int curTime = (cal.get(11) * 60) + cal.get(12);
                int beginTime = (this.mScheduledBeginHour * 60) + this.mScheduledBeginMinute;
                int endTime = (this.mScheduledEndHour * 60) + this.mScheduledEndMinute;
                this.mInNextDay = false;
                this.mNowInNextDay = false;
                if (endTime < beginTime) {
                    this.mInNextDay = true;
                }
                if (this.mInNextDay) {
                    resetTimeControlAlarmNextDay(curTime, beginTime, endTime);
                } else {
                    resetTimeControlAlarmToday(curTime, beginTime, endTime);
                }
            }
        }
    }

    private void resetTimeControlAlarmToday(int curTime, int beginTime, int endTime) {
        if (curTime >= beginTime && curTime < endTime) {
            this.mInDividedTimeFlag = true;
            setTimeControlAlarm(86400000, 0);
            setTimeControlAlarm(0, 1);
        } else if (curTime >= endTime) {
            this.mInDividedTimeFlag = false;
            setTimeControlAlarm(86400000, 0);
            setTimeControlAlarm(86400000, 1);
        } else if (curTime < beginTime) {
            this.mInDividedTimeFlag = false;
            setTimeControlAlarm(0, 0);
            setTimeControlAlarm(0, 1);
        }
    }

    private void resetTimeControlAlarmNextDay(int curTime, int beginTime, int endTime) {
        if ((curTime < beginTime || curTime >= 1440) && (curTime < 0 || curTime > endTime)) {
            this.mInDividedTimeFlag = false;
            setTimeControlAlarm(0, 0);
            setTimeControlAlarm(0, 1);
            return;
        }
        this.mInDividedTimeFlag = true;
        if (curTime >= 0 && curTime <= endTime) {
            this.mNowInNextDay = true;
            setTimeControlAlarm(0, 0);
            setTimeControlAlarm(0, 1);
        }
        if (curTime >= beginTime && curTime < 1440) {
            setTimeControlAlarm(86400000, 0);
            setTimeControlAlarm(0, 1);
        }
    }

    public boolean testTimeIsValid(long time) {
        if (time != 0 && java.lang.System.currentTimeMillis() < time) {
            return true;
        }
        return false;
    }

    public void setValidTime(boolean bValidFlg) {
        long validtime = 0;
        if (bValidFlg) {
            validtime = getValidTime();
        }
        android.provider.Settings.System.putLongForUser(this.mContext.getContentResolver(), "eye_comfort_valid", validtime, -2);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setValidTime validtime is ");
        stringBuilder.append(validtime);
        stringBuilder.append(", user =");
        stringBuilder.append(-2);
        android.util.Slog.i("EyeProtectionDividedTimeControl", stringBuilder.toString());
    }

    private long getValidTime() {
        java.util.Calendar c = java.util.Calendar.getInstance();
        c.set(5, c.get(5) + 1);
        return c.getTimeInMillis();
    }
}
