package com.android.server.display;

final class HwEyeProtectionXmlLoader {
    private static final boolean HWDEBUG;
    private static final boolean HWFLOW;
    private static final java.lang.String TAG = "HwEyeProtectionXmlLoader";
    private static com.android.server.display.HwEyeProtectionXmlLoader.Data mData = new com.android.server.display.HwEyeProtectionXmlLoader.Data();
    private static com.android.server.display.HwEyeProtectionXmlLoader mLoader;
    private static final java.lang.Object mLock = new java.lang.Object();

    public static class Data {
        public int brightTimeDelay = 1000;
        public boolean brightTimeDelayEnable = true;
        public float brightTimeDelayLuxThreshold = 30.0f;
        public float brightenDebounceTime = 1000.0f;
        public java.util.List<android.graphics.PointF> brightenlinePoints = new java.util.ArrayList();
        public int darkTimeDelay = 10000;
        public float darkTimeDelayBeta0 = 0.0f;
        public float darkTimeDelayBeta1 = 1.0f;
        public float darkTimeDelayBeta2 = 0.333f;
        public boolean darkTimeDelayEnable = false;
        public float darkTimeDelayLuxThreshold = 50.0f;
        public int darkenDebounceTime = 4000;
        public java.util.List<android.graphics.PointF> darkenlinePoints = new java.util.ArrayList();
        public int postMaxMinAvgFilterNoFilterNum = 6;
        public int postMaxMinAvgFilterNum = 5;
        public int postMeanFilterNoFilterNum = 4;
        public int postMeanFilterNum = 3;
        public int postMethodNum = 1;
        public int preMeanFilterNoFilterNum = 7;
        public int preMeanFilterNum = 3;
        public int preMethodNum = 0;
        public float preWeightedMeanFilterAlpha = 0.5f;
        public float preWeightedMeanFilterLuxTh = 12.0f;
        public int preWeightedMeanFilterMaxFuncLuxNum = 3;
        public int preWeightedMeanFilterNoFilterNum = 7;
        public int preWeightedMeanFilterNum = 1;

        public void printData() {
            if (com.android.server.display.HwEyeProtectionXmlLoader.HWFLOW) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() preMeanFilterNum=");
                stringBuilder.append(this.preMeanFilterNum);
                stringBuilder.append(", preMeanFilterNoFilterNum=");
                stringBuilder.append(this.preMeanFilterNoFilterNum);
                stringBuilder.append(", preWeightedMeanFilterNum=");
                stringBuilder.append(this.preWeightedMeanFilterNum);
                stringBuilder.append(", preWeightedMeanFilterMaxFuncLuxNum=");
                stringBuilder.append(this.preWeightedMeanFilterMaxFuncLuxNum);
                stringBuilder.append(", preWeightedMeanFilterLuxTh=");
                stringBuilder.append(this.preWeightedMeanFilterLuxTh);
                stringBuilder.append(", preWeightedMeanFilterAlpha=");
                stringBuilder.append(this.preWeightedMeanFilterAlpha);
                stringBuilder.append(", preWeightedMeanFilterNoFilterNum=");
                stringBuilder.append(this.preWeightedMeanFilterNoFilterNum);
                stringBuilder.append(", postMeanFilterNum=");
                stringBuilder.append(this.postMeanFilterNum);
                stringBuilder.append(", postMeanFilterNoFilterNum=");
                stringBuilder.append(this.postMeanFilterNoFilterNum);
                stringBuilder.append(", postMaxMinAvgFilterNum=");
                stringBuilder.append(this.postMaxMinAvgFilterNum);
                stringBuilder.append(", postMeanFilterNoFilterNum=");
                stringBuilder.append(this.postMeanFilterNoFilterNum);
                stringBuilder.append(", preMethodNum=");
                stringBuilder.append(this.preMethodNum);
                stringBuilder.append(", postMethodNum=");
                stringBuilder.append(this.postMethodNum);
                stringBuilder.append(", brightTimeDelay=");
                stringBuilder.append(this.brightTimeDelay);
                stringBuilder.append(", brightenDebounceTime=");
                stringBuilder.append(this.brightenDebounceTime);
                stringBuilder.append(", brightTimeDelayLuxThreshold=");
                stringBuilder.append(this.brightTimeDelayLuxThreshold);
                stringBuilder.append(", brightTimeDelayEnable=");
                stringBuilder.append(this.brightTimeDelayEnable);
                stringBuilder.append(", darkTimeDelayLuxThreshold=");
                stringBuilder.append(this.darkTimeDelayLuxThreshold);
                stringBuilder.append(", darkTimeDelayEnable=");
                stringBuilder.append(this.darkTimeDelayEnable);
                stringBuilder.append(", darkTimeDelayBeta2=");
                stringBuilder.append(this.darkTimeDelayBeta2);
                stringBuilder.append(", darkTimeDelayBeta1=");
                stringBuilder.append(this.darkTimeDelayBeta1);
                stringBuilder.append(", darkTimeDelayBeta0=");
                stringBuilder.append(this.darkTimeDelayBeta0);
                stringBuilder.append(", darkTimeDelay=");
                stringBuilder.append(this.darkTimeDelay);
                stringBuilder.append(", brightenlinePoints=");
                stringBuilder.append(this.brightenlinePoints);
                stringBuilder.append(", darkenlinePoints=");
                stringBuilder.append(this.darkenlinePoints);
                android.util.Slog.i("HwEyeProtectionXmlLoader", stringBuilder.toString());
            }
        }

        public void loadDefaultConfig() {
            if (com.android.server.display.HwEyeProtectionXmlLoader.HWFLOW) {
                android.util.Slog.i("HwEyeProtectionXmlLoader", "loadDefaultConfig()");
            }
            this.brightenDebounceTime = 1000.0f;
            this.brightTimeDelay = 1000;
            this.brightTimeDelayEnable = false;
            this.brightTimeDelayLuxThreshold = 30.0f;
            this.darkenDebounceTime = 4000;
            this.darkTimeDelay = 10000;
            this.darkTimeDelayBeta0 = 0.0f;
            this.darkTimeDelayBeta1 = 1.0f;
            this.darkTimeDelayBeta2 = 0.333f;
            this.darkTimeDelayEnable = false;
            this.darkTimeDelayLuxThreshold = 50.0f;
            this.postMaxMinAvgFilterNoFilterNum = 6;
            this.postMaxMinAvgFilterNum = 5;
            this.postMeanFilterNoFilterNum = 4;
            this.postMeanFilterNum = 3;
            this.postMethodNum = 1;
            this.preMeanFilterNoFilterNum = 7;
            this.preMeanFilterNum = 3;
            this.preMethodNum = 0;
            this.preWeightedMeanFilterAlpha = 0.5f;
            this.preWeightedMeanFilterLuxTh = 12.0f;
            this.preWeightedMeanFilterMaxFuncLuxNum = 3;
            this.preWeightedMeanFilterNoFilterNum = 7;
            this.preWeightedMeanFilterNum = 1;
            this.brightenlinePoints.clear();
            this.brightenlinePoints.add(new android.graphics.PointF(0.0f, 2.0f));
            this.brightenlinePoints.add(new android.graphics.PointF(5.0f, 10.0f));
            this.brightenlinePoints.add(new android.graphics.PointF(10.0f, 19.0f));
            this.brightenlinePoints.add(new android.graphics.PointF(20.0f, 89.0f));
            this.brightenlinePoints.add(new android.graphics.PointF(30.0f, 200.0f));
            this.brightenlinePoints.add(new android.graphics.PointF(100.0f, 439.0f));
            this.brightenlinePoints.add(new android.graphics.PointF(500.0f, 739.0f));
            this.brightenlinePoints.add(new android.graphics.PointF(1000.0f, 989.0f));
            this.brightenlinePoints.add(new android.graphics.PointF(3000.0f, 1000.0f));
            this.brightenlinePoints.add(new android.graphics.PointF(4000.0f, 2000.0f));
            this.brightenlinePoints.add(new android.graphics.PointF(10000.0f, 3000.0f));
            this.brightenlinePoints.add(new android.graphics.PointF(20000.0f, 10000.0f));
            this.brightenlinePoints.add(new android.graphics.PointF(40000.0f, 40000.0f));
            this.darkenlinePoints.clear();
            this.darkenlinePoints.add(new android.graphics.PointF(0.0f, 1.0f));
            this.darkenlinePoints.add(new android.graphics.PointF(1.0f, 1.0f));
            this.darkenlinePoints.add(new android.graphics.PointF(50.0f, 35.0f));
            this.darkenlinePoints.add(new android.graphics.PointF(100.0f, 80.0f));
            this.darkenlinePoints.add(new android.graphics.PointF(200.0f, 170.0f));
            this.darkenlinePoints.add(new android.graphics.PointF(300.0f, 225.0f));
            this.darkenlinePoints.add(new android.graphics.PointF(500.0f, 273.0f));
            this.darkenlinePoints.add(new android.graphics.PointF(600.0f, 322.0f));
            this.darkenlinePoints.add(new android.graphics.PointF(1200.0f, 600.0f));
            this.darkenlinePoints.add(new android.graphics.PointF(1800.0f, 600.0f));
            this.darkenlinePoints.add(new android.graphics.PointF(4000.0f, 2000.0f));
            this.darkenlinePoints.add(new android.graphics.PointF(8000.0f, 4000.0f));
            this.darkenlinePoints.add(new android.graphics.PointF(12000.0f, 6000.0f));
            this.darkenlinePoints.add(new android.graphics.PointF(40000.0f, 20000.0f));
        }
    }

    private static class Element_BrightenLinePoints extends com.android.server.display.HwXmlElement {
        private Element_BrightenLinePoints() {
        }

        public java.lang.String getName() {
            return "BrightenLinePoints";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }
    }

    private static class Element_BrightenLinePoints_Point extends com.android.server.display.HwXmlElement {
        private Element_BrightenLinePoints_Point() {
        }

        public java.lang.String getName() {
            return "Point";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            com.android.server.display.HwEyeProtectionXmlLoader.mData.brightenlinePoints = com.android.server.display.HwXmlElement.parsePointFList(parser, com.android.server.display.HwEyeProtectionXmlLoader.mData.brightenlinePoints);
            return true;
        }

        protected boolean checkValue() {
            return com.android.server.display.HwEyeProtectionXmlLoader.checkPointsListIsOK(com.android.server.display.HwEyeProtectionXmlLoader.mData.brightenlinePoints);
        }
    }

    private static class Element_DarkenLinePoints extends com.android.server.display.HwXmlElement {
        private Element_DarkenLinePoints() {
        }

        public java.lang.String getName() {
            return "DarkenLinePoints";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }
    }

    private static class Element_DarkenLinePoints_Point extends com.android.server.display.HwXmlElement {
        private Element_DarkenLinePoints_Point() {
        }

        public java.lang.String getName() {
            return "Point";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            com.android.server.display.HwEyeProtectionXmlLoader.mData.darkenlinePoints = com.android.server.display.HwXmlElement.parsePointFList(parser, com.android.server.display.HwEyeProtectionXmlLoader.mData.darkenlinePoints);
            return true;
        }

        protected boolean checkValue() {
            return com.android.server.display.HwEyeProtectionXmlLoader.checkPointsListIsOK(com.android.server.display.HwEyeProtectionXmlLoader.mData.darkenlinePoints);
        }
    }

    private static class Element_EyeProtectionConfig extends com.android.server.display.HwXmlElement {
        private Element_EyeProtectionConfig() {
        }

        public java.lang.String getName() {
            return "EyeProtectionConfig";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }
    }

    private static class Element_FilterConfig extends com.android.server.display.HwXmlElement {
        private Element_FilterConfig() {
        }

        public java.lang.String getName() {
            return "FilterConfig";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }
    }

    private static class Element_FilterGroup extends com.android.server.display.HwXmlElement {
        private Element_FilterGroup() {
        }

        public java.lang.String getName() {
            return "FilterGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"BrightenDebounceTime", "DarkenDebounceTime", "DarkTimeDelayEnable", "PostMeanFilterNoFilterNum", "PostMeanFilterNum", "PostMethodNum", "PreMeanFilterNoFilterNum", "PreMeanFilterNum", "PreMethodNum"});
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = 0;
            r3 = 1;
            switch(r1) {
                case -1216473595: goto L_0x005f;
                case -806082151: goto L_0x0055;
                case -599365355: goto L_0x004b;
                case 157937894: goto L_0x0041;
                case 620980681: goto L_0x0037;
                case 1431493488: goto L_0x002d;
                case 1443034509: goto L_0x0023;
                case 1521603939: goto L_0x0019;
                case 1524020130: goto L_0x000e;
                default: goto L_0x000d;
            };
        L_0x000d:
            goto L_0x0069;
        L_0x000e:
            r1 = "PreMethodNum";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0016:
            r1 = 8;
            goto L_0x006a;
        L_0x0019:
            r1 = "DarkTimeDelayEnable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0021:
            r1 = 2;
            goto L_0x006a;
        L_0x0023:
            r1 = "PreMeanFilterNoFilterNum";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x002b:
            r1 = 6;
            goto L_0x006a;
        L_0x002d:
            r1 = "PostMeanFilterNoFilterNum";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0035:
            r1 = 3;
            goto L_0x006a;
        L_0x0037:
            r1 = "PostMeanFilterNum";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x003f:
            r1 = 4;
            goto L_0x006a;
        L_0x0041:
            r1 = "PreMeanFilterNum";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0049:
            r1 = 7;
            goto L_0x006a;
        L_0x004b:
            r1 = "DarkenDebounceTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0053:
            r1 = r3;
            goto L_0x006a;
        L_0x0055:
            r1 = "BrightenDebounceTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x005d:
            r1 = r2;
            goto L_0x006a;
        L_0x005f:
            r1 = "PostMethodNum";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0067:
            r1 = 5;
            goto L_0x006a;
        L_0x0069:
            r1 = -1;
        L_0x006a:
            switch(r1) {
                case 0: goto L_0x00fe;
                case 1: goto L_0x00ef;
                case 2: goto L_0x00e0;
                case 3: goto L_0x00d1;
                case 4: goto L_0x00c2;
                case 5: goto L_0x00b3;
                case 6: goto L_0x00a4;
                case 7: goto L_0x0095;
                case 8: goto L_0x0085;
                default: goto L_0x006d;
            };
        L_0x006d:
            r1 = r5.TAG;
            r3 = new java.lang.StringBuilder;
            r3.<init>();
            r4 = "unknow valueName=";
            r3.append(r4);
            r3.append(r0);
            r3 = r3.toString();
            android.util.Slog.e(r1, r3);
            return r2;
        L_0x0085:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r2 = r6.nextText();
            r2 = java.lang.Integer.parseInt(r2);
            r1.preMethodNum = r2;
            goto L_0x010d;
        L_0x0095:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r2 = r6.nextText();
            r2 = java.lang.Integer.parseInt(r2);
            r1.preMeanFilterNum = r2;
            goto L_0x010d;
        L_0x00a4:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r2 = r6.nextText();
            r2 = java.lang.Integer.parseInt(r2);
            r1.preMeanFilterNoFilterNum = r2;
            goto L_0x010d;
        L_0x00b3:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r2 = r6.nextText();
            r2 = java.lang.Integer.parseInt(r2);
            r1.postMethodNum = r2;
            goto L_0x010d;
        L_0x00c2:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r2 = r6.nextText();
            r2 = java.lang.Integer.parseInt(r2);
            r1.postMeanFilterNum = r2;
            goto L_0x010d;
        L_0x00d1:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r2 = r6.nextText();
            r2 = java.lang.Integer.parseInt(r2);
            r1.postMeanFilterNoFilterNum = r2;
            goto L_0x010d;
        L_0x00e0:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r2 = r6.nextText();
            r2 = java.lang.Boolean.parseBoolean(r2);
            r1.darkTimeDelayEnable = r2;
            goto L_0x010d;
        L_0x00ef:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r2 = r6.nextText();
            r2 = java.lang.Integer.parseInt(r2);
            r1.darkenDebounceTime = r2;
            goto L_0x010d;
        L_0x00fe:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r2 = r6.nextText();
            r2 = java.lang.Float.parseFloat(r2);
            r1.brightenDebounceTime = r2;
        L_0x010d:
            return r3;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwEyeProtectionXmlLoader.Element_FilterGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwEyeProtectionXmlLoader.mData.brightenDebounceTime > 0.0f && com.android.server.display.HwEyeProtectionXmlLoader.mData.postMeanFilterNum > 0 && com.android.server.display.HwEyeProtectionXmlLoader.mData.postMeanFilterNum <= com.android.server.display.HwEyeProtectionXmlLoader.mData.postMeanFilterNoFilterNum && com.android.server.display.HwEyeProtectionXmlLoader.mData.preMeanFilterNum > 0 && com.android.server.display.HwEyeProtectionXmlLoader.mData.preMeanFilterNum <= com.android.server.display.HwEyeProtectionXmlLoader.mData.preMeanFilterNoFilterNum;
        }
    }

    private static class Element_FilterOptionalGroup1 extends com.android.server.display.HwXmlElement {
        private Element_FilterOptionalGroup1() {
        }

        public java.lang.String getName() {
            return "FilterOptionalGroup1";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"BrightTimeDelay", "BrightTimeDelayEnable", "BrightenTimeDelayLuxThreshold", "DarkenTimeDelay", "DarkenTimeDelayBeta0", "DarkenTimeDelayBeta1", "DarkenTimeDelayBeta2", "DarkTimeDelayLuxThreshold", "PostMaxMinAvgFilterNoFilterNum", "PostMaxMinAvgFilterNum"});
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = 1;
            r3 = 0;
            switch(r1) {
                case -1912197839: goto L_0x006a;
                case -1203123972: goto L_0x0060;
                case -591649441: goto L_0x0056;
                case -157474449: goto L_0x004c;
                case 248648375: goto L_0x0042;
                case 1373278396: goto L_0x0038;
                case 1472315337: goto L_0x002e;
                case 1472315338: goto L_0x0024;
                case 1472315339: goto L_0x001a;
                case 1960905866: goto L_0x000f;
                default: goto L_0x000d;
            };
        L_0x000d:
            goto L_0x0075;
        L_0x000f:
            r1 = "PostMaxMinAvgFilterNum";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x0017:
            r1 = 9;
            goto L_0x0076;
        L_0x001a:
            r1 = "DarkenTimeDelayBeta2";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x0022:
            r1 = 6;
            goto L_0x0076;
        L_0x0024:
            r1 = "DarkenTimeDelayBeta1";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x002c:
            r1 = 5;
            goto L_0x0076;
        L_0x002e:
            r1 = "DarkenTimeDelayBeta0";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x0036:
            r1 = 4;
            goto L_0x0076;
        L_0x0038:
            r1 = "BrightTimeDelay";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x0040:
            r1 = r3;
            goto L_0x0076;
        L_0x0042:
            r1 = "DarkenTimeDelay";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x004a:
            r1 = 3;
            goto L_0x0076;
        L_0x004c:
            r1 = "BrightenTimeDelayLuxThreshold";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x0054:
            r1 = 2;
            goto L_0x0076;
        L_0x0056:
            r1 = "BrightTimeDelayEnable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x005e:
            r1 = r2;
            goto L_0x0076;
        L_0x0060:
            r1 = "DarkTimeDelayLuxThreshold";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x0068:
            r1 = 7;
            goto L_0x0076;
        L_0x006a:
            r1 = "PostMaxMinAvgFilterNoFilterNum";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x0072:
            r1 = 8;
            goto L_0x0076;
        L_0x0075:
            r1 = -1;
        L_0x0076:
            switch(r1) {
                case 0: goto L_0x011a;
                case 1: goto L_0x010b;
                case 2: goto L_0x00fc;
                case 3: goto L_0x00ed;
                case 4: goto L_0x00de;
                case 5: goto L_0x00cf;
                case 6: goto L_0x00c0;
                case 7: goto L_0x00b1;
                case 8: goto L_0x00a1;
                case 9: goto L_0x0091;
                default: goto L_0x0079;
            };
        L_0x0079:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r4 = "unknow valueName=";
            r2.append(r4);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r3;
        L_0x0091:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r3 = r6.nextText();
            r3 = java.lang.Integer.parseInt(r3);
            r1.postMaxMinAvgFilterNum = r3;
            goto L_0x0129;
        L_0x00a1:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r3 = r6.nextText();
            r3 = java.lang.Integer.parseInt(r3);
            r1.postMaxMinAvgFilterNoFilterNum = r3;
            goto L_0x0129;
        L_0x00b1:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r3 = r6.nextText();
            r3 = java.lang.Float.parseFloat(r3);
            r1.darkTimeDelayLuxThreshold = r3;
            goto L_0x0129;
        L_0x00c0:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r3 = r6.nextText();
            r3 = java.lang.Float.parseFloat(r3);
            r1.darkTimeDelayBeta2 = r3;
            goto L_0x0129;
        L_0x00cf:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r3 = r6.nextText();
            r3 = java.lang.Float.parseFloat(r3);
            r1.darkTimeDelayBeta1 = r3;
            goto L_0x0129;
        L_0x00de:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r3 = r6.nextText();
            r3 = java.lang.Float.parseFloat(r3);
            r1.darkTimeDelayBeta0 = r3;
            goto L_0x0129;
        L_0x00ed:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r3 = r6.nextText();
            r3 = java.lang.Integer.parseInt(r3);
            r1.darkTimeDelay = r3;
            goto L_0x0129;
        L_0x00fc:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r3 = r6.nextText();
            r3 = java.lang.Float.parseFloat(r3);
            r1.brightTimeDelayLuxThreshold = r3;
            goto L_0x0129;
        L_0x010b:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r3 = r6.nextText();
            r3 = java.lang.Boolean.parseBoolean(r3);
            r1.brightTimeDelayEnable = r3;
            goto L_0x0129;
        L_0x011a:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r3 = r6.nextText();
            r3 = java.lang.Integer.parseInt(r3);
            r1.brightTimeDelay = r3;
        L_0x0129:
            return r2;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwEyeProtectionXmlLoader.Element_FilterOptionalGroup1.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwEyeProtectionXmlLoader.mData.brightTimeDelay > 0 && com.android.server.display.HwEyeProtectionXmlLoader.mData.darkTimeDelay > 0 && com.android.server.display.HwEyeProtectionXmlLoader.mData.postMaxMinAvgFilterNum > 0 && com.android.server.display.HwEyeProtectionXmlLoader.mData.postMaxMinAvgFilterNum <= com.android.server.display.HwEyeProtectionXmlLoader.mData.postMaxMinAvgFilterNoFilterNum;
        }
    }

    private static class Element_FilterOptionalGroup2 extends com.android.server.display.HwXmlElement {
        private Element_FilterOptionalGroup2() {
        }

        public java.lang.String getName() {
            return "FilterOptionalGroup2";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"PreWeightedMeanFilterAlpha", "PreWeightedMeanFilterLuxTh", "PreWeightedMeanFilterMaxFuncLuxNum", "PreWeightedMeanFilterNoFilterNum", "PreWeightedMeanFilterNum"});
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = 0;
            r3 = 1;
            switch(r1) {
                case -1627681866: goto L_0x0036;
                case 246136847: goto L_0x002c;
                case 302040999: goto L_0x0022;
                case 312474924: goto L_0x0018;
                case 1095802536: goto L_0x000e;
                default: goto L_0x000d;
            };
        L_0x000d:
            goto L_0x0040;
        L_0x000e:
            r1 = "PreWeightedMeanFilterMaxFuncLuxNum";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x0016:
            r1 = 2;
            goto L_0x0041;
        L_0x0018:
            r1 = "PreWeightedMeanFilterLuxTh";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x0020:
            r1 = r3;
            goto L_0x0041;
        L_0x0022:
            r1 = "PreWeightedMeanFilterAlpha";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x002a:
            r1 = r2;
            goto L_0x0041;
        L_0x002c:
            r1 = "PreWeightedMeanFilterNum";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x0034:
            r1 = 4;
            goto L_0x0041;
        L_0x0036:
            r1 = "PreWeightedMeanFilterNoFilterNum";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x003e:
            r1 = 3;
            goto L_0x0041;
        L_0x0040:
            r1 = -1;
        L_0x0041:
            switch(r1) {
                case 0: goto L_0x0098;
                case 1: goto L_0x0089;
                case 2: goto L_0x007a;
                case 3: goto L_0x006b;
                case 4: goto L_0x005c;
                default: goto L_0x0044;
            };
        L_0x0044:
            r1 = r5.TAG;
            r3 = new java.lang.StringBuilder;
            r3.<init>();
            r4 = "unknow valueName=";
            r3.append(r4);
            r3.append(r0);
            r3 = r3.toString();
            android.util.Slog.e(r1, r3);
            return r2;
        L_0x005c:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r2 = r6.nextText();
            r2 = java.lang.Integer.parseInt(r2);
            r1.preWeightedMeanFilterNum = r2;
            goto L_0x00a7;
        L_0x006b:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r2 = r6.nextText();
            r2 = java.lang.Integer.parseInt(r2);
            r1.preWeightedMeanFilterNoFilterNum = r2;
            goto L_0x00a7;
        L_0x007a:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r2 = r6.nextText();
            r2 = java.lang.Integer.parseInt(r2);
            r1.preWeightedMeanFilterMaxFuncLuxNum = r2;
            goto L_0x00a7;
        L_0x0089:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r2 = r6.nextText();
            r2 = java.lang.Float.parseFloat(r2);
            r1.preWeightedMeanFilterLuxTh = r2;
            goto L_0x00a7;
        L_0x0098:
            r1 = com.android.server.display.HwEyeProtectionXmlLoader.mData;
            r2 = r6.nextText();
            r2 = java.lang.Float.parseFloat(r2);
            r1.preWeightedMeanFilterAlpha = r2;
        L_0x00a7:
            return r3;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwEyeProtectionXmlLoader.Element_FilterOptionalGroup2.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwEyeProtectionXmlLoader.mData.preWeightedMeanFilterMaxFuncLuxNum > 0 && com.android.server.display.HwEyeProtectionXmlLoader.mData.preWeightedMeanFilterNoFilterNum > 0 && com.android.server.display.HwEyeProtectionXmlLoader.mData.preWeightedMeanFilterNum > 0 && com.android.server.display.HwEyeProtectionXmlLoader.mData.preWeightedMeanFilterNum <= com.android.server.display.HwEyeProtectionXmlLoader.mData.preWeightedMeanFilterNoFilterNum;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:11:0x001d  */
    static {
        /*
        r0 = android.util.Log.HWLog;
        r1 = 1;
        r2 = 0;
        if (r0 != 0) goto L_0x0016;
    L_0x0006:
        r0 = android.util.Log.HWModuleLog;
        if (r0 == 0) goto L_0x0014;
    L_0x000a:
        r0 = "HwEyeProtectionXmlLoader";
        r3 = 3;
        r0 = android.util.Log.isLoggable(r0, r3);
        if (r0 == 0) goto L_0x0014;
    L_0x0013:
        goto L_0x0016;
    L_0x0014:
        r0 = r2;
        goto L_0x0017;
    L_0x0016:
        r0 = r1;
    L_0x0017:
        HWDEBUG = r0;
        r0 = android.util.Log.HWINFO;
        if (r0 != 0) goto L_0x002d;
    L_0x001d:
        r0 = android.util.Log.HWModuleLog;
        if (r0 == 0) goto L_0x002b;
    L_0x0021:
        r0 = "HwEyeProtectionXmlLoader";
        r3 = 4;
        r0 = android.util.Log.isLoggable(r0, r3);
        if (r0 == 0) goto L_0x002b;
    L_0x002a:
        goto L_0x002d;
    L_0x002b:
        r1 = r2;
    L_0x002d:
        HWFLOW = r1;
        r0 = new com.android.server.display.HwEyeProtectionXmlLoader$Data;
        r0.<init>();
        mData = r0;
        r0 = new java.lang.Object;
        r0.<init>();
        mLock = r0;
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwEyeProtectionXmlLoader.<clinit>():void");
    }

    /*  JADX ERROR: JadxRuntimeException in pass: RegionMakerVisitor
        jadx.core.utils.exceptions.JadxRuntimeException: Exception block dominator not found, method:com.android.server.display.HwEyeProtectionXmlLoader.getData(java.lang.String):com.android.server.display.HwEyeProtectionXmlLoader$Data, dom blocks: [B:9:0x0014, B:14:0x0021]
        	at jadx.core.dex.visitors.regions.ProcessTryCatchRegions.searchTryCatchDominators(ProcessTryCatchRegions.java:89)
        	at jadx.core.dex.visitors.regions.ProcessTryCatchRegions.process(ProcessTryCatchRegions.java:45)
        	at jadx.core.dex.visitors.regions.RegionMakerVisitor.postProcessRegions(RegionMakerVisitor.java:63)
        	at jadx.core.dex.visitors.regions.RegionMakerVisitor.visit(RegionMakerVisitor.java:58)
        	at jadx.core.dex.visitors.DepthTraversal.visit(DepthTraversal.java:27)
        	at jadx.core.dex.visitors.DepthTraversal.lambda$visit$1(DepthTraversal.java:14)
        	at java.util.ArrayList.forEach(ArrayList.java:1257)
        	at jadx.core.dex.visitors.DepthTraversal.visit(DepthTraversal.java:14)
        	at jadx.core.ProcessClass.process(ProcessClass.java:32)
        	at jadx.core.ProcessClass.lambda$processDependencies$0(ProcessClass.java:51)
        	at java.lang.Iterable.forEach(Iterable.java:75)
        	at jadx.core.ProcessClass.processDependencies(ProcessClass.java:51)
        	at jadx.core.ProcessClass.process(ProcessClass.java:37)
        	at jadx.api.JadxDecompiler.processClass(JadxDecompiler.java:292)
        	at jadx.api.JavaClass.decompile(JavaClass.java:62)
        	at jadx.api.JadxDecompiler.lambda$appendSourcesSave$0(JadxDecompiler.java:200)
        */
    public static com.android.server.display.HwEyeProtectionXmlLoader.Data getData(java.lang.String r6) {
        /*
        r0 = 0;
        r1 = mLock;
        monitor-enter(r1);
        r2 = mLoader;	 Catch:{ Exception -> 0x0020 }
        if (r2 != 0) goto L_0x000f;	 Catch:{ Exception -> 0x0020 }
    L_0x0008:
        r2 = new com.android.server.display.HwEyeProtectionXmlLoader;	 Catch:{ Exception -> 0x0020 }
        r2.<init>(r6);	 Catch:{ Exception -> 0x0020 }
        mLoader = r2;	 Catch:{ Exception -> 0x0020 }
    L_0x000f:
        r2 = mData;	 Catch:{ Exception -> 0x0020 }
        r0 = r2;
        if (r0 != 0) goto L_0x003f;
    L_0x0014:
        r2 = new com.android.server.display.HwEyeProtectionXmlLoader$Data;	 Catch:{ all -> 0x004d }
        r2.<init>();	 Catch:{ all -> 0x004d }
    L_0x0019:
        r0 = r2;	 Catch:{ all -> 0x004d }
        r0.loadDefaultConfig();	 Catch:{ all -> 0x004d }
        goto L_0x003f;
    L_0x001e:
        r2 = move-exception;
        goto L_0x0041;
    L_0x0020:
        r2 = move-exception;
        r3 = "HwEyeProtectionXmlLoader";	 Catch:{ all -> 0x001e }
        r4 = new java.lang.StringBuilder;	 Catch:{ all -> 0x001e }
        r4.<init>();	 Catch:{ all -> 0x001e }
        r5 = "getData() error!";	 Catch:{ all -> 0x001e }
        r4.append(r5);	 Catch:{ all -> 0x001e }
        r4.append(r2);	 Catch:{ all -> 0x001e }
        r4 = r4.toString();	 Catch:{ all -> 0x001e }
        android.util.Slog.e(r3, r4);	 Catch:{ all -> 0x001e }
        if (r0 != 0) goto L_0x003f;
    L_0x0039:
        r2 = new com.android.server.display.HwEyeProtectionXmlLoader$Data;	 Catch:{ all -> 0x004d }
        r2.<init>();	 Catch:{ all -> 0x004d }
        goto L_0x0019;	 Catch:{ all -> 0x004d }
    L_0x003f:
        monitor-exit(r1);	 Catch:{ all -> 0x004d }
        return r0;	 Catch:{ all -> 0x004d }
    L_0x0041:
        if (r0 != 0) goto L_0x004f;	 Catch:{ all -> 0x004d }
    L_0x0043:
        r3 = new com.android.server.display.HwEyeProtectionXmlLoader$Data;	 Catch:{ all -> 0x004d }
        r3.<init>();	 Catch:{ all -> 0x004d }
        r0 = r3;	 Catch:{ all -> 0x004d }
        r0.loadDefaultConfig();	 Catch:{ all -> 0x004d }
        goto L_0x004f;	 Catch:{ all -> 0x004d }
    L_0x004d:
        r2 = move-exception;	 Catch:{ all -> 0x004d }
        goto L_0x0050;	 Catch:{ all -> 0x004d }
    L_0x004f:
        throw r2;	 Catch:{ all -> 0x004d }
    L_0x0050:
        monitor-exit(r1);	 Catch:{ all -> 0x004d }
        throw r2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwEyeProtectionXmlLoader.getData(java.lang.String):com.android.server.display.HwEyeProtectionXmlLoader$Data");
    }

    private HwEyeProtectionXmlLoader(java.lang.String xmlFilePath) {
        if (HWDEBUG) {
            android.util.Slog.d("HwEyeProtectionXmlLoader", "HwEyeProtectionXmlLoader()");
        }
        if (!parseXml(xmlFilePath)) {
            mData.loadDefaultConfig();
        }
        mData.printData();
    }

    private boolean parseXml(java.lang.String xmlFilePath) {
        if (xmlFilePath == null) {
            android.util.Slog.e("HwEyeProtectionXmlLoader", "parseXml() error! xml file path is null");
            return false;
        }
        com.android.server.display.HwXmlParser xmlParser = new com.android.server.display.HwXmlParser(xmlFilePath);
        registerElement(xmlParser);
        if (!xmlParser.parse()) {
            android.util.Slog.e("HwEyeProtectionXmlLoader", "parseXml() error! xmlParser.parse() failed!");
            return false;
        } else if (xmlParser.check()) {
            if (HWFLOW) {
                android.util.Slog.i("HwEyeProtectionXmlLoader", "parseXml() load success!");
            }
            return true;
        } else {
            android.util.Slog.e("HwEyeProtectionXmlLoader", "parseXml() error! xmlParser.check() failed!");
            return false;
        }
    }

    private void registerElement(com.android.server.display.HwXmlParser parser) {
        com.android.server.display.HwXmlElement filterConfigElement = parser.registerRootElement(new com.android.server.display.HwEyeProtectionXmlLoader.Element_EyeProtectionConfig()).registerChildElement(new com.android.server.display.HwEyeProtectionXmlLoader.Element_FilterConfig());
        filterConfigElement.registerChildElement(new com.android.server.display.HwEyeProtectionXmlLoader.Element_FilterGroup());
        filterConfigElement.registerChildElement(new com.android.server.display.HwEyeProtectionXmlLoader.Element_FilterOptionalGroup1());
        filterConfigElement.registerChildElement(new com.android.server.display.HwEyeProtectionXmlLoader.Element_FilterOptionalGroup2());
        filterConfigElement.registerChildElement(new com.android.server.display.HwEyeProtectionXmlLoader.Element_BrightenLinePoints()).registerChildElement(new com.android.server.display.HwEyeProtectionXmlLoader.Element_BrightenLinePoints_Point());
        filterConfigElement.registerChildElement(new com.android.server.display.HwEyeProtectionXmlLoader.Element_DarkenLinePoints()).registerChildElement(new com.android.server.display.HwEyeProtectionXmlLoader.Element_DarkenLinePoints_Point());
    }

    private static boolean checkPointsListIsOK(java.util.List<android.graphics.PointF> list) {
        if (list == null) {
            android.util.Slog.e("HwEyeProtectionXmlLoader", "checkPointsListIsOK() error! list is null");
            return false;
        }
        if (list.size() >= 3) {
            if (list.size() < 100) {
                android.graphics.PointF lastPoint = null;
                for (android.graphics.PointF point : list) {
                    if (lastPoint == null || point.x > lastPoint.x) {
                        lastPoint = point;
                    } else {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("checkPointsListIsOK() error! x in list isn't a increasing sequence, ");
                        stringBuilder.append(point.x);
                        stringBuilder.append("<=");
                        stringBuilder.append(lastPoint.x);
                        android.util.Slog.e("HwEyeProtectionXmlLoader", stringBuilder.toString());
                        return false;
                    }
                }
                return true;
            }
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("checkPointsListIsOK() error! list size=");
        stringBuilder2.append(list.size());
        stringBuilder2.append(" is out of range");
        android.util.Slog.e("HwEyeProtectionXmlLoader", stringBuilder2.toString());
        return false;
    }
}
