package com.android.server.display;

public class HwNormalizedAutomaticBrightnessController extends com.android.server.display.AutomaticBrightnessController implements com.android.server.display.HwBrightnessPgSceneDetection.HwBrightnessPgSceneDetectionCallbacks {
    private static final int BACK_SENSOR_COVER_MODE_BEIGHTNESS = -3;
    private static final int BRIGHTNESS_FOR_PROXIMITY_POSITIVE = -2;
    private static final int BRIGHTNESS_FOR_SENSOR_NOT_READY_WHEN_WAKEUP = -1;
    private static final boolean DEBUG;
    private static final java.lang.String KEY_READING_MODE_SWITCH = "hw_reading_mode_display_switch";
    private static final int MAXDEFAULTBRIGHTNESS = 255;
    private static final int MINDEFAULTBRIGHTNESS = 4;
    private static final int MODE_DEFAULT = 0;
    private static final int MODE_TOP_GAME = 1;
    private static final int MSG_CoverMode_DEBOUNCED = 4;
    private static final int MSG_PROXIMITY_SENSOR_DEBOUNCED = 3;
    private static final int MSG_REPORT_PROXIMITY_STATE = 2;
    private static final int MSG_UPDATE_AMBIENT_LUX = 1;
    private static final long POWER_ON_LUX_ABANDON_COUNT_MAX = 3;
    private static final int POWER_ON_LUX_COUNT_MAX = 8;
    private static final int PROXIMITY_NEGATIVE = 0;
    private static final int PROXIMITY_POSITIVE = 1;
    private static final int PROXIMITY_UNKNOWN = -1;
    public static final java.lang.String SCREEN_BRIGHTNESS_MODE_LAST = "screen_brightness_mode_last";
    private static java.lang.String TAG = "HwNormalizedAutomaticBrightnessController";
    private static final int TIME_DELAYED_USING_PROXIMITY_STATE = 500;
    private static final int TIME_PRINT_SENSOR_VALUE_INTERVAL = 4000;
    private static final int TIME_SENSOR_REPORT_NONE_VALUE = 400;
    private static int mDeviceActualBrightnessLevel;
    private static int mDeviceActualBrightnessNit;
    private static int mDeviceStandardBrightnessNit;
    private static android.util.HwNormalizedSpline mHwNormalizedScreenAutoBrightnessSpline;
    private static final java.lang.Object mLock = new java.lang.Object();
    private int SENSOR_OPTION;
    private long gameModeEnterTimestamp;
    private long gameModeQuitTimestamp;
    private boolean mAllowLabcUseProximity;
    private float mAmbientLuxLast;
    private float mAmbientLuxOffset;
    private boolean mAnimationGameChangeEnable;
    private float mAutoBrightnessOut;
    private final android.os.HandlerThread mAutoBrightnessProcessThread;
    private boolean mAutoPowerSavingAnimationEnable;
    private boolean mAutoPowerSavingBrighnessLineDisableForDemo;
    private int mBrightnessOutForLog;
    private boolean mCameraModeChangeAnimationEnable;
    private boolean mCameraModeEnable;
    private final android.content.Context mContext;
    private int mCoverModeFastResponseTimeDelay;
    private boolean mCoverStateFast;
    private com.android.server.display.CryogenicPowerProcessor mCryogenicProcessor;
    private boolean mCurrentUserChanging;
    private int mCurrentUserId;
    private int mCurveLevel;
    private com.android.server.display.DarkAdaptDetector mDarkAdaptDetector;
    private boolean mDarkAdaptDimmingEnable;
    private com.android.server.display.DarkAdaptDetector.AdaptState mDarkAdaptState;
    private final com.android.server.display.HwBrightnessXmlLoader.Data mData;
    private float mDefaultBrightness;
    private com.android.server.display.DisplayEffectMonitor mDisplayEffectMonitor;
    private volatile boolean mDragFinished;
    private int mDualSensorRawAmbient;
    private int mEyeProtectionMode;
    private android.database.ContentObserver mEyeProtectionModeObserver;
    private int mGameLevel;
    private boolean mGameModeEnableForOffset;
    private com.android.server.display.HwRingBuffer mHwAmbientLightRingBuffer;
    private com.android.server.display.HwRingBuffer mHwAmbientLightRingBufferTrace;
    private com.android.server.display.HwAmbientLuxFilterAlgo mHwAmbientLuxFilterAlgo;
    private com.android.server.display.HwBrightnessMapping mHwBrightnessMapping;
    private com.android.server.display.HwBrightnessPgSceneDetection mHwBrightnessPgSceneDetection;
    private com.android.server.display.HwBrightnessPowerSavingCurve mHwBrightnessPowerSavingCurve;
    private com.android.server.display.HwDualSensorEventListenerImpl mHwDualSensorEventListenerImpl;
    private com.android.server.display.HwEyeProtectionControllerImpl mHwEyeProtectionController;
    private int mHwLastReportedSensorValue;
    private long mHwLastReportedSensorValueTime;
    private int mHwLastSensorValue;
    private final com.android.server.display.HwNormalizedAutomaticBrightnessController.HwNormalizedAutomaticBrightnessHandler mHwNormalizedAutomaticBrightnessHandler;
    private long mHwPrintLogTime;
    private int mHwRateMillis;
    private boolean mHwReportValueWhenSensorOnChange;
    private boolean mIntervenedAutoBrightnessEnable;
    private boolean mIsBrightnessLimitedByThermal;
    private boolean mIsclosed;
    private long mLastAmbientLightToMonitorTime;
    private int mLastDefaultBrightness;
    private com.huawei.displayengine.DisplayEngineManager mManager;
    private java.lang.Runnable mMaxBrightnessFromCryogenicDelayedRunnable;
    private android.os.Handler mMaxBrightnessFromCryogenicHandler;
    private boolean mPolicyChangeFromDim;
    private long mPowerOffVehicleTimestamp;
    private boolean mPowerOnEnable;
    private int mPowerOnLuxAbandonCount;
    private int mPowerOnLuxCount;
    private boolean mPowerOnOffStatus;
    private long mPowerOnVehicleTimestamp;
    private int mPowerPolicy;
    private java.lang.String mPowerStateNameForMonitor;
    private boolean mPowerStatus;
    private int mProximity;
    private boolean mProximityPositive;
    private long mProximityReportTime;
    private final android.hardware.Sensor mProximitySensor;
    private boolean mProximitySensorEnabled;
    private final android.hardware.SensorEventListener mProximitySensorListener;
    private int mReadingMode;
    private boolean mReadingModeChangeAnimationEnable;
    private boolean mReadingModeEnable;
    private android.database.ContentObserver mReadingModeObserver;
    private int mSceneLevel;
    private volatile int mScreenBrightnessBeforeAdj;
    private com.android.server.display.HwNormalizedAutomaticBrightnessController.ScreenStateReceiver mScreenStateReceiver;
    private boolean mScreenStatus;
    private com.android.server.display.HwNormalizedAutomaticBrightnessController.SensorObserver mSensorObserver;
    private com.android.server.display.TouchProximityDetector mTouchProximityDetector;
    private boolean mVehicleModeQuitEnable;
    private boolean mWakeupCoverBrightnessEnable;

    private final class HwNormalizedAutomaticBrightnessHandler extends android.os.Handler {
        public HwNormalizedAutomaticBrightnessHandler(android.os.Looper looper) {
            super(looper, null, true);
        }

        public void handleMessage(android.os.Message msg) {
            switch (msg.what) {
                case 1:
                    com.android.server.display.HwNormalizedAutomaticBrightnessController.this.handleUpdateAmbientLuxMsg();
                    return;
                case 2:
                    com.android.server.display.HwNormalizedAutomaticBrightnessController.this.handleProximitySensorEvent();
                    return;
                case 3:
                    com.android.server.display.HwNormalizedAutomaticBrightnessController.this.debounceProximitySensor();
                    return;
                case 4:
                    com.android.server.display.HwNormalizedAutomaticBrightnessController.this.setCoverModeFastResponseFlag();
                    return;
                default:
                    return;
            }
        }
    }

    private class ScreenStateReceiver extends android.content.BroadcastReceiver {
        public ScreenStateReceiver() {
            android.content.IntentFilter filter = new android.content.IntentFilter();
            filter.addAction("android.intent.action.BOOT_COMPLETED");
            filter.setPriority(1000);
            com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mContext.registerReceiver(this, filter);
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (context != null) {
                if (intent != null) {
                    java.lang.String access$300 = com.android.server.display.HwNormalizedAutomaticBrightnessController.TAG;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("BroadcastReceiver.onReceive() action:");
                    stringBuilder.append(intent.getAction());
                    android.util.Slog.i(access$300, stringBuilder.toString());
                    access$300 = intent.getAction();
                    java.lang.Object obj = -1;
                    if (access$300.hashCode() == 798292259) {
                        if (access$300.equals("android.intent.action.BOOT_COMPLETED")) {
                            obj = null;
                        }
                    }
                    if (obj == null) {
                        if (!com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mHwBrightnessPgSceneDetection.getPGBLListenerRegisted()) {
                            com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mHwBrightnessPgSceneDetection.registerPgBLightSceneListener(com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mContext);
                            if (com.android.server.display.HwNormalizedAutomaticBrightnessController.DEBUG) {
                                java.lang.String access$3002 = com.android.server.display.HwNormalizedAutomaticBrightnessController.TAG;
                                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append("BOOT_COMPLETED: auto in registerPgBLightSceneChangedListener,=");
                                stringBuilder2.append(com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mHwBrightnessPgSceneDetection.getPGBLListenerRegisted());
                                android.util.Slog.d(access$3002, stringBuilder2.toString());
                            }
                        }
                    }
                    return;
                }
            }
            android.util.Slog.e(com.android.server.display.HwNormalizedAutomaticBrightnessController.TAG, "Invalid input parameter!");
        }
    }

    private class SensorObserver implements java.util.Observer {
        public void update(java.util.Observable o, java.lang.Object arg) {
            long[] data = (long[]) arg;
            int lux = (int) data[0];
            long systemTimeStamp = data[2];
            long sensorTimeStamp = data[3];
            if (com.android.server.display.HwNormalizedAutomaticBrightnessController.DEBUG && systemTimeStamp - com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mLightSensorEnableTime < 4000) {
                java.lang.String access$300 = com.android.server.display.HwNormalizedAutomaticBrightnessController.TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("ambient lux=");
                stringBuilder.append(lux);
                stringBuilder.append(",systemTimeStamp =");
                stringBuilder.append(systemTimeStamp);
                android.util.Slog.d(access$300, stringBuilder.toString());
            }
            if ((!com.android.server.HwServiceFactory.shouldFilteInvalidSensorVal((float) lux) || com.android.server.display.AutomaticBrightnessController.INT_BRIGHTNESS_COVER_MODE != 0) && !com.android.server.display.HwNormalizedAutomaticBrightnessController.this.interceptHandleLightSensorEvent(sensorTimeStamp, (float) lux)) {
                com.android.server.display.HwNormalizedAutomaticBrightnessController.this.handleLightSensorEvent(systemTimeStamp, (float) lux);
                int access$1500 = com.android.server.display.HwNormalizedAutomaticBrightnessController.this.SENSOR_OPTION;
                com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mHwDualSensorEventListenerImpl;
                if (access$1500 == 2) {
                    com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mDualSensorRawAmbient = (int) data[4];
                }
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:13:? A:{SYNTHETIC, RETURN} */
    /* JADX WARNING: Removed duplicated region for block: B:11:0x003f  */
    static {
        /*
        r0 = "HwNormalizedAutomaticBrightnessController";
        TAG = r0;
        r0 = android.util.Log.HWINFO;
        r1 = 0;
        if (r0 != 0) goto L_0x0019;
    L_0x0009:
        r0 = android.util.Log.HWModuleLog;
        if (r0 == 0) goto L_0x0017;
    L_0x000d:
        r0 = TAG;
        r2 = 4;
        r0 = android.util.Log.isLoggable(r0, r2);
        if (r0 == 0) goto L_0x0017;
    L_0x0016:
        goto L_0x0019;
    L_0x0017:
        r0 = r1;
        goto L_0x001a;
    L_0x0019:
        r0 = 1;
    L_0x001a:
        DEBUG = r0;
        r0 = new java.lang.Object;
        r0.<init>();
        mLock = r0;
        mDeviceActualBrightnessLevel = r1;
        mDeviceActualBrightnessNit = r1;
        mDeviceStandardBrightnessNit = r1;
        r0 = getDeviceActualBrightnessLevel();
        mDeviceActualBrightnessLevel = r0;
        r0 = getDeviceActualBrightnessNit();
        mDeviceActualBrightnessNit = r0;
        r0 = getDeviceStandardBrightnessNit();
        mDeviceStandardBrightnessNit = r0;
        r0 = DEBUG;
        if (r0 == 0) goto L_0x006b;
    L_0x003f:
        r0 = TAG;
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "DeviceActualLevel=";
        r1.append(r2);
        r2 = mDeviceActualBrightnessLevel;
        r1.append(r2);
        r2 = ",DeviceActualBrightnessNit=";
        r1.append(r2);
        r2 = mDeviceActualBrightnessNit;
        r1.append(r2);
        r2 = ",DeviceStandardBrightnessNit=";
        r1.append(r2);
        r2 = mDeviceStandardBrightnessNit;
        r1.append(r2);
        r1 = r1.toString();
        android.util.Slog.i(r0, r1);
    L_0x006b:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwNormalizedAutomaticBrightnessController.<clinit>():void");
    }

    private static int getDeviceActualBrightnessLevel() {
        try {
            return ((com.android.server.lights.LightsManager) com.android.server.LocalServices.getService(com.android.server.lights.LightsManager.class)).getLight(0).getDeviceActualBrightnessLevel();
        } catch (java.lang.Exception e) {
            e.printStackTrace();
            return 0;
        }
    }

    private static int getDeviceActualBrightnessNit() {
        try {
            return ((com.android.server.lights.LightsManager) com.android.server.LocalServices.getService(com.android.server.lights.LightsManager.class)).getLight(0).getDeviceActualBrightnessNit();
        } catch (java.lang.Exception e) {
            e.printStackTrace();
            return 0;
        }
    }

    private static int getDeviceStandardBrightnessNit() {
        try {
            return ((com.android.server.lights.LightsManager) com.android.server.LocalServices.getService(com.android.server.lights.LightsManager.class)).getLight(0).getDeviceStandardBrightnessNit();
        } catch (java.lang.Exception e) {
            e.printStackTrace();
            return 0;
        }
    }

    private static android.util.HwNormalizedSpline createHwNormalizedAutoBrightnessSpline(android.content.Context context) {
        try {
            mHwNormalizedScreenAutoBrightnessSpline = android.util.HwNormalizedSpline.createHwNormalizedSpline(context, mDeviceActualBrightnessLevel, mDeviceActualBrightnessNit, mDeviceStandardBrightnessNit);
            return mHwNormalizedScreenAutoBrightnessSpline;
        } catch (java.lang.IllegalArgumentException ex) {
            android.util.Slog.e(TAG, "Could not create auto-brightness spline.", ex);
            return null;
        }
    }

    public void updateStateRecognition(boolean usePwrBLightCurve, int appType) {
        if (this.mLightSensorEnabled && !this.mAutoPowerSavingBrighnessLineDisableForDemo) {
            if (this.mGameLevel == 21 && mHwNormalizedScreenAutoBrightnessSpline.getPowerSavingBrighnessLineEnable()) {
                android.util.Slog.i(TAG, "GameBrightMode no orig powerSaving");
                return;
            }
            if (this.mData.autoPowerSavingUseManualAnimationTimeEnable) {
                if (mHwNormalizedScreenAutoBrightnessSpline.getPowerSavingModeBrightnessChangeEnable(this.mAmbientLux, usePwrBLightCurve)) {
                    this.mAutoPowerSavingAnimationEnable = true;
                } else {
                    this.mAutoPowerSavingAnimationEnable = false;
                }
            }
            mHwNormalizedScreenAutoBrightnessSpline.setPowerSavingModeEnable(usePwrBLightCurve);
            if (this.mHwBrightnessPowerSavingCurve != null) {
                this.mHwBrightnessPowerSavingCurve.setPowerSavingEnable(usePwrBLightCurve);
            }
            updateAutoBrightness(true);
        }
    }

    private static boolean isDemoVersion() {
        java.lang.String vendor = android.os.SystemProperties.get("ro.hw.vendor", "");
        java.lang.String country = android.os.SystemProperties.get("ro.hw.country", "");
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("vendor:");
        stringBuilder.append(vendor);
        stringBuilder.append(",country:");
        stringBuilder.append(country);
        android.util.Slog.i(str, stringBuilder.toString());
        boolean VENDOR_DEMO = "demo".equalsIgnoreCase(vendor);
        boolean COUNTRY_DEMO = "demo".equalsIgnoreCase(country);
        if (!VENDOR_DEMO) {
            if (!COUNTRY_DEMO) {
                return false;
            }
        }
        return true;
    }

    public boolean getAnimationGameChangeEnable() {
        boolean animationEnable = this.mAnimationGameChangeEnable && this.mData.gameModeEnable;
        if (!this.mHwAmbientLuxFilterAlgo.getProximityPositiveEnable()) {
            this.mAnimationGameChangeEnable = false;
        }
        if (DEBUG && animationEnable != this.mAnimationGameChangeEnable) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("GameBrightMode set dimming animationEnable=");
            stringBuilder.append(this.mAnimationGameChangeEnable);
            android.util.Slog.d(str, stringBuilder.toString());
        }
        return animationEnable;
    }

    public boolean getGameModeEnable() {
        return this.mData.gameModeEnable;
    }

    public boolean getAutoPowerSavingUseManualAnimationTimeEnable() {
        return this.mData.autoPowerSavingUseManualAnimationTimeEnable;
    }

    public boolean getAutoPowerSavingAnimationEnable() {
        return this.mAutoPowerSavingAnimationEnable;
    }

    public void setAutoPowerSavingAnimationEnable(boolean enable) {
        this.mAutoPowerSavingAnimationEnable = enable;
    }

    public HwNormalizedAutomaticBrightnessController(com.android.server.display.AutomaticBrightnessController.Callbacks callbacks, android.os.Looper looper, android.hardware.SensorManager sensorManager, com.android.server.display.BrightnessMappingStrategy mapper, int lightSensorWarmUpTime, int brightnessMin, int brightnessMax, float dozeScaleFactor, int lightSensorRate, int initialLightSensorRate, long brighteningLightDebounceConfig, long darkeningLightDebounceConfig, boolean resetAmbientLuxAfterWarmUpConfig, com.android.server.display.HysteresisLevels hysteresisLevels, android.content.Context context) {
        android.hardware.SensorManager sensorManager2 = sensorManager;
        android.content.Context context2 = context;
        super(callbacks, looper, sensorManager, mapper, lightSensorWarmUpTime, brightnessMin, brightnessMax, dozeScaleFactor, lightSensorRate, initialLightSensorRate, brighteningLightDebounceConfig, darkeningLightDebounceConfig, resetAmbientLuxAfterWarmUpConfig, hysteresisLevels);
        this.mPowerStatus = false;
        this.mScreenStatus = false;
        this.mPowerOnLuxCount = 0;
        this.mPowerOnLuxAbandonCount = 0;
        this.mCurrentUserId = 0;
        this.mCurrentUserChanging = false;
        this.mHwRateMillis = 300;
        this.mHwPrintLogTime = -1;
        this.mHwLastSensorValue = -1;
        this.mHwLastReportedSensorValue = -1;
        this.mHwLastReportedSensorValueTime = -1;
        this.mHwReportValueWhenSensorOnChange = true;
        this.mHwAmbientLightRingBuffer = new com.android.server.display.HwRingBuffer(10);
        this.mHwAmbientLightRingBufferTrace = new com.android.server.display.HwRingBuffer(50);
        this.mPowerPolicy = 0;
        this.mPolicyChangeFromDim = false;
        this.mIntervenedAutoBrightnessEnable = false;
        this.mProximity = -1;
        this.mCoverModeFastResponseTimeDelay = 2500;
        this.mCoverStateFast = false;
        this.mIsclosed = false;
        this.mCameraModeEnable = false;
        this.mReadingModeEnable = false;
        this.mCameraModeChangeAnimationEnable = false;
        this.mReadingModeChangeAnimationEnable = false;
        this.mDefaultBrightness = -1.0f;
        this.mBrightnessOutForLog = -1;
        this.mAmbientLuxOffset = -1.0f;
        this.SENSOR_OPTION = -1;
        this.mDualSensorRawAmbient = -1;
        this.mScreenStateReceiver = null;
        this.mScreenBrightnessBeforeAdj = -1;
        this.mDragFinished = true;
        this.mReadingMode = 0;
        this.mEyeProtectionMode = 0;
        this.mCurveLevel = -1;
        this.mSceneLevel = -1;
        this.mGameLevel = -1;
        this.gameModeEnterTimestamp = 0;
        this.gameModeQuitTimestamp = 0;
        this.mGameModeEnableForOffset = false;
        this.mAnimationGameChangeEnable = false;
        this.mAutoPowerSavingBrighnessLineDisableForDemo = false;
        this.mAutoPowerSavingAnimationEnable = false;
        this.mReadingModeObserver = new android.database.ContentObserver(new android.os.Handler()) {
            public void onChange(boolean selfChange) {
                com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mReadingMode = android.provider.Settings.System.getIntForUser(com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mContext.getContentResolver(), "hw_reading_mode_display_switch", 0, com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mCurrentUserId);
                java.lang.String access$300 = com.android.server.display.HwNormalizedAutomaticBrightnessController.TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("mReadingMode is ");
                stringBuilder.append(com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mReadingMode);
                stringBuilder.append(", mEyeProtectionMode is ");
                stringBuilder.append(com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mEyeProtectionMode);
                android.util.Slog.i(access$300, stringBuilder.toString());
                if (com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mEyeProtectionMode != 1 && com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mEyeProtectionMode != 3) {
                    return;
                }
                if (com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mReadingMode == 1) {
                    com.android.server.display.HwNormalizedAutomaticBrightnessController.this.setReadingModeBrightnessLineEnable(true);
                } else {
                    com.android.server.display.HwNormalizedAutomaticBrightnessController.this.setReadingModeBrightnessLineEnable(false);
                }
            }
        };
        this.mEyeProtectionModeObserver = new android.database.ContentObserver(new android.os.Handler()) {
            public void onChange(boolean selfChange) {
                com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mEyeProtectionMode = android.provider.Settings.System.getIntForUser(com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mContext.getContentResolver(), "eyes_protection_mode", 0, com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mCurrentUserId);
                java.lang.String access$300 = com.android.server.display.HwNormalizedAutomaticBrightnessController.TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("mEyeProtectionMode is ");
                stringBuilder.append(com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mEyeProtectionMode);
                stringBuilder.append(", mReadingMode is ");
                stringBuilder.append(com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mReadingMode);
                android.util.Slog.i(access$300, stringBuilder.toString());
                if (com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mReadingMode == 1) {
                    if (com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mEyeProtectionMode != 1) {
                        if (com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mEyeProtectionMode != 3) {
                            com.android.server.display.HwNormalizedAutomaticBrightnessController.this.setReadingModeBrightnessLineEnable(false);
                            return;
                        }
                    }
                    com.android.server.display.HwNormalizedAutomaticBrightnessController.this.setReadingModeBrightnessLineEnable(true);
                }
            }
        };
        this.mPowerOnOffStatus = false;
        this.mPowerOnVehicleTimestamp = 0;
        this.mPowerOffVehicleTimestamp = 0;
        this.mVehicleModeQuitEnable = false;
        this.mWakeupCoverBrightnessEnable = false;
        this.mProximitySensorListener = new android.hardware.SensorEventListener() {
            public void onSensorChanged(android.hardware.SensorEvent event) {
                if (com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mProximitySensorEnabled) {
                    boolean z = false;
                    float distance = event.values[0];
                    com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mProximityReportTime = android.os.SystemClock.uptimeMillis();
                    com.android.server.display.HwNormalizedAutomaticBrightnessController hwNormalizedAutomaticBrightnessController = com.android.server.display.HwNormalizedAutomaticBrightnessController.this;
                    if (distance >= 0.0f && distance < 5.0f) {
                        z = true;
                    }
                    hwNormalizedAutomaticBrightnessController.mProximityPositive = z;
                    if (com.android.server.display.HwNormalizedAutomaticBrightnessController.DEBUG) {
                        java.lang.String access$300 = com.android.server.display.HwNormalizedAutomaticBrightnessController.TAG;
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("mProximitySensorListener: time = ");
                        stringBuilder.append(com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mProximityReportTime);
                        stringBuilder.append("; distance = ");
                        stringBuilder.append(distance);
                        android.util.Slog.d(access$300, stringBuilder.toString());
                    }
                    if (!com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mWakeupFromSleep && com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mProximityReportTime - com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mLightSensorEnableTime > 500) {
                        com.android.server.display.HwNormalizedAutomaticBrightnessController.this.mHwNormalizedAutomaticBrightnessHandler.sendEmptyMessage(2);
                    }
                }
            }

            public void onAccuracyChanged(android.hardware.Sensor sensor, int accuracy) {
            }
        };
        this.mPowerOnEnable = false;
        this.mHwAmbientLuxFilterAlgo = new com.android.server.display.HwAmbientLuxFilterAlgo(lightSensorRate);
        this.mScreenAutoBrightnessSpline = createHwNormalizedAutoBrightnessSpline(context);
        this.mAutoBrightnessProcessThread = new android.os.HandlerThread(TAG);
        this.mAutoBrightnessProcessThread.start();
        this.mHwNormalizedAutomaticBrightnessHandler = new com.android.server.display.HwNormalizedAutomaticBrightnessController.HwNormalizedAutomaticBrightnessHandler(this.mAutoBrightnessProcessThread.getLooper());
        this.mHwReportValueWhenSensorOnChange = this.mHwAmbientLuxFilterAlgo.reportValueWhenSensorOnChange();
        this.mProximitySensor = sensorManager2.getDefaultSensor(8);
        this.mAllowLabcUseProximity = this.mHwAmbientLuxFilterAlgo.needToUseProximity();
        if (android.os.SystemProperties.getInt("ro.config.hw_eyes_protection", 7) != 0) {
            this.mHwEyeProtectionController = new com.android.server.display.HwEyeProtectionControllerImpl(context2, this);
        }
        this.mData = com.android.server.display.HwBrightnessXmlLoader.getData();
        this.mContext = context2;
        this.mDisplayEffectMonitor = com.android.server.display.DisplayEffectMonitor.getInstance(context);
        if (this.mDisplayEffectMonitor == null) {
            android.util.Slog.e(TAG, "getDisplayEffectMonitor failed!");
        }
        sendXmlConfigToMonitor();
        this.mHwBrightnessPgSceneDetection = new com.android.server.display.HwBrightnessPgSceneDetection(this, this.mData.pgSceneDetectionDarkenDelayTime, this.mData.pgSceneDetectionBrightenDelayTime, this.mContext);
        this.mHwDualSensorEventListenerImpl = com.android.server.display.HwDualSensorEventListenerImpl.getInstance(sensorManager2, this.mContext);
        this.SENSOR_OPTION = this.mHwDualSensorEventListenerImpl.getModuleSensorOption(TAG);
        if (this.mData.darkAdapterEnable) {
            this.mDarkAdaptDetector = new com.android.server.display.DarkAdaptDetector(this.mData);
        }
        this.mHwBrightnessMapping = new com.android.server.display.HwBrightnessMapping(this.mData.brightnessMappingPoints);
        if (this.mData.pgReregisterScene) {
            this.mScreenStateReceiver = new com.android.server.display.HwNormalizedAutomaticBrightnessController.ScreenStateReceiver();
        }
        this.mHwBrightnessPowerSavingCurve = new com.android.server.display.HwBrightnessPowerSavingCurve(this.mData.manualBrightnessMaxLimit, this.mData.screenBrightnessMinNit, this.mData.screenBrightnessMaxNit);
        if (this.mData.cryogenicEnable) {
            this.mMaxBrightnessFromCryogenicHandler = new android.os.Handler();
            this.mMaxBrightnessFromCryogenicDelayedRunnable = new java.lang.Runnable() {
                public void run() {
                    com.android.server.display.HwNormalizedAutomaticBrightnessController.this.setMaxBrightnessFromCryogenicDelayed();
                }
            };
        }
        if (this.mData.readingModeEnable) {
            this.mContext.getContentResolver().registerContentObserver(android.provider.Settings.System.getUriFor("hw_reading_mode_display_switch"), true, this.mReadingModeObserver, -1);
            this.mReadingMode = android.provider.Settings.System.getIntForUser(this.mContext.getContentResolver(), "hw_reading_mode_display_switch", 0, this.mCurrentUserId);
            this.mContext.getContentResolver().registerContentObserver(android.provider.Settings.System.getUriFor("eyes_protection_mode"), true, this.mEyeProtectionModeObserver, -1);
            this.mEyeProtectionMode = android.provider.Settings.System.getIntForUser(this.mContext.getContentResolver(), "eyes_protection_mode", 0, this.mCurrentUserId);
            android.util.Slog.i(TAG, "readingModeEnable enable ...");
        }
        if (this.mData.touchProximityEnable) {
            this.mTouchProximityDetector = new com.android.server.display.TouchProximityDetector(this.mData);
        }
        if (this.mData.autoPowerSavingBrighnessLineDisableForDemo) {
            this.mAutoPowerSavingBrighnessLineDisableForDemo = isDemoVersion();
        }
    }

    public HwNormalizedAutomaticBrightnessController(com.android.server.display.AutomaticBrightnessController.Callbacks callbacks, android.os.Looper looper, android.hardware.SensorManager sensorManager, com.android.server.display.BrightnessMappingStrategy mapper, int lightSensorWarmUpTime, int brightnessMin, int brightnessMax, float dozeScaleFactor, android.content.Context context) {
        this(callbacks, looper, sensorManager, mapper, lightSensorWarmUpTime, brightnessMin, brightnessMax, dozeScaleFactor, 0, 0, 0, 0, false, null, context);
        if (android.os.SystemProperties.getInt("ro.config.hw_eyes_protection", 7) != 0) {
            this.mHwEyeProtectionController = new com.android.server.display.HwEyeProtectionControllerImpl(context, this);
            return;
        }
        android.content.Context context2 = context;
    }

    public void configure(boolean enable, float adjustment, boolean dozing) {
    }

    public void configure(boolean enable, android.hardware.display.BrightnessConfiguration configuration, float brightness, boolean userChangedBrightness, float adjustment, boolean userChangedAutoBrightnessAdjustment, int displayPolicy) {
        boolean z = false;
        boolean dozing = displayPolicy == 1;
        if (this.mLightSensorEnabled && !enable) {
            this.mHwNormalizedAutomaticBrightnessHandler.removeMessages(1);
            this.mHwAmbientLuxFilterAlgo.clear();
            if (!this.mHwReportValueWhenSensorOnChange) {
                clearSensorData();
            }
            this.mLastAmbientLightToMonitorTime = 0;
            if (this.mDarkAdaptDetector != null) {
                this.mDarkAdaptDetector.setAutoModeOff();
                this.mDarkAdaptDimmingEnable = false;
            }
        }
        if (!enable) {
            this.mHwAmbientLuxFilterAlgo.setPowerStatus(false);
        }
        super.configure(enable, configuration, brightness, userChangedBrightness, adjustment, userChangedAutoBrightnessAdjustment, displayPolicy);
        if (this.mLightSensorEnabled && -1 == this.mHwPrintLogTime) {
            this.mHwPrintLogTime = this.mLightSensorEnableTime;
        }
        if (!(!enable || dozing || this.mHwBrightnessPgSceneDetection.getPGBLListenerRegisted())) {
            this.mHwBrightnessPgSceneDetection.registerPgBLightSceneListener(this.mContext);
            if (DEBUG) {
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("PowerSaving auto in registerPgBLightSceneChangedListener,=");
                stringBuilder.append(this.mHwBrightnessPgSceneDetection.getPGBLListenerRegisted());
                android.util.Slog.d(str, stringBuilder.toString());
            }
        }
        if (this.mAllowLabcUseProximity && enable && !dozing) {
            z = true;
        }
        setProximitySensorEnabled(z);
        if (this.mTouchProximityDetector == null) {
            return;
        }
        if (enable) {
            this.mTouchProximityDetector.enable();
        } else {
            this.mTouchProximityDetector.disable();
        }
    }

    public int getAutomaticScreenBrightness() {
        if (this.mWakeupFromSleep && android.os.SystemClock.uptimeMillis() - this.mLightSensorEnableTime < 200) {
            if (DEBUG) {
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("mWakeupFromSleep= ");
                stringBuilder.append(this.mWakeupFromSleep);
                stringBuilder.append(",currentTime=");
                stringBuilder.append(android.os.SystemClock.uptimeMillis());
                stringBuilder.append(",mLightSensorEnableTime=");
                stringBuilder.append(this.mLightSensorEnableTime);
                android.util.Slog.d(str, stringBuilder.toString());
            }
            return -1;
        } else if (needToSetBrightnessBaseIntervened()) {
            return super.getAutomaticScreenBrightness();
        } else {
            if (needToSetBrightnessBaseProximity()) {
                return -2;
            }
            return super.getAutomaticScreenBrightness();
        }
    }

    private boolean needToSetBrightnessBaseIntervened() {
        return this.mIntervenedAutoBrightnessEnable && this.mAllowLabcUseProximity;
    }

    public int getAutoBrightnessBaseInOutDoorLimit(int brightness) {
        int tmpBrightnessOut = brightness;
        if (this.mAmbientLux >= ((float) this.mData.outDoorThreshold) || !this.mData.autoModeInOutDoorLimitEnble) {
            return tmpBrightnessOut;
        }
        return tmpBrightnessOut < this.mData.manualBrightnessMaxLimit ? tmpBrightnessOut : this.mData.manualBrightnessMaxLimit;
    }

    public void setPersonalizedBrightnessCurveLevel(int curveLevel) {
        java.lang.String str;
        java.lang.StringBuilder stringBuilder;
        if (!(curveLevel == 19 || curveLevel == 18 || curveLevel == 20 || curveLevel == 21)) {
            if (curveLevel != this.mCurveLevel) {
                if (mHwNormalizedScreenAutoBrightnessSpline != null) {
                    mHwNormalizedScreenAutoBrightnessSpline.setPersonalizedBrightnessCurveLevel(curveLevel);
                } else {
                    android.util.Slog.e(TAG, "NewCurveMode setPersonalizedBrightnessCurveLevel fail,mHwNormalizedScreenAutoBrightnessSpline==null");
                }
                if (DEBUG) {
                    java.lang.String str2 = TAG;
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("NewCurveMode setPersonalizedBrightnessCurveLevel curveLevel=");
                    stringBuilder2.append(curveLevel);
                    android.util.Slog.d(str2, stringBuilder2.toString());
                }
            }
            this.mCurveLevel = curveLevel;
        }
        if (!(!this.mData.gameModeEnable || curveLevel == 19 || curveLevel == 18)) {
            int gameLevel;
            if (curveLevel == 21) {
                gameLevel = 21;
            } else {
                gameLevel = 20;
            }
            if (gameLevel != this.mGameLevel) {
                mHwNormalizedScreenAutoBrightnessSpline.setGameCurveLevel(gameLevel);
                this.mAnimationGameChangeEnable = true;
                if (gameLevel == 21) {
                    this.mGameModeEnableForOffset = true;
                    this.mHwAmbientLuxFilterAlgo.setGameModeEnable(true);
                    this.gameModeEnterTimestamp = android.os.SystemClock.elapsedRealtime();
                    long timeDelta = this.gameModeEnterTimestamp - this.gameModeQuitTimestamp;
                    if (timeDelta > this.mData.gameModeClearOffsetTime) {
                        float ambientLuxOffset = mHwNormalizedScreenAutoBrightnessSpline.getGameModeAmbientLuxForOffset();
                        if (!this.mData.gameModeOffsetValidAmbientLuxEnable || ambientLuxOffset == -1.0f) {
                            mHwNormalizedScreenAutoBrightnessSpline.clearGameOffsetDelta();
                        } else {
                            mHwNormalizedScreenAutoBrightnessSpline.resetGameModeOffsetFromHumanFactor((int) calculateOffsetMinBrightness(ambientLuxOffset, 1), (int) calculateOffsetMaxBrightness(ambientLuxOffset, 1));
                        }
                        java.lang.String str3 = TAG;
                        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                        stringBuilder3.append("GameBrightMode enterGame timeDelta=");
                        stringBuilder3.append(timeDelta);
                        android.util.Slog.i(str3, stringBuilder3.toString());
                    }
                } else {
                    this.mHwAmbientLuxFilterAlgo.setGameModeEnable(false);
                    this.mGameModeEnableForOffset = false;
                    this.gameModeQuitTimestamp = android.os.SystemClock.elapsedRealtime();
                }
                str = TAG;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("GameBrightMode updateAutoBrightness,gameLevel=");
                stringBuilder.append(gameLevel);
                android.util.Slog.i(str, stringBuilder.toString());
                updateAutoBrightness(true);
            }
            this.mGameLevel = gameLevel;
        }
        if (this.mData.vehicleModeEnable && (curveLevel == 19 || curveLevel == 18)) {
            if (mHwNormalizedScreenAutoBrightnessSpline != null) {
                mHwNormalizedScreenAutoBrightnessSpline.setSceneCurveLevel(curveLevel);
                long timDelta;
                if (curveLevel == 19) {
                    this.mVehicleModeQuitEnable = false;
                    timDelta = android.os.SystemClock.elapsedRealtime() - this.mPowerOnVehicleTimestamp;
                    if (timDelta > this.mData.vehicleModeEnterTimeForPowerOn) {
                        updateAutoBrightness(true);
                        if (DEBUG) {
                            java.lang.String str4 = TAG;
                            java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                            stringBuilder4.append("VehicleBrightMode updateAutoBrightness curveLevel=");
                            stringBuilder4.append(curveLevel);
                            stringBuilder4.append(",timDelta=");
                            stringBuilder4.append(timDelta);
                            android.util.Slog.i(str4, stringBuilder4.toString());
                        }
                    }
                } else if (curveLevel == 18 && this.mVehicleModeQuitEnable) {
                    timDelta = android.os.SystemClock.elapsedRealtime() - this.mPowerOnVehicleTimestamp;
                    boolean vehicleModeBrightnessEnable = mHwNormalizedScreenAutoBrightnessSpline.getVehicleModeBrightnessEnable();
                    if (timDelta < this.mData.vehicleModeQuitTimeForPowerOn && vehicleModeBrightnessEnable) {
                        mHwNormalizedScreenAutoBrightnessSpline.setVehicleModeQuitEnable();
                        java.lang.String str5 = TAG;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("VehicleBrightMode mVehicleModeQuitEnable timDelta=");
                        stringBuilder.append(timDelta);
                        android.util.Slog.i(str5, stringBuilder.toString());
                    }
                }
                if (DEBUG && this.mSceneLevel != curveLevel) {
                    str = TAG;
                    java.lang.StringBuilder stringBuilder5 = new java.lang.StringBuilder();
                    stringBuilder5.append("VehicleBrightMode set curveLevel=");
                    stringBuilder5.append(curveLevel);
                    android.util.Slog.d(str, stringBuilder5.toString());
                }
                this.mSceneLevel = curveLevel;
            } else {
                android.util.Slog.e(TAG, "VehicleBrightMode setSceneCurveLevel fail,mHwNormalizedScreenAutoBrightnessSpline==null");
            }
        }
    }

    public void updateNewBrightnessCurveTmp() {
        if (mHwNormalizedScreenAutoBrightnessSpline != null) {
            mHwNormalizedScreenAutoBrightnessSpline.updateNewBrightnessCurveTmp();
            sendPersonalizedCurveAndParamToMonitor(mHwNormalizedScreenAutoBrightnessSpline.getPersonalizedDefaultCurve(), mHwNormalizedScreenAutoBrightnessSpline.getPersonalizedAlgoParam());
            return;
        }
        android.util.Slog.e(TAG, "NewCurveMode updateNewBrightnessCurveTmp fail,mHwNormalizedScreenAutoBrightnessSpline==null");
    }

    public void updateNewBrightnessCurve() {
        if (mHwNormalizedScreenAutoBrightnessSpline != null) {
            mHwNormalizedScreenAutoBrightnessSpline.updateNewBrightnessCurve();
        } else {
            android.util.Slog.e(TAG, "NewCurveMode updateNewBrightnessCurve fail,mHwNormalizedScreenAutoBrightnessSpline==null");
        }
    }

    public java.util.List<android.graphics.PointF> getCurrentDefaultNewCurveLine() {
        java.util.List<android.graphics.PointF> brighntessList = new java.util.ArrayList();
        if (mHwNormalizedScreenAutoBrightnessSpline != null) {
            return mHwNormalizedScreenAutoBrightnessSpline.getCurrentDefaultNewCurveLine();
        }
        return brighntessList;
    }

    public void updateIntervenedAutoBrightness(int brightness) {
        this.mAutoBrightnessOut = (float) brightness;
        this.mIntervenedAutoBrightnessEnable = true;
        if (this.mData.cryogenicEnable) {
            this.mMaxBrightnessSetByCryogenicBypass = true;
        }
        if (this.mData.manualMode) {
            java.lang.String str;
            java.lang.StringBuilder stringBuilder;
            if (this.mDragFinished) {
                this.mScreenBrightnessBeforeAdj = getAutomaticScreenBrightness();
                this.mDragFinished = false;
            }
            this.mDefaultBrightness = mHwNormalizedScreenAutoBrightnessSpline.getCurrentDefaultBrightnessNoOffset();
            float lux = mHwNormalizedScreenAutoBrightnessSpline.getCurrentAmbientLuxForBrightness();
            if (DEBUG) {
                str = TAG;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("HwAutoBrightnessIn=");
                stringBuilder.append(brightness);
                stringBuilder.append(",defaultBrightness=");
                stringBuilder.append(this.mDefaultBrightness);
                stringBuilder.append(",lux=");
                stringBuilder.append(lux);
                android.util.Slog.i(str, stringBuilder.toString());
            }
            if (this.mAutoBrightnessOut >= ((float) this.mData.manualBrightnessMaxLimit)) {
                if (lux > ((float) this.mData.outDoorThreshold)) {
                    int autoBrightnessOutTmp = ((int) this.mAutoBrightnessOut) < this.mData.manualBrightnessMaxLimit ? (int) this.mAutoBrightnessOut : this.mData.manualBrightnessMaxLimit;
                    this.mAutoBrightnessOut = autoBrightnessOutTmp > ((int) this.mDefaultBrightness) ? (float) autoBrightnessOutTmp : (float) ((int) this.mDefaultBrightness);
                } else {
                    this.mAutoBrightnessOut = this.mAutoBrightnessOut < ((float) this.mData.manualBrightnessMaxLimit) ? this.mAutoBrightnessOut : (float) this.mData.manualBrightnessMaxLimit;
                }
            }
            if (DEBUG) {
                str = TAG;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("HwAutoBrightnessOut=");
                stringBuilder.append(this.mAutoBrightnessOut);
                android.util.Slog.i(str, stringBuilder.toString());
            }
            super.updateIntervenedAutoBrightness((int) this.mAutoBrightnessOut);
            return;
        }
        super.updateIntervenedAutoBrightness((int) this.mAutoBrightnessOut);
    }

    private int getSensorData() {
        synchronized (this.mHwAmbientLightRingBuffer) {
            long time = android.os.SystemClock.uptimeMillis();
            int N = this.mHwAmbientLightRingBuffer.size();
            int sum;
            if (N > 0) {
                int i;
                sum = 0;
                for (i = N - 1; i >= 0; i--) {
                    sum = (int) (((float) sum) + this.mHwAmbientLightRingBuffer.getLux(i));
                }
                i = sum / N;
                if (i >= 0) {
                    this.mHwLastSensorValue = i;
                }
                this.mHwAmbientLightRingBuffer.clear();
                if (time - this.mHwPrintLogTime > 4000) {
                    N = this.mHwAmbientLightRingBufferTrace.size();
                    if (DEBUG) {
                        android.util.Slog.d("lux trace:", this.mHwAmbientLightRingBufferTrace.toString(N));
                    }
                    this.mHwAmbientLightRingBufferTrace.clear();
                    this.mHwPrintLogTime = time;
                }
                int i2 = this.mHwLastSensorValue;
                return i2;
            } else if (time - this.mHwLastReportedSensorValueTime < 400) {
                sum = this.mHwLastSensorValue;
                return sum;
            } else {
                sum = this.mHwLastReportedSensorValue;
                return sum;
            }
        }
    }

    private void clearSensorData() {
        synchronized (this.mHwAmbientLightRingBuffer) {
            this.mHwAmbientLightRingBuffer.clear();
            int N = this.mHwAmbientLightRingBufferTrace.size();
            if (DEBUG) {
                android.util.Slog.d("lux trace:", this.mHwAmbientLightRingBufferTrace.toString(N));
            }
            this.mHwAmbientLightRingBufferTrace.clear();
            this.mHwLastReportedSensorValueTime = -1;
            this.mHwLastReportedSensorValue = -1;
            this.mHwLastSensorValue = -1;
            this.mHwPrintLogTime = -1;
        }
    }

    private float getTouchProximityProcessedLux(boolean isFirstLux, float lux) {
        if (this.mTouchProximityDetector == null) {
            return lux;
        }
        if (!isFirstLux) {
            boolean needUseLastLux = !this.mTouchProximityDetector.isCurrentLuxValid() && lux < this.mAmbientLuxLast;
            if (needUseLastLux) {
                lux = this.mAmbientLuxLast;
            }
        }
        this.mTouchProximityDetector.startNextLux();
        this.mAmbientLuxLast = lux;
        return lux;
    }

    private void reportLightSensorEventToAlgo(long time, float lux) {
        this.mHwNormalizedAutomaticBrightnessHandler.removeMessages(1);
        lux = getTouchProximityProcessedLux(this.mAmbientLuxValid ^ 1, lux);
        if (!this.mAmbientLuxValid) {
            java.lang.String str;
            java.lang.StringBuilder stringBuilder;
            this.mWakeupFromSleep = false;
            this.mAmbientLuxValid = true;
            this.mHwAmbientLuxFilterAlgo.isFirstAmbientLux(true);
            if (this.mData.dayModeAlgoEnable || this.mData.offsetResetEnable) {
                this.mHwAmbientLuxFilterAlgo.setAutoModeEnableFirstLux(lux);
                this.mHwAmbientLuxFilterAlgo.setDayModeEnable();
                if (this.mData.dayModeAlgoEnable) {
                    mHwNormalizedScreenAutoBrightnessSpline.setDayModeEnable(this.mHwAmbientLuxFilterAlgo.getDayModeEnable());
                }
                if (this.mData.offsetResetEnable) {
                    this.mAmbientLuxOffset = mHwNormalizedScreenAutoBrightnessSpline.getCurrentAmbientLuxForOffset();
                    if (this.mAmbientLuxOffset != -1.0f) {
                        int mOffsetScreenBrightnessMinByAmbientLux = (int) calculateOffsetMinBrightness(this.mAmbientLuxOffset, 0);
                        int mOffsetScreenBrightnessMaxByAmbientLux = (int) calculateOffsetMaxBrightness(this.mAmbientLuxOffset, 0);
                        if (mHwNormalizedScreenAutoBrightnessSpline.getPersonalizedBrightnessCurveEnable()) {
                            float defaultBrightness = mHwNormalizedScreenAutoBrightnessSpline.getDefaultBrightness(this.mAmbientLuxOffset);
                            float currentBrightness = mHwNormalizedScreenAutoBrightnessSpline.getNewCurrentBrightness(this.mAmbientLuxOffset);
                            mOffsetScreenBrightnessMinByAmbientLux += ((int) currentBrightness) - ((int) defaultBrightness);
                            mOffsetScreenBrightnessMaxByAmbientLux += ((int) currentBrightness) - ((int) defaultBrightness);
                            java.lang.String str2 = TAG;
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("NewCurveMode new offset MinByAmbientLux=");
                            stringBuilder2.append(mOffsetScreenBrightnessMinByAmbientLux);
                            stringBuilder2.append(",maxByAmbientLux");
                            stringBuilder2.append(mOffsetScreenBrightnessMaxByAmbientLux);
                            android.util.Slog.i(str2, stringBuilder2.toString());
                        }
                        mHwNormalizedScreenAutoBrightnessSpline.reSetOffsetFromHumanFactor(this.mHwAmbientLuxFilterAlgo.getOffsetResetEnable(), mOffsetScreenBrightnessMinByAmbientLux, mOffsetScreenBrightnessMaxByAmbientLux);
                    }
                    unlockDarkAdaptLine();
                }
                if (DEBUG) {
                    str = TAG;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("DayMode:dayModeEnable=");
                    stringBuilder.append(this.mHwAmbientLuxFilterAlgo.getDayModeEnable());
                    stringBuilder.append(",offsetEnable=");
                    stringBuilder.append(this.mHwAmbientLuxFilterAlgo.getOffsetResetEnable());
                    android.util.Slog.d(str, stringBuilder.toString());
                }
            }
            if (DEBUG) {
                str = TAG;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("mAmbientLuxValid=");
                stringBuilder.append(this.mAmbientLuxValid);
                stringBuilder.append(",mWakeupFromSleep= ");
                stringBuilder.append(this.mWakeupFromSleep);
                android.util.Slog.d(str, stringBuilder.toString());
            }
        }
        this.mHwAmbientLuxFilterAlgo.handleLightSensorEvent(time, lux);
        this.mAmbientLux = this.mHwAmbientLuxFilterAlgo.getCurrentAmbientLux();
        boolean isDarkAdaptStateChanged = handleDarkAdaptDetector(lux);
        if (this.mHwAmbientLuxFilterAlgo.needToUpdateBrightness() || isDarkAdaptStateChanged) {
            java.lang.StringBuilder stringBuilder3;
            if (DEBUG) {
                java.lang.String str3 = TAG;
                stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("need to update brightness: mAmbientLux=");
                stringBuilder3.append(this.mAmbientLux);
                android.util.Slog.d(str3, stringBuilder3.toString());
            }
            this.mHwAmbientLuxFilterAlgo.brightnessUpdated();
            if (this.mData.darkTimeDelayEnable) {
                float defaultBrightness2 = mHwNormalizedScreenAutoBrightnessSpline.getNewDefaultBrightness(this.mAmbientLux);
                if (this.mAmbientLux < this.mData.darkTimeDelayLuxThreshold || defaultBrightness2 >= this.mData.darkTimeDelayBrightness) {
                    this.mHwAmbientLuxFilterAlgo.setDarkTimeDelayFromBrightnessEnable(false);
                } else {
                    if (DEBUG) {
                        java.lang.String str4 = TAG;
                        stringBuilder3 = new java.lang.StringBuilder();
                        stringBuilder3.append("DarkTimeDelay mAmbientLux=");
                        stringBuilder3.append(this.mAmbientLux);
                        stringBuilder3.append(",defaultBrightness=");
                        stringBuilder3.append(defaultBrightness2);
                        stringBuilder3.append(",thresh=");
                        stringBuilder3.append(this.mData.darkTimeDelayBrightness);
                        android.util.Slog.d(str4, stringBuilder3.toString());
                    }
                    this.mHwAmbientLuxFilterAlgo.setDarkTimeDelayFromBrightnessEnable(true);
                }
            }
            updateAutoBrightness(true);
        }
        if (!this.mHwReportValueWhenSensorOnChange) {
            this.mHwNormalizedAutomaticBrightnessHandler.sendEmptyMessageDelayed(1, (long) this.mHwRateMillis);
        }
        if (this.mProximityPositive) {
            this.mLastAmbientLightToMonitorTime = 0;
        } else {
            sendAmbientLightToMonitor(time, lux);
        }
        sendDefaultBrightnessToMonitor();
    }

    private float calculateOffsetMinBrightness(float amLux, int mode) {
        if (amLux < 0.0f) {
            android.util.Slog.w(TAG, "amlux<0, return offsetMIN");
            return 4.0f;
        }
        float offsetMinBrightness = 4.0f;
        com.android.server.display.HwXmlAmPoint temp1 = null;
        java.util.List<com.android.server.display.HwXmlAmPoint> brightnessPoints;
        if (mode == 1) {
            brightnessPoints = this.mData.gameModeAmbientLuxValidBrightnessPoints;
        } else {
            brightnessPoints = this.mData.ambientLuxValidBrightnessPoints;
        }
        for (com.android.server.display.HwXmlAmPoint temp : brightnessPoints) {
            if (temp1 == null) {
                temp1 = temp;
            }
            if (amLux < temp.x) {
                com.android.server.display.HwXmlAmPoint temp2 = temp;
                if (temp2.x <= temp1.x) {
                    offsetMinBrightness = 4.0f;
                    if (DEBUG) {
                        java.lang.String str = TAG;
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("OffsetMinBrightness_temp1.x <= temp2.x,x");
                        stringBuilder.append(temp.x);
                        stringBuilder.append(", y = ");
                        stringBuilder.append(temp.y);
                        android.util.Slog.i(str, stringBuilder.toString());
                    }
                } else {
                    offsetMinBrightness = (((temp2.y - temp1.y) / (temp2.x - temp1.x)) * (amLux - temp1.x)) + temp1.y;
                }
                return offsetMinBrightness;
            }
            temp1 = temp;
            offsetMinBrightness = temp1.y;
        }
        return offsetMinBrightness;
    }

    private float calculateOffsetMaxBrightness(float amLux, int mode) {
        if (amLux < 0.0f) {
            android.util.Slog.w(TAG, "amlux<0, return offsetMAX");
            return 255.0f;
        }
        float offsetMaxBrightness = 255.0f;
        com.android.server.display.HwXmlAmPoint temp1 = null;
        java.util.List<com.android.server.display.HwXmlAmPoint> brightnessPoints;
        if (mode == 1) {
            brightnessPoints = this.mData.gameModeAmbientLuxValidBrightnessPoints;
        } else {
            brightnessPoints = this.mData.ambientLuxValidBrightnessPoints;
        }
        for (com.android.server.display.HwXmlAmPoint temp : brightnessPoints) {
            if (temp1 == null) {
                temp1 = temp;
            }
            if (amLux < temp.x) {
                com.android.server.display.HwXmlAmPoint temp2 = temp;
                if (temp2.x <= temp1.x) {
                    offsetMaxBrightness = 255.0f;
                    if (DEBUG) {
                        java.lang.String str = TAG;
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("OffsetMaxBrightness_temp1.x <= temp2.x,x");
                        stringBuilder.append(temp.x);
                        stringBuilder.append(", z = ");
                        stringBuilder.append(temp.z);
                        android.util.Slog.i(str, stringBuilder.toString());
                    }
                } else {
                    offsetMaxBrightness = (((temp2.z - temp1.z) / (temp2.x - temp1.x)) * (amLux - temp1.x)) + temp1.z;
                }
                return offsetMaxBrightness;
            }
            temp1 = temp;
            offsetMaxBrightness = temp1.z;
        }
        return offsetMaxBrightness;
    }

    private void sendAmbientLightToMonitor(long time, float lux) {
        if (this.mDisplayEffectMonitor != null) {
            if (this.mLastAmbientLightToMonitorTime != 0) {
                if (time > this.mLastAmbientLightToMonitorTime) {
                    int durationInMs = (int) (time - this.mLastAmbientLightToMonitorTime);
                    this.mLastAmbientLightToMonitorTime = time;
                    android.util.ArrayMap<java.lang.String, java.lang.Object> params = new android.util.ArrayMap();
                    params.put("paramType", "ambientLightCollection");
                    params.put("lightValue", java.lang.Integer.valueOf((int) lux));
                    params.put("durationInMs", java.lang.Integer.valueOf(durationInMs));
                    params.put("brightnessMode", "AUTO");
                    if (this.mDualSensorRawAmbient >= 0) {
                        params.put("rawLightValue", java.lang.Integer.valueOf(this.mDualSensorRawAmbient));
                    }
                    this.mDisplayEffectMonitor.sendMonitorParam(params);
                    return;
                }
            }
            this.mLastAmbientLightToMonitorTime = time;
        }
    }

    private void sendDefaultBrightnessToMonitor() {
        if (this.mDisplayEffectMonitor != null) {
            int defaultBrightness = (int) mHwNormalizedScreenAutoBrightnessSpline.getCurrentDefaultBrightnessNoOffset();
            if (this.mLastDefaultBrightness != defaultBrightness) {
                this.mLastDefaultBrightness = defaultBrightness;
                int lightValue = (int) mHwNormalizedScreenAutoBrightnessSpline.getCurrentAmbientLuxForBrightness();
                android.util.ArrayMap<java.lang.String, java.lang.Object> params = new android.util.ArrayMap();
                params.put("paramType", "algoDefaultBrightness");
                params.put("lightValue", java.lang.Integer.valueOf(lightValue));
                params.put("brightness", java.lang.Integer.valueOf(defaultBrightness));
                params.put("brightnessMode", "AUTO");
                this.mDisplayEffectMonitor.sendMonitorParam(params);
            }
        }
    }

    private void sendPowerStateToMonitor(int policy) {
        if (this.mDisplayEffectMonitor != null) {
            java.lang.String newStateName;
            switch (policy) {
                case 0:
                case 1:
                    newStateName = "OFF";
                    break;
                case 2:
                    newStateName = "DIM";
                    break;
                case 3:
                    newStateName = "ON";
                    break;
                case 4:
                    newStateName = "VR";
                    break;
                default:
                    newStateName = "OFF";
                    break;
            }
            if (this.mPowerStateNameForMonitor != newStateName) {
                this.mPowerStateNameForMonitor = newStateName;
                android.util.ArrayMap<java.lang.String, java.lang.Object> params = new android.util.ArrayMap();
                params.put("paramType", "powerStateUpdate");
                params.put("powerState", newStateName);
                this.mDisplayEffectMonitor.sendMonitorParam(params);
            }
        }
    }

    private void sendXmlConfigToMonitor() {
        if (this.mDisplayEffectMonitor != null) {
            android.util.ArrayMap<java.lang.String, java.lang.Object> params = new android.util.ArrayMap();
            params.put("paramType", "xmlConfig");
            params.put("enable", java.lang.Boolean.valueOf(this.mData.monitorEnable));
            this.mDisplayEffectMonitor.sendMonitorParam(params);
        }
    }

    private void sendPersonalizedCurveAndParamToMonitor(java.util.List<java.lang.Short> curve, java.util.List<java.lang.Float> algoParam) {
        if (!(this.mDisplayEffectMonitor == null || curve == null)) {
            if (!curve.isEmpty()) {
                if (algoParam != null) {
                    if (!algoParam.isEmpty()) {
                        android.util.ArrayMap<java.lang.String, java.lang.Object> params = new android.util.ArrayMap();
                        params.put("paramType", "personalizedCurveAndParam");
                        params.put("personalizedCurve", curve);
                        params.put("personalizedParam", algoParam);
                        this.mDisplayEffectMonitor.sendMonitorParam(params);
                    }
                }
            }
        }
    }

    protected void setBrightnessLimitedByThermal(boolean isLimited) {
        sendThermalLimitToMonitor(isLimited);
    }

    private void sendThermalLimitToMonitor(boolean isLimited) {
        if (this.mDisplayEffectMonitor != null && this.mIsBrightnessLimitedByThermal != isLimited) {
            this.mIsBrightnessLimitedByThermal = isLimited;
            android.util.ArrayMap<java.lang.String, java.lang.Object> params = new android.util.ArrayMap();
            params.put("paramType", "thermalLimit");
            params.put("isLimited", java.lang.Boolean.valueOf(isLimited));
            this.mDisplayEffectMonitor.sendMonitorParam(params);
        }
    }

    protected void handleLightSensorEvent(long time, float lux) {
        if (mHwNormalizedScreenAutoBrightnessSpline.getCalibrationTestEable()) {
            this.mSetbrightnessImmediateEnable = true;
            getLightSensorFromDB();
            return;
        }
        this.mSetbrightnessImmediateEnable = false;
        if (this.mAmbientLuxValid) {
            if (!this.mHwReportValueWhenSensorOnChange) {
                synchronized (this.mHwAmbientLightRingBuffer) {
                    this.mHwAmbientLightRingBuffer.push(time, lux);
                    this.mHwAmbientLightRingBufferTrace.push(time, lux);
                    this.mHwLastReportedSensorValue = (int) lux;
                    this.mHwLastReportedSensorValueTime = time;
                }
                return;
            }
        }
        reportLightSensorEventToAlgo(time, lux);
        if (!this.mHwReportValueWhenSensorOnChange) {
            synchronized (mLock) {
                this.mHwLastReportedSensorValue = (int) lux;
                this.mHwLastReportedSensorValueTime = time;
            }
        }
    }

    protected void getLightSensorFromDB() {
        this.mHwNormalizedAutomaticBrightnessHandler.removeMessages(1);
        this.mAmbientLuxValid = true;
        float ambientLux = mHwNormalizedScreenAutoBrightnessSpline.getAmbientValueFromDB();
        if (((int) (ambientLux * 10.0f)) != ((int) (this.mAmbientLux * 10.0f))) {
            this.mAmbientLux = ambientLux;
            if (DEBUG) {
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("setAmbientLuxDB=");
                stringBuilder.append(this.mAmbientLux);
                android.util.Slog.d(str, stringBuilder.toString());
            }
            updateAutoBrightness(true);
        }
    }

    private void setMaxBrightnessFromCryogenicDelayed() {
        if (DEBUG) {
            android.util.Slog.d(TAG, "mMaxBrightnessSetByCryogenicBypassDelayed=false");
        }
        this.mMaxBrightnessSetByCryogenicBypassDelayed = false;
        if (this.mMaxBrightnessSetByCryogenic < 255 && this.mLightSensorEnabled) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Cryogenic set mMaxBrightnessSetByCryogenic=");
            stringBuilder.append(this.mMaxBrightnessSetByCryogenic);
            android.util.Slog.i(str, stringBuilder.toString());
            this.mCallbacks.updateBrightness();
        }
    }

    public void setPowerStatus(boolean powerStatus) {
        java.lang.String str;
        java.lang.StringBuilder stringBuilder;
        if (this.mData.cryogenicEnable) {
            if (powerStatus) {
                this.mPowerOnTimestamp = android.os.SystemClock.elapsedRealtime();
                if (this.mPowerOnTimestamp - this.mPowerOffTimestamp > this.mData.cryogenicActiveScreenOffIntervalInMillis) {
                    if (DEBUG) {
                        str = TAG;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("mPowerOnTimestamp - mPowerOffTimestamp=");
                        stringBuilder.append(this.mPowerOnTimestamp - this.mPowerOffTimestamp);
                        stringBuilder.append(", apply Cryogenic brightness limit(");
                        stringBuilder.append(this.mMaxBrightnessSetByCryogenic);
                        stringBuilder.append(")!");
                        android.util.Slog.d(str, stringBuilder.toString());
                    }
                    this.mMaxBrightnessSetByCryogenicBypass = false;
                }
                if (DEBUG) {
                    str = TAG;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("mMaxBrightnessSetByCryogenicBypass=");
                    stringBuilder.append(this.mMaxBrightnessSetByCryogenicBypass);
                    stringBuilder.append(" mMaxBrightnessSetByCryogenicBypassDelayed=");
                    stringBuilder.append(this.mMaxBrightnessSetByCryogenicBypassDelayed);
                    android.util.Slog.d(str, stringBuilder.toString());
                }
                if (this.mMaxBrightnessSetByCryogenic == 255) {
                    this.mMaxBrightnessSetByCryogenicBypassDelayed = true;
                    if (DEBUG) {
                        str = TAG;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("No Cryogenic brightness limit! Then it should be active ");
                        stringBuilder.append(((double) this.mData.cryogenicLagTimeInMillis) / 60000.0d);
                        stringBuilder.append("min later!");
                        android.util.Slog.d(str, stringBuilder.toString());
                    }
                    if (!(this.mMaxBrightnessFromCryogenicHandler == null || this.mMaxBrightnessFromCryogenicDelayedRunnable == null)) {
                        this.mMaxBrightnessFromCryogenicHandler.removeCallbacks(this.mMaxBrightnessFromCryogenicDelayedRunnable);
                        this.mMaxBrightnessFromCryogenicHandler.postDelayed(this.mMaxBrightnessFromCryogenicDelayedRunnable, this.mData.cryogenicLagTimeInMillis);
                    }
                }
            } else {
                this.mPowerOffTimestamp = android.os.SystemClock.elapsedRealtime();
                if (this.mCryogenicProcessor != null) {
                    this.mCryogenicProcessor.onScreenOff();
                }
            }
        }
        if (DEBUG && this.mPowerStatus != powerStatus) {
            str = TAG;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("set power status:mPowerStatus=");
            stringBuilder.append(this.mPowerStatus);
            stringBuilder.append(",powerStatus=");
            stringBuilder.append(powerStatus);
            android.util.Slog.d(str, stringBuilder.toString());
        }
        if (this.mPowerStatus != powerStatus && powerStatus && this.mData.coverModeDayEnable) {
            updateCoverModeDayBrightness();
        }
        if (this.mPowerOnOffStatus != powerStatus) {
            boolean enableTmp;
            boolean setCurveOk;
            if (!powerStatus) {
                enableTmp = mHwNormalizedScreenAutoBrightnessSpline.getNewCurveEableTmp();
                setCurveOk = mHwNormalizedScreenAutoBrightnessSpline.setNewCurveEnable(enableTmp);
                if (enableTmp) {
                    java.lang.String str2 = TAG;
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("NewCurveMode poweroff updateNewCurve(tem--real),enableTmp=");
                    stringBuilder2.append(enableTmp);
                    stringBuilder2.append(",powerStatus=");
                    stringBuilder2.append(powerStatus);
                    android.util.Slog.d(str2, stringBuilder2.toString());
                }
            }
            mHwNormalizedScreenAutoBrightnessSpline.setPowerStatus(powerStatus);
            if (this.mData.vehicleModeEnable) {
                if (powerStatus) {
                    this.mPowerOnVehicleTimestamp = android.os.SystemClock.elapsedRealtime();
                    if (this.mPowerOnVehicleTimestamp - this.mPowerOffVehicleTimestamp > this.mData.vehicleModeDisableTimeMillis) {
                        enableTmp = mHwNormalizedScreenAutoBrightnessSpline.getVehicleModeBrightnessEnable();
                        setCurveOk = mHwNormalizedScreenAutoBrightnessSpline.getVehicleModeQuitForPowerOnEnable();
                        if (enableTmp && setCurveOk) {
                            mHwNormalizedScreenAutoBrightnessSpline.setVehicleModeQuitEnable();
                            if (DEBUG) {
                                android.util.Slog.d(TAG, "VehicleBrightMode quit from lastOnScreen");
                            }
                        }
                        this.mVehicleModeQuitEnable = true;
                        if (DEBUG) {
                            java.lang.String str3 = TAG;
                            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                            stringBuilder3.append("VehicleBrightMode mVehicleModeQuitEnable OnOfftime=");
                            stringBuilder3.append(this.mPowerOnVehicleTimestamp - this.mPowerOffVehicleTimestamp);
                            android.util.Slog.d(str3, stringBuilder3.toString());
                        }
                    }
                } else {
                    this.mVehicleModeQuitEnable = false;
                    this.mPowerOffVehicleTimestamp = android.os.SystemClock.elapsedRealtime();
                }
            }
        }
        this.mPowerOnOffStatus = powerStatus;
        this.mPowerStatus = powerStatus;
        this.mScreenStatus = powerStatus;
        this.mWakeupFromSleep = powerStatus;
        this.mHwAmbientLuxFilterAlgo.setPowerStatus(powerStatus);
        if (!this.mPowerStatus) {
            this.mPowerOnLuxAbandonCount = 0;
            this.mPowerOnLuxCount = 0;
            this.mWakeupCoverBrightnessEnable = false;
        }
        if (this.mHwEyeProtectionController != null) {
            this.mHwEyeProtectionController.onScreenStateChanged(powerStatus);
        }
    }

    private void updateCoverModeDayBrightness() {
        boolean isClosed = com.android.server.HwServiceFactory.isCoverClosed();
        int brightnessMode = android.provider.Settings.System.getIntForUser(this.mContext.getContentResolver(), "screen_brightness_mode", 1, this.mCurrentUserId);
        if (isClosed && brightnessMode == 1) {
            int openHour = java.util.Calendar.getInstance().get(11);
            if (openHour >= this.mData.converModeDayBeginTime && openHour < this.mData.coverModeDayEndTime) {
                setCoverModeDayEnable(true);
                this.mWakeupCoverBrightnessEnable = true;
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("LabcCoverMode,isClosed=");
                stringBuilder.append(isClosed);
                stringBuilder.append(",openHour=");
                stringBuilder.append(openHour);
                stringBuilder.append(",coverModeBrightness=");
                stringBuilder.append(this.mData.coverModeDayBrightness);
                android.util.Slog.i(str, stringBuilder.toString());
            }
        }
    }

    protected boolean interceptHandleLightSensorEvent(long time, float lux) {
        java.lang.String str;
        java.lang.StringBuilder stringBuilder;
        if (android.os.SystemClock.uptimeMillis() < ((long) this.mLightSensorWarmUpTimeConfig) + this.mLightSensorEnableTime) {
            str = TAG;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sensor not ready yet at time ");
            stringBuilder.append(time);
            android.util.Slog.i(str, stringBuilder.toString());
            return true;
        } else if (this.mCurrentUserChanging) {
            return true;
        } else {
            if (this.mPowerStatus) {
                this.mPowerOnLuxAbandonCount++;
                this.mPowerOnLuxCount++;
                if (this.mPowerOnLuxCount > getpowerOnFastResponseLuxNum()) {
                    if (DEBUG) {
                        str = TAG;
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("set power status:false,powerOnFastResponseLuxNum=");
                        stringBuilder2.append(getpowerOnFastResponseLuxNum());
                        android.util.Slog.d(str, stringBuilder2.toString());
                    }
                    this.mPowerStatus = false;
                    this.mHwAmbientLuxFilterAlgo.setPowerStatus(false);
                }
                if (this.mLightSensorEnableElapsedTimeNanos - time > 0) {
                    if (DEBUG) {
                        str = TAG;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("abandon handleLightSensorEvent:");
                        stringBuilder.append(lux);
                        android.util.Slog.d(str, stringBuilder.toString());
                    }
                    return true;
                }
            }
            return false;
        }
    }

    public void updateAutoBrightnessAdjustFactor(float adjustFactor) {
        this.mIntervenedAutoBrightnessEnable = false;
        float lux = this.mHwAmbientLuxFilterAlgo.getOffsetValidAmbientLux();
        if (this.mData.offsetValidAmbientLuxEnable) {
            float luxCurrent = this.mHwAmbientLuxFilterAlgo.getCurrentAmbientLux();
            boolean proximityPositiveEnable = this.mHwAmbientLuxFilterAlgo.getProximityPositiveEnable();
            float positionBrightness = adjustFactor * 255.0f;
            float defautBrightness = mHwNormalizedScreenAutoBrightnessSpline.getCurrentDefaultBrightnessNoOffset();
            if (proximityPositiveEnable && ((int) positionBrightness) > ((int) defautBrightness)) {
                lux = luxCurrent;
            }
            this.mHwAmbientLuxFilterAlgo.setCurrentAmbientLux(lux);
        }
        if (DEBUG) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("AdjustPositionBrightness=");
            stringBuilder.append((int) (adjustFactor * 255.0f));
            stringBuilder.append(",lux=");
            stringBuilder.append(lux);
            android.util.Slog.i(str, stringBuilder.toString());
        }
        if (this.mGameModeEnableForOffset) {
            mHwNormalizedScreenAutoBrightnessSpline.updateLevelGameWithLux(255.0f * adjustFactor, lux);
        } else {
            mHwNormalizedScreenAutoBrightnessSpline.updateLevelWithLux(255.0f * adjustFactor, lux);
        }
    }

    protected boolean setAutoBrightnessAdjustment(float adjustment) {
        return false;
    }

    public void saveOffsetAlgorithmParas() {
    }

    private void handleUpdateAmbientLuxMsg() {
        reportLightSensorEventToAlgo(android.os.SystemClock.uptimeMillis(), (float) getSensorData());
    }

    protected void updateBrightnessIfNoAmbientLuxReported() {
        if (this.mWakeupFromSleep) {
            this.mWakeupFromSleep = false;
            this.mCallbacks.updateBrightness();
            this.mFirstAutoBrightness = false;
            this.mUpdateAutoBrightnessCount++;
            if (DEBUG) {
                android.util.Slog.d(TAG, "sensor doesn't report lux in 200ms");
            }
        }
    }

    public void updateCurrentUserId(int userId) {
        if (userId != this.mCurrentUserId) {
            if (DEBUG) {
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("user change from  ");
                stringBuilder.append(this.mCurrentUserId);
                stringBuilder.append(" into ");
                stringBuilder.append(userId);
                android.util.Slog.d(str, stringBuilder.toString());
            }
            this.mCurrentUserId = userId;
            this.mCurrentUserChanging = true;
            this.mHwNormalizedAutomaticBrightnessHandler.removeMessages(1);
            this.mAmbientLuxValid = false;
            this.mHwAmbientLuxFilterAlgo.clear();
            mHwNormalizedScreenAutoBrightnessSpline.updateCurrentUserId(userId);
            this.mCurrentUserChanging = false;
        }
    }

    private void setProximitySensorEnabled(boolean enable) {
        if (enable) {
            if (!this.mProximitySensorEnabled) {
                this.mProximitySensorEnabled = true;
                getSensorManager().registerListener(this.mProximitySensorListener, this.mProximitySensor, 3, this.mHwNormalizedAutomaticBrightnessHandler);
                if (DEBUG) {
                    android.util.Slog.d(TAG, "open proximity sensor");
                }
            }
        } else if (this.mProximitySensorEnabled) {
            this.mProximitySensorEnabled = false;
            this.mProximity = -1;
            getSensorManager().unregisterListener(this.mProximitySensorListener);
            this.mHwNormalizedAutomaticBrightnessHandler.removeMessages(3);
            this.mCallbacks.updateProximityState(false);
            if (DEBUG) {
                android.util.Slog.d(TAG, "close proximity sensor");
            }
        }
    }

    private void processProximityState() {
        int proximity = this.mHwAmbientLuxFilterAlgo.getProximityState();
        if (this.mProximity != proximity) {
            if (DEBUG) {
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("mProximity=");
                stringBuilder.append(this.mProximity);
                stringBuilder.append(",proximity=");
                stringBuilder.append(proximity);
                android.util.Slog.d(str, stringBuilder.toString());
            }
            if (this.mProximity == 1 && proximity == 0) {
                this.mFirstBrightnessAfterProximityNegative = true;
            }
            this.mProximity = proximity;
            if (this.mProximity != -1) {
                if (this.mProximity == 1) {
                    this.mCallbacks.updateProximityState(true);
                } else if (this.mProximity == 0) {
                    this.mCallbacks.updateProximityState(false);
                }
            }
        }
    }

    private void handleProximitySensorEvent() {
        this.mHwNormalizedAutomaticBrightnessHandler.removeMessages(3);
        this.mHwAmbientLuxFilterAlgo.handleProximitySensorEvent(this.mProximityReportTime, this.mProximityPositive);
        processProximityState();
        if (this.mHwAmbientLuxFilterAlgo.needToSendProximityDebounceMsg()) {
            this.mHwNormalizedAutomaticBrightnessHandler.sendEmptyMessageAtTime(3, this.mHwAmbientLuxFilterAlgo.getPendingProximityDebounceTime());
        }
    }

    private void debounceProximitySensor() {
        if (DEBUG) {
            android.util.Slog.d(TAG, "process MSG_PROXIMITY_SENSOR_DEBOUNCED");
        }
        this.mHwAmbientLuxFilterAlgo.debounceProximitySensor();
        processProximityState();
    }

    public void updatePowerPolicy(int policy) {
        boolean powerOnEnable = wantScreenOn(policy);
        if (powerOnEnable != this.mPowerOnEnable) {
            setPowerStatus(powerOnEnable);
        }
        this.mPowerOnEnable = powerOnEnable;
        if (this.mPowerPolicy != 2 || policy == 2) {
            this.mPolicyChangeFromDim = false;
        } else {
            this.mPolicyChangeFromDim = true;
        }
        this.mPowerPolicy = policy;
        sendPowerStateToMonitor(policy);
    }

    private static boolean wantScreenOn(int state) {
        switch (state) {
            case 2:
            case 3:
                return true;
            default:
                return false;
        }
    }

    private boolean needToSetBrightnessBaseProximity() {
        boolean z = true;
        if (this.mProximity != 1 || this.mBrightnessEnlarge || this.mUpdateAutoBrightnessCount <= 1 || this.mPowerPolicy == 2 || this.mPolicyChangeFromDim) {
            z = false;
        }
        boolean needToSet = z;
        if (DEBUG && needToSet) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mProximity= ");
            stringBuilder.append(this.mProximity);
            stringBuilder.append(",mBrightnessEnlarge=");
            stringBuilder.append(this.mBrightnessEnlarge);
            stringBuilder.append(",mUpdateAutoBrightnessCount=");
            stringBuilder.append(this.mUpdateAutoBrightnessCount);
            stringBuilder.append(",mPowerPolicy=");
            stringBuilder.append(this.mPowerPolicy);
            stringBuilder.append(",mPolicyChangeFromDim=");
            stringBuilder.append(this.mPolicyChangeFromDim);
            android.util.Slog.d(str, stringBuilder.toString());
        }
        return needToSet;
    }

    public void setSplineEyeProtectionControlFlag(boolean flag) {
        if (mHwNormalizedScreenAutoBrightnessSpline != null) {
            mHwNormalizedScreenAutoBrightnessSpline.setEyeProtectionControlFlag(flag);
        }
    }

    public void setReadingModeBrightnessLineEnable(boolean readingMode) {
        if (mHwNormalizedScreenAutoBrightnessSpline != null && getReadingModeBrightnessLineEnable()) {
            mHwNormalizedScreenAutoBrightnessSpline.setReadingModeEnable(readingMode);
            if ((readingMode || !this.mReadingModeEnable) && (!readingMode || this.mReadingModeEnable)) {
                this.mReadingModeChangeAnimationEnable = false;
            } else {
                this.mReadingModeChangeAnimationEnable = true;
                updateAutoBrightness(true);
            }
            if (DEBUG) {
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("setReadingModeControlFlag: ");
                stringBuilder.append(readingMode);
                stringBuilder.append(", mReadingModeChangeAnimationEnable: ");
                stringBuilder.append(this.mReadingModeChangeAnimationEnable);
                android.util.Slog.d(str, stringBuilder.toString());
            }
            this.mReadingModeEnable = readingMode;
        }
    }

    public boolean getPowerStatus() {
        return this.mPowerStatus;
    }

    public boolean getScreenStatus() {
        return this.mScreenStatus;
    }

    public void setCoverModeStatus(boolean isclosed) {
        if (isclosed) {
            this.mHwNormalizedAutomaticBrightnessHandler.removeMessages(4);
        }
        if (!isclosed && this.mIsclosed) {
            this.mCoverStateFast = true;
            this.mHwAmbientLuxFilterAlgo.setCoverModeFastResponseFlag(this.mCoverStateFast);
            this.mHwNormalizedAutomaticBrightnessHandler.sendEmptyMessageDelayed(4, (long) this.mCoverModeFastResponseTimeDelay);
        }
        this.mIsclosed = isclosed;
        this.mHwAmbientLuxFilterAlgo.setCoverModeStatus(isclosed);
    }

    public void setCoverModeFastResponseFlag() {
        this.mCoverStateFast = false;
        this.mHwAmbientLuxFilterAlgo.setCoverModeFastResponseFlag(this.mCoverStateFast);
        mHwNormalizedScreenAutoBrightnessSpline.setNoOffsetEnable(this.mCoverStateFast);
        if (DEBUG) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("LabcCoverMode FastResponseFlag =");
            stringBuilder.append(this.mCoverStateFast);
            android.util.Slog.i(str, stringBuilder.toString());
        }
    }

    public boolean getCoverModeFastResponseFlag() {
        return this.mCoverStateFast;
    }

    public void setBackSensorCoverModeBrightness(int brightness) {
        if (this.mData.backSensorCoverModeEnable && brightness > 0) {
            this.mScreenAutoBrightness = brightness;
            this.mHwAmbientLuxFilterAlgo.setBackSensorCoverModeBrightness(brightness);
        }
    }

    public int getpowerOnFastResponseLuxNum() {
        if (this.mHwAmbientLuxFilterAlgo == null) {
            return 8;
        }
        return this.mHwAmbientLuxFilterAlgo.getpowerOnFastResponseLuxNum();
    }

    public void updateAutoDBWhenSameBrightness(int brightness) {
        int brightnessAutoDB = android.provider.Settings.System.getIntForUser(this.mContext.getContentResolver(), "screen_auto_brightness", 0, this.mCurrentUserId);
        int brightnessManualDB = android.provider.Settings.System.getIntForUser(this.mContext.getContentResolver(), "screen_brightness", 0, this.mCurrentUserId);
        if (brightnessAutoDB != brightness && brightnessManualDB == brightness) {
            android.provider.Settings.System.putIntForUser(this.mContext.getContentResolver(), "screen_auto_brightness", brightness, this.mCurrentUserId);
            if (DEBUG) {
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("OrigAutoDB=");
                stringBuilder.append(brightnessAutoDB);
                stringBuilder.append(",ManualDB=");
                stringBuilder.append(brightnessManualDB);
                stringBuilder.append(",brightness=");
                stringBuilder.append(brightness);
                stringBuilder.append(",mScreenAutoBrightness=");
                stringBuilder.append(this.mScreenAutoBrightness);
                android.util.Slog.d(str, stringBuilder.toString());
            }
        }
    }

    public boolean getCameraModeBrightnessLineEnable() {
        if (this.mHwAmbientLuxFilterAlgo == null) {
            return false;
        }
        return this.mHwAmbientLuxFilterAlgo.getCameraModeBrightnessLineEnable();
    }

    public boolean getReadingModeBrightnessLineEnable() {
        if (this.mHwAmbientLuxFilterAlgo == null) {
            return false;
        }
        return this.mHwAmbientLuxFilterAlgo.getReadingModeBrightnessLineEnable();
    }

    public void setCameraModeBrightnessLineEnable(boolean cameraModeEnable) {
        if (mHwNormalizedScreenAutoBrightnessSpline != null && getCameraModeBrightnessLineEnable()) {
            mHwNormalizedScreenAutoBrightnessSpline.setCameraModeEnable(cameraModeEnable);
            if (this.mCameraModeEnable != cameraModeEnable) {
                if (DEBUG) {
                    java.lang.String str = TAG;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("CameraModeEnable change cameraModeEnable=");
                    stringBuilder.append(cameraModeEnable);
                    android.util.Slog.d(str, stringBuilder.toString());
                }
                this.mCameraModeChangeAnimationEnable = true;
                updateAutoBrightness(true);
            }
            this.mCameraModeEnable = cameraModeEnable;
        }
    }

    public boolean getCameraModeChangeAnimationEnable() {
        boolean animationEnable = this.mCameraModeChangeAnimationEnable;
        this.mCameraModeChangeAnimationEnable = false;
        return animationEnable;
    }

    public boolean getReadingModeChangeAnimationEnable() {
        boolean mStatus = this.mReadingModeChangeAnimationEnable;
        this.mReadingModeChangeAnimationEnable = false;
        return mStatus;
    }

    public void setKeyguardLockedStatus(boolean isLocked) {
        if (this.mHwAmbientLuxFilterAlgo == null) {
            android.util.Slog.e(TAG, "mHwAmbientLuxFilterAlgo=null");
        } else {
            this.mHwAmbientLuxFilterAlgo.setKeyguardLockedStatus(isLocked);
        }
    }

    public boolean getRebootAutoModeEnable() {
        return this.mData.rebootAutoModeEnable;
    }

    public boolean getOutdoorAnimationFlag() {
        return this.mHwAmbientLuxFilterAlgo.getOutdoorAnimationFlag();
    }

    public int getCoverModeBrightnessFromLastScreenBrightness() {
        if (this.mData.backSensorCoverModeEnable) {
            return -3;
        }
        int brightnessMode = android.provider.Settings.System.getIntForUser(this.mContext.getContentResolver(), "screen_brightness_mode", 1, this.mCurrentUserId);
        if (this.mWakeupCoverBrightnessEnable && !this.mHwAmbientLuxFilterAlgo.getCoverModeDayEnable()) {
            this.mWakeupCoverBrightnessEnable = false;
        }
        if (brightnessMode != 1 || this.mWakeupCoverBrightnessEnable) {
            return this.mData.coverModeDayBrightness;
        }
        return this.mHwAmbientLuxFilterAlgo.getCoverModeBrightnessFromLastScreenBrightness();
    }

    public void setCoverModeDayEnable(boolean coverModeDayEnable) {
        this.mHwAmbientLuxFilterAlgo.setCoverModeDayEnable(coverModeDayEnable);
    }

    public int setScreenBrightnessMappingtoIndoorMax(int brightness) {
        if (brightness != -1 && this.mData.manualMode) {
            if (brightness <= 255) {
                int brightnessOut;
                java.lang.String str;
                java.lang.StringBuilder stringBuilder;
                if (brightness < 4) {
                    brightnessOut = 4;
                    if (DEBUG && this.mBrightnessOutForLog != 4) {
                        this.mBrightnessOutForLog = 4;
                        str = TAG;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("mScreenBrightnessOverrideFromWindowManagerMapping brightnessIn=");
                        stringBuilder.append(brightness);
                        stringBuilder.append(",brightnessOut=");
                        stringBuilder.append(4);
                        android.util.Slog.d(str, stringBuilder.toString());
                    }
                } else {
                    brightnessOut = (((brightness - 4) * (this.mData.manualBrightnessMaxLimit - 4)) / 251) + 4;
                    if (!(!DEBUG || brightness == brightnessOut || this.mBrightnessOutForLog == brightnessOut)) {
                        this.mBrightnessOutForLog = brightnessOut;
                        str = TAG;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("mScreenBrightnessOverrideFromWindowManagerMapping brightnessIn=");
                        stringBuilder.append(brightness);
                        stringBuilder.append(",brightnessOut=");
                        stringBuilder.append(brightnessOut);
                        android.util.Slog.d(str, stringBuilder.toString());
                    }
                }
                return brightnessOut;
            }
        }
        return brightness;
    }

    public void setManualModeEnableForPg(boolean manualModeEnableForPg) {
    }

    public void setMaxBrightnessFromThermal(int brightness) {
        int mappingBrightness = brightness;
        if (brightness > 0) {
            if (this.mData.thermalModeBrightnessMappingEnable) {
                mappingBrightness = this.mHwBrightnessMapping.getMappingBrightnessForRealNit(brightness);
            }
            this.mMaxBrightnessSetByThermal = mappingBrightness;
        } else {
            this.mMaxBrightnessSetByThermal = 255;
        }
        if (this.mLightSensorEnabled) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("ThermalMode set auto MaxBrightness=");
            stringBuilder.append(brightness);
            stringBuilder.append(",mappingBrightness=");
            stringBuilder.append(mappingBrightness);
            android.util.Slog.i(str, stringBuilder.toString());
            this.mCallbacks.updateBrightness();
        }
    }

    public void setMaxBrightnessFromCryogenic(int brightness) {
        if (this.mData.cryogenicEnable) {
            int mappingBrightness = brightness;
            if (brightness > 0) {
                if (this.mData.cryogenicModeBrightnessMappingEnable) {
                    mappingBrightness = this.mHwBrightnessMapping.getMappingBrightnessForRealNit(brightness);
                }
                this.mMaxBrightnessSetByCryogenic = mappingBrightness;
            } else {
                this.mMaxBrightnessSetByCryogenic = 255;
            }
            if (this.mLightSensorEnabled) {
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Cryogenic set auto MaxBrightness=");
                stringBuilder.append(brightness);
                stringBuilder.append(",mMaxBrightnessSetByCryogenic=");
                stringBuilder.append(this.mMaxBrightnessSetByCryogenic);
                android.util.Slog.i(str, stringBuilder.toString());
                this.mCallbacks.updateBrightness();
            }
        }
    }

    public boolean getRebootFirstBrightnessAnimationEnable() {
        return this.mData.rebootFirstBrightnessAnimationEnable;
    }

    public int getAdjustLightValByPgMode(int rawLightVal) {
        if (this.mHwBrightnessPgSceneDetection != null) {
            int mPgBrightness = this.mHwBrightnessPgSceneDetection.getAdjustLightValByPgMode(rawLightVal);
            if (this.mData.pgModeBrightnessMappingEnable && rawLightVal > this.mData.manualBrightnessMaxLimit) {
                mPgBrightness = this.mHwBrightnessMapping.getMappingBrightnessForRealNit(mPgBrightness);
                if (DEBUG) {
                    java.lang.String str = TAG;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("PG_POWER_SAVE_MODE auto mPgBrightness=");
                    stringBuilder.append(mPgBrightness);
                    stringBuilder.append(",rawLightVal=");
                    stringBuilder.append(rawLightVal);
                    android.util.Slog.d(str, stringBuilder.toString());
                }
            }
            return mPgBrightness;
        }
        android.util.Slog.w(TAG, "mHwBrightnessPgSceneDetection=null");
        return rawLightVal;
    }

    public int getPowerSavingBrightness(int brightness) {
        if ((mHwNormalizedScreenAutoBrightnessSpline == null || mHwNormalizedScreenAutoBrightnessSpline.getPersonalizedBrightnessCurveEnable()) && this.mHwBrightnessPowerSavingCurve != null && mHwNormalizedScreenAutoBrightnessSpline != null && mHwNormalizedScreenAutoBrightnessSpline.getPowerSavingBrighnessLineEnable()) {
            return this.mHwBrightnessPowerSavingCurve.getPowerSavingBrightness(brightness);
        }
        return brightness;
    }

    public void setBrightnessNoLimit(int brightness, int time) {
        if (brightness <= 0 || brightness > 255) {
            this.mBrightnessNoLimitSetByApp = -1;
        } else {
            this.mBrightnessNoLimitSetByApp = brightness;
        }
        if (this.mLightSensorEnabled) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setBrightnessNoLimit set auto Brightness=");
            stringBuilder.append(brightness);
            stringBuilder.append(",time=");
            stringBuilder.append(time);
            android.util.Slog.i(str, stringBuilder.toString());
            this.mCallbacks.updateBrightness();
        }
    }

    protected boolean setLightSensorEnabled(boolean enable) {
        com.android.server.display.HwDualSensorEventListenerImpl hwDualSensorEventListenerImpl;
        java.lang.String str;
        java.lang.StringBuilder stringBuilder;
        if (enable) {
            if (!this.mLightSensorEnabled) {
                this.mLightSensorEnabled = true;
                this.mFirstAutoBrightness = true;
                this.mUpdateAutoBrightnessCount = 0;
                this.mLightSensorEnableTime = android.os.SystemClock.uptimeMillis();
                this.mLightSensorEnableElapsedTimeNanos = android.os.SystemClock.elapsedRealtimeNanos();
                this.mCurrentLightSensorRate = this.mInitialLightSensorRate;
                int i = this.SENSOR_OPTION;
                hwDualSensorEventListenerImpl = this.mHwDualSensorEventListenerImpl;
                if (i == -1) {
                    this.mSensorManager.registerListener(this.mLightSensorListener, this.mLightSensor, this.mCurrentLightSensorRate * 1000, this.mHandler);
                } else {
                    i = this.SENSOR_OPTION;
                    hwDualSensorEventListenerImpl = this.mHwDualSensorEventListenerImpl;
                    if (i == 0) {
                        this.mSensorObserver = new com.android.server.display.HwNormalizedAutomaticBrightnessController.SensorObserver();
                        this.mHwDualSensorEventListenerImpl.attachFrontSensorData(this.mSensorObserver);
                    } else {
                        i = this.SENSOR_OPTION;
                        hwDualSensorEventListenerImpl = this.mHwDualSensorEventListenerImpl;
                        if (i == 1) {
                            this.mSensorObserver = new com.android.server.display.HwNormalizedAutomaticBrightnessController.SensorObserver();
                            this.mHwDualSensorEventListenerImpl.attachBackSensorData(this.mSensorObserver);
                        } else {
                            i = this.SENSOR_OPTION;
                            hwDualSensorEventListenerImpl = this.mHwDualSensorEventListenerImpl;
                            if (i == 2) {
                                this.mSensorObserver = new com.android.server.display.HwNormalizedAutomaticBrightnessController.SensorObserver();
                                this.mHwDualSensorEventListenerImpl.attachFusedSensorData(this.mSensorObserver);
                            }
                        }
                    }
                }
                if (this.mWakeupFromSleep) {
                    this.mHandler.sendEmptyMessageAtTime(4, this.mLightSensorEnableTime + 200);
                }
                if (DEBUG) {
                    str = TAG;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("Enable LightSensor at time:mLightSensorEnableTime=");
                    stringBuilder.append(android.os.SystemClock.uptimeMillis());
                    stringBuilder.append(",mLightSensorEnableElapsedTimeNanos=");
                    stringBuilder.append(this.mLightSensorEnableElapsedTimeNanos);
                    android.util.Slog.d(str, stringBuilder.toString());
                }
                this.mScreenBrightnessBeforeAdj = -1;
                this.mDragFinished = true;
                return true;
            }
        } else if (this.mLightSensorEnabled) {
            this.mLightSensorEnabled = false;
            this.mFirstAutoBrightness = false;
            android.util.Slog.i(TAG, "Disable LightSensor starting...");
            this.mRecentLightSamples = 0;
            this.mAmbientLightRingBuffer.clear();
            clearFilterAlgoParas();
            if (NEED_NEW_FILTER_ALGORITHM) {
                this.mAmbientLightRingBufferFilter.clear();
            }
            this.mCurrentLightSensorRate = -1;
            this.mHandler.removeMessages(1);
            this.mHandler.removeMessages(4);
            int i2 = this.SENSOR_OPTION;
            hwDualSensorEventListenerImpl = this.mHwDualSensorEventListenerImpl;
            if (i2 == -1) {
                this.mSensorManager.unregisterListener(this.mLightSensorListener);
            } else {
                i2 = this.SENSOR_OPTION;
                com.android.server.display.HwDualSensorEventListenerImpl hwDualSensorEventListenerImpl2 = this.mHwDualSensorEventListenerImpl;
                if (i2 != 0) {
                    i2 = this.SENSOR_OPTION;
                    hwDualSensorEventListenerImpl2 = this.mHwDualSensorEventListenerImpl;
                    if (i2 != 1) {
                        i2 = this.SENSOR_OPTION;
                        hwDualSensorEventListenerImpl2 = this.mHwDualSensorEventListenerImpl;
                        if (i2 == 2 && this.mSensorObserver != null) {
                            this.mHwDualSensorEventListenerImpl.detachFusedSensorData(this.mSensorObserver);
                        }
                    } else if (this.mSensorObserver != null) {
                        this.mHwDualSensorEventListenerImpl.detachBackSensorData(this.mSensorObserver);
                    }
                } else if (this.mSensorObserver != null) {
                    this.mHwDualSensorEventListenerImpl.detachFrontSensorData(this.mSensorObserver);
                }
            }
            this.mAmbientLuxValid = this.mResetAmbientLuxAfterWarmUpConfig ^ 1;
            if (DEBUG) {
                str = TAG;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Disable LightSensor at time:");
                stringBuilder.append(android.os.SystemClock.uptimeMillis());
                android.util.Slog.d(str, stringBuilder.toString());
            }
        }
        return false;
    }

    private boolean handleDarkAdaptDetector(float lux) {
        if (!(this.mDarkAdaptDetector == null || this.mCoverStateFast)) {
            if (!this.mHwAmbientLuxFilterAlgo.getProximityPositiveEnable()) {
                this.mDarkAdaptDetector.updateLux(lux, this.mAmbientLux);
                com.android.server.display.DarkAdaptDetector.AdaptState newState = this.mDarkAdaptDetector.getState();
                if (this.mDarkAdaptState == newState) {
                    return false;
                }
                android.util.HwNormalizedSpline.DarkAdaptState splineDarkAdaptState;
                if (this.mDarkAdaptState == com.android.server.display.DarkAdaptDetector.AdaptState.UNADAPTED && newState == com.android.server.display.DarkAdaptDetector.AdaptState.ADAPTING) {
                    this.mDarkAdaptDimmingEnable = true;
                } else {
                    this.mDarkAdaptDimmingEnable = false;
                }
                this.mDarkAdaptState = newState;
                switch (newState) {
                    case UNADAPTED:
                        splineDarkAdaptState = android.util.HwNormalizedSpline.DarkAdaptState.UNADAPTED;
                        break;
                    case ADAPTING:
                        splineDarkAdaptState = android.util.HwNormalizedSpline.DarkAdaptState.ADAPTING;
                        break;
                    case ADAPTED:
                        splineDarkAdaptState = android.util.HwNormalizedSpline.DarkAdaptState.ADAPTED;
                        break;
                    default:
                        splineDarkAdaptState = null;
                        break;
                }
                mHwNormalizedScreenAutoBrightnessSpline.setDarkAdaptState(splineDarkAdaptState);
                return true;
            }
        }
        return false;
    }

    private void unlockDarkAdaptLine() {
        if (this.mDarkAdaptDetector != null && this.mHwAmbientLuxFilterAlgo.getOffsetResetEnable()) {
            mHwNormalizedScreenAutoBrightnessSpline.unlockDarkAdaptLine();
        }
    }

    public boolean getDarkAdaptDimmingEnable() {
        return this.mDarkAdaptDetector != null && this.mDarkAdaptDimmingEnable && this.mLightSensorEnabled;
    }

    public void clearDarkAdaptDimmingEnable() {
        this.mDarkAdaptDimmingEnable = false;
    }

    public void getUserDragInfo(android.os.Bundle data) {
        java.lang.String str;
        java.lang.StringBuilder stringBuilder;
        boolean isDeltaValid = mHwNormalizedScreenAutoBrightnessSpline.isDeltaValid();
        mHwNormalizedScreenAutoBrightnessSpline.resetUserDragLimitFlag();
        int targetBL = getAutomaticScreenBrightness();
        int i = -3;
        if (this.mMaxBrightnessSetByCryogenic < 255) {
            targetBL = targetBL >= this.mMaxBrightnessSetByCryogenic ? -3 : targetBL;
            str = TAG;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("mMaxBrightnessSetByCryogenic=");
            stringBuilder2.append(this.mMaxBrightnessSetByCryogenic);
            android.util.Slog.i(str, stringBuilder2.toString());
        }
        if (this.mMaxBrightnessSetByThermal < 255) {
            if (targetBL < this.mMaxBrightnessSetByThermal) {
                i = targetBL;
            }
            targetBL = i;
            str = TAG;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mMaxBrightnessSetByThermal=");
            stringBuilder.append(this.mMaxBrightnessSetByThermal);
            android.util.Slog.i(str, stringBuilder.toString());
        }
        str = TAG;
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getUserDragInfo startBL=");
        stringBuilder.append(this.mScreenBrightnessBeforeAdj);
        stringBuilder.append(", targetBL=");
        stringBuilder.append(targetBL);
        android.util.Slog.i(str, stringBuilder.toString());
        str = "DeltaValid";
        boolean z = isDeltaValid && !this.mDragFinished;
        data.putBoolean(str, z);
        data.putInt("StartBrightness", this.mScreenBrightnessBeforeAdj);
        data.putInt("EndBrightness", targetBL);
        data.putInt("FilteredAmbientLight", (int) (this.mAmbientLux + 0.5f));
        data.putBoolean("ProximityPositive", this.mProximityPositive);
        this.mDragFinished = true;
    }

    public void registerCryogenicProcessor(com.android.server.display.CryogenicPowerProcessor processor) {
        this.mCryogenicProcessor = processor;
    }
}
