package com.android.server.display;

public class HwPgSceneDetectionAppName {
    private static final java.lang.String APP_NAME = "AppName";
    private static final boolean DEBUG;
    private static final java.lang.String NO_USE_POWERCURE_APP = "NoUsePowerCureApp";
    private static final java.lang.String SceneDetectionNoUsePowerCure = "SceneDetectionNoUsePowerCure";
    private static final java.lang.String TAG = "HwPgSceneDetectionAppName";
    private static final java.lang.String XML_NAME = "HwPgSceneDetectionAppName.xml";
    private static com.android.server.display.HwPgSceneDetectionAppName mInstance;
    private static java.util.HashSet<java.lang.String> mNoUsePowerCureUniqueAppName = getHwPgSceneDetectionAppName();

    static {
        boolean z;
        if (!android.util.Log.HWINFO) {
            if (!android.util.Log.HWModuleLog || !android.util.Log.isLoggable("HwPgSceneDetectionAppName", 4)) {
                z = false;
                DEBUG = z;
            }
        }
        z = true;
        DEBUG = z;
    }

    public static boolean isNoUsePowerCureAppEnable(java.lang.String appName) {
        if (!(appName == null || mNoUsePowerCureUniqueAppName == null)) {
            if (!mNoUsePowerCureUniqueAppName.isEmpty()) {
                return mNoUsePowerCureUniqueAppName.contains(appName);
            }
        }
        return false;
    }

    private static java.io.File getXmlFile() {
        try {
            java.lang.String xmlPath = java.lang.String.format("/xml/lcd/%s", new java.lang.Object[]{"HwPgSceneDetectionAppName.xml"});
            java.io.File xmlFile = huawei.cust.HwCfgFilePolicy.getCfgFile(xmlPath, 0);
            if (xmlFile != null) {
                return xmlFile;
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("get xmlFile :");
            stringBuilder.append(xmlPath);
            stringBuilder.append(" failed!");
            android.util.Slog.w("HwPgSceneDetectionAppName", stringBuilder.toString());
            return null;
        } catch (java.lang.NoClassDefFoundError e) {
            android.util.Slog.w("HwPgSceneDetectionAppName", "HwCfgFilePolicy NoClassDefFoundError");
            return null;
        }
    }

    private static java.util.HashSet<java.lang.String> getHwPgSceneDetectionAppName() {
        java.io.FileInputStream stream = null;
        java.util.HashSet<java.lang.String> retSet = new java.util.HashSet();
        boolean noUsePowerCureAppListLoaded = false;
        java.io.File file = getXmlFile();
        if (file != null) {
            if (file.exists()) {
                java.lang.String mConfigFilePath = file.getAbsolutePath();
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("get PgSceneDetectionAppListXML=");
                stringBuilder.append(mConfigFilePath);
                android.util.Slog.i("HwPgSceneDetectionAppName", stringBuilder.toString());
                org.xmlpull.v1.XmlPullParser parser = android.util.Xml.newPullParser();
                try {
                    stream = new java.io.FileInputStream(file);
                    parser.setInput(stream, null);
                    for (int event = parser.getEventType(); event != 1; event = parser.next()) {
                        java.lang.String name = parser.getName();
                        switch (event) {
                            case 2:
                                if (!name.equals("SceneDetectionNoUsePowerCure")) {
                                    break;
                                }
                                noUsePowerCureAppListLoaded = true;
                                break;
                            case 3:
                                if (noUsePowerCureAppListLoaded && name.equals("NoUsePowerCureApp")) {
                                    retSet.add(parser.getAttributeValue(null, "AppName"));
                                }
                                if (!name.equals("SceneDetectionNoUsePowerCure")) {
                                    break;
                                }
                                noUsePowerCureAppListLoaded = false;
                                break;
                            default:
                                break;
                        }
                    }
                    if (noUsePowerCureAppListLoaded) {
                        try {
                            stream.close();
                        } catch (java.io.IOException e) {
                            android.util.Slog.e("HwPgSceneDetectionAppName", "File Stream close IOException!");
                        }
                        return null;
                    }
                    if (DEBUG) {
                        if (retSet.isEmpty()) {
                            android.util.Slog.d("HwPgSceneDetectionAppName", "noUsePowerCureAppList==null");
                        } else {
                            java.util.Iterator it = retSet.iterator();
                            while (it.hasNext()) {
                                java.lang.String apkName = (java.lang.String) it.next();
                                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append("noUsePowerCureAppList apkName=");
                                stringBuilder2.append(apkName);
                                android.util.Slog.d("HwPgSceneDetectionAppName", stringBuilder2.toString());
                            }
                        }
                    }
                    try {
                        stream.close();
                    } catch (java.io.IOException e2) {
                        android.util.Slog.e("HwPgSceneDetectionAppName", "File Stream close IOException!");
                    }
                    return retSet;
                } catch (java.io.FileNotFoundException e3) {
                    android.util.Slog.e("HwPgSceneDetectionAppName", "getXmlFile error FileNotFoundException!");
                    if (stream != null) {
                        stream.close();
                    }
                } catch (java.io.IOException e4) {
                    android.util.Slog.e("HwPgSceneDetectionAppName", "getXmlFile error IOException!");
                    if (stream != null) {
                        stream.close();
                    }
                } catch (org.xmlpull.v1.XmlPullParserException e5) {
                    android.util.Slog.e("HwPgSceneDetectionAppName", "getXmlFile error XmlPullParserException!");
                    if (stream != null) {
                        stream.close();
                    }
                } catch (Throwable th) {
                    if (stream != null) {
                        try {
                            stream.close();
                        } catch (java.io.IOException e6) {
                            android.util.Slog.e("HwPgSceneDetectionAppName", "File Stream close IOException!");
                        }
                    }
                }
            }
        }
        android.util.Slog.w("HwPgSceneDetectionAppName", "HwPgSceneDetectionAppName file==null");
        return null;
    }
}
