package com.android.server.display;

public class HwSmartBackLightNormalizedController implements com.android.server.display.HwLightSensorController.LightSensorCallbacks {
    public static final int BRIGHTNESS_UPDATE_END = 1;
    public static final int BRIGHTNESS_UPDATE_START = 0;
    private static final boolean DEBUG;
    private static final int DEFAULT = 0;
    private static final int INDOOR = 1;
    private static final int MSG_PROCESS_POLICY = 1;
    private static final int MSG_UNINIT_SBL = 2;
    private static final int MSG_UPDATE_SBL_BRIGHTNESS = 3;
    private static final int OUTDOOR = 2;
    private static final int REFRESH_FRAMES_NUM = 100;
    private static final java.lang.String TAG = "HwSmartBackLightNormalizedController";
    private static final int UPDATE_BRIGHTNESS_INTERVAL = 500;
    private boolean mAppSBLScene;
    private int mCurrentLux;
    private final com.android.server.display.HwSmartBackLightXmlLoader.Data mData;
    private boolean mIsBrightnessUpdating;
    private boolean mLastAppSBLScene;
    private int mLastOutdoorScence = 0;
    private final com.android.server.display.HwLightSensorController mLightSensorController;
    private boolean mLightSensorEnable;
    private final com.android.server.lights.LightsManager mLightsManager;
    private boolean mNeedUpdateSBL;
    private com.android.server.display.HwSmartBackLightOutdoorNormalizedDetector mOutdoorDetector;
    private int mOutdoorScene;
    private final com.android.server.display.HwSmartBackLightNormalizedController.ProcessTriggerHandler mProcessTriggerHandler;
    private final android.os.HandlerThread mSBLPolicyProcessThread;
    private com.android.server.display.HwSmartBackLightNormalizedController.SceneRecognition mSceneRecognition;
    private com.android.server.lights.Light mSmartBackLight;
    private boolean mSmartBackLightEnable;
    private boolean mSmartBackLightOn;
    private int mSmoothAmbientLux;
    private long mUpdateSBLBrightnessTimestamp;
    private boolean mVideoSceneEntered = false;
    private boolean mWarmUpFirstTime;

    private class ProcessTriggerHandler extends android.os.Handler {
        public ProcessTriggerHandler(android.os.Looper looper) {
            super(looper);
        }

        public void handleMessage(android.os.Message msg) {
            switch (msg.what) {
                case 1:
                    com.android.server.display.HwSmartBackLightNormalizedController.this.processPolicy();
                    return;
                case 2:
                    com.android.server.display.HwSmartBackLightNormalizedController.this.uninitSBL();
                    return;
                case 3:
                    com.android.server.display.HwSmartBackLightNormalizedController.this.updateSBLBrightness();
                    return;
                default:
                    android.util.Slog.e("HwSmartBackLightNormalizedController", "Invalid message");
                    return;
            }
        }
    }

    private final class SceneRecognition implements com.huawei.pgmng.IPGPlugCallbacks {
        private static final java.lang.String TAG = "SceneRecognition";
        private boolean mInCameraScene;
        private boolean mInGalleryScene;
        private boolean mInVideoScene;
        private com.huawei.pgmng.PGPlug mPGPlug = new com.huawei.pgmng.PGPlug(this, "SceneRecognition");

        public SceneRecognition(android.content.Context context) {
            android.util.Slog.i("SceneRecognition", "SceneRecognition");
            new java.lang.Thread(this.mPGPlug, "SceneRecognition").start();
        }

        public void cleanScene() {
            this.mInVideoScene = false;
            this.mInCameraScene = false;
            this.mInGalleryScene = false;
        }

        public boolean isInAppScene() {
            if (com.android.server.display.HwSmartBackLightNormalizedController.this.mData.sceneVideoEnable && this.mInVideoScene) {
                return true;
            }
            if (com.android.server.display.HwSmartBackLightNormalizedController.this.mData.sceneCameraEnable && this.mInCameraScene) {
                return true;
            }
            if (com.android.server.display.HwSmartBackLightNormalizedController.this.mData.sceneGalleryEnable && this.mInGalleryScene) {
                return true;
            }
            return false;
        }

        public void onDaemonConnected() {
            android.util.Slog.i("SceneRecognition", "SceneRecognition Client Connected");
        }

        public boolean onEvent(int actionID, java.lang.String value) {
            boolean z = false;
            if (actionID == 10004) {
                this.mInGalleryScene = true;
            } else if (actionID != 10007) {
                switch (actionID) {
                    case 10015:
                        this.mInVideoScene = true;
                        break;
                    case 10016:
                        this.mInVideoScene = false;
                        break;
                    case 10017:
                        this.mInCameraScene = false;
                        break;
                    default:
                        if (this.mInGalleryScene && 1 == com.huawei.pgmng.PGAction.checkActionType(actionID)) {
                            this.mInGalleryScene = false;
                            break;
                        }
                }
            } else {
                this.mInCameraScene = true;
            }
            com.android.server.display.HwSmartBackLightNormalizedController.this.mAppSBLScene = isInAppScene();
            com.android.server.display.HwSmartBackLightNormalizedController hwSmartBackLightNormalizedController = com.android.server.display.HwSmartBackLightNormalizedController.this;
            if (com.android.server.display.HwSmartBackLightNormalizedController.this.mData.sceneVideoEnable && this.mInVideoScene) {
                z = true;
            }
            hwSmartBackLightNormalizedController.mVideoSceneEntered = z;
            if (com.android.server.display.HwSmartBackLightNormalizedController.this.mLightSensorEnable) {
                com.android.server.display.HwSmartBackLightNormalizedController.this.mProcessTriggerHandler.sendEmptyMessage(1);
            }
            return true;
        }

        public void onConnectedTimeout() {
            android.util.Slog.e("SceneRecognition", "error, SceneRecognition Client ConnectedTimeout!");
        }
    }

    static {
        boolean z;
        if (!android.util.Log.HWINFO) {
            if (!android.util.Log.HWModuleLog || !android.util.Log.isLoggable("HwSmartBackLightNormalizedController", 4)) {
                z = false;
                DEBUG = z;
            }
        }
        z = true;
        DEBUG = z;
    }

    public HwSmartBackLightNormalizedController(android.content.Context context, com.android.server.lights.LightsManager lightsManager, android.hardware.SensorManager sensorManager) {
        this.mLightsManager = lightsManager;
        this.mData = com.android.server.display.HwSmartBackLightXmlLoader.getData();
        this.mSmartBackLight = this.mLightsManager.getLight(257);
        try {
            this.mOutdoorDetector = new com.android.server.display.HwSmartBackLightOutdoorNormalizedDetector();
            if (isSceneRecognitionEnable()) {
                this.mSceneRecognition = new com.android.server.display.HwSmartBackLightNormalizedController.SceneRecognition(context);
            }
        } catch (java.lang.Exception e) {
            e.printStackTrace();
        }
        this.mLightSensorController = new com.android.server.display.HwLightSensorController(context, this, sensorManager, this.mData.lightSensorRateMills);
        this.mSBLPolicyProcessThread = new android.os.HandlerThread("HwSmartBackLightNormalizedController");
        this.mSBLPolicyProcessThread.start();
        this.mProcessTriggerHandler = new com.android.server.display.HwSmartBackLightNormalizedController.ProcessTriggerHandler(this.mSBLPolicyProcessThread.getLooper());
    }

    private boolean isSceneRecognitionEnable() {
        if (!(this.mData.sceneVideoEnable || this.mData.sceneGalleryEnable)) {
            if (!this.mData.sceneCameraEnable) {
                return false;
            }
        }
        return true;
    }

    public static boolean checkIfUsingHwSBL() {
        return true;
    }

    private static boolean wantScreenOn(int state) {
        switch (state) {
            case 2:
            case 3:
                return true;
            default:
                return false;
        }
    }

    public void updatePowerState(int state, boolean useSmartBacklight) {
        if (this.mSmartBackLightEnable || useSmartBacklight) {
            if (this.mSmartBackLightEnable != useSmartBacklight) {
                if (DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("mSmartBackLightEnable change ");
                    stringBuilder.append(this.mSmartBackLightEnable);
                    stringBuilder.append(" -> ");
                    stringBuilder.append(useSmartBacklight);
                    android.util.Slog.i("HwSmartBackLightNormalizedController", stringBuilder.toString());
                }
                this.mSmartBackLightEnable = useSmartBacklight;
            }
            boolean z = wantScreenOn(state) && useSmartBacklight;
            setLightSensorEnabled(z);
        }
    }

    public void updateBrightnessState(int state) {
        if (this.mSmartBackLightEnable) {
            if (state == 0) {
                if (!this.mIsBrightnessUpdating) {
                    this.mIsBrightnessUpdating = true;
                }
            } else if (this.mIsBrightnessUpdating) {
                this.mIsBrightnessUpdating = false;
                if (this.mSmartBackLightOn) {
                    this.mProcessTriggerHandler.sendEmptyMessage(3);
                }
            }
            return;
        }
        android.util.Slog.w("HwSmartBackLightNormalizedController", "updateBrightnessState sbl didn't enable");
        if (this.mIsBrightnessUpdating) {
            this.mIsBrightnessUpdating = false;
            if (DEBUG) {
                android.util.Slog.i("HwSmartBackLightNormalizedController", "updateBrightnessState clear mIsBrightnessUpdating");
            }
        }
    }

    private void setLightSensorEnabled(boolean enable) {
        if (enable) {
            if (!this.mLightSensorEnable) {
                this.mLightSensorEnable = true;
                if (DEBUG) {
                    android.util.Slog.i("HwSmartBackLightNormalizedController", "light sensor open");
                }
                this.mWarmUpFirstTime = true;
                this.mLightSensorController.enableSensor();
            }
        } else if (this.mLightSensorEnable) {
            this.mLightSensorEnable = false;
            if (DEBUG) {
                android.util.Slog.i("HwSmartBackLightNormalizedController", "light sensor close");
            }
            this.mLightSensorController.disableSensor();
            this.mProcessTriggerHandler.removeMessages(1);
            this.mProcessTriggerHandler.sendEmptyMessage(2);
            this.mOutdoorDetector.clearAmbientLightRingBuffer();
        }
    }

    private void initSBL() {
        if (this.mSmartBackLightOn) {
            android.util.Slog.w("HwSmartBackLightNormalizedController", "initSBL but sbl is already on");
            return;
        }
        if (DEBUG) {
            android.util.Slog.i("HwSmartBackLightNormalizedController", "initSBL");
        }
        this.mSmartBackLight.sendSmartBackLightWithRefreshFrames(0, this.mData.apicalADLevel, 0, 0, false, 0, 0);
    }

    private void uninitSBL() {
        this.mSmartBackLightOn = false;
        if (DEBUG) {
            android.util.Slog.i("HwSmartBackLightNormalizedController", "uninitSBL");
        }
        this.mSmartBackLight.sendSmartBackLightWithRefreshFrames(0, this.mData.apicalADLevel, 0, 0, false, 0, 0);
        if (this.mSceneRecognition != null) {
            this.mSceneRecognition.cleanScene();
        }
        this.mOutdoorScene = 0;
        this.mLastOutdoorScence = 0;
        this.mAppSBLScene = false;
        this.mLastAppSBLScene = false;
        this.mIsBrightnessUpdating = false;
    }

    private void turnOnSBL() {
        if (this.mSmartBackLightOn) {
            android.util.Slog.w("HwSmartBackLightNormalizedController", "turnOnSBL but sbl is already on");
            return;
        }
        this.mSmartBackLightOn = true;
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("turnOnSBL, mSmoothAmbientLux = ");
            stringBuilder.append(this.mSmoothAmbientLux);
            android.util.Slog.i("HwSmartBackLightNormalizedController", stringBuilder.toString());
        }
        this.mSmartBackLight.sendSmartBackLightWithRefreshFrames(1, getApicalADLevel(), getSmoothAmbientLux(), 100, false, 0, 0);
    }

    private void turnOffSBL() {
        if (this.mSmartBackLightOn) {
            this.mSmartBackLightOn = false;
            if (DEBUG) {
                android.util.Slog.i("HwSmartBackLightNormalizedController", "turnOffSBL");
            }
            if (this.mLastAppSBLScene && !this.mAppSBLScene && this.mData.videoSceneEnhanceEnabled) {
                this.mSmartBackLight.sendSmartBackLightWithRefreshFrames(0, this.mData.apicalADLevel, 0, 100, false, 0, 0);
                return;
            } else {
                this.mSmartBackLight.sendSmartBackLightWithRefreshFrames(1, this.mData.apicalADLevel, 0, 100, true, 0, 0);
                return;
            }
        }
        android.util.Slog.w("HwSmartBackLightNormalizedController", "turnOffSBL but sbl is already off");
    }

    private void updateSBLLux() {
        if (this.mSmartBackLightOn) {
            if (DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("updateSBLLux, mSmoothAmbientLux = ");
                stringBuilder.append(this.mSmoothAmbientLux);
                android.util.Slog.i("HwSmartBackLightNormalizedController", stringBuilder.toString());
            }
            this.mSmartBackLight.sendSmartBackLightWithRefreshFrames(1, getApicalADLevel(), getSmoothAmbientLux(), 100, false, 0, 0);
            return;
        }
        android.util.Slog.w("HwSmartBackLightNormalizedController", "updateSBLLux but sbl is off");
    }

    private void updateSBLBrightness() {
        if (this.mSmartBackLightOn) {
            long time = android.os.SystemClock.elapsedRealtime();
            if (this.mUpdateSBLBrightnessTimestamp == 0 || time - this.mUpdateSBLBrightnessTimestamp >= 500) {
                this.mUpdateSBLBrightnessTimestamp = time;
                if (DEBUG) {
                    android.util.Slog.i("HwSmartBackLightNormalizedController", "updateSBLBrightness");
                }
                this.mSmartBackLight.sendSmartBackLightWithRefreshFrames(1, getApicalADLevel(), getSmoothAmbientLux(), 100, false, 0, 0);
            }
            return;
        }
        android.util.Slog.w("HwSmartBackLightNormalizedController", "updateSBLBrightness but sbl is off");
    }

    private void processPolicy() {
        if (needMakePolicy()) {
            boolean isOutdoor = this.mOutdoorScene == 2;
            if (DEBUG && !this.mIsBrightnessUpdating) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("OutdoorScence = ");
                stringBuilder.append(isOutdoor);
                stringBuilder.append(", AppSBLScene = ");
                stringBuilder.append(this.mAppSBLScene);
                stringBuilder.append(", UpdateSBL = ");
                stringBuilder.append(this.mNeedUpdateSBL);
                stringBuilder.append(", CurrentLux = ");
                stringBuilder.append(this.mCurrentLux);
                stringBuilder.append(", SmoothLux = ");
                stringBuilder.append(this.mSmoothAmbientLux);
                stringBuilder.append(", UpdataBright = ");
                stringBuilder.append(this.mIsBrightnessUpdating);
                android.util.Slog.i("HwSmartBackLightNormalizedController", stringBuilder.toString());
            }
            if (!this.mWarmUpFirstTime) {
                makePolicy();
            } else if (this.mOutdoorScene == 0) {
                if (DEBUG) {
                    android.util.Slog.i("HwSmartBackLightNormalizedController", "WARM UP, wait outdoor scene detect result");
                }
                return;
            } else {
                this.mWarmUpFirstTime = false;
                makeWarmUpPolicy();
            }
            this.mNeedUpdateSBL = false;
            this.mLastOutdoorScence = this.mOutdoorScene;
            this.mLastAppSBLScene = this.mAppSBLScene;
        }
    }

    private boolean needMakePolicy() {
        if (this.mOutdoorScene != this.mLastOutdoorScence || this.mAppSBLScene != this.mLastAppSBLScene || this.mNeedUpdateSBL) {
            return true;
        }
        if (this.mIsBrightnessUpdating && this.mSmartBackLightOn) {
            return true;
        }
        return false;
    }

    private void makeWarmUpPolicy() {
        if (this.mOutdoorScene != 2) {
            if (this.mOutdoorScene != 1 || !this.mAppSBLScene) {
                if (DEBUG) {
                    android.util.Slog.i("HwSmartBackLightNormalizedController", "WARM UP, initSBL");
                }
                initSBL();
                return;
            }
        }
        if (DEBUG) {
            android.util.Slog.i("HwSmartBackLightNormalizedController", "WARM UP, turnOnSBL");
        }
        turnOnSBL();
    }

    private void makePolicy() {
        if (this.mLastOutdoorScence == 1 && this.mOutdoorScene == 2) {
            policyIndoorToOutdoor();
        } else if (this.mLastOutdoorScence == 2 && this.mOutdoorScene == 1) {
            policyOutdoorToIndoor();
        } else if (!this.mLastAppSBLScene && this.mAppSBLScene) {
            policyEnterAppScene();
        } else if (this.mLastAppSBLScene && !this.mAppSBLScene) {
            policyExitAppScene();
        } else if (this.mNeedUpdateSBL) {
            policyLuxChanged();
        } else if (this.mIsBrightnessUpdating) {
            policySceenBrightnessChanged();
        }
    }

    private void policyIndoorToOutdoor() {
        if (this.mAppSBLScene) {
            if (DEBUG) {
                android.util.Slog.i("HwSmartBackLightNormalizedController", "INDOOR -> OUTDOOR, in app SBL scene, SBL already on");
            }
            updateSBLLux();
        } else if (this.mSmartBackLightOn) {
            android.util.Slog.w("HwSmartBackLightNormalizedController", "INDOOR -> OUTDOOR, not in app SBL scene, but SBL already on, error!");
        } else {
            if (DEBUG) {
                android.util.Slog.i("HwSmartBackLightNormalizedController", "INDOOR -> OUTDOOR, enableSBL");
            }
            turnOnSBL();
        }
    }

    private void policyOutdoorToIndoor() {
        if (this.mAppSBLScene) {
            if (DEBUG) {
                android.util.Slog.i("HwSmartBackLightNormalizedController", "OUTDOOR -> INDOOR, in app SBL scene, needn't turn off SBL");
            }
            updateSBLLux();
        } else if (this.mSmartBackLightOn) {
            if (DEBUG) {
                android.util.Slog.i("HwSmartBackLightNormalizedController", "OUTDOOR -> INDOOR, turnOffSBL");
            }
            turnOffSBL();
        } else {
            android.util.Slog.w("HwSmartBackLightNormalizedController", "OUTDOOR -> INDOOR, but SBL was off, error!");
        }
    }

    private void policyEnterAppScene() {
        if (this.mOutdoorScene != 1) {
            return;
        }
        if (this.mSmartBackLightOn) {
            android.util.Slog.w("HwSmartBackLightNormalizedController", "INDOOR, wasn't app SBL scene, but SBL was on, error!");
            return;
        }
        if (DEBUG) {
            android.util.Slog.i("HwSmartBackLightNormalizedController", "INDOOR, enter app SBL scene, turnOnSBL");
        }
        turnOnSBL();
    }

    private void policyExitAppScene() {
        if (this.mOutdoorScene != 1) {
            return;
        }
        if (this.mSmartBackLightOn) {
            if (DEBUG) {
                android.util.Slog.i("HwSmartBackLightNormalizedController", "INDOOR, exit app SBL scene, turnOffSBL");
            }
            turnOffSBL();
            return;
        }
        android.util.Slog.w("HwSmartBackLightNormalizedController", "INDOOR, in app SBL scene, but SBL was off, error!");
    }

    private void policyLuxChanged() {
        if (this.mSmartBackLightOn) {
            updateSBLLux();
        }
    }

    private void policySceenBrightnessChanged() {
        if (this.mSmartBackLightOn) {
            updateSBLBrightness();
        }
    }

    private int getApicalADLevel() {
        if (!this.mData.videoSceneEnhanceEnabled || !this.mVideoSceneEntered) {
            return this.mData.apicalADLevel;
        }
        if (this.mCurrentLux <= this.mData.videoSceneDarknessThreshold) {
            return this.mData.darknessApicalADLevel;
        }
        if (this.mCurrentLux <= this.mData.videoSceneDarknessThreshold || this.mCurrentLux > this.mData.videoSceneIndoorThreshold) {
            return this.mData.outdoorApicalADLevel;
        }
        return this.mData.indoorApicalADLevel;
    }

    private int getSmoothAmbientLux() {
        if (!this.mData.videoSceneEnhanceEnabled || !this.mVideoSceneEntered) {
            return this.mSmoothAmbientLux;
        }
        if (this.mCurrentLux <= this.mData.videoSceneDarknessThreshold) {
            return this.mSmoothAmbientLux + this.mData.darknessAmbidentBrightnessShift;
        }
        if (this.mCurrentLux <= this.mData.videoSceneDarknessThreshold || this.mCurrentLux > this.mData.videoSceneIndoorThreshold) {
            return this.mSmoothAmbientLux + this.mData.outdoorAmbidentBrightnessShift;
        }
        return this.mSmoothAmbientLux + this.mData.indoorAmbidentBrightnessShift;
    }

    public void processSensorData(long timeInMs, int lux, int cct) {
        this.mCurrentLux = lux;
        this.mOutdoorDetector.handleLightSensorEvent(timeInMs, (float) lux);
        this.mOutdoorScene = this.mOutdoorDetector.getIndoorOutdoorFlagForSBL();
        this.mNeedUpdateSBL = this.mOutdoorDetector.getLuxChangedFlagForSBL();
        this.mSmoothAmbientLux = (int) this.mOutdoorDetector.getAmbientLuxForSBL();
        if (this.mLightSensorEnable) {
            this.mProcessTriggerHandler.sendEmptyMessage(1);
        }
    }
}
