package com.android.server.display;

final class HwSmartBackLightXmlLoader {
    private static final boolean HWDEBUG;
    private static final boolean HWFLOW;
    private static final java.lang.String TAG = "HwSmartBackLightXmlLoader";
    private static final java.lang.String XML_NAME = "SBLConfig.xml";
    private static com.android.server.display.HwSmartBackLightXmlLoader.Data mData = new com.android.server.display.HwSmartBackLightXmlLoader.Data();
    private static com.android.server.display.HwSmartBackLightXmlLoader mLoader;
    private static final java.lang.Object mLoaderLock = new java.lang.Object();

    public static class Data {
        public int apicalADLevel = 128;
        public int brighenDebounceTime = 3000;
        public java.util.List<android.graphics.PointF> brightenLinePoints = new java.util.ArrayList();
        public int darkenDebounceTime = 3000;
        public java.util.List<android.graphics.PointF> darkenLinePoints = new java.util.ArrayList();
        public int darknessAmbidentBrightnessShift = 0;
        public int darknessApicalADLevel = 0;
        public int inDoorThreshold = 5000;
        public int indoorAmbidentBrightnessShift = 0;
        public int indoorApicalADLevel = 0;
        public int lightSensorRateMills = 300;
        public int outDoorThreshold = 8000;
        public int outdoorAmbidentBrightnessShift = 0;
        public int outdoorApicalADLevel = 0;
        public boolean sceneCameraEnable = false;
        public boolean sceneGalleryEnable = false;
        public boolean sceneVideoEnable = false;
        public int videoSceneDarknessThreshold = 0;
        public boolean videoSceneEnhanceEnabled = false;
        public int videoSceneIndoorThreshold = 0;

        public void printData() {
            if (com.android.server.display.HwSmartBackLightXmlLoader.HWFLOW) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() lightSensorRateMills=");
                stringBuilder.append(this.lightSensorRateMills);
                stringBuilder.append(", apicalADLevel=");
                stringBuilder.append(this.apicalADLevel);
                stringBuilder.append(", sceneVideoEnable=");
                stringBuilder.append(this.sceneVideoEnable);
                stringBuilder.append(", sceneGalleryEnable=");
                stringBuilder.append(this.sceneGalleryEnable);
                stringBuilder.append(", sceneCameraEnable=");
                stringBuilder.append(this.sceneCameraEnable);
                stringBuilder.append(", outDoorThreshold=");
                stringBuilder.append(this.outDoorThreshold);
                stringBuilder.append(", inDoorThreshold=");
                stringBuilder.append(this.inDoorThreshold);
                stringBuilder.append(", brighenDebounceTime=");
                stringBuilder.append(this.brighenDebounceTime);
                stringBuilder.append(", darkenDebounceTime=");
                stringBuilder.append(this.darkenDebounceTime);
                android.util.Slog.i("HwSmartBackLightXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() brightenLinePoints=");
                stringBuilder.append(this.brightenLinePoints);
                android.util.Slog.i("HwSmartBackLightXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() darkenLinePoints=");
                stringBuilder.append(this.darkenLinePoints);
                android.util.Slog.i("HwSmartBackLightXmlLoader", stringBuilder.toString());
            }
        }

        public void loadDefaultConfig() {
            if (com.android.server.display.HwSmartBackLightXmlLoader.HWFLOW) {
                android.util.Slog.i("HwSmartBackLightXmlLoader", "loadDefaultConfig()");
            }
            this.lightSensorRateMills = 300;
            this.apicalADLevel = 128;
            this.sceneVideoEnable = false;
            this.sceneGalleryEnable = false;
            this.sceneCameraEnable = false;
            this.outDoorThreshold = 8000;
            this.inDoorThreshold = 5000;
            this.brighenDebounceTime = 3000;
            this.darkenDebounceTime = 3000;
            this.brightenLinePoints.clear();
            this.brightenLinePoints.add(new android.graphics.PointF(0.0f, 15.0f));
            this.brightenLinePoints.add(new android.graphics.PointF(2.0f, 15.0f));
            this.brightenLinePoints.add(new android.graphics.PointF(10.0f, 19.0f));
            this.brightenLinePoints.add(new android.graphics.PointF(100.0f, 239.0f));
            this.brightenLinePoints.add(new android.graphics.PointF(500.0f, 439.0f));
            this.brightenLinePoints.add(new android.graphics.PointF(1000.0f, 989.0f));
            this.brightenLinePoints.add(new android.graphics.PointF(40000.0f, 989.0f));
            this.darkenLinePoints.clear();
            this.darkenLinePoints.add(new android.graphics.PointF(0.0f, 1.0f));
            this.darkenLinePoints.add(new android.graphics.PointF(1.0f, 1.0f));
            this.darkenLinePoints.add(new android.graphics.PointF(15.0f, 15.0f));
            this.darkenLinePoints.add(new android.graphics.PointF(20.0f, 15.0f));
            this.darkenLinePoints.add(new android.graphics.PointF(85.0f, 80.0f));
            this.darkenLinePoints.add(new android.graphics.PointF(100.0f, 80.0f));
            this.darkenLinePoints.add(new android.graphics.PointF(420.0f, 400.0f));
            this.darkenLinePoints.add(new android.graphics.PointF(500.0f, 400.0f));
            this.darkenLinePoints.add(new android.graphics.PointF(600.0f, 500.0f));
            this.darkenLinePoints.add(new android.graphics.PointF(1000.0f, 500.0f));
            this.darkenLinePoints.add(new android.graphics.PointF(2000.0f, 1000.0f));
            this.darkenLinePoints.add(new android.graphics.PointF(40000.0f, 1000.0f));
        }
    }

    private static class Element_BaseGroup extends com.android.server.display.HwXmlElement {
        private Element_BaseGroup() {
        }

        public java.lang.String getName() {
            return "BaseGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"LightSensorRateMills", "ApicalADLevel", "OutDoorThreshold", "InDoorThreshold", "BrighenDebounceTime", "DarkenDebounceTime"});
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = 0;
            r3 = 1;
            switch(r1) {
                case -790346984: goto L_0x0040;
                case -599365355: goto L_0x0036;
                case -85825767: goto L_0x002c;
                case 701544399: goto L_0x0022;
                case 1001305191: goto L_0x0018;
                case 1593528077: goto L_0x000e;
                default: goto L_0x000d;
            };
        L_0x000d:
            goto L_0x004a;
        L_0x000e:
            r1 = "ApicalADLevel";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x004a;
        L_0x0016:
            r1 = r3;
            goto L_0x004b;
        L_0x0018:
            r1 = "LightSensorRateMills";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x004a;
        L_0x0020:
            r1 = r2;
            goto L_0x004b;
        L_0x0022:
            r1 = "OutDoorThreshold";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x004a;
        L_0x002a:
            r1 = 2;
            goto L_0x004b;
        L_0x002c:
            r1 = "BrighenDebounceTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x004a;
        L_0x0034:
            r1 = 4;
            goto L_0x004b;
        L_0x0036:
            r1 = "DarkenDebounceTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x004a;
        L_0x003e:
            r1 = 5;
            goto L_0x004b;
        L_0x0040:
            r1 = "InDoorThreshold";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x004a;
        L_0x0048:
            r1 = 3;
            goto L_0x004b;
        L_0x004a:
            r1 = -1;
        L_0x004b:
            switch(r1) {
                case 0: goto L_0x00b1;
                case 1: goto L_0x00a2;
                case 2: goto L_0x0093;
                case 3: goto L_0x0084;
                case 4: goto L_0x0075;
                case 5: goto L_0x0066;
                default: goto L_0x004e;
            };
        L_0x004e:
            r1 = r5.TAG;
            r3 = new java.lang.StringBuilder;
            r3.<init>();
            r4 = "unknow valueName=";
            r3.append(r4);
            r3.append(r0);
            r3 = r3.toString();
            android.util.Slog.e(r1, r3);
            return r2;
        L_0x0066:
            r1 = com.android.server.display.HwSmartBackLightXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.darkenDebounceTime = r2;
            goto L_0x00c0;
        L_0x0075:
            r1 = com.android.server.display.HwSmartBackLightXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.brighenDebounceTime = r2;
            goto L_0x00c0;
        L_0x0084:
            r1 = com.android.server.display.HwSmartBackLightXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.inDoorThreshold = r2;
            goto L_0x00c0;
        L_0x0093:
            r1 = com.android.server.display.HwSmartBackLightXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.outDoorThreshold = r2;
            goto L_0x00c0;
        L_0x00a2:
            r1 = com.android.server.display.HwSmartBackLightXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.apicalADLevel = r2;
            goto L_0x00c0;
        L_0x00b1:
            r1 = com.android.server.display.HwSmartBackLightXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.lightSensorRateMills = r2;
        L_0x00c0:
            return r3;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwSmartBackLightXmlLoader.Element_BaseGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwSmartBackLightXmlLoader.mData.lightSensorRateMills > 0 && com.android.server.display.HwSmartBackLightXmlLoader.mData.apicalADLevel > 0 && com.android.server.display.HwSmartBackLightXmlLoader.mData.apicalADLevel <= 255 && com.android.server.display.HwSmartBackLightXmlLoader.mData.outDoorThreshold >= com.android.server.display.HwSmartBackLightXmlLoader.mData.inDoorThreshold && com.android.server.display.HwSmartBackLightXmlLoader.mData.inDoorThreshold >= 0 && com.android.server.display.HwSmartBackLightXmlLoader.mData.brighenDebounceTime < 10000 && com.android.server.display.HwSmartBackLightXmlLoader.mData.darkenDebounceTime < 10000;
        }
    }

    private static class Element_BrightenLinePoints extends com.android.server.display.HwXmlElement {
        private Element_BrightenLinePoints() {
        }

        public java.lang.String getName() {
            return "BrightenLinePoints";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }
    }

    private static class Element_BrightenLinePoints_Point extends com.android.server.display.HwXmlElement {
        private Element_BrightenLinePoints_Point() {
        }

        public java.lang.String getName() {
            return "Point";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            com.android.server.display.HwSmartBackLightXmlLoader.mData.brightenLinePoints = com.android.server.display.HwXmlElement.parsePointFList(parser, com.android.server.display.HwSmartBackLightXmlLoader.mData.brightenLinePoints);
            return true;
        }

        protected boolean checkValue() {
            return com.android.server.display.HwSmartBackLightXmlLoader.checkPointsListIsOK(com.android.server.display.HwSmartBackLightXmlLoader.mData.brightenLinePoints);
        }
    }

    private static class Element_DarkenLinePoints extends com.android.server.display.HwXmlElement {
        private Element_DarkenLinePoints() {
        }

        public java.lang.String getName() {
            return "DarkenLinePoints";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }
    }

    private static class Element_DarkenLinePoints_Point extends com.android.server.display.HwXmlElement {
        private Element_DarkenLinePoints_Point() {
        }

        public java.lang.String getName() {
            return "Point";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            com.android.server.display.HwSmartBackLightXmlLoader.mData.darkenLinePoints = com.android.server.display.HwXmlElement.parsePointFList(parser, com.android.server.display.HwSmartBackLightXmlLoader.mData.darkenLinePoints);
            return true;
        }

        protected boolean checkValue() {
            return com.android.server.display.HwSmartBackLightXmlLoader.checkPointsListIsOK(com.android.server.display.HwSmartBackLightXmlLoader.mData.darkenLinePoints);
        }
    }

    private static class Element_SBLConfig extends com.android.server.display.HwXmlElement {
        private boolean mParseStarted;

        private Element_SBLConfig() {
        }

        public java.lang.String getName() {
            return "SBLConfig";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            if (this.mParseStarted) {
                return false;
            }
            this.mParseStarted = true;
            return true;
        }
    }

    private static class Element_SceneRecognition extends com.android.server.display.HwXmlElement {
        private Element_SceneRecognition() {
        }

        public java.lang.String getName() {
            return "SceneRecognition";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }
    }

    private static class Element_SceneRecognitionGroup extends com.android.server.display.HwXmlElement {
        private Element_SceneRecognitionGroup() {
        }

        public java.lang.String getName() {
            return "SceneRecognitionGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"SceneVideo", "SceneGallery", "SceneCamera"});
        }

        /* JADX WARNING: Removed duplicated region for block: B:18:0x003c  */
        /* JADX WARNING: Removed duplicated region for block: B:22:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:21:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:20:0x0054  */
        /* JADX WARNING: Removed duplicated region for block: B:18:0x003c  */
        /* JADX WARNING: Removed duplicated region for block: B:22:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:21:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:20:0x0054  */
        /* JADX WARNING: Removed duplicated region for block: B:18:0x003c  */
        /* JADX WARNING: Removed duplicated region for block: B:22:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:21:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:20:0x0054  */
        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = -229548177; // 0xfffffffff2515f6f float:-4.1470553E30 double:NaN;
            r3 = 0;
            r4 = 1;
            if (r1 == r2) goto L_0x002e;
        L_0x000f:
            r2 = 922867377; // 0x3701d6b1 float:7.738986E-6 double:4.559570666E-315;
            if (r1 == r2) goto L_0x0024;
        L_0x0014:
            r2 = 2093405510; // 0x7cc6d546 float:8.259204E36 double:1.0342797453E-314;
            if (r1 == r2) goto L_0x001a;
        L_0x0019:
            goto L_0x0038;
        L_0x001a:
            r1 = "SceneGallery";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0038;
        L_0x0022:
            r1 = r4;
            goto L_0x0039;
        L_0x0024:
            r1 = "SceneCamera";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0038;
        L_0x002c:
            r1 = 2;
            goto L_0x0039;
        L_0x002e:
            r1 = "SceneVideo";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0038;
        L_0x0036:
            r1 = r3;
            goto L_0x0039;
        L_0x0038:
            r1 = -1;
        L_0x0039:
            switch(r1) {
                case 0: goto L_0x0072;
                case 1: goto L_0x0063;
                case 2: goto L_0x0054;
                default: goto L_0x003c;
            };
        L_0x003c:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r4 = "unknow valueName=";
            r2.append(r4);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r3;
        L_0x0054:
            r1 = com.android.server.display.HwSmartBackLightXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.sceneCameraEnable = r2;
            goto L_0x0081;
        L_0x0063:
            r1 = com.android.server.display.HwSmartBackLightXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.sceneGalleryEnable = r2;
            goto L_0x0081;
        L_0x0072:
            r1 = com.android.server.display.HwSmartBackLightXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.sceneVideoEnable = r2;
        L_0x0081:
            return r4;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwSmartBackLightXmlLoader.Element_SceneRecognitionGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }
    }

    private static class Element_VideoSceneEnhance extends com.android.server.display.HwXmlElement {
        private Element_VideoSceneEnhance() {
        }

        public java.lang.String getName() {
            return "VideoSceneEnhance";
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }
    }

    private static class Element_VideoSceneEnhance_DarknessConfig extends com.android.server.display.HwXmlElement {
        private Element_VideoSceneEnhance_DarknessConfig() {
        }

        public java.lang.String getName() {
            return "DarknessConfig";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }
    }

    private static class Element_VideoSceneEnhance_DarknessConfigGroup extends com.android.server.display.HwXmlElement {
        private Element_VideoSceneEnhance_DarknessConfigGroup() {
        }

        public java.lang.String getName() {
            return "VideoSceneEnhance_DarknessConfigGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"DarknessApicalADLevel", "DarknessAmbidentBrightnessShift"});
        }

        /* JADX WARNING: Removed duplicated region for block: B:13:0x002d  */
        /* JADX WARNING: Removed duplicated region for block: B:16:0x0054  */
        /* JADX WARNING: Removed duplicated region for block: B:15:0x0045  */
        /* JADX WARNING: Removed duplicated region for block: B:13:0x002d  */
        /* JADX WARNING: Removed duplicated region for block: B:16:0x0054  */
        /* JADX WARNING: Removed duplicated region for block: B:15:0x0045  */
        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = -1707245654; // 0xffffffff9a3d7faa float:-3.918741E-23 double:NaN;
            r3 = 1;
            r4 = 0;
            if (r1 == r2) goto L_0x001f;
        L_0x000f:
            r2 = -1232861888; // 0xffffffffb6840540 float:-3.9345177E-6 double:NaN;
            if (r1 == r2) goto L_0x0015;
        L_0x0014:
            goto L_0x0029;
        L_0x0015:
            r1 = "DarknessApicalADLevel";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0029;
        L_0x001d:
            r1 = r4;
            goto L_0x002a;
        L_0x001f:
            r1 = "DarknessAmbidentBrightnessShift";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0029;
        L_0x0027:
            r1 = r3;
            goto L_0x002a;
        L_0x0029:
            r1 = -1;
        L_0x002a:
            switch(r1) {
                case 0: goto L_0x0054;
                case 1: goto L_0x0045;
                default: goto L_0x002d;
            };
        L_0x002d:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r3 = "unknow valueName=";
            r2.append(r3);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r4;
        L_0x0045:
            r1 = com.android.server.display.HwSmartBackLightXmlLoader.mData;
            r2 = r6.nextText();
            r2 = java.lang.Integer.parseInt(r2);
            r1.darknessAmbidentBrightnessShift = r2;
            goto L_0x0063;
        L_0x0054:
            r1 = com.android.server.display.HwSmartBackLightXmlLoader.mData;
            r2 = r6.nextText();
            r2 = java.lang.Integer.parseInt(r2);
            r1.darknessApicalADLevel = r2;
        L_0x0063:
            return r3;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwSmartBackLightXmlLoader.Element_VideoSceneEnhance_DarknessConfigGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }
    }

    private static class Element_VideoSceneEnhance_Enabled extends com.android.server.display.HwXmlElement {
        private Element_VideoSceneEnhance_Enabled() {
        }

        public java.lang.String getName() {
            return "VideoSceneEnhanceEnabled";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            com.android.server.display.HwSmartBackLightXmlLoader.mData.videoSceneEnhanceEnabled = java.lang.Boolean.parseBoolean(parser.nextText());
            return true;
        }
    }

    private static class Element_VideoSceneEnhance_IndoorConfig extends com.android.server.display.HwXmlElement {
        private Element_VideoSceneEnhance_IndoorConfig() {
        }

        public java.lang.String getName() {
            return "IndoorConfig";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }
    }

    private static class Element_VideoSceneEnhance_IndoorConfigGroup extends com.android.server.display.HwXmlElement {
        private Element_VideoSceneEnhance_IndoorConfigGroup() {
        }

        public java.lang.String getName() {
            return "VideoSceneEnhance_IndoorConfigGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"IndoorApicalADLevel", "IndoorAmbidentBrightnessShift"});
        }

        /* JADX WARNING: Removed duplicated region for block: B:13:0x002d  */
        /* JADX WARNING: Removed duplicated region for block: B:16:0x0054  */
        /* JADX WARNING: Removed duplicated region for block: B:15:0x0045  */
        /* JADX WARNING: Removed duplicated region for block: B:13:0x002d  */
        /* JADX WARNING: Removed duplicated region for block: B:16:0x0054  */
        /* JADX WARNING: Removed duplicated region for block: B:15:0x0045  */
        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = -936208028; // 0xffffffffc8329964 float:-182885.56 double:NaN;
            r3 = 1;
            r4 = 0;
            if (r1 == r2) goto L_0x001f;
        L_0x000f:
            r2 = 1455497082; // 0x56c11f7a float:1.06170467E14 double:7.19111106E-315;
            if (r1 == r2) goto L_0x0015;
        L_0x0014:
            goto L_0x0029;
        L_0x0015:
            r1 = "IndoorApicalADLevel";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0029;
        L_0x001d:
            r1 = r4;
            goto L_0x002a;
        L_0x001f:
            r1 = "IndoorAmbidentBrightnessShift";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0029;
        L_0x0027:
            r1 = r3;
            goto L_0x002a;
        L_0x0029:
            r1 = -1;
        L_0x002a:
            switch(r1) {
                case 0: goto L_0x0054;
                case 1: goto L_0x0045;
                default: goto L_0x002d;
            };
        L_0x002d:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r3 = "unknow valueName=";
            r2.append(r3);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r4;
        L_0x0045:
            r1 = com.android.server.display.HwSmartBackLightXmlLoader.mData;
            r2 = r6.nextText();
            r2 = java.lang.Integer.parseInt(r2);
            r1.indoorAmbidentBrightnessShift = r2;
            goto L_0x0063;
        L_0x0054:
            r1 = com.android.server.display.HwSmartBackLightXmlLoader.mData;
            r2 = r6.nextText();
            r2 = java.lang.Integer.parseInt(r2);
            r1.indoorApicalADLevel = r2;
        L_0x0063:
            return r3;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwSmartBackLightXmlLoader.Element_VideoSceneEnhance_IndoorConfigGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }
    }

    private static class Element_VideoSceneEnhance_OutdoorConfig extends com.android.server.display.HwXmlElement {
        private Element_VideoSceneEnhance_OutdoorConfig() {
        }

        public java.lang.String getName() {
            return "OutdoorConfig";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }
    }

    private static class Element_VideoSceneEnhance_OutdoorConfigGroup extends com.android.server.display.HwXmlElement {
        private Element_VideoSceneEnhance_OutdoorConfigGroup() {
        }

        public java.lang.String getName() {
            return "VideoSceneEnhance_OutdoorConfigGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"OutdoorApicalADLevel", "OutdoorAmbidentBrightnessShift"});
        }

        /* JADX WARNING: Removed duplicated region for block: B:13:0x002d  */
        /* JADX WARNING: Removed duplicated region for block: B:16:0x0054  */
        /* JADX WARNING: Removed duplicated region for block: B:15:0x0045  */
        /* JADX WARNING: Removed duplicated region for block: B:13:0x002d  */
        /* JADX WARNING: Removed duplicated region for block: B:16:0x0054  */
        /* JADX WARNING: Removed duplicated region for block: B:15:0x0045  */
        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = -1138949669; // 0xffffffffbc1d01db float:-0.009582962 double:NaN;
            r3 = 1;
            r4 = 0;
            if (r1 == r2) goto L_0x001f;
        L_0x000f:
            r2 = -966369103; // 0xffffffffc66660b1 float:-14744.173 double:NaN;
            if (r1 == r2) goto L_0x0015;
        L_0x0014:
            goto L_0x0029;
        L_0x0015:
            r1 = "OutdoorApicalADLevel";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0029;
        L_0x001d:
            r1 = r4;
            goto L_0x002a;
        L_0x001f:
            r1 = "OutdoorAmbidentBrightnessShift";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0029;
        L_0x0027:
            r1 = r3;
            goto L_0x002a;
        L_0x0029:
            r1 = -1;
        L_0x002a:
            switch(r1) {
                case 0: goto L_0x0054;
                case 1: goto L_0x0045;
                default: goto L_0x002d;
            };
        L_0x002d:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r3 = "unknow valueName=";
            r2.append(r3);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r4;
        L_0x0045:
            r1 = com.android.server.display.HwSmartBackLightXmlLoader.mData;
            r2 = r6.nextText();
            r2 = java.lang.Integer.parseInt(r2);
            r1.outdoorAmbidentBrightnessShift = r2;
            goto L_0x0063;
        L_0x0054:
            r1 = com.android.server.display.HwSmartBackLightXmlLoader.mData;
            r2 = r6.nextText();
            r2 = java.lang.Integer.parseInt(r2);
            r1.outdoorApicalADLevel = r2;
        L_0x0063:
            return r3;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwSmartBackLightXmlLoader.Element_VideoSceneEnhance_OutdoorConfigGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }
    }

    private static class Element_VideoSceneEnhance_Recognition extends com.android.server.display.HwXmlElement {
        private Element_VideoSceneEnhance_Recognition() {
        }

        public java.lang.String getName() {
            return "VideoSceneRecognition";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }
    }

    private static class Element_VideoSceneEnhance_RecognitionGroup extends com.android.server.display.HwXmlElement {
        private Element_VideoSceneEnhance_RecognitionGroup() {
        }

        public java.lang.String getName() {
            return "VideoSceneEnhance_RecognitionGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"VideoSceneDarknessThreshold", "VideoSceneIndoorThreshold"});
        }

        /* JADX WARNING: Removed duplicated region for block: B:13:0x002d  */
        /* JADX WARNING: Removed duplicated region for block: B:16:0x0054  */
        /* JADX WARNING: Removed duplicated region for block: B:15:0x0045  */
        /* JADX WARNING: Removed duplicated region for block: B:13:0x002d  */
        /* JADX WARNING: Removed duplicated region for block: B:16:0x0054  */
        /* JADX WARNING: Removed duplicated region for block: B:15:0x0045  */
        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = -1682331859; // 0xffffffff9bb9a72d float:-3.0713717E-22 double:NaN;
            r3 = 0;
            r4 = 1;
            if (r1 == r2) goto L_0x001f;
        L_0x000f:
            r2 = -1039405529; // 0xffffffffc20bee27 float:-34.98257 double:NaN;
            if (r1 == r2) goto L_0x0015;
        L_0x0014:
            goto L_0x0029;
        L_0x0015:
            r1 = "VideoSceneIndoorThreshold";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0029;
        L_0x001d:
            r1 = r4;
            goto L_0x002a;
        L_0x001f:
            r1 = "VideoSceneDarknessThreshold";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0029;
        L_0x0027:
            r1 = r3;
            goto L_0x002a;
        L_0x0029:
            r1 = -1;
        L_0x002a:
            switch(r1) {
                case 0: goto L_0x0054;
                case 1: goto L_0x0045;
                default: goto L_0x002d;
            };
        L_0x002d:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r4 = "unknow valueName=";
            r2.append(r4);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r3;
        L_0x0045:
            r1 = com.android.server.display.HwSmartBackLightXmlLoader.mData;
            r2 = r6.nextText();
            r2 = java.lang.Integer.parseInt(r2);
            r1.videoSceneIndoorThreshold = r2;
            goto L_0x0063;
        L_0x0054:
            r1 = com.android.server.display.HwSmartBackLightXmlLoader.mData;
            r2 = r6.nextText();
            r2 = java.lang.Integer.parseInt(r2);
            r1.videoSceneDarknessThreshold = r2;
        L_0x0063:
            return r4;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwSmartBackLightXmlLoader.Element_VideoSceneEnhance_RecognitionGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:11:0x001d  */
    static {
        /*
        r0 = android.util.Log.HWLog;
        r1 = 1;
        r2 = 0;
        if (r0 != 0) goto L_0x0016;
    L_0x0006:
        r0 = android.util.Log.HWModuleLog;
        if (r0 == 0) goto L_0x0014;
    L_0x000a:
        r0 = "HwSmartBackLightXmlLoader";
        r3 = 3;
        r0 = android.util.Log.isLoggable(r0, r3);
        if (r0 == 0) goto L_0x0014;
    L_0x0013:
        goto L_0x0016;
    L_0x0014:
        r0 = r2;
        goto L_0x0017;
    L_0x0016:
        r0 = r1;
    L_0x0017:
        HWDEBUG = r0;
        r0 = android.util.Log.HWINFO;
        if (r0 != 0) goto L_0x002d;
    L_0x001d:
        r0 = android.util.Log.HWModuleLog;
        if (r0 == 0) goto L_0x002b;
    L_0x0021:
        r0 = "HwSmartBackLightXmlLoader";
        r3 = 4;
        r0 = android.util.Log.isLoggable(r0, r3);
        if (r0 == 0) goto L_0x002b;
    L_0x002a:
        goto L_0x002d;
    L_0x002b:
        r1 = r2;
    L_0x002d:
        HWFLOW = r1;
        r0 = new java.lang.Object;
        r0.<init>();
        mLoaderLock = r0;
        r0 = new com.android.server.display.HwSmartBackLightXmlLoader$Data;
        r0.<init>();
        mData = r0;
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwSmartBackLightXmlLoader.<clinit>():void");
    }

    /*  JADX ERROR: JadxRuntimeException in pass: RegionMakerVisitor
        jadx.core.utils.exceptions.JadxRuntimeException: Exception block dominator not found, method:com.android.server.display.HwSmartBackLightXmlLoader.getData():com.android.server.display.HwSmartBackLightXmlLoader$Data, dom blocks: [B:10:0x0014, B:15:0x0021]
        	at jadx.core.dex.visitors.regions.ProcessTryCatchRegions.searchTryCatchDominators(ProcessTryCatchRegions.java:89)
        	at jadx.core.dex.visitors.regions.ProcessTryCatchRegions.process(ProcessTryCatchRegions.java:45)
        	at jadx.core.dex.visitors.regions.RegionMakerVisitor.postProcessRegions(RegionMakerVisitor.java:63)
        	at jadx.core.dex.visitors.regions.RegionMakerVisitor.visit(RegionMakerVisitor.java:58)
        	at jadx.core.dex.visitors.DepthTraversal.visit(DepthTraversal.java:27)
        	at jadx.core.dex.visitors.DepthTraversal.lambda$visit$1(DepthTraversal.java:14)
        	at java.util.ArrayList.forEach(ArrayList.java:1257)
        	at jadx.core.dex.visitors.DepthTraversal.visit(DepthTraversal.java:14)
        	at jadx.core.ProcessClass.process(ProcessClass.java:32)
        	at jadx.api.JadxDecompiler.processClass(JadxDecompiler.java:292)
        	at jadx.api.JavaClass.decompile(JavaClass.java:62)
        	at jadx.api.JadxDecompiler.lambda$appendSourcesSave$0(JadxDecompiler.java:200)
        */
    public static com.android.server.display.HwSmartBackLightXmlLoader.Data getData() {
        /*
        r0 = mLoaderLock;
        monitor-enter(r0);
        r1 = 0;
        r2 = mLoader;	 Catch:{ RuntimeException -> 0x0020 }
        if (r2 != 0) goto L_0x000f;	 Catch:{ RuntimeException -> 0x0020 }
    L_0x0008:
        r2 = new com.android.server.display.HwSmartBackLightXmlLoader;	 Catch:{ RuntimeException -> 0x0020 }
        r2.<init>();	 Catch:{ RuntimeException -> 0x0020 }
        mLoader = r2;	 Catch:{ RuntimeException -> 0x0020 }
    L_0x000f:
        r2 = mData;	 Catch:{ RuntimeException -> 0x0020 }
        r1 = r2;
        if (r1 != 0) goto L_0x003f;
    L_0x0014:
        r2 = new com.android.server.display.HwSmartBackLightXmlLoader$Data;	 Catch:{ all -> 0x004d }
        r2.<init>();	 Catch:{ all -> 0x004d }
    L_0x0019:
        r1 = r2;	 Catch:{ all -> 0x004d }
        r1.loadDefaultConfig();	 Catch:{ all -> 0x004d }
        goto L_0x003f;
    L_0x001e:
        r2 = move-exception;
        goto L_0x0041;
    L_0x0020:
        r2 = move-exception;
        r3 = "HwSmartBackLightXmlLoader";	 Catch:{ all -> 0x001e }
        r4 = new java.lang.StringBuilder;	 Catch:{ all -> 0x001e }
        r4.<init>();	 Catch:{ all -> 0x001e }
        r5 = "getData() failed! ";	 Catch:{ all -> 0x001e }
        r4.append(r5);	 Catch:{ all -> 0x001e }
        r4.append(r2);	 Catch:{ all -> 0x001e }
        r4 = r4.toString();	 Catch:{ all -> 0x001e }
        android.util.Slog.e(r3, r4);	 Catch:{ all -> 0x001e }
        if (r1 != 0) goto L_0x003f;
    L_0x0039:
        r2 = new com.android.server.display.HwSmartBackLightXmlLoader$Data;	 Catch:{ all -> 0x004d }
        r2.<init>();	 Catch:{ all -> 0x004d }
        goto L_0x0019;	 Catch:{ all -> 0x004d }
    L_0x003f:
        monitor-exit(r0);	 Catch:{ all -> 0x004d }
        return r1;	 Catch:{ all -> 0x004d }
    L_0x0041:
        if (r1 != 0) goto L_0x004f;	 Catch:{ all -> 0x004d }
    L_0x0043:
        r3 = new com.android.server.display.HwSmartBackLightXmlLoader$Data;	 Catch:{ all -> 0x004d }
        r3.<init>();	 Catch:{ all -> 0x004d }
        r1 = r3;	 Catch:{ all -> 0x004d }
        r1.loadDefaultConfig();	 Catch:{ all -> 0x004d }
        goto L_0x004f;	 Catch:{ all -> 0x004d }
    L_0x004d:
        r1 = move-exception;	 Catch:{ all -> 0x004d }
        goto L_0x0050;	 Catch:{ all -> 0x004d }
    L_0x004f:
        throw r2;	 Catch:{ all -> 0x004d }
    L_0x0050:
        monitor-exit(r0);	 Catch:{ all -> 0x004d }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwSmartBackLightXmlLoader.getData():com.android.server.display.HwSmartBackLightXmlLoader$Data");
    }

    private HwSmartBackLightXmlLoader() {
        if (HWDEBUG) {
            android.util.Slog.d("HwSmartBackLightXmlLoader", "HwSmartBackLightXmlLoader()");
        }
        if (!parseXml(getXmlPath())) {
            mData.loadDefaultConfig();
        }
        mData.printData();
    }

    private boolean parseXml(java.lang.String xmlPath) {
        if (xmlPath == null) {
            android.util.Slog.e("HwSmartBackLightXmlLoader", "parseXml() error! xmlPath is null");
            return false;
        }
        com.android.server.display.HwXmlParser xmlParser = new com.android.server.display.HwXmlParser(xmlPath);
        registerElement(xmlParser);
        if (!xmlParser.parse()) {
            android.util.Slog.e("HwSmartBackLightXmlLoader", "parseXml() error! xmlParser.parse() failed!");
            return false;
        } else if (xmlParser.check()) {
            if (HWFLOW) {
                android.util.Slog.i("HwSmartBackLightXmlLoader", "parseXml() load success!");
            }
            return true;
        } else {
            android.util.Slog.e("HwSmartBackLightXmlLoader", "parseXml() error! xmlParser.check() failed!");
            return false;
        }
    }

    private void registerElement(com.android.server.display.HwXmlParser parser) {
        com.android.server.display.HwXmlElement rootElement = parser.registerRootElement(new com.android.server.display.HwSmartBackLightXmlLoader.Element_SBLConfig());
        rootElement.registerChildElement(new com.android.server.display.HwSmartBackLightXmlLoader.Element_BaseGroup());
        rootElement.registerChildElement(new com.android.server.display.HwSmartBackLightXmlLoader.Element_SceneRecognition()).registerChildElement(new com.android.server.display.HwSmartBackLightXmlLoader.Element_SceneRecognitionGroup());
        rootElement.registerChildElement(new com.android.server.display.HwSmartBackLightXmlLoader.Element_BrightenLinePoints()).registerChildElement(new com.android.server.display.HwSmartBackLightXmlLoader.Element_BrightenLinePoints_Point());
        rootElement.registerChildElement(new com.android.server.display.HwSmartBackLightXmlLoader.Element_DarkenLinePoints()).registerChildElement(new com.android.server.display.HwSmartBackLightXmlLoader.Element_DarkenLinePoints_Point());
        com.android.server.display.HwXmlElement videoSceneEnhance = rootElement.registerChildElement(new com.android.server.display.HwSmartBackLightXmlLoader.Element_VideoSceneEnhance());
        videoSceneEnhance.registerChildElement(new com.android.server.display.HwSmartBackLightXmlLoader.Element_VideoSceneEnhance_Enabled());
        videoSceneEnhance.registerChildElement(new com.android.server.display.HwSmartBackLightXmlLoader.Element_VideoSceneEnhance_Recognition()).registerChildElement(new com.android.server.display.HwSmartBackLightXmlLoader.Element_VideoSceneEnhance_RecognitionGroup());
        videoSceneEnhance.registerChildElement(new com.android.server.display.HwSmartBackLightXmlLoader.Element_VideoSceneEnhance_DarknessConfig()).registerChildElement(new com.android.server.display.HwSmartBackLightXmlLoader.Element_VideoSceneEnhance_DarknessConfigGroup());
        videoSceneEnhance.registerChildElement(new com.android.server.display.HwSmartBackLightXmlLoader.Element_VideoSceneEnhance_IndoorConfig()).registerChildElement(new com.android.server.display.HwSmartBackLightXmlLoader.Element_VideoSceneEnhance_IndoorConfigGroup());
        videoSceneEnhance.registerChildElement(new com.android.server.display.HwSmartBackLightXmlLoader.Element_VideoSceneEnhance_OutdoorConfig()).registerChildElement(new com.android.server.display.HwSmartBackLightXmlLoader.Element_VideoSceneEnhance_OutdoorConfigGroup());
    }

    private java.lang.String getXmlPath() {
        java.io.File xmlFile = huawei.cust.HwCfgFilePolicy.getCfgFile(java.lang.String.format("/xml/lcd/%s", new java.lang.Object[]{"SBLConfig.xml"}), 0);
        if (xmlFile != null) {
            return xmlFile.getAbsolutePath();
        }
        android.util.Slog.e("HwSmartBackLightXmlLoader", "getXmlPath() error! can't find xml file.");
        return null;
    }

    private static boolean checkPointsListIsOK(java.util.List<android.graphics.PointF> list) {
        if (list == null) {
            android.util.Slog.e("HwSmartBackLightXmlLoader", "checkPointsListIsOK() error! list is null");
            return false;
        }
        if (list.size() >= 3) {
            if (list.size() < 100) {
                android.graphics.PointF lastPoint = null;
                for (android.graphics.PointF point : list) {
                    if (lastPoint == null || point.x > lastPoint.x) {
                        lastPoint = point;
                    } else {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("checkPointsListIsOK() error! x in list isn't a increasing sequence, ");
                        stringBuilder.append(point.x);
                        stringBuilder.append("<=");
                        stringBuilder.append(lastPoint.x);
                        android.util.Slog.e("HwSmartBackLightXmlLoader", stringBuilder.toString());
                        return false;
                    }
                }
                return true;
            }
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("checkPointsListIsOK() error! list size=");
        stringBuilder2.append(list.size());
        stringBuilder2.append(" is out of range");
        android.util.Slog.e("HwSmartBackLightXmlLoader", stringBuilder2.toString());
        return false;
    }
}
