package com.android.server.display;

public class HwUibcReceiver extends android.os.HandlerThread implements com.android.server.display.IHwUibcReceiver {
    private static final int ACEEPT_TIMEOUT = 14000;
    private static final java.lang.String ACTION_UIBC_USE_INFO = "com.huawei.hardware.display.action.WIFI_DISPLAY_UIBC_USE_INFO";
    public static final java.lang.Runnable AcceptCheck = new java.lang.Runnable() {
        public void run() {
            if (com.android.server.display.HwUibcReceiver.instance != null && com.android.server.display.HwUibcReceiver.instance.getReceiverState() == com.android.server.display.HwUibcReceiver.ReceiverState.STATE_INITIAL) {
                android.util.Log.w("UIBCReceiver", "No one connect UIBC, Destroy it");
                com.android.server.display.HwUibcReceiver.instance.destroyReceiver();
            }
        }
    };
    private static final int BUFFER_MAX = 100;
    public static final int DESTORY_TIMEOUT = 16000;
    private static final java.lang.String KEY_UIBC_USE_INFO = "WIFI_DISPLAY_UIBC_USE_INFO";
    private static final int RECEIVER_DELAY = 3;
    private static final java.lang.String TAG = "UIBCReceiver";
    private static final java.lang.String THREAD_NAME = "UIBCReceiver_Thread";
    private static final int UIBC_CONNECTION_FAIL_INNER = 4;
    private static final int UIBC_CONNECTION_FAIL_NOIN = 3;
    private static final int UIBC_GENERIC_ID_KEY_DOWN = 3;
    private static final int UIBC_GENERIC_ID_KEY_UP = 4;
    private static final int UIBC_GENERIC_INPUT_CATEGORY_ID = 0;
    private static final int UIBC_HIDC_INPUT_CATEGORY_ID = 1;
    private static final int UIBC_PACKET_HEADER_LEN = 4;
    private static final int UIBC_RECEIVE = 2;
    private static final int UIBC_RESUME = 5;
    private static final int UIBC_START = 1;
    private static final int UIBC_STOP = 3;
    private static final int UIBC_SUSPEND = 4;
    private static final int UIBC_USE_GEN = 1;
    private static final int UIBC_USE_HID = 2;
    private static final java.lang.String WIFI_DISPLAY_UIBC_PERMISSION = "com.huawei.wfd.permission.ACCESS_WIFI_DISPLAY_UIBC";
    private static android.view.InputEvent[] inputEvents = new android.view.InputEvent[10];
    private static volatile com.android.server.display.HwUibcReceiver instance = null;
    private final android.hardware.input.IInputManager inputManager;
    private boolean isUploadGenEvent;
    private boolean isUploadHidEvent;
    private android.content.Context mContext;
    private com.android.server.display.HwUibcReceiver.CurGenericEvent mCurGenericEvent;
    private com.android.server.display.HwUibcReceiver.CurrentPacket mCurrentPacket;
    private boolean mDestroyed;
    private android.view.Display mDisplay;
    private android.os.Handler mDisplayHandler;
    private android.os.Handler mHandler;
    private java.io.BufferedInputStream mInput;
    private int mParseBytes;
    private int mPort;
    private int mReceiveBytes;
    private android.content.BroadcastReceiver mReceiver;
    private java.net.ServerSocket mServer;
    private java.net.Socket mSocket;
    private com.android.server.display.HwUibcReceiver.ReceiverState mState;
    private byte[] mUibcBuffer;
    private java.lang.String macAddress;
    private volatile float remoteAspectRatio;
    private volatile int remoteHeight;
    private volatile int remoteWidth;
    private volatile float screenAspectRatio;
    private volatile int screenHeight;
    private volatile int screenWidth;
    boolean skiponce;

    public class CurGenericEvent {
        public static final int GENERIC_DESCRIBE_INDEX = 3;
        public static final int GENERIC_EVENT_LIST_COUNT = 10;
        public static final int GENERIC_FIRST_KEY_CODE = 5;
        public static final int GENERIC_LEFT_KEY_DOWN = 3;
        public static final int GENERIC_LEFT_KEY_UP = 4;
        public static final int GENERIC_LEFT_MOVE = 2;
        public static final int GENERIC_LEFT_POINT_DOWN = 0;
        public static final int GENERIC_LEFT_POINT_UP = 1;
        public static final int GENERIC_LENGTH_INDEX = 1;
        public static final int GENERIC_NUM_POINT_INDEX = 3;
        public static final int GENERIC_POINT_ID = 4;
        public static final int GENERIC_POINT_LEN = 5;
        public static final int GENERIC_POINT_X = 5;
        public static final int GENERIC_POINT_Y = 7;
        public static final int GENERIC_SECOND_KEY_CODE = 7;
        public static final int GENERIC_TYPE_ID_INDEX = 0;
        private static final float TOUCH_PRESSURE = 0.8f;
        public int bodyLength;
        private int curPointerIndex = 0;
        public int inputTypeID;
        private boolean isMultiTouch = false;
        private android.view.MotionEvent.PointerCoords[] pointerCoords = new android.view.MotionEvent.PointerCoords[10];
        private android.view.MotionEvent.PointerProperties[] pointerProperties = new android.view.MotionEvent.PointerProperties[10];
        private android.view.MotionEvent prevEvent = null;

        public CurGenericEvent() {
            int i = 0;
            while (i < 10) {
                this.pointerProperties[i] = new android.view.MotionEvent.PointerProperties();
                this.pointerCoords[i] = new android.view.MotionEvent.PointerCoords();
                i++;
            }
        }

        public int resolveInputBody(byte[] payload, int index) {
            if (index >= 0) {
                if (2 + index < payload.length) {
                    this.inputTypeID = payload[0 + index];
                    this.bodyLength = (payload[1 + index] << 8) | payload[2 + index];
                    return this.bodyLength + 3;
                }
            }
            android.util.Log.w("UIBCReceiver", "resolveInputBody overflow, not expect go in");
            return 0;
        }

        public int resolveEvent(byte[] payload, int index) {
            switch (this.inputTypeID) {
                case 0:
                    return createTouchEvents(payload, index, 0);
                case 1:
                    return createTouchEvents(payload, index, 1);
                case 2:
                    return createTouchEvents(payload, index, 2);
                case 3:
                    return createKeyEvent(payload, index, true);
                case 4:
                    return createKeyEvent(payload, index, false);
                default:
                    android.util.Log.d("UIBCReceiver", "unsupport event");
                    return 0;
            }
        }

        private int createKeyEvent(byte[] payload, int index, boolean isdown) {
            if (index >= 0) {
                if (index + 5 < payload.length) {
                    int keySatus = isdown ^ 1;
                    com.android.server.display.HwUibcReceiver.inputEvents[0] = new android.view.KeyEvent(android.os.SystemClock.uptimeMillis(), android.os.SystemClock.uptimeMillis(), keySatus, payload[index + 5], 0);
                    return 1;
                }
            }
            android.util.Log.w("UIBCReceiver", "createKeyEvent overflow, not expect go in");
            return 0;
        }

        /* JADX WARNING: Missing block: B:29:0x00a8, code:
            r0 = -1;
     */
        /* JADX WARNING: Missing block: B:30:0x00ab, code:
            if (r1.isMultiTouch != false) goto L_0x00b2;
     */
        /* JADX WARNING: Missing block: B:32:0x00ae, code:
            if (r5 <= 1) goto L_0x00b2;
     */
        /* JADX WARNING: Missing block: B:33:0x00b0, code:
            r1.isMultiTouch = true;
     */
        /* JADX WARNING: Missing block: B:35:0x00b4, code:
            if (r1.isMultiTouch == false) goto L_0x0199;
     */
        /* JADX WARNING: Missing block: B:37:0x00b8, code:
            if (r1.prevEvent == null) goto L_0x016a;
     */
        /* JADX WARNING: Missing block: B:39:0x00c0, code:
            if (r1.prevEvent.getPointerCount() >= r5) goto L_0x00c4;
     */
        /* JADX WARNING: Missing block: B:42:0x00ca, code:
            if (r1.prevEvent.getPointerCount() <= r5) goto L_0x0167;
     */
        /* JADX WARNING: Missing block: B:43:0x00cc, code:
            android.util.Log.d("UIBCReceiver", "UIBC  pointer up");
            r4 = new java.util.ArrayList();
            r6 = r1.prevEvent.getPointerCount();
            r7 = 0;
     */
        /* JADX WARNING: Missing block: B:44:0x00e0, code:
            if (r7 >= r6) goto L_0x00f2;
     */
        /* JADX WARNING: Missing block: B:45:0x00e2, code:
            r4.add(java.lang.Integer.valueOf(r1.prevEvent.getPointerId(r7)));
            r7 = r7 + 1;
     */
        /* JADX WARNING: Missing block: B:46:0x00f2, code:
            r7 = 0;
     */
        /* JADX WARNING: Missing block: B:47:0x00f3, code:
            if (r7 >= r5) goto L_0x0105;
     */
        /* JADX WARNING: Missing block: B:48:0x00f5, code:
            r4.remove(java.lang.Integer.valueOf(r1.prevEvent.getPointerId(r7)));
            r7 = r7 + 1;
     */
        /* JADX WARNING: Missing block: B:50:0x010a, code:
            if (r4.size() == 1) goto L_0x0110;
     */
        /* JADX WARNING: Missing block: B:51:0x010c, code:
            r7 = 0;
            r1.isMultiTouch = false;
     */
        /* JADX WARNING: Missing block: B:52:0x0110, code:
            r7 = 0;
     */
        /* JADX WARNING: Missing block: B:53:0x0111, code:
            r2 = (6 & 255) | (r1.prevEvent.findPointerIndex(((java.lang.Integer) r4.get(r7)).intValue()) << 8);
            com.android.server.display.HwUibcReceiver.access$1800()[0] = android.view.MotionEvent.obtain(r1.prevEvent.getDownTime(), android.os.SystemClock.uptimeMillis(), r2, r1.prevEvent.getPointerCount(), r1.pointerProperties, r1.pointerCoords, 0, 1, 2.0f, 2.1f, 0, 0, 4098, 0);
            r14 = 1;
     */
        /* JADX WARNING: Missing block: B:54:0x015d, code:
            if (r5 != 1) goto L_0x0164;
     */
        /* JADX WARNING: Missing block: B:55:0x015f, code:
            r1.isMultiTouch = false;
            r0 = r43;
     */
        /* JADX WARNING: Missing block: B:56:0x0164, code:
            r3 = 0 + 1;
     */
        /* JADX WARNING: Missing block: B:57:0x0167, code:
            r14 = 1;
            r0 = 2;
     */
        /* JADX WARNING: Missing block: B:58:0x016a, code:
            r14 = 1;
            android.util.Log.d("UIBCReceiver", "UIBC  pointer down");
            r0 = 5 & 255;
            r2 = 0;
     */
        /* JADX WARNING: Missing block: B:59:0x0176, code:
            if (r2 >= r5) goto L_0x019c;
     */
        /* JADX WARNING: Missing block: B:61:0x017a, code:
            if (r1.prevEvent == null) goto L_0x018f;
     */
        /* JADX WARNING: Missing block: B:63:0x0189, code:
            if (r1.prevEvent.findPointerIndex(r1.pointerProperties[r2].id) != -1) goto L_0x018c;
     */
        /* JADX WARNING: Missing block: B:65:0x018c, code:
            r2 = r2 + 1;
     */
        /* JADX WARNING: Missing block: B:66:0x018f, code:
            r0 = r0 | (r1.pointerProperties[r2].id << 8);
     */
        /* JADX WARNING: Missing block: B:67:0x0199, code:
            r14 = 1;
            r0 = r43;
     */
        /* JADX WARNING: Missing block: B:68:0x019c, code:
            if (r5 != 0) goto L_0x01a7;
     */
        /* JADX WARNING: Missing block: B:69:0x019e, code:
            android.util.Log.w("UIBCReceiver", "numPointers is zero");
     */
        /* JADX WARNING: Missing block: B:70:0x01a6, code:
            return 0;
     */
        /* JADX WARNING: Missing block: B:71:0x01a7, code:
            r23 = r14;
            com.android.server.display.HwUibcReceiver.access$1800()[r3] = android.view.MotionEvent.obtain(android.os.SystemClock.uptimeMillis(), android.os.SystemClock.uptimeMillis(), r0, r5, r1.pointerProperties, r1.pointerCoords, 0, 1, 2.0f, 2.1f, 0, 0, 4098, 0);
            r1.prevEvent = (android.view.MotionEvent) com.android.server.display.HwUibcReceiver.access$1800()[r3];
            r3 = r3 + 1;
     */
        /* JADX WARNING: Missing block: B:72:0x01dd, code:
            if (r22 != false) goto L_0x01e1;
     */
        /* JADX WARNING: Missing block: B:74:0x01e0, code:
            return 0;
     */
        /* JADX WARNING: Missing block: B:75:0x01e1, code:
            return r3;
     */
        private int createTouchEvents(byte[] r41, int r42, int r43) {
            /*
            r40 = this;
            r1 = r40;
            r2 = r41;
            r3 = 0;
            r4 = 1;
            r0 = 0;
            if (r42 < 0) goto L_0x01fa;
        L_0x0009:
            r5 = r42 + 3;
            r6 = r2.length;
            if (r5 < r6) goto L_0x0010;
        L_0x000e:
            goto L_0x01fa;
        L_0x0010:
            r5 = r42 + 3;
            r5 = r2[r5];
            r1.curPointerIndex = r0;
            r6 = com.android.server.display.HwUibcReceiver.class;
            monitor-enter(r6);
            r7 = com.android.server.display.HwUibcReceiver.this;	 Catch:{ all -> 0x01f7 }
            r7 = r7.screenHeight;	 Catch:{ all -> 0x01f7 }
            if (r7 == 0) goto L_0x01ec;
        L_0x0021:
            r7 = com.android.server.display.HwUibcReceiver.this;	 Catch:{ all -> 0x01f7 }
            r7 = r7.screenWidth;	 Catch:{ all -> 0x01f7 }
            if (r7 == 0) goto L_0x01ec;
        L_0x0029:
            r7 = com.android.server.display.HwUibcReceiver.this;	 Catch:{ all -> 0x01f7 }
            r7 = r7.remoteHeight;	 Catch:{ all -> 0x01f7 }
            if (r7 == 0) goto L_0x01ec;
        L_0x0031:
            r7 = com.android.server.display.HwUibcReceiver.this;	 Catch:{ all -> 0x01f7 }
            r7 = r7.remoteWidth;	 Catch:{ all -> 0x01f7 }
            if (r7 != 0) goto L_0x003b;
        L_0x0039:
            goto L_0x01ec;
        L_0x003b:
            if (r5 < 0) goto L_0x01e2;
        L_0x003d:
            r7 = r42 + 7;
            r14 = 1;
            r7 = r7 + r14;
            r8 = r5 + -1;
            r8 = r8 * 5;
            r7 = r7 + r8;
            r8 = r2.length;	 Catch:{ all -> 0x01f7 }
            if (r7 < r8) goto L_0x004b;
        L_0x0049:
            goto L_0x01e2;
        L_0x004b:
            r22 = r4;
            r4 = r0;
        L_0x004e:
            if (r4 >= r5) goto L_0x00a7;
        L_0x0050:
            r7 = r42 + 4;
            r8 = r4 * 5;
            r7 = r7 + r8;
            r7 = r2[r7];	 Catch:{ all -> 0x00a2 }
            r8 = r42 + 5;
            r9 = r4 * 5;
            r8 = r8 + r9;
            r8 = r2[r8];	 Catch:{ all -> 0x00a2 }
            r8 = r8 & 255;
            r9 = r42 + 5;
            r9 = r9 + r14;
            r10 = r4 * 5;
            r9 = r9 + r10;
            r9 = r2[r9];	 Catch:{ all -> 0x00a2 }
            r9 = r9 & 255;
            r10 = r42 + 7;
            r11 = r4 * 5;
            r10 = r10 + r11;
            r10 = r2[r10];	 Catch:{ all -> 0x00a2 }
            r10 = r10 & 255;
            r11 = r42 + 7;
            r11 = r11 + r14;
            r12 = r4 * 5;
            r11 = r11 + r12;
            r11 = r2[r11];	 Catch:{ all -> 0x00a2 }
            r11 = r11 & 255;
            r12 = r8 << 8;
            r12 = r12 | r9;
            r13 = r10 << 8;
            r13 = r13 | r11;
            r0 = (float) r12;	 Catch:{ all -> 0x00a2 }
            r14 = com.android.server.display.HwUibcReceiver.this;	 Catch:{ all -> 0x00a2 }
            r14 = r14.remoteWidth;	 Catch:{ all -> 0x00a2 }
            r14 = (float) r14;	 Catch:{ all -> 0x00a2 }
            r0 = r0 / r14;
            r14 = (float) r13;	 Catch:{ all -> 0x00a2 }
            r2 = com.android.server.display.HwUibcReceiver.this;	 Catch:{ all -> 0x00a2 }
            r2 = r2.remoteHeight;	 Catch:{ all -> 0x00a2 }
            r2 = (float) r2;	 Catch:{ all -> 0x00a2 }
            r14 = r14 / r2;
            r0 = r1.doTranslateCoord(r0, r14, r7);	 Catch:{ all -> 0x00a2 }
            r22 = r0;
            r4 = r4 + 1;
            r0 = 0;
            r2 = r41;
            r14 = 1;
            goto L_0x004e;
        L_0x00a2:
            r0 = move-exception;
            r4 = r22;
            goto L_0x01f8;
        L_0x00a7:
            monitor-exit(r6);	 Catch:{ all -> 0x00a2 }
            r0 = -1;
            r2 = r1.isMultiTouch;
            if (r2 != 0) goto L_0x00b2;
        L_0x00ad:
            r2 = 1;
            if (r5 <= r2) goto L_0x00b2;
        L_0x00b0:
            r1.isMultiTouch = r2;
        L_0x00b2:
            r2 = r1.isMultiTouch;
            if (r2 == 0) goto L_0x0199;
        L_0x00b6:
            r2 = r1.prevEvent;
            if (r2 == 0) goto L_0x016a;
        L_0x00ba:
            r2 = r1.prevEvent;
            r2 = r2.getPointerCount();
            if (r2 >= r5) goto L_0x00c4;
        L_0x00c2:
            goto L_0x016a;
        L_0x00c4:
            r2 = r1.prevEvent;
            r2 = r2.getPointerCount();
            if (r2 <= r5) goto L_0x0167;
        L_0x00cc:
            r2 = "UIBCReceiver";
            r4 = "UIBC  pointer up";
            android.util.Log.d(r2, r4);
            r2 = -1;
            r4 = new java.util.ArrayList;
            r4.<init>();
            r6 = r1.prevEvent;
            r6 = r6.getPointerCount();
            r7 = 0;
        L_0x00e0:
            if (r7 >= r6) goto L_0x00f2;
        L_0x00e2:
            r8 = r1.prevEvent;
            r8 = r8.getPointerId(r7);
            r8 = java.lang.Integer.valueOf(r8);
            r4.add(r8);
            r7 = r7 + 1;
            goto L_0x00e0;
        L_0x00f2:
            r7 = 0;
        L_0x00f3:
            if (r7 >= r5) goto L_0x0105;
        L_0x00f5:
            r8 = r1.prevEvent;
            r8 = r8.getPointerId(r7);
            r8 = java.lang.Integer.valueOf(r8);
            r4.remove(r8);
            r7 = r7 + 1;
            goto L_0x00f3;
        L_0x0105:
            r7 = r4.size();
            r8 = 1;
            if (r7 == r8) goto L_0x0110;
        L_0x010c:
            r7 = 0;
            r1.isMultiTouch = r7;
            goto L_0x0111;
        L_0x0110:
            r7 = 0;
        L_0x0111:
            r2 = 6;
            r2 = r2 & 255;
            r8 = r1.prevEvent;
            r9 = r4.get(r7);
            r9 = (java.lang.Integer) r9;
            r7 = r9.intValue();
            r7 = r8.findPointerIndex(r7);
            r8 = r7 << 8;
            r2 = r2 | r8;
            r8 = com.android.server.display.HwUibcReceiver.inputEvents;
            r9 = r1.prevEvent;
            r24 = r9.getDownTime();
            r26 = android.os.SystemClock.uptimeMillis();
            r9 = r1.prevEvent;
            r29 = r9.getPointerCount();
            r9 = r1.pointerProperties;
            r10 = r1.pointerCoords;
            r32 = 0;
            r33 = 1;
            r34 = 1073741824; // 0x40000000 float:2.0 double:5.304989477E-315;
            r35 = 1074161254; // 0x40066666 float:2.1 double:5.307061737E-315;
            r36 = 0;
            r37 = 0;
            r38 = 4098; // 0x1002 float:5.743E-42 double:2.0247E-320;
            r39 = 0;
            r28 = r2;
            r30 = r9;
            r31 = r10;
            r9 = android.view.MotionEvent.obtain(r24, r26, r28, r29, r30, r31, r32, r33, r34, r35, r36, r37, r38, r39);
            r8[r3] = r9;
            r14 = 1;
            if (r5 != r14) goto L_0x0164;
        L_0x015f:
            r8 = 0;
            r1.isMultiTouch = r8;
            r0 = r43;
        L_0x0164:
            r3 = r3 + 1;
            goto L_0x019c;
        L_0x0167:
            r14 = 1;
            r0 = 2;
            goto L_0x019c;
        L_0x016a:
            r14 = 1;
            r2 = "UIBCReceiver";
            r4 = "UIBC  pointer down";
            android.util.Log.d(r2, r4);
            r0 = 5;
            r0 = r0 & 255;
            r2 = 0;
        L_0x0176:
            if (r2 >= r5) goto L_0x019c;
        L_0x0178:
            r4 = r1.prevEvent;
            if (r4 == 0) goto L_0x018f;
        L_0x017c:
            r4 = r1.prevEvent;
            r6 = r1.pointerProperties;
            r6 = r6[r2];
            r6 = r6.id;
            r4 = r4.findPointerIndex(r6);
            r6 = -1;
            if (r4 != r6) goto L_0x018c;
        L_0x018b:
            goto L_0x018f;
        L_0x018c:
            r2 = r2 + 1;
            goto L_0x0176;
        L_0x018f:
            r4 = r1.pointerProperties;
            r4 = r4[r2];
            r4 = r4.id;
            r4 = r4 << 8;
            r0 = r0 | r4;
            goto L_0x019c;
        L_0x0199:
            r14 = 1;
            r0 = r43;
        L_0x019c:
            if (r5 != 0) goto L_0x01a7;
        L_0x019e:
            r2 = "UIBCReceiver";
            r4 = "numPointers is zero";
            android.util.Log.w(r2, r4);
            r2 = 0;
            return r2;
        L_0x01a7:
            r2 = com.android.server.display.HwUibcReceiver.inputEvents;
            r6 = android.os.SystemClock.uptimeMillis();
            r8 = android.os.SystemClock.uptimeMillis();
            r12 = r1.pointerProperties;
            r13 = r1.pointerCoords;
            r4 = 0;
            r15 = 1;
            r16 = 1073741824; // 0x40000000 float:2.0 double:5.304989477E-315;
            r17 = 1074161254; // 0x40066666 float:2.1 double:5.307061737E-315;
            r18 = 0;
            r19 = 0;
            r20 = 4098; // 0x1002 float:5.743E-42 double:2.0247E-320;
            r21 = 0;
            r10 = r0;
            r11 = r5;
            r23 = r14;
            r14 = r4;
            r4 = android.view.MotionEvent.obtain(r6, r8, r10, r11, r12, r13, r14, r15, r16, r17, r18, r19, r20, r21);
            r2[r3] = r4;
            r2 = com.android.server.display.HwUibcReceiver.inputEvents;
            r2 = r2[r3];
            r2 = (android.view.MotionEvent) r2;
            r1.prevEvent = r2;
            r3 = r3 + 1;
            if (r22 != 0) goto L_0x01e1;
        L_0x01df:
            r2 = 0;
            return r2;
        L_0x01e1:
            return r3;
        L_0x01e2:
            r0 = "UIBCReceiver";
            r2 = "createTouchEvents  numPointers  overflow, not expect go in";
            android.util.Log.w(r0, r2);	 Catch:{ all -> 0x01f7 }
            monitor-exit(r6);	 Catch:{ all -> 0x01f7 }
            r0 = 0;
            return r0;
        L_0x01ec:
            r0 = "UIBCReceiver";
            r2 = "screen size is wrong";
            android.util.Log.w(r0, r2);	 Catch:{ all -> 0x01f7 }
            monitor-exit(r6);	 Catch:{ all -> 0x01f7 }
            r0 = 0;
            return r0;
        L_0x01f7:
            r0 = move-exception;
        L_0x01f8:
            monitor-exit(r6);	 Catch:{ all -> 0x01f7 }
            throw r0;
        L_0x01fa:
            r0 = "UIBCReceiver";
            r2 = "createTouchEvents overflow, not expect go in";
            android.util.Log.w(r0, r2);
            r0 = 0;
            return r0;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwUibcReceiver.CurGenericEvent.createTouchEvents(byte[], int, int):int");
        }

        private boolean doTranslateCoord(float x, float y, int id) {
            boolean isValid = true;
            if (this.curPointerIndex < this.pointerProperties.length && this.curPointerIndex < this.pointerCoords.length) {
                if (this.curPointerIndex >= 0) {
                    if (x >= 0.0f && x <= 1.0f && y >= 0.0f && y <= 1.0f) {
                        this.pointerProperties[this.curPointerIndex].clear();
                        this.pointerProperties[this.curPointerIndex].id = id;
                        this.pointerCoords[this.curPointerIndex].clear();
                        java.lang.StringBuilder stringBuilder;
                        if (com.android.server.display.HwUibcReceiver.this.screenAspectRatio < com.android.server.display.HwUibcReceiver.this.remoteAspectRatio) {
                            if (com.android.server.display.HwUibcReceiver.this.remoteAspectRatio != 0.0f) {
                                x = (1.0f + ((x - 0.5f) / (com.android.server.display.HwUibcReceiver.this.screenAspectRatio / (com.android.server.display.HwUibcReceiver.this.remoteAspectRatio * 2.0f)))) * 0.5f;
                                if (x < 0.0f || x > 1.0f) {
                                    stringBuilder = new java.lang.StringBuilder();
                                    stringBuilder.append("x: ");
                                    stringBuilder.append(x);
                                    stringBuilder.append(" y: ");
                                    stringBuilder.append(y);
                                    android.util.Log.i("UIBCReceiver", stringBuilder.toString());
                                    y = -1.0f;
                                    x = -1.0f;
                                    isValid = false;
                                }
                            } else {
                                android.util.Log.e("UIBCReceiver", "UIBC  remoteAspectRatio is zero");
                            }
                        } else if (com.android.server.display.HwUibcReceiver.this.screenAspectRatio > com.android.server.display.HwUibcReceiver.this.remoteAspectRatio) {
                            if (com.android.server.display.HwUibcReceiver.this.screenAspectRatio != 0.0f) {
                                y = (1.0f + ((y - 0.5f) / (com.android.server.display.HwUibcReceiver.this.remoteAspectRatio / (com.android.server.display.HwUibcReceiver.this.screenAspectRatio * 2.0f)))) * 0.5f;
                                if (y < 0.0f || y > 1.0f) {
                                    stringBuilder = new java.lang.StringBuilder();
                                    stringBuilder.append("x: ");
                                    stringBuilder.append(x);
                                    stringBuilder.append(" y: ");
                                    stringBuilder.append(y);
                                    android.util.Log.i("UIBCReceiver", stringBuilder.toString());
                                    y = -1.0f;
                                    x = -1.0f;
                                    isValid = false;
                                }
                            } else {
                                android.util.Log.e("UIBCReceiver", "UIBC  screenAspectRatio is zero");
                            }
                        }
                        if (x >= 0.0f && x <= 1.0f && y >= 0.0f) {
                            if (y <= 1.0f) {
                                this.pointerCoords[this.curPointerIndex].setAxisValue(0, ((float) com.android.server.display.HwUibcReceiver.this.screenWidth) * x);
                                this.pointerCoords[this.curPointerIndex].setAxisValue(1, ((float) com.android.server.display.HwUibcReceiver.this.screenHeight) * y);
                                this.pointerCoords[this.curPointerIndex].setAxisValue(2, 0.8f);
                                this.curPointerIndex++;
                            }
                        }
                        return false;
                    }
                    return isValid;
                }
            }
            return false;
        }
    }

    public static class CurrentPacket {
        public static final int BODY_INDEX_WITHOUT_TIME = 4;
        public static final int INPUT_CATEGORY_INDEX = 1;
        public static final byte INPUT_MASK = (byte) 15;
        public static final int LENGTH_INDEX = 2;
        public static final int TIME_INDEX = 0;
        public static final byte TIME_MASK = (byte) 1;
        public static final int TIME_OFFSET = 4;
        public static final int VERSION_INDEX = 0;
        public static final byte VERSION_MASK = (byte) 7;
        public static final int VERSION_OFFSET = 5;
        public static final int VERSION_VALID = 0;
        public int bodyIndex;
        public int curVer;
        public boolean hasTime;
        public int inputCategory;
        public int payloadLength;

        public int resolveNaked(byte[] payload, int index) {
            boolean z = false;
            if (index >= 0) {
                if ((index + 2) + 1 < payload.length) {
                    this.curVer = (payload[0 + index] >> 5) & 7;
                    int i = 4;
                    if (((payload[0 + index] >> 4) & 1) == 1) {
                        z = true;
                    }
                    this.hasTime = z;
                    this.inputCategory = payload[1 + index] & 15;
                    this.payloadLength = (payload[2 + index] << 8) | payload[3 + index];
                    if (this.hasTime) {
                        i = 6;
                    }
                    this.bodyIndex = i;
                    return this.bodyIndex;
                }
            }
            android.util.Log.w("UIBCReceiver", "resolveNaked overflow, not expect go in");
            return 0;
        }

        public boolean isVerValid() {
            if (this.curVer != 0) {
                return false;
            }
            return true;
        }
    }

    public enum ReceiverState {
        STATE_NONE,
        STATE_INITIAL,
        STATE_WAITING,
        STATE_WORKING,
        STATE_SUSPENDING
    }

    class UibcHandler extends android.os.Handler {
        public UibcHandler(android.os.Looper looper) {
            super(looper);
        }

        public void handleMessage(android.os.Message msg) {
            switch (msg.what) {
                case 1:
                    android.util.Log.i("UIBCReceiver", "UIBC_START -- Start Recevier Message Loop");
                    if (com.android.server.display.HwUibcReceiver.this.mState != com.android.server.display.HwUibcReceiver.ReceiverState.STATE_INITIAL) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("Wrong state start! state : ");
                        stringBuilder.append(com.android.server.display.HwUibcReceiver.this.mState);
                        android.util.Log.w("UIBCReceiver", stringBuilder.toString());
                    }
                    try {
                        com.android.server.display.HwUibcReceiver.this.mState = com.android.server.display.HwUibcReceiver.ReceiverState.STATE_WAITING;
                        android.util.Log.d("UIBCReceiver", "Begin accept SeverSocket");
                        com.android.server.display.HwUibcReceiver.this.mSocket = com.android.server.display.HwUibcReceiver.this.mServer.accept();
                        if (com.android.server.display.HwUibcReceiver.this.doIdCheck()) {
                            android.util.Log.d("UIBCReceiver", "Someone coming ! Accept");
                            com.android.server.display.HwUibcReceiver.this.mInput = new java.io.BufferedInputStream(com.android.server.display.HwUibcReceiver.this.mSocket.getInputStream());
                            com.android.server.display.HwUibcReceiver.this.receiveEvent();
                            com.android.server.display.HwUibcReceiver.this.mState = com.android.server.display.HwUibcReceiver.ReceiverState.STATE_WORKING;
                            break;
                        }
                        android.util.Log.w("UIBCReceiver", "the Evil Within!");
                        com.android.server.display.HwUibcReceiver.this.mSocket.close();
                        com.android.server.display.HwUibcReceiver.this.mState = com.android.server.display.HwUibcReceiver.ReceiverState.STATE_INITIAL;
                        return;
                    } catch (java.net.SocketTimeoutException e) {
                        android.util.Log.i("UIBCReceiver", "Nobody come in");
                        com.android.server.display.HwUibcReceiver.this.sendUEBroadcast("WIFI_DISPLAY_UIBC_USE_INFO", 3);
                        com.android.server.display.HwUibcReceiver.this.mState = com.android.server.display.HwUibcReceiver.ReceiverState.STATE_INITIAL;
                    } catch (java.io.IOException e2) {
                        android.util.Log.e("UIBCReceiver", "buffer error occur");
                        com.android.server.display.HwUibcReceiver.this.sendUEBroadcast("WIFI_DISPLAY_UIBC_USE_INFO", 4);
                        com.android.server.display.HwUibcReceiver.this.mState = com.android.server.display.HwUibcReceiver.ReceiverState.STATE_INITIAL;
                        break;
                    }
                case 2:
                    try {
                        if (com.android.server.display.HwUibcReceiver.this.mReceiveBytes == com.android.server.display.HwUibcReceiver.this.mParseBytes) {
                            com.android.server.display.HwUibcReceiver.this.mReceiveBytes = 0;
                            com.android.server.display.HwUibcReceiver.this.mParseBytes = 0;
                        } else if (com.android.server.display.HwUibcReceiver.this.mReceiveBytes > com.android.server.display.HwUibcReceiver.this.mParseBytes) {
                            moveBytesLeft(com.android.server.display.HwUibcReceiver.this.mParseBytes);
                            com.android.server.display.HwUibcReceiver.access$920(com.android.server.display.HwUibcReceiver.this, com.android.server.display.HwUibcReceiver.this.mParseBytes);
                            com.android.server.display.HwUibcReceiver.this.mParseBytes = 0;
                        }
                        int readCount = com.android.server.display.HwUibcReceiver.this.mInput.read(com.android.server.display.HwUibcReceiver.this.mUibcBuffer, com.android.server.display.HwUibcReceiver.this.mReceiveBytes, 100 - com.android.server.display.HwUibcReceiver.this.mReceiveBytes);
                        if (!com.android.server.display.HwUibcReceiver.this.skiponce) {
                            if (com.android.server.display.HwUibcReceiver.this.mState != com.android.server.display.HwUibcReceiver.ReceiverState.STATE_SUSPENDING) {
                                if (!android.util.HwPCUtils.isPcCastModeInServer()) {
                                    if (readCount > 0) {
                                        com.android.server.display.HwUibcReceiver.access$912(com.android.server.display.HwUibcReceiver.this, readCount);
                                        com.android.server.display.HwUibcReceiver.this.mParseBytes = 0;
                                    }
                                    if (readCount > 0 || (readCount == 0 && com.android.server.display.HwUibcReceiver.this.mReceiveBytes == 100)) {
                                        consumePacket();
                                    }
                                    if (com.android.server.display.HwUibcReceiver.this.mState == com.android.server.display.HwUibcReceiver.ReceiverState.STATE_WORKING) {
                                        com.android.server.display.HwUibcReceiver.this.receiveEvent();
                                        break;
                                    }
                                }
                            }
                            com.android.server.display.HwUibcReceiver.this.mReceiveBytes = com.android.server.display.HwUibcReceiver.this.mParseBytes;
                            com.android.server.display.HwUibcReceiver.this.receiveEvent();
                            break;
                        }
                        com.android.server.display.HwUibcReceiver.this.mReceiveBytes = 0;
                        com.android.server.display.HwUibcReceiver.this.mParseBytes = 0;
                        com.android.server.display.HwUibcReceiver.this.skiponce = false;
                        com.android.server.display.HwUibcReceiver.this.receiveEvent();
                        break;
                    } catch (java.io.IOException ex) {
                        android.util.Log.e("UIBCReceiver", "Read data error");
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("Exception : ");
                        stringBuilder2.append(ex.toString());
                        android.util.Log.e("UIBCReceiver", stringBuilder2.toString());
                        com.android.server.display.HwUibcReceiver.this.mReceiveBytes = 0;
                        com.android.server.display.HwUibcReceiver.this.mParseBytes = 0;
                        com.android.server.display.HwUibcReceiver.this.skiponce = true;
                    }
                    break;
                case 3:
                    android.util.Log.i("UIBCReceiver", "UIBC_STOP -- Stop Recevier Message Loop");
                    com.android.server.display.HwUibcReceiver.this.closeSocket();
                    break;
                case 4:
                    android.util.Log.i("UIBCReceiver", "UIBC_SUSPEND");
                    break;
                case 5:
                    android.util.Log.i("UIBCReceiver", "UIBC_RESUME");
                    break;
                default:
                    android.util.Log.i("UIBCReceiver", "do not support the message");
                    break;
            }
        }

        private void consumePacket() {
            while (com.android.server.display.HwUibcReceiver.this.mReceiveBytes > com.android.server.display.HwUibcReceiver.this.mParseBytes && com.android.server.display.HwUibcReceiver.this.mParseBytes + 4 <= 100) {
                int parsedCount = com.android.server.display.HwUibcReceiver.this.mCurrentPacket.resolveNaked(com.android.server.display.HwUibcReceiver.this.mUibcBuffer, com.android.server.display.HwUibcReceiver.this.mParseBytes);
                if (com.android.server.display.HwUibcReceiver.this.mCurrentPacket.isVerValid()) {
                    if (parsedCount != 0) {
                        if (com.android.server.display.HwUibcReceiver.this.mCurrentPacket.payloadLength > com.android.server.display.HwUibcReceiver.this.mReceiveBytes) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("UIBCReceiver need read more payloadlengh : ");
                            stringBuilder.append(com.android.server.display.HwUibcReceiver.this.mCurrentPacket.payloadLength);
                            stringBuilder.append(" Receive : ");
                            stringBuilder.append(com.android.server.display.HwUibcReceiver.this.mReceiveBytes);
                            android.util.Log.w("UIBCReceiver", stringBuilder.toString());
                            return;
                        } else if (com.android.server.display.HwUibcReceiver.this.mParseBytes + com.android.server.display.HwUibcReceiver.this.mCurrentPacket.payloadLength <= 100) {
                            int headerLen = parsedCount;
                            com.android.server.display.HwUibcReceiver.access$1012(com.android.server.display.HwUibcReceiver.this, parsedCount);
                            switch (com.android.server.display.HwUibcReceiver.this.mCurrentPacket.inputCategory) {
                                case 0:
                                    if (!com.android.server.display.HwUibcReceiver.this.isUploadGenEvent) {
                                        com.android.server.display.HwUibcReceiver.this.isUploadGenEvent = true;
                                        com.android.server.display.HwUibcReceiver.this.sendUEBroadcast("WIFI_DISPLAY_UIBC_USE_INFO", 1);
                                    }
                                    parsedCount = WorkGenericInput();
                                    break;
                                case 1:
                                    if (!com.android.server.display.HwUibcReceiver.this.isUploadHidEvent) {
                                        com.android.server.display.HwUibcReceiver.this.isUploadHidEvent = true;
                                        com.android.server.display.HwUibcReceiver.this.sendUEBroadcast("WIFI_DISPLAY_UIBC_USE_INFO", 2);
                                    }
                                    parsedCount = com.android.server.display.HwUibcReceiver.this.nativeParseHid(com.android.server.display.HwUibcReceiver.this.mUibcBuffer, com.android.server.display.HwUibcReceiver.this.mParseBytes);
                                    if (headerLen + parsedCount != com.android.server.display.HwUibcReceiver.this.mCurrentPacket.payloadLength) {
                                        parsedCount = com.android.server.display.HwUibcReceiver.this.mCurrentPacket.payloadLength - headerLen;
                                        break;
                                    }
                                    break;
                                default:
                                    return;
                            }
                            if (parsedCount == 0) {
                                com.android.server.display.HwUibcReceiver.this.skiponce = true;
                            }
                            com.android.server.display.HwUibcReceiver.access$1012(com.android.server.display.HwUibcReceiver.this, parsedCount);
                        } else {
                            return;
                        }
                    }
                }
                android.util.Log.w("UIBCReceiver", "Unkonwn Version");
                com.android.server.display.HwUibcReceiver.this.mParseBytes = com.android.server.display.HwUibcReceiver.this.mReceiveBytes;
                return;
            }
        }

        private int WorkGenericInput() {
            int parsedCount = com.android.server.display.HwUibcReceiver.this.mCurGenericEvent.resolveInputBody(com.android.server.display.HwUibcReceiver.this.mUibcBuffer, com.android.server.display.HwUibcReceiver.this.mParseBytes);
            int eventCount = com.android.server.display.HwUibcReceiver.this.mCurGenericEvent.resolveEvent(com.android.server.display.HwUibcReceiver.this.mUibcBuffer, com.android.server.display.HwUibcReceiver.this.mParseBytes);
            int i = 0;
            if (eventCount > com.android.server.display.HwUibcReceiver.inputEvents.length) {
                return 0;
            }
            while (true) {
                int i2 = i;
                if (i2 >= eventCount) {
                    break;
                }
                try {
                    android.hardware.input.InputManager.getInstance().injectInputEvent(com.android.server.display.HwUibcReceiver.inputEvents[i2], 2);
                    i = i2 + 1;
                } catch (java.lang.Exception e) {
                    android.util.Log.i("UIBCReceiver", "Inject fail!");
                }
            }
            return parsedCount;
        }

        private void moveBytesLeft(int offset) {
            byte[] tmp = new byte[100];
            if (offset >= 0) {
                if (offset < 100) {
                    java.lang.System.arraycopy(com.android.server.display.HwUibcReceiver.this.mUibcBuffer, 0, tmp, 0, 100);
                    java.lang.System.arraycopy(tmp, offset, com.android.server.display.HwUibcReceiver.this.mUibcBuffer, 0, 100 - offset);
                    return;
                }
            }
            com.android.server.display.HwUibcReceiver.this.skiponce = true;
        }
    }

    private native void nativeCloseHid();

    private native int nativeParseHid(byte[] bArr, int i);

    static /* synthetic */ int access$1012(com.android.server.display.HwUibcReceiver x0, int x1) {
        int i = x0.mParseBytes + x1;
        x0.mParseBytes = i;
        return i;
    }

    static /* synthetic */ int access$912(com.android.server.display.HwUibcReceiver x0, int x1) {
        int i = x0.mReceiveBytes + x1;
        x0.mReceiveBytes = i;
        return i;
    }

    static /* synthetic */ int access$920(com.android.server.display.HwUibcReceiver x0, int x1) {
        int i = x0.mReceiveBytes - x1;
        x0.mReceiveBytes = i;
        return i;
    }

    public static com.android.server.display.HwUibcReceiver getInstance() {
        if (instance == null) {
            synchronized (com.android.server.display.HwUibcReceiver.class) {
                if (instance == null) {
                    instance = new com.android.server.display.HwUibcReceiver("UIBCReceiver_Thread");
                }
            }
        }
        return instance;
    }

    public static void clearInstance() {
        synchronized (com.android.server.display.HwUibcReceiver.class) {
            instance = null;
        }
    }

    public synchronized int createReceiver(android.content.Context context, android.os.Handler handler) {
        if (this.mDestroyed) {
            setInContextAndHandler(context, handler);
            start();
            CreateHandler();
            if (getReceiverState() == com.android.server.display.HwUibcReceiver.ReceiverState.STATE_NONE) {
                destroyReceiver();
                return -1;
            }
            this.mDestroyed = false;
            return getPort();
        }
        android.util.Log.w("UIBCReceiver", "Duplicate create");
        return -1;
    }

    public synchronized void startReceiver() {
        android.util.Log.i("UIBCReceiver", "Start Recevier");
        sendMessage(1);
    }

    public synchronized void suspendReceiver() {
        android.util.Log.i("UIBCReceiver", "Suspend Recevier");
        setReceiverState(com.android.server.display.HwUibcReceiver.ReceiverState.STATE_SUSPENDING);
    }

    public synchronized void resumeReceiver() {
        android.util.Log.i("UIBCReceiver", "Resume Recevier");
        setReceiverState(com.android.server.display.HwUibcReceiver.ReceiverState.STATE_WORKING);
    }

    public synchronized void stopReceiver() {
        android.util.Log.i("UIBCReceiver", "Stop Recevier");
        shutDownInput();
        sendMessage(3);
    }

    public synchronized void destroyReceiver() {
        if (this.mDestroyed) {
            android.util.Log.w("UIBCReceiver", "Duplicate Destroy, return");
            return;
        }
        android.util.Log.i("UIBCReceiver", "Destroy Recevier");
        if (getReceiverState() != com.android.server.display.HwUibcReceiver.ReceiverState.STATE_INITIAL) {
            closeSocket();
        }
        this.mState = com.android.server.display.HwUibcReceiver.ReceiverState.STATE_INITIAL;
        closeHid();
        closeServer();
        deInit();
        quitSafely();
        this.mDestroyed = true;
    }

    public synchronized java.lang.Runnable getAcceptCheck() {
        return AcceptCheck;
    }

    public synchronized void setRemoteScreenSize(int width, int height) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("remoteHeight : ");
        stringBuilder.append(height);
        stringBuilder.append(" remoteWidth : ");
        stringBuilder.append(width);
        android.util.Log.i("UIBCReceiver", stringBuilder.toString());
        this.remoteHeight = height;
        this.remoteWidth = width;
        if (height != 0) {
            this.remoteAspectRatio = ((float) width) / ((float) height);
        }
    }

    public synchronized void setRemoteMacAddress(java.lang.String mac) {
        this.macAddress = mac;
    }

    private HwUibcReceiver(java.lang.String name) {
        super(name);
        this.mHandler = null;
        this.mPort = -1;
        this.mInput = null;
        this.mServer = null;
        this.mSocket = null;
        this.mState = com.android.server.display.HwUibcReceiver.ReceiverState.STATE_NONE;
        this.mContext = null;
        this.mDisplayHandler = null;
        this.mCurrentPacket = new com.android.server.display.HwUibcReceiver.CurrentPacket();
        this.mCurGenericEvent = new com.android.server.display.HwUibcReceiver.CurGenericEvent();
        this.inputManager = android.hardware.input.IInputManager.Stub.asInterface(android.os.ServiceManager.getService("input"));
        this.screenWidth = 0;
        this.screenHeight = 0;
        this.screenAspectRatio = 0.0f;
        this.remoteWidth = 0;
        this.remoteHeight = 0;
        this.remoteAspectRatio = 0.0f;
        this.isUploadGenEvent = false;
        this.isUploadHidEvent = false;
        this.mDestroyed = true;
        this.skiponce = false;
        this.isUploadGenEvent = false;
        this.isUploadHidEvent = false;
        this.skiponce = false;
        this.mUibcBuffer = new byte[100];
        try {
            this.mServer = new java.net.ServerSocket(0);
            this.mServer.setSoTimeout(14000);
            this.mServer.setReuseAddress(true);
            this.mState = com.android.server.display.HwUibcReceiver.ReceiverState.STATE_INITIAL;
        } catch (java.io.IOException e) {
            android.util.Log.e("UIBCReceiver", "Server Socket Create Fail");
            this.mState = com.android.server.display.HwUibcReceiver.ReceiverState.STATE_NONE;
        }
    }

    private void shutDownInput() {
        if (this.mSocket != null) {
            try {
                this.mSocket.shutdownInput();
            } catch (java.io.IOException e) {
                android.util.Log.e("UIBCReceiver", "Socket Shutdown Fail");
            }
        }
        this.mState = com.android.server.display.HwUibcReceiver.ReceiverState.STATE_INITIAL;
    }

    private void closeServer() {
        if (this.mServer != null) {
            try {
                this.mServer.close();
            } catch (java.io.IOException e) {
                android.util.Log.e("UIBCReceiver", "Socket Close Fail");
            }
        }
    }

    private void closeSocket() {
        if (this.mSocket != null) {
            try {
                this.mSocket.close();
            } catch (java.io.IOException e) {
                android.util.Log.e("UIBCReceiver", "Socket Close Fail");
            }
        }
    }

    private int getPort() {
        if (this.mServer == null) {
            return -1;
        }
        return this.mServer.getLocalPort();
    }

    private void closeHid() {
        nativeCloseHid();
    }

    private void CreateHandler() {
        try {
            this.mHandler = new com.android.server.display.HwUibcReceiver.UibcHandler(getLooper());
        } catch (java.lang.Exception e) {
            android.util.Log.e("UIBCReceiver", "Create Handler Fail");
            this.mState = com.android.server.display.HwUibcReceiver.ReceiverState.STATE_NONE;
        }
    }

    private com.android.server.display.HwUibcReceiver.ReceiverState getReceiverState() {
        return this.mState;
    }

    private void setReceiverState(com.android.server.display.HwUibcReceiver.ReceiverState state) {
        this.mState = state;
    }

    private void setInContextAndHandler(android.content.Context context, android.os.Handler handler) {
        this.mContext = context;
        this.mDisplayHandler = handler;
        refreshScreenSize();
        this.mReceiver = new android.content.BroadcastReceiver() {
            public void onReceive(android.content.Context context, android.content.Intent intent) {
                java.lang.String action = intent.getAction();
                if (action.equals("android.intent.action.CONFIGURATION_CHANGED")) {
                    if (com.android.server.display.HwUibcReceiver.instance != null) {
                        com.android.server.display.HwUibcReceiver.this.refreshScreenSize();
                    }
                } else if (action.equals("android.intent.action.SCREEN_ON")) {
                    if (com.android.server.display.HwUibcReceiver.instance != null) {
                        com.android.server.display.HwUibcReceiver.this.resumeReceiver();
                    }
                } else if (action.equals("android.intent.action.SCREEN_OFF") && com.android.server.display.HwUibcReceiver.instance != null) {
                    com.android.server.display.HwUibcReceiver.this.suspendReceiver();
                }
            }
        };
        android.content.IntentFilter filter = new android.content.IntentFilter("android.intent.action.CONFIGURATION_CHANGED");
        filter.addAction("android.intent.action.SCREEN_ON");
        filter.addAction("android.intent.action.SCREEN_OFF");
        this.mContext.registerReceiver(this.mReceiver, filter);
    }

    private void deInit() {
        this.mContext.unregisterReceiver(this.mReceiver);
    }

    private synchronized void refreshScreenSize() {
        android.content.Context context = this.mContext;
        android.content.Context context2 = this.mContext;
        this.mDisplay = ((android.view.WindowManager) context.getSystemService("window")).getDefaultDisplay();
        android.util.DisplayMetrics sRealMetrics = new android.util.DisplayMetrics();
        this.mDisplay.getRealMetrics(sRealMetrics);
        this.screenHeight = sRealMetrics.heightPixels;
        this.screenWidth = sRealMetrics.widthPixels;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("screenHeight : ");
        stringBuilder.append(this.screenHeight);
        stringBuilder.append(" screenWidth : ");
        stringBuilder.append(this.screenWidth);
        android.util.Log.i("UIBCReceiver", stringBuilder.toString());
        if (this.screenHeight != 0) {
            this.screenAspectRatio = ((float) this.screenWidth) / ((float) this.screenHeight);
        }
    }

    private synchronized void sendUEBroadcast(java.lang.String key, int info) {
        android.content.Intent intent = new android.content.Intent("com.huawei.hardware.display.action.WIFI_DISPLAY_UIBC_USE_INFO");
        intent.addFlags(1073741824);
        intent.putExtra("WIFI_DISPLAY_UIBC_USE_INFO", info);
        this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.ALL, "com.huawei.wfd.permission.ACCESS_WIFI_DISPLAY_UIBC");
    }

    private void receiveEvent() {
        this.mHandler.sendEmptyMessageDelayed(2, 3);
    }

    public void sendMessage(int message) {
        this.mHandler.sendEmptyMessage(message);
    }

    /* JADX WARNING: Missing block: B:11:0x0017, code:
            return;
     */
    private synchronized void makeAllUserToastAndShow(final java.lang.String r3) {
        /*
        r2 = this;
        monitor-enter(r2);
        r0 = r2.mContext;	 Catch:{ all -> 0x0018 }
        if (r0 == 0) goto L_0x0016;
    L_0x0005:
        r0 = r2.mDisplayHandler;	 Catch:{ all -> 0x0018 }
        if (r0 != 0) goto L_0x000a;
    L_0x0009:
        goto L_0x0016;
    L_0x000a:
        r0 = r2.mDisplayHandler;	 Catch:{ all -> 0x0018 }
        r1 = new com.android.server.display.HwUibcReceiver$2;	 Catch:{ all -> 0x0018 }
        r1.<init>(r3);	 Catch:{ all -> 0x0018 }
        r0.post(r1);	 Catch:{ all -> 0x0018 }
        monitor-exit(r2);
        return;
    L_0x0016:
        monitor-exit(r2);
        return;
    L_0x0018:
        r3 = move-exception;
        monitor-exit(r2);
        throw r3;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwUibcReceiver.makeAllUserToastAndShow(java.lang.String):void");
    }

    private java.lang.String getMACAddress(java.net.InetAddress ia) {
        java.lang.String arpPath = "/proc/net/arp";
        java.lang.String ipAddress = ia.toString().substring(1);
        java.lang.String macAddress = null;
        java.io.BufferedReader reader = null;
        java.io.InputStreamReader isr = null;
        try {
            isr = new java.io.InputStreamReader(new java.io.FileInputStream("/proc/net/arp"), "UTF-8");
            reader = new java.io.BufferedReader(isr);
            java.lang.String line = reader.readLine();
            while (true) {
                java.lang.String readLine = reader.readLine();
                line = readLine;
                if (readLine == null) {
                    break;
                }
                java.lang.String[] tokens = line.split("[ ]+");
                if (tokens.length >= 6) {
                    java.lang.String ip = tokens[null];
                    java.lang.String mac = tokens[3];
                    if (ipAddress.equals(ip)) {
                        macAddress = mac;
                        break;
                    }
                }
            }
            if (macAddress == null) {
                android.util.Log.e("UIBCReceiver", "Did not find remoteAddress");
            }
            try {
                reader.close();
                isr.close();
            } catch (java.io.IOException e) {
                android.util.Log.e("UIBCReceiver", "reader close wrong occur");
            }
        } catch (java.io.FileNotFoundException e2) {
            android.util.Log.e("UIBCReceiver", "Could not open arp file to lookup mac address");
            if (reader != null) {
                reader.close();
            }
            if (isr != null) {
                isr.close();
            }
        } catch (java.io.IOException e3) {
            android.util.Log.e("UIBCReceiver", "Could not read arp file to lookup mac address");
            if (reader != null) {
                reader.close();
            }
            if (isr != null) {
                isr.close();
            }
        } catch (Throwable th) {
            if (reader != null) {
                try {
                    reader.close();
                } catch (java.io.IOException e4) {
                    android.util.Log.e("UIBCReceiver", "reader close wrong occur");
                }
            }
            if (isr != null) {
                isr.close();
            }
        }
        return macAddress;
    }

    private boolean doIdCheck() {
        java.lang.String curAddr = "";
        curAddr = getMACAddress(this.mSocket.getInetAddress());
        if (this.macAddress != null && curAddr != null && this.macAddress.substring(3, this.macAddress.length() - 3).equalsIgnoreCase(curAddr.substring(3, curAddr.length() - 3))) {
            return true;
        }
        java.lang.StringBuilder stringBuilder;
        if (this.macAddress != null) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("check macAdress from wfd");
            stringBuilder.append(this.macAddress.substring(3, this.macAddress.length() - 3));
            android.util.Log.w("UIBCReceiver", stringBuilder.toString());
        }
        if (curAddr != null) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("check curAddr from uibc");
            stringBuilder.append(curAddr.substring(3, curAddr.length() - 3));
            android.util.Log.w("UIBCReceiver", stringBuilder.toString());
        }
        return false;
    }
}
