package com.android.server.display;

public class HwWifiDisplayAdapterEx implements com.android.server.display.IHwWifiDisplayAdapterEx {
    public static final java.lang.String TAG = "HwWifiDisplayAdapterEx";
    com.android.server.display.IWifiDisplayAdapterInner mWfda;

    public HwWifiDisplayAdapterEx(com.android.server.display.IWifiDisplayAdapterInner wfda) {
        this.mWfda = wfda;
    }

    public void requestStartScanLocked(final int channelId) {
        this.mWfda.getHandlerInner().post(new java.lang.Runnable() {
            public void run() {
                if (com.android.server.display.HwWifiDisplayAdapterEx.this.mWfda.getmDisplayControllerInner() != null) {
                    com.android.server.display.HwWifiDisplayAdapterEx.this.mWfda.getmDisplayControllerInner().requestStartScan(channelId);
                }
            }
        });
    }

    public void setConnectParameters(java.lang.String address) {
        boolean isSupportHdcp = this.mWfda.getmPersistentDataStoreInner().isHdcpSupported(address);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("requestConnectLocked: isSupportHdcp ");
        stringBuilder.append(isSupportHdcp);
        android.util.Slog.d("HwWifiDisplayAdapterEx", stringBuilder.toString());
        this.mWfda.getmDisplayControllerInner().setConnectParameters(isSupportHdcp, null);
    }

    public void requestConnectLocked(final java.lang.String address, final java.lang.String verificaitonCode) {
        this.mWfda.getHandlerInner().post(new java.lang.Runnable() {
            public void run() {
                if (com.android.server.display.HwWifiDisplayAdapterEx.this.mWfda.getmDisplayControllerInner() != null) {
                    com.android.server.display.HwWifiDisplayAdapterEx.this.mWfda.getmDisplayControllerInner().requestConnect(address);
                    boolean isSupportHdcp = com.android.server.display.HwWifiDisplayAdapterEx.this.mWfda.getmPersistentDataStoreInner().isHdcpSupported(address);
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("requestConnectLocked: isSupportHdcp ");
                    stringBuilder.append(isSupportHdcp);
                    android.util.Slog.d("HwWifiDisplayAdapterEx", stringBuilder.toString());
                    com.android.server.display.HwWifiDisplayAdapterEx.this.mWfda.getmDisplayControllerInner().setConnectParameters(isSupportHdcp, verificaitonCode);
                }
            }
        });
    }

    public void checkVerificationResultLocked(final boolean isRight) {
        this.mWfda.getHandlerInner().post(new java.lang.Runnable() {
            public void run() {
                if (com.android.server.display.HwWifiDisplayAdapterEx.this.mWfda.getmDisplayControllerInner() != null) {
                    com.android.server.display.HwWifiDisplayAdapterEx.this.mWfda.getmDisplayControllerInner().checkVerificationResult(isRight);
                }
            }
        });
    }

    public void LaunchMKForWifiMode() {
        android.pc.IHwPCManager pcManager = android.util.HwPCUtils.getHwPCManager();
        if (pcManager != null) {
            try {
                pcManager.LaunchMKForWifiMode();
            } catch (android.os.RemoteException e) {
                android.util.HwPCUtils.log("HwWifiDisplayAdapterEx", "RemoteException LaunchMKForWifiMode");
            }
        }
    }
}
