package com.android.server.forcerotation;

public class HwForceRotationConfig {
    private java.util.List<java.lang.String> forceRotationAppNames = new java.util.ArrayList();
    private java.util.List<java.lang.String> notSupportForceRotationAppActivityNames = new java.util.ArrayList();

    public boolean isAppSupportForceRotation(java.lang.String appPkgName) {
        return this.forceRotationAppNames.contains(appPkgName);
    }

    public boolean isActivitySupportForceRotation(java.lang.String activityName) {
        return this.notSupportForceRotationAppActivityNames.contains(activityName) ^ 1;
    }

    public void addForceRotationAppName(java.lang.String appPkgName) {
        if (!this.forceRotationAppNames.contains(appPkgName)) {
            this.forceRotationAppNames.add(appPkgName);
        }
    }

    public void addNotSupportForceRotationAppActivityName(java.lang.String activityName) {
        if (!this.notSupportForceRotationAppActivityNames.contains(activityName)) {
            this.notSupportForceRotationAppActivityNames.add(activityName);
        }
    }

    public java.util.List<java.lang.String> getAllForceRotationAppNames() {
        return this.forceRotationAppNames;
    }

    public java.util.List<java.lang.String> getAllNotSupportForceRotationAppActivityNames() {
        return this.notSupportForceRotationAppActivityNames;
    }
}
