package com.android.server.gesture;

public class OverviewProxyService {
    private static final java.lang.String ACTION_QUICKSTEP = "android.intent.action.QUICKSTEP_SERVICE";
    private static final long BACKOFF_MILLIS = 5000;
    private static final long BACKOFF_MILLIS_MAX = 43200000;
    private static final long DEFERRED_CALLBACK_MILLIS = 5000;
    private final android.content.BroadcastReceiver mBaseBroadcastReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            android.util.Log.i("GestureNav_OPS", "User unlocked.");
            com.android.server.gesture.OverviewProxyService.this.startConnectionToCurrentUser();
        }
    };
    private int mConnectionBackoffAttempts;
    private final java.lang.Runnable mConnectionRunnable = new com.android.server.gesture.-$$Lambda$OverviewProxyService$KOWDBHP6658WCoqHveYatMN2KJc(this);
    private final android.content.Context mContext;
    private final java.lang.Runnable mDeferredConnectionCallback = new com.android.server.gesture.-$$Lambda$OverviewProxyService$uA1mapK1w1fvQoRhlNlsAaLeiaM(this);
    private final com.android.server.gesture.DeviceStateController.DeviceChangedListener mDeviceChangedCallback = new com.android.server.gesture.DeviceStateController.DeviceChangedListener() {
        public void onUserSetupChanged(boolean setup) {
            if (com.android.server.gesture.GestureNavConst.DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("onUserSetupChanged isCurrentUserSetup=");
                stringBuilder.append(setup);
                android.util.Log.d("GestureNav_OPS", stringBuilder.toString());
            }
            if (com.android.server.gesture.OverviewProxyService.this.updateHomeWindow()) {
                com.android.server.gesture.OverviewProxyService.this.updateEnabledState();
            }
            if (setup) {
                com.android.server.gesture.OverviewProxyService.this.startConnectionToCurrentUser();
            }
        }

        public void onUserSwitched(int newUserId) {
            if (com.android.server.gesture.GestureNavConst.DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("onUserSwitched newUserId=");
                stringBuilder.append(newUserId);
                android.util.Log.d("GestureNav_OPS", stringBuilder.toString());
            }
            if (com.android.server.gesture.OverviewProxyService.this.updateHomeWindow()) {
                com.android.server.gesture.OverviewProxyService.this.updateEnabledState();
            }
            com.android.server.gesture.OverviewProxyService.this.mConnectionBackoffAttempts = 0;
            com.android.server.gesture.OverviewProxyService.this.startConnectionToCurrentUser();
        }

        public void onPreferredActivityChanged(boolean isPrefer) {
            if (com.android.server.gesture.OverviewProxyService.this.updateHomeWindow()) {
                com.android.server.gesture.OverviewProxyService.this.updateEnabledState();
                com.android.server.gesture.OverviewProxyService.this.startConnectionToCurrentUser();
            }
        }
    };
    private final com.android.server.gesture.DeviceStateController mDeviceStateController;
    private final java.lang.Runnable mDisConnectionRunnable = new com.android.server.gesture.-$$Lambda$OverviewProxyService$Oun8DXyLo1XpuLvrpUdaj8mbO7Y(this);
    private final android.os.Handler mHandler;
    private java.lang.String mHomeWindow;
    private boolean mIsEnabled;
    private final android.content.BroadcastReceiver mLauncherStateChangedReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Launcher state changed, intent=");
            stringBuilder.append(intent);
            android.util.Log.i("GestureNav_OPS", stringBuilder.toString());
            com.android.server.gesture.OverviewProxyService.this.updateEnabledState();
            com.android.server.gesture.OverviewProxyService.this.startConnectionToCurrentUser();
        }
    };
    private com.android.systemui.shared.recents.IOverviewProxy mOverviewProxy;
    private final android.content.ServiceConnection mOverviewServiceConnection = new android.content.ServiceConnection() {
        public void onServiceConnected(android.content.ComponentName name, android.os.IBinder service) {
            com.android.server.gesture.OverviewProxyService.this.mHandler.removeCallbacks(com.android.server.gesture.OverviewProxyService.this.mDeferredConnectionCallback);
            com.android.server.gesture.OverviewProxyService.this.mConnectionBackoffAttempts = 0;
            com.android.server.gesture.OverviewProxyService.this.mOverviewProxy = com.android.systemui.shared.recents.IOverviewProxy.Stub.asInterface(service);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Launcher service connected, mOverviewProxy=");
            stringBuilder.append(com.android.server.gesture.OverviewProxyService.this.mOverviewProxy);
            android.util.Log.i("GestureNav_OPS", stringBuilder.toString());
            try {
                service.linkToDeath(com.android.server.gesture.OverviewProxyService.this.mOverviewServiceDeathRcpt, 0);
            } catch (android.os.RemoteException e) {
                android.util.Log.e("GestureNav_OPS", "Lost connection to launcher service", e);
            }
        }

        public void onNullBinding(android.content.ComponentName name) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Null binding of '");
            stringBuilder.append(name);
            stringBuilder.append("', try reconnecting");
            android.util.Log.w("GestureNav_OPS", stringBuilder.toString());
            com.android.server.gesture.OverviewProxyService.this.internalConnectToCurrentUser();
        }

        public void onBindingDied(android.content.ComponentName name) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Binding died of '");
            stringBuilder.append(name);
            stringBuilder.append("', try reconnecting");
            android.util.Log.w("GestureNav_OPS", stringBuilder.toString());
            com.android.server.gesture.OverviewProxyService.this.internalConnectToCurrentUser();
        }

        public void onServiceDisconnected(android.content.ComponentName name) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Launcher service disconnected, name=");
            stringBuilder.append(name);
            android.util.Log.i("GestureNav_OPS", stringBuilder.toString());
            com.android.server.gesture.OverviewProxyService.this.mConnectionBackoffAttempts = 0;
        }
    };
    private final android.os.IBinder.DeathRecipient mOverviewServiceDeathRcpt = new com.android.server.gesture.-$$Lambda$fa_E-AinJ_OblsY1v92TO_iW2GQ(this);
    private final android.content.Intent mQuickStepIntent;
    private final android.content.ComponentName mRecentsComponentName;

    public static /* synthetic */ void lambda$new$0(com.android.server.gesture.OverviewProxyService overviewProxyService) {
        android.util.Log.w("GestureNav_OPS", "Binder supposed established connection but actual connection to service timed out, trying again");
        overviewProxyService.internalConnectToCurrentUser();
    }

    public OverviewProxyService(android.content.Context context, android.os.Looper looper) {
        this.mContext = context;
        this.mHandler = new android.os.Handler(looper);
        this.mRecentsComponentName = new android.content.ComponentName("com.huawei.android.launcher", "com.android.quickstep.RecentsActivity");
        this.mQuickStepIntent = new android.content.Intent("android.intent.action.QUICKSTEP_SERVICE").setPackage(this.mRecentsComponentName.getPackageName());
        this.mDeviceStateController = com.android.server.gesture.DeviceStateController.getInstance(this.mContext);
    }

    public void notifyStart() {
        this.mConnectionBackoffAttempts = 0;
        this.mHomeWindow = this.mDeviceStateController.getCurrentHomeActivity();
        this.mDeviceStateController.addCallback(this.mDeviceChangedCallback);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mQuickStepIntent=");
        stringBuilder.append(this.mQuickStepIntent);
        android.util.Log.i("GestureNav_OPS", stringBuilder.toString());
        updateEnabledState();
        startConnectionToCurrentUser();
        android.content.IntentFilter filter = new android.content.IntentFilter("android.intent.action.PACKAGE_ADDED");
        filter.addDataScheme("package");
        filter.addDataSchemeSpecificPart(this.mRecentsComponentName.getPackageName(), 0);
        filter.addAction("android.intent.action.PACKAGE_CHANGED");
        this.mContext.registerReceiver(this.mLauncherStateChangedReceiver, filter, null, this.mHandler);
        android.content.IntentFilter filter2 = new android.content.IntentFilter();
        filter2.addAction("android.intent.action.USER_UNLOCKED");
        this.mContext.registerReceiver(this.mBaseBroadcastReceiver, filter2, null, this.mHandler);
    }

    public void notifyStop() {
        this.mContext.unregisterReceiver(this.mLauncherStateChangedReceiver);
        this.mContext.unregisterReceiver(this.mBaseBroadcastReceiver);
        this.mDeviceStateController.removeCallback(this.mDeviceChangedCallback);
        stopConnectionToCurrentUser();
    }

    public void startConnectionToCurrentUser() {
        if (this.mHandler.getLooper() != android.os.Looper.myLooper()) {
            this.mHandler.post(this.mConnectionRunnable);
        } else {
            internalConnectToCurrentUser();
        }
    }

    public void stopConnectionToCurrentUser() {
        this.mHandler.removeCallbacks(this.mConnectionRunnable);
        this.mHandler.removeCallbacks(this.mDeferredConnectionCallback);
        if (this.mHandler.getLooper() != android.os.Looper.myLooper()) {
            this.mHandler.post(this.mDisConnectionRunnable);
        } else {
            disconnectFromLauncherService();
        }
    }

    private void internalConnectToCurrentUser() {
        disconnectFromLauncherService();
        if (this.mDeviceStateController.isCurrentUserSetup()) {
            if (isEnabled()) {
                this.mHandler.removeCallbacks(this.mConnectionRunnable);
                android.content.Intent launcherServiceIntent = new android.content.Intent("android.intent.action.QUICKSTEP_SERVICE").setPackage(this.mRecentsComponentName.getPackageName());
                boolean bound = false;
                try {
                    bound = this.mContext.bindServiceAsUser(launcherServiceIntent, this.mOverviewServiceConnection, 1, android.os.UserHandle.of(this.mDeviceStateController.getCurrentUser()));
                } catch (java.lang.SecurityException e) {
                    android.util.Log.e("GestureNav_OPS", "Unable to bind because of security error", e);
                } catch (java.lang.Exception e2) {
                    android.util.Log.e("GestureNav_OPS", "bind service fail", e2);
                }
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("internalConnectToCurrentUser, bound=");
                stringBuilder.append(bound);
                stringBuilder.append(", launcherServiceIntent=");
                stringBuilder.append(launcherServiceIntent);
                android.util.Log.i("GestureNav_OPS", stringBuilder.toString());
                if (bound) {
                    this.mHandler.postDelayed(this.mDeferredConnectionCallback, 5000);
                } else {
                    long timeoutMs = (long) java.lang.Math.scalb(5000.0f, this.mConnectionBackoffAttempts);
                    if (timeoutMs > 43200000) {
                        timeoutMs = 43200000;
                    }
                    this.mHandler.postDelayed(this.mConnectionRunnable, timeoutMs);
                    this.mConnectionBackoffAttempts++;
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("Failed to connect on attempt ");
                    stringBuilder2.append(this.mConnectionBackoffAttempts);
                    stringBuilder2.append(" will try again in ");
                    stringBuilder2.append(timeoutMs);
                    stringBuilder2.append("ms");
                    android.util.Log.w("GestureNav_OPS", stringBuilder2.toString());
                }
                return;
            }
        }
        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
        stringBuilder3.append("Not setup or not enable, isEnabled=");
        stringBuilder3.append(isEnabled());
        android.util.Log.i("GestureNav_OPS", stringBuilder3.toString());
    }

    public boolean isEnabled() {
        return this.mIsEnabled;
    }

    public com.android.systemui.shared.recents.IOverviewProxy getProxy() {
        return this.mOverviewProxy;
    }

    private void disconnectFromLauncherService() {
        java.lang.StringBuilder stringBuilder;
        if (this.mOverviewProxy != null) {
            if (com.android.server.gesture.GestureNavConst.DEBUG) {
                android.util.Log.d("GestureNav_OPS", "disconnectFromLauncherService start");
            }
            try {
                this.mOverviewProxy.asBinder().unlinkToDeath(this.mOverviewServiceDeathRcpt, 0);
            } catch (java.lang.Exception e) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("unlinkToDeath fail, mIsEnabled=");
                stringBuilder.append(this.mIsEnabled);
                android.util.Log.e("GestureNav_OPS", stringBuilder.toString(), e);
            }
            boolean unbind = true;
            try {
                this.mContext.unbindService(this.mOverviewServiceConnection);
            } catch (java.lang.Exception e2) {
                unbind = false;
                android.util.Log.e("GestureNav_OPS", "unbind service fail", e2);
            }
            this.mOverviewProxy = null;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("unbind service:");
            stringBuilder.append(unbind);
            android.util.Log.i("GestureNav_OPS", stringBuilder.toString());
        }
    }

    private void updateEnabledState() {
        this.mIsEnabled = this.mContext.getPackageManager().resolveServiceAsUser(this.mQuickStepIntent, 786432, android.app.ActivityManager.getCurrentUser()) != null;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mIsEnabled=");
        stringBuilder.append(this.mIsEnabled);
        android.util.Log.i("GestureNav_OPS", stringBuilder.toString());
    }

    private boolean updateHomeWindow() {
        java.lang.String homeWindow = this.mDeviceStateController.getCurrentHomeActivity();
        if (homeWindow == null || homeWindow.equals(this.mHomeWindow)) {
            return false;
        }
        if (com.android.server.gesture.GestureNavConst.DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Home changed, newHome=");
            stringBuilder.append(homeWindow);
            stringBuilder.append(", oldHome=");
            stringBuilder.append(this.mHomeWindow);
            android.util.Log.i("GestureNav_OPS", stringBuilder.toString());
        }
        this.mHomeWindow = homeWindow;
        return true;
    }

    public void dump(java.lang.String prefix, java.io.PrintWriter pw, java.lang.String[] args) {
        pw.print(prefix);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mQuickStepIntent=");
        stringBuilder.append(this.mQuickStepIntent);
        pw.println(stringBuilder.toString());
        pw.print(prefix);
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mConnectionBackoffAttempts=");
        stringBuilder.append(this.mConnectionBackoffAttempts);
        pw.print(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(" mIsEnabled=");
        stringBuilder.append(this.mIsEnabled);
        pw.print(stringBuilder.toString());
        pw.println();
        pw.print(prefix);
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mHomeWindow=");
        stringBuilder.append(this.mHomeWindow);
        pw.println(stringBuilder.toString());
        pw.print(prefix);
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mOverviewProxy=");
        stringBuilder.append(this.mOverviewProxy);
        pw.println(stringBuilder.toString());
    }
}
