package com.android.server.gesture;

public class QuickSingleHandController extends com.android.server.gesture.QuickStartupStub {
    private com.android.server.policy.SlideTouchEvent mSlideTouchEvent;

    public QuickSingleHandController(android.content.Context context, android.os.Looper looper) {
        super(context);
        this.mSlideTouchEvent = new com.android.server.policy.SlideTouchEvent(context);
    }

    public boolean isPreConditionNotReady(boolean onLeft) {
        if (this.mDeviceStateController.isNavBarAtBottom()) {
            if (!this.mDeviceStateController.isKeyguardLocked()) {
                return false;
            }
        }
        if (com.android.server.gesture.GestureNavConst.DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("nav bar not in bottom or keygaurdLocked, bottom=");
            stringBuilder.append(this.mDeviceStateController.isNavBarAtBottom());
            android.util.Log.d("GestureNav_QSH", stringBuilder.toString());
        }
        android.util.Flog.bdReport(this.mContext, 855, "failure");
        return true;
    }

    public void updateSettings() {
        super.updateSettings();
        this.mSlideTouchEvent.updateSettings();
    }

    public void setGestureResultAtUp(boolean success) {
        this.mSlideTouchEvent.setGestureResultAtUp(success);
        if (success) {
            android.util.Flog.bdReport(this.mContext, 855, "success");
        } else {
            android.util.Flog.bdReport(this.mContext, 855, "failure");
        }
    }

    public void handleTouchEvent(android.view.MotionEvent event) {
        this.mSlideTouchEvent.handleTouchEvent(event);
    }
}
