package com.android.server.gesture;

public class QuickSlideOutController extends com.android.server.gesture.QuickStartupStub {
    private static final java.lang.String ACTION_STATUSBAR_CHANGE = "com.android.systemui.statusbar.visible.change";
    private static final java.lang.String ASSISTANT_ACTION = "com.huawei.action.VOICE_ASSISTANT";
    private static final java.lang.String ASSISTANT_ACTIVITY_NAME = "com.huawei.vassistant.ui.main.VAssistantActivity";
    private static final java.lang.String ASSISTANT_ICON_METADATA_NAME = "com.android.systemui.action_assist_icon";
    private static final java.lang.String GOOGLE_ASSISTANT_PACKAGE_NAME = "com.google.android.googlequicksearchbox";
    private static final java.lang.String HW_ASSISTANT_PACKAGE_NAME = "com.huawei.vassistant";
    private static final java.lang.String KEY_INVOKE = "invoke";
    private static final java.lang.String KYE_VDRIVE_IS_RUN = "vdrive_is_run_state";
    private static final int MSG_CLOSE_VIEW = 1;
    private static final int MSG_UPDATE_WINDOW_VIEW = 2;
    private static final java.lang.String SCANNER_CLASS_NAME = "com.huawei.scanner.view.ScannerActivity";
    private static final java.lang.String SCANNER_PACKAGE_NAME = "com.huawei.scanner";
    private static final java.lang.String VALUE_INVOKE = "gesture_nav";
    private static final int VALUE_VDRIVE_IS_RUN = 1;
    private static final int VALUE_VDRIVE_IS_UNRUN = 0;
    private static android.content.ComponentName sVAssistantComponentName = null;
    private com.android.internal.app.AssistUtils mAssistUtils;
    private float mCurrentTouch;
    private boolean mGestureNavReady;
    private android.os.Handler mHandler = new com.android.server.gesture.QuickSlideOutController.MyHandler(this, null);
    private boolean mInDriveMode = false;
    private boolean mIsStatusBarExplaned = false;
    private final java.lang.Object mLock = new java.lang.Object();
    private com.android.server.gesture.QuickSlideOutController.SettingsObserver mSettingsObserver;
    private int mSlideMaxDistance;
    private boolean mSlideOutEnabled;
    private boolean mSlideOverThreshold;
    private float mSlidePhasePos;
    private int mSlideStartThreshold;
    private boolean mSlidingOnLeft = true;
    private boolean mSlowAnimTriggered;
    private float mStartTouch;
    private com.android.server.gesture.QuickSlideOutController.StatusBarStatesChangedReceiver mStatusBarReceiver;
    private final java.lang.Runnable mSuccessRunnable = new java.lang.Runnable() {
        public void run() {
            com.android.server.gesture.QuickSlideOutController.this.gestureSuccessAtEnd(false);
        }
    };
    private boolean mThresholdTriggered;
    private com.android.server.gesture.SlideOutContainer mViewContainer;
    private android.view.WindowManager mWindowManager;
    private boolean mWindowViewSetuped;

    private final class MyHandler extends android.os.Handler {
        private MyHandler() {
        }

        /* synthetic */ MyHandler(com.android.server.gesture.QuickSlideOutController x0, com.android.server.gesture.QuickSlideOutController.AnonymousClass1 x1) {
            this();
        }

        public void handleMessage(android.os.Message msg) {
            switch (msg.what) {
                case 1:
                    com.android.server.gesture.QuickSlideOutController.this.hideSlideOutView();
                    return;
                case 2:
                    com.android.server.gesture.QuickSlideOutController.this.updateSlideOutWindow();
                    return;
                default:
                    return;
            }
        }
    }

    private final class SettingsObserver extends android.database.ContentObserver {
        public SettingsObserver(android.os.Handler handler) {
            super(handler);
        }

        public void onChange(boolean selfChange) {
            com.android.server.gesture.QuickSlideOutController.this.updateSettings();
        }
    }

    private final class StatusBarStatesChangedReceiver extends android.content.BroadcastReceiver {
        private StatusBarStatesChangedReceiver() {
        }

        /* synthetic */ StatusBarStatesChangedReceiver(com.android.server.gesture.QuickSlideOutController x0, com.android.server.gesture.QuickSlideOutController.AnonymousClass1 x1) {
            this();
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (intent != null && "com.android.systemui.statusbar.visible.change".equals(intent.getAction())) {
                java.lang.String visible = "false";
                if (intent.getExtras() != null) {
                    visible = intent.getExtras().getString("visible");
                }
                com.android.server.gesture.QuickSlideOutController.this.mIsStatusBarExplaned = java.lang.Boolean.valueOf(visible).booleanValue();
                if (com.android.server.gesture.GestureNavConst.DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("mIsStatusBarExplaned:");
                    stringBuilder.append(com.android.server.gesture.QuickSlideOutController.this.mIsStatusBarExplaned);
                    android.util.Log.d("GestureNav_QSO", stringBuilder.toString());
                }
            }
        }
    }

    private class TouchOutsideListener implements android.view.View.OnTouchListener {
        private int mMsg;

        public TouchOutsideListener(int msg) {
            this.mMsg = msg;
        }

        public boolean onTouch(android.view.View v, android.view.MotionEvent ev) {
            int action = ev.getAction();
            if (action != 4) {
                if (action != 0) {
                    return false;
                }
            }
            com.android.server.gesture.QuickSlideOutController.this.mHandler.removeMessages(this.mMsg);
            com.android.server.gesture.QuickSlideOutController.this.mHandler.sendEmptyMessage(this.mMsg);
            return true;
        }
    }

    public QuickSlideOutController(android.content.Context context, android.os.Looper looper) {
        super(context);
        this.mAssistUtils = new com.android.internal.app.AssistUtils(context);
        this.mWindowManager = (android.view.WindowManager) this.mContext.getSystemService("window");
    }

    private void notifyStart() {
        this.mGestureNavReady = true;
        this.mStatusBarReceiver = new com.android.server.gesture.QuickSlideOutController.StatusBarStatesChangedReceiver(this, null);
        android.content.IntentFilter filter = new android.content.IntentFilter();
        filter.addAction("com.android.systemui.statusbar.visible.change");
        this.mContext.registerReceiver(this.mStatusBarReceiver, filter, "huawei.android.permission.HW_SIGNATURE_OR_SYSTEM", this.mHandler);
        this.mSettingsObserver = new com.android.server.gesture.QuickSlideOutController.SettingsObserver(this.mHandler);
        android.content.ContentResolver resolver = this.mContext.getContentResolver();
        resolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("secure_gesture_navigation_assistant"), false, this.mSettingsObserver, -1);
        resolver.registerContentObserver(android.provider.Settings.Global.getUriFor("vdrive_is_run_state"), false, this.mSettingsObserver, -1);
        updateSettings();
        updateConfig();
    }

    private void notifyStop() {
        if (this.mStatusBarReceiver != null) {
            this.mContext.unregisterReceiver(this.mStatusBarReceiver);
            this.mStatusBarReceiver = null;
        }
        if (this.mSettingsObserver != null) {
            this.mContext.getContentResolver().unregisterContentObserver(this.mSettingsObserver);
            this.mSettingsObserver = null;
        }
        this.mGestureNavReady = false;
    }

    private boolean isSuperPowerSaveMode() {
        return com.android.server.gesture.GestureUtils.isSuperPowerSaveMode();
    }

    private boolean isInLockTaskMode() {
        return com.android.server.gesture.GestureUtils.isInLockTaskMode();
    }

    private boolean isTargetLaunched(boolean onLeft) {
        java.lang.String focusApp = this.mDeviceStateController.getFocusPackageName();
        if (focusApp == null) {
            return false;
        }
        if (com.android.server.gesture.GestureNavConst.DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onLeft:");
            stringBuilder.append(onLeft);
            stringBuilder.append(", focusApp:");
            stringBuilder.append(focusApp);
            android.util.Log.d("GestureNav_QSO", stringBuilder.toString());
        }
        if (!com.android.server.gesture.GestureNavConst.CHINA_REGION) {
            return focusApp.equals("com.google.android.googlequicksearchbox");
        }
        if (onLeft) {
            return focusApp.equals("com.huawei.vassistant");
        }
        return focusApp.equals("com.huawei.scanner");
    }

    private void updateSlideOutWindow() {
        synchronized (this.mLock) {
            if (this.mSlideOutEnabled && this.mGestureNavReady) {
                if (this.mWindowViewSetuped) {
                    updateSlideOutView();
                } else {
                    createSlideOutView();
                }
            } else if (this.mWindowViewSetuped) {
                destroySlideOutView();
            }
        }
    }

    public boolean isSlideOutEnabled() {
        boolean z;
        synchronized (this.mLock) {
            z = this.mSlideOutEnabled;
        }
        return z;
    }

    public void onNavCreate(com.android.server.gesture.GestureNavView navView) {
        super.onNavCreate(navView);
        notifyStart();
        updateSlideOutWindow();
    }

    public void onNavUpdate() {
        super.onNavUpdate();
        updateSlideOutWindow();
    }

    public void onNavDestroy() {
        super.onNavDestroy();
        notifyStop();
        updateSlideOutWindow();
    }

    public void updateConfig() {
        this.mSlideStartThreshold = this.mContext.getResources().getDimensionPixelSize(34472405);
        this.mSlideMaxDistance = this.mContext.getResources().getDimensionPixelSize(34472404);
        if (com.android.server.gesture.GestureNavConst.DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("threshold=");
            stringBuilder.append(this.mSlideStartThreshold);
            stringBuilder.append(", max=");
            stringBuilder.append(this.mSlideMaxDistance);
            android.util.Log.d("GestureNav_QSO", stringBuilder.toString());
        }
    }

    public void updateSettings() {
        synchronized (this.mLock) {
            boolean lastSlideOutEnabled = this.mSlideOutEnabled;
            android.content.ContentResolver resolver = this.mContext.getContentResolver();
            this.mSlideOutEnabled = com.android.server.gesture.GestureNavConst.isSlideOutEnabled(this.mContext, -2);
            boolean z = false;
            if (android.provider.Settings.Global.getInt(resolver, "vdrive_is_run_state", 0) == 1) {
                z = true;
            }
            this.mInDriveMode = z;
            if (com.android.server.gesture.GestureNavConst.DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("enabled=");
                stringBuilder.append(this.mSlideOutEnabled);
                stringBuilder.append(", driveMode=");
                stringBuilder.append(this.mInDriveMode);
                android.util.Log.i("GestureNav_QSO", stringBuilder.toString());
            }
            if (this.mSlideOutEnabled != lastSlideOutEnabled) {
                this.mHandler.sendEmptyMessage(2);
            }
        }
    }

    public boolean isPreConditionNotReady(boolean onLeft) {
        if (!(isSuperPowerSaveMode() || this.mIsStatusBarExplaned || this.mInDriveMode || isInLockTaskMode() || this.mDeviceStateController.isKeyguardLocked())) {
            if (!isTargetLaunched(onLeft)) {
                return false;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("StatusBarExplaned:");
        stringBuilder.append(this.mIsStatusBarExplaned);
        stringBuilder.append(",inDriveMode:");
        stringBuilder.append(this.mInDriveMode);
        android.util.Log.i("GestureNav_QSO", stringBuilder.toString());
        if (onLeft) {
            android.util.Flog.bdReport(this.mContext, 850, "failure");
        } else {
            android.util.Flog.bdReport(this.mContext, 851, "failure");
        }
        return true;
    }

    public void setSlidingSide(boolean onLeft) {
        if (com.android.server.gesture.GestureNavConst.DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setSlidingSide onLeft:");
            stringBuilder.append(onLeft);
            android.util.Log.d("GestureNav_QSO", stringBuilder.toString());
        }
        this.mSlidingOnLeft = onLeft;
        if (this.mViewContainer != null) {
            this.mViewContainer.setSlidingSide(onLeft);
        }
    }

    public void handleTouchEvent(android.view.MotionEvent event) {
        if (this.mViewContainer != null) {
            switch (event.getActionMasked()) {
                case 0:
                    handleActionDown(event);
                    break;
                case 1:
                case 3:
                    handleActionUp(event);
                    break;
                case 2:
                    handleActionMove(event);
                    break;
                default:
                    break;
            }
        }
    }

    private void handleActionDown(android.view.MotionEvent event) {
        super.resetAtDown();
        this.mViewContainer.reset();
        this.mThresholdTriggered = false;
        this.mSlideOverThreshold = false;
        this.mSlowAnimTriggered = false;
        float y = event.getY();
        this.mCurrentTouch = y;
        this.mStartTouch = y;
    }

    /* JADX WARNING: Missing block: B:15:0x0031, code:
            if (r4.mGestureSlowProcessStarted != false) goto L_0x0033;
     */
    private void handleActionMove(android.view.MotionEvent r5) {
        /*
        r4 = this;
        r0 = r5.getY();
        r4.mCurrentTouch = r0;
        r0 = r4.mGestureReallyStarted;
        if (r0 == 0) goto L_0x0021;
    L_0x000a:
        r0 = r4.mViewContainer;
        r0 = r0.isShowing();
        if (r0 != 0) goto L_0x0021;
    L_0x0012:
        r4.showOrb();
        r0 = com.android.server.gesture.GestureNavConst.DEBUG;
        if (r0 == 0) goto L_0x0021;
    L_0x0019:
        r0 = "GestureNav_QSO";
        r1 = "start showOrb";
        android.util.Log.d(r0, r1);
    L_0x0021:
        r0 = r4.mSlowAnimTriggered;
        r1 = 1;
        if (r0 != 0) goto L_0x0038;
    L_0x0026:
        r0 = com.android.server.gesture.GestureNavConst.USE_ANIM_LEGACY;
        if (r0 == 0) goto L_0x002f;
    L_0x002a:
        r0 = r4.mGestureReallyStarted;
        if (r0 == 0) goto L_0x0038;
    L_0x002e:
        goto L_0x0033;
    L_0x002f:
        r0 = r4.mGestureSlowProcessStarted;
        if (r0 == 0) goto L_0x0038;
    L_0x0033:
        r4.mSlowAnimTriggered = r1;
        r4.notifyAnimStarted();
    L_0x0038:
        r0 = r4.mThresholdTriggered;
        r2 = 0;
        if (r0 != 0) goto L_0x0076;
    L_0x003d:
        r0 = r4.mViewContainer;
        r0 = r0.isVisible();
        if (r0 == 0) goto L_0x0076;
    L_0x0045:
        r0 = r4.slideOverThreshold(r2);
        if (r0 != 0) goto L_0x0053;
    L_0x004b:
        r0 = r4.mViewContainer;
        r0 = r0.isAnimationRunning();
        if (r0 != 0) goto L_0x0076;
    L_0x0053:
        r4.mThresholdTriggered = r1;
        r0 = r4.mCurrentTouch;
        r4.mSlidePhasePos = r0;
        r0 = com.android.server.gesture.GestureNavConst.DEBUG;
        if (r0 == 0) goto L_0x0076;
    L_0x005d:
        r0 = "GestureNav_QSO";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r3 = "slide over threshold, slidePos=";
        r1.append(r3);
        r3 = r4.mSlidePhasePos;
        r1.append(r3);
        r1 = r1.toString();
        android.util.Log.d(r0, r1);
    L_0x0076:
        r0 = r4.mThresholdTriggered;
        if (r0 == 0) goto L_0x00a7;
    L_0x007a:
        r0 = r4.mSlowAnimTriggered;
        if (r0 == 0) goto L_0x00a7;
    L_0x007e:
        r0 = r4.slideOverThreshold(r2);
        r4.mSlideOverThreshold = r0;
        r0 = r4.mViewContainer;
        r1 = r4.mSlideOverThreshold;
        r0.setSlideOverThreshold(r1);
        r0 = r4.mSlidePhasePos;
        r1 = r4.mCurrentTouch;
        r0 = r0 - r1;
        r1 = 0;
        r2 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1));
        if (r2 >= 0) goto L_0x0096;
    L_0x0095:
        r0 = 0;
    L_0x0096:
        r2 = r4.mSlideMaxDistance;
        r2 = (float) r2;
        r1 = android.util.MathUtils.constrain(r0, r1, r2);
        r2 = r4.mSlideMaxDistance;
        r2 = (float) r2;
        r2 = r1 / r2;
        r3 = r4.mViewContainer;
        r3.setSlideDistance(r0, r2);
    L_0x00a7:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.gesture.QuickSlideOutController.handleActionMove(android.view.MotionEvent):void");
    }

    private void handleActionUp(android.view.MotionEvent event) {
        int reportType;
        this.mCurrentTouch = event.getY();
        this.mSlideOverThreshold = slideOverThreshold(true);
        if (com.android.server.gesture.GestureNavConst.DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("slideOver=");
            stringBuilder.append(this.mSlideOverThreshold);
            stringBuilder.append(", valid=");
            stringBuilder.append(this.mIsValidGuesture);
            stringBuilder.append(", fast=");
            stringBuilder.append(this.mIsFastSlideGesture);
            android.util.Log.i("GestureNav_QSO", stringBuilder.toString());
        }
        if (this.mSlidingOnLeft) {
            reportType = 850;
        } else {
            reportType = 851;
        }
        if (this.mIsValidGuesture && this.mSlideOverThreshold) {
            performSlideEndAction(this.mIsFastSlideGesture);
            android.util.Flog.bdReport(this.mContext, reportType, "success");
            return;
        }
        this.mViewContainer.startExitAnimation(false, false);
        android.util.Flog.bdReport(this.mContext, reportType, "failure");
    }

    private boolean slideOverThreshold(boolean checkAtEnd) {
        boolean z = true;
        if (!com.android.server.gesture.GestureNavConst.USE_ANIM_LEGACY) {
            if (!checkAtEnd) {
                return true;
            }
        }
        if (java.lang.Math.abs(this.mStartTouch - this.mCurrentTouch) <= ((float) this.mSlideStartThreshold)) {
            z = false;
        }
        return z;
    }

    private void performSlideEndAction(boolean isFastSlide) {
        if (this.mViewContainer.isAnimationRunning()) {
            if (com.android.server.gesture.GestureNavConst.DEBUG) {
                android.util.Log.i("GestureNav_QSO", "preform action until anim finished");
            }
            this.mViewContainer.performOnAnimationFinished(this.mSuccessRunnable);
            return;
        }
        gestureSuccessAtEnd(isFastSlide);
    }

    private void gestureSuccessAtEnd(boolean isFastSlide) {
        if (com.android.server.gesture.GestureNavConst.DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("execute animation and start target, isFastSlide:");
            stringBuilder.append(isFastSlide);
            android.util.Log.i("GestureNav_QSO", stringBuilder.toString());
        }
        this.mViewContainer.startExitAnimation(isFastSlide, true);
        startTarget();
    }

    private void startTarget() {
        if (!com.android.server.gesture.GestureNavConst.CHINA_REGION) {
            startVoiceAssist();
        } else if (this.mSlidingOnLeft) {
            startVoiceAssist();
        } else {
            startScanner();
        }
    }

    private void startVoiceAssist() {
        if (!hasAssist()) {
            android.util.Log.e("GestureNav_QSO", "assist not found");
        }
        try {
            com.android.server.statusbar.StatusBarManagerInternal statusBarManager = (com.android.server.statusbar.StatusBarManagerInternal) com.android.server.LocalServices.getService(com.android.server.statusbar.StatusBarManagerInternal.class);
            if (statusBarManager != null) {
                android.util.Log.i("GestureNav_QSO", "startAssist");
                android.os.Bundle bundle = new android.os.Bundle();
                bundle.putBoolean("isFromGesture", true);
                statusBarManager.startAssist(bundle);
            }
        } catch (java.lang.Exception exp) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("startVoiceAssist error:");
            stringBuilder.append(exp.getMessage());
            android.util.Log.e("GestureNav_QSO", stringBuilder.toString());
        }
    }

    private android.content.ComponentName getAssistInfo() {
        if (this.mAssistUtils != null) {
            return this.mAssistUtils.getAssistComponentForUser(-2);
        }
        return null;
    }

    private boolean hasAssist() {
        if (com.android.server.gesture.GestureNavConst.CHINA_REGION) {
            boolean hasHwAssist = false;
            try {
                this.mContext.getPackageManager().getPackageInfo("com.huawei.vassistant", 128);
                hasHwAssist = true;
            } catch (android.content.pm.PackageManager.NameNotFoundException e) {
                android.util.Log.w("GestureNav_QSO", "huawei hivoice not found");
                hasHwAssist = false;
            } catch (java.lang.Exception e2) {
                android.util.Log.w("GestureNav_QSO", "assist is null, return");
                hasHwAssist = false;
            }
            return hasHwAssist;
        } else if (getAssistInfo() != null) {
            return true;
        } else {
            android.util.Log.w("GestureNav_QSO", "assist is null, return");
            return false;
        }
    }

    private android.content.ComponentName getVoiceInteractorComponentName() {
        if (this.mAssistUtils != null) {
            return this.mAssistUtils.getActiveServiceComponentName();
        }
        return null;
    }

    private void createSlideOutView() {
        if (com.android.server.gesture.GestureNavConst.DEBUG) {
            android.util.Log.d("GestureNav_QSO", "createSlideOutView");
        }
        this.mViewContainer = (com.android.server.gesture.SlideOutContainer) android.view.LayoutInflater.from(this.mContext).inflate(34013298, null);
        this.mViewContainer.setOnTouchListener(new com.android.server.gesture.QuickSlideOutController.TouchOutsideListener(1));
        this.mViewContainer.setVisibility(8);
        com.android.server.gesture.GestureUtils.addWindowView(this.mWindowManager, this.mViewContainer, getSlideOutLayoutParams());
        this.mWindowViewSetuped = true;
    }

    private void updateSlideOutView() {
        com.android.server.gesture.GestureUtils.updateViewLayout(this.mWindowManager, this.mViewContainer, getSlideOutLayoutParams());
    }

    private void destroySlideOutView() {
        if (com.android.server.gesture.GestureNavConst.DEBUG) {
            android.util.Log.d("GestureNav_QSO", "destroySlideOutView");
        }
        this.mWindowViewSetuped = false;
        com.android.server.gesture.GestureUtils.removeWindowView(this.mWindowManager, this.mViewContainer, true);
        this.mViewContainer = null;
    }

    private void hideSlideOutView() {
        try {
            if (this.mViewContainer != null) {
                this.mViewContainer.hide(true);
            }
        } catch (java.lang.Exception exp) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("hideSearchPanelView");
            stringBuilder.append(exp.getMessage());
            android.util.Log.e("GestureNav_QSO", stringBuilder.toString());
        }
    }

    private android.view.WindowManager.LayoutParams getSlideOutLayoutParams() {
        android.view.WindowManager.LayoutParams lp = new android.view.WindowManager.LayoutParams(2024, 8519936, -3);
        if (android.app.ActivityManager.isHighEndGfx()) {
            lp.flags |= 16777216;
        }
        lp.gravity = 8388691;
        lp.width = -1;
        lp.height = -1;
        lp.windowAnimations = 16974590;
        lp.softInputMode = 49;
        lp.setTitle("GestureSildeOut");
        return lp;
    }

    private void showOrb() {
        maybeSwapSearchIcon();
        this.mViewContainer.show(true);
    }

    private void notifyAnimStarted() {
        this.mViewContainer.startEnterAnimation();
    }

    private void maybeSwapSearchIcon() {
        if (com.android.server.gesture.GestureNavConst.USE_ANIM_LEGACY) {
            android.widget.ImageView logo = this.mViewContainer.getMaybeSwapLogo();
            if (logo != null) {
                if (!com.android.server.gesture.GestureNavConst.CHINA_REGION) {
                    logo.setImageResource(33751950);
                } else if (!this.mSlidingOnLeft) {
                    logo.setImageResource(33751949);
                } else if (hasAssist()) {
                    replaceDrawable(logo, getVAssistantComponentName(), "com.android.systemui.action_assist_icon");
                } else {
                    android.content.Intent intent = ((android.app.SearchManager) this.mContext.getSystemService("search")).getAssistIntent(false);
                    if (intent != null) {
                        replaceDrawable(logo, intent.getComponent(), "com.android.systemui.action_assist_icon");
                    } else {
                        logo.setImageDrawable(null);
                    }
                }
            }
        }
    }

    private void replaceDrawable(android.widget.ImageView imageView, android.content.ComponentName component, java.lang.String name) {
        replaceDrawable(imageView, component, name, false);
    }

    private void replaceDrawable(android.widget.ImageView imageView, android.content.ComponentName component, java.lang.String name, boolean isService) {
        java.lang.StringBuilder stringBuilder;
        if (component != null) {
            try {
                android.os.Bundle metaData;
                android.content.pm.PackageManager packageManager = this.mContext.getPackageManager();
                if (isService) {
                    metaData = packageManager.getServiceInfo(component, 128).metaData;
                } else {
                    metaData = packageManager.getActivityInfo(component, 128).metaData;
                }
                if (metaData != null) {
                    int iconResId = metaData.getInt(name);
                    if (iconResId != 0) {
                        android.content.res.Resources res;
                        if (isService) {
                            res = packageManager.getResourcesForApplication(component.getPackageName());
                        } else {
                            res = packageManager.getResourcesForActivity(component);
                        }
                        imageView.setImageDrawable(res.getDrawable(iconResId));
                    }
                }
            } catch (android.content.pm.PackageManager.NameNotFoundException e) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Failed to swap drawable; ");
                stringBuilder.append(component.flattenToShortString());
                stringBuilder.append(" not found");
                android.util.Log.w("GestureNav_QSO", stringBuilder.toString(), e);
            } catch (android.content.res.Resources.NotFoundException nfe) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Failed to swap drawable from ");
                stringBuilder.append(component.flattenToShortString());
                android.util.Log.w("GestureNav_QSO", stringBuilder.toString(), nfe);
            }
        }
    }

    private android.content.ComponentName getVAssistantComponentName() {
        if (sVAssistantComponentName != null) {
            return sVAssistantComponentName;
        }
        if (com.android.server.gesture.GestureNavConst.CHINA_REGION) {
            sVAssistantComponentName = new android.content.ComponentName("com.huawei.vassistant", "com.huawei.vassistant.ui.main.VAssistantActivity");
            android.content.pm.PackageManager packageManager = this.mContext.getPackageManager();
            if (packageManager == null) {
                android.util.Log.w("GestureNav_QSO", "packageManager is null");
                return sVAssistantComponentName;
            }
            java.util.List<android.content.pm.ResolveInfo> resolveInfos = packageManager.queryIntentActivities(new android.content.Intent("com.huawei.action.VOICE_ASSISTANT"), 65536);
            if (resolveInfos != null) {
                if (resolveInfos.size() != 0) {
                    android.content.pm.ComponentInfo info = ((android.content.pm.ResolveInfo) resolveInfos.get(0)).activityInfo;
                    if (info == null) {
                        android.util.Log.w("GestureNav_QSO", "activityInfo is null");
                        return sVAssistantComponentName;
                    }
                    sVAssistantComponentName = new android.content.ComponentName(info.packageName, info.name);
                }
            }
            android.util.Log.w("GestureNav_QSO", "resolveInfos is null");
            return sVAssistantComponentName;
        }
        sVAssistantComponentName = getAssistInfo();
        return sVAssistantComponentName;
    }

    private boolean startScanner() {
        if (this.mContext == null) {
            android.util.Log.i("GestureNav_QSO", "context error");
            return false;
        }
        android.content.Intent aiIntent = new android.content.Intent();
        aiIntent.setFlags(268435456);
        aiIntent.setFlags(65536);
        aiIntent.setClassName("com.huawei.scanner", "com.huawei.scanner.view.ScannerActivity");
        aiIntent.putExtra("invoke", "gesture_nav");
        try {
            android.util.Log.i("GestureNav_QSO", "start scanner");
            this.mContext.startActivityAsUser(aiIntent, android.os.UserHandle.CURRENT);
            return true;
        } catch (android.content.ActivityNotFoundException e) {
            return false;
        }
    }

    public void dump(java.lang.String prefix, java.io.PrintWriter pw, java.lang.String[] args) {
        pw.print(prefix);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isSidleOutEnabled=");
        stringBuilder.append(this.mSlideOutEnabled);
        pw.print(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(" inDriveMode=");
        stringBuilder.append(this.mInDriveMode);
        pw.print(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(" statusBarExplaned=");
        stringBuilder.append(this.mIsStatusBarExplaned);
        pw.print(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(" isSuperPowerSaveMode=");
        stringBuilder.append(isSuperPowerSaveMode());
        pw.print(stringBuilder.toString());
        pw.println();
    }
}
