package com.android.server.gesture;

public class QuickStartupStub {
    protected android.content.Context mContext;
    private final com.android.server.gesture.DeviceStateController.DeviceChangedListener mDeviceChangedCallback = new com.android.server.gesture.DeviceStateController.DeviceChangedListener() {
        public void onUserSwitched(int newUserId) {
            com.android.server.gesture.QuickStartupStub.this.updateSettings();
        }

        public void onConfigurationChanged() {
            com.android.server.gesture.QuickStartupStub.this.updateConfig();
        }
    };
    protected com.android.server.gesture.DeviceStateController mDeviceStateController;
    protected boolean mGestureFailed;
    protected boolean mGestureReallyStarted;
    protected boolean mGestureSlowProcessStarted;
    protected boolean mIsFastSlideGesture;
    protected boolean mIsValidGuesture = true;

    public QuickStartupStub(android.content.Context context) {
        this.mContext = context;
        this.mDeviceStateController = com.android.server.gesture.DeviceStateController.getInstance(context);
    }

    public void setGestureResultAtUp(boolean success) {
        boolean z = this.mIsValidGuesture && success;
        this.mIsValidGuesture = z;
    }

    public void onGestureStarted() {
    }

    public void onGestureReallyStarted() {
        this.mGestureReallyStarted = true;
    }

    public void onGestureSlowProcessStarted() {
        this.mGestureSlowProcessStarted = true;
    }

    public void onGestureSlowProcess(float distance, float offsetX, float offsetY) {
    }

    public void onGestureFailed() {
        this.mGestureFailed = true;
    }

    public void onGestureSuccessFinished(float distance, long durationTime, float velocity, boolean isFastSlideGesture, java.lang.Runnable runnable) {
        this.mIsFastSlideGesture = isFastSlideGesture;
    }

    public void onGestureEnd(int action) {
    }

    protected void resetAtDown() {
        this.mIsValidGuesture = true;
        this.mGestureReallyStarted = false;
        this.mGestureSlowProcessStarted = false;
        this.mGestureFailed = false;
        this.mIsFastSlideGesture = false;
    }

    public void handleTouchEvent(android.view.MotionEvent event) {
        int actionMasked = event.getActionMasked();
        if (actionMasked != 3) {
            switch (actionMasked) {
                case 0:
                    resetAtDown();
                    return;
                case 1:
                    break;
                default:
                    return;
            }
        }
        if (this.mIsValidGuesture) {
            quickStartup();
        }
    }

    public void onNavCreate(com.android.server.gesture.GestureNavView navView) {
        this.mDeviceStateController.addCallback(this.mDeviceChangedCallback);
    }

    public void onNavUpdate() {
    }

    public void onNavDestroy() {
        this.mDeviceStateController.removeCallback(this.mDeviceChangedCallback);
    }

    public boolean isPreConditionNotReady(boolean left) {
        return false;
    }

    public void quickStartup() {
    }

    public void updateSettings() {
    }

    public void updateConfig() {
    }
}
