package com.android.server.gesture.anim;

public class HwGestureSideLayout extends android.widget.RelativeLayout {
    public static final boolean CHINA_REGION = "CN".equalsIgnoreCase(android.os.SystemProperties.get("ro.product.locale.region", ""));
    public static final int HIVISION = 1;
    public static final int HIVOICE = 0;
    private static final int ICON_ALPHA_DURATION = 200;
    private static final float ICON_INIT_SCALE = 0.2f;
    private static final int ICON_MAX_TRANSLATE_DISTANCE_DP = 72;
    private static final int ICON_SCALE_DURATION = 250;
    private static final int ICON_SIDE_MARGIN_DP = 16;
    private static final int ICON_SIZE_DP = 60;
    private static final int ICON_TRANSLATION_DURATION = 250;
    private static final int INNER_MASK_DURATION = 300;
    private static final int INNER_MASK_INIT_X_DP = 316;
    private static final int INNER_MASK_INIT_Y_DP = 72;
    private static final float INNER_MASK_MAX_SCALE = 14.0f;
    private static final int INNER_MASK_TRANSLATE_X_DP = -136;
    private static final int INNER_MASK_TRANSLATE_Y_DP = -263;
    public static final int LEFT = 0;
    private static final int OUTER_MASK_ALPHA_DURATION1 = 350;
    private static final int OUTER_MASK_ALPHA_DURATION2 = 100;
    private static final int OUTER_MASK_SCALE_DURATION = 300;
    private static final int OUTER_MASK_START_DELAY_IN_QUICK_START = 450;
    private static final int OUTER_MASK_START_DELAY_IN_SLOW_START = 250;
    private static final float OUT_MASK_FINAL_SCALE = 25.0f;
    private static final float OUT_MASK_INIT_ALPHA = 0.3f;
    private static final float OUT_MASK_INIT_SCALE = 20.0f;
    private static final float RECT_MASK_ALPHA_WHEN_ICON_ANIMATION_END = 0.3f;
    private static final int RECT_MASK_ALPHA_WITH_CIRCLE_MASK_DURATION = 450;
    private static final int RECT_MASK_ALPHA_WITH_ICON_DURATION = 350;
    public static final int RIGHT = 1;
    private static final java.lang.String TAG = "HwGestureSideLayout";
    private android.animation.TimeInterpolator mAccelerationInterpolator;
    private float mIconAlphaAnimationEndDistance;
    private float mIconMaxTranslateDistance;
    private android.widget.ImageView mLeftIcon;
    private android.widget.ImageView mLeftInnerCircleMask;
    private android.widget.ImageView mRightIcon;
    private android.widget.ImageView mRightInnerCircleMask;
    private android.animation.TimeInterpolator mSharpInterpolator;
    private boolean mSlidingOnLeft;
    private android.animation.TimeInterpolator mStandardInterpolator;

    public HwGestureSideLayout(android.content.Context context) {
        this(context, null);
    }

    public HwGestureSideLayout(android.content.Context context, android.util.AttributeSet attrs) {
        this(context, attrs, 0);
    }

    public HwGestureSideLayout(android.content.Context context, android.util.AttributeSet attrs, int defStyleAttr) {
        this(context, attrs, defStyleAttr, 0);
    }

    public HwGestureSideLayout(android.content.Context context, android.util.AttributeSet attrs, int defStyleAttr, int defStyleRes) {
        android.content.Context context2 = context;
        super(context, attrs, defStyleAttr, defStyleRes);
        this.mSlidingOnLeft = true;
        float density = context.getResources().getDisplayMetrics().density;
        this.mIconMaxTranslateDistance = density * 72.0f;
        this.mIconAlphaAnimationEndDistance = (this.mIconMaxTranslateDistance * 200.0f) / 250.0f;
        this.mLeftIcon = new android.widget.ImageView(context2);
        if (CHINA_REGION) {
            this.mLeftIcon.setImageResource(33751950);
        } else {
            this.mLeftIcon.setImageResource(33751951);
        }
        this.mLeftIcon.setVisibility(4);
        android.widget.RelativeLayout.LayoutParams leftIconLayoutParams = new android.widget.RelativeLayout.LayoutParams((int) (density * 60.0f), (int) (density * 60.0f));
        leftIconLayoutParams.addRule(9, -1);
        leftIconLayoutParams.addRule(12, -1);
        leftIconLayoutParams.leftMargin = ((int) density) * 16;
        addView(this.mLeftIcon, leftIconLayoutParams);
        this.mRightIcon = new android.widget.ImageView(context2);
        if (CHINA_REGION) {
            this.mRightIcon.setImageResource(33751948);
        } else {
            this.mRightIcon.setImageResource(33751951);
        }
        this.mRightIcon.setVisibility(4);
        android.widget.RelativeLayout.LayoutParams rightIconLayoutParams = new android.widget.RelativeLayout.LayoutParams((int) (density * 60.0f), (int) (density * 60.0f));
        rightIconLayoutParams.addRule(11, -1);
        rightIconLayoutParams.addRule(12, -1);
        rightIconLayoutParams.rightMargin = ((int) density) * 16;
        addView(this.mRightIcon, rightIconLayoutParams);
        this.mRightInnerCircleMask = new android.widget.ImageView(context2);
        if (CHINA_REGION) {
            this.mRightInnerCircleMask.setImageResource(33751972);
        } else {
            this.mRightInnerCircleMask.setImageResource(33751973);
        }
        this.mRightInnerCircleMask.setVisibility(4);
        this.mRightInnerCircleMask.setAlpha(0.0f);
        android.widget.RelativeLayout.LayoutParams innerMaskLayoutParams = new android.widget.RelativeLayout.LayoutParams((int) (density * 60.0f), (int) (density * 60.0f));
        innerMaskLayoutParams.addRule(11, -1);
        innerMaskLayoutParams.addRule(12, -1);
        innerMaskLayoutParams.rightMargin = ((int) density) * 16;
        this.mRightInnerCircleMask.setTranslationY((-density) * 72.0f);
        addView(this.mRightInnerCircleMask, innerMaskLayoutParams);
        this.mLeftInnerCircleMask = new android.widget.ImageView(context2);
        if (CHINA_REGION) {
            this.mLeftInnerCircleMask.setImageResource(33751971);
        } else {
            this.mLeftInnerCircleMask.setImageResource(33751973);
        }
        this.mLeftInnerCircleMask.setVisibility(4);
        this.mLeftInnerCircleMask.setAlpha(0.0f);
        android.widget.RelativeLayout.LayoutParams leftInnerMaskLayoutParams = new android.widget.RelativeLayout.LayoutParams((int) (density * 60.0f), (int) (60.0f * density));
        leftInnerMaskLayoutParams.addRule(9, -1);
        leftInnerMaskLayoutParams.addRule(12, -1);
        leftInnerMaskLayoutParams.leftMargin = ((int) density) * 16;
        this.mLeftInnerCircleMask.setTranslationY((-density) * 72.0f);
        addView(this.mLeftInnerCircleMask, leftInnerMaskLayoutParams);
        this.mStandardInterpolator = android.view.animation.AnimationUtils.loadInterpolator(context2, 17563661);
        this.mAccelerationInterpolator = android.view.animation.AnimationUtils.loadInterpolator(context2, 17563663);
        this.mSharpInterpolator = android.view.animation.AnimationUtils.loadInterpolator(context2, 34078724);
    }

    public void applySlowStartAnimation(float progress, int animationType, int animationTarget) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("applySlowStartAnimation invoked,  progress: ");
        stringBuilder.append(progress);
        stringBuilder.append(" animationType: ");
        stringBuilder.append(animationType);
        stringBuilder.append(" animationTarget: ");
        stringBuilder.append(animationTarget);
        android.util.Log.d("HwGestureSideLayout", stringBuilder.toString());
        android.widget.ImageView icon = getTargetIcon(animationTarget);
        if (icon != null) {
            icon.setVisibility(0);
            switch (animationType) {
                case 0:
                    applySlowSwapAnimationHivoiceStyle(progress, animationTarget);
                    break;
                case 1:
                    applySlowSwapAnimationHivisionStyle(progress, animationTarget);
                    break;
                default:
                    break;
            }
        }
    }

    public void onSlowStartAnimationEnd(int animationType, int animationTarget, boolean startMaskAnimation, final java.lang.Runnable runnable) {
        final android.widget.ImageView icon = getTargetIcon(animationTarget);
        if (startMaskAnimation) {
            android.animation.AnimatorSet maskAnim = getMaskAnimationInSlowStart(animationTarget);
            maskAnim.addListener(new android.animation.AnimatorListenerAdapter() {
                public void onAnimationEnd(android.animation.Animator animation) {
                    super.onAnimationEnd(animation);
                    if (runnable != null) {
                        runnable.run();
                    }
                }

                public void onAnimationStart(android.animation.Animator animation) {
                    if (icon != null) {
                        icon.setVisibility(4);
                    }
                    super.onAnimationStart(animation);
                }
            });
            maskAnim.start();
            return;
        }
        icon.setVisibility(4);
        if (runnable != null) {
            runnable.run();
        }
    }

    public void applyQuickStartAnimation(int animationType, int animationTarget, java.lang.Runnable runnable) {
        android.util.Log.d("HwGestureSideLayout", "applyQuickStartAnimation begin");
        android.widget.ImageView icon = getTargetIcon(animationTarget);
        if (icon != null) {
            quickStartAnimationHivisonStyle(icon, animationTarget, runnable);
        }
    }

    private void quickStartAnimationHivoiceStyle(android.widget.ImageView icon, final java.lang.Runnable runnable) {
        android.animation.AnimatorSet iconAnim = getIconAnimatorSet(icon);
        android.animation.AnimatorSet quickStartAnim = new android.animation.AnimatorSet();
        quickStartAnim.addListener(new android.animation.AnimatorListenerAdapter() {
            public void onAnimationEnd(android.animation.Animator animation) {
                super.onAnimationEnd(animation);
                if (runnable != null) {
                    runnable.run();
                }
            }
        });
        quickStartAnim.play(iconAnim);
        quickStartAnim.start();
    }

    private void quickStartAnimationHivisonStyle(android.widget.ImageView icon, int animationTarget, final java.lang.Runnable runnable) {
        android.widget.ImageView innerCircleMask;
        if (animationTarget == 0) {
            innerCircleMask = this.mLeftInnerCircleMask;
        } else if (animationTarget == 1) {
            innerCircleMask = this.mRightInnerCircleMask;
        } else {
            android.util.Log.d("HwGestureSideLayout", "quickStartAnimationHivisonStyle wrong animationTarget");
            return;
        }
        android.animation.AnimatorSet iconAnim = getIconAnimatorSet(icon);
        getInnerCircleMaskAnimatorSet(innerCircleMask).setStartDelay(250);
        android.animation.AnimatorSet quickStartAnim = new android.animation.AnimatorSet();
        quickStartAnim.addListener(new android.animation.AnimatorListenerAdapter() {
            public void onAnimationEnd(android.animation.Animator animation) {
                super.onAnimationEnd(animation);
                if (runnable != null) {
                    runnable.run();
                }
            }
        });
        quickStartAnim.playTogether(new android.animation.Animator[]{iconAnim, innerMaskAnimator});
        quickStartAnim.start();
    }

    private android.animation.AnimatorSet getIconAnimatorSet(final android.widget.ImageView icon) {
        android.animation.ObjectAnimator iconTransitionAnim = android.animation.ObjectAnimator.ofFloat(icon, "translationY", new float[]{0.0f, -this.mIconMaxTranslateDistance});
        iconTransitionAnim.setInterpolator(this.mStandardInterpolator);
        iconTransitionAnim.setDuration(250);
        android.animation.ObjectAnimator iconScaleXAnim = android.animation.ObjectAnimator.ofFloat(icon, "ScaleX", new float[]{0.2f, 1.0f});
        iconScaleXAnim.setInterpolator(this.mStandardInterpolator);
        iconScaleXAnim.setDuration(250);
        android.animation.ObjectAnimator iconScaleYAnim = android.animation.ObjectAnimator.ofFloat(icon, "ScaleY", new float[]{0.2f, 1.0f});
        iconScaleYAnim.setInterpolator(this.mStandardInterpolator);
        iconScaleYAnim.setDuration(250);
        android.animation.ObjectAnimator iconAlphaAnim = android.animation.ObjectAnimator.ofFloat(icon, "Alpha", new float[]{0.0f, 1.0f});
        iconAlphaAnim.setInterpolator(this.mStandardInterpolator);
        iconAlphaAnim.setDuration(200);
        android.animation.AnimatorSet iconQuickSwapAnim = new android.animation.AnimatorSet();
        iconQuickSwapAnim.playTogether(new android.animation.Animator[]{iconTransitionAnim, iconScaleXAnim, iconScaleYAnim, iconAlphaAnim});
        iconQuickSwapAnim.addListener(new android.animation.AnimatorListenerAdapter() {
            public void onAnimationStart(android.animation.Animator animation) {
                super.onAnimationStart(animation);
                icon.setVisibility(0);
            }

            public void onAnimationEnd(android.animation.Animator animation) {
                super.onAnimationEnd(animation);
                icon.setVisibility(4);
            }
        });
        return iconQuickSwapAnim;
    }

    private void applySlowSwapAnimationHivoiceStyle(float progress, int animationTarget) {
        android.widget.ImageView icon = getTargetIcon(animationTarget);
        if (icon != null) {
            float dy = this.mIconMaxTranslateDistance * progress;
            float scale = 0.2f + (0.8f * progress);
            float alpha = dy / this.mIconAlphaAnimationEndDistance;
            if (java.lang.Float.isNaN(scale)) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("scale is Float.NaN. progress = ");
                stringBuilder.append(progress);
                android.util.Log.w("HwGestureSideLayout", stringBuilder.toString());
                return;
            }
            icon.setTranslationY(-dy);
            icon.setScaleX(scale);
            icon.setScaleY(scale);
            icon.setAlpha(alpha);
        }
    }

    private void applySlowSwapAnimationHivisionStyle(float progress, int animationTarget) {
        applySlowSwapAnimationHivoiceStyle(progress, animationTarget);
    }

    private android.widget.ImageView getTargetIcon(int animationTarget) {
        if (animationTarget == 0) {
            return this.mLeftIcon;
        }
        if (animationTarget == 1) {
            return this.mRightIcon;
        }
        return null;
    }

    private android.animation.AnimatorSet getMaskAnimationInSlowStart(int animationTarget) {
        android.widget.ImageView innerCircleMask;
        if (animationTarget == 0) {
            innerCircleMask = this.mLeftInnerCircleMask;
        } else if (animationTarget != 1) {
            return null;
        } else {
            innerCircleMask = this.mRightInnerCircleMask;
        }
        return getInnerCircleMaskAnimatorSet(innerCircleMask);
    }

    private android.animation.AnimatorSet getRectMaskAnimatorSet(int animationType, final android.widget.RelativeLayout reckMask) {
        android.animation.ObjectAnimator rectMaskAlphaAnimWithIcon = android.animation.ObjectAnimator.ofFloat(reckMask, "Alpha", new float[]{0.0f, 0.3f});
        rectMaskAlphaAnimWithIcon.setDuration(350);
        rectMaskAlphaAnimWithIcon.setInterpolator(this.mStandardInterpolator);
        android.animation.ObjectAnimator rectMaskAlphaAnimWithCircleMask = android.animation.ObjectAnimator.ofFloat(reckMask, "Alpha", new float[]{0.3f, 1.0f});
        rectMaskAlphaAnimWithCircleMask.setDuration(450);
        rectMaskAlphaAnimWithCircleMask.setInterpolator(this.mAccelerationInterpolator);
        rectMaskAlphaAnimWithCircleMask.setStartDelay(350);
        android.animation.AnimatorSet rectMaskAnimator = new android.animation.AnimatorSet();
        switch (animationType) {
            case 0:
                rectMaskAnimator.play(rectMaskAlphaAnimWithIcon);
                break;
            case 1:
                rectMaskAnimator.playTogether(new android.animation.Animator[]{rectMaskAlphaAnimWithIcon, rectMaskAlphaAnimWithCircleMask});
                break;
            default:
                break;
        }
        rectMaskAnimator.addListener(new android.animation.AnimatorListenerAdapter() {
            public void onAnimationStart(android.animation.Animator animation) {
                super.onAnimationStart(animation);
                reckMask.setVisibility(0);
            }

            public void onAnimationEnd(android.animation.Animator animation) {
                super.onAnimationEnd(animation);
                reckMask.setVisibility(4);
            }
        });
        return rectMaskAnimator;
    }

    private android.animation.AnimatorSet getOuterCircleMaskAnimatorSet(final android.widget.ImageView outerMask) {
        android.animation.ObjectAnimator outerMaskAlpha1 = android.animation.ObjectAnimator.ofFloat(outerMask, "Alpha", new float[]{0.3f, 1.0f});
        outerMaskAlpha1.setDuration(350);
        outerMaskAlpha1.setInterpolator(this.mStandardInterpolator);
        android.animation.ObjectAnimator outerMaskAlpha2 = android.animation.ObjectAnimator.ofFloat(outerMask, "Alpha", new float[]{1.0f, 0.0f});
        outerMaskAlpha2.setDuration(100);
        outerMaskAlpha2.setInterpolator(this.mStandardInterpolator);
        outerMaskAlpha2.setStartDelay(350);
        android.animation.ObjectAnimator outerMaskScaleX = android.animation.ObjectAnimator.ofFloat(outerMask, "ScaleX", new float[]{20.0f, 25.0f});
        outerMaskScaleX.setDuration(300);
        outerMaskScaleX.setInterpolator(this.mStandardInterpolator);
        android.animation.ObjectAnimator outerMaskScaleY = android.animation.ObjectAnimator.ofFloat(outerMask, "ScaleY", new float[]{20.0f, 25.0f});
        outerMaskScaleY.setDuration(300);
        outerMaskScaleY.setInterpolator(this.mStandardInterpolator);
        android.animation.AnimatorSet outerMaskAnimator = new android.animation.AnimatorSet();
        outerMaskAnimator.playTogether(new android.animation.Animator[]{outerMaskAlpha1, outerMaskAlpha2, outerMaskScaleX, outerMaskScaleY});
        outerMaskAnimator.addListener(new android.animation.AnimatorListenerAdapter() {
            public void onAnimationStart(android.animation.Animator animation) {
                super.onAnimationStart(animation);
                outerMask.setVisibility(0);
            }

            public void onAnimationEnd(android.animation.Animator animation) {
                super.onAnimationEnd(animation);
                outerMask.setVisibility(4);
            }
        });
        return outerMaskAnimator;
    }

    private android.animation.AnimatorSet getInnerCircleMaskAnimatorSet(android.widget.ImageView innerMask) {
        final android.widget.ImageView imageView = innerMask;
        float density = getContext().getResources().getDisplayMetrics().density;
        float transX = 0.0f;
        if (imageView == this.mLeftInnerCircleMask) {
            transX = (-density) * -136.0f;
        } else if (imageView == this.mRightInnerCircleMask) {
            transX = density * -136.0f;
        }
        android.animation.ObjectAnimator innerMaskAlpha = android.animation.ObjectAnimator.ofFloat(imageView, "Alpha", new float[]{1.0f, 0.0f});
        innerMaskAlpha.setInterpolator(this.mSharpInterpolator);
        innerMaskAlpha.setDuration(300);
        android.animation.ObjectAnimator innerMaskScaleX = android.animation.ObjectAnimator.ofFloat(imageView, "ScaleX", new float[]{1.0f, 14.0f});
        innerMaskScaleX.setInterpolator(this.mSharpInterpolator);
        innerMaskScaleX.setDuration(300);
        android.animation.ObjectAnimator innerMaskScaleY = android.animation.ObjectAnimator.ofFloat(imageView, "ScaleY", new float[]{1.0f, 14.0f});
        innerMaskScaleY.setInterpolator(this.mSharpInterpolator);
        innerMaskScaleY.setDuration(300);
        android.animation.ObjectAnimator innerMaskTransitionX = android.animation.ObjectAnimator.ofFloat(imageView, "translationX", new float[]{0.0f, transX});
        innerMaskTransitionX.setInterpolator(this.mSharpInterpolator);
        innerMaskTransitionX.setDuration(300);
        android.animation.ObjectAnimator innerMaskTransitionY = android.animation.ObjectAnimator.ofFloat(imageView, "translationY", new float[]{(-density) * 72.0f, -263.0f * density});
        innerMaskTransitionY.setInterpolator(this.mSharpInterpolator);
        innerMaskTransitionY.setDuration(300);
        android.animation.AnimatorSet innerMaskAnimator = new android.animation.AnimatorSet();
        innerMaskAnimator.playTogether(new android.animation.Animator[]{innerMaskAlpha, innerMaskScaleX, innerMaskScaleY, innerMaskTransitionX, innerMaskTransitionY});
        innerMaskAnimator.addListener(new android.animation.AnimatorListenerAdapter() {
            public void onAnimationStart(android.animation.Animator animation) {
                super.onAnimationStart(animation);
                imageView.setVisibility(0);
            }

            public void onAnimationEnd(android.animation.Animator animation) {
                super.onAnimationEnd(animation);
                imageView.setVisibility(4);
            }
        });
        return innerMaskAnimator;
    }

    public void setSlidingSide(boolean onLeft) {
        this.mSlidingOnLeft = onLeft;
    }

    public android.widget.ImageView getLogo() {
        return this.mSlidingOnLeft ? this.mLeftIcon : this.mRightIcon;
    }

    public void setSlidingProcess(float process) {
        applySlowStartAnimation(process, this.mSlidingOnLeft ^ 1, this.mSlidingOnLeft ^ 1);
    }

    public void startEnterAnimation() {
        applySlowStartAnimation(0.0f, this.mSlidingOnLeft ^ 1, this.mSlidingOnLeft ^ 1);
    }

    public void startExitAnimation(java.lang.Runnable runnable, boolean isFastSlide, boolean startMaskAnimation) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("startExitAnimation isFastSlide: ");
        stringBuilder.append(isFastSlide);
        android.util.Log.d("HwGestureSideLayout", stringBuilder.toString());
        int target = this.mSlidingOnLeft ^ 1;
        int type = this.mSlidingOnLeft ^ 1;
        if (isFastSlide) {
            applyQuickStartAnimation(type, target, runnable);
        } else {
            onSlowStartAnimationEnd(type, target, startMaskAnimation, runnable);
        }
    }
}
