package com.android.server.gesture.anim;

public class ScaleImageView extends android.widget.ImageView {
    public static final int ANIM_TYPE_RECOVER = 1;
    public static final int ANIM_TYPE_TRANSLATE = 0;
    private static final int ERROR_ID = -1;
    private static final float FOLLOW_TRANSLATE_RATIO = 0.1f;
    private static final int LANDSCAPE_FINAL_WIDTH = 316;
    private static final java.lang.String LEFT = "left";
    private static final float MAX_SCALE_DISTANCE = 500.0f;
    private static final float MAX_SCALE_RATIO = 0.7f;
    private static final int NAVIGATIONBAR_LAYER = 231000;
    private static final int PICTURE_ROUND = 2;
    private static final int PORTRAIT_FINAL_WIDTH = 328;
    private static final long RECOVER_ANIMATION_DURATION = 100;
    private static final java.lang.String RIGHT = "right";
    private static final float SCALE = 0.75f;
    private static final float SCALE_X_PIVOT = 0.5f;
    private static final float SCALE_Y_PIVOT = 0.625f;
    private static final int STATE_LEFT = 1;
    private static final int STATE_MIDDLE = 0;
    private static final int STATE_RIGHT = 2;
    private static final java.lang.String TAG = "GestureScale";
    private static final long TRANSLATE_ANIMATION_DURATION = 300;
    private static final int TYPE_LANDSCAPE = 1;
    private static final int TYPE_PORTRAIT = 0;
    private android.animation.TimeInterpolator[] mAlphaInterpolators;
    private android.app.ActivityManager mAm;
    private com.android.server.gesture.anim.ScaleImageView.TranslateAnimationListener mAnimationListener;
    private android.animation.TimeInterpolator mConstantInterpolator;
    private android.content.Context mContext;
    private boolean mFollowStart;
    private float mFollowStartX;
    private float mFollowStartY;
    private float mHeight;
    private int mScreenOrientation;
    private android.animation.TimeInterpolator[] mSizeBigInterpolators;
    private android.animation.TimeInterpolator[] mSizeSmallInterpolators;
    private float mWidth;

    public interface TranslateAnimationListener {
        void onAnimationEnd(int i);
    }

    public ScaleImageView(android.content.Context context) {
        super(context);
        this.mConstantInterpolator = new android.animation.TimeInterpolator() {
            public float getInterpolation(float input) {
                return 1.0f;
            }
        };
        this.mSizeSmallInterpolators = new android.animation.TimeInterpolator[]{new android.view.animation.PathInterpolator(0.41f, 0.38f, 0.7f, 0.71f), new android.view.animation.PathInterpolator(0.16f, 0.64f, 0.33f, 1.0f)};
        this.mSizeBigInterpolators = new android.animation.TimeInterpolator[]{new android.view.animation.PathInterpolator(0.44f, 0.43f, 0.7f, 0.75f), new android.view.animation.PathInterpolator(0.13f, 0.79f, 0.3f, 1.0f)};
        this.mAlphaInterpolators = new android.animation.TimeInterpolator[]{this.mConstantInterpolator, new android.view.animation.PathInterpolator(0.4f, 0.0f, 0.6f, 1.0f), this.mConstantInterpolator};
        init(context);
    }

    public ScaleImageView(android.content.Context context, android.util.AttributeSet attrs) {
        super(context, attrs);
        this.mConstantInterpolator = /* anonymous class already generated */;
        this.mSizeSmallInterpolators = new android.animation.TimeInterpolator[]{new android.view.animation.PathInterpolator(0.41f, 0.38f, 0.7f, 0.71f), new android.view.animation.PathInterpolator(0.16f, 0.64f, 0.33f, 1.0f)};
        this.mSizeBigInterpolators = new android.animation.TimeInterpolator[]{new android.view.animation.PathInterpolator(0.44f, 0.43f, 0.7f, 0.75f), new android.view.animation.PathInterpolator(0.13f, 0.79f, 0.3f, 1.0f)};
        this.mAlphaInterpolators = new android.animation.TimeInterpolator[]{this.mConstantInterpolator, new android.view.animation.PathInterpolator(0.4f, 0.0f, 0.6f, 1.0f), this.mConstantInterpolator};
        init(context);
    }

    public ScaleImageView(android.content.Context context, android.util.AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        this.mConstantInterpolator = /* anonymous class already generated */;
        this.mSizeSmallInterpolators = new android.animation.TimeInterpolator[]{new android.view.animation.PathInterpolator(0.41f, 0.38f, 0.7f, 0.71f), new android.view.animation.PathInterpolator(0.16f, 0.64f, 0.33f, 1.0f)};
        this.mSizeBigInterpolators = new android.animation.TimeInterpolator[]{new android.view.animation.PathInterpolator(0.44f, 0.43f, 0.7f, 0.75f), new android.view.animation.PathInterpolator(0.13f, 0.79f, 0.3f, 1.0f)};
        this.mAlphaInterpolators = new android.animation.TimeInterpolator[]{this.mConstantInterpolator, new android.view.animation.PathInterpolator(0.4f, 0.0f, 0.6f, 1.0f), this.mConstantInterpolator};
        init(context);
    }

    private void init(android.content.Context context) {
        android.util.Log.d("GestureScale", "init");
        this.mFollowStart = false;
        this.mContext = context;
        this.mAm = (android.app.ActivityManager) context.getSystemService(android.app.ActivityManager.class);
        initWms();
    }

    private void initWms() {
    }

    protected void onSizeChanged(int w, int h, int oldW, int oldH) {
        this.mWidth = (float) w;
        this.mHeight = (float) h;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("view width is ");
        stringBuilder.append(this.mWidth);
        stringBuilder.append(", height is ");
        stringBuilder.append(this.mHeight);
        android.util.Log.d("GestureScale", stringBuilder.toString());
        float pivotX = this.mWidth * 0.5f;
        float pivotY = this.mHeight * 0.625f;
        setPivotX(pivotX);
        setPivotY(pivotY);
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("view pivotX is ");
        stringBuilder2.append(pivotX);
        stringBuilder2.append(", pivotY is ");
        stringBuilder2.append(pivotY);
        android.util.Log.d("GestureScale", stringBuilder2.toString());
    }

    private static int dp2px(android.content.Context context, int dp) {
        if (context != null) {
            if (dp > 0) {
                return (int) android.util.TypedValue.applyDimension(1, (float) dp, context.getResources().getDisplayMetrics());
            }
        }
        android.util.Log.e("GestureScale", "dp2px parameters error.");
        return 0;
    }

    protected void onConfigurationChanged(android.content.res.Configuration newConfig) {
        if (newConfig.orientation == 1) {
            this.mScreenOrientation = 0;
        } else {
            this.mScreenOrientation = 1;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mScreenOrientation ");
        stringBuilder.append(this.mScreenOrientation);
        android.util.Log.d("GestureScale", stringBuilder.toString());
    }

    public void setFollowPosition(float x, float y) {
        if (this.mFollowStart) {
            doScale(this.mFollowStartY < y ? 0.0f : this.mFollowStartY - y);
            doTranslate(x - this.mFollowStartX, this.mFollowStartY - y, 0.1f);
            return;
        }
        this.mFollowStartX = x;
        this.mFollowStartY = y;
        this.mFollowStart = true;
    }

    private void doScale(float y) {
        float scale;
        if (y >= 500.0f) {
            scale = 0.7f;
        } else {
            scale = 1.0f - (0.3f * (y / 500.0f));
        }
        setScaleX(scale);
        setScaleY(scale);
    }

    private void doTranslate(float x, float y, float transRatio) {
        float moveX = x * transRatio;
        float moveY = 0.0f;
        if (y > 500.0f) {
            moveY = 0.0f - ((y - 500.0f) * transRatio);
        } else if (y < 0.0f) {
            moveY = 0.0f + ((-y) * transRatio);
        }
        setX(moveX);
        setY(moveY);
    }

    public void refreshContent() {
        android.util.Log.d("GestureScale", "refreshContent");
        long oldT = java.lang.System.currentTimeMillis();
        setBackgroundColor(-7829368);
        refreshBySurfaceControl();
        setVisibility(0);
        long newT = java.lang.System.currentTimeMillis();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("refresh content cost time ");
        stringBuilder.append(newT - oldT);
        android.util.Log.d("GestureScale", stringBuilder.toString());
    }

    private static android.graphics.Bitmap addRoundOnBitmap(android.graphics.Bitmap source, float round) {
        android.graphics.Bitmap bitmap = android.graphics.Bitmap.createBitmap(source.getWidth(), source.getHeight(), android.graphics.Bitmap.Config.ARGB_4444);
        android.graphics.Canvas canvas = new android.graphics.Canvas(bitmap);
        android.graphics.Paint paint = new android.graphics.Paint();
        paint.setAntiAlias(true);
        android.graphics.Rect rect = new android.graphics.Rect(0, 0, source.getWidth(), source.getHeight());
        android.graphics.RectF rectf = new android.graphics.RectF(rect);
        canvas.drawARGB(0, 0, 0, 0);
        canvas.drawRoundRect(rectf, round, round, paint);
        paint.setXfermode(new android.graphics.PorterDuffXfermode(android.graphics.PorterDuff.Mode.SRC_IN));
        canvas.drawBitmap(source, rect, rect, paint);
        return bitmap;
    }

    private void refreshContentByActivityManager() {
        android.util.Log.d("GestureScale", "refreshContentByActivityManager");
        int topTaskId = getTopTaskId();
        if (topTaskId == -1) {
            android.util.Log.e("GestureScale", "error top task id");
            return;
        }
        android.graphics.Bitmap snapshot = getTaskSnapshot(topTaskId);
        if (snapshot == null) {
            android.util.Log.w("GestureScale", "task snapshot is null, try to get task thumbnail");
            snapshot = getTaskThumbnail(topTaskId);
        }
        if (snapshot != null) {
            android.util.Log.d("GestureScale", "set snapshot bitmap into ImageView");
            setScaleType(android.widget.ImageView.ScaleType.FIT_CENTER);
            setImageBitmap(addRoundOnBitmap(snapshot, (float) dp2px(this.mContext, 2)));
        } else {
            android.util.Log.d("GestureScale", "no snapshot, use color.");
            setBackgroundColor(-7829368);
        }
    }

    private int getTopTaskId() {
        java.util.List<android.app.ActivityManager.RunningTaskInfo> tasks = this.mAm.getRunningTasks(1);
        if (tasks == null || tasks.isEmpty()) {
            android.util.Log.d("GestureScale", "tasks count is 0");
            return -1;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("tasks count is ");
        stringBuilder.append(tasks.size());
        android.util.Log.d("GestureScale", stringBuilder.toString());
        return ((android.app.ActivityManager.RunningTaskInfo) tasks.get(0)).id;
    }

    private android.graphics.Bitmap getTaskSnapshot(int topTaskId) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getTaskSnapshot with top task id ");
        stringBuilder.append(topTaskId);
        android.util.Log.d("GestureScale", stringBuilder.toString());
        try {
            android.app.ActivityManager.TaskSnapshot taskSnapshot = android.app.ActivityManager.getService().getTaskSnapshot(topTaskId, false);
            if (taskSnapshot == null) {
                android.util.Log.e("GestureScale", "error, taskSnapshot is null");
                return null;
            }
            android.graphics.Bitmap snapshot = android.graphics.Bitmap.createHardwareBitmap(taskSnapshot.getSnapshot());
            if (snapshot == null) {
                android.util.Log.e("GestureScale", "error, snapshot is null");
            }
            return snapshot;
        } catch (android.os.RemoteException e) {
            android.util.Log.e("GestureScale", "RemoteException");
            return null;
        }
    }

    private android.graphics.Bitmap getTaskThumbnail(int topTaskId) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getTaskThumbnail with top task id ");
        stringBuilder.append(topTaskId);
        android.util.Log.d("GestureScale", stringBuilder.toString());
        return null;
    }

    private void refreshBySurfaceControl() {
        android.util.Log.d("GestureScale", "refreshBySurfaceControl");
        setScaleType(android.widget.ImageView.ScaleType.MATRIX);
        android.graphics.Matrix matrix = new android.graphics.Matrix();
        matrix.setTranslate(0.0f, (float) getStatusBarHeight(this.mContext));
        setImageMatrix(matrix);
        android.graphics.Bitmap bitmap = screenShotBitmap(this.mContext, 0, Integer.MAX_VALUE);
        if (bitmap == null) {
            setBackgroundColor(-7829368);
            return;
        }
        setScaleType(android.widget.ImageView.ScaleType.FIT_CENTER);
        setImageBitmap(addRoundOnBitmap(bitmap, (float) dp2px(this.mContext, 2)));
    }

    public static android.graphics.Bitmap screenShotBitmap(android.content.Context ctx, int minLayer, int maxLayer) {
        return screenShotBitmap(ctx, 1.0f);
    }

    /* JADX WARNING: Removed duplicated region for block: B:14:0x0144  */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x013a  */
    public static android.graphics.Bitmap screenShotBitmap(android.content.Context r21, float r22) {
        /*
        r0 = new android.util.DisplayMetrics;
        r0.<init>();
        r1 = new android.util.DisplayMetrics;
        r1.<init>();
        r2 = "window";
        r3 = r21;
        r2 = r3.getSystemService(r2);
        r2 = (android.view.WindowManager) r2;
        r2 = r2.getDefaultDisplay();
        r2.getMetrics(r1);
        r2.getRealMetrics(r0);
        r4 = "GestureScale";
        r5 = new java.lang.StringBuilder;
        r5.<init>();
        r6 = "Display getMetrics w:";
        r5.append(r6);
        r6 = r1.widthPixels;
        r5.append(r6);
        r6 = ", h:";
        r5.append(r6);
        r6 = r1.heightPixels;
        r5.append(r6);
        r5 = r5.toString();
        android.util.Log.d(r4, r5);
        r4 = "GestureScale";
        r5 = new java.lang.StringBuilder;
        r5.<init>();
        r6 = "Display getRealMetrics w:";
        r5.append(r6);
        r6 = r0.widthPixels;
        r5.append(r6);
        r6 = ", h:";
        r5.append(r6);
        r6 = r0.heightPixels;
        r5.append(r6);
        r5 = r5.toString();
        android.util.Log.d(r4, r5);
        r4 = 2;
        r5 = new int[r4];
        r6 = r0.widthPixels;
        r6 = (float) r6;
        r6 = r6 * r22;
        r6 = (int) r6;
        r6 = r6 / r4;
        r6 = r6 * r4;
        r7 = 0;
        r5[r7] = r6;
        r6 = r0.heightPixels;
        r6 = (float) r6;
        r6 = r6 * r22;
        r6 = (int) r6;
        r6 = r6 / r4;
        r6 = r6 * r4;
        r8 = 1;
        r5[r8] = r6;
        r6 = new int[r4];
        r9 = r1.widthPixels;
        r9 = (float) r9;
        r9 = r9 * r22;
        r9 = (int) r9;
        r9 = r9 / r4;
        r9 = r9 * r4;
        r6[r7] = r9;
        r9 = r1.heightPixels;
        r9 = (float) r9;
        r9 = r9 * r22;
        r9 = (int) r9;
        r9 = r9 / r4;
        r9 = r9 * r4;
        r6[r8] = r9;
        r9 = "GestureScale";
        r10 = new java.lang.StringBuilder;
        r10.<init>();
        r11 = "mFingerViewParams, dims[0] =";
        r10.append(r11);
        r11 = r5[r7];
        r10.append(r11);
        r11 = ", dims[1] =";
        r10.append(r11);
        r11 = r5[r8];
        r10.append(r11);
        r10 = r10.toString();
        android.util.Log.d(r9, r10);
        r9 = "GestureScale";
        r10 = new java.lang.StringBuilder;
        r10.<init>();
        r11 = "mFingerViewParams, dimsBody[0] =";
        r10.append(r11);
        r11 = r6[r7];
        r10.append(r11);
        r11 = ", dimsBody[1] =";
        r10.append(r11);
        r11 = r6[r8];
        r10.append(r11);
        r10 = r10.toString();
        android.util.Log.d(r9, r10);
        r9 = isLazyMode(r21);
        if (r9 == 0) goto L_0x00e1;
    L_0x00dc:
        r9 = getScreenshotRect(r21);
        goto L_0x00e6;
    L_0x00e1:
        r9 = new android.graphics.Rect;
        r9.<init>();
    L_0x00e6:
        r10 = getStatusBarHeight(r21);
        r11 = new android.graphics.Rect;
        r12 = r6[r7];
        r13 = r6[r8];
        r11.<init>(r7, r10, r12, r13);
        r9 = r11;
        r11 = r2.getRotation();
        if (r11 == 0) goto L_0x0105;
    L_0x00fa:
        if (r4 != r11) goto L_0x00fd;
    L_0x00fc:
        goto L_0x0105;
    L_0x00fd:
        r4 = 231000; // 0x38658 float:3.237E-40 double:1.14129E-318;
        r4 = rotationScreenBitmap(r9, r11, r6, r7, r4);
        goto L_0x012f;
    L_0x0105:
        r4 = "GestureScale";
        r12 = new java.lang.StringBuilder;
        r12.<init>();
        r13 = "SurfaceControl.screenshot_ext_hw with rotation ";
        r12.append(r13);
        r12.append(r11);
        r12 = r12.toString();
        android.util.Log.d(r4, r12);
        r15 = r6[r7];
        r16 = r6[r8];
        r17 = 0;
        r18 = 231000; // 0x38658 float:3.237E-40 double:1.14129E-318;
        r19 = 0;
        r20 = converseRotation(r11);
        r14 = r9;
        r4 = android.view.SurfaceControl.screenshot_ext_hw(r14, r15, r16, r17, r18, r19, r20);
        r12 = r6[r7];
        r8 = r6[r8];
        r4 = android.graphics.Bitmap.createBitmap(r4, r7, r7, r12, r8);
        if (r4 != 0) goto L_0x0144;
    L_0x013a:
        r7 = "GestureScale";
        r8 = "screenShotBitmap error bitmap is null";
        android.util.Log.e(r7, r8);
        r7 = 0;
        return r7;
    L_0x0144:
        r4.prepareToDraw();
        return r4;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.gesture.anim.ScaleImageView.screenShotBitmap(android.content.Context, float):android.graphics.Bitmap");
    }

    private static int getStatusBarHeight(android.content.Context context) {
        int resourceId = context.getResources().getIdentifier("status_bar_height", "dimen", "android");
        if (resourceId > 0) {
            return context.getResources().getDimensionPixelSize(resourceId);
        }
        return 0;
    }

    private static int converseRotation(int rotation) {
        switch (rotation) {
            case 1:
                return 3;
            case 2:
                return 2;
            case 3:
                return 1;
            default:
                return 0;
        }
    }

    private static float convertRotationToDegrees(int rotation) {
        switch (rotation) {
            case 1:
                return 270.0f;
            case 2:
                return 180.0f;
            case 3:
                return 90.0f;
            default:
                return 0.0f;
        }
    }

    private static android.graphics.Bitmap rotationScreenBitmap(android.graphics.Rect rect, int rotation, int[] srcDims, int minLayer, int maxLayer) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("rotationScreenBitmap with rotation ");
        stringBuilder.append(rotation);
        stringBuilder.append(", srcDims ");
        stringBuilder.append(java.util.Arrays.toString(srcDims));
        stringBuilder.append(", layer ");
        int i = minLayer;
        stringBuilder.append(i);
        stringBuilder.append(",");
        int i2 = maxLayer;
        stringBuilder.append(i2);
        android.util.Log.d("GestureScale", stringBuilder.toString());
        float degrees = convertRotationToDegrees(rotation);
        float[] dims = new float[]{(float) srcDims[0], (float) srcDims[1]};
        android.graphics.Matrix metrics = new android.graphics.Matrix();
        metrics.reset();
        metrics.preRotate(-degrees);
        metrics.mapPoints(dims);
        dims[0] = java.lang.Math.abs(dims[0]);
        dims[1] = java.lang.Math.abs(dims[1]);
        android.graphics.Bitmap bitmap = android.view.SurfaceControl.screenshot(rect, (int) dims[0], (int) dims[1], i, i2, false, 0);
        android.graphics.Bitmap ss = android.graphics.Bitmap.createBitmap(srcDims[0], srcDims[1], android.graphics.Bitmap.Config.ARGB_8888);
        android.graphics.Canvas c = new android.graphics.Canvas(ss);
        c.translate(((float) srcDims[0]) * 0.5f, ((float) srcDims[1]) * 0.5f);
        c.rotate(degrees);
        c.translate((-dims[0]) * 0.5f, (-dims[1]) * 0.5f);
        c.drawBitmap(bitmap, 0.0f, 0.0f, null);
        bitmap.recycle();
        return ss;
    }

    private static int getLazyState(android.content.Context context) {
        java.lang.String str = android.provider.Settings.Global.getString(context.getContentResolver(), "single_hand_mode");
        if (str != null) {
            if (!"".equals(str)) {
                if (str.contains("left")) {
                    return 1;
                }
                if (str.contains("right")) {
                    return 2;
                }
                return 0;
            }
        }
        return 0;
    }

    private static boolean isLazyMode(android.content.Context context) {
        return getLazyState(context) != 0;
    }

    private static android.graphics.Rect getScreenshotRect(android.content.Context context) {
        android.view.WindowManager windowManager = (android.view.WindowManager) context.getSystemService("window");
        if (windowManager == null) {
            return new android.graphics.Rect();
        }
        android.view.Display display = windowManager.getDefaultDisplay();
        android.util.DisplayMetrics displayMetrics = new android.util.DisplayMetrics();
        display.getRealMetrics(displayMetrics);
        android.graphics.Rect sourceCrop = null;
        int state = getLazyState(context);
        if (1 == state) {
            sourceCrop = new android.graphics.Rect(0, (int) (((float) displayMetrics.heightPixels) * 0.25f), (int) (((float) displayMetrics.widthPixels) * 0.75f), displayMetrics.heightPixels);
        } else if (2 == state) {
            sourceCrop = new android.graphics.Rect((int) (((float) displayMetrics.widthPixels) * 0.25f), (int) (((float) displayMetrics.heightPixels) * 0.25f), displayMetrics.widthPixels, displayMetrics.heightPixels);
        }
        return sourceCrop;
    }

    /* JADX WARNING: Incorrect type for fill-array insn 0x0076, element type: float, insn element type: null */
    public void playTranslateAnimation(int r20) {
        /*
        r19 = this;
        r0 = r19;
        r1 = 0;
        r0.mFollowStart = r1;
        r2 = r19.getX();
        r3 = r19.getY();
        r4 = r19.getScaleX();
        r5 = r19.getScaleY();
        r6 = r0.mScreenOrientation;
        if (r6 != 0) goto L_0x0022;
    L_0x0019:
        r6 = r0.mContext;
        r7 = 328; // 0x148 float:4.6E-43 double:1.62E-321;
        r6 = dp2px(r6, r7);
        goto L_0x002a;
    L_0x0022:
        r6 = r0.mContext;
        r7 = 316; // 0x13c float:4.43E-43 double:1.56E-321;
        r6 = dp2px(r6, r7);
    L_0x002a:
        r7 = (float) r6;
        r8 = r0.mWidth;
        r7 = r7 / r8;
        r8 = r20;
        r9 = (float) r8;
        r10 = r0.mHeight;
        r11 = r0.mHeight;
        r11 = r11 * r7;
        r10 = r10 - r11;
        r11 = 1073741824; // 0x40000000 float:2.0 double:5.304989477E-315;
        r10 = r10 / r11;
        r9 = r9 - r10;
        r10 = "x";
        r11 = 2;
        r12 = new float[r11];
        r12[r1] = r2;
        r13 = 0;
        r14 = 1;
        r12[r14] = r13;
        r10 = android.animation.PropertyValuesHolder.ofFloat(r10, r12);
        r12 = "y";
        r13 = new float[r11];
        r13[r1] = r3;
        r13[r14] = r9;
        r12 = android.animation.PropertyValuesHolder.ofFloat(r12, r13);
        r13 = "scaleX";
        r15 = new float[r11];
        r15[r1] = r4;
        r15[r14] = r7;
        r13 = android.animation.PropertyValuesHolder.ofFloat(r13, r15);
        r15 = "scaleY";
        r16 = r2;
        r2 = new float[r11];
        r2[r1] = r5;
        r2[r14] = r7;
        r2 = android.animation.PropertyValuesHolder.ofFloat(r15, r2);
        r15 = "alpha";
        r14 = new float[r11];
        r14 = {1065353216, 0};
        r14 = android.animation.PropertyValuesHolder.ofFloat(r15, r14);
        r15 = 5;
        r15 = new android.animation.PropertyValuesHolder[r15];
        r15[r1] = r10;
        r1 = 1;
        r15[r1] = r12;
        r15[r11] = r13;
        r1 = 3;
        r15[r1] = r2;
        r1 = 4;
        r15[r1] = r14;
        r1 = android.animation.ObjectAnimator.ofPropertyValuesHolder(r0, r15);
        r11 = r0.mContext;
        r15 = 17563661; // 0x10c000d float:2.5713975E-38 double:8.6776015E-317;
        r11 = android.view.animation.AnimationUtils.loadInterpolator(r11, r15);
        r1.setInterpolator(r11);
        r18 = r2;
        r17 = r3;
        r2 = 300; // 0x12c float:4.2E-43 double:1.48E-321;
        r1.setDuration(r2);
        r2 = new com.android.server.gesture.anim.ScaleImageView$2;
        r2.<init>();
        r1.addListener(r2);
        r1.start();
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.gesture.anim.ScaleImageView.playTranslateAnimation(int):void");
    }

    public void playRecoverAnimation() {
        this.mFollowStart = false;
        float oldX = getX();
        float oldY = getY();
        float oldScaleX = getScaleX();
        float oldScaleY = getScaleY();
        android.animation.PropertyValuesHolder xp = android.animation.PropertyValuesHolder.ofFloat("x", new float[]{oldX, 0.0f});
        android.animation.PropertyValuesHolder yp = android.animation.PropertyValuesHolder.ofFloat("y", new float[]{oldY, 0.0f});
        android.animation.PropertyValuesHolder scaleXp = android.animation.PropertyValuesHolder.ofFloat("scaleX", new float[]{oldScaleX, 1.0f});
        android.animation.PropertyValuesHolder scaleYp = android.animation.PropertyValuesHolder.ofFloat("scaleY", new float[]{oldScaleY, 1.0f});
        android.animation.ObjectAnimator recover = android.animation.ObjectAnimator.ofPropertyValuesHolder(this, new android.animation.PropertyValuesHolder[]{xp, yp, scaleXp, scaleYp});
        recover.setInterpolator(android.view.animation.AnimationUtils.loadInterpolator(this.mContext, 17563661));
        recover.setDuration(100);
        recover.addListener(new android.animation.AnimatorListenerAdapter() {
            public void onAnimationEnd(android.animation.Animator animation) {
                android.util.Log.d("GestureScale", "onAnimationEnd recover");
                com.android.server.gesture.anim.ScaleImageView.this.setVisibility(8);
                if (com.android.server.gesture.anim.ScaleImageView.this.mAnimationListener != null) {
                    com.android.server.gesture.anim.ScaleImageView.this.mAnimationListener.onAnimationEnd(1);
                }
            }
        });
        recover.start();
    }

    public void playGestureToLauncherIconAnimation(boolean isIconView) {
    }

    private float[] calculateScalePivot(float px, float py, float fromWidth, float fromHeight, float toWidth, float toHeight, int[] fromLocInWindow) {
        float scaleX = toWidth / fromWidth;
        float scaleY = toHeight / fromHeight;
        float pivotX = ((px - (toWidth / 2.0f)) - (((float) fromLocInWindow[0]) * scaleX)) / (1.0f - scaleX);
        float pivotY = ((py - (toHeight / 2.0f)) - (((float) fromLocInWindow[1]) * scaleY)) / (1.0f - scaleY);
        return new float[]{pivotX, pivotY};
    }

    private android.view.animation.Animation createGestureToLauncherIconAnimation(float targetPx, float targetPy, int iconWidth, int iconHeight, float fromAlpha, float toAlpha) {
        android.animation.TimeInterpolator[] sizeXInterpolators;
        android.animation.TimeInterpolator[] sizeYInterpolators;
        android.view.animation.AnimationSet contentAnimSet = new android.view.animation.AnimationSet(false);
        long duration = android.os.SystemProperties.getLong("to_launcher_dur", 350);
        android.view.animation.AlphaAnimation contentAlphaAnim = new android.view.animation.AlphaAnimation(0.0f, 1.0f);
        contentAlphaAnim.setDuration(duration);
        float[] alphaInValues = new float[]{0.0f, 0.16f, 0.32f, 1.0f};
        float[] contentAlphaOutValues = new float[]{fromAlpha, fromAlpha, toAlpha, toAlpha};
        com.android.server.wm.PhaseInterpolator contentAlphaInterpolator = new com.android.server.wm.PhaseInterpolator(alphaInValues, contentAlphaOutValues, this.mAlphaInterpolators);
        contentAlphaAnim.setInterpolator(contentAlphaInterpolator);
        android.view.WindowManager wm = (android.view.WindowManager) this.mContext.getSystemService("window");
        int windowWidth = wm.getDefaultDisplay().getWidth();
        int windowHeight = wm.getDefaultDisplay().getHeight();
        int viewHeight = (int) (((float) getMeasuredHeight()) * getScaleY());
        int viewWidth = (int) (((float) getMeasuredWidth()) * getScaleX());
        java.lang.Object viewLocInWindow = new int[2];
        getLocationInWindow(viewLocInWindow);
        int windowWidth2 = windowWidth;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("[viewWidth, viewHeight, viewLocX, viewLocY] = [");
        stringBuilder.append(viewWidth);
        stringBuilder.append(", ");
        stringBuilder.append(viewHeight);
        stringBuilder.append(", ");
        stringBuilder.append(viewLocInWindow[0]);
        stringBuilder.append(", ");
        stringBuilder.append(viewLocInWindow[1]);
        stringBuilder.append("]");
        android.util.Log.d("GestureScale", stringBuilder.toString());
        float fromWidth = (float) viewWidth;
        float fromHeight = (float) viewHeight;
        float toWidth = (float) iconWidth;
        android.view.animation.AnimationSet contentAnimSet2 = contentAnimSet;
        float toHeight = (float) iconHeight;
        float scaleToX = toWidth / fromWidth;
        float scaleToY = toHeight / fromHeight;
        boolean isHorizontal = viewWidth > viewHeight;
        float middleYRatio = 0.44f;
        float middleXRatio = isHorizontal ? 0.54f : 0.44f;
        if (!isHorizontal) {
            middleYRatio = 0.54f;
        }
        float middleX = 1.0f - (((fromWidth - toWidth) * middleXRatio) / fromWidth);
        float middleY = 1.0f - (((fromHeight - toHeight) * middleYRatio) / fromHeight);
        int windowWidth3 = windowWidth2;
        int windowHeight2 = windowHeight;
        int viewHeight2 = viewHeight;
        float[] pivot = calculateScalePivot(targetPx, targetPy, fromWidth, fromHeight, toWidth, toHeight, viewLocInWindow);
        float pivotX = pivot[0];
        fromHeight = pivot[1];
        contentAlphaOutValues = new float[]{0.0f, 0.16f, 1.0f};
        float[] scaleOutValuesX = new float[]{1.0f, middleX, scaleToX};
        float[] scaleOutValuesY = new float[]{1.0f, middleY, scaleToY};
        if (isHorizontal) {
            sizeXInterpolators = this.mSizeBigInterpolators;
        } else {
            sizeXInterpolators = this.mSizeSmallInterpolators;
        }
        if (isHorizontal) {
            sizeYInterpolators = this.mSizeSmallInterpolators;
        } else {
            sizeYInterpolators = this.mSizeBigInterpolators;
        }
        com.android.server.wm.PhaseInterpolator interpolatorX = new com.android.server.wm.PhaseInterpolator(contentAlphaOutValues, scaleOutValuesX, sizeXInterpolators);
        com.android.server.wm.PhaseInterpolator interpolatorY = new com.android.server.wm.PhaseInterpolator(contentAlphaOutValues, scaleOutValuesY, sizeYInterpolators);
        float f = pivotX;
        float f2 = fromHeight;
        android.view.animation.ScaleAnimation contentScaleAnimX = new android.view.animation.ScaleAnimation(0.0f, 1.0f, 1.0f, 1.0f, f, f2);
        contentScaleAnimX.setDuration(duration);
        contentScaleAnimX.setInterpolator(interpolatorX);
        android.view.animation.ScaleAnimation contentScaleAnimY = new android.view.animation.ScaleAnimation(1.0f, 1.0f, 0.0f, 1.0f, f, f2);
        contentScaleAnimY.setDuration(duration);
        contentScaleAnimY.setInterpolator(interpolatorY);
        android.view.animation.AnimationSet contentAnimSet3 = contentAnimSet2;
        contentAnimSet3.addAnimation(contentAlphaAnim);
        contentAnimSet3.addAnimation(contentScaleAnimX);
        contentAnimSet3.addAnimation(contentScaleAnimY);
        viewHeight = windowWidth3;
        contentAnimSet3.initialize(viewWidth, viewHeight2, viewHeight, windowHeight2);
        contentAnimSet3.setAnimationListener(new android.view.animation.Animation.AnimationListener() {
            public void onAnimationStart(android.view.animation.Animation animation) {
            }

            public void onAnimationEnd(android.view.animation.Animation animation) {
                com.android.server.gesture.anim.ScaleImageView.this.setVisibility(8);
            }

            public void onAnimationRepeat(android.view.animation.Animation animation) {
            }
        });
        return contentAnimSet3;
    }

    public void setAnimationListener(com.android.server.gesture.anim.ScaleImageView.TranslateAnimationListener listener) {
        this.mAnimationListener = listener;
    }
}
