package com.android.server.hidata;

public class HwHidataJniAdapter {
    private static final java.lang.String TAG = "HiData_JniAdapter";
    private static com.android.server.hidata.HwHidataJniAdapter mHwHidataJniAdapter = null;
    private com.android.server.hidata.histream.IHwHiStreamJniCallback mHiStreamJniCallback = null;

    private native int nativeBindUidProcessToNetwork(int i, int i2);

    private native int nativeCloseProcessSockets(int i, int i2);

    private native java.lang.String nativeGetWmpCoreTrainData(java.lang.String[] strArr, java.lang.String[] strArr2);

    private native com.android.server.hidata.HwQoEUdpNetWorkInfo nativeReadUdpNetworkStatsDetail(int i, int i2);

    private native int nativeResetProcessSockets(int i);

    private native int[] nativeSendQoECmd(int i, int i2);

    private native int nativeSendQoeStallDetectCmd(int i, int i2, int i3, int i4, int i5);

    private native int nativeSetDpiMarkRule(int i, int i2, int i3);

    private native java.lang.String nativeWmpCoreClusterData(java.lang.String[] strArr, java.lang.String[] strArr2);

    private native java.lang.String nativeWmpCoreTrainData(java.lang.String[] strArr, java.lang.String[] strArr2);

    private native int nativehandleSocketStrategy(int i, int i2);

    public native int nativeGetCurFrameDetectResult();

    public native long[] nativeGetCurrTotalTraffic();

    public native int nativeStartFrameDetect(int i);

    public native int nativeStopFrameDetect();

    static {
        try {
            java.lang.System.loadLibrary("hwqoe_jni");
            logD("loading JNI succ");
        } catch (java.lang.UnsatisfiedLinkError e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("LoadLibrary is error ");
            stringBuilder.append(e.toString());
            logD(stringBuilder.toString());
        }
    }

    private HwHidataJniAdapter() {
    }

    public static synchronized com.android.server.hidata.HwHidataJniAdapter getInstance() {
        com.android.server.hidata.HwHidataJniAdapter hwHidataJniAdapter;
        synchronized (com.android.server.hidata.HwHidataJniAdapter.class) {
            if (mHwHidataJniAdapter == null) {
                mHwHidataJniAdapter = new com.android.server.hidata.HwHidataJniAdapter();
            }
            hwHidataJniAdapter = mHwHidataJniAdapter;
        }
        return hwHidataJniAdapter;
    }

    public void registerHiStreamJniCallback(com.android.server.hidata.histream.IHwHiStreamJniCallback callback) {
        this.mHiStreamJniCallback = callback;
    }

    public synchronized int[] sendQoECmd(int cmd, int arg) {
        return nativeSendQoECmd(cmd, arg);
    }

    public synchronized int setDpiMarkRule(int uid, int protocol, int enable) {
        return nativeSetDpiMarkRule(uid, protocol, enable);
    }

    public synchronized com.android.server.hidata.HwQoEUdpNetWorkInfo readUdpNetworkStatsDetail(int uid, int network) {
        return nativeReadUdpNetworkStatsDetail(uid, network);
    }

    public synchronized int bindUidProcessToNetwork(int netId, int uid) {
        return nativeBindUidProcessToNetwork(netId, uid);
    }

    public synchronized int resetProcessSockets(int uid) {
        return nativeResetProcessSockets(uid);
    }

    public synchronized int closeProcessSockets(int strategy, int uid) {
        return nativeCloseProcessSockets(strategy, uid);
    }

    public synchronized int handleSocketStrategy(int strategy, int uid) {
        nativehandleSocketStrategy(strategy, uid);
        return nativeCloseProcessSockets(strategy, uid);
    }

    public int sendStallDetectCmd(int cmd, int uid, int appScene, int algoType, int userType) {
        return nativeSendQoeStallDetectCmd(cmd, uid, appScene, algoType, userType);
    }

    public long[] getCurrTotalTraffic() {
        return nativeGetCurrTotalTraffic();
    }

    public int startFrameDetect(int appScene) {
        return nativeStartFrameDetect(appScene);
    }

    public int stopFrameDetect() {
        return nativeStopFrameDetect();
    }

    public java.lang.String wmpCoreTrainData(java.lang.String[] localFingerData, java.lang.String[] jsonParam) {
        return nativeWmpCoreTrainData(localFingerData, jsonParam);
    }

    public java.lang.String getWmpCoreTrainData(java.lang.String[] localFingerData, java.lang.String[] jsonParam) {
        return nativeGetWmpCoreTrainData(localFingerData, jsonParam);
    }

    public int getCurFrameDetectResult() {
        return nativeGetCurFrameDetectResult();
    }

    public java.lang.String wmpCoreClusterData(java.lang.String[] localFingerData, java.lang.String[] jsonParam) {
        return nativeWmpCoreClusterData(localFingerData, jsonParam);
    }

    public static void handleReportStallInfo(int stallTime, int appScene, int algo) {
        if (mHwHidataJniAdapter == null || mHwHidataJniAdapter.mHiStreamJniCallback == null) {
            logD("handleReportStallInfo: mHiStreamJniCallback is null");
            return;
        }
        mHwHidataJniAdapter.mHiStreamJniCallback.onStallInfoReportCallback(stallTime, appScene, algo);
        logD("detect stall");
    }

    public static void logD(java.lang.String info) {
        android.util.Log.d("HiData_JniAdapter", info);
    }
}
