package com.android.server.hidata.appqoe;

public class HwAPKQoEQualityMonitor {
    private static final int BAD_AVE_RTT = 800;
    private static final int CMD_QUERY_HIDATA_INFO = 23;
    private static final int CMD_QUERY_PKTS = 15;
    private static final float LESS_PKTS_BAD_RATE = 0.3f;
    private static final float LESS_PKTS_VERY_BAD_RATE = 0.4f;
    private static final int MIN_PERIOD_TIME = 1000;
    private static final int MIN_RX_PKTS = 100;
    private static final int MIN_TX_PKTS = 3;
    private static final float MORE_PKTS_BAD_RATE = 0.2f;
    private static final float MORE_PKTS_VERY_BAD_RATE = 0.3f;
    private static final int MORE_TX_PKTS = 20;
    private static final int MSG_GET_TCP_INFO = 2;
    private static final int MSG_INIT_TCP_INFO = 1;
    private static final int STRONG_RSSI = 2;
    private static java.lang.String TAG = "HiData_HwAPKQoEQualityMonitor";
    private static final float TX_GOOD_RATE = 0.2f;
    private static final int VERY_BAD_AVE_RTT = 1500;
    public boolean isMonitoring = false;
    private com.android.server.hidata.appqoe.HwAPPQoEAPKConfig mAPKConfig;
    private com.android.server.hidata.appqoe.HwAPPChrExcpInfo mAPPQoEInfo = new com.android.server.hidata.appqoe.HwAPPChrExcpInfo();
    private com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor.HwAPKTcpInfo mCurrentHwAPKTcpInfo;
    private com.android.server.hidata.appqoe.HwAPPStateInfo mCurrentInfo;
    private int mCurrentUID = 0;
    private android.os.Handler mHandler;
    private com.android.server.hidata.appqoe.HwAPPQoEResourceManger mHwAPPQoEResourceManger;
    private com.android.server.hidata.HwHidataJniAdapter mHwHidataJniAdapter;
    private com.android.server.hidata.hiradio.HwWifiBoost mHwWifiBoost;
    private int mIsNoRxTime = 0;
    private com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor.HwAPKTcpInfo mLastHwAPKTcpInfo;
    private com.android.server.hidata.appqoe.HwAPPQoEUserLearning mLearningManager = null;
    private android.os.Handler mLocalHandler;
    private java.lang.Object mLock = new java.lang.Object();
    private int mPeriodTime = 0;
    private int mScenceId = 0;
    private int mSystemTotalRxpackte = 0;
    private android.net.wifi.WifiManager mWifiManager;

    private static class HwAPKTcpInfo {
        public int rttPackteNum;
        public int rttTime;
        public int tcpReSendPackte;
        public int tcpRxPackte;
        public int tcpTxPackte;
        public int txBad;
        public int txGood;

        public HwAPKTcpInfo() {
            this.rttTime = 0;
            this.rttPackteNum = 0;
            this.tcpTxPackte = 0;
            this.tcpRxPackte = 0;
            this.tcpReSendPackte = 0;
        }

        public HwAPKTcpInfo(int[] info, android.net.wifi.RssiPacketCountInfo otaInfo) {
            this.rttTime = info[0];
            this.rttPackteNum = info[1];
            this.tcpTxPackte = info[6];
            this.tcpRxPackte = info[7];
            this.tcpReSendPackte = info[8];
            this.txGood = otaInfo.txgood;
            this.txBad = otaInfo.txbad;
        }
    }

    public HwAPKQoEQualityMonitor(android.os.Handler handler, android.content.Context context) {
        this.mHandler = handler;
        this.mHwAPPQoEResourceManger = com.android.server.hidata.appqoe.HwAPPQoEResourceManger.getInstance();
        this.mHwHidataJniAdapter = com.android.server.hidata.HwHidataJniAdapter.getInstance();
        this.mHwWifiBoost = com.android.server.hidata.hiradio.HwWifiBoost.getInstance(context);
        this.mWifiManager = (android.net.wifi.WifiManager) context.getSystemService("wifi");
        this.mLearningManager = com.android.server.hidata.appqoe.HwAPPQoEUserLearning.getInstance();
    }

    public void startMonitor(com.android.server.hidata.appqoe.HwAPPStateInfo info) {
        int uid = info.mAppUID;
        int scenceId = info.mScenceId;
        int appId = info.mAppId;
        java.lang.String str;
        java.lang.StringBuilder stringBuilder;
        if (this.isMonitoring) {
            str = TAG;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" uid = ");
            stringBuilder.append(uid);
            stringBuilder.append(" mCurrentUID = ");
            stringBuilder.append(this.mCurrentUID);
            stringBuilder.append(" scenceId = ");
            stringBuilder.append(scenceId);
            stringBuilder.append(" mScenceId = ");
            stringBuilder.append(this.mScenceId);
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
            if (uid == this.mCurrentUID) {
                if (scenceId != this.mScenceId) {
                    this.mLocalHandler.removeMessages(1);
                    this.mLocalHandler.removeMessages(2);
                }
            }
            return;
        }
        str = TAG;
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("uid = ");
        stringBuilder.append(uid);
        stringBuilder.append(" appId = ");
        stringBuilder.append(appId);
        stringBuilder.append(" scenceId = ");
        stringBuilder.append(scenceId);
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
        initHandlerThread();
        this.mCurrentInfo = info;
        this.mAPKConfig = this.mHwAPPQoEResourceManger.getAPKScenceConfig(scenceId);
        if (this.mAPKConfig == null) {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "mAPKConfig == null");
            stopMonitor();
            return;
        }
        this.isMonitoring = true;
        this.mScenceId = scenceId;
        this.mCurrentUID = uid;
        if (this.mLearningManager != null) {
            if (this.mLearningManager.getUserTypeByAppId(info.mAppId) == 1) {
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, " HwAPKQoEQualityMonitor is a COMMON user");
                this.mPeriodTime = (this.mAPKConfig.mAppPeriod * 1000) * 2;
            } else {
                this.mPeriodTime = this.mAPKConfig.mAppPeriod * 1000;
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, " HwAPKQoEQualityMonitor is a USER_TYPE_RADICAL user");
            }
        }
        this.mLocalHandler.sendEmptyMessage(1);
    }

    public void stopMonitor() {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(" HwAPKQoEQualityMonitor stop monitor isMonitoring = ");
        stringBuilder.append(this.isMonitoring);
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
        if (this.isMonitoring) {
            this.isMonitoring = false;
            this.mIsNoRxTime = 0;
            this.mLocalHandler.removeMessages(1);
            this.mLocalHandler.removeMessages(2);
            release();
        }
    }

    private void initHandlerThread() {
        android.os.HandlerThread handlerThread = new android.os.HandlerThread("HwAPKQoEQualityMonitor Thread");
        handlerThread.start();
        this.mLocalHandler = new android.os.Handler(handlerThread.getLooper()) {
            public void handleMessage(android.os.Message msg) {
                int[] result;
                android.net.wifi.RssiPacketCountInfo otaInfo;
                switch (msg.what) {
                    case 1:
                        result = com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor.this.mHwHidataJniAdapter.sendQoECmd(23, com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor.this.mCurrentUID);
                        otaInfo = com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor.this.getOTAInfo();
                        if (result != null && result.length >= 10) {
                            com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor.this.mLastHwAPKTcpInfo = new com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor.HwAPKTcpInfo(result, otaInfo);
                            sendEmptyMessageDelayed(2, (long) com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor.this.mPeriodTime);
                            break;
                        }
                        sendEmptyMessageDelayed(1, (long) com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor.this.mPeriodTime);
                        break;
                    case 2:
                        result = com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor.this.mHwHidataJniAdapter.sendQoECmd(23, com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor.this.mCurrentUID);
                        otaInfo = com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor.this.getOTAInfo();
                        if (result != null && result.length >= 10) {
                            com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor.this.mCurrentHwAPKTcpInfo = new com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor.HwAPKTcpInfo(result, otaInfo);
                            com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor.this.isAPKStallThisPeriod(com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor.this.mLastHwAPKTcpInfo, com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor.this.mCurrentHwAPKTcpInfo);
                            com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor.this.mLastHwAPKTcpInfo = com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor.this.mCurrentHwAPKTcpInfo;
                        }
                        sendEmptyMessageDelayed(2, (long) com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor.this.mPeriodTime);
                        break;
                    default:
                        break;
                }
                super.handleMessage(msg);
            }
        };
    }

    private void release() {
        if (this.mLocalHandler != null) {
            android.os.Looper looper = this.mLocalHandler.getLooper();
            if (looper != null && looper != android.os.Looper.getMainLooper()) {
                looper.quitSafely();
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:96:0x0226  */
    /* JADX WARNING: Removed duplicated region for block: B:100:0x0232 A:{SYNTHETIC, Splitter: B:100:0x0232} */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x01da A:{SKIP} */
    /* JADX WARNING: Removed duplicated region for block: B:96:0x0226  */
    /* JADX WARNING: Removed duplicated region for block: B:100:0x0232 A:{SYNTHETIC, Splitter: B:100:0x0232} */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x01da A:{SKIP} */
    /* JADX WARNING: Removed duplicated region for block: B:96:0x0226  */
    /* JADX WARNING: Removed duplicated region for block: B:100:0x0232 A:{SYNTHETIC, Splitter: B:100:0x0232} */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x01da A:{SKIP} */
    /* JADX WARNING: Removed duplicated region for block: B:96:0x0226  */
    /* JADX WARNING: Removed duplicated region for block: B:100:0x0232 A:{SYNTHETIC, Splitter: B:100:0x0232} */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x01da A:{SKIP} */
    /* JADX WARNING: Removed duplicated region for block: B:96:0x0226  */
    /* JADX WARNING: Removed duplicated region for block: B:100:0x0232 A:{SYNTHETIC, Splitter: B:100:0x0232} */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x01da A:{SKIP} */
    /* JADX WARNING: Removed duplicated region for block: B:96:0x0226  */
    /* JADX WARNING: Removed duplicated region for block: B:100:0x0232 A:{SYNTHETIC, Splitter: B:100:0x0232} */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x01da A:{SKIP} */
    /* JADX WARNING: Removed duplicated region for block: B:96:0x0226  */
    /* JADX WARNING: Removed duplicated region for block: B:100:0x0232 A:{SYNTHETIC, Splitter: B:100:0x0232} */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x01da A:{SKIP} */
    /* JADX WARNING: Removed duplicated region for block: B:96:0x0226  */
    /* JADX WARNING: Removed duplicated region for block: B:100:0x0232 A:{SYNTHETIC, Splitter: B:100:0x0232} */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x01da A:{SKIP} */
    /* JADX WARNING: Removed duplicated region for block: B:96:0x0226  */
    /* JADX WARNING: Removed duplicated region for block: B:100:0x0232 A:{SYNTHETIC, Splitter: B:100:0x0232} */
    private void isAPKStallThisPeriod(com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor.HwAPKTcpInfo r37, com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor.HwAPKTcpInfo r38) {
        /*
        r36 = this;
        r1 = r36;
        r2 = r37;
        r3 = r38;
        r0 = 0;
        r4 = 0;
        r5 = 0;
        r6 = 0;
        r7 = 0;
        r8 = 0;
        r9 = 0;
        r10 = 0;
        r11 = 4;
        r12 = 0;
        r14 = 0;
        r16 = 108; // 0x6c float:1.51E-43 double:5.34E-322;
        r17 = r0;
        r0 = r1.mWifiManager;
        r18 = r4;
        r4 = r0.getConnectionInfo();
        if (r4 == 0) goto L_0x0267;
    L_0x0021:
        r0 = android.common.HwFrameworkFactory.getHwInnerWifiManager();
        r19 = r5;
        r5 = r4.getFrequency();
        r20 = r6;
        r6 = r4.getRssi();
        r5 = r0.calculateSignalLevelHW(r5, r6);
        r0 = r3.rttPackteNum;
        r6 = r2.rttPackteNum;
        r6 = r0 - r6;
        if (r6 <= 0) goto L_0x0045;
    L_0x003d:
        r0 = r3.rttTime;
        r11 = r2.rttTime;
        r0 = r0 - r11;
        r0 = r0 / r6;
    L_0x0043:
        r11 = r0;
        goto L_0x0047;
    L_0x0045:
        r0 = 0;
        goto L_0x0043;
    L_0x0047:
        r0 = r3.tcpTxPackte;
        r21 = r4;
        r4 = r2.tcpTxPackte;
        r4 = r0 - r4;
        r0 = r3.tcpRxPackte;
        r22 = r7;
        r7 = r2.tcpRxPackte;
        r7 = r0 - r7;
        r0 = r3.tcpReSendPackte;
        r23 = r8;
        r8 = r2.tcpReSendPackte;
        r8 = r0 - r8;
        r0 = r3.txGood;
        r24 = r9;
        r9 = r2.txGood;
        r9 = r0 - r9;
        r0 = r3.txBad;
        r3 = r2.txBad;
        r3 = r0 - r3;
        r25 = r12;
        r12 = (double) r4;
        r17 = 0;
        r0 = (r12 > r17 ? 1 : (r12 == r17 ? 0 : -1));
        if (r0 <= 0) goto L_0x007c;
    L_0x0076:
        r12 = (double) r8;
        r27 = r14;
        r14 = (double) r4;
        r12 = r12 / r14;
        goto L_0x0080;
    L_0x007c:
        r27 = r14;
        r12 = r25;
    L_0x0080:
        r14 = (double) r11;
        r10 = r4;
        r29 = r7;
        r19 = 0;
        r30 = r14;
        r14 = (double) r9;
        r0 = (r14 > r17 ? 1 : (r14 == r17 ? 0 : -1));
        if (r0 <= 0) goto L_0x0096;
    L_0x008d:
        r14 = (double) r3;
        r32 = r3;
        r2 = (double) r9;
        r19 = r14 / r2;
        r2 = r19;
        goto L_0x009a;
    L_0x0096:
        r32 = r3;
        r2 = r19;
    L_0x009a:
        r0 = TAG;
        r14 = new java.lang.StringBuilder;
        r14.<init>();
        r15 = "Period Quality: period = ";
        r14.append(r15);
        r15 = r1.mPeriodTime;
        r14.append(r15);
        r15 = " rtt = ";
        r14.append(r15);
        r14.append(r11);
        r15 = " periodRTTPacket = ";
        r14.append(r15);
        r14.append(r6);
        r15 = " tcpRsRate = ";
        r14.append(r15);
        r14.append(r12);
        r15 = " otaRate = ";
        r14.append(r15);
        r14.append(r2);
        r15 = " Txpacket = ";
        r14.append(r15);
        r14.append(r4);
        r15 = " periodTcpRxPacket = ";
        r14.append(r15);
        r14.append(r7);
        r15 = " RsPacket = ";
        r14.append(r15);
        r14.append(r8);
        r15 = " txGood = ";
        r14.append(r15);
        r14.append(r9);
        r15 = " txBad = ";
        r14.append(r15);
        r15 = r32;
        r14.append(r15);
        r33 = r15;
        r15 = " rssiLevel = ";
        r14.append(r15);
        r14.append(r5);
        r14 = r14.toString();
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r14);
        r19 = 4654311885213007872; // 0x4097700000000000 float:0.0 double:1500.0;
        r15 = 3;
        r14 = 2;
        if (r5 == r15) goto L_0x0197;
    L_0x010f:
        r0 = 4;
        if (r5 != r0) goto L_0x0116;
    L_0x0112:
        r14 = r29;
        goto L_0x0199;
    L_0x0116:
        if (r5 > r14) goto L_0x0194;
    L_0x0118:
        if (r10 < r15) goto L_0x0170;
    L_0x011a:
        r15 = r29;
        r0 = 100;
        if (r15 > r0) goto L_0x0172;
    L_0x0120:
        r0 = (r30 > r17 ? 1 : (r30 == r17 ? 0 : -1));
        if (r0 <= 0) goto L_0x0137;
    L_0x0124:
        r17 = 4650248090236747776; // 0x4089000000000000 float:0.0 double:800.0;
        r0 = (r30 > r17 ? 1 : (r30 == r17 ? 0 : -1));
        if (r0 >= 0) goto L_0x0137;
    L_0x012a:
        if (r6 < r14) goto L_0x0137;
    L_0x012c:
        r0 = TAG;
        r14 = "weak rssi but aveRtt is good";
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r14);
        r16 = 106; // 0x6a float:1.49E-43 double:5.24E-322;
        goto L_0x0183;
    L_0x0137:
        r0 = (r30 > r19 ? 1 : (r30 == r19 ? 0 : -1));
        if (r0 <= 0) goto L_0x0149;
    L_0x013b:
        r0 = 2;
        if (r6 < r0) goto L_0x0149;
    L_0x013e:
        r0 = TAG;
        r14 = "weak rssi rtt bad";
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r14);
        r16 = 107; // 0x6b float:1.5E-43 double:5.3E-322;
        goto L_0x0183;
    L_0x0149:
        r17 = 4596373779801702400; // 0x3fc99999a0000000 float:-1.0842022E-19 double:0.20000000298023224;
        r0 = (r2 > r17 ? 1 : (r2 == r17 ? 0 : -1));
        if (r0 <= 0) goto L_0x0161;
    L_0x0152:
        r0 = 20;
        if (r10 <= r0) goto L_0x0161;
    L_0x0156:
        r0 = TAG;
        r14 = "weak rssi ota bad";
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r14);
        r16 = 107; // 0x6b float:1.5E-43 double:5.3E-322;
        goto L_0x0183;
    L_0x0161:
        r0 = (r12 > r17 ? 1 : (r12 == r17 ? 0 : -1));
        if (r0 < 0) goto L_0x0192;
    L_0x0165:
        r0 = TAG;
        r14 = "weak rssi tcp bad";
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r14);
        r16 = 107; // 0x6b float:1.5E-43 double:5.3E-322;
        goto L_0x0183;
    L_0x0170:
        r15 = r29;
    L_0x0172:
        r0 = (r30 > r19 ? 1 : (r30 == r19 ? 0 : -1));
        if (r0 <= 0) goto L_0x0185;
    L_0x0176:
        r0 = 2;
        if (r6 < r0) goto L_0x0185;
    L_0x0179:
        r0 = TAG;
        r14 = "very bad rtt apk bad";
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r14);
        r16 = 107; // 0x6b float:1.5E-43 double:5.3E-322;
    L_0x0183:
        r14 = r15;
        goto L_0x01a1;
    L_0x0185:
        r0 = 1;
        if (r15 < r0) goto L_0x0192;
    L_0x0188:
        r0 = TAG;
        r14 = "apk good";
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r14);
        r16 = 106; // 0x6a float:1.49E-43 double:5.24E-322;
        goto L_0x0183;
    L_0x0192:
        r14 = r15;
        goto L_0x01d6;
    L_0x0194:
        r14 = r29;
        goto L_0x01d6;
    L_0x0197:
        r14 = r29;
    L_0x0199:
        r0 = (r30 > r19 ? 1 : (r30 == r19 ? 0 : -1));
        if (r0 <= 0) goto L_0x01a4;
    L_0x019d:
        if (r6 < r15) goto L_0x01a4;
    L_0x019f:
        r16 = 107; // 0x6b float:1.5E-43 double:5.3E-322;
    L_0x01a1:
        r0 = r16;
        goto L_0x01d8;
    L_0x01a4:
        r19 = 4599075939685498880; // 0x3fd3333340000000 float:2.0 double:0.30000001192092896;
        r0 = (r12 > r19 ? 1 : (r12 == r19 ? 0 : -1));
        if (r0 < 0) goto L_0x01d6;
    L_0x01ad:
        r0 = 20;
        if (r10 < r0) goto L_0x01d6;
    L_0x01b1:
        r0 = 100;
        if (r14 > r0) goto L_0x01d6;
    L_0x01b5:
        r0 = (r30 > r17 ? 1 : (r30 == r17 ? 0 : -1));
        if (r0 <= 0) goto L_0x01cc;
    L_0x01b9:
        r17 = 4650248090236747776; // 0x4089000000000000 float:0.0 double:800.0;
        r0 = (r30 > r17 ? 1 : (r30 == r17 ? 0 : -1));
        if (r0 >= 0) goto L_0x01cc;
    L_0x01bf:
        if (r6 < r15) goto L_0x01cc;
    L_0x01c1:
        r0 = TAG;
        r15 = "tcp is bad but rtt is good ";
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r15);
        r16 = 106; // 0x6a float:1.49E-43 double:5.24E-322;
        goto L_0x01a1;
    L_0x01cc:
        r0 = TAG;
        r15 = "STRONG_RSSI tcp bad";
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r15);
        r16 = 107; // 0x6b float:1.5E-43 double:5.3E-322;
        goto L_0x01a1;
    L_0x01d6:
        r0 = r16;
    L_0x01d8:
        if (r10 <= 0) goto L_0x0222;
    L_0x01da:
        if (r14 != 0) goto L_0x0222;
    L_0x01dc:
        r15 = 107; // 0x6b float:1.5E-43 double:5.3E-322;
        if (r0 == r15) goto L_0x0222;
    L_0x01e0:
        r15 = 0;
        r34 = r2;
        r2 = 2;
        if (r5 <= r2) goto L_0x01e8;
    L_0x01e6:
        r2 = 3;
    L_0x01e7:
        goto L_0x01ea;
    L_0x01e8:
        r2 = 1;
        goto L_0x01e7;
    L_0x01ea:
        r3 = r1.mIsNoRxTime;
        if (r3 < r2) goto L_0x01fe;
    L_0x01ee:
        r3 = TAG;
        r15 = "no rx apk bad";
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r3, r15);
        r0 = 107; // 0x6b float:1.5E-43 double:5.3E-322;
        r1.sendMessageToSTM(r0);
        r3 = 0;
        r1.mIsNoRxTime = r3;
        goto L_0x0221;
    L_0x01fe:
        r3 = r1.mIsNoRxTime;
        if (r3 != 0) goto L_0x020c;
    L_0x0202:
        r3 = 1;
        r1.isSystemTcpDataNoRx(r3);
        r15 = r1.mIsNoRxTime;
        r15 = r15 + r3;
        r1.mIsNoRxTime = r15;
        goto L_0x0221;
    L_0x020c:
        r3 = 0;
        r3 = r1.isSystemTcpDataNoRx(r3);
        if (r3 == 0) goto L_0x0221;
    L_0x0213:
        r3 = TAG;
        r15 = "system data no rx too";
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r3, r15);
        r3 = r1.mIsNoRxTime;
        r15 = 1;
        r3 = r3 + r15;
        r1.mIsNoRxTime = r3;
    L_0x0221:
        goto L_0x022e;
    L_0x0222:
        r34 = r2;
        if (r14 <= 0) goto L_0x022b;
    L_0x0226:
        r2 = 0;
        r1.mSystemTotalRxpackte = r2;
        r1.mIsNoRxTime = r2;
    L_0x022b:
        r1.sendMessageToSTM(r0);
    L_0x022e:
        r2 = r0;
        r3 = r1.mLock;
        monitor-enter(r3);
        r0 = r1.mAPPQoEInfo;	 Catch:{ all -> 0x0260 }
        r15 = 800; // 0x320 float:1.121E-42 double:3.953E-321;
        r0.netType = r15;	 Catch:{ all -> 0x0260 }
        r0 = r1.mAPPQoEInfo;	 Catch:{ all -> 0x0260 }
        r0.rtt = r11;	 Catch:{ all -> 0x0260 }
        r0 = r1.mAPPQoEInfo;	 Catch:{ all -> 0x0260 }
        r0.txPacket = r4;	 Catch:{ all -> 0x0260 }
        r0 = r1.mAPPQoEInfo;	 Catch:{ all -> 0x0260 }
        r0.rxPacket = r7;	 Catch:{ all -> 0x0260 }
        r0 = r1.mAPPQoEInfo;	 Catch:{ all -> 0x0260 }
        r0.rsPacket = r8;	 Catch:{ all -> 0x0260 }
        r0 = r1.mAPPQoEInfo;	 Catch:{ all -> 0x0260 }
        r0.para1 = r9;	 Catch:{ all -> 0x0260 }
        r0 = r1.mAPPQoEInfo;	 Catch:{ all -> 0x0260 }
        r15 = r33;
        r0.para2 = r15;	 Catch:{ all -> 0x0265 }
        r0 = r1.mAPPQoEInfo;	 Catch:{ all -> 0x0265 }
        r0.para3 = r6;	 Catch:{ all -> 0x0265 }
        r0 = r1.mAPPQoEInfo;	 Catch:{ all -> 0x0265 }
        r0.para4 = r2;	 Catch:{ all -> 0x0265 }
        r0 = r1.mAPPQoEInfo;	 Catch:{ all -> 0x0265 }
        r0.rssi = r5;	 Catch:{ all -> 0x0265 }
        monitor-exit(r3);	 Catch:{ all -> 0x0265 }
        return;
    L_0x0260:
        r0 = move-exception;
        r15 = r33;
    L_0x0263:
        monitor-exit(r3);	 Catch:{ all -> 0x0265 }
        throw r0;
    L_0x0265:
        r0 = move-exception;
        goto L_0x0263;
    L_0x0267:
        r21 = r4;
        r19 = r5;
        r20 = r6;
        r22 = r7;
        r23 = r8;
        r24 = r9;
        r25 = r12;
        r27 = r14;
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor.isAPKStallThisPeriod(com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor$HwAPKTcpInfo, com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor$HwAPKTcpInfo):void");
    }

    private void sendMessageToSTM(int action) {
        this.mHandler.sendMessage(this.mHandler.obtainMessage(action, this.mCurrentInfo));
    }

    private boolean isSystemTcpDataNoRx(boolean isInit) {
        int[] result = this.mHwHidataJniAdapter.sendQoECmd(15, 0);
        if (result == null || result.length < 10) {
            return false;
        }
        if (isInit) {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "isSystemTcpDataNoRx init");
            this.mSystemTotalRxpackte = result[7];
            return false;
        }
        int rxPackets = result[7] - this.mSystemTotalRxpackte;
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isSystemTcpDataNoRx rxPackets = ");
        stringBuilder.append(rxPackets);
        stringBuilder.append(" result[7] = ");
        stringBuilder.append(result[7]);
        stringBuilder.append(" mSystemTotalRxpackte = ");
        stringBuilder.append(this.mSystemTotalRxpackte);
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
        this.mSystemTotalRxpackte = result[7];
        if (rxPackets > 0) {
            return false;
        }
        return true;
    }

    public android.net.wifi.RssiPacketCountInfo getOTAInfo() {
        return this.mHwWifiBoost.getOTAInfo();
    }

    public com.android.server.hidata.appqoe.HwAPPChrExcpInfo getAPPQoEInfo() {
        com.android.server.hidata.appqoe.HwAPPChrExcpInfo hwAPPChrExcpInfo;
        synchronized (this.mLock) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("curAPPQoEInfo:");
            stringBuilder.append(this.mAPPQoEInfo.toString());
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
            hwAPPChrExcpInfo = this.mAPPQoEInfo;
        }
        return hwAPPChrExcpInfo;
    }
}
