package com.android.server.hidata.appqoe;

public class HwAPPChrManager {
    public static final int BETA_USER = 3;
    public static final int COMMERCIAL_USER = 1;
    public static final int FANS_USER = 2;
    private static final long ONE_DAY_TIME = 86400000;
    private static final long ONE_WEEK_TIME = 604800000;
    public static final int OVERSEA_COMMERCIAL_USER = 6;
    public static final int OVERSEA_USER = 5;
    public static final int TEST_USER = 4;
    private static com.android.server.hidata.appqoe.HwAPPChrManager mHwAPPChrManager = null;
    private java.util.List<com.android.server.hidata.appqoe.HwAPPChrStatisInfo> mInfoList = new java.util.ArrayList();
    private long mLastUploadTime = 0;
    private java.lang.Object mLock = new java.lang.Object();

    private HwAPPChrManager() {
        this.mInfoList.clear();
    }

    public static synchronized com.android.server.hidata.appqoe.HwAPPChrManager getInstance() {
        com.android.server.hidata.appqoe.HwAPPChrManager hwAPPChrManager;
        synchronized (com.android.server.hidata.appqoe.HwAPPChrManager.class) {
            if (mHwAPPChrManager == null) {
                mHwAPPChrManager = new com.android.server.hidata.appqoe.HwAPPChrManager();
            }
            hwAPPChrManager = mHwAPPChrManager;
        }
        return hwAPPChrManager;
    }

    public void updateStatisInfo(com.android.server.hidata.appqoe.HwAPPStateInfo appStateInfo, int type) {
        if (appStateInfo != null) {
            if (appStateInfo.mAppType == 1000) {
                updateStatisInfo(appStateInfo.mAppId, appStateInfo.mScenceId, type);
            }
        }
    }

    public void updateStatisInfo(int appid, int scenceid, int type) {
        synchronized (this.mLock) {
            com.android.server.hidata.appqoe.HwAPPChrStatisInfo result = getStatisInfo(appid, scenceid);
            switch (type) {
                case 1:
                    result.wifiStartNum++;
                    break;
                case 2:
                    result.cellStartNum++;
                    break;
                case 3:
                    result.wifiStallNum++;
                    break;
                case 4:
                    result.cellStallNum++;
                    break;
                case 5:
                    result.wifispNum++;
                    break;
                case 6:
                    result.cellspNum++;
                    break;
                case 7:
                    result.rn1Num++;
                    break;
                case 8:
                    result.rn2Num++;
                    break;
                case 9:
                    result.rn3Num++;
                    break;
                case 10:
                    result.rn4Num++;
                    break;
                case 11:
                    result.chfNum++;
                    break;
                case 12:
                    result.mpfNum++;
                    break;
                case 13:
                    result.mpsNum++;
                    break;
                case 14:
                    result.afgNum++;
                    break;
                case 15:
                    result.afbNum++;
                    break;
                case 16:
                    result.inKQINum++;
                    break;
                case 17:
                    result.overKQINum++;
                    break;
                case 18:
                    result.closeCellNum++;
                    break;
                case 19:
                    result.closeWiFiNum++;
                    break;
                case 20:
                    result.startHicNum++;
                    break;
                case 21:
                    result.hicsNum++;
                    break;
                default:
                    break;
            }
            setStatisInfo(result);
        }
    }

    public void updateTraffic(com.android.server.hidata.appqoe.HwAPPStateInfo appStateInfo, long tracffic) {
        if (appStateInfo != null) {
            if (appStateInfo.mAppType == 1000) {
                synchronized (this.mLock) {
                    com.android.server.hidata.appqoe.HwAPPChrStatisInfo result = getStatisInfo(appStateInfo.mAppId, appStateInfo.mScenceId);
                    result.trffic = (int) (((long) result.trffic) + tracffic);
                    setStatisInfo(result);
                }
            }
        }
    }

    private void setStatisInfo(com.android.server.hidata.appqoe.HwAPPChrStatisInfo info) {
        for (com.android.server.hidata.appqoe.HwAPPChrStatisInfo result : this.mInfoList) {
            if (result.appId == info.appId && result.scenceId == info.scenceId) {
                result.copyInfo(info);
                return;
            }
        }
    }

    public com.android.server.hidata.appqoe.HwAPPChrStatisInfo getStatisInfo(int appid, int scenceid) {
        com.android.server.hidata.appqoe.HwAPPChrStatisInfo result;
        synchronized (this.mLock) {
            result = null;
            for (com.android.server.hidata.appqoe.HwAPPChrStatisInfo info : this.mInfoList) {
                if (info.appId == appid && info.scenceId == scenceid) {
                    result = info;
                    break;
                }
            }
            if (result == null) {
                result = new com.android.server.hidata.appqoe.HwAPPChrStatisInfo();
                result.appId = appid;
                result.scenceId = scenceid;
                this.mInfoList.add(result);
            }
        }
        return result;
    }

    public boolean isCommercialUser() {
        int userType = android.os.SystemProperties.getInt("ro.logsystem.usertype", 1);
        if (3 != userType) {
            if (4 != userType) {
                return true;
            }
        }
        return false;
    }

    public void uploadAppChrInfo() {
        synchronized (this.mLock) {
            long uploadTime;
            if (isCommercialUser()) {
                uploadTime = 604800000;
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("uploadAppChrInfo is a Commercial User ");
            } else {
                uploadTime = 86400000;
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("uploadAppChrInfo is a beta User ");
            }
            com.android.server.hidata.channelqoe.HwChannelQoEManager.getInstance().uploadChannelQoEParmStatistics(uploadTime);
            if ((this.mLastUploadTime == 0 || java.lang.System.currentTimeMillis() - this.mLastUploadTime > uploadTime) && this.mInfoList.size() > 0) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("uploadAppChrInfo mInfoList.size() = ");
                stringBuilder.append(this.mInfoList.size());
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(stringBuilder.toString());
                com.android.server.hidata.appqoe.HwAPPChrExcpReport.getInstance().reportStaticsInfo(this.mInfoList);
                this.mInfoList.clear();
                this.mLastUploadTime = java.lang.System.currentTimeMillis();
            }
        }
    }
}
