package com.android.server.hidata.appqoe;

public class HwAPPQoEActivityMonitor {
    private static final java.lang.String[] DEFAULT_GAME_NAMES = new java.lang.String[]{"com.huawei.gamebox"};
    private static final int EVENT_ACTIVITY_STATE_CHANGE = 2;
    private static final int EVENT_DELAY_TIMER_EXPIRE = 1;
    private static java.lang.String TAG = "HiData_HwAPPQoEActivityMonitor";
    private static com.android.server.hidata.appqoe.HwAPPStateInfo lastAPPStateInfo = new com.android.server.hidata.appqoe.HwAPPStateInfo();
    private static com.android.server.hidata.appqoe.HwAPPQoEActivityMonitor mHwAPPQoEActivityMonitor = null;
    private int APP_USER_LEARNING_MONITOR;
    private long apkStartTime;
    private com.android.server.am.HwActivityManagerService hwActivityManger;
    private com.android.server.hidata.appqoe.HwAPPQoEResourceManger hwResourceManger;
    private com.android.server.hidata.appqoe.HwAPPQoEUserLearning hwUserLearning;
    private android.contentsensor.IActivityObserver mActivityObserver;
    private android.rms.iaware.AppTypeRecoManager mAppTypeRecoManager;
    private android.os.Handler mHandler;
    private android.os.HandlerThread mHandlerThread;
    private int monitorAPPUID;

    public static class CachedAppInfo {
        public int mAppUID;
        public java.lang.String mClassName;
        public java.lang.String mPackageName;
    }

    private class MainHandler extends android.os.Handler {
        MainHandler(android.os.Looper looper) {
            super(looper);
        }

        public void handleMessage(android.os.Message msg) {
            if (msg != null) {
                if (msg.obj != null) {
                    com.android.server.hidata.appqoe.HwAPPQoEActivityMonitor.CachedAppInfo cachedAppInfo;
                    switch (msg.what) {
                        case 1:
                            cachedAppInfo = msg.obj;
                            com.android.server.hidata.appqoe.HwAPPQoEActivityMonitor.this.handleActivityChange(cachedAppInfo.mPackageName, cachedAppInfo.mClassName, cachedAppInfo.mAppUID, true);
                            break;
                        case 2:
                            cachedAppInfo = msg.obj;
                            com.android.server.hidata.appqoe.HwAPPQoEActivityMonitor.this.handleActivityChange(cachedAppInfo.mPackageName, cachedAppInfo.mClassName, cachedAppInfo.mAppUID, false);
                            break;
                        default:
                            break;
                    }
                    return;
                }
            }
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(com.android.server.hidata.appqoe.HwAPPQoEActivityMonitor.TAG, "handleMessage -- invalid input");
        }
    }

    private HwAPPQoEActivityMonitor(android.content.Context context) {
        this.hwResourceManger = null;
        this.hwActivityManger = null;
        this.hwUserLearning = null;
        this.mHandler = null;
        this.mHandlerThread = null;
        this.apkStartTime = java.lang.System.currentTimeMillis();
        this.monitorAPPUID = -1;
        this.APP_USER_LEARNING_MONITOR = 1;
        this.mActivityObserver = new android.contentsensor.IActivityObserver.Stub() {
            public void activityResumed(int pid, int uid, android.content.ComponentName componentName) throws android.os.RemoteException {
                try {
                    com.android.server.hidata.appqoe.HwAPPQoEActivityMonitor.CachedAppInfo mCachedAppInfo = new com.android.server.hidata.appqoe.HwAPPQoEActivityMonitor.CachedAppInfo();
                    mCachedAppInfo.mAppUID = uid;
                    mCachedAppInfo.mClassName = componentName.getClassName();
                    mCachedAppInfo.mPackageName = componentName.getPackageName();
                    com.android.server.hidata.appqoe.HwAPPQoEActivityMonitor.this.mHandler.removeMessages(1);
                    com.android.server.hidata.appqoe.HwAPPQoEActivityMonitor.this.mHandler.sendMessage(com.android.server.hidata.appqoe.HwAPPQoEActivityMonitor.this.mHandler.obtainMessage(2, mCachedAppInfo));
                } catch (java.lang.Exception e) {
                    e.printStackTrace();
                }
            }

            public void activityPaused(int pid, int uid, android.content.ComponentName componentName) throws android.os.RemoteException {
            }
        };
        this.hwResourceManger = com.android.server.hidata.appqoe.HwAPPQoEResourceManger.getInstance();
        this.hwUserLearning = com.android.server.hidata.appqoe.HwAPPQoEUserLearning.createHwAPPQoEUserLearning(context);
        initProcess();
    }

    private void initProcess() {
        this.hwActivityManger = com.android.server.am.HwActivityManagerService.self();
        if (this.hwActivityManger != null) {
            this.hwActivityManger.registerActivityObserver(this.mActivityObserver);
        }
        this.mAppTypeRecoManager = android.rms.iaware.AppTypeRecoManager.getInstance();
        this.mHandlerThread = new android.os.HandlerThread("HwAPPQoEActivityMonitor Thread");
        this.mHandlerThread.start();
        this.mHandler = new com.android.server.hidata.appqoe.HwAPPQoEActivityMonitor.MainHandler(this.mHandlerThread.getLooper());
    }

    protected static com.android.server.hidata.appqoe.HwAPPQoEActivityMonitor createHwAPPQoEActivityMonitor(android.content.Context context) {
        if (mHwAPPQoEActivityMonitor == null) {
            mHwAPPQoEActivityMonitor = new com.android.server.hidata.appqoe.HwAPPQoEActivityMonitor(context);
        }
        return mHwAPPQoEActivityMonitor;
    }

    public void handleActivityChange(java.lang.String curPackage, java.lang.String curClass, int curUid, boolean isCalledByTimerExpired) {
        if (curPackage != null) {
            if (curClass != null) {
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("handleActivityChange,  curPackage:");
                stringBuilder.append(curPackage);
                stringBuilder.append(", curClass:");
                stringBuilder.append(curClass);
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
                com.android.server.hidata.appqoe.HwAPPStateInfo curAPPStateInfo = new com.android.server.hidata.appqoe.HwAPPStateInfo();
                curAPPStateInfo.mAppUID = curUid;
                com.android.server.hidata.appqoe.HwAPPQoEAPKConfig tempAPKScence = this.hwResourceManger.checkIsMonitorAPKScence(curPackage, curClass);
                notifyAPPStateChange(curPackage, curUid, tempAPKScence);
                if (tempAPKScence != null) {
                    curAPPStateInfo.mAppId = tempAPKScence.mAppId;
                    curAPPStateInfo.mScenceId = tempAPKScence.mScenceId;
                    curAPPStateInfo.mScenceType = tempAPKScence.mScenceType;
                    curAPPStateInfo.mAppPeriod = tempAPKScence.mAppPeriod;
                    curAPPStateInfo.mAppType = 1000;
                    curAPPStateInfo.mAction = tempAPKScence.mAction;
                } else if (isGeneralGameApp(curPackage)) {
                    com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "handleActivityChange, it is a general game");
                    curAPPStateInfo.mAppType = 3000;
                    curAPPStateInfo.mScenceId = 200001;
                } else {
                    com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "handleActivityChange, it is not a care app or scence");
                }
                if (1 == lastAPPStateInfo.mScenceType) {
                    if (isCalledByTimerExpired) {
                        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "handleActivityChange, delay timer expired");
                    } else if (this.hwResourceManger.checkIsMonitorGameScence(curPackage) != null) {
                        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "handleActivityChange, app type is game");
                        this.mHandler.removeMessages(1);
                    } else if (1 != curAPPStateInfo.mScenceType) {
                        com.android.server.hidata.appqoe.HwAPPQoEActivityMonitor.CachedAppInfo mCachedAppInfo = new com.android.server.hidata.appqoe.HwAPPQoEActivityMonitor.CachedAppInfo();
                        mCachedAppInfo.mAppUID = curUid;
                        mCachedAppInfo.mClassName = curClass;
                        mCachedAppInfo.mPackageName = curPackage;
                        this.mHandler.removeMessages(1);
                        this.mHandler.sendMessageDelayed(this.mHandler.obtainMessage(1, mCachedAppInfo), 1000);
                        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "handleActivityChange, delay 1s to update scence during pay scence");
                        return;
                    } else {
                        this.mHandler.removeMessages(1);
                    }
                }
                java.lang.String str2;
                java.lang.StringBuilder stringBuilder2;
                if (tempAPKScence != null && tempAPKScence.mAppId == lastAPPStateInfo.mAppId && 255 == tempAPKScence.mScenceType) {
                    str2 = TAG;
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("handleActivityChange, ignore current scence:");
                    stringBuilder2.append(tempAPKScence.mScenceType);
                    com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str2, stringBuilder2.toString());
                    return;
                }
                str2 = TAG;
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("handleActivityChange,  curr mAppType:");
                stringBuilder2.append(curAPPStateInfo.mAppType);
                stringBuilder2.append(", lastType:");
                stringBuilder2.append(lastAPPStateInfo.mAppType);
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str2, stringBuilder2.toString());
                if (-1 != curAPPStateInfo.mAppType && -1 == lastAPPStateInfo.mAppType) {
                    com.android.server.hidata.appqoe.HwAPPQoEContentAware.sentNotificationToSTM(curAPPStateInfo, 100);
                } else if (-1 == curAPPStateInfo.mAppType && -1 != lastAPPStateInfo.mAppType) {
                    com.android.server.hidata.appqoe.HwAPPQoEContentAware.sentNotificationToSTM(lastAPPStateInfo, 101);
                } else if (-1 != curAPPStateInfo.mAppType || -1 != lastAPPStateInfo.mAppType) {
                    str2 = TAG;
                    java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append("handleActivityChange,  curr Scence:");
                    stringBuilder3.append(curAPPStateInfo.mScenceId);
                    stringBuilder3.append(", last Scence:");
                    stringBuilder3.append(lastAPPStateInfo.mScenceId);
                    com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str2, stringBuilder3.toString());
                    if (lastAPPStateInfo.mAppUID == curAPPStateInfo.mAppUID) {
                        if (lastAPPStateInfo.mAppId == curAPPStateInfo.mAppId) {
                            if (lastAPPStateInfo.mScenceId != curAPPStateInfo.mScenceId) {
                                com.android.server.hidata.appqoe.HwAPPQoEContentAware.sentNotificationToSTM(curAPPStateInfo, 102);
                            }
                        }
                    }
                    com.android.server.hidata.appqoe.HwAPPQoEContentAware.sentNotificationToSTM(lastAPPStateInfo, 101);
                    com.android.server.hidata.appqoe.HwAPPQoEContentAware.sentNotificationToSTM(curAPPStateInfo, 100);
                } else {
                    return;
                }
                lastAPPStateInfo.copyObjectValue(curAPPStateInfo);
                return;
            }
        }
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "handleActivityChange,  error input");
    }

    private void notifyAPPStateChange(java.lang.String packageName, int uid, com.android.server.hidata.appqoe.HwAPPQoEAPKConfig tempAPKConfig) {
        if (tempAPKConfig != null) {
            this.hwUserLearning.setLatestAPPScenceId(tempAPKConfig.mScenceId);
        }
        if (-1 == this.monitorAPPUID) {
            com.android.server.hidata.appqoe.HwAPPQoEAPKConfig tempAPKScence = this.hwResourceManger.checkIsMonitorAPKScence(packageName, null);
            if (tempAPKScence != null && this.APP_USER_LEARNING_MONITOR == tempAPKScence.monitorUserLearning) {
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "notifyAPPStateChange, init app state");
                this.monitorAPPUID = uid;
                this.apkStartTime = java.lang.System.currentTimeMillis();
            }
        } else if (uid != this.monitorAPPUID) {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "notifyAPPStateChange, prepare to notify userlearning");
            this.hwUserLearning.notifyAPPStateChange(this.apkStartTime, java.lang.System.currentTimeMillis(), lastAPPStateInfo.mAppId);
            this.monitorAPPUID = -1;
        }
    }

    public boolean isGeneralGameApp(java.lang.String packageName) {
        if (this.hwResourceManger.checkIsMonitorGameScence(packageName) != null) {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "it is a monitor game");
            return false;
        } else if (isGameTypeForRecoManager(this.mAppTypeRecoManager.getAppType(packageName))) {
            return true;
        } else {
            if (android.text.TextUtils.isEmpty(packageName)) {
                return false;
            }
            if (isDefaultGameType(packageName)) {
                return true;
            }
            if (packageName.contains(":") && isGameTypeForRecoManager(this.mAppTypeRecoManager.getAppType(getRealAppName(packageName)))) {
                return true;
            }
            if (com.android.server.hidata.appqoe.HwAPPQoEUtils.GAME_ASSISIT_ENABLE) {
                return com.huawei.android.app.ActivityManagerEx.isInGameSpace(packageName);
            }
            return false;
        }
    }

    private boolean isGameTypeForRecoManager(int type) {
        if (305 != type) {
            if (9 != type) {
                return false;
            }
        }
        return true;
    }

    private boolean isDefaultGameType(java.lang.String appName) {
        if (!android.text.TextUtils.isEmpty(appName)) {
            for (java.lang.String startsWith : DEFAULT_GAME_NAMES) {
                if (appName.startsWith(startsWith)) {
                    return true;
                }
            }
        }
        return false;
    }

    private java.lang.String getRealAppName(java.lang.String appName) {
        java.lang.String realName = "";
        if (android.text.TextUtils.isEmpty(appName) || !appName.contains(":")) {
            return realName;
        }
        java.lang.String[] appNames = appName.split(":", 2);
        if (appNames.length > 0) {
            return appNames[0];
        }
        return realName;
    }
}
