package com.android.server.hidata.appqoe;

public class HwAPPQoEContentAware {
    private static final int GAME_REG_MAX_RETRY_CNT = 3;
    private static final int GAME_REG_RETRY_STEP = 10000;
    private static java.lang.String TAG = "HiData_HwAPPQoEContentAware";
    private static com.android.server.hidata.appqoe.HwAPPQoEContentAware mHwAPPQoEContentAware = null;
    private static android.os.Handler stmHandler = null;
    private int gameRegRetryCnt = 0;
    private com.android.server.hidata.appqoe.HwAPPQoEGameCallback mGameCallback = new com.android.server.hidata.appqoe.HwAPPQoEGameCallback();

    private HwAPPQoEContentAware(android.content.Context context, android.os.Handler handler) {
        com.android.server.hidata.appqoe.HwAPPQoEActivityMonitor.createHwAPPQoEActivityMonitor(context);
        registerAllGameCallbacks();
    }

    protected static com.android.server.hidata.appqoe.HwAPPQoEContentAware createHwAPPQoEContentAware(android.content.Context context, android.os.Handler handler) {
        stmHandler = handler;
        if (mHwAPPQoEContentAware == null) {
            mHwAPPQoEContentAware = new com.android.server.hidata.appqoe.HwAPPQoEContentAware(context, handler);
        }
        return mHwAPPQoEContentAware;
    }

    public void reRegisterAllGameCallbacks() {
        registerAllGameCallbacks();
    }

    private void registerAllGameCallbacks() {
        boolean isGameRegSucc = registerGameCallback("RES:com.netease.hyxd*->1|7|10000|10001;com.tencent.tmgp.sgame->4|12|10000|10001;com.tencent.tmgp.pubgmhd->1|7|10000|10001", this.mGameCallback);
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("game register result is: ");
        stringBuilder.append(isGameRegSucc);
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
        if (!isGameRegSucc && this.gameRegRetryCnt <= 3) {
            this.gameRegRetryCnt++;
            stmHandler.sendEmptyMessageDelayed(202, (long) (this.gameRegRetryCnt * 10000));
        }
    }

    private boolean registerGameCallback(java.lang.String packageName, com.android.server.hidata.appqoe.HwAPPQoEGameCallback mGameCallback) {
        android.os.Parcel data = android.os.Parcel.obtain();
        android.os.Parcel reply = android.os.Parcel.obtain();
        data.writeString(packageName);
        data.writeStrongBinder(mGameCallback);
        android.rms.iaware.IAwareSdkCore.handleEvent(4, data, reply);
        int ret = reply.readInt();
        reply.recycle();
        data.recycle();
        return ret > 0;
    }

    public static void sentNotificationToSTM(com.android.server.hidata.appqoe.HwAPPStateInfo monitorApp, int action) {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("sentNotifacationToSTM: ");
        stringBuilder.append(monitorApp.toString());
        stringBuilder.append(", action:");
        stringBuilder.append(action);
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
        if (stmHandler == null) {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "sentNotifacationToSTM, stmHandler is null");
            return;
        }
        com.android.server.hidata.appqoe.HwAPPStateInfo tempAPPStateInfo = new com.android.server.hidata.appqoe.HwAPPStateInfo();
        tempAPPStateInfo.copyObjectValue(monitorApp);
        stmHandler.sendMessage(stmHandler.obtainMessage(action, tempAPPStateInfo));
    }
}
