package com.android.server.hidata.appqoe;

public class HwAPPQoEManager implements com.android.server.hidata.channelqoe.IChannelQoECallback {
    private static final java.lang.String TAG = "HiData_HwAPPQoEManager";
    private static final int USER_HANDOVER_TO_WIFI = 9;
    private static com.android.server.hidata.appqoe.HwAPPQoEManager mHwAPPQoEManager = null;
    com.android.server.hidata.appqoe.IHwAPPQoECallback mBrainCallback = null;
    private android.content.Context mContext;
    private com.android.server.hidata.appqoe.HwAPPQoEStateMachine mHwAPPQoEStateMachine = null;
    private com.android.server.hidata.channelqoe.HwChannelQoEManager mHwChannelQoEManager = null;
    com.android.server.hidata.appqoe.IHwAPPQoECallback mWaveMappingCallback = null;

    private HwAPPQoEManager(android.content.Context context) {
        this.mContext = context;
        this.mHwAPPQoEStateMachine = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.createHwAPPQoEStateMachine(context);
    }

    public static com.android.server.hidata.appqoe.HwAPPQoEManager createHwAPPQoEManager(android.content.Context context) {
        if (mHwAPPQoEManager == null) {
            mHwAPPQoEManager = new com.android.server.hidata.appqoe.HwAPPQoEManager(context);
        }
        return mHwAPPQoEManager;
    }

    public static com.android.server.hidata.appqoe.HwAPPQoEManager getInstance() {
        if (mHwAPPQoEManager != null) {
            return mHwAPPQoEManager;
        }
        return null;
    }

    public void registerAppQoECallback(com.android.server.hidata.appqoe.IHwAPPQoECallback callback, boolean isBrain) {
        if (isBrain) {
            this.mBrainCallback = callback;
        } else {
            this.mWaveMappingCallback = callback;
        }
    }

    public void queryNetworkQuality(int UID, int scence, int network, boolean needRtt) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("queryNetworkQuality UID = ");
        stringBuilder.append(UID);
        stringBuilder.append(" scence = ");
        stringBuilder.append(scence);
        stringBuilder.append(" network = ");
        stringBuilder.append(network);
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEManager", stringBuilder.toString());
        com.android.server.hidata.appqoe.HwAPPQoEResourceManger manager = com.android.server.hidata.appqoe.HwAPPQoEResourceManger.getInstance();
        if (manager != null) {
            int qci;
            com.android.server.hidata.appqoe.HwAPPQoEAPKConfig conifg = manager.getAPKScenceConfig(scence);
            if (conifg != null) {
                qci = conifg.mQci;
            } else {
                qci = 0;
            }
            this.mHwChannelQoEManager = com.android.server.hidata.channelqoe.HwChannelQoEManager.createInstance(this.mContext);
            this.mHwChannelQoEManager.queryChannelQuality(UID, scence, network, qci, this);
        }
    }

    public com.android.server.hidata.appqoe.IHwAPPQoECallback getAPPQoECallback(boolean isBrain) {
        if (isBrain) {
            return this.mBrainCallback;
        }
        return this.mWaveMappingCallback;
    }

    public void startWifiLinkMonitor(int UID, int scence) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("startWifiLinkMonitor UID = ");
        stringBuilder.append(UID);
        stringBuilder.append(" scence = ");
        stringBuilder.append(scence);
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEManager", stringBuilder.toString());
        com.android.server.hidata.appqoe.HwAPPQoEResourceManger manager = com.android.server.hidata.appqoe.HwAPPQoEResourceManger.getInstance();
        if (manager != null) {
            int qci;
            com.android.server.hidata.appqoe.HwAPPQoEAPKConfig conifg = manager.getAPKScenceConfig(scence);
            if (conifg != null) {
                qci = conifg.mQci;
            } else {
                qci = 0;
            }
            this.mHwChannelQoEManager = com.android.server.hidata.channelqoe.HwChannelQoEManager.createInstance(this.mContext);
            this.mHwChannelQoEManager.startWifiLinkMonitor(UID, scence, qci, this);
        }
    }

    public void stopWifiLinkMonitor(int UID, boolean stopAll) {
        this.mHwChannelQoEManager = com.android.server.hidata.channelqoe.HwChannelQoEManager.createInstance(this.mContext);
        this.mHwChannelQoEManager.stopWifiLinkMonitor(UID, stopAll);
    }

    public void onMplinkStateChange(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo, int mplinkEvent, int failReason) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Enter onMplinkStateChange mplinkEvent = ");
        stringBuilder.append(mplinkEvent);
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEManager", stringBuilder.toString());
        if (mplinkEvent == 9 && appInfo != null) {
            com.android.server.hidata.appqoe.HwAPPChrManager.getInstance().updateStatisInfo(appInfo, 8);
            com.android.server.hidata.appqoe.HwAPPQoEUserAction mHwAPPQoEUserAction = com.android.server.hidata.appqoe.HwAPPQoEUserAction.getInstance();
            if (mHwAPPQoEUserAction != null) {
                android.content.Context context = this.mContext;
                android.content.Context context2 = this.mContext;
                android.net.wifi.WifiInfo mWifiInfo = ((android.net.wifi.WifiManager) context.getSystemService("wifi")).getConnectionInfo();
                if (mWifiInfo != null && mWifiInfo.getSSID() != null) {
                    mHwAPPQoEUserAction.updateUserActionData(1, appInfo.mAppId, mWifiInfo.getSSID());
                }
            }
        }
    }

    public com.android.server.hidata.appqoe.HwAPPStateInfo getCurAPPStateInfo() {
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEManager", "Enter getCurAPPStateInfo.");
        return this.mHwAPPQoEStateMachine.getCurAPPStateInfo();
    }

    public void logE(java.lang.String info) {
        android.util.Log.e("HiData_HwAPPQoEManager", info);
    }

    public void onChannelQuality(int UID, int scence, int network, int label) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onChannelQuality UID = ");
        stringBuilder.append(UID);
        stringBuilder.append(" scence =  network = ");
        stringBuilder.append(network);
        stringBuilder.append(" label = ");
        stringBuilder.append(label);
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEManager", stringBuilder.toString());
        boolean result = false;
        if (this.mBrainCallback != null) {
            if (label == 0) {
                result = true;
            }
            this.mBrainCallback.onNetworkQualityCallBack(UID, scence, network, result);
        }
    }

    public void onWifiLinkQuality(int UID, int scence, int label) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onWifiLinkQuality UID = ");
        stringBuilder.append(UID);
        stringBuilder.append(" scence = ");
        stringBuilder.append(scence);
        stringBuilder.append(" label = ");
        stringBuilder.append(label);
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEManager", stringBuilder.toString());
        boolean result = false;
        if (this.mBrainCallback != null) {
            if (label == 0) {
                result = true;
            }
            this.mBrainCallback.onWifiLinkQuality(UID, scence, result);
        }
    }

    public void onCellPSAvailable(boolean isOK, int reason) {
    }

    private static boolean getSettingsSystemBoolean(android.content.ContentResolver cr, java.lang.String name, boolean def) {
        return android.provider.Settings.System.getInt(cr, name, def) == 1;
    }

    public boolean getHidataState() {
        return getSettingsSystemBoolean(this.mContext.getContentResolver(), "smart_network_switching", false);
    }

    public void onCurrentRtt(int rtt) {
    }
}
