package com.android.server.hidata.appqoe;

public class HwAPPQoEResourceMangerImpl {
    private static final java.lang.String CFG_FILE_NAME = "/hidata_config_cust.xml";
    private static final java.lang.String CFG_VER_DIR = "emcom/noncell";
    private static final int PARA_UPGRADE_FILE_NOTEXIST = 0;
    private static final int PARA_UPGRADE_RESPONSE_FILE_ERROR = 6;
    private static final int PARA_UPGRADE_RESPONSE_UPGRADE_ALREADY = 4;
    private static final int PARA_UPGRADE_RESPONSE_UPGRADE_FAILURE = 9;
    private static final int PARA_UPGRADE_RESPONSE_UPGRADE_PENDING = 7;
    private static final int PARA_UPGRADE_RESPONSE_UPGRADE_SUCCESS = 8;
    private static final int PARA_UPGRADE_RESPONSE_VERSION_MISMATCH = 5;
    private static final java.lang.String TAG = "HiData_HwAPPQoEResourceMangerImpl";
    private boolean isXmlLoadFinsh = false;
    private java.util.List<com.android.server.hidata.appqoe.HwAPPQoEAPKConfig> mAPKConfigList = new java.util.ArrayList();
    private java.util.List<com.android.server.hidata.appqoe.HwAPPQoEGameConfig> mGameConfigList = new java.util.ArrayList();
    private com.android.server.hidata.channelqoe.HwCHQciManager mHwCHQciManager;
    private com.android.server.hidata.mplink.HwMpLinkContentAware mHwMpLinkContentAware;
    private final java.lang.Object mLock = new java.lang.Object();

    public class MyRunnable implements java.lang.Runnable {
        public void run() {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", "Start read thread");
            com.android.server.hidata.appqoe.HwAPPQoEResourceMangerImpl.this.readAppConfigList();
        }
    }

    public HwAPPQoEResourceMangerImpl() {
        init();
    }

    private void init() {
        this.mHwMpLinkContentAware = com.android.server.hidata.mplink.HwMpLinkContentAware.onlyGetInstance();
        this.mHwCHQciManager = com.android.server.hidata.channelqoe.HwCHQciManager.getInstance();
        new java.lang.Thread(new com.android.server.hidata.appqoe.HwAPPQoEResourceMangerImpl.MyRunnable()).start();
    }

    public void onConfigFilePathChanged() {
        new java.lang.Thread(new com.android.server.hidata.appqoe.HwAPPQoEResourceMangerImpl.MyRunnable()).start();
    }

    public void responseForParaUpdate(int result) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("appqoe response,  result: ");
        stringBuilder.append(result);
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", stringBuilder.toString());
        android.emcom.EmcomManager mEmcomManager = android.emcom.EmcomManager.getInstance();
        if (mEmcomManager != null) {
            mEmcomManager.responseForParaUpgrade(16, 1, result);
        }
    }

    public java.lang.String getConfigFilePath() {
        java.lang.String configFilePath = null;
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", "getConfigFilePath, enter");
        try {
            java.lang.String[] cfgFileInfo = huawei.cust.HwCfgFilePolicy.getDownloadCfgFile("emcom/noncell", "emcom/noncell/hidata_config_cust.xml");
            java.lang.StringBuilder stringBuilder;
            if (cfgFileInfo == null) {
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logE("Both default and cota config files not exist");
                responseForParaUpdate(0);
            } else if (cfgFileInfo[0].contains("/cota")) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("cota config file path is: ");
                stringBuilder.append(cfgFileInfo[0]);
                stringBuilder.append(", version:");
                stringBuilder.append(cfgFileInfo[1]);
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", stringBuilder.toString());
                configFilePath = cfgFileInfo[0];
            } else {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("system config file path is: ");
                stringBuilder.append(cfgFileInfo[0]);
                stringBuilder.append(", version:");
                stringBuilder.append(cfgFileInfo[1]);
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", stringBuilder.toString());
                configFilePath = cfgFileInfo[0];
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("getConfigFilePath exception:");
            stringBuilder2.append(e);
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", stringBuilder2.toString());
            responseForParaUpdate(6);
        }
        return configFilePath;
    }

    /* JADX WARNING: Removed duplicated region for block: B:114:0x02a6  */
    /* JADX WARNING: Missing block: B:34:0x00bf, code:
            r10 = r0;
     */
    public void readAppConfigList() {
        /*
        r18 = this;
        r1 = r18;
        r2 = 0;
        r3 = 0;
        r4 = r18.getConfigFilePath();
        if (r4 != 0) goto L_0x0012;
    L_0x000a:
        r0 = "HiData_HwAPPQoEResourceMangerImpl";
        r5 = "readAppConfigList, configPath is null";
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r5);
        return;
    L_0x0012:
        r0 = new java.io.File;
        r0.<init>(r4);
        r5 = r0;
        r0 = r5.exists();
        r6 = 0;
        if (r0 != 0) goto L_0x002a;
    L_0x001f:
        r1.responseForParaUpdate(r6);
        r0 = "HiData_HwAPPQoEResourceMangerImpl";
        r6 = "readAppConfigList, configPath not exit";
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r6);
        return;
    L_0x002a:
        r7 = 0;
        r8 = 0;
        r9 = 0;
        r0 = 0;
        r10 = r0;
        r12 = 1;
        r0 = new java.io.FileInputStream;	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r0.<init>(r5);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r2 = r0;
        r0 = android.util.Xml.newPullParser();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r3 = r0;
        r0 = "utf-8";
        r3.setInput(r2, r0);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r0 = new java.util.ArrayList;	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r0.<init>();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r13 = r0;
        r0 = new java.util.ArrayList;	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r0.<init>();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r14 = r0;
        r0 = r3.getEventType();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
    L_0x0051:
        r15 = r0;
        if (r15 == r12) goto L_0x01c9;
    L_0x0054:
        if (r15 == 0) goto L_0x01c1;
    L_0x0056:
        switch(r15) {
            case 2: goto L_0x00c2;
            case 3: goto L_0x005b;
            default: goto L_0x0059;
        };	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
    L_0x0059:
        goto L_0x01c2;
    L_0x005b:
        r0 = r3.getName();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r12 = "APKInfo";
        r0 = r0.equals(r12);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        if (r0 == 0) goto L_0x0075;
    L_0x0067:
        r0 = "HiData_HwAPPQoEResourceMangerImpl";
        r12 = "readAppConfigList, save APKInfo ";
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r12);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r13.add(r7);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r0 = 0;
        r7 = r0;
        goto L_0x01c2;
    L_0x0075:
        r0 = r3.getName();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r12 = "GameInfo";
        r0 = r0.equals(r12);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        if (r0 == 0) goto L_0x008f;
    L_0x0081:
        r0 = "HiData_HwAPPQoEResourceMangerImpl";
        r12 = "readAppConfigList, save GameInfo ";
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r12);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r14.add(r8);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r0 = 0;
        r8 = r0;
        goto L_0x01c2;
    L_0x008f:
        r0 = "vendor";
        r12 = r3.getName();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r0 = r0.equals(r12);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        if (r0 == 0) goto L_0x00a9;
    L_0x009c:
        r0 = r1.mHwMpLinkContentAware;	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        if (r0 == 0) goto L_0x00a5;
    L_0x00a0:
        r0 = r1.mHwMpLinkContentAware;	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r0.addMpLinkDeviceAPP(r9);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
    L_0x00a5:
        r0 = 0;
        r9 = r0;
        goto L_0x01c2;
    L_0x00a9:
        r0 = "QciInfo";
        r12 = r3.getName();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r0 = r0.equals(r12);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        if (r0 == 0) goto L_0x01c2;
    L_0x00b5:
        r0 = r1.mHwCHQciManager;	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        if (r0 == 0) goto L_0x00be;
    L_0x00b9:
        r0 = r1.mHwCHQciManager;	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r0.addConfig(r10);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
    L_0x00be:
        r0 = 0;
    L_0x00bf:
        r10 = r0;
        goto L_0x01c2;
    L_0x00c2:
        r0 = r3.getName();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r12 = "APKInfo";
        r0 = r0.equals(r12);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        if (r0 == 0) goto L_0x00f4;
    L_0x00ce:
        r0 = new com.android.server.hidata.appqoe.HwAPPQoEAPKConfig;	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r0.<init>();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r7 = r0;
        r0 = r3.getAttributeValue(r6);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r7.packageName = r0;	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r0 = "HiData_HwAPPQoEResourceMangerImpl";
        r12 = new java.lang.StringBuilder;	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r12.<init>();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r11 = "readAppConfigList, create APKConfig: ";
        r12.append(r11);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r11 = r7.packageName;	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r12.append(r11);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r11 = r12.toString();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r11);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        goto L_0x01c2;
    L_0x00f4:
        r0 = r3.getName();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r11 = "GameInfo";
        r0 = r0.equals(r11);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        if (r0 == 0) goto L_0x0126;
    L_0x0100:
        r0 = new com.android.server.hidata.appqoe.HwAPPQoEGameConfig;	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r0.<init>();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r8 = r0;
        r0 = r3.getAttributeValue(r6);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r8.mGameName = r0;	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r0 = "HiData_HwAPPQoEResourceMangerImpl";
        r11 = new java.lang.StringBuilder;	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r11.<init>();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r12 = "readAppConfigList, create GameConfig: ";
        r11.append(r12);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r12 = r8.mGameName;	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r11.append(r12);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r11 = r11.toString();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r11);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        goto L_0x01c2;
    L_0x0126:
        r0 = "mplink_version";
        r11 = r3.getName();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r0 = r0.equals(r11);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        if (r0 == 0) goto L_0x0141;
    L_0x0132:
        r0 = r1.mHwMpLinkContentAware;	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        if (r0 == 0) goto L_0x01c2;
    L_0x0136:
        r0 = r1.mHwMpLinkContentAware;	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r11 = r3.nextText();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r0.setMpLinkVersion(r11);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        goto L_0x01c2;
    L_0x0141:
        r0 = "mplink_enable";
        r11 = r3.getName();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r0 = r0.equals(r11);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        if (r0 == 0) goto L_0x015b;
    L_0x014d:
        r0 = r1.mHwMpLinkContentAware;	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        if (r0 == 0) goto L_0x01c2;
    L_0x0151:
        r0 = r1.mHwMpLinkContentAware;	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r11 = r3.nextText();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r0.setMpLinkEnable(r11);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        goto L_0x01c2;
    L_0x015b:
        r0 = "vendor";
        r11 = r3.getName();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r0 = r0.equals(r11);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        if (r0 == 0) goto L_0x0176;
    L_0x0168:
        r0 = new com.android.server.hidata.mplink.HwMpLinkConfigInfo;	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r0.<init>();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r9 = r0;
        r0 = r3.getAttributeValue(r6);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r9.setmVendorOui(r0);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        goto L_0x01c2;
    L_0x0176:
        r0 = "QciInfo";
        r11 = r3.getName();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r0 = r0.equals(r11);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        if (r0 == 0) goto L_0x0189;
    L_0x0182:
        r0 = new com.android.server.hidata.channelqoe.HwCHQciConfig;	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r0.<init>();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        goto L_0x00bf;
    L_0x0189:
        if (r7 == 0) goto L_0x0197;
    L_0x018b:
        r0 = r3.getName();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r11 = r3.nextText();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r1.fillAPKConfig(r7, r0, r11);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        goto L_0x01c2;
    L_0x0197:
        if (r8 == 0) goto L_0x01a5;
    L_0x0199:
        r0 = r3.getName();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r11 = r3.nextText();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r1.fillGameConfig(r8, r0, r11);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        goto L_0x01c2;
    L_0x01a5:
        if (r9 == 0) goto L_0x01b3;
    L_0x01a7:
        r0 = r3.getName();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r11 = r3.nextText();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r1.fillMpLinkConfig(r9, r0, r11);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        goto L_0x01c2;
    L_0x01b3:
        if (r10 == 0) goto L_0x01c2;
    L_0x01b5:
        r0 = r3.getName();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r11 = r3.nextText();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r1.fillQCIConfig(r10, r0, r11);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        goto L_0x01c2;
    L_0x01c2:
        r0 = r3.next();	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r12 = 1;
        goto L_0x0051;
    L_0x01c9:
        r11 = r1.mLock;	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        monitor-enter(r11);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r0 = r1.mAPKConfigList;	 Catch:{ all -> 0x01fd }
        r0.clear();	 Catch:{ all -> 0x01fd }
        r0 = r1.mAPKConfigList;	 Catch:{ all -> 0x01fd }
        r0.addAll(r13);	 Catch:{ all -> 0x01fd }
        r13.clear();	 Catch:{ all -> 0x01fd }
        r0 = r1.mGameConfigList;	 Catch:{ all -> 0x01fd }
        r0.clear();	 Catch:{ all -> 0x01fd }
        r0 = r1.mGameConfigList;	 Catch:{ all -> 0x01fd }
        r0.addAll(r14);	 Catch:{ all -> 0x01fd }
        r14.clear();	 Catch:{ all -> 0x01fd }
        monitor-exit(r11);	 Catch:{ all -> 0x01fd }
        r0 = 8;
        r1.responseForParaUpdate(r0);	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
        r2.close();	 Catch:{ Exception -> 0x01f2 }
        goto L_0x029c;
    L_0x01f2:
        r0 = move-exception;
        r6 = r0;
        r6 = "HiData_HwAPPQoEResourceMangerImpl";
        r11 = new java.lang.StringBuilder;
        r11.<init>();
        goto L_0x028c;
    L_0x01fd:
        r0 = move-exception;
        monitor-exit(r11);	 Catch:{ all -> 0x01fd }
        throw r0;	 Catch:{ FileNotFoundException -> 0x0263, IOException -> 0x0235, XmlPullParserException -> 0x0206 }
    L_0x0200:
        r0 = move-exception;
        r6 = r3;
        r3 = r2;
        r2 = r0;
        goto L_0x02ae;
    L_0x0206:
        r0 = move-exception;
        r6 = "HiData_HwAPPQoEResourceMangerImpl";
        r11 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0200 }
        r11.<init>();	 Catch:{ all -> 0x0200 }
        r12 = "readAppConfigList exception 3:";
        r11.append(r12);	 Catch:{ all -> 0x0200 }
        r11.append(r0);	 Catch:{ all -> 0x0200 }
        r11 = r11.toString();	 Catch:{ all -> 0x0200 }
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r6, r11);	 Catch:{ all -> 0x0200 }
        r6 = 6;
        r1.responseForParaUpdate(r6);	 Catch:{ all -> 0x0200 }
        r0.printStackTrace();	 Catch:{ all -> 0x0200 }
        if (r2 == 0) goto L_0x029c;
    L_0x0226:
        r2.close();	 Catch:{ Exception -> 0x022b }
        goto L_0x029c;
    L_0x022b:
        r0 = move-exception;
        r6 = r0;
        r6 = "HiData_HwAPPQoEResourceMangerImpl";
        r11 = new java.lang.StringBuilder;
        r11.<init>();
        goto L_0x028c;
    L_0x0235:
        r0 = move-exception;
        r6 = "HiData_HwAPPQoEResourceMangerImpl";
        r11 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0200 }
        r11.<init>();	 Catch:{ all -> 0x0200 }
        r12 = "readAppConfigList exception 2:";
        r11.append(r12);	 Catch:{ all -> 0x0200 }
        r11.append(r0);	 Catch:{ all -> 0x0200 }
        r11 = r11.toString();	 Catch:{ all -> 0x0200 }
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r6, r11);	 Catch:{ all -> 0x0200 }
        r6 = 6;
        r1.responseForParaUpdate(r6);	 Catch:{ all -> 0x0200 }
        r0.printStackTrace();	 Catch:{ all -> 0x0200 }
        if (r2 == 0) goto L_0x029c;
    L_0x0255:
        r2.close();	 Catch:{ Exception -> 0x0259 }
        goto L_0x029c;
    L_0x0259:
        r0 = move-exception;
        r6 = r0;
        r6 = "HiData_HwAPPQoEResourceMangerImpl";
        r11 = new java.lang.StringBuilder;
        r11.<init>();
        goto L_0x028c;
    L_0x0263:
        r0 = move-exception;
        r11 = "HiData_HwAPPQoEResourceMangerImpl";
        r12 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0200 }
        r12.<init>();	 Catch:{ all -> 0x0200 }
        r13 = "readAppConfigList exception 1:";
        r12.append(r13);	 Catch:{ all -> 0x0200 }
        r12.append(r0);	 Catch:{ all -> 0x0200 }
        r12 = r12.toString();	 Catch:{ all -> 0x0200 }
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r11, r12);	 Catch:{ all -> 0x0200 }
        r1.responseForParaUpdate(r6);	 Catch:{ all -> 0x0200 }
        if (r2 == 0) goto L_0x029c;
    L_0x027f:
        r2.close();	 Catch:{ Exception -> 0x0283 }
        goto L_0x029c;
    L_0x0283:
        r0 = move-exception;
        r6 = r0;
        r6 = "HiData_HwAPPQoEResourceMangerImpl";
        r11 = new java.lang.StringBuilder;
        r11.<init>();
    L_0x028c:
        r12 = "readAppConfigList exception 4:";
        r11.append(r12);
        r11.append(r0);
        r11 = r11.toString();
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r6, r11);
        goto L_0x029d;
    L_0x029d:
        r6 = r2;
        r11 = r3;
        r12 = r7;
        r13 = r8;
        r14 = r9;
        r15 = r10;
        r2 = r1.mLock;
        monitor-enter(r2);
        r3 = 1;
        r1.isXmlLoadFinsh = r3;	 Catch:{ all -> 0x02ab }
        monitor-exit(r2);	 Catch:{ all -> 0x02ab }
        return;
    L_0x02ab:
        r0 = move-exception;
        monitor-exit(r2);	 Catch:{ all -> 0x02ab }
        throw r0;
        if (r3 == 0) goto L_0x02ce;
    L_0x02b1:
        r3.close();	 Catch:{ Exception -> 0x02b5 }
        goto L_0x02ce;
    L_0x02b5:
        r0 = move-exception;
        r11 = r0;
        r11 = new java.lang.StringBuilder;
        r11.<init>();
        r12 = "readAppConfigList exception 4:";
        r11.append(r12);
        r11.append(r0);
        r11 = r11.toString();
        r12 = "HiData_HwAPPQoEResourceMangerImpl";
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r12, r11);
    L_0x02ce:
        throw r2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.appqoe.HwAPPQoEResourceMangerImpl.readAppConfigList():void");
    }

    public void fillAPKConfig(com.android.server.hidata.appqoe.HwAPPQoEAPKConfig config, java.lang.String elementName, java.lang.String elementValue) {
        if (elementName != null) {
            if (config != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("fillAPKConfig:");
                stringBuilder.append(elementName);
                stringBuilder.append(",");
                stringBuilder.append(elementValue);
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", stringBuilder.toString());
                java.lang.Object obj = -1;
                switch (elementName.hashCode()) {
                    case -2137635847:
                        if (elementName.equals("mHistoryQoeBadTH")) {
                            obj = 10;
                            break;
                        }
                        break;
                    case -1814569853:
                        if (elementName.equals("mAggressiveStallTH")) {
                            obj = 12;
                            break;
                        }
                        break;
                    case -1110914385:
                        if (elementName.equals("mAppId")) {
                            obj = 1;
                            break;
                        }
                        break;
                    case -923620903:
                        if (elementName.equals("mGeneralStallTH")) {
                            obj = 11;
                            break;
                        }
                        break;
                    case -836023979:
                        if (elementName.equals("mAppPeriod")) {
                            obj = 5;
                            break;
                        }
                        break;
                    case -154939613:
                        if (elementName.equals("mScenceId")) {
                            obj = 3;
                            break;
                        }
                        break;
                    case -154462957:
                        if (elementName.equals("mScenseId")) {
                            obj = 2;
                            break;
                        }
                        break;
                    case -90462973:
                        if (elementName.equals("mAction")) {
                            obj = 9;
                            break;
                        }
                        break;
                    case -9888733:
                        if (elementName.equals("className")) {
                            obj = null;
                            break;
                        }
                        break;
                    case 3328234:
                        if (elementName.equals("mQci")) {
                            obj = 7;
                            break;
                        }
                        break;
                    case 183978075:
                        if (elementName.equals("mAppAlgorithm")) {
                            obj = 6;
                            break;
                        }
                        break;
                    case 270217909:
                        if (elementName.equals("mReserved")) {
                            obj = 13;
                            break;
                        }
                        break;
                    case 292004483:
                        if (elementName.equals("monitorUserLearning")) {
                            obj = 8;
                            break;
                        }
                        break;
                    case 1427238722:
                        if (elementName.equals("mScenceType")) {
                            obj = 4;
                            break;
                        }
                        break;
                    default:
                        break;
                }
                switch (obj) {
                    case null:
                        config.className = elementValue;
                        break;
                    case 1:
                        config.mAppId = java.lang.Integer.parseInt(elementValue);
                        break;
                    case 2:
                    case 3:
                        config.mScenceId = java.lang.Integer.parseInt(elementValue);
                        break;
                    case 4:
                        config.mScenceType = java.lang.Integer.parseInt(elementValue);
                        break;
                    case 5:
                        config.mAppPeriod = java.lang.Integer.parseInt(elementValue);
                        break;
                    case 6:
                        config.mAppAlgorithm = java.lang.Integer.parseInt(elementValue);
                        break;
                    case 7:
                        config.mQci = java.lang.Integer.parseInt(elementValue);
                        break;
                    case 8:
                        config.monitorUserLearning = java.lang.Integer.parseInt(elementValue);
                        break;
                    case 9:
                        config.mAction = java.lang.Integer.parseInt(elementValue);
                        break;
                    case 10:
                        config.mHistoryQoeBadTH = java.lang.Float.parseFloat(elementValue);
                        break;
                    case 11:
                        config.mGeneralStallTH = java.lang.Integer.parseInt(elementValue);
                        break;
                    case 12:
                        config.mAggressiveStallTH = java.lang.Integer.parseInt(elementValue);
                        break;
                    case 13:
                        config.mReserved = elementValue;
                        break;
                    default:
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("fillAPKConfig, invalid element name:");
                        stringBuilder.append(elementName);
                        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", stringBuilder.toString());
                        break;
                }
                return;
            }
        }
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", "fillAPKConfig, input error");
    }

    public void fillGameConfig(com.android.server.hidata.appqoe.HwAPPQoEGameConfig config, java.lang.String elementName, java.lang.String elementValue) {
        if (elementName != null) {
            if (config != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("fillGameConfig:");
                stringBuilder.append(elementName);
                stringBuilder.append(",");
                stringBuilder.append(elementValue);
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", stringBuilder.toString());
                java.lang.Object obj = -1;
                switch (elementName.hashCode()) {
                    case -2137635847:
                        if (elementName.equals("mHistoryQoeBadTH")) {
                            obj = 5;
                            break;
                        }
                        break;
                    case -1838174908:
                        if (elementName.equals("mGameKQI")) {
                            obj = 2;
                            break;
                        }
                        break;
                    case -1838167053:
                        if (elementName.equals("mGameRtt")) {
                            obj = 3;
                            break;
                        }
                        break;
                    case -503942891:
                        if (elementName.equals("mGameAction")) {
                            obj = 4;
                            break;
                        }
                        break;
                    case -154939613:
                        if (elementName.equals("mScenceId")) {
                            obj = 1;
                            break;
                        }
                        break;
                    case 79251322:
                        if (elementName.equals("mGameId")) {
                            obj = null;
                            break;
                        }
                        break;
                    case 270217909:
                        if (elementName.equals("mReserved")) {
                            obj = 6;
                            break;
                        }
                        break;
                    default:
                        break;
                }
                switch (obj) {
                    case null:
                        config.mGameId = java.lang.Integer.parseInt(elementValue);
                        break;
                    case 1:
                        config.mScenceId = java.lang.Integer.parseInt(elementValue);
                        break;
                    case 2:
                        config.mGameKQI = java.lang.Integer.parseInt(elementValue);
                        break;
                    case 3:
                        config.mGameRtt = java.lang.Integer.parseInt(elementValue);
                        break;
                    case 4:
                        config.mGameAction = java.lang.Integer.parseInt(elementValue);
                        break;
                    case 5:
                        config.mHistoryQoeBadTH = java.lang.Float.parseFloat(elementValue);
                        break;
                    case 6:
                        config.mReserved = elementValue;
                        break;
                    default:
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("fillGameConfig, invalid element name: ");
                        stringBuilder.append(elementName);
                        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", stringBuilder.toString());
                        break;
                }
                return;
            }
        }
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", "fillGameConfig, input error");
    }

    public void fillQCIConfig(com.android.server.hidata.channelqoe.HwCHQciConfig config, java.lang.String elementName, java.lang.String elementValue) {
        if (elementName != null) {
            if (config != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("fillQCIConfig:");
                stringBuilder.append(elementName);
                stringBuilder.append(",");
                stringBuilder.append(elementValue);
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", stringBuilder.toString());
                java.lang.Object obj = -1;
                switch (elementName.hashCode()) {
                    case 79991:
                        if (elementName.equals("QCI")) {
                            obj = null;
                            break;
                        }
                        break;
                    case 81490:
                        if (elementName.equals("RTT")) {
                            obj = 1;
                            break;
                        }
                        break;
                    case 2525271:
                        if (elementName.equals("RSSI")) {
                            obj = 2;
                            break;
                        }
                        break;
                    case 2582043:
                        if (elementName.equals("TPUT")) {
                            obj = 4;
                            break;
                        }
                        break;
                    case 1986988747:
                        if (elementName.equals("CHLOAD")) {
                            obj = 3;
                            break;
                        }
                        break;
                    default:
                        break;
                }
                switch (obj) {
                    case null:
                        config.mQci = java.lang.Integer.parseInt(elementValue);
                        break;
                    case 1:
                        config.mRtt = java.lang.Integer.parseInt(elementValue);
                        break;
                    case 2:
                        config.mRssi = java.lang.Integer.parseInt(elementValue);
                        break;
                    case 3:
                        config.mChload = java.lang.Integer.parseInt(elementValue);
                        break;
                    case 4:
                        config.mTput = java.lang.Integer.parseInt(elementValue);
                        break;
                    default:
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("fillQCIConfig, invalid element name: ");
                        stringBuilder.append(elementName);
                        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", stringBuilder.toString());
                        break;
                }
                return;
            }
        }
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", "fillQCIConfig, input error");
    }

    public void fillMpLinkConfig(com.android.server.hidata.mplink.HwMpLinkConfigInfo config, java.lang.String elementName, java.lang.String elementValue) {
        if (elementName != null) {
            if (config != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("fillMpLinkConfig:");
                stringBuilder.append(elementName);
                stringBuilder.append(",");
                stringBuilder.append(elementValue);
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", stringBuilder.toString());
                java.lang.Object obj = -1;
                switch (elementName.hashCode()) {
                    case -861311717:
                        if (elementName.equals("condition")) {
                            obj = 6;
                            break;
                        }
                        break;
                    case -793183188:
                        if (elementName.equals("appname")) {
                            obj = 1;
                            break;
                        }
                        break;
                    case -434367618:
                        if (elementName.equals("gatewaytype")) {
                            obj = 3;
                            break;
                        }
                        break;
                    case -350385368:
                        if (elementName.equals("reserved")) {
                            obj = 5;
                            break;
                        }
                        break;
                    case 353371935:
                        if (elementName.equals("encrypttype")) {
                            obj = 4;
                            break;
                        }
                        break;
                    case 398021374:
                        if (elementName.equals("multnetwork")) {
                            obj = 2;
                            break;
                        }
                        break;
                    case 1127930396:
                        if (elementName.equals("custmac")) {
                            obj = null;
                            break;
                        }
                        break;
                    default:
                        break;
                }
                switch (obj) {
                    case null:
                        config.setmCustMac(elementValue);
                        break;
                    case 1:
                        config.setmAppName(elementValue);
                        break;
                    case 2:
                        config.setmMultNetwork(elementValue);
                        break;
                    case 3:
                        config.setmGatewayType(elementValue);
                        break;
                    case 4:
                        config.setmEncryptType(elementValue);
                        break;
                    case 5:
                        config.setmReserved(elementValue);
                        break;
                    case 6:
                        config.setCondition(elementValue);
                        break;
                    default:
                        break;
                }
                return;
            }
        }
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", "fillGameConfig, input error");
    }

    /* JADX WARNING: Missing block: B:27:0x0068, code:
            if (r0 == null) goto L_0x0080;
     */
    /* JADX WARNING: Missing block: B:28:0x006a, code:
            r2 = new java.lang.StringBuilder();
            r2.append("checkIsMonitorAPKScence end:");
            r2.append(r0);
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", r2.toString());
     */
    /* JADX WARNING: Missing block: B:29:0x0080, code:
            return r0;
     */
    public com.android.server.hidata.appqoe.HwAPPQoEAPKConfig checkIsMonitorAPKScence(java.lang.String r6, java.lang.String r7) {
        /*
        r5 = this;
        r0 = 0;
        r1 = r5.mLock;
        monitor-enter(r1);
        r2 = r5.isXmlLoadFinsh;	 Catch:{ all -> 0x0083 }
        if (r2 == 0) goto L_0x0081;
    L_0x0008:
        r2 = r5.mAPKConfigList;	 Catch:{ all -> 0x0083 }
        r2 = r2.size();	 Catch:{ all -> 0x0083 }
        if (r2 == 0) goto L_0x0081;
    L_0x0010:
        if (r6 != 0) goto L_0x0014;
    L_0x0012:
        goto L_0x0081;
    L_0x0014:
        r2 = "HiData_HwAPPQoEResourceMangerImpl";
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0083 }
        r3.<init>();	 Catch:{ all -> 0x0083 }
        r4 = "checkIsMonitorAPKScence input :";
        r3.append(r4);	 Catch:{ all -> 0x0083 }
        r3.append(r6);	 Catch:{ all -> 0x0083 }
        r4 = ",";
        r3.append(r4);	 Catch:{ all -> 0x0083 }
        r3.append(r7);	 Catch:{ all -> 0x0083 }
        r3 = r3.toString();	 Catch:{ all -> 0x0083 }
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r2, r3);	 Catch:{ all -> 0x0083 }
        r2 = r5.mAPKConfigList;	 Catch:{ all -> 0x0083 }
        r2 = r2.iterator();	 Catch:{ all -> 0x0083 }
    L_0x0038:
        r3 = r2.hasNext();	 Catch:{ all -> 0x0083 }
        if (r3 == 0) goto L_0x0067;
    L_0x003e:
        r3 = r2.next();	 Catch:{ all -> 0x0083 }
        r3 = (com.android.server.hidata.appqoe.HwAPPQoEAPKConfig) r3;	 Catch:{ all -> 0x0083 }
        if (r7 == 0) goto L_0x0057;
    L_0x0046:
        r4 = r3.className;	 Catch:{ all -> 0x0083 }
        r4 = r7.contains(r4);	 Catch:{ all -> 0x0083 }
        if (r4 == 0) goto L_0x0057;
    L_0x004e:
        r2 = 3;
        r4 = r3.mScenceType;	 Catch:{ all -> 0x0083 }
        if (r2 != r4) goto L_0x0055;
    L_0x0053:
        r0 = 0;
        goto L_0x0067;
    L_0x0055:
        r0 = r3;
        goto L_0x0067;
    L_0x0057:
        r4 = r3.packageName;	 Catch:{ all -> 0x0083 }
        r4 = r6.equals(r4);	 Catch:{ all -> 0x0083 }
        if (r4 == 0) goto L_0x0066;
    L_0x005f:
        r4 = r3.mScenceId;	 Catch:{ all -> 0x0083 }
        r4 = r4 % 1000;
        if (r4 != 0) goto L_0x0066;
    L_0x0065:
        r0 = r3;
    L_0x0066:
        goto L_0x0038;
    L_0x0067:
        monitor-exit(r1);	 Catch:{ all -> 0x0083 }
        if (r0 == 0) goto L_0x0080;
    L_0x006a:
        r1 = "HiData_HwAPPQoEResourceMangerImpl";
        r2 = new java.lang.StringBuilder;
        r2.<init>();
        r3 = "checkIsMonitorAPKScence end:";
        r2.append(r3);
        r2.append(r0);
        r2 = r2.toString();
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r1, r2);
    L_0x0080:
        return r0;
    L_0x0081:
        monitor-exit(r1);	 Catch:{ all -> 0x0083 }
        return r0;
    L_0x0083:
        r2 = move-exception;
        monitor-exit(r1);	 Catch:{ all -> 0x0083 }
        throw r2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.appqoe.HwAPPQoEResourceMangerImpl.checkIsMonitorAPKScence(java.lang.String, java.lang.String):com.android.server.hidata.appqoe.HwAPPQoEAPKConfig");
    }

    /* JADX WARNING: Missing block: B:19:0x0051, code:
            if (r0 == null) goto L_0x0069;
     */
    /* JADX WARNING: Missing block: B:20:0x0053, code:
            r2 = new java.lang.StringBuilder();
            r2.append("checkIsMonitorVideoScence end:");
            r2.append(r0);
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", r2.toString());
     */
    /* JADX WARNING: Missing block: B:21:0x0069, code:
            return r0;
     */
    public com.android.server.hidata.appqoe.HwAPPQoEAPKConfig checkIsMonitorVideoScence(java.lang.String r6, java.lang.String r7) {
        /*
        r5 = this;
        r0 = 0;
        r1 = r5.mLock;
        monitor-enter(r1);
        r2 = r5.isXmlLoadFinsh;	 Catch:{ all -> 0x006c }
        if (r2 == 0) goto L_0x006a;
    L_0x0008:
        r2 = r5.mAPKConfigList;	 Catch:{ all -> 0x006c }
        r2 = r2.size();	 Catch:{ all -> 0x006c }
        if (r2 == 0) goto L_0x006a;
    L_0x0010:
        if (r6 != 0) goto L_0x0013;
    L_0x0012:
        goto L_0x006a;
    L_0x0013:
        r2 = "HiData_HwAPPQoEResourceMangerImpl";
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x006c }
        r3.<init>();	 Catch:{ all -> 0x006c }
        r4 = "checkIsMonitorVideoScence input :";
        r3.append(r4);	 Catch:{ all -> 0x006c }
        r3.append(r6);	 Catch:{ all -> 0x006c }
        r4 = ",";
        r3.append(r4);	 Catch:{ all -> 0x006c }
        r3.append(r7);	 Catch:{ all -> 0x006c }
        r3 = r3.toString();	 Catch:{ all -> 0x006c }
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r2, r3);	 Catch:{ all -> 0x006c }
        r2 = r5.mAPKConfigList;	 Catch:{ all -> 0x006c }
        r2 = r2.iterator();	 Catch:{ all -> 0x006c }
    L_0x0037:
        r3 = r2.hasNext();	 Catch:{ all -> 0x006c }
        if (r3 == 0) goto L_0x0050;
    L_0x003d:
        r3 = r2.next();	 Catch:{ all -> 0x006c }
        r3 = (com.android.server.hidata.appqoe.HwAPPQoEAPKConfig) r3;	 Catch:{ all -> 0x006c }
        if (r7 == 0) goto L_0x004f;
    L_0x0045:
        r4 = r3.className;	 Catch:{ all -> 0x006c }
        r4 = r7.contains(r4);	 Catch:{ all -> 0x006c }
        if (r4 == 0) goto L_0x004f;
    L_0x004d:
        r0 = r3;
        goto L_0x0050;
    L_0x004f:
        goto L_0x0037;
    L_0x0050:
        monitor-exit(r1);	 Catch:{ all -> 0x006c }
        if (r0 == 0) goto L_0x0069;
    L_0x0053:
        r1 = "HiData_HwAPPQoEResourceMangerImpl";
        r2 = new java.lang.StringBuilder;
        r2.<init>();
        r3 = "checkIsMonitorVideoScence end:";
        r2.append(r3);
        r2.append(r0);
        r2 = r2.toString();
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r1, r2);
    L_0x0069:
        return r0;
    L_0x006a:
        monitor-exit(r1);	 Catch:{ all -> 0x006c }
        return r0;
    L_0x006c:
        r2 = move-exception;
        monitor-exit(r1);	 Catch:{ all -> 0x006c }
        throw r2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.appqoe.HwAPPQoEResourceMangerImpl.checkIsMonitorVideoScence(java.lang.String, java.lang.String):com.android.server.hidata.appqoe.HwAPPQoEAPKConfig");
    }

    /* JADX WARNING: Missing block: B:17:0x0047, code:
            if (r0 == null) goto L_0x005f;
     */
    /* JADX WARNING: Missing block: B:18:0x0049, code:
            r2 = new java.lang.StringBuilder();
            r2.append("checkIsMonitorGameScence end:");
            r2.append(r0);
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", r2.toString());
     */
    /* JADX WARNING: Missing block: B:19:0x005f, code:
            return r0;
     */
    public com.android.server.hidata.appqoe.HwAPPQoEGameConfig checkIsMonitorGameScence(java.lang.String r6) {
        /*
        r5 = this;
        r0 = 0;
        r1 = r5.mLock;
        monitor-enter(r1);
        r2 = r5.isXmlLoadFinsh;	 Catch:{ all -> 0x0062 }
        if (r2 == 0) goto L_0x0060;
    L_0x0008:
        r2 = r5.mGameConfigList;	 Catch:{ all -> 0x0062 }
        r2 = r2.size();	 Catch:{ all -> 0x0062 }
        if (r2 == 0) goto L_0x0060;
    L_0x0010:
        if (r6 != 0) goto L_0x0013;
    L_0x0012:
        goto L_0x0060;
    L_0x0013:
        r2 = "HiData_HwAPPQoEResourceMangerImpl";
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0062 }
        r3.<init>();	 Catch:{ all -> 0x0062 }
        r4 = "checkIsMonitorGameScence input :";
        r3.append(r4);	 Catch:{ all -> 0x0062 }
        r3.append(r6);	 Catch:{ all -> 0x0062 }
        r3 = r3.toString();	 Catch:{ all -> 0x0062 }
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r2, r3);	 Catch:{ all -> 0x0062 }
        r2 = r5.mGameConfigList;	 Catch:{ all -> 0x0062 }
        r2 = r2.iterator();	 Catch:{ all -> 0x0062 }
    L_0x002f:
        r3 = r2.hasNext();	 Catch:{ all -> 0x0062 }
        if (r3 == 0) goto L_0x0046;
    L_0x0035:
        r3 = r2.next();	 Catch:{ all -> 0x0062 }
        r3 = (com.android.server.hidata.appqoe.HwAPPQoEGameConfig) r3;	 Catch:{ all -> 0x0062 }
        r4 = r3.mGameName;	 Catch:{ all -> 0x0062 }
        r4 = r6.contains(r4);	 Catch:{ all -> 0x0062 }
        if (r4 == 0) goto L_0x0045;
    L_0x0043:
        r0 = r3;
        goto L_0x0046;
    L_0x0045:
        goto L_0x002f;
    L_0x0046:
        monitor-exit(r1);	 Catch:{ all -> 0x0062 }
        if (r0 == 0) goto L_0x005f;
    L_0x0049:
        r1 = "HiData_HwAPPQoEResourceMangerImpl";
        r2 = new java.lang.StringBuilder;
        r2.<init>();
        r3 = "checkIsMonitorGameScence end:";
        r2.append(r3);
        r2.append(r0);
        r2 = r2.toString();
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r1, r2);
    L_0x005f:
        return r0;
    L_0x0060:
        monitor-exit(r1);	 Catch:{ all -> 0x0062 }
        return r0;
    L_0x0062:
        r2 = move-exception;
        monitor-exit(r1);	 Catch:{ all -> 0x0062 }
        throw r2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.appqoe.HwAPPQoEResourceMangerImpl.checkIsMonitorGameScence(java.lang.String):com.android.server.hidata.appqoe.HwAPPQoEGameConfig");
    }

    public com.android.server.hidata.appqoe.HwAPPQoEGameConfig getGameScenceConfig(int appId) {
        synchronized (this.mLock) {
            if (this.isXmlLoadFinsh) {
                if (this.mGameConfigList.size() != 0) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("getGameScenceConfig input :");
                    stringBuilder.append(appId);
                    com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", stringBuilder.toString());
                    for (com.android.server.hidata.appqoe.HwAPPQoEGameConfig gameConfig : this.mGameConfigList) {
                        if (appId == gameConfig.mGameId) {
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("getGameScenceConfig:");
                            stringBuilder2.append(gameConfig.toString());
                            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", stringBuilder2.toString());
                            return gameConfig;
                        }
                    }
                    com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", "getGameScenceConfig, not found");
                    return null;
                }
            }
            return null;
        }
    }

    /* JADX WARNING: Missing block: B:37:0x0066, code:
            r2 = new java.lang.StringBuilder();
            r2.append("getScenceAction, action:");
            r2.append(r0);
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", r2.toString());
     */
    /* JADX WARNING: Missing block: B:38:0x007c, code:
            return r0;
     */
    public int getScenceAction(int r6, int r7, int r8) {
        /*
        r5 = this;
        r0 = -1;
        r1 = r5.mLock;
        monitor-enter(r1);
        r2 = r5.isXmlLoadFinsh;	 Catch:{ all -> 0x007d }
        if (r2 != 0) goto L_0x000b;
    L_0x0008:
        r2 = -1;
        monitor-exit(r1);	 Catch:{ all -> 0x007d }
        return r2;
    L_0x000b:
        r2 = 1000; // 0x3e8 float:1.401E-42 double:4.94E-321;
        if (r2 == r6) goto L_0x0013;
    L_0x000f:
        r2 = 4000; // 0xfa0 float:5.605E-42 double:1.9763E-320;
        if (r2 != r6) goto L_0x003a;
    L_0x0013:
        r2 = r5.mAPKConfigList;	 Catch:{ all -> 0x007d }
        r2 = r2.size();	 Catch:{ all -> 0x007d }
        if (r2 == 0) goto L_0x003a;
    L_0x001b:
        r2 = r5.mAPKConfigList;	 Catch:{ all -> 0x007d }
        r2 = r2.iterator();	 Catch:{ all -> 0x007d }
    L_0x0021:
        r3 = r2.hasNext();	 Catch:{ all -> 0x007d }
        if (r3 == 0) goto L_0x003a;
    L_0x0027:
        r3 = r2.next();	 Catch:{ all -> 0x007d }
        r3 = (com.android.server.hidata.appqoe.HwAPPQoEAPKConfig) r3;	 Catch:{ all -> 0x007d }
        r4 = r3.mAppId;	 Catch:{ all -> 0x007d }
        if (r7 != r4) goto L_0x0039;
    L_0x0031:
        r4 = r3.mScenceId;	 Catch:{ all -> 0x007d }
        if (r8 != r4) goto L_0x0039;
    L_0x0035:
        r2 = r3.mAction;	 Catch:{ all -> 0x007d }
        r0 = r2;
        goto L_0x003a;
    L_0x0039:
        goto L_0x0021;
    L_0x003a:
        r2 = 2000; // 0x7d0 float:2.803E-42 double:9.88E-321;
        if (r2 != r6) goto L_0x0065;
    L_0x003e:
        r2 = r5.mGameConfigList;	 Catch:{ all -> 0x007d }
        r2 = r2.size();	 Catch:{ all -> 0x007d }
        if (r2 == 0) goto L_0x0065;
    L_0x0046:
        r2 = r5.mGameConfigList;	 Catch:{ all -> 0x007d }
        r2 = r2.iterator();	 Catch:{ all -> 0x007d }
    L_0x004c:
        r3 = r2.hasNext();	 Catch:{ all -> 0x007d }
        if (r3 == 0) goto L_0x0065;
    L_0x0052:
        r3 = r2.next();	 Catch:{ all -> 0x007d }
        r3 = (com.android.server.hidata.appqoe.HwAPPQoEGameConfig) r3;	 Catch:{ all -> 0x007d }
        r4 = r3.mGameId;	 Catch:{ all -> 0x007d }
        if (r7 != r4) goto L_0x0064;
    L_0x005c:
        r4 = r3.mScenceId;	 Catch:{ all -> 0x007d }
        if (r8 != r4) goto L_0x0064;
    L_0x0060:
        r2 = r3.mGameAction;	 Catch:{ all -> 0x007d }
        r0 = r2;
        goto L_0x0065;
    L_0x0064:
        goto L_0x004c;
    L_0x0065:
        monitor-exit(r1);	 Catch:{ all -> 0x007d }
        r1 = "HiData_HwAPPQoEResourceMangerImpl";
        r2 = new java.lang.StringBuilder;
        r2.<init>();
        r3 = "getScenceAction, action:";
        r2.append(r3);
        r2.append(r0);
        r2 = r2.toString();
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r1, r2);
        return r0;
    L_0x007d:
        r2 = move-exception;
        monitor-exit(r1);	 Catch:{ all -> 0x007d }
        throw r2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.appqoe.HwAPPQoEResourceMangerImpl.getScenceAction(int, int, int):int");
    }

    public com.android.server.hidata.appqoe.HwAPPQoEAPKConfig getAPKScenceConfig(int scenceId) {
        synchronized (this.mLock) {
            if (this.isXmlLoadFinsh) {
                if (this.mAPKConfigList.size() != 0) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("getAPKScenceConfig input :");
                    stringBuilder.append(scenceId);
                    com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", stringBuilder.toString());
                    for (com.android.server.hidata.appqoe.HwAPPQoEAPKConfig apkConfig : this.mAPKConfigList) {
                        if (scenceId == apkConfig.mScenceId) {
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("getAPKScenceConfig:");
                            stringBuilder2.append(apkConfig.toString());
                            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", stringBuilder2.toString());
                            return apkConfig;
                        }
                    }
                    com.android.server.hidata.appqoe.HwAPPQoEUtils.logD("HiData_HwAPPQoEResourceMangerImpl", "getAPKScenceConfig, not found");
                    return null;
                }
            }
            return null;
        }
    }

    public java.util.List<com.android.server.hidata.appqoe.HwAPPQoEAPKConfig> getAPKConfigList() {
        java.util.List list;
        synchronized (this.mLock) {
            list = this.mAPKConfigList;
        }
        return list;
    }

    public java.util.List<com.android.server.hidata.appqoe.HwAPPQoEGameConfig> getGameConfigList() {
        java.util.List list;
        synchronized (this.mLock) {
            list = this.mGameConfigList;
        }
        return list;
    }
}
