package com.android.server.hidata.appqoe;

public class HwAPPQoESystemStateMonitor {
    private static java.lang.String TAG = "HiData_HwAPPQoESystemStateMonitor";
    public com.android.server.hidata.appqoe.HwAPPStateInfo curAPPStateInfo = new com.android.server.hidata.appqoe.HwAPPStateInfo();
    private android.content.IntentFilter emcomIntentFilter = new android.content.IntentFilter();
    private android.content.IntentFilter intentFilter = new android.content.IntentFilter();
    private android.net.NetworkInfo mActiveNetworkInfo;
    private android.content.BroadcastReceiver mBroadcastReceiver = new com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.SystemBroadcastReceiver();
    private android.net.ConnectivityManager mConnectivityManager;
    private int mConnectivityType = 802;
    private android.content.Context mContext;
    private android.os.Handler mHandler;
    private android.content.ContentResolver mResolver;
    private com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.UserDataEnableObserver mUserDataEnableObserver;

    private class SystemBroadcastReceiver extends android.content.BroadcastReceiver {
        private SystemBroadcastReceiver() {
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            java.lang.String action = intent.getAction();
            int wifistatus;
            if ("android.net.wifi.WIFI_STATE_CHANGED".equals(action)) {
                wifistatus = intent.getIntExtra("wifi_state", 4);
                if (wifistatus == 1) {
                    com.android.server.hidata.appqoe.HwAPPQoEUtils.logE("WIFI_STATE_DISABLED");
                } else if (wifistatus == 3) {
                    com.android.server.hidata.appqoe.HwAPPQoEUtils.logE("WIFI_STATE_ENABLED");
                }
            } else if ("android.net.wifi.STATE_CHANGE".equals(action)) {
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.TAG, "Wifi Connection State Changed");
                com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.this.onReceiveWifiStateChanged(intent);
            } else if ("android.intent.action.BOOT_COMPLETED".equals(action)) {
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.TAG, "ACTION_BOOT_COMPLETED");
                com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.this.mConnectivityManager = (android.net.ConnectivityManager) context.getSystemService("connectivity");
                com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.this.onConnectivityNetworkChange();
                com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.this.mHandler.sendEmptyMessage(200);
            } else if ("android.net.conn.CONNECTIVITY_CHANGE".equals(action)) {
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.TAG, "Connectivity Changed");
                com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.this.onConnectivityNetworkChange();
            } else if ("com.android.server.hidata.arbitration.HwArbitrationStateMachine".equals(action)) {
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.TAG, " HwArbitrationStateMachine broadcast test");
                wifistatus = intent.getIntExtra("MPLinkSuccessNetworkKey", 802);
                if (intent.getIntExtra("MPLinkSuccessUIDKey", -1) == com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.this.curAPPStateInfo.mAppUID) {
                    java.lang.String access$100 = com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.TAG;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("MPLINK_STATE_CHANGE:");
                    stringBuilder.append(wifistatus);
                    com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(access$100, stringBuilder.toString());
                    com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.this.mHandler.sendMessage(com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.this.mHandler.obtainMessage(201, java.lang.Integer.valueOf(wifistatus)));
                }
            } else if ("huawei.intent.action.ACTION_EMCOM_PARA_READY".equals(action)) {
                wifistatus = intent.getIntExtra("EXTRA_EMCOM_PARA_READY_REC", 0);
                java.lang.String access$1002 = com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.TAG;
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("emcom para is ready: cotaParaBitRec:");
                stringBuilder2.append(wifistatus);
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(access$1002, stringBuilder2.toString());
                if ((wifistatus & 16) == 0) {
                    com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.TAG, "broadcast is not for no cell");
                    return;
                }
                com.android.server.hidata.appqoe.HwAPPQoEResourceManger mHwAPPQoEResourceManger = com.android.server.hidata.appqoe.HwAPPQoEResourceManger.getInstance();
                if (mHwAPPQoEResourceManger != null) {
                    mHwAPPQoEResourceManger.onConfigFilePathChanged();
                }
            } else {
                if (!"android.net.wifi.RSSI_CHANGED".equals(action)) {
                    if (!"android.intent.action.SCREEN_ON".equals(action)) {
                        if ("android.intent.action.SCREEN_OFF".equals(action)) {
                            com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.this.stopWeakNetworkMonitor();
                        }
                    }
                }
                com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.this.startWeakNetworkMonitor();
            }
        }
    }

    private class UserDataEnableObserver extends android.database.ContentObserver {
        public UserDataEnableObserver(android.os.Handler handler) {
            super(handler);
            com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.this.mResolver = com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.this.mContext.getContentResolver();
        }

        public void onChange(boolean selfChange) {
            int state = android.provider.Settings.Global.getInt(com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.this.mContext.getContentResolver(), "mobile_data", -1);
            java.lang.String access$100 = com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("User change Data service state = ");
            stringBuilder.append(state);
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(access$100, stringBuilder.toString());
            if (state == 0 && com.android.server.hidata.arbitration.HwArbitrationFunction.isInMPLink(com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.this.mContext, com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.this.curAPPStateInfo.mAppUID)) {
                com.android.server.hidata.appqoe.HwAPPQoEUserAction mHwAPPQoEUserAction = com.android.server.hidata.appqoe.HwAPPQoEUserAction.getInstance();
                if (mHwAPPQoEUserAction != null) {
                    mHwAPPQoEUserAction.resetUserActionType(com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.this.curAPPStateInfo.mAppId);
                    com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.this.mHandler.sendMessage(com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.this.mHandler.obtainMessage(203, 2, -1));
                }
            }
        }

        public void register() {
            com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.this.mResolver.registerContentObserver(android.provider.Settings.Global.getUriFor("mobile_data"), false, this);
        }

        public void unregister() {
            com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.this.mResolver.unregisterContentObserver(this);
        }
    }

    public HwAPPQoESystemStateMonitor(android.content.Context context, android.os.Handler handler) {
        this.mContext = context;
        this.mHandler = handler;
        registerBroadcastReceiver();
        this.mUserDataEnableObserver = new com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor.UserDataEnableObserver(handler);
        this.mUserDataEnableObserver.register();
    }

    private void registerBroadcastReceiver() {
        this.intentFilter.addAction("android.intent.action.BOOT_COMPLETED");
        this.intentFilter.addAction("com.android.server.hidata.arbitration.HwArbitrationStateMachine");
        this.intentFilter.addAction("android.net.wifi.WIFI_STATE_CHANGED");
        this.intentFilter.addAction("android.net.wifi.STATE_CHANGE");
        this.intentFilter.addAction("android.net.wifi.SCAN_RESULTS");
        this.intentFilter.addAction("android.net.conn.CONNECTIVITY_CHANGE");
        this.intentFilter.addAction("android.net.wifi.RSSI_CHANGED");
        this.intentFilter.addAction("android.intent.action.SCREEN_OFF");
        this.intentFilter.addAction("android.intent.action.SCREEN_ON");
        this.mContext.registerReceiver(this.mBroadcastReceiver, this.intentFilter, "com.huawei.hidata.permission.MPLINK_START_CHECK", null);
        this.emcomIntentFilter.addAction("huawei.intent.action.ACTION_EMCOM_PARA_READY");
        this.mContext.registerReceiver(this.mBroadcastReceiver, this.emcomIntentFilter, "huawei.permission.RECEIVE_EMCOM_PARA_UPGRADE", null);
    }

    private void onReceiveWifiStateChanged(android.content.Intent intent) {
        android.net.NetworkInfo netInfo = (android.net.NetworkInfo) intent.getParcelableExtra("networkInfo");
        if (netInfo != null && netInfo.getState() == android.net.NetworkInfo.State.CONNECTED) {
            com.android.server.hidata.appqoe.HwAPPChrManager.getInstance().uploadAppChrInfo();
        }
    }

    private void onConnectivityNetworkChange() {
        if (this.mConnectivityManager != null) {
            this.mActiveNetworkInfo = this.mConnectivityManager.getActiveNetworkInfo();
            java.lang.String str;
            java.lang.StringBuilder stringBuilder;
            if (this.mActiveNetworkInfo == null) {
                str = TAG;
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("onConnectivityNetworkChange-prev_type is:");
                stringBuilder2.append(this.mConnectivityType);
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder2.toString());
                if (800 == this.mConnectivityType) {
                    this.mHandler.sendEmptyMessage(4);
                } else if (801 == this.mConnectivityType) {
                    this.mHandler.sendEmptyMessage(8);
                }
                this.mConnectivityType = 802;
            } else if (1 == this.mActiveNetworkInfo.getType()) {
                if (true == this.mActiveNetworkInfo.isConnected()) {
                    com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "onConnectivityNetworkChange, MSG_WIFI_STATE_CONNECTED");
                    this.mHandler.sendEmptyMessage(3);
                    this.mConnectivityType = 800;
                } else {
                    str = TAG;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("onConnectivityNetworkChange-Wifi:");
                    stringBuilder.append(this.mActiveNetworkInfo.getState());
                    com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
                }
            } else if (this.mActiveNetworkInfo.getType() == 0) {
                if (true == this.mActiveNetworkInfo.isConnected()) {
                    com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "onConnectivityNetworkChange, MSG_CELL_STATE_CONNECTED");
                    this.mHandler.sendEmptyMessage(7);
                    this.mConnectivityType = 801;
                } else {
                    str = TAG;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("onConnectivityNetworkChange-Cell:");
                    stringBuilder.append(this.mActiveNetworkInfo.getState());
                    com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
                }
            }
        }
    }

    private void startWeakNetworkMonitor() {
        if (this.curAPPStateInfo != null) {
            if (this.curAPPStateInfo.mAppId != -1) {
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("system monitor curAPPStateInfo.mAppId = ");
                stringBuilder.append(this.curAPPStateInfo.mAppId);
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
                android.net.wifi.WifiInfo info = ((android.net.wifi.WifiManager) this.mContext.getSystemService("wifi")).getConnectionInfo();
                if (info != null) {
                    int rssiLevel = android.common.HwFrameworkFactory.getHwInnerWifiManager().calculateSignalLevelHW(info.getFrequency(), info.getRssi());
                    if (rssiLevel <= 1 && !this.mHandler.hasMessages(109)) {
                        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "system monitor send weak network message");
                        this.mHandler.sendEmptyMessageDelayed(109, 4000);
                    } else if (rssiLevel >= 2 && this.mHandler.hasMessages(109)) {
                        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "system monitor remove weak network message");
                        this.mHandler.removeMessages(109);
                    }
                }
            }
        }
    }

    private void stopWeakNetworkMonitor() {
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "system monitor stopWeakNetworkMonitor");
        this.mHandler.removeMessages(109);
    }

    public boolean isDefaultApnType(java.lang.String apnType) {
        return "default".equals(apnType);
    }

    public boolean isSlotIdValid(int slotId) {
        return slotId >= 0 && 2 > slotId;
    }

    public boolean getMpLinkState() {
        return com.android.server.hidata.arbitration.HwArbitrationFunction.isInMPLink(this.mContext, this.curAPPStateInfo.mAppUID);
    }
}
