package com.android.server.hidata.appqoe;

public class HwGameQoEManager {
    private static java.lang.String TAG = "HiData_HwGameQoEManager";
    private com.android.server.hidata.appqoe.HwAPPQoEGameConfig mGameConfig;
    public int mGameId;
    public com.android.server.hidata.appqoe.HwAPPStateInfo mGameStateInfo = new com.android.server.hidata.appqoe.HwAPPStateInfo();
    private android.os.Handler mHandler;
    private com.android.server.hidata.appqoe.HwAPPQoEResourceManger mHwAPPQoEResourceManger = com.android.server.hidata.appqoe.HwAPPQoEResourceManger.getInstance();

    public HwGameQoEManager(android.content.Context context, android.os.Handler handler) {
        this.mHandler = handler;
    }

    public void startMonitor(com.android.server.hidata.appqoe.HwAPPStateInfo appStateInfo) {
        if (this.mHandler.hasMessages(107, this.mGameStateInfo) && this.mGameStateInfo.mScenceId != appStateInfo.mScenceId) {
            this.mHandler.removeMessages(107);
        }
        this.mGameStateInfo.copyObjectValue(appStateInfo);
        this.mGameId = appStateInfo.mAppId;
        this.mGameConfig = this.mHwAPPQoEResourceManger.getGameScenceConfig(appStateInfo.mAppId);
    }

    public void stopMonitor() {
        if (this.mHandler.hasMessages(107, this.mGameStateInfo)) {
            this.mHandler.removeMessages(107);
        }
    }

    public void updateGameRTT(int rtt) {
        if (this.mGameConfig == null) {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "updateGameRTT mGameConfig == null");
            return;
        }
        int kqi = this.mGameConfig.mGameKQI * 1000;
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("updateGameRTT rtt = ");
        stringBuilder.append(rtt);
        stringBuilder.append(" mGameConfig.mGameRtt = ");
        stringBuilder.append(this.mGameConfig.mGameRtt);
        stringBuilder.append(" kqi = ");
        stringBuilder.append(kqi);
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
        if (rtt > this.mGameConfig.mGameRtt) {
            this.mHandler.sendMessageDelayed(this.mHandler.obtainMessage(107, this.mGameStateInfo), (long) kqi);
        } else if (this.mHandler.hasMessages(107, this.mGameStateInfo)) {
            this.mHandler.removeMessages(107);
        }
    }

    public com.android.server.hidata.appqoe.HwAPPStateInfo getCurrentAPPState() {
        return this.mGameStateInfo;
    }
}
