package com.android.server.hidata.arbitration;

public class HwArbitrationCallbackImpl implements com.android.server.hidata.mplink.IMpLinkCallback, com.android.server.hidata.appqoe.IHwAPPQoECallback, com.android.server.hidata.wavemapping.IWaveMappingCallback, com.android.server.hidata.channelqoe.IChannelQoECallback, com.android.server.hidata.histream.IHwHistreamQoeCallback {
    private static final int MSG_APP_STATE_BAD_NO_RX = 109;
    private static final java.lang.String TAG = "HiData_HwArbitrationCallbackImpl";
    private static com.android.server.hidata.arbitration.HwArbitrationCallbackImpl mHwArbitrationCallbackImpl;
    private int UID;
    private int checkFailReason = -1;
    private int isFullInfo = 0;
    private boolean isTargetNetworkGood = true;
    private android.content.Context mContext;
    private java.util.HashMap<java.lang.Integer, com.android.server.hidata.appqoe.HwAPPStateInfo> mDelayMsgMap;
    private com.android.server.hidata.arbitration.IGameCHRCallback mGameCHRCallback;
    private int mGameState;
    private com.android.server.hidata.arbitration.HwArbitrationStateMachine mHwArbitrationStateMachine;
    private com.android.server.hidata.appqoe.HwAPPStateInfo mPreviousAppInfo;
    private boolean mWifiPlusFromBrain = false;
    private int network;

    public static com.android.server.hidata.arbitration.HwArbitrationCallbackImpl getInstance(android.content.Context context) {
        if (mHwArbitrationCallbackImpl == null) {
            mHwArbitrationCallbackImpl = new com.android.server.hidata.arbitration.HwArbitrationCallbackImpl(context);
        }
        return mHwArbitrationCallbackImpl;
    }

    public static com.android.server.hidata.arbitration.HwArbitrationCallbackImpl getInstanceForChr() {
        return mHwArbitrationCallbackImpl;
    }

    public void regisGameCHR(com.android.server.hidata.arbitration.IGameCHRCallback callback) {
        this.mGameCHRCallback = callback;
    }

    private HwArbitrationCallbackImpl(android.content.Context context) {
        this.mContext = context;
        this.mHwArbitrationStateMachine = com.android.server.hidata.arbitration.HwArbitrationStateMachine.getInstance(this.mContext);
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "init HwArbitrationCallbackImpl completed!");
    }

    public void onBindProcessToNetworkResult(com.android.server.hidata.mplink.MplinkBindResultInfo result) {
        if (result != null) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onMpLinkBindResult:result = ");
            stringBuilder.append(result.getResult());
            stringBuilder.append(", failReason = ");
            stringBuilder.append(result.getFailReason());
            stringBuilder.append(", uid = ");
            stringBuilder.append(result.getUid());
            stringBuilder.append(", network = ");
            stringBuilder.append(result.getNetwork());
            stringBuilder.append(", type = ");
            stringBuilder.append(result.getType());
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", stringBuilder.toString());
            switch (result.getResult()) {
                case 1:
                    this.mHwArbitrationStateMachine.sendMessage(2007, result);
                    return;
                case 2:
                    this.mHwArbitrationStateMachine.sendMessage(2008, result);
                    return;
                case 3:
                    this.mHwArbitrationStateMachine.sendMessage(2009, result);
                    return;
                case 4:
                    this.mHwArbitrationStateMachine.sendMessage(2010, result);
                    return;
                default:
                    return;
            }
        }
    }

    public void onWiFiAndCellCoexistResult(com.android.server.hidata.mplink.MplinkNetworkResultInfo result) {
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "onWiFiAndCellCoexistResult");
        if (result != null) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mResult = ");
            stringBuilder.append(result.getResult());
            stringBuilder.append(", mFailReason = ");
            stringBuilder.append(result.getFailReason());
            stringBuilder.append(", mApType = ");
            stringBuilder.append(result.getAPType());
            stringBuilder.append(", mActivteNetwork =");
            stringBuilder.append(result.getActiveNetwork());
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", stringBuilder.toString());
            if (100 == result.getResult()) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("enter wifi cell coex mode,type:");
                stringBuilder.append(result.getAPType());
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", stringBuilder.toString());
                if (1 == result.getAPType()) {
                    this.mHwArbitrationStateMachine.sendMessage(2023, result);
                } else {
                    this.mHwArbitrationStateMachine.sendMessage(2003, result);
                }
            } else if (101 == result.getResult()) {
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "leave wifi cell coex mode");
                this.mHwArbitrationStateMachine.sendMessage(2004, result);
            }
        }
    }

    public void onWifiLinkQuality(int uid, int scene, boolean isSatisfy) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("uid: ");
        stringBuilder.append(uid);
        stringBuilder.append(" scene: ");
        stringBuilder.append(scene);
        stringBuilder.append(" isSatisfy: ");
        stringBuilder.append(isSatisfy);
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", stringBuilder.toString());
        if (isSatisfy) {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "APPQoE detect that wifi is good");
            this.mHwArbitrationStateMachine.sendMessage(2030, uid);
        }
    }

    public void onAPPStateCallBack(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo, int state) {
        if (appInfo == null) {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "appInfo is null");
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onAppStateCallBack: appInfo:");
        stringBuilder.append(appInfo.toString());
        stringBuilder.append(" state:");
        stringBuilder.append(state);
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", stringBuilder.toString());
        int i = appInfo.mAppType;
        if (i != 1000) {
            if (i != 2000 && i != 3000) {
                if (i == 4000) {
                    this.mHwArbitrationStateMachine.updateCurrentStreamAppState(appInfo, state);
                    switch (state) {
                        case 100:
                            if (com.android.server.hidata.arbitration.HwArbitrationFunction.isStreamingScene(appInfo)) {
                                this.mHwArbitrationStateMachine.sendMessage(106, appInfo);
                                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "MSG_STREAMING_APP_START");
                            }
                            this.mWifiPlusFromBrain = true;
                            break;
                        case 101:
                            if (com.android.server.hidata.arbitration.HwArbitrationFunction.isStreamingScene(appInfo)) {
                                this.mHwArbitrationStateMachine.sendMessage(107, appInfo);
                                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "MSG_STREAM_APP_END");
                            }
                            this.mWifiPlusFromBrain = false;
                            break;
                        case 103:
                            if (com.android.server.hidata.arbitration.HwArbitrationFunction.isStreamingScene(appInfo)) {
                                this.mHwArbitrationStateMachine.sendMessage(120, appInfo);
                                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "Callback:MSG_STREAMING_APP_FOREGROUND");
                                break;
                            }
                            break;
                        case 104:
                            if (com.android.server.hidata.arbitration.HwArbitrationFunction.isStreamingScene(appInfo)) {
                                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "Callback:MSG_STREAMING_APP_BACKGROUND");
                                this.mHwArbitrationStateMachine.sendMessage(121, appInfo);
                                break;
                            }
                            break;
                        default:
                            break;
                    }
                }
            } else {
                switch (state) {
                    case 100:
                        if (appInfo.mScenceId != 200002) {
                            if (appInfo.mScenceId == 200001) {
                                this.mHwArbitrationStateMachine.sendMessage(100, appInfo);
                                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "MSG_GAME_STATE_START");
                                break;
                            }
                        }
                        this.mHwArbitrationStateMachine.sendMessage(104, appInfo);
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "MSG_GAME_ENTER_PVP_BATTLE");
                        com.android.server.hidata.arbitration.HwArbitrationFunction.setPvpScene(true);
                        this.mGameState = 4;
                        updateGameState(appInfo, this.mGameState);
                        break;
                        break;
                    case 101:
                        this.mHwArbitrationStateMachine.sendMessage(101, appInfo);
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "MSG_GAME_STATE_END");
                        com.android.server.hidata.arbitration.HwArbitrationFunction.setPvpScene(false);
                        this.mGameState = 5;
                        updateGameState(appInfo, this.mGameState);
                        break;
                    case 102:
                        if (appInfo.mScenceId != 200002) {
                            if (appInfo.mScenceId == 200001) {
                                this.mHwArbitrationStateMachine.sendMessage(105, appInfo);
                                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "MSG_GAME_EXIT_PVP_BATTLE");
                                com.android.server.hidata.arbitration.HwArbitrationFunction.setPvpScene(false);
                                this.mGameState = 2;
                                updateGameState(appInfo, this.mGameState);
                                break;
                            }
                        }
                        this.mHwArbitrationStateMachine.sendMessage(104, appInfo);
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "MSG_GAME_ENTER_PVP_BATTLE");
                        com.android.server.hidata.arbitration.HwArbitrationFunction.setPvpScene(true);
                        this.mGameState = 1;
                        updateGameState(appInfo, this.mGameState);
                        break;
                        break;
                    case 103:
                        break;
                    case 104:
                        this.mHwArbitrationStateMachine.sendMessage(103, appInfo);
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "MSG_GAME_STATE_BACKGROUND");
                        if (appInfo.mScenceId == 200002) {
                            this.mGameState = 3;
                            updateGameState(appInfo, this.mGameState);
                        }
                        com.android.server.hidata.arbitration.HwArbitrationFunction.setPvpScene(false);
                        break;
                    default:
                        break;
                }
            }
        }
        switch (state) {
            case 100:
            case 102:
                if (isPayScene(appInfo)) {
                    this.mHwArbitrationStateMachine.sendMessage(111, appInfo);
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "MSG_INSTANT_PAY_APP_START");
                } else if (isTravelScene(appInfo)) {
                    this.mHwArbitrationStateMachine.sendMessage(113, appInfo);
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "MSG_INSTANT_TRAVEL_APP_START");
                } else if (isPayEnd(appInfo, this.mPreviousAppInfo)) {
                    this.mHwArbitrationStateMachine.sendMessage(112, appInfo);
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "MSG_INSTANT_PAY_APP_END");
                } else if (isTravelEnd(appInfo, this.mPreviousAppInfo)) {
                    this.mHwArbitrationStateMachine.sendMessage(114, appInfo);
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "MSG_INSTANT_TRAVEL_APP_END");
                } else {
                    this.mHwArbitrationStateMachine.sendMessage(109, appInfo);
                    if (100 == state) {
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "MSG_INSTANT_APP_START");
                    } else {
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "MSG_INSTANT_APP_UPDATE");
                    }
                }
                this.mPreviousAppInfo = appInfo;
                this.mWifiPlusFromBrain = true;
                break;
            case 101:
                this.mHwArbitrationStateMachine.sendMessage(110, appInfo);
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "MSG_INSTANT_APP_END");
                this.mPreviousAppInfo = null;
                this.mWifiPlusFromBrain = false;
                break;
            default:
                break;
        }
        if (802 == com.android.server.hidata.arbitration.HwArbitrationCommonUtils.getActiveConnectType(this.mContext)) {
            if (state == 100) {
                this.mHwArbitrationStateMachine.sendMessage(1117, appInfo);
            } else if (state == 101) {
                this.mHwArbitrationStateMachine.sendMessage(1118, appInfo);
            }
        }
    }

    public void onAPPQualityCallBack(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo, int experience) {
        if (appInfo == null) {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "appInfo is null");
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(appInfo.toString());
        stringBuilder.append(",experience:");
        stringBuilder.append(experience);
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", stringBuilder.toString());
        if (109 == experience) {
            this.mHwArbitrationStateMachine.sendMessage(1128, appInfo);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "MSG_APP_STATE_BAD_NO_RX");
        }
        if (this.mHwArbitrationStateMachine.startMonitorQuality() && 107 == experience) {
            this.mHwArbitrationStateMachine.sendMessage(1129, appInfo);
        }
        int i = appInfo.mAppType;
        if (i != 1000) {
            if (i != 2000) {
                if (i != 4000) {
                }
            } else if (appInfo.mScenceId == 200002 && experience == 107) {
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "MSG_GAME_WAR_STATE_BAD, ignore it");
            }
        }
        if (experience == 107) {
            if (appInfo.mScenceId == 100106) {
                this.mHwArbitrationStateMachine.sendMessage(1106, appInfo);
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "MSG_STREAMING_VIDEO_BAD");
            } else if (appInfo.mScenceId == 100105) {
                this.mHwArbitrationStateMachine.sendMessage(1108, appInfo);
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "MSG_STREAMING_AUDIO_BAD");
            } else {
                this.mHwArbitrationStateMachine.sendMessage(115, appInfo);
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "MSG_INSTANT_BAD");
            }
        }
    }

    public void onHistreamBadQoedetect(com.android.server.hidata.histream.HwHistreamCHRQoeInfo qoeInfo) {
        if (this.mGameCHRCallback != null && qoeInfo != null) {
            this.mGameCHRCallback.updateHistreamExperience(qoeInfo);
        }
    }

    public void onNetworkQualityCallBack(int UID, int sense, int network, boolean isSatisfy) {
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "onChannelQoENetworkQualityCallBack");
        judgeBothCQEAndWM(UID, network, isSatisfy, true);
    }

    public void onAPPRttInfoCallBack(com.android.server.hidata.appqoe.HwAPPStateInfo info) {
        updataGameExperience(info);
    }

    public void onWaveMappingRespondCallback(int UID, int prefer, int network, boolean isGood, boolean found) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onWaveMappingRespondCallback, UID: ");
        stringBuilder.append(UID);
        stringBuilder.append(", prefer: ");
        stringBuilder.append(prefer);
        stringBuilder.append(", network: ");
        stringBuilder.append(network);
        stringBuilder.append(", isGood: ");
        stringBuilder.append(isGood);
        stringBuilder.append(", found: ");
        stringBuilder.append(found);
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", stringBuilder.toString());
        if (!found) {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "WaveMapping cannot find the history record");
            isGood = true;
        }
        if (!(network == 800 || network == 801)) {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "WaveMapping network error");
            isGood = true;
        }
        judgeBothCQEAndWM(UID, network, isGood, false);
    }

    public void onWaveMappingReportCallback(int reportType, java.lang.String networkName, int networkType) {
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "onWaveMappingReportCallback");
    }

    public void onCellPSAvailable(boolean isOK, int reason) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onCellPSAvailable, isOk:");
        stringBuilder.append(isOK);
        stringBuilder.append(", reason:");
        stringBuilder.append(reason);
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", stringBuilder.toString());
        this.mHwArbitrationStateMachine.setIsAllowQueryCHQoE();
        if (isOK) {
            this.mHwArbitrationStateMachine.sendMessage(1122, reason);
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("receive MSG_CHANNEL_NOTIFY_RESULT_GOOD,Reason: ");
            stringBuilder.append(reason);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", stringBuilder.toString());
        } else if (2 != reason) {
            this.mHwArbitrationStateMachine.sendMessage(1123, reason);
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("receive MSG_CHANNEL_NOTIFY_RESULT_BAD,Reason: ");
            stringBuilder.append(reason);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", stringBuilder.toString());
        } else {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", "current  cell signal quality is poor");
        }
    }

    public void onChannelQuality(int UID, int sense, int network, int label) {
    }

    public void onWifiLinkQuality(int UID, int sense, int label) {
    }

    public void onCurrentRtt(int rtt) {
    }

    private synchronized void judgeBothCQEAndWM(int UID, int network, boolean isGood, boolean isChannelQoE) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(" judgeBothCQEAndWM, UID: ");
        stringBuilder.append(UID);
        stringBuilder.append(", network: ");
        stringBuilder.append(network);
        stringBuilder.append(", isGood: ");
        stringBuilder.append(isGood);
        stringBuilder.append(", isChannelQoE: ");
        stringBuilder.append(isChannelQoE);
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", stringBuilder.toString());
        if (!isGood) {
            int i;
            if (isChannelQoE) {
                i = 5;
            } else {
                i = 4;
            }
            this.checkFailReason = i;
        }
        boolean z = true;
        if (1 == this.isFullInfo) {
            if (!this.isTargetNetworkGood || !isGood) {
                z = false;
            }
            this.isTargetNetworkGood = z;
            if (this.isTargetNetworkGood) {
                this.mHwArbitrationStateMachine.sendMessage(2005, UID);
            } else {
                this.mHwArbitrationStateMachine.sendMessage(2006, UID, this.checkFailReason);
            }
            this.isFullInfo = 0;
            this.UID = -1;
            this.network = -1;
            this.checkFailReason = -1;
        } else {
            this.isFullInfo++;
            this.isTargetNetworkGood = isGood;
            this.UID = UID;
            this.network = network;
        }
    }

    private void updateGameState(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo, int state) {
        if (this.mGameCHRCallback != null && appInfo != null) {
            this.mGameCHRCallback.updateGameState(appInfo, state);
        }
    }

    public void updataGameExperience(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo) {
        if (this.mGameCHRCallback != null && appInfo != null) {
            this.mGameCHRCallback.updataGameExperience(appInfo);
        }
    }

    private boolean isPayScene(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo) {
        return false;
    }

    private boolean isTravelScene(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo) {
        return false;
    }

    private boolean isPayEnd(com.android.server.hidata.appqoe.HwAPPStateInfo currentAppInfo, com.android.server.hidata.appqoe.HwAPPStateInfo previousAppInfo) {
        return false;
    }

    private boolean isTravelEnd(com.android.server.hidata.appqoe.HwAPPStateInfo currentAppInfo, com.android.server.hidata.appqoe.HwAPPStateInfo previousAppInfo) {
        return false;
    }

    public boolean getWifiPlusFlagFromHiData() {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mWifiPlusFromBrain is ");
        stringBuilder.append(this.mWifiPlusFromBrain);
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationCallbackImpl", stringBuilder.toString());
        return this.mWifiPlusFromBrain;
    }
}
