package com.android.server.hidata.arbitration;

public class HwArbitrationChrImpl {
    public static final int CHR_MPLINK_FAIL_APP_END = 10;
    public static final int CHR_MPLINK_FAIL_BIND_FAIL = 8;
    public static final int CHR_MPLINK_FAIL_COEXISTENCE = 2;
    public static final int CHR_MPLINK_FAIL_ENVIRONMENT = 1;
    public static final int CHR_MPLINK_FAIL_HISTRORYQOE = 4;
    public static final int CHR_MPLINK_FAIL_ISBINDING = 6;
    public static final int CHR_MPLINK_FAIL_OTHERS = 20;
    public static final int CHR_MPLINK_FAIL_PINGPONG = 3;
    public static final int CHR_MPLINK_FAIL_QUERY_TIMEOUT = 7;
    public static final int CHR_MPLINK_FAIL_TARGETNETWORK = 5;
    public static final int CHR_MPLINK_FAIL_UNBIND_FAIL = 9;
    public static final int CHR_MPLINK_SUCCESS = 0;
    private static final int EID_HICURE_EXCEPTION_EVENT = 909002048;
    private static final int EID_WIFI_HICURE_INFO = 909009046;
    public static final int EVENT_CHR_APPEND_MPLINK_TO_WIFI = 6;
    public static final int EVENT_CHR_ERROR_STOP_MPLINK = 7;
    public static final int EVENT_CHR_STALL_BEGIN_MPLINK = 8;
    public static final int EVENT_CHR_STALL_MPLINK_TO_CELLULAR = 5;
    public static final int EVENT_CHR_STALL_MPLINK_TO_WIFI = 3;
    public static final int EVENT_CHR_USER_STOP_MPLINK = 9;
    public static final int EVENT_CHR_WIFI_RECOVER_MPLINK_TO_WIFI = 4;
    private static final int HICURE_FAILED = 0;
    private static final int HICURE_NONEED = 2;
    private static final int HICURE_SUCCESS = 1;
    private static final int INVALID_VALUE = -1;
    public static final int MPLINK_ERROR_CAUSE_BIG_DATA_TRAFFIC = 0;
    private static final java.lang.String TAG = "HiData_HwArbitrationChrImpl";
    private static com.android.server.hidata.arbitration.HwArbitrationChrImpl mHwArbitrationChrImpl;
    private int mHiCureCnt = 0;
    private java.util.HashMap<java.lang.Integer, com.android.server.hidata.arbitration.HwArbitrationChrImpl.HiCureEvent> mHiCureEventMap;
    private int mHiCureFailedCnt = 0;
    private int mHiCureNoNeedCnt = 0;
    private java.util.HashMap<java.lang.String, java.lang.Integer> mHiCureResultMap;
    private int mHiCureSuccessCnt = 0;
    private com.android.server.hidata.arbitration.IHiDataCHRCallBack mHiDataCHRCallBack;
    private int mRequestHiCureCnt = 0;
    private int mplinkCnt = 0;

    static class HiCureEvent {
        java.lang.String mApkName;
        int mBlockType;
        int mCurNetwork;
        int mCureMethod = -1;
        int mCureSrc;
        int mDataLink;
        int mDataRoamingSwitch;
        int mDataSwitch;
        int mDiagnoseResult = -1;
        int mHiCureResult = -1;
        int mHiDataResult = -1;
        int mWifiLink;
        int mWifiSwitch;

        HiCureEvent(java.lang.String apkName, int blockType, int currentNetwork, boolean cellSwitch, boolean dataRoamingSwitch, boolean cellLink, boolean wifiSwitch, boolean wifiLink, int cureSrc) {
            this.mApkName = apkName;
            this.mBlockType = blockType;
            this.mCurNetwork = currentNetwork;
            this.mDataSwitch = cellSwitch;
            this.mDataRoamingSwitch = dataRoamingSwitch;
            this.mDataLink = cellLink;
            this.mWifiSwitch = wifiSwitch;
            this.mWifiLink = wifiLink;
            this.mCureSrc = cureSrc;
        }

        void setHiCureResult(int result, int diagnoseResult, int cureMethod) {
            this.mHiCureResult = result;
            this.mDiagnoseResult = diagnoseResult;
            this.mCureMethod = cureMethod;
        }

        int getHiCureResult() {
            return this.mHiCureResult;
        }

        void setHiDataResult(int isStall) {
            this.mHiDataResult = isStall;
        }

        int getHiDataResult() {
            return this.mHiDataResult;
        }

        android.os.Bundle buildHiCureFaultBundle() {
            android.os.Bundle data = new android.os.Bundle();
            data.putString("apk", this.mApkName);
            data.putInt("blkType", this.mBlockType);
            data.putInt("curNW", this.mCurNetwork);
            data.putInt("dataSwitch", this.mDataSwitch);
            data.putInt("dataRoamingSwitch", this.mDataRoamingSwitch);
            data.putInt("dataLink", this.mDataLink);
            data.putInt("wifiSwitch", this.mWifiSwitch);
            data.putInt("wifiLink", this.mWifiLink);
            data.putInt("cureSrc", this.mCureSrc);
            data.putInt("diagnoseRst", this.mDiagnoseResult);
            data.putInt("cureMethod", this.mCureMethod);
            data.putInt("cureRst", this.mHiCureResult);
            data.putInt("hiDataRst", this.mHiDataResult);
            return data;
        }

        public java.lang.String toString() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("apkName = ");
            stringBuilder.append(this.mApkName);
            stringBuilder.append(", blockingType = ");
            stringBuilder.append(this.mBlockType);
            stringBuilder.append(", currentNetwork = ");
            stringBuilder.append(this.mCurNetwork);
            stringBuilder.append(", dataSwitch = ");
            stringBuilder.append(this.mDataSwitch);
            stringBuilder.append(", dataRoamingSwitch = ");
            stringBuilder.append(this.mDataRoamingSwitch);
            stringBuilder.append(", DataLink = ");
            stringBuilder.append(this.mDataLink);
            stringBuilder.append(", wifiSwtich = ");
            stringBuilder.append(this.mWifiSwitch);
            stringBuilder.append(", wifiLink = ");
            stringBuilder.append(this.mWifiLink);
            stringBuilder.append(", cureSource = ");
            stringBuilder.append(this.mCureSrc);
            stringBuilder.append(", diagnoseResult = ");
            stringBuilder.append(this.mDiagnoseResult);
            stringBuilder.append(", cureMethod = ");
            stringBuilder.append(this.mCureMethod);
            stringBuilder.append(", hiCureResult = ");
            stringBuilder.append(this.mHiCureResult);
            stringBuilder.append(", hiDataResult = ");
            stringBuilder.append(this.mHiDataResult);
            return stringBuilder.toString();
        }
    }

    public static com.android.server.hidata.arbitration.HwArbitrationChrImpl createInstance() {
        if (mHwArbitrationChrImpl == null) {
            mHwArbitrationChrImpl = new com.android.server.hidata.arbitration.HwArbitrationChrImpl();
        }
        return mHwArbitrationChrImpl;
    }

    private HwArbitrationChrImpl() {
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", "init  HwArbitrationChrImpl");
        this.mHiCureResultMap = new java.util.HashMap();
        this.mHiCureEventMap = new java.util.HashMap();
    }

    public void registArbitationChrCallBack(com.android.server.hidata.arbitration.IHiDataCHRCallBack callBack) {
        this.mHiDataCHRCallBack = callBack;
    }

    private void resetHiCureCnt() {
        this.mHiCureCnt = 0;
        this.mHiCureFailedCnt = 0;
        this.mHiCureNoNeedCnt = 0;
        this.mHiCureSuccessCnt = 0;
    }

    public void updateHiCureRequestChr(java.lang.String apkName, int blockType, int currentNetwork, boolean DataSwitch, boolean DataRoamingSwitch, boolean DataLink, boolean wifiSwitch, boolean wifiLink, int cureSrc) {
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", "updateHiCureRequestChr");
        this.mRequestHiCureCnt++;
        com.android.server.hidata.arbitration.HwArbitrationChrImpl.HiCureEvent hiCureEvent = new com.android.server.hidata.arbitration.HwArbitrationChrImpl.HiCureEvent(apkName, blockType, currentNetwork, DataSwitch, DataRoamingSwitch, DataLink, wifiSwitch, wifiLink, cureSrc);
        if (this.mHiCureEventMap == null) {
            this.mHiCureEventMap = new java.util.HashMap();
        }
        if (this.mHiCureEventMap != null) {
            this.mHiCureEventMap.put(java.lang.Integer.valueOf(this.mRequestHiCureCnt), hiCureEvent);
        }
    }

    public void updateHiCureResultChr(int reason, int diagnoseResult, int method) {
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", "updateHiCureResultChr");
        if (this.mHiCureEventMap == null || this.mHiCureEventMap.get(java.lang.Integer.valueOf(this.mRequestHiCureCnt)) == null) {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", "no request record in HiCureEventMap");
        } else if (-1 != ((com.android.server.hidata.arbitration.HwArbitrationChrImpl.HiCureEvent) this.mHiCureEventMap.get(java.lang.Integer.valueOf(this.mRequestHiCureCnt))).getHiCureResult()) {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", "hiCure receive duplicate result,drop it");
        } else {
            this.mHiCureCnt++;
            if (1 == reason) {
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", "updateHiCureResult:SUCCESS");
                this.mHiCureSuccessCnt++;
            } else if (2 == reason) {
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", "updateHiCureResult:NO NEED");
                this.mHiCureNoNeedCnt++;
            } else if (reason == 0) {
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", "updateHiCureResult:FAILED");
                this.mHiCureFailedCnt++;
            } else if (-1 == reason) {
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", "updateHiCureResult: not Received");
                com.android.server.hidata.arbitration.HwArbitrationChrImpl.HiCureEvent hiCureEvent = (com.android.server.hidata.arbitration.HwArbitrationChrImpl.HiCureEvent) this.mHiCureEventMap.get(java.lang.Integer.valueOf(this.mRequestHiCureCnt));
                if (hiCureEvent != null) {
                    hiCureEvent.setHiCureResult(reason, diagnoseResult, method);
                    uploadDFTEvent(909002048, hiCureEvent.buildHiCureFaultBundle());
                    uploadHiCureStatisticsInfo();
                    resetHiCureCnt();
                }
                return;
            }
            if (this.mHiCureCnt != (this.mHiCureSuccessCnt + this.mHiCureNoNeedCnt) + this.mHiCureFailedCnt) {
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", "HiCure statistics:not received HiCure result");
            }
            updateHashMap(java.lang.String.valueOf(reason), this.mHiCureResultMap);
            uploadHiCureStatisticsInfo();
            resetHiCureCnt();
            updateHiCureEventResult(reason, diagnoseResult, method);
        }
    }

    private void updateHiCureEventResult(int result, int diagnoseResult, int method) {
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", "updateHiCureEventResult");
        if (this.mHiCureEventMap != null) {
            com.android.server.hidata.arbitration.HwArbitrationChrImpl.HiCureEvent hiCureEvent = (com.android.server.hidata.arbitration.HwArbitrationChrImpl.HiCureEvent) this.mHiCureEventMap.get(java.lang.Integer.valueOf(this.mRequestHiCureCnt));
            if (hiCureEvent != null) {
                hiCureEvent.setHiCureResult(result, diagnoseResult, method);
            } else {
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", "HiCureEvent not exist");
            }
        }
    }

    public void updateIsStallAfterCure(int hidataRst) {
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", "updateIsStallAfterCure");
        if (this.mHiCureEventMap == null || this.mHiCureEventMap.get(java.lang.Integer.valueOf(this.mRequestHiCureCnt)) == null) {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", "HiCureEvent not exist");
        } else if (-1 != ((com.android.server.hidata.arbitration.HwArbitrationChrImpl.HiCureEvent) this.mHiCureEventMap.get(java.lang.Integer.valueOf(this.mRequestHiCureCnt))).getHiDataResult()) {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", "hidata result is already set");
        } else {
            com.android.server.hidata.arbitration.HwArbitrationChrImpl.HiCureEvent hiCureEvent = (com.android.server.hidata.arbitration.HwArbitrationChrImpl.HiCureEvent) this.mHiCureEventMap.get(java.lang.Integer.valueOf(this.mRequestHiCureCnt));
            hiCureEvent.setHiDataResult(hidataRst);
            uploadDFTEvent(909002048, hiCureEvent.buildHiCureFaultBundle());
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("HiCure EXCEPTION CHR ");
            stringBuilder.append(hiCureEvent.toString());
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", stringBuilder.toString());
            this.mHiCureEventMap.put(java.lang.Integer.valueOf(this.mRequestHiCureCnt), hiCureEvent);
        }
    }

    public void uploadDFTEvent(int eventId, android.os.Bundle bundle) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("uploadHiCureCHREvent,eventId =");
        stringBuilder.append(eventId);
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", stringBuilder.toString());
        if (this.mHiDataCHRCallBack != null) {
            this.mHiDataCHRCallBack.uploadHiDataDFTEvent(eventId, bundle);
        }
    }

    private void uploadHiCureStatisticsInfo() {
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", "uploadHiCureStatisticsInfo");
        android.os.Bundle data = new android.os.Bundle();
        data.putInt("cureTimes", this.mHiCureCnt);
        data.putInt("failTimes", this.mHiCureFailedCnt);
        data.putInt("succTimes", this.mHiCureSuccessCnt);
        data.putInt("noCureTimes", this.mHiCureNoNeedCnt);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("CureCnt:");
        stringBuilder.append(this.mHiCureCnt);
        stringBuilder.append(", FailCnt: ");
        stringBuilder.append(this.mHiCureFailedCnt);
        stringBuilder.append(", SuccCnt: ");
        stringBuilder.append(this.mHiCureSuccessCnt);
        stringBuilder.append(", noCureCnt: ");
        stringBuilder.append(this.mHiCureNoNeedCnt);
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", stringBuilder.toString());
        uploadDFTEvent(909009046, data);
    }

    private void updateHashMap(java.lang.String name, java.util.HashMap<java.lang.String, java.lang.Integer> map) {
        if (map != null) {
            if (name != null) {
                java.lang.Integer cnt = (java.lang.Integer) map.get(name);
                if (cnt == null) {
                    map.put(name, java.lang.Integer.valueOf(1));
                } else {
                    map.put(name, java.lang.Integer.valueOf(cnt.intValue() + 1));
                }
            }
        }
    }

    public void updateRequestMplinkChr(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo, int failReason) {
        updateMplinkActionChr(appInfo, 5, failReason);
    }

    public void updateMplinkActionChr(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo, int mplinkEvent, int failReason) {
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", "onUpdateMplinkActionChr");
        if (appInfo == null) {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", "appInfo is null");
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("appUid:");
        stringBuilder.append(appInfo.mAppUID);
        stringBuilder.append(", sceneId:");
        stringBuilder.append(appInfo.mScenceId);
        stringBuilder.append(", mplinkEvent:");
        stringBuilder.append(mplinkEvent);
        stringBuilder.append(", failReason:");
        stringBuilder.append(failReason);
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", stringBuilder.toString());
        if (-1 != failReason) {
            this.mplinkCnt++;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mplinkEventCnt:");
            stringBuilder.append(this.mplinkCnt);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", stringBuilder.toString());
            onMplinkStateChange(appInfo.mScenceId, mplinkEvent, failReason);
            com.android.server.hidata.appqoe.HwAPPQoEManager mHwAPPQoEManager = com.android.server.hidata.appqoe.HwAPPQoEManager.getInstance();
            if (mHwAPPQoEManager != null) {
                mHwAPPQoEManager.onMplinkStateChange(appInfo, mplinkEvent, failReason);
            }
        }
    }

    public void onMplinkStateChange(int sceneId, int mplinkEvent, int failReason) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onMplinkStateChange, sceneId:");
        stringBuilder.append(sceneId);
        stringBuilder.append(", mplinkEvent:");
        stringBuilder.append(mplinkEvent);
        stringBuilder.append(",failReason:");
        stringBuilder.append(failReason);
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationChrImpl", stringBuilder.toString());
        com.android.server.hidata.histream.HwHiStreamManager mHwHiStreamManager = com.android.server.hidata.histream.HwHiStreamManager.getInstance();
        if (mHwHiStreamManager != null) {
            mHwHiStreamManager.onMplinkStateChange(sceneId, mplinkEvent, failReason);
        }
    }
}
