package com.android.server.hidata.arbitration;

public class HwArbitrationHistoryQoeManager {
    private static final java.lang.String TAG = "HiDATA_HwArbitrationHistoryQoeManager";
    private static final float THRESHOLD_GOOD_RATIO = 0.2f;
    private static com.android.server.hidata.arbitration.HwArbitrationHistoryQoeManager instance = null;
    private android.os.Handler mWmpStateMachineHandler;

    private HwArbitrationHistoryQoeManager(android.os.Handler handler) {
        this.mWmpStateMachineHandler = handler;
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logI("HiDATA_HwArbitrationHistoryQoeManager", "HwArbitrationHistoryQoeManager init finish.");
    }

    public static synchronized com.android.server.hidata.arbitration.HwArbitrationHistoryQoeManager getInstance(android.os.Handler handler) {
        com.android.server.hidata.arbitration.HwArbitrationHistoryQoeManager hwArbitrationHistoryQoeManager;
        synchronized (com.android.server.hidata.arbitration.HwArbitrationHistoryQoeManager.class) {
            if (instance == null) {
                instance = new com.android.server.hidata.arbitration.HwArbitrationHistoryQoeManager(handler);
            }
            hwArbitrationHistoryQoeManager = instance;
        }
        return hwArbitrationHistoryQoeManager;
    }

    public void queryHistoryQoE(int UID, int appId, int scence, int networkType, com.android.server.hidata.wavemapping.IWaveMappingCallback callback) {
        int net;
        android.os.Message msg;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("queryHistoryQoE enter, UID=");
        stringBuilder.append(UID);
        stringBuilder.append(", appId=");
        stringBuilder.append(appId);
        stringBuilder.append(", scence=");
        stringBuilder.append(scence);
        stringBuilder.append(", nw=");
        stringBuilder.append(networkType);
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logI("HiDATA_HwArbitrationHistoryQoeManager", stringBuilder.toString());
        android.os.Bundle data = new android.os.Bundle();
        int fullAppId = scence;
        if (200000 <= scence) {
            fullAppId = com.android.server.hidata.wavemapping.cons.Constant.transferGameId2FullId(appId, scence);
        }
        if (800 == networkType) {
            net = 1;
        } else if (801 == networkType) {
            net = 0;
        } else {
            net = 8;
            data.putInt("FULLID", fullAppId);
            data.putInt("UID", UID);
            data.putInt("NW", net);
            data.putInt("ArbNW", networkType);
            msg = android.os.Message.obtain(this.mWmpStateMachineHandler, 120);
            msg.setData(data);
            msg.obj = callback;
            this.mWmpStateMachineHandler.sendMessage(msg);
        }
        data.putInt("FULLID", fullAppId);
        data.putInt("UID", UID);
        data.putInt("NW", net);
        data.putInt("ArbNW", networkType);
        msg = android.os.Message.obtain(this.mWmpStateMachineHandler, 120);
        msg.setData(data);
        msg.obj = callback;
        this.mWmpStateMachineHandler.sendMessage(msg);
    }
}
