package com.android.server.hidata.arbitration;

public class HwArbitrationStateMachine extends com.android.internal.util.StateMachine {
    private static final long QueryWaitTime = 20000;
    private static final java.lang.String TAG = "HiData_HwArbitrationStateMachine";
    private static final int hiCureDelayTime = 2000;
    private static com.android.server.hidata.arbitration.HwArbitrationStateMachine mArbitrationStateMachine;
    private static java.util.HashMap<java.lang.Integer, com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo> mHwArbitrationAppBoostMap;
    private long hiCureDefaultOvertime = 1800000;
    private long hiCureDefaultOvertimeReset = 180000;
    private long hiCureInformBlockTime = 86400000;
    private long hiCureWifiDisconnectedDelayTime = 10000;
    private boolean isAllowHiCure = true;
    private boolean isAllowQueryChQoE = true;
    private int isStallAfterCure = 0;
    private long lastReceiveResultTime = 0;
    private com.android.internal.util.State mCellMonitorState = new com.android.server.hidata.arbitration.HwArbitrationStateMachine.CellMonitorState();
    private int mCoexCount = 0;
    private android.content.Context mContext;
    private int mCurrentActiveNetwork = 802;
    private int mCurrentServiceState = 1;
    private com.android.server.hidata.appqoe.HwAPPStateInfo mCurrentStreamAppInfo;
    private com.android.internal.util.State mDefaultState = new com.android.server.hidata.arbitration.HwArbitrationStateMachine.DefaultState();
    private boolean mDenyByNotification = false;
    private boolean mDeviceBootCommpleted = false;
    private boolean mHiStreamTriggerOrStopMplink = true;
    com.android.server.hidata.appqoe.HwAPPQoEManager mHwAPPQoEManager = null;
    private com.android.server.hidata.appqoe.HwAPPQoEResourceManger mHwAPPQoEResourceManger;
    com.android.server.hidata.arbitration.HwArbitrationChrImpl mHwArbitrationChrImpl;
    private com.android.server.hidata.hiradio.HwHiRadioBoost mHwHiRadioBoost;
    com.android.server.hidata.histream.HwHiStreamManager mHwHiStreamManager = null;
    private com.android.server.hidata.hiradio.HwWifiBoost mHwWifiBoost = null;
    private com.android.internal.util.State mInitialState = new com.android.server.hidata.arbitration.HwArbitrationStateMachine.InitialState();
    private boolean mIsMpLinkBinding = false;
    private boolean mIsMpLinkError = false;
    private com.android.internal.util.State mMPLinkStartedState = new com.android.server.hidata.arbitration.HwArbitrationStateMachine.MPLinkStartedState();
    private com.android.internal.util.State mMPLinkStartingState = new com.android.server.hidata.arbitration.HwArbitrationStateMachine.MPLinkStartingState();
    private com.android.internal.util.State mMPLinkStoppingState = new com.android.server.hidata.arbitration.HwArbitrationStateMachine.MPLinkStoppingState();
    private int mMpLinkCount = 0;
    private java.util.HashMap<java.lang.Integer, java.lang.Long> mQueryTime;
    private com.android.internal.util.State mWifiMonitorState = new com.android.server.hidata.arbitration.HwArbitrationStateMachine.WifiMonitorState();
    private boolean monitorStallAfterCure = false;
    private long pingPongTMCell_Bad = 0;
    private boolean trgPingPongCell_Bad = false;
    private long triggerMPlinkInternal = 20000;

    class CellMonitorState extends com.android.internal.util.State {
        private int actions = 0;
        private int appUID = -1;
        private com.android.server.hidata.appqoe.HwAPPStateInfo mAppInfo = null;

        CellMonitorState() {
        }

        public void enter() {
            java.lang.String str;
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "Enter CellMonitorState");
            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwAPPQoEManager = com.android.server.hidata.appqoe.HwAPPQoEManager.getInstance();
            this.mAppInfo = com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwAPPQoEManager == null ? null : com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwAPPQoEManager.getCurAPPStateInfo();
            java.lang.String str2 = "HiData_HwArbitrationStateMachine";
            if (this.mAppInfo == null) {
                str = "mAppInfo is null ";
            } else {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("mAppInfo:");
                stringBuilder.append(this.mAppInfo.toString());
                str = stringBuilder.toString();
            }
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD(str2, str);
            if (this.mAppInfo != null && com.android.server.hidata.arbitration.HwArbitrationFunction.isDataTechSuitable()) {
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "begin HiRadio  Cellular boost");
                handleCurrentScene(this.mAppInfo);
                handleHiStreamScene();
            }
        }

        private void handleCurrentScene(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo) {
            if (appInfo != null) {
                int i = appInfo.mAppType;
                if (i == 1000) {
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.sendMessage(109, appInfo);
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "CurrentScene:MSG_INSTANT_APP_START");
                } else if (i != 2000) {
                    if (i != 4000) {
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "CurrentScene:no AppQoE monitored scenes at foreground");
                    } else {
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.sendMessage(106, appInfo);
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "CurrentScene:MSG_STREAM_APP_START");
                    }
                } else if (appInfo.mScenceId == 200002) {
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.sendMessage(104, appInfo);
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "CurrentScene:MSG_GAME_ENTER_PVP_BATTLE");
                } else if (appInfo.mScenceId == 200001) {
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.sendMessage(100, appInfo);
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "CurrentScene:MSG_GAME_STATE_START");
                }
            }
        }

        private void handleHiStreamScene() {
            if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCurrentStreamAppInfo != null) {
                int actions = getActionsConfig(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCurrentStreamAppInfo);
                if (actions < 0) {
                    actions = 1;
                }
                actions = findActionsNeedStart(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCurrentStreamAppInfo, actions);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Action to start:");
                stringBuilder.append(actions);
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                if (actions > 0) {
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwHiRadioBoost.startOptimizeActionsForApp(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCurrentStreamAppInfo, actions);
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.setStateMachineHashMap(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCurrentStreamAppInfo, 801, false, false, actions);
                }
            }
        }

        private void stopAllCellOptimize() {
            if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap == null || com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.isEmpty()) {
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "stopAllCellOptimize: no Optimize to recover ");
                return;
            }
            for (java.lang.Integer appUid : com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.keySet()) {
                com.android.server.hidata.appqoe.HwAPPStateInfo tempData = new com.android.server.hidata.appqoe.HwAPPStateInfo();
                tempData.mAppUID = appUid.intValue();
                stopUidOptimiztion(tempData);
            }
            com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.clear();
        }

        private void stopUidOptimiztion(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo) {
            if (!(appInfo == null || com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap == null)) {
                if (!com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.isEmpty()) {
                    com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo boostInfo = (com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(appInfo.mAppUID));
                    if (boostInfo != null) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("stopUidOptimiztion enter: boostInfo is ");
                        stringBuilder.append(boostInfo.toString());
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                        com.android.server.hidata.appqoe.HwAPPStateInfo tempData = new com.android.server.hidata.appqoe.HwAPPStateInfo();
                        tempData.copyObjectValue(appInfo);
                        tempData.mAppId = boostInfo.getAppID();
                        tempData.mAppUID = boostInfo.getBoostUID();
                        tempData.mScenceId = boostInfo.getSceneId();
                        int solution = boostInfo.getSolution();
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("stopUidOptimiztion: for ");
                        stringBuilder2.append(tempData.mAppId);
                        stringBuilder2.append(", solution to stop is ");
                        stringBuilder2.append(solution);
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder2.toString());
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwHiRadioBoost.stopOptimizedActionsForApp(tempData, false, solution);
                    }
                }
            }
        }

        private int findActionsNeedStart(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo, int actions) {
            if (appInfo == null) {
                return -1;
            }
            if (actions <= 0) {
                return actions;
            }
            if (!(com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap == null || com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.isEmpty())) {
                com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo boostInfo = (com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(appInfo.mAppUID));
                if (boostInfo != null) {
                    int lastActions = (~boostInfo.getSolution()) & actions;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("findActions: actions started is ");
                    stringBuilder.append(boostInfo.getSolution());
                    stringBuilder.append(", actions to judge is ");
                    stringBuilder.append(actions);
                    stringBuilder.append(", actions going to start is ");
                    stringBuilder.append(lastActions);
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                    return lastActions;
                }
            }
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("findActions: actions to start is ");
            stringBuilder2.append(actions);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder2.toString());
            return actions;
        }

        private int findActionsNeedStop(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo, int configActions) {
            if (configActions > 0) {
                if (appInfo != null) {
                    int actionsStop = -1;
                    if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap == null || com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.isEmpty()) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("findActionsNeedStop: no started actions for uid: ");
                        stringBuilder.append(appInfo.mAppUID);
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logE("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                    } else {
                        com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo boostInfo = (com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(appInfo.mAppUID));
                        if (boostInfo != null) {
                            actionsStop = configActions & boostInfo.getSolution();
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("findActionsNeedStop: actions started is ");
                            stringBuilder2.append(boostInfo.getSolution());
                            stringBuilder2.append(", actions to judge is ");
                            stringBuilder2.append(configActions);
                            stringBuilder2.append(", actions going to remain is ");
                            stringBuilder2.append(actionsStop);
                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder2.toString());
                            actionsStop = (~actionsStop) & boostInfo.getSolution();
                        }
                    }
                    return actionsStop;
                }
            }
            return configActions;
        }

        private int getActionsToStart(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo) {
            return findActionsNeedStart(appInfo, getActionsConfig(appInfo));
        }

        private int getActionsConfig(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo) {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "Enter getActionsConfig");
            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwAPPQoEResourceManger = com.android.server.hidata.appqoe.HwAPPQoEResourceManger.getInstance();
            int actions = 0;
            if (!(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwAPPQoEResourceManger == null || appInfo == null)) {
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", appInfo.toString());
                actions = com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwAPPQoEResourceManger.getScenceAction(appInfo.mAppType, appInfo.mAppId, appInfo.mScenceId);
                if (actions < 0) {
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logE("HiData_HwArbitrationStateMachine", "get SceneAction from AppQoE xmlConfg failed");
                }
            }
            return actions;
        }

        public void exit() {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "Exit CellMonitorState");
            stopAllCellOptimize();
            if (com.android.server.hidata.arbitration.HwArbitrationFunction.isPvpScene()) {
                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwWifiBoost.limitedSpeed(1, 0, 0);
            }
        }

        public boolean processMessage(android.os.Message message) {
            java.lang.StringBuilder stringBuilder;
            int newActions;
            java.lang.StringBuilder stringBuilder2;
            switch (message.what) {
                case 100:
                    this.mAppInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("In CellMonitorState MSG_GAME_STATE_START, mCurrentRAT is ");
                    stringBuilder.append(com.android.server.hidata.arbitration.HwArbitrationFunction.getDataTech());
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                    if (this.mAppInfo != null && com.android.server.hidata.arbitration.HwArbitrationFunction.isDataTechSuitable()) {
                        this.actions = getActionsConfig(this.mAppInfo);
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("ENTER GAME: getActionConfig,actions = ");
                        stringBuilder.append(this.actions);
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                        this.actions = findActionsNeedStart(this.mAppInfo, this.actions);
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwHiRadioBoost.startOptimizeActionsForApp(this.mAppInfo, this.actions);
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.setStateMachineHashMap(this.mAppInfo, 801, false, false, this.actions);
                        break;
                    }
                case 101:
                case 103:
                    this.mAppInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj;
                    if (!(this.mAppInfo == null || com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap == null)) {
                        stopUidOptimiztion(this.mAppInfo);
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.remove(java.lang.Integer.valueOf(this.mAppInfo.mAppUID));
                    }
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwWifiBoost.limitedSpeed(1, 0, 0);
                    break;
                case 104:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "In CellMonitorState MSG_GAME_ENTER_PVP_BATTLE");
                    this.mAppInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj;
                    if (this.mAppInfo != null && com.android.server.hidata.arbitration.HwArbitrationFunction.isDataTechSuitable()) {
                        this.actions = getActionsConfig(this.mAppInfo) | 1;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("ENTER PVP: getActionConfig:");
                        stringBuilder.append(getActionsConfig(this.mAppInfo));
                        stringBuilder.append(", actions = ");
                        stringBuilder.append(this.actions);
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                        this.actions = findActionsNeedStart(this.mAppInfo, this.actions);
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwHiRadioBoost.startOptimizeActionsForApp(this.mAppInfo, this.actions);
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.updateStateMachineHashMap(this.mAppInfo, 801, false, false, this.actions);
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwWifiBoost.limitedSpeed(1, 1, 1);
                        break;
                    }
                case 105:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "In CellMonitorState MSG_GAME_EXIT_PVP_BATTLE");
                    this.mAppInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj;
                    if (!(this.mAppInfo == null || com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap == null || com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(this.mAppInfo.mAppUID)) == null)) {
                        this.actions = getActionsConfig(this.mAppInfo);
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("EXIT PVP:getActionConfig:");
                        stringBuilder.append(this.actions);
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                        newActions = findActionsNeedStop(this.mAppInfo, this.actions);
                        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                        stringBuilder3.append("findActionsNeedStop:StopAction:");
                        stringBuilder3.append(newActions);
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder3.toString());
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwHiRadioBoost.stopOptimizedActionsForApp(this.mAppInfo, true, newActions);
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.setStateMachineHashMap(this.mAppInfo, 801, false, false, this.actions);
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwWifiBoost.limitedSpeed(1, 0, 0);
                        break;
                    }
                case 106:
                    this.mAppInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj;
                    if (this.mAppInfo != null && com.android.server.hidata.arbitration.HwArbitrationFunction.isDataTechSuitable()) {
                        newActions = getActionsToStart(this.mAppInfo);
                        if (newActions < 0) {
                            newActions = 1;
                        }
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("histream actions:");
                        stringBuilder2.append(newActions);
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder2.toString());
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwHiRadioBoost.startOptimizeActionsForApp(this.mAppInfo, newActions);
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.setStateMachineHashMap(this.mAppInfo, 801, false, false, newActions);
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.printMap(this.mAppInfo.mAppUID);
                        break;
                    }
                case 107:
                    this.mAppInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj;
                    if (!(this.mAppInfo == null || com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap == null)) {
                        stopUidOptimiztion(this.mAppInfo);
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.remove(java.lang.Integer.valueOf(this.mAppInfo.mAppUID));
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "Stop HiStream actions");
                        break;
                    }
                case 109:
                case 111:
                case 113:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "In CellMonitorState need startOptimizeActionsForApp");
                    this.mAppInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj;
                    if (this.mAppInfo != null) {
                        this.actions = getActionsToStart(this.mAppInfo);
                        if (this.actions > 0 && com.android.server.hidata.arbitration.HwArbitrationFunction.isDataTechSuitable()) {
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("begin HiRadioBoost, UID = ");
                            stringBuilder.append(this.mAppInfo.mAppUID);
                            stringBuilder.append(", actions =");
                            stringBuilder.append(this.actions);
                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwHiRadioBoost.startOptimizeActionsForApp(this.mAppInfo, this.actions);
                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.setStateMachineHashMap(this.mAppInfo, 801, false, false, this.actions);
                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.printMap(this.mAppInfo.mAppUID);
                            break;
                        }
                    }
                    break;
                case 110:
                case 112:
                case 114:
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("In CellMonitorState need stopOptimizedActionsForApp , message is ");
                    stringBuilder.append(message.what);
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                    this.mAppInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj;
                    if (!(this.mAppInfo == null || com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap == null)) {
                        com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo boostInfo = (com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(this.mAppInfo.mAppUID));
                        if (boostInfo != null && boostInfo.getSceneId() == 100105) {
                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "HiStream Audio is still at background");
                            break;
                        }
                        stopUidOptimiztion(this.mAppInfo);
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.remove(java.lang.Integer.valueOf(this.mAppInfo.mAppUID));
                        break;
                    }
                    break;
                case 115:
                case 1106:
                case 1108:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "In CellMonitorState process MSG_GAME/APP_STATE_BAD");
                    break;
                case 120:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "in CellMonitor: MSG_STREAMING_APP_FOREGROUND");
                    this.mAppInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj;
                    if (this.mAppInfo != null && this.mAppInfo.mScenceId == 100106 && com.android.server.hidata.arbitration.HwArbitrationFunction.isDataTechSuitable()) {
                        newActions = getActionsToStart(this.mAppInfo);
                        if (newActions < 0) {
                            newActions = 1;
                        }
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("Start HiStream actions:");
                        stringBuilder2.append(newActions);
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder2.toString());
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwHiRadioBoost.startOptimizeActionsForApp(this.mAppInfo, newActions);
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.setStateMachineHashMap(this.mAppInfo, 801, false, false, newActions);
                        break;
                    }
                case 121:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "in CellMonitor: MSG_STREAMING_APP_BACKGROUND");
                    this.mAppInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj;
                    if (!(this.mAppInfo == null || this.mAppInfo.mScenceId != 100106 || com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap == null)) {
                        stopUidOptimiztion(this.mAppInfo);
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.remove(this.mAppInfo);
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "Stop HiStream actions");
                        break;
                    }
                case 1005:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "CellMonitorState transitionTo WifiMonitorState");
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mWifiMonitorState);
                    break;
                case 1009:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "In CellMonitorState don't process MSG_CELL_STATE_CONNECTED");
                    break;
                case 1010:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "CellMonitorState:MSG_CELL_STATE_DISCONNECT");
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mInitialState);
                    break;
                case 1012:
                case 1023:
                    stopAllCellOptimize();
                    if (1012 == message.what && com.android.server.hidata.arbitration.HwArbitrationFunction.isPvpScene()) {
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwWifiBoost.limitedSpeed(1, 0, 0);
                        break;
                    }
                case 1017:
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine hwArbitrationStateMachine = com.android.server.hidata.arbitration.HwArbitrationStateMachine.this;
                    com.android.server.hidata.appqoe.HwAPPQoEManager instance = com.android.server.hidata.appqoe.HwAPPQoEManager.getInstance();
                    hwArbitrationStateMachine.mHwAPPQoEManager = instance;
                    if (instance != null) {
                        com.android.server.hidata.appqoe.HwAPPStateInfo curAPPStateInfo = com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwAPPQoEManager.getCurAPPStateInfo();
                        this.mAppInfo = curAPPStateInfo;
                        if (curAPPStateInfo != null && com.android.server.hidata.arbitration.HwArbitrationFunction.isDataTechSuitable()) {
                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", this.mAppInfo.toString());
                            handleCurrentScene(this.mAppInfo);
                        }
                    }
                    handleHiStreamScene();
                    if (com.android.server.hidata.arbitration.HwArbitrationFunction.isPvpScene()) {
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwWifiBoost.limitedSpeed(1, 1, 1);
                        break;
                    }
                    break;
                case 1022:
                    if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwAPPQoEManager != null) {
                        this.mAppInfo = com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwAPPQoEManager.getCurAPPStateInfo();
                        if (this.mAppInfo != null) {
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("AppInfo:");
                            stringBuilder.append(this.mAppInfo.toString());
                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                            this.actions = getActionsToStart(this.mAppInfo);
                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwHiRadioBoost.startOptimizeActionsForApp(this.mAppInfo, this.actions);
                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.setStateMachineHashMap(this.mAppInfo, 801, false, false, this.actions);
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("Back to RAT suitable, start actions = ");
                            stringBuilder.append(this.actions);
                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                            handleHiStreamScene();
                            break;
                        }
                        break;
                    }
                    break;
                case 1122:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "ChannelQoE Notify Result:MSG_CHANNEL_NOTIFY_RESULT_GOOD");
                    break;
                case 1123:
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("ChannelQoE Notify Result:MSG_CHANNEL_NOTIFY_RESULT_BAD, Reason:");
                    stringBuilder.append(message.arg1);
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                    if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isAllowHiCure && -1 != this.appUID) {
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.startHiCure(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext, this.appUID, 1, 0);
                        break;
                    }
                case 1128:
                    this.mAppInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj;
                    com.android.server.hidata.arbitration.HwArbitrationCallbackImpl hwArbitrationCallbackImpl = com.android.server.hidata.arbitration.HwArbitrationCallbackImpl.getInstance(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext);
                    if (this.mAppInfo != null && com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isAllowHiCure && com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isAllowQueryChQoE && hwArbitrationCallbackImpl != null) {
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isAllowQueryChQoE = false;
                        this.appUID = this.mAppInfo.mAppUID;
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "Receive MSG_APP_STATE_BAD_NO_RX, start query ChannelQoE");
                        com.android.server.hidata.channelqoe.HwChannelQoEManager.createInstance(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext).queryCellPSAvailable(hwArbitrationCallbackImpl);
                    }
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "In CellMonitorState process MSG_APP_STATE_BAD_NO_RX");
                    break;
                case 2020:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "In CellMonitorState MSG_AIRPLANE_MODE_ON");
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mInitialState);
                    break;
                default:
                    return false;
            }
            return true;
        }
    }

    class DefaultState extends com.android.internal.util.State {
        DefaultState() {
        }

        public void enter() {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "Enter DefaultState");
            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwWifiBoost.initialBGLimitModeRecords();
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "HwWifiBoost:initialBGLimitModeRecords complete");
        }

        public void exit() {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "exit DefaultState");
        }

        public boolean processMessage(android.os.Message message) {
            java.lang.StringBuilder stringBuilder;
            if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.getCurrentState() != null) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("DefaultState Msg: ");
                stringBuilder.append(message.what);
                stringBuilder.append(", received in ");
                stringBuilder.append(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.getCurrentState().getName());
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
            }
            switch (message.what) {
                case 100:
                case 104:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "DefaultState unhandled MSG_GAME_ENTER_PVP_BATTLE or MSG_GAME_STATE_START");
                    break;
                case 105:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "DefaultState unhandled MSG_GAME_EXIT_PVP_BATTLE");
                    break;
                case 115:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "DefaultState unhandled MSG_GAME_WAR_STATE_BAD");
                    break;
                case 1005:
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.deferMessage(message);
                    break;
                case 1006:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "DefaultState MSG_WIFI_STATE_DISCONNECT");
                    if (!com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.deliverErrorMPLinkCase()) {
                        if (801 != com.android.server.hidata.arbitration.HwArbitrationCommonUtils.getActiveConnectType(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext) || com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCellMonitorState == com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.getCurrentState()) {
                            if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.getCurrentState() != com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mInitialState && 802 == com.android.server.hidata.arbitration.HwArbitrationCommonUtils.getActiveConnectType(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext)) {
                                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "Not handle:MSG_WIFI_STATE_DISCONNECT in default state");
                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mInitialState);
                                break;
                            }
                        }
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCellMonitorState);
                        break;
                    }
                    break;
                case 1010:
                case 2022:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "DefaultState: MSG_CELL_STATE_DISCONNECTED");
                    if (!com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.deliverErrorMPLinkCase()) {
                        if (800 != com.android.server.hidata.arbitration.HwArbitrationCommonUtils.getActiveConnectType(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext)) {
                            if (802 == com.android.server.hidata.arbitration.HwArbitrationCommonUtils.getActiveConnectType(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext) && com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.getCurrentState() != com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mInitialState) {
                                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "Not handle:ACTIVE_CONNECT_IS_NONE in default state");
                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mInitialState);
                                break;
                            }
                        }
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mWifiMonitorState);
                        break;
                    }
                    break;
                case 1012:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MSG_SCREEN_IS_TURNOFF");
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.deliverErrorMPLinkCase();
                    break;
                case 1015:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "update  mDataRoamingState:true");
                    break;
                case 1017:
                    break;
                case 1019:
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCurrentServiceState = 0;
                    break;
                case 1020:
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCurrentServiceState = 1;
                    break;
                case 1021:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "update  mDataRoamingState:false");
                    break;
                case 1030:
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCurrentActiveNetwork = message.arg1;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("update active network: ");
                    stringBuilder.append(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCurrentActiveNetwork);
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                    break;
                case 1119:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "has received HiCure result");
                    break;
                case 1121:
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isAllowHiCure = true;
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "isAllowHicure:true");
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.hiCureToast("isAllowHiCure:True");
                    break;
                case 1124:
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.sendMessageDelayed(1121, com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.hiCureDefaultOvertime);
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwArbitrationChrImpl.updateHiCureResultChr(-1, -1, -1);
                    break;
                case 1125:
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("receive MSG_WIFI_DISCONNECTED_FOR_HICURE in ");
                    stringBuilder.append(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.getCurrentState().getName());
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                    if (com.android.server.hidata.arbitration.HwArbitrationCommonUtils.isWifiEnabled(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext) && com.android.server.hidata.arbitration.HwArbitrationFunction.isScreenOn()) {
                        if (!com.android.server.hidata.arbitration.HwArbitrationFunction.isDataRoaming()) {
                            if (!com.android.server.hidata.arbitration.HwArbitrationCommonUtils.isCellEnable(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext)) {
                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.wifiDisconnectedTriggerHiCure();
                                break;
                            }
                        } else if (!(com.android.server.hidata.arbitration.HwArbitrationCommonUtils.isCellEnable(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext) && com.android.server.hidata.arbitration.HwArbitrationCommonUtils.isDataRoamingEnable(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext))) {
                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.wifiDisconnectedTriggerHiCure();
                            break;
                        }
                    }
                    break;
                case 1127:
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mDeviceBootCommpleted = true;
                    break;
                case 1129:
                    if (message.obj != null) {
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isStallAfterCure = 1;
                        break;
                    }
                    break;
                case 1130:
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwArbitrationChrImpl.updateIsStallAfterCure(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isStallAfterCure);
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.monitorStallAfterCure = false;
                    break;
                case 2001:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logE("HiData_HwArbitrationStateMachine", "mIsMpLinkError is false");
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mIsMpLinkError = false;
                    break;
                case 2004:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "DefaultState start COEX error");
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.deliverErrorMPLinkCase();
                    break;
                case 2016:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "DefaultState MSG_WIFI_PLUS_ENABLE");
                    break;
                case 2018:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "DefaultState MSG_WIFI_PLUS_DISABLE");
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.deliverErrorMPLinkCase();
                    break;
                case 2020:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "DefaultState MSG_AIRPLANE_MODE_ON ");
                    if (!com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.deliverErrorMPLinkCase()) {
                        switch (com.android.server.hidata.arbitration.HwArbitrationCommonUtils.getActiveConnectType(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext)) {
                            case 800:
                                if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mWifiMonitorState != com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.getCurrentState()) {
                                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mWifiMonitorState);
                                    break;
                                }
                                break;
                            case 801:
                                if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCellMonitorState != com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.getCurrentState()) {
                                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCellMonitorState);
                                    break;
                                }
                                break;
                            default:
                                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "cannot distinguish state, Enter InitialState");
                                if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mInitialState != com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.getCurrentState()) {
                                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mInitialState);
                                    break;
                                }
                                break;
                        }
                    }
                    break;
                case 2023:
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mMPLinkStartedState);
                    break;
                case 2024:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MSG_VPN_STATE_OPEN");
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.deliverErrorMPLinkCase();
                    break;
                case 2026:
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHiStreamTriggerOrStopMplink = true;
                    break;
                case 2032:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logE("HiData_HwArbitrationStateMachine", "MSG_Stop_MPLink_By_Notification");
                    break;
                case 2034:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logE("HiData_HwArbitrationStateMachine", "MSG_Recovery_Flag_By_Notification");
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mDenyByNotification = false;
                    break;
                default:
                    if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.getCurrentState() != null) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("Unhandled Message: ");
                        stringBuilder.append(message.what);
                        stringBuilder.append(" in State: ");
                        stringBuilder.append(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.getCurrentState().getName());
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logE("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                        break;
                    }
                    break;
            }
            return true;
        }
    }

    class InitialState extends com.android.internal.util.State {
        InitialState() {
        }

        public void enter() {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "Enter InitialState");
            if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap != null) {
                com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.clear();
            }
        }

        public void exit() {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "Exit InitialState");
            if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.hasMessages(1120)) {
                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.removeMessages(1120);
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MSG_TRANSITION_TO_HICURE moved in InitialState");
            }
        }

        public boolean processMessage(android.os.Message message) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("InitialState Msg: ");
            stringBuilder.append(message.what);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
            int i = message.what;
            if (i == 1005) {
                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mWifiMonitorState);
            } else if (i != 1009) {
                if (i != 1012) {
                    if (i == 1120) {
                        i = message.arg1;
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "has received MSG_TRANSITION_TO_HICURE in InitialState");
                        if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isAllowHiCure && 802 == com.android.server.hidata.arbitration.HwArbitrationCommonUtils.getActiveConnectType(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext)) {
                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.startHiCure(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext, i, 1, -1);
                        } else {
                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "not allow HiCure");
                        }
                    } else if (i == 2015 || i == 2027) {
                        if (2027 == message.what) {
                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MSG_MPLINK_ERROR_HANDLER");
                        } else {
                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MSG_MPLINK_STOP_COEX_SUCC");
                        }
                        switch (com.android.server.hidata.arbitration.HwArbitrationCommonUtils.getActiveConnectType(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext)) {
                            case 800:
                                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "InitialState WIFI_NETWORK");
                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mWifiMonitorState);
                                break;
                            case 801:
                                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "InitialState CELL_NETWORK");
                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCellMonitorState);
                                break;
                            default:
                                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "cannot distinguish state");
                                break;
                        }
                    } else {
                        switch (i) {
                            case 1117:
                                com.android.server.hidata.appqoe.HwAPPStateInfo appInfo = message.obj;
                                if (appInfo != null && com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCurrentServiceState == 0) {
                                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.sendMessageDelayed(1120, appInfo.mAppUID, 2000);
                                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "send DelayMessage MSG_TRANSITION_TO_HICURE when APP_STATE_FOREFROUND");
                                    break;
                                }
                            case 1118:
                                break;
                            default:
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("Message:");
                                stringBuilder.append(message.what);
                                stringBuilder.append(" did't process in InitialState, go to parent state");
                                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                                return false;
                        }
                    }
                }
                if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.hasMessages(1120)) {
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.removeMessages(1120);
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "has removed MSG_TRANSITION_TO_HICURE in InitialState");
                }
            } else {
                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCellMonitorState);
            }
            return true;
        }
    }

    class MPLinkStartedState extends com.android.internal.util.State {
        private static final int InstantAPP = 2;
        private static final int StreamingAPP = 3;
        private com.android.server.hidata.appqoe.HwAPPStateInfo appInfo;
        private com.android.server.hidata.mplink.MplinkBindResultInfo mplinkBindResultInfo;
        private int mplinkErrorCode = -1;
        private long pingPongTMWiFi_Good = 0;
        private int punishWiFiGoodCount = 0;
        private int stopMplinkReason = -1;
        private boolean trgPingPongWiFi_Good;
        private int uid;
        private boolean wifiGoodFlag = true;

        MPLinkStartedState() {
        }

        public void enter() {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "Enter MPLinkStartedState");
            this.trgPingPongWiFi_Good = false;
        }

        public void exit() {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "Exit MPLinkStartedState");
            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mIsMpLinkBinding = false;
            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCoexCount = 0;
            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mMpLinkCount = 0;
            com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap = null;
            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mIsMpLinkError = false;
            this.wifiGoodFlag = true;
            this.stopMplinkReason = -1;
            this.mplinkErrorCode = -1;
            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.removeMessages(2031);
            com.android.server.hidata.arbitration.HwArbitrationDisplay.getInstance(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext).requestDataMonitor(false, 1);
            if (com.android.server.hidata.appqoe.HwAPPQoEManager.getInstance() != null) {
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "stopWifiLinkMonitor all");
                com.android.server.hidata.appqoe.HwAPPQoEManager.getInstance().stopWifiLinkMonitor(-1, true);
            }
        }

        public boolean processMessage(android.os.Message message) {
            android.os.Message message2 = message;
            int i = message2.what;
            switch (i) {
                case 100:
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MSG_GAME_STATE_START");
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.printMap(this.uid);
                    this.appInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message2.obj;
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.handleGeneralGameStart(this.appInfo);
                    break;
                case 101:
                    this.appInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message2.obj;
                    if (this.appInfo != null) {
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.printMap(this.appInfo.mAppUID);
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.handleGeneralGameEnd(this.appInfo);
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.handleGamePvpEnd(this.appInfo);
                        break;
                    }
                    break;
                default:
                    int i2 = 0;
                    switch (i) {
                        case 103:
                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.printMap(this.uid);
                            this.appInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message2.obj;
                            if (this.appInfo != null) {
                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.handleGeneralGameEnd(this.appInfo);
                                break;
                            }
                            break;
                        case 104:
                            this.appInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message2.obj;
                            if (this.appInfo != null) {
                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.handleGeneralGameStart(this.appInfo);
                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.handleGamePvpStart(this.appInfo);
                                updateMapAppInfo(this.appInfo, false);
                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.printMap(this.appInfo.mAppUID);
                                break;
                            }
                            break;
                        case 105:
                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MSG_GAME_EXIT_PVP_BATTLE");
                            this.appInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message2.obj;
                            if (this.appInfo != null) {
                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.handleGamePvpEnd(this.appInfo);
                                break;
                            }
                            break;
                        case 106:
                            this.appInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message2.obj;
                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.handleStreamingStart(this.appInfo);
                            break;
                        case 107:
                            this.appInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message2.obj;
                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.handleStreamingEnd(this.appInfo);
                            if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isInMPLink(this.appInfo.mAppUID)) {
                                this.stopMplinkReason = 6;
                                stopMPLinkAppBind(this.appInfo.mAppUID);
                                break;
                            }
                            break;
                        default:
                            switch (i) {
                                case 109:
                                case 111:
                                case 113:
                                    this.appInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message2.obj;
                                    if (!(this.appInfo == null || (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isInMPLink(this.appInfo.mAppUID) && com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isStreamScene(this.appInfo.mAppUID)))) {
                                        updateMapAppInfo(this.appInfo, true);
                                        break;
                                    }
                                case 110:
                                    this.appInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message2.obj;
                                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MSG_INSTANT_APP_END");
                                    if (this.appInfo != null) {
                                        if (!com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isInMPLink(this.appInfo.mAppUID) || com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isStreamScene(this.appInfo.mAppUID)) {
                                            if (!com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isInMPLink(this.appInfo.mAppUID)) {
                                                stopMPLinkCoex(this.appInfo.mAppUID);
                                                break;
                                            }
                                        }
                                        this.stopMplinkReason = 6;
                                        stopMPLinkAppBind(this.appInfo.mAppUID);
                                        break;
                                    }
                                    break;
                                case 112:
                                case 114:
                                    this.appInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message2.obj;
                                    if (!(this.appInfo == null || com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isInMPLink(this.appInfo.mAppUID))) {
                                        stopMPLinkCoex(this.appInfo.mAppUID);
                                        break;
                                    }
                                case 115:
                                    this.appInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message2.obj;
                                    handleAppExpBad(this.appInfo, 2);
                                    break;
                                default:
                                    java.lang.StringBuilder stringBuilder;
                                    java.lang.StringBuilder stringBuilder2;
                                    switch (i) {
                                        case 2005:
                                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MSG_MPLINK_BIND_CHECK_OK_NOTIFY");
                                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.removeMessages(2029);
                                            this.uid = message2.arg1;
                                            if (!com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isInMPLink(this.uid)) {
                                                startMPLinkAppBind(this.uid);
                                                break;
                                            }
                                            this.stopMplinkReason = 3;
                                            stopMPLinkAppBind(this.uid);
                                            break;
                                        case 2006:
                                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MSG_MPLINK_BIND_CHECK_FAIL_NOTIFY");
                                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.removeMessages(2029);
                                            this.uid = message2.arg1;
                                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.setQueryTime(this.uid);
                                            if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.noAPPInMPLink()) {
                                                stopMPLinkCoex(this.uid);
                                            }
                                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mIsMpLinkBinding = false;
                                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.updateMplinkCHRExceptionEvent(message2.arg1, 8, message2.arg2);
                                            com.android.server.hidata.appqoe.HwAPPChrManager.getInstance().updateStatisInfo(this.appInfo, 11);
                                            break;
                                        case 2007:
                                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MSG_MPLINK_BIND_SUCCESS");
                                            this.mplinkBindResultInfo = (com.android.server.hidata.mplink.MplinkBindResultInfo) message2.obj;
                                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mIsMpLinkBinding = false;
                                            if (this.mplinkBindResultInfo != null) {
                                                this.uid = this.mplinkBindResultInfo.getUid();
                                                if (!(com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap == null || com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(this.uid)) == null)) {
                                                    i = ((com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(this.uid))).getAppID();
                                                    if (!(1004 == i || 1002 == i)) {
                                                        com.android.server.hidata.arbitration.HwArbitrationDisplay.setToast(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext, com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext.getString(33686081));
                                                    }
                                                }
                                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.printMap(this.uid);
                                                if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isStreamScene(this.uid)) {
                                                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.removeMessages(2026);
                                                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.sendMessageDelayed(2026, com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.triggerMPlinkInternal);
                                                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHiStreamTriggerOrStopMplink = false;
                                                }
                                                if (!(com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap == null || com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(this.uid)) == null)) {
                                                    if (((com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(this.uid))).getIsMPlink()) {
                                                        stringBuilder = new java.lang.StringBuilder();
                                                        stringBuilder.append("MSG_MPLINK_BIND_SUCCESS, ");
                                                        stringBuilder.append(this.uid);
                                                        stringBuilder.append("is already in mMpLink!");
                                                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                                                    } else {
                                                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mMpLinkCount = com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mMpLinkCount + 1;
                                                        stringBuilder = new java.lang.StringBuilder();
                                                        stringBuilder.append("MSG_MPLINK_BIND_SUCCESS, mMpLinkCount is ");
                                                        stringBuilder.append(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mMpLinkCount);
                                                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                                                    }
                                                }
                                                if (java.lang.System.currentTimeMillis() - this.pingPongTMWiFi_Good < 30000) {
                                                    this.punishWiFiGoodCount++;
                                                    stringBuilder = new java.lang.StringBuilder();
                                                    stringBuilder.append("MSG_MPLINK_BIND_SUCCESS, punishWiFiGoodCount: ");
                                                    stringBuilder.append(this.punishWiFiGoodCount);
                                                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                                                    if (1 <= this.punishWiFiGoodCount) {
                                                        this.trgPingPongWiFi_Good = true;
                                                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.sendMessageDelayed(2031, this.uid, 300000);
                                                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MSG_MPLINK_BIND_SUCCESS, trigger the Ping-Pong ================================");
                                                        this.punishWiFiGoodCount = 0;
                                                    }
                                                } else {
                                                    this.punishWiFiGoodCount = 0;
                                                }
                                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.pingPongTMCell_Bad = java.lang.System.currentTimeMillis();
                                                if (!(com.android.server.hidata.appqoe.HwAPPQoEManager.getInstance() == null || com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap == null || com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(this.uid)) == null || this.trgPingPongWiFi_Good)) {
                                                    stringBuilder = new java.lang.StringBuilder();
                                                    stringBuilder.append("MSG_MPLINK_BIND_SUCCESS, startWifiLinkMonitor: ");
                                                    stringBuilder.append(this.uid);
                                                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                                                    com.android.server.hidata.appqoe.HwAPPQoEManager.getInstance().startWifiLinkMonitor(this.uid, ((com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(this.uid))).getSceneId());
                                                }
                                                if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.updateStateInfoMap(this.mplinkBindResultInfo, com.android.server.hidata.arbitration.HwArbitrationFunction.getNetwork(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext, this.mplinkBindResultInfo.getNetwork()), true)) {
                                                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "start MPLink success and update table success");
                                                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.sendMPLinkBroadcast(this.uid);
                                                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.printMap(this.uid);
                                                }
                                                if (801 == com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.getCurrentNetwork(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext, this.uid) && com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isInMPLink(this.uid)) {
                                                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwWifiBoost.stopGameBoost(this.uid);
                                                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwWifiBoost.stopStreamingBoost(this.uid);
                                                }
                                                com.android.server.hidata.arbitration.HwArbitrationDisplay.getInstance(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext).requestDataMonitor(true, 1);
                                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.updateMplinkCHRExceptionEvent(this.uid, 5, 0);
                                                break;
                                            }
                                            break;
                                        case 2008:
                                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MSG_MPLINK_BIND_FAIL");
                                            this.mplinkBindResultInfo = (com.android.server.hidata.mplink.MplinkBindResultInfo) message2.obj;
                                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mIsMpLinkBinding = false;
                                            if (this.mplinkBindResultInfo != null) {
                                                this.uid = this.mplinkBindResultInfo.getUid();
                                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.printMap(this.uid);
                                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.setQueryTime(this.uid);
                                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.updateMplinkCHRExceptionEvent(this.uid, 5, 8);
                                            }
                                            com.android.server.hidata.appqoe.HwAPPChrManager.getInstance().updateStatisInfo(this.appInfo, 12);
                                            break;
                                        case 2009:
                                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MSG_MPLINK_UNBIND_SUCCESS");
                                            this.mplinkBindResultInfo = (com.android.server.hidata.mplink.MplinkBindResultInfo) message2.obj;
                                            this.wifiGoodFlag = true;
                                            if (this.mplinkBindResultInfo != null) {
                                                this.uid = this.mplinkBindResultInfo.getUid();
                                                if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isStreamScene(this.uid)) {
                                                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.removeMessages(2026);
                                                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.sendMessageDelayed(2026, com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.triggerMPlinkInternal);
                                                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHiStreamTriggerOrStopMplink = false;
                                                }
                                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.printMap(this.uid);
                                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mMpLinkCount = com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mMpLinkCount - 1;
                                                stringBuilder = new java.lang.StringBuilder();
                                                stringBuilder.append("MSG_MPLINK_UNBIND_SUCCESS, mMpLinkCount is ");
                                                stringBuilder.append(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mMpLinkCount);
                                                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                                                i = getTargetNetwork(this.mplinkBindResultInfo.getNetwork(), false);
                                                if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mIsMpLinkError) {
                                                    i = com.android.server.hidata.arbitration.HwArbitrationCommonUtils.getActiveConnectType(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext);
                                                }
                                                stringBuilder2 = new java.lang.StringBuilder();
                                                stringBuilder2.append("MSG_MPLINK_UNBIND_SUCCESS, network is ");
                                                stringBuilder2.append(i);
                                                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder2.toString());
                                                if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.updateStateInfoMap(this.mplinkBindResultInfo, i, false)) {
                                                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "stop MPLink success and update table success");
                                                }
                                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.sendMPLinkBroadcast(this.uid);
                                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.updateMplinkCHRExceptionEvent(this.uid, this.stopMplinkReason, 0);
                                                if (!(com.android.server.hidata.appqoe.HwAPPQoEManager.getInstance() == null || com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap == null || com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(this.uid)) == null)) {
                                                    stringBuilder2 = new java.lang.StringBuilder();
                                                    stringBuilder2.append("MSG_MPLINK_UNBIND_SUCCESS, stopWifiLinkMonitor ");
                                                    stringBuilder2.append(this.uid);
                                                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder2.toString());
                                                    com.android.server.hidata.appqoe.HwAPPQoEManager.getInstance().stopWifiLinkMonitor(this.uid, false);
                                                }
                                                stopMPLinkCoex(this.uid);
                                                break;
                                            }
                                            break;
                                        case 2010:
                                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MSG_MPLINK_UNBIND_FAIL");
                                            this.wifiGoodFlag = true;
                                            this.mplinkBindResultInfo = (com.android.server.hidata.mplink.MplinkBindResultInfo) message2.obj;
                                            if (this.mplinkBindResultInfo != null) {
                                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.setQueryTime(this.mplinkBindResultInfo.getUid());
                                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.updateMplinkCHRExceptionEvent(this.mplinkBindResultInfo.getUid(), this.stopMplinkReason, 9);
                                                break;
                                            }
                                            break;
                                        default:
                                            switch (i) {
                                                case 2029:
                                                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "check ChannelQoE and Wavemapping timeout");
                                                    if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.noAPPInMPLink()) {
                                                        stopMPLinkCoex(message2.arg1);
                                                    }
                                                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.updateMplinkCHRExceptionEvent(message2.arg1, 8, 7);
                                                    break;
                                                case 2030:
                                                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MSG_APPQoE_WIFI_GOOD");
                                                    if (!com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.noAPPInMPLink()) {
                                                        if (!this.wifiGoodFlag) {
                                                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "processing MSG_APPQoE_WIFI_GOOD");
                                                            break;
                                                        }
                                                        this.uid = message2.arg1;
                                                        stringBuilder = new java.lang.StringBuilder();
                                                        stringBuilder.append("trgPingPongWiFi_Good: ");
                                                        stringBuilder.append(this.trgPingPongWiFi_Good);
                                                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                                                        if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap != null && com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(this.uid)) != null && com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isInMPLink(this.uid) && !this.trgPingPongWiFi_Good) {
                                                            this.wifiGoodFlag = false;
                                                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.printMap(this.uid);
                                                            this.stopMplinkReason = 4;
                                                            this.pingPongTMWiFi_Good = java.lang.System.currentTimeMillis();
                                                            stringBuilder = new java.lang.StringBuilder();
                                                            stringBuilder.append("MSG_APPQoE_WIFI_GOOD time: ");
                                                            stringBuilder.append(this.pingPongTMWiFi_Good);
                                                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                                                            stopMPLinkAppBind(this.uid);
                                                            break;
                                                        }
                                                        stringBuilder = new java.lang.StringBuilder();
                                                        stringBuilder.append("MSG_APPQoE_WIFI_GOOD not allow: ");
                                                        stringBuilder.append(this.trgPingPongWiFi_Good);
                                                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                                                        break;
                                                    }
                                                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "there's no app in MPLink");
                                                    break;
                                                    break;
                                                case 2031:
                                                    if (this.trgPingPongWiFi_Good) {
                                                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logE("HiData_HwArbitrationStateMachine", "MSG_SET_PingPong_WiFi_Good_FALSE");
                                                        this.trgPingPongWiFi_Good = false;
                                                        this.uid = message2.arg1;
                                                        if (!(com.android.server.hidata.appqoe.HwAPPQoEManager.getInstance() == null || com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap == null || com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(this.uid)) == null || !com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isInMPLink(this.uid) || ((com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(this.uid))).getNetwork() != 801)) {
                                                            stringBuilder = new java.lang.StringBuilder();
                                                            stringBuilder.append("MSG_SET_PingPong_WiFi_Good_FALSE, startWifiLinkMonitor: ");
                                                            stringBuilder.append(this.uid);
                                                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                                                            com.android.server.hidata.appqoe.HwAPPQoEManager.getInstance().startWifiLinkMonitor(this.uid, ((com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(this.uid))).getSceneId());
                                                            break;
                                                        }
                                                    }
                                                    break;
                                                case 2032:
                                                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MSG_Stop_MPLink_By_Notification");
                                                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mDenyByNotification = true;
                                                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.sendMessage(2019);
                                                    this.mplinkErrorCode = 0;
                                                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.sendMessageDelayed(2034, 86400000);
                                                    break;
                                                default:
                                                    switch (i) {
                                                        case 8:
                                                            i = message2.arg1;
                                                            i2 = android.telephony.SubscriptionManager.getDefaultSubId();
                                                            if (com.android.server.hidata.arbitration.HwArbitrationCommonUtils.isSlotIdValid(i) && com.android.server.hidata.arbitration.HwArbitrationCommonUtils.isSlotIdValid(i2) && i != i2) {
                                                                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "Vice SIM  is starting Calling");
                                                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.sendMessage(2019);
                                                                break;
                                                            }
                                                        case 1005:
                                                            break;
                                                        case 1009:
                                                        case 2019:
                                                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MSG_MPLINK_ERROR");
                                                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mIsMpLinkBinding = true;
                                                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCoexCount = 0;
                                                            java.util.List<java.lang.Integer> uidList = com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.getAppUIDInMPLink();
                                                            if (uidList != null && uidList.size() != 0) {
                                                                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MSG_MPLINK_ERROR: app in MPLink");
                                                                if (this.mplinkErrorCode == 0) {
                                                                    this.stopMplinkReason = 9;
                                                                    this.mplinkErrorCode = -1;
                                                                } else {
                                                                    this.stopMplinkReason = 7;
                                                                }
                                                                int NList = uidList.size();
                                                                while (i2 < NList) {
                                                                    stopMPLinkAppBind(((java.lang.Integer) uidList.get(i2)).intValue());
                                                                    i2++;
                                                                }
                                                                break;
                                                            }
                                                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MSG_MPLINK_ERROR: no app in MPLink");
                                                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mMPLinkStoppingState);
                                                            break;
                                                        case 1012:
                                                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MSG_SCREEN_IS_TURNOFF");
                                                            if (!(com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap == null || com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.size() == 0)) {
                                                                for (com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo boostInfo : com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.values()) {
                                                                    if (boostInfo != null && boostInfo.getIsMPlink()) {
                                                                        if (100105 != boostInfo.getSceneId()) {
                                                                            stringBuilder2 = new java.lang.StringBuilder();
                                                                            stringBuilder2.append("stop MpLinkBind, uid:");
                                                                            stringBuilder2.append(boostInfo.getBoostUID());
                                                                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder2.toString());
                                                                            stopMPLinkAppBind(boostInfo.getBoostUID());
                                                                        } else {
                                                                            stringBuilder2 = new java.lang.StringBuilder();
                                                                            stringBuilder2.append("HiStream Audio : not stop MpLinkBind, uid:");
                                                                            stringBuilder2.append(boostInfo.getBoostUID());
                                                                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder2.toString());
                                                                        }
                                                                    }
                                                                }
                                                                break;
                                                            }
                                                        case 1106:
                                                        case 1108:
                                                            this.appInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message2.obj;
                                                            if (this.appInfo != null) {
                                                                if (!com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isInMPLink(this.appInfo.mAppUID)) {
                                                                    if (1106 == message2.what && !com.android.server.hidata.arbitration.HwArbitrationFunction.isInLTE(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext)) {
                                                                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "Phone is not in LTE");
                                                                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwArbitrationChrImpl.updateRequestMplinkChr((com.android.server.hidata.appqoe.HwAPPStateInfo) message2.obj, 1);
                                                                        break;
                                                                    }
                                                                    handleAppExpBad(this.appInfo, 3);
                                                                    break;
                                                                }
                                                                stringBuilder = new java.lang.StringBuilder();
                                                                stringBuilder.append("isStreamScene:");
                                                                stringBuilder.append(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isStreamScene(this.appInfo.mAppUID));
                                                                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                                                                handleAppExpBad(this.appInfo, 3);
                                                                break;
                                                            }
                                                            break;
                                                        case 2013:
                                                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MSG_QUERY_QOE_WM_INFO");
                                                            this.uid = message2.arg1;
                                                            if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isInMPLink(this.uid) && java.lang.System.currentTimeMillis() - com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.pingPongTMCell_Bad < 30000) {
                                                                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "trigger ping pong in wifi monitor");
                                                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.trgPingPongCell_Bad = true;
                                                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.sendMessageDelayed(2035, 300000);
                                                            }
                                                            startMPLinkBindCheck(this.uid);
                                                            break;
                                                        default:
                                                            return false;
                                                    }
                                                    break;
                                            }
                                    }
                            }
                            break;
                    }
            }
            return true;
        }

        private void handleAppExpBad(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo, int type) {
            if (appInfo != null) {
                updateMapAppInfo(appInfo, true);
                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.printMap(appInfo.mAppUID);
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", appInfo.toString());
                if (!com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mIsMpLinkBinding) {
                    switch (type) {
                        case 2:
                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.sendMessage(2013, appInfo.mAppUID);
                            break;
                        case 3:
                            if (com.android.server.hidata.arbitration.HwArbitrationFunction.isStreamingScene(appInfo)) {
                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.sendMessage(2013, appInfo.mAppUID);
                                break;
                            }
                            break;
                        default:
                            break;
                    }
                }
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MPLinkStarted is querying");
                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwArbitrationChrImpl.updateRequestMplinkChr(appInfo, 6);
            }
        }

        private void updateMapAppInfo(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo, boolean needCoexAdd) {
            if (appInfo != null) {
                if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap == null || com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(appInfo.mAppUID)) == null) {
                    if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap != null) {
                        if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(appInfo.mAppUID)) != null) {
                            return;
                        }
                    }
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.setStateMachineHashMap(appInfo, com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.getCurrentNetwork(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext, appInfo.mAppUID), true, false, 0);
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCoexCount = com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCoexCount + 1;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("updateMapAppInfo, mCoexCount is: ");
                    stringBuilder.append(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCoexCount);
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                    return;
                }
                com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo mHwAAInfo = (com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(appInfo.mAppUID));
                if (!mHwAAInfo.getIsCoex() && needCoexAdd) {
                    mHwAAInfo.setIsCoex(true);
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCoexCount = com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCoexCount + 1;
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("updateMapAppInfo, mCoexCount is: ");
                    stringBuilder2.append(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCoexCount);
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder2.toString());
                }
                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.setStateMachineHashMap(appInfo, mHwAAInfo.getNetwork(), mHwAAInfo.getIsCoex(), mHwAAInfo.getIsMPlink(), mHwAAInfo.getSolution());
            }
        }

        private void startMPLinkBindCheck(int uid) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("startMPLinkBindCheck,uid = ");
            stringBuilder.append(uid);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.printMap(uid);
            if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap != null && com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(uid)) != null) {
                com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo myAABInfo = (com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(uid));
                if (!com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isNeedChQoEquery(uid)) {
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.updateMplinkCHRExceptionEvent(uid, 8, 3);
                } else if (com.android.server.hidata.appqoe.HwAPPQoEManager.createHwAPPQoEManager(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext) != null && com.android.server.hidata.wavemapping.HwWaveMappingManager.getInstance(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext) != null) {
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mIsMpLinkBinding = true;
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.sendMessageDelayed(2029, uid, 10000);
                    com.android.server.hidata.appqoe.HwAPPQoEManager.createHwAPPQoEManager(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext).queryNetworkQuality(myAABInfo.mUID, myAABInfo.mSceneId, getTargetNetwork(myAABInfo.mNetwork, true), true);
                    com.android.server.hidata.wavemapping.HwWaveMappingManager.getInstance(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext).queryWaveMappingInfo(myAABInfo.mUID, myAABInfo.mAppID, myAABInfo.mSceneId, getTargetNetwork(myAABInfo.mNetwork, true));
                }
            }
        }

        private void startMPLinkAppBind(int uid) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("startMPLinkAppBind:");
            stringBuilder.append(uid);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.printMap(uid);
            com.android.server.hidata.mplink.HwMplinkManager.createInstance(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext).requestBindProcessToNetwork(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.getTargetNetID(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.getCurrentNetwork(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext, uid)), uid, com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.getMpLinkQuickSwitchConfiguration(uid));
        }

        private void stopMPLinkAppBind(int uid) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("stopMPLinkAppBind:");
            stringBuilder.append(uid);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
            com.android.server.hidata.mplink.HwMplinkManager.createInstance(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext).requestClearBindProcessToNetwork(com.android.server.hidata.arbitration.HwArbitrationFunction.getNetworkID(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext, com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.getCurrentNetwork(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext, uid)), uid);
        }

        private void stopMPLinkCoex(int uid) {
            if (!(com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap == null || com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(uid)) == null || !((com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(uid))).getIsCoex())) {
                ((com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) com.android.server.hidata.arbitration.HwArbitrationStateMachine.mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(uid))).setIsCoex(false);
                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCoexCount = com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCoexCount - 1;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("stopMPLinkCoex, mCoexCount is: ");
                stringBuilder.append(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCoexCount);
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
            }
            if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mMpLinkCount > 0 || com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCoexCount > 0) {
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "other app in MPLink, keep COEX");
                return;
            }
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "no app in MPLink, stop COEX");
            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mMPLinkStoppingState);
        }

        private int getTargetNetwork(int network, boolean flag) {
            if (!flag) {
                network = com.android.server.hidata.arbitration.HwArbitrationFunction.getNetwork(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext, network);
            }
            if (800 == network) {
                return 801;
            }
            if (801 == network) {
                return 800;
            }
            return 802;
        }
    }

    class MPLinkStartingState extends com.android.internal.util.State {
        com.android.server.hidata.appqoe.HwAPPStateInfo appStateInfo;

        MPLinkStartingState() {
        }

        public void enter() {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "Enter MPLinkStartingState");
            com.android.server.hidata.mplink.HwMplinkManager.createInstance(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext).requestWiFiAndCellCoexist(true);
            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.sendMessageDelayed(2028, 10000);
        }

        public void exit() {
            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mIsMpLinkError = false;
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "exit MPLinkStartingState");
            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.removeMessages(2028);
            this.appStateInfo = null;
        }

        public boolean processMessage(android.os.Message message) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("MPLinkStartingState Msg: ");
            stringBuilder.append(message.what);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
            int i = message.what;
            if (i == 6) {
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "WiFi and Celluar coexist successful");
            } else if (i == 107 || i == 110) {
                com.android.server.hidata.appqoe.HwAPPStateInfo appEndInfo = message.obj;
                if (!(appEndInfo == null || this.appStateInfo == null || appEndInfo.mAppUID != this.appStateInfo.mAppUID)) {
                    if (!com.android.server.hidata.arbitration.HwArbitrationFunction.isStreamingScene(this.appStateInfo) || this.appStateInfo.mScenceId == appEndInfo.mScenceId) {
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwArbitrationChrImpl.updateRequestMplinkChr(this.appStateInfo, 10);
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mMPLinkStoppingState);
                    } else {
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "appEnd SceneID is not the same as appState");
                    }
                }
            } else {
                if (i != 115) {
                    if (i == 1009) {
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mMPLinkStoppingState);
                    } else if (!(i == 1106 || i == 1108)) {
                        if (i != 2028) {
                            switch (i) {
                                case 2003:
                                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "start coex successfully, MSG_MPLINK_COEX_MODE");
                                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mMPLinkStartedState);
                                    break;
                                case 2004:
                                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MPLinkStartingState start COEX error");
                                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwArbitrationChrImpl.updateRequestMplinkChr(this.appStateInfo, 2);
                                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mMPLinkStoppingState);
                                    break;
                                default:
                                    return false;
                            }
                        }
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "Coexist timeout");
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwArbitrationChrImpl.updateRequestMplinkChr(this.appStateInfo, 2);
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mMPLinkStoppingState);
                    }
                }
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "defer BAD MSG");
                this.appStateInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj;
                if (!com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.hasDeferredMessages(message.what)) {
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.deferMessage(message);
                }
            }
            return true;
        }
    }

    class MPLinkStoppingState extends com.android.internal.util.State {
        MPLinkStoppingState() {
        }

        public void enter() {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "Enter MPLinkStoppingState");
            com.android.server.hidata.mplink.HwMplinkManager.createInstance(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext).requestWiFiAndCellCoexist(false);
            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.sendMessageDelayed(2028, 10000);
        }

        public void exit() {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "Exit MPLinkStoppingState");
            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mIsMpLinkError = false;
            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.removeMessages(2028);
        }

        public boolean processMessage(android.os.Message message) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("MPLinkStoppingState Msg: ");
            stringBuilder.append(message.what);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
            int i = message.what;
            if (i != 2011) {
                if (i != 2028) {
                    switch (i) {
                        case 2003:
                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "MSG_MPLINK_COEX_MODE: stop COEX error ");
                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mInitialState);
                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.deferMessage(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.obtainMessage(2015));
                            break;
                        case 2004:
                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mInitialState);
                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.deferMessage(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.obtainMessage(2015));
                            break;
                        default:
                            return false;
                    }
                }
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "clear Coexist timeout");
                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mInitialState);
                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.deferMessage(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.obtainMessage(2027));
            }
            return true;
        }
    }

    class WifiMonitorState extends com.android.internal.util.State {
        private com.android.server.hidata.appqoe.HwAPPStateInfo appInfo;

        WifiMonitorState() {
        }

        public void enter() {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "Enter WifiMonitorState");
        }

        public void exit() {
            resetPingPong();
            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.removeMessages(2035);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "Exit WifiMonitorState");
        }

        public boolean processMessage(android.os.Message message) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("WifiMonitorState Msg: ");
            stringBuilder.append(message.what);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
            int i = message.what;
            switch (i) {
                case 100:
                    this.appInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj;
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.handleGeneralGameStart(this.appInfo);
                    break;
                case 101:
                    this.appInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj;
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.handleGamePvpEnd(this.appInfo);
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.handleGeneralGameEnd(this.appInfo);
                    break;
                default:
                    switch (i) {
                        case 103:
                            break;
                        case 104:
                            this.appInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj;
                            if (this.appInfo != null) {
                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.handleGeneralGameStart(this.appInfo);
                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.handleGamePvpStart(this.appInfo);
                                break;
                            }
                            break;
                        case 105:
                            this.appInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj;
                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.handleGamePvpEnd(this.appInfo);
                            break;
                        case 106:
                            this.appInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj;
                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.handleStreamingStart(this.appInfo);
                            break;
                        case 107:
                            this.appInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj;
                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.handleStreamingEnd(this.appInfo);
                            resetPingPong();
                            break;
                        default:
                            switch (i) {
                                case 109:
                                    break;
                                case 110:
                                    resetPingPong();
                                    break;
                                case 111:
                                case 113:
                                    startMPLinkCoex(message, false);
                                    break;
                                case 112:
                                case 114:
                                    resetPingPong();
                                    break;
                                case 115:
                                    startMPLinkCoex(message, true);
                                    break;
                                default:
                                    switch (i) {
                                        case 1005:
                                            break;
                                        case 1006:
                                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwWifiBoost.stopAllBoost();
                                            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mInitialState);
                                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "WifiMonitor transitionTo InitialState");
                                            break;
                                        default:
                                            switch (i) {
                                                case 1009:
                                                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwWifiBoost.stopAllBoost();
                                                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "WifiMonitorState transitionTo CellmonitorState");
                                                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mCellMonitorState);
                                                    break;
                                                case 1010:
                                                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "in WifiMonitorState don't process MSG_CELL_STATE_DISCONNECTED");
                                                    break;
                                                default:
                                                    switch (i) {
                                                        case 1012:
                                                            if (com.android.server.hidata.arbitration.HwArbitrationFunction.isPvpScene()) {
                                                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwWifiBoost.setPMMode(3);
                                                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwWifiBoost.setPMMode(7);
                                                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwWifiBoost.limitedSpeed(1, 0, 0);
                                                                break;
                                                            }
                                                            break;
                                                        case 1017:
                                                            if (com.android.server.hidata.arbitration.HwArbitrationFunction.isPvpScene()) {
                                                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwWifiBoost.setPMMode(6);
                                                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwWifiBoost.setPMMode(4);
                                                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwWifiBoost.limitedSpeed(1, 1, 1);
                                                                break;
                                                            }
                                                            break;
                                                        case 1106:
                                                            if (!com.android.server.hidata.arbitration.HwArbitrationFunction.isInLTE(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext)) {
                                                                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "Phone is not in LTE");
                                                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwArbitrationChrImpl.updateRequestMplinkChr((com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj, 1);
                                                                break;
                                                            }
                                                        case 1108:
                                                            if (!com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHiStreamTriggerOrStopMplink) {
                                                                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "avoid Ping-pong switching,not trigger mplink");
                                                                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwArbitrationChrImpl.updateRequestMplinkChr((com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj, 3);
                                                                break;
                                                            }
                                                            startMPLinkCoex(message, true);
                                                            break;
                                                        case 2003:
                                                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "mplink duplicate callback response");
                                                            break;
                                                        case 2035:
                                                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logE("HiData_HwArbitrationStateMachine", "MSG_SET_PingPong_Cell_Bad_FALSE in wifi monitor");
                                                            resetPingPong();
                                                            break;
                                                        default:
                                                            return false;
                                                    }
                                                    break;
                                            }
                                    }
                            }
                    }
                    this.appInfo = (com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj;
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.handleGamePvpEnd(this.appInfo);
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.handleGeneralGameEnd(this.appInfo);
                    break;
            }
            return true;
        }

        private void resetPingPong() {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logE("HiData_HwArbitrationStateMachine", "resetPingPong in wifi monitor");
            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.trgPingPongCell_Bad = false;
            com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.pingPongTMCell_Bad = 0;
        }

        private void startMPLinkCoex(android.os.Message message, boolean needDefer) {
            com.android.server.hidata.appqoe.HwAPPStateInfo appInfo = message.obj;
            int uid = Integer.MIN_VALUE;
            if (appInfo != null) {
                uid = appInfo.mAppUID;
                if (!com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.isNeedChQoEquery(uid)) {
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "not allow ChannelQoE and WM query in WiFiMonitor");
                    com.android.server.hidata.appqoe.HwAPPChrManager.getInstance().updateStatisInfo(appInfo, 7);
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwArbitrationChrImpl.updateRequestMplinkChr((com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj, 3);
                    return;
                }
            }
            if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.trgPingPongCell_Bad) {
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "not start MPLink, due to trgPingPong in Cell Bad =============");
            } else if (com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mDenyByNotification) {
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "not start MPLink, due to deny by Notification in next 24h");
                com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwArbitrationChrImpl.updateRequestMplinkChr((com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj, 20);
            } else {
                if (com.android.server.hidata.arbitration.HwArbitrationFunction.isAllowMpLink(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mContext, uid)) {
                    if (needDefer && message.obj != null) {
                        com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.deferMessage(message);
                    }
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.transitionTo(com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mMPLinkStartingState);
                } else {
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "not allow MpLink");
                    com.android.server.hidata.appqoe.HwAPPChrManager.getInstance().updateStatisInfo(appInfo, 7);
                    com.android.server.hidata.arbitration.HwArbitrationStateMachine.this.mHwArbitrationChrImpl.updateRequestMplinkChr((com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj, 1);
                }
            }
        }
    }

    private void setStateMachineHashMap(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo, int network, boolean isCoex, boolean isMPLink, int solution) {
        if (appInfo != null) {
            setStateMachineHashMap(appInfo.mAppId, appInfo.mAppUID, appInfo.mScenceId, network, isCoex, isMPLink, solution, appInfo);
        }
    }

    private void setStateMachineHashMap(int AppID, int UID, int sceneId, int network, boolean isCoex, boolean isMPLink, int solution, com.android.server.hidata.appqoe.HwAPPStateInfo appInfo) {
        if (mHwArbitrationAppBoostMap == null) {
            mHwArbitrationAppBoostMap = new java.util.HashMap();
        }
        com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo hwArbitrationAppBoostInfo = new com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo(AppID, UID, sceneId, network, isCoex, isMPLink, solution);
        hwArbitrationAppBoostInfo.setHwAPPStateInfo(appInfo);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("set Map, UID is ");
        int i = UID;
        stringBuilder.append(i);
        stringBuilder.append(" BoostInfo is ");
        stringBuilder.append(hwArbitrationAppBoostInfo.toString());
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
        mHwArbitrationAppBoostMap.put(java.lang.Integer.valueOf(i), hwArbitrationAppBoostInfo);
    }

    private void updateStateMachineHashMap(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo, int network, boolean isCoex, boolean isMPLink, int solution) {
        if (mHwArbitrationAppBoostMap == null || mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(appInfo.mAppUID)) == null) {
            setStateMachineHashMap(appInfo, network, isCoex, isMPLink, solution);
            return;
        }
        com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo boostInfo = (com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(appInfo.mAppUID));
        int newSolution = boostInfo.getSolution() | solution;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setStateMachineHashMap: old solution is    ");
        stringBuilder.append(boostInfo.getSolution());
        stringBuilder.append(",New solution is  ");
        stringBuilder.append(newSolution);
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
        boostInfo.setSolution(newSolution);
        mHwArbitrationAppBoostMap.put(java.lang.Integer.valueOf(appInfo.mAppUID), boostInfo);
    }

    private void printMap(int uid) {
        java.lang.StringBuilder stringBuilder;
        if (mHwArbitrationAppBoostMap == null) {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "Map is null");
        } else if (mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(uid)) == null) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("MapInfo is null, uid is: ");
            stringBuilder.append(uid);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
        } else {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("uid is ");
            stringBuilder.append(uid);
            stringBuilder.append(" BoostInfo is ");
            stringBuilder.append(((com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(uid))).toString());
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
        }
    }

    public static com.android.server.hidata.arbitration.HwArbitrationStateMachine getInstance(android.content.Context context) {
        if (mArbitrationStateMachine == null) {
            mArbitrationStateMachine = new com.android.server.hidata.arbitration.HwArbitrationStateMachine(context);
        }
        return mArbitrationStateMachine;
    }

    private HwArbitrationStateMachine(android.content.Context context) {
        super("HwArbitrationStateMachine");
        this.mContext = context;
        this.mHwWifiBoost = com.android.server.hidata.hiradio.HwWifiBoost.getInstance(this.mContext);
        this.mHwHiRadioBoost = com.android.server.hidata.hiradio.HwHiRadioBoost.createInstance();
        addState(this.mDefaultState);
        addState(this.mInitialState, this.mDefaultState);
        addState(this.mWifiMonitorState, this.mDefaultState);
        addState(this.mCellMonitorState, this.mDefaultState);
        addState(this.mMPLinkStartingState, this.mDefaultState);
        addState(this.mMPLinkStoppingState, this.mDefaultState);
        addState(this.mMPLinkStartedState, this.mDefaultState);
        setInitialState(this.mInitialState);
        start();
        if (com.android.server.hidata.arbitration.HwArbitrationCommonUtils.isHiCureShow()) {
            this.hiCureDefaultOvertimeReset = 5000;
            this.hiCureDefaultOvertime = 10000;
            this.hiCureInformBlockTime = 60000;
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "HICURE_TEST_MODE");
        }
        this.mHwArbitrationChrImpl = com.android.server.hidata.arbitration.HwArbitrationChrImpl.createInstance();
    }

    private void handleGeneralGameStart(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo) {
        if (appInfo != null && 800 == getCurrentNetwork(this.mContext, appInfo.mAppUID)) {
            this.mHwWifiBoost.setPMMode(6);
            this.mHwWifiBoost.pauseABSHandover();
        }
    }

    private void handleGeneralGameEnd(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo) {
        if (appInfo != null && 800 == getCurrentNetwork(this.mContext, appInfo.mAppUID)) {
            this.mHwWifiBoost.setPMMode(7);
            this.mHwWifiBoost.restartABSHandover();
        }
    }

    private void handleGamePvpStart(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo) {
        if (appInfo != null && 800 == getCurrentNetwork(this.mContext, appInfo.mAppUID)) {
            this.mHwWifiBoost.startGameBoost(appInfo.mAppUID);
        }
    }

    private void handleGamePvpEnd(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo) {
        if (appInfo != null && 800 == getCurrentNetwork(this.mContext, appInfo.mAppUID)) {
            this.mHwWifiBoost.stopGameBoost(appInfo.mAppUID);
        }
    }

    private void handleStreamingStart(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo) {
        if (appInfo != null && 800 == getCurrentNetwork(this.mContext, appInfo.mAppUID)) {
            this.mHwWifiBoost.startStreamingBoost(appInfo.mAppUID);
        }
    }

    private void handleStreamingEnd(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo) {
        if (appInfo != null && 800 == getCurrentNetwork(this.mContext, appInfo.mAppUID)) {
            this.mHwWifiBoost.stopStreamingBoost(appInfo.mAppUID);
        }
    }

    private boolean updateStateInfoMap(com.android.server.hidata.mplink.MplinkBindResultInfo result, int network, boolean isMPLink) {
        int uid = result.getUid();
        if (mHwArbitrationAppBoostMap == null || mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(uid)) == null) {
            return false;
        }
        com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo gmsInfo = (com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(uid));
        gmsInfo.setIsMPLink(isMPLink);
        gmsInfo.setNetwork(network);
        mHwArbitrationAppBoostMap.put(java.lang.Integer.valueOf(uid), gmsInfo);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("MplinkBindResultInfo ");
        stringBuilder.append(result.toString());
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "updateStateInfoMap Map");
        printMap(uid);
        return true;
    }

    private void hiCureToast(java.lang.String string) {
        if (com.android.server.hidata.arbitration.HwArbitrationCommonUtils.isHiCureShow() && this.mDeviceBootCommpleted) {
            android.widget.Toast.makeText(this.mContext, string, 0).show();
        }
    }

    public boolean isInMPLink(int uid) {
        if (mHwArbitrationAppBoostMap == null || mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(uid)) == null) {
            return false;
        }
        return ((com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(uid))).getIsMPlink();
    }

    private boolean isStreamScene(int uid) {
        boolean z = false;
        if (mHwArbitrationAppBoostMap == null || mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(uid)) == null) {
            return false;
        }
        int scene = ((com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(uid))).getSceneId();
        if (!(scene == 100501 || scene == 100106)) {
            if (scene != 100105) {
                return z;
            }
        }
        z = true;
        return z;
    }

    public void sendMPLinkBroadcast(int uid) {
        if (mHwArbitrationAppBoostMap != null && mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(uid)) != null) {
            android.content.Intent MPLinkIntent = new android.content.Intent("com.android.server.hidata.arbitration.HwArbitrationStateMachine");
            MPLinkIntent.putExtra("MPLinkSuccessUIDKey", uid);
            MPLinkIntent.putExtra("MPLinkSuccessNetworkKey", ((com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(uid))).getNetwork());
            this.mContext.sendBroadcastAsUser(MPLinkIntent, android.os.UserHandle.ALL, "com.huawei.hidata.permission.MPLINK_START_CHECK");
        }
    }

    public int getTargetNetID(int network) {
        if (network == 800) {
            return com.android.server.hidata.arbitration.HwArbitrationFunction.getNetworkID(this.mContext, 801);
        }
        if (network == 801) {
            return com.android.server.hidata.arbitration.HwArbitrationFunction.getNetworkID(this.mContext, 800);
        }
        return -1;
    }

    public int getCurrentNetwork(android.content.Context mContext, int uid) {
        if (mHwArbitrationAppBoostMap != null) {
            com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo hwArbitrationAppBoostInfo = (com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(uid));
            com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo boostInfo = hwArbitrationAppBoostInfo;
            if (hwArbitrationAppBoostInfo != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("uid: ");
                stringBuilder.append(uid);
                stringBuilder.append(", CurrentNetwork: ");
                stringBuilder.append(boostInfo.getNetwork());
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                return boostInfo.getNetwork();
            }
        }
        return com.android.server.hidata.arbitration.HwArbitrationCommonUtils.getActiveConnectType(mContext);
    }

    private boolean isNeedChQoEquery(int uid) {
        if (this.mQueryTime == null || !this.mQueryTime.containsKey(java.lang.Integer.valueOf(uid))) {
            return true;
        }
        long queryTime = ((java.lang.Long) this.mQueryTime.get(java.lang.Integer.valueOf(uid))).longValue();
        long nowTime = android.os.SystemClock.elapsedRealtime();
        if (nowTime - queryTime > 20000) {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "isNeedChQoEquery: allow ChannelQoE and WM query");
            return true;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isNeedChQoEquery: not allow ChannelQoE and WM query, waiting ");
        stringBuilder.append((20000 + queryTime) - nowTime);
        stringBuilder.append(" Milliseconds");
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
        return false;
    }

    private com.android.server.hidata.mplink.MpLinkQuickSwitchConfiguration getMpLinkQuickSwitchConfiguration(int uid) {
        if (mHwArbitrationAppBoostMap == null || mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(uid)) == null || ((com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(uid))).getHwAPPStateInfo() == null) {
            return null;
        }
        return ((com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(uid))).getHwAPPStateInfo().getQuickSwitchConfiguration();
    }

    public boolean deliverErrorMPLinkCase() {
        if (this.mIsMpLinkError) {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "denyCoexStatus is processing the MPLink Error");
            return false;
        } else if (getCurrentState() == this.mMPLinkStartingState) {
            setFlagAtTimer(30000);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "deliverErrorMPLinkCase, goto InitialState");
            transitionTo(this.mMPLinkStoppingState);
            return true;
        } else if (getCurrentState() == this.mMPLinkStartedState) {
            setFlagAtTimer(30000);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "deliverErrorMPLinkCase in MPLinkStartedState");
            sendMessage(2019);
            return true;
        } else if (getCurrentState() != this.mMPLinkStoppingState) {
            return false;
        } else {
            setFlagAtTimer(30000);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "deliverErrorMPLinkCase in MPLinkStoppingState");
            return true;
        }
    }

    private boolean noAPPInMPLink() {
        java.util.List<java.lang.Integer> result = getAppUIDInMPLink();
        if (result != null) {
            if (!result.isEmpty()) {
                return false;
            }
        }
        return true;
    }

    private java.util.List<java.lang.Integer> getAppUIDInMPLink() {
        if (mHwArbitrationAppBoostMap == null) {
            return null;
        }
        java.util.List<java.lang.Integer> result = new java.util.ArrayList();
        for (java.util.Map.Entry entry : mHwArbitrationAppBoostMap.entrySet()) {
            com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo val = (com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) entry.getValue();
            if (val != null && val.getIsMPlink()) {
                result.add((java.lang.Integer) entry.getKey());
            }
        }
        return result;
    }

    public void setIsAllowQueryCHQoE() {
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "isAllowQueryChQoE:True");
        this.isAllowQueryChQoE = true;
    }

    private void wifiDisconnectedTriggerHiCure() {
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "onWiFiDisconnectedTriggerHiCure");
        this.mHwAPPQoEManager = com.android.server.hidata.appqoe.HwAPPQoEManager.getInstance();
        com.android.server.hidata.appqoe.HwAPPStateInfo hwAPPStateInfo = null;
        com.android.server.hidata.appqoe.HwAPPStateInfo appInfo = this.mHwAPPQoEManager == null ? null : this.mHwAPPQoEManager.getCurAPPStateInfo();
        java.lang.StringBuilder stringBuilder;
        if (appInfo == null || -1 == appInfo.mAppUID) {
            this.mHwHiStreamManager = com.android.server.hidata.histream.HwHiStreamManager.getInstance();
            if (this.mHwHiStreamManager != null) {
                hwAPPStateInfo = this.mHwHiStreamManager.getCurStreamAppInfo();
            }
            appInfo = hwAPPStateInfo;
            if (!(appInfo == null || -1 == appInfo.mAppUID)) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("AppStreamInfo:");
                stringBuilder.append(appInfo.toString());
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
                sendMessageDelayed(1120, appInfo.mAppUID, this.hiCureWifiDisconnectedDelayTime);
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "send DelayMessage MSG_TRANSITION_TO_HICURE When WiFi Disconnected");
            }
            return;
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("AppInfo:");
        stringBuilder.append(appInfo.toString());
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
        sendMessageDelayed(1120, appInfo.mAppUID, this.hiCureWifiDisconnectedDelayTime);
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "send DelayMessage MSG_TRANSITION_TO_HICURE When WiFi Disconnected");
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x00b6  */
    /* JADX WARNING: Removed duplicated region for block: B:11:0x0061  */
    private void startHiCure(android.content.Context r33, int r34, int r35, int r36) {
        /*
        r32 = this;
        r0 = r32;
        r9 = r34;
        r1 = r0.mCurrentServiceState;
        if (r1 != 0) goto L_0x01bf;
    L_0x0008:
        r10 = android.telephony.SubscriptionManager.getDefaultDataSubscriptionId();
        r21 = com.android.server.hidata.arbitration.HwArbitrationCommonUtils.isWifiEnabled(r33);
        r22 = com.android.server.hidata.arbitration.HwArbitrationCommonUtils.isWifiConnected(r33);
        r23 = com.android.server.hidata.arbitration.HwArbitrationCommonUtils.isCellEnable(r33);
        r24 = com.android.server.hidata.arbitration.HwArbitrationCommonUtils.isCellConnected(r33);
        r15 = r33;
        r25 = com.android.server.hidata.arbitration.HwArbitrationCommonUtils.isDataRoamingEnabled(r15, r10);
        r1 = com.android.server.hidata.arbitration.HwArbitrationCommonUtils.getAppNameUid(r33, r34);
        if (r1 == 0) goto L_0x0033;
    L_0x0028:
        r2 = "";
        r2 = r2.equals(r1);
        if (r2 == 0) goto L_0x0031;
    L_0x0030:
        goto L_0x0033;
    L_0x0031:
        r14 = r1;
        goto L_0x0038;
    L_0x0033:
        r1 = java.lang.Integer.toString(r34);
        goto L_0x0031;
    L_0x0038:
        r1 = "HiData_HwArbitrationStateMachine";
        r2 = new java.lang.StringBuilder;
        r2.<init>();
        r3 = "apkName of appuid:";
        r2.append(r3);
        r2.append(r9);
        r3 = " is ";
        r2.append(r3);
        r2.append(r14);
        r2 = r2.toString();
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD(r1, r2);
        r26 = 0;
        r1 = com.android.server.hidata.arbitration.HwArbitrationCommonUtils.isCellEnable(r33);
        r13 = 1124; // 0x464 float:1.575E-42 double:5.553E-321;
        r2 = 0;
        if (r1 == 0) goto L_0x00b6;
    L_0x0061:
        r0.isAllowHiCure = r2;
        r1 = "HiData_HwArbitrationStateMachine";
        r2 = "isAllowHiCure is set to be false";
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD(r1, r2);
        r1 = "HiData_HwArbitrationStateMachine";
        r2 = "HiCure:celluar is not activiated or is blocked";
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD(r1, r2);
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "celluar is not activiated or is blocked,Start HiCure, appUID= ";
        r1.append(r2);
        r1.append(r9);
        r1 = r1.toString();
        r0.hiCureToast(r1);
        r1 = r15;
        r2 = r9;
        r3 = r35;
        r4 = r36;
        r5 = r21;
        r6 = r22;
        r7 = r23;
        r8 = r24;
        huawei.android.net.hwmplink.HwHiDataCommonUtils.startHiCure(r1, r2, r3, r4, r5, r6, r7, r8);
        r11 = r0.mHwArbitrationChrImpl;
        r12 = r14;
        r8 = r13;
        r13 = r35;
        r27 = r14;
        r14 = r36;
        r15 = r23;
        r16 = r25;
        r17 = r24;
        r18 = r21;
        r19 = r22;
        r20 = r26;
        r11.updateHiCureRequestChr(r12, r13, r14, r15, r16, r17, r18, r19, r20);
        r1 = r0.hiCureDefaultOvertimeReset;
        r0.sendMessageDelayed(r8, r1);
        goto L_0x01bf;
    L_0x00b6:
        r8 = r13;
        r27 = r14;
        r1 = "HiData_HwArbitrationStateMachine";
        r3 = "HiCure:No Connection, need inform user";
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD(r1, r3);
        r14 = java.lang.System.currentTimeMillis();
        r1 = r0.mContext;
        r12 = r0.getLastCureTime(r1);
        r28 = r14 - r12;
        r3 = 0;
        r1 = (r28 > r3 ? 1 : (r28 == r3 ? 0 : -1));
        if (r1 >= 0) goto L_0x00e5;
    L_0x00d2:
        r1 = "HiData_HwArbitrationStateMachine";
        r2 = "SystemTime has been changed";
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD(r1, r2);
        r1 = r0.mContext;
        r1 = r1.getContentResolver();
        r2 = "hicure_db_curetime_value";
        android.provider.Settings.System.putLong(r1, r2, r14);
        return;
    L_0x00e5:
        r1 = "HiData_HwArbitrationStateMachine";
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r4 = "startCureTime:";
        r3.append(r4);
        r3.append(r14);
        r4 = ", lastCureTime";
        r3.append(r4);
        r3.append(r12);
        r4 = ", diff = ";
        r3.append(r4);
        r4 = 1000; // 0x3e8 float:1.401E-42 double:4.94E-321;
        r4 = r28 / r4;
        r3.append(r4);
        r4 = " seconds";
        r3.append(r4);
        r3 = r3.toString();
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD(r1, r3);
        r6 = android.os.SystemClock.elapsedRealtime();
        r1 = "HiData_HwArbitrationStateMachine";
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r4 = "elapseRealtime:";
        r3.append(r4);
        r3.append(r6);
        r3 = r3.toString();
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD(r1, r3);
        r3 = r0.hiCureInformBlockTime;
        r1 = (r28 > r3 ? 1 : (r28 == r3 ? 0 : -1));
        if (r1 <= 0) goto L_0x019b;
    L_0x0135:
        r1 = "HiData_HwArbitrationStateMachine";
        r3 = "HiCure:inform user is allowed";
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD(r1, r3);
        r0.isAllowHiCure = r2;
        r1 = "HiData_HwArbitrationStateMachine";
        r2 = "isAllowHiCure:false";
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD(r1, r2);
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "switch is close ,Start HiCure, appUID= ";
        r1.append(r2);
        r1.append(r9);
        r1 = r1.toString();
        r0.hiCureToast(r1);
        r1 = r33;
        r2 = r9;
        r3 = r35;
        r4 = r36;
        r5 = r21;
        r30 = r6;
        r6 = r22;
        r7 = r23;
        r11 = r8;
        r8 = r24;
        huawei.android.net.hwmplink.HwHiDataCommonUtils.startHiCure(r1, r2, r3, r4, r5, r6, r7, r8);
        r1 = r0.mHwArbitrationChrImpl;
        r2 = r11;
        r11 = r1;
        r3 = r12;
        r12 = r27;
        r13 = r35;
        r5 = r14;
        r14 = r36;
        r15 = r23;
        r16 = r25;
        r17 = r24;
        r18 = r21;
        r19 = r22;
        r20 = r26;
        r11.updateHiCureRequestChr(r12, r13, r14, r15, r16, r17, r18, r19, r20);
        r7 = r0.hiCureDefaultOvertimeReset;
        r0.sendMessageDelayed(r2, r7);
        r1 = r0.mContext;
        r1 = r1.getContentResolver();
        r2 = "hicure_db_curetime_value";
        android.provider.Settings.System.putLong(r1, r2, r5);
        goto L_0x01bf;
    L_0x019b:
        r30 = r6;
        r3 = r12;
        r5 = r14;
        r1 = "HiData_HwArbitrationStateMachine";
        r2 = new java.lang.StringBuilder;
        r2.<init>();
        r7 = "not allow inform user, cureTimeDiff:";
        r2.append(r7);
        r7 = 60000; // 0xea60 float:8.4078E-41 double:2.9644E-319;
        r7 = r28 / r7;
        r2.append(r7);
        r7 = "minutes";
        r2.append(r7);
        r2 = r2.toString();
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD(r1, r2);
    L_0x01bf:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.arbitration.HwArbitrationStateMachine.startHiCure(android.content.Context, int, int, int):void");
    }

    public void receiveCureResult(int result, int overTime, int diagnoseResult, int method) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("HiCure result:");
        stringBuilder.append(result);
        stringBuilder.append(" ,overTime:");
        stringBuilder.append(overTime);
        stringBuilder.append(", diagnoseResult:");
        stringBuilder.append(diagnoseResult);
        stringBuilder.append(", method:");
        stringBuilder.append(method);
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", stringBuilder.toString());
        long querytime = android.os.SystemClock.elapsedRealtime();
        if (0 == this.lastReceiveResultTime || querytime - this.lastReceiveResultTime >= 2000) {
            this.lastReceiveResultTime = querytime;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("Receive HiCure result= ");
            stringBuilder2.append(result);
            stringBuilder2.append(", overTime= ");
            stringBuilder2.append(overTime);
            hiCureToast(stringBuilder2.toString());
            sendMessage(1119);
            this.monitorStallAfterCure = true;
            if (overTime <= 0) {
                this.isAllowHiCure = true;
                return;
            }
            this.mHwArbitrationChrImpl.updateHiCureResultChr(result, diagnoseResult, method);
            this.isStallAfterCure = 0;
            sendMessageDelayed(1130, 5000);
            removeMessages(1124);
            removeMessages(1121);
            sendMessageDelayed(1121, ((long) (overTime * 60)) * 1000);
            return;
        }
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "duplicate broadcast");
        this.lastReceiveResultTime = querytime;
    }

    private long getLastCureTime(android.content.Context context) {
        return android.provider.Settings.System.getLong(context.getContentResolver(), "hicure_db_curetime_value", -1);
    }

    public boolean startMonitorQuality() {
        return this.monitorStallAfterCure;
    }

    private void setFlagAtTimer(int milliseconds) {
        this.mIsMpLinkError = true;
        if (milliseconds < 1) {
            milliseconds = 30000;
        }
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMachine", "setFlagAtTimer 30S");
        removeMessages(2001);
        sendMessageDelayed(2001, (long) milliseconds);
    }

    public void updateCurrentStreamAppState(com.android.server.hidata.appqoe.HwAPPStateInfo appInfo, int state) {
        if (appInfo != null) {
            if (state != 100) {
                if (state != 103) {
                    if (state == 101) {
                        this.mCurrentStreamAppInfo = null;
                    } else if (state == 104) {
                        if (appInfo.mScenceId == 100106) {
                            this.mCurrentStreamAppInfo = null;
                        } else if (appInfo.mScenceId == 100105) {
                            this.mCurrentStreamAppInfo = appInfo;
                        }
                    }
                }
            }
            this.mCurrentStreamAppInfo = appInfo;
        }
    }

    private synchronized void updateMplinkCHRExceptionEvent(int appUid, int event, int reason) {
        if (mHwArbitrationAppBoostMap != null) {
            com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo hwArbitrationAppBoostInfo = (com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo) mHwArbitrationAppBoostMap.get(java.lang.Integer.valueOf(appUid));
            com.android.server.hidata.arbitration.HwArbitrationAppBoostInfo boostInfo = hwArbitrationAppBoostInfo;
            if (hwArbitrationAppBoostInfo != null) {
                if (8 == event) {
                    if (800 == boostInfo.getNetwork()) {
                        event = 5;
                    } else if (801 == boostInfo.getNetwork()) {
                        event = 3;
                    }
                }
                if (this.mHwArbitrationChrImpl != null) {
                    this.mHwArbitrationChrImpl.updateMplinkActionChr(boostInfo.getHwAPPStateInfo(), event, reason);
                }
            }
        }
    }

    private void setQueryTime(int uid) {
        if (this.mQueryTime == null) {
            this.mQueryTime = new java.util.HashMap(10);
        }
        this.mQueryTime.put(java.lang.Integer.valueOf(uid), java.lang.Long.valueOf(android.os.SystemClock.elapsedRealtime()));
    }
}
