package com.android.server.hidata.channelqoe;

public class HwChannelQoEManager {
    private static final int AVAILABLE_CONNECT_TIMEOUT = 3000;
    private static final int AVAILABLE_INPUT_WAIT = 2000;
    private static final int AVAILABLE_TIMEOUT = 5000;
    private static final int CELL_SIGNAL_LEVEL_GOOD = 0;
    private static final int CELL_SIGNAL_LEVEL_MODERATE = 1;
    private static final int CELL_SIGNAL_LEVEL_POOR = 2;
    private static final int CHQOE_RTT_GET_TIMES = 3;
    private static final int CHQOE_TIMEOUT = 5500;
    private static final int CHR_CELL_PARAMETERS = 0;
    private static final int CHR_PARAMETERS_ARRAY_MAX_LEN = 2;
    private static final int CHR_WIFI_PARAMETERS = 1;
    private static final java.lang.String COUNTRY_CODE_CHINA = "460";
    private static final java.lang.String Cnt = "CNT";
    private static final int DNS_TIMEOUT = 1000;
    private static final int E909002054 = 909002054;
    private static final int E909009039 = 909009039;
    private static final int E909009040 = 909009040;
    private static final int GET_CURRENT_RTT = 0;
    private static final int GET_CURRENT_RTT_SCENCE = -1;
    private static final int GET_CURRENT_RTT_UID = -1;
    private static final boolean IS_CHINA = "CN".equalsIgnoreCase(android.os.SystemProperties.get("ro.product.locale.region", ""));
    private static final java.lang.String LVl = "LVL";
    private static final int MESSAGE_AVAILABLE_EXCEPTION = 61447;
    private static final int MESSAGE_AVAILABLE_OK = 61446;
    private static final int MESSAGE_AVAILABLE_TIMEOUT = 61445;
    private static final int MESSAGE_BAIDU_RTT = 61444;
    private static final int MESSAGE_DNS_TIMEOUT = 61448;
    private static final int MESSAGE_EXCEPTION = 61440;
    private static final int MESSAGE_EXCEPTION_BAK = 61441;
    private static final int MESSAGE_HICLOUD_RTT = 61443;
    private static final int MESSAGE_START_QUERY = 61449;
    private static final int MESSAGE_TIMEOUT = 61442;
    private static final int NOT_GET_CURRENT_RTT = 1;
    private static final int SOCKET_CONNECT_TIMEOUT = 4000;
    private static final int SOCKET_INPUT_WAIT_TIME = 500;
    private static final int SOCKET_MAX_TIMEOUT = 999;
    private static final java.lang.String TAG = "HiDATA_ChannelQoE";
    private static final java.lang.String getBaidu = "GET http://www.baidu.com/ HTTP/1.1\r\nHost: www.baidu.com\r\nConnection: Keep-Alive\r\n\r\n";
    private static final java.lang.String getGoogle = "GET http://www.google.com/ HTTP/1.1\r\nHost: www.google.com\r\nConnection: Keep-Alive\r\n\r\n";
    private static final java.lang.String getGstatic = "GET /generate_204 HTTP/1.1\r\nHost: connectivitycheck.gstatic.com\r\nConnection: Keep-Alive\r\n\r\n";
    private static final java.lang.String getHiCloud = "GET /generate_204 HTTP/1.1\r\nHost: connectivitycheck.platform.hi\r\nConnection: Keep-Alive\r\n\r\n";
    private static volatile com.android.server.hidata.channelqoe.HwChannelQoEManager mChannelQoEManager = null;
    private static final java.lang.String urlBaidu = "www.baidu.com";
    private static final java.lang.String urlGoogle = "www.google.com";
    private static final java.lang.String urlGstatic = "connectivitycheck.gstatic.com";
    private static final java.lang.String urlHiCloud = "connectivitycheck.platform.hicloud.com";
    private java.lang.String getBak = "GET http://www.baidu.com/ HTTP/1.1\r\nHost: www.baidu.com\r\nConnection: Keep-Alive\r\n\r\n";
    private java.lang.String getFirst = "GET /generate_204 HTTP/1.1\r\nHost: connectivitycheck.platform.hi\r\nConnection: Keep-Alive\r\n\r\n";
    android.telephony.PhoneStateListener listenerSim0;
    android.telephony.PhoneStateListener listenerSim1;
    private com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject mCell;
    private com.android.server.hidata.channelqoe.HwChannelQoEManager.HistoryMseasureInfo mCellHistoryMseasureInfo = null;
    private com.android.server.hidata.channelqoe.HwCHQciManager mChQciManager;
    private com.android.server.hidata.channelqoe.HwChannelQoEParmStatistics[] mChannelQoEParm = new com.android.server.hidata.channelqoe.HwChannelQoEParmStatistics[2];
    private android.content.Context mContext;
    private com.android.server.hidata.channelqoe.HwChannelQoEManager.CurrentSignalState mCurrentSignalState = null;
    private int mGetCurrentRttFlag = 1;
    private long mLastUploadTime;
    private com.android.server.hidata.channelqoe.HwChannelQoEMonitor mQoEMonitor;
    private android.telephony.SignalStrength mSignalStrengthSim0 = null;
    private android.telephony.SignalStrength mSignalStrengthSim1 = null;
    private android.telephony.TelephonyManager mTelephonyManager;
    private com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject mWifi;
    private com.android.server.hidata.channelqoe.HwChannelQoEManager.HistoryMseasureInfo mWifiHistoryMseasureInfo = null;
    private java.lang.String urlBak = "www.baidu.com";
    private java.lang.String urlFirst = "connectivitycheck.platform.hicloud.com";

    public class CHMeasureObject {
        private boolean isBakRunning = false;
        private com.android.server.hidata.channelqoe.IChannelQoECallback mAvailableCallBack = null;
        private java.util.concurrent.CopyOnWriteArrayList<com.android.server.hidata.channelqoe.HwChannelQoEAppInfo> mCallbackList = new java.util.concurrent.CopyOnWriteArrayList();
        private android.os.Handler mHandler;
        private int mMutex = 0;
        private java.lang.String mName;
        private com.android.server.hidata.channelqoe.HwChannelQoEManager.RttRecords mRttRecords = new com.android.server.hidata.channelqoe.HwChannelQoEManager.RttRecords();
        private int netType;

        public CHMeasureObject(java.lang.String name, int networkType) {
            this.mName = name;
            this.netType = networkType;
            this.mHandler = new android.os.Handler(com.android.server.hidata.channelqoe.HwChannelQoEManager.this) {
                public void handleMessage(android.os.Message msg) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.mName);
                    stringBuilder.append(" handleMessage what is ");
                    stringBuilder.append(java.lang.String.valueOf(msg.what));
                    com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder.toString());
                    switch (msg.what) {
                        case 61440:
                            if (!com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.isBakRunning) {
                                if (!com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.mRttRecords.hasValues()) {
                                    com.android.server.hidata.channelqoe.HwChannelQoEManager.log("exception but record has no value. will start bakprocess");
                                    com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.isBakRunning = true;
                                    com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.bakProcess(com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.netType);
                                    break;
                                }
                                com.android.server.hidata.channelqoe.HwChannelQoEManager.log("exception but record has values.");
                                removeMessages(61442);
                                com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.processAll(com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.mRttRecords.getFinalRtt());
                                break;
                            }
                            com.android.server.hidata.channelqoe.HwChannelQoEManager.log("Bak is Running. Do not process hicloud exception anymore.");
                            return;
                        case 61441:
                            com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.isBakRunning = false;
                            if (com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.mMutex != 0) {
                                removeMessages(61442);
                                com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.processAll(999);
                                break;
                            }
                            com.android.server.hidata.channelqoe.HwChannelQoEManager.this.logE("MESSAGE_EXCEPTION_BAK, there is no item in callbacklist.");
                            return;
                        case 61442:
                            com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.isBakRunning = false;
                            if (!com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.mRttRecords.hasValues()) {
                                com.android.server.hidata.channelqoe.HwChannelQoEManager.log("timeout but record has no value.");
                                com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.processAll(999);
                                break;
                            }
                            com.android.server.hidata.channelqoe.HwChannelQoEManager.log("timeout but record has values.");
                            com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.processAll(com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.mRttRecords.getFinalRtt());
                            break;
                        case 61443:
                            if (!com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.isBakRunning) {
                                if (com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.mMutex != 0) {
                                    com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.mRttRecords.insert((long) msg.arg1);
                                    if (com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.mRttRecords.isReady()) {
                                        com.android.server.hidata.channelqoe.HwChannelQoEManager.log("all records are ready.");
                                        removeMessages(61442);
                                        com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.processAll(com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.mRttRecords.getFinalRtt());
                                        break;
                                    }
                                }
                                com.android.server.hidata.channelqoe.HwChannelQoEManager.log("mMutex is 0.");
                                return;
                            }
                            com.android.server.hidata.channelqoe.HwChannelQoEManager.log("Bak is Running. Do not process hicloud anymore.");
                            return;
                            break;
                        case 61444:
                            com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.isBakRunning = false;
                            if (com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.mMutex != 0) {
                                removeMessages(61442);
                                com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.processAll((long) msg.arg1);
                                break;
                            }
                            com.android.server.hidata.channelqoe.HwChannelQoEManager.this.logE("MESSAGE_BAIDU_RTT, there is no item in callbacklist.");
                            return;
                        case 61445:
                            if (com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.mAvailableCallBack != null) {
                                com.android.server.hidata.channelqoe.HwChannelQoEManager.log("onCellPSAvailable false, reason CONNECT_TIMEOUT.");
                                com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.mAvailableCallBack.onCellPSAvailable(false, 1);
                                com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.mAvailableCallBack = null;
                                break;
                            }
                            break;
                        case 61446:
                            removeMessages(61445);
                            if (com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.mAvailableCallBack != null) {
                                com.android.server.hidata.channelqoe.HwChannelQoEManager.log("onCellPSAvailable true, reason CONNECT_AVAILABLE.");
                                com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.mAvailableCallBack.onCellPSAvailable(true, 0);
                                com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.mAvailableCallBack = null;
                                break;
                            }
                            break;
                        case 61447:
                            removeMessages(61445);
                            if (com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.mAvailableCallBack != null) {
                                com.android.server.hidata.channelqoe.HwChannelQoEManager.log("onCellPSAvailable false, reason exception.");
                                com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.mAvailableCallBack.onCellPSAvailable(false, 1);
                                com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.mAvailableCallBack = null;
                                break;
                            }
                            break;
                        case 61448:
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("MESSAGE_DNS_TIMEOUT with netType ");
                            stringBuilder.append(java.lang.String.valueOf(com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.netType));
                            com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder.toString());
                            int[] iArr;
                            if (801 == com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.netType) {
                                iArr = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[0].mRst.mRst;
                                iArr[3] = iArr[3] + 1;
                            } else if (800 == com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.netType) {
                                iArr = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[1].mRst.mRst;
                                iArr[3] = iArr[3] + 1;
                            }
                            com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.isBakRunning = true;
                            com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.bakProcess(com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.netType);
                            break;
                        case 61449:
                            com.android.server.hidata.channelqoe.HwChannelQoEManager.log("MESSAGE_START_QUERY enter.");
                            com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject.this.queryQuality(msg.obj);
                            break;
                        default:
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("handler receive unknown message ");
                            stringBuilder.append(java.lang.String.valueOf(msg.what));
                            com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder.toString());
                            break;
                    }
                }
            };
        }

        private void statisticsRttScope(int mChannelQoEParmIndex, int rtt) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("enter statisticsRttScope: rtt is ");
            stringBuilder.append(java.lang.String.valueOf(rtt));
            com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder.toString());
            if (mChannelQoEParmIndex >= 2) {
                com.android.server.hidata.channelqoe.HwChannelQoEManager.log("statisticsRttScope index err.");
            } else if (rtt <= 0) {
                com.android.server.hidata.channelqoe.HwChannelQoEManager.log("statisticsRttScope: rtt <= 0");
            } else {
                int[] iArr;
                if (rtt < 50) {
                    iArr = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[mChannelQoEParmIndex].mRtt.mRtt;
                    iArr[0] = iArr[0] + 1;
                } else if (rtt < 100) {
                    iArr = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[mChannelQoEParmIndex].mRtt.mRtt;
                    iArr[1] = iArr[1] + 1;
                } else if (rtt < 150) {
                    int[] iArr2 = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[mChannelQoEParmIndex].mRtt.mRtt;
                    iArr2[2] = iArr2[2] + 1;
                } else if (rtt < 200) {
                    iArr = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[mChannelQoEParmIndex].mRtt.mRtt;
                    iArr[3] = iArr[3] + 1;
                } else if (rtt < 250) {
                    iArr = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[mChannelQoEParmIndex].mRtt.mRtt;
                    iArr[4] = iArr[4] + 1;
                } else if (rtt < 300) {
                    iArr = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[mChannelQoEParmIndex].mRtt.mRtt;
                    iArr[5] = iArr[5] + 1;
                } else if (rtt < 350) {
                    iArr = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[mChannelQoEParmIndex].mRtt.mRtt;
                    iArr[6] = iArr[6] + 1;
                } else if (rtt < 400) {
                    iArr = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[mChannelQoEParmIndex].mRtt.mRtt;
                    iArr[7] = iArr[7] + 1;
                } else if (rtt < 500) {
                    iArr = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[mChannelQoEParmIndex].mRtt.mRtt;
                    iArr[8] = iArr[8] + 1;
                } else {
                    iArr = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[mChannelQoEParmIndex].mRtt.mRtt;
                    iArr[9] = iArr[9] + 1;
                }
            }
        }

        private void processAll(long finalRtt) {
            com.android.server.hidata.channelqoe.HwChannelQoEManager hwChannelQoEManager = com.android.server.hidata.channelqoe.HwChannelQoEManager.this;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("processAll enter. mCallbackList size is ");
            stringBuilder.append(java.lang.String.valueOf(this.mCallbackList.size()));
            hwChannelQoEManager.logE(stringBuilder.toString());
            hwChannelQoEManager = com.android.server.hidata.channelqoe.HwChannelQoEManager.this;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("finalRtt is ");
            stringBuilder.append(java.lang.String.valueOf(finalRtt));
            hwChannelQoEManager.logE(stringBuilder.toString());
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("processAll():clt CHR Param statistics,networkType is ");
            stringBuilder2.append(java.lang.String.valueOf(this.netType));
            com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder2.toString());
            if (801 == this.netType) {
                statisticsRttScope(0, (int) finalRtt);
                com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mCellHistoryMseasureInfo.rttBef = (int) finalRtt;
            } else if (800 == this.netType) {
                statisticsRttScope(1, (int) finalRtt);
                com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mWifiHistoryMseasureInfo.rttBef = (int) finalRtt;
            }
            int lable = 1;
            java.util.Iterator it = this.mCallbackList.iterator();
            while (it.hasNext()) {
                com.android.server.hidata.channelqoe.HwChannelQoEAppInfo appqoeInfo = (com.android.server.hidata.channelqoe.HwChannelQoEAppInfo) it.next();
                int[] iArr;
                if (com.android.server.hidata.channelqoe.HwCHQciManager.getInstance().getChQciConfig(appqoeInfo.mQci).mRtt == 0) {
                    if (801 == this.netType) {
                        iArr = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[0].mRst.mRst;
                        iArr[4] = iArr[4] + 1;
                    } else if (800 == this.netType) {
                        iArr = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[1].mRst.mRst;
                        iArr[4] = iArr[4] + 1;
                    }
                } else if (((long) com.android.server.hidata.channelqoe.HwCHQciManager.getInstance().getChQciConfig(appqoeInfo.mQci).mRtt) <= finalRtt) {
                    lable = 1;
                    if (801 == this.netType) {
                        iArr = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[0].mRst.mRst;
                        iArr[2] = iArr[2] + 1;
                    } else if (800 == this.netType) {
                        iArr = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[1].mRst.mRst;
                        iArr[2] = iArr[2] + 1;
                    }
                } else {
                    lable = 0;
                    if (801 == this.netType) {
                        iArr = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[0].mRst.mRst;
                        iArr[0] = iArr[0] + 1;
                    } else if (800 == this.netType) {
                        iArr = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[1].mRst.mRst;
                        iArr[0] = iArr[0] + 1;
                    }
                }
                appqoeInfo.callback.onChannelQuality(appqoeInfo.mUID, appqoeInfo.mScence, appqoeInfo.mNetwork, lable);
                com.android.server.hidata.channelqoe.HwChannelQoEManager hwChannelQoEManager2 = com.android.server.hidata.channelqoe.HwChannelQoEManager.this;
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("label is ");
                stringBuilder3.append(java.lang.String.valueOf(lable));
                hwChannelQoEManager2.logE(stringBuilder3.toString());
                if (-1 == appqoeInfo.mUID && com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mGetCurrentRttFlag == 0) {
                    java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                    stringBuilder4.append("processAll(): get current rtt, rtt is ");
                    stringBuilder4.append(com.android.server.hidata.channelqoe.HwCHQciManager.getInstance().getChQciConfig(appqoeInfo.mQci).mRtt);
                    com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder4.toString());
                    appqoeInfo.callback.onCurrentRtt((int) finalRtt);
                    com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mGetCurrentRttFlag = 1;
                }
            }
            this.mCallbackList.clear();
            this.mMutex = 0;
            this.mRttRecords.reset();
        }

        private void queryQuality(com.android.server.hidata.channelqoe.HwChannelQoEAppInfo appqoeInfo) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(this.mName);
            stringBuilder.append(" queryQuality.");
            com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder.toString());
            this.mCallbackList.add(appqoeInfo);
            if (this.mMutex > 0) {
                com.android.server.hidata.channelqoe.HwChannelQoEManager.this.logE("There is another RTT processing now.");
                return;
            }
            this.mMutex++;
            firstRttProcess(appqoeInfo.mNetwork);
            android.os.Message msg = android.os.Message.obtain();
            msg.what = 61442;
            this.mHandler.sendMessageDelayed(msg, 5500);
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(this.mName);
            stringBuilder2.append(" send timer MESSAGE_TIMEOUT.");
            com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder2.toString());
        }

        public void queryAvailable(com.android.server.hidata.channelqoe.IChannelQoECallback callBack) {
            this.mAvailableCallBack = callBack;
            new com.android.server.hidata.channelqoe.HwChannelQoEManager.CHAvailableThread(801, this.mHandler, com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mContext).start();
            android.os.Message message = android.os.Message.obtain();
            message.what = 61445;
            this.mHandler.sendMessageDelayed(message, 5000);
        }

        private void firstRttProcess(int networkType) {
            com.android.server.hidata.channelqoe.HwChannelQoEManager.log("firstRttProcess enter.");
            new com.android.server.hidata.channelqoe.HwChannelQoEManager.CHFirstThread(networkType, this.mHandler, com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mContext).start();
        }

        private void bakProcess(int networkType) {
            com.android.server.hidata.channelqoe.HwChannelQoEManager.log("bakProcess enter.");
            new com.android.server.hidata.channelqoe.HwChannelQoEManager.CHBakThread(networkType, this.mHandler, com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mContext).start();
        }
    }

    public class CHThread extends java.lang.Thread {
        private android.net.ConnectivityManager mCM;
        private android.net.Network mCellNetwork;
        private int mNetworkType;
        private android.net.Network mWifiNetwork;
        public android.os.Handler threadHandler;

        public CHThread(int networkType, android.os.Handler handler, android.content.Context context) {
            this.threadHandler = handler;
            this.mCM = (android.net.ConnectivityManager) context.getSystemService("connectivity");
            this.mNetworkType = networkType;
        }

        public void run() {
        }

        public java.net.InetSocketAddress getByName(java.lang.String host, int port) throws java.lang.Exception {
            java.lang.StringBuilder stringBuilder;
            try {
                if (this.mNetworkType == 801 && this.mCellNetwork != null) {
                    com.android.server.hidata.channelqoe.HwChannelQoEManager.log("mCellNetwork get dns.");
                    return new java.net.InetSocketAddress(this.mCellNetwork.getByName(host), port);
                } else if (this.mNetworkType != 800 || this.mWifiNetwork == null) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("network null error. network type is ");
                    stringBuilder2.append(java.lang.String.valueOf(this.mNetworkType));
                    com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder2.toString());
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("network null error. network type is ");
                    stringBuilder.append(java.lang.String.valueOf(this.mNetworkType));
                    throw new java.lang.Exception(stringBuilder.toString());
                } else {
                    com.android.server.hidata.channelqoe.HwChannelQoEManager.log("mWifiNetwork get dns.");
                    return new java.net.InetSocketAddress(this.mWifiNetwork.getByName(host), port);
                }
            } catch (java.lang.Exception e) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("get dns Exception. ");
                stringBuilder.append(e.toString());
                com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder.toString());
                throw e;
            }
        }

        public void bindSocketToNetwork(java.net.Socket sk) throws java.lang.Exception {
            android.net.Network[] networks = this.mCM.getAllNetworks();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("networks size is ");
            stringBuilder.append(java.lang.String.valueOf(networks.length));
            com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder.toString());
            for (int i = 0; i < networks.length; i++) {
                android.net.NetworkInfo networkInfo = this.mCM.getNetworkInfo(networks[i]);
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("networksInfo is ");
                stringBuilder2.append(networkInfo.toString());
                com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder2.toString());
                if (networkInfo.getType() == 0) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("networks TYPE_MOBILE ");
                    stringBuilder2.append(java.lang.String.valueOf(i));
                    com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder2.toString());
                    this.mCellNetwork = networks[i];
                } else if (networkInfo.getType() == 1) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("networks[i].netId ");
                    stringBuilder2.append(networks[i].toString());
                    com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder2.toString());
                    this.mWifiNetwork = networks[i];
                }
            }
            if (this.mNetworkType == 801) {
                if (this.mCellNetwork != null) {
                    com.android.server.hidata.channelqoe.HwChannelQoEManager.log("mCellNetwork bind socket.");
                    this.mCellNetwork.bindSocket(sk);
                } else {
                    com.android.server.hidata.channelqoe.HwChannelQoEManager.log("mCellNetwork is null.");
                    throw new java.lang.Exception("mCellNetwork is null.");
                }
            } else if (this.mWifiNetwork != null) {
                com.android.server.hidata.channelqoe.HwChannelQoEManager.log("mWifiNetwork bind socket.");
                this.mWifiNetwork.bindSocket(sk);
            } else {
                com.android.server.hidata.channelqoe.HwChannelQoEManager.log("mWifiNetwork is null.");
                throw new java.lang.Exception("mWifiNetwork is null.");
            }
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("socket bind to network succ. socketfd is ");
            stringBuilder3.append(java.lang.String.valueOf(sk.getFileDescriptor$().getInt$()));
            com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder3.toString());
        }
    }

    public static class CurrentSignalState {
        private int networkType = 0;
        private int sigLoad;
        private int sigPwr;
        private int sigQual;
        private int sigSnr;

        public int getNetwork() {
            return this.networkType;
        }

        public int getSigPwr() {
            return this.sigPwr;
        }

        public int getSigSnr() {
            return this.sigSnr;
        }

        public int getSigQual() {
            return this.sigQual;
        }

        public int getSigLoad() {
            return this.sigLoad;
        }
    }

    public static class HistoryMseasureInfo {
        private int rat = -1;
        private int rttBef = 0;
        private int sigLoad = 255;
        private int sigPwr = 255;
        private int sigQual = 255;
        private int sigSnr = 255;
        private int tupBef = 0;

        public java.lang.String toString() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("tupBef:");
            stringBuilder.append(java.lang.String.valueOf(this.tupBef));
            stringBuilder.append(",rttBef:");
            stringBuilder.append(java.lang.String.valueOf(this.rttBef));
            stringBuilder.append(",sigPwr:");
            stringBuilder.append(java.lang.String.valueOf(this.sigPwr));
            stringBuilder.append(",sigSnr:");
            stringBuilder.append(java.lang.String.valueOf(this.sigSnr));
            stringBuilder.append(",sigQual:");
            stringBuilder.append(java.lang.String.valueOf(this.sigQual));
            stringBuilder.append(",sigLoad:");
            stringBuilder.append(java.lang.String.valueOf(this.sigLoad));
            stringBuilder.append(",rat:");
            stringBuilder.append(java.lang.String.valueOf(this.rat));
            return stringBuilder.toString();
        }

        public void reset() {
            this.tupBef = 0;
            this.rttBef = 0;
            this.sigPwr = 255;
            this.sigSnr = 255;
            this.sigQual = 255;
            this.sigLoad = 255;
            this.rat = -1;
        }

        public int getRttBef() {
            return this.rttBef;
        }

        public int getTupBef() {
            return this.tupBef;
        }

        public int getPwr() {
            return this.sigPwr;
        }

        public int getSnr() {
            return this.sigSnr;
        }

        public int getQual() {
            return this.sigQual;
        }

        public int getLoad() {
            return this.sigLoad;
        }

        public int getRat() {
            return this.rat;
        }
    }

    public static class RttRecords {
        private long[] channel_rtt = new long[3];
        private boolean ready;

        public RttRecords() {
            initValues();
        }

        public void reset() {
            initValues();
        }

        private void initValues() {
            for (int i = 0; i < 3; i++) {
                this.channel_rtt[i] = 0;
            }
            this.ready = false;
        }

        public void insert(long rtt) {
            int i = 0;
            while (i < 3) {
                if (this.channel_rtt[i] == 0) {
                    this.channel_rtt[i] = rtt;
                    break;
                }
                i++;
            }
            if (i == 2) {
                this.ready = true;
            }
        }

        public boolean isReady() {
            return this.ready;
        }

        public boolean hasValues() {
            for (int i = 0; i < 3; i++) {
                if (this.channel_rtt[i] != 0) {
                    return true;
                }
            }
            return false;
        }

        public long getFinalRtt() {
            long result = 0;
            int count = 0;
            for (int i = 0; i < 3; i++) {
                if (this.channel_rtt[i] == 0) {
                    break;
                }
                result += this.channel_rtt[i];
                count++;
            }
            return result / ((long) count);
        }
    }

    public class CHAvailableThread extends com.android.server.hidata.channelqoe.HwChannelQoEManager.CHThread {
        public CHAvailableThread(int networkType, android.os.Handler handler, android.content.Context context) {
            super(networkType, handler, context);
        }

        public void run() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("CHAvailableThread thread start at .");
            stringBuilder.append(java.lang.String.valueOf(java.lang.System.currentTimeMillis()));
            com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder.toString());
            java.net.Socket sk = new java.net.Socket();
            java.io.IOException e;
            java.lang.StringBuilder stringBuilder2;
            try {
                super.bindSocketToNetwork(sk);
                sk.connect(getByName(com.android.server.hidata.channelqoe.HwChannelQoEManager.this.urlFirst, 80), 3000);
                sk.setSoTimeout(2000);
                java.io.OutputStreamWriter osw = new java.io.OutputStreamWriter(sk.getOutputStream(), java.nio.charset.Charset.defaultCharset().name());
                osw.write(com.android.server.hidata.channelqoe.HwChannelQoEManager.this.getFirst.toCharArray());
                osw.flush();
                if (sk.getInputStream().read(new byte[1000]) >= 5) {
                    android.os.Message message = android.os.Message.obtain();
                    message.what = 61446;
                    this.threadHandler.sendMessage(message);
                    if (sk.isConnected()) {
                        try {
                            sk.close();
                            com.android.server.hidata.channelqoe.HwChannelQoEManager.log("CHAvailableThread socket closed.");
                        } catch (java.io.IOException e2) {
                            e = e2;
                            stringBuilder2 = new java.lang.StringBuilder();
                        }
                    }
                    return;
                }
                throw new java.lang.Exception("not invalid read length.");
                stringBuilder2.append("CHAvailableThread socket closed exception.");
                stringBuilder2.append(e.toString());
                com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder2.toString());
            } catch (java.lang.Exception e3) {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("CHAvailableThread thread exception. ");
                stringBuilder2.append(e3.toString());
                com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder2.toString());
                android.os.Message message2 = android.os.Message.obtain();
                message2.what = 61447;
                this.threadHandler.sendMessage(message2);
                if (sk.isConnected()) {
                    try {
                        sk.close();
                        com.android.server.hidata.channelqoe.HwChannelQoEManager.log("CHAvailableThread socket closed.");
                    } catch (java.io.IOException e4) {
                        e = e4;
                        stringBuilder2 = new java.lang.StringBuilder();
                    }
                }
            } catch (Throwable th) {
                if (sk.isConnected()) {
                    try {
                        sk.close();
                        com.android.server.hidata.channelqoe.HwChannelQoEManager.log("CHAvailableThread socket closed.");
                    } catch (java.io.IOException e5) {
                        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                        stringBuilder3.append("CHAvailableThread socket closed exception.");
                        stringBuilder3.append(e5.toString());
                        com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder3.toString());
                    }
                }
            }
        }
    }

    public class CHBakThread extends com.android.server.hidata.channelqoe.HwChannelQoEManager.CHThread {
        public CHBakThread(int networkType, android.os.Handler handler, android.content.Context context) {
            super(networkType, handler, context);
            int[] iArr;
            int[] iArr2;
            if (801 == networkType) {
                if (com.android.server.hidata.channelqoe.HwChannelQoEManager.this.isChina()) {
                    iArr = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[0].mSvr.mSvr;
                    iArr[1] = iArr[1] + 1;
                    return;
                }
                iArr2 = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[0].mSvr.mSvr;
                iArr2[3] = iArr2[3] + 1;
            } else if (800 != networkType) {
            } else {
                if (com.android.server.hidata.channelqoe.HwChannelQoEManager.this.isChina()) {
                    iArr = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[1].mSvr.mSvr;
                    iArr[1] = iArr[1] + 1;
                    return;
                }
                iArr2 = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[1].mSvr.mSvr;
                iArr2[3] = iArr2[3] + 1;
            }
        }

        public void run() {
            try {
                com.android.server.hidata.channelqoe.HwChannelQoEManager.log("CHBakThread run.");
                javax.net.ssl.SSLContext context = javax.net.ssl.SSLContext.getInstance("SSL");
                context.init(null, null, new java.security.SecureRandom());
                java.net.Socket sk = context.getSocketFactory().createSocket();
                super.bindSocketToNetwork(sk);
                sk.connect(getByName(com.android.server.hidata.channelqoe.HwChannelQoEManager.this.urlBak, 443), 4000);
                java.io.OutputStreamWriter osw = new java.io.OutputStreamWriter(sk.getOutputStream(), java.nio.charset.Charset.defaultCharset().name());
                long getstart = java.lang.System.currentTimeMillis();
                osw.write(com.android.server.hidata.channelqoe.HwChannelQoEManager.this.getBak);
                osw.flush();
                if (sk.getInputStream().read(new byte[1000]) >= 10) {
                    long rtt = java.lang.System.currentTimeMillis() - getstart;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("CHBakThread socket Rtt is ");
                    stringBuilder.append(java.lang.String.valueOf(rtt));
                    com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder.toString());
                    context = android.os.Message.obtain();
                    context.what = 61444;
                    context.arg1 = (int) rtt;
                    this.threadHandler.sendMessage(context);
                    return;
                }
                javax.net.ssl.SSLContext sSLContext = context;
                throw new java.lang.Exception("not invalid read length.");
            } catch (java.lang.Exception e) {
                android.os.Message message = android.os.Message.obtain();
                message.what = 61441;
                this.threadHandler.sendMessage(message);
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("CHBakThread socket err ");
                stringBuilder2.append(e.toString());
                com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder2.toString());
            }
        }
    }

    public class CHFirstThread extends com.android.server.hidata.channelqoe.HwChannelQoEManager.CHThread {
        public CHFirstThread(int networkType, android.os.Handler handler, android.content.Context context) {
            super(networkType, handler, context);
            com.android.server.hidata.channelqoe.HwChannelQoEManager.log("CHFirstThread create.");
            int[] iArr;
            int[] iArr2;
            if (801 == networkType) {
                if (com.android.server.hidata.channelqoe.HwChannelQoEManager.this.isChina()) {
                    iArr = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[0].mSvr.mSvr;
                    iArr[0] = iArr[0] + 1;
                    return;
                }
                iArr2 = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[0].mSvr.mSvr;
                iArr2[2] = iArr2[2] + 1;
            } else if (800 != networkType) {
            } else {
                if (com.android.server.hidata.channelqoe.HwChannelQoEManager.this.isChina()) {
                    iArr = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[1].mSvr.mSvr;
                    iArr[0] = iArr[0] + 1;
                    return;
                }
                iArr2 = com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mChannelQoEParm[1].mSvr.mSvr;
                iArr2[2] = iArr2[2] + 1;
            }
        }

        public void run() {
            java.io.IOException e;
            java.lang.StringBuilder stringBuilder;
            java.lang.StringBuilder stringBuilder2;
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("CHFirstThread thread start at .");
            stringBuilder3.append(java.lang.String.valueOf(java.lang.System.currentTimeMillis()));
            com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder3.toString());
            java.net.Socket sk = new java.net.Socket();
            try {
                super.bindSocketToNetwork(sk);
                android.os.Message msg = android.os.Message.obtain();
                msg.what = 61448;
                this.threadHandler.sendMessageDelayed(msg, 1000);
                java.net.InetSocketAddress addr = getByName(com.android.server.hidata.channelqoe.HwChannelQoEManager.this.urlFirst, 80);
                this.threadHandler.removeMessages(61448);
                sk.connect(addr, 4000);
                sk.setSoTimeout(500);
                java.io.OutputStreamWriter osw = new java.io.OutputStreamWriter(sk.getOutputStream(), java.nio.charset.Charset.defaultCharset().name());
                for (int i = 0; i < 3; i++) {
                    getHttpRtt(osw, sk);
                }
                try {
                    sk.close();
                    com.android.server.hidata.channelqoe.HwChannelQoEManager.log("First socket closed.");
                } catch (java.io.IOException e2) {
                    e = e2;
                    stringBuilder = new java.lang.StringBuilder();
                }
            } catch (java.lang.Exception e3) {
                android.os.Message message = android.os.Message.obtain();
                message.what = 61440;
                message.obj = e3;
                this.threadHandler.sendMessage(message);
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("First socket exception. ");
                stringBuilder2.append(e3.toString());
                com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder2.toString());
                try {
                    sk.close();
                    com.android.server.hidata.channelqoe.HwChannelQoEManager.log("First socket closed.");
                } catch (java.io.IOException e4) {
                    e = e4;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("First socket closed exception.");
                    stringBuilder.append(e.toString());
                    com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder.toString());
                }
            } catch (Throwable th) {
                try {
                    sk.close();
                    com.android.server.hidata.channelqoe.HwChannelQoEManager.log("First socket closed.");
                } catch (java.io.IOException e5) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("First socket closed exception.");
                    stringBuilder2.append(e5.toString());
                    com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder2.toString());
                }
            }
        }

        private void getHttpRtt(java.io.OutputStreamWriter osw, java.net.Socket sk) throws java.lang.Exception {
            com.android.server.hidata.channelqoe.HwChannelQoEManager.log("getHttpRtt enter.");
            long getstart = java.lang.System.currentTimeMillis();
            osw.write(com.android.server.hidata.channelqoe.HwChannelQoEManager.this.getFirst.toCharArray());
            osw.flush();
            byte[] buffer = new byte[1000];
            int len = sk.getInputStream().read(buffer);
            if (len >= 5) {
                java.lang.String sCheck = new java.lang.String(buffer, "UTF-8");
                if (sCheck.contains("HTTP/1.1 204 No Content")) {
                    long rtt = java.lang.System.currentTimeMillis() - getstart;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("First socket Rtt is ");
                    stringBuilder.append(java.lang.String.valueOf(rtt));
                    com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder.toString());
                    android.os.Message message = android.os.Message.obtain();
                    message.what = 61443;
                    message.arg1 = (int) rtt;
                    this.threadHandler.sendMessage(message);
                    return;
                }
                com.android.server.hidata.channelqoe.HwChannelQoEManager.log("getHttpRtt read error!Socket input doesn't contain HTTP/1.1 204 No Content");
                com.android.server.hidata.channelqoe.HwChannelQoEManager.log(sCheck);
                throw new java.lang.Exception("not invalid String.");
            }
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("getHttpRtt read length is");
            stringBuilder2.append(java.lang.String.valueOf(len));
            com.android.server.hidata.channelqoe.HwChannelQoEManager.log(stringBuilder2.toString());
            throw new java.lang.Exception("not invalid read length.");
        }
    }

    public static com.android.server.hidata.channelqoe.HwChannelQoEManager createInstance(android.content.Context context) {
        if (mChannelQoEManager == null) {
            synchronized (com.android.server.hidata.channelqoe.HwChannelQoEManager.class) {
                if (mChannelQoEManager == null) {
                    log("createInstance enter.");
                    mChannelQoEManager = new com.android.server.hidata.channelqoe.HwChannelQoEManager(context);
                }
            }
        }
        return mChannelQoEManager;
    }

    public static com.android.server.hidata.channelqoe.HwChannelQoEManager getInstance() {
        return mChannelQoEManager;
    }

    private HwChannelQoEManager(android.content.Context context) {
        this.mChannelQoEParm[0] = new com.android.server.hidata.channelqoe.HwChannelQoEParmStatistics();
        this.mChannelQoEParm[1] = new com.android.server.hidata.channelqoe.HwChannelQoEParmStatistics();
        this.mLastUploadTime = 0;
        this.listenerSim0 = new android.telephony.PhoneStateListener(java.lang.Integer.valueOf(0)) {
            public void onSignalStrengthsChanged(android.telephony.SignalStrength signalStrength) {
                com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mSignalStrengthSim0 = signalStrength;
            }
        };
        this.listenerSim1 = new android.telephony.PhoneStateListener(java.lang.Integer.valueOf(1)) {
            public void onSignalStrengthsChanged(android.telephony.SignalStrength signalStrength) {
                com.android.server.hidata.channelqoe.HwChannelQoEManager.this.mSignalStrengthSim1 = signalStrength;
            }
        };
        logE("HwChannelQoEManager enter.");
        this.mContext = context;
        this.mCell = new com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject("mCell", 801);
        this.mWifi = new com.android.server.hidata.channelqoe.HwChannelQoEManager.CHMeasureObject("mWifi", 800);
        this.mQoEMonitor = new com.android.server.hidata.channelqoe.HwChannelQoEMonitor(this.mContext);
        this.mTelephonyManager = (android.telephony.TelephonyManager) this.mContext.getSystemService("phone");
        this.mCurrentSignalState = new com.android.server.hidata.channelqoe.HwChannelQoEManager.CurrentSignalState();
        regSignalListener();
        this.mCellHistoryMseasureInfo = new com.android.server.hidata.channelqoe.HwChannelQoEManager.HistoryMseasureInfo();
        this.mWifiHistoryMseasureInfo = new com.android.server.hidata.channelqoe.HwChannelQoEManager.HistoryMseasureInfo();
        this.mChannelQoEParm[0].mNetworkType = 801;
        this.mChannelQoEParm[1].mNetworkType = 800;
        this.mChQciManager = com.android.server.hidata.channelqoe.HwCHQciManager.getInstance();
        logE("HwChannelQoEManager create succ.");
    }

    private void logE(java.lang.String info) {
        android.util.Log.e("HiDATA_ChannelQoE", info);
    }

    public static void log(java.lang.String info) {
        android.util.Log.e("HiDATA_ChannelQoE", info);
    }

    public void startWifiLinkMonitor(int UID, int scence, int qci, com.android.server.hidata.channelqoe.IChannelQoECallback callback) {
        logE("startWifiLinkMonitor enter.");
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("startWifiLinkMonitor enter, UID is ");
        stringBuilder.append(UID);
        logE(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("startWifiLinkMonitor enter, scence is ");
        stringBuilder.append(scence);
        logE(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("startWifiLinkMonitor enter, qci is ");
        stringBuilder.append(qci);
        logE(stringBuilder.toString());
        com.android.server.hidata.channelqoe.HwCHQciConfig config = com.android.server.hidata.channelqoe.HwCHQciManager.getInstance().getChQciConfig(qci);
        this.mQoEMonitor.startMonitor(new com.android.server.hidata.channelqoe.HwChannelQoEAppInfo(UID, scence, 800, qci, callback));
    }

    public void stopWifiLinkMonitor(int UID, boolean stopAll) {
        if (stopAll) {
            log("stopWifiLinkMonitor stop all.");
            this.mQoEMonitor.stopAll();
        } else if (UID == -1) {
            log("stopWifiLinkMonitor invalid UID.");
        } else {
            this.mQoEMonitor.stopMonitor(UID);
        }
    }

    public void queryCellPSAvailable(com.android.server.hidata.channelqoe.IChannelQoECallback callBack) {
        logE("queryCellPSAvailable enter.");
        if (queryCellSignalLevel(0) == 0) {
            this.mCell.queryAvailable(callBack);
            return;
        }
        logE("onCellPSAvailable false, reason CONNECT_SIGNAL_POOR.");
        callBack.onCellPSAvailable(false, 2);
    }

    public void queryChannelQuality(int UID, int scence, int networkType, int qci, com.android.server.hidata.channelqoe.IChannelQoECallback callback) {
        int i = networkType;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("queryChannelQuality enter, UID:");
        stringBuilder.append(java.lang.String.valueOf(UID));
        stringBuilder.append(", scence:");
        stringBuilder.append(java.lang.String.valueOf(scence));
        stringBuilder.append(", networkType:");
        stringBuilder.append(java.lang.String.valueOf(networkType));
        stringBuilder.append(", qci:");
        stringBuilder.append(java.lang.String.valueOf(qci));
        logE(stringBuilder.toString());
        int i2 = qci;
        com.android.server.hidata.channelqoe.HwCHQciConfig config = com.android.server.hidata.channelqoe.HwCHQciManager.getInstance().getChQciConfig(i2);
        try {
            if (IS_CHINA) {
                if (isChina()) {
                    this.urlFirst = "connectivitycheck.platform.hicloud.com";
                    this.getFirst = "GET /generate_204 HTTP/1.1\r\nHost: connectivitycheck.platform.hi\r\nConnection: Keep-Alive\r\n\r\n";
                    this.urlBak = "www.baidu.com";
                    this.getBak = "GET http://www.baidu.com/ HTTP/1.1\r\nHost: www.baidu.com\r\nConnection: Keep-Alive\r\n\r\n";
                    log("In China, using hicloud and baidu.");
                } else {
                    this.urlFirst = "connectivitycheck.gstatic.com";
                    this.getFirst = "GET /generate_204 HTTP/1.1\r\nHost: connectivitycheck.gstatic.com\r\nConnection: Keep-Alive\r\n\r\n";
                    this.urlBak = "www.google.com";
                    this.getBak = "GET http://www.google.com/ HTTP/1.1\r\nHost: www.google.com\r\nConnection: Keep-Alive\r\n\r\n";
                    log("over sea, using gstatic and google.");
                }
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("set url exception. ");
            stringBuilder2.append(e.toString());
            log(stringBuilder2.toString());
        }
        int i3;
        int i4;
        com.android.server.hidata.channelqoe.IChannelQoECallback iChannelQoECallback;
        if (801 == i) {
            this.mCellHistoryMseasureInfo.reset();
            this.mCellHistoryMseasureInfo.tupBef = -1;
            int signal_level = queryCellSignalLevel(config.mTput);
            android.os.Message startMessage;
            if (signal_level == 0) {
                logE("queryChannelQuality signal level good.");
                startMessage = android.os.Message.obtain();
                startMessage.what = 61449;
                startMessage.obj = new com.android.server.hidata.channelqoe.HwChannelQoEAppInfo(UID, scence, i, i2, callback);
                this.mCell.mHandler.sendMessage(startMessage);
            } else if (signal_level == 1) {
                logE("queryChannelQuality signal level MODERATE.");
                startMessage = android.os.Message.obtain();
                startMessage.what = 61449;
                startMessage.obj = new com.android.server.hidata.channelqoe.HwChannelQoEAppInfo(UID, scence, i, i2, callback);
                this.mCell.mHandler.sendMessage(startMessage);
            } else {
                logE("queryChannelQuality signal level bad.");
                int[] iArr = this.mChannelQoEParm[0].mRst.mRst;
                iArr[1] = iArr[1] + 1;
                callback.onChannelQuality(UID, scence, i, 1);
                return;
            }
            i3 = UID;
            i4 = scence;
            iChannelQoECallback = callback;
            return;
        }
        i3 = UID;
        i4 = scence;
        iChannelQoECallback = callback;
        if (800 == i) {
            this.mWifiHistoryMseasureInfo.reset();
            android.net.wifi.WifiManager mWManager = (android.net.wifi.WifiManager) this.mContext.getSystemService("wifi");
            android.net.wifi.WifiInfo info = mWManager.getConnectionInfo();
            if (info != null) {
                this.mWifiHistoryMseasureInfo.sigPwr = info.getRssi();
                this.mWifiHistoryMseasureInfo.sigSnr = info.getSnr();
                this.mWifiHistoryMseasureInfo.sigQual = info.getNoise();
                this.mWifiHistoryMseasureInfo.sigLoad = info.getChload();
                this.mWifiHistoryMseasureInfo.tupBef = -1;
            }
            android.os.Message startMessage2 = android.os.Message.obtain();
            startMessage2.what = 61449;
            com.android.server.hidata.channelqoe.HwChannelQoEAppInfo hwChannelQoEAppInfo = r2;
            com.android.server.hidata.channelqoe.HwChannelQoEAppInfo hwChannelQoEAppInfo2 = new com.android.server.hidata.channelqoe.HwChannelQoEAppInfo(i3, i4, i, i2, iChannelQoECallback);
            startMessage2.obj = hwChannelQoEAppInfo;
            this.mWifi.mHandler.sendMessage(startMessage2);
            return;
        }
        logE("queryChannelQuality networkType error");
    }

    private boolean isChina() {
        java.lang.String operator = android.telephony.TelephonyManager.getDefault().getNetworkOperator();
        return (operator == null || operator.length() == 0 || !operator.startsWith("460")) ? false : true;
    }

    private void regSignalListener() {
        this.mTelephonyManager.listen(this.listenerSim0, 256);
        this.mTelephonyManager.listen(this.listenerSim1, 256);
    }

    public int queryCellSignalLevel(int tput_thresh) {
        android.telephony.SignalStrength signalStrength;
        int signal_level = 2;
        int subId = android.telephony.SubscriptionManager.getDefaultDataSubscriptionId();
        int net_type = this.mTelephonyManager.getNetworkType(subId);
        int RAT_class = android.telephony.TelephonyManager.getNetworkClass(net_type);
        if (subId == 0) {
            signalStrength = this.mSignalStrengthSim0;
        } else {
            signalStrength = this.mSignalStrengthSim1;
        }
        if (signalStrength == null) {
            return 2;
        }
        if (1 == RAT_class) {
            log("CellSignalLevel 2G");
            signal_level = 2;
        } else if (2 == RAT_class) {
            this.mCellHistoryMseasureInfo.rat = 2;
            if (tput_thresh > 2) {
                log("CellSignalLevel 3G");
                signal_level = 2;
            }
            int ecio = -1;
            if (net_type != 15) {
                switch (net_type) {
                    case 3:
                        break;
                    case 4:
                        ecio = signalStrength.getCdmaEcio();
                        break;
                    case 5:
                    case 6:
                        ecio = signalStrength.getEvdoEcio();
                        break;
                    default:
                        switch (net_type) {
                            case 8:
                            case 9:
                            case 10:
                                break;
                            default:
                                break;
                        }
                }
            }
            ecio = signalStrength.getWcdmaEcio();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("CellSignalLevel 3G = ");
            stringBuilder.append(signalStrength.getLevel());
            stringBuilder.append(" ecio = ");
            stringBuilder.append(ecio);
            log(stringBuilder.toString());
            this.mCellHistoryMseasureInfo.sigQual = ecio;
            this.mCellHistoryMseasureInfo.sigPwr = signalStrength.getWcdmaRscp();
            if (ecio == -1) {
                if (signalStrength.getLevel() >= 3) {
                    signal_level = 0;
                }
            } else if (signalStrength.getLevel() >= 2 && ecio > -12) {
                signal_level = 1;
            }
        } else if (3 == RAT_class) {
            this.mCellHistoryMseasureInfo.rat = 1;
            int rsrq = signalStrength.getLteRsrq();
            int sinr = signalStrength.getLteRssnr();
            this.mCellHistoryMseasureInfo.sigPwr = signalStrength.getLteRsrp();
            this.mCellHistoryMseasureInfo.sigSnr = sinr;
            this.mCellHistoryMseasureInfo.sigQual = rsrq;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("CellSignalLevel LTE = ");
            stringBuilder2.append(signalStrength.getLevel());
            stringBuilder2.append(" rsrq = ");
            stringBuilder2.append(rsrq);
            stringBuilder2.append(" sinr = ");
            stringBuilder2.append(sinr);
            log(stringBuilder2.toString());
            if (signalStrength.getLevel() >= 2) {
                if (rsrq <= -15 || sinr <= 3) {
                    signal_level = 1;
                } else {
                    signal_level = 0;
                }
            } else if (signalStrength.getLevel() != 1 || rsrq <= -12 || sinr <= 11) {
                signal_level = 2;
            } else {
                signal_level = 1;
            }
        } else {
            log("CellSignalLevel unknown RAT!");
        }
        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
        stringBuilder3.append("signal_level is ");
        stringBuilder3.append(java.lang.String.valueOf(signal_level));
        log(stringBuilder3.toString());
        return signal_level;
    }

    public com.android.server.hidata.channelqoe.HwChannelQoEParmStatistics[] getCHQoEParmStatistics() {
        return (com.android.server.hidata.channelqoe.HwChannelQoEParmStatistics[]) this.mChannelQoEParm.clone();
    }

    public com.android.server.hidata.channelqoe.HwChannelQoEManager.HistoryMseasureInfo getHistoryMseasureInfo(int networkType) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("enter getHistoryMseasureInfo: networkType ");
        stringBuilder.append(java.lang.String.valueOf(networkType));
        log(stringBuilder.toString());
        if (801 == networkType) {
            return this.mCellHistoryMseasureInfo;
        }
        return this.mWifiHistoryMseasureInfo;
    }

    public com.android.server.hidata.channelqoe.HwChannelQoEManager.CurrentSignalState getCurrentSignalState(int networkType, boolean probeRTT, com.android.server.hidata.channelqoe.IChannelQoECallback callback) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("enter getCurrentSignalState: networkType probeRTT  ");
        stringBuilder.append(java.lang.String.valueOf(networkType));
        stringBuilder.append(" ");
        stringBuilder.append(java.lang.String.valueOf(probeRTT));
        log(stringBuilder.toString());
        if (801 == networkType) {
            android.telephony.SignalStrength signalStrength;
            int subId = android.telephony.SubscriptionManager.getDefaultDataSubscriptionId();
            int RAT_class = android.telephony.TelephonyManager.getNetworkClass(this.mTelephonyManager.getNetworkType(subId));
            if (subId == 0) {
                signalStrength = this.mSignalStrengthSim0;
            } else {
                signalStrength = this.mSignalStrengthSim1;
            }
            if (signalStrength == null) {
                return null;
            }
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("getCurrentSignalState RAT is ");
            stringBuilder2.append(java.lang.String.valueOf(RAT_class));
            log(stringBuilder2.toString());
            if (2 == RAT_class) {
                this.mCurrentSignalState.networkType = 2;
                this.mCurrentSignalState.sigPwr = signalStrength.getWcdmaRscp();
                this.mCurrentSignalState.sigSnr = -1;
                this.mCurrentSignalState.sigQual = signalStrength.getWcdmaEcio();
                this.mCurrentSignalState.sigLoad = -1;
            } else if (3 == RAT_class) {
                this.mCurrentSignalState.networkType = 1;
                this.mCurrentSignalState.sigPwr = signalStrength.getLteRsrp();
                this.mCurrentSignalState.sigSnr = signalStrength.getLteRssnr();
                this.mCurrentSignalState.sigQual = signalStrength.getLteRsrq();
                this.mCurrentSignalState.sigLoad = -1;
            } else {
                this.mCurrentSignalState.networkType = -1;
                this.mCurrentSignalState.sigPwr = -1;
                this.mCurrentSignalState.sigSnr = -1;
                this.mCurrentSignalState.sigQual = -1;
                this.mCurrentSignalState.sigLoad = -1;
            }
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("getCurrentSignalState sigPwr = ");
            stringBuilder2.append(this.mCurrentSignalState.sigPwr);
            stringBuilder2.append(" sigSnr = ");
            stringBuilder2.append(this.mCurrentSignalState.sigSnr);
            stringBuilder2.append(" sigQual = ");
            stringBuilder2.append(this.mCurrentSignalState.sigQual);
            stringBuilder2.append(" sigLoad = ");
            stringBuilder2.append(this.mCurrentSignalState.sigLoad);
            log(stringBuilder2.toString());
        } else if (800 == networkType) {
            android.net.wifi.WifiInfo info = ((android.net.wifi.WifiManager) this.mContext.getSystemService("wifi")).getConnectionInfo();
            if (info != null) {
                this.mCurrentSignalState.sigPwr = info.getRssi();
                this.mCurrentSignalState.sigSnr = info.getSnr();
                this.mCurrentSignalState.sigQual = info.getNoise();
                this.mCurrentSignalState.sigLoad = info.getChload();
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("getCurrentSignalState sigPwr = ");
                stringBuilder3.append(this.mCurrentSignalState.sigPwr);
                stringBuilder3.append(" sigSnr = ");
                stringBuilder3.append(this.mCurrentSignalState.sigSnr);
                stringBuilder3.append(" sigQual = ");
                stringBuilder3.append(this.mCurrentSignalState.sigQual);
                stringBuilder3.append(" sigLoad = ");
                stringBuilder3.append(this.mCurrentSignalState.sigLoad);
                log(stringBuilder3.toString());
            }
            this.mCurrentSignalState.networkType = 0;
        }
        if (true == probeRTT) {
            this.mGetCurrentRttFlag = 0;
            queryChannelQuality(-1, -1, networkType, 0, callback);
        }
        return this.mCurrentSignalState;
    }

    public void uploadChannelQoEParmStatistics(long uploadInterval) {
        if (this.mLastUploadTime == 0 || java.lang.System.currentTimeMillis() - this.mLastUploadTime > uploadInterval) {
            try {
                log("enter uploadChannelQoEparamStatistics.");
                android.util.IMonitor.EventStream event_909002054 = android.util.IMonitor.openEventStream(909002054);
                for (int i = 0; i < 2; i++) {
                    int rst;
                    android.util.IMonitor.EventStream event_E909009040 = android.util.IMonitor.openEventStream(909009040);
                    event_E909009040.setParam("NET", this.mChannelQoEParm[i].mNetworkType);
                    android.util.IMonitor.EventStream event_E909009039 = android.util.IMonitor.openEventStream(909009039);
                    for (rst = 0; rst < 10; rst++) {
                        event_E909009039.setParam("LVL", 101 + rst).setParam("CNT", this.mChannelQoEParm[i].mRst.mRst[rst]);
                        event_E909009040.fillArrayParam("RST", event_E909009039);
                    }
                    for (rst = 0; rst < 5; rst++) {
                        event_E909009039.setParam("LVL", 201 + rst).setParam("CNT", this.mChannelQoEParm[i].mSvr.mSvr[rst]);
                        event_E909009040.fillArrayParam("SVR", event_E909009039);
                    }
                    for (rst = 0; rst < 10; rst++) {
                        event_E909009039.setParam("LVL", 301 + rst).setParam("CNT", this.mChannelQoEParm[i].mRtt.mRtt[rst]);
                        event_E909009040.fillArrayParam("RTT", event_E909009039);
                    }
                    for (rst = 0; rst < 10; rst++) {
                        event_E909009039.setParam("LVL", 401 + rst).setParam("CNT", this.mChannelQoEParm[i].mdRtt.reserved[rst]);
                        event_E909009040.fillArrayParam("DRTT", event_E909009039);
                    }
                    for (rst = 0; rst < 10; rst++) {
                        event_E909009039.setParam("LVL", 501 + rst).setParam("CNT", this.mChannelQoEParm[i].mTpt.reserved[rst]);
                        event_E909009040.fillArrayParam("TPT", event_E909009039);
                    }
                    android.util.IMonitor.closeEventStream(event_E909009039);
                    event_909002054.fillArrayParam("CHQOEINFO", event_E909009040);
                    android.util.IMonitor.closeEventStream(event_E909009040);
                }
                android.util.IMonitor.sendEvent(event_909002054);
                android.util.IMonitor.closeEventStream(event_909002054);
                this.mChannelQoEParm[0].reset();
                this.mChannelQoEParm[1].reset();
                this.mLastUploadTime = java.lang.System.currentTimeMillis();
                return;
            } catch (java.lang.RuntimeException e) {
                log("uploadChannelQoEParmStatistics RuntimeException");
                throw e;
            } catch (java.lang.Exception e2) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("uploadChannelQoEparamStatistics exception");
                stringBuilder.append(e2.toString());
                log(stringBuilder.toString());
                return;
            }
        }
        log("uploadChannelQoEParmStatistics: upload condition not allowed.");
    }
}
