package com.android.server.hidata.channelqoe;

public class HwChannelQoEMonitor implements com.android.server.hidata.channelqoe.IChannelQoECallback {
    private static final int MESSAGE_MEASURE = 65280;
    private static final int MESSAGE_START = 65281;
    private static final int MESSAGE_STOP = 65282;
    private static final int MESSAGE_STOP_ALL = 65283;
    private static final int START_DELAY = 10000;
    private static final java.lang.String TAG = "HiDATA_ChannelQoE_Monitor";
    private static final int THRESHOLD_RSSI_JUDGEMENT = 15;
    private static final int WIFI_CHLOAD_THRESHOLD = 200;
    private static final int WIFI_MONITOR_INTERVAL_X = 3000;
    private static final int WIFI_MONITOR_INTERVAL_Y = 60000;
    private static final int WIFI_MONITOR_TIMES = 2;
    private static final int WIFI_QUALITY_BAD = 2;
    private static final int WIFI_QUALITY_GOOD = 1;
    private static final int WIFI_QUALITY_UNKNOW = 3;
    private static final int WIFI_RSSI_THRESHOLD = -65;
    private boolean chipsetWithChload;
    private int judge_chload;
    private int judge_rssi;
    private int lastChload;
    private android.content.BroadcastReceiver mBroadcastReceiver = new com.android.server.hidata.channelqoe.HwChannelQoEMonitor.ChQoeBroadcastReceiver(this, null);
    private java.lang.String mBssid;
    private com.android.server.hidata.channelqoe.HwChannelQoEMonitor mChannelQoEMonitor;
    private int mCounter;
    private int mCursor;
    private java.util.List<com.android.server.hidata.channelqoe.HwChannelQoEAppInfo> mMonitorCallbackList;
    private android.content.Context mMonitorContext;
    private android.os.Handler mMonitorHandler;
    private int preRssi = 0;
    private int sendDelay;

    private class ChQoeBroadcastReceiver extends android.content.BroadcastReceiver {
        private ChQoeBroadcastReceiver() {
        }

        /* synthetic */ ChQoeBroadcastReceiver(com.android.server.hidata.channelqoe.HwChannelQoEMonitor x0, com.android.server.hidata.channelqoe.HwChannelQoEMonitor.AnonymousClass1 x1) {
            this();
        }

        public void onReceive(android.content.Context arg0, android.content.Intent intent) {
            java.lang.String action = intent.getAction();
            com.android.server.hidata.channelqoe.HwChannelQoEMonitor hwChannelQoEMonitor = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("ChQoeBroadcastReceiver receive broadcast: ");
            stringBuilder.append(action);
            hwChannelQoEMonitor.logE(stringBuilder.toString());
            if (!"com.android.server.hidata.arbitration.HwArbitrationStateMachine".equals(action)) {
                com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this.logE("ChQoeBroadcastReceiver receive broadcast: com.android.server.hidata.arbitration.HwArbitrationStateMachine");
            } else if (801 != intent.getIntExtra("MPLinkSuccessNetworkKey", 802)) {
                com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this.logE("network type is not CELL.");
            } else {
                android.net.wifi.WifiInfo info = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this.getWifiInfo();
                if (info == null || -127 == info.getRssi()) {
                    com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this.preRssi = -1;
                    com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this.logE("there is no wifi or invalid value, set preRssi -1.");
                } else {
                    com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this.preRssi = info.getRssi();
                    com.android.server.hidata.channelqoe.HwChannelQoEMonitor hwChannelQoEMonitor2 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("set preRssi ");
                    stringBuilder2.append(com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this.preRssi);
                    hwChannelQoEMonitor2.logE(stringBuilder2.toString());
                }
            }
        }
    }

    public HwChannelQoEMonitor(android.content.Context context) {
        this.mMonitorContext = context;
        this.mChannelQoEMonitor = this;
        this.mMonitorHandler = new android.os.Handler() {
            /* JADX WARNING: Removed duplicated region for block: B:16:0x007d  */
            public void handleMessage(android.os.Message r12) {
                /*
                r11 = this;
                r0 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r1 = new java.lang.StringBuilder;
                r1.<init>();
                r2 = "handleMessage:";
                r1.append(r2);
                r2 = r12.what;
                r2 = java.lang.String.valueOf(r2);
                r1.append(r2);
                r1 = r1.toString();
                r0.logE(r1);
                r0 = r12.what;
                r1 = 65280; // 0xff00 float:9.1477E-41 double:3.22526E-319;
                switch(r0) {
                    case 65280: goto L_0x00be;
                    case 65281: goto L_0x0084;
                    case 65282: goto L_0x004a;
                    case 65283: goto L_0x002e;
                    default: goto L_0x0024;
                };
            L_0x0024:
                r0 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r1 = "unknown message.";
                r0.logE(r1);
                goto L_0x01b9;
            L_0x002e:
                r0 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r0 = r0.mMonitorCallbackList;
                r0 = r0.isEmpty();
                if (r0 != 0) goto L_0x0043;
            L_0x003a:
                r0 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r0 = r0.mMonitorCallbackList;
                r0.clear();
            L_0x0043:
                r0 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r0.stopRunning();
                goto L_0x01b9;
            L_0x004a:
                r0 = r12.arg1;
                r1 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r1 = r1.mMonitorCallbackList;
                r1 = r1.iterator();
            L_0x0056:
                r2 = r1.hasNext();
                if (r2 == 0) goto L_0x0071;
            L_0x005c:
                r2 = r1.next();
                r2 = (com.android.server.hidata.channelqoe.HwChannelQoEAppInfo) r2;
                r3 = r2.mUID;
                if (r3 != r0) goto L_0x0070;
            L_0x0066:
                r1 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r1 = r1.mMonitorCallbackList;
                r1.remove(r2);
                goto L_0x0071;
            L_0x0070:
                goto L_0x0056;
            L_0x0071:
                r1 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r1 = r1.mMonitorCallbackList;
                r1 = r1.isEmpty();
                if (r1 == 0) goto L_0x01b9;
            L_0x007d:
                r1 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r1.stopRunning();
                goto L_0x01b9;
            L_0x0084:
                r0 = r12.obj;
                r0 = (com.android.server.hidata.channelqoe.HwChannelQoEAppInfo) r0;
                r2 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r2 = r2.mMonitorCallbackList;
                r2.add(r0);
                r2 = com.android.server.hidata.channelqoe.HwCHQciManager.getInstance();
                r3 = r0.mQci;
                r2 = r2.getChQciConfig(r3);
                r3 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r4 = r2.mChload;
                r3.judge_chload = r4;
                r3 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r4 = r2.mRssi;
                r3.judge_rssi = r4;
                r3 = r11.hasMessages(r1);
                if (r3 == 0) goto L_0x00b9;
            L_0x00af:
                r1 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r3 = "startMonitor already running.";
                r1.logE(r3);
                goto L_0x01b9;
            L_0x00b9:
                r11.sendEmptyMessage(r1);
                goto L_0x01b9;
            L_0x00be:
                r0 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r0 = r0.getWifiBssid();
                r2 = 3000; // 0xbb8 float:4.204E-42 double:1.482E-320;
                if (r0 != 0) goto L_0x00df;
            L_0x00c8:
                r4 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r5 = "wifi isn't connected, reset good_times and will Re-Measure in 3000 milliseconds";
                r4.logE(r5);
                r4 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r4.resetGoodTimes();
                r4 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r5 = 0;
                r4.mBssid = r5;
                r11.sendEmptyMessageDelayed(r1, r2);
                return;
            L_0x00df:
                r4 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r4 = r4.mBssid;
                if (r4 != 0) goto L_0x00f3;
            L_0x00e7:
                r4 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r5 = "First time or wifi disconnected.";
                r4.logE(r5);
                r4 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r4.mBssid = r0;
            L_0x00f3:
                r4 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r4 = r4.mBssid;
                r4 = r0.equals(r4);
                if (r4 != 0) goto L_0x0110;
            L_0x00ff:
                r4 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r5 = "Bssid is changed. reset good times.";
                r4.logE(r5);
                r4 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r4.mBssid = r0;
                r4 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r4.resetGoodTimes();
            L_0x0110:
                r4 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r4 = r4.getWifiQuality();
                r5 = 1;
                if (r5 != r4) goto L_0x015b;
            L_0x0119:
                r1 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r1 = r1.mMonitorCallbackList;
                r1 = r1.iterator();
            L_0x0123:
                r2 = r1.hasNext();
                if (r2 == 0) goto L_0x0145;
            L_0x0129:
                r2 = r1.next();
                r2 = (com.android.server.hidata.channelqoe.HwChannelQoEAppInfo) r2;
                r5 = com.android.server.hidata.channelqoe.HwChannelQoEManager.getInstance();
                r6 = r2.mUID;
                r7 = r2.mScence;
                r8 = r2.mNetwork;
                r9 = r2.mQci;
                r3 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r10 = r3.mChannelQoEMonitor;
                r5.queryChannelQuality(r6, r7, r8, r9, r10);
                goto L_0x0123;
            L_0x0145:
                r1 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r2 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r2 = r2.mMonitorCallbackList;
                r2 = r2.size();
                r1.mCounter = r2;
                r1 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r2 = 0;
                r1.mCursor = r2;
                goto L_0x01b9;
            L_0x015b:
                r5 = 2;
                r6 = 3000; // 0xbb8 float:4.204E-42 double:1.482E-320;
                if (r5 != r4) goto L_0x0189;
            L_0x0160:
                r5 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r7 = new java.lang.StringBuilder;
                r7.<init>();
                r8 = "wifi quality bad. reset good times and will Re-Measure in ";
                r7.append(r8);
                r6 = java.lang.String.valueOf(r6);
                r7.append(r6);
                r6 = " milliseconds";
                r7.append(r6);
                r6 = r7.toString();
                r5.logE(r6);
                r5 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r5.resetGoodTimes();
                r11.sendEmptyMessageDelayed(r1, r2);
                goto L_0x01b9;
            L_0x0189:
                r5 = 3;
                if (r5 != r4) goto L_0x01b0;
            L_0x018c:
                r5 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r7 = new java.lang.StringBuilder;
                r7.<init>();
                r8 = "wifi quality WIFI_QUALITY_UNKNOW, will Re-Measure in ";
                r7.append(r8);
                r6 = java.lang.String.valueOf(r6);
                r7.append(r6);
                r6 = " milliseconds";
                r7.append(r6);
                r6 = r7.toString();
                r5.logE(r6);
                r11.sendEmptyMessageDelayed(r1, r2);
                goto L_0x01b9;
            L_0x01b0:
                r1 = com.android.server.hidata.channelqoe.HwChannelQoEMonitor.this;
                r2 = "there is no wifi network available.";
                r1.logE(r2);
                return;
            L_0x01b9:
                return;
                */
                throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.channelqoe.HwChannelQoEMonitor.1.handleMessage(android.os.Message):void");
            }
        };
        this.mMonitorCallbackList = new java.util.ArrayList();
        this.sendDelay = 60000;
        this.mBssid = null;
        this.lastChload = -1;
        this.judge_chload = 200;
        this.judge_rssi = -65;
        logE("new HwChannelQoEMonitor.");
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WIFI_CHLOAD_THRESHOLD:");
        stringBuilder.append(java.lang.String.valueOf(200));
        logE(stringBuilder.toString());
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("WIFI_RSSI_THRESHOLD:");
        stringBuilder2.append(java.lang.String.valueOf(-65));
        logE(stringBuilder2.toString());
        stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("START_DELAY");
        stringBuilder2.append(java.lang.String.valueOf(10000));
        logE(stringBuilder2.toString());
        stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("WIFI_MONITOR_TIMES");
        stringBuilder2.append(java.lang.String.valueOf(2));
        logE(stringBuilder2.toString());
        this.chipsetWithChload = isChipHasChload();
        android.content.IntentFilter intentFilter = new android.content.IntentFilter();
        intentFilter.addAction("com.android.server.hidata.arbitration.HwArbitrationStateMachine");
        this.mMonitorContext.registerReceiver(this.mBroadcastReceiver, intentFilter, "com.huawei.hidata.permission.MPLINK_START_CHECK", null);
    }

    private boolean alreadyExist(int UID) {
        if (this.mMonitorCallbackList.isEmpty()) {
            return false;
        }
        for (com.android.server.hidata.channelqoe.HwChannelQoEAppInfo appInfo : this.mMonitorCallbackList) {
            if (appInfo.mUID == UID) {
                return true;
            }
        }
        return false;
    }

    public void startMonitor(com.android.server.hidata.channelqoe.HwChannelQoEAppInfo appQoeInfo) {
        if (alreadyExist(appQoeInfo.mUID)) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("startMonitor alreadyExist: ");
            stringBuilder.append(java.lang.String.valueOf(appQoeInfo.mUID));
            logE(stringBuilder.toString());
            return;
        }
        android.os.Message msg = android.os.Message.obtain();
        msg.what = 65281;
        msg.obj = appQoeInfo;
        this.mMonitorHandler.sendMessageDelayed(msg, 10000);
        logE("startMonitor will start in 10000 milliseconds.");
    }

    public void stopMonitor(int UID) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("stopMonitor: ");
        stringBuilder.append(java.lang.String.valueOf(UID));
        logE(stringBuilder.toString());
        android.os.Message msg = android.os.Message.obtain();
        msg.what = 65282;
        msg.arg1 = UID;
        this.mMonitorHandler.sendMessage(msg);
    }

    public void stopAll() {
        logE("stopAll");
        this.mMonitorHandler.sendEmptyMessage(65283);
    }

    private void stopRunning() {
        logE("stopRunning");
        this.lastChload = -1;
        this.judge_chload = 200;
        this.judge_rssi = -65;
        this.mMonitorHandler.removeMessages(65280);
        this.mMonitorHandler.removeMessages(65281);
    }

    private java.lang.String getWifiBssid() {
        android.net.wifi.WifiManager mWManager = (android.net.wifi.WifiManager) this.mMonitorContext.getSystemService("wifi");
        if (mWManager == null) {
            logE("can't find wifi manager.");
            return null;
        }
        android.net.wifi.WifiInfo info = mWManager.getConnectionInfo();
        if (info != null) {
            return info.getBSSID();
        }
        logE("there is no wifi connected.");
        return null;
    }

    private int getWifiQuality() {
        if (this.chipsetWithChload) {
            return judgeWithChload();
        }
        return judgeWithoutChload();
    }

    private int judgeWithoutChload() {
        android.net.wifi.WifiInfo wifiInfo = getWifiInfo();
        if (wifiInfo == null) {
            logE("judgeWithoutChload get null Wifi Info.");
            return -1;
        }
        int currentRssi = wifiInfo.getRssi();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("current rssi ");
        stringBuilder.append(currentRssi);
        logE(stringBuilder.toString());
        if ((this.preRssi >= this.judge_rssi || currentRssi < this.judge_rssi) && (this.preRssi < this.judge_rssi || currentRssi - this.preRssi < 15)) {
            logE("judgeWithoutChload return bad.");
            return 2;
        }
        logE("judgeWithoutChload return good.");
        return 1;
    }

    private int judgeWithChload() {
        android.net.wifi.WifiInfo info = getWifiInfo();
        if (info == null) {
            logE("judgeWithChload: there is no wifi connected.");
            return -1;
        }
        int rssi = info.getRssi();
        int chload = info.getChload();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("judgeWithChload. RSSI is ");
        stringBuilder.append(java.lang.String.valueOf(rssi));
        logE(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("judgeWithChload. CHLoad is ");
        stringBuilder.append(java.lang.String.valueOf(chload));
        logE(stringBuilder.toString());
        if (-1 != chload) {
            this.lastChload = chload;
        } else if (this.lastChload == -1) {
            logE("last time the chload is also -1.");
            return 3;
        } else {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("last time the chload is not -1. last is ");
            stringBuilder2.append(this.lastChload);
            logE(stringBuilder2.toString());
            chload = this.lastChload;
        }
        if (rssi < this.judge_rssi || chload > this.judge_chload) {
            return 2;
        }
        return 1;
    }

    private android.net.wifi.WifiInfo getWifiInfo() {
        android.net.wifi.WifiManager mWManager = (android.net.wifi.WifiManager) this.mMonitorContext.getSystemService("wifi");
        if (mWManager == null) {
            logE("getWifiInfo: can't find wifi manager.");
            return null;
        }
        android.net.wifi.WifiInfo info = mWManager.getConnectionInfo();
        if (info != null) {
            return info;
        }
        logE("getWifiInfo: there is no wifi connected.");
        return null;
    }

    private void logE(java.lang.String info) {
        android.util.Log.e("HiDATA_ChannelQoE_Monitor", info);
    }

    public void onChannelQuality(int UID, int sense, int network, int label) {
        this.mCursor++;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onChannelQuality enter. ");
        stringBuilder.append(java.lang.String.valueOf(this.mCursor));
        logE(stringBuilder.toString());
        for (com.android.server.hidata.channelqoe.HwChannelQoEAppInfo appInfo : this.mMonitorCallbackList) {
            if (appInfo.mUID == UID) {
                if (label == 0) {
                    appInfo.good_times++;
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append(java.lang.String.valueOf(appInfo.mUID));
                    stringBuilder2.append(" good times is ");
                    stringBuilder2.append(java.lang.String.valueOf(appInfo.good_times));
                    logE(stringBuilder2.toString());
                    if (appInfo.good_times > 2) {
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("3 times for good measure. will stop monitor for UID:");
                        stringBuilder2.append(UID);
                        logE(stringBuilder2.toString());
                        appInfo.callback.onWifiLinkQuality(appInfo.mUID, appInfo.mScence, 0);
                        stopMonitor(UID);
                    }
                    logE("set delay time to 3 sec.");
                    this.sendDelay = 3000;
                } else {
                    logE("wifi rtt result is bad, anyway set good times to 0.");
                    appInfo.good_times = 0;
                    this.sendDelay = 60000;
                }
            }
        }
        if (this.mCounter == this.mCursor) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("all done, will Re-Measure in ");
            stringBuilder.append(this.sendDelay);
            stringBuilder.append(" milliseconds");
            logE(stringBuilder.toString());
            this.mMonitorHandler.sendEmptyMessageDelayed(65280, (long) this.sendDelay);
            this.sendDelay = 60000;
        }
    }

    public void onWifiLinkQuality(int UID, int sense, int label) {
    }

    public void onCellPSAvailable(boolean isOK, int reason) {
    }

    public void onCurrentRtt(int rtt) {
    }

    private void resetGoodTimes() {
        for (com.android.server.hidata.channelqoe.HwChannelQoEAppInfo info : this.mMonitorCallbackList) {
            info.good_times = 0;
        }
    }

    private boolean isChipHasChload() {
        java.lang.String chipset = android.os.SystemProperties.get("ro.connectivity.sub_chiptype", "none");
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isChipHasChload, chipset = ");
        stringBuilder.append(chipset);
        logE(stringBuilder.toString());
        if (chipset == null || !chipset.contains("1103")) {
            return false;
        }
        return true;
    }
}
