package com.android.server.hidata.hicure;

public class DnsHiCureEngine extends com.android.internal.util.StateMachine {
    private static final java.lang.String CHR_BROADCAST_PERMISSION = "com.huawei.android.permission.GET_CHR_DATA";
    private static final int DELAY_TIME = 1000;
    private static final int DNS_FAILED_THRESHOLD = 2;
    public static final java.lang.String DNS_MONITOR_FLAG = "hw.hicure.dns_fail_count";
    private static final java.lang.String DORECOVERY_FLAG = "radio.data.stall.recovery.action";
    private static final int EVENT_DATA_CONNECTED = 102;
    private static final int EVENT_DATA_DISCONNECTED = 101;
    private static final int EVENT_DNS_HICURE = 104;
    private static final int EVENT_DNS_MONITOR = 103;
    private static final java.lang.String EVENT_DNS_MONITOR_ACTION = "telephony.dataconnection.DNS_MONITOR_ACTION";
    private static final int EVENT_DNS_PUNISH = 108;
    private static final java.lang.String EVENT_DNS_PUNISH_ACTION = "telephony.dataconnection.DNS_PUNISH_ACTION";
    private static final int EVENT_DNS_SET_BACK = 107;
    private static final int EVENT_DNS_SET_COMPLETE = 106;
    private static final int EVENT_PRIVATE_DNS_SETTINGS_CHANGED = 109;
    private static final int EVENT_SET_DNS = 105;
    private static final java.lang.String[] GlobalDns = new java.lang.String[]{"8.8.8.8", "208.67.222.222"};
    private static final java.lang.String[] GlobalDomain = new java.lang.String[]{"www.google.com", "www.youtube.com"};
    private static final java.lang.String[] HomeDns = new java.lang.String[]{"180.76.76.76", "223.5.5.5"};
    private static final java.lang.String[] HomeDomain = new java.lang.String[]{"www.baidu.com", "www.youku.com"};
    private static final java.lang.String INTENT_DS_DNS_HICURE_RESULT = "com.android.intent.action.dns_hicure_result";
    private static final int ITERATION_TIME = 6000;
    private static final int PUNISH_TIME = 21600000;
    private static final java.lang.String TAG = "DnsHiCureEngine";
    private static final int WAIT_TIME = 6000;
    private static com.android.server.hidata.hicure.DnsHiCureEngine mDnsHiCureEngine = null;
    private static final java.lang.String[] mDnsWhiteList = new java.lang.String[]{"10.8.2.1", "10.8.2.2"};
    private java.util.List<java.net.InetAddress> NetDns = new java.util.ArrayList();
    private java.lang.String[] cellDnses = new java.lang.String[2];
    private boolean dnsSetPunishFlag = false;
    private java.lang.String[] dnses = new java.lang.String[4];
    private java.lang.String[] domains = new java.lang.String[2];
    private boolean dsFlag = false;
    android.telephony.PhoneStateListener listenerSim0 = new android.telephony.PhoneStateListener(java.lang.Integer.valueOf(0)) {
        public void onSignalStrengthsChanged(android.telephony.SignalStrength signalStrength) {
            com.android.server.hidata.hicure.DnsHiCureEngine.this.mSignalStrengthSim0 = signalStrength;
        }

        public void onServiceStateChanged(android.telephony.ServiceState state) {
            com.android.server.hidata.hicure.DnsHiCureEngine.this.mServiceState0 = state;
        }
    };
    android.telephony.PhoneStateListener listenerSim1 = new android.telephony.PhoneStateListener(java.lang.Integer.valueOf(1)) {
        public void onSignalStrengthsChanged(android.telephony.SignalStrength signalStrength) {
            com.android.server.hidata.hicure.DnsHiCureEngine.this.mSignalStrengthSim1 = signalStrength;
        }

        public void onServiceStateChanged(android.telephony.ServiceState state) {
            com.android.server.hidata.hicure.DnsHiCureEngine.this.mServiceState1 = state;
        }
    };
    private final android.content.ContentResolver mContentResolver;
    private android.content.Context mContext;
    private com.android.internal.util.State mDefaultState;
    private android.os.Handler mHandler;
    private com.android.internal.util.State mHiCureState;
    private android.net.LinkProperties mLinkProperties = new android.net.LinkProperties();
    private com.android.internal.util.State mMonitoredState;
    private int mNetId;
    private android.telephony.ServiceState mServiceState0 = null;
    private android.telephony.ServiceState mServiceState1 = null;
    private final com.android.internal.telephony.SettingsObserver mSettingsObserver;
    private android.telephony.SignalStrength mSignalStrengthSim0 = null;
    private android.telephony.SignalStrength mSignalStrengthSim1 = null;
    private android.telephony.TelephonyManager mTelephonyManager;
    private com.android.internal.util.State mUnmonitoredState;
    private java.lang.String[] publicDns = new java.lang.String[2];
    private boolean publicDnsFlag = false;
    private boolean useHostname = false;

    class DefaultState extends com.android.internal.util.State {
        DefaultState() {
        }

        public boolean processMessage(android.os.Message message) {
            int i = message.what;
            com.android.server.hidata.hicure.DnsHiCureEngine dnsHiCureEngine = com.android.server.hidata.hicure.DnsHiCureEngine.this;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("DefaultState: ");
            stringBuilder.append(message.what);
            dnsHiCureEngine.log(stringBuilder.toString());
            return true;
        }
    }

    class HiCureState extends com.android.internal.util.State {
        HiCureState() {
        }

        public void enter() {
            com.android.server.hidata.hicure.DnsHiCureEngine.this.log("HiCureState start");
            if (true == com.android.server.hidata.hicure.DnsHiCureEngine.this.publicDnsFlag) {
                com.android.server.hidata.hicure.DnsHiCureEngine.this.sendMessage(107);
            } else {
                com.android.server.hidata.hicure.DnsHiCureEngine.this.sendMessage(105);
            }
        }

        public boolean processMessage(android.os.Message message) {
            int i = message.what;
            if (i == 101) {
                com.android.server.hidata.hicure.DnsHiCureEngine.this.log("mHiCureState processMessage EVENT_DATA_DISCONNECTED");
                com.android.server.hidata.hicure.DnsHiCureEngine.this.transitionTo(com.android.server.hidata.hicure.DnsHiCureEngine.this.mUnmonitoredState);
                return true;
            } else if (i != 109) {
                switch (i) {
                    case 105:
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.log("mHiCureState processMessage EVENT_SET_DNS");
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.dnses[0] = com.android.server.hidata.hicure.DnsHiCureEngine.this.publicDns[0];
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.dnses[1] = com.android.server.hidata.hicure.DnsHiCureEngine.this.cellDnses[0];
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.dnses[2] = com.android.server.hidata.hicure.DnsHiCureEngine.this.publicDns[1];
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.dnses[3] = com.android.server.hidata.hicure.DnsHiCureEngine.this.cellDnses[1];
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.setDns(com.android.server.hidata.hicure.DnsHiCureEngine.this.dnses, com.android.server.hidata.hicure.DnsHiCureEngine.this.mLinkProperties, com.android.server.hidata.hicure.DnsHiCureEngine.this.mNetId);
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.publicDnsFlag = true;
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.sendMessageDelayed(106, 1000);
                        return true;
                    case 106:
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.log("mHiCureState processMessage EVENT_DNS_SET_COMPLETE");
                        if (true == com.android.server.hidata.hicure.DnsHiCureEngine.this.isAddressReachable(com.android.server.hidata.hicure.DnsHiCureEngine.this.domains, 6000, com.android.server.hidata.hicure.DnsHiCureEngine.this.mNetId)) {
                            com.android.server.hidata.hicure.DnsHiCureEngine.this.notifyChrDnsHiCureResult(com.android.server.hidata.hicure.DnsHiCureEngine.this.cellDnses[0], com.android.server.hidata.hicure.DnsHiCureEngine.this.cellDnses[1], true);
                            com.android.server.hidata.hicure.DnsHiCureEngine.this.transitionTo(com.android.server.hidata.hicure.DnsHiCureEngine.this.mMonitoredState);
                            return true;
                        }
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.notifyChrDnsHiCureResult(com.android.server.hidata.hicure.DnsHiCureEngine.this.cellDnses[0], com.android.server.hidata.hicure.DnsHiCureEngine.this.cellDnses[1], false);
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.sendMessage(107);
                        return true;
                    case 107:
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.log("mHiCureState processMessage EVENT_DNS_SET_BACK");
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.dnses[0] = com.android.server.hidata.hicure.DnsHiCureEngine.this.cellDnses[0];
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.dnses[1] = com.android.server.hidata.hicure.DnsHiCureEngine.this.cellDnses[1];
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.setDns(com.android.server.hidata.hicure.DnsHiCureEngine.this.dnses, com.android.server.hidata.hicure.DnsHiCureEngine.this.mLinkProperties, com.android.server.hidata.hicure.DnsHiCureEngine.this.mNetId);
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.publicDnsFlag = true;
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.dnsSetPunishFlag = true;
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.transitionTo(com.android.server.hidata.hicure.DnsHiCureEngine.this.mUnmonitoredState);
                        return true;
                    default:
                        com.android.server.hidata.hicure.DnsHiCureEngine dnsHiCureEngine = com.android.server.hidata.hicure.DnsHiCureEngine.this;
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("mHiCureState: default message.what=");
                        stringBuilder.append(message.what);
                        dnsHiCureEngine.log(stringBuilder.toString());
                        return false;
                }
            } else {
                com.android.server.hidata.hicure.DnsHiCureEngine.this.log("mHiCureState processMessage EVENT_PRIVATE_DNS_SETTINGS_CHANGED");
                com.android.server.hidata.hicure.DnsHiCureEngine.this.updataprivateDNScfg();
                if (true != com.android.server.hidata.hicure.DnsHiCureEngine.this.useHostname) {
                    return true;
                }
                com.android.server.hidata.hicure.DnsHiCureEngine.this.transitionTo(com.android.server.hidata.hicure.DnsHiCureEngine.this.mUnmonitoredState);
                return true;
            }
        }
    }

    class MonitoredState extends com.android.internal.util.State {
        android.content.Intent intent = new android.content.Intent("telephony.dataconnection.DNS_MONITOR_ACTION").setPackage(com.android.server.hidata.hicure.DnsHiCureEngine.this.mContext.getPackageName());
        android.app.AlarmManager mAlarmManager = ((android.app.AlarmManager) com.android.server.hidata.hicure.DnsHiCureEngine.this.mContext.getSystemService("alarm"));
        private int mCurrDnsFailedCounter;
        android.app.PendingIntent mDnsAlarmIntent = android.app.PendingIntent.getBroadcast(com.android.server.hidata.hicure.DnsHiCureEngine.this.mContext, 0, this.intent, 134217728);
        private int mLastDnsFailedCounter;

        MonitoredState() {
        }

        public void enter() {
            com.android.server.hidata.hicure.DnsHiCureEngine.this.log("MonitoredState start");
            this.mLastDnsFailedCounter = getCurrentDnsFailedCounter();
            this.mAlarmManager.set(3, android.os.SystemClock.elapsedRealtime() + 6000, this.mDnsAlarmIntent);
            com.android.server.hidata.hicure.DnsHiCureEngine.this.publicDns = com.android.server.hidata.hicure.DnsHiCureEngine.GlobalDns;
            com.android.server.hidata.hicure.DnsHiCureEngine.this.domains = com.android.server.hidata.hicure.DnsHiCureEngine.GlobalDomain;
            if (com.android.server.hidata.hicure.DnsHiCureEngine.this.mTelephonyManager == null) {
                com.android.server.hidata.hicure.DnsHiCureEngine.this.log("getSimOperator: mTelephonyManager is null, return!");
                return;
            }
            if (com.android.server.hidata.hicure.DnsHiCureEngine.this.mTelephonyManager.getSimOperator().startsWith("460")) {
                com.android.server.hidata.hicure.DnsHiCureEngine.this.publicDns = com.android.server.hidata.hicure.DnsHiCureEngine.HomeDns;
                com.android.server.hidata.hicure.DnsHiCureEngine.this.domains = com.android.server.hidata.hicure.DnsHiCureEngine.HomeDomain;
            }
        }

        public boolean processMessage(android.os.Message message) {
            int i = message.what;
            if (i == 101) {
                com.android.server.hidata.hicure.DnsHiCureEngine.this.log("mMonitoredState processMessage EVENT_DATA_DISCONNECTED");
                com.android.server.hidata.hicure.DnsHiCureEngine.this.transitionTo(com.android.server.hidata.hicure.DnsHiCureEngine.this.mUnmonitoredState);
                return true;
            } else if (i != 109) {
                switch (i) {
                    case 103:
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.log("mMonitoredState processMessage EVENT_DNS_MONITOR");
                        dnsMonitor();
                        return true;
                    case 104:
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.log("mMonitoredState processMessage EVENT_DNS_HICURE");
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.transitionTo(com.android.server.hidata.hicure.DnsHiCureEngine.this.mHiCureState);
                        return true;
                    default:
                        com.android.server.hidata.hicure.DnsHiCureEngine dnsHiCureEngine = com.android.server.hidata.hicure.DnsHiCureEngine.this;
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("mMonitoredState: default message.what=");
                        stringBuilder.append(message.what);
                        dnsHiCureEngine.log(stringBuilder.toString());
                        return false;
                }
            } else {
                com.android.server.hidata.hicure.DnsHiCureEngine.this.log("mMonitoredState processMessage EVENT_PRIVATE_DNS_SETTINGS_CHANGED");
                com.android.server.hidata.hicure.DnsHiCureEngine.this.updataprivateDNScfg();
                if (!com.android.server.hidata.hicure.DnsHiCureEngine.this.useHostname) {
                    return true;
                }
                com.android.server.hidata.hicure.DnsHiCureEngine.this.transitionTo(com.android.server.hidata.hicure.DnsHiCureEngine.this.mUnmonitoredState);
                return true;
            }
        }

        public void exit() {
            this.mAlarmManager.cancel(this.mDnsAlarmIntent);
        }

        public void dnsMonitor() {
            this.mCurrDnsFailedCounter = getCurrentDnsFailedCounter();
            int deltaFailedDns = this.mCurrDnsFailedCounter - this.mLastDnsFailedCounter;
            this.mLastDnsFailedCounter = this.mCurrDnsFailedCounter;
            com.android.server.hidata.hicure.DnsHiCureEngine dnsHiCureEngine = com.android.server.hidata.hicure.DnsHiCureEngine.this;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("deltaFailedDns = ");
            stringBuilder.append(deltaFailedDns);
            dnsHiCureEngine.log(stringBuilder.toString());
            if (deltaFailedDns < 2 || !com.android.server.hidata.hicure.DnsHiCureEngine.this.isDnsCureSuitable() || com.android.server.hidata.hicure.DnsHiCureEngine.this.isAddressReachable(com.android.server.hidata.hicure.DnsHiCureEngine.this.domains, 6000, com.android.server.hidata.hicure.DnsHiCureEngine.this.mNetId) || com.android.server.hidata.hicure.DnsHiCureEngine.this.isRecoveryAction()) {
                this.mAlarmManager.set(3, android.os.SystemClock.elapsedRealtime() + 6000, this.mDnsAlarmIntent);
                return;
            }
            com.android.server.hidata.hicure.DnsHiCureEngine.this.log("isAddressReachable? no. SendMessage(EVENT_DNS_HICURE)");
            com.android.server.hidata.hicure.DnsHiCureEngine.this.sendMessage(104);
        }

        public int getCurrentDnsFailedCounter() {
            try {
                return java.lang.Integer.parseInt(android.os.SystemProperties.get("hw.hicure.dns_fail_count", "0"));
            } catch (java.lang.NumberFormatException e) {
                com.android.server.hidata.hicure.DnsHiCureEngine.this.loge("NumberFormatException");
                return 0;
            }
        }
    }

    class UnmonitoredState extends com.android.internal.util.State {
        android.content.Intent intent = new android.content.Intent("telephony.dataconnection.DNS_PUNISH_ACTION").setPackage(com.android.server.hidata.hicure.DnsHiCureEngine.this.mContext.getPackageName());
        android.app.AlarmManager mAlarmManager = ((android.app.AlarmManager) com.android.server.hidata.hicure.DnsHiCureEngine.this.mContext.getSystemService("alarm"));
        android.app.PendingIntent mDnsAlarmIntent = android.app.PendingIntent.getBroadcast(com.android.server.hidata.hicure.DnsHiCureEngine.this.mContext, 0, this.intent, 134217728);

        UnmonitoredState() {
        }

        public void enter() {
            com.android.server.hidata.hicure.DnsHiCureEngine.this.log("UnmonitoredState start");
            com.android.server.hidata.hicure.DnsHiCureEngine.this.updataprivateDNScfg();
            if (com.android.server.hidata.hicure.DnsHiCureEngine.this.dnsSetPunishFlag) {
                this.mAlarmManager.set(3, android.os.SystemClock.elapsedRealtime() + 21600000, this.mDnsAlarmIntent);
            }
        }

        public boolean processMessage(android.os.Message message) {
            int i = message.what;
            if (i != 102) {
                switch (i) {
                    case 108:
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.log("mUnmonitoredState processMessagedefault EVENT_DNS_PUNISH");
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.dnsSetPunishFlag = false;
                        judgeTransition();
                        return true;
                    case 109:
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.log("mUnmonitoredState processMessage EVENT_PRIVATE_DNS_SETTINGS_CHANGED");
                        com.android.server.hidata.hicure.DnsHiCureEngine.this.updataprivateDNScfg();
                        judgeTransition();
                        return true;
                    default:
                        com.android.server.hidata.hicure.DnsHiCureEngine dnsHiCureEngine = com.android.server.hidata.hicure.DnsHiCureEngine.this;
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("mUnmonitoredState: default message.what=");
                        stringBuilder.append(message.what);
                        dnsHiCureEngine.log(stringBuilder.toString());
                        return false;
                }
            }
            com.android.server.hidata.hicure.DnsHiCureEngine.this.log("mUnmonitoredState processMessage EVENT_DATA_CONNECTED");
            judgeTransition();
            return true;
        }

        private void judgeTransition() {
            if (!com.android.server.hidata.hicure.DnsHiCureEngine.this.useHostname && true == com.android.server.hidata.hicure.DnsHiCureEngine.this.dsFlag && !com.android.server.hidata.hicure.DnsHiCureEngine.this.dnsSetPunishFlag) {
                com.android.server.hidata.hicure.DnsHiCureEngine.this.transitionTo(com.android.server.hidata.hicure.DnsHiCureEngine.this.mMonitoredState);
            }
        }
    }

    public static synchronized com.android.server.hidata.hicure.DnsHiCureEngine getInstance(android.content.Context context) {
        com.android.server.hidata.hicure.DnsHiCureEngine dnsHiCureEngine;
        synchronized (com.android.server.hidata.hicure.DnsHiCureEngine.class) {
            if (mDnsHiCureEngine == null) {
                mDnsHiCureEngine = new com.android.server.hidata.hicure.DnsHiCureEngine(context);
            }
            dnsHiCureEngine = mDnsHiCureEngine;
        }
        return dnsHiCureEngine;
    }

    public static synchronized com.android.server.hidata.hicure.DnsHiCureEngine getInstance() {
        com.android.server.hidata.hicure.DnsHiCureEngine dnsHiCureEngine;
        synchronized (com.android.server.hidata.hicure.DnsHiCureEngine.class) {
            dnsHiCureEngine = mDnsHiCureEngine;
        }
        return dnsHiCureEngine;
    }

    private DnsHiCureEngine(android.content.Context context) {
        super("DnsHiCureEngine");
        this.mContext = context;
        this.mContentResolver = this.mContext.getContentResolver();
        this.mTelephonyManager = (android.telephony.TelephonyManager) this.mContext.getSystemService("phone");
        registerListener();
        this.mMonitoredState = new com.android.server.hidata.hicure.DnsHiCureEngine.MonitoredState();
        this.mUnmonitoredState = new com.android.server.hidata.hicure.DnsHiCureEngine.UnmonitoredState();
        this.mHiCureState = new com.android.server.hidata.hicure.DnsHiCureEngine.HiCureState();
        this.mDefaultState = new com.android.server.hidata.hicure.DnsHiCureEngine.DefaultState();
        this.mHandler = getHandler();
        this.mSettingsObserver = new com.android.internal.telephony.SettingsObserver(this.mContext, this.mHandler);
        registerPrivateDnsSettingsCallbacks();
        registerReceivers();
        addState(this.mDefaultState);
        addState(this.mMonitoredState, this.mDefaultState);
        addState(this.mUnmonitoredState, this.mDefaultState);
        addState(this.mHiCureState, this.mDefaultState);
        setInitialState(this.mUnmonitoredState);
        start();
        log("DnsHiCureEngine start!");
    }

    private void registerPrivateDnsSettingsCallbacks() {
        this.mSettingsObserver.observe(android.provider.Settings.Global.getUriFor("private_dns_mode"), 109);
    }

    private void registerReceivers() {
        android.content.IntentFilter intentFilter = new android.content.IntentFilter();
        intentFilter.addAction("telephony.dataconnection.DNS_MONITOR_ACTION");
        intentFilter.addAction("telephony.dataconnection.DNS_PUNISH_ACTION");
        this.mContext.registerReceiver(new android.content.BroadcastReceiver() {
            public void onReceive(android.content.Context context, android.content.Intent intent) {
                com.android.server.hidata.hicure.DnsHiCureEngine dnsHiCureEngine = com.android.server.hidata.hicure.DnsHiCureEngine.this;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("onReceive: ");
                stringBuilder.append(intent.getAction());
                dnsHiCureEngine.log(stringBuilder.toString());
                if ("telephony.dataconnection.DNS_MONITOR_ACTION".equals(intent.getAction())) {
                    com.android.server.hidata.hicure.DnsHiCureEngine.this.sendMessage(103);
                } else if ("telephony.dataconnection.DNS_PUNISH_ACTION".equals(intent.getAction())) {
                    com.android.server.hidata.hicure.DnsHiCureEngine.this.sendMessage(108);
                }
            }
        }, intentFilter);
    }

    private void registerListener() {
        this.mTelephonyManager.listen(this.listenerSim0, 257);
        this.mTelephonyManager.listen(this.listenerSim1, 257);
    }

    private boolean isDnsCureSuitable() {
        int subId = android.telephony.SubscriptionManager.getDefaultDataSubscriptionId();
        boolean signalPoor = isSignalPoor(subId);
        boolean dataServiceIn = isDataServiceIn(subId);
        boolean isWhiteDns = isOneInWhiteList();
        boolean notCallState = isNotCalling();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isDnsCureSuitable ");
        stringBuilder.append(signalPoor);
        stringBuilder.append(",");
        stringBuilder.append(dataServiceIn);
        stringBuilder.append(",");
        stringBuilder.append(isWhiteDns);
        stringBuilder.append(",");
        stringBuilder.append(notCallState);
        log(stringBuilder.toString());
        return !signalPoor && dataServiceIn && !isWhiteDns && notCallState;
    }

    private boolean isSignalPoor(int subId) {
        android.telephony.SignalStrength signalStrength;
        boolean ret = true;
        int RAT_class = android.telephony.TelephonyManager.getNetworkClass(this.mTelephonyManager.getNetworkType(subId));
        if (subId == 0) {
            signalStrength = this.mSignalStrengthSim0;
        } else {
            signalStrength = this.mSignalStrengthSim1;
        }
        if (signalStrength == null) {
            log("signalStrength is null");
            return true;
        }
        if (1 != RAT_class && signalStrength.getLevel() >= 2) {
            ret = false;
        }
        return ret;
    }

    private boolean isDataServiceIn(int subId) {
        android.telephony.ServiceState serviceState;
        boolean ret = false;
        if (subId == 0) {
            serviceState = this.mServiceState0;
        } else {
            serviceState = this.mServiceState1;
        }
        if (serviceState == null) {
            log("serviceState is null");
            return false;
        }
        if (serviceState.getDataRegState() == 0) {
            ret = true;
        }
        return ret;
    }

    private boolean isNotCalling() {
        int callState0 = this.mTelephonyManager.getCallState(0);
        int callState1 = this.mTelephonyManager.getCallState(1);
        if (callState0 == 0 && callState1 == 0) {
            return true;
        }
        return false;
    }

    private boolean isOneInWhiteList() {
        if (!isDnsInWhiteList(this.cellDnses[0])) {
            if (!isDnsInWhiteList(this.cellDnses[1])) {
                return false;
            }
        }
        return true;
    }

    private boolean isDnsInWhiteList(java.lang.String dns) {
        for (java.lang.String wDns : mDnsWhiteList) {
            if (wDns.equals(dns)) {
                return true;
            }
        }
        return false;
    }

    private boolean isAddressReachable(java.lang.String[] domain, int time, int netid) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isAddressReachable starttime:");
        stringBuilder.append(android.os.SystemClock.elapsedRealtime());
        log(stringBuilder.toString());
        return new com.android.server.hidata.hicure.DnsProbe(time, netid).isDnsAvailable(domain);
    }

    private void setDns(java.lang.String[] ndnses, android.net.LinkProperties lp, int netid) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setdns:publicDnsFlag=");
        stringBuilder.append(this.publicDnsFlag);
        log(stringBuilder.toString());
        java.util.Collection<java.net.InetAddress> newdnses = new java.util.ArrayList();
        for (java.lang.String dnsAddr : ndnses) {
            java.lang.String dnsAddr2;
            if (dnsAddr2 != null) {
                if (!dnsAddr2.isEmpty()) {
                    dnsAddr2 = dnsAddr2.trim();
                    try {
                        java.net.InetAddress ia = android.net.NetworkUtils.numericToInetAddress(dnsAddr2);
                        if (!ia.isAnyLocalAddress()) {
                            newdnses.add(ia);
                        }
                    } catch (java.lang.IllegalArgumentException e) {
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("Non-numeric dns addr=");
                        stringBuilder2.append(dnsAddr2);
                        log(stringBuilder2.toString());
                    }
                }
            }
        }
        if (lp != null) {
            lp.setDnsServers(newdnses);
            setDnsConfigurationForNetwork(netid, lp, false);
        }
    }

    private void setDnsConfigurationForNetwork(int netid, android.net.LinkProperties newlinkproperties, boolean isdefaultnetwork) {
        try {
            ((com.android.server.ConnectivityService) android.os.ServiceManager.getService("connectivity")).getDnsManager().setDnsConfigurationForNetwork(netid, newlinkproperties, isdefaultnetwork);
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Exception in setDnsConfigurationForNetwork: ");
            stringBuilder.append(e);
            loge(stringBuilder.toString());
        }
    }

    private boolean isRecoveryAction() {
        int action = 0;
        try {
            action = android.provider.Settings.System.getInt(this.mContentResolver, "radio.data.stall.recovery.action");
        } catch (android.provider.Settings.SettingNotFoundException e) {
            log("Settings Exception Reading Dorecovery Values");
        }
        if (action > 0) {
            return true;
        }
        return false;
    }

    private void updataprivateDNScfg() {
        if ("hostname".equals(android.provider.Settings.Global.getString(this.mContentResolver, "private_dns_mode"))) {
            this.useHostname = true;
        } else {
            this.useHostname = false;
        }
        this.publicDnsFlag = false;
    }

    public void notifyConnectedInfo(com.android.server.connectivity.NetworkAgentInfo nai) {
        if (nai != null) {
            this.mLinkProperties = new android.net.LinkProperties(nai.linkProperties);
            this.mNetId = nai.network.netId;
            this.publicDnsFlag = false;
            this.NetDns = this.mLinkProperties.getDnsServers();
            if (this.NetDns == null) {
                log("NetDns = null");
            } else if (this.NetDns.size() < 2) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("NetDns.size() = ");
                stringBuilder.append(this.NetDns.size());
                log(stringBuilder.toString());
            } else {
                java.lang.String temp = ((java.net.InetAddress) this.NetDns.get(0)).toString();
                this.cellDnses[0] = temp.substring(1, temp.length());
                java.lang.String temp2 = ((java.net.InetAddress) this.NetDns.get(1)).toString();
                this.cellDnses[1] = temp2.substring(1, temp2.length());
                this.dsFlag = true;
                sendMessage(102);
            }
        }
    }

    public void notifyDisconnectedInfo() {
        this.mLinkProperties = null;
        this.mNetId = 0;
        this.dsFlag = false;
        sendMessage(101);
    }

    public void notifyChrDnsHiCureResult(java.lang.String firstip, java.lang.String secondip, boolean result) {
        android.content.Intent intent = new android.content.Intent("com.android.intent.action.dns_hicure_result");
        intent.putExtra("FirstDnsAddress", firstip);
        intent.putExtra("SecondDnsAddress", secondip);
        intent.putExtra("HiCureResult", result);
        log("sendBroadcast com.android.intent.action.dns_hicure_result");
        this.mContext.sendBroadcast(intent, "com.huawei.android.permission.GET_CHR_DATA");
    }
}
