package com.android.server.hidata.hicure;

public class DnsProbe {
    private static final java.lang.String TAG = "DnsProbe";
    private int mdelaytime;
    private int mnetid;

    private class DNSLookupThread extends java.lang.Thread {
        private java.net.InetAddress addr;
        private java.lang.String hostname;

        public DNSLookupThread(java.lang.String hostname) {
            this.hostname = hostname;
        }

        public void run() {
            try {
                java.net.InetAddress add = java.net.InetAddress.getByNameOnNet(this.hostname, com.android.server.hidata.hicure.DnsProbe.this.mnetid);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("hostname = ");
                stringBuilder.append(this.hostname);
                android.util.Log.d("DnsProbe", stringBuilder.toString());
                set(add);
            } catch (java.net.UnknownHostException e) {
                android.util.Log.d("DnsProbe", "UnknownHostException");
            }
        }

        private synchronized void set(java.net.InetAddress addr) {
            this.addr = addr;
        }

        public synchronized java.lang.String getIP() {
            if (this.addr == null) {
                return null;
            }
            return this.addr.toString();
        }
    }

    public DnsProbe(int time, int netId) {
        this.mdelaytime = time;
        this.mnetid = netId;
    }

    public boolean isDnsAvailable(java.lang.String Domain) {
        com.android.server.hidata.hicure.DnsProbe.DNSLookupThread dnslookup = new com.android.server.hidata.hicure.DnsProbe.DNSLookupThread(Domain);
        try {
            dnslookup.start();
            dnslookup.join((long) this.mdelaytime);
        } catch (java.lang.IllegalThreadStateException e) {
            android.util.Log.e("DnsProbe", "IllegalThreadStateException");
        } catch (java.lang.InterruptedException e2) {
            android.util.Log.e("DnsProbe", "InterruptedException");
        }
        if (dnslookup.getIP() != null) {
            return true;
        }
        return false;
    }

    public boolean isDnsAvailable(java.lang.String[] Domains) {
        for (java.lang.String domain : Domains) {
            if (isDnsAvailable(domain)) {
                return true;
            }
        }
        return false;
    }
}
