package com.android.server.hidata.hiradio;

public class HwWifiBoost {
    private static final java.lang.String TAG = "HiData_HwWifiBoost";
    private static com.android.server.hidata.hiradio.HwWifiBoost mHwWifiBoost = null;
    private android.util.SparseArray<java.lang.Integer> mBGLimitModeRecords;
    private android.content.Context mContext;
    private boolean mGameBoosting = false;
    private com.android.server.hidata.IHidataCallback mHidataCallback;
    private com.android.server.hidata.HwHidataJniAdapter mHwHidataJniAdapter;
    private boolean mStreamingBoosting = false;

    private HwWifiBoost(android.content.Context context) {
        this.mContext = context;
    }

    public static synchronized com.android.server.hidata.hiradio.HwWifiBoost getInstance(android.content.Context context) {
        com.android.server.hidata.hiradio.HwWifiBoost hwWifiBoost;
        synchronized (com.android.server.hidata.hiradio.HwWifiBoost.class) {
            if (mHwWifiBoost == null) {
                mHwWifiBoost = new com.android.server.hidata.hiradio.HwWifiBoost(context);
            }
            hwWifiBoost = mHwWifiBoost;
        }
        return hwWifiBoost;
    }

    public synchronized void initialBGLimitModeRecords() {
        this.mBGLimitModeRecords = new android.util.SparseArray();
        this.mBGLimitModeRecords.append(1, java.lang.Integer.valueOf(0));
        this.mBGLimitModeRecords.append(2, java.lang.Integer.valueOf(0));
        this.mBGLimitModeRecords.append(3, java.lang.Integer.valueOf(0));
        this.mBGLimitModeRecords.append(4, java.lang.Integer.valueOf(0));
    }

    private synchronized int getBGLimitMaxMode() {
        if (this.mBGLimitModeRecords != null) {
            if (this.mBGLimitModeRecords.size() != 0) {
                int size = this.mBGLimitModeRecords.size();
                int max_mode = 0;
                for (int i = 0; i < size; i++) {
                    int key = this.mBGLimitModeRecords.keyAt(i);
                    if (((java.lang.Integer) this.mBGLimitModeRecords.get(key)).intValue() > max_mode) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("BG Limit id=");
                        stringBuilder.append(key);
                        stringBuilder.append(" mode=");
                        stringBuilder.append(this.mBGLimitModeRecords.get(key));
                        stringBuilder.append(" > max mode=");
                        stringBuilder.append(max_mode);
                        huawei.android.net.hwmplink.HwHiDataCommonUtils.logD("HiData_HwWifiBoost", stringBuilder.toString());
                        max_mode = ((java.lang.Integer) this.mBGLimitModeRecords.get(key)).intValue();
                    }
                }
                return max_mode;
            }
        }
        huawei.android.net.hwmplink.HwHiDataCommonUtils.logD("HiData_HwWifiBoost", " mBGLimitModeRecords is null");
        return -1;
    }

    private synchronized void dumpModeTable() {
        if (this.mBGLimitModeRecords != null) {
            if (this.mBGLimitModeRecords.size() != 0) {
                int size = this.mBGLimitModeRecords.size();
                for (int i = 0; i < size; i++) {
                    int key = this.mBGLimitModeRecords.keyAt(i);
                }
                return;
            }
        }
        huawei.android.net.hwmplink.HwHiDataCommonUtils.logD("HiData_HwWifiBoost", " mBGLimitModeRecords is null");
    }

    public synchronized void limitedSpeed(int controlId, int enable, int mode) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("LimitedSpeed: ");
        stringBuilder.append(enable);
        stringBuilder.append(" mode=");
        stringBuilder.append(mode);
        huawei.android.net.hwmplink.HwHiDataCommonUtils.logD("HiData_HwWifiBoost", stringBuilder.toString());
        if (com.android.server.hidata.arbitration.HwArbitrationFunction.isInVPNMode(this.mContext) && enable == 1) {
            huawei.android.net.hwmplink.HwHiDataCommonUtils.logD("HiData_HwWifiBoost", "Vpn Connected,can not limit speed!");
            return;
        }
        this.mBGLimitModeRecords.put(controlId, java.lang.Integer.valueOf(enable == 0 ? 0 : mode));
        dumpModeTable();
        int cmd_mode = getBGLimitMaxMode();
        android.os.Bundle args = new android.os.Bundle();
        args.putInt("enbale", enable);
        args.putInt("mode", cmd_mode);
        android.rms.iaware.CollectData data = new android.rms.iaware.CollectData(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_NET_MANAGE), java.lang.System.currentTimeMillis(), args);
        long id = android.os.Binder.clearCallingIdentity();
        android.rms.HwSysResManager.getInstance().reportData(data);
        android.os.Binder.restoreCallingIdentity(id);
    }

    public synchronized void highPriorityTransmit(int uid, int type, int enable) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("highPriorityTransmit uid: ");
        stringBuilder.append(uid);
        stringBuilder.append(" enable: ");
        stringBuilder.append(enable);
        huawei.android.net.hwmplink.HwHiDataCommonUtils.logD("HiData_HwWifiBoost", stringBuilder.toString());
        this.mHwHidataJniAdapter = com.android.server.hidata.HwHidataJniAdapter.getInstance();
        this.mHwHidataJniAdapter.setDpiMarkRule(uid, type, enable);
    }

    public synchronized void setPMMode(int mode) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setPMMode:  mode: ");
        stringBuilder.append(mode);
        huawei.android.net.hwmplink.HwHiDataCommonUtils.logD("HiData_HwWifiBoost", stringBuilder.toString());
        this.mHidataCallback.onSetPMMode(mode);
    }

    public synchronized void setGameBoostMode(int enable, int uid, int type, int limitMode) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setGameBoostMode:  enable: ");
        stringBuilder.append(enable);
        stringBuilder.append(" uid: ");
        stringBuilder.append(uid);
        stringBuilder.append(" type: ");
        stringBuilder.append(type);
        huawei.android.net.hwmplink.HwHiDataCommonUtils.logD("HiData_HwWifiBoost", stringBuilder.toString());
        this.mHidataCallback.onSetTXPower(enable);
        this.mHidataCallback.onSetPMMode(enable == 1 ? 4 : 3);
        highPriorityTransmit(uid, type, enable);
        limitedSpeed(1, enable, limitMode);
    }

    public synchronized void setStreamingBoostMode(int enable, int uid, int type) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setStreamingBoostMode:  enable: ");
        stringBuilder.append(enable);
        stringBuilder.append(" uid: ");
        stringBuilder.append(uid);
        stringBuilder.append(" type: ");
        stringBuilder.append(type);
        huawei.android.net.hwmplink.HwHiDataCommonUtils.logD("HiData_HwWifiBoost", stringBuilder.toString());
        this.mHidataCallback.onSetTXPower(enable);
        highPriorityTransmit(uid, type, enable);
    }

    public synchronized void startGameBoost(int uid) {
        if (!isGameBoosting()) {
            setGameBoostMode(1, uid, 17, 1);
            this.mGameBoosting = true;
        }
    }

    public synchronized void stopGameBoost(int uid) {
        if (isGameBoosting()) {
            setGameBoostMode(0, uid, 17, 0);
            this.mGameBoosting = false;
        }
    }

    public synchronized void startStreamingBoost(int uid) {
        if (!isStreamingBoosting()) {
            setStreamingBoostMode(1, uid, 17);
            this.mStreamingBoosting = true;
        }
    }

    public synchronized void stopStreamingBoost(int uid) {
        if (isStreamingBoosting()) {
            setStreamingBoostMode(0, uid, 17);
            this.mStreamingBoosting = false;
        }
    }

    public synchronized void pauseABSHandover() {
        this.mHidataCallback.onPauseABSHandover();
    }

    public synchronized void restartABSHandover() {
        this.mHidataCallback.onRestartABSHandover();
    }

    public synchronized boolean isGameBoosting() {
        return this.mGameBoosting;
    }

    public synchronized boolean isStreamingBoosting() {
        return this.mStreamingBoosting;
    }

    public synchronized void stopLimitSpeed() {
        limitedSpeed(1, 0, 0);
        initialBGLimitModeRecords();
    }

    public synchronized void stopAllBoost() {
        highPriorityTransmit(-1, 17, 0);
        this.mHidataCallback.onSetTXPower(0);
        this.mHidataCallback.onSetPMMode(3);
        restartABSHandover();
        stopLimitSpeed();
    }

    public synchronized void registWifiBoostCallback(com.android.server.hidata.IHidataCallback callback) {
        if (this.mHidataCallback == null) {
            this.mHidataCallback = callback;
        }
    }

    public synchronized android.net.wifi.RssiPacketCountInfo getOTAInfo() {
        return this.mHidataCallback.onGetOTAInfo();
    }
}
