package com.android.server.hidata.histream;

public class HwHiStreamCHRManager implements com.android.server.hidata.channelqoe.IChannelQoECallback {
    private static final int CHR_COLLECT_QOE_AFTER_HANDOVER = 15000;
    private static final int CHR_COLLECT_QOE_PERIOD = 6000;
    private static final int CHR_COLLECT_TUP_PERIOD = 3;
    private static final int CHR_DS_QOE_REPORT_MIN_INTERVAL = 30000;
    private static final int CHR_GET_CUR_RTT_DELAY = 6000;
    private static final int CHR_HANDOVER_EVENT_GET_TUP_DELAY = 8000;
    private static final int CHR_HANDOVER_EVENT_UPLOAD_DELAY = 22000;
    public static final int CHR_MPLINK_FAIL_BIND_FAIL = 8;
    public static final int CHR_MPLINK_FAIL_COEXISTENCE = 2;
    public static final int CHR_MPLINK_FAIL_ENVIRONMENT = 1;
    public static final int CHR_MPLINK_FAIL_HISTRORYQOE = 4;
    public static final int CHR_MPLINK_FAIL_ISBINDING = 6;
    public static final int CHR_MPLINK_FAIL_OTHERS = 20;
    public static final int CHR_MPLINK_FAIL_PINGPONG = 3;
    public static final int CHR_MPLINK_FAIL_QUERY_TIMEOUT = 7;
    public static final int CHR_MPLINK_FAIL_TARGETNETWORK = 5;
    public static final int CHR_MPLINK_FAIL_UNBIND_FAIL = 9;
    public static final int CHR_MPLINK_SUCCESS = 0;
    private static final int CHR_START_COLLECT_PARA_DELAY = 30000;
    private static final int CHR_TRAFFIC_UPDATE_PERIOD = 2;
    private static final int CHR_UPLOAD_COLLECT_PARAMETER_MAX_COUNT = 12;
    private static final int CHR_UPLOAD_EVENT_APPQOE_HISTORY_RECORDS = 909009048;
    private static final int CHR_UPLOAD_EVENT_DOUYIN_STATISTICS = 909002053;
    private static final int CHR_UPLOAD_EVENT_HANDOVER = 909002039;
    private static final int CHR_UPLOAD_EVENT_QOE_PARA_COLLECT = 909002042;
    private static final int CHR_UPLOAD_EVENT_SPACE_INFO = 909009047;
    private static final int CHR_UPLOAD_EVENT_STALL_INFO = 909009035;
    private static final int CHR_UPLOAD_EVENT_WECHAT_AUDIO_STATISTICS = 909002041;
    private static final int CHR_UPLOAD_EVENT_WECHAT_VIDEO_STATISTICS = 909002040;
    private static final int CHR_UPLOAD_HANOVER_EVNET_MAX_COUNT = 20;
    private static final int CHR_UPLOAD_STALL_EVNET_MAX_COUNT = 20;
    public static final int EVENT_CHR_APPEND_MPLINK_TO_WIFI = 6;
    public static final int EVENT_CHR_ERROR_STOP_MPLINK = 7;
    public static final int EVENT_CHR_HANDOVER_TO_CELLULAR = 2;
    public static final int EVENT_CHR_HANDOVER_TO_WIFI = 1;
    public static final int EVENT_CHR_STALL_BEGIN_MPLINK = 8;
    public static final int EVENT_CHR_STALL_MPLINK_TO_CELLULAR = 5;
    public static final int EVENT_CHR_STALL_MPLINK_TO_WIFI = 3;
    public static final int EVENT_CHR_USER_STOP_MPLINK = 9;
    public static final int EVENT_CHR_WIFI_RECOVER_MPLINK_TO_WIFI = 4;
    private static final int USER_MANUALLY_SWITCH_INTERVAL = 3000;
    private static final int USER_MANUALLY_WIFI_ENABLE_INTERVAL = 6000;
    private static com.android.server.hidata.histream.HwHiStreamCHRManager mHwHiStreamCHRManager;
    private android.os.Handler mCHRManagerHandler;
    private int mCallId = 0;
    private android.content.Context mContext;
    private int mCurNetRtt = -1;
    private long mDsQoeLastReportTime = 0;
    private int mHandoverEventId = 0;
    private java.util.ArrayList<com.android.server.hidata.histream.HwHistreamCHRHandoverInfo> mHandoverInfolist = new java.util.ArrayList();
    private com.android.server.hidata.arbitration.IHiDataCHRCallBack mIHiDataCHRCallBack;
    private long mLastCollectCellularRttTime = 0;
    private long mLastGetCurRttTime = 0;
    private com.android.server.hidata.histream.HwHiStreamCHRManager.HistreamWifiInfo mLastWifiInfo = new com.android.server.hidata.histream.HwHiStreamCHRManager.HistreamWifiInfo();
    private com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo mOtherAppStatisticsInfo;
    private int mStallEventId = 0;
    private java.util.ArrayList<com.android.server.hidata.histream.HwHistreamCHRStallInfo> mStallInfoList = new java.util.ArrayList();
    private int mUploadCollectParaCount = 0;
    private long mUploadCollectParaStartCountTime = 0;
    private int mUploadHandoverCount = 0;
    private long mUploadHandoverStartCountTime = 0;
    private int mUploadStallCount = 0;
    private long mUploadStallStartCountTime = 0;
    private com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo mWechatStatisticsInfo;
    private android.net.wifi.WifiManager mWifiManager;

    public static class HistreamWifiInfo {
        int mApType = -1;
        int mChLoad = -1;
        int mChannel = -1;
        int mFailRate = -1;
        int mLastTxBad = 0;
        int mLastTxGood = 0;
        int mRssi = -1;
        int mSnr = -1;
        java.lang.String mSsid = "None";
    }

    private HwHiStreamCHRManager(android.content.Context context, android.os.Handler handler) {
        this.mContext = context;
        this.mCHRManagerHandler = handler;
        this.mWifiManager = (android.net.wifi.WifiManager) this.mContext.getSystemService("wifi");
    }

    public static com.android.server.hidata.histream.HwHiStreamCHRManager createInstance(android.content.Context context, android.os.Handler handler) {
        if (mHwHiStreamCHRManager == null) {
            mHwHiStreamCHRManager = new com.android.server.hidata.histream.HwHiStreamCHRManager(context, handler);
        }
        return mHwHiStreamCHRManager;
    }

    public static com.android.server.hidata.histream.HwHiStreamCHRManager getInstance() {
        return mHwHiStreamCHRManager;
    }

    public synchronized void registCHRCallback(com.android.server.hidata.arbitration.IHiDataCHRCallBack callback) {
        this.mIHiDataCHRCallBack = callback;
    }

    public void handleUploadCollectPara() {
        com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo statisticsInfo = getCurStatisticsInfo();
        com.android.server.hidata.channelqoe.HwChannelQoEManager mHwChannelQoEManager = com.android.server.hidata.channelqoe.HwChannelQoEManager.getInstance();
        long curTime = java.lang.System.currentTimeMillis();
        if (!(statisticsInfo == null || mHwChannelQoEManager == null)) {
            if (30000 < curTime - statisticsInfo.mCallStartTime) {
                com.android.server.hidata.histream.HwHistreamCHRMachineInfo machineInfo = new com.android.server.hidata.histream.HwHistreamCHRMachineInfo();
                machineInfo.mApkName = statisticsInfo.mApkName;
                machineInfo.mScenario = statisticsInfo.mScenario;
                machineInfo.mRAT = statisticsInfo.mCurrNetwork;
                if (100106 == statisticsInfo.mScenario) {
                    com.android.server.hidata.HwHidataJniAdapter mHwHidataJniAdapter = com.android.server.hidata.HwHidataJniAdapter.getInstance();
                    if (mHwHidataJniAdapter != null) {
                        machineInfo.mWechatVideoQoe = mHwHidataJniAdapter.getCurFrameDetectResult();
                    }
                } else if (6000 >= curTime - statisticsInfo.mLastBadQoeTime) {
                    machineInfo.mStreamQoe = statisticsInfo.mLastQoe;
                } else {
                    machineInfo.mStreamQoe = 106;
                }
                com.android.server.hidata.channelqoe.HwChannelQoEManager.CurrentSignalState signalInfo = mHwChannelQoEManager.getCurrentSignalState(statisticsInfo.mCurrNetwork, false, this);
                if (800 == statisticsInfo.mCurrNetwork) {
                    updateTup(statisticsInfo, 800);
                    machineInfo.mRxTup1Bef = statisticsInfo.mWifiRxTup1;
                    machineInfo.mRxTup2Bef = statisticsInfo.mWifiRxTup2;
                    android.net.wifi.WifiInfo info = this.mWifiManager.getConnectionInfo();
                    if (!(info == null || -1 == info.getFrequency())) {
                        machineInfo.mTxFail1Bef = (int) info.txBadRate;
                    }
                    if (signalInfo != null) {
                        machineInfo.mWifiRssi = signalInfo.getSigPwr();
                        machineInfo.mWifiSnr = signalInfo.getSigSnr();
                        machineInfo.mChLoad = signalInfo.getSigLoad();
                    }
                } else if (801 == statisticsInfo.mCurrNetwork) {
                    updateTup(statisticsInfo, 801);
                    machineInfo.mRxTup1Bef = statisticsInfo.mCelluarRxTup1;
                    machineInfo.mRxTup2Bef = statisticsInfo.mCelluarRxTup2;
                    if (signalInfo != null) {
                        machineInfo.mCellSig = signalInfo.getSigPwr();
                        machineInfo.mCellQuality = signalInfo.getSigQual();
                        machineInfo.mCellSinr = signalInfo.getSigSnr();
                    }
                }
                if (6000 > curTime - this.mLastGetCurRttTime) {
                    machineInfo.mNetRtt = this.mCurNetRtt;
                }
                machineInfo.printCHRMachineInfo();
                sendCHRCollectParaEvent(machineInfo);
            }
        }
    }

    public void handleStartCollectPara() {
        long curTime = java.lang.System.currentTimeMillis();
        if (86400000 < curTime - this.mUploadCollectParaStartCountTime) {
            this.mUploadCollectParaCount = 0;
            this.mUploadCollectParaStartCountTime = curTime;
        }
        com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo statisticsInfo = getCurStatisticsInfo();
        if (statisticsInfo != null) {
            if (12 > this.mUploadCollectParaCount) {
                boolean isNeedQueryRtt = true;
                if (801 == statisticsInfo.mCurrNetwork) {
                    if (86400000 > curTime - this.mLastCollectCellularRttTime) {
                        isNeedQueryRtt = false;
                    } else {
                        this.mLastCollectCellularRttTime = curTime;
                    }
                }
                com.android.server.hidata.channelqoe.HwChannelQoEManager mHwChannelQoEManager = com.android.server.hidata.channelqoe.HwChannelQoEManager.getInstance();
                if (true == isNeedQueryRtt && mHwChannelQoEManager != null) {
                    mHwChannelQoEManager.getCurrentSignalState(statisticsInfo.mCurrNetwork, true, this);
                }
                this.mCHRManagerHandler.sendEmptyMessageDelayed(8, 6000);
            }
        }
    }

    public void handleUploadStallEventDelay(android.os.Message msg) {
        if (msg != null) {
            if (msg.obj != null) {
                int eventNum = msg.obj.getInt("eventNum");
                com.android.server.hidata.histream.HwHistreamCHRStallInfo curStallEvent = null;
                int pos = 0;
                int size = this.mStallInfoList.size();
                int i = 0;
                while (i < size) {
                    com.android.server.hidata.histream.HwHistreamCHRStallInfo stallEvent = (com.android.server.hidata.histream.HwHistreamCHRStallInfo) this.mStallInfoList.get(i);
                    if (stallEvent != null) {
                        if (eventNum == stallEvent.mEventId) {
                            curStallEvent = stallEvent;
                            pos = i;
                            break;
                        }
                        i++;
                    } else {
                        return;
                    }
                }
                if (curStallEvent != null) {
                    if (6000 > java.lang.System.currentTimeMillis() - this.mLastGetCurRttTime) {
                        curStallEvent.mNetRtt = this.mCurNetRtt;
                    }
                    android.os.Bundle chrBundle = new android.os.Bundle();
                    chrBundle.putString("mAPKName", curStallEvent.mAPKName);
                    chrBundle.putInt("mScenario", curStallEvent.mScenario);
                    chrBundle.putInt("mRAT", curStallEvent.mRAT);
                    chrBundle.putInt("mUlTup", curStallEvent.mUlTup);
                    chrBundle.putInt("mDlTup", curStallEvent.mDlTup);
                    chrBundle.putInt("mApRtt", curStallEvent.mApRtt);
                    chrBundle.putInt("mNetRtt", curStallEvent.mNetRtt);
                    chrBundle.putInt("mCellSig", curStallEvent.mCellSig);
                    chrBundle.putInt("mCellRsrq", curStallEvent.mCellRsrq);
                    chrBundle.putInt("mCellSinr", curStallEvent.mCellSinr);
                    chrBundle.putInt("mNeiborApRssi", curStallEvent.mNeiborApRssi);
                    chrBundle.putInt("mWifiSnr", curStallEvent.mWifiSnr);
                    chrBundle.putInt("mWifiChload", curStallEvent.mWifiChload);
                    chrBundle.putInt("mNetDlTup", curStallEvent.mNetDlTup);
                    if (this.mIHiDataCHRCallBack != null) {
                        com.android.server.hidata.histream.HwHiStreamUtils.logD("handleUploadStallEventDelay:send stream stall chr event");
                        this.mIHiDataCHRCallBack.uploadHiDataDFTEvent(909009035, chrBundle);
                    }
                    this.mUploadStallCount++;
                    curStallEvent.printCHRStallInfo();
                    this.mStallInfoList.remove(pos);
                }
            }
        }
    }

    public void handleUploadHandoverInfo(android.os.Message msg) {
        if (msg != null) {
            if (msg.obj != null) {
                android.os.Bundle bundle = msg.obj;
                int eventNum = bundle.getInt("eventNum");
                com.android.server.hidata.histream.HwHistreamCHRHandoverInfo curHandoverEvent = null;
                int pos = 0;
                int size = this.mHandoverInfolist.size();
                int i = 0;
                while (i < size) {
                    com.android.server.hidata.histream.HwHistreamCHRHandoverInfo handoverEvent = (com.android.server.hidata.histream.HwHistreamCHRHandoverInfo) this.mHandoverInfolist.get(i);
                    if (handoverEvent != null) {
                        if (eventNum == handoverEvent.mEventId) {
                            curHandoverEvent = handoverEvent;
                            pos = i;
                            break;
                        }
                        i++;
                    } else {
                        return;
                    }
                }
                if (curHandoverEvent != null) {
                    long curTime = java.lang.System.currentTimeMillis();
                    com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo appStatisticsInfo = getCurStatisticsInfo();
                    if (appStatisticsInfo == null) {
                        curHandoverEvent.printCHRHandoverInfo();
                        sendCHRHandoverEvent(curHandoverEvent);
                        this.mHandoverInfolist.remove(pos);
                        return;
                    }
                    if (4 == msg.what) {
                        if (800 == appStatisticsInfo.mCurrNetwork) {
                            updateTup(appStatisticsInfo, 800);
                            curHandoverEvent.mWifiRxTupAft = appStatisticsInfo.mWifiRxTup1;
                        } else if (801 == appStatisticsInfo.mCurrNetwork) {
                            updateTup(appStatisticsInfo, 801);
                            curHandoverEvent.mCellRxTup = appStatisticsInfo.mCelluarRxTup1;
                        }
                        com.android.server.hidata.histream.HwHiStreamUtils.logD("handleUploadHandoverInfo: update throughput after handover");
                        this.mCHRManagerHandler.sendMessageDelayed(this.mCHRManagerHandler.obtainMessage(5, bundle), 22000);
                    } else if (5 == msg.what) {
                        if (15000 >= curTime - appStatisticsInfo.mLastBadQoeTime) {
                            curHandoverEvent.mStreamQoeAft = 107;
                        } else {
                            curHandoverEvent.mStreamQoeAft = 106;
                        }
                        curHandoverEvent.printCHRHandoverInfo();
                        sendCHRHandoverEvent(curHandoverEvent);
                        this.mHandoverInfolist.remove(pos);
                    }
                }
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:17:0x0069  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x0062  */
    public void onCHRAppStateChange(com.android.server.hidata.appqoe.HwAPPStateInfo r21, int r22) {
        /*
        r20 = this;
        r0 = r20;
        r1 = r21;
        r2 = r22;
        r10 = com.android.server.hidata.histream.HwHiStreamTraffic.getInstance();
        r11 = com.android.server.hidata.histream.HwHiStreamNetworkMonitor.getInstance();
        if (r10 == 0) goto L_0x00bb;
    L_0x0010:
        if (r11 == 0) goto L_0x00bb;
    L_0x0012:
        if (r1 != 0) goto L_0x0016;
    L_0x0014:
        goto L_0x00bb;
    L_0x0016:
        r12 = r1.mScenceId;
        r13 = r1.mAppUID;
        r14 = r1.mNetworkType;
        r3 = 0;
        r4 = 100;
        if (r4 != r2) goto L_0x008e;
    L_0x0021:
        r4 = 100105; // 0x18709 float:1.40277E-40 double:4.94584E-319;
        if (r4 == r12) goto L_0x0038;
    L_0x0026:
        r4 = 100106; // 0x1870a float:1.40278E-40 double:4.9459E-319;
        if (r4 != r12) goto L_0x002c;
    L_0x002b:
        goto L_0x0038;
    L_0x002c:
        r4 = new com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo;
        r5 = "DOUYIN";
        r4.<init>(r5, r12, r13);
        r0.mOtherAppStatisticsInfo = r4;
        r3 = r0.mOtherAppStatisticsInfo;
        goto L_0x0043;
    L_0x0038:
        r4 = new com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo;
        r5 = "WECHAT";
        r4.<init>(r5, r12, r13);
        r0.mWechatStatisticsInfo = r4;
        r3 = r0.mWechatStatisticsInfo;
    L_0x0043:
        r9 = r3;
        r6 = java.lang.System.currentTimeMillis();
        r9.mCallStartTime = r6;
        r4 = 0;
        r16 = 801; // 0x321 float:1.122E-42 double:3.957E-321;
        r3 = r10;
        r17 = r6;
        r8 = r13;
        r15 = r9;
        r9 = r16;
        r3 = r3.getTotalTraffic(r4, r6, r8, r9);
        r15.mStartCellularTraffic = r3;
        r15.mCurrNetwork = r14;
        r3 = 800; // 0x320 float:1.121E-42 double:3.953E-321;
        r4 = 1;
        if (r3 != r14) goto L_0x0069;
    L_0x0062:
        r15.mStartInWiFiCnt = r4;
        r5 = r17;
        r15.mLastWifiTime = r5;
        goto L_0x0073;
    L_0x0069:
        r5 = r17;
        r3 = 801; // 0x321 float:1.122E-42 double:3.957E-321;
        if (r3 != r14) goto L_0x0073;
    L_0x006f:
        r15.mStartInCellularCnt = r4;
        r15.mLastCellTime = r5;
    L_0x0073:
        r3 = r1.mUserType;
        r15.mUserType = r3;
        r3 = r0.mCallId;
        r15.mCallId = r3;
        r3 = r0.mCallId;
        r3 = r3 + r4;
        r0.mCallId = r3;
        r3 = r0.mCHRManagerHandler;
        r4 = 7;
        r3.removeMessages(r4);
        r3 = r0.mCHRManagerHandler;
        r7 = 30000; // 0x7530 float:4.2039E-41 double:1.4822E-319;
        r3.sendEmptyMessageDelayed(r4, r7);
        goto L_0x00ba;
    L_0x008e:
        r4 = 101; // 0x65 float:1.42E-43 double:5.0E-322;
        if (r4 != r2) goto L_0x00b9;
    L_0x0092:
        r4 = r0.mWechatStatisticsInfo;
        r5 = 0;
        if (r4 == 0) goto L_0x00a3;
    L_0x0097:
        r4 = r0.mWechatStatisticsInfo;
        r0.updateAppStatisticInfo(r4);
        r4 = r0.mWechatStatisticsInfo;
        r0.uploadCHRAppStatisticInfo(r4);
        r0.mWechatStatisticsInfo = r5;
    L_0x00a3:
        r4 = r0.mOtherAppStatisticsInfo;
        if (r4 == 0) goto L_0x00b3;
    L_0x00a7:
        r4 = r0.mOtherAppStatisticsInfo;
        r0.updateAppStatisticInfo(r4);
        r4 = r0.mOtherAppStatisticsInfo;
        r0.uploadCHRAppStatisticInfo(r4);
        r0.mOtherAppStatisticsInfo = r5;
    L_0x00b3:
        r4 = r0.mCHRManagerHandler;
        r5 = 7;
        r4.removeMessages(r5);
    L_0x00b9:
        r15 = r3;
    L_0x00ba:
        return;
    L_0x00bb:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.histream.HwHiStreamCHRManager.onCHRAppStateChange(com.android.server.hidata.appqoe.HwAPPStateInfo, int):void");
    }

    private void uploadCHRAppStatisticInfo(com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo appStatisticsInfo) {
        com.android.server.hidata.histream.HwHiStreamDataBaseManager mHwHiStreamDataBaseManager = com.android.server.hidata.histream.HwHiStreamDataBaseManager.getInstance(this.mContext);
        if (appStatisticsInfo != null) {
            if (mHwHiStreamDataBaseManager != null) {
                long curTime = java.lang.System.currentTimeMillis();
                com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo statisticsBef = mHwHiStreamDataBaseManager.getAppStatistics(appStatisticsInfo.mScenario);
                if (statisticsBef == null) {
                    appStatisticsInfo.mLastUploadTime = curTime;
                    mHwHiStreamDataBaseManager.insertAppStatistics(appStatisticsInfo);
                    sendCHRStatisticEvent(appStatisticsInfo);
                    com.android.server.hidata.histream.HwHiStreamUtils.logD("uploadCHRAppStatisticInfo: first call");
                } else {
                    statisticsBef.updateCHRStatisticsInfo(appStatisticsInfo);
                    if (86400000 <= curTime - statisticsBef.mLastUploadTime) {
                        statisticsBef.printCHRStatisticsInfo();
                        statisticsBef.mLastUploadTime = curTime;
                        sendCHRStatisticEvent(statisticsBef);
                        statisticsBef = new com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo(statisticsBef.mApkName, statisticsBef.mScenario, statisticsBef.mUid);
                        statisticsBef.mNum = 0;
                        statisticsBef.mLastUploadTime = curTime;
                    }
                    statisticsBef.printCHRStatisticsInfo();
                    mHwHiStreamDataBaseManager.updateAppStatistics(statisticsBef);
                }
            }
        }
    }

    private void updateAppStatisticInfo(com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo appStatisticsInfo) {
        com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo hwHistreamCHRStatisticsInfo = appStatisticsInfo;
        com.android.server.hidata.histream.HwHiStreamTraffic mHwHiStreamTraffic = com.android.server.hidata.histream.HwHiStreamTraffic.getInstance();
        com.android.server.hidata.histream.HwHiStreamNetworkMonitor mHwHiStreamNetworkMonitor = com.android.server.hidata.histream.HwHiStreamNetworkMonitor.getInstance();
        if (!(mHwHiStreamTraffic == null || mHwHiStreamNetworkMonitor == null)) {
            if (hwHistreamCHRStatisticsInfo != null) {
                long curTime = java.lang.System.currentTimeMillis();
                long curCellularTraffic = mHwHiStreamTraffic.getTotalTraffic(0, curTime, hwHistreamCHRStatisticsInfo.mUid, 801);
                if (800 == hwHistreamCHRStatisticsInfo.mCurrNetwork && 0 != hwHistreamCHRStatisticsInfo.mLastWifiTime) {
                    hwHistreamCHRStatisticsInfo.mCallInWiFiDur = (int) (((long) hwHistreamCHRStatisticsInfo.mCallInWiFiDur) + ((curTime - hwHistreamCHRStatisticsInfo.mLastWifiTime) / 1000));
                    hwHistreamCHRStatisticsInfo.mLastWifiTime = 0;
                } else if (801 == hwHistreamCHRStatisticsInfo.mCurrNetwork && 0 != hwHistreamCHRStatisticsInfo.mLastCellTime) {
                    hwHistreamCHRStatisticsInfo.mCallInCellularDur = (int) (((long) hwHistreamCHRStatisticsInfo.mCallInCellularDur) + ((curTime - hwHistreamCHRStatisticsInfo.mLastCellTime) / 1000));
                    hwHistreamCHRStatisticsInfo.mLastCellTime = 0;
                }
                if (0 != hwHistreamCHRStatisticsInfo.mLastMplinkTime) {
                    hwHistreamCHRStatisticsInfo.mMplinkDur = (int) (((long) hwHistreamCHRStatisticsInfo.mMplinkDur) + ((curTime - hwHistreamCHRStatisticsInfo.mLastMplinkTime) / 1000));
                    hwHistreamCHRStatisticsInfo.mMplinkEnTraf = (int) (((long) hwHistreamCHRStatisticsInfo.mMplinkEnTraf) + ((mHwHiStreamTraffic.getTotalTraffic(0, curTime, hwHistreamCHRStatisticsInfo.mUid, 801) - hwHistreamCHRStatisticsInfo.mMplinkStartTraffic) / 1000));
                }
                hwHistreamCHRStatisticsInfo.mTrfficCell = (int) ((curCellularTraffic - hwHistreamCHRStatisticsInfo.mStartCellularTraffic) / 1000);
                if (hwHistreamCHRStatisticsInfo.mCallInCellularDur < 300 && hwHistreamCHRStatisticsInfo.mCallInCellularDur > 0) {
                    hwHistreamCHRStatisticsInfo.mCellLv1Cnt = 1;
                } else if (hwHistreamCHRStatisticsInfo.mCallInCellularDur > 900) {
                    hwHistreamCHRStatisticsInfo.mCellLv3Cnt = 1;
                } else if (hwHistreamCHRStatisticsInfo.mCallInCellularDur > 0) {
                    hwHistreamCHRStatisticsInfo.mCellLv2Cnt = 1;
                }
                if (hwHistreamCHRStatisticsInfo.mCallInWiFiDur < 300 && hwHistreamCHRStatisticsInfo.mCallInWiFiDur > 0) {
                    hwHistreamCHRStatisticsInfo.mWiFiLv1Cnt = 1;
                } else if (hwHistreamCHRStatisticsInfo.mCallInWiFiDur > 900) {
                    hwHistreamCHRStatisticsInfo.mWiFiLv3Cnt = 1;
                } else if (hwHistreamCHRStatisticsInfo.mCallInWiFiDur > 0) {
                    hwHistreamCHRStatisticsInfo.mWiFiLv2Cnt = 1;
                }
                if (1 == hwHistreamCHRStatisticsInfo.mStallSwitchCnt) {
                    hwHistreamCHRStatisticsInfo.mStallSwitch1Cnt = 1;
                } else if (hwHistreamCHRStatisticsInfo.mStallSwitchCnt > 1) {
                    hwHistreamCHRStatisticsInfo.mStallSwitchAbove1Cnt = 1;
                }
                if (2 == hwHistreamCHRStatisticsInfo.mUserType) {
                    hwHistreamCHRStatisticsInfo.mVipSwitchCnt = hwHistreamCHRStatisticsInfo.mStallSwitchCnt;
                }
                appStatisticsInfo.printCHRStatisticsInfo();
            }
        }
    }

    public void onUpdateQuality(int wifiRxTraffic, int cellularRxTraffic, int wifiTxTraffic, int celluarTxTraffic, int uid) {
        com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo appStatisticsInfo;
        if (this.mWechatStatisticsInfo != null && uid == this.mWechatStatisticsInfo.mUid) {
            appStatisticsInfo = this.mWechatStatisticsInfo;
        } else if (this.mOtherAppStatisticsInfo != null && uid == this.mOtherAppStatisticsInfo.mUid) {
            appStatisticsInfo = this.mOtherAppStatisticsInfo;
        } else {
            return;
        }
        appStatisticsInfo.mTafficPtr %= appStatisticsInfo.mWifiTraffic.length;
        com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo.AppTraffic wifiTraffic = appStatisticsInfo.mWifiTraffic[appStatisticsInfo.mTafficPtr];
        com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo.AppTraffic cellularTraffic = appStatisticsInfo.mCellularTraffic[appStatisticsInfo.mTafficPtr];
        if (!(wifiTraffic == null || cellularTraffic == null)) {
            if (800 == appStatisticsInfo.mCurrNetwork) {
                wifiTraffic.rx = wifiRxTraffic;
                wifiTraffic.tx = wifiTxTraffic;
                cellularTraffic.rx = -1;
                cellularTraffic.tx = -1;
            } else if (801 == appStatisticsInfo.mCurrNetwork) {
                cellularTraffic.rx = cellularRxTraffic;
                cellularTraffic.tx = celluarTxTraffic;
                wifiTraffic.rx = -1;
                wifiTraffic.tx = -1;
            }
        }
        appStatisticsInfo.mTafficPtr++;
        updateNetworkInfo(appStatisticsInfo.mCurrNetwork);
    }

    private void updateNetworkInfo(int curNetwork) {
        if (800 == curNetwork && this.mWifiManager != null) {
            android.net.wifi.WifiInfo info = this.mWifiManager.getConnectionInfo();
            if (!(info == null || -1 == info.getFrequency())) {
                this.mLastWifiInfo.mSsid = info.getSSID();
                this.mLastWifiInfo.mRssi = info.getRssi();
                this.mLastWifiInfo.mChannel = info.getFrequency();
                this.mLastWifiInfo.mFailRate = (int) info.txBadRate;
                this.mLastWifiInfo.mApType = getAPType();
                this.mLastWifiInfo.mSnr = info.getSnr();
                this.mLastWifiInfo.mChLoad = info.getChload();
            }
            com.android.server.hidata.hiradio.HwWifiBoost mHwWifiBoost = com.android.server.hidata.hiradio.HwWifiBoost.getInstance(this.mContext);
            if (mHwWifiBoost != null) {
                android.net.wifi.RssiPacketCountInfo otaInfo = mHwWifiBoost.getOTAInfo();
                if (otaInfo != null) {
                    int txBad = otaInfo.txbad;
                    int txGood = otaInfo.txgood;
                    if (txGood - this.mLastWifiInfo.mLastTxGood > 0) {
                        this.mLastWifiInfo.mFailRate = ((txBad - this.mLastWifiInfo.mLastTxBad) * 10000) / (txGood - this.mLastWifiInfo.mLastTxGood);
                    }
                    this.mLastWifiInfo.mLastTxBad = txBad;
                    this.mLastWifiInfo.mLastTxGood = txGood;
                }
            }
        }
    }

    private void updateTup(com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo appStatisticsInfo, int networkType) {
        if (appStatisticsInfo != null) {
            int i;
            int tafficLen = appStatisticsInfo.mWifiTraffic.length;
            int ptr = appStatisticsInfo.mTafficPtr;
            int count = 0;
            int i2 = 0;
            com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo.AppTraffic appTraffic = null;
            int rxTraffic = 0;
            int i3 = 0;
            while (true) {
                i = -1;
                if (i3 >= 3) {
                    break;
                }
                ptr %= tafficLen;
                appTraffic = 800 == networkType ? appStatisticsInfo.mWifiTraffic[ptr] : appStatisticsInfo.mCellularTraffic[ptr];
                if (!(appTraffic == null || -1 == appTraffic.rx)) {
                    rxTraffic += appTraffic.rx;
                    count++;
                }
                ptr++;
                i3++;
            }
            int rxTup2 = count == 0 ? -1 : rxTraffic / (2 * count);
            rxTraffic = 0;
            int txTraffic = 0;
            int ptr2 = appStatisticsInfo.mTafficPtr + 3;
            ptr = 0;
            while (true) {
                count = i2;
                if (count >= 3) {
                    break;
                }
                ptr2 %= tafficLen;
                appTraffic = 800 == networkType ? appStatisticsInfo.mWifiTraffic[ptr2] : appStatisticsInfo.mCellularTraffic[ptr2];
                if (!(appTraffic == null || -1 == appTraffic.rx)) {
                    rxTraffic += appTraffic.rx;
                    txTraffic += appTraffic.tx;
                    ptr++;
                }
                ptr2++;
                i2 = count + 1;
            }
            count = ptr == 0 ? -1 : rxTraffic / (2 * ptr);
            if (ptr != 0) {
                i = txTraffic / (2 * ptr);
            }
            i3 = i;
            if (800 == networkType) {
                appStatisticsInfo.mWifiRxTup2 = rxTup2;
                appStatisticsInfo.mWifiRxTup1 = count;
                appStatisticsInfo.mWifiTxTup = i3;
            } else {
                appStatisticsInfo.mCelluarRxTup2 = rxTup2;
                appStatisticsInfo.mCelluarRxTup1 = count;
                appStatisticsInfo.mCelluarTxTup = i3;
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("updateTup: networkType=");
            stringBuilder.append(networkType);
            stringBuilder.append(",WifiTxTup=");
            stringBuilder.append(appStatisticsInfo.mWifiTxTup);
            stringBuilder.append(",WifiRxTup1=");
            stringBuilder.append(appStatisticsInfo.mWifiRxTup1);
            stringBuilder.append(",WifiRxTup2=");
            stringBuilder.append(appStatisticsInfo.mWifiRxTup2);
            stringBuilder.append(",CelluarTxTup=");
            stringBuilder.append(appStatisticsInfo.mCelluarTxTup);
            stringBuilder.append(",CelluarRxTup1=");
            stringBuilder.append(appStatisticsInfo.mCelluarRxTup1);
            stringBuilder.append(",CelluarRxTup2=");
            stringBuilder.append(appStatisticsInfo.mCelluarRxTup2);
            stringBuilder.append(",TafficPtr= ");
            stringBuilder.append(appStatisticsInfo.mTafficPtr);
            com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder.toString());
        }
    }

    public void onStallDetect(int appSceneId, int detectResult, com.android.server.hidata.histream.IHwHistreamQoeCallback qoeCallback) {
        com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo appStatisticsInfo;
        int i = appSceneId;
        com.android.server.hidata.histream.IHwHistreamQoeCallback iHwHistreamQoeCallback = qoeCallback;
        com.android.server.hidata.channelqoe.HwChannelQoEManager mHwChannelQoEManager = com.android.server.hidata.channelqoe.HwChannelQoEManager.getInstance();
        if ((100105 == i || 100106 == i) && this.mWechatStatisticsInfo != null) {
            appStatisticsInfo = this.mWechatStatisticsInfo;
        } else if (this.mOtherAppStatisticsInfo != null) {
            appStatisticsInfo = this.mOtherAppStatisticsInfo;
        } else {
            return;
        }
        com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo appStatisticsInfo2 = appStatisticsInfo;
        appStatisticsInfo2.mLastQoe = 100106 == i ? detectResult : 107;
        appStatisticsInfo2.mLastBadQoeTime = java.lang.System.currentTimeMillis();
        if (30000 <= appStatisticsInfo2.mLastBadQoeTime - this.mDsQoeLastReportTime) {
            if (86400000 < appStatisticsInfo2.mLastBadQoeTime - this.mUploadStallStartCountTime) {
                this.mUploadStallCount = 0;
                this.mUploadStallStartCountTime = appStatisticsInfo2.mLastBadQoeTime;
            }
            if (20 > this.mUploadStallCount) {
                if (mHwChannelQoEManager != null) {
                    com.android.server.hidata.histream.HwHistreamCHRStallInfo chrStallInfo = new com.android.server.hidata.histream.HwHistreamCHRStallInfo();
                    chrStallInfo.mAPKName = appStatisticsInfo2.mApkName;
                    chrStallInfo.mScenario = appStatisticsInfo2.mScenario;
                    chrStallInfo.mRAT = appStatisticsInfo2.mCurrNetwork;
                    chrStallInfo.mEventId = this.mStallEventId;
                    this.mStallEventId++;
                    com.android.server.hidata.channelqoe.HwChannelQoEManager.CurrentSignalState signalInfo;
                    if (800 == appStatisticsInfo2.mCurrNetwork) {
                        updateTup(appStatisticsInfo2, 800);
                        chrStallInfo.mUlTup = appStatisticsInfo2.mWifiTxTup;
                        chrStallInfo.mDlTup = appStatisticsInfo2.mWifiRxTup1;
                        signalInfo = mHwChannelQoEManager.getCurrentSignalState(appStatisticsInfo2.mCurrNetwork, true, this);
                        chrStallInfo.mWifiSnr = this.mLastWifiInfo.mSnr;
                        chrStallInfo.mWifiChload = this.mLastWifiInfo.mChLoad;
                    } else if (801 == appStatisticsInfo2.mCurrNetwork) {
                        updateTup(appStatisticsInfo2, 801);
                        chrStallInfo.mUlTup = appStatisticsInfo2.mCelluarTxTup;
                        chrStallInfo.mDlTup = appStatisticsInfo2.mCelluarRxTup1;
                        com.android.server.hidata.channelqoe.HwChannelQoEManager.CurrentSignalState signalInfo2 = mHwChannelQoEManager.getCurrentSignalState(appStatisticsInfo2.mCurrNetwork, false, this);
                        if (signalInfo2 != null) {
                            chrStallInfo.mCellSinr = signalInfo2.getSigSnr();
                            chrStallInfo.mCellRsrq = signalInfo2.getSigQual();
                            chrStallInfo.mCellSig = signalInfo2.getSigPwr();
                        }
                        if ((100105 == i || 100106 == i) && iHwHistreamQoeCallback != null) {
                            com.android.server.hidata.histream.HwHistreamCHRQoeInfo qoeInfo = new com.android.server.hidata.histream.HwHistreamCHRQoeInfo(i, appStatisticsInfo2.mLastQoe, chrStallInfo.mUlTup, chrStallInfo.mDlTup, chrStallInfo.mNetDlTup);
                            iHwHistreamQoeCallback.onHistreamBadQoedetect(qoeInfo);
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("onStallDetect: sceneId= ");
                            stringBuilder.append(qoeInfo.mSceneId);
                            stringBuilder.append(",videoQoe= ");
                            stringBuilder.append(qoeInfo.mVideoQoe);
                            stringBuilder.append(",ulTup= ");
                            stringBuilder.append(qoeInfo.mUlTup);
                            stringBuilder.append(",dlTup= ");
                            stringBuilder.append(qoeInfo.mDlTup);
                            stringBuilder.append(",netDlTup= ");
                            stringBuilder.append(qoeInfo.mNetDlTup);
                            com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder.toString());
                        }
                        signalInfo = signalInfo2;
                    }
                    this.mDsQoeLastReportTime = appStatisticsInfo2.mLastBadQoeTime;
                    this.mStallInfoList.add(chrStallInfo);
                    android.os.Bundle bundle = new android.os.Bundle();
                    bundle.putInt("eventNum", chrStallInfo.mEventId);
                    this.mCHRManagerHandler.sendMessageDelayed(this.mCHRManagerHandler.obtainMessage(6, bundle), 6000);
                }
            }
        }
    }

    public void onNetworkChange() {
        if (this.mOtherAppStatisticsInfo != null) {
            handleNetworkChange(this.mOtherAppStatisticsInfo);
        }
        if (this.mWechatStatisticsInfo != null) {
            handleNetworkChange(this.mWechatStatisticsInfo);
        }
    }

    public void onMplinkStateChange(android.os.Message msg) {
        android.os.Message message = msg;
        if (message != null) {
            if (message.obj != null) {
                android.os.Bundle bundle = message.obj;
                int sceneId = bundle.getInt("sceneId");
                int mplinkEvent = bundle.getInt("mplinkEvent");
                int failReason = bundle.getInt("failReason");
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("onMplinkStateChange: sceneId= ");
                stringBuilder.append(sceneId);
                stringBuilder.append(",mplinkEvent=");
                stringBuilder.append(mplinkEvent);
                stringBuilder.append(",failReason=");
                stringBuilder.append(failReason);
                com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder.toString());
                com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo appStatisticsInfo = null;
                if (this.mOtherAppStatisticsInfo != null && sceneId == this.mOtherAppStatisticsInfo.mScenario) {
                    appStatisticsInfo = this.mOtherAppStatisticsInfo;
                } else if (this.mWechatStatisticsInfo != null && sceneId == this.mWechatStatisticsInfo.mScenario) {
                    appStatisticsInfo = this.mWechatStatisticsInfo;
                }
                com.android.server.hidata.histream.HwHiStreamTraffic mHwHiStreamTraffic = com.android.server.hidata.histream.HwHiStreamTraffic.getInstance();
                com.android.server.hidata.histream.HwHiStreamNetworkMonitor mHwHiStreamNetworkMonitor = com.android.server.hidata.histream.HwHiStreamNetworkMonitor.getInstance();
                if (!(appStatisticsInfo == null || mHwHiStreamNetworkMonitor == null)) {
                    if (mHwHiStreamTraffic != null) {
                        handleNetworkChange(appStatisticsInfo);
                        long curTime = java.lang.System.currentTimeMillis();
                        long curTime2;
                        if (5 != mplinkEvent) {
                            curTime2 = curTime;
                            if (4 == mplinkEvent || 3 == mplinkEvent || 7 == mplinkEvent || 9 == mplinkEvent) {
                                if (failReason == 0) {
                                    int i;
                                    if (0 != appStatisticsInfo.mLastMplinkTime) {
                                        appStatisticsInfo.mMplinkDur = (int) (((long) appStatisticsInfo.mMplinkDur) + ((curTime2 - appStatisticsInfo.mLastMplinkTime) / 1000));
                                        i = 9;
                                        appStatisticsInfo.mMplinkEnTraf = (int) (((long) appStatisticsInfo.mMplinkEnTraf) + ((mHwHiStreamTraffic.getTotalTraffic(0, curTime2, appStatisticsInfo.mUid, 801) - appStatisticsInfo.mMplinkStartTraffic) / 1000));
                                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                        stringBuilder2.append("onMplinkStateChange: mplink disable,mMplinkDur= ");
                                        stringBuilder2.append(appStatisticsInfo.mMplinkDur);
                                        stringBuilder2.append(",mMplinkEnTraf=");
                                        stringBuilder2.append(appStatisticsInfo.mMplinkEnTraf);
                                        com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder2.toString());
                                    } else {
                                        i = 9;
                                    }
                                    appStatisticsInfo.mLastMplinkTime = 0;
                                    updateHandoverInfo(appStatisticsInfo, mplinkEvent);
                                    if (3 == mplinkEvent) {
                                        appStatisticsInfo.mMplinkDisStallCnt++;
                                        appStatisticsInfo.mStallSwitchCnt++;
                                    } else if (4 == mplinkEvent) {
                                        appStatisticsInfo.mMplinkDisWifiGoodCnt++;
                                    } else if (i == mplinkEvent) {
                                        appStatisticsInfo.mStallSwitch0Cnt++;
                                    }
                                } else {
                                    appStatisticsInfo.mMplinkDisFailCnt++;
                                }
                            }
                        } else if (failReason != 20) {
                            switch (failReason) {
                                case 0:
                                    appStatisticsInfo.mStallSwitchCnt++;
                                    appStatisticsInfo.mMplinkEnCnt++;
                                    appStatisticsInfo.mLastMplinkTime = curTime;
                                    curTime2 = curTime;
                                    appStatisticsInfo.mMplinkStartTraffic = mHwHiStreamTraffic.getTotalTraffic(0, curTime, appStatisticsInfo.mUid, 801);
                                    updateHandoverInfo(appStatisticsInfo, mplinkEvent);
                                    break;
                                case 1:
                                    appStatisticsInfo.mMplinkEnFailCnt++;
                                    if (!huawei.android.net.hwmplink.MpLinkCommonUtils.isMpLinkEnabled(this.mContext)) {
                                        appStatisticsInfo.mHicureEnCnt++;
                                        break;
                                    } else {
                                        appStatisticsInfo.mMplinkEnFailEnvironCnt++;
                                        break;
                                    }
                                case 2:
                                    appStatisticsInfo.mMplinkEnFailCnt++;
                                    appStatisticsInfo.mMplinkEnFailCoexistCnt++;
                                    break;
                                case 3:
                                    appStatisticsInfo.mMplinkEnFailCnt++;
                                    appStatisticsInfo.mMplinkEnFailPingPongCnt++;
                                    break;
                                case 4:
                                    appStatisticsInfo.mMplinkEnFailCnt++;
                                    appStatisticsInfo.mMplinkEnFailHistoryQoeCnt++;
                                    break;
                                case 5:
                                    appStatisticsInfo.mMplinkEnFailCnt++;
                                    appStatisticsInfo.mMplinkEnFailChQoeCnt++;
                                    break;
                                default:
                                    break;
                            }
                        } else {
                            appStatisticsInfo.mMplinkEnFailCnt++;
                        }
                    }
                }
            }
        }
    }

    private void handleNetworkChange(com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo appStatisticsInfo) {
        com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo hwHistreamCHRStatisticsInfo = appStatisticsInfo;
        com.android.server.hidata.histream.HwHiStreamNetworkMonitor mHwHiStreamNetworkMonitor = com.android.server.hidata.histream.HwHiStreamNetworkMonitor.getInstance();
        if (hwHistreamCHRStatisticsInfo != null) {
            if (mHwHiStreamNetworkMonitor != null) {
                int networkType = mHwHiStreamNetworkMonitor.getCurrNetworkType(hwHistreamCHRStatisticsInfo.mUid);
                if (hwHistreamCHRStatisticsInfo.mCurrNetwork != networkType) {
                    long curTime = java.lang.System.currentTimeMillis();
                    mHwHiStreamNetworkMonitor.mLastHandoverTime = curTime;
                    if (800 != hwHistreamCHRStatisticsInfo.mCurrNetwork || 0 == hwHistreamCHRStatisticsInfo.mLastWifiTime) {
                        long j = 0;
                        if (801 == hwHistreamCHRStatisticsInfo.mCurrNetwork && j != hwHistreamCHRStatisticsInfo.mLastCellTime) {
                            hwHistreamCHRStatisticsInfo.mCallInCellularDur = (int) (((long) hwHistreamCHRStatisticsInfo.mCallInCellularDur) + ((curTime - hwHistreamCHRStatisticsInfo.mLastCellTime) / 1000));
                            hwHistreamCHRStatisticsInfo.mLastCellTime = 0;
                        }
                    } else {
                        hwHistreamCHRStatisticsInfo.mCallInWiFiDur = (int) (((long) hwHistreamCHRStatisticsInfo.mCallInWiFiDur) + ((curTime - hwHistreamCHRStatisticsInfo.mLastWifiTime) / 1000));
                        hwHistreamCHRStatisticsInfo.mLastWifiTime = 0;
                    }
                    if (800 == networkType) {
                        hwHistreamCHRStatisticsInfo.mLastWifiTime = curTime;
                        if (3000 > curTime - mHwHiStreamNetworkMonitor.mLastCellDisableTime || (true == mHwHiStreamNetworkMonitor.getMoblieDateSettings() && 6000 > curTime - mHwHiStreamNetworkMonitor.mLastWifiEnabledTime)) {
                            com.android.server.hidata.histream.HwHiStreamUtils.logD("+++++handleNetworkChange: USER manually handover to WiFi++++++");
                            hwHistreamCHRStatisticsInfo.mSwitch2WifiCnt++;
                            updateHandoverInfo(hwHistreamCHRStatisticsInfo, 1);
                        }
                    } else if (801 == networkType) {
                        hwHistreamCHRStatisticsInfo.mLastCellTime = curTime;
                        if (3000 > curTime - mHwHiStreamNetworkMonitor.mLastWifiDisabledTime) {
                            com.android.server.hidata.histream.HwHiStreamUtils.logD("+++++handleNetworkChange: USER manually handover to cellular++++++");
                            if (!huawei.android.net.hwmplink.MpLinkCommonUtils.isMpLinkEnabled(this.mContext)) {
                                hwHistreamCHRStatisticsInfo.mHicureSucCnt++;
                            }
                            hwHistreamCHRStatisticsInfo.mSwitch2CellCnt++;
                            updateHandoverInfo(hwHistreamCHRStatisticsInfo, 2);
                        }
                    }
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("handleNetworkChange: mScenario=");
                    stringBuilder.append(hwHistreamCHRStatisticsInfo.mScenario);
                    stringBuilder.append(",oldNetwork=");
                    stringBuilder.append(hwHistreamCHRStatisticsInfo.mCurrNetwork);
                    stringBuilder.append(",currNetwork=");
                    stringBuilder.append(networkType);
                    stringBuilder.append(",CallInWiFiDur=");
                    stringBuilder.append(hwHistreamCHRStatisticsInfo.mCallInWiFiDur);
                    stringBuilder.append(",mCallInCellularDur=");
                    stringBuilder.append(hwHistreamCHRStatisticsInfo.mCallInCellularDur);
                    com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder.toString());
                    hwHistreamCHRStatisticsInfo.mCurrNetwork = networkType;
                }
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:47:0x0148  */
    private void updateHandoverInfo(com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo r14, int r15) {
        /*
        r13 = this;
        r0 = java.lang.System.currentTimeMillis();
        r2 = com.android.server.hidata.channelqoe.HwChannelQoEManager.getInstance();
        r3 = r13.mUploadHandoverStartCountTime;
        r3 = r0 - r3;
        r5 = 86400000; // 0x5265c00 float:7.82218E-36 double:4.2687272E-316;
        r3 = (r5 > r3 ? 1 : (r5 == r3 ? 0 : -1));
        r4 = 0;
        if (r3 >= 0) goto L_0x0018;
    L_0x0014:
        r13.mUploadHandoverCount = r4;
        r13.mUploadHandoverStartCountTime = r0;
    L_0x0018:
        r3 = 20;
        r5 = r13.mUploadHandoverCount;
        if (r3 <= r5) goto L_0x0190;
    L_0x001e:
        if (r14 == 0) goto L_0x0190;
    L_0x0020:
        if (r2 != 0) goto L_0x0024;
    L_0x0022:
        goto L_0x0190;
    L_0x0024:
        r3 = new com.android.server.hidata.histream.HwHistreamCHRHandoverInfo;
        r3.<init>();
        r5 = r14.mCallId;
        r3.mCallId = r5;
        r5 = r14.mApkName;
        r3.mApkName = r5;
        r5 = r14.mScenario;
        r3.mScenario = r5;
        r3.mEventType = r15;
        r5 = r13.mHandoverEventId;
        r3.mEventId = r5;
        r5 = r14.mLastHandoverCause;
        r3.mSwitchCauseBef = r5;
        r5 = 6000; // 0x1770 float:8.408E-42 double:2.9644E-320;
        r7 = java.lang.System.currentTimeMillis();
        r9 = r14.mLastBadQoeTime;
        r7 = r7 - r9;
        r5 = (r5 > r7 ? 1 : (r5 == r7 ? 0 : -1));
        if (r5 < 0) goto L_0x0051;
    L_0x004c:
        r5 = r14.mLastQoe;
        r3.mStreamQoeBef = r5;
        goto L_0x0055;
    L_0x0051:
        r5 = 106; // 0x6a float:1.49E-43 double:5.24E-322;
        r3.mStreamQoeBef = r5;
    L_0x0055:
        r5 = r14.mUserType;
        r6 = 2;
        if (r6 != r5) goto L_0x005c;
    L_0x005a:
        r3.mCellFreq = r6;
    L_0x005c:
        r5 = r13.mHandoverEventId;
        r7 = 1;
        r5 = r5 + r7;
        r13.mHandoverEventId = r5;
        r5 = 0;
        r8 = 800; // 0x320 float:1.121E-42 double:3.953E-321;
        r9 = 5;
        r10 = 4;
        r11 = 3;
        r12 = 801; // 0x321 float:1.122E-42 double:3.957E-321;
        if (r7 == r15) goto L_0x00dd;
    L_0x006c:
        if (r11 == r15) goto L_0x00dd;
    L_0x006e:
        if (r10 == r15) goto L_0x00dd;
    L_0x0070:
        r7 = 7;
        if (r7 == r15) goto L_0x00dd;
    L_0x0073:
        r7 = 9;
        if (r7 != r15) goto L_0x0078;
    L_0x0077:
        goto L_0x00dd;
    L_0x0078:
        if (r6 == r15) goto L_0x007c;
    L_0x007a:
        if (r9 != r15) goto L_0x013c;
    L_0x007c:
        r6 = r13.mLastWifiInfo;
        r6 = r6.mSsid;
        r3.mWifiSsidBef = r6;
        r6 = r13.mLastWifiInfo;
        r6 = r6.mRssi;
        r3.mWifiRssiBef = r6;
        r6 = r13.mLastWifiInfo;
        r6 = r6.mChannel;
        r3.mWifiChBef = r6;
        r6 = r13.mLastWifiInfo;
        r6 = r6.mFailRate;
        r3.mWifiTxFail1Bef = r6;
        r6 = r13.mLastWifiInfo;
        r6 = r6.mChLoad;
        r3.mWifiChLoad = r6;
        r6 = r13.mLastWifiInfo;
        r6 = r6.mSnr;
        r3.mWifiSnr = r6;
        r6 = r13.mLastWifiInfo;
        r6 = r6.mApType;
        r3.mApType = r6;
        r13.updateTup(r14, r8);
        r6 = r14.mWifiRxTup1;
        r3.mWifiRxTup1Bef = r6;
        r6 = r14.mWifiRxTup2;
        r3.mWifiRxTup2Bef = r6;
        r6 = r2.getHistoryMseasureInfo(r12);
        if (r6 == 0) goto L_0x00be;
    L_0x00b8:
        r7 = r6.getRttBef();
        r3.mRttBef = r7;
    L_0x00be:
        r5 = r2.getCurrentSignalState(r12, r4, r13);
        if (r5 == 0) goto L_0x013c;
    L_0x00c4:
        r7 = r5.getSigPwr();
        r3.mCellSig = r7;
        r7 = r5.getSigQual();
        r3.mCellQuality = r7;
        r7 = r5.getSigSnr();
        r3.mCellSinr = r7;
        r7 = r5.getNetwork();
        r3.mCellRat = r7;
        goto L_0x013c;
    L_0x00dd:
        r6 = r13.mWifiManager;
        r6 = r6.getConnectionInfo();
        if (r6 == 0) goto L_0x0109;
    L_0x00e5:
        r7 = r6.getSSID();
        r3.mWifiSsidAft = r7;
        r7 = r6.getRssi();
        r3.mWifiRssiAft = r7;
        r7 = r6.getFrequency();
        r3.mWifiChAft = r7;
        r7 = r6.getSnr();
        r3.mWifiSnr = r7;
        r7 = r6.getChload();
        r3.mWifiChLoad = r7;
        r7 = r13.getAPType();
        r3.mApType = r7;
        r7 = r2.getHistoryMseasureInfo(r8);
        if (r7 == 0) goto L_0x0116;
    L_0x0110:
        r8 = r7.getRttBef();
        r3.mRttBef = r8;
    L_0x0116:
        r13.updateTup(r14, r12);
        r8 = r14.mCelluarRxTup1;
        r3.mCellRxTup = r8;
        r7 = r2.getHistoryMseasureInfo(r12);
        if (r7 == 0) goto L_0x013b;
    L_0x0123:
        r8 = r7.getQual();
        r3.mCellQuality = r8;
        r8 = r7.getSnr();
        r3.mCellSinr = r8;
        r8 = r7.getRat();
        r3.mCellRat = r8;
        r8 = r7.getPwr();
        r3.mCellSig = r8;
    L_0x013c:
        r14.mLastHandoverCause = r15;
        if (r11 == r15) goto L_0x0142;
    L_0x0140:
        if (r9 != r15) goto L_0x0152;
    L_0x0142:
        r6 = com.android.server.hidata.wavemapping.chr.QueryHistAppQoeService.getInstance();
        if (r6 == 0) goto L_0x0152;
    L_0x0148:
        r7 = 4000; // 0xfa0 float:5.605E-42 double:1.9763E-320;
        r8 = r3.mScenario;
        r4 = r6.queryRecordByApp(r7, r4, r8);
        r3.mWavemappingInfo = r4;
    L_0x0152:
        r4 = r13.mHandoverInfolist;
        r4.add(r3);
        r4 = new java.lang.StringBuilder;
        r4.<init>();
        r6 = "updateHandoverInfo : handover event, event=";
        r4.append(r6);
        r4.append(r15);
        r6 = ",eventId=";
        r4.append(r6);
        r6 = r3.mEventId;
        r4.append(r6);
        r4 = r4.toString();
        com.android.server.hidata.histream.HwHiStreamUtils.logD(r4);
        r4 = new android.os.Bundle;
        r4.<init>();
        r6 = "eventNum";
        r7 = r3.mEventId;
        r4.putInt(r6, r7);
        r6 = r13.mCHRManagerHandler;
        r7 = r13.mCHRManagerHandler;
        r7 = r7.obtainMessage(r10, r4);
        r8 = 8000; // 0x1f40 float:1.121E-41 double:3.9525E-320;
        r6.sendMessageDelayed(r7, r8);
        return;
    L_0x0190:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.histream.HwHiStreamCHRManager.updateHandoverInfo(com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo, int):void");
    }

    public int getAPType() {
        android.net.wifi.WifiInfo wifiInfo = this.mWifiManager.getConnectionInfo();
        if (wifiInfo != null) {
            int type = getAuthType(wifiInfo.getNetworkId());
            if (type == 1 || type == 4) {
                return 0;
            }
        }
        return 1;
    }

    private int getAuthType(int networkId) {
        java.util.List<android.net.wifi.WifiConfiguration> configs = this.mWifiManager.getConfiguredNetworks();
        if (configs != null) {
            if (configs.size() != 0) {
                for (android.net.wifi.WifiConfiguration config : configs) {
                    if (config != null && isValid(config) && networkId == config.networkId) {
                        return config.getAuthType();
                    }
                }
                return -1;
            }
        }
        return -1;
    }

    private boolean isValid(android.net.wifi.WifiConfiguration config) {
        boolean z = false;
        if (config == null) {
            return false;
        }
        if (config.allowedKeyManagement.cardinality() <= 1) {
            z = true;
        }
        return z;
    }

    public void onCurrentRtt(int rtt) {
        this.mCurNetRtt = rtt;
        this.mLastGetCurRttTime = java.lang.System.currentTimeMillis();
    }

    public void onChannelQuality(int UID, int sense, int network, int label) {
    }

    public void onWifiLinkQuality(int UID, int sense, int label) {
    }

    public void onCellPSAvailable(boolean isOK, int reason) {
    }

    private com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo getCurStatisticsInfo() {
        if (this.mOtherAppStatisticsInfo != null) {
            return this.mOtherAppStatisticsInfo;
        }
        if (this.mWechatStatisticsInfo != null) {
            return this.mWechatStatisticsInfo;
        }
        return null;
    }

    private void sendCHRCollectParaEvent(com.android.server.hidata.histream.HwHistreamCHRMachineInfo machineInfo) {
        if (machineInfo != null) {
            this.mUploadCollectParaCount++;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sendCHRCollectParaEvent: mUploadCollectParaCount=");
            stringBuilder.append(this.mUploadCollectParaCount);
            com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder.toString());
            android.util.IMonitor.EventStream collectParaEventStream = android.util.IMonitor.openEventStream(909002042);
            if (collectParaEventStream != null) {
                collectParaEventStream.setParam((short) 0, machineInfo.mRxTup1Bef).setParam((short) 1, machineInfo.mRxTup2Bef).setParam((short) 2, machineInfo.mChLoad).setParam((short) 3, machineInfo.mTxFail1Bef).setParam((short) 4, machineInfo.mTxFail2Bef).setParam((short) 5, machineInfo.mApkName).setParam((short) 6, machineInfo.mScenario).setParam((short) 7, machineInfo.mStreamQoe).setParam((short) 8, machineInfo.mWechatVideoQoe).setParam((short) 9, machineInfo.mRAT).setParam((short) 10, machineInfo.mWifiRssi).setParam((short) 11, machineInfo.mWifiSnr).setParam((short) 12, machineInfo.mCellSig).setParam((short) 13, machineInfo.mCellQuality).setParam((short) 14, machineInfo.mCellSinr).setParam((short) 15, machineInfo.mNetDlTup).setParam((short) 16, machineInfo.mNetRtt);
                android.util.IMonitor.sendEvent(collectParaEventStream);
                android.util.IMonitor.closeEventStream(collectParaEventStream);
            }
        }
    }

    private void sendCHRHandoverEvent(com.android.server.hidata.histream.HwHistreamCHRHandoverInfo handoverInfo) {
        com.android.server.hidata.histream.HwHistreamCHRHandoverInfo hwHistreamCHRHandoverInfo = handoverInfo;
        android.util.IMonitor.EventStream handoverEventStream = android.util.IMonitor.openEventStream(909002039);
        if (hwHistreamCHRHandoverInfo != null) {
            if (handoverEventStream != null) {
                android.util.IMonitor.EventStream spaceInfoStream = null;
                android.util.IMonitor.EventStream historyRecordStream = null;
                this.mUploadHandoverCount++;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("sendCHRHandoverEvent: mUploadHandoverCount=");
                stringBuilder.append(this.mUploadHandoverCount);
                com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder.toString());
                handoverEventStream.setParam((short) 0, hwHistreamCHRHandoverInfo.mApkName).setParam((short) 1, hwHistreamCHRHandoverInfo.mScenario).setParam((short) 2, hwHistreamCHRHandoverInfo.mEventType).setParam((short) 3, hwHistreamCHRHandoverInfo.mWifiSsidBef).setParam((short) 4, hwHistreamCHRHandoverInfo.mWifiRssiBef).setParam((short) 5, hwHistreamCHRHandoverInfo.mWifiChBef).setParam((short) 6, hwHistreamCHRHandoverInfo.mWifiSsidAft).setParam((short) 7, hwHistreamCHRHandoverInfo.mWifiRssiAft).setParam((short) 8, hwHistreamCHRHandoverInfo.mWifiChAft).setParam((short) 9, hwHistreamCHRHandoverInfo.mCellRat).setParam((short) 10, hwHistreamCHRHandoverInfo.mCellSig).setParam((short) 11, hwHistreamCHRHandoverInfo.mCellFreq).setParam((short) 12, hwHistreamCHRHandoverInfo.mWifiRxTup1Bef).setParam((short) 13, hwHistreamCHRHandoverInfo.mWifiRxTup2Bef).setParam((short) 14, hwHistreamCHRHandoverInfo.mWifiChLoad).setParam((short) 15, hwHistreamCHRHandoverInfo.mWifiTxFail1Bef).setParam((short) 16, hwHistreamCHRHandoverInfo.mWifiTxFail2Bef).setParam((short) 17, hwHistreamCHRHandoverInfo.mWifiRxTupAft).setParam((short) 18, hwHistreamCHRHandoverInfo.mCellRxTup).setParam((short) 19, hwHistreamCHRHandoverInfo.mSwitchCauseBef).setParam((short) 20, hwHistreamCHRHandoverInfo.mWifiSnr).setParam((short) 21, hwHistreamCHRHandoverInfo.mCellQuality).setParam((short) 22, hwHistreamCHRHandoverInfo.mCellSinr).setParam((short) 23, hwHistreamCHRHandoverInfo.mStreamQoeBef).setParam((short) 24, hwHistreamCHRHandoverInfo.mStreamQoeAft).setParam((short) 25, hwHistreamCHRHandoverInfo.mApType).setParam((short) 27, hwHistreamCHRHandoverInfo.mTupBef).setParam((short) 28, hwHistreamCHRHandoverInfo.mRttBef);
                if (hwHistreamCHRHandoverInfo.mWavemappingInfo != null) {
                    spaceInfoStream = android.util.IMonitor.openEventStream(909009047);
                    historyRecordStream = android.util.IMonitor.openEventStream(909009048);
                    if (!(spaceInfoStream == null || historyRecordStream == null)) {
                        spaceInfoStream.setParam((short) 0, hwHistreamCHRHandoverInfo.mWavemappingInfo.spaceId_all).setParam((short) 1, hwHistreamCHRHandoverInfo.mWavemappingInfo.modelVer_all).setParam((short) 2, hwHistreamCHRHandoverInfo.mWavemappingInfo.spaceId_main).setParam((short) 3, hwHistreamCHRHandoverInfo.mWavemappingInfo.modelVer_main).setParam((short) 4, hwHistreamCHRHandoverInfo.mWavemappingInfo.spaceId_cell).setParam((short) 5, hwHistreamCHRHandoverInfo.mWavemappingInfo.modelVer_cell).setParam((short) 6, hwHistreamCHRHandoverInfo.mWavemappingInfo.netIdCnt).setParam((short) 7, hwHistreamCHRHandoverInfo.mWavemappingInfo.netName).setParam((short) 8, hwHistreamCHRHandoverInfo.mWavemappingInfo.netFreq).setParam((short) 9, hwHistreamCHRHandoverInfo.mWavemappingInfo.netType).setParam((short) 10, hwHistreamCHRHandoverInfo.mWavemappingInfo.recordDays);
                        historyRecordStream.setParam((short) 0, hwHistreamCHRHandoverInfo.mScenario).setParam((short) 1, spaceInfoStream).setParam((short) 2, hwHistreamCHRHandoverInfo.mWavemappingInfo.duration).setParam((short) 3, hwHistreamCHRHandoverInfo.mWavemappingInfo.goodCnt).setParam((short) 4, hwHistreamCHRHandoverInfo.mWavemappingInfo.poorCnt).setParam((short) 5, hwHistreamCHRHandoverInfo.mWavemappingInfo.dataRx).setParam((short) 6, hwHistreamCHRHandoverInfo.mWavemappingInfo.dataTx);
                        handoverEventStream.setParam((short) 26, historyRecordStream);
                    }
                } else {
                    com.android.server.hidata.histream.HwHiStreamUtils.logD("sendCHRHandoverEvent:wave mapping history info is null");
                }
                android.util.IMonitor.sendEvent(handoverEventStream);
                android.util.IMonitor.closeEventStream(spaceInfoStream);
                android.util.IMonitor.closeEventStream(historyRecordStream);
                android.util.IMonitor.closeEventStream(handoverEventStream);
            }
        }
    }

    private void sendCHRStatisticEvent(com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo appStatisticsInfo) {
        com.android.server.hidata.histream.HwHistreamCHRStatisticsInfo hwHistreamCHRStatisticsInfo = appStatisticsInfo;
        if (hwHistreamCHRStatisticsInfo != null) {
            android.util.IMonitor.EventStream statisticsStream = null;
            int i = hwHistreamCHRStatisticsInfo.mScenario;
            if (i != 100501) {
                switch (i) {
                    case 100105:
                        statisticsStream = android.util.IMonitor.openEventStream(909002041);
                        if (statisticsStream != null) {
                            statisticsStream.setParam((short) 0, hwHistreamCHRStatisticsInfo.mNum).setParam((short) 1, hwHistreamCHRStatisticsInfo.mStartInCellularCnt).setParam((short) 2, hwHistreamCHRStatisticsInfo.mStartInWiFiCnt).setParam((short) 3, hwHistreamCHRStatisticsInfo.mCallInCellularDur).setParam((short) 4, hwHistreamCHRStatisticsInfo.mCallInWiFiDur).setParam((short) 5, hwHistreamCHRStatisticsInfo.mCellLv1Cnt).setParam((short) 6, hwHistreamCHRStatisticsInfo.mCellLv2Cnt).setParam((short) 7, hwHistreamCHRStatisticsInfo.mCellLv3Cnt).setParam((short) 8, hwHistreamCHRStatisticsInfo.mWiFiLv1Cnt).setParam((short) 9, hwHistreamCHRStatisticsInfo.mWiFiLv2Cnt).setParam((short) 10, hwHistreamCHRStatisticsInfo.mWiFiLv3Cnt).setParam((short) 11, hwHistreamCHRStatisticsInfo.mTrfficCell).setParam((short) 12, hwHistreamCHRStatisticsInfo.mVipSwitchCnt).setParam((short) 13, hwHistreamCHRStatisticsInfo.mStallSwitchCnt).setParam((short) 14, hwHistreamCHRStatisticsInfo.mStallSwitch0Cnt).setParam((short) 15, hwHistreamCHRStatisticsInfo.mStallSwitch1Cnt).setParam((short) 16, hwHistreamCHRStatisticsInfo.mStallSwitchAbove1Cnt).setParam((short) 17, hwHistreamCHRStatisticsInfo.mSwitch2CellCnt).setParam((short) 18, hwHistreamCHRStatisticsInfo.mSwitch2WifiCnt).setParam((short) 19, hwHistreamCHRStatisticsInfo.mMplinkDur).setParam((short) 20, hwHistreamCHRStatisticsInfo.mMplinkEnCnt).setParam((short) 21, hwHistreamCHRStatisticsInfo.mMplinkDisStallCnt).setParam((short) 22, hwHistreamCHRStatisticsInfo.mMplinkDisWifiGoodCnt).setParam((short) 23, hwHistreamCHRStatisticsInfo.mMplinkEnFailCnt).setParam((short) 24, hwHistreamCHRStatisticsInfo.mMplinkDisFailCnt).setParam((short) 25, hwHistreamCHRStatisticsInfo.mMplinkEnTraf).setParam((short) 26, hwHistreamCHRStatisticsInfo.mMplinkEnFailEnvironCnt).setParam((short) 27, hwHistreamCHRStatisticsInfo.mMplinkEnFailCoexistCnt).setParam((short) 28, hwHistreamCHRStatisticsInfo.mMplinkEnFailPingPongCnt).setParam((short) 29, hwHistreamCHRStatisticsInfo.mMplinkEnFailHistoryQoeCnt).setParam((short) 30, hwHistreamCHRStatisticsInfo.mMplinkEnFailChQoeCnt).setParam((short) 31, hwHistreamCHRStatisticsInfo.mHicureEnCnt).setParam((short) 32, hwHistreamCHRStatisticsInfo.mHicureSucCnt);
                            break;
                        }
                        return;
                    case 100106:
                        statisticsStream = android.util.IMonitor.openEventStream(909002040);
                        if (statisticsStream != null) {
                            statisticsStream.setParam((short) 0, hwHistreamCHRStatisticsInfo.mNum).setParam((short) 1, hwHistreamCHRStatisticsInfo.mStartInCellularCnt).setParam((short) 2, hwHistreamCHRStatisticsInfo.mStartInWiFiCnt).setParam((short) 3, hwHistreamCHRStatisticsInfo.mCallInCellularDur).setParam((short) 4, hwHistreamCHRStatisticsInfo.mCallInWiFiDur).setParam((short) 5, hwHistreamCHRStatisticsInfo.mCellLv1Cnt).setParam((short) 6, hwHistreamCHRStatisticsInfo.mCellLv2Cnt).setParam((short) 7, hwHistreamCHRStatisticsInfo.mCellLv3Cnt).setParam((short) 8, hwHistreamCHRStatisticsInfo.mWiFiLv1Cnt).setParam((short) 9, hwHistreamCHRStatisticsInfo.mWiFiLv2Cnt).setParam((short) 10, hwHistreamCHRStatisticsInfo.mWiFiLv3Cnt).setParam((short) 11, hwHistreamCHRStatisticsInfo.mTrfficCell).setParam((short) 12, hwHistreamCHRStatisticsInfo.mVipSwitchCnt).setParam((short) 13, hwHistreamCHRStatisticsInfo.mStallSwitchCnt).setParam((short) 14, hwHistreamCHRStatisticsInfo.mStallSwitch0Cnt).setParam((short) 15, hwHistreamCHRStatisticsInfo.mStallSwitch1Cnt).setParam((short) 16, hwHistreamCHRStatisticsInfo.mStallSwitchAbove1Cnt).setParam((short) 17, hwHistreamCHRStatisticsInfo.mSwitch2CellCnt).setParam((short) 18, hwHistreamCHRStatisticsInfo.mSwitch2WifiCnt).setParam((short) 19, hwHistreamCHRStatisticsInfo.mMplinkDur).setParam((short) 20, hwHistreamCHRStatisticsInfo.mMplinkEnCnt).setParam((short) 21, hwHistreamCHRStatisticsInfo.mMplinkDisStallCnt).setParam((short) 22, hwHistreamCHRStatisticsInfo.mMplinkDisWifiGoodCnt).setParam((short) 23, hwHistreamCHRStatisticsInfo.mMplinkEnFailCnt).setParam((short) 24, hwHistreamCHRStatisticsInfo.mMplinkDisFailCnt).setParam((short) 25, hwHistreamCHRStatisticsInfo.mMplinkEnTraf).setParam((short) 26, hwHistreamCHRStatisticsInfo.mMplinkEnFailEnvironCnt).setParam((short) 27, hwHistreamCHRStatisticsInfo.mMplinkEnFailCoexistCnt).setParam((short) 28, hwHistreamCHRStatisticsInfo.mMplinkEnFailPingPongCnt).setParam((short) 29, hwHistreamCHRStatisticsInfo.mMplinkEnFailHistoryQoeCnt).setParam((short) 30, hwHistreamCHRStatisticsInfo.mMplinkEnFailChQoeCnt).setParam((short) 31, hwHistreamCHRStatisticsInfo.mHicureEnCnt).setParam((short) 32, hwHistreamCHRStatisticsInfo.mHicureSucCnt);
                            break;
                        }
                        return;
                    default:
                        break;
                }
            }
            statisticsStream = android.util.IMonitor.openEventStream(909002053);
            if (statisticsStream != null) {
                statisticsStream.setParam((short) 0, hwHistreamCHRStatisticsInfo.mNum).setParam((short) 1, hwHistreamCHRStatisticsInfo.mStartInCellularCnt).setParam((short) 2, hwHistreamCHRStatisticsInfo.mStartInWiFiCnt).setParam((short) 3, hwHistreamCHRStatisticsInfo.mCallInCellularDur).setParam((short) 4, hwHistreamCHRStatisticsInfo.mCallInWiFiDur).setParam((short) 5, hwHistreamCHRStatisticsInfo.mCellLv1Cnt).setParam((short) 6, hwHistreamCHRStatisticsInfo.mCellLv2Cnt).setParam((short) 7, hwHistreamCHRStatisticsInfo.mCellLv3Cnt).setParam((short) 8, hwHistreamCHRStatisticsInfo.mWiFiLv1Cnt).setParam((short) 9, hwHistreamCHRStatisticsInfo.mWiFiLv2Cnt).setParam((short) 10, hwHistreamCHRStatisticsInfo.mWiFiLv3Cnt).setParam((short) 11, hwHistreamCHRStatisticsInfo.mTrfficCell).setParam((short) 12, hwHistreamCHRStatisticsInfo.mStallSwitch0Cnt).setParam((short) 13, hwHistreamCHRStatisticsInfo.mStallSwitch1Cnt).setParam((short) 14, hwHistreamCHRStatisticsInfo.mStallSwitchAbove1Cnt).setParam((short) 15, hwHistreamCHRStatisticsInfo.mSwitch2CellCnt).setParam((short) 16, hwHistreamCHRStatisticsInfo.mSwitch2WifiCnt).setParam((short) 17, hwHistreamCHRStatisticsInfo.mMplinkDur).setParam((short) 18, hwHistreamCHRStatisticsInfo.mMplinkEnCnt).setParam((short) 19, hwHistreamCHRStatisticsInfo.mMplinkDisStallCnt).setParam((short) 20, hwHistreamCHRStatisticsInfo.mMplinkDisWifiGoodCnt).setParam((short) 21, hwHistreamCHRStatisticsInfo.mMplinkEnFailCnt).setParam((short) 22, hwHistreamCHRStatisticsInfo.mMplinkDisFailCnt).setParam((short) 23, hwHistreamCHRStatisticsInfo.mMplinkEnTraf).setParam((short) 24, hwHistreamCHRStatisticsInfo.mMplinkEnFailEnvironCnt).setParam((short) 25, hwHistreamCHRStatisticsInfo.mMplinkEnFailCoexistCnt).setParam((short) 26, hwHistreamCHRStatisticsInfo.mMplinkEnFailPingPongCnt).setParam((short) 27, hwHistreamCHRStatisticsInfo.mMplinkEnFailHistoryQoeCnt).setParam((short) 28, hwHistreamCHRStatisticsInfo.mMplinkEnFailChQoeCnt).setParam((short) 29, hwHistreamCHRStatisticsInfo.mHicureEnCnt).setParam((short) 30, hwHistreamCHRStatisticsInfo.mHicureSucCnt);
            } else {
                return;
            }
            android.util.IMonitor.sendEvent(statisticsStream);
            android.util.IMonitor.closeEventStream(statisticsStream);
        }
    }
}
