package com.android.server.hidata.histream;

public class HwHiStreamManager implements com.android.server.hidata.histream.IHwHiStreamCallback {
    public static final int MSG_APP_MONITOR = 1;
    public static final int MSG_CHR_HANDOVER_GET_TUP_EVENT = 4;
    public static final int MSG_CHR_HANDOVER_UPLOAD_EVENT = 5;
    public static final int MSG_CHR_STALL_EVENT_DALAY_UPLOAD = 6;
    public static final int MSG_CHR_START_COLLECT_PARA = 7;
    public static final int MSG_CHR_UPLOAD_COLLECT_PARA = 8;
    public static final int MSG_MPLINK_STATE_CHANGE_EVENT = 12;
    public static final int MSG_NETWORK_CHANGE = 3;
    public static final int MSG_NOTIFY_APP_STATE_CHANGE = 2;
    public static final int MSG_NO_DATA_DETECT_EVENT = 10;
    public static final int MSG_STALL_DETECTED_EVENT = 9;
    public static final int MSG_UPDATE_TRAFFIC_EVENT = 11;
    private static com.android.server.hidata.histream.HwHiStreamManager mHwHiStreamManager = null;
    private int mCurrUserType = 1;
    private com.android.server.hidata.histream.HwHiStreamCHRManager mHwHiStreamCHRManager = null;
    private com.android.server.hidata.histream.HwHiStreamContentAware mHwHiStreamContentAware = null;
    private com.android.server.hidata.histream.HwHiStreamNetworkMonitor mHwHiStreamNetworkMonitor = null;
    private com.android.server.hidata.histream.HwHiStreamQoeMonitor mHwHiStreamQoeMonitor = null;
    private com.android.server.hidata.histream.HwHistreamUserLearning mHwHistreamUserLearning = null;
    private android.os.Handler mManagerHandler;
    private com.android.server.hidata.histream.IHwHistreamQoeCallback mQoeCallback;

    private HwHiStreamManager(android.content.Context context) {
        initHistreamManagerHandler();
        this.mHwHiStreamCHRManager = com.android.server.hidata.histream.HwHiStreamCHRManager.createInstance(context, this.mManagerHandler);
        this.mHwHiStreamContentAware = com.android.server.hidata.histream.HwHiStreamContentAware.createInstance(context, this, this.mManagerHandler);
        this.mHwHiStreamNetworkMonitor = com.android.server.hidata.histream.HwHiStreamNetworkMonitor.createInstance(context, this.mManagerHandler);
        this.mHwHiStreamQoeMonitor = com.android.server.hidata.histream.HwHiStreamQoeMonitor.createInstance(context, this.mManagerHandler);
        this.mHwHistreamUserLearning = com.android.server.hidata.histream.HwHistreamUserLearning.createInstance(context);
        com.android.server.hidata.histream.HwHiStreamTraffic.createInstance(context);
        com.android.server.hidata.histream.HwHiStreamUtils.logD("histream create");
    }

    public static com.android.server.hidata.histream.HwHiStreamManager createInstance(android.content.Context context) {
        if (mHwHiStreamManager == null) {
            mHwHiStreamManager = new com.android.server.hidata.histream.HwHiStreamManager(context);
        }
        return mHwHiStreamManager;
    }

    public static com.android.server.hidata.histream.HwHiStreamManager getInstance() {
        return mHwHiStreamManager;
    }

    public synchronized void registCHRCallback(com.android.server.hidata.arbitration.IHiDataCHRCallBack callback) {
        this.mHwHiStreamCHRManager.registCHRCallback(callback);
    }

    public void registerHistreamQoeCallback(com.android.server.hidata.histream.IHwHistreamQoeCallback callback) {
        this.mQoeCallback = callback;
    }

    private void initHistreamManagerHandler() {
        android.os.HandlerThread handlerThread = new android.os.HandlerThread("HwHiStreamManager_handler_thread");
        handlerThread.start();
        this.mManagerHandler = new android.os.Handler(handlerThread.getLooper()) {
            public void handleMessage(android.os.Message msg) {
                switch (msg.what) {
                    case 1:
                        com.android.server.hidata.histream.HwHiStreamManager.this.mHwHiStreamContentAware.handleAppMonotor();
                        return;
                    case 2:
                        com.android.server.hidata.histream.HwHiStreamManager.this.mHwHiStreamContentAware.handleNotifyAppStateChange(msg);
                        return;
                    case 3:
                        com.android.server.hidata.histream.HwHiStreamManager.this.handleNetworkChange(msg);
                        return;
                    case 4:
                    case 5:
                        com.android.server.hidata.histream.HwHiStreamManager.this.mHwHiStreamCHRManager.handleUploadHandoverInfo(msg);
                        return;
                    case 6:
                        com.android.server.hidata.histream.HwHiStreamManager.this.mHwHiStreamCHRManager.handleUploadStallEventDelay(msg);
                        return;
                    case 7:
                        com.android.server.hidata.histream.HwHiStreamManager.this.mHwHiStreamCHRManager.handleStartCollectPara();
                        return;
                    case 8:
                        com.android.server.hidata.histream.HwHiStreamManager.this.mHwHiStreamCHRManager.handleUploadCollectPara();
                        return;
                    case 9:
                        com.android.server.hidata.histream.HwHiStreamManager.this.onStallDetectedCallback(msg);
                        return;
                    case 10:
                        com.android.server.hidata.histream.HwHiStreamManager.this.mHwHiStreamContentAware.onNodataDetected();
                        return;
                    case 11:
                        com.android.server.hidata.histream.HwHiStreamManager.this.onUpdateTraffic(msg);
                        return;
                    case 12:
                        if (com.android.server.hidata.histream.HwHiStreamManager.this.mHwHiStreamCHRManager != null) {
                            com.android.server.hidata.histream.HwHiStreamManager.this.mHwHiStreamCHRManager.onMplinkStateChange(msg);
                            return;
                        }
                        return;
                    default:
                        return;
                }
            }
        };
    }

    public void onAPPStateChangeCallback(com.android.server.hidata.appqoe.HwAPPStateInfo stateInfo, int appState) {
        if (stateInfo == null) {
            com.android.server.hidata.histream.HwHiStreamUtils.logD("onAPPStateChangeCallback: stateInfo is null");
            return;
        }
        stateInfo.mNetworkType = this.mHwHiStreamNetworkMonitor.getCurrNetworkType(stateInfo.mAppUID);
        this.mHwHistreamUserLearning.onAPPStateChange(stateInfo, appState);
        if (100 == appState) {
            this.mCurrUserType = this.mHwHistreamUserLearning.getUserType(stateInfo);
            stateInfo.mUserType = this.mCurrUserType;
        }
        this.mHwHiStreamCHRManager.onCHRAppStateChange(stateInfo, appState);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onAPPStateChangeCallback:");
        stringBuilder.append(stateInfo.toString());
        com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder.toString());
        this.mHwHiStreamQoeMonitor.onAPPStateChange(stateInfo, appState);
        com.android.server.hidata.appqoe.IHwAPPQoECallback brainCallback = getArbitrationCallback();
        if (brainCallback != null) {
            brainCallback.onAPPStateCallBack(stateInfo, appState);
        } else {
            com.android.server.hidata.histream.HwHiStreamUtils.logD("onAPPStateChangeCallback: brainCallback is null");
        }
        com.android.server.hidata.appqoe.IHwAPPQoECallback mVMCallback = getWaveMappingCallback();
        if (mVMCallback != null) {
            mVMCallback.onAPPStateCallBack(stateInfo, appState);
        } else {
            com.android.server.hidata.histream.HwHiStreamUtils.logD("onAPPStateChangeCallback: mVMCallback is null");
        }
    }

    public void handleNetworkChange(android.os.Message msg) {
        if (msg != null) {
            if (msg.obj != null) {
                switch (msg.obj.getInt("event")) {
                    case 1:
                        com.android.server.hidata.histream.HwHiStreamUtils.logD("+++++++WIFI disabled ++++++");
                        this.mHwHistreamUserLearning.onWifiDisabled();
                        break;
                    case 2:
                        com.android.server.hidata.histream.HwHiStreamUtils.logD("+++++++MOBILE DATA disabled ++++++");
                        this.mHwHistreamUserLearning.onMobileDataDisabled();
                        break;
                    case 3:
                        this.mHwHiStreamCHRManager.onNetworkChange();
                        break;
                    default:
                        break;
                }
            }
        }
    }

    private void onStallDetectedCallback(android.os.Message msg) {
        if (msg != null) {
            if (msg.obj != null) {
                android.os.Bundle bundle = msg.obj;
                int appSceneId = bundle.getInt("appSceneId");
                int detectResult = bundle.getInt("detectResult");
                com.android.server.hidata.appqoe.HwAPPStateInfo stateInfo = this.mHwHiStreamContentAware.getCurAPPStateInfo(appSceneId);
                if (stateInfo == null) {
                    com.android.server.hidata.histream.HwHiStreamUtils.logD("onStallDetectedCallback: stateInfo is null");
                    return;
                }
                stateInfo.mNetworkType = this.mHwHiStreamNetworkMonitor.getCurrNetworkType(stateInfo.mAppUID);
                com.android.server.hidata.appqoe.IHwAPPQoECallback brainCallback = getArbitrationCallback();
                if (brainCallback != null) {
                    brainCallback.onAPPQualityCallBack(stateInfo, 107);
                } else {
                    com.android.server.hidata.histream.HwHiStreamUtils.logD("onStallDetectedCallback: brainCallback is null");
                }
                com.android.server.hidata.appqoe.IHwAPPQoECallback mVMCallback = getWaveMappingCallback();
                if (mVMCallback != null) {
                    mVMCallback.onAPPQualityCallBack(stateInfo, 107);
                } else {
                    com.android.server.hidata.histream.HwHiStreamUtils.logD("onStallDetectedCallback: mVMCallback is null");
                }
                this.mHwHiStreamCHRManager.onStallDetect(appSceneId, detectResult, this.mQoeCallback);
            }
        }
    }

    private void onUpdateTraffic(android.os.Message msg) {
        if (msg != null) {
            if (msg.obj != null) {
                android.os.Bundle bundle = msg.obj;
                this.mHwHiStreamCHRManager.onUpdateQuality(bundle.getInt("wifiRxTraffic"), bundle.getInt("cellularRxTraffic"), bundle.getInt("wifiTxTraffic"), bundle.getInt("celluarTxTraffic"), bundle.getInt("monitoringUid"));
            }
        }
    }

    public void onMplinkStateChange(int sceneId, int mplinkEvent, int failReason) {
        android.os.Bundle bundle = new android.os.Bundle();
        if (this.mHwHiStreamNetworkMonitor != null) {
            if (this.mHwHistreamUserLearning != null) {
                bundle.putInt("sceneId", sceneId);
                bundle.putInt("mplinkEvent", mplinkEvent);
                bundle.putInt("failReason", failReason);
                this.mManagerHandler.sendMessage(this.mManagerHandler.obtainMessage(12, bundle));
                if (9 == mplinkEvent) {
                    com.android.server.hidata.appqoe.HwAPPStateInfo curAppInfo = getCurStreamAppInfo();
                    if (curAppInfo != null && sceneId == curAppInfo.mScenceId) {
                        this.mHwHistreamUserLearning.setAPUserType(this.mHwHiStreamNetworkMonitor.getCurBSSID(), sceneId, 1);
                    }
                }
            }
        }
    }

    public com.android.server.hidata.appqoe.IHwAPPQoECallback getArbitrationCallback() {
        com.android.server.hidata.appqoe.HwAPPQoEManager hwAPPQoEManager = com.android.server.hidata.appqoe.HwAPPQoEManager.getInstance();
        if (hwAPPQoEManager != null) {
            return hwAPPQoEManager.getAPPQoECallback(true);
        }
        return null;
    }

    public com.android.server.hidata.appqoe.IHwAPPQoECallback getWaveMappingCallback() {
        com.android.server.hidata.appqoe.HwAPPQoEManager hwAPPQoEManager = com.android.server.hidata.appqoe.HwAPPQoEManager.getInstance();
        if (hwAPPQoEManager != null) {
            return hwAPPQoEManager.getAPPQoECallback(false);
        }
        return null;
    }

    public com.android.server.hidata.appqoe.HwAPPStateInfo getCurStreamAppInfo() {
        return this.mHwHiStreamContentAware.getCurStreamAppInfo();
    }
}
