package com.android.server.hidata.histream;

class HwHiStreamQoeMonitor implements com.android.server.hidata.histream.IHwHiStreamJniCallback {
    private static final int AI_DETECT_START_DELAY = 1000;
    private static final int ALGO_PARA_100MS_40 = 0;
    private static final int ALGO_PARA_100MS_80 = 1;
    private static final int ALGO_PARA_2S = 3;
    private static final int AUDIO_STALL_REPORT_MIN_INTERVAL = 10000;
    private static final int CMD_START_STALL_MONITOR = 24;
    private static final int CMD_STOP_AI_ALGO = 26;
    private static final int CMD_STOP_STALL_MONITOR = 25;
    private static final int DETECT_ALGO_FRAME_DETECT = 1;
    private static final int DETECT_ALGO_UDP_AI = 0;
    private static final int DETECT_RESULT_NO_DATA = 1;
    private static final int DOUYIN_DEFAULT_THRESHOLD = 286339651;
    private static final int FRAME_DETECT_DEFAULT_THRESHOLD = 1800;
    private static final int FRAME_DETECT_START_DELAY = 6100;
    private static final int HICURE_REPORT_NO_RX_COUNT = 3;
    private static final int MSG_APP_STATE_START = 1;
    private static final int MSG_APP_STATE_STOP = 2;
    private static final int MSG_DETECT_STALL = 3;
    private static final int MSG_QUERY_TRAFFIC = 5;
    private static final int MSG_START_AI_DETECT = 6;
    private static final int MSG_START_FRAME_DETECT = 4;
    private static final int QUERY_TRAFFIC_INTERVAL = 2000;
    private static final int STALL_DETECT_AFTER_HANDOVER_DELAY = 20000;
    private static final int VIDEO_STALL_REPORT_MIN_INTERVAL = 6000;
    private static com.android.server.hidata.histream.HwHiStreamQoeMonitor mHwHiStreamQoeMonitor;
    private long lastFrameReportTime = 0;
    private int mAlgoPara = 3;
    private int mDetectAlgo = 0;
    private int mFrameDetectGeneralTH = 1800;
    private int mFrameDetectThreshold = 1800;
    private com.android.server.hidata.HwHidataJniAdapter mHwHidataJniAdapter;
    private long mLastAudioStallTime = 0;
    private long[] mLastCellularTraffic;
    private long[] mLastWifiTraffic;
    private android.os.Handler mManagerHandler;
    private android.os.Handler mQoeMonitorHandler;
    private long mStartTime = 0;
    private int monitoringSceneId = -1;
    private int monitoringUid = -1;

    private HwHiStreamQoeMonitor(android.content.Context context, android.os.Handler handler) {
        this.mManagerHandler = handler;
        this.mHwHidataJniAdapter = com.android.server.hidata.HwHidataJniAdapter.getInstance();
        initQoeMonitorHandler();
        if (this.mHwHidataJniAdapter != null) {
            this.mHwHidataJniAdapter.registerHiStreamJniCallback(this);
        }
    }

    public static com.android.server.hidata.histream.HwHiStreamQoeMonitor createInstance(android.content.Context context, android.os.Handler handler) {
        if (mHwHiStreamQoeMonitor == null) {
            mHwHiStreamQoeMonitor = new com.android.server.hidata.histream.HwHiStreamQoeMonitor(context, handler);
        }
        return mHwHiStreamQoeMonitor;
    }

    public static com.android.server.hidata.histream.HwHiStreamQoeMonitor getInstance() {
        return mHwHiStreamQoeMonitor;
    }

    private void initQoeMonitorHandler() {
        android.os.HandlerThread handlerThread = new android.os.HandlerThread("HwHiStreamQoeMonitor_handler_thread");
        handlerThread.start();
        this.mQoeMonitorHandler = new android.os.Handler(handlerThread.getLooper()) {
            public void handleMessage(android.os.Message msg) {
                switch (msg.what) {
                    case 1:
                        com.android.server.hidata.histream.HwHiStreamQoeMonitor.this.handleAppStateStart(msg);
                        return;
                    case 2:
                        com.android.server.hidata.histream.HwHiStreamQoeMonitor.this.handleAppStateStop(msg);
                        return;
                    case 3:
                        com.android.server.hidata.histream.HwHiStreamQoeMonitor.this.handleStallDetect(msg);
                        return;
                    case 4:
                        com.android.server.hidata.histream.HwHiStreamQoeMonitor.this.handleStartFrameDetect();
                        return;
                    case 5:
                        com.android.server.hidata.histream.HwHiStreamQoeMonitor.this.handleQueryTraffic();
                        return;
                    case 6:
                        com.android.server.hidata.histream.HwHiStreamQoeMonitor.this.handleStartAIDetect(msg);
                        return;
                    default:
                        return;
                }
            }
        };
    }

    private int getAppScene(int SceneId) {
        if (100105 == SceneId) {
            return 1;
        }
        if (100106 == SceneId) {
            return 2;
        }
        if (100501 == SceneId) {
            return 3;
        }
        return -1;
    }

    /* JADX WARNING: Removed duplicated region for block: B:50:0x0096  */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x007e  */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x0096  */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x0065  */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x007e  */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x0096  */
    private void handleQueryTraffic() {
        /*
        r15 = this;
        r0 = r15.monitoringSceneId;
        r1 = -1;
        if (r1 == r0) goto L_0x0119;
    L_0x0005:
        r0 = r15.mLastWifiTraffic;
        if (r0 == 0) goto L_0x0119;
    L_0x0009:
        r0 = r15.mLastCellularTraffic;
        if (r0 == 0) goto L_0x0119;
    L_0x000d:
        r0 = r15.mLastWifiTraffic;
        r0 = r0.length;
        r1 = 2;
        if (r1 > r0) goto L_0x0119;
    L_0x0013:
        r0 = r15.mLastCellularTraffic;
        r0 = r0.length;
        if (r1 <= r0) goto L_0x001a;
    L_0x0018:
        goto L_0x0119;
    L_0x001a:
        r0 = 800; // 0x320 float:1.121E-42 double:3.953E-321;
        r0 = r15.getCurTraffic(r0);
        r2 = 801; // 0x321 float:1.122E-42 double:3.957E-321;
        r2 = r15.getCurTraffic(r2);
        if (r0 == 0) goto L_0x0118;
    L_0x0028:
        if (r2 == 0) goto L_0x0118;
    L_0x002a:
        r3 = r0.length;
        if (r1 > r3) goto L_0x0118;
    L_0x002d:
        r3 = r2.length;
        if (r1 > r3) goto L_0x0118;
    L_0x0030:
        r3 = r15.mLastWifiTraffic;
        if (r3 == 0) goto L_0x0118;
    L_0x0034:
        r3 = r15.mLastCellularTraffic;
        if (r3 == 0) goto L_0x0118;
    L_0x0038:
        r3 = r15.mLastWifiTraffic;
        r3 = r3.length;
        if (r1 > r3) goto L_0x0118;
    L_0x003d:
        r3 = r15.mLastCellularTraffic;
        r3 = r3.length;
        if (r1 <= r3) goto L_0x0044;
    L_0x0042:
        goto L_0x0118;
    L_0x0044:
        r1 = 0;
        r3 = r0[r1];
        r5 = 0;
        r3 = (r5 > r3 ? 1 : (r5 == r3 ? 0 : -1));
        if (r3 == 0) goto L_0x005e;
    L_0x004d:
        r3 = r15.mLastWifiTraffic;
        r3 = r3[r1];
        r3 = (r5 > r3 ? 1 : (r5 == r3 ? 0 : -1));
        if (r3 != 0) goto L_0x0056;
    L_0x0055:
        goto L_0x005e;
    L_0x0056:
        r3 = r0[r1];
        r7 = r15.mLastWifiTraffic;
        r7 = r7[r1];
        r3 = r3 - r7;
        goto L_0x005f;
    L_0x005e:
        r3 = r5;
    L_0x005f:
        r7 = r2[r1];
        r7 = (r5 > r7 ? 1 : (r5 == r7 ? 0 : -1));
        if (r7 == 0) goto L_0x0076;
    L_0x0065:
        r7 = r15.mLastCellularTraffic;
        r7 = r7[r1];
        r7 = (r5 > r7 ? 1 : (r5 == r7 ? 0 : -1));
        if (r7 != 0) goto L_0x006e;
    L_0x006d:
        goto L_0x0076;
    L_0x006e:
        r7 = r2[r1];
        r9 = r15.mLastCellularTraffic;
        r9 = r9[r1];
        r7 = r7 - r9;
        goto L_0x0077;
    L_0x0076:
        r7 = r5;
    L_0x0077:
        r1 = 1;
        r9 = r0[r1];
        r9 = (r5 > r9 ? 1 : (r5 == r9 ? 0 : -1));
        if (r9 == 0) goto L_0x008f;
    L_0x007e:
        r9 = r15.mLastWifiTraffic;
        r9 = r9[r1];
        r9 = (r5 > r9 ? 1 : (r5 == r9 ? 0 : -1));
        if (r9 != 0) goto L_0x0087;
    L_0x0086:
        goto L_0x008f;
    L_0x0087:
        r9 = r0[r1];
        r11 = r15.mLastWifiTraffic;
        r11 = r11[r1];
        r9 = r9 - r11;
        goto L_0x0090;
    L_0x008f:
        r9 = r5;
    L_0x0090:
        r11 = r2[r1];
        r11 = (r5 > r11 ? 1 : (r5 == r11 ? 0 : -1));
        if (r11 == 0) goto L_0x00a7;
    L_0x0096:
        r11 = r15.mLastCellularTraffic;
        r11 = r11[r1];
        r11 = (r5 > r11 ? 1 : (r5 == r11 ? 0 : -1));
        if (r11 != 0) goto L_0x009f;
    L_0x009e:
        goto L_0x00a7;
    L_0x009f:
        r5 = r2[r1];
        r11 = r15.mLastCellularTraffic;
        r11 = r11[r1];
        r5 = r5 - r11;
    L_0x00a7:
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r11 = "handleQueryTraffic: RxWifi= ";
        r1.append(r11);
        r1.append(r3);
        r11 = ",Rxcellular=";
        r1.append(r11);
        r1.append(r7);
        r11 = ",TXwifi= ";
        r1.append(r11);
        r1.append(r9);
        r11 = ",Txcellular=";
        r1.append(r11);
        r1.append(r5);
        r1 = r1.toString();
        com.android.server.hidata.histream.HwHiStreamUtils.logD(r1);
        r1 = new android.os.Bundle;
        r1.<init>();
        r11 = "wifiRxTraffic";
        r12 = (int) r3;
        r1.putInt(r11, r12);
        r11 = "cellularRxTraffic";
        r12 = (int) r7;
        r1.putInt(r11, r12);
        r11 = "wifiTxTraffic";
        r12 = (int) r9;
        r1.putInt(r11, r12);
        r11 = "celluarTxTraffic";
        r12 = (int) r5;
        r1.putInt(r11, r12);
        r11 = "monitoringUid";
        r12 = r15.monitoringUid;
        r1.putInt(r11, r12);
        r11 = r15.mManagerHandler;
        r12 = r15.mManagerHandler;
        r13 = 11;
        r12 = r12.obtainMessage(r13, r1);
        r11.sendMessage(r12);
        r15.mLastWifiTraffic = r0;
        r15.mLastCellularTraffic = r2;
        r11 = r15.mQoeMonitorHandler;
        r12 = 5;
        r11.removeMessages(r12);
        r11 = r15.mQoeMonitorHandler;
        r13 = 2000; // 0x7d0 float:2.803E-42 double:9.88E-321;
        r11.sendEmptyMessageDelayed(r12, r13);
        return;
    L_0x0118:
        return;
    L_0x0119:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.histream.HwHiStreamQoeMonitor.handleQueryTraffic():void");
    }

    private void handleStartFrameDetect() {
        if (100106 == this.monitoringSceneId) {
            int appScene = getAppScene(this.monitoringSceneId);
            this.mDetectAlgo = 1;
            this.mHwHidataJniAdapter.startFrameDetect(appScene);
        }
    }

    private void handleStartAIDetect(android.os.Message msg) {
        if (-1 != this.monitoringSceneId) {
            int userType = msg.obj.getInt("userType");
            this.mHwHidataJniAdapter.sendStallDetectCmd(24, this.monitoringUid, getAppScene(this.monitoringSceneId), this.mAlgoPara, userType);
        }
    }

    private void handleAppStateStart(android.os.Message msg) {
        if (msg != null) {
            if (msg.obj != null) {
                android.os.Bundle bundle = msg.obj;
                int uid = bundle.getInt("uid");
                int appSceneId = bundle.getInt("appSceneId");
                int stallThreshold = bundle.getInt("stallThreshold");
                int userType = bundle.getInt("userType");
                int appScene = getAppScene(appSceneId);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("handleAppStateStart: appSceneId = ");
                stringBuilder.append(appSceneId);
                stringBuilder.append(",stallThreshold = ");
                stringBuilder.append(stallThreshold);
                com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder.toString());
                this.monitoringSceneId = appSceneId;
                this.monitoringUid = uid;
                this.mDetectAlgo = 0;
                this.mStartTime = java.lang.System.currentTimeMillis();
                if (100106 == this.monitoringSceneId) {
                    this.mQoeMonitorHandler.removeMessages(4);
                    this.mQoeMonitorHandler.sendEmptyMessageDelayed(4, 6100);
                    this.mFrameDetectThreshold = stallThreshold;
                    this.mFrameDetectGeneralTH = getAppStallThreshold(1, this.monitoringSceneId);
                    this.mAlgoPara = 3;
                } else {
                    this.mAlgoPara = stallThreshold;
                }
                if (-1 == this.mHwHidataJniAdapter.sendStallDetectCmd(24, uid, appScene, this.mAlgoPara, userType)) {
                    this.mQoeMonitorHandler.sendMessageDelayed(this.mQoeMonitorHandler.obtainMessage(6, bundle), 1000);
                }
                this.lastFrameReportTime = 0;
                this.mLastAudioStallTime = 0;
                this.mLastWifiTraffic = getCurTraffic(800);
                this.mLastCellularTraffic = getCurTraffic(801);
                this.mQoeMonitorHandler.removeMessages(5);
                this.mQoeMonitorHandler.sendEmptyMessageDelayed(5, 2000);
            }
        }
    }

    private void handleAppStateStop(android.os.Message msg) {
        if (msg != null) {
            if (msg.obj != null) {
                android.os.Bundle bundle = msg.obj;
                int uid = bundle.getInt("uid");
                int appSceneId = bundle.getInt("appSceneId");
                int appScene = getAppScene(appSceneId);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("handleAppStateStop: appSceneId = ");
                stringBuilder.append(appSceneId);
                com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder.toString());
                this.monitoringSceneId = -1;
                this.monitoringUid = -1;
                this.mStartTime = 0;
                if (1 == this.mDetectAlgo) {
                    this.mHwHidataJniAdapter.stopFrameDetect();
                }
                this.mHwHidataJniAdapter.sendStallDetectCmd(25, uid, appScene, this.mAlgoPara, 0);
                this.mQoeMonitorHandler.removeMessages(5);
                this.mLastWifiTraffic = null;
                this.mLastCellularTraffic = null;
            }
        }
    }

    public void handleStallDetect(android.os.Message msg) {
        android.os.Message message = msg;
        if (message != null) {
            if (message.obj != null) {
                android.os.Bundle bundle = message.obj;
                int stallTime = bundle.getInt("stallTime");
                int appScene = bundle.getInt("appScene");
                int algo = bundle.getInt("algo");
                int curAppScene = getAppScene(this.monitoringSceneId);
                int frameDetectTH = -1;
                com.android.server.hidata.histream.HwHiStreamNetworkMonitor mHwHiStreamNetworkMonitor = com.android.server.hidata.histream.HwHiStreamNetworkMonitor.getInstance();
                android.os.Bundle bundle2;
                if (curAppScene != appScene || this.mDetectAlgo != algo) {
                    bundle2 = bundle;
                } else if (mHwHiStreamNetworkMonitor == null) {
                    bundle2 = bundle;
                } else if ((2 == appScene || 1 == appScene) && 1 == stallTime) {
                    this.mManagerHandler.sendEmptyMessage(10);
                } else {
                    java.lang.StringBuilder stringBuilder;
                    long curTime = java.lang.System.currentTimeMillis();
                    long handoverDelay = curTime - mHwHiStreamNetworkMonitor.mLastHandoverTime;
                    if (1 == algo) {
                        frameDetectTH = 800 == mHwHiStreamNetworkMonitor.getCurrNetworkType(this.monitoringUid) ? this.mFrameDetectThreshold : this.mFrameDetectGeneralTH;
                        if (stallTime >= frameDetectTH) {
                            if (6000 <= curTime - this.lastFrameReportTime) {
                                this.lastFrameReportTime = curTime;
                            } else {
                                return;
                            }
                        }
                        return;
                    }
                    long curTime2;
                    if (1 == appScene) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("AUDIO stall interval = ");
                        curTime2 = curTime;
                        stringBuilder.append(java.lang.System.currentTimeMillis() - this.mLastAudioStallTime);
                        com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder.toString());
                        if (10000 < java.lang.System.currentTimeMillis() - this.mLastAudioStallTime) {
                            this.mLastAudioStallTime = java.lang.System.currentTimeMillis();
                            return;
                        }
                        this.mLastAudioStallTime = java.lang.System.currentTimeMillis();
                    } else {
                        curTime2 = curTime;
                    }
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("handleStallDetect: detect stall, appScene = ");
                    stringBuilder.append(appScene);
                    stringBuilder.append(",curAppScene=");
                    stringBuilder.append(curAppScene);
                    stringBuilder.append(",algo=");
                    stringBuilder.append(algo);
                    stringBuilder.append(",detectResult =");
                    stringBuilder.append(stallTime);
                    stringBuilder.append(",frameDetectTH=");
                    stringBuilder.append(frameDetectTH);
                    com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder.toString());
                    if (20000 <= handoverDelay || curTime2 - this.mStartTime <= handoverDelay || !(2 == appScene || 1 == appScene)) {
                        android.os.Bundle bundle3 = new android.os.Bundle();
                        bundle3.putInt("appSceneId", this.monitoringSceneId);
                        bundle3.putInt("detectResult", (stallTime * 100) / 6000);
                        this.mManagerHandler.sendMessage(this.mManagerHandler.obtainMessage(9, bundle3));
                    }
                }
            }
        }
    }

    private int getAppStallThreshold(int userType, int sceneceId) {
        com.android.server.hidata.appqoe.HwAPPQoEResourceManger mHwAPPQoEResourceManger = com.android.server.hidata.appqoe.HwAPPQoEResourceManger.getInstance();
        int threshold = -1;
        if (mHwAPPQoEResourceManger != null) {
            com.android.server.hidata.appqoe.HwAPPQoEAPKConfig aPKScenceConfig = mHwAPPQoEResourceManger.getAPKScenceConfig(sceneceId);
            com.android.server.hidata.appqoe.HwAPPQoEAPKConfig apkConfig = aPKScenceConfig;
            if (aPKScenceConfig != null) {
                threshold = 1 == userType ? apkConfig.mGeneralStallTH : apkConfig.mAggressiveStallTH;
            }
        }
        if (100106 == sceneceId) {
            return -1 == threshold ? 1800 : (threshold * 6000) / 100;
        } else if (100501 != sceneceId) {
            return -1;
        } else {
            return -1 == threshold ? 286339651 : threshold;
        }
    }

    public void onAPPStateChange(com.android.server.hidata.appqoe.HwAPPStateInfo stateInfo, int appState) {
        if (stateInfo == null) {
            com.android.server.hidata.histream.HwHiStreamUtils.logE("onAPPStateChange:stateInfo is null");
            return;
        }
        android.os.Bundle bundle = new android.os.Bundle();
        int appSceneId = stateInfo.mScenceId;
        if (100 != appState) {
            if (103 != appState) {
                if ((101 == appState || (104 == appState && 100106 == appSceneId)) && appSceneId == this.monitoringSceneId) {
                    bundle.putInt("uid", stateInfo.mAppUID);
                    bundle.putInt("appSceneId", appSceneId);
                    this.mQoeMonitorHandler.sendMessage(this.mQoeMonitorHandler.obtainMessage(2, bundle));
                }
            }
        }
        int stallThreshold = getAppStallThreshold(stateInfo.mUserType, appSceneId);
        if (-1 == this.monitoringSceneId) {
            bundle.putInt("uid", stateInfo.mAppUID);
            bundle.putInt("appSceneId", appSceneId);
            bundle.putInt("stallThreshold", stallThreshold);
            bundle.putInt("userType", stateInfo.mUserType);
            this.mQoeMonitorHandler.sendMessage(this.mQoeMonitorHandler.obtainMessage(1, bundle));
        } else if (appSceneId != this.monitoringSceneId) {
            bundle.putInt("uid", this.monitoringUid);
            bundle.putInt("appSceneId", this.monitoringSceneId);
            this.mQoeMonitorHandler.sendMessage(this.mQoeMonitorHandler.obtainMessage(2, bundle));
            android.os.Bundle bundle1 = new android.os.Bundle();
            bundle1.putInt("uid", stateInfo.mAppUID);
            bundle1.putInt("appSceneId", appSceneId);
            this.mQoeMonitorHandler.sendMessageDelayed(this.mQoeMonitorHandler.obtainMessage(1, bundle1), 500);
        }
    }

    private long[] getCurTraffic(int network) {
        long[] traffic = new long[2];
        if (100106 != this.monitoringSceneId && 100105 != this.monitoringSceneId) {
            return traffic;
        }
        com.android.server.hidata.histream.HwHiStreamNetworkMonitor mHwHiStreamNetworkMonitor = com.android.server.hidata.histream.HwHiStreamNetworkMonitor.getInstance();
        if (mHwHiStreamNetworkMonitor == null || network != mHwHiStreamNetworkMonitor.getCurrNetworkType(this.monitoringUid)) {
            return traffic;
        }
        return this.mHwHidataJniAdapter.getCurrTotalTraffic();
    }

    public void onStallInfoReportCallback(int stallTime, int appScene, int algo) {
        android.os.Bundle bundle = new android.os.Bundle();
        bundle.putInt("stallTime", stallTime);
        bundle.putInt("appScene", appScene);
        bundle.putInt("algo", algo);
        this.mQoeMonitorHandler.sendMessage(this.mQoeMonitorHandler.obtainMessage(3, bundle));
    }
}
