package com.android.server.hidata.histream;

public class HwHiStreamTraffic {
    private static com.android.server.hidata.histream.HwHiStreamTraffic mHwHiStreamTraffic;
    private android.content.Context mContext;
    private android.app.usage.NetworkStatsManager mNetworkStatsManager = ((android.app.usage.NetworkStatsManager) this.mContext.getSystemService("netstats"));
    private android.telephony.TelephonyManager mTelephonyManager = android.telephony.TelephonyManager.from(this.mContext);
    private android.app.usage.NetworkStats.Bucket summaryBucket;

    private HwHiStreamTraffic(android.content.Context context) {
        this.mContext = context;
    }

    public static com.android.server.hidata.histream.HwHiStreamTraffic createInstance(android.content.Context context) {
        if (mHwHiStreamTraffic == null) {
            mHwHiStreamTraffic = new com.android.server.hidata.histream.HwHiStreamTraffic(context);
        }
        return mHwHiStreamTraffic;
    }

    public static com.android.server.hidata.histream.HwHiStreamTraffic getInstance() {
        return mHwHiStreamTraffic;
    }

    public long getTotalTraffic(long startTime, long endTime, int uid, int network) {
        long[] traffic = getTraffic(startTime, endTime, uid, network);
        if (traffic != null) {
            if (2 <= traffic.length) {
                return traffic[0] + traffic[1];
            }
        }
        return 0;
    }

    public long[] getTraffic(long startTime, long endTime, int uid, int network) {
        int i = uid;
        int i2 = network;
        long[] traffic = new long[2];
        java.lang.String imsi = this.mTelephonyManager.getSubscriberId(android.telephony.SubscriptionManager.getDefaultDataSubscriptionId());
        if (801 == i2 && android.text.TextUtils.isEmpty(imsi)) {
            return traffic;
        }
        try {
            android.app.usage.NetworkStats mNetworkStats;
            this.summaryBucket = new android.app.usage.NetworkStats.Bucket();
            if (800 == i2) {
                mNetworkStats = this.mNetworkStatsManager.querySummary(1, imsi, startTime, endTime);
            } else if (801 != i2) {
                return traffic;
            } else {
                mNetworkStats = this.mNetworkStatsManager.querySummary(0, imsi, startTime, endTime);
            }
            android.app.usage.NetworkStats mNetworkStats2 = mNetworkStats;
            long rxBytes = 0;
            long txBytes = 0;
            if (mNetworkStats2 != null) {
                do {
                    mNetworkStats2.getNextBucket(this.summaryBucket);
                    if (i == 0) {
                        rxBytes += this.summaryBucket.getRxBytes();
                        txBytes += this.summaryBucket.getTxBytes();
                    } else if (i > 0 && i == this.summaryBucket.getUid()) {
                        rxBytes += this.summaryBucket.getRxBytes();
                        txBytes += this.summaryBucket.getTxBytes();
                    }
                } while (mNetworkStats2.hasNextBucket());
                traffic[0] = rxBytes;
                traffic[1] = txBytes;
            } else {
                com.android.server.hidata.histream.HwHiStreamUtils.logD("mNetworkStats == null");
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getMobileTraffic Exception");
            stringBuilder.append(e);
            com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder.toString());
        }
        return traffic;
    }
}
