package com.android.server.hidata.histream;

class HwHistreamUserLearning {
    private static final int WECHAT_CHECK_USER_BEHAVIOR_DALYE = 30000;
    private static com.android.server.hidata.histream.HwHistreamUserLearning mHwHistreamUserLearning;
    private long lastDataDisabledTime = 0;
    private long lastWifiDisabledTime = 0;
    private java.lang.String mCurBssid = null;
    private com.android.server.hidata.histream.HwHiStreamDataBaseManager mHwHiStreamDataBaseManager;
    private com.android.server.hidata.histream.HwHistreamUserLearning.AppInfo mOtherAppInfo = null;
    private com.android.server.hidata.histream.HwHistreamUserLearning.AppInfo mWechatInfo = null;

    public static class AppInfo {
        int mAppState;
        int mScenceId;

        public AppInfo(int scenceId, int appState) {
            this.mScenceId = scenceId;
            this.mAppState = appState;
        }
    }

    private HwHistreamUserLearning(android.content.Context context) {
        this.mHwHiStreamDataBaseManager = com.android.server.hidata.histream.HwHiStreamDataBaseManager.getInstance(context);
    }

    public static com.android.server.hidata.histream.HwHistreamUserLearning createInstance(android.content.Context context) {
        if (mHwHistreamUserLearning == null) {
            mHwHistreamUserLearning = new com.android.server.hidata.histream.HwHistreamUserLearning(context);
        }
        return mHwHistreamUserLearning;
    }

    public static com.android.server.hidata.histream.HwHistreamUserLearning getInstance() {
        return mHwHistreamUserLearning;
    }

    public void onAPPStateChange(com.android.server.hidata.appqoe.HwAPPStateInfo stateInfo, int appState) {
        com.android.server.hidata.histream.HwHiStreamTraffic mHwHiStreamTraffic = com.android.server.hidata.histream.HwHiStreamTraffic.getInstance();
        com.android.server.hidata.histream.HwHiStreamNetworkMonitor mHwHiStreamNetworkMonitor = com.android.server.hidata.histream.HwHiStreamNetworkMonitor.getInstance();
        if (!(stateInfo == null || mHwHiStreamTraffic == null)) {
            if (mHwHiStreamNetworkMonitor != null) {
                if (100 == appState) {
                    int curNetworkType = stateInfo.mNetworkType;
                    this.mCurBssid = mHwHiStreamNetworkMonitor.getCurBSSID();
                    long startTime = java.lang.System.currentTimeMillis();
                    if (100105 != stateInfo.mScenceId) {
                        if (100106 != stateInfo.mScenceId) {
                            this.mOtherAppInfo = new com.android.server.hidata.histream.HwHistreamUserLearning.AppInfo(stateInfo.mScenceId, appState);
                        }
                    }
                    this.mWechatInfo = new com.android.server.hidata.histream.HwHistreamUserLearning.AppInfo(stateInfo.mScenceId, appState);
                    if (800 == curNetworkType && startTime - this.lastDataDisabledTime < 30000) {
                        setAPUserType(this.mCurBssid, stateInfo.mScenceId, 1);
                    } else if (801 == curNetworkType && startTime - this.lastWifiDisabledTime < 30000) {
                        setAPUserType(this.mCurBssid, stateInfo.mScenceId, 2);
                    }
                } else if (101 == appState) {
                    if (this.mWechatInfo != null && this.mWechatInfo.mScenceId == stateInfo.mScenceId) {
                        this.mWechatInfo = null;
                    } else if (this.mOtherAppInfo != null && this.mOtherAppInfo.mScenceId == stateInfo.mScenceId) {
                        this.mOtherAppInfo = null;
                    }
                }
            }
        }
    }

    public void onWifiDisabled() {
        if (this.mOtherAppInfo != null && 101 != this.mOtherAppInfo.mAppState) {
            setAPUserType(this.mCurBssid, this.mOtherAppInfo.mScenceId, 2);
        } else if (this.mWechatInfo == null || 101 == this.mWechatInfo.mAppState) {
            this.lastWifiDisabledTime = java.lang.System.currentTimeMillis();
        } else {
            setAPUserType(this.mCurBssid, this.mWechatInfo.mScenceId, 2);
        }
    }

    public void onMobileDataDisabled() {
        if (this.mOtherAppInfo != null && 101 != this.mOtherAppInfo.mAppState) {
            setAPUserType(this.mCurBssid, this.mOtherAppInfo.mScenceId, 1);
        } else if (this.mWechatInfo == null || 101 == this.mWechatInfo.mAppState) {
            this.lastDataDisabledTime = java.lang.System.currentTimeMillis();
        } else {
            setAPUserType(this.mCurBssid, this.mWechatInfo.mScenceId, 1);
        }
    }

    public boolean setAPUserType(java.lang.String ssid, int scenceId, int UserType) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setAPUserType usertype = ");
        stringBuilder.append(UserType);
        stringBuilder.append(",scenceId");
        stringBuilder.append(scenceId);
        com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder.toString());
        if (ssid == null) {
            return false;
        }
        return this.mHwHiStreamDataBaseManager.addOrUpdateApRecordInfo(new com.android.server.hidata.histream.HiStreamAPInfo(ssid, scenceId, UserType));
    }

    public int getUserType(com.android.server.hidata.appqoe.HwAPPStateInfo stateInfo) {
        if (stateInfo == null) {
            return 1;
        }
        int userType;
        int appSceneId = stateInfo.mScenceId;
        if (801 == stateInfo.mNetworkType) {
            userType = 2;
        } else {
            userType = getAPUserType(appSceneId);
        }
        if (userType == 0) {
            if (true == isDefaultRadicalUser()) {
                userType = 2;
            } else {
                userType = 1;
            }
        }
        return userType;
    }

    public int getAPUserType(int scenceId) {
        if (this.mCurBssid == null) {
            com.android.server.hidata.histream.HwHiStreamUtils.logD("getAPUserType:mCurBssid is null");
            return 0;
        }
        com.android.server.hidata.histream.HiStreamAPInfo apInfo = this.mHwHiStreamDataBaseManager.queryApRecordInfo(this.mCurBssid, scenceId);
        if (apInfo == null) {
            com.android.server.hidata.histream.HwHiStreamUtils.logD("getAPUserType:APinfo is null");
            return 0;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getAPUserType : ");
        stringBuilder.append(apInfo.APUsrType);
        stringBuilder.append(",scenceId=");
        stringBuilder.append(scenceId);
        com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder.toString());
        return apInfo.APUsrType;
    }

    private boolean isDefaultRadicalUser() {
        boolean ret;
        java.lang.String chipset = android.os.SystemProperties.get("ro.connectivity.sub_chiptype", "none");
        if (chipset == null || !(chipset.contains("4345") || chipset.contains("4359") || chipset.contains("1103"))) {
            ret = false;
        } else {
            ret = true;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isDefaultRadicalUser:");
        stringBuilder.append(ret);
        com.android.server.hidata.histream.HwHiStreamUtils.logD(stringBuilder.toString());
        return ret;
    }
}
