package com.android.server.hidata.mplink;

public class HwMpLinkContentAware {
    private static final java.lang.String CUST_AIDEVICE = "1";
    private static final java.lang.String CUST_NORMAL = "0";
    private static final int GETWAY_NULL = 1;
    private static final int KEYMGMT_WPA = 2;
    private static final java.lang.String MPLINK_ENABLED = "1";
    private static final java.lang.String REGEX = ";";
    private static final java.lang.String[] SMART_DEVICE_APPS = new java.lang.String[]{"dji.go.v"};
    private static final java.lang.String TAG = "HiData_MpLinkContentAware";
    private static com.android.server.hidata.mplink.HwMpLinkContentAware mHwMpLinkContentAware;
    private int mAiDeviceflag = 0;
    private java.util.List<com.android.server.hidata.mplink.HwMpLinkConfigInfo> mConfigList = new java.util.ArrayList();
    private android.content.Context mContext;
    private java.lang.String mCurrDeviceApp;
    private android.os.Handler mHandler;
    private boolean mMpLinkEnabledForAlDevice = false;
    private android.net.wifi.WifiManager mWifiManager;
    private java.util.List<android.net.wifi.ScanResult> scanResultList;

    public static com.android.server.hidata.mplink.HwMpLinkContentAware getInstance(android.content.Context context) {
        if (mHwMpLinkContentAware == null) {
            mHwMpLinkContentAware = new com.android.server.hidata.mplink.HwMpLinkContentAware(context);
        }
        return mHwMpLinkContentAware;
    }

    public static com.android.server.hidata.mplink.HwMpLinkContentAware onlyGetInstance() {
        return mHwMpLinkContentAware;
    }

    private HwMpLinkContentAware(android.content.Context context) {
        this.mContext = context;
        this.mWifiManager = (android.net.wifi.WifiManager) this.mContext.getSystemService("wifi");
    }

    public void setMpLinkVersion(java.lang.String version) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mplink_version: ");
        stringBuilder.append(version);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkContentAware", stringBuilder.toString());
    }

    public void setMpLinkEnable(java.lang.String enable) {
        this.mMpLinkEnabledForAlDevice = "1".equals(enable);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mplink_enable: ");
        stringBuilder.append(enable);
        stringBuilder.append(this.mMpLinkEnabledForAlDevice);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkContentAware", stringBuilder.toString());
    }

    public void addMpLinkDeviceAPP(com.android.server.hidata.mplink.HwMpLinkConfigInfo config) {
        this.mConfigList.add(config);
    }

    public void regiterMpLinkHander(android.os.Handler handler) {
        this.mHandler = handler;
    }

    private int getWifiApType(android.net.wifi.WifiConfiguration configuration) {
        huawei.android.net.hwmplink.MpLinkCommonUtils.logI("HiData_MpLinkContentAware", "getWifiApType");
        if (this.mMpLinkEnabledForAlDevice) {
            this.mCurrDeviceApp = null;
            int wifiApType = getApIdentifType(configuration);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("wifiApType : ");
            stringBuilder.append(wifiApType);
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkContentAware", stringBuilder.toString());
            return wifiApType;
        }
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkContentAware", "MpLink For AlDevice is disabled.");
        return 0;
    }

    private void sendMessage(int what) {
        if (this.mHandler != null) {
            this.mHandler.sendMessage(android.os.Message.obtain(this.mHandler, what));
        }
    }

    public int getWifiApTypeAndSendMsg(android.net.wifi.WifiConfiguration configuration) {
        int CurrentWifiApType = getWifiApType(configuration);
        sendAiDeviceMsg(CurrentWifiApType);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getWifiApTypeAndSendMsg ret:");
        stringBuilder.append(CurrentWifiApType);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkContentAware", stringBuilder.toString());
        return CurrentWifiApType;
    }

    public void sendAiDeviceMsg(int type) {
        if (this.mAiDeviceflag != type) {
            this.mAiDeviceflag = type;
            if (1 == type) {
                huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkContentAware", "sendAiDeviceMsg open");
                sendMessage(217);
            }
        }
    }

    public void resetAiDeviceType() {
        sendAiDeviceMsg(0);
    }

    public boolean isAiDevice() {
        return this.mAiDeviceflag == 1;
    }

    public int getApIdentifType(android.net.wifi.WifiConfiguration configuration) {
        if (this.mWifiManager == null) {
            return 0;
        }
        java.lang.String bssid = com.android.server.wifipro.WifiProCommonUtils.getCurrentBssid(this.mWifiManager);
        if (android.text.TextUtils.isEmpty(bssid)) {
            return 0;
        }
        if (this.mConfigList.isEmpty()) {
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkContentAware", "ConfigList isEmpty");
            return 0;
        } else if (isMobileAP()) {
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkContentAware", "is Mobile AP.");
            return 0;
        } else {
            android.net.DhcpInfo dhcpInfo = this.mWifiManager.getDhcpInfo();
            if (dhcpInfo == null) {
                return 0;
            }
            int getwayType = 0;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("gateway:");
            stringBuilder.append(dhcpInfo.gateway);
            huawei.android.net.hwmplink.MpLinkCommonUtils.logI("HiData_MpLinkContentAware", stringBuilder.toString());
            if (dhcpInfo.gateway == 0) {
                getwayType = 1;
            }
            int encryptType = 0;
            if (configuration != null && com.android.server.wifipro.WifiProCommonUtils.isWpaOrWpa2(configuration)) {
                encryptType = 2;
            }
            int length = this.mConfigList.size();
            int condition = -1;
            int i = 0;
            while (i < length) {
                if (!(this.mConfigList.get(i) == null || android.text.TextUtils.isEmpty(((com.android.server.hidata.mplink.HwMpLinkConfigInfo) this.mConfigList.get(i)).getVendorOui()) || !bssid.startsWith(((com.android.server.hidata.mplink.HwMpLinkConfigInfo) this.mConfigList.get(i)).getVendorOui()))) {
                    if (!android.text.TextUtils.isEmpty(((com.android.server.hidata.mplink.HwMpLinkConfigInfo) this.mConfigList.get(i)).getCustMac())) {
                        java.lang.String[] strings = ((com.android.server.hidata.mplink.HwMpLinkConfigInfo) this.mConfigList.get(i)).getCustMac().split(";", 2);
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("getCustMac:");
                        stringBuilder2.append(((com.android.server.hidata.mplink.HwMpLinkConfigInfo) this.mConfigList.get(i)).getCustMac());
                        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkContentAware", stringBuilder2.toString());
                        if (strings.length == 2 && bssid.equals(strings[0])) {
                            if ("0".equals(strings[1])) {
                                huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkContentAware", "cust NORMAL_DEVICE.");
                                return 0;
                            } else if ("1".equals(strings[1])) {
                                huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkContentAware", "cust AI_DEVICE.");
                                return 1;
                            }
                        }
                    }
                    if (android.text.TextUtils.isEmpty(((com.android.server.hidata.mplink.HwMpLinkConfigInfo) this.mConfigList.get(i)).getCondition())) {
                        continue;
                    } else {
                        condition = java.lang.Integer.parseInt(((com.android.server.hidata.mplink.HwMpLinkConfigInfo) this.mConfigList.get(i)).getCondition());
                        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                        stringBuilder3.append("getwayType:");
                        stringBuilder3.append(getwayType);
                        stringBuilder3.append(", encryptType:");
                        stringBuilder3.append(encryptType);
                        stringBuilder3.append("condition:");
                        stringBuilder3.append(condition);
                        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkContentAware", stringBuilder3.toString());
                        if (condition == (getwayType | encryptType)) {
                            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkContentAware", "AI_DEVICE.");
                            return 1;
                        }
                    }
                }
                i++;
            }
            return 0;
        }
    }

    public int getDeviceAppUid() {
        if (!this.mMpLinkEnabledForAlDevice || android.text.TextUtils.isEmpty(this.mCurrDeviceApp)) {
            return -1;
        }
        if (!isWhitelistApp(this.mCurrDeviceApp)) {
            return huawei.android.net.hwmplink.MpLinkCommonUtils.getAppUid(this.mContext, this.mCurrDeviceApp);
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(this.mCurrDeviceApp);
        stringBuilder.append(" isWhitelistApp");
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkContentAware", stringBuilder.toString());
        return -1;
    }

    public boolean isMobileAP() {
        if (this.mWifiManager != null) {
            android.net.wifi.WifiInfo wifiInfo = this.mWifiManager.getConnectionInfo();
            if (wifiInfo != null && wifiInfo.getMeteredHint()) {
                return true;
            }
        }
        return false;
    }

    public java.lang.String getCurrentApName() {
        java.lang.String name = null;
        if (this.mWifiManager != null) {
            name = com.android.server.wifipro.WifiProCommonUtils.getCurrentSsid(this.mWifiManager);
        }
        if (name == null) {
            return "";
        }
        return name;
    }

    public void notifyDefaultNetworkChange() {
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkContentAware", "NotifyDefaultNetworkChange");
        sendMessage(231);
    }

    public boolean isWifiLanApp(int uid) {
        return false;
    }

    public boolean isWhitelistApp(java.lang.String appName) {
        if (!android.text.TextUtils.isEmpty(appName)) {
            int length = this.mConfigList.size();
            for (int i = 0; i < length; i++) {
                if (appName.startsWith(SMART_DEVICE_APPS[i])) {
                    return true;
                }
            }
        }
        return false;
    }
}
