package com.android.server.hidata.mplink;

public class HwMpLinkDemoMode {
    private static final java.lang.String EXTRA_NETWORK_CHANGE_TYPE = "extra_network_change_type";
    private static final java.lang.String TAG = "HiData_HwMpLinkDemoMode";
    private static final java.lang.String TESTMODE_BCM_PERMISSION = "huawei.permission.RECEIVE_WIFI_PRO_STATE";
    private static final int TESTMODE_MSG_LTE_TEST = 10000;
    private static final java.lang.String TESTMODE_NETWORK_CHANGE_ACTION = "huawei.wifi.pro.NETWORK_CHANGE";
    private static final int UNKOWEN_NETWORK = -1;
    private android.content.IntentFilter intentFilter = new android.content.IntentFilter();
    private android.location.LocationManager locationManager;
    private android.content.BroadcastReceiver mBroadcastReceiver = new com.android.server.hidata.mplink.HwMpLinkDemoMode.MpLinkTestCaseBroadcastReceiver();
    private android.net.ConnectivityManager mConnectivityManager;
    private android.content.Context mContext;
    private boolean mDeviceBootCommlied;
    private android.os.Handler mHandler;
    private com.android.server.hidata.mplink.HwMpLinkDemoMode.MyNetworkCallback mNetworkCallback;

    private class MpLinkTestCaseBroadcastReceiver extends android.content.BroadcastReceiver {
        private MpLinkTestCaseBroadcastReceiver() {
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            java.lang.String action = intent.getAction();
            if (com.android.server.hidata.mplink.HwMpLinkDemoMode.this.mDeviceBootCommlied && "android.bluetooth.adapter.action.STATE_CHANGED".equals(action)) {
                int blueState = intent.getIntExtra("android.bluetooth.adapter.extra.STATE", 0);
                if (blueState == 10) {
                    com.android.server.hidata.mplink.HwMpLinkDemoMode.this.requestWiFiAndCellCoexist(false);
                } else if (blueState == 12) {
                    com.android.server.hidata.mplink.HwMpLinkDemoMode.this.requestWiFiAndCellCoexist(true);
                } else if (blueState == 10000) {
                    com.android.server.hidata.mplink.HwMpLinkDemoMode.this.lteActivating();
                }
            } else if (com.android.server.hidata.mplink.HwMpLinkDemoMode.this.mDeviceBootCommlied && "android.location.PROVIDERS_CHANGED".equals(action)) {
                if (com.android.server.hidata.mplink.HwMpLinkDemoMode.this.locationManager == null) {
                    huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkDemoMode", "locationManager == null");
                    return;
                }
                try {
                    if (com.android.server.hidata.mplink.HwMpLinkDemoMode.this.locationManager.isProviderEnabled("gps")) {
                        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkDemoMode", "Gps provider enabled.");
                        com.android.server.hidata.mplink.HwMpLinkDemoMode.this.handleBindProcessToNetwork();
                    } else {
                        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkDemoMode", "Gps provider disEnabled.");
                        com.android.server.hidata.mplink.HwMpLinkDemoMode.this.handleClearBindProcessToNetwork();
                    }
                } catch (java.lang.IllegalArgumentException e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("e:");
                    stringBuilder.append(e);
                    huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkDemoMode", stringBuilder.toString());
                }
            } else if ("android.intent.action.BOOT_COMPLETED".equals(action)) {
                huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkDemoMode", "BOOT_COMPLETED");
                com.android.server.hidata.mplink.HwMpLinkDemoMode.this.mDeviceBootCommlied = true;
                com.android.server.hidata.mplink.HwMpLinkDemoMode.this.locationManager = (android.location.LocationManager) context.getSystemService("location");
                com.android.server.hidata.mplink.HwMpLinkDemoMode.this.mConnectivityManager = (android.net.ConnectivityManager) context.getSystemService("connectivity");
            }
        }
    }

    public class MyNetworkCallback extends android.net.ConnectivityManager.NetworkCallback {
        public void onPreCheck(android.net.Network network) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onPreCheck,network: ");
            stringBuilder.append(network);
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkDemoMode", stringBuilder.toString());
        }

        public void onAvailable(android.net.Network network) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onAvailable,network: ");
            stringBuilder.append(network);
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkDemoMode", stringBuilder.toString());
        }

        public void onLosing(android.net.Network network, int maxMsToLive) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onLosing,network: ");
            stringBuilder.append(network);
            stringBuilder.append(",maxMsToLive:");
            stringBuilder.append(maxMsToLive);
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkDemoMode", stringBuilder.toString());
        }

        public void onLost(android.net.Network network) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onLost,network: ");
            stringBuilder.append(network);
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkDemoMode", stringBuilder.toString());
        }

        public void onUnavailable() {
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkDemoMode", "onUnavailable");
        }

        public void onCapabilitiesChanged(android.net.Network network, android.net.NetworkCapabilities networkCapabilities) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onCapabilitiesChanged,network: ");
            stringBuilder.append(network);
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkDemoMode", stringBuilder.toString());
        }

        public void onLinkPropertiesChanged(android.net.Network network, android.net.LinkProperties linkProperties) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onLinkPropertiesChanged,network: ");
            stringBuilder.append(network);
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkDemoMode", stringBuilder.toString());
        }

        public void onNetworkSuspended(android.net.Network network) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onNetworkSuspended,network: ");
            stringBuilder.append(network);
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkDemoMode", stringBuilder.toString());
        }

        public void onNetworkResumed(android.net.Network network) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onNetworkResumed,network: ");
            stringBuilder.append(network);
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkDemoMode", stringBuilder.toString());
        }
    }

    public HwMpLinkDemoMode(android.content.Context context, android.os.Handler handler) {
        this.mContext = context;
        this.mHandler = handler;
        registerBroadcastReceiver();
    }

    private void registerBroadcastReceiver() {
        this.intentFilter.addAction("android.bluetooth.adapter.action.STATE_CHANGED");
        this.intentFilter.addAction("android.location.PROVIDERS_CHANGED");
        this.intentFilter.addAction("android.intent.action.BOOT_COMPLETED");
        this.mContext.registerReceiver(this.mBroadcastReceiver, this.intentFilter);
    }

    public void lteActivating() {
        android.net.NetworkRequest.Builder builder = new android.net.NetworkRequest.Builder();
        builder.addCapability(12);
        builder.addTransportType(0);
        android.net.NetworkRequest networkRequest = builder.build();
        this.mNetworkCallback = new com.android.server.hidata.mplink.HwMpLinkDemoMode.MyNetworkCallback();
        this.mConnectivityManager.requestNetwork(networkRequest, this.mNetworkCallback, 100000);
    }

    public void notificateNetWorkHandover(int state) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("notificateNetWorkHandover state = ");
        stringBuilder.append(state);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkDemoMode", stringBuilder.toString());
        android.content.Intent intent = new android.content.Intent("huawei.wifi.pro.NETWORK_CHANGE");
        intent.setFlags(67108864);
        intent.putExtra("extra_network_change_type", state);
        this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.ALL, "huawei.permission.RECEIVE_WIFI_PRO_STATE");
    }

    private int getNetworkID(int networkType) {
        android.net.Network[] networks = this.mConnectivityManager.getAllNetworks();
        if (networks != null) {
            int length = networks.length;
            for (int i = 0; i < length; i++) {
                android.net.NetworkInfo netInfo = this.mConnectivityManager.getNetworkInfo(networks[i]);
                if (netInfo != null && netInfo.getType() == networkType) {
                    android.net.Network network = networks[i];
                    if (network != null) {
                        return network.netId;
                    }
                }
            }
        }
        return -1;
    }

    private void handleBindProcessToNetwork() {
        int netid = getNetworkID(0);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Bluetooth STATE_ON. LTE netid:");
        stringBuilder.append(netid);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkDemoMode", stringBuilder.toString());
        if (netid != -1) {
            this.mHandler.sendMessage(android.os.Message.obtain(this.mHandler, 2, netid, huawei.android.net.hwmplink.MpLinkCommonUtils.getForegroundAppUid(this.mContext), new com.android.server.hidata.mplink.MpLinkQuickSwitchConfiguration()));
            notificateNetWorkHandover(1);
            return;
        }
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkDemoMode", "LTE is disconneced");
    }

    private void handleClearBindProcessToNetwork() {
        int wifinetid = getNetworkID(1);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Bluetooth STATE_OFF. wifi netid:");
        stringBuilder.append(wifinetid);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkDemoMode", stringBuilder.toString());
        if (wifinetid != -1) {
            this.mHandler.sendMessage(android.os.Message.obtain(this.mHandler, 3, wifinetid, huawei.android.net.hwmplink.MpLinkCommonUtils.getForegroundAppUid(this.mContext), new com.android.server.hidata.mplink.MpLinkQuickSwitchConfiguration()));
            notificateNetWorkHandover(2);
            return;
        }
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkDemoMode", "wifi is disconneced");
    }

    private void requestWiFiAndCellCoexist(boolean enabled) {
        if (enabled) {
            this.mHandler.sendMessage(android.os.Message.obtain(this.mHandler, 103, 0, 0));
        } else {
            this.mHandler.sendMessage(android.os.Message.obtain(this.mHandler, 103, 1, 0));
        }
    }

    public void showToast(java.lang.String info) {
        android.widget.Toast.makeText(this.mContext, info, 1).show();
    }

    public void wifiplusHandover(com.android.server.hidata.mplink.IRFInterferenceCallback callback) {
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkDemoMode", "wifiplusHandover");
    }
}
