package com.android.server.hidata.mplink;

public class HwMpLinkNetworkImpl {
    private static final java.lang.String TAG = "HiData_HwMpLinkNetworkImpl";
    private android.content.Context mContext;

    public HwMpLinkNetworkImpl(android.content.Context context) {
        this.mContext = context;
    }

    public void handleNetworkStrategy(int strategy, int uid) {
        if (uid > 0 && 1 == strategy) {
            sendNetChangedMobileConnected(uid);
        }
    }

    public android.net.NetworkInfo createMobileNetworkInfo() {
        android.net.NetworkInfo networkInfo = new android.net.NetworkInfo(0, 0, "MOBILE", "LTE");
        networkInfo.setDetailedState(android.net.NetworkInfo.DetailedState.CONNECTED, null, "");
        networkInfo.setIsAvailable(true);
        return networkInfo;
    }

    public android.net.NetworkInfo createWifiNetworkInfo() {
        android.net.NetworkInfo networkInfo = new android.net.NetworkInfo(1, 0, "WIFI", "");
        networkInfo.setDetailedState(android.net.NetworkInfo.DetailedState.CONNECTED, null, "");
        networkInfo.setIsAvailable(true);
        return networkInfo;
    }

    public void sendNetChangedWifiDisconnected(int uid) {
        android.net.NetworkInfo mNetworkInfo = new android.net.NetworkInfo(1, 0, "WIFI", "");
        mNetworkInfo.setDetailedState(android.net.NetworkInfo.DetailedState.DISCONNECTED, null, "");
        mNetworkInfo.setIsAvailable(true);
        android.content.Intent intent = new android.content.Intent("android.net.conn.CONNECTIVITY_CHANGE");
        intent.putExtra("networkInfo", mNetworkInfo);
        intent.putExtra("networkType", mNetworkInfo.getType());
        intent.setPackage(huawei.android.net.hwmplink.MpLinkCommonUtils.getPackageName(this.mContext, uid));
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mNetworkInfo");
        stringBuilder.append(mNetworkInfo.toString());
        huawei.android.net.hwmplink.MpLinkCommonUtils.logI("HiData_HwMpLinkNetworkImpl", stringBuilder.toString());
        this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.ALL);
    }

    public void sendNetChangedWifiConnected(int uid) {
        android.net.NetworkInfo mNetworkInfo = new android.net.NetworkInfo(1, 0, "WIFI", "");
        mNetworkInfo.setDetailedState(android.net.NetworkInfo.DetailedState.CONNECTED, null, "");
        mNetworkInfo.setIsAvailable(true);
        android.content.Intent intent = new android.content.Intent("android.net.conn.CONNECTIVITY_CHANGE");
        intent.putExtra("networkInfo", mNetworkInfo);
        intent.putExtra("networkType", mNetworkInfo.getType());
        intent.setPackage(huawei.android.net.hwmplink.MpLinkCommonUtils.getPackageName(this.mContext, uid));
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mNetworkInfo");
        stringBuilder.append(mNetworkInfo.toString());
        huawei.android.net.hwmplink.MpLinkCommonUtils.logI("HiData_HwMpLinkNetworkImpl", stringBuilder.toString());
        this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.ALL);
    }

    public void sendNetChangedMobileConnected(int uid) {
        android.net.NetworkInfo mNetworkInfo = new android.net.NetworkInfo(0, 0, "MOBILE", "LTE");
        mNetworkInfo.setDetailedState(android.net.NetworkInfo.DetailedState.CONNECTED, null, "");
        mNetworkInfo.setIsAvailable(true);
        android.content.Intent intent = new android.content.Intent("android.net.conn.CONNECTIVITY_CHANGE");
        intent.putExtra("networkInfo", mNetworkInfo);
        intent.putExtra("networkType", mNetworkInfo.getType());
        intent.setPackage(huawei.android.net.hwmplink.MpLinkCommonUtils.getPackageName(this.mContext, uid));
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("send networkChange NetworkInfo");
        stringBuilder.append(mNetworkInfo.toString());
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkNetworkImpl", stringBuilder.toString());
        this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.ALL);
    }

    public void sendWifiDisableddBroadcast(int uid) {
        android.content.Intent intent = new android.content.Intent("android.net.wifi.WIFI_STATE_CHANGED");
        intent.putExtra("wifi_state", 1);
        intent.putExtra("previous_wifi_state", 3);
        intent.setPackage(huawei.android.net.hwmplink.MpLinkCommonUtils.getPackageName(this.mContext, uid));
        this.mContext.sendStickyBroadcastAsUser(intent, android.os.UserHandle.ALL);
    }

    public void sendWifiDisconnectedBroadcast(int uid) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("sendWifiDisconnectedBroadcast");
        stringBuilder.append(huawei.android.net.hwmplink.MpLinkCommonUtils.getPackageName(this.mContext, uid));
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkNetworkImpl", stringBuilder.toString());
        android.content.Intent intent = new android.content.Intent("android.net.wifi.STATE_CHANGE");
        intent.addFlags(67108864);
        android.net.NetworkInfo mNetworkInfo = new android.net.NetworkInfo(1, 0, "WIFI", "");
        mNetworkInfo.setDetailedState(android.net.NetworkInfo.DetailedState.DISCONNECTED, null, "");
        mNetworkInfo.setIsAvailable(false);
        intent.putExtra("networkInfo", mNetworkInfo);
        intent.setPackage(huawei.android.net.hwmplink.MpLinkCommonUtils.getPackageName(this.mContext, uid));
        this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.ALL);
    }
}
