package com.android.server.hidata.mplink;

public class HwMpLinkServiceImpl extends com.android.internal.util.StateMachine implements com.android.server.hidata.mplink.IMpLinkStateObserverCallback {
    public static final int DEFAULT_SLOT_ID = 0;
    public static final int ILLEGAL_VALUE = -1;
    public static final int MPLINK_MSG_AIDEVICE_MPLINK_CLOSE = 218;
    public static final int MPLINK_MSG_AIDEVICE_MPLINK_OPEN = 217;
    public static final int MPLINK_MSG_BASE = 200;
    public static final int MPLINK_MSG_DATA_ROAMING_OFF = 203;
    public static final int MPLINK_MSG_DATA_ROAMING_ON = 204;
    public static final int MPLINK_MSG_DATA_SUB_CHANGE = 230;
    public static final int MPLINK_MSG_DATA_SUITABLE_OFF = 202;
    public static final int MPLINK_MSG_DATA_SUITABLE_ON = 201;
    public static final int MPLINK_MSG_DEFAULT_NETWORK_CHANGE = 231;
    public static final int MPLINK_MSG_HIBRAIN_MPLINK_CLOSE = 212;
    public static final int MPLINK_MSG_HIBRAIN_MPLINK_OPEN = 211;
    public static final int MPLINK_MSG_MOBILE_DATA_AVAILABLE = 221;
    public static final int MPLINK_MSG_MOBILE_DATA_CONNECTED = 215;
    public static final int MPLINK_MSG_MOBILE_DATA_DISCONNECTED = 216;
    public static final int MPLINK_MSG_MOBILE_DATA_SWITCH_CLOSE = 220;
    public static final int MPLINK_MSG_MOBILE_DATA_SWITCH_OPEN = 219;
    public static final int MPLINK_MSG_MOBILE_SERVICE_IN = 205;
    public static final int MPLINK_MSG_MOBILE_SERVICE_OUT = 206;
    public static final int MPLINK_MSG_WIFIPRO_SWITCH_DISABLE = 210;
    public static final int MPLINK_MSG_WIFIPRO_SWITCH_ENABLE = 209;
    public static final int MPLINK_MSG_WIFI_CONNECTED = 213;
    public static final int MPLINK_MSG_WIFI_DISCONNECTED = 214;
    public static final int MPLINK_MSG_WIFI_VPN_CONNETED = 208;
    public static final int MPLINK_MSG_WIFI_VPN_DISCONNETED = 207;
    private static final int MPLK_SK_STRATEGY_CT = 1;
    private static final int MPLK_SK_STRATEGY_FURE = 4;
    private static final int MPLK_SK_STRATEGY_FUTE = 2;
    public static final int MSG_MPLINK_REQUEST_BIND_NETWORK = 2;
    public static final int MSG_MPLINK_REQUEST_UNBIND_NETWORK = 3;
    private static final int MSG_MPLINK_SETTINGS_STATE_CHANGE = 1;
    public static final int MSG_TEST_FOREGROUD_APP_LTE_HANDOVER_WIGI = 102;
    public static final int MSG_TEST_FOREGROUD_APP_WIFI_HANDOVER_LTE = 101;
    public static final int MSG_TEST_NET_COEXIST_LTE_PRIORITIZED = 104;
    public static final int MSG_TEST_NET_COEXIST_WIFI_PRIORITIZED = 103;
    private static final java.lang.String TAG = "HiData_MpLinkServiceImpl";
    private static final int delayInMs = 30000;
    private static com.android.server.hidata.mplink.HwMpLinkServiceImpl mMpLinkServiceImpl;
    private final android.app.AlarmManager mAlarmManager;
    private android.net.ConnectivityManager mConnectivityManager = null;
    private android.content.Context mContext;
    private int mCurrentBindUid = -1;
    private int mCurrentNetworkStrategy = -1;
    private int mCurrentUnbindNetId = -1;
    private com.android.server.hidata.arbitration.IHiDataCHRCallBack mHiDataCHRCallBack = null;
    private android.net.wifi.HwInnerNetworkManagerImpl mHwInnerNetworkManagerImpl;
    private com.android.server.hidata.mplink.HwMpLinkContentAware mHwMpLinkContentAware;
    private com.android.server.hidata.mplink.HwMpLinkDemoMode mHwMpLinkDemoMode;
    private com.android.server.hidata.mplink.HwMpLinkNetworkImpl mHwMpLinkNetworkImpl;
    private com.android.server.hidata.mplink.HwMpLinkTelephonyImpl mHwMpLinkTelephonyImpl;
    private com.android.server.hidata.mplink.HwMpLinkWifiImpl mHwMpLinkWifiImpl;
    private com.android.server.hidata.mplink.HwMplinkChrImpl mHwMplinkChrImpl = null;
    private com.android.server.hidata.mplink.HwMplinkStateObserver mHwMplinkStateObserver;
    private com.android.internal.util.State mInitState = new com.android.server.hidata.mplink.HwMpLinkServiceImpl.InitState();
    private boolean mInternalMplinkEnable = false;
    private com.android.internal.util.State mMpLinkBaseState = new com.android.server.hidata.mplink.HwMpLinkServiceImpl.MpLinkBaseState();
    private com.android.server.hidata.mplink.IMpLinkCallback mMpLinkCallback;
    private int mMpLinkConditionState = -1;
    private int mMpLinkNotifyControl = -1;
    private boolean mMpLinkSwitchEnable = false;
    private com.android.internal.util.State mMpLinkedState = new com.android.server.hidata.mplink.HwMpLinkServiceImpl.MpLinkedState();
    private com.android.server.hidata.mplink.MplinkBindResultInfo mMplinkBindResultInfo = new com.android.server.hidata.mplink.MplinkBindResultInfo();
    private com.android.server.hidata.mplink.MplinkNetworkResultInfo mMplinkNri = new com.android.server.hidata.mplink.MplinkNetworkResultInfo();
    private android.app.PendingIntent mRequestCheckAlarmIntent = null;
    private boolean shouldIgnoreDefaultChange = false;

    class InitState extends com.android.internal.util.State {
        InitState() {
        }

        public void enter() {
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", "Enter InitState");
        }

        public void exit() {
            huawei.android.net.hwmplink.MpLinkCommonUtils.logI("HiData_MpLinkServiceImpl", "Exit InitState");
        }

        public boolean processMessage(android.os.Message message) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("InitState,msg=");
            stringBuilder.append(message.what);
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", stringBuilder.toString());
            int i = message.what;
            if (i != 103) {
                if (i != 215) {
                    switch (i) {
                        case 211:
                            if (com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mHwMpLinkWifiImpl.isWifiConnected()) {
                                if (!com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mHwMpLinkTelephonyImpl.isMobileConnected()) {
                                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.notifyNetCoexistFailed(9);
                                    break;
                                }
                                com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.notifyNetCoexistFailed(15);
                                break;
                            }
                            com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.notifyNetCoexistFailed(1);
                            break;
                        case 212:
                            com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.notifyNetCoexistFailed(true);
                            break;
                        case 213:
                            break;
                        default:
                            return true;
                    }
                }
                com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.transitionTo(com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mMpLinkBaseState);
            } else if (message.arg1 == 0) {
                com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.requestWiFiAndCellCoexist(true);
            } else if (message.arg1 == 1) {
                com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.requestWiFiAndCellCoexist(false);
            }
            return true;
        }
    }

    class MpLinkBaseState extends com.android.internal.util.State {
        MpLinkBaseState() {
        }

        public void enter() {
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", "Enter MpLinkBaseState");
        }

        public void exit() {
            huawei.android.net.hwmplink.MpLinkCommonUtils.logI("HiData_MpLinkServiceImpl", "Exit MpLinkBaseState");
        }

        public boolean processMessage(android.os.Message message) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("MpLinkBaseState,msg=");
            stringBuilder.append(message.what);
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", stringBuilder.toString());
            int i = message.what;
            if (i != 103) {
                switch (i) {
                    case 2:
                        com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mMplinkBindResultInfo.reset();
                        com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mMplinkBindResultInfo.setNetwork(message.arg1);
                        com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mMplinkBindResultInfo.setUid(message.arg2);
                        com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mMplinkBindResultInfo.setFailReason(101);
                        com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mMplinkBindResultInfo.setResult(4);
                        if (com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mMpLinkCallback != null) {
                            com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mMpLinkCallback.onBindProcessToNetworkResult(com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mMplinkBindResultInfo);
                            break;
                        }
                        break;
                    case 3:
                        com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.handleClearBindProcessToNetwork(0, message.arg2);
                        break;
                    default:
                        switch (i) {
                            case 211:
                                if (!com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mHwMpLinkWifiImpl.isWifiConnected()) {
                                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.notifyNetCoexistFailed(1);
                                    break;
                                }
                                com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.openMpLinkNetworkCoexist();
                                break;
                            case 212:
                                if (!(com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mHwMpLinkWifiImpl.isWifiConnected() && com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mHwMpLinkTelephonyImpl.isMobileConnected())) {
                                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.notifyNetCoexistFailed(true);
                                }
                                if (com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mHwMpLinkWifiImpl.isWifiConnected() && !com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mHwMpLinkTelephonyImpl.isMobileConnected()) {
                                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.disableMpLinkOpenedMobileData();
                                    break;
                                }
                            case 213:
                                if (com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mHwMpLinkTelephonyImpl.isMobileConnected()) {
                                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.shouldIgnoreDefaultChange = true;
                                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.transitionTo(com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mMpLinkedState);
                                    break;
                                }
                                break;
                            case 214:
                                if (!com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mHwMpLinkTelephonyImpl.isMobileConnected()) {
                                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.transitionTo(com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mInitState);
                                    break;
                                }
                                break;
                            case 215:
                                if (com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mHwMpLinkWifiImpl.isWifiConnected()) {
                                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mHwMplinkChrImpl.updataDualNetworkCnt();
                                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.transitionTo(com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mMpLinkedState);
                                    break;
                                }
                                break;
                            case 216:
                                if (!com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mHwMpLinkWifiImpl.isWifiConnected()) {
                                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.transitionTo(com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mInitState);
                                    break;
                                }
                                break;
                            case 217:
                                com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mHwMplinkChrImpl.updateAiDeviceOpenCnt(com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mHwMpLinkContentAware.getCurrentApName());
                                break;
                            default:
                                return true;
                        }
                        break;
                }
            } else if (message.arg1 == 0) {
                com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.requestWiFiAndCellCoexist(true);
            } else if (message.arg1 == 1) {
                com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.requestWiFiAndCellCoexist(false);
            }
            return true;
        }
    }

    class MpLinkedState extends com.android.internal.util.State {
        MpLinkedState() {
        }

        public void enter() {
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", "Enter MpLinkedState");
            if (com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mHwMpLinkTelephonyImpl.getMobileDataAvaiable()) {
                com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.notifyMpLinkNetCoexistSuccessful();
            }
        }

        public void exit() {
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", "Exit MpLinkedState");
            com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mCurrentBindUid = -1;
        }

        public boolean processMessage(android.os.Message message) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("MpLinkedState,msg=");
            stringBuilder.append(message.what);
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", stringBuilder.toString());
            switch (message.what) {
                case 2:
                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.handleBindProcessToNetwork(message.arg1, message.arg2, (com.android.server.hidata.mplink.MpLinkQuickSwitchConfiguration) message.obj);
                    break;
                case 3:
                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.handleClearBindProcessToNetwork(0, message.arg2);
                    break;
                case 101:
                case 102:
                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.handleBindProcessToNetwork(message.arg1, message.arg2, new com.android.server.hidata.mplink.MpLinkQuickSwitchConfiguration(3, 0));
                    break;
                case 103:
                    if (message.arg1 != 0) {
                        if (message.arg1 == 1) {
                            com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.requestWiFiAndCellCoexist(false);
                            break;
                        }
                    }
                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.requestWiFiAndCellCoexist(true);
                    break;
                    break;
                case 202:
                case 204:
                case 206:
                case 208:
                case 210:
                case 212:
                case 230:
                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.closeMpLinkNetworkCoexist();
                    break;
                case 211:
                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.notifyMpLinkNetCoexistSuccessful();
                    break;
                case 214:
                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.notifyNetCoexistFailed(1);
                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mHwMplinkChrImpl.updateCoexistWifiSwitchClosedCnt();
                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.closeMpLinkNetworkCoexist();
                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.transitionTo(com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mMpLinkBaseState);
                    break;
                case 216:
                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.notifyNetCoexistFailed(9);
                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.closeMpLinkNetworkCoexist();
                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.transitionTo(com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mMpLinkBaseState);
                    break;
                case 217:
                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mHwMplinkChrImpl.updateAiDeviceOpenCnt(com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mHwMpLinkContentAware.getCurrentApName());
                    break;
                case 220:
                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mHwMplinkChrImpl.updateCoexistMobileDataSwitchClosedCnt();
                    break;
                case 221:
                    com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.notifyMpLinkNetCoexistSuccessful();
                    break;
                case 231:
                    if (!com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.shouldIgnoreDefaultChange) {
                        com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.mHwMplinkChrImpl.updateDefaultRouteChangeCnt();
                        com.android.server.hidata.mplink.HwMpLinkServiceImpl.this.shouldIgnoreDefaultChange = false;
                        break;
                    }
                    break;
                default:
                    return true;
            }
            return true;
        }
    }

    public static com.android.server.hidata.mplink.HwMpLinkServiceImpl getInstance(android.content.Context context) {
        if (mMpLinkServiceImpl == null) {
            mMpLinkServiceImpl = new com.android.server.hidata.mplink.HwMpLinkServiceImpl(context);
        }
        return mMpLinkServiceImpl;
    }

    private HwMpLinkServiceImpl(android.content.Context context) {
        super("HwMpLinkServiceImpl");
        this.mContext = context;
        addState(this.mInitState);
        addState(this.mMpLinkBaseState, this.mInitState);
        addState(this.mMpLinkedState, this.mMpLinkBaseState);
        setInitialState(this.mInitState);
        start();
        if (huawei.android.net.hwmplink.MpLinkCommonUtils.isMpLinkTestMode()) {
            this.mHwMpLinkDemoMode = new com.android.server.hidata.mplink.HwMpLinkDemoMode(this.mContext, getHandler());
        }
        this.mHwMplinkChrImpl = new com.android.server.hidata.mplink.HwMplinkChrImpl(this.mContext);
        this.mAlarmManager = (android.app.AlarmManager) this.mContext.getSystemService("alarm");
        this.mHwMpLinkContentAware = com.android.server.hidata.mplink.HwMpLinkContentAware.getInstance(context);
        this.mHwMpLinkContentAware.regiterMpLinkHander(getHandler());
        this.mHwMpLinkTelephonyImpl = new com.android.server.hidata.mplink.HwMpLinkTelephonyImpl(this.mContext, getHandler());
        this.mHwMpLinkWifiImpl = new com.android.server.hidata.mplink.HwMpLinkWifiImpl(this.mContext, getHandler());
        this.mHwMplinkStateObserver = new com.android.server.hidata.mplink.HwMplinkStateObserver(this.mContext, this);
        this.mHwMpLinkNetworkImpl = new com.android.server.hidata.mplink.HwMpLinkNetworkImpl(context);
        this.mHwInnerNetworkManagerImpl = (android.net.wifi.HwInnerNetworkManagerImpl) android.common.HwFrameworkFactory.getHwInnerNetworkManager();
        this.mHwMpLinkWifiImpl.setCurrentWifiVpnState(this.mHwMplinkStateObserver.getVpnConnectState());
        this.mMpLinkSwitchEnable = this.mHwMplinkStateObserver.getMpLinkSwitchState();
        setMpLinkConditionDB(200);
        this.mHwMplinkStateObserver.initSimulateHibrain();
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", "HwMpLinkServiceImpl complete");
    }

    private void getConnectiviyManger() {
        if (this.mConnectivityManager == null) {
            this.mConnectivityManager = (android.net.ConnectivityManager) this.mContext.getSystemService("connectivity");
        }
    }

    private void setMpLinkConditionDB(int type) {
        if (type >= 200) {
            if (type <= 220) {
                int value = 0;
                if (checkMplinkSuitableBeOpen() == 0) {
                    value = 1;
                }
                if (this.mMpLinkConditionState != value) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("setMpLinkConditionDB value:");
                    stringBuilder.append(value);
                    huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", stringBuilder.toString());
                    android.provider.Settings.System.putInt(this.mContext.getContentResolver(), "mplink_db_condition_value", value);
                    this.mMpLinkConditionState = value;
                }
            }
        }
    }

    private int checkMplinkSuitableBeOpen() {
        int failReason = 0;
        if (!this.mMpLinkSwitchEnable) {
            failReason = 8;
        } else if (this.mHwMpLinkContentAware.isAiDevice()) {
            failReason = 0;
        } else if (this.mHwMpLinkTelephonyImpl.getCurrentServceState() != 0) {
            failReason = 5;
        } else if (!this.mHwMpLinkTelephonyImpl.getCurrentDataTechSuitable()) {
            failReason = 3;
        } else if (this.mHwMpLinkTelephonyImpl.getCurrentDataRoamingState()) {
            failReason = 4;
        } else if (!this.mInternalMplinkEnable) {
            failReason = 7;
        } else if (!this.mHwMpLinkTelephonyImpl.isMobileDataEnable()) {
            failReason = 2;
        } else if (this.mHwMpLinkWifiImpl.getCurrentWifiVpnState()) {
            failReason = 6;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("checkMplinkSuitableBeOpen ret:");
        stringBuilder.append(failReason);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logI("HiData_MpLinkServiceImpl", stringBuilder.toString());
        return failReason;
    }

    private void notifyMpLinkNetCoexistSuccessful() {
        this.mMplinkNri.reset();
        this.mMplinkNri.setFailReason(0);
        this.mMplinkNri.setResult(100);
        this.mHwMplinkChrImpl.updateMobileDataConnectedStamp();
        if (!(this.mMpLinkCallback == null || this.mMpLinkNotifyControl == 1)) {
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", "network coexist successful");
            this.mMpLinkCallback.onWiFiAndCellCoexistResult(this.mMplinkNri);
            this.mMpLinkNotifyControl = 1;
        }
        recordRequestResult(this.mMplinkNri);
    }

    private void notifyNetCoexistFailed(boolean forceNotify) {
        notifyNetCoexistFailed(0, forceNotify);
    }

    private void notifyNetCoexistFailed(int reason) {
        notifyNetCoexistFailed(reason, false);
    }

    private void notifyNetCoexistFailed(int reason, boolean forceNotify) {
        this.mMplinkNri.reset();
        this.mMplinkNri.setFailReason(reason);
        this.mMplinkNri.setResult(101);
        if (this.mMpLinkCallback != null) {
            java.lang.StringBuilder stringBuilder;
            if (this.mMpLinkNotifyControl != 0) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("network coexist failed,reason:");
                stringBuilder.append(reason);
                huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", stringBuilder.toString());
                this.mMpLinkCallback.onWiFiAndCellCoexistResult(this.mMplinkNri);
                this.mMpLinkNotifyControl = 0;
            } else if (forceNotify) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("force notify network coexist failed,reason:");
                stringBuilder.append(reason);
                huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", stringBuilder.toString());
                this.mMpLinkCallback.onWiFiAndCellCoexistResult(this.mMplinkNri);
            }
        }
        recordRequestResult(this.mMplinkNri);
    }

    private void openMpLinkNetworkCoexist() {
        int Reason = checkMplinkSuitableBeOpen();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("request start mplink network coexist: Reason:");
        stringBuilder.append(Reason);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", stringBuilder.toString());
        if (Reason != 0) {
            notifyNetCoexistFailed(Reason);
        } else if (this.mHwMpLinkTelephonyImpl.isMobileConnected()) {
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", "openMpLink mobile already connected");
        } else {
            this.mHwMplinkChrImpl.updateOpenMobileDataStamp();
            this.mHwMpLinkTelephonyImpl.mplinkSetMobileData(true);
        }
    }

    private void closeMpLinkNetworkCoexist() {
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", "request close mplink network coexist");
        this.mHwMpLinkTelephonyImpl.mplinkSetMobileData(false);
        this.mInternalMplinkEnable = false;
    }

    private void disableMpLinkOpenedMobileData() {
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", "disableMpLinkOpenedMobileData");
        this.mHwMpLinkTelephonyImpl.mplinkSetMobileData(false);
    }

    public boolean isMpLinkConditionSatisfy() {
        boolean can = false;
        if (checkMplinkSuitableBeOpen() == 0) {
            can = true;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isMpLinkConditionSatisfy return:");
        stringBuilder.append(can);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logI("HiData_MpLinkServiceImpl", stringBuilder.toString());
        return can;
    }

    public void notifyIpConfigCompleted() {
    }

    public void foregroundAppChanged(int uid) {
        if (this.mHwMpLinkContentAware.isWifiLanApp(uid)) {
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", "isWifiLanApp");
        }
    }

    public void registMpLinkCallback(com.android.server.hidata.mplink.IMpLinkCallback callback) {
        if (this.mMpLinkCallback == null) {
            this.mMpLinkCallback = callback;
        }
    }

    public void registMpLinkCHRCallback(com.android.server.hidata.arbitration.IHiDataCHRCallBack callback) {
        if (this.mHiDataCHRCallBack == null) {
            this.mHiDataCHRCallBack = callback;
        }
    }

    public void registRFInterferenceCallback(com.android.server.hidata.mplink.IRFInterferenceCallback callback) {
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", "registRFInterferenceCallback");
    }

    private void startRequestSuccessCheck(int requestType) {
        stopRequestSuccessCheck();
        android.content.Intent intent = new android.content.Intent("mplink_intent_check_request_success");
        intent.putExtra("mplink_intent_key_check_request", requestType);
        this.mRequestCheckAlarmIntent = android.app.PendingIntent.getBroadcast(this.mContext, 0, intent, 134217728);
        this.mAlarmManager.setExact(3, android.os.SystemClock.elapsedRealtime() + 30000, this.mRequestCheckAlarmIntent);
    }

    private void stopRequestSuccessCheck() {
        if (this.mRequestCheckAlarmIntent != null) {
            this.mAlarmManager.cancel(this.mRequestCheckAlarmIntent);
            this.mRequestCheckAlarmIntent = null;
        }
    }

    private void recordRequestResult(com.android.server.hidata.mplink.MplinkNetworkResultInfo resultInfo) {
        if (this.mRequestCheckAlarmIntent != null) {
            int type = this.mRequestCheckAlarmIntent.getIntent().getIntExtra("mplink_intent_key_check_request", -1);
            int result = resultInfo.getResult();
            int reason = resultInfo.getFailReason();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("recordRequestResult:");
            stringBuilder.append(type);
            stringBuilder.append(",");
            stringBuilder.append(result);
            stringBuilder.append(",");
            stringBuilder.append(reason);
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", stringBuilder.toString());
            if (type == 211) {
                if (result == 101) {
                    this.mHwMplinkChrImpl.updateOpenFailCnt(reason);
                    stopRequestSuccessCheck();
                } else if (result == 100) {
                    this.mHwMplinkChrImpl.updateOpenSuccCnt();
                    stopRequestSuccessCheck();
                }
            } else if (type == 212) {
                if (result == 101) {
                    this.mHwMplinkChrImpl.updateCloseSuccCnt();
                    stopRequestSuccessCheck();
                } else if (result == 100) {
                    this.mHwMplinkChrImpl.updateCloseFailCnt(reason);
                    stopRequestSuccessCheck();
                }
                this.mHwMplinkChrImpl.sendDataToChr(this.mHiDataCHRCallBack);
            }
        }
    }

    public void requestWiFiAndCellCoexist(boolean coexist) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("requestCoexist, coexist:");
        stringBuilder.append(coexist);
        stringBuilder.append(", internal:");
        stringBuilder.append(this.mInternalMplinkEnable);
        stringBuilder.append(",Control:");
        stringBuilder.append(this.mMpLinkNotifyControl);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", stringBuilder.toString());
        if (this.mMpLinkCallback == null) {
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", "callback is null");
        } else if (this.mInternalMplinkEnable != coexist) {
            this.mInternalMplinkEnable = coexist;
            this.mMpLinkNotifyControl = -1;
            if (coexist) {
                sendMessage(211);
                startRequestSuccessCheck(211);
                return;
            }
            sendMessage(212);
            startRequestSuccessCheck(212);
        } else {
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", "dup request");
            if (!coexist && !this.mInternalMplinkEnable) {
                sendMessage(212);
                startRequestSuccessCheck(212);
            } else if (this.mRequestCheckAlarmIntent == null) {
                huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", "response for dup request");
                this.mMpLinkCallback.onWiFiAndCellCoexistResult(this.mMplinkNri);
            }
        }
    }

    public void updateMplinkAiDevicesList(int type, java.lang.String packageWhiteList) {
    }

    public void onMpLinkRequestTimeout(int requestType) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onMpLinkRequestTimeout, type:");
        stringBuilder.append(requestType);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", stringBuilder.toString());
        notifyNetCoexistFailed(10, true);
    }

    public void onTelephonyServiceStateChanged(android.telephony.ServiceState serviceState, int subId) {
        this.mHwMpLinkTelephonyImpl.handleTelephonyServiceStateChanged(serviceState, subId);
    }

    public void onTelephonyDefaultDataSubChanged(int newDataSub) {
        this.mHwMpLinkTelephonyImpl.handleDataSubChange(newDataSub);
    }

    public void onTelephonyDataConnectionChanged(java.lang.String state, java.lang.String iface, int subId) {
        this.mHwMpLinkTelephonyImpl.handleTelephonyDataConnectionChanged(state, iface, subId);
    }

    public void onMobileDataSwitchChange(boolean enabled) {
        this.mHwMpLinkTelephonyImpl.handleMobileDataSwitchChange(enabled);
    }

    public void onWifiNetworkStateChanged(android.net.NetworkInfo netInfo) {
        this.mHwMpLinkWifiImpl.handleWifiNetworkStateChanged(netInfo);
    }

    public void onVpnStateChange(boolean vpnconnected) {
        this.mHwMpLinkWifiImpl.handleVpnStateChange(vpnconnected);
    }

    public void onMplinkSwitchChange(boolean mplinkSwitch) {
        if (this.mMpLinkSwitchEnable != mplinkSwitch) {
            this.mMpLinkSwitchEnable = mplinkSwitch;
            if (mplinkSwitch) {
                sendMessage(209);
            } else {
                sendMessage(210);
            }
        }
    }

    public void onSimulateHiBrainRequestForDemo(boolean enable) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onSimulateHiBrainRequestForTest:");
        stringBuilder.append(enable);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", stringBuilder.toString());
        requestWiFiAndCellCoexist(enable);
    }

    public void requestBindProcessToNetwork(int network, int uid, int type) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("bindProcessToNetwork network:");
        stringBuilder.append(network);
        stringBuilder.append(", uid:");
        stringBuilder.append(uid);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", stringBuilder.toString());
        requestBindProcessToNetwork(network, uid, null);
    }

    public void requestBindProcessToNetwork(int netid, int uid, com.android.server.hidata.mplink.MpLinkQuickSwitchConfiguration configuration) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("bindProcessToNetwork network:");
        stringBuilder.append(netid);
        stringBuilder.append(", uid:");
        stringBuilder.append(uid);
        stringBuilder.append("configuration: ");
        stringBuilder.append(configuration);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", stringBuilder.toString());
        sendMessage(2, netid, uid, configuration);
    }

    public void requestClearBindProcessToNetwork(int network, int uid) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("clearBindProcessToNetwork network:");
        stringBuilder.append(network);
        stringBuilder.append(", uid:");
        stringBuilder.append(uid);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", stringBuilder.toString());
        this.mCurrentUnbindNetId = network;
        sendMessage(3, 0, uid);
    }

    private void handleBindProcessToNetwork(int network, int uid, com.android.server.hidata.mplink.MpLinkQuickSwitchConfiguration quickSwitchConfig) {
        this.mMplinkBindResultInfo.reset();
        this.mMplinkBindResultInfo.setNetwork(network);
        this.mMplinkBindResultInfo.setUid(uid);
        int ret = bindProcessToNetwork(network, uid);
        if (ret == 0) {
            this.mCurrentBindUid = uid;
            java.net.InetAddress.clearDnsCache();
            libcore.net.event.NetworkEventDispatcher.getInstance().onNetworkConfigurationChanged();
            this.mMplinkBindResultInfo.setResult(1);
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", "bind network successful !");
            if (quickSwitchConfig == null) {
                huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", "quickSwitchConfig is null");
                closeProcessSockets(0, uid);
                this.mHwMpLinkNetworkImpl.handleNetworkStrategy(0, uid);
            } else {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("quickSwitchConfig:");
                stringBuilder.append(quickSwitchConfig.toString());
                huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", stringBuilder.toString());
                this.mCurrentNetworkStrategy = quickSwitchConfig.getNetworkStrategy();
                handleSocketStrategy(quickSwitchConfig.getSocketStrategy(), uid);
                if (this.mHwMpLinkDemoMode != null) {
                    this.mCurrentNetworkStrategy = android.os.SystemProperties.getInt("mplink_network_type", this.mCurrentNetworkStrategy);
                }
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("network strategy:");
                stringBuilder.append(this.mCurrentNetworkStrategy);
                stringBuilder.append(", uid:");
                stringBuilder.append(uid);
                huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", stringBuilder.toString());
                this.mHwMpLinkNetworkImpl.handleNetworkStrategy(this.mCurrentNetworkStrategy, uid);
                if (huawei.android.net.hwmplink.MpLinkCommonUtils.getNetworkType(this.mContext, network) == 0) {
                    this.mHwMplinkChrImpl.updateMplinkCellBindState(true, this.mHwMpLinkTelephonyImpl.getMobileIface());
                } else {
                    huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", "bind to wifi");
                }
            }
            if (this.mHwMpLinkDemoMode != null) {
                this.mHwMpLinkDemoMode.showToast("bind network successful !");
            }
        } else {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("bind network fail with err ");
            stringBuilder2.append(ret);
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", stringBuilder2.toString());
            this.mMplinkBindResultInfo.setResult(2);
        }
        if (this.mMpLinkCallback != null) {
            this.mMpLinkCallback.onBindProcessToNetworkResult(this.mMplinkBindResultInfo);
        }
    }

    private void handleClearBindProcessToNetwork(int network, int uid) {
        this.mMplinkBindResultInfo.reset();
        this.mMplinkBindResultInfo.setNetwork(this.mCurrentUnbindNetId);
        this.mMplinkBindResultInfo.setUid(uid);
        int ret = bindProcessToNetwork(network, uid);
        if (ret == 0) {
            closeProcessSockets(0, uid);
            java.net.InetAddress.clearDnsCache();
            libcore.net.event.NetworkEventDispatcher.getInstance().onNetworkConfigurationChanged();
            this.mMplinkBindResultInfo.setResult(3);
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", "unbind network successful !");
            if (this.mHwMpLinkDemoMode != null) {
                this.mHwMpLinkDemoMode.showToast("unbind network successful !");
            }
            if (this.mCurrentBindUid != -1) {
                this.mHwMplinkChrImpl.updateMplinkCellBindState(false, null);
            }
            this.mCurrentBindUid = -1;
        } else {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("unbind network fail with err ");
            stringBuilder.append(ret);
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", stringBuilder.toString());
            this.mMplinkBindResultInfo.setResult(4);
        }
        if (this.mMpLinkCallback != null) {
            this.mMpLinkCallback.onBindProcessToNetworkResult(this.mMplinkBindResultInfo);
        }
    }

    private int bindProcessToNetwork(int network, int uid) {
        int reason = com.android.server.hidata.HwHidataJniAdapter.getInstance().bindUidProcessToNetwork(network, uid);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("bindProcessToNetwork network:");
        stringBuilder.append(network);
        stringBuilder.append(", uid:");
        stringBuilder.append(uid);
        stringBuilder.append(", reason:");
        stringBuilder.append(reason);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", stringBuilder.toString());
        if (reason != 0) {
            if (network == 0) {
                this.mHwMplinkChrImpl.updateUnBindFailCnt(reason);
            } else {
                this.mHwMplinkChrImpl.updateBindFailCnt(reason);
            }
        } else if (network == 0) {
            this.mHwMplinkChrImpl.updateUnBindSuccCnt();
        } else {
            this.mHwMplinkChrImpl.updateBindSuccCnt();
        }
        return reason;
    }

    private int resetProcessSockets(int network, int uid) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("resetProcessSockets network:");
        stringBuilder.append(network);
        stringBuilder.append(", uid:");
        stringBuilder.append(uid);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", stringBuilder.toString());
        return com.android.server.hidata.HwHidataJniAdapter.getInstance().resetProcessSockets(uid);
    }

    private int handleSocketStrategy(int strategy, int uid) {
        if (this.mHwMpLinkDemoMode != null) {
            strategy = android.os.SystemProperties.getInt("mplink_close_type", strategy);
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Socket strategy:");
        stringBuilder.append(strategy);
        stringBuilder.append(", uid:");
        stringBuilder.append(uid);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", stringBuilder.toString());
        int ret = 0;
        if ((strategy & 1) != 0) {
            this.mHwInnerNetworkManagerImpl.closeSocketsForUid(uid);
        }
        if (!((strategy & 2) == 0 && (strategy & 4) == 0)) {
            ret = com.android.server.hidata.HwHidataJniAdapter.getInstance().handleSocketStrategy(strategy, uid);
        }
        if (ret != 0) {
            this.mHwMplinkChrImpl.updateCloseSocketFailCnt(ret);
        } else {
            this.mHwMplinkChrImpl.updateCloseSocketSuccCnt();
        }
        return ret;
    }

    private int closeProcessSockets(int strategy, int uid) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("closeProcessSockets strategy:");
        stringBuilder.append(strategy);
        stringBuilder.append(", uid:");
        stringBuilder.append(uid);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MpLinkServiceImpl", stringBuilder.toString());
        int ret = 0;
        if ((strategy & 1) != 0) {
            this.mHwInnerNetworkManagerImpl.closeSocketsForUid(uid);
        }
        if (!((strategy & 2) == 0 && (strategy & 4) == 0)) {
            ret = com.android.server.hidata.HwHidataJniAdapter.getInstance().handleSocketStrategy(strategy, uid);
        }
        if (ret != 0) {
            this.mHwMplinkChrImpl.updateCloseSocketFailCnt(ret);
        } else {
            this.mHwMplinkChrImpl.updateCloseSocketSuccCnt();
        }
        return ret;
    }

    public android.net.NetworkInfo getMpLinkNetworkInfo(android.net.NetworkInfo info, int uid) {
        if (!(this.mCurrentBindUid == -1 && this.mHwMpLinkDemoMode == null)) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("uid = ");
            stringBuilder.append(uid);
            stringBuilder.append(", binduid = ");
            stringBuilder.append(this.mCurrentBindUid);
            stringBuilder.append(", strategy: ");
            stringBuilder.append(this.mCurrentNetworkStrategy);
            huawei.android.net.hwmplink.MpLinkCommonUtils.logI("HiData_MpLinkServiceImpl", stringBuilder.toString());
        }
        if (this.mCurrentBindUid != -1) {
            if (uid == this.mCurrentBindUid) {
                if (this.mCurrentNetworkStrategy == 1) {
                    return this.mHwMpLinkNetworkImpl.createMobileNetworkInfo();
                }
                return info;
            }
        }
        return info;
    }

    public boolean isAppBindedNetwork() {
        if (this.mCurrentBindUid == -1 || !huawei.android.net.hwmplink.MpLinkCommonUtils.isMpLinkEnabled(this.mContext)) {
            return false;
        }
        return true;
    }
}
