package com.android.server.hidata.mplink;

public class HwMpLinkTelephonyImpl {
    private static final int NETWORK_REQUEST_TIMEOUT_MILLIS = 60000;
    private static final java.lang.String TAG = "HiData_HwMpLinkTelephonyImpl";
    private int dealMobileDataRef = 0;
    private android.net.ConnectivityManager mConnectivityManager = null;
    private android.content.Context mContext;
    private boolean mCurrentDataRoamingState = false;
    private int mCurrentDataTechType = 0;
    private int mCurrentServceState = 1;
    private int mDefaultDataSubId = 0;
    private android.os.Handler mHandler;
    private boolean mIsDataTechSuitable = false;
    private boolean mIsMobileDataAvailable = false;
    private final android.net.ConnectivityManager.NetworkCallback mListenNetworkCallback = new android.net.ConnectivityManager.NetworkCallback() {
        {
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkTelephonyImpl", "onUnavailable");
        }

        public void onAvailable(android.net.Network network, android.net.NetworkCapabilities networkCapabilities, android.net.LinkProperties linkProperties) {
            java.lang.String iface = linkProperties.getInterfaceName();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onAvailable,iface:");
            stringBuilder.append(iface);
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkTelephonyImpl", stringBuilder.toString());
            if (iface != null) {
                com.android.server.hidata.mplink.HwMpLinkTelephonyImpl.this.mIsMobileDataAvailable = true;
                com.android.server.hidata.mplink.HwMpLinkTelephonyImpl.this.sendMessage(221);
            }
        }

        public void onUnavailable() {
        }
    };
    private boolean mMobileConnectState = false;
    private int mMobileDataSwitchState = -1;
    private java.lang.String mMobileIface = "";
    private android.net.ConnectivityManager.NetworkCallback mNetworkCallback;
    android.net.NetworkRequest mNetworkRequestForCallback = new android.net.NetworkRequest.Builder().addTransportType(0).addCapability(12).build();

    public HwMpLinkTelephonyImpl(android.content.Context context, android.os.Handler handler) {
        this.mContext = context;
        this.mHandler = handler;
        getConnectiviyManger();
        registerNetworkCallback();
    }

    private void registerNetworkCallback() {
        if (this.mConnectivityManager != null) {
            this.mConnectivityManager.registerNetworkCallback(this.mNetworkRequestForCallback, this.mListenNetworkCallback, this.mHandler);
        }
    }

    private void getConnectiviyManger() {
        if (this.mConnectivityManager == null) {
            this.mConnectivityManager = (android.net.ConnectivityManager) this.mContext.getSystemService("connectivity");
        }
    }

    private void sendMessage(int what) {
        this.mHandler.sendMessage(android.os.Message.obtain(this.mHandler, what));
    }

    public int getActiveNetworkType() {
        getConnectiviyManger();
        if (this.mConnectivityManager == null) {
            return -1;
        }
        android.net.NetworkInfo netinfo = this.mConnectivityManager.getActiveNetworkInfo();
        if (netinfo != null) {
            return netinfo.getType();
        }
        return -1;
    }

    public boolean isMobileDataEnable() {
        boolean isMobileEnable = false;
        getConnectiviyManger();
        if (this.mConnectivityManager != null) {
            isMobileEnable = this.mConnectivityManager.getMobileDataEnabled();
        } else {
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkTelephonyImpl", "isMobileDataEnable mConnectivityManager is null");
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isMobileDataEnable ");
        stringBuilder.append(isMobileEnable);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkTelephonyImpl", stringBuilder.toString());
        return isMobileEnable;
    }

    public int mplinkSetMobileData(boolean enable) {
        int ret = -1;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mplinkSetMobileData dealMobileDataRef: ");
        stringBuilder.append(this.dealMobileDataRef);
        stringBuilder.append(", enable :");
        stringBuilder.append(enable);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkTelephonyImpl", stringBuilder.toString());
        if (isMobileDataEnable() || !enable) {
            boolean connectState = isMobileConnected();
            if (enable) {
                if (connectState) {
                    huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkTelephonyImpl", "mplinkSetMobileData already connected");
                } else if (this.dealMobileDataRef == 0) {
                    this.dealMobileDataRef = 1;
                    enableMobileData(true);
                    ret = 0;
                }
            } else if (this.dealMobileDataRef > 0) {
                enableMobileData(false);
                this.dealMobileDataRef = 0;
            } else {
                huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkTelephonyImpl", "mplinkSetMobileData mplink do not open MobileData");
            }
            return ret;
        }
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkTelephonyImpl", "mplinkSetMobileData Mobile switch closed");
        return 2;
    }

    private void enableMobileData(boolean enable) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("enableMobileData :");
        stringBuilder.append(enable);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkTelephonyImpl", stringBuilder.toString());
        if (enable) {
            startNetworkForMpLink();
        } else {
            stopNetworkForMpLink();
        }
    }

    public boolean getCurrentDataTechSuitable() {
        return this.mIsDataTechSuitable;
    }

    private void startNetworkForMpLink() {
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkTelephonyImpl", "startNetworkForMpLink");
        android.net.NetworkRequest mNetworkRequest = new android.net.NetworkRequest.Builder().addTransportType(0).addCapability(12).setNetworkSpecifier(java.lang.Integer.toString(getDefaultDataSubId())).build();
        this.mNetworkCallback = new android.net.ConnectivityManager.NetworkCallback();
        if (this.mNetworkCallback != null && this.mConnectivityManager != null) {
            this.mConnectivityManager.requestNetwork(mNetworkRequest, this.mNetworkCallback, 60000);
        }
    }

    private void stopNetworkForMpLink() {
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkTelephonyImpl", "stopNetworkForMpLink");
        if (this.mNetworkCallback != null && this.mConnectivityManager != null) {
            try {
                this.mConnectivityManager.unregisterNetworkCallback(this.mNetworkCallback);
            } catch (java.lang.IllegalArgumentException e) {
                huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkTelephonyImpl", "Unregister network callback exception");
            } catch (Throwable th) {
                this.mNetworkCallback = null;
            }
            this.mNetworkCallback = null;
        }
    }

    public int getDefaultDataSubId() {
        return this.mDefaultDataSubId;
    }

    public boolean getCurrentDataRoamingState() {
        return this.mCurrentDataRoamingState;
    }

    public int getCurrentServceState() {
        return this.mCurrentServceState;
    }

    public boolean getCurrentMobileConnectState() {
        return this.mMobileConnectState;
    }

    public void handleDataSubChange(int subId) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("DataSub Change, new subId:");
        stringBuilder.append(subId);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkTelephonyImpl", stringBuilder.toString());
        if (subId != -1 && this.mDefaultDataSubId != subId) {
            this.mDefaultDataSubId = subId;
            sendMessage(230);
        }
    }

    public boolean isMobileConnected() {
        return this.mMobileConnectState;
    }

    public java.lang.String getMobileIface() {
        return this.mMobileIface;
    }

    public boolean getMobileDataAvaiable() {
        return this.mIsMobileDataAvailable;
    }

    public void handleTelephonyDataConnectionChanged(java.lang.String state, java.lang.String iface, int subId) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("ACTION_ANY_DATA_CONNECTION_STATE_CHANGED subId:");
        stringBuilder.append(subId);
        stringBuilder.append(",state:");
        stringBuilder.append(state);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logI("HiData_HwMpLinkTelephonyImpl", stringBuilder.toString());
        if (subId != this.mDefaultDataSubId) {
            return;
        }
        if ("CONNECTED".equals(state)) {
            this.mMobileConnectState = true;
            this.mMobileIface = iface;
            sendMessage(215);
        } else if ("DISCONNECTED".equals(state)) {
            this.mMobileConnectState = false;
            this.mMobileIface = "";
            this.mIsMobileDataAvailable = false;
            sendMessage(216);
        }
    }

    public void handleTelephonyServiceStateChanged(android.telephony.ServiceState serviceState, int subId) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("ACTION_SERVICE_STATE_CHANGED subId:");
        stringBuilder.append(subId);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logI("HiData_HwMpLinkTelephonyImpl", stringBuilder.toString());
        if (subId != -1 && subId == this.mDefaultDataSubId && serviceState != null) {
            int newServiceState = serviceState.getDataRegState();
            if (this.mCurrentServceState != newServiceState) {
                this.mCurrentServceState = newServiceState;
                handleRadioServiceStateChange(newServiceState);
            }
            int newDataTechType = serviceState.getDataNetworkType();
            if (this.mCurrentDataTechType != newDataTechType) {
                this.mCurrentDataTechType = newDataTechType;
                handleDataTechTypeChange(newDataTechType);
            }
            boolean newRoamingState = serviceState.getDataRoaming();
            if (this.mCurrentDataRoamingState != newRoamingState) {
                this.mCurrentDataRoamingState = newRoamingState;
                handleDataRoamingStateChange(newRoamingState);
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:24:? A:{SYNTHETIC, RETURN} */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x003a  */
    public void handleDataTechTypeChange(int r4) {
        /*
        r3 = this;
        r0 = "HiData_HwMpLinkTelephonyImpl";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "handlerDataTechTypeChange dataTech :";
        r1.append(r2);
        r1.append(r4);
        r1 = r1.toString();
        huawei.android.net.hwmplink.MpLinkCommonUtils.logI(r0, r1);
        r0 = 0;
        r1 = 3;
        if (r4 == r1) goto L_0x0035;
    L_0x001a:
        r1 = 8;
        if (r4 == r1) goto L_0x0035;
    L_0x001e:
        r1 = 9;
        if (r4 == r1) goto L_0x0035;
    L_0x0022:
        r1 = 10;
        if (r4 == r1) goto L_0x0035;
    L_0x0026:
        r1 = 15;
        if (r4 == r1) goto L_0x0035;
    L_0x002a:
        r1 = 13;
        if (r4 == r1) goto L_0x0035;
    L_0x002e:
        r1 = 19;
        if (r4 != r1) goto L_0x0033;
    L_0x0032:
        goto L_0x0035;
    L_0x0033:
        r0 = 0;
        goto L_0x0036;
    L_0x0035:
        r0 = 1;
    L_0x0036:
        r1 = r3.mIsDataTechSuitable;
        if (r1 == r0) goto L_0x0049;
    L_0x003a:
        r3.mIsDataTechSuitable = r0;
        if (r0 == 0) goto L_0x0044;
    L_0x003e:
        r1 = 201; // 0xc9 float:2.82E-43 double:9.93E-322;
        r3.sendMessage(r1);
        goto L_0x0049;
    L_0x0044:
        r1 = 202; // 0xca float:2.83E-43 double:1.0E-321;
        r3.sendMessage(r1);
    L_0x0049:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.mplink.HwMpLinkTelephonyImpl.handleDataTechTypeChange(int):void");
    }

    public void handleRadioServiceStateChange(int State) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("handlerDataTechTypeChange State :");
        stringBuilder.append(State);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logI("HiData_HwMpLinkTelephonyImpl", stringBuilder.toString());
        if (State != 0) {
            sendMessage(206);
        } else {
            sendMessage(205);
        }
    }

    public void handleDataRoamingStateChange(boolean roaming) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("handlerDataTechTypeChange roaming :");
        stringBuilder.append(roaming);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logI("HiData_HwMpLinkTelephonyImpl", stringBuilder.toString());
        if (roaming) {
            sendMessage(204);
        } else {
            sendMessage(203);
        }
    }

    public void handleMobileDataSwitchChange(boolean enable) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("handleMobileDataSwitchChange:");
        stringBuilder.append(enable);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkTelephonyImpl", stringBuilder.toString());
        int iFlag = 0;
        if (enable) {
            iFlag = 1;
        }
        if (this.mMobileDataSwitchState != iFlag) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("handleMobileDataSwitchChange sendmsg:");
            stringBuilder2.append(enable);
            huawei.android.net.hwmplink.MpLinkCommonUtils.logI("HiData_HwMpLinkTelephonyImpl", stringBuilder2.toString());
            this.mMobileDataSwitchState = iFlag;
            if (enable) {
                sendMessage(219);
            } else {
                sendMessage(220);
            }
        }
    }
}
