package com.android.server.hidata.mplink;

public class HwMpLinkWifiImpl {
    private static final java.lang.String TAG = "HiData_HwMpLinkWifiImpl";
    private android.content.Context mContext;
    private android.os.Handler mHandler;
    private boolean mWifiConnectState = false;
    private boolean mWifiVpnConnected = false;

    public HwMpLinkWifiImpl(android.content.Context context, android.os.Handler handler) {
        this.mContext = context;
        this.mHandler = handler;
    }

    private void sendMessage(int what) {
        this.mHandler.sendMessage(android.os.Message.obtain(this.mHandler, what));
    }

    public boolean isWifiConnected() {
        return this.mWifiConnectState;
    }

    public boolean getCurrentWifiConnectState() {
        return this.mWifiConnectState;
    }

    public boolean getCurrentWifiVpnState() {
        return this.mWifiVpnConnected;
    }

    public void setCurrentWifiVpnState(boolean vpnconnected) {
        this.mWifiVpnConnected = vpnconnected;
    }

    public void handleWifiNetworkStateChanged(android.net.NetworkInfo netInfo) {
        if (netInfo != null) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("WIFI NETWORK_STATE_CHANGED_ACTION state:");
            stringBuilder.append(netInfo.getState());
            huawei.android.net.hwmplink.MpLinkCommonUtils.logI("HiData_HwMpLinkWifiImpl", stringBuilder.toString());
            if (netInfo.getState() == android.net.NetworkInfo.State.DISCONNECTED) {
                this.mWifiConnectState = false;
                com.android.server.hidata.mplink.HwMpLinkContentAware.getInstance(this.mContext).resetAiDeviceType();
                sendMessage(214);
            } else if (netInfo.getState() == android.net.NetworkInfo.State.CONNECTED || netInfo.getDetailedState() == android.net.NetworkInfo.DetailedState.VERIFYING_POOR_LINK) {
                this.mWifiConnectState = true;
                sendMessage(213);
            }
        }
    }

    public void handleVpnStateChange(boolean vpnconnected) {
        if (this.mWifiVpnConnected != vpnconnected) {
            this.mWifiVpnConnected = vpnconnected;
            if (vpnconnected) {
                huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkWifiImpl", "WIFI_VPN_CONNETED");
                sendMessage(208);
                return;
            }
            huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMpLinkWifiImpl", "WIFI_VPN_DISCONNETED");
            sendMessage(207);
        }
    }
}
