package com.android.server.hidata.mplink;

public class HwMplinkManager {
    private static final java.lang.String TAG = "HiData_MplinkManager";
    private static com.android.server.hidata.mplink.HwMplinkManager mMplinkManager;
    private android.content.Context mContext;
    private com.android.server.hidata.mplink.HwMpLinkServiceImpl mHwMpLinkServiceImpl = com.android.server.hidata.mplink.HwMpLinkServiceImpl.getInstance(this.mContext);

    public static com.android.server.hidata.mplink.HwMplinkManager createInstance(android.content.Context context) {
        if (mMplinkManager == null) {
            mMplinkManager = new com.android.server.hidata.mplink.HwMplinkManager(context);
        }
        return mMplinkManager;
    }

    public static com.android.server.hidata.mplink.HwMplinkManager getInstance() {
        return mMplinkManager;
    }

    private HwMplinkManager(android.content.Context context) {
        this.mContext = context;
        huawei.android.net.hwmplink.MpLinkCommonUtils.logI("HiData_MplinkManager", "init MplinkManager completed!");
    }

    public synchronized boolean isMpLinkConditionSatisfy() {
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MplinkManager", "isMpLinkConditionSatisfy");
        return this.mHwMpLinkServiceImpl.isMpLinkConditionSatisfy();
    }

    public synchronized void notifyIpConfigCompleted() {
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MplinkManager", "notifyIpConfigCompleted!");
        this.mHwMpLinkServiceImpl.notifyIpConfigCompleted();
    }

    public synchronized void registMpLinkCallback(com.android.server.hidata.mplink.IMpLinkCallback callback) {
        this.mHwMpLinkServiceImpl.registMpLinkCallback(callback);
    }

    public synchronized void registCHRCallback(com.android.server.hidata.arbitration.IHiDataCHRCallBack callback) {
        this.mHwMpLinkServiceImpl.registMpLinkCHRCallback(callback);
    }

    @java.lang.Deprecated
    public synchronized void requestBindProcessToNetwork(int netid, int uid, int type) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("requestBindProcessToNetwork, uid : ");
        stringBuilder.append(uid);
        stringBuilder.append(", netid : ");
        stringBuilder.append(netid);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MplinkManager", stringBuilder.toString());
        this.mHwMpLinkServiceImpl.requestBindProcessToNetwork(netid, uid, type);
    }

    public synchronized void requestBindProcessToNetwork(int netid, int uid, com.android.server.hidata.mplink.MpLinkQuickSwitchConfiguration configuration) {
        this.mHwMpLinkServiceImpl.requestBindProcessToNetwork(netid, uid, configuration);
    }

    public synchronized void requestClearBindProcessToNetwork(int netid, int uid) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("requestClearBindProcessToNetwork, uid : ");
        stringBuilder.append(uid);
        stringBuilder.append(", netid : ");
        stringBuilder.append(netid);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MplinkManager", stringBuilder.toString());
        this.mHwMpLinkServiceImpl.requestClearBindProcessToNetwork(netid, uid);
    }

    public synchronized void foregroundAppChanged(int uid) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("foregroundAppChanged, uid : ");
        stringBuilder.append(uid);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MplinkManager", stringBuilder.toString());
        this.mHwMpLinkServiceImpl.foregroundAppChanged(uid);
    }

    public synchronized void requestWiFiAndCellCoexist(boolean coexist) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("requestWiFiAndCellCoexist, coexist : ");
        stringBuilder.append(coexist);
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MplinkManager", stringBuilder.toString());
        this.mHwMpLinkServiceImpl.requestWiFiAndCellCoexist(coexist);
    }

    public synchronized void updateMplinkAiDevicesList(int type, java.lang.String packageWhiteList) {
        huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MplinkManager", "updateMplinkAiDevicesList,");
    }

    public static boolean isKeepCurrMplinkConnected(android.net.wifi.WifiInfo wifiInfo) {
        if (wifiInfo != null) {
            if (huawei.android.net.hwmplink.MpLinkCommonUtils.isSupportMpLink()) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("wifi score:");
                stringBuilder.append(wifiInfo.score);
                huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MplinkManager", stringBuilder.toString());
                if (wifiInfo.score != 35) {
                    return false;
                }
                huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_MplinkManager", "isKeepCurrMplinkConnected");
                return true;
            }
        }
        return false;
    }

    public synchronized void registRFInterferenceCallback(com.android.server.hidata.mplink.IRFInterferenceCallback callback) {
        this.mHwMpLinkServiceImpl.registRFInterferenceCallback(callback);
    }

    public synchronized boolean isAppBindedNetwork() {
        if (this.mHwMpLinkServiceImpl == null) {
            return false;
        }
        return this.mHwMpLinkServiceImpl.isAppBindedNetwork();
    }

    public synchronized android.net.NetworkInfo getMpLinkNetworkInfo(android.net.NetworkInfo info, int uid) {
        if (this.mHwMpLinkServiceImpl == null) {
            return info;
        }
        return this.mHwMpLinkServiceImpl.getMpLinkNetworkInfo(info, uid);
    }
}
