package com.android.server.hidata.mplink;

public class HwMplinkStateObserver {
    private static final java.lang.String TAG = "HiData_HwMplinkStateObserver";
    private com.android.server.hidata.mplink.IMpLinkStateObserverCallback mCallback;
    private android.content.Context mContext;

    private class StateBroadcastReceiver extends android.content.BroadcastReceiver {
        private StateBroadcastReceiver() {
        }

        /* synthetic */ StateBroadcastReceiver(com.android.server.hidata.mplink.HwMplinkStateObserver x0, com.android.server.hidata.mplink.HwMplinkStateObserver.AnonymousClass1 x1) {
            this();
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            java.lang.String action = intent.getAction();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("action:");
            stringBuilder.append(action);
            huawei.android.net.hwmplink.MpLinkCommonUtils.logI("HiData_HwMplinkStateObserver", stringBuilder.toString());
            if (action.equals("android.intent.action.SERVICE_STATE")) {
                com.android.server.hidata.mplink.HwMplinkStateObserver.this.mCallback.onTelephonyServiceStateChanged(android.telephony.ServiceState.newFromBundle(intent.getExtras()), intent.getIntExtra("subscription", -1));
            } else if (action.equals("android.intent.action.ACTION_DEFAULT_DATA_SUBSCRIPTION_CHANGED")) {
                com.android.server.hidata.mplink.HwMplinkStateObserver.this.mCallback.onTelephonyDefaultDataSubChanged(intent.getIntExtra("subscription", -1));
            } else if (action.equals("android.intent.action.ANY_DATA_STATE")) {
                java.lang.String apnType = intent.getStringExtra("apnType");
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("apnType:");
                stringBuilder2.append(apnType);
                huawei.android.net.hwmplink.MpLinkCommonUtils.logD("HiData_HwMplinkStateObserver", stringBuilder2.toString());
                if ("default".equals(apnType)) {
                    com.android.server.hidata.mplink.HwMplinkStateObserver.this.mCallback.onTelephonyDataConnectionChanged(intent.getStringExtra("state"), intent.getStringExtra("iface"), intent.getIntExtra("subscription", -1));
                }
            } else if (action.equals("android.net.wifi.STATE_CHANGE")) {
                com.android.server.hidata.mplink.HwMplinkStateObserver.this.mCallback.onWifiNetworkStateChanged((android.net.NetworkInfo) intent.getParcelableExtra("networkInfo"));
            } else if (action.equals("mplink_intent_check_request_success")) {
                com.android.server.hidata.mplink.HwMplinkStateObserver.this.mCallback.onMpLinkRequestTimeout(intent.getIntExtra("mplink_intent_key_check_request", -1));
            }
        }
    }

    public HwMplinkStateObserver(android.content.Context context, com.android.server.hidata.mplink.IMpLinkStateObserverCallback callback) {
        this.mContext = context;
        this.mCallback = callback;
        registerMpLinkReceiver();
        registerMplinkSettingsChanges();
    }

    private void registerMpLinkReceiver() {
        android.content.IntentFilter filter = new android.content.IntentFilter();
        com.android.server.hidata.mplink.HwMplinkStateObserver.StateBroadcastReceiver receiver = new com.android.server.hidata.mplink.HwMplinkStateObserver.StateBroadcastReceiver(this, null);
        filter.addAction("android.intent.action.SERVICE_STATE");
        filter.addAction("android.intent.action.ACTION_DEFAULT_DATA_SUBSCRIPTION_CHANGED");
        filter.addAction("android.intent.action.ANY_DATA_STATE");
        filter.addAction("android.net.wifi.STATE_CHANGE");
        filter.addAction("mplink_intent_check_request_success");
        this.mContext.registerReceiver(receiver, filter);
    }

    private void registerMplinkSettingsChanges() {
        this.mContext.getContentResolver().registerContentObserver(android.provider.Settings.System.getUriFor("smart_network_switching"), false, new android.database.ContentObserver(null) {
            public void onChange(boolean selfChange) {
                com.android.server.hidata.mplink.HwMplinkStateObserver.this.mCallback.onMplinkSwitchChange(com.android.server.hidata.mplink.HwMplinkStateObserver.this.getMpLinkSwitchState());
            }
        });
        this.mContext.getContentResolver().registerContentObserver(android.provider.Settings.System.getUriFor("wifipro_network_vpn_state"), false, new android.database.ContentObserver(null) {
            public void onChange(boolean selfChange) {
                com.android.server.hidata.mplink.HwMplinkStateObserver.this.mCallback.onVpnStateChange(com.android.server.hidata.mplink.HwMplinkStateObserver.this.getVpnConnectState());
            }
        });
        this.mContext.getContentResolver().registerContentObserver(android.provider.Settings.System.getUriFor("mplink_simulate_hibrain_request_for_test"), false, new android.database.ContentObserver(null) {
            public void onChange(boolean selfChange) {
                com.android.server.hidata.mplink.HwMplinkStateObserver.this.mCallback.onSimulateHiBrainRequestForDemo(huawei.android.net.hwmplink.MpLinkCommonUtils.getSettingsSystemBoolean(com.android.server.hidata.mplink.HwMplinkStateObserver.this.mContext.getContentResolver(), "mplink_simulate_hibrain_request_for_test", false));
            }
        });
        this.mContext.getContentResolver().registerContentObserver(android.provider.Settings.Global.getUriFor("mobile_data"), false, new android.database.ContentObserver(null) {
            public void onChange(boolean selfChange) {
                com.android.server.hidata.mplink.HwMplinkStateObserver.this.mCallback.onMobileDataSwitchChange(huawei.android.net.hwmplink.MpLinkCommonUtils.getSettingsGlobalBoolean(com.android.server.hidata.mplink.HwMplinkStateObserver.this.mContext.getContentResolver(), "mobile_data", false));
            }
        });
    }

    public void initSimulateHibrain() {
        android.provider.Settings.System.putInt(this.mContext.getContentResolver(), "mplink_simulate_hibrain_request_for_test", 0);
    }

    public boolean getMpLinkSwitchState() {
        return huawei.android.net.hwmplink.MpLinkCommonUtils.isMpLinkEnabled(this.mContext);
    }

    public boolean getVpnConnectState() {
        return huawei.android.net.hwmplink.MpLinkCommonUtils.getSettingsSystemBoolean(this.mContext.getContentResolver(), "wifipro_network_vpn_state", false);
    }
}
