package com.android.server.hidata.wavemapping;

public class HwWaveMappingManager {
    private static final java.lang.String TAG;
    private static com.android.server.hidata.wavemapping.HwWaveMappingManager instance = null;
    private com.android.server.hidata.wavemapping.dataprovider.BootBroadcastReceiver bootBroadcastReceiver;
    private android.os.HandlerThread handlerThread;
    private com.android.server.hidata.wavemapping.HwWMStateMachine hwWMStateMachine;
    private android.content.Context mContext;
    private android.os.Handler mHandler;
    private com.android.server.hidata.arbitration.HwArbitrationHistoryQoeManager mHistoryQoE;
    private com.android.server.hidata.wavemapping.IWaveMappingCallback mIWaveMappingCallback;
    private boolean smInitFinish = false;

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMapping.");
        stringBuilder.append(com.android.server.hidata.wavemapping.HwWaveMappingManager.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    private HwWaveMappingManager(android.content.Context mContext) {
        this.mContext = mContext;
        com.android.server.hidata.wavemapping.cons.ContextManager.getInstance().setContext(mContext);
        this.hwWMStateMachine = com.android.server.hidata.wavemapping.HwWMStateMachine.getInstance(mContext);
        initControllerHandler();
        this.mHistoryQoE = com.android.server.hidata.arbitration.HwArbitrationHistoryQoeManager.getInstance(this.hwWMStateMachine.getHandler());
        this.bootBroadcastReceiver = new com.android.server.hidata.wavemapping.dataprovider.BootBroadcastReceiver(this.mHandler);
        android.content.IntentFilter filter = new android.content.IntentFilter();
        filter.addAction("android.intent.action.ACTION_SHUTDOWN");
        filter.addAction("android.intent.action.BOOT_COMPLETED");
        filter.addAction("android.intent.action.LOCKED_BOOT_COMPLETED");
        this.mContext.registerReceiver(this.bootBroadcastReceiver, filter);
        com.android.server.hidata.wavemapping.util.LogUtil.d("HwWaveMappingManager init completed");
    }

    public static com.android.server.hidata.wavemapping.HwWaveMappingManager getInstance(android.content.Context mContext) {
        if (instance == null) {
            instance = new com.android.server.hidata.wavemapping.HwWaveMappingManager(mContext);
        }
        return instance;
    }

    public static com.android.server.hidata.wavemapping.HwWaveMappingManager getInstance() {
        return instance;
    }

    private void initControllerHandler() {
        this.handlerThread = new android.os.HandlerThread("HwWaveMappingManager_thread");
        this.handlerThread.start();
        this.mHandler = new android.os.Handler(this.handlerThread.getLooper()) {
            public void handleMessage(android.os.Message msg) {
                switch (msg.what) {
                    case 1:
                        com.android.server.hidata.wavemapping.util.LogUtil.d("Constant.MSG_REV_SYSBOOT  begin.");
                        if (com.android.server.hidata.wavemapping.cons.Constant.checkPath(com.android.server.hidata.wavemapping.HwWaveMappingManager.this.mContext)) {
                            if (!com.android.server.hidata.wavemapping.HwWaveMappingManager.this.smInitFinish) {
                                com.android.server.hidata.wavemapping.HwWaveMappingManager.this.hwWMStateMachine.init();
                            }
                            com.android.server.hidata.wavemapping.HwWaveMappingManager.this.smInitFinish = true;
                            return;
                        }
                        com.android.server.hidata.wavemapping.util.LogUtil.e("init failure.");
                        return;
                    case 2:
                        com.android.server.hidata.wavemapping.util.LogUtil.d("Constant.MSG_REV_SYSSHUTDOWN  begin.");
                        com.android.server.hidata.wavemapping.HwWaveMappingManager.this.hwWMStateMachine.handleShutDown();
                        return;
                    default:
                        return;
                }
            }
        };
    }

    public void registerWaveMappingCallback(com.android.server.hidata.wavemapping.IWaveMappingCallback callback) {
        if (callback != null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("registerWaveMappingCallback");
            this.mIWaveMappingCallback = callback;
        }
    }

    public void queryWaveMappingInfo(int UID, int appId, int sense, int network) {
        if (this.mIWaveMappingCallback != null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("queryWaveMappingInfo");
            if (this.smInitFinish) {
                this.mHistoryQoE.queryHistoryQoE(UID, appId, sense, network, this.mIWaveMappingCallback);
                return;
            }
            this.mIWaveMappingCallback.onWaveMappingRespondCallback(UID, 0, network, true, false);
            return;
        }
        com.android.server.hidata.wavemapping.util.LogUtil.w("mIWaveMappingCallback is none");
    }

    public com.android.server.hidata.wavemapping.IWaveMappingCallback getWaveMappingCallback() {
        return this.mIWaveMappingCallback;
    }
}
