package com.android.server.hidata.wavemapping.chr;

public class BuildSpaceUserStatisticsChrInfo {
    public static final int MSG_WAVEMAPPING_HISTORY_APPQOE_CLASSID = 909009048;
    public static final int MSG_WAVEMAPPING_HISTORY_USEREXP_CLASSID = 909009049;
    public static final int MSG_WAVEMAPPING_SPACEUSER_STATISTICS_EVENTID = 909002050;
    public static final int MSG_WAVEMAPPING_SPACE_NETWORK_GROUP_CLASSID = 909009047;
    private android.util.IMonitor.EventStream buildSpaceUserEstream;
    private android.util.IMonitor.EventStream historyAppQoEEstream;
    private android.util.IMonitor.EventStream historyUserExpEstream;
    com.android.server.hidata.wavemapping.dao.SpaceUserDAO mspaceUserDAO = new com.android.server.hidata.wavemapping.dao.SpaceUserDAO();
    private android.util.IMonitor.EventStream spaceNetworkGroupEstream;

    private boolean buildHistoryUserExp(java.lang.String freqlocation) {
        try {
            java.util.HashMap<java.lang.Integer, android.os.Bundle> userExpRec = this.mspaceUserDAO.findUserExpRecByFreqLoc(freqlocation);
            int i = 24;
            if (userExpRec.size() <= 24) {
                i = userExpRec.size();
            }
            int size = i;
            for (int i2 = 1; i2 <= size; i2++) {
                android.os.Bundle userExpValue = (android.os.Bundle) userExpRec.get(java.lang.Integer.valueOf(i2));
                if (userExpValue != null) {
                    this.historyUserExpEstream = android.util.IMonitor.openEventStream(909009049);
                    this.spaceNetworkGroupEstream = android.util.IMonitor.openEventStream(909009047);
                    if (this.historyUserExpEstream != null) {
                        if (this.spaceNetworkGroupEstream != null) {
                            this.spaceNetworkGroupEstream.setParam("spcA", java.lang.Short.parseShort(userExpValue.getString("spaceid")));
                            this.spaceNetworkGroupEstream.setParam("modA", java.lang.Integer.parseInt(userExpValue.getString("modelVerAllap")));
                            this.spaceNetworkGroupEstream.setParam("spcM", java.lang.Short.parseShort(userExpValue.getString("spaceidmain")));
                            this.spaceNetworkGroupEstream.setParam("modM", java.lang.Integer.parseInt(userExpValue.getString("modelVerMainap")));
                            android.os.Bundle userPrefValue = this.mspaceUserDAO.getUerPrefTotalCountDurationByAllApSpaces(freqlocation, userExpValue.getString("spaceid"), userExpValue.getString("modelVerAllap"));
                            this.spaceNetworkGroupEstream.setParam("spcC", userExpValue.getInt("nwidcnt"));
                            this.spaceNetworkGroupEstream.setParam("modC", userPrefValue.getInt("totalDuration"));
                            this.spaceNetworkGroupEstream.setParam("Id", userPrefValue.getInt("totalCount"));
                            this.spaceNetworkGroupEstream.setParam("name", userExpValue.getString("networkname"));
                            this.spaceNetworkGroupEstream.setParam("freq", userExpValue.getShort("nwfreqcnt"));
                            this.spaceNetworkGroupEstream.setParam("type", (byte) userExpValue.getInt("nwType"));
                            this.spaceNetworkGroupEstream.setParam("rec", userExpValue.getShort("rec"));
                            this.historyUserExpEstream.setParam("spcInf", this.spaceNetworkGroupEstream);
                            this.historyUserExpEstream.setParam("dur", (int) (userExpValue.getLong("duration_connected") / 1000));
                            this.historyUserExpEstream.setParam("dRx", (int) userExpValue.getLong("datarx"));
                            this.historyUserExpEstream.setParam("dTx", (int) userExpValue.getLong("datatx"));
                            this.historyUserExpEstream.setParam("sig", userExpValue.getShort("avgSignal"));
                            this.historyUserExpEstream.setParam("In", userExpValue.getInt("user_pref_opt_in"));
                            this.historyUserExpEstream.setParam("Out", userExpValue.getInt("user_pref_opt_out"));
                            this.historyUserExpEstream.setParam("Stay", userExpValue.getInt("user_pref_stay"));
                            this.historyUserExpEstream.setParam("power", (int) userExpValue.getLong("powerconsumption"));
                            this.historyUserExpEstream.setParam("pwrIdle", 0);
                            this.buildSpaceUserEstream.fillArrayParam("usr", this.historyUserExpEstream);
                            android.util.IMonitor.closeEventStream(this.spaceNetworkGroupEstream);
                            android.util.IMonitor.closeEventStream(this.historyUserExpEstream);
                        }
                    }
                    com.android.server.hidata.wavemapping.util.LogUtil.e("buildHistoryUserExp, open Estream failed");
                    return false;
                }
            }
            return true;
        } catch (java.lang.RuntimeException e) {
            throw e;
        } catch (java.lang.Exception e2) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("buildHistoryUserExp,e:");
            stringBuilder.append(e2.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        }
    }

    private boolean buildHistoryAppQoE(java.lang.String freqlocation) {
        try {
            java.util.HashMap<java.lang.Integer, android.os.Bundle> appQoERec = this.mspaceUserDAO.findAppQoERecByFreqLoc(freqlocation);
            int i = 24;
            if (appQoERec.size() <= 24) {
                i = appQoERec.size();
            }
            int size = i;
            for (int i2 = 1; i2 <= size; i2++) {
                android.os.Bundle appQoEValue = (android.os.Bundle) appQoERec.get(java.lang.Integer.valueOf(i2));
                if (appQoEValue != null) {
                    this.historyAppQoEEstream = android.util.IMonitor.openEventStream(909009048);
                    this.spaceNetworkGroupEstream = android.util.IMonitor.openEventStream(909009047);
                    if (this.historyAppQoEEstream != null) {
                        if (this.spaceNetworkGroupEstream != null) {
                            this.spaceNetworkGroupEstream.setParam("spcA", java.lang.Short.parseShort(appQoEValue.getString("spaceid")));
                            this.spaceNetworkGroupEstream.setParam("modA", java.lang.Integer.parseInt(appQoEValue.getString("modelVerAllap")));
                            this.spaceNetworkGroupEstream.setParam("spcM", java.lang.Short.parseShort(appQoEValue.getString("spaceidmain")));
                            this.spaceNetworkGroupEstream.setParam("modM", java.lang.Integer.parseInt(appQoEValue.getString("modelVerMainap")));
                            this.spaceNetworkGroupEstream.setParam("spcC", appQoEValue.getInt("nwidcnt"));
                            this.spaceNetworkGroupEstream.setParam("name", appQoEValue.getString("networkname"));
                            this.spaceNetworkGroupEstream.setParam("freq", appQoEValue.getShort("nwfreqcnt"));
                            this.spaceNetworkGroupEstream.setParam("type", (byte) appQoEValue.getInt("nwType"));
                            this.spaceNetworkGroupEstream.setParam("rec", appQoEValue.getShort("rec"));
                            this.historyAppQoEEstream.setParam("app", appQoEValue.getInt("app"));
                            this.historyAppQoEEstream.setParam("spcInf", this.spaceNetworkGroupEstream);
                            this.historyAppQoEEstream.setParam("dur", (int) (appQoEValue.getLong("duration") / 1000));
                            this.historyAppQoEEstream.setParam("good", appQoEValue.getInt("goodcount"));
                            this.historyAppQoEEstream.setParam("poor", appQoEValue.getInt("poorcount"));
                            this.buildSpaceUserEstream.fillArrayParam("qoe", this.historyAppQoEEstream);
                            android.util.IMonitor.closeEventStream(this.spaceNetworkGroupEstream);
                            android.util.IMonitor.closeEventStream(this.historyAppQoEEstream);
                        }
                    }
                    com.android.server.hidata.wavemapping.util.LogUtil.e("buildHistoryAppQoE, open Estream failed");
                    return false;
                }
            }
            return true;
        } catch (java.lang.RuntimeException e) {
            throw e;
        } catch (java.lang.Exception e2) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("buildHistoryAppQoE,e:");
            stringBuilder.append(e2.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        }
    }

    public boolean commitCHR(java.lang.String freqlocation) {
        if (freqlocation == null) {
            return false;
        }
        this.buildSpaceUserEstream = android.util.IMonitor.openEventStream(909002050);
        if (this.buildSpaceUserEstream == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.e("commitCHR, open Estream failed");
            return false;
        }
        if (freqlocation.equals("HOME")) {
            this.buildSpaceUserEstream.setParam("loc", 0);
        } else if (freqlocation.equals("OFFICE")) {
            this.buildSpaceUserEstream.setParam("loc", 1);
        } else if (freqlocation.equals("OTHER")) {
            this.buildSpaceUserEstream.setParam("loc", 2);
        }
        if (!buildHistoryAppQoE(freqlocation) || !buildHistoryUserExp(freqlocation)) {
            return false;
        }
        boolean ret = android.util.IMonitor.sendEvent(this.buildSpaceUserEstream);
        android.util.IMonitor.closeEventStream(this.buildSpaceUserEstream);
        return ret;
    }
}
