package com.android.server.hidata.wavemapping.chr;

public class CollectFingerChrService {
    public android.util.IMonitor.EventStream getCollectFingerChrEventStreamByPlace(java.lang.String place) {
        android.util.IMonitor.EventStream estream = null;
        if (place != null) {
            if (!place.equals("")) {
                try {
                    estream = getCollectFingerChrEventStream(getCollectFingerChrInfo(new com.android.server.hidata.wavemapping.dao.RegularPlaceDAO(), place));
                } catch (java.lang.Exception e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("getCollectFingerChrEventStreamByPlace,e:");
                    stringBuilder.append(e.getMessage());
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                }
                return estream;
            }
        }
        return null;
    }

    private com.android.server.hidata.wavemapping.chr.entity.CollectFingerChrInfo getCollectFingerChrInfo(com.android.server.hidata.wavemapping.dao.RegularPlaceDAO regularPlaceDAO, java.lang.String place) {
        com.android.server.hidata.wavemapping.chr.entity.CollectFingerChrInfo collectFingerChrInfo = new com.android.server.hidata.wavemapping.chr.entity.CollectFingerChrInfo();
        if (!(regularPlaceDAO == null || place == null)) {
            if (!place.equals("")) {
                try {
                    com.android.server.hidata.wavemapping.entity.RegularPlaceInfo allApPlaceInfo = regularPlaceDAO.findAllBySsid(place, null);
                    com.android.server.hidata.wavemapping.entity.RegularPlaceInfo mainApPlaceInfo = regularPlaceDAO.findAllBySsid(place, true);
                    if (allApPlaceInfo != null) {
                        collectFingerChrInfo.setBatchAll(allApPlaceInfo.getBatch());
                        collectFingerChrInfo.setFingersPassiveAll(allApPlaceInfo.getFingerNum());
                        collectFingerChrInfo.setUpdateAll(allApPlaceInfo.getState());
                        collectFingerChrInfo.setFingersCell(allApPlaceInfo.getDisNum());
                        collectFingerChrInfo.setUpdateCell(allApPlaceInfo.getBeginTime());
                    }
                    if (mainApPlaceInfo != null) {
                        collectFingerChrInfo.setBatchMain(mainApPlaceInfo.getBatch());
                        collectFingerChrInfo.setFingersMain(mainApPlaceInfo.getFingerNum());
                        collectFingerChrInfo.setUpdateMain(mainApPlaceInfo.getState());
                        collectFingerChrInfo.setBatchCell(mainApPlaceInfo.getDisNum());
                    }
                } catch (java.lang.Exception e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("getCollectFingerChrInfo,e:");
                    stringBuilder.append(e.getMessage());
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                }
                return collectFingerChrInfo;
            }
        }
        return collectFingerChrInfo;
    }

    public android.util.IMonitor.EventStream getCollectFingerChrEventStream(com.android.server.hidata.wavemapping.chr.entity.CollectFingerChrInfo collectFingerChrInfo) {
        if (collectFingerChrInfo == null) {
            return null;
        }
        android.util.IMonitor.EventStream estream = android.util.IMonitor.openEventStream(909009054);
        try {
            estream.setParam("batchAll", collectFingerChrInfo.getBatchAll());
            estream.setParam("fingersPassiveAll", collectFingerChrInfo.getFingersPassiveAll());
            estream.setParam("fingerActiveAll", collectFingerChrInfo.getFingerActiveAll());
            estream.setParam("updateAll", collectFingerChrInfo.getUpdateAll());
            estream.setParam("batchMain", collectFingerChrInfo.getBatchMain());
            estream.setParam("fingersMain", collectFingerChrInfo.getFingersMain());
            estream.setParam("updateMain", collectFingerChrInfo.getUpdateMain());
            estream.setParam("batchCell", collectFingerChrInfo.getBatchCell());
            estream.setParam("fingersCell", collectFingerChrInfo.getFingersCell());
            estream.setParam("updateCell", collectFingerChrInfo.getUpdateCell());
        } catch (java.lang.Exception e) {
            e.printStackTrace();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getCollectFingerChrEventStream,e:");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
        return estream;
    }
}
