package com.android.server.hidata.wavemapping.cons;

public class ParamManager {
    private static final java.lang.String TAG;
    private static com.android.server.hidata.wavemapping.cons.ParamManager instance = null;
    private com.android.server.hidata.wavemapping.entity.ParameterInfo mainApParameterInfo;
    private com.android.server.hidata.wavemapping.entity.MobileApCheckParamInfo mobileApCheckParamInfo = new com.android.server.hidata.wavemapping.entity.MobileApCheckParamInfo();
    private com.android.server.hidata.wavemapping.entity.ParameterInfo parameterInfo;

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMapping.");
        stringBuilder.append(com.android.server.hidata.wavemapping.cons.ParamManager.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    private ParamManager() {
        java.util.Properties prop = getPropertiesFromFile(com.android.server.hidata.wavemapping.cons.Constant.getWmapingConfig());
        this.parameterInfo = ParamManager_ReadConfigFile(prop, false);
        ParamManager_ReadConfigFile_MachineLearning(this.parameterInfo, prop);
        ParamManager_ReadConfigFile_Aging(this.parameterInfo, prop);
        ParamManager_ReadConfigFile_Discrimitive(this.parameterInfo, prop);
        java.util.Properties mainProp = getPropertiesFromFile(com.android.server.hidata.wavemapping.cons.Constant.getWmapingMainapConfig());
        this.mainApParameterInfo = ParamManager_ReadConfigFile(mainProp, true);
        ParamManager_ReadConfigFile_MachineLearning(this.mainApParameterInfo, mainProp);
        ParamManager_ReadConfigFile_Aging(this.mainApParameterInfo, mainProp);
        ParamManager_ReadConfigFile_Discrimitive(this.mainApParameterInfo, mainProp);
        com.android.server.hidata.wavemapping.util.LogUtil.d("ParamManager init finish.");
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMAPING_CONFIG:");
        stringBuilder.append(com.android.server.hidata.wavemapping.cons.Constant.getWmapingConfig());
        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMAPING_MAINAP_CONFIG:");
        stringBuilder.append(com.android.server.hidata.wavemapping.cons.Constant.getWmapingMainapConfig());
        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("param:");
        stringBuilder.append(this.parameterInfo.toString());
        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("main Param:");
        stringBuilder.append(this.mainApParameterInfo.toString());
        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
    }

    public static synchronized com.android.server.hidata.wavemapping.cons.ParamManager getInstance() {
        com.android.server.hidata.wavemapping.cons.ParamManager paramManager;
        synchronized (com.android.server.hidata.wavemapping.cons.ParamManager.class) {
            if (instance == null) {
                instance = new com.android.server.hidata.wavemapping.cons.ParamManager();
            }
            paramManager = instance;
        }
        return paramManager;
    }

    public com.android.server.hidata.wavemapping.entity.ParameterInfo getParameterInfo() {
        return this.parameterInfo;
    }

    public com.android.server.hidata.wavemapping.entity.ParameterInfo getMainApParameterInfo() {
        return this.mainApParameterInfo;
    }

    public void setParameterInfo(com.android.server.hidata.wavemapping.entity.ParameterInfo parameterInfo) {
        this.parameterInfo = parameterInfo;
    }

    public com.android.server.hidata.wavemapping.entity.MobileApCheckParamInfo getMobileApCheckParamInfo() {
        return this.mobileApCheckParamInfo;
    }

    public void setMobileApCheckParamInfo(com.android.server.hidata.wavemapping.entity.MobileApCheckParamInfo mobileApCheckParamInfo) {
        this.mobileApCheckParamInfo = mobileApCheckParamInfo;
    }

    private java.util.Properties getPropertiesFromFile(java.lang.String paraFilePath) {
        java.lang.StringBuilder stringBuilder;
        java.io.IOException e;
        java.lang.StringBuilder stringBuilder2;
        java.util.Properties props = new java.util.Properties();
        java.io.FileInputStream stream = null;
        java.io.File file = new java.io.File(paraFilePath);
        if (file.exists()) {
            if (file.isFile()) {
                try {
                    stream = new java.io.FileInputStream(file);
                    props.load(stream);
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(file.getAbsolutePath());
                    stringBuilder.append(" be read.");
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                    try {
                        stream.close();
                    } catch (java.io.IOException e2) {
                        e = e2;
                        stringBuilder2 = new java.lang.StringBuilder();
                    }
                } catch (java.io.IOException e3) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("Cold not open  ");
                    stringBuilder2.append(file);
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
                    if (stream != null) {
                        try {
                            stream.close();
                        } catch (java.io.IOException e4) {
                            e = e4;
                            stringBuilder2 = new java.lang.StringBuilder();
                        }
                    }
                } catch (Throwable th) {
                    if (stream != null) {
                        try {
                            stream.close();
                        } catch (java.io.IOException e5) {
                            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                            stringBuilder3.append("close stream error : ");
                            stringBuilder3.append(e5);
                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder3.toString());
                        }
                    }
                }
                return props;
            }
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(paraFilePath);
        stringBuilder.append(" is not exists. ");
        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        return null;
        stringBuilder2.append("close stream error : ");
        stringBuilder2.append(e);
        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
        return props;
    }

    private void ParamManager_ReadConfigFile_MachineLearning(com.android.server.hidata.wavemapping.entity.ParameterInfo param, java.util.Properties props) {
        com.android.server.hidata.wavemapping.entity.ParameterInfo parameterInfo = param;
        java.util.Properties properties = props;
        if (properties != null) {
            java.lang.StringBuilder stringBuilder;
            try {
                java.lang.StringBuilder stringBuilder2;
                java.lang.StringBuilder stringBuilder3;
                java.lang.String minNonzeroPerct = properties.getProperty("minNonzeroPerct", null);
                if (minNonzeroPerct != null) {
                    java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                    stringBuilder4.append(" MINNONZEROPERCT :  ");
                    stringBuilder4.append(minNonzeroPerct);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder4.toString());
                    minNonzeroPerct = minNonzeroPerct.trim().replace(" ", "");
                    parameterInfo.setMinNonzeroPerct(java.lang.Float.parseFloat(minNonzeroPerct));
                }
                java.lang.String minDistinctValue = properties.getProperty("minDistinctValue", null);
                if (minDistinctValue != null) {
                    java.lang.StringBuilder stringBuilder5 = new java.lang.StringBuilder();
                    stringBuilder5.append(" MINDISTINCTVALUE :  ");
                    stringBuilder5.append(minDistinctValue);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder5.toString());
                    parameterInfo.setMinDistinctValue(java.lang.Float.parseFloat(minDistinctValue.trim().replace(" ", "")));
                }
                java.lang.String minStdev = properties.getProperty("minStdev", null);
                if (minStdev != null) {
                    java.lang.StringBuilder stringBuilder6 = new java.lang.StringBuilder();
                    stringBuilder6.append(" MINSTDEV :  ");
                    stringBuilder6.append(minStdev);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder6.toString());
                    parameterInfo.setMinStdev(java.lang.Float.parseFloat(minStdev.trim().replace(" ", "")));
                }
                java.lang.String threshold = properties.getProperty("threshold", null);
                if (threshold != null) {
                    java.lang.StringBuilder stringBuilder7 = new java.lang.StringBuilder();
                    stringBuilder7.append(" THRESHOLD :  ");
                    stringBuilder7.append(threshold);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder7.toString());
                    parameterInfo.setThreshold(java.lang.Integer.parseInt(threshold.trim().replace(" ", "")));
                }
                java.lang.String minBssidCount = properties.getProperty("minBssidCount", null);
                if (minBssidCount != null) {
                    java.lang.StringBuilder stringBuilder8 = new java.lang.StringBuilder();
                    stringBuilder8.append(" MINBSSIDCOUNT :  ");
                    stringBuilder8.append(minBssidCount);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder8.toString());
                    parameterInfo.setMinBssidCount(java.lang.Integer.parseInt(minBssidCount.trim().replace(" ", "")));
                }
                java.lang.String nClusters = properties.getProperty("nClusters", null);
                if (nClusters != null) {
                    java.lang.StringBuilder stringBuilder9 = new java.lang.StringBuilder();
                    stringBuilder9.append(" NCLUSTERS :  ");
                    stringBuilder9.append(nClusters);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder9.toString());
                    parameterInfo.setnClusters(java.lang.Integer.parseInt(nClusters.trim().replace(" ", "")));
                }
                java.lang.String neighborNum = properties.getProperty("neighborNum", null);
                if (neighborNum != null) {
                    java.lang.StringBuilder stringBuilder10 = new java.lang.StringBuilder();
                    stringBuilder10.append(" NEIGHBORNUM :  ");
                    stringBuilder10.append(neighborNum);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder10.toString());
                    parameterInfo.setNeighborNum(java.lang.Integer.parseInt(neighborNum.trim().replace(" ", "")));
                }
                java.lang.String knnMaxDist = properties.getProperty("knnMaxDist", null);
                if (knnMaxDist != null) {
                    java.lang.StringBuilder stringBuilder11 = new java.lang.StringBuilder();
                    stringBuilder11.append(" KNNMAXDIST :  ");
                    stringBuilder11.append(knnMaxDist);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder11.toString());
                    parameterInfo.setKnnMaxDist(java.lang.Integer.parseInt(knnMaxDist.trim().replace(" ", "")));
                }
                java.lang.String knnShareMacRatio = properties.getProperty("knnShareMacRatio", null);
                if (knnShareMacRatio != null) {
                    java.lang.StringBuilder stringBuilder12 = new java.lang.StringBuilder();
                    stringBuilder12.append(" KNNSHAREMACRATIO :  ");
                    stringBuilder12.append(knnShareMacRatio);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder12.toString());
                    parameterInfo.setKnnShareMacRatio(java.lang.Float.parseFloat(knnShareMacRatio.trim().replace(" ", "")));
                }
                java.lang.String minMeanRssi = properties.getProperty("minMeanRssi", null);
                if (minMeanRssi != null) {
                    java.lang.StringBuilder stringBuilder13 = new java.lang.StringBuilder();
                    stringBuilder13.append(" MINMEANRSSI :  ");
                    stringBuilder13.append(minMeanRssi);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder13.toString());
                    parameterInfo.setMinMeanRssi(java.lang.Integer.parseInt(minMeanRssi.trim().replace(" ", "")));
                }
                java.lang.String maxDist = properties.getProperty("maxDist", null);
                if (maxDist != null) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append(" MAXDIST :  ");
                    stringBuilder2.append(maxDist);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                    parameterInfo.setMaxDist(java.lang.Float.parseFloat(maxDist.trim().replace(" ", "")));
                }
                java.lang.String deleteFlag = properties.getProperty("deleteFlag", null);
                if (deleteFlag != null) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append(" DELETEFLAG :  ");
                    stringBuilder2.append(deleteFlag);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                    deleteFlag = deleteFlag.trim().replace(" ", "");
                    parameterInfo.setDeleteFlag(java.lang.Integer.parseInt(deleteFlag));
                }
                minNonzeroPerct = properties.getProperty("minSampleRatio", null);
                if (minNonzeroPerct != null) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append(" MINSAMPLERATIO :  ");
                    stringBuilder2.append(minNonzeroPerct);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                    minNonzeroPerct = minNonzeroPerct.trim().replace(" ", "");
                    parameterInfo.setMinSampleRatio((float) java.lang.Integer.parseInt(minNonzeroPerct));
                } else {
                    java.lang.String str = minNonzeroPerct;
                }
                java.lang.String weightParam = properties.getProperty("weightParam", null);
                if (weightParam != null) {
                    stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append(" WEIGHTPARAM :  ");
                    stringBuilder3.append(weightParam);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder3.toString());
                    parameterInfo.setWeightParam(java.lang.Float.parseFloat(weightParam.trim().replace(" ", "")));
                } else {
                    java.lang.String str2 = deleteFlag;
                }
                minNonzeroPerct = properties.getProperty("shareRatioParam", null);
                if (minNonzeroPerct != null) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(" SHARERATIOPARAM :  ");
                    stringBuilder.append(minNonzeroPerct);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                    minNonzeroPerct = minNonzeroPerct.trim().replace(" ", "");
                    parameterInfo.setShareRatioParam(java.lang.Float.parseFloat(minNonzeroPerct));
                } else {
                    java.lang.String str3 = minNonzeroPerct;
                }
                deleteFlag = properties.getProperty("lowerBound", null);
                if (deleteFlag != null) {
                    stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append(" LOWERBOUND :  ");
                    stringBuilder3.append(deleteFlag);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder3.toString());
                    deleteFlag = deleteFlag.trim().replace(" ", "");
                    parameterInfo.setLowerBound(java.lang.Integer.parseInt(deleteFlag));
                } else {
                    java.lang.String str4 = deleteFlag;
                }
                minNonzeroPerct = properties.getProperty("reprMinOcc", null);
                if (minNonzeroPerct != null) {
                    stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append(" REPRMINOCC :  ");
                    stringBuilder3.append(minNonzeroPerct);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder3.toString());
                    minNonzeroPerct = minNonzeroPerct.trim().replace(" ", "");
                    parameterInfo.setReprMinOcc(java.lang.Integer.parseInt(minNonzeroPerct));
                } else {
                    java.lang.String str5 = minNonzeroPerct;
                    java.lang.String str6 = deleteFlag;
                }
                deleteFlag = properties.getProperty("connectedStrength", null);
                java.lang.String str7;
                if (deleteFlag != null) {
                    stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append(" CONNECTEDSTRENGTH :  ");
                    stringBuilder3.append(deleteFlag);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder3.toString());
                    deleteFlag = deleteFlag.trim().replace(" ", "");
                    parameterInfo.setConnectedStrength(java.lang.Float.parseFloat(deleteFlag));
                    str7 = deleteFlag;
                } else {
                    str7 = deleteFlag;
                }
                minNonzeroPerct = properties.getProperty("minFreq", null);
                java.lang.String str8;
                if (minNonzeroPerct != null) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(" MINFREQ :  ");
                    stringBuilder.append(minNonzeroPerct);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                    minNonzeroPerct = minNonzeroPerct.trim().replace(" ", "");
                    parameterInfo.setMinFreq(java.lang.Integer.parseInt(minNonzeroPerct));
                    str8 = minNonzeroPerct;
                } else {
                    str8 = minNonzeroPerct;
                }
                minNonzeroPerct = properties.getProperty("maxBssidNum", null);
                if (minNonzeroPerct != null) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(" MAXBSSIDNUM :  ");
                    stringBuilder.append(minNonzeroPerct);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                    parameterInfo.setMaxBssidNum(java.lang.Integer.parseInt(minNonzeroPerct.trim().replace(" ", "")));
                }
            } catch (java.lang.NumberFormatException e) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("ParamManager_ReadConfigFile_MachineLearning:");
                stringBuilder.append(e.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            } catch (java.lang.Exception e2) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("ParamManager_ReadConfigFile_MachineLearning:");
                stringBuilder.append(e2.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            }
        }
    }

    private void ParamManager_ReadConfigFile_Aging(com.android.server.hidata.wavemapping.entity.ParameterInfo param, java.util.Properties props) {
        java.lang.StringBuilder stringBuilder;
        if (props != null) {
            try {
                java.lang.StringBuilder stringBuilder2;
                java.lang.String checkAgingAcumlteCount = props.getProperty("checkAgingAcumlteCount", null);
                if (checkAgingAcumlteCount != null) {
                    java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append(" checkAgingAcumlteCount :  ");
                    stringBuilder3.append(checkAgingAcumlteCount);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder3.toString());
                    param.setCheckAgingAcumlteCount(java.lang.Integer.parseInt(checkAgingAcumlteCount.trim().replace(" ", "")));
                }
                java.lang.String minMainAPOccUpd = props.getProperty("minMainAPOccUpd", null);
                if (minMainAPOccUpd != null) {
                    java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                    stringBuilder4.append(" minMainAPOccUpd :  ");
                    stringBuilder4.append(minMainAPOccUpd);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder4.toString());
                    param.setMinMainAPOccUpd(java.lang.Float.parseFloat(minMainAPOccUpd.trim().replace(" ", "")));
                }
                java.lang.String minUkwnRatioUpd = props.getProperty("minUkwnRatioUpd", null);
                if (minUkwnRatioUpd != null) {
                    java.lang.StringBuilder stringBuilder5 = new java.lang.StringBuilder();
                    stringBuilder5.append(" minUkwnRatioUpd :  ");
                    stringBuilder5.append(minUkwnRatioUpd);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder5.toString());
                    param.setMinUkwnRatioUpd(java.lang.Float.parseFloat(minUkwnRatioUpd.trim().replace(" ", "")));
                }
                java.lang.String minTrainBssiLstLenUpd = props.getProperty("minTrainBssiLstLenUpd", null);
                if (minTrainBssiLstLenUpd != null) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append(" minTrainBssiLstLenUpd :  ");
                    stringBuilder2.append(minTrainBssiLstLenUpd);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                    param.setMinTrainBssiLstLenUpd(java.lang.Integer.parseInt(minTrainBssiLstLenUpd.trim().replace(" ", "")));
                }
                java.lang.String abnMacRatioAllowUpd = props.getProperty("abnMacRatioAllowUpd", null);
                if (abnMacRatioAllowUpd != null) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append(" abnMacRatioAllowUpd :  ");
                    stringBuilder2.append(abnMacRatioAllowUpd);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                    param.setAbnMacRatioAllowUpd(java.lang.Float.parseFloat(abnMacRatioAllowUpd.trim().replace(" ", "")));
                }
            } catch (java.lang.NumberFormatException e) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("ParamManager_ReadConfigFile_Aging:");
                stringBuilder.append(e.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            } catch (java.lang.Exception e2) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("ParamManager_ReadConfigFile_Aging:");
                stringBuilder.append(e2.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            }
        }
    }

    private void ParamManager_ReadConfigFile_Discrimitive(com.android.server.hidata.wavemapping.entity.ParameterInfo param, java.util.Properties props) {
        java.lang.StringBuilder stringBuilder;
        com.android.server.hidata.wavemapping.entity.ParameterInfo parameterInfo = param;
        java.util.Properties properties = props;
        if (properties != null) {
            try {
                java.lang.String str;
                java.lang.StringBuilder stringBuilder2;
                java.lang.StringBuilder stringBuilder3;
                java.lang.String minUnkwnRatio = properties.getProperty("minUnkwnRatio", null);
                if (minUnkwnRatio != null) {
                    java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                    stringBuilder4.append(" MINUNKWNRATIO :  ");
                    stringBuilder4.append(minUnkwnRatio);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder4.toString());
                    parameterInfo.setMinUnkwnRatio(java.lang.Float.parseFloat(minUnkwnRatio.trim().replace(" ", "")));
                }
                java.lang.String maxShatterRatio = properties.getProperty("maxShatterRatio", null);
                if (maxShatterRatio != null) {
                    java.lang.StringBuilder stringBuilder5 = new java.lang.StringBuilder();
                    stringBuilder5.append(" maxShatterRatio :  ");
                    stringBuilder5.append(maxShatterRatio);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder5.toString());
                    parameterInfo.setMaxShatterRatio(java.lang.Float.parseFloat(maxShatterRatio.trim().replace(" ", "")));
                }
                java.lang.String totalShatterRatio = properties.getProperty("totalShatterRatio", null);
                if (totalShatterRatio != null) {
                    java.lang.StringBuilder stringBuilder6 = new java.lang.StringBuilder();
                    stringBuilder6.append(" totalShatterRatio :  ");
                    stringBuilder6.append(totalShatterRatio);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder6.toString());
                    parameterInfo.setTotalShatterRatio(java.lang.Float.parseFloat(totalShatterRatio.trim().replace(" ", "")));
                }
                java.lang.String MaxDistDecayRatio = properties.getProperty("MaxDistDecayRatio", null);
                if (MaxDistDecayRatio != null) {
                    str = TAG;
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append(" MAXDISTDECAYRATIO :  ");
                    stringBuilder2.append(MaxDistDecayRatio);
                    android.util.Log.d(str, stringBuilder2.toString());
                    parameterInfo.setMaxDistDecayRatio(java.lang.Float.parseFloat(MaxDistDecayRatio.trim().replace(" ", "")));
                }
                str = properties.getProperty("acumlteCount", null);
                if (str != null) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append(" acumlteCount :  ");
                    stringBuilder2.append(str);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                    parameterInfo.setAcumlteCount(java.lang.Integer.parseInt(str.trim().replace(" ", "")));
                }
                java.lang.String maxDistMinLimit = properties.getProperty("maxDistMinLimit", null);
                if (maxDistMinLimit != null) {
                    java.lang.StringBuilder stringBuilder7 = new java.lang.StringBuilder();
                    stringBuilder7.append(" MAXDISTMINLIMIT :  ");
                    stringBuilder7.append(maxDistMinLimit);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder7.toString());
                    parameterInfo.setMaxDistMinLimit(java.lang.Float.parseFloat(maxDistMinLimit.trim().replace(" ", "")));
                }
                java.lang.String testDataRatio = properties.getProperty("testDataRatio", null);
                if (testDataRatio != null) {
                    java.lang.StringBuilder stringBuilder8 = new java.lang.StringBuilder();
                    stringBuilder8.append(" TESTDATARATIO :  ");
                    stringBuilder8.append(testDataRatio);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder8.toString());
                    parameterInfo.setTestDataRatio(java.lang.Float.parseFloat(testDataRatio.trim().replace(" ", "")));
                }
                java.lang.String minModelTypes = properties.getProperty("minModelTypes", null);
                if (minModelTypes != null) {
                    java.lang.StringBuilder stringBuilder9 = new java.lang.StringBuilder();
                    stringBuilder9.append(" minModelTypes :  ");
                    stringBuilder9.append(minModelTypes);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder9.toString());
                    parameterInfo.setMinModelTypes(java.lang.Integer.parseInt(minModelTypes.trim().replace(" ", "")));
                }
                java.lang.String trainDatasSize = properties.getProperty("TrainDatasSize", null);
                if (trainDatasSize != null) {
                    java.lang.StringBuilder stringBuilder10 = new java.lang.StringBuilder();
                    stringBuilder10.append(" TRAINDATASSIZE :  ");
                    stringBuilder10.append(trainDatasSize);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder10.toString());
                    parameterInfo.setTrainDatasSize(java.lang.Integer.parseInt(trainDatasSize.trim().replace(" ", "")));
                }
                java.lang.String testDataSize = properties.getProperty("TestDataSize", null);
                if (testDataSize != null) {
                    stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append(" TESTDATASIZE :  ");
                    stringBuilder3.append(testDataSize);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder3.toString());
                    parameterInfo.setTestDataSize(java.lang.Integer.parseInt(testDataSize.trim().replace(" ", "")));
                }
                java.lang.String testDataCnt = properties.getProperty("TestDataCnt", null);
                if (testDataCnt != null) {
                    stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append(" TESTDATACNT :  ");
                    stringBuilder3.append(testDataCnt);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder3.toString());
                    parameterInfo.setTestDataCnt(java.lang.Integer.parseInt(testDataCnt.trim().replace(" ", "")));
                }
            } catch (java.lang.NumberFormatException e) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("ParamManager_ReadConfigFile_Discrimitive:");
                stringBuilder.append(e.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            } catch (java.lang.Exception e2) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("ParamManager_ReadConfigFile_Discrimitive:");
                stringBuilder.append(e2.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            }
        }
    }

    private com.android.server.hidata.wavemapping.entity.ParameterInfo ParamManager_ReadConfigFile(java.util.Properties props, boolean isMainAp) {
        java.lang.StringBuilder stringBuilder;
        java.util.Properties properties = props;
        com.android.server.hidata.wavemapping.entity.ParameterInfo parameterInfo = new com.android.server.hidata.wavemapping.entity.ParameterInfo(isMainAp);
        if (properties == null) {
            return parameterInfo;
        }
        try {
            java.lang.String str;
            java.lang.StringBuilder stringBuilder2;
            java.lang.StringBuilder stringBuilder3;
            java.lang.StringBuilder stringBuilder4;
            java.lang.StringBuilder stringBuilder5;
            java.lang.StringBuilder stringBuilder6;
            java.lang.StringBuilder stringBuilder7;
            java.lang.String ShowLog = properties.getProperty("ShowLog", null);
            if (ShowLog != null) {
                str = TAG;
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append(" SHOWLOG :  ");
                stringBuilder2.append(ShowLog);
                android.util.Log.d(str, stringBuilder2.toString());
                ShowLog = ShowLog.trim().replace(" ", "");
                if (ShowLog.equalsIgnoreCase("true")) {
                    com.android.server.hidata.wavemapping.util.LogUtil.setShowI(true);
                    com.android.server.hidata.wavemapping.util.LogUtil.setShowV(true);
                    com.android.server.hidata.wavemapping.util.LogUtil.setDebug_flag(true);
                    com.android.server.hidata.wavemapping.util.ShowToast.setIsShow(true);
                } else {
                    if (parameterInfo.isBetaUser()) {
                        com.android.server.hidata.wavemapping.util.LogUtil.setShowI(true);
                    } else {
                        com.android.server.hidata.wavemapping.util.LogUtil.setShowI(false);
                    }
                    com.android.server.hidata.wavemapping.util.LogUtil.setDebug_flag(false);
                    com.android.server.hidata.wavemapping.util.ShowToast.setIsShow(false);
                }
            }
            str = properties.getProperty("config_ver", null);
            if (str != null) {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append(" CONFIG_VER :  ");
                stringBuilder2.append(str);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                str = str.trim().replace(" ", "");
                parameterInfo.setConfig_ver(java.lang.Integer.parseInt(str));
            }
            java.lang.String fg_batch_num = properties.getProperty("fg_batch_num", null);
            if (fg_batch_num != null) {
                stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append(" FG_BATCH_NUM :  ");
                stringBuilder3.append(fg_batch_num);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder3.toString());
                fg_batch_num = fg_batch_num.trim().replace(" ", "");
                parameterInfo.setFg_batch_num(java.lang.Integer.parseInt(fg_batch_num));
            }
            java.lang.String activeSample = properties.getProperty("activeSample", null);
            if (activeSample != null) {
                java.lang.StringBuilder stringBuilder8 = new java.lang.StringBuilder();
                stringBuilder8.append(" ACTIVESAMPLE :  ");
                stringBuilder8.append(activeSample);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder8.toString());
                activeSample = activeSample.trim().replace(" ", "");
                parameterInfo.setActiveSample(java.lang.Integer.parseInt(activeSample));
            }
            java.lang.String batchID = properties.getProperty("batchID", null);
            if (batchID != null) {
                java.lang.StringBuilder stringBuilder9 = new java.lang.StringBuilder();
                stringBuilder9.append(" BATCHID :  ");
                stringBuilder9.append(batchID);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder9.toString());
                parameterInfo.setBatchID(java.lang.Integer.parseInt(batchID.trim().replace(" ", "")));
            }
            java.lang.String bssidStart = properties.getProperty("bssidStart", null);
            if (bssidStart != null) {
                java.lang.StringBuilder stringBuilder10 = new java.lang.StringBuilder();
                stringBuilder10.append(" BSSIDSTART :  ");
                stringBuilder10.append(bssidStart);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder10.toString());
                parameterInfo.setBssidStart(java.lang.Integer.parseInt(bssidStart.trim().replace(" ", "")));
            }
            java.lang.String cellIDStart = properties.getProperty("cellIDStart", null);
            if (cellIDStart != null) {
                java.lang.StringBuilder stringBuilder11 = new java.lang.StringBuilder();
                stringBuilder11.append(" CELLIDSTART :  ");
                stringBuilder11.append(cellIDStart);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder11.toString());
                parameterInfo.setCellIDStart(java.lang.Integer.parseInt(cellIDStart.trim().replace(" ", "")));
            }
            java.lang.String writeFileSample = properties.getProperty("writeFileSample", null);
            if (writeFileSample != null) {
                java.lang.StringBuilder stringBuilder12 = new java.lang.StringBuilder();
                stringBuilder12.append(" WRITEFILESAMPLE :  ");
                stringBuilder12.append(writeFileSample);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder12.toString());
                parameterInfo.setWriteFileSample(java.lang.Long.parseLong(writeFileSample.trim().replace(" ", "")));
            }
            java.lang.String WIFI_DATA_SAMPLE = properties.getProperty("WIFI_DATA_SAMPLE", null);
            if (WIFI_DATA_SAMPLE != null) {
                java.lang.StringBuilder stringBuilder13 = new java.lang.StringBuilder();
                stringBuilder13.append(" WIFI_DATA_SAMPLE :  ");
                stringBuilder13.append(WIFI_DATA_SAMPLE);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder13.toString());
                parameterInfo.setWifiDataSample(java.lang.Integer.parseInt(WIFI_DATA_SAMPLE.trim().replace(" ", "")));
            }
            java.lang.String Timestamp = properties.getProperty("Timestamp", null);
            if (Timestamp != null) {
                stringBuilder4 = new java.lang.StringBuilder();
                stringBuilder4.append(" TIMESTAMP :  ");
                stringBuilder4.append(Timestamp);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder4.toString());
                parameterInfo.setTimestamp(java.lang.Integer.parseInt(Timestamp.trim().replace(" ", "")));
            }
            java.lang.String ScanWifiStart = properties.getProperty("ScanWifiStart", null);
            if (ScanWifiStart != null) {
                stringBuilder4 = new java.lang.StringBuilder();
                stringBuilder4.append(" SCANWIFISTART :  ");
                stringBuilder4.append(ScanWifiStart);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder4.toString());
                ScanWifiStart = ScanWifiStart.trim().replace(" ", "");
                parameterInfo.setScanWifiStart(java.lang.Integer.parseInt(ScanWifiStart));
            }
            ShowLog = properties.getProperty("ScanSSID", null);
            if (ShowLog != null) {
                stringBuilder4 = new java.lang.StringBuilder();
                stringBuilder4.append(" SCANSSID :  ");
                stringBuilder4.append(ShowLog);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder4.toString());
                ShowLog = ShowLog.trim().replace(" ", "");
                parameterInfo.setScanSSID(java.lang.Integer.parseInt(ShowLog));
            } else {
                java.lang.String str2 = ShowLog;
            }
            java.lang.String ScanMAC = properties.getProperty("ScanMAC", null);
            if (ScanMAC != null) {
                stringBuilder5 = new java.lang.StringBuilder();
                stringBuilder5.append(" SCANMAC :  ");
                stringBuilder5.append(ScanMAC);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder5.toString());
                parameterInfo.setScanMAC(java.lang.Integer.parseInt(ScanMAC.trim().replace(" ", "")));
            }
            ShowLog = properties.getProperty("ScanRSSI", null);
            if (ShowLog != null) {
                stringBuilder6 = new java.lang.StringBuilder();
                stringBuilder6.append(" SCANRSSI :  ");
                stringBuilder6.append(ShowLog);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder6.toString());
                ShowLog = ShowLog.trim().replace(" ", "");
                parameterInfo.setScanRSSI(java.lang.Integer.parseInt(ShowLog));
            } else {
                java.lang.String str3 = ShowLog;
            }
            java.lang.String ScanCH = properties.getProperty("ScanCH", null);
            if (ScanCH != null) {
                stringBuilder5 = new java.lang.StringBuilder();
                stringBuilder5.append(" SCANCH :  ");
                stringBuilder5.append(ScanCH);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder5.toString());
                ScanCH = ScanCH.trim().replace(" ", "");
                parameterInfo.setScanCH(java.lang.Integer.parseInt(ScanCH));
            } else {
                java.lang.String str4 = ScanCH;
            }
            ShowLog = properties.getProperty("ServingWiFiRSSI", null);
            if (ShowLog != null) {
                stringBuilder5 = new java.lang.StringBuilder();
                stringBuilder5.append(" SERVINGWIFIRSSI :  ");
                stringBuilder5.append(ShowLog);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder5.toString());
                ShowLog = ShowLog.trim().replace(" ", "");
                parameterInfo.setServingWiFiRSSI(java.lang.Integer.parseInt(ShowLog));
            } else {
                java.lang.String str5 = ShowLog;
                java.lang.String str6 = ScanCH;
            }
            ScanCH = properties.getProperty("ServingWiFiMAC", null);
            java.lang.String str7;
            if (ScanCH != null) {
                stringBuilder5 = new java.lang.StringBuilder();
                stringBuilder5.append(" SERVINGWIFIMAC :  ");
                stringBuilder5.append(ScanCH);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder5.toString());
                ScanCH = ScanCH.trim().replace(" ", "");
                parameterInfo.setServingWiFiMAC(java.lang.Integer.parseInt(ScanCH));
                str7 = ScanCH;
            } else {
                str7 = ScanCH;
            }
            ShowLog = properties.getProperty("userPreferEnabled", null);
            java.lang.String str8;
            if (ShowLog != null) {
                stringBuilder6 = new java.lang.StringBuilder();
                stringBuilder6.append(" userPreferEnabled :  ");
                stringBuilder6.append(ShowLog);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder6.toString());
                ShowLog = ShowLog.trim().replace(" ", "");
                parameterInfo.setUserPreferEnable(java.lang.Boolean.parseBoolean(ShowLog));
                str8 = ShowLog;
            } else {
                str8 = ShowLog;
            }
            ShowLog = properties.getProperty("UserPrefStartTimes", null);
            java.lang.String str9;
            if (ShowLog != null) {
                stringBuilder6 = new java.lang.StringBuilder();
                stringBuilder6.append(" USERPREFSTARTTIMES :  ");
                stringBuilder6.append(ShowLog);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder6.toString());
                ShowLog = ShowLog.trim().replace(" ", "");
                parameterInfo.setUserPrefStartTimes(java.lang.Integer.parseInt(ShowLog));
                str9 = ShowLog;
            } else {
                str9 = ShowLog;
            }
            ShowLog = properties.getProperty("UserPrefStartDuration", null);
            java.lang.String str10;
            if (ShowLog != null) {
                stringBuilder6 = new java.lang.StringBuilder();
                stringBuilder6.append(" USERPREFSTARTDURATION :  ");
                stringBuilder6.append(ShowLog);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder6.toString());
                ShowLog = ShowLog.trim().replace(" ", "");
                parameterInfo.setUserPrefStartDuration(java.lang.Long.parseLong(ShowLog));
                str10 = ShowLog;
            } else {
                str10 = ShowLog;
                java.lang.String str11 = ScanWifiStart;
                java.lang.String str12 = str;
            }
            ShowLog = properties.getProperty("UserPrefFreqRatio", null);
            if (ShowLog != null) {
                stringBuilder6 = new java.lang.StringBuilder();
                stringBuilder6.append(" USERPREFFREQRATIO :  ");
                stringBuilder6.append(ShowLog);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder6.toString());
                ShowLog = ShowLog.trim().replace(" ", "");
                parameterInfo.setUserPrefFreqRatio(java.lang.Float.parseFloat(ShowLog));
            }
            ScanCH = properties.getProperty("UserPrefDurationRatio", null);
            if (ScanCH != null) {
                java.lang.StringBuilder stringBuilder14 = new java.lang.StringBuilder();
                stringBuilder14.append(" USERPREFDURATIONRATIO :  ");
                stringBuilder14.append(ScanCH);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder14.toString());
                ScanCH = ScanCH.trim().replace(" ", "");
                parameterInfo.setUserPrefDurationRatio(java.lang.Double.parseDouble(ScanCH));
            }
            ScanWifiStart = properties.getProperty("powerPreferEnabled", null);
            if (ScanWifiStart != null) {
                stringBuilder7 = new java.lang.StringBuilder();
                stringBuilder7.append(" powerPreferEnabled :  ");
                stringBuilder7.append(ScanWifiStart);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder7.toString());
                parameterInfo.setPowerPreferEnable(java.lang.Boolean.parseBoolean(ScanWifiStart.trim().replace(" ", "")));
            }
            ShowLog = properties.getProperty("PowerSaveType", null);
            if (ShowLog != null) {
                stringBuilder7 = new java.lang.StringBuilder();
                stringBuilder7.append(" POWERSAVETYPE :  ");
                stringBuilder7.append(ShowLog);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder7.toString());
                ShowLog = ShowLog.trim().replace(" ", "");
                parameterInfo.setPowerSaveType(java.lang.Integer.parseInt(ShowLog));
            } else {
                java.lang.String str13 = ShowLog;
            }
            str = properties.getProperty("PowerSaveGap", null);
            if (str != null) {
                stringBuilder5 = new java.lang.StringBuilder();
                stringBuilder5.append(" POWERSAVEGAP :  ");
                stringBuilder5.append(str);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder5.toString());
                parameterInfo.setPowerSaveGap(java.lang.Double.parseDouble(str.trim().replace(" ", "")));
            } else {
                java.lang.String str14 = ScanCH;
                java.lang.String str15 = fg_batch_num;
                java.lang.String str16 = activeSample;
            }
            ShowLog = properties.getProperty("back4GEnabled", null);
            if (ShowLog != null) {
                stringBuilder6 = new java.lang.StringBuilder();
                stringBuilder6.append(" back4GEnabled :  ");
                stringBuilder6.append(ShowLog);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder6.toString());
                ShowLog = ShowLog.trim().replace(" ", "");
                parameterInfo.setBack4GEnable(java.lang.Boolean.parseBoolean(ShowLog));
            }
            ScanCH = properties.getProperty("out4GInterval", null);
            if (ScanCH != null) {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append(" out4GInterval :  ");
                stringBuilder2.append(ScanCH);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                ScanCH = ScanCH.trim().replace(" ", "");
                parameterInfo.setBack4GTH_out4G_interval(java.lang.Integer.parseInt(ScanCH));
            }
            fg_batch_num = properties.getProperty("back4GDurationMin", null);
            if (fg_batch_num != null) {
                stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append(" back4GDurationMin :  ");
                stringBuilder3.append(fg_batch_num);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder3.toString());
                parameterInfo.setBack4GTH_duration_min(java.lang.Integer.parseInt(fg_batch_num.trim().replace(" ", "")));
            }
            ShowLog = properties.getProperty("back4GSignalMin", null);
            if (ShowLog != null) {
                stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append(" back4GSignalMin :  ");
                stringBuilder3.append(ShowLog);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder3.toString());
                ShowLog = ShowLog.trim().replace(" ", "");
                parameterInfo.setBack4GTH_signal_min(java.lang.Integer.parseInt(ShowLog));
            } else {
                java.lang.String str17 = ShowLog;
            }
            activeSample = properties.getProperty("back4GRatio", null);
            if (activeSample != null) {
                stringBuilder5 = new java.lang.StringBuilder();
                stringBuilder5.append(" back4GRatio :  ");
                stringBuilder5.append(activeSample);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder5.toString());
                parameterInfo.setBack4GTH_duration_4gRatio(java.lang.Double.parseDouble(activeSample.trim().replace(" ", "")));
            }
        } catch (java.lang.NumberFormatException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("ParamManager_ReadConfigFile:");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        } catch (java.lang.Exception e2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("ParamManager_ReadConfigFile:");
            stringBuilder.append(e2.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
        return parameterInfo;
    }
}
