package com.android.server.hidata.wavemapping.dao;

public class LocationDAO {
    private static final java.lang.String TAG;
    private android.database.sqlite.SQLiteDatabase db = com.android.server.hidata.wavemapping.dao.DatabaseSingleton.getInstance();

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMapping.");
        stringBuilder.append(com.android.server.hidata.wavemapping.dao.LocationDAO.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    public boolean insert(java.lang.String frequentlocation) {
        if (frequentlocation == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("insert failed ,frequentlocation == null");
            return false;
        } else if (0 < getOOBTime()) {
            return updateFrequentLocation(frequentlocation);
        } else {
            android.content.ContentValues cValue = new android.content.ContentValues();
            long now = java.lang.System.currentTimeMillis();
            cValue.put("UPDATETIME", java.lang.Long.valueOf(now));
            cValue.put("OOBTIME", java.lang.Long.valueOf(now));
            cValue.put("FREQUENTLOCATION", frequentlocation);
            try {
                this.db.beginTransaction();
                this.db.insert("FREQUENT_LOCATION", null, cValue);
                this.db.setTransactionSuccessful();
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("insert exception: ");
                stringBuilder.append(e.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                return false;
            } finally {
                this.db.endTransaction();
                return false;
            }
            return true;
        }
    }

    public boolean insertOOBTime(long OOBTime) {
        if (0 < getOOBTime()) {
            return false;
        }
        android.content.ContentValues cValue = new android.content.ContentValues();
        cValue.put("OOBTIME", java.lang.Long.valueOf(OOBTime));
        try {
            this.db.beginTransaction();
            this.db.insert("FREQUENT_LOCATION", null, cValue);
            this.db.setTransactionSuccessful();
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("insert exception: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        } finally {
            this.db.endTransaction();
            return false;
        }
        return true;
    }

    public boolean updateFrequentLocation(java.lang.String frequentlocation) {
        if (frequentlocation == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("update failure,frequentlocation == null");
            return false;
        }
        java.lang.String sql = "UPDATE FREQUENT_LOCATION SET UPDATETIME = ?,FREQUENTLOCATION = ?";
        java.lang.Object[] args = new java.lang.Object[2];
        args[0] = java.lang.Long.valueOf(java.lang.System.currentTimeMillis());
        boolean z = true;
        args[1] = frequentlocation;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update begin: frequentlocation = ");
        stringBuilder.append(frequentlocation);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        try {
            this.db.beginTransaction();
            this.db.execSQL(sql, args);
            this.db.setTransactionSuccessful();
        } catch (android.database.SQLException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("UPDATE exception: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        } finally {
            z = this.db;
            z.endTransaction();
            return false;
        }
        return z;
    }

    public boolean updateBenefitCHRTime(long now) {
        if (0 == getOOBTime()) {
            com.android.server.hidata.wavemapping.util.LogUtil.i("updateBenefitCHRTime: OOBTime = 0");
            return false;
        }
        java.lang.String sql = "UPDATE FREQUENT_LOCATION SET CHRBENEFITUPLOADTIME = ?";
        boolean z = true;
        java.lang.Object[] args = new java.lang.Object[]{java.lang.Long.valueOf(now)};
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update begin: CHRBENEFITUPLOADTIME = ");
        stringBuilder.append(now);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        try {
            this.db.beginTransaction();
            this.db.execSQL(sql, args);
            this.db.setTransactionSuccessful();
        } catch (android.database.SQLException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("UPDATE exception: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        } finally {
            z = this.db;
            z.endTransaction();
            return false;
        }
        return z;
    }

    public boolean updateSpaceUserCHRTime(long now) {
        if (0 == getOOBTime()) {
            com.android.server.hidata.wavemapping.util.LogUtil.i("updateSpaceUserCHRTime: OOBTime = 0");
            return false;
        }
        java.lang.String sql = "UPDATE FREQUENT_LOCATION SET CHRSPACEUSERUPLOADTIME = ?";
        boolean z = true;
        java.lang.Object[] args = new java.lang.Object[]{java.lang.Long.valueOf(now)};
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update begin: CHRSPACEUSERUPLOADTIME = ");
        stringBuilder.append(now);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        try {
            this.db.beginTransaction();
            this.db.execSQL(sql, args);
            this.db.setTransactionSuccessful();
        } catch (android.database.SQLException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("UPDATE exception: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        } finally {
            z = this.db;
            z.endTransaction();
            return false;
        }
        return z;
    }

    public boolean remove() {
        try {
            this.db.execSQL("DELETE FROM FREQUENT_LOCATION", null);
            return true;
        } catch (android.database.SQLException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("remove exception: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:22:0x0079  */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x0064  */
    /* JADX WARNING: Missing block: B:8:0x0022, code:
            if (r1 != null) goto L_0x0024;
     */
    public java.lang.String getFrequentLocation() {
        /*
        r5 = this;
        r0 = 0;
        r1 = 0;
        r2 = r5.db;
        r3 = 0;
        if (r2 != 0) goto L_0x0008;
    L_0x0007:
        return r3;
    L_0x0008:
        r2 = r5.db;	 Catch:{ IllegalArgumentException -> 0x0046, Exception -> 0x002a }
        r4 = "SELECT * FROM FREQUENT_LOCATION";
        r2 = r2.rawQuery(r4, r3);	 Catch:{ IllegalArgumentException -> 0x0046, Exception -> 0x002a }
        r1 = r2;
        r2 = r1.moveToNext();	 Catch:{ IllegalArgumentException -> 0x0046, Exception -> 0x002a }
        if (r2 == 0) goto L_0x0022;
    L_0x0017:
        r2 = "FREQUENTLOCATION";
        r2 = r1.getColumnIndexOrThrow(r2);	 Catch:{ IllegalArgumentException -> 0x0046, Exception -> 0x002a }
        r2 = r1.getString(r2);	 Catch:{ IllegalArgumentException -> 0x0046, Exception -> 0x002a }
        r0 = r2;
    L_0x0022:
        if (r1 == 0) goto L_0x0062;
    L_0x0024:
        r1.close();
        goto L_0x0062;
    L_0x0028:
        r2 = move-exception;
        goto L_0x007f;
    L_0x002a:
        r2 = move-exception;
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0028 }
        r3.<init>();	 Catch:{ all -> 0x0028 }
        r4 = "getFrequentLocation Exception: ";
        r3.append(r4);	 Catch:{ all -> 0x0028 }
        r4 = r2.getMessage();	 Catch:{ all -> 0x0028 }
        r3.append(r4);	 Catch:{ all -> 0x0028 }
        r3 = r3.toString();	 Catch:{ all -> 0x0028 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r3);	 Catch:{ all -> 0x0028 }
        if (r1 == 0) goto L_0x0062;
    L_0x0045:
        goto L_0x0024;
    L_0x0046:
        r2 = move-exception;
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0028 }
        r3.<init>();	 Catch:{ all -> 0x0028 }
        r4 = "getFrequentLocation IllegalArgumentException: ";
        r3.append(r4);	 Catch:{ all -> 0x0028 }
        r4 = r2.getMessage();	 Catch:{ all -> 0x0028 }
        r3.append(r4);	 Catch:{ all -> 0x0028 }
        r3 = r3.toString();	 Catch:{ all -> 0x0028 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r3);	 Catch:{ all -> 0x0028 }
        if (r1 == 0) goto L_0x0062;
    L_0x0061:
        goto L_0x0024;
    L_0x0062:
        if (r0 == 0) goto L_0x0079;
    L_0x0064:
        r2 = new java.lang.StringBuilder;
        r2.<init>();
        r3 = "getFrequentLocation, frequentlocation:";
        r2.append(r3);
        r2.append(r0);
        r2 = r2.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.i(r2);
        goto L_0x007e;
    L_0x0079:
        r2 = "getFrequentLocation, NO DATA";
        com.android.server.hidata.wavemapping.util.LogUtil.d(r2);
    L_0x007e:
        return r0;
    L_0x007f:
        if (r1 == 0) goto L_0x0084;
    L_0x0081:
        r1.close();
    L_0x0084:
        throw r2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.dao.LocationDAO.getFrequentLocation():java.lang.String");
    }

    /* JADX WARNING: Missing block: B:8:0x0023, code:
            if (r2 != null) goto L_0x0025;
     */
    public long getBenefitCHRTime() {
        /*
        r6 = this;
        r0 = 0;
        r2 = 0;
        r3 = r6.db;
        if (r3 != 0) goto L_0x0008;
    L_0x0007:
        return r0;
    L_0x0008:
        r3 = r6.db;	 Catch:{ IllegalArgumentException -> 0x0047, Exception -> 0x002b }
        r4 = "SELECT * FROM FREQUENT_LOCATION";
        r5 = 0;
        r3 = r3.rawQuery(r4, r5);	 Catch:{ IllegalArgumentException -> 0x0047, Exception -> 0x002b }
        r2 = r3;
        r3 = r2.moveToNext();	 Catch:{ IllegalArgumentException -> 0x0047, Exception -> 0x002b }
        if (r3 == 0) goto L_0x0023;
    L_0x0018:
        r3 = "CHRBENEFITUPLOADTIME";
        r3 = r2.getColumnIndexOrThrow(r3);	 Catch:{ IllegalArgumentException -> 0x0047, Exception -> 0x002b }
        r3 = r2.getLong(r3);	 Catch:{ IllegalArgumentException -> 0x0047, Exception -> 0x002b }
        r0 = r3;
    L_0x0023:
        if (r2 == 0) goto L_0x0063;
    L_0x0025:
        r2.close();
        goto L_0x0063;
    L_0x0029:
        r3 = move-exception;
        goto L_0x0078;
    L_0x002b:
        r3 = move-exception;
        r4 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0029 }
        r4.<init>();	 Catch:{ all -> 0x0029 }
        r5 = "getBenefitCHRTime Exception: ";
        r4.append(r5);	 Catch:{ all -> 0x0029 }
        r5 = r3.getMessage();	 Catch:{ all -> 0x0029 }
        r4.append(r5);	 Catch:{ all -> 0x0029 }
        r4 = r4.toString();	 Catch:{ all -> 0x0029 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r4);	 Catch:{ all -> 0x0029 }
        if (r2 == 0) goto L_0x0063;
    L_0x0046:
        goto L_0x0025;
    L_0x0047:
        r3 = move-exception;
        r4 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0029 }
        r4.<init>();	 Catch:{ all -> 0x0029 }
        r5 = "getBenefitCHRTime IllegalArgumentException: ";
        r4.append(r5);	 Catch:{ all -> 0x0029 }
        r5 = r3.getMessage();	 Catch:{ all -> 0x0029 }
        r4.append(r5);	 Catch:{ all -> 0x0029 }
        r4 = r4.toString();	 Catch:{ all -> 0x0029 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r4);	 Catch:{ all -> 0x0029 }
        if (r2 == 0) goto L_0x0063;
    L_0x0062:
        goto L_0x0025;
    L_0x0063:
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r4 = "getBenefitCHRTime, time:";
        r3.append(r4);
        r3.append(r0);
        r3 = r3.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.i(r3);
        return r0;
    L_0x0078:
        if (r2 == 0) goto L_0x007d;
    L_0x007a:
        r2.close();
    L_0x007d:
        throw r3;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.dao.LocationDAO.getBenefitCHRTime():long");
    }

    /* JADX WARNING: Missing block: B:8:0x0023, code:
            if (r2 != null) goto L_0x0025;
     */
    public long getSpaceUserCHRTime() {
        /*
        r6 = this;
        r0 = 0;
        r2 = 0;
        r3 = r6.db;
        if (r3 != 0) goto L_0x0008;
    L_0x0007:
        return r0;
    L_0x0008:
        r3 = r6.db;	 Catch:{ IllegalArgumentException -> 0x0047, Exception -> 0x002b }
        r4 = "SELECT * FROM FREQUENT_LOCATION";
        r5 = 0;
        r3 = r3.rawQuery(r4, r5);	 Catch:{ IllegalArgumentException -> 0x0047, Exception -> 0x002b }
        r2 = r3;
        r3 = r2.moveToNext();	 Catch:{ IllegalArgumentException -> 0x0047, Exception -> 0x002b }
        if (r3 == 0) goto L_0x0023;
    L_0x0018:
        r3 = "CHRSPACEUSERUPLOADTIME";
        r3 = r2.getColumnIndexOrThrow(r3);	 Catch:{ IllegalArgumentException -> 0x0047, Exception -> 0x002b }
        r3 = r2.getLong(r3);	 Catch:{ IllegalArgumentException -> 0x0047, Exception -> 0x002b }
        r0 = r3;
    L_0x0023:
        if (r2 == 0) goto L_0x0063;
    L_0x0025:
        r2.close();
        goto L_0x0063;
    L_0x0029:
        r3 = move-exception;
        goto L_0x0078;
    L_0x002b:
        r3 = move-exception;
        r4 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0029 }
        r4.<init>();	 Catch:{ all -> 0x0029 }
        r5 = "getSpaceUserCHRTime Exception: ";
        r4.append(r5);	 Catch:{ all -> 0x0029 }
        r5 = r3.getMessage();	 Catch:{ all -> 0x0029 }
        r4.append(r5);	 Catch:{ all -> 0x0029 }
        r4 = r4.toString();	 Catch:{ all -> 0x0029 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r4);	 Catch:{ all -> 0x0029 }
        if (r2 == 0) goto L_0x0063;
    L_0x0046:
        goto L_0x0025;
    L_0x0047:
        r3 = move-exception;
        r4 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0029 }
        r4.<init>();	 Catch:{ all -> 0x0029 }
        r5 = "getSpaceUserCHRTime IllegalArgumentException: ";
        r4.append(r5);	 Catch:{ all -> 0x0029 }
        r5 = r3.getMessage();	 Catch:{ all -> 0x0029 }
        r4.append(r5);	 Catch:{ all -> 0x0029 }
        r4 = r4.toString();	 Catch:{ all -> 0x0029 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r4);	 Catch:{ all -> 0x0029 }
        if (r2 == 0) goto L_0x0063;
    L_0x0062:
        goto L_0x0025;
    L_0x0063:
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r4 = "getSpaceUserCHRTime, time:";
        r3.append(r4);
        r3.append(r0);
        r3 = r3.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.i(r3);
        return r0;
    L_0x0078:
        if (r2 == 0) goto L_0x007d;
    L_0x007a:
        r2.close();
    L_0x007d:
        throw r3;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.dao.LocationDAO.getSpaceUserCHRTime():long");
    }

    /* JADX WARNING: Missing block: B:8:0x0023, code:
            if (r2 != null) goto L_0x0025;
     */
    public long getlastUpdateTime() {
        /*
        r6 = this;
        r0 = 0;
        r2 = 0;
        r3 = r6.db;
        if (r3 != 0) goto L_0x0008;
    L_0x0007:
        return r0;
    L_0x0008:
        r3 = r6.db;	 Catch:{ IllegalArgumentException -> 0x0047, Exception -> 0x002b }
        r4 = "SELECT * FROM FREQUENT_LOCATION";
        r5 = 0;
        r3 = r3.rawQuery(r4, r5);	 Catch:{ IllegalArgumentException -> 0x0047, Exception -> 0x002b }
        r2 = r3;
        r3 = r2.moveToNext();	 Catch:{ IllegalArgumentException -> 0x0047, Exception -> 0x002b }
        if (r3 == 0) goto L_0x0023;
    L_0x0018:
        r3 = "UPDATETIME";
        r3 = r2.getColumnIndexOrThrow(r3);	 Catch:{ IllegalArgumentException -> 0x0047, Exception -> 0x002b }
        r3 = r2.getLong(r3);	 Catch:{ IllegalArgumentException -> 0x0047, Exception -> 0x002b }
        r0 = r3;
    L_0x0023:
        if (r2 == 0) goto L_0x0063;
    L_0x0025:
        r2.close();
        goto L_0x0063;
    L_0x0029:
        r3 = move-exception;
        goto L_0x0078;
    L_0x002b:
        r3 = move-exception;
        r4 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0029 }
        r4.<init>();	 Catch:{ all -> 0x0029 }
        r5 = "getlastUpdateTime Exception: ";
        r4.append(r5);	 Catch:{ all -> 0x0029 }
        r5 = r3.getMessage();	 Catch:{ all -> 0x0029 }
        r4.append(r5);	 Catch:{ all -> 0x0029 }
        r4 = r4.toString();	 Catch:{ all -> 0x0029 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r4);	 Catch:{ all -> 0x0029 }
        if (r2 == 0) goto L_0x0063;
    L_0x0046:
        goto L_0x0025;
    L_0x0047:
        r3 = move-exception;
        r4 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0029 }
        r4.<init>();	 Catch:{ all -> 0x0029 }
        r5 = "getlastUpdateTime IllegalArgumentException: ";
        r4.append(r5);	 Catch:{ all -> 0x0029 }
        r5 = r3.getMessage();	 Catch:{ all -> 0x0029 }
        r4.append(r5);	 Catch:{ all -> 0x0029 }
        r4 = r4.toString();	 Catch:{ all -> 0x0029 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r4);	 Catch:{ all -> 0x0029 }
        if (r2 == 0) goto L_0x0063;
    L_0x0062:
        goto L_0x0025;
    L_0x0063:
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r4 = "getlastUpdateTime, time:";
        r3.append(r4);
        r3.append(r0);
        r3 = r3.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.i(r3);
        return r0;
    L_0x0078:
        if (r2 == 0) goto L_0x007d;
    L_0x007a:
        r2.close();
    L_0x007d:
        throw r3;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.dao.LocationDAO.getlastUpdateTime():long");
    }

    /* JADX WARNING: Missing block: B:8:0x0023, code:
            if (r2 != null) goto L_0x0025;
     */
    public long getOOBTime() {
        /*
        r6 = this;
        r0 = 0;
        r2 = 0;
        r3 = r6.db;
        if (r3 != 0) goto L_0x0008;
    L_0x0007:
        return r0;
    L_0x0008:
        r3 = r6.db;	 Catch:{ IllegalArgumentException -> 0x0047, Exception -> 0x002b }
        r4 = "SELECT * FROM FREQUENT_LOCATION";
        r5 = 0;
        r3 = r3.rawQuery(r4, r5);	 Catch:{ IllegalArgumentException -> 0x0047, Exception -> 0x002b }
        r2 = r3;
        r3 = r2.moveToNext();	 Catch:{ IllegalArgumentException -> 0x0047, Exception -> 0x002b }
        if (r3 == 0) goto L_0x0023;
    L_0x0018:
        r3 = "OOBTIME";
        r3 = r2.getColumnIndexOrThrow(r3);	 Catch:{ IllegalArgumentException -> 0x0047, Exception -> 0x002b }
        r3 = r2.getLong(r3);	 Catch:{ IllegalArgumentException -> 0x0047, Exception -> 0x002b }
        r0 = r3;
    L_0x0023:
        if (r2 == 0) goto L_0x0063;
    L_0x0025:
        r2.close();
        goto L_0x0063;
    L_0x0029:
        r3 = move-exception;
        goto L_0x0078;
    L_0x002b:
        r3 = move-exception;
        r4 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0029 }
        r4.<init>();	 Catch:{ all -> 0x0029 }
        r5 = "getOOBTime Exception: ";
        r4.append(r5);	 Catch:{ all -> 0x0029 }
        r5 = r3.getMessage();	 Catch:{ all -> 0x0029 }
        r4.append(r5);	 Catch:{ all -> 0x0029 }
        r4 = r4.toString();	 Catch:{ all -> 0x0029 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r4);	 Catch:{ all -> 0x0029 }
        if (r2 == 0) goto L_0x0063;
    L_0x0046:
        goto L_0x0025;
    L_0x0047:
        r3 = move-exception;
        r4 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0029 }
        r4.<init>();	 Catch:{ all -> 0x0029 }
        r5 = "getOOBTime IllegalArgumentException: ";
        r4.append(r5);	 Catch:{ all -> 0x0029 }
        r5 = r3.getMessage();	 Catch:{ all -> 0x0029 }
        r4.append(r5);	 Catch:{ all -> 0x0029 }
        r4 = r4.toString();	 Catch:{ all -> 0x0029 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r4);	 Catch:{ all -> 0x0029 }
        if (r2 == 0) goto L_0x0063;
    L_0x0062:
        goto L_0x0025;
    L_0x0063:
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r4 = "getOOBTime, OOBTime:";
        r3.append(r4);
        r3.append(r0);
        r3 = r3.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.d(r3);
        return r0;
    L_0x0078:
        if (r2 == 0) goto L_0x007d;
    L_0x007a:
        r2.close();
    L_0x007d:
        throw r3;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.dao.LocationDAO.getOOBTime():long");
    }

    public boolean insertCHR(java.lang.String freqlocation) {
        if (findCHRbyFreqLoc(freqlocation).containsKey("FREQLOCATION")) {
            return false;
        }
        android.content.ContentValues cValue = new android.content.ContentValues();
        cValue.put("FREQLOCATION", freqlocation);
        long oobtime = getOOBTime();
        long now = java.lang.System.currentTimeMillis();
        int firstreport = java.lang.Math.round(((float) (now - oobtime)) / 1247525376);
        cValue.put("FIRSTREPORT", java.lang.Integer.valueOf(firstreport));
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("insertCHR, OOBTime:");
        stringBuilder.append(oobtime);
        stringBuilder.append(" now: ");
        stringBuilder.append(now);
        stringBuilder.append(" first report:");
        stringBuilder.append(firstreport);
        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
        try {
            this.db.beginTransaction();
            this.db.insert("CHR_FREQUENT_LOCATION", null, cValue);
            this.db.setTransactionSuccessful();
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("insertCHR exception: ");
            stringBuilder2.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
            return false;
        } finally {
            this.db.endTransaction();
            return false;
        }
        return true;
    }

    public boolean accCHREnterybyFreqLoc(java.lang.String location) {
        if (location == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("accCHREnterybyFreqLoc failure,frequent location == null");
            return false;
        }
        insertCHR(location);
        java.lang.String sql = "UPDATE CHR_FREQUENT_LOCATION SET ENTERY = ENTERY + 1 WHERE FREQLOCATION = ?";
        boolean z = true;
        java.lang.Object[] args = new java.lang.Object[]{location};
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update begin: entry  ");
        stringBuilder.append(location);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        try {
            this.db.beginTransaction();
            this.db.execSQL(sql, args);
            this.db.setTransactionSuccessful();
        } catch (android.database.SQLException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("accCHREnterybyFreqLoc exception: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        } finally {
            z = this.db;
            z.endTransaction();
            return false;
        }
        return z;
    }

    public boolean accCHRLeavebyFreqLoc(java.lang.String location) {
        if (location == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("accCHRLeavebyFreqLoc failure,frequent location == null");
            return false;
        }
        insertCHR(location);
        java.lang.String sql = "UPDATE CHR_FREQUENT_LOCATION SET LEAVE = LEAVE + 1 WHERE FREQLOCATION = ?";
        boolean z = true;
        java.lang.Object[] args = new java.lang.Object[]{location};
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update begin: leave  ");
        stringBuilder.append(location);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        try {
            this.db.beginTransaction();
            this.db.execSQL(sql, args);
            this.db.setTransactionSuccessful();
        } catch (android.database.SQLException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("accCHRLeavebyFreqLoc exception: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        } finally {
            z = this.db;
            z.endTransaction();
            return false;
        }
        return z;
    }

    public boolean accCHRSpaceChangebyFreqLoc(java.lang.String location) {
        if (location == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("accCHRSpaceChangebyFreqLoc failure,frequent location == null");
            return false;
        }
        insertCHR(location);
        java.lang.String sql = "UPDATE CHR_FREQUENT_LOCATION SET SPACECHANGE = SPACECHANGE + 1 WHERE FREQLOCATION = ?";
        boolean z = true;
        java.lang.Object[] args = new java.lang.Object[]{location};
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update begin: SPACECHANGE  ");
        stringBuilder.append(location);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        try {
            this.db.beginTransaction();
            this.db.execSQL(sql, args);
            this.db.setTransactionSuccessful();
        } catch (android.database.SQLException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("accCHRSpaceChangebyFreqLoc exception: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        } finally {
            z = this.db;
            z.endTransaction();
            return false;
        }
        return z;
    }

    public boolean accCHRSpaceLeavebyFreqLoc(java.lang.String location) {
        if (location == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("accCHRSpaceChangebyFreqLoc failure,frequent location == null");
            return false;
        }
        insertCHR(location);
        java.lang.String sql = "UPDATE CHR_FREQUENT_LOCATION SET SPACELEAVE = SPACELEAVE + 1 WHERE FREQLOCATION = ?";
        boolean z = true;
        java.lang.Object[] args = new java.lang.Object[]{location};
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update begin: SPACELEAVE  ");
        stringBuilder.append(location);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        try {
            this.db.beginTransaction();
            this.db.execSQL(sql, args);
            this.db.setTransactionSuccessful();
        } catch (android.database.SQLException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("accCHRSpaceLeavebyFreqLoc exception: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        } finally {
            z = this.db;
            z.endTransaction();
            return false;
        }
        return z;
    }

    public boolean addCHRDurationbyFreqLoc(int duration, java.lang.String location) {
        if (location == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("addCHRDurationbyFreqLoc failure,frequent location == null");
            return false;
        }
        insertCHR(location);
        java.lang.String sql = "UPDATE CHR_FREQUENT_LOCATION SET DURATION = DURATION + ? WHERE FREQLOCATION = ?";
        java.lang.Object[] args = new java.lang.Object[2];
        args[0] = java.lang.Integer.valueOf(duration);
        boolean z = true;
        args[1] = location;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update begin: add duration  ");
        stringBuilder.append(duration);
        stringBuilder.append(" location:");
        stringBuilder.append(location);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        try {
            this.db.beginTransaction();
            this.db.execSQL(sql, args);
            this.db.setTransactionSuccessful();
        } catch (android.database.SQLException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("addCHRDurationbyFreqLoc exception: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        } finally {
            z = this.db;
            z.endTransaction();
            return false;
        }
        return z;
    }

    public boolean accCHRUserPrefNoSwitchFailbyFreqLoc(java.lang.String location) {
        if (location == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("accCHRUserPrefNoSwitchFailbyFreqLoc failure,frequent location == null");
            return false;
        }
        insertCHR(location);
        java.lang.String sql = "UPDATE CHR_FREQUENT_LOCATION SET UPNOSWITCHFAIL = UPNOSWITCHFAIL + 1 WHERE FREQLOCATION = ?";
        boolean z = true;
        java.lang.Object[] args = new java.lang.Object[]{location};
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update begin: UPNOSWITCHFAIL at ");
        stringBuilder.append(location);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        try {
            this.db.beginTransaction();
            this.db.execSQL(sql, args);
            this.db.setTransactionSuccessful();
        } catch (android.database.SQLException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("accCHRUserPrefNoSwitchFailbyFreqLoc exception: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        } finally {
            z = this.db;
            z.endTransaction();
            return false;
        }
        return z;
    }

    public boolean accCHRUserPrefAutoFailbyFreqLoc(java.lang.String location) {
        if (location == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("accCHRUserPrefAutoFailbyFreqLoc failure,frequent location == null");
            return false;
        }
        insertCHR(location);
        java.lang.String sql = "UPDATE CHR_FREQUENT_LOCATION SET UPAUTOFAIL = UPAUTOFAIL + 1 WHERE FREQLOCATION = ?";
        boolean z = true;
        java.lang.Object[] args = new java.lang.Object[]{location};
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update begin: UPAUTOFAIL at ");
        stringBuilder.append(location);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        try {
            this.db.beginTransaction();
            this.db.execSQL(sql, args);
            this.db.setTransactionSuccessful();
        } catch (android.database.SQLException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("accCHRUserPrefAutoFailbyFreqLoc exception: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        } finally {
            z = this.db;
            z.endTransaction();
            return false;
        }
        return z;
    }

    public boolean accCHRUserPrefAutoSuccbyFreqLoc(java.lang.String location) {
        if (location == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("accCHRUserPrefAutoSuccbyFreqLoc failure,frequent location == null");
            return false;
        }
        insertCHR(location);
        java.lang.String sql = "UPDATE CHR_FREQUENT_LOCATION SET UPAUTOSUCC = UPAUTOSUCC + 1 WHERE FREQLOCATION = ?";
        boolean z = true;
        java.lang.Object[] args = new java.lang.Object[]{location};
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update begin: UPAUTOSUCC at ");
        stringBuilder.append(location);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        try {
            this.db.beginTransaction();
            this.db.execSQL(sql, args);
            this.db.setTransactionSuccessful();
        } catch (android.database.SQLException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("accCHRUserPrefAutoSuccbyFreqLoc exception: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        } finally {
            z = this.db;
            z.endTransaction();
            return false;
        }
        return z;
    }

    public boolean accCHRUserPrefManualSuccbyFreqLoc(java.lang.String location) {
        if (location == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("accCHRUserPrefManualSuccbyFreqLoc failure,frequent location == null");
            return false;
        }
        insertCHR(location);
        java.lang.String sql = "UPDATE CHR_FREQUENT_LOCATION SET UPMANUALSUCC = UPMANUALSUCC + 1 WHERE FREQLOCATION = ?";
        boolean z = true;
        java.lang.Object[] args = new java.lang.Object[]{location};
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update begin: UPMANUALSUCC at ");
        stringBuilder.append(location);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        try {
            this.db.beginTransaction();
            this.db.execSQL(sql, args);
            this.db.setTransactionSuccessful();
        } catch (android.database.SQLException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("accCHRUserPrefManualSuccbyFreqLoc exception: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        } finally {
            z = this.db;
            z.endTransaction();
            return false;
        }
        return z;
    }

    public boolean accCHRUserPrefTotalSwitchbyFreqLoc(java.lang.String location) {
        if (location == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("accCHRUserPrefTotalSwitchbyFreqLoc failure,frequent location == null");
            return false;
        }
        insertCHR(location);
        java.lang.String sql = "UPDATE CHR_FREQUENT_LOCATION SET UPTOTALSWITCH = UPTOTALSWITCH + 1 WHERE FREQLOCATION = ?";
        boolean z = true;
        java.lang.Object[] args = new java.lang.Object[]{location};
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update begin: UPTOTALSWITCH at ");
        stringBuilder.append(location);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        try {
            this.db.beginTransaction();
            this.db.execSQL(sql, args);
            this.db.setTransactionSuccessful();
        } catch (android.database.SQLException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("accCHRUserPrefTotalSwitchbyFreqLoc exception: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        } finally {
            z = this.db;
            z.endTransaction();
            return false;
        }
        return z;
    }

    public boolean accCHRUserPrefQueryCntbyFreqLoc(java.lang.String location) {
        if (location == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("accCHRUserPrefQueryCntbyFreqLoc failure,frequent location == null");
            return false;
        }
        insertCHR(location);
        java.lang.String sql = "UPDATE CHR_FREQUENT_LOCATION SET UPQRYCNT = UPQRYCNT + 1 WHERE FREQLOCATION = ?";
        boolean z = true;
        java.lang.Object[] args = new java.lang.Object[]{location};
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update begin: UPQRYCNT at ");
        stringBuilder.append(location);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        try {
            this.db.beginTransaction();
            this.db.execSQL(sql, args);
            this.db.setTransactionSuccessful();
        } catch (android.database.SQLException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("accCHRUserPrefQueryCntbyFreqLoc exception: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        } finally {
            z = this.db;
            z.endTransaction();
            return false;
        }
        return z;
    }

    public boolean accCHRUserPrefResCntbyFreqLoc(java.lang.String location) {
        if (location == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("accCHRUserPrefResCntbyFreqLoc failure,frequent location == null");
            return false;
        }
        insertCHR(location);
        java.lang.String sql = "UPDATE CHR_FREQUENT_LOCATION SET UPRESCNT = UPRESCNT + 1 WHERE FREQLOCATION = ?";
        boolean z = true;
        java.lang.Object[] args = new java.lang.Object[]{location};
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update begin: UPRESCNT at ");
        stringBuilder.append(location);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        try {
            this.db.beginTransaction();
            this.db.execSQL(sql, args);
            this.db.setTransactionSuccessful();
        } catch (android.database.SQLException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("accCHRUserPrefResCntbyFreqLoc exception: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        } finally {
            z = this.db;
            z.endTransaction();
            return false;
        }
        return z;
    }

    public boolean accCHRUserPrefUnknownDBbyFreqLoc(java.lang.String location) {
        if (location == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("accCHRUserPrefUnknownDBbyFreqLoc failure,frequent location == null");
            return false;
        }
        insertCHR(location);
        java.lang.String sql = "UPDATE CHR_FREQUENT_LOCATION SET UPUNKNOWNDB = UPUNKNOWNDB + 1 WHERE FREQLOCATION = ?";
        boolean z = true;
        java.lang.Object[] args = new java.lang.Object[]{location};
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update begin: UPUNKNOWNDB at ");
        stringBuilder.append(location);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        try {
            this.db.beginTransaction();
            this.db.execSQL(sql, args);
            this.db.setTransactionSuccessful();
        } catch (android.database.SQLException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("accCHRUserPrefUnknownDBbyFreqLoc exception: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        } finally {
            z = this.db;
            z.endTransaction();
            return false;
        }
        return z;
    }

    public boolean accCHRUserPrefUnknownSpacebyFreqLoc(java.lang.String location) {
        if (location == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("accCHRUserPrefUnknownSpacebyFreqLoc failure,frequent location == null");
            return false;
        }
        insertCHR(location);
        java.lang.String sql = "UPDATE CHR_FREQUENT_LOCATION SET UPUNKNOWNSPACE = UPUNKNOWNSPACE + 1 WHERE FREQLOCATION = ?";
        boolean z = true;
        java.lang.Object[] args = new java.lang.Object[]{location};
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update begin: UPUNKNOWNSPACE at ");
        stringBuilder.append(location);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        try {
            this.db.beginTransaction();
            this.db.execSQL(sql, args);
            this.db.setTransactionSuccessful();
        } catch (android.database.SQLException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("accCHRUserPrefUnknownSpacebyFreqLoc exception: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        } finally {
            z = this.db;
            z.endTransaction();
            return false;
        }
        return z;
    }

    public boolean resetCHRbyFreqLoc(java.lang.String location) {
        if (location == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("resetCHRbyFreqLoc failure,frequent location == null");
            return false;
        } else if (!findCHRbyFreqLoc(location).containsKey("FREQLOCATION")) {
            return false;
        } else {
            java.lang.String sql = "UPDATE CHR_FREQUENT_LOCATION SET ENTERY = 0,LEAVE = 0,DURATION = 0,SPACECHANGE = 0,SPACELEAVE = 0,UPTOTALSWITCH = 0,UPAUTOSUCC = 0,UPMANUALSUCC = 0,UPAUTOFAIL = 0,UPNOSWITCHFAIL = 0,UPQRYCNT = 0,UPRESCNT = 0,UPUNKNOWNDB = 0,UPUNKNOWNSPACE = 0,LPTOTALSWITCH = 0,LPDATARX = 0,LPDATATX = 0,LPDURATION = 0,LPOFFSET = 0,LPALREADYBEST = 0,LPNOTREACH = 0,LPBACK = 0,LPUNKNOWNDB = 0,LPUNKNOWNSPACE = 0 WHERE FREQLOCATION = ?";
            boolean z = true;
            java.lang.Object[] args = new java.lang.Object[]{location};
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("update begin: RESET CHR at ");
            stringBuilder.append(location);
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
            try {
                this.db.beginTransaction();
                this.db.execSQL(sql, args);
                this.db.setTransactionSuccessful();
            } catch (android.database.SQLException e) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("resetCHRbyFreqLoc exception: ");
                stringBuilder.append(e.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                return false;
            } finally {
                z = this.db;
                z.endTransaction();
                return false;
            }
            return z;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:80:0x043b  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x0440  */
    /* JADX WARNING: Removed duplicated region for block: B:80:0x043b  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x0440  */
    /* JADX WARNING: Removed duplicated region for block: B:80:0x043b  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x0440  */
    /* JADX WARNING: Removed duplicated region for block: B:80:0x043b  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x0440  */
    /* JADX WARNING: Removed duplicated region for block: B:80:0x043b  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x0440  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x0440  */
    /* JADX WARNING: Removed duplicated region for block: B:80:0x043b  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x0440  */
    /* JADX WARNING: Missing block: B:73:0x0414, code:
            if (r4 == null) goto L_0x043c;
     */
    public android.os.Bundle findCHRbyFreqLoc(java.lang.String r57) {
        /*
        r56 = this;
        r1 = r56;
        r2 = r57;
        r0 = new android.os.Bundle;
        r0.<init>();
        r3 = r0;
        r4 = 0;
        r0 = r1.db;
        if (r0 == 0) goto L_0x0444;
    L_0x000f:
        if (r2 != 0) goto L_0x0015;
    L_0x0011:
        r43 = r3;
        goto L_0x0446;
    L_0x0015:
        r5 = "SELECT * FROM CHR_FREQUENT_LOCATION WHERE FREQLOCATION = ?";
        r0 = 1;
        r0 = new java.lang.String[r0];
        r6 = 0;
        r0[r6] = r2;
        r6 = r0;
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r7 = "findCHRbyFreqLocation: sql=";
        r0.append(r7);
        r0.append(r5);
        r7 = " ,args=";
        r0.append(r7);
        r7 = java.util.Arrays.toString(r6);
        r0.append(r7);
        r0 = r0.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);
        r0 = r1.db;	 Catch:{ IllegalArgumentException -> 0x041a, Exception -> 0x03f5, all -> 0x03ed }
        r0 = r0.rawQuery(r5, r6);	 Catch:{ IllegalArgumentException -> 0x041a, Exception -> 0x03f5, all -> 0x03ed }
        r4 = r0;
    L_0x0045:
        r0 = r4.moveToNext();	 Catch:{ IllegalArgumentException -> 0x03e4, Exception -> 0x03db, all -> 0x03d1 }
        if (r0 == 0) goto L_0x03bc;
    L_0x004b:
        r0 = "FIRSTREPORT";
        r0 = r4.getColumnIndexOrThrow(r0);	 Catch:{ IllegalArgumentException -> 0x03b1, Exception -> 0x03a7, all -> 0x039c }
        r0 = r4.getInt(r0);	 Catch:{ IllegalArgumentException -> 0x03b1, Exception -> 0x03a7, all -> 0x039c }
        r7 = "ENTERY";
        r7 = r4.getColumnIndexOrThrow(r7);	 Catch:{ IllegalArgumentException -> 0x03b1, Exception -> 0x03a7, all -> 0x039c }
        r7 = r4.getInt(r7);	 Catch:{ IllegalArgumentException -> 0x03b1, Exception -> 0x03a7, all -> 0x039c }
        r8 = "LEAVE";
        r8 = r4.getColumnIndexOrThrow(r8);	 Catch:{ IllegalArgumentException -> 0x03b1, Exception -> 0x03a7, all -> 0x039c }
        r8 = r4.getInt(r8);	 Catch:{ IllegalArgumentException -> 0x03b1, Exception -> 0x03a7, all -> 0x039c }
        r9 = "DURATION";
        r9 = r4.getColumnIndexOrThrow(r9);	 Catch:{ IllegalArgumentException -> 0x03b1, Exception -> 0x03a7, all -> 0x039c }
        r9 = r4.getInt(r9);	 Catch:{ IllegalArgumentException -> 0x03b1, Exception -> 0x03a7, all -> 0x039c }
        r10 = "SPACECHANGE";
        r10 = r4.getColumnIndexOrThrow(r10);	 Catch:{ IllegalArgumentException -> 0x03b1, Exception -> 0x03a7, all -> 0x039c }
        r10 = r4.getInt(r10);	 Catch:{ IllegalArgumentException -> 0x03b1, Exception -> 0x03a7, all -> 0x039c }
        r11 = "SPACELEAVE";
        r11 = r4.getColumnIndexOrThrow(r11);	 Catch:{ IllegalArgumentException -> 0x03b1, Exception -> 0x03a7, all -> 0x039c }
        r11 = r4.getInt(r11);	 Catch:{ IllegalArgumentException -> 0x03b1, Exception -> 0x03a7, all -> 0x039c }
        r12 = "UPTOTALSWITCH";
        r12 = r4.getColumnIndexOrThrow(r12);	 Catch:{ IllegalArgumentException -> 0x03b1, Exception -> 0x03a7, all -> 0x039c }
        r12 = r4.getInt(r12);	 Catch:{ IllegalArgumentException -> 0x03b1, Exception -> 0x03a7, all -> 0x039c }
        r13 = "UPAUTOSUCC";
        r13 = r4.getColumnIndexOrThrow(r13);	 Catch:{ IllegalArgumentException -> 0x03b1, Exception -> 0x03a7, all -> 0x039c }
        r13 = r4.getInt(r13);	 Catch:{ IllegalArgumentException -> 0x03b1, Exception -> 0x03a7, all -> 0x039c }
        r14 = "UPMANUALSUCC";
        r14 = r4.getColumnIndexOrThrow(r14);	 Catch:{ IllegalArgumentException -> 0x03b1, Exception -> 0x03a7, all -> 0x039c }
        r14 = r4.getInt(r14);	 Catch:{ IllegalArgumentException -> 0x03b1, Exception -> 0x03a7, all -> 0x039c }
        r15 = "UPAUTOFAIL";
        r15 = r4.getColumnIndexOrThrow(r15);	 Catch:{ IllegalArgumentException -> 0x03b1, Exception -> 0x03a7, all -> 0x039c }
        r15 = r4.getInt(r15);	 Catch:{ IllegalArgumentException -> 0x03b1, Exception -> 0x03a7, all -> 0x039c }
        r1 = "UPNOSWITCHFAIL";
        r1 = r4.getColumnIndexOrThrow(r1);	 Catch:{ IllegalArgumentException -> 0x03b1, Exception -> 0x03a7, all -> 0x039c }
        r1 = r4.getInt(r1);	 Catch:{ IllegalArgumentException -> 0x03b1, Exception -> 0x03a7, all -> 0x039c }
        r16 = r5;
        r5 = "UPQRYCNT";
        r5 = r4.getColumnIndexOrThrow(r5);	 Catch:{ IllegalArgumentException -> 0x0393, Exception -> 0x038a, all -> 0x0381 }
        r5 = r4.getInt(r5);	 Catch:{ IllegalArgumentException -> 0x0393, Exception -> 0x038a, all -> 0x0381 }
        r17 = r6;
        r6 = "UPRESCNT";
        r6 = r4.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r6 = r4.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r18 = r6;
        r6 = "UPUNKNOWNDB";
        r6 = r4.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r6 = r4.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r19 = r6;
        r6 = "UPUNKNOWNSPACE";
        r6 = r4.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r6 = r4.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r20 = r6;
        r6 = "LPTOTALSWITCH";
        r6 = r4.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r6 = r4.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r21 = r6;
        r6 = "LPDATARX";
        r6 = r4.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r6 = r4.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r22 = r6;
        r6 = "LPDATATX";
        r6 = r4.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r6 = r4.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r23 = r6;
        r6 = "LPDURATION";
        r6 = r4.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r6 = r4.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r24 = r6;
        r6 = "LPOFFSET";
        r6 = r4.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r6 = r4.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r25 = r6;
        r6 = "LPALREADYBEST";
        r6 = r4.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r6 = r4.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r26 = r6;
        r6 = "LPNOTREACH";
        r6 = r4.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r6 = r4.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r27 = r6;
        r6 = "LPBACK";
        r6 = r4.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r6 = r4.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r28 = r6;
        r6 = "LPUNKNOWNDB";
        r6 = r4.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r6 = r4.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r29 = r6;
        r6 = "LPUNKNOWNSPACE";
        r6 = r4.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r6 = r4.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x037a, Exception -> 0x0373, all -> 0x036c }
        r30 = r4;
        r4 = "FREQLOCATION";
        r3.putString(r4, r2);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "FIRSTREPORT";
        r3.putInt(r4, r0);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "ENTERY";
        r3.putInt(r4, r7);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "LEAVE";
        r3.putInt(r4, r8);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "DURATION";
        r3.putInt(r4, r9);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "SPACECHANGE";
        r3.putInt(r4, r10);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "SPACELEAVE";
        r3.putInt(r4, r11);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "UPTOTALSWITCH";
        r3.putInt(r4, r12);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "UPAUTOSUCC";
        r3.putInt(r4, r13);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "UPMANUALSUCC";
        r3.putInt(r4, r14);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "UPAUTOFAIL";
        r3.putInt(r4, r15);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "UPNOSWITCHFAIL";
        r3.putInt(r4, r1);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "UPQRYCNT";
        r3.putInt(r4, r5);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "UPRESCNT";
        r31 = r5;
        r5 = r18;
        r3.putInt(r4, r5);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "UPUNKNOWNDB";
        r32 = r5;
        r5 = r19;
        r3.putInt(r4, r5);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "UPUNKNOWNSPACE";
        r33 = r5;
        r5 = r20;
        r3.putInt(r4, r5);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "LPTOTALSWITCH";
        r34 = r5;
        r5 = r21;
        r3.putInt(r4, r5);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "LPDATARX";
        r35 = r5;
        r5 = r22;
        r3.putInt(r4, r5);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "LPDATATX";
        r36 = r5;
        r5 = r23;
        r3.putInt(r4, r5);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "LPDURATION";
        r37 = r5;
        r5 = r24;
        r3.putInt(r4, r5);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "LPOFFSET";
        r38 = r5;
        r5 = r25;
        r3.putInt(r4, r5);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "LPALREADYBEST";
        r39 = r5;
        r5 = r26;
        r3.putInt(r4, r5);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "LPNOTREACH";
        r40 = r5;
        r5 = r27;
        r3.putInt(r4, r5);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "LPBACK";
        r41 = r5;
        r5 = r28;
        r3.putInt(r4, r5);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "LPUNKNOWNDB";
        r42 = r5;
        r5 = r29;
        r3.putInt(r4, r5);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = "LPUNKNOWNSPACE";
        r3.putInt(r4, r6);	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4 = new java.lang.StringBuilder;	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r4.<init>();	 Catch:{ IllegalArgumentException -> 0x0365, Exception -> 0x035e, all -> 0x0357 }
        r43 = r3;
        r3 = " freqlocation:";
        r4.append(r3);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r4.append(r2);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r3 = ",first report:";
        r4.append(r3);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r4.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r3 = ",entery:";
        r4.append(r3);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r4.append(r7);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r3 = ",leave:";
        r4.append(r3);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r4.append(r8);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r3 = ",duration:";
        r4.append(r3);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r4.append(r9);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r3 = ",space change:";
        r4.append(r3);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r4.append(r10);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r3 = ",space leave:";
        r4.append(r3);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r4.append(r11);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r3 = r4.toString();	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        com.android.server.hidata.wavemapping.util.LogUtil.i(r3);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r3 = new java.lang.StringBuilder;	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r3.<init>();	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r4 = " uptotalswitch:";
        r3.append(r4);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r3.append(r12);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r4 = ",upautosucc:";
        r3.append(r4);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r3.append(r13);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r4 = ",upmanualsucc:";
        r3.append(r4);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r3.append(r14);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r4 = ",upautofail:";
        r3.append(r4);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r3.append(r15);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r4 = ",upnoswitchfail:";
        r3.append(r4);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r3.append(r1);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r4 = ",upqrycnt:";
        r3.append(r4);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r4 = r31;
        r3.append(r4);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r44 = r0;
        r0 = ",uprescnt:";
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r0 = r32;
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r45 = r0;
        r0 = " upunknowndb:";
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r0 = r33;
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r46 = r0;
        r0 = " upunknownspace:";
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r0 = r34;
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r3 = r3.toString();	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        com.android.server.hidata.wavemapping.util.LogUtil.i(r3);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r3 = new java.lang.StringBuilder;	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r3.<init>();	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r47 = r0;
        r0 = " lptotalswitch:";
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r0 = r35;
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r48 = r0;
        r0 = ",lpdatarx:";
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r0 = r36;
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r49 = r0;
        r0 = ",lpdatatx:";
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r0 = r37;
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r50 = r0;
        r0 = ",lpduration:";
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r0 = r38;
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r51 = r0;
        r0 = ",lpoffset:";
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r0 = r39;
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r52 = r0;
        r0 = ",lpalreadybest:";
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r0 = r40;
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r53 = r0;
        r0 = ",lpnotreach:";
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r0 = r41;
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r54 = r0;
        r0 = " lpback:";
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r0 = r42;
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r55 = r0;
        r0 = " lpunknowndb:";
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r3.append(r5);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r0 = " lpunknownspace:";
        r3.append(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r3.append(r6);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r0 = r3.toString();	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);	 Catch:{ IllegalArgumentException -> 0x0352, Exception -> 0x034d, all -> 0x0348 }
        r5 = r16;
        r6 = r17;
        r4 = r30;
        r3 = r43;
        r1 = r56;
        goto L_0x0045;
    L_0x0348:
        r0 = move-exception;
        r4 = r30;
        goto L_0x043e;
    L_0x034d:
        r0 = move-exception;
        r4 = r30;
        goto L_0x03fc;
    L_0x0352:
        r0 = move-exception;
        r4 = r30;
        goto L_0x0421;
    L_0x0357:
        r0 = move-exception;
        r43 = r3;
        r4 = r30;
        goto L_0x043e;
    L_0x035e:
        r0 = move-exception;
        r43 = r3;
        r4 = r30;
        goto L_0x03fc;
    L_0x0365:
        r0 = move-exception;
        r43 = r3;
        r4 = r30;
        goto L_0x0421;
    L_0x036c:
        r0 = move-exception;
        r43 = r3;
        r30 = r4;
        goto L_0x043e;
    L_0x0373:
        r0 = move-exception;
        r43 = r3;
        r30 = r4;
        goto L_0x03fc;
    L_0x037a:
        r0 = move-exception;
        r43 = r3;
        r30 = r4;
        goto L_0x0421;
    L_0x0381:
        r0 = move-exception;
        r43 = r3;
        r30 = r4;
        r17 = r6;
        goto L_0x043e;
    L_0x038a:
        r0 = move-exception;
        r43 = r3;
        r30 = r4;
        r17 = r6;
        goto L_0x03fc;
    L_0x0393:
        r0 = move-exception;
        r43 = r3;
        r30 = r4;
        r17 = r6;
        goto L_0x0421;
    L_0x039c:
        r0 = move-exception;
        r43 = r3;
        r30 = r4;
        r16 = r5;
        r17 = r6;
        goto L_0x043e;
    L_0x03a7:
        r0 = move-exception;
        r43 = r3;
        r30 = r4;
        r16 = r5;
        r17 = r6;
        goto L_0x03fc;
    L_0x03b1:
        r0 = move-exception;
        r43 = r3;
        r30 = r4;
        r16 = r5;
        r17 = r6;
        goto L_0x0421;
    L_0x03bc:
        r43 = r3;
        r30 = r4;
        r16 = r5;
        r17 = r6;
        if (r30 == 0) goto L_0x03cc;
    L_0x03c6:
        r1 = r30;
        r1.close();
        goto L_0x03ce;
    L_0x03cc:
        r1 = r30;
    L_0x03ce:
        r4 = r1;
        goto L_0x043c;
    L_0x03d1:
        r0 = move-exception;
        r43 = r3;
        r1 = r4;
        r16 = r5;
        r17 = r6;
        goto L_0x043e;
    L_0x03db:
        r0 = move-exception;
        r43 = r3;
        r1 = r4;
        r16 = r5;
        r17 = r6;
        goto L_0x03fc;
    L_0x03e4:
        r0 = move-exception;
        r43 = r3;
        r1 = r4;
        r16 = r5;
        r17 = r6;
        goto L_0x0421;
    L_0x03ed:
        r0 = move-exception;
        r43 = r3;
        r16 = r5;
        r17 = r6;
        goto L_0x043e;
    L_0x03f5:
        r0 = move-exception;
        r43 = r3;
        r16 = r5;
        r17 = r6;
    L_0x03fc:
        r1 = new java.lang.StringBuilder;	 Catch:{ all -> 0x043d }
        r1.<init>();	 Catch:{ all -> 0x043d }
        r3 = "findCHRbyFreqLocation Exception: ";
        r1.append(r3);	 Catch:{ all -> 0x043d }
        r3 = r0.getMessage();	 Catch:{ all -> 0x043d }
        r1.append(r3);	 Catch:{ all -> 0x043d }
        r1 = r1.toString();	 Catch:{ all -> 0x043d }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r1);	 Catch:{ all -> 0x043d }
        if (r4 == 0) goto L_0x043c;
    L_0x0416:
        r4.close();
        goto L_0x043c;
    L_0x041a:
        r0 = move-exception;
        r43 = r3;
        r16 = r5;
        r17 = r6;
    L_0x0421:
        r1 = new java.lang.StringBuilder;	 Catch:{ all -> 0x043d }
        r1.<init>();	 Catch:{ all -> 0x043d }
        r3 = "findCHRbyFreqLocation IllegalArgumentException: ";
        r1.append(r3);	 Catch:{ all -> 0x043d }
        r3 = r0.getMessage();	 Catch:{ all -> 0x043d }
        r1.append(r3);	 Catch:{ all -> 0x043d }
        r1 = r1.toString();	 Catch:{ all -> 0x043d }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r1);	 Catch:{ all -> 0x043d }
        if (r4 == 0) goto L_0x043c;
    L_0x043b:
        goto L_0x0416;
    L_0x043c:
        return r43;
    L_0x043d:
        r0 = move-exception;
    L_0x043e:
        if (r4 == 0) goto L_0x0443;
    L_0x0440:
        r4.close();
    L_0x0443:
        throw r0;
    L_0x0444:
        r43 = r3;
    L_0x0446:
        return r43;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.dao.LocationDAO.findCHRbyFreqLoc(java.lang.String):android.os.Bundle");
    }
}
