package com.android.server.hidata.wavemapping.dao;

public class RegularPlaceDAO {
    private static final java.lang.String TAG;
    private android.database.sqlite.SQLiteDatabase db = com.android.server.hidata.wavemapping.dao.DatabaseSingleton.getInstance();

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMapping.");
        stringBuilder.append(com.android.server.hidata.wavemapping.dao.RegularPlaceDAO.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    public boolean insert(com.android.server.hidata.wavemapping.entity.RegularPlaceInfo location) {
        if (findBySsid(location.getPlace(), location.isMainAp()) != null) {
            return true;
        }
        android.content.ContentValues cValue = new android.content.ContentValues();
        cValue.put("SSID", location.getPlace());
        cValue.put("STATE", java.lang.Integer.valueOf(location.getState()));
        cValue.put("BATCH", java.lang.Integer.valueOf(location.getBatch()));
        cValue.put("FINGERNUM", java.lang.Integer.valueOf(location.getFingerNum()));
        cValue.put("TEST_DAT_NUM", java.lang.Integer.valueOf(location.getTestDataNum()));
        cValue.put("DISNUM", java.lang.Integer.valueOf(location.getDisNum()));
        cValue.put("IDENTIFYNUM", java.lang.Integer.valueOf(location.getIdentifyNum()));
        cValue.put("NO_OCURBSSIDS", location.getNoOcurBssids());
        cValue.put("MODELNAME", location.getModelName());
        cValue.put("BEGINTIME", java.lang.Integer.valueOf(new com.android.server.hidata.wavemapping.util.TimeUtil().time2IntDate(com.android.server.hidata.wavemapping.util.TimeUtil.getTime())));
        cValue.put("ISMAINAP", java.lang.String.valueOf(location.isMainAp() ? 1 : null));
        try {
            this.db.insert("RGL_PLACESTATE", null, cValue);
            return true;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("insert exception: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        }
    }

    public boolean update(com.android.server.hidata.wavemapping.entity.RegularPlaceInfo location) {
        if (location == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("update failure,null == location");
            return false;
        }
        java.lang.String i = java.lang.String.valueOf(location.isMainAp() ? 1 : null);
        java.lang.String sql = "UPDATE RGL_PLACESTATE SET STATE = ?,BATCH = ?,FINGERNUM= ? ,UPTIME = ?,TEST_DAT_NUM = ?,DISNUM = ?,IDENTIFYNUM = ?,NO_OCURBSSIDS = ?,MODELNAME = ? WHERE ISMAINAP = ? AND SSID = ? ";
        java.lang.Object[] args = new java.lang.Object[]{java.lang.Integer.valueOf(location.getState()), java.lang.Integer.valueOf(location.getBatch()), java.lang.Integer.valueOf(location.getFingerNum()), com.android.server.hidata.wavemapping.util.TimeUtil.getTime(), java.lang.Integer.valueOf(location.getTestDataNum()), java.lang.Integer.valueOf(location.getDisNum()), java.lang.Integer.valueOf(location.getIdentifyNum()), location.getNoOcurBssids(), location.getModelName(), i, location.getPlace()};
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update begin, sql=");
        stringBuilder.append(sql);
        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("            , location=");
        stringBuilder.append(location.toString());
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        try {
            this.db.execSQL(sql, args);
            return true;
        } catch (android.database.SQLException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("UPDATE exception: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        }
    }

    public com.android.server.hidata.wavemapping.entity.RegularPlaceInfo addRegularLocation(java.lang.String place, boolean isMainAp) {
        com.android.server.hidata.wavemapping.entity.RegularPlaceInfo regularPlaceInfo = null;
        if (place == null) {
            return null;
        }
        try {
            regularPlaceInfo = new com.android.server.hidata.wavemapping.entity.RegularPlaceInfo(place, 3, 1, 0, 0, 0, 0, "", isMainAp);
            insert(regularPlaceInfo);
            return regularPlaceInfo;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("addRegularLocation,e");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return regularPlaceInfo;
        }
    }

    public boolean remove(java.lang.String place, boolean isMainAp) {
        java.lang.String sql = "DELETE FROM RGL_PLACESTATE  WHERE SSID = ? and ISMAINAP = ? ";
        java.lang.String i = java.lang.String.valueOf(isMainAp ? 1 : null);
        try {
            this.db.execSQL(sql, new java.lang.Object[]{place, i});
            return true;
        } catch (android.database.SQLException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("remove exception: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        }
    }

    /* JADX WARNING: Missing block: B:16:0x00bb, code:
            if (r5 != null) goto L_0x00bd;
     */
    public com.android.server.hidata.wavemapping.entity.RegularPlaceInfo findAllBySsid(java.lang.String r20, boolean r21) {
        /*
        r19 = this;
        r1 = r19;
        r2 = r20;
        r3 = 0;
        if (r2 == 0) goto L_0x0102;
    L_0x0007:
        r0 = "";
        r0 = r2.equals(r0);
        if (r0 == 0) goto L_0x0011;
    L_0x000f:
        goto L_0x0102;
    L_0x0011:
        r4 = "SELECT SSID,STATE,BATCH,FINGERNUM,TEST_DAT_NUM,DISNUM,IDENTIFYNUM,NO_OCURBSSIDS,ISMAINAP,MODELNAME,BEGINTIME FROM RGL_PLACESTATE WHERE SSID = ? and ISMAINAP = ? ";
        r5 = 0;
        r0 = r1.db;
        if (r0 != 0) goto L_0x0019;
    L_0x0018:
        return r3;
    L_0x0019:
        r0 = 0;
        r6 = 1;
        r7 = r21;
        if (r7 != r6) goto L_0x0021;
    L_0x001f:
        r8 = r6;
        goto L_0x0022;
    L_0x0021:
        r8 = r0;
    L_0x0022:
        r8 = java.lang.String.valueOf(r8);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r9 = r1.db;	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r10 = 2;
        r10 = new java.lang.String[r10];	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r10[r0] = r2;	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r10[r6] = r8;	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r0 = r9.rawQuery(r4, r10);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r5 = r0;
        r0 = r5.moveToNext();	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        if (r0 == 0) goto L_0x00bb;
    L_0x003a:
        r0 = "ISMAINAP";
        r0 = r5.getColumnIndexOrThrow(r0);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r0 = r5.getString(r0);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r6 = "1";
        r18 = r0.equals(r6);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r0 = new com.android.server.hidata.wavemapping.entity.RegularPlaceInfo;	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r6 = "SSID";
        r6 = r5.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r10 = r5.getString(r6);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r6 = "STATE";
        r6 = r5.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r11 = r5.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r6 = "BATCH";
        r6 = r5.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r12 = r5.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r6 = "FINGERNUM";
        r6 = r5.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r13 = r5.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r6 = "TEST_DAT_NUM";
        r6 = r5.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r14 = r5.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r6 = "DISNUM";
        r6 = r5.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r15 = r5.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r6 = "IDENTIFYNUM";
        r6 = r5.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r16 = r5.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r6 = "NO_OCURBSSIDS";
        r6 = r5.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r17 = r5.getString(r6);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r9 = r0;
        r9.<init>(r10, r11, r12, r13, r14, r15, r16, r17, r18);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r3 = r0;
        r0 = "MODELNAME";
        r0 = r5.getColumnIndexOrThrow(r0);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r0 = r5.getString(r0);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r3.setModelName(r0);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r0 = "BEGINTIME";
        r0 = r5.getColumnIndexOrThrow(r0);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r0 = r5.getInt(r0);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
        r3.setBeginTime(r0);	 Catch:{ IllegalArgumentException -> 0x00df, Exception -> 0x00c3 }
    L_0x00bb:
        if (r5 == 0) goto L_0x00fb;
    L_0x00bd:
        r5.close();
        goto L_0x00fb;
    L_0x00c1:
        r0 = move-exception;
        goto L_0x00fc;
    L_0x00c3:
        r0 = move-exception;
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00c1 }
        r6.<init>();	 Catch:{ all -> 0x00c1 }
        r8 = "findBySsid Exception: ";
        r6.append(r8);	 Catch:{ all -> 0x00c1 }
        r8 = r0.getMessage();	 Catch:{ all -> 0x00c1 }
        r6.append(r8);	 Catch:{ all -> 0x00c1 }
        r6 = r6.toString();	 Catch:{ all -> 0x00c1 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r6);	 Catch:{ all -> 0x00c1 }
        if (r5 == 0) goto L_0x00fb;
    L_0x00de:
        goto L_0x00bd;
    L_0x00df:
        r0 = move-exception;
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00c1 }
        r6.<init>();	 Catch:{ all -> 0x00c1 }
        r8 = "findBySsid IllegalArgumentException: ";
        r6.append(r8);	 Catch:{ all -> 0x00c1 }
        r8 = r0.getMessage();	 Catch:{ all -> 0x00c1 }
        r6.append(r8);	 Catch:{ all -> 0x00c1 }
        r6 = r6.toString();	 Catch:{ all -> 0x00c1 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r6);	 Catch:{ all -> 0x00c1 }
        if (r5 == 0) goto L_0x00fb;
    L_0x00fa:
        goto L_0x00bd;
    L_0x00fb:
        return r3;
    L_0x00fc:
        if (r5 == 0) goto L_0x0101;
    L_0x00fe:
        r5.close();
    L_0x0101:
        throw r0;
    L_0x0102:
        r7 = r21;
        r0 = "findBySsid place=null or place=";
        com.android.server.hidata.wavemapping.util.LogUtil.d(r0);
        return r3;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.dao.RegularPlaceDAO.findAllBySsid(java.lang.String, boolean):com.android.server.hidata.wavemapping.entity.RegularPlaceInfo");
    }

    /* JADX WARNING: Missing block: B:16:0x00ae, code:
            if (r5 != null) goto L_0x00b0;
     */
    public com.android.server.hidata.wavemapping.entity.RegularPlaceInfo findBySsid(java.lang.String r20, boolean r21) {
        /*
        r19 = this;
        r1 = r19;
        r2 = r20;
        r3 = 0;
        if (r2 == 0) goto L_0x00f5;
    L_0x0007:
        r0 = "";
        r0 = r2.equals(r0);
        if (r0 == 0) goto L_0x0011;
    L_0x000f:
        goto L_0x00f5;
    L_0x0011:
        r4 = "SELECT SSID,STATE,BATCH,FINGERNUM,TEST_DAT_NUM,DISNUM,IDENTIFYNUM,NO_OCURBSSIDS,ISMAINAP,MODELNAME FROM RGL_PLACESTATE WHERE SSID = ? and ISMAINAP = ? ";
        r5 = 0;
        r0 = r1.db;
        if (r0 != 0) goto L_0x0019;
    L_0x0018:
        return r3;
    L_0x0019:
        r0 = 0;
        r6 = 1;
        r7 = r21;
        if (r7 != r6) goto L_0x0021;
    L_0x001f:
        r8 = r6;
        goto L_0x0022;
    L_0x0021:
        r8 = r0;
    L_0x0022:
        r8 = java.lang.String.valueOf(r8);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r9 = r1.db;	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r10 = 2;
        r10 = new java.lang.String[r10];	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r10[r0] = r2;	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r10[r6] = r8;	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r0 = r9.rawQuery(r4, r10);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r5 = r0;
        r0 = r5.moveToNext();	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        if (r0 == 0) goto L_0x00ae;
    L_0x003a:
        r0 = "ISMAINAP";
        r0 = r5.getColumnIndexOrThrow(r0);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r0 = r5.getString(r0);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r6 = "1";
        r18 = r0.equals(r6);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r0 = new com.android.server.hidata.wavemapping.entity.RegularPlaceInfo;	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r6 = "SSID";
        r6 = r5.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r10 = r5.getString(r6);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r6 = "STATE";
        r6 = r5.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r11 = r5.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r6 = "BATCH";
        r6 = r5.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r12 = r5.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r6 = "FINGERNUM";
        r6 = r5.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r13 = r5.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r6 = "TEST_DAT_NUM";
        r6 = r5.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r14 = r5.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r6 = "DISNUM";
        r6 = r5.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r15 = r5.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r6 = "IDENTIFYNUM";
        r6 = r5.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r16 = r5.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r6 = "NO_OCURBSSIDS";
        r6 = r5.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r17 = r5.getString(r6);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r9 = r0;
        r9.<init>(r10, r11, r12, r13, r14, r15, r16, r17, r18);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r3 = r0;
        r0 = "MODELNAME";
        r0 = r5.getColumnIndexOrThrow(r0);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r0 = r5.getString(r0);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
        r3.setModelName(r0);	 Catch:{ IllegalArgumentException -> 0x00d2, Exception -> 0x00b6 }
    L_0x00ae:
        if (r5 == 0) goto L_0x00ee;
    L_0x00b0:
        r5.close();
        goto L_0x00ee;
    L_0x00b4:
        r0 = move-exception;
        goto L_0x00ef;
    L_0x00b6:
        r0 = move-exception;
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00b4 }
        r6.<init>();	 Catch:{ all -> 0x00b4 }
        r8 = "findBySsid Exception: ";
        r6.append(r8);	 Catch:{ all -> 0x00b4 }
        r8 = r0.getMessage();	 Catch:{ all -> 0x00b4 }
        r6.append(r8);	 Catch:{ all -> 0x00b4 }
        r6 = r6.toString();	 Catch:{ all -> 0x00b4 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r6);	 Catch:{ all -> 0x00b4 }
        if (r5 == 0) goto L_0x00ee;
    L_0x00d1:
        goto L_0x00b0;
    L_0x00d2:
        r0 = move-exception;
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00b4 }
        r6.<init>();	 Catch:{ all -> 0x00b4 }
        r8 = "findBySsid IllegalArgumentException: ";
        r6.append(r8);	 Catch:{ all -> 0x00b4 }
        r8 = r0.getMessage();	 Catch:{ all -> 0x00b4 }
        r6.append(r8);	 Catch:{ all -> 0x00b4 }
        r6 = r6.toString();	 Catch:{ all -> 0x00b4 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r6);	 Catch:{ all -> 0x00b4 }
        if (r5 == 0) goto L_0x00ee;
    L_0x00ed:
        goto L_0x00b0;
    L_0x00ee:
        return r3;
    L_0x00ef:
        if (r5 == 0) goto L_0x00f4;
    L_0x00f1:
        r5.close();
    L_0x00f4:
        throw r0;
    L_0x00f5:
        r7 = r21;
        r0 = "findBySsid place=null or place=";
        com.android.server.hidata.wavemapping.util.LogUtil.d(r0);
        return r3;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.dao.RegularPlaceDAO.findBySsid(java.lang.String, boolean):com.android.server.hidata.wavemapping.entity.RegularPlaceInfo");
    }

    /* JADX WARNING: Missing block: B:7:0x00cd, code:
            if (r3 != null) goto L_0x00cf;
     */
    public java.util.HashMap<java.lang.String, com.android.server.hidata.wavemapping.entity.RegularPlaceInfo> findAllLocations() {
        /*
        r17 = this;
        r1 = "SELECT SSID,STATE,BATCH,FINGERNUM,TEST_DAT_NUM,IDENTIFYNUM,DISNUM,NO_OCURBSSIDS,ISMAINAP,MODELNAME FROM RGL_PLACESTATE WHERE 1 = 1 ";
        r2 = 0;
        r3 = 0;
        r0 = new java.util.HashMap;
        r0.<init>();
        r4 = r0;
        r5 = r17;
        r0 = r5.db;	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r6 = 0;
        r0 = r0.rawQuery(r1, r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r3 = r0;
    L_0x0014:
        r0 = r3.moveToNext();	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        if (r0 == 0) goto L_0x00cd;
    L_0x001a:
        r0 = "ISMAINAP";
        r0 = r3.getColumnIndexOrThrow(r0);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r0 = r3.getString(r0);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r6 = "1";
        r16 = r0.equals(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r0 = new com.android.server.hidata.wavemapping.entity.RegularPlaceInfo;	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r6 = "SSID";
        r6 = r3.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r8 = r3.getString(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r6 = "STATE";
        r6 = r3.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r9 = r3.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r6 = "BATCH";
        r6 = r3.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r10 = r3.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r6 = "FINGERNUM";
        r6 = r3.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r11 = r3.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r6 = "TEST_DAT_NUM";
        r6 = r3.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r12 = r3.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r6 = "DISNUM";
        r6 = r3.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r13 = r3.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r6 = "IDENTIFYNUM";
        r6 = r3.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r14 = r3.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r6 = "NO_OCURBSSIDS";
        r6 = r3.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r15 = r3.getString(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r7 = r0;
        r7.<init>(r8, r9, r10, r11, r12, r13, r14, r15, r16);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r2 = r0;
        r0 = "MODELNAME";
        r0 = r3.getColumnIndexOrThrow(r0);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r0 = r3.getString(r0);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r2.setModelName(r0);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r0 = new java.lang.StringBuilder;	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r0.<init>();	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r6 = " findAllLocations:place:";
        r0.append(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r6 = r2.toString();	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r0.append(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r0 = r0.toString();	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        com.android.server.hidata.wavemapping.util.LogUtil.d(r0);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r0 = new java.lang.StringBuilder;	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r0.<init>();	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r6 = r2.getPlace();	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r0.append(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r6 = "_";
        r0.append(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r6 = "ISMAINAP";
        r6 = r3.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r6 = r3.getString(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r0.append(r6);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r0 = r0.toString();	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        r4.put(r0, r2);	 Catch:{ IllegalArgumentException -> 0x00f1, Exception -> 0x00d5 }
        goto L_0x0014;
    L_0x00cd:
        if (r3 == 0) goto L_0x010d;
    L_0x00cf:
        r3.close();
        goto L_0x010d;
    L_0x00d3:
        r0 = move-exception;
        goto L_0x010e;
    L_0x00d5:
        r0 = move-exception;
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00d3 }
        r6.<init>();	 Catch:{ all -> 0x00d3 }
        r7 = "findAllLocations Exception: ";
        r6.append(r7);	 Catch:{ all -> 0x00d3 }
        r7 = r0.getMessage();	 Catch:{ all -> 0x00d3 }
        r6.append(r7);	 Catch:{ all -> 0x00d3 }
        r6 = r6.toString();	 Catch:{ all -> 0x00d3 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r6);	 Catch:{ all -> 0x00d3 }
        if (r3 == 0) goto L_0x010d;
    L_0x00f0:
        goto L_0x00cf;
    L_0x00f1:
        r0 = move-exception;
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00d3 }
        r6.<init>();	 Catch:{ all -> 0x00d3 }
        r7 = "findAllLocations IllegalArgumentException: ";
        r6.append(r7);	 Catch:{ all -> 0x00d3 }
        r7 = r0.getMessage();	 Catch:{ all -> 0x00d3 }
        r6.append(r7);	 Catch:{ all -> 0x00d3 }
        r6 = r6.toString();	 Catch:{ all -> 0x00d3 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r6);	 Catch:{ all -> 0x00d3 }
        if (r3 == 0) goto L_0x010d;
    L_0x010c:
        goto L_0x00cf;
    L_0x010d:
        return r4;
    L_0x010e:
        if (r3 == 0) goto L_0x0113;
    L_0x0110:
        r3.close();
    L_0x0113:
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.dao.RegularPlaceDAO.findAllLocations():java.util.HashMap<java.lang.String, com.android.server.hidata.wavemapping.entity.RegularPlaceInfo>");
    }
}
