package com.android.server.hidata.wavemapping.dao;

public class SpaceUserDAO {
    private static final int INTERVAL_24HR = 86400000;
    private static final java.lang.String TAG;
    private static com.android.server.hidata.wavemapping.service.HwHistoryQoEResourceBuilder mQoeAppBuilder = null;
    private java.lang.String ScrbId = "NA";
    private java.lang.String ScrbId_print = "NA";
    private java.lang.String curFreqLoc = "OTHER";
    private android.database.sqlite.SQLiteDatabase db = com.android.server.hidata.wavemapping.dao.DatabaseSingleton.getInstance();
    private java.lang.String modelVerAllAp = "0";
    private java.lang.String modelVerMainAp = "0";
    private long time1stClean = 0;

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMapping.");
        stringBuilder.append(com.android.server.hidata.wavemapping.dao.SpaceUserDAO.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    public SpaceUserDAO() {
        mQoeAppBuilder = com.android.server.hidata.wavemapping.service.HwHistoryQoEResourceBuilder.getInstance();
        this.time1stClean = java.lang.System.currentTimeMillis();
    }

    public void setFreqLocation(java.lang.String location) {
        if (location != null) {
            this.curFreqLoc = location;
            deleteOldRecords();
        }
    }

    public void setScrbId(java.lang.String ScrbId) {
        if (ScrbId != null) {
            this.ScrbId = ScrbId;
            if (ScrbId.length() > 10) {
                this.ScrbId_print = ScrbId.substring(0, 10);
            } else {
                this.ScrbId_print = ScrbId;
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setScrbId :");
            stringBuilder.append(this.ScrbId_print);
            com.android.server.hidata.wavemapping.util.LogUtil.v(stringBuilder.toString());
        }
    }

    public void setModelVer(java.lang.String model_AllAp, java.lang.String model_MainAp) {
        if (model_AllAp != null) {
            this.modelVerAllAp = model_AllAp;
        }
        if (model_MainAp != null) {
            this.modelVerMainAp = model_MainAp;
        }
    }

    public boolean insertBase(com.android.server.hidata.wavemapping.entity.SpaceExpInfo spaceinfo) {
        if (networkIdFoundBaseBySpaceNetwork(spaceinfo.getSpaceID(), spaceinfo.getSpaceIDMain(), spaceinfo.getNetworkId(), spaceinfo.getNetworkName(), spaceinfo.getNetworkFreq()) != null) {
            return update(spaceinfo);
        }
        android.content.ContentValues cValueBase = new android.content.ContentValues();
        cValueBase.put("SCRBID", this.ScrbId);
        cValueBase.put("FREQLOCNAME", this.curFreqLoc);
        cValueBase.put("SPACEID", spaceinfo.getSpaceID());
        cValueBase.put("SPACEIDMAIN", spaceinfo.getSpaceIDMain());
        cValueBase.put("NETWORKNAME", spaceinfo.getNetworkName());
        cValueBase.put("NETWORKFREQ", spaceinfo.getNetworkFreq());
        cValueBase.put("NETWORKID", spaceinfo.getNetworkId());
        cValueBase.put("SIGNAL_VALUE", java.lang.Integer.valueOf(spaceinfo.getSignalValue()));
        cValueBase.put("POWER_CONSUMPTION", java.lang.Long.valueOf(spaceinfo.getPowerConsumption()));
        cValueBase.put("DATA_RX", java.lang.Long.valueOf(spaceinfo.getDataRx()));
        cValueBase.put("DATA_TX", java.lang.Long.valueOf(spaceinfo.getDataTx()));
        cValueBase.put("USER_PREF_OPT_IN", java.lang.Integer.valueOf(spaceinfo.getUserPrefOptIn()));
        cValueBase.put("USER_PREF_OPT_OUT", java.lang.Integer.valueOf(spaceinfo.getUserPrefOptOut()));
        cValueBase.put("USER_PREF_STAY", java.lang.Integer.valueOf(spaceinfo.getUserPrefStay()));
        cValueBase.put("USER_PREF_TOTAL_COUNT", java.lang.Integer.valueOf(spaceinfo.getUserPrefTotalCount()));
        cValueBase.put("DURATION_CONNECTED", java.lang.Long.valueOf(spaceinfo.getDuration()));
        cValueBase.put("NW_TYPE", java.lang.Long.valueOf(spaceinfo.getNetworkType()));
        cValueBase.put("MODEL_VER_ALLAP", this.modelVerAllAp);
        cValueBase.put("MODEL_VER_MAINAP", this.modelVerMainAp);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("insert BASE, FreqLoc:");
        stringBuilder.append(this.curFreqLoc);
        stringBuilder.append(", ");
        stringBuilder.append(spaceinfo.toString());
        stringBuilder.append(", modelVer:");
        stringBuilder.append(this.modelVerAllAp);
        stringBuilder.append("_");
        stringBuilder.append(this.modelVerMainAp);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("insert BASE, scrib ID:");
        stringBuilder.append(this.ScrbId_print);
        com.android.server.hidata.wavemapping.util.LogUtil.v(stringBuilder.toString());
        try {
            this.db.beginTransaction();
            this.db.insert("SPACEUSER_BASE", null, cValueBase);
            this.db.setTransactionSuccessful();
            this.db.endTransaction();
            if (0 == this.time1stClean) {
                this.time1stClean = java.lang.System.currentTimeMillis();
            } else if (java.lang.System.currentTimeMillis() - this.time1stClean > 86400000) {
                deleteOldRecords();
            }
            return true;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("insert exception: ");
            stringBuilder2.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
            this.db.endTransaction();
            return false;
        } catch (java.lang.Throwable th) {
            this.db.endTransaction();
            throw th;
        }
    }

    public boolean insertApp(com.android.server.hidata.wavemapping.entity.SpaceExpInfo spaceinfo) {
        java.lang.Exception e;
        java.lang.StringBuilder stringBuilder;
        boolean result = true;
        for (java.util.Map.Entry<java.lang.Integer, java.lang.Float> entry : mQoeAppBuilder.getQoEAppList().entrySet()) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("APP_");
            stringBuilder2.append(entry.getKey());
            java.lang.String appName = stringBuilder2.toString();
            java.util.HashMap<java.lang.String, java.lang.Long> mapDuration = spaceinfo.getMapAppDuration();
            int good;
            int poor;
            try {
                if (mapDuration.containsKey(appName)) {
                    long duration = ((java.lang.Long) mapDuration.get(appName)).longValue();
                    if (duration > 0) {
                        int poor2;
                        int poor3;
                        long duration2;
                        if (spaceinfo.getMapAppQoeGood().containsKey(appName)) {
                            good = ((java.lang.Integer) spaceinfo.getMapAppQoeGood().get(appName)).intValue();
                        } else {
                            good = 0;
                        }
                        try {
                            if (spaceinfo.getMapAppQoePoor().containsKey(appName)) {
                                poor2 = ((java.lang.Integer) spaceinfo.getMapAppQoePoor().get(appName)).intValue();
                            } else {
                                poor2 = 0;
                            }
                        } catch (java.lang.Exception e2) {
                            e = e2;
                            poor = 0;
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("insertApp exception: ");
                            stringBuilder.append(e.getMessage());
                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                            result = false;
                        }
                        try {
                            poor3 = poor2;
                            duration2 = duration;
                        } catch (java.lang.Exception e3) {
                            e = e3;
                            poor = poor2;
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("insertApp exception: ");
                            stringBuilder.append(e.getMessage());
                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                            result = false;
                        }
                        try {
                            if (networkIdFoundAppSpaceNetwork(appName, spaceinfo.getSpaceID(), spaceinfo.getSpaceIDMain(), spaceinfo.getNetworkId(), spaceinfo.getNetworkName(), spaceinfo.getNetworkFreq()) != null) {
                                try {
                                    if (!updateApp(appName, duration2, good, poor3, spaceinfo)) {
                                        result = false;
                                        stringBuilder2 = new java.lang.StringBuilder();
                                        stringBuilder2.append("updateApp APP fail:");
                                        stringBuilder2.append(appName);
                                        stringBuilder2.append(",FreqLoc:");
                                        stringBuilder2.append(this.curFreqLoc);
                                        com.android.server.hidata.wavemapping.util.LogUtil.w(stringBuilder2.toString());
                                        stringBuilder2 = new java.lang.StringBuilder();
                                        stringBuilder2.append("updateApp APP fail, nwId:");
                                        stringBuilder2.append(spaceinfo.getNetworkId());
                                        com.android.server.hidata.wavemapping.util.LogUtil.v(stringBuilder2.toString());
                                    }
                                    poor = poor3;
                                } catch (java.lang.Exception e4) {
                                    e = e4;
                                    poor = poor3;
                                    stringBuilder = new java.lang.StringBuilder();
                                    stringBuilder.append("insertApp exception: ");
                                    stringBuilder.append(e.getMessage());
                                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                                    result = false;
                                }
                            } else {
                                int good2 = new android.content.ContentValues();
                                good2.put("SCRBID", this.ScrbId);
                                good2.put("FREQLOCNAME", this.curFreqLoc);
                                good2.put("SPACEID", spaceinfo.getSpaceID());
                                good2.put("SPACEIDMAIN", spaceinfo.getSpaceIDMain());
                                good2.put("NETWORKNAME", spaceinfo.getNetworkName());
                                good2.put("NETWORKFREQ", spaceinfo.getNetworkFreq());
                                good2.put("NETWORKID", spaceinfo.getNetworkId());
                                good2.put("NW_TYPE", java.lang.Long.valueOf(spaceinfo.getNetworkType()));
                                int poor4 = duration2;
                                good2.put("DURATION", java.lang.Long.valueOf(poor4));
                                poor = poor3;
                                try {
                                    android.database.sqlite.SQLiteDatabase sQLiteDatabase;
                                    good2.put("POORCOUNT", java.lang.Integer.valueOf(poor));
                                    good2.put("GOODCOUNT", java.lang.Integer.valueOf(good));
                                    good2.put("MODEL_VER_ALLAP", this.modelVerAllAp);
                                    good2.put("MODEL_VER_MAINAP", this.modelVerMainAp);
                                    stringBuilder2 = new java.lang.StringBuilder();
                                    stringBuilder2.append("insert APP:");
                                    stringBuilder2.append(appName);
                                    stringBuilder2.append(",FreqLoc:");
                                    stringBuilder2.append(this.curFreqLoc);
                                    stringBuilder2.append(", duration:");
                                    stringBuilder2.append(poor4);
                                    stringBuilder2.append(", poor:");
                                    stringBuilder2.append(poor);
                                    stringBuilder2.append(", good:");
                                    stringBuilder2.append(good);
                                    stringBuilder2.append(", modelVer:");
                                    stringBuilder2.append(this.modelVerAllAp);
                                    stringBuilder2.append("_");
                                    stringBuilder2.append(this.modelVerMainAp);
                                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
                                    stringBuilder2 = new java.lang.StringBuilder();
                                    stringBuilder2.append("insert APP:");
                                    stringBuilder2.append(appName);
                                    stringBuilder2.append(", scrib ID:");
                                    stringBuilder2.append(this.ScrbId_print);
                                    com.android.server.hidata.wavemapping.util.LogUtil.v(stringBuilder2.toString());
                                    try {
                                        this.db.beginTransaction();
                                        this.db.insert(appName, null, good2);
                                        this.db.setTransactionSuccessful();
                                        sQLiteDatabase = this.db;
                                    } catch (java.lang.Exception e5) {
                                        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                                        stringBuilder3.append("db insert exception: ");
                                        stringBuilder3.append(e5.getMessage());
                                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder3.toString());
                                        result = false;
                                        sQLiteDatabase = this.db;
                                    }
                                    sQLiteDatabase.endTransaction();
                                } catch (java.lang.Exception e6) {
                                    e5 = e6;
                                } catch (Throwable th) {
                                    this.db.endTransaction();
                                }
                            }
                        } catch (java.lang.Exception e7) {
                            e5 = e7;
                            poor = poor3;
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("insertApp exception: ");
                            stringBuilder.append(e5.getMessage());
                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                            result = false;
                        }
                    }
                } else {
                    good = 0;
                    poor = 0;
                }
            } catch (java.lang.Exception e8) {
                e5 = e8;
                good = 0;
                poor = 0;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("insertApp exception: ");
                stringBuilder.append(e5.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                result = false;
            }
        }
        return result;
    }

    public boolean update(com.android.server.hidata.wavemapping.entity.SpaceExpInfo spaceinfo) {
        java.lang.String sql = "UPDATE SPACEUSER_BASE SET SIGNAL_VALUE = ?,USER_PREF_OPT_IN = ?,USER_PREF_OPT_OUT = ?,USER_PREF_STAY = ?,USER_PREF_TOTAL_COUNT = ?, POWER_CONSUMPTION = ?, DATA_RX = ?, DATA_TX = ?, DURATION_CONNECTED = ? WHERE SCRBID = ? AND FREQLOCNAME = ? AND NETWORKID = ? AND NETWORKNAME = ? AND NETWORKFREQ = ? AND SPACEID = ? AND SPACEIDMAIN = ? AND MODEL_VER_ALLAP = ? AND MODEL_VER_MAINAP = ? AND UPDATE_DATE = (date('now', 'localtime'))";
        args = new java.lang.Object[18];
        boolean z = false;
        args[0] = java.lang.Integer.valueOf(spaceinfo.getSignalValue());
        args[1] = java.lang.Integer.valueOf(spaceinfo.getUserPrefOptIn());
        args[2] = java.lang.Integer.valueOf(spaceinfo.getUserPrefOptOut());
        args[3] = java.lang.Integer.valueOf(spaceinfo.getUserPrefStay());
        args[4] = java.lang.Integer.valueOf(spaceinfo.getUserPrefTotalCount());
        args[5] = java.lang.Long.valueOf(spaceinfo.getPowerConsumption());
        args[6] = java.lang.Long.valueOf(spaceinfo.getDataRx());
        args[7] = java.lang.Long.valueOf(spaceinfo.getDataTx());
        args[8] = java.lang.Long.valueOf(spaceinfo.getDuration());
        args[9] = this.ScrbId;
        args[10] = this.curFreqLoc;
        args[11] = spaceinfo.getNetworkId();
        args[12] = spaceinfo.getNetworkName();
        args[13] = spaceinfo.getNetworkFreq();
        args[14] = spaceinfo.getSpaceID();
        args[15] = spaceinfo.getSpaceIDMain();
        args[16] = this.modelVerAllAp;
        args[17] = this.modelVerMainAp;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update BASE begin: FreqLoc:");
        stringBuilder.append(this.curFreqLoc);
        stringBuilder.append(", modelVer:");
        stringBuilder.append(this.modelVerAllAp);
        stringBuilder.append("_");
        stringBuilder.append(this.modelVerMainAp);
        stringBuilder.append(", ");
        stringBuilder.append(spaceinfo.toString());
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update BASE begin: scribId:");
        stringBuilder.append(this.ScrbId_print);
        com.android.server.hidata.wavemapping.util.LogUtil.v(stringBuilder.toString());
        try {
            this.db.beginTransaction();
            this.db.execSQL(sql, args);
            this.db.setTransactionSuccessful();
        } catch (android.database.SQLException e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("UPDATE exception: ");
            stringBuilder2.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
            return z;
        } finally {
            z = this.db;
            z.endTransaction();
            return z;
        }
        return true;
    }

    public boolean updateApp(java.lang.String appName, long duration, int good, int poor, com.android.server.hidata.wavemapping.entity.SpaceExpInfo spaceinfo) {
        java.lang.String sql = new java.lang.StringBuilder();
        sql.append("UPDATE ");
        sql.append(appName);
        sql.append(" SET DURATION = ?,POORCOUNT = ?,GOODCOUNT = ? WHERE SCRBID = ? AND FREQLOCNAME = ? AND NETWORKID = ? AND NETWORKNAME = ? AND NETWORKFREQ = ? AND SPACEID = ? AND SPACEIDMAIN = ? AND MODEL_VER_ALLAP = ? AND MODEL_VER_MAINAP = ? AND UPDATE_DATE = (date('now', 'localtime'))");
        sql = sql.toString();
        args = new java.lang.Object[12];
        boolean z = false;
        args[0] = java.lang.Long.valueOf(duration);
        args[1] = java.lang.Integer.valueOf(poor);
        args[2] = java.lang.Integer.valueOf(good);
        args[3] = this.ScrbId;
        args[4] = this.curFreqLoc;
        args[5] = spaceinfo.getNetworkId();
        args[6] = spaceinfo.getNetworkName();
        args[7] = spaceinfo.getNetworkFreq();
        args[8] = spaceinfo.getSpaceID();
        args[9] = spaceinfo.getSpaceIDMain();
        args[10] = this.modelVerAllAp;
        args[11] = this.modelVerMainAp;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update APP:");
        stringBuilder.append(appName);
        stringBuilder.append(" begin: FreqLoc:");
        stringBuilder.append(this.curFreqLoc);
        stringBuilder.append(", duration:");
        stringBuilder.append(duration);
        stringBuilder.append(", poor:");
        stringBuilder.append(poor);
        stringBuilder.append(", good:");
        stringBuilder.append(good);
        stringBuilder.append(", modelVer:");
        stringBuilder.append(this.modelVerAllAp);
        stringBuilder.append("_");
        stringBuilder.append(this.modelVerMainAp);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update APP:");
        stringBuilder.append(appName);
        stringBuilder.append(" begin: scribId:");
        stringBuilder.append(this.ScrbId_print);
        com.android.server.hidata.wavemapping.util.LogUtil.v(stringBuilder.toString());
        try {
            this.db.beginTransaction();
            this.db.execSQL(sql, args);
            this.db.setTransactionSuccessful();
        } catch (android.database.SQLException e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("UPDATE exception: ");
            stringBuilder2.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
            return z;
        } finally {
            z = this.db;
            z.endTransaction();
            return z;
        }
        return true;
    }

    public boolean remove(java.lang.String spaceid_allAp, java.lang.String spaceid_mainAp, java.lang.String networkid) {
        try {
            this.db.execSQL("DELETE FROM SPACEUSER_BASE  WHERE FREQLOCNAME = ? AND SPACEID = ? AND SPACEIDMAIN = ? AND NETWORKID = ?", new java.lang.Object[]{this.curFreqLoc, spaceid_allAp, spaceid_mainAp, networkid});
            return true;
        } catch (android.database.SQLException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("remove exception: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:22:0x00f9  */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x0098  */
    /* JADX WARNING: Missing block: B:8:0x0055, code:
            if (r2 != null) goto L_0x0057;
     */
    public java.lang.String networkIdFoundBaseBySpaceNetwork(java.lang.String r9, java.lang.String r10, java.lang.String r11, java.lang.String r12, java.lang.String r13) {
        /*
        r8 = this;
        r0 = "SELECT NETWORKID, UPDATE_DATE FROM SPACEUSER_BASE WHERE SCRBID = ? AND FREQLOCNAME = ? AND SPACEID = ? AND SPACEIDMAIN = ? AND NETWORKID = ? AND NETWORKNAME = ? AND NETWORKFREQ = ? AND MODEL_VER_ALLAP = ? AND MODEL_VER_MAINAP = ? AND UPDATE_DATE = (date('now', 'localtime'))";
        r1 = 9;
        r1 = new java.lang.String[r1];
        r2 = r8.ScrbId;
        r3 = 0;
        r1[r3] = r2;
        r2 = r8.curFreqLoc;
        r3 = 1;
        r1[r3] = r2;
        r2 = 2;
        r1[r2] = r9;
        r2 = 3;
        r1[r2] = r10;
        r2 = 4;
        r1[r2] = r11;
        r2 = 5;
        r1[r2] = r12;
        r2 = 6;
        r1[r2] = r13;
        r2 = r8.modelVerAllAp;
        r3 = 7;
        r1[r3] = r2;
        r2 = r8.modelVerMainAp;
        r3 = 8;
        r1[r3] = r2;
        r2 = 0;
        r3 = 0;
        r4 = 0;
        r5 = r8.db;
        if (r5 != 0) goto L_0x0032;
    L_0x0031:
        return r3;
    L_0x0032:
        r5 = r8.db;	 Catch:{ IllegalArgumentException -> 0x007a, Exception -> 0x005e }
        r5 = r5.rawQuery(r0, r1);	 Catch:{ IllegalArgumentException -> 0x007a, Exception -> 0x005e }
        r2 = r5;
        r5 = r2.moveToNext();	 Catch:{ IllegalArgumentException -> 0x007a, Exception -> 0x005e }
        if (r5 == 0) goto L_0x0055;
    L_0x003f:
        r5 = "NETWORKID";
        r5 = r2.getColumnIndexOrThrow(r5);	 Catch:{ IllegalArgumentException -> 0x007a, Exception -> 0x005e }
        r5 = r2.getString(r5);	 Catch:{ IllegalArgumentException -> 0x007a, Exception -> 0x005e }
        r3 = r5;
        r5 = "UPDATE_DATE";
        r5 = r2.getColumnIndexOrThrow(r5);	 Catch:{ IllegalArgumentException -> 0x007a, Exception -> 0x005e }
        r5 = r2.getString(r5);	 Catch:{ IllegalArgumentException -> 0x007a, Exception -> 0x005e }
        r4 = r5;
    L_0x0055:
        if (r2 == 0) goto L_0x0096;
    L_0x0057:
        r2.close();
        goto L_0x0096;
    L_0x005b:
        r5 = move-exception;
        goto L_0x013c;
    L_0x005e:
        r5 = move-exception;
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x005b }
        r6.<init>();	 Catch:{ all -> 0x005b }
        r7 = "networkIdFoundBaseBySpaceNetwork Exception: ";
        r6.append(r7);	 Catch:{ all -> 0x005b }
        r7 = r5.getMessage();	 Catch:{ all -> 0x005b }
        r6.append(r7);	 Catch:{ all -> 0x005b }
        r6 = r6.toString();	 Catch:{ all -> 0x005b }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r6);	 Catch:{ all -> 0x005b }
        if (r2 == 0) goto L_0x0096;
    L_0x0079:
        goto L_0x0057;
    L_0x007a:
        r5 = move-exception;
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x005b }
        r6.<init>();	 Catch:{ all -> 0x005b }
        r7 = "networkIdFoundBaseBySpaceNetwork IllegalArgumentException: ";
        r6.append(r7);	 Catch:{ all -> 0x005b }
        r7 = r5.getMessage();	 Catch:{ all -> 0x005b }
        r6.append(r7);	 Catch:{ all -> 0x005b }
        r6 = r6.toString();	 Catch:{ all -> 0x005b }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r6);	 Catch:{ all -> 0x005b }
        if (r2 == 0) goto L_0x0096;
    L_0x0095:
        goto L_0x0057;
    L_0x0096:
        if (r3 == 0) goto L_0x00f9;
    L_0x0098:
        r5 = new java.lang.StringBuilder;
        r5.<init>();
        r6 = "networkIdFoundBaseBySpaceNetwork, Date:";
        r5.append(r6);
        r5.append(r4);
        r6 = ", FreqLoc:";
        r5.append(r6);
        r6 = r8.curFreqLoc;
        r5.append(r6);
        r6 = ", SPACEID:";
        r5.append(r6);
        r5.append(r9);
        r6 = ", SPACEIDMAIN:";
        r5.append(r6);
        r5.append(r10);
        r6 = ", modelVer:";
        r5.append(r6);
        r6 = r8.modelVerAllAp;
        r5.append(r6);
        r6 = "_";
        r5.append(r6);
        r6 = r8.modelVerMainAp;
        r5.append(r6);
        r5 = r5.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.i(r5);
        r5 = new java.lang.StringBuilder;
        r5.<init>();
        r6 = "networkIdFoundBaseBySpaceNetwork, netId:";
        r5.append(r6);
        r5.append(r3);
        r6 = ", ScrbId:";
        r5.append(r6);
        r6 = r8.ScrbId_print;
        r5.append(r6);
        r5 = r5.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.v(r5);
        goto L_0x013b;
    L_0x00f9:
        r5 = new java.lang.StringBuilder;
        r5.<init>();
        r6 = "networkIdFoundBaseBySpaceNetwork, NO DATA, sql:";
        r5.append(r6);
        r5.append(r0);
        r6 = ", FreqLoc:";
        r5.append(r6);
        r6 = r8.curFreqLoc;
        r5.append(r6);
        r6 = ", SPACEID:";
        r5.append(r6);
        r5.append(r9);
        r6 = ", SPACEIDMAIN:";
        r5.append(r6);
        r5.append(r10);
        r6 = ", modelVer:";
        r5.append(r6);
        r6 = r8.modelVerAllAp;
        r5.append(r6);
        r6 = "_";
        r5.append(r6);
        r6 = r8.modelVerMainAp;
        r5.append(r6);
        r5 = r5.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.d(r5);
    L_0x013b:
        return r3;
    L_0x013c:
        if (r2 == 0) goto L_0x0141;
    L_0x013e:
        r2.close();
    L_0x0141:
        throw r5;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.dao.SpaceUserDAO.networkIdFoundBaseBySpaceNetwork(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String):java.lang.String");
    }

    /* JADX WARNING: Removed duplicated region for block: B:22:0x011d  */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x00ac  */
    /* JADX WARNING: Missing block: B:8:0x0069, code:
            if (r2 != null) goto L_0x006b;
     */
    public java.lang.String networkIdFoundAppSpaceNetwork(java.lang.String r9, java.lang.String r10, java.lang.String r11, java.lang.String r12, java.lang.String r13, java.lang.String r14) {
        /*
        r8 = this;
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r1 = "SELECT NETWORKID, UPDATE_DATE FROM ";
        r0.append(r1);
        r0.append(r9);
        r1 = " WHERE SCRBID = ? AND FREQLOCNAME = ? AND SPACEID = ? AND SPACEIDMAIN = ? AND NETWORKID = ? AND NETWORKNAME = ? AND NETWORKFREQ = ? AND MODEL_VER_ALLAP = ? AND MODEL_VER_MAINAP = ? AND UPDATE_DATE = (date('now', 'localtime'))";
        r0.append(r1);
        r0 = r0.toString();
        r1 = 9;
        r1 = new java.lang.String[r1];
        r2 = r8.ScrbId;
        r3 = 0;
        r1[r3] = r2;
        r2 = r8.curFreqLoc;
        r3 = 1;
        r1[r3] = r2;
        r2 = 2;
        r1[r2] = r10;
        r2 = 3;
        r1[r2] = r11;
        r2 = 4;
        r1[r2] = r12;
        r2 = 5;
        r1[r2] = r13;
        r2 = 6;
        r1[r2] = r14;
        r2 = r8.modelVerAllAp;
        r3 = 7;
        r1[r3] = r2;
        r2 = r8.modelVerMainAp;
        r3 = 8;
        r1[r3] = r2;
        r2 = 0;
        r3 = 0;
        r4 = 0;
        r5 = r8.db;
        if (r5 != 0) goto L_0x0046;
    L_0x0045:
        return r3;
    L_0x0046:
        r5 = r8.db;	 Catch:{ IllegalArgumentException -> 0x008e, Exception -> 0x0072 }
        r5 = r5.rawQuery(r0, r1);	 Catch:{ IllegalArgumentException -> 0x008e, Exception -> 0x0072 }
        r2 = r5;
        r5 = r2.moveToNext();	 Catch:{ IllegalArgumentException -> 0x008e, Exception -> 0x0072 }
        if (r5 == 0) goto L_0x0069;
    L_0x0053:
        r5 = "NETWORKID";
        r5 = r2.getColumnIndexOrThrow(r5);	 Catch:{ IllegalArgumentException -> 0x008e, Exception -> 0x0072 }
        r5 = r2.getString(r5);	 Catch:{ IllegalArgumentException -> 0x008e, Exception -> 0x0072 }
        r3 = r5;
        r5 = "UPDATE_DATE";
        r5 = r2.getColumnIndexOrThrow(r5);	 Catch:{ IllegalArgumentException -> 0x008e, Exception -> 0x0072 }
        r5 = r2.getString(r5);	 Catch:{ IllegalArgumentException -> 0x008e, Exception -> 0x0072 }
        r4 = r5;
    L_0x0069:
        if (r2 == 0) goto L_0x00aa;
    L_0x006b:
        r2.close();
        goto L_0x00aa;
    L_0x006f:
        r5 = move-exception;
        goto L_0x0160;
    L_0x0072:
        r5 = move-exception;
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x006f }
        r6.<init>();	 Catch:{ all -> 0x006f }
        r7 = "networkIdFoundAppSpaceNetwork Exception: ";
        r6.append(r7);	 Catch:{ all -> 0x006f }
        r7 = r5.getMessage();	 Catch:{ all -> 0x006f }
        r6.append(r7);	 Catch:{ all -> 0x006f }
        r6 = r6.toString();	 Catch:{ all -> 0x006f }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r6);	 Catch:{ all -> 0x006f }
        if (r2 == 0) goto L_0x00aa;
    L_0x008d:
        goto L_0x006b;
    L_0x008e:
        r5 = move-exception;
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x006f }
        r6.<init>();	 Catch:{ all -> 0x006f }
        r7 = "networkIdFoundAppSpaceNetwork IllegalArgumentException: ";
        r6.append(r7);	 Catch:{ all -> 0x006f }
        r7 = r5.getMessage();	 Catch:{ all -> 0x006f }
        r6.append(r7);	 Catch:{ all -> 0x006f }
        r6 = r6.toString();	 Catch:{ all -> 0x006f }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r6);	 Catch:{ all -> 0x006f }
        if (r2 == 0) goto L_0x00aa;
    L_0x00a9:
        goto L_0x006b;
    L_0x00aa:
        if (r3 == 0) goto L_0x011d;
    L_0x00ac:
        r5 = new java.lang.StringBuilder;
        r5.<init>();
        r6 = "networkIdFoundAppSpaceNetwork, appName";
        r5.append(r6);
        r5.append(r9);
        r6 = ", Date:";
        r5.append(r6);
        r5.append(r4);
        r6 = ", FreqLoc:";
        r5.append(r6);
        r6 = r8.curFreqLoc;
        r5.append(r6);
        r6 = ", SPACEID:";
        r5.append(r6);
        r5.append(r10);
        r6 = ", SPACEIDMAIN:";
        r5.append(r6);
        r5.append(r11);
        r6 = ", modelVer:";
        r5.append(r6);
        r6 = r8.modelVerAllAp;
        r5.append(r6);
        r6 = "_";
        r5.append(r6);
        r6 = r8.modelVerMainAp;
        r5.append(r6);
        r5 = r5.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.i(r5);
        r5 = new java.lang.StringBuilder;
        r5.<init>();
        r6 = "networkIdFoundAppSpaceNetwork, appName";
        r5.append(r6);
        r5.append(r9);
        r6 = ", netId:";
        r5.append(r6);
        r5.append(r3);
        r6 = ", ScrbId:";
        r5.append(r6);
        r6 = r8.ScrbId_print;
        r5.append(r6);
        r5 = r5.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.v(r5);
        goto L_0x015f;
    L_0x011d:
        r5 = new java.lang.StringBuilder;
        r5.<init>();
        r6 = "networkIdFoundAppSpaceNetwork, NO DATA, sql:";
        r5.append(r6);
        r5.append(r0);
        r6 = ", FreqLoc:";
        r5.append(r6);
        r6 = r8.curFreqLoc;
        r5.append(r6);
        r6 = ", SPACEID:";
        r5.append(r6);
        r5.append(r10);
        r6 = ", SPACEIDMAIN:";
        r5.append(r6);
        r5.append(r11);
        r6 = ", modelVer:";
        r5.append(r6);
        r6 = r8.modelVerAllAp;
        r5.append(r6);
        r6 = "_";
        r5.append(r6);
        r6 = r8.modelVerMainAp;
        r5.append(r6);
        r5 = r5.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.d(r5);
    L_0x015f:
        return r3;
    L_0x0160:
        if (r2 == 0) goto L_0x0165;
    L_0x0162:
        r2.close();
    L_0x0165:
        throw r5;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.dao.SpaceUserDAO.networkIdFoundAppSpaceNetwork(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String):java.lang.String");
    }

    private java.lang.String getAllAppTitleString() {
        java.lang.String appName = "";
        java.lang.StringBuffer sql_title = new java.lang.StringBuffer();
        for (java.util.Map.Entry<java.lang.Integer, java.lang.Float> entry : mQoeAppBuilder.getQoEAppList().entrySet()) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("APP_");
            stringBuilder.append(entry.getKey());
            appName = stringBuilder.toString();
            java.lang.String sql_title1 = new java.lang.StringBuilder();
            sql_title1.append(appName);
            sql_title1.append(".");
            sql_title1.append("DURATION");
            sql_title1.append(" AS ");
            sql_title1.append(appName);
            sql_title1.append("_");
            sql_title1.append("DURATION");
            sql_title1 = sql_title1.toString();
            java.lang.String sql_title2 = new java.lang.StringBuilder();
            sql_title2.append(appName);
            sql_title2.append(".");
            sql_title2.append("POORCOUNT");
            sql_title2.append(" AS ");
            sql_title2.append(appName);
            sql_title2.append("_");
            sql_title2.append("POORCOUNT");
            sql_title2 = sql_title2.toString();
            java.lang.String sql_title3 = new java.lang.StringBuilder();
            sql_title3.append(appName);
            sql_title3.append(".");
            sql_title3.append("GOODCOUNT");
            sql_title3.append(" AS ");
            sql_title3.append(appName);
            sql_title3.append("_");
            sql_title3.append("GOODCOUNT");
            sql_title3 = sql_title3.toString();
            sql_title.append(", ");
            sql_title.append(sql_title1);
            sql_title.append(", ");
            sql_title.append(sql_title2);
            sql_title.append(", ");
            sql_title.append(sql_title3);
        }
        return sql_title.toString();
    }

    private java.lang.String getAllAppJoinString() {
        java.lang.String appName = "";
        java.lang.StringBuffer sql_title = new java.lang.StringBuffer();
        for (java.util.Map.Entry<java.lang.Integer, java.lang.Float> entry : mQoeAppBuilder.getQoEAppList().entrySet()) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("APP_");
            stringBuilder.append(entry.getKey());
            appName = stringBuilder.toString();
            java.lang.String sql_join = new java.lang.StringBuilder();
            sql_join.append(" LEFT OUTER JOIN ");
            sql_join.append(appName);
            sql_join.append(" USING(SCRBID,FREQLOCNAME,SPACEID,SPACEIDMAIN,NETWORKID,NETWORKNAME,NETWORKFREQ,NW_TYPE,UPDATE_DATE)");
            sql_title.append(sql_join.toString());
        }
        return sql_title.toString();
    }

    /* JADX WARNING: Removed duplicated region for block: B:93:0x03a8  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x0383 A:{Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354, all -> 0x03aa }} */
    /* JADX WARNING: Removed duplicated region for block: B:97:0x03ad  */
    /* JADX WARNING: Removed duplicated region for block: B:93:0x03a8  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x0383 A:{Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354, all -> 0x03aa }} */
    /* JADX WARNING: Removed duplicated region for block: B:97:0x03ad  */
    /* JADX WARNING: Removed duplicated region for block: B:93:0x03a8  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x0383 A:{Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354, all -> 0x03aa }} */
    /* JADX WARNING: Removed duplicated region for block: B:97:0x03ad  */
    /* JADX WARNING: Removed duplicated region for block: B:93:0x03a8  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x0383 A:{Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354, all -> 0x03aa }} */
    /* JADX WARNING: Removed duplicated region for block: B:97:0x03ad  */
    /* JADX WARNING: Removed duplicated region for block: B:93:0x03a8  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x0383 A:{Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354, all -> 0x03aa }} */
    /* JADX WARNING: Removed duplicated region for block: B:97:0x03ad  */
    /* JADX WARNING: Removed duplicated region for block: B:93:0x03a8  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x0383 A:{Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354, all -> 0x03aa }} */
    /* JADX WARNING: Removed duplicated region for block: B:97:0x03ad  */
    /* JADX WARNING: Removed duplicated region for block: B:93:0x03a8  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x0383 A:{Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354, all -> 0x03aa }} */
    /* JADX WARNING: Removed duplicated region for block: B:97:0x03ad  */
    /* JADX WARNING: Removed duplicated region for block: B:97:0x03ad  */
    /* JADX WARNING: Removed duplicated region for block: B:93:0x03a8  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x0383 A:{Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354, all -> 0x03aa }} */
    /* JADX WARNING: Missing block: B:79:0x034e, code:
            if (r13 != null) goto L_0x0350;
     */
    public java.util.HashMap<java.lang.String, com.android.server.hidata.wavemapping.entity.SpaceExpInfo> findAllByTwoSpaces(java.lang.String r49, java.lang.String r50) {
        /*
        r48 = this;
        r1 = r48;
        r2 = "SPACEUSER_BASE.SPACEID,SPACEUSER_BASE.SPACEIDMAIN,SPACEUSER_BASE.NETWORKID,SPACEUSER_BASE.NETWORKNAME,SPACEUSER_BASE.NETWORKFREQ,SPACEUSER_BASE.NW_TYPE,";
        r3 = "SIGNAL_VALUE,USER_PREF_OPT_IN,USER_PREF_OPT_OUT,USER_PREF_STAY,USER_PREF_TOTAL_COUNT,POWER_CONSUMPTION,DURATION_CONNECTED";
        r4 = r48.getAllAppTitleString();
        r5 = r48.getAllAppJoinString();
        r6 = " WHERE SPACEUSER_BASE.SCRBID = ? AND SPACEUSER_BASE.FREQLOCNAME = ? AND SPACEUSER_BASE.SPACEID = ? AND SPACEUSER_BASE.SPACEIDMAIN = ? AND SPACEUSER_BASE.MODEL_VER_ALLAP = ? AND SPACEUSER_BASE.MODEL_VER_MAINAP = ? AND SPACEUSER_BASE.UPDATE_DATE = (date('now', 'localtime'))";
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r7 = "SELECT ";
        r0.append(r7);
        r0.append(r2);
        r0.append(r3);
        r0.append(r4);
        r7 = " FROM ";
        r0.append(r7);
        r7 = "SPACEUSER_BASE";
        r0.append(r7);
        r0.append(r5);
        r0.append(r6);
        r7 = r0.toString();
        r0 = 6;
        r0 = new java.lang.String[r0];
        r8 = r1.ScrbId;
        r9 = 0;
        r0[r9] = r8;
        r8 = r1.curFreqLoc;
        r9 = 1;
        r0[r9] = r8;
        r8 = 2;
        r0[r8] = r49;
        r8 = 3;
        r0[r8] = r50;
        r8 = r1.modelVerAllAp;
        r10 = 4;
        r0[r10] = r8;
        r8 = r1.modelVerMainAp;
        r10 = 5;
        r0[r10] = r8;
        r8 = r0;
        r10 = 0;
        r11 = 0;
        r13 = 0;
        r0 = new java.util.HashMap;
        r0.<init>();
        r14 = r0;
        r15 = "";
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r9 = " findAllByTwoSpaces: sql_comm=SELECT ";
        r0.append(r9);
        r0.append(r2);
        r0 = r0.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r9 = " findAllByTwoSpaces: sql_base=";
        r0.append(r9);
        r0.append(r3);
        r0 = r0.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r9 = " findAllByTwoSpaces: sql_appt=";
        r0.append(r9);
        r0.append(r4);
        r0 = r0.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);
        r0 = " findAllByTwoSpaces: sql_from= FROM SPACEUSER_BASE";
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r9 = " findAllByTwoSpaces: sql_appj=";
        r0.append(r9);
        r0.append(r5);
        r0 = r0.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r9 = " findAllByTwoSpaces: sql_cond=";
        r0.append(r9);
        r0.append(r6);
        r0 = r0.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r9 = " findAllByTwoSpaces: args=";
        r0.append(r9);
        r9 = r8.length;
        r17 = r2;
        r2 = 1;
        r2 = java.util.Arrays.copyOfRange(r8, r2, r9);
        r2 = java.util.Arrays.toString(r2);
        r0.append(r2);
        r0 = r0.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.v(r0);
        r0 = r1.db;	 Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354 }
        r0 = r0.rawQuery(r7, r8);	 Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354 }
        r13 = r0;
    L_0x00f1:
        r0 = r13.moveToNext();	 Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354 }
        if (r0 == 0) goto L_0x0345;
    L_0x00f7:
        r0 = new java.lang.StringBuilder;	 Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354 }
        r2 = "SPACEID";
        r2 = r13.getColumnIndexOrThrow(r2);	 Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354 }
        r2 = r13.getString(r2);	 Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354 }
        r0.<init>(r2);	 Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354 }
        r19 = r0;
        r0 = new java.lang.StringBuilder;	 Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354 }
        r2 = "SPACEIDMAIN";
        r2 = r13.getColumnIndexOrThrow(r2);	 Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354 }
        r2 = r13.getString(r2);	 Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354 }
        r0.<init>(r2);	 Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354 }
        r20 = r0;
        r0 = new java.util.HashMap;	 Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354 }
        r0.<init>();	 Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354 }
        r2 = new java.util.HashMap;	 Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354 }
        r2.<init>();	 Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354 }
        r9 = new java.util.HashMap;	 Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354 }
        r9.<init>();	 Catch:{ IllegalArgumentException -> 0x0384, Exception -> 0x035f, all -> 0x0354 }
        r40 = r3;
        r3 = mQoeAppBuilder;	 Catch:{ IllegalArgumentException -> 0x033c, Exception -> 0x0333, all -> 0x0329 }
        r3 = r3.getQoEAppList();	 Catch:{ IllegalArgumentException -> 0x033c, Exception -> 0x0333, all -> 0x0329 }
        r41 = r4;
        r4 = r3.entrySet();	 Catch:{ IllegalArgumentException -> 0x0321, Exception -> 0x031a, all -> 0x0312 }
        r4 = r4.iterator();	 Catch:{ IllegalArgumentException -> 0x0321, Exception -> 0x031a, all -> 0x0312 }
    L_0x013a:
        r16 = r4.hasNext();	 Catch:{ IllegalArgumentException -> 0x0321, Exception -> 0x031a, all -> 0x0312 }
        if (r16 == 0) goto L_0x021a;
    L_0x0140:
        r16 = r4.next();	 Catch:{ IllegalArgumentException -> 0x0212, Exception -> 0x020a, all -> 0x0202 }
        r16 = (java.util.Map.Entry) r16;	 Catch:{ IllegalArgumentException -> 0x0212, Exception -> 0x020a, all -> 0x0202 }
        r42 = r16;
        r43 = r3;
        r3 = new java.lang.StringBuilder;	 Catch:{ IllegalArgumentException -> 0x0212, Exception -> 0x020a, all -> 0x0202 }
        r3.<init>();	 Catch:{ IllegalArgumentException -> 0x0212, Exception -> 0x020a, all -> 0x0202 }
        r44 = r4;
        r4 = "APP_";
        r3.append(r4);	 Catch:{ IllegalArgumentException -> 0x0212, Exception -> 0x020a, all -> 0x0202 }
        r45 = r5;
        r4 = r42;
        r5 = r4.getKey();	 Catch:{ IllegalArgumentException -> 0x01fc, Exception -> 0x01f6, all -> 0x01f0 }
        r3.append(r5);	 Catch:{ IllegalArgumentException -> 0x01fc, Exception -> 0x01f6, all -> 0x01f0 }
        r3 = r3.toString();	 Catch:{ IllegalArgumentException -> 0x01fc, Exception -> 0x01f6, all -> 0x01f0 }
        r5 = new java.lang.StringBuilder;	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r5.<init>();	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r5.append(r3);	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r46 = r4;
        r4 = "_";
        r5.append(r4);	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r4 = "DURATION";
        r5.append(r4);	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r4 = r5.toString();	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r4 = r13.getColumnIndexOrThrow(r4);	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r4 = r13.getLong(r4);	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r11 = r4;
        r4 = 0;
        r4 = (r11 > r4 ? 1 : (r11 == r4 ? 0 : -1));
        if (r4 <= 0) goto L_0x01dd;
    L_0x018c:
        r4 = java.lang.Long.valueOf(r11);	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r0.put(r3, r4);	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r4 = new java.lang.StringBuilder;	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r4.<init>();	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r4.append(r3);	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r5 = "_";
        r4.append(r5);	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r5 = "POORCOUNT";
        r4.append(r5);	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r4 = r4.toString();	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r4 = r13.getColumnIndexOrThrow(r4);	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r4 = r13.getInt(r4);	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r4 = java.lang.Integer.valueOf(r4);	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r2.put(r3, r4);	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r4 = new java.lang.StringBuilder;	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r4.<init>();	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r4.append(r3);	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r5 = "_";
        r4.append(r5);	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r5 = "GOODCOUNT";
        r4.append(r5);	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r4 = r4.toString();	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r4 = r13.getColumnIndexOrThrow(r4);	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r4 = r13.getInt(r4);	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r4 = java.lang.Integer.valueOf(r4);	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r9.put(r3, r4);	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01ea, all -> 0x01e7 }
        r15 = r3;
        r3 = r43;
        r4 = r44;
        r5 = r45;
        goto L_0x013a;
    L_0x01e7:
        r0 = move-exception;
        r15 = r3;
        goto L_0x01f1;
    L_0x01ea:
        r0 = move-exception;
        r15 = r3;
        goto L_0x01f7;
    L_0x01ed:
        r0 = move-exception;
        r15 = r3;
        goto L_0x01fd;
    L_0x01f0:
        r0 = move-exception;
    L_0x01f1:
        r47 = r6;
        r4 = r14;
        goto L_0x03ab;
    L_0x01f6:
        r0 = move-exception;
    L_0x01f7:
        r47 = r6;
        r4 = r14;
        goto L_0x0369;
    L_0x01fc:
        r0 = move-exception;
    L_0x01fd:
        r47 = r6;
        r4 = r14;
        goto L_0x038e;
    L_0x0202:
        r0 = move-exception;
        r45 = r5;
        r47 = r6;
        r4 = r14;
        goto L_0x03ab;
    L_0x020a:
        r0 = move-exception;
        r45 = r5;
        r47 = r6;
        r4 = r14;
        goto L_0x0369;
    L_0x0212:
        r0 = move-exception;
        r45 = r5;
        r47 = r6;
        r4 = r14;
        goto L_0x038e;
    L_0x021a:
        r43 = r3;
        r45 = r5;
        r3 = new com.android.server.hidata.wavemapping.entity.SpaceExpInfo;	 Catch:{ IllegalArgumentException -> 0x030c, Exception -> 0x0306, all -> 0x0300 }
        r4 = "NETWORKID";
        r4 = r13.getColumnIndexOrThrow(r4);	 Catch:{ IllegalArgumentException -> 0x030c, Exception -> 0x0306, all -> 0x0300 }
        r21 = r13.getString(r4);	 Catch:{ IllegalArgumentException -> 0x030c, Exception -> 0x0306, all -> 0x0300 }
        r4 = "NETWORKNAME";
        r4 = r13.getColumnIndexOrThrow(r4);	 Catch:{ IllegalArgumentException -> 0x030c, Exception -> 0x0306, all -> 0x0300 }
        r22 = r13.getString(r4);	 Catch:{ IllegalArgumentException -> 0x030c, Exception -> 0x0306, all -> 0x0300 }
        r4 = "NETWORKFREQ";
        r4 = r13.getColumnIndexOrThrow(r4);	 Catch:{ IllegalArgumentException -> 0x030c, Exception -> 0x0306, all -> 0x0300 }
        r23 = r13.getString(r4);	 Catch:{ IllegalArgumentException -> 0x030c, Exception -> 0x0306, all -> 0x0300 }
        r27 = 0;
        r28 = 0;
        r29 = 0;
        r4 = "SIGNAL_VALUE";
        r4 = r13.getColumnIndexOrThrow(r4);	 Catch:{ IllegalArgumentException -> 0x030c, Exception -> 0x0306, all -> 0x0300 }
        r30 = r13.getInt(r4);	 Catch:{ IllegalArgumentException -> 0x030c, Exception -> 0x0306, all -> 0x0300 }
        r4 = "POWER_CONSUMPTION";
        r4 = r13.getColumnIndexOrThrow(r4);	 Catch:{ IllegalArgumentException -> 0x030c, Exception -> 0x0306, all -> 0x0300 }
        r4 = r13.getInt(r4);	 Catch:{ IllegalArgumentException -> 0x030c, Exception -> 0x0306, all -> 0x0300 }
        r4 = (long) r4;
        r47 = r6;
        r6 = "USER_PREF_OPT_IN";
        r6 = r13.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r33 = r13.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r6 = "USER_PREF_OPT_OUT";
        r6 = r13.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r34 = r13.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r6 = "USER_PREF_STAY";
        r6 = r13.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r35 = r13.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r6 = "USER_PREF_TOTAL_COUNT";
        r6 = r13.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r36 = r13.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r6 = "DURATION_CONNECTED";
        r6 = r13.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r37 = r13.getLong(r6);	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r6 = "NW_TYPE";
        r6 = r13.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r39 = r13.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r18 = r3;
        r24 = r2;
        r25 = r9;
        r26 = r0;
        r31 = r4;
        r18.<init>(r19, r20, r21, r22, r23, r24, r25, r26, r27, r28, r29, r30, r31, r33, r34, r35, r36, r37, r39);	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r10 = r3;
        r3 = new java.lang.StringBuilder;	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r3.<init>();	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r4 = " findAllByTwoSpaces:SPACEID:";
        r3.append(r4);	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r4 = r10.getSpaceID();	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r3.append(r4);	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r4 = ",SPACEIDMAIN:";
        r3.append(r4);	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r4 = r10.getSpaceIDMain();	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r3.append(r4);	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r4 = ",FreqLoc:";
        r3.append(r4);	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r4 = r1.curFreqLoc;	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r3.append(r4);	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r4 = r10.toString();	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r3.append(r4);	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r3 = r3.toString();	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        com.android.server.hidata.wavemapping.util.LogUtil.i(r3);	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r3 = r10.getNetworkId();	 Catch:{ IllegalArgumentException -> 0x02fc, Exception -> 0x02f8, all -> 0x02f4 }
        r4 = r14;
        r4.put(r3, r10);	 Catch:{ IllegalArgumentException -> 0x02f1, Exception -> 0x02ee }
        r14 = r4;
        r3 = r40;
        r4 = r41;
        r5 = r45;
        r6 = r47;
        goto L_0x00f1;
    L_0x02ee:
        r0 = move-exception;
        goto L_0x0369;
    L_0x02f1:
        r0 = move-exception;
        goto L_0x038e;
    L_0x02f4:
        r0 = move-exception;
        r4 = r14;
        goto L_0x03ab;
    L_0x02f8:
        r0 = move-exception;
        r4 = r14;
        goto L_0x0369;
    L_0x02fc:
        r0 = move-exception;
        r4 = r14;
        goto L_0x038e;
    L_0x0300:
        r0 = move-exception;
        r47 = r6;
        r4 = r14;
        goto L_0x03ab;
    L_0x0306:
        r0 = move-exception;
        r47 = r6;
        r4 = r14;
        goto L_0x0369;
    L_0x030c:
        r0 = move-exception;
        r47 = r6;
        r4 = r14;
        goto L_0x038e;
    L_0x0312:
        r0 = move-exception;
        r45 = r5;
        r47 = r6;
        r4 = r14;
        goto L_0x03ab;
    L_0x031a:
        r0 = move-exception;
        r45 = r5;
        r47 = r6;
        r4 = r14;
        goto L_0x0369;
    L_0x0321:
        r0 = move-exception;
        r45 = r5;
        r47 = r6;
        r4 = r14;
        goto L_0x038e;
    L_0x0329:
        r0 = move-exception;
        r41 = r4;
        r45 = r5;
        r47 = r6;
        r4 = r14;
        goto L_0x03ab;
    L_0x0333:
        r0 = move-exception;
        r41 = r4;
        r45 = r5;
        r47 = r6;
        r4 = r14;
        goto L_0x0369;
    L_0x033c:
        r0 = move-exception;
        r41 = r4;
        r45 = r5;
        r47 = r6;
        r4 = r14;
        goto L_0x038e;
    L_0x0345:
        r40 = r3;
        r41 = r4;
        r45 = r5;
        r47 = r6;
        r4 = r14;
        if (r13 == 0) goto L_0x03a9;
    L_0x0350:
        r13.close();
        goto L_0x03a9;
    L_0x0354:
        r0 = move-exception;
        r40 = r3;
        r41 = r4;
        r45 = r5;
        r47 = r6;
        r4 = r14;
        goto L_0x03ab;
    L_0x035f:
        r0 = move-exception;
        r40 = r3;
        r41 = r4;
        r45 = r5;
        r47 = r6;
        r4 = r14;
    L_0x0369:
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x03aa }
        r2.<init>();	 Catch:{ all -> 0x03aa }
        r3 = "findAllByTwoSpaces Exception: ";
        r2.append(r3);	 Catch:{ all -> 0x03aa }
        r3 = r0.getMessage();	 Catch:{ all -> 0x03aa }
        r2.append(r3);	 Catch:{ all -> 0x03aa }
        r2 = r2.toString();	 Catch:{ all -> 0x03aa }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r2);	 Catch:{ all -> 0x03aa }
        if (r13 == 0) goto L_0x03a9;
    L_0x0383:
        goto L_0x0350;
    L_0x0384:
        r0 = move-exception;
        r40 = r3;
        r41 = r4;
        r45 = r5;
        r47 = r6;
        r4 = r14;
    L_0x038e:
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x03aa }
        r2.<init>();	 Catch:{ all -> 0x03aa }
        r3 = "findAllByTwoSpaces IllegalArgumentException: ";
        r2.append(r3);	 Catch:{ all -> 0x03aa }
        r3 = r0.getMessage();	 Catch:{ all -> 0x03aa }
        r2.append(r3);	 Catch:{ all -> 0x03aa }
        r2 = r2.toString();	 Catch:{ all -> 0x03aa }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r2);	 Catch:{ all -> 0x03aa }
        if (r13 == 0) goto L_0x03a9;
    L_0x03a8:
        goto L_0x0350;
    L_0x03a9:
        return r4;
    L_0x03aa:
        r0 = move-exception;
    L_0x03ab:
        if (r13 == 0) goto L_0x03b0;
    L_0x03ad:
        r13.close();
    L_0x03b0:
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.dao.SpaceUserDAO.findAllByTwoSpaces(java.lang.String, java.lang.String):java.util.HashMap<java.lang.String, com.android.server.hidata.wavemapping.entity.SpaceExpInfo>");
    }

    /* JADX WARNING: Removed duplicated region for block: B:31:0x00cf  */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x007f  */
    /* JADX WARNING: Missing block: B:8:0x003a, code:
            if (r3 != null) goto L_0x003c;
     */
    public void deleteOldRecords() {
        /*
        r11 = this;
        r0 = "SELECT COUNT(DISTINCT UPDATE_DATE) RECORDCNT, MIN(UPDATE_DATE) EXPDATE FROM SPACEUSER_BASE WHERE SCRBID = ? AND FREQLOCNAME = ?";
        r1 = 2;
        r2 = new java.lang.String[r1];
        r3 = r11.ScrbId;
        r4 = 0;
        r2[r4] = r3;
        r3 = r11.curFreqLoc;
        r5 = 1;
        r2[r5] = r3;
        r3 = 0;
        r6 = 0;
        r7 = 0;
        r8 = r11.db;
        if (r8 != 0) goto L_0x0017;
    L_0x0016:
        return;
    L_0x0017:
        r8 = r11.db;	 Catch:{ IllegalArgumentException -> 0x005f, Exception -> 0x0043 }
        r8 = r8.rawQuery(r0, r2);	 Catch:{ IllegalArgumentException -> 0x005f, Exception -> 0x0043 }
        r3 = r8;
        r8 = r3.moveToNext();	 Catch:{ IllegalArgumentException -> 0x005f, Exception -> 0x0043 }
        if (r8 == 0) goto L_0x003a;
    L_0x0024:
        r8 = "RECORDCNT";
        r8 = r3.getColumnIndexOrThrow(r8);	 Catch:{ IllegalArgumentException -> 0x005f, Exception -> 0x0043 }
        r8 = r3.getInt(r8);	 Catch:{ IllegalArgumentException -> 0x005f, Exception -> 0x0043 }
        r6 = r8;
        r8 = "EXPDATE";
        r8 = r3.getColumnIndexOrThrow(r8);	 Catch:{ IllegalArgumentException -> 0x005f, Exception -> 0x0043 }
        r8 = r3.getString(r8);	 Catch:{ IllegalArgumentException -> 0x005f, Exception -> 0x0043 }
        r7 = r8;
    L_0x003a:
        if (r3 == 0) goto L_0x007b;
    L_0x003c:
        r3.close();
        goto L_0x007b;
    L_0x0040:
        r1 = move-exception;
        goto L_0x00d5;
    L_0x0043:
        r8 = move-exception;
        r9 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0040 }
        r9.<init>();	 Catch:{ all -> 0x0040 }
        r10 = "networkIdFoundBaseBySpaceNetwork Exception: ";
        r9.append(r10);	 Catch:{ all -> 0x0040 }
        r10 = r8.getMessage();	 Catch:{ all -> 0x0040 }
        r9.append(r10);	 Catch:{ all -> 0x0040 }
        r9 = r9.toString();	 Catch:{ all -> 0x0040 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r9);	 Catch:{ all -> 0x0040 }
        if (r3 == 0) goto L_0x007b;
    L_0x005e:
        goto L_0x003c;
    L_0x005f:
        r8 = move-exception;
        r9 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0040 }
        r9.<init>();	 Catch:{ all -> 0x0040 }
        r10 = "networkIdFoundBaseBySpaceNetwork IllegalArgumentException: ";
        r9.append(r10);	 Catch:{ all -> 0x0040 }
        r10 = r8.getMessage();	 Catch:{ all -> 0x0040 }
        r9.append(r10);	 Catch:{ all -> 0x0040 }
        r9 = r9.toString();	 Catch:{ all -> 0x0040 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r9);	 Catch:{ all -> 0x0040 }
        if (r3 == 0) goto L_0x007b;
    L_0x007a:
        goto L_0x003c;
    L_0x007b:
        r8 = 30;
        if (r8 >= r6) goto L_0x00cf;
    L_0x007f:
        r8 = "deleteOldRecords: current records exceed (30) days";
        com.android.server.hidata.wavemapping.util.LogUtil.i(r8);
        r0 = "DELETE FROM SPACEUSER_BASE WHERE SCRBID = ? AND FREQLOCNAME = ? AND UPDATE_DATE <= ?";
        r8 = 3;
        r8 = new java.lang.String[r8];
        r9 = r11.ScrbId;
        r8[r4] = r9;
        r4 = r11.curFreqLoc;
        r8[r5] = r4;
        r8[r1] = r7;
        r1 = r8;
        r4 = r11.db;	 Catch:{ IllegalArgumentException -> 0x00b4, Exception -> 0x009a }
        r4.execSQL(r0, r1);	 Catch:{ IllegalArgumentException -> 0x00b4, Exception -> 0x009a }
        goto L_0x00cd;
    L_0x009a:
        r4 = move-exception;
        r5 = new java.lang.StringBuilder;
        r5.<init>();
        r8 = "networkIdFoundBaseBySpaceNetwork Exception: ";
        r5.append(r8);
        r8 = r4.getMessage();
        r5.append(r8);
        r5 = r5.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.e(r5);
        goto L_0x00ce;
    L_0x00b4:
        r4 = move-exception;
        r5 = new java.lang.StringBuilder;
        r5.<init>();
        r8 = "networkIdFoundBaseBySpaceNetwork IllegalArgumentException: ";
        r5.append(r8);
        r8 = r4.getMessage();
        r5.append(r8);
        r5 = r5.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.e(r5);
    L_0x00ce:
        goto L_0x00d4;
    L_0x00cf:
        r1 = "deleteOldRecords: keep data";
        com.android.server.hidata.wavemapping.util.LogUtil.i(r1);
    L_0x00d4:
        return;
    L_0x00d5:
        if (r3 == 0) goto L_0x00da;
    L_0x00d7:
        r3.close();
    L_0x00da:
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.dao.SpaceUserDAO.deleteOldRecords():void");
    }

    /* JADX WARNING: Removed duplicated region for block: B:65:0x02a7  */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x0281 A:{Catch:{ IllegalArgumentException -> 0x0282, Exception -> 0x025c, all -> 0x0250, all -> 0x02a9 }} */
    /* JADX WARNING: Removed duplicated region for block: B:69:0x02ac  */
    /* JADX WARNING: Removed duplicated region for block: B:69:0x02ac  */
    /* JADX WARNING: Removed duplicated region for block: B:65:0x02a7  */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x0281 A:{Catch:{ IllegalArgumentException -> 0x0282, Exception -> 0x025c, all -> 0x0250, all -> 0x02a9 }} */
    /* JADX WARNING: Removed duplicated region for block: B:69:0x02ac  */
    /* JADX WARNING: Removed duplicated region for block: B:65:0x02a7  */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x0281 A:{Catch:{ IllegalArgumentException -> 0x0282, Exception -> 0x025c, all -> 0x0250, all -> 0x02a9 }} */
    /* JADX WARNING: Removed duplicated region for block: B:69:0x02ac  */
    /* JADX WARNING: Removed duplicated region for block: B:65:0x02a7  */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x0281 A:{Catch:{ IllegalArgumentException -> 0x0282, Exception -> 0x025c, all -> 0x0250, all -> 0x02a9 }} */
    /* JADX WARNING: Removed duplicated region for block: B:69:0x02ac  */
    /* JADX WARNING: Removed duplicated region for block: B:65:0x02a7  */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x0281 A:{Catch:{ IllegalArgumentException -> 0x0282, Exception -> 0x025c, all -> 0x0250, all -> 0x02a9 }} */
    /* JADX WARNING: Missing block: B:51:0x024a, code:
            if (r15 != null) goto L_0x024c;
     */
    public java.util.HashMap<java.lang.String, java.util.List> findAppQoEgroupBySpace(java.lang.String r24, java.lang.String r25, java.lang.String r26) {
        /*
        r23 = this;
        r1 = r23;
        r2 = r25;
        r3 = r26;
        r4 = "COUNT(\"NETWORKID\")";
        r5 = "COUNT(\"NETWORKFREQ\")";
        r6 = "SUM(\"DURATION\")";
        r7 = "SUM(\"POORCOUNT\")";
        r8 = "SUM(\"GOODCOUNT\")";
        r9 = "COUNT(DISTINCT UPDATE_DATE)";
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r10 = "SELECT NETWORKNAME, NW_TYPE, ";
        r0.append(r10);
        r0.append(r4);
        r10 = ", ";
        r0.append(r10);
        r0.append(r5);
        r10 = ", ";
        r0.append(r10);
        r0.append(r6);
        r10 = ", ";
        r0.append(r10);
        r0.append(r7);
        r10 = ", ";
        r0.append(r10);
        r0.append(r8);
        r10 = ", ";
        r0.append(r10);
        r0.append(r9);
        r10 = " FROM ";
        r0.append(r10);
        r10 = r24;
        r0.append(r10);
        r11 = " WHERE SCRBID = ? AND FREQLOCNAME = ? AND SPACEID = ? AND SPACEIDMAIN = ? AND MODEL_VER_ALLAP = ? AND MODEL_VER_MAINAP = ? GROUP BY NETWORKNAME";
        r0.append(r11);
        r11 = r0.toString();
        r0 = 6;
        r0 = new java.lang.String[r0];
        r12 = r1.ScrbId;
        r13 = 0;
        r0[r13] = r12;
        r12 = r1.curFreqLoc;
        r14 = 1;
        r0[r14] = r12;
        r12 = 2;
        r0[r12] = r2;
        r12 = 3;
        r0[r12] = r3;
        r12 = r1.modelVerAllAp;
        r14 = 4;
        r0[r14] = r12;
        r12 = r1.modelVerMainAp;
        r14 = 5;
        r0[r14] = r12;
        r12 = r0;
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r14 = "findAppQoEgroupBySpace:";
        r0.append(r14);
        r0.append(r11);
        r14 = ",FreqLoc:";
        r0.append(r14);
        r14 = r1.curFreqLoc;
        r0.append(r14);
        r14 = ", space_allAp:";
        r0.append(r14);
        r0.append(r2);
        r14 = ", space_mainAp:";
        r0.append(r14);
        r0.append(r3);
        r14 = ", modelVer:";
        r0.append(r14);
        r14 = r1.modelVerAllAp;
        r0.append(r14);
        r14 = "_";
        r0.append(r14);
        r14 = r1.modelVerMainAp;
        r0.append(r14);
        r0 = r0.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r14 = "findAppQoEgroupBySpace, ScrbId:";
        r0.append(r14);
        r14 = r1.ScrbId_print;
        r0.append(r14);
        r0 = r0.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.v(r0);
        r0 = new java.util.HashMap;
        r0.<init>();
        r14 = r0;
        r15 = 0;
        r0 = r1.db;
        if (r0 != 0) goto L_0x00dc;
    L_0x00db:
        return r14;
    L_0x00dc:
        r0 = r1.db;	 Catch:{ IllegalArgumentException -> 0x0282, Exception -> 0x025c, all -> 0x0250 }
        r0 = r0.rawQuery(r11, r12);	 Catch:{ IllegalArgumentException -> 0x0282, Exception -> 0x025c, all -> 0x0250 }
        r15 = r0;
    L_0x00e3:
        r0 = r15.moveToNext();	 Catch:{ IllegalArgumentException -> 0x0282, Exception -> 0x025c, all -> 0x0250 }
        if (r0 == 0) goto L_0x0240;
    L_0x00e9:
        r0 = new java.util.ArrayList;	 Catch:{ IllegalArgumentException -> 0x0282, Exception -> 0x025c, all -> 0x0250 }
        r0.<init>();	 Catch:{ IllegalArgumentException -> 0x0282, Exception -> 0x025c, all -> 0x0250 }
        r13 = "NW_TYPE";
        r13 = r15.getColumnIndexOrThrow(r13);	 Catch:{ IllegalArgumentException -> 0x0282, Exception -> 0x025c, all -> 0x0250 }
        r13 = r15.getInt(r13);	 Catch:{ IllegalArgumentException -> 0x0282, Exception -> 0x025c, all -> 0x0250 }
        r2 = r15.getColumnIndexOrThrow(r4);	 Catch:{ IllegalArgumentException -> 0x0282, Exception -> 0x025c, all -> 0x0250 }
        r2 = r15.getInt(r2);	 Catch:{ IllegalArgumentException -> 0x0282, Exception -> 0x025c, all -> 0x0250 }
        r3 = r15.getColumnIndexOrThrow(r5);	 Catch:{ IllegalArgumentException -> 0x0282, Exception -> 0x025c, all -> 0x0250 }
        r3 = r15.getInt(r3);	 Catch:{ IllegalArgumentException -> 0x0282, Exception -> 0x025c, all -> 0x0250 }
        r16 = r4;
        r4 = r15.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x0236, Exception -> 0x022c, all -> 0x0221 }
        r4 = r15.getInt(r4);	 Catch:{ IllegalArgumentException -> 0x0236, Exception -> 0x022c, all -> 0x0221 }
        r17 = r5;
        r5 = r15.getColumnIndexOrThrow(r8);	 Catch:{ IllegalArgumentException -> 0x0218, Exception -> 0x0210, all -> 0x0207 }
        r5 = r15.getInt(r5);	 Catch:{ IllegalArgumentException -> 0x0218, Exception -> 0x0210, all -> 0x0207 }
        r18 = r6;
        r6 = r15.getColumnIndexOrThrow(r7);	 Catch:{ IllegalArgumentException -> 0x0200, Exception -> 0x01f9, all -> 0x01f2 }
        r6 = r15.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x0200, Exception -> 0x01f9, all -> 0x01f2 }
        r19 = r7;
        r7 = r15.getColumnIndexOrThrow(r9);	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01e8, all -> 0x01e3 }
        r7 = r15.getInt(r7);	 Catch:{ IllegalArgumentException -> 0x01ed, Exception -> 0x01e8, all -> 0x01e3 }
        r20 = r8;
        r8 = java.lang.Integer.valueOf(r13);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r0.add(r8);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r8 = java.lang.Integer.valueOf(r2);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r0.add(r8);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r8 = java.lang.Integer.valueOf(r3);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r0.add(r8);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r8 = java.lang.Integer.valueOf(r4);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r0.add(r8);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r8 = java.lang.Integer.valueOf(r5);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r0.add(r8);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r8 = java.lang.Integer.valueOf(r6);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r0.add(r8);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r21 = r2;
        r8 = 0;
        r2 = java.lang.Integer.valueOf(r8);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r0.add(r2);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r2 = java.lang.Integer.valueOf(r8);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r0.add(r2);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r2 = java.lang.Integer.valueOf(r7);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r0.add(r2);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r2 = "NETWORKNAME";
        r2 = r15.getColumnIndexOrThrow(r2);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r2 = r15.getString(r2);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r14.put(r2, r0);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r8 = new java.lang.StringBuilder;	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r8.<init>();	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r22 = r0;
        r0 = " networkname:";
        r8.append(r0);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r8.append(r2);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r0 = ",type:";
        r8.append(r0);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r8.append(r13);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r0 = ", appDuration:";
        r8.append(r0);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r8.append(r4);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r0 = ",appPoor:";
        r8.append(r0);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r8.append(r6);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r0 = ",appGood:";
        r8.append(r0);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r8.append(r5);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r0 = ", modelVer:";
        r8.append(r0);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r0 = r1.modelVerAllAp;	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r8.append(r0);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r0 = "_";
        r8.append(r0);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r0 = r1.modelVerMainAp;	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r8.append(r0);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r0 = r8.toString();	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);	 Catch:{ IllegalArgumentException -> 0x01e0, Exception -> 0x01dd }
        r4 = r16;
        r5 = r17;
        r6 = r18;
        r7 = r19;
        r8 = r20;
        r2 = r25;
        r3 = r26;
        r13 = 0;
        goto L_0x00e3;
    L_0x01dd:
        r0 = move-exception;
        goto L_0x0267;
    L_0x01e0:
        r0 = move-exception;
        goto L_0x028d;
    L_0x01e3:
        r0 = move-exception;
        r20 = r8;
        goto L_0x02aa;
    L_0x01e8:
        r0 = move-exception;
        r20 = r8;
        goto L_0x0267;
    L_0x01ed:
        r0 = move-exception;
        r20 = r8;
        goto L_0x028d;
    L_0x01f2:
        r0 = move-exception;
        r19 = r7;
        r20 = r8;
        goto L_0x02aa;
    L_0x01f9:
        r0 = move-exception;
        r19 = r7;
        r20 = r8;
        goto L_0x0267;
    L_0x0200:
        r0 = move-exception;
        r19 = r7;
        r20 = r8;
        goto L_0x028d;
    L_0x0207:
        r0 = move-exception;
        r18 = r6;
        r19 = r7;
        r20 = r8;
        goto L_0x02aa;
    L_0x0210:
        r0 = move-exception;
        r18 = r6;
        r19 = r7;
        r20 = r8;
        goto L_0x0267;
    L_0x0218:
        r0 = move-exception;
        r18 = r6;
        r19 = r7;
        r20 = r8;
        goto L_0x028d;
    L_0x0221:
        r0 = move-exception;
        r17 = r5;
        r18 = r6;
        r19 = r7;
        r20 = r8;
        goto L_0x02aa;
    L_0x022c:
        r0 = move-exception;
        r17 = r5;
        r18 = r6;
        r19 = r7;
        r20 = r8;
        goto L_0x0267;
    L_0x0236:
        r0 = move-exception;
        r17 = r5;
        r18 = r6;
        r19 = r7;
        r20 = r8;
        goto L_0x028d;
    L_0x0240:
        r16 = r4;
        r17 = r5;
        r18 = r6;
        r19 = r7;
        r20 = r8;
        if (r15 == 0) goto L_0x02a8;
    L_0x024c:
        r15.close();
        goto L_0x02a8;
    L_0x0250:
        r0 = move-exception;
        r16 = r4;
        r17 = r5;
        r18 = r6;
        r19 = r7;
        r20 = r8;
        goto L_0x02aa;
    L_0x025c:
        r0 = move-exception;
        r16 = r4;
        r17 = r5;
        r18 = r6;
        r19 = r7;
        r20 = r8;
    L_0x0267:
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x02a9 }
        r2.<init>();	 Catch:{ all -> 0x02a9 }
        r3 = "findAppQoEgroupBySpace Exception: ";
        r2.append(r3);	 Catch:{ all -> 0x02a9 }
        r3 = r0.getMessage();	 Catch:{ all -> 0x02a9 }
        r2.append(r3);	 Catch:{ all -> 0x02a9 }
        r2 = r2.toString();	 Catch:{ all -> 0x02a9 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r2);	 Catch:{ all -> 0x02a9 }
        if (r15 == 0) goto L_0x02a8;
    L_0x0281:
        goto L_0x024c;
    L_0x0282:
        r0 = move-exception;
        r16 = r4;
        r17 = r5;
        r18 = r6;
        r19 = r7;
        r20 = r8;
    L_0x028d:
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x02a9 }
        r2.<init>();	 Catch:{ all -> 0x02a9 }
        r3 = "findAppQoEgroupBySpace IllegalArgumentException: ";
        r2.append(r3);	 Catch:{ all -> 0x02a9 }
        r3 = r0.getMessage();	 Catch:{ all -> 0x02a9 }
        r2.append(r3);	 Catch:{ all -> 0x02a9 }
        r2 = r2.toString();	 Catch:{ all -> 0x02a9 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r2);	 Catch:{ all -> 0x02a9 }
        if (r15 == 0) goto L_0x02a8;
    L_0x02a7:
        goto L_0x024c;
    L_0x02a8:
        return r14;
    L_0x02a9:
        r0 = move-exception;
    L_0x02aa:
        if (r15 == 0) goto L_0x02af;
    L_0x02ac:
        r15.close();
    L_0x02af:
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.dao.SpaceUserDAO.findAppQoEgroupBySpace(java.lang.String, java.lang.String, java.lang.String):java.util.HashMap<java.lang.String, java.util.List>");
    }

    /* JADX WARNING: Missing block: B:9:0x0113, code:
            if (r7 != null) goto L_0x0115;
     */
    public java.util.HashMap<java.lang.String, android.os.Bundle> findUserPrefByTwoSpaces(java.lang.String r18, java.lang.String r19) {
        /*
        r17 = this;
        r1 = r17;
        r2 = r18;
        r3 = r19;
        r4 = "SELECT NETWORKNAME, NW_TYPE, SUM(USER_PREF_OPT_IN), SUM(USER_PREF_OPT_OUT), SUM(USER_PREF_STAY), SUM(DURATION_CONNECTED) FROM SPACEUSER_BASE WHERE SCRBID = ? AND FREQLOCNAME = ? AND SPACEID = ? AND SPACEIDMAIN = ? AND MODEL_VER_ALLAP = ? AND MODEL_VER_MAINAP = ? GROUP BY NETWORKNAME";
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r5 = "findUserPrefByTwoSpaces:";
        r0.append(r5);
        r0.append(r4);
        r5 = ",FreqLoc:";
        r0.append(r5);
        r5 = r1.curFreqLoc;
        r0.append(r5);
        r5 = ", space_allAp:";
        r0.append(r5);
        r0.append(r2);
        r5 = ", space_mainAp:";
        r0.append(r5);
        r0.append(r3);
        r0 = r0.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);
        r0 = 6;
        r0 = new java.lang.String[r0];
        r5 = r1.ScrbId;
        r6 = 0;
        r0[r6] = r5;
        r5 = r1.curFreqLoc;
        r6 = 1;
        r0[r6] = r5;
        r5 = 2;
        r0[r5] = r2;
        r5 = 3;
        r0[r5] = r3;
        r5 = r1.modelVerAllAp;
        r6 = 4;
        r0[r6] = r5;
        r5 = r1.modelVerMainAp;
        r6 = 5;
        r0[r6] = r5;
        r5 = r0;
        r0 = new java.util.HashMap;
        r0.<init>();
        r6 = r0;
        r7 = 0;
        r0 = r1.db;
        if (r0 != 0) goto L_0x0060;
    L_0x005f:
        return r6;
    L_0x0060:
        r0 = r1.db;	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r0 = r0.rawQuery(r4, r5);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r7 = r0;
    L_0x0067:
        r0 = r7.moveToNext();	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        if (r0 == 0) goto L_0x0113;
    L_0x006d:
        r0 = "SUM(USER_PREF_OPT_IN)";
        r0 = r7.getColumnIndexOrThrow(r0);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r0 = r7.getInt(r0);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r8 = "SUM(USER_PREF_OPT_OUT)";
        r8 = r7.getColumnIndexOrThrow(r8);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r8 = r7.getInt(r8);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r9 = "SUM(USER_PREF_STAY)";
        r9 = r7.getColumnIndexOrThrow(r9);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r9 = r7.getInt(r9);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r10 = "NETWORKNAME";
        r10 = r7.getColumnIndexOrThrow(r10);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r10 = r7.getString(r10);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r11 = "NW_TYPE";
        r11 = r7.getColumnIndexOrThrow(r11);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r11 = r7.getInt(r11);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r12 = "SUM(DURATION_CONNECTED)";
        r12 = r7.getColumnIndexOrThrow(r12);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r12 = r7.getLong(r12);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r14 = new android.os.Bundle;	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r14.<init>();	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r15 = "networkname";
        r14.putString(r15, r10);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r15 = "networktype";
        r14.putInt(r15, r11);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r15 = "user_pref_opt_in";
        r14.putInt(r15, r0);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r15 = "user_pref_opt_out";
        r14.putInt(r15, r8);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r15 = "user_pref_stay";
        r14.putInt(r15, r9);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r15 = "duration_connected";
        r14.putLong(r15, r12);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r6.put(r10, r14);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r15 = new java.lang.StringBuilder;	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r15.<init>();	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r1 = " networkname:";
        r15.append(r1);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r15.append(r10);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r1 = ",type:";
        r15.append(r1);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r15.append(r11);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r1 = ",user_pref_opt_in:";
        r15.append(r1);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r15.append(r0);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r1 = ",user_pref_opt_out:";
        r15.append(r1);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r15.append(r8);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r1 = ",user_pref_stay:";
        r15.append(r1);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r15.append(r9);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r1 = ",duration_connected:";
        r15.append(r1);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r15.append(r12);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r1 = r15.toString();	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        com.android.server.hidata.wavemapping.util.LogUtil.i(r1);	 Catch:{ IllegalArgumentException -> 0x0137, Exception -> 0x011b }
        r1 = r17;
        goto L_0x0067;
    L_0x0113:
        if (r7 == 0) goto L_0x0153;
    L_0x0115:
        r7.close();
        goto L_0x0153;
    L_0x0119:
        r0 = move-exception;
        goto L_0x0154;
    L_0x011b:
        r0 = move-exception;
        r1 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0119 }
        r1.<init>();	 Catch:{ all -> 0x0119 }
        r8 = "findUserPrefByTwoSpaces Exception: ";
        r1.append(r8);	 Catch:{ all -> 0x0119 }
        r8 = r0.getMessage();	 Catch:{ all -> 0x0119 }
        r1.append(r8);	 Catch:{ all -> 0x0119 }
        r1 = r1.toString();	 Catch:{ all -> 0x0119 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r1);	 Catch:{ all -> 0x0119 }
        if (r7 == 0) goto L_0x0153;
    L_0x0136:
        goto L_0x0115;
    L_0x0137:
        r0 = move-exception;
        r1 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0119 }
        r1.<init>();	 Catch:{ all -> 0x0119 }
        r8 = "findUserPrefByTwoSpaces IllegalArgumentException: ";
        r1.append(r8);	 Catch:{ all -> 0x0119 }
        r8 = r0.getMessage();	 Catch:{ all -> 0x0119 }
        r1.append(r8);	 Catch:{ all -> 0x0119 }
        r1 = r1.toString();	 Catch:{ all -> 0x0119 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r1);	 Catch:{ all -> 0x0119 }
        if (r7 == 0) goto L_0x0153;
    L_0x0152:
        goto L_0x0115;
    L_0x0153:
        return r6;
    L_0x0154:
        if (r7 == 0) goto L_0x0159;
    L_0x0156:
        r7.close();
    L_0x0159:
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.dao.SpaceUserDAO.findUserPrefByTwoSpaces(java.lang.String, java.lang.String):java.util.HashMap<java.lang.String, android.os.Bundle>");
    }

    /* JADX WARNING: Missing block: B:9:0x00f8, code:
            if (r3 != null) goto L_0x00fa;
     */
    public java.util.HashMap<java.lang.String, android.os.Bundle> findUserPrefByAllApSpaces(java.lang.String r15) {
        /*
        r14 = this;
        r0 = "SELECT NETWORKNAME, NW_TYPE, SUM(USER_PREF_OPT_IN), SUM(USER_PREF_OPT_OUT), SUM(USER_PREF_STAY), SUM(DURATION_CONNECTED) FROM SPACEUSER_BASE WHERE SCRBID = ? AND FREQLOCNAME = ? AND SPACEID = ? AND MODEL_VER_ALLAP = ? GROUP BY NETWORKNAME";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "findUserPrefByTwoSpaces:";
        r1.append(r2);
        r1.append(r0);
        r2 = ",FreqLoc:";
        r1.append(r2);
        r2 = r14.curFreqLoc;
        r1.append(r2);
        r2 = ", space_allAp:";
        r1.append(r2);
        r1.append(r15);
        r1 = r1.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.i(r1);
        r1 = 4;
        r1 = new java.lang.String[r1];
        r2 = r14.ScrbId;
        r3 = 0;
        r1[r3] = r2;
        r2 = r14.curFreqLoc;
        r3 = 1;
        r1[r3] = r2;
        r2 = 2;
        r1[r2] = r15;
        r2 = r14.modelVerAllAp;
        r3 = 3;
        r1[r3] = r2;
        r2 = new java.util.HashMap;
        r2.<init>();
        r3 = 0;
        r4 = r14.db;
        if (r4 != 0) goto L_0x0048;
    L_0x0047:
        return r2;
    L_0x0048:
        r4 = r14.db;	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r4 = r4.rawQuery(r0, r1);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r3 = r4;
    L_0x004f:
        r4 = r3.moveToNext();	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        if (r4 == 0) goto L_0x00f8;
    L_0x0055:
        r4 = "SUM(USER_PREF_OPT_IN)";
        r4 = r3.getColumnIndexOrThrow(r4);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r4 = r3.getInt(r4);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r5 = "SUM(USER_PREF_OPT_OUT)";
        r5 = r3.getColumnIndexOrThrow(r5);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r5 = r3.getInt(r5);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r6 = "SUM(USER_PREF_STAY)";
        r6 = r3.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r6 = r3.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r7 = "NETWORKNAME";
        r7 = r3.getColumnIndexOrThrow(r7);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r7 = r3.getString(r7);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r8 = "NW_TYPE";
        r8 = r3.getColumnIndexOrThrow(r8);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r8 = r3.getInt(r8);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r9 = "SUM(DURATION_CONNECTED)";
        r9 = r3.getColumnIndexOrThrow(r9);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r9 = r3.getLong(r9);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r11 = new android.os.Bundle;	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r11.<init>();	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r12 = "networkname";
        r11.putString(r12, r7);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r12 = "networktype";
        r11.putInt(r12, r8);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r12 = "user_pref_opt_in";
        r11.putInt(r12, r4);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r12 = "user_pref_opt_out";
        r11.putInt(r12, r5);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r12 = "user_pref_stay";
        r11.putInt(r12, r6);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r12 = "duration_connected";
        r11.putLong(r12, r9);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r2.put(r7, r11);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r12 = new java.lang.StringBuilder;	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r12.<init>();	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r13 = " networkname:";
        r12.append(r13);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r12.append(r7);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r13 = ",type:";
        r12.append(r13);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r12.append(r8);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r13 = ",user_pref_opt_in:";
        r12.append(r13);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r12.append(r4);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r13 = ",user_pref_opt_out:";
        r12.append(r13);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r12.append(r5);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r13 = ",user_pref_stay:";
        r12.append(r13);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r12.append(r6);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r13 = ",duration_connected:";
        r12.append(r13);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r12.append(r9);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        r12 = r12.toString();	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        com.android.server.hidata.wavemapping.util.LogUtil.i(r12);	 Catch:{ IllegalArgumentException -> 0x011c, Exception -> 0x0100 }
        goto L_0x004f;
    L_0x00f8:
        if (r3 == 0) goto L_0x0138;
    L_0x00fa:
        r3.close();
        goto L_0x0138;
    L_0x00fe:
        r4 = move-exception;
        goto L_0x0139;
    L_0x0100:
        r4 = move-exception;
        r5 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00fe }
        r5.<init>();	 Catch:{ all -> 0x00fe }
        r6 = "findUserPrefByTwoSpaces Exception: ";
        r5.append(r6);	 Catch:{ all -> 0x00fe }
        r6 = r4.getMessage();	 Catch:{ all -> 0x00fe }
        r5.append(r6);	 Catch:{ all -> 0x00fe }
        r5 = r5.toString();	 Catch:{ all -> 0x00fe }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r5);	 Catch:{ all -> 0x00fe }
        if (r3 == 0) goto L_0x0138;
    L_0x011b:
        goto L_0x00fa;
    L_0x011c:
        r4 = move-exception;
        r5 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00fe }
        r5.<init>();	 Catch:{ all -> 0x00fe }
        r6 = "findUserPrefByTwoSpaces IllegalArgumentException: ";
        r5.append(r6);	 Catch:{ all -> 0x00fe }
        r6 = r4.getMessage();	 Catch:{ all -> 0x00fe }
        r5.append(r6);	 Catch:{ all -> 0x00fe }
        r5 = r5.toString();	 Catch:{ all -> 0x00fe }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r5);	 Catch:{ all -> 0x00fe }
        if (r3 == 0) goto L_0x0138;
    L_0x0137:
        goto L_0x00fa;
    L_0x0138:
        return r2;
    L_0x0139:
        if (r3 == 0) goto L_0x013e;
    L_0x013b:
        r3.close();
    L_0x013e:
        throw r4;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.dao.SpaceUserDAO.findUserPrefByAllApSpaces(java.lang.String):java.util.HashMap<java.lang.String, android.os.Bundle>");
    }

    public android.os.Bundle find4gCoverageByCurrLoc() {
        return queryCoverage("SELECT NW_TYPE, SUM(SIGNAL_VALUE*DURATION_CONNECTED)/SUM(DURATION_CONNECTED) AVG_SIGNAL, COUNT(SIGNAL_VALUE) CELL_NUM, SUM(DURATION_CONNECTED) TOTAL_DURATION FROM SPACEUSER_BASE WHERE SCRBID = ? AND FREQLOCNAME = ? AND (SPACEID != ? OR SPACEIDMAIN != ?) AND MODEL_VER_ALLAP = ? AND MODEL_VER_MAINAP = ? AND NETWORKNAME='4G' AND NW_TYPE=0 GROUP BY NW_TYPE", new java.lang.String[]{this.ScrbId, this.curFreqLoc, "0", "0", this.modelVerAllAp, this.modelVerMainAp});
    }

    public android.os.Bundle find4gCoverageByBothSpace(java.lang.String spaceid_allAp, java.lang.String spaceid_mainAp) {
        java.lang.String[] args = new java.lang.String[]{this.ScrbId, this.curFreqLoc, spaceid_allAp, spaceid_mainAp, this.modelVerAllAp, this.modelVerMainAp};
        android.os.Bundle coverage4G = queryCoverage("SELECT NW_TYPE, SUM(SIGNAL_VALUE*DURATION_CONNECTED)/SUM(DURATION_CONNECTED) AVG_SIGNAL, COUNT(SIGNAL_VALUE) CELL_NUM, SUM(DURATION_CONNECTED) TOTAL_DURATION FROM SPACEUSER_BASE WHERE SCRBID = ? AND FREQLOCNAME = ? AND SPACEID = ? AND SPACEIDMAIN = ? AND MODEL_VER_ALLAP = ? AND MODEL_VER_MAINAP = ? AND NETWORKNAME='4G' AND NW_TYPE=0 GROUP BY NW_TYPE", args);
        coverage4G.putLong("duration_out4g", queryCoverage("SELECT NW_TYPE, SUM(SIGNAL_VALUE*DURATION_CONNECTED)/SUM(DURATION_CONNECTED) AVG_SIGNAL, COUNT(SIGNAL_VALUE) CELL_NUM, SUM(DURATION_CONNECTED) TOTAL_DURATION FROM SPACEUSER_BASE WHERE SCRBID = ? AND FREQLOCNAME = ? AND SPACEID = ? AND SPACEIDMAIN = ? AND MODEL_VER_ALLAP = ? AND MODEL_VER_MAINAP = ? AND NETWORKNAME!='4G' AND NW_TYPE=0 GROUP BY NW_TYPE", args).getLong("total_duration"));
        return coverage4G;
    }

    public android.os.Bundle find4gCoverageByAllApSpace(java.lang.String spaceid_allAp) {
        java.lang.String[] args = new java.lang.String[]{this.ScrbId, this.curFreqLoc, spaceid_allAp, this.modelVerAllAp};
        android.os.Bundle coverage4G = queryCoverage("SELECT NW_TYPE, SUM(SIGNAL_VALUE*DURATION_CONNECTED)/SUM(DURATION_CONNECTED) AVG_SIGNAL, COUNT(SIGNAL_VALUE) CELL_NUM, SUM(DURATION_CONNECTED) TOTAL_DURATION FROM SPACEUSER_BASE WHERE SCRBID = ? AND FREQLOCNAME = ? AND SPACEID = ? AND MODEL_VER_ALLAP = ? AND NETWORKNAME='4G' AND NW_TYPE=0 GROUP BY NW_TYPE", args);
        coverage4G.putLong("duration_out4g", queryCoverage("SELECT NW_TYPE, SUM(SIGNAL_VALUE*DURATION_CONNECTED)/SUM(DURATION_CONNECTED) AVG_SIGNAL, COUNT(SIGNAL_VALUE) CELL_NUM, SUM(DURATION_CONNECTED) TOTAL_DURATION FROM SPACEUSER_BASE WHERE SCRBID = ? AND FREQLOCNAME = ? AND SPACEID = ? AND MODEL_VER_ALLAP = ? AND NETWORKNAME!='4G' AND NW_TYPE=0 GROUP BY NW_TYPE", args).getLong("total_duration"));
        return coverage4G;
    }

    public android.os.Bundle find4gCoverageByMainApSpace(java.lang.String spaceid_mainAp) {
        java.lang.String[] args = new java.lang.String[]{this.ScrbId, this.curFreqLoc, spaceid_mainAp, this.modelVerMainAp};
        android.os.Bundle coverage4G = queryCoverage("SELECT NW_TYPE, SUM(SIGNAL_VALUE*DURATION_CONNECTED)/SUM(DURATION_CONNECTED) AVG_SIGNAL, COUNT(SIGNAL_VALUE) CELL_NUM, SUM(DURATION_CONNECTED) TOTAL_DURATION FROM SPACEUSER_BASE WHERE SCRBID = ? AND FREQLOCNAME = ? AND SPACEIDMAIN = ? AND MODEL_VER_MAINAP = ? AND NETWORKNAME='4G' AND NW_TYPE=0 GROUP BY NW_TYPE", args);
        coverage4G.putLong("duration_out4g", queryCoverage("SELECT NW_TYPE, SUM(SIGNAL_VALUE*DURATION_CONNECTED)/SUM(DURATION_CONNECTED) AVG_SIGNAL, COUNT(SIGNAL_VALUE) CELL_NUM, SUM(DURATION_CONNECTED) TOTAL_DURATION FROM SPACEUSER_BASE WHERE SCRBID = ? AND FREQLOCNAME = ? AND SPACEIDMAIN = ? AND MODEL_VER_MAINAP = ? AND NETWORKNAME!='4G' AND NW_TYPE=0 GROUP BY NW_TYPE", args).getLong("total_duration"));
        return coverage4G;
    }

    /* JADX WARNING: Removed duplicated region for block: B:106:0x0381  */
    /* JADX WARNING: Removed duplicated region for block: B:111:0x0388  */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x0381  */
    /* JADX WARNING: Removed duplicated region for block: B:111:0x0388  */
    /* JADX WARNING: Removed duplicated region for block: B:111:0x0388  */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x0381  */
    /* JADX WARNING: Removed duplicated region for block: B:111:0x0388  */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x0381  */
    /* JADX WARNING: Removed duplicated region for block: B:111:0x0388  */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x0381  */
    /* JADX WARNING: Removed duplicated region for block: B:111:0x0388  */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x0381  */
    /* JADX WARNING: Removed duplicated region for block: B:111:0x0388  */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x0381  */
    /* JADX WARNING: Removed duplicated region for block: B:111:0x0388  */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x0381  */
    /* JADX WARNING: Removed duplicated region for block: B:111:0x0388  */
    /* JADX WARNING: Missing block: B:99:0x0358, code:
            if (r7 == null) goto L_0x0382;
     */
    public java.util.HashMap<java.lang.Integer, android.os.Bundle> findAppQoERecByFreqLoc(java.lang.String r29) {
        /*
        r28 = this;
        r1 = r28;
        r2 = r29;
        r0 = "";
        r3 = 0;
        r4 = mQoeAppBuilder;
        r4 = r4.getQoEAppList();
        r5 = new java.util.HashMap;
        r5.<init>();
        r6 = new java.util.ArrayList;
        r6.<init>();
        r7 = 0;
        r8 = r1.db;
        if (r8 != 0) goto L_0x001d;
    L_0x001c:
        return r5;
    L_0x001d:
        r8 = r4.entrySet();
        r8 = r8.iterator();
    L_0x0025:
        r9 = r8.hasNext();
        if (r9 == 0) goto L_0x0099;
    L_0x002b:
        r9 = r8.next();
        r9 = (java.util.Map.Entry) r9;
        r10 = r9.getKey();
        r10 = (java.lang.Integer) r10;
        r10 = r10.intValue();
        r11 = new java.lang.StringBuilder;
        r11.<init>();
        r12 = "APP_";
        r11.append(r12);
        r11.append(r10);
        r11 = r11.toString();
        if (r3 != 0) goto L_0x006d;
    L_0x004e:
        r12 = new java.lang.StringBuilder;
        r12.<init>();
        r13 = "SELECT ";
        r12.append(r13);
        r12.append(r10);
        r13 = " AS NAME, SPACEID, MODEL_VER_ALLAP, SPACEIDMAIN, MODEL_VER_MAINAP, COUNT(DISTINCT NETWORKID) NWIDCNT, NETWORKNAME, COUNT(DISTINCT NETWORKFREQ) NWFREQCNT, NW_TYPE, COUNT(DISTINCT UPDATE_DATE) REC, SUM(DURATION), SUM(POORCOUNT), SUM(GOODCOUNT) FROM ";
        r12.append(r13);
        r12.append(r11);
        r13 = " WHERE SCRBID = ? AND FREQLOCNAME = ? AND (SPACEID != 0 OR SPACEIDMAIN != 0) GROUP BY NETWORKNAME, SPACEID, MODEL_VER_ALLAP, SPACEIDMAIN, MODEL_VER_MAINAP, NW_TYPE, NAME";
        r12.append(r13);
        r0 = r12.toString();
        goto L_0x008e;
    L_0x006d:
        r12 = new java.lang.StringBuilder;
        r12.<init>();
        r12.append(r0);
        r13 = " UNION SELECT ";
        r12.append(r13);
        r12.append(r10);
        r13 = " AS NAME, SPACEID, MODEL_VER_ALLAP, SPACEIDMAIN, MODEL_VER_MAINAP, COUNT(DISTINCT NETWORKID) NWIDCNT, NETWORKNAME, COUNT(DISTINCT NETWORKFREQ) NWFREQCNT, NW_TYPE, COUNT(DISTINCT UPDATE_DATE) REC, SUM(DURATION), SUM(POORCOUNT), SUM(GOODCOUNT) FROM ";
        r12.append(r13);
        r12.append(r11);
        r13 = " WHERE SCRBID = ? AND FREQLOCNAME = ? AND (SPACEID != 0 OR SPACEIDMAIN != 0) GROUP BY NETWORKNAME, SPACEID, MODEL_VER_ALLAP, SPACEIDMAIN, MODEL_VER_MAINAP, NW_TYPE, NAME";
        r12.append(r13);
        r0 = r12.toString();
    L_0x008e:
        r3 = r3 + 1;
        r12 = r1.ScrbId;
        r6.add(r12);
        r6.add(r2);
        goto L_0x0025;
    L_0x0099:
        r8 = new java.lang.StringBuilder;
        r8.<init>();
        r8.append(r0);
        r9 = " ORDER BY SUM(DURATION) DESC";
        r8.append(r9);
        r8 = r8.toString();
        r0 = r6.size();
        r0 = new java.lang.String[r0];
        r0 = r6.toArray(r0);
        r9 = r0;
        r9 = (java.lang.String[]) r9;
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r10 = "findAppQoERecByFreqLoc:";
        r0.append(r10);
        r0.append(r8);
        r10 = ",FreqLoc:";
        r0.append(r10);
        r0.append(r2);
        r10 = ",args: ";
        r0.append(r10);
        r10 = java.util.Arrays.toString(r9);
        r0.append(r10);
        r0 = r0.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);
        r3 = 0;
        r0 = r1.db;	 Catch:{ IllegalArgumentException -> 0x035e, Exception -> 0x0337, all -> 0x032b }
        r0 = r0.rawQuery(r8, r9);	 Catch:{ IllegalArgumentException -> 0x035e, Exception -> 0x0337, all -> 0x032b }
        r7 = r0;
    L_0x00e7:
        r0 = r7.moveToNext();	 Catch:{ IllegalArgumentException -> 0x0320, Exception -> 0x0315, all -> 0x0307 }
        if (r0 == 0) goto L_0x02f0;
    L_0x00ed:
        r3 = r3 + 1;
        r0 = "SPACEID";
        r0 = r7.getColumnIndexOrThrow(r0);	 Catch:{ IllegalArgumentException -> 0x02e1, Exception -> 0x02d2, all -> 0x02c3 }
        r0 = r7.getString(r0);	 Catch:{ IllegalArgumentException -> 0x02e1, Exception -> 0x02d2, all -> 0x02c3 }
        r10 = "MODEL_VER_ALLAP";
        r10 = r7.getColumnIndexOrThrow(r10);	 Catch:{ IllegalArgumentException -> 0x02e1, Exception -> 0x02d2, all -> 0x02c3 }
        r10 = r7.getString(r10);	 Catch:{ IllegalArgumentException -> 0x02e1, Exception -> 0x02d2, all -> 0x02c3 }
        r11 = "SPACEIDMAIN";
        r11 = r7.getColumnIndexOrThrow(r11);	 Catch:{ IllegalArgumentException -> 0x02e1, Exception -> 0x02d2, all -> 0x02c3 }
        r11 = r7.getString(r11);	 Catch:{ IllegalArgumentException -> 0x02e1, Exception -> 0x02d2, all -> 0x02c3 }
        r12 = "MODEL_VER_MAINAP";
        r12 = r7.getColumnIndexOrThrow(r12);	 Catch:{ IllegalArgumentException -> 0x02e1, Exception -> 0x02d2, all -> 0x02c3 }
        r12 = r7.getString(r12);	 Catch:{ IllegalArgumentException -> 0x02e1, Exception -> 0x02d2, all -> 0x02c3 }
        r13 = "NWIDCNT";
        r13 = r7.getColumnIndexOrThrow(r13);	 Catch:{ IllegalArgumentException -> 0x02e1, Exception -> 0x02d2, all -> 0x02c3 }
        r13 = r7.getInt(r13);	 Catch:{ IllegalArgumentException -> 0x02e1, Exception -> 0x02d2, all -> 0x02c3 }
        r14 = "NETWORKNAME";
        r14 = r7.getColumnIndexOrThrow(r14);	 Catch:{ IllegalArgumentException -> 0x02e1, Exception -> 0x02d2, all -> 0x02c3 }
        r14 = r7.getString(r14);	 Catch:{ IllegalArgumentException -> 0x02e1, Exception -> 0x02d2, all -> 0x02c3 }
        r15 = "NWFREQCNT";
        r15 = r7.getColumnIndexOrThrow(r15);	 Catch:{ IllegalArgumentException -> 0x02e1, Exception -> 0x02d2, all -> 0x02c3 }
        r15 = r7.getShort(r15);	 Catch:{ IllegalArgumentException -> 0x02e1, Exception -> 0x02d2, all -> 0x02c3 }
        r1 = "NW_TYPE";
        r1 = r7.getColumnIndexOrThrow(r1);	 Catch:{ IllegalArgumentException -> 0x02e1, Exception -> 0x02d2, all -> 0x02c3 }
        r1 = r7.getInt(r1);	 Catch:{ IllegalArgumentException -> 0x02e1, Exception -> 0x02d2, all -> 0x02c3 }
        r2 = "REC";
        r2 = r7.getColumnIndexOrThrow(r2);	 Catch:{ IllegalArgumentException -> 0x02e1, Exception -> 0x02d2, all -> 0x02c3 }
        r2 = r7.getShort(r2);	 Catch:{ IllegalArgumentException -> 0x02e1, Exception -> 0x02d2, all -> 0x02c3 }
        r16 = r4;
        r4 = "NAME";
        r4 = r7.getColumnIndexOrThrow(r4);	 Catch:{ IllegalArgumentException -> 0x02b6, Exception -> 0x02a9, all -> 0x029c }
        r4 = r7.getInt(r4);	 Catch:{ IllegalArgumentException -> 0x02b6, Exception -> 0x02a9, all -> 0x029c }
        r17 = r6;
        r6 = "SUM(DURATION)";
        r6 = r7.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x0291, Exception -> 0x0286, all -> 0x027b }
        r18 = r7.getLong(r6);	 Catch:{ IllegalArgumentException -> 0x0291, Exception -> 0x0286, all -> 0x027b }
        r20 = r18;
        r6 = "SUM(POORCOUNT)";
        r6 = r7.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x0291, Exception -> 0x0286, all -> 0x027b }
        r6 = r7.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x0291, Exception -> 0x0286, all -> 0x027b }
        r22 = r8;
        r8 = "SUM(GOODCOUNT)";
        r8 = r7.getColumnIndexOrThrow(r8);	 Catch:{ IllegalArgumentException -> 0x0272, Exception -> 0x0269, all -> 0x0260 }
        r8 = r7.getInt(r8);	 Catch:{ IllegalArgumentException -> 0x0272, Exception -> 0x0269, all -> 0x0260 }
        r23 = r9;
        r9 = new android.os.Bundle;	 Catch:{ IllegalArgumentException -> 0x0259, Exception -> 0x0252, all -> 0x024b }
        r9.<init>();	 Catch:{ IllegalArgumentException -> 0x0259, Exception -> 0x0252, all -> 0x024b }
        r24 = r7;
        r7 = "spaceid";
        r9.putString(r7, r0);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023d, all -> 0x0236 }
        r7 = "modelVerAllap";
        r9.putString(r7, r10);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023d, all -> 0x0236 }
        r7 = "spaceidmain";
        r9.putString(r7, r11);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023d, all -> 0x0236 }
        r7 = "modelVerMainap";
        r9.putString(r7, r12);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023d, all -> 0x0236 }
        r7 = "nwidcnt";
        r9.putInt(r7, r13);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023d, all -> 0x0236 }
        r7 = "networkname";
        r9.putString(r7, r14);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023d, all -> 0x0236 }
        r7 = "nwfreqcnt";
        r9.putShort(r7, r15);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023d, all -> 0x0236 }
        r7 = "nwType";
        r9.putInt(r7, r1);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023d, all -> 0x0236 }
        r7 = "rec";
        r9.putShort(r7, r2);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023d, all -> 0x0236 }
        r7 = "duration";
        r25 = r1;
        r26 = r2;
        r1 = r20;
        r9.putLong(r7, r1);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023d, all -> 0x0236 }
        r7 = "app";
        r9.putInt(r7, r4);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023d, all -> 0x0236 }
        r7 = "poorcount";
        r9.putInt(r7, r6);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023d, all -> 0x0236 }
        r7 = "goodcount";
        r9.putInt(r7, r8);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023d, all -> 0x0236 }
        r7 = java.lang.Integer.valueOf(r3);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023d, all -> 0x0236 }
        r5.put(r7, r9);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023d, all -> 0x0236 }
        r7 = new java.lang.StringBuilder;	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023d, all -> 0x0236 }
        r7.<init>();	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023d, all -> 0x0236 }
        r27 = r3;
        r3 = " networkname:";
        r7.append(r3);	 Catch:{ IllegalArgumentException -> 0x022f, Exception -> 0x0228, all -> 0x0223 }
        r7.append(r14);	 Catch:{ IllegalArgumentException -> 0x022f, Exception -> 0x0228, all -> 0x0223 }
        r3 = ",app:";
        r7.append(r3);	 Catch:{ IllegalArgumentException -> 0x022f, Exception -> 0x0228, all -> 0x0223 }
        r7.append(r4);	 Catch:{ IllegalArgumentException -> 0x022f, Exception -> 0x0228, all -> 0x0223 }
        r3 = ",poorcount:";
        r7.append(r3);	 Catch:{ IllegalArgumentException -> 0x022f, Exception -> 0x0228, all -> 0x0223 }
        r7.append(r6);	 Catch:{ IllegalArgumentException -> 0x022f, Exception -> 0x0228, all -> 0x0223 }
        r3 = ",goodcount:";
        r7.append(r3);	 Catch:{ IllegalArgumentException -> 0x022f, Exception -> 0x0228, all -> 0x0223 }
        r7.append(r8);	 Catch:{ IllegalArgumentException -> 0x022f, Exception -> 0x0228, all -> 0x0223 }
        r3 = ",duration:";
        r7.append(r3);	 Catch:{ IllegalArgumentException -> 0x022f, Exception -> 0x0228, all -> 0x0223 }
        r7.append(r1);	 Catch:{ IllegalArgumentException -> 0x022f, Exception -> 0x0228, all -> 0x0223 }
        r3 = ",spaceid:";
        r7.append(r3);	 Catch:{ IllegalArgumentException -> 0x022f, Exception -> 0x0228, all -> 0x0223 }
        r7.append(r0);	 Catch:{ IllegalArgumentException -> 0x022f, Exception -> 0x0228, all -> 0x0223 }
        r3 = r7.toString();	 Catch:{ IllegalArgumentException -> 0x022f, Exception -> 0x0228, all -> 0x0223 }
        com.android.server.hidata.wavemapping.util.LogUtil.i(r3);	 Catch:{ IllegalArgumentException -> 0x022f, Exception -> 0x0228, all -> 0x0223 }
        r4 = r16;
        r6 = r17;
        r8 = r22;
        r9 = r23;
        r7 = r24;
        r3 = r27;
        r1 = r28;
        r2 = r29;
        goto L_0x00e7;
    L_0x0223:
        r0 = move-exception;
        r7 = r24;
        goto L_0x0386;
    L_0x0228:
        r0 = move-exception;
        r7 = r24;
        r3 = r27;
        goto L_0x0340;
    L_0x022f:
        r0 = move-exception;
        r7 = r24;
        r3 = r27;
        goto L_0x0367;
    L_0x0236:
        r0 = move-exception;
        r27 = r3;
        r7 = r24;
        goto L_0x0386;
    L_0x023d:
        r0 = move-exception;
        r27 = r3;
        r7 = r24;
        goto L_0x0340;
    L_0x0244:
        r0 = move-exception;
        r27 = r3;
        r7 = r24;
        goto L_0x0367;
    L_0x024b:
        r0 = move-exception;
        r27 = r3;
        r24 = r7;
        goto L_0x0386;
    L_0x0252:
        r0 = move-exception;
        r27 = r3;
        r24 = r7;
        goto L_0x0340;
    L_0x0259:
        r0 = move-exception;
        r27 = r3;
        r24 = r7;
        goto L_0x0367;
    L_0x0260:
        r0 = move-exception;
        r27 = r3;
        r24 = r7;
        r23 = r9;
        goto L_0x0386;
    L_0x0269:
        r0 = move-exception;
        r27 = r3;
        r24 = r7;
        r23 = r9;
        goto L_0x0340;
    L_0x0272:
        r0 = move-exception;
        r27 = r3;
        r24 = r7;
        r23 = r9;
        goto L_0x0367;
    L_0x027b:
        r0 = move-exception;
        r27 = r3;
        r24 = r7;
        r22 = r8;
        r23 = r9;
        goto L_0x0386;
    L_0x0286:
        r0 = move-exception;
        r27 = r3;
        r24 = r7;
        r22 = r8;
        r23 = r9;
        goto L_0x0340;
    L_0x0291:
        r0 = move-exception;
        r27 = r3;
        r24 = r7;
        r22 = r8;
        r23 = r9;
        goto L_0x0367;
    L_0x029c:
        r0 = move-exception;
        r27 = r3;
        r17 = r6;
        r24 = r7;
        r22 = r8;
        r23 = r9;
        goto L_0x0386;
    L_0x02a9:
        r0 = move-exception;
        r27 = r3;
        r17 = r6;
        r24 = r7;
        r22 = r8;
        r23 = r9;
        goto L_0x0340;
    L_0x02b6:
        r0 = move-exception;
        r27 = r3;
        r17 = r6;
        r24 = r7;
        r22 = r8;
        r23 = r9;
        goto L_0x0367;
    L_0x02c3:
        r0 = move-exception;
        r27 = r3;
        r16 = r4;
        r17 = r6;
        r24 = r7;
        r22 = r8;
        r23 = r9;
        goto L_0x0386;
    L_0x02d2:
        r0 = move-exception;
        r27 = r3;
        r16 = r4;
        r17 = r6;
        r24 = r7;
        r22 = r8;
        r23 = r9;
        goto L_0x0340;
    L_0x02e1:
        r0 = move-exception;
        r27 = r3;
        r16 = r4;
        r17 = r6;
        r24 = r7;
        r22 = r8;
        r23 = r9;
        goto L_0x0367;
    L_0x02f0:
        r16 = r4;
        r17 = r6;
        r24 = r7;
        r22 = r8;
        r23 = r9;
        if (r24 == 0) goto L_0x0302;
    L_0x02fc:
        r1 = r24;
        r1.close();
        goto L_0x0304;
    L_0x0302:
        r1 = r24;
    L_0x0304:
        r7 = r1;
        goto L_0x0382;
    L_0x0307:
        r0 = move-exception;
        r16 = r4;
        r17 = r6;
        r1 = r7;
        r22 = r8;
        r23 = r9;
        r27 = r3;
        goto L_0x0386;
    L_0x0315:
        r0 = move-exception;
        r16 = r4;
        r17 = r6;
        r1 = r7;
        r22 = r8;
        r23 = r9;
        goto L_0x0340;
    L_0x0320:
        r0 = move-exception;
        r16 = r4;
        r17 = r6;
        r1 = r7;
        r22 = r8;
        r23 = r9;
        goto L_0x0367;
    L_0x032b:
        r0 = move-exception;
        r16 = r4;
        r17 = r6;
        r22 = r8;
        r23 = r9;
        r27 = r3;
        goto L_0x0386;
    L_0x0337:
        r0 = move-exception;
        r16 = r4;
        r17 = r6;
        r22 = r8;
        r23 = r9;
    L_0x0340:
        r1 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0383 }
        r1.<init>();	 Catch:{ all -> 0x0383 }
        r2 = "findAppQoERecByFreqLoc Exception: ";
        r1.append(r2);	 Catch:{ all -> 0x0383 }
        r2 = r0.getMessage();	 Catch:{ all -> 0x0383 }
        r1.append(r2);	 Catch:{ all -> 0x0383 }
        r1 = r1.toString();	 Catch:{ all -> 0x0383 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r1);	 Catch:{ all -> 0x0383 }
        if (r7 == 0) goto L_0x0382;
    L_0x035a:
        r7.close();
        goto L_0x0382;
    L_0x035e:
        r0 = move-exception;
        r16 = r4;
        r17 = r6;
        r22 = r8;
        r23 = r9;
    L_0x0367:
        r1 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0383 }
        r1.<init>();	 Catch:{ all -> 0x0383 }
        r2 = "findAppQoERecByFreqLoc IllegalArgumentException: ";
        r1.append(r2);	 Catch:{ all -> 0x0383 }
        r2 = r0.getMessage();	 Catch:{ all -> 0x0383 }
        r1.append(r2);	 Catch:{ all -> 0x0383 }
        r1 = r1.toString();	 Catch:{ all -> 0x0383 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r1);	 Catch:{ all -> 0x0383 }
        if (r7 == 0) goto L_0x0382;
    L_0x0381:
        goto L_0x035a;
    L_0x0382:
        return r5;
    L_0x0383:
        r0 = move-exception;
        r27 = r3;
    L_0x0386:
        if (r7 == 0) goto L_0x038b;
    L_0x0388:
        r7.close();
    L_0x038b:
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.dao.SpaceUserDAO.findAppQoERecByFreqLoc(java.lang.String):java.util.HashMap<java.lang.Integer, android.os.Bundle>");
    }

    /* JADX WARNING: Removed duplicated region for block: B:88:0x02c6  */
    /* JADX WARNING: Removed duplicated region for block: B:92:0x02cb  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x02c6  */
    /* JADX WARNING: Removed duplicated region for block: B:92:0x02cb  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x02c6  */
    /* JADX WARNING: Removed duplicated region for block: B:92:0x02cb  */
    /* JADX WARNING: Removed duplicated region for block: B:92:0x02cb  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x02c6  */
    /* JADX WARNING: Removed duplicated region for block: B:92:0x02cb  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x02c6  */
    /* JADX WARNING: Removed duplicated region for block: B:92:0x02cb  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x02c6  */
    /* JADX WARNING: Removed duplicated region for block: B:92:0x02cb  */
    /* JADX WARNING: Removed duplicated region for block: B:88:0x02c6  */
    /* JADX WARNING: Removed duplicated region for block: B:92:0x02cb  */
    /* JADX WARNING: Missing block: B:81:0x02a0, code:
            if (r7 != null) goto L_0x02a2;
     */
    public java.util.HashMap<java.lang.Integer, android.os.Bundle> findUserExpRecByFreqLoc(java.lang.String r41) {
        /*
        r40 = this;
        r1 = r40;
        r2 = r41;
        r3 = "SELECT SPACEID, MODEL_VER_ALLAP, SPACEIDMAIN, MODEL_VER_MAINAP, COUNT(DISTINCT NETWORKID) NWIDCNT, NETWORKNAME, COUNT(DISTINCT NETWORKFREQ) NWFREQCNT, NW_TYPE, COUNT(DISTINCT UPDATE_DATE) REC,SUM(DURATION_CONNECTED), SUM(DATA_RX), SUM(DATA_TX), SUM(SIGNAL_VALUE*DURATION_CONNECTED)/SUM(DURATION_CONNECTED) AVG_SIGNAL, SUM(USER_PREF_OPT_IN), SUM(USER_PREF_OPT_OUT), SUM(USER_PREF_STAY), SUM(POWER_CONSUMPTION) FROM SPACEUSER_BASE WHERE SCRBID = ? AND FREQLOCNAME = ? AND (SPACEID != 0 OR SPACEIDMAIN != 0) GROUP BY NETWORKNAME, SPACEID, MODEL_VER_ALLAP, SPACEIDMAIN, MODEL_VER_MAINAP, NW_TYPE ORDER BY SUM(DURATION_CONNECTED) DESC";
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r4 = "findUserPrefByFreqLoc:";
        r0.append(r4);
        r0.append(r3);
        r4 = ",FreqLoc:";
        r0.append(r4);
        r0.append(r2);
        r0 = r0.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);
        r0 = 2;
        r0 = new java.lang.String[r0];
        r4 = r1.ScrbId;
        r5 = 0;
        r0[r5] = r4;
        r4 = 1;
        r0[r4] = r2;
        r4 = r0;
        r5 = 0;
        r0 = new java.util.HashMap;
        r0.<init>();
        r6 = r0;
        r7 = 0;
        r0 = r1.db;
        if (r0 != 0) goto L_0x003b;
    L_0x003a:
        return r6;
    L_0x003b:
        r0 = r1.db;	 Catch:{ IllegalArgumentException -> 0x02a6, Exception -> 0x0282, all -> 0x027b }
        r0 = r0.rawQuery(r3, r4);	 Catch:{ IllegalArgumentException -> 0x02a6, Exception -> 0x0282, all -> 0x027b }
        r7 = r0;
    L_0x0042:
        r0 = r7.moveToNext();	 Catch:{ IllegalArgumentException -> 0x0273, Exception -> 0x026b, all -> 0x0262 }
        if (r0 == 0) goto L_0x024e;
    L_0x0048:
        r5 = r5 + 1;
        r0 = "SPACEID";
        r0 = r7.getColumnIndexOrThrow(r0);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r0 = r7.getString(r0);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r8 = "MODEL_VER_ALLAP";
        r8 = r7.getColumnIndexOrThrow(r8);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r8 = r7.getString(r8);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r9 = "SPACEIDMAIN";
        r9 = r7.getColumnIndexOrThrow(r9);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r9 = r7.getString(r9);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r10 = "MODEL_VER_MAINAP";
        r10 = r7.getColumnIndexOrThrow(r10);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r10 = r7.getString(r10);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r11 = "NWIDCNT";
        r11 = r7.getColumnIndexOrThrow(r11);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r11 = r7.getInt(r11);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r12 = "NETWORKNAME";
        r12 = r7.getColumnIndexOrThrow(r12);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r12 = r7.getString(r12);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r13 = "NWFREQCNT";
        r13 = r7.getColumnIndexOrThrow(r13);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r13 = r7.getShort(r13);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r14 = "NW_TYPE";
        r14 = r7.getColumnIndexOrThrow(r14);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r14 = r7.getInt(r14);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r15 = "REC";
        r15 = r7.getColumnIndexOrThrow(r15);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r15 = r7.getShort(r15);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r1 = "SUM(DURATION_CONNECTED)";
        r1 = r7.getColumnIndexOrThrow(r1);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r16 = r7.getLong(r1);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r18 = r16;
        r1 = "SUM(DATA_RX)";
        r1 = r7.getColumnIndexOrThrow(r1);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r16 = r7.getLong(r1);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r20 = r16;
        r1 = "SUM(DATA_TX)";
        r1 = r7.getColumnIndexOrThrow(r1);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r16 = r7.getLong(r1);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r22 = r16;
        r1 = "AVG_SIGNAL";
        r1 = r7.getColumnIndexOrThrow(r1);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r1 = r7.getShort(r1);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r2 = "SUM(USER_PREF_OPT_IN)";
        r2 = r7.getColumnIndexOrThrow(r2);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r2 = r7.getInt(r2);	 Catch:{ IllegalArgumentException -> 0x0244, Exception -> 0x023b, all -> 0x0231 }
        r24 = r3;
        r3 = "SUM(USER_PREF_OPT_OUT)";
        r3 = r7.getColumnIndexOrThrow(r3);	 Catch:{ IllegalArgumentException -> 0x0229, Exception -> 0x0221, all -> 0x0219 }
        r3 = r7.getInt(r3);	 Catch:{ IllegalArgumentException -> 0x0229, Exception -> 0x0221, all -> 0x0219 }
        r25 = r4;
        r4 = "SUM(USER_PREF_STAY)";
        r4 = r7.getColumnIndexOrThrow(r4);	 Catch:{ IllegalArgumentException -> 0x0213, Exception -> 0x020d, all -> 0x0207 }
        r4 = r7.getInt(r4);	 Catch:{ IllegalArgumentException -> 0x0213, Exception -> 0x020d, all -> 0x0207 }
        r26 = r6;
        r6 = "SUM(POWER_CONSUMPTION)";
        r6 = r7.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x0200, Exception -> 0x01f9, all -> 0x01f2 }
        r16 = r7.getLong(r6);	 Catch:{ IllegalArgumentException -> 0x0200, Exception -> 0x01f9, all -> 0x01f2 }
        r27 = r16;
        r6 = new android.os.Bundle;	 Catch:{ IllegalArgumentException -> 0x0200, Exception -> 0x01f9, all -> 0x01f2 }
        r6.<init>();	 Catch:{ IllegalArgumentException -> 0x0200, Exception -> 0x01f9, all -> 0x01f2 }
        r29 = r7;
        r7 = "spaceid";
        r6.putString(r7, r0);	 Catch:{ IllegalArgumentException -> 0x01eb, Exception -> 0x01e4, all -> 0x01dd }
        r7 = "modelVerAllap";
        r6.putString(r7, r8);	 Catch:{ IllegalArgumentException -> 0x01eb, Exception -> 0x01e4, all -> 0x01dd }
        r7 = "spaceidmain";
        r6.putString(r7, r9);	 Catch:{ IllegalArgumentException -> 0x01eb, Exception -> 0x01e4, all -> 0x01dd }
        r7 = "modelVerMainap";
        r6.putString(r7, r10);	 Catch:{ IllegalArgumentException -> 0x01eb, Exception -> 0x01e4, all -> 0x01dd }
        r7 = "nwidcnt";
        r6.putInt(r7, r11);	 Catch:{ IllegalArgumentException -> 0x01eb, Exception -> 0x01e4, all -> 0x01dd }
        r7 = "networkname";
        r6.putString(r7, r12);	 Catch:{ IllegalArgumentException -> 0x01eb, Exception -> 0x01e4, all -> 0x01dd }
        r7 = "nwfreqcnt";
        r6.putShort(r7, r13);	 Catch:{ IllegalArgumentException -> 0x01eb, Exception -> 0x01e4, all -> 0x01dd }
        r7 = "nwType";
        r6.putInt(r7, r14);	 Catch:{ IllegalArgumentException -> 0x01eb, Exception -> 0x01e4, all -> 0x01dd }
        r7 = "rec";
        r6.putShort(r7, r15);	 Catch:{ IllegalArgumentException -> 0x01eb, Exception -> 0x01e4, all -> 0x01dd }
        r7 = "duration_connected";
        r30 = r8;
        r31 = r9;
        r8 = r18;
        r6.putLong(r7, r8);	 Catch:{ IllegalArgumentException -> 0x01eb, Exception -> 0x01e4, all -> 0x01dd }
        r7 = "datarx";
        r32 = r10;
        r33 = r11;
        r10 = r20;
        r6.putLong(r7, r10);	 Catch:{ IllegalArgumentException -> 0x01eb, Exception -> 0x01e4, all -> 0x01dd }
        r7 = "datatx";
        r34 = r10;
        r10 = r22;
        r6.putLong(r7, r10);	 Catch:{ IllegalArgumentException -> 0x01eb, Exception -> 0x01e4, all -> 0x01dd }
        r7 = "avgSignal";
        r6.putShort(r7, r1);	 Catch:{ IllegalArgumentException -> 0x01eb, Exception -> 0x01e4, all -> 0x01dd }
        r7 = "user_pref_opt_in";
        r6.putInt(r7, r2);	 Catch:{ IllegalArgumentException -> 0x01eb, Exception -> 0x01e4, all -> 0x01dd }
        r7 = "user_pref_opt_out";
        r6.putInt(r7, r3);	 Catch:{ IllegalArgumentException -> 0x01eb, Exception -> 0x01e4, all -> 0x01dd }
        r7 = "user_pref_stay";
        r6.putInt(r7, r4);	 Catch:{ IllegalArgumentException -> 0x01eb, Exception -> 0x01e4, all -> 0x01dd }
        r7 = "powerconsumption";
        r36 = r0;
        r37 = r1;
        r0 = r27;
        r6.putLong(r7, r0);	 Catch:{ IllegalArgumentException -> 0x01eb, Exception -> 0x01e4, all -> 0x01dd }
        r7 = java.lang.Integer.valueOf(r5);	 Catch:{ IllegalArgumentException -> 0x01eb, Exception -> 0x01e4, all -> 0x01dd }
        r38 = r0;
        r1 = r26;
        r1.put(r7, r6);	 Catch:{ IllegalArgumentException -> 0x01d8, Exception -> 0x01d3, all -> 0x01ce }
        r0 = new java.lang.StringBuilder;	 Catch:{ IllegalArgumentException -> 0x01d8, Exception -> 0x01d3, all -> 0x01ce }
        r0.<init>();	 Catch:{ IllegalArgumentException -> 0x01d8, Exception -> 0x01d3, all -> 0x01ce }
        r7 = " networkname:";
        r0.append(r7);	 Catch:{ IllegalArgumentException -> 0x01d8, Exception -> 0x01d3, all -> 0x01ce }
        r0.append(r12);	 Catch:{ IllegalArgumentException -> 0x01d8, Exception -> 0x01d3, all -> 0x01ce }
        r7 = ",type:";
        r0.append(r7);	 Catch:{ IllegalArgumentException -> 0x01d8, Exception -> 0x01d3, all -> 0x01ce }
        r0.append(r14);	 Catch:{ IllegalArgumentException -> 0x01d8, Exception -> 0x01d3, all -> 0x01ce }
        r7 = ",user_pref_opt_in:";
        r0.append(r7);	 Catch:{ IllegalArgumentException -> 0x01d8, Exception -> 0x01d3, all -> 0x01ce }
        r0.append(r2);	 Catch:{ IllegalArgumentException -> 0x01d8, Exception -> 0x01d3, all -> 0x01ce }
        r7 = ",user_pref_opt_out:";
        r0.append(r7);	 Catch:{ IllegalArgumentException -> 0x01d8, Exception -> 0x01d3, all -> 0x01ce }
        r0.append(r3);	 Catch:{ IllegalArgumentException -> 0x01d8, Exception -> 0x01d3, all -> 0x01ce }
        r7 = ",user_pref_stay:";
        r0.append(r7);	 Catch:{ IllegalArgumentException -> 0x01d8, Exception -> 0x01d3, all -> 0x01ce }
        r0.append(r4);	 Catch:{ IllegalArgumentException -> 0x01d8, Exception -> 0x01d3, all -> 0x01ce }
        r7 = ",duration_connected:";
        r0.append(r7);	 Catch:{ IllegalArgumentException -> 0x01d8, Exception -> 0x01d3, all -> 0x01ce }
        r0.append(r8);	 Catch:{ IllegalArgumentException -> 0x01d8, Exception -> 0x01d3, all -> 0x01ce }
        r0 = r0.toString();	 Catch:{ IllegalArgumentException -> 0x01d8, Exception -> 0x01d3, all -> 0x01ce }
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);	 Catch:{ IllegalArgumentException -> 0x01d8, Exception -> 0x01d3, all -> 0x01ce }
        r6 = r1;
        r3 = r24;
        r4 = r25;
        r7 = r29;
        r1 = r40;
        r2 = r41;
        goto L_0x0042;
    L_0x01ce:
        r0 = move-exception;
        r7 = r29;
        goto L_0x02c9;
    L_0x01d3:
        r0 = move-exception;
        r7 = r29;
        goto L_0x0288;
    L_0x01d8:
        r0 = move-exception;
        r7 = r29;
        goto L_0x02ac;
    L_0x01dd:
        r0 = move-exception;
        r1 = r26;
        r7 = r29;
        goto L_0x02c9;
    L_0x01e4:
        r0 = move-exception;
        r1 = r26;
        r7 = r29;
        goto L_0x0288;
    L_0x01eb:
        r0 = move-exception;
        r1 = r26;
        r7 = r29;
        goto L_0x02ac;
    L_0x01f2:
        r0 = move-exception;
        r29 = r7;
        r1 = r26;
        goto L_0x02c9;
    L_0x01f9:
        r0 = move-exception;
        r29 = r7;
        r1 = r26;
        goto L_0x0288;
    L_0x0200:
        r0 = move-exception;
        r29 = r7;
        r1 = r26;
        goto L_0x02ac;
    L_0x0207:
        r0 = move-exception;
        r1 = r6;
        r29 = r7;
        goto L_0x02c9;
    L_0x020d:
        r0 = move-exception;
        r1 = r6;
        r29 = r7;
        goto L_0x0288;
    L_0x0213:
        r0 = move-exception;
        r1 = r6;
        r29 = r7;
        goto L_0x02ac;
    L_0x0219:
        r0 = move-exception;
        r25 = r4;
        r1 = r6;
        r29 = r7;
        goto L_0x02c9;
    L_0x0221:
        r0 = move-exception;
        r25 = r4;
        r1 = r6;
        r29 = r7;
        goto L_0x0288;
    L_0x0229:
        r0 = move-exception;
        r25 = r4;
        r1 = r6;
        r29 = r7;
        goto L_0x02ac;
    L_0x0231:
        r0 = move-exception;
        r24 = r3;
        r25 = r4;
        r1 = r6;
        r29 = r7;
        goto L_0x02c9;
    L_0x023b:
        r0 = move-exception;
        r24 = r3;
        r25 = r4;
        r1 = r6;
        r29 = r7;
        goto L_0x0288;
    L_0x0244:
        r0 = move-exception;
        r24 = r3;
        r25 = r4;
        r1 = r6;
        r29 = r7;
        goto L_0x02ac;
    L_0x024e:
        r24 = r3;
        r25 = r4;
        r1 = r6;
        r29 = r7;
        if (r29 == 0) goto L_0x025d;
    L_0x0257:
        r2 = r29;
        r2.close();
        goto L_0x025f;
    L_0x025d:
        r2 = r29;
    L_0x025f:
        r7 = r2;
        goto L_0x02c7;
    L_0x0262:
        r0 = move-exception;
        r24 = r3;
        r25 = r4;
        r1 = r6;
        r2 = r7;
        goto L_0x02c9;
    L_0x026b:
        r0 = move-exception;
        r24 = r3;
        r25 = r4;
        r1 = r6;
        r2 = r7;
        goto L_0x0288;
    L_0x0273:
        r0 = move-exception;
        r24 = r3;
        r25 = r4;
        r1 = r6;
        r2 = r7;
        goto L_0x02ac;
    L_0x027b:
        r0 = move-exception;
        r24 = r3;
        r25 = r4;
        r1 = r6;
        goto L_0x02c9;
    L_0x0282:
        r0 = move-exception;
        r24 = r3;
        r25 = r4;
        r1 = r6;
    L_0x0288:
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x02c8 }
        r2.<init>();	 Catch:{ all -> 0x02c8 }
        r3 = "findUserPrefByFreqLoc Exception: ";
        r2.append(r3);	 Catch:{ all -> 0x02c8 }
        r3 = r0.getMessage();	 Catch:{ all -> 0x02c8 }
        r2.append(r3);	 Catch:{ all -> 0x02c8 }
        r2 = r2.toString();	 Catch:{ all -> 0x02c8 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r2);	 Catch:{ all -> 0x02c8 }
        if (r7 == 0) goto L_0x02c7;
    L_0x02a2:
        r7.close();
        goto L_0x02c7;
    L_0x02a6:
        r0 = move-exception;
        r24 = r3;
        r25 = r4;
        r1 = r6;
    L_0x02ac:
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x02c8 }
        r2.<init>();	 Catch:{ all -> 0x02c8 }
        r3 = "findUserPrefByFreqLoc IllegalArgumentException: ";
        r2.append(r3);	 Catch:{ all -> 0x02c8 }
        r3 = r0.getMessage();	 Catch:{ all -> 0x02c8 }
        r2.append(r3);	 Catch:{ all -> 0x02c8 }
        r2 = r2.toString();	 Catch:{ all -> 0x02c8 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r2);	 Catch:{ all -> 0x02c8 }
        if (r7 == 0) goto L_0x02c7;
    L_0x02c6:
        goto L_0x02a2;
    L_0x02c7:
        return r1;
    L_0x02c8:
        r0 = move-exception;
    L_0x02c9:
        if (r7 == 0) goto L_0x02ce;
    L_0x02cb:
        r7.close();
    L_0x02ce:
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.dao.SpaceUserDAO.findUserExpRecByFreqLoc(java.lang.String):java.util.HashMap<java.lang.Integer, android.os.Bundle>");
    }

    /* JADX WARNING: Missing block: B:9:0x00d6, code:
            if (r8 != null) goto L_0x00d8;
     */
    public android.os.Bundle getUerPrefTotalCountDurationByAllApSpaces(java.lang.String r17, java.lang.String r18, java.lang.String r19) {
        /*
        r16 = this;
        r1 = r16;
        r2 = r17;
        r3 = "SELECT SUM(DURATION_CONNECTED), SUM(USER_PREF_OPT_IN), SUM(USER_PREF_OPT_OUT), SUM(USER_PREF_STAY) FROM SPACEUSER_BASE WHERE SCRBID = ? AND FREQLOCNAME = ? AND SPACEID = ? AND MODEL_VER_ALLAP = ? GROUP BY SPACEID, MODEL_VER_ALLAP";
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r4 = "getUerPrefTotalCountDurationByAllApSpaces:";
        r0.append(r4);
        r0.append(r3);
        r4 = ",FreqLoc:";
        r0.append(r4);
        r0.append(r2);
        r0 = r0.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);
        r0 = 4;
        r0 = new java.lang.String[r0];
        r4 = r1.ScrbId;
        r5 = 0;
        r0[r5] = r4;
        r4 = 1;
        r0[r4] = r2;
        r4 = 2;
        r0[r4] = r18;
        r4 = 3;
        r0[r4] = r19;
        r4 = r0;
        r6 = 0;
        r0 = new android.os.Bundle;
        r0.<init>();
        r7 = r0;
        r8 = 0;
        r0 = r1.db;
        if (r0 != 0) goto L_0x0041;
    L_0x0040:
        return r7;
    L_0x0041:
        r0 = r1.db;	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r0 = r0.rawQuery(r3, r4);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r8 = r0;
    L_0x0048:
        r0 = r8.moveToNext();	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        if (r0 == 0) goto L_0x00d6;
    L_0x004e:
        r6 = r6 + 1;
        r0 = "SUM(DURATION_CONNECTED)";
        r0 = r8.getColumnIndexOrThrow(r0);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r9 = r8.getLong(r0);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r0 = "SUM(USER_PREF_OPT_IN)";
        r0 = r8.getColumnIndexOrThrow(r0);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r0 = r8.getInt(r0);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r11 = "SUM(USER_PREF_OPT_OUT)";
        r11 = r8.getColumnIndexOrThrow(r11);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r11 = r8.getInt(r11);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r12 = "SUM(USER_PREF_STAY)";
        r12 = r8.getColumnIndexOrThrow(r12);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r12 = r8.getInt(r12);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r13 = r0 + r11;
        r13 = (float) r13;	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r14 = 1073741824; // 0x40000000 float:2.0 double:5.304989477E-315;
        r13 = r13 / r14;
        r13 = java.lang.Math.round(r13);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r13 = r13 + r12;
        r14 = "totalDuration";
        r1 = (int) r9;	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r1 = r1 / 1000;
        r7.putInt(r14, r1);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r1 = "totalCount";
        r7.putInt(r1, r13);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r1 = new java.lang.StringBuilder;	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r1.<init>();	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r14 = " totalDuration:";
        r1.append(r14);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r14 = (int) r9;	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r14 = r14 / 1000;
        r1.append(r14);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r14 = ",totalCount:";
        r1.append(r14);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r1.append(r13);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r14 = ",user_pref_opt_in:";
        r1.append(r14);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r1.append(r0);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r14 = ",user_pref_opt_out:";
        r1.append(r14);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r1.append(r11);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r14 = ",user_pref_stay:";
        r1.append(r14);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r1.append(r12);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r14 = ",duration_connected:";
        r1.append(r14);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r1.append(r9);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r1 = r1.toString();	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        com.android.server.hidata.wavemapping.util.LogUtil.i(r1);	 Catch:{ IllegalArgumentException -> 0x00fa, Exception -> 0x00de }
        r1 = r16;
        goto L_0x0048;
    L_0x00d6:
        if (r8 == 0) goto L_0x0116;
    L_0x00d8:
        r8.close();
        goto L_0x0116;
    L_0x00dc:
        r0 = move-exception;
        goto L_0x0117;
    L_0x00de:
        r0 = move-exception;
        r1 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00dc }
        r1.<init>();	 Catch:{ all -> 0x00dc }
        r9 = "getUerPrefTotalCountDurationByAllApSpaces Exception: ";
        r1.append(r9);	 Catch:{ all -> 0x00dc }
        r9 = r0.getMessage();	 Catch:{ all -> 0x00dc }
        r1.append(r9);	 Catch:{ all -> 0x00dc }
        r1 = r1.toString();	 Catch:{ all -> 0x00dc }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r1);	 Catch:{ all -> 0x00dc }
        if (r8 == 0) goto L_0x0116;
    L_0x00f9:
        goto L_0x00d8;
    L_0x00fa:
        r0 = move-exception;
        r1 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00dc }
        r1.<init>();	 Catch:{ all -> 0x00dc }
        r9 = "getUerPrefTotalCountDurationByAllApSpaces IllegalArgumentException: ";
        r1.append(r9);	 Catch:{ all -> 0x00dc }
        r9 = r0.getMessage();	 Catch:{ all -> 0x00dc }
        r1.append(r9);	 Catch:{ all -> 0x00dc }
        r1 = r1.toString();	 Catch:{ all -> 0x00dc }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r1);	 Catch:{ all -> 0x00dc }
        if (r8 == 0) goto L_0x0116;
    L_0x0115:
        goto L_0x00d8;
    L_0x0116:
        return r7;
    L_0x0117:
        if (r8 == 0) goto L_0x011c;
    L_0x0119:
        r8.close();
    L_0x011c:
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.dao.SpaceUserDAO.getUerPrefTotalCountDurationByAllApSpaces(java.lang.String, java.lang.String, java.lang.String):android.os.Bundle");
    }

    /* JADX WARNING: Missing block: B:9:0x00a8, code:
            if (r1 != null) goto L_0x00aa;
     */
    private android.os.Bundle queryCoverage(java.lang.String r10, java.lang.String[] r11) {
        /*
        r9 = this;
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r1 = "query4gCoverage: aql=";
        r0.append(r1);
        r0.append(r10);
        r1 = " ,args=";
        r0.append(r1);
        r1 = r11.length;
        r2 = 1;
        r1 = java.util.Arrays.copyOfRange(r11, r2, r1);
        r1 = java.util.Arrays.toString(r1);
        r0.append(r1);
        r0 = r0.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);
        r0 = new android.os.Bundle;
        r0.<init>();
        r1 = 0;
        r2 = r9.db;
        if (r2 != 0) goto L_0x0031;
    L_0x0030:
        return r0;
    L_0x0031:
        r2 = r9.db;	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r2 = r2.rawQuery(r10, r11);	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r1 = r2;
    L_0x0038:
        r2 = r1.moveToNext();	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        if (r2 == 0) goto L_0x00a8;
    L_0x003e:
        r2 = "CELL_NUM";
        r2 = r1.getColumnIndexOrThrow(r2);	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r2 = r1.getInt(r2);	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r3 = "AVG_SIGNAL";
        r3 = r1.getColumnIndexOrThrow(r3);	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r3 = r1.getInt(r3);	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r4 = "TOTAL_DURATION";
        r4 = r1.getColumnIndexOrThrow(r4);	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r4 = r1.getLong(r4);	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r6 = "NW_TYPE";
        r6 = r1.getColumnIndexOrThrow(r6);	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r6 = r1.getInt(r6);	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r7 = "networktype";
        r0.putInt(r7, r6);	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r7 = "cell_num";
        r0.putInt(r7, r2);	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r7 = "avg_signal";
        r0.putInt(r7, r3);	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r7 = "total_duration";
        r0.putLong(r7, r4);	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r7 = new java.lang.StringBuilder;	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r7.<init>();	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r8 = " type:";
        r7.append(r8);	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r7.append(r6);	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r8 = ",cell_num:";
        r7.append(r8);	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r7.append(r2);	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r8 = ",avg_signal:";
        r7.append(r8);	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r7.append(r3);	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r8 = ",total_duration:";
        r7.append(r8);	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r7.append(r4);	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        r7 = r7.toString();	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        com.android.server.hidata.wavemapping.util.LogUtil.i(r7);	 Catch:{ IllegalArgumentException -> 0x00cc, Exception -> 0x00b0 }
        goto L_0x0038;
    L_0x00a8:
        if (r1 == 0) goto L_0x00e8;
    L_0x00aa:
        r1.close();
        goto L_0x00e8;
    L_0x00ae:
        r2 = move-exception;
        goto L_0x00e9;
    L_0x00b0:
        r2 = move-exception;
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00ae }
        r3.<init>();	 Catch:{ all -> 0x00ae }
        r4 = "query4gCoverage Exception: ";
        r3.append(r4);	 Catch:{ all -> 0x00ae }
        r4 = r2.getMessage();	 Catch:{ all -> 0x00ae }
        r3.append(r4);	 Catch:{ all -> 0x00ae }
        r3 = r3.toString();	 Catch:{ all -> 0x00ae }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r3);	 Catch:{ all -> 0x00ae }
        if (r1 == 0) goto L_0x00e8;
    L_0x00cb:
        goto L_0x00aa;
    L_0x00cc:
        r2 = move-exception;
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00ae }
        r3.<init>();	 Catch:{ all -> 0x00ae }
        r4 = "query4gCoverage IllegalArgumentException: ";
        r3.append(r4);	 Catch:{ all -> 0x00ae }
        r4 = r2.getMessage();	 Catch:{ all -> 0x00ae }
        r3.append(r4);	 Catch:{ all -> 0x00ae }
        r3 = r3.toString();	 Catch:{ all -> 0x00ae }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r3);	 Catch:{ all -> 0x00ae }
        if (r1 == 0) goto L_0x00e8;
    L_0x00e7:
        goto L_0x00aa;
    L_0x00e8:
        return r0;
    L_0x00e9:
        if (r1 == 0) goto L_0x00ee;
    L_0x00eb:
        r1.close();
    L_0x00ee:
        throw r2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.dao.SpaceUserDAO.queryCoverage(java.lang.String, java.lang.String[]):android.os.Bundle");
    }
}
