package com.android.server.hidata.wavemapping.dataprovider;

public class BehaviorReceiver {
    private static final java.lang.String PG_AR_STATE_ACTION = "com.huawei.intent.action.PG_AR_STATE_ACTION";
    private static final java.lang.String PG_RECEIVER_PERMISSION = "com.huawei.powergenie.receiverPermission";
    private static final int STEP_INCREASE_THRESHOLD = 5;
    private static final long STEP_RELEASE_THRESHOLD = 5000;
    public static final java.lang.String TAG;
    private static int batch = 1;
    private static boolean mIsStationary = false;
    private static boolean oldSimReady = false;
    private static boolean screenState = true;
    private android.content.BroadcastReceiver arReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (intent != null) {
                boolean mIsStationaryTmp = intent.getBooleanExtra("stationary", false);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Stationary =");
                stringBuilder.append(mIsStationaryTmp);
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                if (com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.mIsStationary != mIsStationaryTmp) {
                    com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.access$108();
                    com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.mIsStationary = mIsStationaryTmp;
                    if (com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.this.mMachineHandler != null) {
                        if (com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.mIsStationary) {
                            com.android.server.hidata.wavemapping.util.LogUtil.i("arReceiver: send STATION");
                            com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.this.mMachineHandler.sendEmptyMessage(113);
                        } else {
                            com.android.server.hidata.wavemapping.util.LogUtil.i("arReceiver send MOVE");
                            com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.this.mMachineHandler.sendEmptyMessage(110);
                            com.android.server.hidata.wavemapping.util.ShowToast.showToast("Moving by AR");
                        }
                    }
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("AR Status Changed, batch =");
                    stringBuilder.append(com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.batch);
                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                }
            }
        }
    };
    private com.android.server.hidata.wavemapping.dao.BehaviorDAO behaviorDAO;
    private java.util.concurrent.atomic.AtomicBoolean mAccSensorRegistered = new java.util.concurrent.atomic.AtomicBoolean(false);
    private com.android.server.hidata.wavemapping.chr.BuildBenefitStatisticsChrInfo mBuildBenefitStatisticsChrInfo = null;
    private com.android.server.hidata.wavemapping.chr.BuildSpaceUserStatisticsChrInfo mBuildSpaceUserStatisticsChrInfo = null;
    private android.content.Context mCtx;
    private com.android.server.hidata.wavemapping.dataprovider.FrequentLocation mFrequentLocation = null;
    private int mLastStepCnt;
    private int mLastWifiBatch;
    private int mLastWifiStepCnt;
    private com.android.server.hidata.wavemapping.dao.LocationDAO mLocationDAO;
    private android.os.Handler mMachineHandler;
    private final com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.StepSensorEventListener mSensorEventListener = new com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.StepSensorEventListener();
    private android.hardware.SensorManager mSensorManager;
    private android.hardware.Sensor mStepCntSensor;
    private com.android.server.hidata.wavemapping.entity.ParameterInfo param;
    private int savedBatch = 0;
    private android.content.BroadcastReceiver screenReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            com.android.server.hidata.wavemapping.util.LogUtil.i("receive screen state");
            java.lang.StringBuilder stringBuilder;
            if ("android.intent.action.SCREEN_ON".equals(intent.getAction())) {
                com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.access$108();
                com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.screenState = true;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("BehaviorReceiver screenOn = ");
                stringBuilder.append(com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.screenState);
                stringBuilder.append(", batch = ");
                stringBuilder.append(com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.batch);
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.this.registerStepCntSensor();
            } else if ("android.intent.action.SCREEN_OFF".equals(intent.getAction())) {
                com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.access$108();
                com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.screenState = false;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("BehaviorReceiver screenOff = ");
                stringBuilder.append(com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.screenState);
                stringBuilder.append(", batch = ");
                stringBuilder.append(com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.batch);
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.this.saveBatch();
                com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.this.unregisterStepCntSensor();
            }
        }
    };
    private android.content.BroadcastReceiver simReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            try {
                if ("android.intent.action.SIM_STATE_CHANGED".equals(intent.getAction())) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("BehaviorReceiver SIM state changed ");
                    stringBuilder.append(intent.getAction());
                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                    if (com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.this.mMachineHandler != null) {
                        android.telephony.TelephonyManager tm = (android.telephony.TelephonyManager) com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.this.mCtx.getSystemService("phone");
                        if (tm == null || 5 != tm.getSimState()) {
                            com.android.server.hidata.wavemapping.util.LogUtil.i("SIM invalid");
                            if (com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.oldSimReady) {
                                com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.this.mMachineHandler.sendEmptyMessage(94);
                            }
                            com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.oldSimReady = false;
                        } else {
                            com.android.server.hidata.wavemapping.util.LogUtil.i("SIM ready");
                            if (!com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.oldSimReady) {
                                com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.this.mMachineHandler.sendEmptyMessage(94);
                            }
                            com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.oldSimReady = true;
                        }
                    }
                }
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("simReceiver:");
                stringBuilder2.append(e.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
            }
        }
    };
    private android.content.BroadcastReceiver usbReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            com.android.server.hidata.wavemapping.util.LogUtil.i("receive power state");
            if ("android.intent.action.ACTION_POWER_CONNECTED".equals(intent.getAction())) {
                com.android.server.hidata.wavemapping.util.LogUtil.i("BehaviorReceiver Power Connected ");
                com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.this.uploadBenefitCHR();
                com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.this.uploadSpaceUserCHR();
            } else if ("android.intent.action.ACTION_POWER_DISCONNECTED".equals(intent.getAction())) {
                com.android.server.hidata.wavemapping.util.LogUtil.i("BehaviorReceiver Power Disconnected ");
                com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.this.uploadBenefitCHR();
                com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.this.uploadSpaceUserCHR();
            }
        }
    };

    class StepSensorEventListener implements android.hardware.SensorEventListener {
        private int mMotionDetectedCnt = 0;
        private long mSensorEventRcvdTs = -1;

        public StepSensorEventListener() {
            com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.this.mLastStepCnt = 0;
        }

        public void reset() {
            com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.this.mLastStepCnt = 0;
            this.mMotionDetectedCnt = 0;
            this.mSensorEventRcvdTs = -1;
        }

        public void onSensorChanged(android.hardware.SensorEvent event) {
            if (event != null && event.sensor != null && event.sensor.getType() == 19) {
                long currentTimestamp = java.lang.System.currentTimeMillis();
                int currentStepCnt = (int) event.values[0];
                if (com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.this.mMachineHandler != null) {
                    if (currentStepCnt - com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.this.mLastStepCnt > 0) {
                        this.mMotionDetectedCnt++;
                        if (this.mMotionDetectedCnt == 5) {
                            com.android.server.hidata.wavemapping.util.LogUtil.i("step counter: send MOVE");
                            this.mMotionDetectedCnt = 0;
                            com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.this.mMachineHandler.sendEmptyMessage(110);
                        }
                    } else if (this.mSensorEventRcvdTs > 0 && currentTimestamp - this.mSensorEventRcvdTs > 5000) {
                        this.mMotionDetectedCnt = 0;
                        com.android.server.hidata.wavemapping.util.LogUtil.i("Step Counter: send STATION");
                        com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.this.mMachineHandler.sendEmptyMessage(113);
                    }
                    com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.this.mLastStepCnt = currentStepCnt;
                    this.mSensorEventRcvdTs = currentTimestamp;
                }
            }
        }

        public void onAccuracyChanged(android.hardware.Sensor sensor, int accuracy) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("SensorEventListener::onAccuracyChanged, accuracy = ");
            stringBuilder.append(accuracy);
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        }
    }

    static /* synthetic */ int access$108() {
        int i = batch;
        batch = i + 1;
        return i;
    }

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMapping.");
        stringBuilder.append(com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    public BehaviorReceiver(android.os.Handler handler) {
        com.android.server.hidata.wavemapping.util.LogUtil.i("BehaviorReceiverHandler");
        this.mCtx = com.android.server.hidata.wavemapping.cons.ContextManager.getInstance().getContext();
        try {
            this.param = com.android.server.hidata.wavemapping.cons.ParamManager.getInstance().getParameterInfo();
            this.behaviorDAO = new com.android.server.hidata.wavemapping.dao.BehaviorDAO();
            this.mLocationDAO = new com.android.server.hidata.wavemapping.dao.LocationDAO();
            this.savedBatch = this.behaviorDAO.getBatch();
            if (this.savedBatch == 0) {
                this.behaviorDAO.insert(batch);
                com.android.server.hidata.wavemapping.util.LogUtil.d(" no default record, init...");
            } else {
                batch = this.savedBatch + 1;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" default record, history batch=");
                stringBuilder.append(this.savedBatch);
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
            }
            this.mCtx.registerReceiver(this.arReceiver, new android.content.IntentFilter("com.huawei.intent.action.PG_AR_STATE_ACTION"), "com.huawei.powergenie.receiverPermission", null);
            this.mSensorManager = (android.hardware.SensorManager) this.mCtx.getSystemService("sensor");
            if (this.mSensorManager != null) {
                this.mStepCntSensor = this.mSensorManager.getDefaultSensor(19);
                registerStepCntSensor();
            } else {
                com.android.server.hidata.wavemapping.util.LogUtil.e(" mSensorManager == null");
            }
            android.content.IntentFilter screenFilter = new android.content.IntentFilter();
            screenFilter.addAction("android.intent.action.SCREEN_ON");
            screenFilter.addAction("android.intent.action.SCREEN_OFF");
            this.mCtx.registerReceiver(this.screenReceiver, screenFilter);
            android.content.IntentFilter usbFilter = new android.content.IntentFilter();
            usbFilter.addAction("android.intent.action.ACTION_POWER_CONNECTED");
            usbFilter.addAction("android.intent.action.ACTION_POWER_DISCONNECTED");
            this.mCtx.registerReceiver(this.usbReceiver, usbFilter);
            android.content.IntentFilter simFilter = new android.content.IntentFilter();
            simFilter.addAction("android.intent.action.SIM_STATE_CHANGED");
            this.mCtx.registerReceiver(this.simReceiver, simFilter);
            this.mBuildBenefitStatisticsChrInfo = new com.android.server.hidata.wavemapping.chr.BuildBenefitStatisticsChrInfo();
            this.mBuildSpaceUserStatisticsChrInfo = new com.android.server.hidata.wavemapping.chr.BuildSpaceUserStatisticsChrInfo();
            this.mMachineHandler = handler;
            uploadBenefitCHR();
            uploadSpaceUserCHR();
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("start:");
            stringBuilder2.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
        }
    }

    private void uploadBenefitCHR() {
        long now = java.lang.System.currentTimeMillis();
        long oobtime = this.mLocationDAO.getOOBTime();
        long lastupdatetime = this.mLocationDAO.getBenefitCHRTime();
        long maxtime = oobtime > lastupdatetime ? oobtime : lastupdatetime;
        boolean retH = false;
        boolean retO = false;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("now =");
        stringBuilder.append(now);
        stringBuilder.append(" oob time =");
        stringBuilder.append(oobtime);
        stringBuilder.append(" last Benefit CHR time=");
        stringBuilder.append(lastupdatetime);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        if (maxtime > 0 && now - maxtime > 604800000) {
            retH = this.mBuildBenefitStatisticsChrInfo.commitCHR("HOME");
            retO = this.mBuildBenefitStatisticsChrInfo.commitCHR("OFFICE");
        }
        if (retH && retO) {
            this.mLocationDAO.updateBenefitCHRTime(now);
        }
    }

    private void uploadSpaceUserCHR() {
        long now = java.lang.System.currentTimeMillis();
        long oobtime = this.mLocationDAO.getOOBTime();
        long lastupdatetime = this.mLocationDAO.getSpaceUserCHRTime();
        long maxtime = oobtime > lastupdatetime ? oobtime : lastupdatetime;
        boolean retH = false;
        boolean retO = false;
        long uploadTime = 2592000000L;
        if (this.param != null && this.param.isBetaUser()) {
            uploadTime = 604800000;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("now =");
        stringBuilder.append(now);
        stringBuilder.append(" oob time =");
        stringBuilder.append(oobtime);
        stringBuilder.append(" last SpaceUser CHR time=");
        stringBuilder.append(lastupdatetime);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        if (maxtime > 0 && now - maxtime > uploadTime) {
            retH = this.mBuildSpaceUserStatisticsChrInfo.commitCHR("HOME");
            retO = this.mBuildSpaceUserStatisticsChrInfo.commitCHR("OFFICE");
        }
        if (retH && retO) {
            this.mLocationDAO.updateSpaceUserCHRTime(now);
        }
    }

    private void registerStepCntSensor() {
        if (!this.mAccSensorRegistered.get()) {
            com.android.server.hidata.wavemapping.util.LogUtil.i("registerStepCntSensor, mSensorEventListener");
            this.mSensorEventListener.reset();
            this.mSensorManager.registerListener(this.mSensorEventListener, this.mStepCntSensor, 3);
            this.mAccSensorRegistered.set(true);
        }
    }

    private void unregisterStepCntSensor() {
        if (this.mAccSensorRegistered.get() && this.mSensorEventListener != null) {
            com.android.server.hidata.wavemapping.util.LogUtil.i("unregisterStepCntSensor, mSensorEventListener");
            this.mSensorManager.unregisterListener(this.mSensorEventListener);
            this.mAccSensorRegistered.set(false);
        }
    }

    public void checkMoveBtwWifiScans() {
        if (this.mLastWifiBatch == batch) {
            int offsetStepCnt = this.mLastStepCnt - this.mLastWifiStepCnt;
            if (offsetStepCnt > 5) {
                batch++;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" checkMoveBtwWifiScans, between two scans, steps=");
                stringBuilder.append(offsetStepCnt);
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
            }
        }
        this.mLastWifiStepCnt = this.mLastStepCnt;
        this.mLastWifiBatch = batch;
    }

    private void saveBatch() {
        java.lang.StringBuilder stringBuilder;
        if (this.behaviorDAO.update(batch)) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("BehaviorReceiver, batch update success, batch:");
            stringBuilder.append(batch);
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
            return;
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("BehaviorReceiver, batch update failure, batch :");
        stringBuilder.append(batch);
        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
    }

    public void stop() {
        com.android.server.hidata.wavemapping.util.LogUtil.d("wifi stop");
        this.mCtx.unregisterReceiver(this.screenReceiver);
        this.mCtx.unregisterReceiver(this.arReceiver);
    }

    public static int getBatch() {
        return batch;
    }

    public static boolean getScrnState() {
        return screenState;
    }

    public static boolean getArState() {
        return mIsStationary;
    }

    public boolean stopListen() {
        return true;
    }
}
