package com.android.server.hidata.wavemapping.dataprovider;

public class BootBroadcastReceiver extends android.content.BroadcastReceiver {
    public static final java.lang.String TAG;
    private android.os.Handler bootHandler;
    private android.content.Context mCtx = com.android.server.hidata.wavemapping.cons.ContextManager.getInstance().getContext();

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMapping.");
        stringBuilder.append(com.android.server.hidata.wavemapping.dataprovider.BootBroadcastReceiver.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    public BootBroadcastReceiver(android.os.Handler handler) {
        this.bootHandler = handler;
    }

    public void onReceive(android.content.Context context, android.content.Intent intent) {
        com.android.server.hidata.wavemapping.util.LogUtil.i("Boot this system , BootBroadcastReceiver onReceive()");
        if (intent == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.e("Intent is null, so exiting");
            return;
        }
        java.lang.String action = intent.getAction();
        if (action != null) {
            android.os.Message bootMsg;
            if (!action.equals("android.intent.action.BOOT_COMPLETED")) {
                if (!action.equals("android.intent.action.LOCKED_BOOT_COMPLETED")) {
                    if (action.equals("android.intent.action.ACTION_SHUTDOWN")) {
                        com.android.server.hidata.wavemapping.util.LogUtil.d("BootBroadcastReceiver onReceive(), Shut Down");
                        bootMsg = android.os.Message.obtain(this.bootHandler, 2);
                        if (this.bootHandler == null) {
                            com.android.server.hidata.wavemapping.util.LogUtil.w("BootBroadcastReceiver onReceive(),null == this.bootHandler");
                            return;
                        }
                        this.bootHandler.sendMessage(bootMsg);
                    }
                }
            }
            com.android.server.hidata.wavemapping.util.LogUtil.d("BootBroadcastReceiver onReceive(), Boot Complete");
            bootMsg = android.os.Message.obtain(this.bootHandler, 1);
            if (this.bootHandler == null) {
                com.android.server.hidata.wavemapping.util.LogUtil.w("BootBroadcastReceiver onReceive(),null == this.bootHandler");
            } else {
                this.bootHandler.sendMessage(bootMsg);
            }
        }
    }
}
