package com.android.server.hidata.wavemapping.dataprovider;

public class WifiDataProvider extends android.os.Handler {
    private static final java.lang.String DATE_PATTERN = "yyyy/MM/dd HH:mm:ss.SSS";
    private static final java.lang.String TAG;
    private static com.android.server.hidata.wavemapping.dataprovider.WifiDataProvider mWifiInstance = null;
    private boolean isStartCluster = false;
    private android.content.Context mCtx;
    private android.os.Handler mMachineHandler;
    private long mScanEndTime = 0;
    private android.net.wifi.WifiManager mWifiManager;
    private android.os.HandlerThread mWifiThread = null;
    private com.android.server.hidata.wavemapping.entity.ParameterInfo param = null;
    private int receivedPoints = 0;
    private boolean startCollect = false;
    private java.util.List<android.net.wifi.ScanResult> wifiList;
    private android.content.BroadcastReceiver wifiReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            java.lang.String action = intent.getAction();
            if (action != null) {
                boolean z = true;
                if (action.hashCode() == 1878357501) {
                    if (action.equals("android.net.wifi.SCAN_RESULTS")) {
                        z = false;
                    }
                }
                if (!z) {
                    if (intent.getBooleanExtra("resultsUpdated", false)) {
                        com.android.server.hidata.wavemapping.util.LogUtil.i("receive new wifi results");
                        if (java.lang.System.currentTimeMillis() - com.android.server.hidata.wavemapping.dataprovider.WifiDataProvider.this.mScanEndTime < ((long) com.android.server.hidata.wavemapping.dataprovider.WifiDataProvider.this.param.getWifiDataSample())) {
                            com.android.server.hidata.wavemapping.util.LogUtil.i("exit due to wifi scan too closed");
                        } else {
                            com.android.server.hidata.wavemapping.dataprovider.WifiDataProvider.this.wifiList = com.android.server.hidata.wavemapping.dataprovider.WifiDataProvider.this.mWifiManager.getScanResults();
                            if (com.android.server.hidata.wavemapping.dataprovider.WifiDataProvider.this.wifiList != null) {
                                if (com.android.server.hidata.wavemapping.dataprovider.WifiDataProvider.this.wifiList.size() != 0) {
                                    com.android.server.hidata.wavemapping.dataprovider.WifiDataProvider.this.mScanEndTime = java.lang.System.currentTimeMillis();
                                    com.android.server.hidata.wavemapping.dataprovider.WifiDataProvider.this.mMachineHandler.sendEmptyMessage(62);
                                    com.android.server.hidata.wavemapping.dataprovider.WifiDataProvider.this.mMachineHandler.sendEmptyMessage(63);
                                    com.android.server.hidata.wavemapping.dataprovider.WifiDataProvider.this.mMachineHandler.sendEmptyMessage(64);
                                }
                            }
                            com.android.server.hidata.wavemapping.util.LogUtil.d("exit due to wifi list is empity");
                        }
                    } else {
                        com.android.server.hidata.wavemapping.util.LogUtil.i("receive duplicated wifi results");
                    }
                }
            }
        }
    };

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMapping.");
        stringBuilder.append(com.android.server.hidata.wavemapping.dataprovider.WifiDataProvider.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    public java.util.List<android.net.wifi.ScanResult> getWifiList() {
        return this.wifiList;
    }

    public void setWifiList(java.util.List<android.net.wifi.ScanResult> wifiList) {
        this.wifiList = wifiList;
    }

    private WifiDataProvider(android.content.Context ctx, android.os.HandlerThread thread, android.os.Handler handler) {
        super(thread.getLooper());
        this.mWifiThread = thread;
        this.mWifiManager = (android.net.wifi.WifiManager) ctx.getSystemService("wifi");
        this.mCtx = ctx;
        com.android.server.hidata.wavemapping.util.LogUtil.i("ParamManager init begin.");
        this.param = com.android.server.hidata.wavemapping.cons.ParamManager.getInstance().getParameterInfo();
        this.mMachineHandler = handler;
    }

    public static com.android.server.hidata.wavemapping.dataprovider.WifiDataProvider getInstance(android.content.Context aContext, android.os.Handler handler) {
        if (mWifiInstance == null) {
            android.os.HandlerThread lWifiThread = new android.os.HandlerThread("WifiDataProviderThread", 10);
            lWifiThread.start();
            mWifiInstance = new com.android.server.hidata.wavemapping.dataprovider.WifiDataProvider(aContext, lWifiThread, handler);
        }
        return mWifiInstance;
    }

    public static com.android.server.hidata.wavemapping.dataprovider.WifiDataProvider getInstance(android.content.Context aContext) {
        return mWifiInstance;
    }

    public void start() {
        try {
            com.android.server.hidata.wavemapping.util.LogUtil.i(" wifidataprovider start ..");
            android.content.IntentFilter intent = new android.content.IntentFilter();
            intent.addAction("android.net.wifi.SCAN_RESULTS");
            this.mCtx.registerReceiver(this.wifiReceiver, intent);
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("start:");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
    }

    public void stop() {
        com.android.server.hidata.wavemapping.util.LogUtil.i("wifidataprovider stop");
        this.mCtx.unregisterReceiver(this.wifiReceiver);
    }

    private java.lang.String getTime(long time) {
        return new java.text.SimpleDateFormat("yyyy/MM/dd HH:mm:ss.SSS", java.util.Locale.getDefault()).format(new java.util.Date(time));
    }

    public void clear() {
        this.receivedPoints = 0;
        this.startCollect = false;
    }
}
