package com.android.server.hidata.wavemapping.modelservice;

public class AgingService extends com.android.server.hidata.wavemapping.modelservice.ModelBaseService {
    private byte AG_CHECK_RET_CODE_1 = (byte) -1;
    private byte AG_CHECK_RET_CODE_2 = (byte) -2;
    private byte AG_CHECK_RET_CODE_3 = (byte) -3;
    private byte AG_CHECK_RET_CODE_4 = (byte) -4;
    private byte AG_CHECK_RET_CODE_5 = (byte) -5;
    private byte AG_CHECK_RET_CODE_6 = (byte) -6;
    private byte AG_CHECK_SUCC_RET_CODE = (byte) 1;

    public com.android.server.hidata.wavemapping.entity.RegularPlaceInfo agingAction(com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo, java.lang.String place, com.android.server.hidata.wavemapping.entity.ParameterInfo param, java.lang.String[] modelBssids) {
        if (place != null) {
            if (!place.equals("")) {
                if (param == null || placeInfo == null || placeInfo.getNoOcurBssids() == null) {
                    return placeInfo;
                }
                byte checkAgNeedRet = checkAgingNeed(placeInfo, place, param);
                new com.android.server.hidata.wavemapping.chr.ModelInvalidChrService().commitModelInvalidChrInfo(placeInfo, place, param, checkAgNeedRet);
                if (checkAgNeedRet < (byte) 0) {
                    placeInfo = updateModel(placeInfo, place, param);
                } else {
                    placeInfo = cleanFingersByBssid(placeInfo, place, modelBssids, param);
                }
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(com.android.server.hidata.wavemapping.cons.Constant.getLogPath());
                stringBuilder.append("log.txt");
                java.lang.String stringBuilder2 = stringBuilder.toString();
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append(com.android.server.hidata.wavemapping.util.TimeUtil.getTime());
                stringBuilder3.append(",place:");
                stringBuilder3.append(place);
                stringBuilder3.append(",isMainAp:");
                stringBuilder3.append(java.lang.String.valueOf(param.isMainAp()));
                stringBuilder3.append(",checkAgNeedRet :");
                stringBuilder3.append(checkAgNeedRet);
                stringBuilder3.append(",placeInfo:");
                stringBuilder3.append(placeInfo.toString());
                stringBuilder3.append(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
                com.android.server.hidata.wavemapping.util.FileUtils.writeFile(stringBuilder2, stringBuilder3.toString());
                return placeInfo;
            }
        }
        return placeInfo;
    }

    public byte checkAgingNeed(com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo, java.lang.String place, com.android.server.hidata.wavemapping.entity.ParameterInfo param) {
        java.lang.Exception e;
        java.lang.StringBuilder stringBuilder;
        java.lang.String str = place;
        try {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("AgingService,checkAgingNeed begin.");
            stringBuilder2.append(placeInfo.toString());
            stringBuilder2.append(",place:");
            stringBuilder2.append(str);
            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
            java.lang.String noOcurBssids = placeInfo.getNoOcurBssids().replace("[", "").replace(" ", "").replace("]", "").trim();
            if (noOcurBssids != null && noOcurBssids.split(",").length > 0) {
                return this.AG_CHECK_RET_CODE_1;
            }
            com.android.server.hidata.wavemapping.dao.IdentifyResultDAO identifyResultDAO = new com.android.server.hidata.wavemapping.dao.IdentifyResultDAO();
            try {
                java.lang.String modelFilePath = getModelFilePath(placeInfo, param);
                java.lang.String fileContent = com.android.server.hidata.wavemapping.util.FileUtils.getFileContent(modelFilePath);
                if (((long) fileContent.length()) > 52428800) {
                    com.android.server.hidata.wavemapping.util.LogUtil.d("checkAgingNeed ,file content is too bigger than max_file_size.");
                    return this.AG_CHECK_RET_CODE_2;
                }
                java.lang.String[] headers = fileContent.split(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate)[0].split(",");
                java.util.HashSet<java.lang.String> setBssids = new java.util.HashSet();
                int bssidsLen = headers.length - param.getBssidStart();
                if (bssidsLen < 0) {
                    return this.AG_CHECK_RET_CODE_3;
                }
                int bssidStart = param.getBssidStart();
                if (bssidStart > headers.length) {
                    return this.AG_CHECK_RET_CODE_4;
                }
                int i = bssidStart;
                while (true) {
                    int i2 = i;
                    if (i2 >= headers.length) {
                        break;
                    }
                    java.lang.String noOcurBssids2;
                    try {
                        setBssids.add(headers[i2]);
                        noOcurBssids2 = noOcurBssids;
                    } catch (java.lang.Exception e2) {
                        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                        noOcurBssids2 = noOcurBssids;
                        stringBuilder3.append("checkAgingNeed:");
                        stringBuilder3.append(e2);
                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder3.toString());
                    }
                    i = i2 + 1;
                    noOcurBssids = noOcurBssids2;
                }
                java.util.List<com.android.server.hidata.wavemapping.entity.IdentifyResult> identifyResultList = identifyResultDAO.findBySsid(str, param.isMainAp());
                int size = identifyResultList.size();
                if (size <= 0) {
                    return this.AG_CHECK_SUCC_RET_CODE;
                }
                java.util.HashMap<java.lang.String, java.util.concurrent.atomic.AtomicInteger> stats = new java.util.HashMap();
                java.util.List<java.lang.String> testHomeAPLst = new java.util.ArrayList();
                float maxUkwnRatioUpd = ((float) size) * param.getMinUkwnRatioUpd();
                int ukwnCount = 0;
                int i3 = 0;
                while (true) {
                    com.android.server.hidata.wavemapping.dao.IdentifyResultDAO identifyResultDAO2 = identifyResultDAO;
                    int i4 = i3;
                    java.lang.String modelFilePath2;
                    float maxUkwnRatioUpd2;
                    if (i4 < size) {
                        java.util.List<com.android.server.hidata.wavemapping.entity.IdentifyResult> identifyResultList2 = identifyResultList;
                        com.android.server.hidata.wavemapping.entity.IdentifyResult identifyResultList3 = (com.android.server.hidata.wavemapping.entity.IdentifyResult) identifyResultList.get(i4);
                        if (identifyResultList3.getPreLabel() < 0) {
                            ukwnCount++;
                        }
                        int ukwnCount2 = ukwnCount;
                        modelFilePath2 = modelFilePath;
                        if (((float) ukwnCount2) > maxUkwnRatioUpd) {
                            return this.AG_CHECK_RET_CODE_5;
                        }
                        int ukwnCount3;
                        com.android.server.hidata.wavemapping.entity.RegularPlaceInfo regularPlaceInfo;
                        if (stats.containsKey(identifyResultList3.getServeMac())) {
                            maxUkwnRatioUpd2 = maxUkwnRatioUpd;
                            ukwnCount3 = ukwnCount2;
                        } else {
                            maxUkwnRatioUpd2 = maxUkwnRatioUpd;
                            if (identifyResultList3.getServeMac().equals("UNKNOWN")) {
                                ukwnCount3 = ukwnCount2;
                            } else {
                                ukwnCount3 = ukwnCount2;
                                stats.put(identifyResultList3.getServeMac(), new java.util.concurrent.atomic.AtomicInteger(1));
                                i3 = i4 + 1;
                                identifyResultDAO = identifyResultDAO2;
                                identifyResultList = identifyResultList2;
                                modelFilePath = modelFilePath2;
                                maxUkwnRatioUpd = maxUkwnRatioUpd2;
                                ukwnCount = ukwnCount3;
                                regularPlaceInfo = placeInfo;
                            }
                        }
                        ((java.util.concurrent.atomic.AtomicInteger) stats.get(identifyResultList3.getServeMac())).incrementAndGet();
                        i3 = i4 + 1;
                        identifyResultDAO = identifyResultDAO2;
                        identifyResultList = identifyResultList2;
                        modelFilePath = modelFilePath2;
                        maxUkwnRatioUpd = maxUkwnRatioUpd2;
                        ukwnCount = ukwnCount3;
                        regularPlaceInfo = placeInfo;
                    } else {
                        maxUkwnRatioUpd2 = maxUkwnRatioUpd;
                        modelFilePath2 = modelFilePath;
                        if (param.isMainAp()) {
                            return this.AG_CHECK_SUCC_RET_CODE;
                        }
                        float occUpd = 0.0f;
                        for (java.util.Map.Entry<java.lang.String, java.util.concurrent.atomic.AtomicInteger> entry : stats.entrySet()) {
                            occUpd = ((float) ((java.util.concurrent.atomic.AtomicInteger) entry.getValue()).intValue()) / ((float) size);
                            if (occUpd > param.getMinMainAPOccUpd()) {
                                testHomeAPLst.add((java.lang.String) entry.getKey());
                            }
                        }
                        maxUkwnRatioUpd = bssidsLen >= param.getMinTrainBssiLstLenUpd() ? ((float) bssidsLen) * param.getAbnMacRatioAllowUpd() : 0.0f;
                        i4 = 0;
                        for (java.lang.String modelFilePath3 : testHomeAPLst) {
                            float occUpd2;
                            if (setBssids.contains(modelFilePath3)) {
                                occUpd2 = occUpd;
                            } else {
                                i4++;
                                occUpd2 = occUpd;
                                if (((float) i4) >= maxUkwnRatioUpd) {
                                    return this.AG_CHECK_RET_CODE_6;
                                }
                            }
                            occUpd = occUpd2;
                        }
                    }
                }
                return this.AG_CHECK_SUCC_RET_CODE;
            } catch (java.lang.Exception e3) {
                e2 = e3;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("checkAgingNeed:");
                stringBuilder.append(e2);
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                return this.AG_CHECK_SUCC_RET_CODE;
            }
        } catch (java.lang.Exception e4) {
            e2 = e4;
            com.android.server.hidata.wavemapping.entity.ParameterInfo parameterInfo = param;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("checkAgingNeed:");
            stringBuilder.append(e2);
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return this.AG_CHECK_SUCC_RET_CODE;
        }
    }

    private com.android.server.hidata.wavemapping.entity.RegularPlaceInfo cleanFingersByBssid(com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo, java.lang.String place, java.lang.String[] modelBssids, com.android.server.hidata.wavemapping.entity.ParameterInfo param) {
        if (place != null) {
            if (!place.equals("")) {
                if (!(placeInfo == null || modelBssids == null)) {
                    if (modelBssids.length != 0) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("AgingService,cleanFingersByBssid begin.");
                        stringBuilder.append(placeInfo.toString());
                        stringBuilder.append(",place:");
                        stringBuilder.append(place);
                        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                        try {
                            if (!new com.android.server.hidata.wavemapping.dao.IdentifyResultDAO().remove(place, param.isMainAp())) {
                                com.android.server.hidata.wavemapping.util.LogUtil.d("updateModel identifyResultDAO.deleteAll failure.");
                            }
                            int i = 0;
                            placeInfo.setIdentifyNum(0);
                            java.lang.StringBuffer sb = new java.lang.StringBuffer();
                            int length = modelBssids.length;
                            while (i < length) {
                                sb.append(modelBssids[i]);
                                sb.append(",");
                                i++;
                            }
                            sb.deleteCharAt(sb.length() - 1);
                            placeInfo.setNoOcurBssids(sb.toString().replace("[", "").replace("]", "").replace(" ", "").replace("prelabel", "").trim());
                        } catch (java.lang.Exception e) {
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("cleanFingersByBssid:");
                            stringBuilder2.append(e);
                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
                        }
                        return placeInfo;
                    }
                }
                return placeInfo;
            }
        }
        return placeInfo;
    }
}
