package com.android.server.hidata.wavemapping.modelservice;

public class IdentifyService extends com.android.server.hidata.wavemapping.modelservice.ModelBaseService {
    public static final java.lang.String TAG;

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMapping.");
        stringBuilder.append(com.android.server.hidata.wavemapping.modelservice.IdentifyService.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    private int getShareMacNum(int[] words, java.util.HashMap<java.lang.String, java.lang.Integer> noneZeroBssid, com.android.server.hidata.wavemapping.entity.ModelInfo model) {
        int shareMacs = 0;
        if (words == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d(" getShareMacNum words == null");
            return 0;
        } else if (noneZeroBssid == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d(" getShareMacNum noneZeroBssid == null");
            return 0;
        } else if (noneZeroBssid.size() == 0) {
            return 0;
        } else {
            try {
                int size = words.length;
                int i = 0;
                while (i < size) {
                    if (words[i] != 0 && noneZeroBssid.containsKey(model.getBssidLst()[i])) {
                        shareMacs++;
                    }
                    i++;
                }
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" getShareMacNum ,");
                stringBuilder.append(e.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
            }
            return shareMacs;
        }
    }

    private java.util.HashMap<java.lang.String, java.lang.Integer> getNoneZeroBssids(java.util.HashMap<java.lang.String, java.lang.Integer> bissiddatas, com.android.server.hidata.wavemapping.entity.ModelInfo model) {
        java.util.HashMap<java.lang.String, java.lang.Integer> noneZeroBssid = new java.util.HashMap();
        if (bissiddatas == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d(" getNoneZeroBssids bissiddatas == null");
            return noneZeroBssid;
        }
        try {
            java.util.HashSet<java.lang.String> setBssids = model.getSetBssids();
            for (java.util.Map.Entry entry : bissiddatas.entrySet()) {
                java.lang.String bssid = (java.lang.String) entry.getKey();
                java.lang.Integer val = (java.lang.Integer) entry.getValue();
                if (setBssids.contains(bssid) && val.intValue() != 0) {
                    noneZeroBssid.put(bssid, val);
                }
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" getNoneZeroBssids ,");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
        return noneZeroBssid;
    }

    private float getXtrainBssidLen(int[] dats, com.android.server.hidata.wavemapping.entity.ParameterInfo param) {
        int i = -1;
        if (dats == null) {
            try {
                com.android.server.hidata.wavemapping.util.LogUtil.d(" getXtrainBssidLen dats == null");
                return (float) -1;
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" getXtrainBssidLen ,");
                stringBuilder.append(e.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            }
        } else {
            for (int dat : dats) {
                if (dat != 0) {
                    i++;
                }
            }
            return param.getKnnShareMacRatio() * ((float) i);
        }
    }

    private int compute_dist_share(int[] trainBssidVals, java.util.HashMap<java.lang.String, java.lang.Integer> noneZeroTestBssid, com.android.server.hidata.wavemapping.entity.ModelInfo model) {
        int maxDiff = 0;
        if (trainBssidVals == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d(" compute_dist_share trainBssidVals == null");
            return 0;
        } else if (trainBssidVals.length == 0) {
            com.android.server.hidata.wavemapping.util.LogUtil.d(" compute_dist_share trainBssidVals.length == 0");
            return 0;
        } else if (noneZeroTestBssid == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d(" compute_dist_share noneZeroTestBssid == null ");
            return 0;
        } else if (noneZeroTestBssid.size() == 0) {
            com.android.server.hidata.wavemapping.util.LogUtil.d(" compute_dist_share noneZeroTestBssid.size() == 0 ");
            return 0;
        } else {
            try {
                int size = model.getBssidLst().length;
                java.lang.String[] trainBssids = model.getBssidLst();
                for (int i = 0; i < size; i++) {
                    if (trainBssidVals[i] != 0) {
                        if (noneZeroTestBssid.containsKey(trainBssids[i])) {
                            int diff = trainBssidVals[i] - ((java.lang.Integer) noneZeroTestBssid.get(trainBssids[i])).intValue();
                            diff *= diff;
                            if (diff > maxDiff) {
                                maxDiff = diff;
                            }
                        }
                    }
                }
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" compute_dist_share,");
                stringBuilder.append(e.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            }
            return maxDiff;
        }
    }

    public static java.lang.String getHashMapString(java.util.HashMap hashMap) {
        java.lang.String resultStr = "";
        if (hashMap != null) {
            java.lang.StringBuilder sb;
            try {
                if (hashMap.size() != 0) {
                    sb = new java.lang.StringBuilder();
                    for (java.util.Map.Entry entry : hashMap.entrySet()) {
                        java.lang.Object key = entry.getKey();
                        java.lang.Object value = entry.getValue();
                        sb.append(key);
                        sb.append(":");
                        sb.append(value);
                        sb.append(";");
                    }
                    if (sb.lastIndexOf(";") > 0) {
                        resultStr = sb.substring(0, sb.lastIndexOf(";")).toString();
                    }
                    return resultStr;
                }
            } catch (java.lang.Exception e) {
                sb = new java.lang.StringBuilder();
                sb.append(" getHashMapString,");
                sb.append(e.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(sb.toString());
            }
        }
        return resultStr;
    }

    public void logIdentifyResult(java.lang.String testLog, java.lang.String place, com.android.server.hidata.wavemapping.entity.ParameterInfo param) {
        if (com.android.server.hidata.wavemapping.util.LogUtil.getDebug_flag()) {
            java.lang.String dataFilePath = getIdentifyLogFilePath(place, param);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" indentifyLocation log begin:");
            stringBuilder.append(place);
            stringBuilder.append(",dataFilePath:");
            stringBuilder.append(dataFilePath);
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
            if (!com.android.server.hidata.wavemapping.util.FileUtils.writeFile(dataFilePath, testLog.toString())) {
                com.android.server.hidata.wavemapping.util.LogUtil.d(" indentifyLocation log failure.");
            }
        }
    }

    public int indentifyLocation(java.lang.String place, com.android.server.hidata.wavemapping.entity.FingerInfo fingerInfo, com.android.server.hidata.wavemapping.entity.ParameterInfo param, com.android.server.hidata.wavemapping.entity.ModelInfo model) {
        java.lang.Exception e;
        int i;
        int result;
        java.lang.StringBuilder stringBuilder;
        java.lang.String str = place;
        com.android.server.hidata.wavemapping.entity.ParameterInfo parameterInfo = param;
        com.android.server.hidata.wavemapping.entity.ModelInfo modelInfo = model;
        if (str == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("indentifyLocation failure,place == null");
            return -2;
        } else if (fingerInfo == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("indentifyLocation failure,fingerInfo == null ");
            return -3;
        } else if (parameterInfo == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("indentifyLocation failure,param == null ");
            return -4;
        } else {
            java.lang.String place2 = str.replace(":", "").replace("-", "");
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(" indentifyLocation begin:");
            stringBuilder2.append(place2);
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
            if (model.getPlace().equals(place2)) {
                int[][] trainDatas = model.getDatas();
                java.util.HashMap<java.lang.String, java.lang.Integer> noneZeroBssidVals = getNoneZeroBssids(fingerInfo.getBissiddatas(), modelInfo);
                float xtestBssidLen = param.getKnnShareMacRatio() * ((float) noneZeroBssidVals.size());
                java.util.ArrayList<com.android.server.hidata.wavemapping.entity.IdentifyResult> identifyRes = new java.util.ArrayList();
                java.util.ArrayList<com.android.server.hidata.wavemapping.entity.IdentifyResult> leftIdentifyRes = new java.util.ArrayList();
                int result2 = 0;
                int maxDist;
                try {
                    int loopSize;
                    int modelBsssidLen = model.getBssidLst().length - 1;
                    int neighborNum = param.getNeighborNum();
                    stringBuilder2 = new java.lang.StringBuilder();
                    if (com.android.server.hidata.wavemapping.util.LogUtil.getDebug_flag()) {
                        try {
                            stringBuilder2.append("isMain:");
                            stringBuilder2.append(param.isMainAp());
                            stringBuilder2.append(",");
                            stringBuilder2.append(model.getModelName());
                            stringBuilder2.append(",KnnMaxDist:");
                            stringBuilder2.append(param.getKnnMaxDist());
                            stringBuilder2.append(",NeighborNum=");
                            stringBuilder2.append(param.getNeighborNum());
                            stringBuilder2.append(",noneZeroBssidVals=");
                            stringBuilder2.append(getHashMapString(noneZeroBssidVals));
                            stringBuilder2.append(",");
                        } catch (java.lang.Exception e2) {
                            e = e2;
                            i = 0;
                            maxDist = 0;
                        }
                    }
                    int loopSize2 = model.getDataLen();
                    i = 0;
                    maxDist = 0;
                    int i2 = 0;
                    while (i2 < loopSize2) {
                        loopSize = loopSize2;
                        try {
                            maxDist = getShareMacNum(trainDatas[i2], noneZeroBssidVals, modelInfo);
                            if (com.android.server.hidata.wavemapping.util.LogUtil.getDebug_flag() != 0) {
                                try {
                                    stringBuilder2.append("i=");
                                    stringBuilder2.append(i2);
                                    stringBuilder2.append(",");
                                    stringBuilder2.append(",shareMacsNum=");
                                    stringBuilder2.append(maxDist);
                                    stringBuilder2.append(";");
                                } catch (java.lang.Exception e3) {
                                    e = e3;
                                }
                            }
                            result = result2;
                        } catch (java.lang.Exception e4) {
                            e = e4;
                            result = result2;
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("indentifyLocation :");
                            stringBuilder.append(e.getMessage());
                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                            return result2;
                        }
                        try {
                            if (((float) maxDist) < getXtrainBssidLen(trainDatas[i2], parameterInfo)) {
                                if (com.android.server.hidata.wavemapping.util.LogUtil.getDebug_flag() != 0) {
                                    stringBuilder2.append("trainDatas[");
                                    stringBuilder2.append(i2);
                                    stringBuilder2.append("]=");
                                    stringBuilder2.append(getXtrainBssidLen(trainDatas[i2], parameterInfo));
                                    stringBuilder2.append(";");
                                }
                            } else if (((float) maxDist) >= xtestBssidLen) {
                                loopSize2 = compute_dist_share(trainDatas[i2], noneZeroBssidVals, modelInfo);
                                try {
                                    if (com.android.server.hidata.wavemapping.util.LogUtil.getDebug_flag()) {
                                        stringBuilder2.append("maxDist=");
                                        stringBuilder2.append(loopSize2);
                                        stringBuilder2.append(";");
                                    }
                                    if (loopSize2 < param.getKnnMaxDist()) {
                                        identifyRes.add(new com.android.server.hidata.wavemapping.entity.IdentifyResult(loopSize2, trainDatas[i2][modelBsssidLen]));
                                    }
                                    i = loopSize2;
                                } catch (java.lang.Exception e5) {
                                    e = e5;
                                    i = loopSize2;
                                    result2 = result;
                                    stringBuilder = new java.lang.StringBuilder();
                                    stringBuilder.append("indentifyLocation :");
                                    stringBuilder.append(e.getMessage());
                                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                                    return result2;
                                }
                            } else if (com.android.server.hidata.wavemapping.util.LogUtil.getDebug_flag() != 0) {
                                stringBuilder2.append("xtestBssidLen=");
                                stringBuilder2.append(xtestBssidLen);
                                stringBuilder2.append(";");
                            }
                            i2++;
                            loopSize2 = loopSize;
                            result2 = result;
                            modelInfo = model;
                        } catch (java.lang.Exception e6) {
                            e = e6;
                            result2 = result;
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("indentifyLocation :");
                            stringBuilder.append(e.getMessage());
                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                            return result2;
                        }
                    }
                    loopSize = loopSize2;
                    result = result2;
                    if (com.android.server.hidata.wavemapping.util.LogUtil.getDebug_flag()) {
                        stringBuilder2.append(",identifyRes.size=");
                        stringBuilder2.append(identifyRes.size());
                        stringBuilder2.append(",");
                    }
                    if (identifyRes.size() == 0) {
                        if (com.android.server.hidata.wavemapping.util.LogUtil.getDebug_flag()) {
                            stringBuilder2.append("\"unknown;idRes.len=0\"");
                            stringBuilder2.append(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("result=unknown;idRes.len=0,");
                            stringBuilder.append(stringBuilder2.toString());
                            logIdentifyResult(stringBuilder.toString(), place2, parameterInfo);
                        }
                        return -1;
                    }
                    java.util.Collections.sort(identifyRes);
                    if (com.android.server.hidata.wavemapping.util.LogUtil.getDebug_flag()) {
                        stringBuilder2.append(",neighborNum=");
                        stringBuilder2.append(neighborNum);
                        stringBuilder2.append(",");
                    }
                    int leftSize = identifyRes.size() <= neighborNum ? identifyRes.size() : neighborNum;
                    for (loopSize2 = 0; loopSize2 < leftSize; loopSize2++) {
                        leftIdentifyRes.add((com.android.server.hidata.wavemapping.entity.IdentifyResult) identifyRes.get(loopSize2));
                    }
                    int[] results = new int[leftIdentifyRes.size()];
                    i2 = leftIdentifyRes.size();
                    int i3 = 0;
                    while (true) {
                        result2 = i3;
                        if (result2 >= i2) {
                            break;
                        }
                        int leftSize2 = leftSize;
                        results[result2] = ((com.android.server.hidata.wavemapping.entity.IdentifyResult) leftIdentifyRes.get(result2)).getPreLabel();
                        i3 = result2 + 1;
                        leftSize = leftSize2;
                    }
                    result2 = com.android.server.hidata.wavemapping.util.CommUtil.getModalNums(results);
                    if (com.android.server.hidata.wavemapping.util.LogUtil.getDebug_flag()) {
                        stringBuilder2.append(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("result=");
                        stringBuilder.append(result2);
                        stringBuilder.append(",");
                        stringBuilder.append(stringBuilder2.toString());
                        logIdentifyResult(stringBuilder.toString(), place2, parameterInfo);
                    }
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("indentifyLocation, result:");
                    stringBuilder.append(result2);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                    if (result2 == 0) {
                        return -6;
                    }
                    return result2;
                } catch (java.lang.Exception e7) {
                    e = e7;
                    result = result2;
                    i = 0;
                    maxDist = 0;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("indentifyLocation :");
                    stringBuilder.append(e.getMessage());
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                    return result2;
                }
            }
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("indentifyLocation failure,place :");
            stringBuilder2.append(place2);
            stringBuilder2.append(" , place of modelInfo is ");
            stringBuilder2.append(model.getPlace());
            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
            return -5;
        }
    }
}
