package com.android.server.hidata.wavemapping.modelservice;

public class ModelService5 extends com.android.server.hidata.wavemapping.modelservice.ModelBaseService {
    public static final java.lang.String TAG;
    private static com.android.server.hidata.wavemapping.modelservice.ModelService5 modelService;
    private com.android.server.hidata.wavemapping.modelservice.AgingService agingService;
    private com.android.server.hidata.wavemapping.entity.ClusterResult clusterResult;
    private android.os.HandlerThread handlerThread;
    private com.android.server.hidata.wavemapping.dao.IdentifyResultDAO identifyResultDAO;
    private com.android.server.hidata.wavemapping.modelservice.IdentifyService identifyService;
    private android.os.Handler mHandler;
    private android.os.Handler mMachineHandler;
    private com.android.server.hidata.wavemapping.entity.ModelInfo mainApModelInfo;
    private com.android.server.hidata.wavemapping.entity.ParameterInfo mainParameterInfo;
    private com.android.server.hidata.wavemapping.entity.ModelInfo modelInfo;
    private com.android.server.hidata.wavemapping.entity.ParameterInfo parameterInfo;
    private com.android.server.hidata.wavemapping.dao.RegularPlaceDAO rgLocationDAO;
    private java.util.HashMap<java.lang.String, com.android.server.hidata.wavemapping.entity.RegularPlaceInfo> rgLocations;
    private com.android.server.hidata.wavemapping.modelservice.TrainModelService trainModelService;
    private com.android.server.hidata.wavemapping.entity.UiInfo uiInfo;

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMapping.");
        stringBuilder.append(com.android.server.hidata.wavemapping.modelservice.ModelService5.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    public static com.android.server.hidata.wavemapping.modelservice.ModelService5 getInstance(android.os.Handler handler) {
        if (modelService == null) {
            modelService = new com.android.server.hidata.wavemapping.modelservice.ModelService5(handler);
        }
        return modelService;
    }

    private ModelService5(android.os.Handler handler) {
        this.modelInfo = null;
        this.mainApModelInfo = null;
        this.parameterInfo = null;
        this.mainParameterInfo = null;
        this.parameterInfo = com.android.server.hidata.wavemapping.cons.ParamManager.getInstance().getParameterInfo();
        this.mainParameterInfo = com.android.server.hidata.wavemapping.cons.ParamManager.getInstance().getMainApParameterInfo();
        this.uiInfo = com.android.server.hidata.wavemapping.service.UiService.getUiInfo();
        this.trainModelService = new com.android.server.hidata.wavemapping.modelservice.TrainModelService();
        this.identifyService = new com.android.server.hidata.wavemapping.modelservice.IdentifyService();
        this.rgLocationDAO = new com.android.server.hidata.wavemapping.dao.RegularPlaceDAO();
        this.identifyResultDAO = new com.android.server.hidata.wavemapping.dao.IdentifyResultDAO();
        this.agingService = new com.android.server.hidata.wavemapping.modelservice.AgingService();
        this.mMachineHandler = handler;
        initControllerHandler();
    }

    public void initControllerHandler() {
        this.handlerThread = new android.os.HandlerThread("higeo_posengine_handler_homecity_thread");
        this.handlerThread.start();
        this.mHandler = new android.os.Handler(this.handlerThread.getLooper()) {
            public void handleMessage(android.os.Message msg) {
                if (msg.what == 1) {
                    if (com.android.server.hidata.wavemapping.modelservice.ModelService5.this.mMachineHandler != null) {
                        android.os.Bundle bundle = msg.getData();
                        if (bundle != null) {
                            java.lang.String freqLoc = bundle.getString("FREQLOC");
                            if (freqLoc != null) {
                                long beginTime = java.lang.System.currentTimeMillis();
                                com.android.server.hidata.wavemapping.modelservice.ModelService5.this.setClusterResult(com.android.server.hidata.wavemapping.modelservice.ModelService5.this.startTraining(freqLoc));
                                float runTime = (float) ((java.lang.System.currentTimeMillis() - beginTime) / 1000);
                                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("train allAp,mainAp models spend(seconds) : ");
                                stringBuilder.append(runTime);
                                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                                com.android.server.hidata.wavemapping.modelservice.ModelService5.this.mMachineHandler.sendEmptyMessage(81);
                            }
                        }
                    }
                }
            }
        };
    }

    public android.os.Handler getmHandler() {
        return this.mHandler;
    }

    public com.android.server.hidata.wavemapping.entity.ClusterResult getClusterResult() {
        return this.clusterResult;
    }

    public void setClusterResult(com.android.server.hidata.wavemapping.entity.ClusterResult clusterResult) {
        this.clusterResult = clusterResult;
    }

    public com.android.server.hidata.wavemapping.entity.ModelInfo getMainApModelInfo() {
        return this.mainApModelInfo;
    }

    public void setMainApModelInfo(com.android.server.hidata.wavemapping.entity.ModelInfo mainApModelInfo) {
        this.mainApModelInfo = mainApModelInfo;
    }

    public com.android.server.hidata.wavemapping.entity.ParameterInfo getParameterInfo() {
        return this.parameterInfo;
    }

    public void setParameterInfo(com.android.server.hidata.wavemapping.entity.ParameterInfo parameterInfo) {
        this.parameterInfo = parameterInfo;
    }

    public com.android.server.hidata.wavemapping.entity.ParameterInfo getMainParameterInfo() {
        return this.mainParameterInfo;
    }

    public void setMainParameterInfo(com.android.server.hidata.wavemapping.entity.ParameterInfo mainParameterInfo) {
        this.mainParameterInfo = mainParameterInfo;
    }

    public com.android.server.hidata.wavemapping.entity.ModelInfo getModelInfo() {
        return this.modelInfo;
    }

    public void setModelInfo(com.android.server.hidata.wavemapping.entity.ModelInfo modelInfo) {
        this.modelInfo = modelInfo;
    }

    public boolean loadCommModels(com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo) {
        if (placeInfo == null || placeInfo.getPlace() == null) {
            return false;
        }
        java.lang.String place = placeInfo.getPlace().replace(":", "").replace("-", "");
        if (this.modelInfo == null || this.modelInfo.getModelName() == null || placeInfo.getModelName() == null || !this.modelInfo.getModelName().equals(placeInfo.getModelName()) || !this.modelInfo.getPlace().equals(place)) {
            this.modelInfo = this.trainModelService.loadModel(this.parameterInfo, placeInfo);
        }
        if (this.modelInfo != null) {
            return true;
        }
        com.android.server.hidata.wavemapping.util.LogUtil.d("loadModels failure,null == this.modelInfo");
        return false;
    }

    public boolean loadMainApModel(com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo) {
        if (placeInfo == null || placeInfo.getPlace() == null) {
            return false;
        }
        java.lang.String place = placeInfo.getPlace().replace(":", "").replace("-", "");
        if (this.mainApModelInfo == null || this.mainApModelInfo.getModelName() == null || placeInfo.getModelName() == null || !this.mainApModelInfo.getModelName().equals(placeInfo.getModelName()) || !this.mainApModelInfo.getPlace().equals(place)) {
            this.mainApModelInfo = this.trainModelService.loadModel(this.mainParameterInfo, placeInfo);
        }
        if (this.mainApModelInfo != null) {
            return true;
        }
        com.android.server.hidata.wavemapping.util.LogUtil.d("loadModels failure,null == this.mainApModelInfo");
        return false;
    }

    public int trainModelRe(java.lang.String place, com.android.server.hidata.wavemapping.entity.ParameterInfo param) {
        java.lang.String str = place;
        com.android.server.hidata.wavemapping.entity.ParameterInfo parameterInfo = param;
        int trainRet = 0;
        if (str != null) {
            java.lang.StringBuilder stringBuilder;
            try {
                if (!str.equals("")) {
                    java.lang.StringBuilder stringBuilder2;
                    if (parameterInfo == null) {
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("trainModelRe,null == param,place:");
                        stringBuilder2.append(str);
                        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                        return -1;
                    }
                    com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo = this.rgLocationDAO.findBySsid(str, param.isMainAp());
                    if (placeInfo == null) {
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("trainModelRe,null == placeInfo,place:");
                        stringBuilder2.append(str);
                        stringBuilder2.append(",isMainAp:");
                        stringBuilder2.append(param.isMainAp());
                        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                        return -2;
                    } else if (placeInfo.getDisNum() > param.getAcumlteCount()) {
                        com.android.server.hidata.wavemapping.util.LogUtil.d("trainModelRe,placeInfo.getDisNum() > param.getAcumlteCount()");
                        return -3;
                    } else {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("trainModelRe,begin,place:");
                        stringBuilder.append(placeInfo.toString());
                        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                        com.android.server.hidata.wavemapping.chr.entity.BuildModelChrInfo buildModelChrInfo = new com.android.server.hidata.wavemapping.chr.entity.BuildModelChrInfo();
                        com.android.server.hidata.wavemapping.chr.BuildModelChrService buildModelChrService = new com.android.server.hidata.wavemapping.chr.BuildModelChrService();
                        buildModelChrService.setBuildModelChrInfo(str, parameterInfo, placeInfo, buildModelChrInfo, buildModelChrService);
                        com.android.server.hidata.wavemapping.entity.CoreTrainData coreTrainData = this.trainModelService.getWmpCoreTrainData(str, parameterInfo, placeInfo, buildModelChrInfo);
                        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                        stringBuilder3.append(com.android.server.hidata.wavemapping.util.TimeUtil.getTime());
                        stringBuilder3.append(",place:");
                        stringBuilder3.append(str);
                        stringBuilder3.append(",model name:");
                        stringBuilder3.append(placeInfo.getModelName());
                        stringBuilder3.append(",isMainAp:");
                        stringBuilder3.append(java.lang.String.valueOf(param.isMainAp()));
                        stringBuilder3.append(",getWmpCoreTrainData result :");
                        stringBuilder3.append(coreTrainData.getResult());
                        com.android.server.hidata.wavemapping.util.LogUtil.wtLogFile(stringBuilder3.toString());
                        handleByCoreTrainDataResult(coreTrainData, placeInfo, str, parameterInfo);
                        if (!(coreTrainData.getDatas() == null || coreTrainData.getDatas().length == 0)) {
                            if (coreTrainData.getResult() > 0) {
                                int maxLoop = 9;
                                trainRet = this.trainModelService.wmpCoreTrainData(coreTrainData, str, parameterInfo, placeInfo, buildModelChrInfo);
                                int disCriminateRet = discriminateModel(placeInfo, parameterInfo, trainRet);
                                buildModelChrService.buildModelChrInfo(parameterInfo, trainRet, placeInfo, buildModelChrInfo, disCriminateRet);
                                stringBuilder3 = new java.lang.StringBuilder();
                                stringBuilder3.append(com.android.server.hidata.wavemapping.util.TimeUtil.getTime());
                                stringBuilder3.append(",place:");
                                stringBuilder3.append(str);
                                stringBuilder3.append(",model name:");
                                stringBuilder3.append(placeInfo.getModelName());
                                stringBuilder3.append(",isMainAp:");
                                stringBuilder3.append(java.lang.String.valueOf(param.isMainAp()));
                                stringBuilder3.append(",trainRet :");
                                stringBuilder3.append(trainRet);
                                stringBuilder3.append(",disCriminateRet:");
                                stringBuilder3.append(disCriminateRet);
                                stringBuilder3.append(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
                                com.android.server.hidata.wavemapping.util.LogUtil.wtLogFile(stringBuilder3.toString());
                                parameterInfo.setMaxDistBak(param.getMaxDist());
                                while (disCriminateRet < 0 && maxLoop > 0 && param.getMaxDist() > param.getMaxDistMinLimit()) {
                                    maxLoop--;
                                    parameterInfo.setMaxDist(param.getMaxDist() * param.getMaxDistDecayRatio());
                                    if (param.getMaxDist() < param.getMaxDistMinLimit()) {
                                        parameterInfo.setMaxDist(param.getMaxDistMinLimit());
                                    }
                                    trainRet = this.trainModelService.wmpCoreTrainData(coreTrainData, str, parameterInfo, placeInfo, buildModelChrInfo);
                                    disCriminateRet = discriminateModel(placeInfo, parameterInfo, trainRet);
                                    buildModelChrService.buildModelChrInfo(parameterInfo, trainRet, placeInfo, buildModelChrInfo, disCriminateRet);
                                    stringBuilder3 = new java.lang.StringBuilder();
                                    stringBuilder3.append(com.android.server.hidata.wavemapping.util.TimeUtil.getTime());
                                    stringBuilder3.append(",place:");
                                    stringBuilder3.append(str);
                                    stringBuilder3.append(",model name:");
                                    stringBuilder3.append(placeInfo.getModelName());
                                    stringBuilder3.append(",isMainAp:");
                                    stringBuilder3.append(java.lang.String.valueOf(param.isMainAp()));
                                    stringBuilder3.append(",trainRet :");
                                    stringBuilder3.append(trainRet);
                                    stringBuilder3.append(",disCriminateRet:");
                                    stringBuilder3.append(disCriminateRet);
                                    stringBuilder3.append(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
                                    com.android.server.hidata.wavemapping.util.LogUtil.wtLogFile(stringBuilder3.toString());
                                }
                                parameterInfo.setMaxDist(param.getMaxDistBak());
                                if (maxLoop <= 0) {
                                    afterFailTrainModel(placeInfo);
                                    com.android.server.hidata.wavemapping.util.LogUtil.i("the last trainModel failure,maxLoop more than 9.");
                                    return -4;
                                } else if (trainRet < param.getMinModelTypes()) {
                                    afterFailTrainModel(placeInfo);
                                    com.android.server.hidata.wavemapping.util.LogUtil.i("the last trainModel failure,train model ret smaller than min model types.");
                                    return -5;
                                } else if (disCriminateRet < 0) {
                                    afterFailTrainModel(placeInfo);
                                    stringBuilder2 = new java.lang.StringBuilder();
                                    stringBuilder2.append("the last trainModel failure,disCriminate failure:");
                                    stringBuilder2.append(disCriminateRet);
                                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
                                    return -6;
                                } else {
                                    if (param.isMainAp()) {
                                        loadMainApModel(placeInfo);
                                    } else {
                                        loadCommModels(placeInfo);
                                    }
                                    com.android.server.hidata.wavemapping.entity.ModelInfo model = param.isMainAp() ? this.mainApModelInfo : this.modelInfo;
                                    if (!(model == null || model.getSetBssids() == null)) {
                                        if (model.getSetBssids().size() != 0) {
                                            placeInfo.setDisNum(0);
                                            placeInfo.setTestDataNum(0);
                                            placeInfo.setIdentifyNum(0);
                                            placeInfo.setState(4);
                                            model.getSetBssids().remove("prelabel");
                                            placeInfo.setNoOcurBssids(model.getSetBssids().toString().replace("[", "").replace(" ", "").replace("]", "").trim());
                                            this.rgLocationDAO.update(placeInfo);
                                            java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                                            stringBuilder4.append("trainModelRe,rgLocationDAO.update placeInfo:");
                                            stringBuilder4.append(placeInfo.toString());
                                            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder4.toString());
                                            return trainRet;
                                        }
                                    }
                                    com.android.server.hidata.wavemapping.util.LogUtil.d("trainModelRe,null == model...");
                                    return 0;
                                }
                            }
                        }
                        com.android.server.hidata.wavemapping.util.LogUtil.d("trainModelRe coreTrainData == null");
                        buildModelChrService.buildModelChrInfo(parameterInfo, coreTrainData.getResult(), placeInfo, buildModelChrInfo, 0);
                        return -19;
                    }
                }
            } catch (java.lang.RuntimeException e) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("trainModelRe,e");
                stringBuilder.append(e.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            } catch (java.lang.RuntimeException e2) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("trainModelRe,e");
                stringBuilder.append(e2.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            }
        }
        com.android.server.hidata.wavemapping.util.LogUtil.d("trainModelRe,null == place");
        return -1;
    }

    private void handleByCoreTrainDataResult(com.android.server.hidata.wavemapping.entity.CoreTrainData coreTrainData, com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo, java.lang.String place, com.android.server.hidata.wavemapping.entity.ParameterInfo param) {
        if (coreTrainData != null) {
            int result = coreTrainData.getResult();
            if (result == -54 || result == -51 || result == -8) {
                updateModel(placeInfo, place, param);
            }
        }
    }

    private void afterFailTrainModel(com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo) {
        placeInfo.setState(3);
        placeInfo.setTestDataNum(0);
        placeInfo.setDisNum(placeInfo.getDisNum() + 1);
        this.rgLocationDAO.update(placeInfo);
    }

    /* JADX WARNING: Removed duplicated region for block: B:76:0x01bf A:{ExcHandler: java.lang.RuntimeException (e java.lang.RuntimeException), Splitter: B:39:0x00a6, Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }} */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing block: B:74:0x01ba, code:
            r0 = e;
     */
    /* JADX WARNING: Missing block: B:75:0x01bb, code:
            r18 = r6;
     */
    /* JADX WARNING: Missing block: B:76:0x01bf, code:
            r0 = e;
     */
    /* JADX WARNING: Missing block: B:77:0x01c0, code:
            r18 = r6;
     */
    public int discriminateModel(com.android.server.hidata.wavemapping.entity.RegularPlaceInfo r32, com.android.server.hidata.wavemapping.entity.ParameterInfo r33, int r34) {
        /*
        r31 = this;
        r1 = r31;
        r2 = r33;
        r3 = r34;
        if (r32 == 0) goto L_0x0353;
    L_0x0008:
        r0 = r32.getPlace();
        r4 = "";
        r0 = r0.equals(r4);
        if (r0 == 0) goto L_0x0016;
    L_0x0014:
        goto L_0x0353;
    L_0x0016:
        if (r2 != 0) goto L_0x001b;
    L_0x0018:
        r0 = -29;
        return r0;
    L_0x001b:
        r0 = r33.getMinModelTypes();
        if (r3 >= r0) goto L_0x0024;
    L_0x0021:
        r0 = -21;
        return r0;
    L_0x0024:
        r0 = r33.isMainAp();
        r4 = 1;
        if (r0 == 0) goto L_0x0032;
    L_0x002b:
        r0 = r33.getMinModelTypes();
        if (r3 < r0) goto L_0x0032;
    L_0x0031:
        return r4;
    L_0x0032:
        r0 = r32.getPlace();
        r5 = r1.getTestDataFilePath(r0, r2);
        r6 = com.android.server.hidata.wavemapping.util.FileUtils.getFileContent(r5);
        r0 = r6.length();
        r7 = (long) r0;
        r9 = 52428800; // 0x3200000 float:4.7019774E-37 double:2.5903269E-316;
        r0 = (r7 > r9 ? 1 : (r7 == r9 ? 0 : -1));
        if (r0 <= 0) goto L_0x0052;
    L_0x004a:
        r0 = "discriminateModel ,file content is too bigger than max_file_size.";
        com.android.server.hidata.wavemapping.util.LogUtil.d(r0);
        r0 = -22;
        return r0;
    L_0x0052:
        r0 = com.android.server.hidata.wavemapping.cons.Constant.lineSeperate;	 Catch:{ RuntimeException -> 0x0333, Exception -> 0x0315 }
        r0 = r6.split(r0);	 Catch:{ RuntimeException -> 0x0333, Exception -> 0x0315 }
        r7 = r0;
        r0 = new com.android.server.hidata.wavemapping.entity.FingerInfo;	 Catch:{ RuntimeException -> 0x0333, Exception -> 0x0315 }
        r0.<init>();	 Catch:{ RuntimeException -> 0x0333, Exception -> 0x0315 }
        r8 = r0;
        r0 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x0333, Exception -> 0x0315 }
        r0.<init>();	 Catch:{ RuntimeException -> 0x0333, Exception -> 0x0315 }
        r9 = r0;
        r0 = new java.util.HashMap;	 Catch:{ RuntimeException -> 0x0333, Exception -> 0x0315 }
        r0.<init>();	 Catch:{ RuntimeException -> 0x0333, Exception -> 0x0315 }
        r10 = r0;
        r0 = r7.length;	 Catch:{ RuntimeException -> 0x0333, Exception -> 0x0315 }
        r11 = r0;
        r31.loadCommModels(r32);	 Catch:{ RuntimeException -> 0x0333, Exception -> 0x0315 }
        r0 = r1.getModelByParam(r2);	 Catch:{ RuntimeException -> 0x0333, Exception -> 0x0315 }
        r12 = r0;
        if (r12 != 0) goto L_0x008d;
    L_0x0077:
        r0 = "discriminateModel failure,model == null ";
        com.android.server.hidata.wavemapping.util.LogUtil.e(r0);	 Catch:{ RuntimeException -> 0x0086, Exception -> 0x007f }
        r0 = -23;
        return r0;
    L_0x007f:
        r0 = move-exception;
        r16 = r5;
        r18 = r6;
        goto L_0x031a;
    L_0x0086:
        r0 = move-exception;
        r16 = r5;
        r18 = r6;
        goto L_0x0338;
    L_0x008d:
        r0 = new com.android.server.hidata.wavemapping.entity.TMapList;	 Catch:{ RuntimeException -> 0x0333, Exception -> 0x0315 }
        r0.<init>();	 Catch:{ RuntimeException -> 0x0333, Exception -> 0x0315 }
        r13 = r0;
        r0 = 0;
        r4 = r0;
        r0 = 0;
    L_0x0096:
        r15 = r0;
        r14 = r15;
        if (r14 >= r11) goto L_0x01c4;
    L_0x009a:
        r0 = r7[r14];	 Catch:{ RuntimeException -> 0x0333, Exception -> 0x0315 }
        r3 = ",";
        r0 = r0.split(r3);	 Catch:{ RuntimeException -> 0x0333, Exception -> 0x0315 }
        r3 = r0;
        r0 = r3.length;	 Catch:{ RuntimeException -> 0x0333, Exception -> 0x0315 }
        r16 = r5;
        r5 = r33.getScanWifiStart();	 Catch:{ RuntimeException -> 0x01bf, Exception -> 0x01ba }
        if (r0 >= r5) goto L_0x00b6;
    L_0x00ad:
        r20 = r3;
        r18 = r6;
        r21 = r11;
        r11 = 0;
        goto L_0x01ae;
    L_0x00b6:
        r5 = 0;
        r0 = r3[r5];	 Catch:{ RuntimeException -> 0x01bf, Exception -> 0x01ba }
        if (r0 == 0) goto L_0x01a7;
    L_0x00bb:
        r0 = r3[r5];	 Catch:{ RuntimeException -> 0x01bf, Exception -> 0x01ba }
        r5 = "";
        r0 = r0.equals(r5);	 Catch:{ RuntimeException -> 0x01bf, Exception -> 0x01ba }
        if (r0 == 0) goto L_0x00c6;
    L_0x00c5:
        goto L_0x00ad;
    L_0x00c6:
        r0 = r33.getBatchID();	 Catch:{ Exception -> 0x0186, RuntimeException -> 0x01bf }
        r0 = r3[r0];	 Catch:{ Exception -> 0x0186, RuntimeException -> 0x01bf }
        r0 = java.lang.Integer.parseInt(r0);	 Catch:{ Exception -> 0x0186, RuntimeException -> 0x01bf }
        r10.clear();	 Catch:{ Exception -> 0x0186, RuntimeException -> 0x01bf }
        r5 = r3.length;	 Catch:{ RuntimeException -> 0x01bf, Exception -> 0x01ba }
        r15 = r33.getScanWifiStart();	 Catch:{ RuntimeException -> 0x01bf, Exception -> 0x01ba }
    L_0x00da:
        r17 = r15;
        r18 = r6;
        r6 = r17;
        if (r6 >= r5) goto L_0x0139;
    L_0x00e2:
        r19 = r5;
        r5 = r3[r6];	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r20 = r3;
        r3 = r33.getWifiSeperate();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r3 = r5.split(r3);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r5 = r3.length;	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r21 = r11;
        r11 = 4;
        if (r5 >= r11) goto L_0x00fa;
    L_0x00f7:
        r23 = r3;
        goto L_0x012e;
    L_0x00fa:
        r5 = r33.getScanMAC();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r5 = r3[r5];	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r11 = r1.checkMacFormat(r5);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        if (r11 != 0) goto L_0x0107;
    L_0x0106:
        goto L_0x00f7;
    L_0x0107:
        r11 = r33.getScanRSSI();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r11 = r3[r11];	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r22 = r5;
        r5 = "\\.";
        r5 = r11.split(r5);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r11 = 0;
        r5 = r5[r11];	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r5 = java.lang.Integer.parseInt(r5);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        if (r5 != 0) goto L_0x011f;
    L_0x011e:
        goto L_0x00f7;
    L_0x011f:
        r11 = r33.getScanMAC();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r11 = r3[r11];	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r23 = r3;
        r3 = java.lang.Integer.valueOf(r5);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r10.put(r11, r3);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
    L_0x012e:
        r15 = r6 + 1;
        r6 = r18;
        r5 = r19;
        r3 = r20;
        r11 = r21;
        goto L_0x00da;
    L_0x0139:
        r20 = r3;
        r19 = r5;
        r21 = r11;
        r8.setBissiddatas(r10);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r3 = r1.identifyService;	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r5 = r32.getPlace();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r3 = r3.indentifyLocation(r5, r8, r2, r12);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r5 = com.android.server.hidata.wavemapping.util.TimeUtil.getTime();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r9.append(r5);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r5 = ",";
        r9.append(r5);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r5 = r32.getModelName();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r9.append(r5);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r5 = ",";
        r9.append(r5);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r9.append(r3);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r5 = ",";
        r9.append(r5);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r5 = r7[r14];	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r9.append(r5);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r5 = com.android.server.hidata.wavemapping.cons.Constant.lineSeperate;	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r9.append(r5);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r4 = r4 + 1;
        r5 = java.lang.Integer.valueOf(r0);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r6 = new com.android.server.hidata.wavemapping.entity.IdentifyResult;	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r11 = 0;
        r6.<init>(r0, r3, r11);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r13.add(r5, r6);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        goto L_0x01ae;
    L_0x0186:
        r0 = move-exception;
        r20 = r3;
        r18 = r6;
        r21 = r11;
        r11 = 0;
        r3 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r3.<init>();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r5 = "discriminateModel,e";
        r3.append(r5);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r5 = r0.getMessage();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r3.append(r5);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r3 = r3.toString();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r3);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        goto L_0x01ae;
    L_0x01a7:
        r20 = r3;
        r18 = r6;
        r21 = r11;
        r11 = r5;
    L_0x01ae:
        r0 = r14 + 1;
        r5 = r16;
        r6 = r18;
        r11 = r21;
        r3 = r34;
        goto L_0x0096;
    L_0x01ba:
        r0 = move-exception;
        r18 = r6;
        goto L_0x031a;
    L_0x01bf:
        r0 = move-exception;
        r18 = r6;
        goto L_0x0338;
    L_0x01c4:
        r16 = r5;
        r18 = r6;
        r21 = r11;
        if (r4 != 0) goto L_0x01cf;
    L_0x01cc:
        r0 = -24;
        return r0;
    L_0x01cf:
        r0 = 0;
        r3 = 0;
        r5 = 0;
        r6 = new java.util.HashSet;	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r6.<init>();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r11 = r13.entrySet();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r11 = r11.iterator();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
    L_0x01df:
        r14 = r11.hasNext();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        if (r14 == 0) goto L_0x023e;
    L_0x01e5:
        r14 = r11.next();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r14 = (java.util.Map.Entry) r14;	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r15 = r14.getValue();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r15 = (java.util.List) r15;	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r24 = r15;
        r25 = r7;
        r26 = r8;
        r7 = r24;
        r8 = r7.iterator();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
    L_0x01fd:
        r15 = r8.hasNext();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        if (r15 == 0) goto L_0x022a;
    L_0x0203:
        r15 = r8.next();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r15 = (com.android.server.hidata.wavemapping.entity.IdentifyResult) r15;	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r27 = r15;
        r28 = r8;
        r8 = r27;
        r15 = r8.getPreLabel();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        if (r15 >= 0) goto L_0x0218;
    L_0x0215:
        r0 = r0 + 1;
        goto L_0x0227;
    L_0x0218:
        r29 = r0;
        r0 = r8.getPreLabel();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r0 = java.lang.Integer.valueOf(r0);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r6.add(r0);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r0 = r29;
    L_0x0227:
        r8 = r28;
        goto L_0x01fd;
    L_0x022a:
        r29 = r0;
        r3 = r3 + 1;
        r0 = r1.checkShatterRatio(r7, r2);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        if (r0 == 0) goto L_0x0236;
    L_0x0234:
        r5 = r5 + 1;
        r7 = r25;
        r8 = r26;
        r0 = r29;
        goto L_0x01df;
    L_0x023e:
        r25 = r7;
        r26 = r8;
        r7 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r7.<init>();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r8 = com.android.server.hidata.wavemapping.cons.Constant.getTestResultPath();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r7.append(r8);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r8 = r32.getModelName();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r7.append(r8);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r8 = ".";
        r7.append(r8);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r30 = r10;
        r10 = java.lang.System.currentTimeMillis();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r8 = java.lang.String.valueOf(r10);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r7.append(r8);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r8 = ".discri.log.csv";
        r7.append(r8);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r7 = r7.toString();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r8 = r9.toString();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        com.android.server.hidata.wavemapping.util.FileUtils.saveFile(r7, r8);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r8 = r6.size();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r10 = 1;
        if (r8 > r10) goto L_0x02a5;
    L_0x027e:
        r8 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r8.<init>();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r10 = "discriminateModel failure,prelabel size:";
        r8.append(r10);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r10 = r6.size();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r8.append(r10);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r10 = ",prelabel:";
        r8.append(r10);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r10 = r6.toString();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r8.append(r10);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r8 = r8.toString();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        com.android.server.hidata.wavemapping.util.LogUtil.d(r8);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r8 = -25;
        return r8;
    L_0x02a5:
        r8 = (float) r0;	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r10 = (float) r4;	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r8 = r8 / r10;
        r10 = r33.getMinUnkwnRatio();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r10 = (r8 > r10 ? 1 : (r8 == r10 ? 0 : -1));
        if (r10 <= 0) goto L_0x02db;
    L_0x02b0:
        r10 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r10.<init>();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r11 = "discriminateModel failure, unknownCnt:";
        r10.append(r11);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r10.append(r0);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r11 = ",count:";
        r10.append(r11);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r10.append(r4);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r11 = ",tMinUnkwnRatio:";
        r10.append(r11);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r11 = r33.getMinUnkwnRatio();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r10.append(r11);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r10 = r10.toString();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        com.android.server.hidata.wavemapping.util.LogUtil.d(r10);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r10 = -26;
        return r10;
    L_0x02db:
        r10 = (float) r5;	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r11 = (float) r3;	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r10 = r10 / r11;
        r11 = r33.getTotalShatterRatio();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r11 = (r10 > r11 ? 1 : (r10 == r11 ? 0 : -1));
        if (r11 >= 0) goto L_0x0350;
    L_0x02e6:
        r11 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r11.<init>();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r14 = "discriminateModel failure, checkShatterRatioCount:";
        r11.append(r14);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r11.append(r5);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r14 = ",batchCount:";
        r11.append(r14);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r11.append(r3);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r14 = ",TotalShatterRatio:";
        r11.append(r14);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r14 = r33.getTotalShatterRatio();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r11.append(r14);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r11 = r11.toString();	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        com.android.server.hidata.wavemapping.util.LogUtil.d(r11);	 Catch:{ RuntimeException -> 0x0313, Exception -> 0x0311 }
        r11 = -27;
        return r11;
    L_0x0311:
        r0 = move-exception;
        goto L_0x031a;
    L_0x0313:
        r0 = move-exception;
        goto L_0x0338;
    L_0x0315:
        r0 = move-exception;
        r16 = r5;
        r18 = r6;
    L_0x031a:
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r4 = "discriminateModel,e";
        r3.append(r4);
        r4 = r0.getMessage();
        r3.append(r4);
        r3 = r3.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.e(r3);
        goto L_0x0351;
    L_0x0333:
        r0 = move-exception;
        r16 = r5;
        r18 = r6;
    L_0x0338:
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r4 = "discriminateModel,e";
        r3.append(r4);
        r4 = r0.getMessage();
        r3.append(r4);
        r3 = r3.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.e(r3);
    L_0x0351:
        r3 = 1;
        return r3;
    L_0x0353:
        r0 = -28;
        return r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.modelservice.ModelService5.discriminateModel(com.android.server.hidata.wavemapping.entity.RegularPlaceInfo, com.android.server.hidata.wavemapping.entity.ParameterInfo, int):int");
    }

    private boolean checkShatterRatio(java.util.List<com.android.server.hidata.wavemapping.entity.IdentifyResult> identifyResults, com.android.server.hidata.wavemapping.entity.ParameterInfo param) {
        if (identifyResults != null) {
            if (identifyResults.size() != 0) {
                try {
                    java.util.HashMap<java.lang.Integer, java.util.concurrent.atomic.AtomicInteger> stat = new java.util.HashMap();
                    for (com.android.server.hidata.wavemapping.entity.IdentifyResult identifyResult : identifyResults) {
                        if (stat.containsKey(java.lang.Integer.valueOf(identifyResult.getPreLabel()))) {
                            ((java.util.concurrent.atomic.AtomicInteger) stat.get(java.lang.Integer.valueOf(identifyResult.getPreLabel()))).incrementAndGet();
                        } else {
                            stat.put(java.lang.Integer.valueOf(identifyResult.getPreLabel()), new java.util.concurrent.atomic.AtomicInteger(1));
                        }
                    }
                    int maxCnt = 0;
                    for (java.util.Map.Entry<java.lang.Integer, java.util.concurrent.atomic.AtomicInteger> entry : stat.entrySet()) {
                        if (((java.util.concurrent.atomic.AtomicInteger) entry.getValue()).intValue() > maxCnt) {
                            maxCnt = ((java.util.concurrent.atomic.AtomicInteger) entry.getValue()).intValue();
                        }
                    }
                    if (((float) maxCnt) / ((float) identifyResults.size()) < param.getMaxShatterRatio()) {
                        return false;
                    }
                    return true;
                } catch (java.lang.Exception e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("LocatingState,e");
                    stringBuilder.append(e.getMessage());
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                }
            }
        }
        return false;
    }

    public com.android.server.hidata.wavemapping.entity.ModelInfo getModelByParam(com.android.server.hidata.wavemapping.entity.ParameterInfo param) {
        if (param.isMainAp()) {
            return this.mainApModelInfo;
        }
        return this.modelInfo;
    }

    public com.android.server.hidata.wavemapping.entity.ClusterResult startTraining(java.lang.String place) {
        com.android.server.hidata.wavemapping.entity.ClusterResult clusterResult = new com.android.server.hidata.wavemapping.entity.ClusterResult(place);
        if (place == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("startTraining,place == null");
            return clusterResult;
        }
        try {
            int result = trainModelRe(place, this.parameterInfo);
            java.lang.String toastInfo = "";
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("startTraining, begin allAP trainModelRe ,result:");
            stringBuilder.append(result);
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
            clusterResult.setCluster_num(result);
            if (result <= 0) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("startTraining,train model failure, place :");
                stringBuilder.append(place);
                toastInfo = stringBuilder.toString();
                com.android.server.hidata.wavemapping.util.ShowToast.showToast(toastInfo);
                com.android.server.hidata.wavemapping.util.LogUtil.d(toastInfo);
            } else {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("startTraining,train model success, place :");
                stringBuilder.append(place);
                stringBuilder.append(",cluster count:");
                stringBuilder.append(result);
                toastInfo = stringBuilder.toString();
                com.android.server.hidata.wavemapping.util.ShowToast.showToast(toastInfo);
                com.android.server.hidata.wavemapping.util.LogUtil.d(toastInfo);
            }
            int mainApResult = trainModelRe(place, this.mainParameterInfo);
            clusterResult.setMainAp_cluster_num(mainApResult);
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("startTraining, begin mainAp trainModelRe ,result:");
            stringBuilder2.append(mainApResult);
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
            if (mainApResult <= 0) {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("startTraining,train mainAp model failure, place :");
                stringBuilder2.append(place);
                toastInfo = stringBuilder2.toString();
                com.android.server.hidata.wavemapping.util.ShowToast.showToast(toastInfo);
                com.android.server.hidata.wavemapping.util.LogUtil.d(toastInfo);
            } else {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("startTraining,train mainAp model success, place :");
                stringBuilder2.append(place);
                stringBuilder2.append(",mainAp cluster count:");
                stringBuilder2.append(mainApResult);
                toastInfo = stringBuilder2.toString();
                com.android.server.hidata.wavemapping.util.ShowToast.showToast(toastInfo);
                com.android.server.hidata.wavemapping.util.LogUtil.i(toastInfo);
            }
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("startTraining,result:");
            stringBuilder2.append(clusterResult.toString());
            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("startTraining,e");
            stringBuilder3.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder3.toString());
        }
        return clusterResult;
    }

    private boolean setNoCurBssids(com.android.server.hidata.wavemapping.entity.FingerInfo fingerInfo, com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo, com.android.server.hidata.wavemapping.entity.ParameterInfo param, com.android.server.hidata.wavemapping.entity.ModelInfo model) {
        java.util.Set<java.lang.String> curBssids = new java.util.HashSet();
        if (!(placeInfo == null || fingerInfo == null)) {
            try {
                if (fingerInfo.getBissiddatas() != null) {
                    if (fingerInfo.getBissiddatas().size() != 0) {
                        if (param != null) {
                            if (!param.isMainAp()) {
                                if (!(model == null || model.getBssidLst() == null)) {
                                    if (model.getBssidLst().length != 0) {
                                        curBssids.addAll(java.util.Arrays.asList(placeInfo.getNoOcurBssids().split(",")));
                                        for (java.lang.String key : fingerInfo.getBissiddatas().keySet()) {
                                            if (curBssids.contains(key)) {
                                                curBssids.remove(key);
                                            }
                                        }
                                        placeInfo.setNoOcurBssids(curBssids.toString().replace("[", "").replace(" ", "").replace("]", "").trim());
                                        return true;
                                    }
                                }
                                return false;
                            }
                        }
                        return false;
                    }
                }
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("LocatingState,e");
                stringBuilder.append(e.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            }
        }
        return false;
    }

    public java.lang.String indentifyLocation(java.lang.String place, com.android.server.hidata.wavemapping.entity.FingerInfo fingerInfo, com.android.server.hidata.wavemapping.entity.ParameterInfo param) {
        if (place == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("indentifyLocation failure,place == null");
            return null;
        } else if (fingerInfo == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("indentifyLocation failure,fingerInfo == null ");
            return null;
        } else if (param == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("indentifyLocation failure,param == null ");
            return null;
        } else {
            com.android.server.hidata.wavemapping.entity.ModelInfo model = getModelByParam(param);
            if (model == null) {
                com.android.server.hidata.wavemapping.util.LogUtil.d("indentifyLocation failure,model == null ");
                return null;
            }
            int result = 0;
            try {
                java.lang.StringBuilder stringBuilder;
                result = this.identifyService.indentifyLocation(place, fingerInfo, param, model);
                com.android.server.hidata.wavemapping.entity.IdentifyResult identifyResult = new com.android.server.hidata.wavemapping.entity.IdentifyResult();
                identifyResult.setSsid(place);
                identifyResult.setPreLabel(result);
                identifyResult.setServeMac(fingerInfo.getServeMac());
                com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo = this.rgLocationDAO.findBySsid(place, param.isMainAp());
                if (placeInfo != null) {
                    identifyResult.setModelName(placeInfo.getModelName());
                    this.identifyResultDAO.insert(identifyResult, param.isMainAp());
                    if (placeInfo.getIdentifyNum() > param.getCheckAgingAcumlteCount()) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("begin agingAction,identifyNum:");
                        stringBuilder.append(placeInfo.getIdentifyNum());
                        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                        placeInfo = this.agingService.agingAction(placeInfo, place, param, model.getBssidLst());
                    } else {
                        setNoCurBssids(fingerInfo, placeInfo, param, model);
                        placeInfo.setIdentifyNum(placeInfo.getIdentifyNum() + 1);
                    }
                    this.rgLocationDAO.update(placeInfo);
                }
                if (result == -1) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(this.UNKONW_IDENTIFY_RET);
                    stringBuilder.append(";idRes.len=0");
                    return stringBuilder.toString();
                } else if (result == -2) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(this.UNKONW_IDENTIFY_RET);
                    stringBuilder.append(";rs=0");
                    return stringBuilder.toString();
                } else if (result == -3) {
                    return this.UNKONW_IDENTIFY_RET;
                } else {
                    return java.lang.String.valueOf(result);
                }
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("LocatingState,e");
                stringBuilder2.append(e.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
            }
        }
    }
}
