package com.android.server.hidata.wavemapping.modelservice;

public class TrainModelService extends com.android.server.hidata.wavemapping.modelservice.ModelBaseService {
    public static final java.lang.String TAG;
    private com.android.server.hidata.wavemapping.dao.EnterpriseApDAO enterpriseApDAO = new com.android.server.hidata.wavemapping.dao.EnterpriseApDAO();
    private com.android.server.hidata.wavemapping.dao.MobileApDAO mobileApDAO = new com.android.server.hidata.wavemapping.dao.MobileApDAO();

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMapping.");
        stringBuilder.append(com.android.server.hidata.wavemapping.modelservice.TrainModelService.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    public com.android.server.hidata.wavemapping.entity.ModelInfo loadModel(com.android.server.hidata.wavemapping.entity.ParameterInfo param, com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo) {
        java.lang.RuntimeException e;
        java.lang.String str;
        java.lang.StringBuilder stringBuilder;
        java.lang.Exception e2;
        java.lang.String[] bssids;
        int headerLen;
        java.lang.NumberFormatException e3;
        com.android.server.hidata.wavemapping.entity.ParameterInfo parameterInfo = param;
        com.android.server.hidata.wavemapping.entity.RegularPlaceInfo regularPlaceInfo = placeInfo;
        if (parameterInfo == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("param == null");
            return null;
        } else if (regularPlaceInfo == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("placeInfo == null");
            return null;
        } else if (placeInfo.getPlace() == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("place == null");
            return null;
        } else {
            java.lang.String place = placeInfo.getPlace();
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(place.replace(":", "").replace("-", ""));
            stringBuilder2.append(".");
            stringBuilder2.append(placeInfo.getModelName());
            java.lang.String modelName = stringBuilder2.toString();
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(" loadModel begin:");
            stringBuilder2.append(modelName);
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
            java.lang.String fPath = getModelFilePath(regularPlaceInfo, parameterInfo);
            java.lang.String fileContent = com.android.server.hidata.wavemapping.util.FileUtils.getFileContent(fPath);
            if (((long) fileContent.length()) > 52428800) {
                com.android.server.hidata.wavemapping.util.LogUtil.d("loadModel ,file content is too bigger than max_file_size.");
                return null;
            }
            com.android.server.hidata.wavemapping.entity.ModelInfo modelInfo = new com.android.server.hidata.wavemapping.entity.ModelInfo(place, placeInfo.getModelName());
            try {
                java.lang.String[] lines = fileContent.split(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
                if (lines.length < 1) {
                    try {
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("Failure loadModel ");
                        stringBuilder2.append(modelName);
                        stringBuilder2.append(",lines length is zero.");
                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
                        return null;
                    } catch (java.lang.RuntimeException e4) {
                        e = e4;
                        str = fPath;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("LocatingState,e");
                        stringBuilder.append(e.getMessage());
                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append(" loadModel success, place :");
                        stringBuilder2.append(place);
                        stringBuilder2.append(",modelName:");
                        stringBuilder2.append(modelName);
                        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                        return modelInfo;
                    } catch (java.lang.Exception e5) {
                        e2 = e5;
                        str = fPath;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("LocatingState,e");
                        stringBuilder.append(e2.getMessage());
                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                        return null;
                    }
                }
                java.lang.String[] headers = lines[0].split(",");
                java.util.HashSet<java.lang.String> setBssids = new java.util.HashSet();
                int bssidsLen = headers.length - param.getBssidStart();
                if (bssidsLen < 0) {
                    java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append("loadModel,bssidsLen:");
                    stringBuilder3.append(bssidsLen);
                    stringBuilder3.append(",headers.length:");
                    stringBuilder3.append(headers.length);
                    stringBuilder3.append(",parameterInfo.getBssidStart():");
                    stringBuilder3.append(param.getBssidStart());
                    stringBuilder3.append(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder3.toString());
                    stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append("loadModel,fPath:");
                    stringBuilder3.append(fPath);
                    stringBuilder3.append(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder3.toString());
                    stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append("loadModel,fileContent:");
                    stringBuilder3.append(fileContent);
                    stringBuilder3.append(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder3.toString());
                    stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append("loadModel,lines[0]:");
                    stringBuilder3.append(lines[0]);
                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder3.toString());
                    return null;
                }
                int bssidStart = param.getBssidStart();
                java.lang.String[] bssids2 = new java.lang.String[bssidsLen];
                int headerLen2 = headers.length;
                if (bssidStart > headers.length) {
                    return null;
                }
                int i;
                java.lang.String[] bssids3;
                int i2 = bssidStart;
                while (true) {
                    i = i2;
                    if (i >= headers.length) {
                        break;
                    }
                    try {
                        setBssids.add(headers[i]);
                        bssids3 = bssids2;
                        try {
                            bssids3[i - bssidStart] = headers[i];
                        } catch (java.lang.RuntimeException e6) {
                            e = e6;
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("loadModel,e");
                            stringBuilder.append(e.getMessage());
                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                            i2 = i + 1;
                            bssids2 = bssids3;
                            parameterInfo = param;
                            regularPlaceInfo = placeInfo;
                        } catch (java.lang.Exception e7) {
                            e2 = e7;
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("loadModel,e");
                            stringBuilder.append(e2.getMessage());
                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                            i2 = i + 1;
                            bssids2 = bssids3;
                            parameterInfo = param;
                            regularPlaceInfo = placeInfo;
                        }
                    } catch (java.lang.RuntimeException e8) {
                        e = e8;
                        bssids3 = bssids2;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("loadModel,e");
                        stringBuilder.append(e.getMessage());
                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                        i2 = i + 1;
                        bssids2 = bssids3;
                        parameterInfo = param;
                        regularPlaceInfo = placeInfo;
                    } catch (java.lang.Exception e9) {
                        e2 = e9;
                        bssids3 = bssids2;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("loadModel,e");
                        stringBuilder.append(e2.getMessage());
                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                        i2 = i + 1;
                        bssids2 = bssids3;
                        parameterInfo = param;
                        regularPlaceInfo = placeInfo;
                    }
                    i2 = i + 1;
                    bssids2 = bssids3;
                    parameterInfo = param;
                    regularPlaceInfo = placeInfo;
                }
                bssids3 = bssids2;
                if (setBssids.size() != bssidsLen) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("loadModel,Failure loadModel ");
                    stringBuilder2.append(modelName);
                    stringBuilder2.append(",has duplicate bssid.");
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
                    return null;
                }
                modelInfo.setSetBssids(setBssids);
                modelInfo.setBssidLst(bssids3);
                int lineLen = lines.length;
                int[][] datas = (int[][]) java.lang.reflect.Array.newInstance(int.class, new int[]{lineLen - 1, bssids3.length});
                int i3 = 1;
                while (true) {
                    i = i3;
                    if (i >= lines.length) {
                        break;
                    }
                    java.lang.StringBuilder stringBuilder4;
                    try {
                        bssids = bssids3;
                        try {
                            java.lang.String[] arrWords = lines[i].split(",");
                            int headerLen3 = headerLen2;
                            if (arrWords.length < headerLen3) {
                                try {
                                    stringBuilder4 = new java.lang.StringBuilder();
                                    headerLen = headerLen3;
                                    try {
                                        stringBuilder4.append("loadModel,Load Model failure,place :");
                                        stringBuilder4.append(place);
                                        stringBuilder4.append(",modelName:");
                                        stringBuilder4.append(modelName);
                                        stringBuilder4.append(", line num:");
                                        stringBuilder4.append(i);
                                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder4.toString());
                                        str = fPath;
                                    } catch (java.lang.NumberFormatException e10) {
                                        e3 = e10;
                                        str = fPath;
                                        try {
                                            stringBuilder4 = new java.lang.StringBuilder();
                                            stringBuilder4.append("LocatingState,e");
                                            stringBuilder4.append(e3.getMessage());
                                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder4.toString());
                                            i3 = i + 1;
                                            bssids3 = bssids;
                                            headerLen2 = headerLen;
                                            fPath = str;
                                        } catch (java.lang.RuntimeException e11) {
                                            e = e11;
                                            stringBuilder = new java.lang.StringBuilder();
                                            stringBuilder.append("LocatingState,e");
                                            stringBuilder.append(e.getMessage());
                                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                                            stringBuilder2 = new java.lang.StringBuilder();
                                            stringBuilder2.append(" loadModel success, place :");
                                            stringBuilder2.append(place);
                                            stringBuilder2.append(",modelName:");
                                            stringBuilder2.append(modelName);
                                            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                                            return modelInfo;
                                        } catch (java.lang.Exception e12) {
                                            e2 = e12;
                                            stringBuilder = new java.lang.StringBuilder();
                                            stringBuilder.append("LocatingState,e");
                                            stringBuilder.append(e2.getMessage());
                                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                                            return null;
                                        }
                                    }
                                } catch (java.lang.NumberFormatException e13) {
                                    e3 = e13;
                                    headerLen = headerLen3;
                                    str = fPath;
                                    stringBuilder4 = new java.lang.StringBuilder();
                                    stringBuilder4.append("LocatingState,e");
                                    stringBuilder4.append(e3.getMessage());
                                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder4.toString());
                                    i3 = i + 1;
                                    bssids3 = bssids;
                                    headerLen2 = headerLen;
                                    fPath = str;
                                }
                                i3 = i + 1;
                                bssids3 = bssids;
                                headerLen2 = headerLen;
                                fPath = str;
                            } else {
                                headerLen = headerLen3;
                                bssids3 = bssidStart;
                                while (bssids3 < arrWords.length) {
                                    try {
                                        str = fPath;
                                    } catch (java.lang.NumberFormatException e14) {
                                        e3 = e14;
                                        str = fPath;
                                        stringBuilder4 = new java.lang.StringBuilder();
                                        stringBuilder4.append("LocatingState,e");
                                        stringBuilder4.append(e3.getMessage());
                                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder4.toString());
                                        i3 = i + 1;
                                        bssids3 = bssids;
                                        headerLen2 = headerLen;
                                        fPath = str;
                                    }
                                    try {
                                        datas[i - 1][bssids3 - bssidStart] = java.lang.Integer.parseInt(arrWords[bssids3]);
                                        bssids3++;
                                        fPath = str;
                                    } catch (java.lang.NumberFormatException e15) {
                                        e3 = e15;
                                        stringBuilder4 = new java.lang.StringBuilder();
                                        stringBuilder4.append("LocatingState,e");
                                        stringBuilder4.append(e3.getMessage());
                                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder4.toString());
                                        i3 = i + 1;
                                        bssids3 = bssids;
                                        headerLen2 = headerLen;
                                        fPath = str;
                                    }
                                }
                                str = fPath;
                                i3 = i + 1;
                                bssids3 = bssids;
                                headerLen2 = headerLen;
                                fPath = str;
                            }
                        } catch (java.lang.NumberFormatException e16) {
                            e3 = e16;
                            str = fPath;
                            headerLen = headerLen2;
                            stringBuilder4 = new java.lang.StringBuilder();
                            stringBuilder4.append("LocatingState,e");
                            stringBuilder4.append(e3.getMessage());
                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder4.toString());
                            i3 = i + 1;
                            bssids3 = bssids;
                            headerLen2 = headerLen;
                            fPath = str;
                        }
                    } catch (java.lang.NumberFormatException e17) {
                        e3 = e17;
                        bssids = bssids3;
                        str = fPath;
                        headerLen = headerLen2;
                        stringBuilder4 = new java.lang.StringBuilder();
                        stringBuilder4.append("LocatingState,e");
                        stringBuilder4.append(e3.getMessage());
                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder4.toString());
                        i3 = i + 1;
                        bssids3 = bssids;
                        headerLen2 = headerLen;
                        fPath = str;
                    }
                }
                str = fPath;
                headerLen = headerLen2;
                if (datas.length == 0) {
                    com.android.server.hidata.wavemapping.util.LogUtil.d(" loadModel failure:datas.length = 0");
                    return null;
                }
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append(" loadModel,place :");
                stringBuilder2.append(place);
                stringBuilder2.append(",modelName:");
                stringBuilder2.append(modelName);
                stringBuilder2.append(",datas.size : ");
                stringBuilder2.append(datas.length);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                modelInfo.setDatas(datas);
                modelInfo.setDataLen(lineLen - 1);
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append(" loadModel success, place :");
                stringBuilder2.append(place);
                stringBuilder2.append(",modelName:");
                stringBuilder2.append(modelName);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                return modelInfo;
            } catch (java.lang.RuntimeException e18) {
                e = e18;
                str = fPath;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("LocatingState,e");
                stringBuilder.append(e.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append(" loadModel success, place :");
                stringBuilder2.append(place);
                stringBuilder2.append(",modelName:");
                stringBuilder2.append(modelName);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                return modelInfo;
            } catch (java.lang.Exception e19) {
                e2 = e19;
                str = fPath;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("LocatingState,e");
                stringBuilder.append(e2.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                return null;
            }
        }
    }

    public boolean saveModel(java.lang.String place, java.lang.String[] reLst, com.android.server.hidata.wavemapping.entity.ParameterInfo param, com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo) {
        java.lang.StringBuilder fContent = new java.lang.StringBuilder();
        if (place == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d(" saveModel place == null");
            return false;
        } else if (reLst == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d(" saveModel reLst == null");
            return false;
        } else if (reLst.length == 0) {
            com.android.server.hidata.wavemapping.util.LogUtil.d(" saveModel reLst.length == 0");
            return false;
        } else {
            java.lang.String fName = "";
            java.lang.StringBuilder stringBuilder;
            java.lang.StringBuilder stringBuilder2;
            try {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(place.replace(":", "").replace("-", ""));
                stringBuilder.append(".");
                stringBuilder.append(placeInfo.getModelName());
                fName = stringBuilder.toString();
                java.lang.String filePath = getModelFilePath(placeInfo, param);
                if (!com.android.server.hidata.wavemapping.util.FileUtils.delFile(filePath)) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append(" saveModel ,FileUtils.delFile(filePath),filePath:");
                    stringBuilder2.append(filePath);
                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
                }
                placeInfo.setModelName(new com.android.server.hidata.wavemapping.util.TimeUtil().getTimePATTERN02());
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append(place.replace(":", "").replace("-", ""));
                stringBuilder3.append(".");
                stringBuilder3.append(placeInfo.getModelName());
                fName = stringBuilder3.toString();
                stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append(" saveModel begin:");
                stringBuilder3.append(fName);
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder3.toString());
                filePath = getModelFilePath(placeInfo, param);
                for (java.lang.String line : reLst) {
                    fContent.append(line);
                    fContent.append(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
                }
                if (!com.android.server.hidata.wavemapping.util.FileUtils.saveFile(filePath, fContent.toString())) {
                    stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append("Failure save model ");
                    stringBuilder3.append(place);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder3.toString());
                    return false;
                }
            } catch (java.lang.RuntimeException e) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("LocatingState,e");
                stringBuilder.append(e.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            } catch (java.lang.Exception e2) {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append(" saveModel ,");
                stringBuilder2.append(e2.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
                return false;
            }
            java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
            stringBuilder4.append("Success save model ");
            stringBuilder4.append(fName);
            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder4.toString());
            return true;
        }
    }

    public com.android.server.hidata.wavemapping.entity.CoreTrainData getWmpCoreTrainData(java.lang.String place, com.android.server.hidata.wavemapping.entity.ParameterInfo param, com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo, com.android.server.hidata.wavemapping.chr.entity.BuildModelChrInfo buildModelChrInfo) {
        java.lang.StringBuilder stringBuilder;
        com.android.server.hidata.wavemapping.entity.CoreTrainData coreTrainData = new com.android.server.hidata.wavemapping.entity.CoreTrainData();
        if (place != null) {
            if (!place.equals("")) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append(" trainModelRe begin,place:");
                stringBuilder2.append(place);
                stringBuilder2.append(",isMain:");
                stringBuilder2.append(param.isMainAp());
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
                try {
                    int spletRet = splitTrainTestFiles(place, param, buildModelChrInfo);
                    if (spletRet < 0) {
                        com.android.server.hidata.wavemapping.util.LogUtil.d("splitTrainTestFiles failure.");
                        coreTrainData.setResult(spletRet);
                        return coreTrainData;
                    }
                    int result = transformRawData(place, param, buildModelChrInfo);
                    coreTrainData.setResult(result);
                    if (result < 0) {
                        com.android.server.hidata.wavemapping.util.LogUtil.d("getWmpCoreTrainData transformRawData failure");
                        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                        stringBuilder3.append(" getWmpCoreTrainData end,place:");
                        stringBuilder3.append(place);
                        stringBuilder3.append(",result=");
                        stringBuilder3.append(coreTrainData.getResult());
                        stringBuilder3.append(",isMain:");
                        stringBuilder3.append(param.isMainAp());
                        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder3.toString());
                        return coreTrainData;
                    }
                    if (getWmpCoreTrainDataByStdFile(place, param, coreTrainData)) {
                        return coreTrainData;
                    }
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append(" getWmpCoreTrainData end,place:");
                    stringBuilder2.append(place);
                    stringBuilder2.append(",result=");
                    stringBuilder2.append(coreTrainData.getResult());
                    stringBuilder2.append(",isMain:");
                    stringBuilder2.append(param.isMainAp());
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                    return coreTrainData;
                } catch (java.lang.RuntimeException e) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("getWmpCoreTrainData,e");
                    stringBuilder.append(e.getMessage());
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                } catch (java.lang.Exception e2) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(" getWmpCoreTrainData error,place:");
                    stringBuilder.append(e2.getMessage());
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                }
            }
        }
        return coreTrainData;
    }

    public boolean getWmpCoreTrainDataByStdFile(java.lang.String place, com.android.server.hidata.wavemapping.entity.ParameterInfo param, com.android.server.hidata.wavemapping.entity.CoreTrainData coreTrainData) {
        java.lang.StringBuilder stringBuilder;
        java.lang.String fileContent = com.android.server.hidata.wavemapping.util.FileUtils.getFileContent(getStdFilePath(place, param));
        if (fileContent.length() == 0) {
            coreTrainData.setResult(-15);
            return true;
        } else if (((long) fileContent.length()) > 52428800) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("getWmpCoreTrainDataByStdFile ,file content is too bigger than max_file_size.");
            coreTrainData.setResult(-16);
            return true;
        } else {
            java.lang.String[] fingerData = fileContent.split(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(" getWmpCoreTrainDataByStdFile fingerData.length:");
            stringBuilder2.append(fingerData.length);
            stringBuilder2.append(",isMain:");
            stringBuilder2.append(param.isMainAp());
            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
            if (fingerData.length < param.getTrainDatasSize()) {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append(" getWmpCoreTrainDataByStdFile fingerData.load train file file line length less than MIN VAL.");
                stringBuilder2.append(fingerData.length);
                stringBuilder2.append(",isMain:");
                stringBuilder2.append(param.isMainAp());
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                coreTrainData.setResult(-17);
                return true;
            }
            java.lang.String[] lineParam = param.toLineStr();
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("getWmpCoreTrainDataByStdFile:");
            stringBuilder2.append(place);
            stringBuilder2.append(",fingerData.size:");
            stringBuilder2.append(fingerData.length);
            stringBuilder2.append(",isMain:");
            stringBuilder2.append(param.isMainAp());
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
            try {
                java.lang.String[] reLst = com.android.server.hidata.HwHidataJniAdapter.getInstance().getWmpCoreTrainData(fingerData, lineParam).split(";");
                int size = reLst.length;
                coreTrainData.setDatas(reLst);
            } catch (java.lang.RuntimeException e) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("getWmpCoreTrainDataByStdFile,e");
                stringBuilder.append(e.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            } catch (java.lang.Exception e2) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("getWmpCoreTrainDataByStdFile, ");
                stringBuilder.append(e2.getMessage());
                stringBuilder.append(",isMain:");
                stringBuilder.append(param.isMainAp());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            }
            return false;
        }
    }

    private int splitTrainTestFiles(java.lang.String place, com.android.server.hidata.wavemapping.entity.ParameterInfo param, com.android.server.hidata.wavemapping.chr.entity.BuildModelChrInfo buildModelChrInfo) {
        java.lang.StringBuilder stringBuilder;
        java.lang.String str = place;
        com.android.server.hidata.wavemapping.chr.entity.BuildModelChrInfo buildModelChrInfo2 = buildModelChrInfo;
        try {
            java.lang.String filePath = getRawFilePath(place, param);
            java.lang.String fileContent = com.android.server.hidata.wavemapping.util.FileUtils.getFileContent(filePath);
            if (fileContent.length() == 0) {
                return -7;
            }
            if (fileContent.equals("FILE_BIGGER")) {
                return -20;
            }
            if (((long) fileContent.length()) > 52428800) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("splitTrainTestFiles ,raw data file content is too bigger than max_file_size.file lenght:");
                stringBuilder2.append(fileContent.length());
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                return -8;
            }
            java.lang.String[] lines = fileContent.split(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
            int len;
            java.lang.StringBuilder stringBuilder3;
            if (len < param.getTestDataSize() + param.getTrainDatasSize()) {
                stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("splitTrainTestFiles ,raw data file lines length(");
                stringBuilder3.append(len);
                stringBuilder3.append(") is less than train(");
                stringBuilder3.append(param.getTrainDatasSize());
                stringBuilder3.append(") and test(");
                stringBuilder3.append(param.getTestDataSize());
                stringBuilder3.append(") data size.");
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder3.toString());
                return -9;
            }
            java.util.HashMap<java.lang.String, java.util.concurrent.atomic.AtomicInteger> hpBatchStat = new java.util.HashMap();
            java.util.List<java.lang.String> batchLst = new java.util.ArrayList();
            for (java.lang.String[] wds : lines) {
                java.lang.String[] wds2 = wds2.split(",");
                if (wds2.length >= param.getScanWifiStart()) {
                    if (wds2[0] != null) {
                        if (!wds2[0].equals("")) {
                            java.lang.String strBatch = wds2[param.getBatchID()];
                            if (hpBatchStat.containsKey(strBatch)) {
                                ((java.util.concurrent.atomic.AtomicInteger) hpBatchStat.get(strBatch)).incrementAndGet();
                            } else {
                                batchLst.add(strBatch);
                                hpBatchStat.put(strBatch, new java.util.concurrent.atomic.AtomicInteger(1));
                            }
                        }
                    }
                }
            }
            int i = lines.length;
            int testDataCntbyRatio = (int) (((float) i) * param.getTestDataRatio());
            int testDataCnt = testDataCntbyRatio > param.getTestDataSize() ? testDataCntbyRatio : param.getTestDataSize();
            if (i <= testDataCnt) {
                com.android.server.hidata.wavemapping.util.LogUtil.d("splitTrainTestFiles ,total data size is less than test data size.");
                return -10;
            }
            int size;
            java.util.List<java.lang.String> batchLst2;
            int size2;
            int testDataCntbyRatio2;
            java.lang.String strBatch2;
            java.util.Random random = new java.util.Random();
            java.util.Set<java.lang.String> setTestBatch = new java.util.HashSet();
            int size3 = hpBatchStat.size();
            int testFetchDataCnt = 0;
            int i2 = 0;
            while (true) {
                size = size3;
                java.lang.String str2;
                if (i2 >= size) {
                    str2 = fileContent;
                    break;
                } else if (batchLst.isEmpty()) {
                    break;
                } else if (testFetchDataCnt >= testDataCnt) {
                    break;
                } else {
                    java.lang.String filePath2 = filePath;
                    filePath = random.nextInt(batchLst.size());
                    int randomCnt = filePath;
                    filePath = (java.lang.String) batchLst.get(filePath);
                    str2 = fileContent;
                    java.util.concurrent.atomic.AtomicInteger randomValue = (java.util.concurrent.atomic.AtomicInteger) hpBatchStat.get(filePath);
                    if (randomValue != null) {
                        setTestBatch.add(filePath);
                        testFetchDataCnt += randomValue.intValue();
                        batchLst.remove(filePath);
                    }
                    i2++;
                    size3 = size;
                    filePath = filePath2;
                    fileContent = str2;
                }
            }
            java.lang.StringBuffer trainDataSb = new java.lang.StringBuffer();
            java.lang.StringBuffer testDataSb = new java.lang.StringBuffer();
            boolean ifGetFirstDataTime = false;
            com.android.server.hidata.wavemapping.util.TimeUtil timeUtil = new com.android.server.hidata.wavemapping.util.TimeUtil();
            len = 0;
            i2 = 0;
            while (i2 < i) {
                java.util.HashMap<java.lang.String, java.util.concurrent.atomic.AtomicInteger> hpBatchStat2 = hpBatchStat;
                batchLst2 = batchLst;
                hpBatchStat = lines[i2].split(",");
                size2 = size;
                if (hpBatchStat.length >= param.getScanWifiStart()) {
                    if (hpBatchStat[0] == null) {
                        testDataCntbyRatio2 = testDataCntbyRatio;
                    } else if (!hpBatchStat[0].equals("")) {
                        strBatch2 = hpBatchStat[param.getBatchID()];
                        if (ifGetFirstDataTime) {
                            testDataCntbyRatio2 = testDataCntbyRatio;
                        } else {
                            testDataCntbyRatio2 = testDataCntbyRatio;
                            if (hpBatchStat.length > param.getTimestampID() && timeUtil.time2IntDate(hpBatchStat[param.getTimestampID()]) != 0) {
                                buildModelChrInfo2.setFirstTimeAll(timeUtil.time2IntDate(hpBatchStat[param.getTimestampID()]));
                                ifGetFirstDataTime = true;
                            }
                        }
                        if (setTestBatch.contains(strBatch2)) {
                            testDataSb.append(lines[i2]);
                            testDataSb.append(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
                            len++;
                        } else {
                            trainDataSb.append(lines[i2]);
                            trainDataSb.append(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
                        }
                    }
                    i2++;
                    hpBatchStat = hpBatchStat2;
                    batchLst = batchLst2;
                    size = size2;
                    testDataCntbyRatio = testDataCntbyRatio2;
                }
                testDataCntbyRatio2 = testDataCntbyRatio;
                i2++;
                hpBatchStat = hpBatchStat2;
                batchLst = batchLst2;
                size = size2;
                testDataCntbyRatio = testDataCntbyRatio2;
            }
            batchLst2 = batchLst;
            size2 = size;
            testDataCntbyRatio2 = testDataCntbyRatio;
            buildModelChrInfo2.setTestDataAll(len);
            buildModelChrInfo2.setTrainDataAll(i - len);
            stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("chr trainData len:");
            stringBuilder3.append(i - len);
            stringBuilder3.append(",testData len:");
            stringBuilder3.append(len);
            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder3.toString());
            java.lang.String trainDataFilePath = getTrainDataFilePath(place, param);
            strBatch2 = getTestDataFilePath(place, param);
            java.lang.StringBuilder stringBuilder4;
            java.lang.String str3;
            java.lang.StringBuilder stringBuilder5;
            if (!com.android.server.hidata.wavemapping.util.FileUtils.delFile(trainDataFilePath)) {
                stringBuilder4 = new java.lang.StringBuilder();
                stringBuilder4.append(" splitTrainTestFiles failure ,FileUtils.delFile(trainDataFilePath),dataFilePath:");
                stringBuilder4.append(trainDataFilePath);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder4.toString());
                return -11;
            } else if (!com.android.server.hidata.wavemapping.util.FileUtils.saveFile(trainDataFilePath, trainDataSb.toString())) {
                str3 = TAG;
                stringBuilder5 = new java.lang.StringBuilder();
                stringBuilder5.append(" splitTrainTestFiles save failure:");
                stringBuilder5.append(str);
                stringBuilder5.append(",trainDataFilePath:");
                stringBuilder5.append(trainDataFilePath);
                android.util.Log.d(str3, stringBuilder5.toString());
                return -12;
            } else if (com.android.server.hidata.wavemapping.util.FileUtils.delFile(strBatch2)) {
                if (!com.android.server.hidata.wavemapping.util.FileUtils.saveFile(strBatch2, testDataSb.toString())) {
                    str3 = TAG;
                    stringBuilder5 = new java.lang.StringBuilder();
                    stringBuilder5.append(" splitTrainTestFiles save failure:");
                    stringBuilder5.append(str);
                    stringBuilder5.append(",testDataFilePath:");
                    stringBuilder5.append(strBatch2);
                    android.util.Log.d(str3, stringBuilder5.toString());
                    return -14;
                }
                return 1;
            } else {
                stringBuilder4 = new java.lang.StringBuilder();
                stringBuilder4.append(" splitTrainTestFiles failure ,FileUtils.delFile(testDataFilePath),testDataFilePath:");
                stringBuilder4.append(strBatch2);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder4.toString());
                return -13;
            }
        } catch (java.lang.RuntimeException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("splitTrainTestFiles,e");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        } catch (java.lang.Exception e2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("splitTrainTestFiles,e");
            stringBuilder.append(e2.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
    }

    public int wMappingTrainData(java.lang.String place, com.android.server.hidata.wavemapping.entity.ParameterInfo param, com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo, com.android.server.hidata.wavemapping.chr.entity.BuildModelChrInfo buildModelChrInfo) {
        java.lang.RuntimeException e;
        java.lang.StringBuilder stringBuilder;
        java.lang.Exception e2;
        java.lang.String str = place;
        com.android.server.hidata.wavemapping.entity.ParameterInfo parameterInfo = param;
        com.android.server.hidata.wavemapping.entity.RegularPlaceInfo regularPlaceInfo = placeInfo;
        if (parameterInfo == null) {
            android.util.Log.d(TAG, "parameterInfo == null");
            return -1;
        } else if (regularPlaceInfo == null) {
            android.util.Log.d(TAG, "placeInfo == null");
            return -1;
        } else {
            java.lang.String fileContent;
            if (str != null) {
                if (!str.equals("")) {
                    java.lang.String filePath = getStdFilePath(place, param);
                    fileContent = com.android.server.hidata.wavemapping.util.FileUtils.getFileContent(filePath);
                    if (fileContent.length() == 0) {
                        return -15;
                    }
                    if (((long) fileContent.length()) > 52428800) {
                        com.android.server.hidata.wavemapping.util.LogUtil.d("wMappingTrainData ,file content is too bigger than max_file_size.");
                        return -16;
                    }
                    java.lang.String[] fingerData = fileContent.split(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append(" wMappingTrainData fingerData.length:");
                    stringBuilder2.append(fingerData.length);
                    stringBuilder2.append(",isMain:");
                    stringBuilder2.append(param.isMainAp());
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                    if (fingerData.length < param.getTrainDatasSize()) {
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append(" wMappingTrainData fingerData.load train file file line length less than MIN VAL.");
                        stringBuilder2.append(fingerData.length);
                        stringBuilder2.append(",isMain:");
                        stringBuilder2.append(param.isMainAp());
                        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                        return -17;
                    }
                    java.lang.String[] lineParam = param.toLineStr();
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("start wmp Core:");
                    stringBuilder2.append(str);
                    stringBuilder2.append(",fingerData.size:");
                    stringBuilder2.append(fingerData.length);
                    stringBuilder2.append(",isMain:");
                    stringBuilder2.append(param.isMainAp());
                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
                    java.util.HashSet setPreLables = new java.util.HashSet();
                    java.lang.String filePath2;
                    try {
                        long startTime = java.lang.System.currentTimeMillis();
                        com.android.server.hidata.HwHidataJniAdapter hwHidataJniAdapter = com.android.server.hidata.HwHidataJniAdapter.getInstance();
                        java.lang.String[] reLst = hwHidataJniAdapter.wmpCoreClusterData(fingerData, lineParam).split(";");
                        int size = reLst.length;
                        float runTime = ((float) (java.lang.System.currentTimeMillis() - startTime)) / 1000.0f;
                        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                        stringBuilder3.append("finish wmp Core, size=");
                        stringBuilder3.append(size);
                        stringBuilder3.append(",run time(s):");
                        stringBuilder3.append(runTime);
                        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder3.toString());
                        if (size < 2) {
                            return -17;
                        }
                        java.lang.String[] headers = reLst[0].split(",");
                        int macCnt = -1;
                        int i = param.getBssidStart();
                        while (true) {
                            filePath2 = filePath;
                            try {
                                if (i >= headers.length) {
                                    break;
                                }
                                macCnt++;
                                i++;
                                filePath = filePath2;
                            } catch (java.lang.RuntimeException e3) {
                                e = e3;
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("wMappingTrainData,e");
                                stringBuilder.append(e.getMessage());
                                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                                stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append("wMappingTrainData end:");
                                stringBuilder2.append(str);
                                stringBuilder2.append(",fingerData.size:");
                                stringBuilder2.append(fingerData.length);
                                stringBuilder2.append(",setPreLables.size():");
                                stringBuilder2.append(setPreLables.size());
                                stringBuilder2.append(",isMain:");
                                stringBuilder2.append(param.isMainAp());
                                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                                return setPreLables.size();
                            } catch (java.lang.Exception e4) {
                                e2 = e4;
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("wMappingTrainData, ");
                                stringBuilder.append(e2.getMessage());
                                stringBuilder.append(",isMain:");
                                stringBuilder.append(param.isMainAp());
                                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                                stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append("wMappingTrainData end:");
                                stringBuilder2.append(str);
                                stringBuilder2.append(",fingerData.size:");
                                stringBuilder2.append(fingerData.length);
                                stringBuilder2.append(",setPreLables.size():");
                                stringBuilder2.append(setPreLables.size());
                                stringBuilder2.append(",isMain:");
                                stringBuilder2.append(param.isMainAp());
                                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                                return setPreLables.size();
                            }
                        }
                        java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                        stringBuilder4.append("macCnt=");
                        stringBuilder4.append(macCnt);
                        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder4.toString());
                        buildModelChrInfo.getAPType().setFinalUsed(macCnt);
                        int i2 = 0;
                        while (true) {
                            int i3 = i2;
                            if (i3 >= size) {
                                break;
                            }
                            int macCnt2 = macCnt;
                            macCnt = reLst[i3].split(",");
                            setPreLables.add(macCnt[macCnt.length - 1]);
                            i2 = i3 + 1;
                            macCnt = macCnt2;
                        }
                        setPreLables.remove("prelabel");
                        try {
                            if (!saveModel(str, reLst, parameterInfo, regularPlaceInfo)) {
                                com.android.server.hidata.wavemapping.util.LogUtil.i("wMappingTrainData save model failure.");
                                return -18;
                            }
                        } catch (java.lang.RuntimeException e5) {
                            e = e5;
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("wMappingTrainData,e");
                            stringBuilder.append(e.getMessage());
                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                            stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("wMappingTrainData end:");
                            stringBuilder2.append(str);
                            stringBuilder2.append(",fingerData.size:");
                            stringBuilder2.append(fingerData.length);
                            stringBuilder2.append(",setPreLables.size():");
                            stringBuilder2.append(setPreLables.size());
                            stringBuilder2.append(",isMain:");
                            stringBuilder2.append(param.isMainAp());
                            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                            return setPreLables.size();
                        } catch (java.lang.Exception e6) {
                            e2 = e6;
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("wMappingTrainData, ");
                            stringBuilder.append(e2.getMessage());
                            stringBuilder.append(",isMain:");
                            stringBuilder.append(param.isMainAp());
                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                            stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("wMappingTrainData end:");
                            stringBuilder2.append(str);
                            stringBuilder2.append(",fingerData.size:");
                            stringBuilder2.append(fingerData.length);
                            stringBuilder2.append(",setPreLables.size():");
                            stringBuilder2.append(setPreLables.size());
                            stringBuilder2.append(",isMain:");
                            stringBuilder2.append(param.isMainAp());
                            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                            return setPreLables.size();
                        }
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("wMappingTrainData end:");
                        stringBuilder2.append(str);
                        stringBuilder2.append(",fingerData.size:");
                        stringBuilder2.append(fingerData.length);
                        stringBuilder2.append(",setPreLables.size():");
                        stringBuilder2.append(setPreLables.size());
                        stringBuilder2.append(",isMain:");
                        stringBuilder2.append(param.isMainAp());
                        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                        return setPreLables.size();
                    } catch (java.lang.RuntimeException e7) {
                        e = e7;
                        filePath2 = filePath;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("wMappingTrainData,e");
                        stringBuilder.append(e.getMessage());
                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("wMappingTrainData end:");
                        stringBuilder2.append(str);
                        stringBuilder2.append(",fingerData.size:");
                        stringBuilder2.append(fingerData.length);
                        stringBuilder2.append(",setPreLables.size():");
                        stringBuilder2.append(setPreLables.size());
                        stringBuilder2.append(",isMain:");
                        stringBuilder2.append(param.isMainAp());
                        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                        return setPreLables.size();
                    } catch (java.lang.Exception e8) {
                        e2 = e8;
                        filePath2 = filePath;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("wMappingTrainData, ");
                        stringBuilder.append(e2.getMessage());
                        stringBuilder.append(",isMain:");
                        stringBuilder.append(param.isMainAp());
                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("wMappingTrainData end:");
                        stringBuilder2.append(str);
                        stringBuilder2.append(",fingerData.size:");
                        stringBuilder2.append(fingerData.length);
                        stringBuilder2.append(",setPreLables.size():");
                        stringBuilder2.append(setPreLables.size());
                        stringBuilder2.append(",isMain:");
                        stringBuilder2.append(param.isMainAp());
                        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                        return setPreLables.size();
                    }
                }
            }
            fileContent = TAG;
            java.lang.StringBuilder stringBuilder5 = new java.lang.StringBuilder();
            stringBuilder5.append("wMappingTrainData place == null || place.equals(\"\") .");
            stringBuilder5.append(str);
            android.util.Log.d(fileContent, stringBuilder5.toString());
            return -1;
        }
    }

    public int wmpCoreTrainData(com.android.server.hidata.wavemapping.entity.CoreTrainData coreTrainData, java.lang.String place, com.android.server.hidata.wavemapping.entity.ParameterInfo param, com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo, com.android.server.hidata.wavemapping.chr.entity.BuildModelChrInfo buildModelChrInfo) {
        java.lang.RuntimeException e;
        java.lang.StringBuilder stringBuilder;
        java.lang.Exception e2;
        java.lang.String[] strArr;
        java.lang.String str = place;
        com.android.server.hidata.wavemapping.entity.ParameterInfo parameterInfo = param;
        com.android.server.hidata.wavemapping.entity.RegularPlaceInfo regularPlaceInfo = placeInfo;
        if (coreTrainData == null) {
            android.util.Log.d(TAG, "wmpCoreTrainData coreTrainData == null");
            return -52;
        }
        if (coreTrainData.getDatas() != null) {
            if (coreTrainData.getDatas().length != 0) {
                if (parameterInfo == null) {
                    android.util.Log.d(TAG, "wmpCoreTrainData parameterInfo == null");
                    return -1;
                } else if (regularPlaceInfo == null) {
                    android.util.Log.d(TAG, "wmpCoreTrainData placeInfo == null");
                    return -1;
                } else {
                    if (str != null) {
                        if (!str.equals("")) {
                            java.lang.String[] lineParam = param.toLineStr();
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("wmpCoreTrainData:");
                            stringBuilder2.append(str);
                            stringBuilder2.append(",coreTrainData.size:");
                            stringBuilder2.append(coreTrainData.getDatas().length);
                            stringBuilder2.append(",isMain:");
                            stringBuilder2.append(param.isMainAp());
                            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
                            java.util.HashSet setPreLables = new java.util.HashSet();
                            try {
                                long startTime = java.lang.System.currentTimeMillis();
                                long beginTime = java.lang.System.currentTimeMillis();
                                com.android.server.hidata.HwHidataJniAdapter hwHidataJniAdapter = com.android.server.hidata.HwHidataJniAdapter.getInstance();
                                java.lang.String[] reLst = hwHidataJniAdapter.wmpCoreTrainData(coreTrainData.getDatas(), lineParam).split(";");
                                int size = reLst.length;
                                long runTime = (java.lang.System.currentTimeMillis() - startTime) / 1000;
                                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                                stringBuilder3.append("wmpCoreTrainData, size=");
                                stringBuilder3.append(size);
                                stringBuilder3.append(",spend(seconds) run time(s):");
                                stringBuilder3.append(runTime);
                                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder3.toString());
                                if (size < 2) {
                                    return -17;
                                }
                                java.lang.String[] headers = reLst[0].split(",");
                                lineParam = -1;
                                int i = param.getBssidStart();
                                while (true) {
                                    long startTime2 = startTime;
                                    try {
                                        if (i >= headers.length) {
                                            break;
                                        }
                                        lineParam++;
                                        i++;
                                        startTime = startTime2;
                                    } catch (java.lang.RuntimeException e3) {
                                        e = e3;
                                        stringBuilder = new java.lang.StringBuilder();
                                        stringBuilder.append("wmpCoreTrainData,e");
                                        stringBuilder.append(e.getMessage());
                                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                                        stringBuilder2 = new java.lang.StringBuilder();
                                        stringBuilder2.append("wMappingTrainData end:");
                                        stringBuilder2.append(str);
                                        stringBuilder2.append(",coreTrainData.size:");
                                        stringBuilder2.append(coreTrainData.getDatas().length);
                                        stringBuilder2.append(",setPreLables.size():");
                                        stringBuilder2.append(setPreLables.size());
                                        stringBuilder2.append(",isMain:");
                                        stringBuilder2.append(param.isMainAp());
                                        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                                        return setPreLables.size();
                                    } catch (java.lang.Exception e4) {
                                        e2 = e4;
                                        stringBuilder = new java.lang.StringBuilder();
                                        stringBuilder.append("wmpCoreTrainData, ");
                                        stringBuilder.append(e2.getMessage());
                                        stringBuilder.append(",isMain:");
                                        stringBuilder.append(param.isMainAp());
                                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                                        stringBuilder2 = new java.lang.StringBuilder();
                                        stringBuilder2.append("wMappingTrainData end:");
                                        stringBuilder2.append(str);
                                        stringBuilder2.append(",coreTrainData.size:");
                                        stringBuilder2.append(coreTrainData.getDatas().length);
                                        stringBuilder2.append(",setPreLables.size():");
                                        stringBuilder2.append(setPreLables.size());
                                        stringBuilder2.append(",isMain:");
                                        stringBuilder2.append(param.isMainAp());
                                        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                                        return setPreLables.size();
                                    }
                                }
                                java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                                stringBuilder4.append("macCnt=");
                                stringBuilder4.append(lineParam);
                                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder4.toString());
                                buildModelChrInfo.getAPType().setFinalUsed(lineParam);
                                int i2 = 0;
                                while (true) {
                                    int i3 = i2;
                                    if (i3 >= size) {
                                        break;
                                    }
                                    java.lang.String[] datas = reLst[i3].split(",");
                                    setPreLables.add(datas[datas.length - 1]);
                                    i2 = i3 + 1;
                                }
                                setPreLables.remove("prelabel");
                                if (saveModel(str, reLst, parameterInfo, regularPlaceInfo)) {
                                    float runTime2 = (float) ((java.lang.System.currentTimeMillis() - beginTime) / 1000);
                                    java.lang.StringBuilder stringBuilder5 = new java.lang.StringBuilder();
                                    stringBuilder5.append("train models wmpCoreTrainData spend(seconds) : ");
                                    stringBuilder5.append(runTime2);
                                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder5.toString());
                                    stringBuilder2 = new java.lang.StringBuilder();
                                    stringBuilder2.append("wMappingTrainData end:");
                                    stringBuilder2.append(str);
                                    stringBuilder2.append(",coreTrainData.size:");
                                    stringBuilder2.append(coreTrainData.getDatas().length);
                                    stringBuilder2.append(",setPreLables.size():");
                                    stringBuilder2.append(setPreLables.size());
                                    stringBuilder2.append(",isMain:");
                                    stringBuilder2.append(param.isMainAp());
                                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                                    return setPreLables.size();
                                }
                                com.android.server.hidata.wavemapping.util.LogUtil.i("wmpCoreTrainData save model failure.");
                                return -18;
                            } catch (java.lang.RuntimeException e5) {
                                e = e5;
                                strArr = lineParam;
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("wmpCoreTrainData,e");
                                stringBuilder.append(e.getMessage());
                                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                                stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append("wMappingTrainData end:");
                                stringBuilder2.append(str);
                                stringBuilder2.append(",coreTrainData.size:");
                                stringBuilder2.append(coreTrainData.getDatas().length);
                                stringBuilder2.append(",setPreLables.size():");
                                stringBuilder2.append(setPreLables.size());
                                stringBuilder2.append(",isMain:");
                                stringBuilder2.append(param.isMainAp());
                                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                                return setPreLables.size();
                            } catch (java.lang.Exception e6) {
                                e2 = e6;
                                strArr = lineParam;
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("wmpCoreTrainData, ");
                                stringBuilder.append(e2.getMessage());
                                stringBuilder.append(",isMain:");
                                stringBuilder.append(param.isMainAp());
                                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                                stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append("wMappingTrainData end:");
                                stringBuilder2.append(str);
                                stringBuilder2.append(",coreTrainData.size:");
                                stringBuilder2.append(coreTrainData.getDatas().length);
                                stringBuilder2.append(",setPreLables.size():");
                                stringBuilder2.append(setPreLables.size());
                                stringBuilder2.append(",isMain:");
                                stringBuilder2.append(param.isMainAp());
                                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                                return setPreLables.size();
                            }
                        }
                    }
                    java.lang.String str2 = TAG;
                    java.lang.StringBuilder stringBuilder6 = new java.lang.StringBuilder();
                    stringBuilder6.append("wmpCoreTrainData place == null || place.equals(\"\") .");
                    stringBuilder6.append(str);
                    android.util.Log.d(str2, stringBuilder6.toString());
                    return -1;
                }
            }
        }
        android.util.Log.d(TAG, "wmpCoreTrainData coreTrainData == null");
        return -52;
    }

    public int transformRawData(java.lang.String place, com.android.server.hidata.wavemapping.entity.ParameterInfo param, com.android.server.hidata.wavemapping.chr.entity.BuildModelChrInfo buildModelChrInfo) {
        java.lang.RuntimeException e;
        java.lang.StringBuilder stringBuilder;
        java.lang.Exception e2;
        java.lang.StringBuilder stringBuilder2;
        java.lang.String str = place;
        com.android.server.hidata.wavemapping.entity.ParameterInfo parameterInfo = param;
        java.lang.String filePath = getTrainDataFilePath(place, param);
        java.lang.String str2 = TAG;
        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
        stringBuilder3.append(" transformRawData begin:");
        stringBuilder3.append(str);
        stringBuilder3.append(",filePath:");
        stringBuilder3.append(filePath);
        android.util.Log.d(str2, stringBuilder3.toString());
        java.lang.String str3;
        try {
            java.lang.String fileContent = com.android.server.hidata.wavemapping.util.FileUtils.getFileContent(filePath);
            if (fileContent.equals("")) {
                try {
                    com.android.server.hidata.wavemapping.util.LogUtil.d("transformRawData ,null == fileContent.");
                    return -52;
                } catch (java.lang.RuntimeException e3) {
                    e = e3;
                    str3 = filePath;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("transformRawData, ");
                    stringBuilder.append(e.getMessage());
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                    return 1;
                } catch (java.lang.Exception e4) {
                    e2 = e4;
                    str3 = filePath;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("transformRawData, ");
                    stringBuilder.append(e2.getMessage());
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                    return 1;
                }
            } else if (((long) fileContent.length()) > 52428800) {
                com.android.server.hidata.wavemapping.util.LogUtil.d("transformRawData ,file content is too bigger than max_file_size.");
                return -53;
            } else {
                java.lang.String[] lines = fileContent.split(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
                if (lines.length < 2) {
                    com.android.server.hidata.wavemapping.util.LogUtil.d(" transformRawData read data,lines == null || lines.length < 2");
                    return -54;
                }
                java.lang.String fileContent2;
                java.util.HashSet tempSetMacs = new java.util.HashSet();
                java.util.ArrayList macLst = new java.util.ArrayList();
                int size = lines.length;
                java.util.Set<java.lang.String> apInfoSet = this.enterpriseApDAO.findAll();
                com.android.server.hidata.wavemapping.entity.TMapSet<java.lang.String, java.lang.String> tmap = new com.android.server.hidata.wavemapping.entity.TMapSet();
                java.lang.String tempSsid = "";
                java.lang.String tempMac = "";
                int i = 0;
                while (i < size) {
                    java.lang.String[] wds = lines[i].split(",");
                    str3 = filePath;
                    try {
                        if (wds.length >= param.getScanWifiStart()) {
                            if (wds[0] == null) {
                                fileContent2 = fileContent;
                            } else if (wds[0].equals("") == null) {
                                java.lang.String tempMac2;
                                filePath = wds.length;
                                int k = param.getScanWifiStart();
                                while (k < filePath) {
                                    int tempSize = filePath;
                                    fileContent2 = fileContent;
                                    filePath = wds[k].split(param.getWifiSeperate());
                                    tempMac2 = tempMac;
                                    if (filePath.length < 4) {
                                        tempMac = tempMac2;
                                    } else {
                                        fileContent = filePath[param.getScanMAC()];
                                        tempSetMacs.add(fileContent);
                                        java.lang.Object tempSsid2 = filePath[param.getScanSSID()];
                                        if (!apInfoSet.contains(tempSsid2)) {
                                            tmap.add(tempSsid2, (java.lang.Object) fileContent);
                                        }
                                        java.lang.Object obj = tempSsid2;
                                        tempMac = fileContent;
                                    }
                                    k++;
                                    filePath = tempSize;
                                    fileContent = fileContent2;
                                }
                                fileContent2 = fileContent;
                                tempMac2 = tempMac;
                            }
                            i++;
                            filePath = str3;
                            fileContent = fileContent2;
                        }
                        fileContent2 = fileContent;
                        i++;
                        filePath = str3;
                        fileContent = fileContent2;
                    } catch (java.lang.RuntimeException e5) {
                        e = e5;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("transformRawData, ");
                        stringBuilder.append(e.getMessage());
                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                        return 1;
                    } catch (java.lang.Exception e6) {
                        e2 = e6;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("transformRawData, ");
                        stringBuilder.append(e2.getMessage());
                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                        return 1;
                    }
                }
                fileContent2 = fileContent;
                java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                stringBuilder4.append("all macs:");
                stringBuilder4.append(tempSetMacs);
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder4.toString());
                com.android.server.hidata.wavemapping.chr.entity.ApChrStatInfo filePath2 = buildModelChrInfo.getAPType();
                if (!(param.isMainAp() || param.isTest01())) {
                    filePath2.setMobileApSrc1(filterMobileAps1(parameterInfo, tempSetMacs, tmap));
                }
                stringBuilder4 = new java.lang.StringBuilder();
                stringBuilder4.append(" transformRawData tempSetMacs.length:");
                stringBuilder4.append(tempSetMacs.size());
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder4.toString());
                java.util.Iterator iterator = tempSetMacs.iterator();
                while (true) {
                    java.util.Iterator iterator2 = iterator;
                    if (!iterator2.hasNext()) {
                        break;
                    }
                    try {
                        tempMac = (java.lang.String) iterator2.next();
                        if (checkMacFormat(tempMac)) {
                            macLst.add(tempMac);
                            iterator = iterator2;
                        } else {
                            iterator = iterator2;
                        }
                    } catch (java.lang.RuntimeException e7) {
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("updateModel:");
                        stringBuilder2.append(e7);
                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
                    } catch (java.lang.Exception e22) {
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("updateModel:");
                        stringBuilder2.append(e22);
                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
                    }
                }
                stringBuilder4 = new java.lang.StringBuilder();
                stringBuilder4.append(" transformRawData setMacs.length:");
                stringBuilder4.append(macLst.size());
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder4.toString());
                if (macLst.size() > param.getMaxBssidNum()) {
                    return -51;
                }
                com.android.server.hidata.wavemapping.entity.StdDataSet stdDataSet;
                if (param.isMainAp()) {
                    stdDataSet = getMainApStdDataSet(parameterInfo, lines, macLst);
                } else {
                    stdDataSet = getCommStdDataSet(str, parameterInfo, lines, macLst);
                    filePath2.setMobileApSrc2(stdDataSet.getFilter2MobileApCnt());
                }
                filePath2.setUpdate(new com.android.server.hidata.wavemapping.util.TimeUtil().getTimeIntPATTERN02());
                java.lang.StringBuilder stringBuilder5 = new java.lang.StringBuilder();
                stringBuilder5.append(" transformRawData datas.length:");
                stringBuilder5.append(lines.length);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder5.toString());
                if (saveStdDataSetToFile(stdDataSet, str, parameterInfo)) {
                    filePath2.setTotalFound(stdDataSet.getValidMacCnt());
                    return 1;
                }
                stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append(" saveStdDataSetToFile save failure:");
                stringBuilder3.append(str);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder3.toString());
                return -55;
            }
        } catch (java.lang.RuntimeException e8) {
            e7 = e8;
            str3 = filePath;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("transformRawData, ");
            stringBuilder.append(e7.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return 1;
        } catch (java.lang.Exception e9) {
            e22 = e9;
            str3 = filePath;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("transformRawData, ");
            stringBuilder.append(e22.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return 1;
        }
    }

    private int filterMobileAps1(com.android.server.hidata.wavemapping.entity.ParameterInfo param, java.util.Set<java.lang.String> tempSetMacs, com.android.server.hidata.wavemapping.entity.TMapSet<java.lang.String, java.lang.String> tmap) {
        java.lang.StringBuilder stringBuilder;
        int mobileApCnt = 0;
        if (tempSetMacs != null) {
            if (tempSetMacs.size() != 0) {
                if (tmap != null) {
                    if (tmap.size() != 0) {
                        try {
                            for (java.util.Map.Entry<java.lang.String, java.util.Set<java.lang.String>> entry : tmap.entrySet()) {
                                java.lang.String tempSsid = (java.lang.String) entry.getKey();
                                java.util.Set<java.lang.String> tempMacs = (java.util.Set) entry.getValue();
                                if (tempSsid != null) {
                                    if (!tempSsid.equals("")) {
                                        if (tempMacs.size() > param.getMobileApCheckLimit()) {
                                            mobileApCnt += tempMacs.size();
                                            if (addMobileAp(tempSsid, tempMacs.iterator(), 1).size() > 0) {
                                                tempSetMacs.removeAll(tempMacs);
                                                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                                stringBuilder2.append("filterMobileAps1 remove mobileAps:");
                                                stringBuilder2.append(tempMacs);
                                                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                                            }
                                        }
                                    }
                                }
                            }
                        } catch (java.lang.RuntimeException e) {
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("filterMobileAps1, ");
                            stringBuilder.append(e.getMessage());
                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                        } catch (java.lang.Exception e2) {
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("filterMobileAps1, ");
                            stringBuilder.append(e2.getMessage());
                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                        }
                        return mobileApCnt;
                    }
                }
                return 0;
            }
        }
        return 0;
    }

    private java.util.List<java.lang.String> addMobileAp(java.lang.String ssid, java.util.Iterator<java.lang.String> iterator, int srcType) {
        java.lang.StringBuilder stringBuilder;
        java.util.List<java.lang.String> mobileMacs = new java.util.ArrayList();
        if (this.enterpriseApDAO.findBySsid(ssid) == null) {
            while (iterator.hasNext()) {
                try {
                    java.lang.String tempMac = (java.lang.String) iterator.next();
                    mobileMacs.add(tempMac);
                    com.android.server.hidata.wavemapping.entity.ApInfo mobileAp = new com.android.server.hidata.wavemapping.entity.ApInfo(ssid, tempMac, com.android.server.hidata.wavemapping.util.TimeUtil.getTime(), srcType);
                    if (!this.mobileApDAO.insert(mobileAp)) {
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("addMobileAp,add mobile ap failure,:");
                        stringBuilder2.append(mobileAp.toString());
                        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                    }
                } catch (java.lang.RuntimeException e) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("addMobileAp, ");
                    stringBuilder.append(e.getMessage());
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                } catch (java.lang.Exception ex) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("addMobileAp, ");
                    stringBuilder.append(ex.getMessage());
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                }
            }
        }
        return mobileMacs;
    }

    /* JADX WARNING: Removed duplicated region for block: B:69:0x014c A:{Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }} */
    /* JADX WARNING: Removed duplicated region for block: B:69:0x014c A:{Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }} */
    private com.android.server.hidata.wavemapping.entity.StdDataSet getMainApStdDataSet(com.android.server.hidata.wavemapping.entity.ParameterInfo r20, java.lang.String[] r21, java.util.List<java.lang.String> r22) {
        /*
        r19 = this;
        r1 = r21;
        r2 = r22;
        r0 = new com.android.server.hidata.wavemapping.entity.StdDataSet;
        r0.<init>();
        r3 = r0;
        if (r20 == 0) goto L_0x029a;
    L_0x000c:
        if (r1 == 0) goto L_0x029a;
    L_0x000e:
        if (r2 != 0) goto L_0x0012;
    L_0x0010:
        goto L_0x029a;
    L_0x0012:
        r0 = r1.length;
        if (r0 == 0) goto L_0x0297;
    L_0x0015:
        r0 = r22.size();
        if (r0 != 0) goto L_0x001d;
    L_0x001b:
        goto L_0x0297;
    L_0x001d:
        r5 = 0;
        r0 = new java.util.HashMap;
        r0.<init>();
        r6 = r0;
        r3.setMacLst(r2);	 Catch:{ RuntimeException -> 0x0279, Exception -> 0x025c }
        r0 = 0;
        r7 = "";
        r8 = 0;
        r9 = 0;
        r10 = r5;
        r5 = r0;
        r0 = r9;
    L_0x002f:
        r11 = r0;
        r0 = r1.length;	 Catch:{ RuntimeException -> 0x0258, Exception -> 0x0254 }
        if (r11 >= r0) goto L_0x0217;
    L_0x0033:
        r0 = r1[r11];	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        r12 = ",";
        r0 = r0.split(r12);	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        r12 = r0;
        r0 = r12.length;	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        r13 = r20.getScanWifiStart();	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        if (r0 >= r13) goto L_0x0045;
    L_0x0043:
        goto L_0x00d6;
    L_0x0045:
        r0 = r12[r9];	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        if (r0 == 0) goto L_0x01d5;
    L_0x0049:
        r0 = r12[r9];	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        r13 = "";
        r0 = r0.equals(r13);	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        if (r0 == 0) goto L_0x0055;
    L_0x0053:
        goto L_0x01d5;
    L_0x0055:
        r0 = r12.length;	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        r13 = r20.getServingWiFiMAC();	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        if (r0 >= r13) goto L_0x005e;
    L_0x005c:
        goto L_0x00d6;
    L_0x005e:
        r0 = r12[r9];	 Catch:{ RuntimeException -> 0x0084, Exception -> 0x006a }
        r13 = r0.equals(r7);	 Catch:{ RuntimeException -> 0x0084, Exception -> 0x006a }
        if (r13 != 0) goto L_0x0069;
    L_0x0066:
        r8 = r8 + 1;
        r7 = r0;
    L_0x0069:
        goto L_0x009e;
    L_0x006a:
        r0 = move-exception;
        r13 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        r13.<init>();	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        r14 = "getMainApStdDataSet, ";
        r13.append(r14);	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        r14 = r0.getMessage();	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        r13.append(r14);	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        r13 = r13.toString();	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r13);	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        goto L_0x00d6;
    L_0x0084:
        r0 = move-exception;
        r13 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        r13.<init>();	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        r14 = "getMainApStdDataSet, ";
        r13.append(r14);	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        r14 = r0.getMessage();	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        r13.append(r14);	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        r13 = r13.toString();	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r13);	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        goto L_0x0069;
    L_0x009e:
        r0 = new com.android.server.hidata.wavemapping.entity.StdRecord;	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        r0.<init>(r8);	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        r13 = r0;
        r0 = r20.getTimestamp();	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        r14 = r12.length;	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        if (r0 >= r14) goto L_0x00b5;
    L_0x00ab:
        r0 = r20.getTimestamp();	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        r0 = r12[r0];	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        r13.setTimeStamp(r0);	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        goto L_0x00ba;
    L_0x00b5:
        r0 = "0";
        r13.setTimeStamp(r0);	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
    L_0x00ba:
        r0 = new java.util.ArrayList;	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        r0.<init>();	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        r14 = r0;
        r6.clear();	 Catch:{ RuntimeException -> 0x01f4, Exception -> 0x01d8 }
        r0 = r20.getScanWifiStart();	 Catch:{ NumberFormatException -> 0x0127 }
        r0 = r12[r0];	 Catch:{ NumberFormatException -> 0x0127 }
        r15 = r20.getWifiSeperate();	 Catch:{ NumberFormatException -> 0x0127 }
        r0 = r0.split(r15);	 Catch:{ NumberFormatException -> 0x0127 }
        r15 = r0.length;	 Catch:{ NumberFormatException -> 0x0127 }
        r9 = 4;
        if (r15 >= r9) goto L_0x00da;
    L_0x00d6:
        r9 = r19;
        goto L_0x0210;
    L_0x00da:
        r9 = r20.getScanMAC();	 Catch:{ NumberFormatException -> 0x0127 }
        r9 = r0[r9];	 Catch:{ NumberFormatException -> 0x0127 }
        r10 = r9;
        r9 = r3.getMacRecords();	 Catch:{ NumberFormatException -> 0x0127 }
        r9 = r9.containsKey(r10);	 Catch:{ NumberFormatException -> 0x0127 }
        if (r9 != 0) goto L_0x0104;
    L_0x00eb:
        r9 = r19;
        r15 = r9.checkMacFormat(r10);	 Catch:{ NumberFormatException -> 0x0102 }
        if (r15 != 0) goto L_0x00f5;
    L_0x00f3:
        goto L_0x0210;
    L_0x00f5:
        r15 = r3.getMacRecords();	 Catch:{ NumberFormatException -> 0x0102 }
        r1 = new com.android.server.hidata.wavemapping.entity.TMapList;	 Catch:{ NumberFormatException -> 0x0102 }
        r1.<init>();	 Catch:{ NumberFormatException -> 0x0102 }
        r15.put(r10, r1);	 Catch:{ NumberFormatException -> 0x0102 }
        goto L_0x0106;
    L_0x0102:
        r0 = move-exception;
        goto L_0x012a;
    L_0x0104:
        r9 = r19;
    L_0x0106:
        r1 = r20.getScanRSSI();	 Catch:{ NumberFormatException -> 0x0102 }
        r1 = r0[r1];	 Catch:{ NumberFormatException -> 0x0102 }
        r15 = "\\.";
        r1 = r1.split(r15);	 Catch:{ NumberFormatException -> 0x0102 }
        r15 = 0;
        r1 = r1[r15];	 Catch:{ NumberFormatException -> 0x0102 }
        r1 = java.lang.Integer.parseInt(r1);	 Catch:{ NumberFormatException -> 0x0102 }
        r1 = java.lang.Integer.valueOf(r1);	 Catch:{ NumberFormatException -> 0x0102 }
        r15 = r20.getScanMAC();	 Catch:{ NumberFormatException -> 0x0102 }
        r15 = r0[r15];	 Catch:{ NumberFormatException -> 0x0102 }
        r6.put(r15, r1);	 Catch:{ NumberFormatException -> 0x0102 }
        goto L_0x0142;
    L_0x0127:
        r0 = move-exception;
        r9 = r19;
    L_0x012a:
        r1 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        r1.<init>();	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        r15 = "getMainApStdDataSet, ";
        r1.append(r15);	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        r15 = r0.getMessage();	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        r1.append(r15);	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        r1 = r1.toString();	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r1);	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
    L_0x0142:
        r1 = r22.iterator();	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
    L_0x0146:
        r0 = r1.hasNext();	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        if (r0 == 0) goto L_0x01ba;
    L_0x014c:
        r0 = r1.next();	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        r0 = (java.lang.String) r0;	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        r15 = r0;
        r0 = r6.containsKey(r15);	 Catch:{ RuntimeException -> 0x019a, Exception -> 0x017d }
        if (r0 == 0) goto L_0x016e;
    L_0x0159:
        r0 = r6.get(r10);	 Catch:{ RuntimeException -> 0x019a, Exception -> 0x017d }
        r0 = (java.lang.Integer) r0;	 Catch:{ RuntimeException -> 0x019a, Exception -> 0x017d }
        r0 = r0.intValue();	 Catch:{ RuntimeException -> 0x019a, Exception -> 0x017d }
        r0 = java.lang.Integer.valueOf(r0);	 Catch:{ RuntimeException -> 0x019a, Exception -> 0x017d }
        r14.add(r0);	 Catch:{ RuntimeException -> 0x019a, Exception -> 0x017d }
        r16 = r1;
        r1 = 0;
        goto L_0x0178;
    L_0x016e:
        r16 = r1;
        r1 = 0;
        r0 = java.lang.Integer.valueOf(r1);	 Catch:{ RuntimeException -> 0x017b, Exception -> 0x0179 }
        r14.add(r0);	 Catch:{ RuntimeException -> 0x017b, Exception -> 0x0179 }
    L_0x0178:
        goto L_0x01b6;
    L_0x0179:
        r0 = move-exception;
        goto L_0x0181;
    L_0x017b:
        r0 = move-exception;
        goto L_0x019d;
    L_0x017d:
        r0 = move-exception;
        r16 = r1;
        r1 = 0;
    L_0x0181:
        r1 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        r1.<init>();	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        r4 = " getMainApStdDataSet exception :";
        r1.append(r4);	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        r4 = r0.getMessage();	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        r1.append(r4);	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        r1 = r1.toString();	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r1);	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        goto L_0x01b6;
    L_0x019a:
        r0 = move-exception;
        r16 = r1;
    L_0x019d:
        r1 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        r1.<init>();	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        r4 = "getMainApStdDataSet, ";
        r1.append(r4);	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        r4 = r0.getMessage();	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        r1.append(r4);	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        r1 = r1.toString();	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r1);	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        goto L_0x0178;
        r1 = r16;
        goto L_0x0146;
    L_0x01ba:
        r13.setScanRssis(r14);	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        r0 = r3.getMacRecords();	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        r0 = r0.get(r10);	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        r0 = (com.android.server.hidata.wavemapping.entity.TMapList) r0;	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        r1 = java.lang.Integer.valueOf(r8);	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        r0.add(r1, r13);	 Catch:{ RuntimeException -> 0x01d3, Exception -> 0x01d1 }
        r5 = r5 + 1;
        goto L_0x020f;
    L_0x01d1:
        r0 = move-exception;
        goto L_0x01db;
    L_0x01d3:
        r0 = move-exception;
        goto L_0x01f7;
    L_0x01d5:
        r9 = r19;
        goto L_0x0210;
    L_0x01d8:
        r0 = move-exception;
        r9 = r19;
    L_0x01db:
        r1 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        r1.<init>();	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        r4 = "getMainApStdDataSet, ";
        r1.append(r4);	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        r4 = r0.getMessage();	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        r1.append(r4);	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        r1 = r1.toString();	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r1);	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        goto L_0x0210;
    L_0x01f4:
        r0 = move-exception;
        r9 = r19;
    L_0x01f7:
        r1 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        r1.<init>();	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        r4 = "getMainApStdDataSet, ";
        r1.append(r4);	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        r4 = r0.getMessage();	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        r1.append(r4);	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        r1 = r1.toString();	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r1);	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
    L_0x0210:
        r0 = r11 + 1;
        r1 = r21;
        r9 = 0;
        goto L_0x002f;
    L_0x0217:
        r9 = r19;
        r0 = new java.util.ArrayList;	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        r0.<init>();	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        r1 = new java.util.ArrayList;	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        r1.<init>();	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        r0 = r1;
        r1 = r22.size();	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        r17 = 0;
    L_0x022a:
        r4 = r17;
        if (r4 >= r1) goto L_0x0238;
    L_0x022e:
        r11 = java.lang.Integer.valueOf(r4);	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        r0.add(r11);	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        r17 = r4 + 1;
        goto L_0x022a;
    L_0x0238:
        r3.setMacIndexLst(r0);	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        r4 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        r4.<init>();	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        r11 = "getMainApStdDataSet rdCount:";
        r4.append(r11);	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        r4.append(r5);	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        r4 = r4.toString();	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        com.android.server.hidata.wavemapping.util.LogUtil.d(r4);	 Catch:{ RuntimeException -> 0x0252, Exception -> 0x0250 }
        goto L_0x0295;
    L_0x0250:
        r0 = move-exception;
        goto L_0x0260;
    L_0x0252:
        r0 = move-exception;
        goto L_0x027d;
    L_0x0254:
        r0 = move-exception;
        r9 = r19;
        goto L_0x0260;
    L_0x0258:
        r0 = move-exception;
        r9 = r19;
        goto L_0x027d;
    L_0x025c:
        r0 = move-exception;
        r9 = r19;
        r10 = r5;
    L_0x0260:
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r4 = "getMainApStdDataSet, ";
        r1.append(r4);
        r4 = r0.getMessage();
        r1.append(r4);
        r1 = r1.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.e(r1);
        goto L_0x0296;
    L_0x0279:
        r0 = move-exception;
        r9 = r19;
        r10 = r5;
    L_0x027d:
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r4 = "getMainApStdDataSet, ";
        r1.append(r4);
        r4 = r0.getMessage();
        r1.append(r4);
        r1 = r1.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.e(r1);
    L_0x0296:
        return r3;
    L_0x0297:
        r9 = r19;
        return r3;
    L_0x029a:
        r9 = r19;
        return r3;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.modelservice.TrainModelService.getMainApStdDataSet(com.android.server.hidata.wavemapping.entity.ParameterInfo, java.lang.String[], java.util.List):com.android.server.hidata.wavemapping.entity.StdDataSet");
    }

    /* JADX WARNING: Removed duplicated region for block: B:123:0x021e A:{PHI: r24 , ExcHandler: java.lang.RuntimeException (e java.lang.RuntimeException), Splitter: B:111:0x01f1} */
    /* JADX WARNING: Removed duplicated region for block: B:127:0x0228 A:{ExcHandler: java.lang.Exception (e java.lang.Exception), Splitter: B:102:0x01d9} */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing block: B:116:0x0209, code:
            r0 = e;
     */
    /* JADX WARNING: Missing block: B:123:0x021e, code:
            r0 = e;
     */
    /* JADX WARNING: Missing block: B:124:0x021f, code:
            r26 = r11;
     */
    /* JADX WARNING: Missing block: B:125:0x0222, code:
            r0 = e;
     */
    /* JADX WARNING: Missing block: B:126:0x0223, code:
            r24 = r2;
            r26 = r11;
     */
    /* JADX WARNING: Missing block: B:127:0x0228, code:
            r0 = e;
     */
    /* JADX WARNING: Missing block: B:128:0x0229, code:
            r24 = r2;
     */
    private com.android.server.hidata.wavemapping.entity.StdDataSet getCommStdDataSet(java.lang.String r28, com.android.server.hidata.wavemapping.entity.ParameterInfo r29, java.lang.String[] r30, java.util.List<java.lang.String> r31) {
        /*
        r27 = this;
        r7 = r27;
        r8 = r30;
        r9 = r31;
        r0 = new com.android.server.hidata.wavemapping.entity.StdDataSet;
        r0.<init>();
        r10 = r0;
        if (r29 == 0) goto L_0x039a;
    L_0x000e:
        if (r8 == 0) goto L_0x039a;
    L_0x0010:
        if (r9 != 0) goto L_0x0014;
    L_0x0012:
        goto L_0x039a;
    L_0x0014:
        r0 = r8.length;
        if (r0 == 0) goto L_0x0399;
    L_0x0017:
        r0 = r31.size();
        if (r0 != 0) goto L_0x001f;
    L_0x001d:
        goto L_0x0399;
    L_0x001f:
        r0 = new java.util.HashMap;
        r0.<init>();
        r11 = r0;
        r0 = new java.util.HashMap;
        r0.<init>();
        r12 = r0;
        r10.setMacLst(r9);	 Catch:{ RuntimeException -> 0x037c, Exception -> 0x0360 }
        r0 = 0;
        r1 = 0;
        r2 = "";
        r3 = 0;
        r4 = 0;
        r14 = r0;
        r6 = r1;
        r13 = r2;
        r15 = r3;
        r0 = r4;
    L_0x0039:
        r1 = r0;
        r0 = r8.length;	 Catch:{ RuntimeException -> 0x037c, Exception -> 0x0360 }
        if (r1 >= r0) goto L_0x032f;
    L_0x003d:
        r0 = r8[r1];	 Catch:{ RuntimeException -> 0x0305, Exception -> 0x02df }
        r2 = ",";
        r0 = r0.split(r2);	 Catch:{ RuntimeException -> 0x0305, Exception -> 0x02df }
        r2 = r0;
        r3 = 0;
        r14 = 0;
        r0 = r2.length;	 Catch:{ RuntimeException -> 0x02d6, Exception -> 0x02cd }
        r5 = r29.getScanWifiStart();	 Catch:{ RuntimeException -> 0x02d6, Exception -> 0x02cd }
        if (r0 >= r5) goto L_0x0056;
    L_0x0050:
        r26 = r11;
        r19 = r14;
        goto L_0x02ca;
    L_0x0056:
        r0 = r2[r4];	 Catch:{ RuntimeException -> 0x02d6, Exception -> 0x02cd }
        if (r0 == 0) goto L_0x02c4;
    L_0x005a:
        r0 = r2[r4];	 Catch:{ RuntimeException -> 0x02d6, Exception -> 0x02cd }
        r5 = "";
        r0 = r0.equals(r5);	 Catch:{ RuntimeException -> 0x02d6, Exception -> 0x02cd }
        if (r0 == 0) goto L_0x006c;
    L_0x0064:
        r20 = r2;
        r26 = r11;
        r19 = r14;
        goto L_0x02ca;
    L_0x006c:
        r0 = r2.length;	 Catch:{ RuntimeException -> 0x02d6, Exception -> 0x02cd }
        r5 = r29.getServingWiFiMAC();	 Catch:{ RuntimeException -> 0x02d6, Exception -> 0x02cd }
        if (r0 >= r5) goto L_0x0074;
    L_0x0073:
        goto L_0x0050;
    L_0x0074:
        r0 = r2[r4];	 Catch:{ RuntimeException -> 0x00d8, Exception -> 0x00aa }
        r5 = r29.getServingWiFiMAC();	 Catch:{ RuntimeException -> 0x00d8, Exception -> 0x00aa }
        r5 = r2[r5];	 Catch:{ RuntimeException -> 0x00d8, Exception -> 0x00aa }
        r3 = r5;
        if (r3 != 0) goto L_0x0080;
    L_0x007f:
        goto L_0x0050;
    L_0x0080:
        r5 = r10.getMacRecords();	 Catch:{ RuntimeException -> 0x00d8, Exception -> 0x00aa }
        r5 = r5.containsKey(r3);	 Catch:{ RuntimeException -> 0x00d8, Exception -> 0x00aa }
        if (r5 != 0) goto L_0x009d;
    L_0x008a:
        r5 = r7.checkMacFormat(r3);	 Catch:{ RuntimeException -> 0x00d8, Exception -> 0x00aa }
        if (r5 != 0) goto L_0x0091;
    L_0x0090:
        goto L_0x0050;
    L_0x0091:
        r5 = r10.getMacRecords();	 Catch:{ RuntimeException -> 0x00d8, Exception -> 0x00aa }
        r4 = new com.android.server.hidata.wavemapping.entity.TMapList;	 Catch:{ RuntimeException -> 0x00d8, Exception -> 0x00aa }
        r4.<init>();	 Catch:{ RuntimeException -> 0x00d8, Exception -> 0x00aa }
        r5.put(r3, r4);	 Catch:{ RuntimeException -> 0x00d8, Exception -> 0x00aa }
    L_0x009d:
        r4 = r0.equals(r13);	 Catch:{ RuntimeException -> 0x00d8, Exception -> 0x00aa }
        if (r4 != 0) goto L_0x00a6;
    L_0x00a3:
        r15 = r15 + 1;
        r13 = r0;
        r4 = r3;
        r3 = r15;
        goto L_0x00f2;
    L_0x00aa:
        r0 = move-exception;
        r4 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x00ce, Exception -> 0x00c4 }
        r4.<init>();	 Catch:{ RuntimeException -> 0x00ce, Exception -> 0x00c4 }
        r5 = "getCommStdDataSet, ";
        r4.append(r5);	 Catch:{ RuntimeException -> 0x00ce, Exception -> 0x00c4 }
        r5 = r0.getMessage();	 Catch:{ RuntimeException -> 0x00ce, Exception -> 0x00c4 }
        r4.append(r5);	 Catch:{ RuntimeException -> 0x00ce, Exception -> 0x00c4 }
        r4 = r4.toString();	 Catch:{ RuntimeException -> 0x00ce, Exception -> 0x00c4 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r4);	 Catch:{ RuntimeException -> 0x00ce, Exception -> 0x00c4 }
        goto L_0x0050;
    L_0x00c4:
        r0 = move-exception;
        r26 = r11;
        r18 = r13;
        r19 = r14;
        r3 = r15;
        goto L_0x02e7;
    L_0x00ce:
        r0 = move-exception;
        r26 = r11;
        r18 = r13;
        r19 = r14;
        r3 = r15;
        goto L_0x030d;
    L_0x00d8:
        r0 = move-exception;
        r4 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x02d6, Exception -> 0x02cd }
        r4.<init>();	 Catch:{ RuntimeException -> 0x02d6, Exception -> 0x02cd }
        r5 = "getCommStdDataSet, ";
        r4.append(r5);	 Catch:{ RuntimeException -> 0x02d6, Exception -> 0x02cd }
        r5 = r0.getMessage();	 Catch:{ RuntimeException -> 0x02d6, Exception -> 0x02cd }
        r4.append(r5);	 Catch:{ RuntimeException -> 0x02d6, Exception -> 0x02cd }
        r4 = r4.toString();	 Catch:{ RuntimeException -> 0x02d6, Exception -> 0x02cd }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r4);	 Catch:{ RuntimeException -> 0x02d6, Exception -> 0x02cd }
        goto L_0x00a6;
    L_0x00f2:
        r0 = new com.android.server.hidata.wavemapping.entity.StdRecord;	 Catch:{ RuntimeException -> 0x02bc, Exception -> 0x02b4 }
        r0.<init>(r3);	 Catch:{ RuntimeException -> 0x02bc, Exception -> 0x02b4 }
        r5 = r0;
        r0 = r29.getTimestamp();	 Catch:{ RuntimeException -> 0x02bc, Exception -> 0x02b4 }
        r8 = r2.length;	 Catch:{ RuntimeException -> 0x02bc, Exception -> 0x02b4 }
        if (r0 >= r8) goto L_0x011b;
    L_0x00ff:
        r0 = r29.getTimestamp();	 Catch:{ RuntimeException -> 0x0112, Exception -> 0x0109 }
        r0 = r2[r0];	 Catch:{ RuntimeException -> 0x0112, Exception -> 0x0109 }
        r5.setTimeStamp(r0);	 Catch:{ RuntimeException -> 0x0112, Exception -> 0x0109 }
        goto L_0x0120;
    L_0x0109:
        r0 = move-exception;
        r26 = r11;
        r18 = r13;
    L_0x010e:
        r19 = r14;
        goto L_0x02e7;
    L_0x0112:
        r0 = move-exception;
        r26 = r11;
        r18 = r13;
    L_0x0117:
        r19 = r14;
        goto L_0x030d;
    L_0x011b:
        r0 = "0";
        r5.setTimeStamp(r0);	 Catch:{ RuntimeException -> 0x02bc, Exception -> 0x02b4 }
    L_0x0120:
        r0 = new java.util.ArrayList;	 Catch:{ RuntimeException -> 0x02bc, Exception -> 0x02b4 }
        r0.<init>();	 Catch:{ RuntimeException -> 0x02bc, Exception -> 0x02b4 }
        r8 = r0;
        r0 = r2.length;	 Catch:{ RuntimeException -> 0x02bc, Exception -> 0x02b4 }
        r16 = r0;
        r11.clear();	 Catch:{ RuntimeException -> 0x02bc, Exception -> 0x02b4 }
        r0 = r29.getScanWifiStart();	 Catch:{ RuntimeException -> 0x02bc, Exception -> 0x02b4 }
    L_0x0130:
        r17 = r0;
        r18 = r13;
        r19 = r14;
        r13 = r16;
        r14 = r17;
        if (r14 >= r13) goto L_0x01ca;
    L_0x013c:
        r0 = r2[r14];	 Catch:{ NumberFormatException -> 0x01a1 }
        r20 = r2;
        r2 = r29.getWifiSeperate();	 Catch:{ NumberFormatException -> 0x0193 }
        r0 = r0.split(r2);	 Catch:{ NumberFormatException -> 0x0193 }
        r2 = r0.length;	 Catch:{ NumberFormatException -> 0x0193 }
        r21 = r13;
        r13 = 4;
        if (r2 >= r13) goto L_0x0150;
    L_0x014e:
        goto L_0x01be;
    L_0x0150:
        r2 = r29.getScanMAC();	 Catch:{ NumberFormatException -> 0x0191 }
        r2 = r0[r2];	 Catch:{ NumberFormatException -> 0x0191 }
        r13 = r7.checkMacFormat(r2);	 Catch:{ NumberFormatException -> 0x0191 }
        if (r13 != 0) goto L_0x015d;
    L_0x015c:
        goto L_0x01be;
    L_0x015d:
        r13 = r29.getScanRSSI();	 Catch:{ NumberFormatException -> 0x0191 }
        r13 = r0[r13];	 Catch:{ NumberFormatException -> 0x0191 }
        r22 = r2;
        r2 = "\\.";
        r2 = r13.split(r2);	 Catch:{ NumberFormatException -> 0x0191 }
        r13 = 0;
        r2 = r2[r13];	 Catch:{ NumberFormatException -> 0x0191 }
        r2 = java.lang.Integer.parseInt(r2);	 Catch:{ NumberFormatException -> 0x0191 }
        r2 = java.lang.Integer.valueOf(r2);	 Catch:{ NumberFormatException -> 0x0191 }
        r13 = r29.getScanMAC();	 Catch:{ NumberFormatException -> 0x0191 }
        r13 = r0[r13];	 Catch:{ NumberFormatException -> 0x0191 }
        r11.put(r13, r2);	 Catch:{ NumberFormatException -> 0x0191 }
        r13 = r29.getScanMAC();	 Catch:{ NumberFormatException -> 0x0191 }
        r13 = r0[r13];	 Catch:{ NumberFormatException -> 0x0191 }
        r15 = r29.getScanSSID();	 Catch:{ NumberFormatException -> 0x0191 }
        r23 = r2;
        r2 = r0[r15];	 Catch:{ NumberFormatException -> 0x0191 }
        r12.put(r13, r2);	 Catch:{ NumberFormatException -> 0x0191 }
        goto L_0x01be;
    L_0x0191:
        r0 = move-exception;
        goto L_0x01a6;
    L_0x0193:
        r0 = move-exception;
        r21 = r13;
        goto L_0x01a6;
    L_0x0197:
        r0 = move-exception;
        r26 = r11;
        goto L_0x02e7;
    L_0x019c:
        r0 = move-exception;
        r26 = r11;
        goto L_0x030d;
    L_0x01a1:
        r0 = move-exception;
        r20 = r2;
        r21 = r13;
    L_0x01a6:
        r2 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x019c, Exception -> 0x0197 }
        r2.<init>();	 Catch:{ RuntimeException -> 0x019c, Exception -> 0x0197 }
        r13 = "getCommStdDataSet, ";
        r2.append(r13);	 Catch:{ RuntimeException -> 0x019c, Exception -> 0x0197 }
        r13 = r0.getMessage();	 Catch:{ RuntimeException -> 0x019c, Exception -> 0x0197 }
        r2.append(r13);	 Catch:{ RuntimeException -> 0x019c, Exception -> 0x0197 }
        r2 = r2.toString();	 Catch:{ RuntimeException -> 0x019c, Exception -> 0x0197 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r2);	 Catch:{ RuntimeException -> 0x019c, Exception -> 0x0197 }
    L_0x01be:
        r0 = r14 + 1;
        r13 = r18;
        r14 = r19;
        r2 = r20;
        r16 = r21;
        goto L_0x0130;
    L_0x01ca:
        r20 = r2;
        r21 = r13;
        r0 = r31.size();	 Catch:{ RuntimeException -> 0x02af, Exception -> 0x02ab }
        r2 = r0;
        r14 = r19;
        r0 = 0;
    L_0x01d6:
        r13 = r0;
        if (r13 >= r2) goto L_0x027b;
    L_0x01d9:
        r0 = r9.get(r13);	 Catch:{ RuntimeException -> 0x0255, Exception -> 0x0228 }
        r0 = (java.lang.String) r0;	 Catch:{ RuntimeException -> 0x0222, Exception -> 0x0228 }
        r15 = r11.containsKey(r0);	 Catch:{ RuntimeException -> 0x0222, Exception -> 0x0228 }
        if (r15 == 0) goto L_0x020c;
    L_0x01e5:
        r15 = r0.equals(r4);	 Catch:{ RuntimeException -> 0x0222, Exception -> 0x0228 }
        if (r15 == 0) goto L_0x01fa;
    L_0x01eb:
        r15 = r11.get(r0);	 Catch:{ RuntimeException -> 0x0222, Exception -> 0x0228 }
        r24 = r2;
        r2 = r15;
        r2 = (java.lang.Integer) r2;	 Catch:{ RuntimeException -> 0x021e, Exception -> 0x0209 }
        r2 = r2.intValue();	 Catch:{ RuntimeException -> 0x021e, Exception -> 0x0209 }
        r14 = r2;
        goto L_0x01fc;
    L_0x01fa:
        r24 = r2;
    L_0x01fc:
        r2 = r11.get(r0);	 Catch:{ RuntimeException -> 0x021e, Exception -> 0x0209 }
        r2 = (java.lang.Integer) r2;	 Catch:{ RuntimeException -> 0x021e, Exception -> 0x0209 }
        r8.add(r2);	 Catch:{ RuntimeException -> 0x021e, Exception -> 0x0209 }
        r25 = r0;
        r2 = 0;
        goto L_0x0218;
    L_0x0209:
        r0 = move-exception;
        r2 = 0;
        goto L_0x022c;
    L_0x020c:
        r24 = r2;
        r25 = r0;
        r2 = 0;
        r0 = java.lang.Integer.valueOf(r2);	 Catch:{ RuntimeException -> 0x021e, Exception -> 0x021c }
        r8.add(r0);	 Catch:{ RuntimeException -> 0x021e, Exception -> 0x021c }
        r26 = r11;
        goto L_0x0273;
    L_0x021c:
        r0 = move-exception;
        goto L_0x022c;
    L_0x021e:
        r0 = move-exception;
        r26 = r11;
        goto L_0x025a;
    L_0x0222:
        r0 = move-exception;
        r24 = r2;
        r26 = r11;
        goto L_0x025a;
    L_0x0228:
        r0 = move-exception;
        r24 = r2;
        r2 = 0;
    L_0x022c:
        r2 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x024e, Exception -> 0x0247 }
        r2.<init>();	 Catch:{ RuntimeException -> 0x024e, Exception -> 0x0247 }
        r26 = r11;
        r11 = " getCommStdDataSet exception :";
        r2.append(r11);	 Catch:{ RuntimeException -> 0x02a8, Exception -> 0x02a5 }
        r11 = r0.getMessage();	 Catch:{ RuntimeException -> 0x02a8, Exception -> 0x02a5 }
        r2.append(r11);	 Catch:{ RuntimeException -> 0x02a8, Exception -> 0x02a5 }
        r2 = r2.toString();	 Catch:{ RuntimeException -> 0x02a8, Exception -> 0x02a5 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r2);	 Catch:{ RuntimeException -> 0x02a8, Exception -> 0x02a5 }
        goto L_0x0273;
    L_0x0247:
        r0 = move-exception;
        r26 = r11;
        r19 = r14;
        goto L_0x02e7;
    L_0x024e:
        r0 = move-exception;
        r26 = r11;
        r19 = r14;
        goto L_0x030d;
    L_0x0255:
        r0 = move-exception;
        r24 = r2;
        r26 = r11;
    L_0x025a:
        r2 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x02a8, Exception -> 0x02a5 }
        r2.<init>();	 Catch:{ RuntimeException -> 0x02a8, Exception -> 0x02a5 }
        r11 = "getCommStdDataSet, ";
        r2.append(r11);	 Catch:{ RuntimeException -> 0x02a8, Exception -> 0x02a5 }
        r11 = r0.getMessage();	 Catch:{ RuntimeException -> 0x02a8, Exception -> 0x02a5 }
        r2.append(r11);	 Catch:{ RuntimeException -> 0x02a8, Exception -> 0x02a5 }
        r2 = r2.toString();	 Catch:{ RuntimeException -> 0x02a8, Exception -> 0x02a5 }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r2);	 Catch:{ RuntimeException -> 0x02a8, Exception -> 0x02a5 }
    L_0x0273:
        r0 = r13 + 1;
        r2 = r24;
        r11 = r26;
        goto L_0x01d6;
    L_0x027b:
        r24 = r2;
        r26 = r11;
        r0 = java.lang.Integer.valueOf(r14);	 Catch:{ RuntimeException -> 0x02a8, Exception -> 0x02a5 }
        r8.add(r0);	 Catch:{ RuntimeException -> 0x02a8, Exception -> 0x02a5 }
        r5.setScanRssis(r8);	 Catch:{ RuntimeException -> 0x02a8, Exception -> 0x02a5 }
        r5.setServeRssi(r14);	 Catch:{ RuntimeException -> 0x02a8, Exception -> 0x02a5 }
        r0 = r10.getMacRecords();	 Catch:{ RuntimeException -> 0x02a8, Exception -> 0x02a5 }
        r0 = r0.get(r4);	 Catch:{ RuntimeException -> 0x02a8, Exception -> 0x02a5 }
        r0 = (com.android.server.hidata.wavemapping.entity.TMapList) r0;	 Catch:{ RuntimeException -> 0x02a8, Exception -> 0x02a5 }
        r2 = java.lang.Integer.valueOf(r3);	 Catch:{ RuntimeException -> 0x02a8, Exception -> 0x02a5 }
        r0.add(r2, r5);	 Catch:{ RuntimeException -> 0x02a8, Exception -> 0x02a5 }
        r6 = r6 + 1;
        r15 = r3;
        r13 = r18;
        goto L_0x0326;
    L_0x02a5:
        r0 = move-exception;
        goto L_0x010e;
    L_0x02a8:
        r0 = move-exception;
        goto L_0x0117;
    L_0x02ab:
        r0 = move-exception;
        r26 = r11;
        goto L_0x02e7;
    L_0x02af:
        r0 = move-exception;
        r26 = r11;
        goto L_0x030d;
    L_0x02b4:
        r0 = move-exception;
        r26 = r11;
        r18 = r13;
        r19 = r14;
        goto L_0x02e7;
    L_0x02bc:
        r0 = move-exception;
        r26 = r11;
        r18 = r13;
        r19 = r14;
        goto L_0x030d;
    L_0x02c4:
        r20 = r2;
        r26 = r11;
        r19 = r14;
    L_0x02ca:
        r14 = r19;
        goto L_0x0326;
    L_0x02cd:
        r0 = move-exception;
        r26 = r11;
        r19 = r14;
        r18 = r13;
        r3 = r15;
        goto L_0x02e7;
    L_0x02d6:
        r0 = move-exception;
        r26 = r11;
        r19 = r14;
        r18 = r13;
        r3 = r15;
        goto L_0x030d;
    L_0x02df:
        r0 = move-exception;
        r26 = r11;
        r18 = r13;
        r19 = r14;
        r3 = r15;
    L_0x02e7:
        r2 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x035e, Exception -> 0x035c }
        r2.<init>();	 Catch:{ RuntimeException -> 0x035e, Exception -> 0x035c }
        r4 = "getCommStdDataSet, ";
        r2.append(r4);	 Catch:{ RuntimeException -> 0x035e, Exception -> 0x035c }
        r4 = r0.getMessage();	 Catch:{ RuntimeException -> 0x035e, Exception -> 0x035c }
        r2.append(r4);	 Catch:{ RuntimeException -> 0x035e, Exception -> 0x035c }
        r2 = r2.toString();	 Catch:{ RuntimeException -> 0x035e, Exception -> 0x035c }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r2);	 Catch:{ RuntimeException -> 0x035e, Exception -> 0x035c }
    L_0x02ff:
        r15 = r3;
        r13 = r18;
        r14 = r19;
        goto L_0x0326;
    L_0x0305:
        r0 = move-exception;
        r26 = r11;
        r18 = r13;
        r19 = r14;
        r3 = r15;
    L_0x030d:
        r2 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x035e, Exception -> 0x035c }
        r2.<init>();	 Catch:{ RuntimeException -> 0x035e, Exception -> 0x035c }
        r4 = "getCommStdDataSet, ";
        r2.append(r4);	 Catch:{ RuntimeException -> 0x035e, Exception -> 0x035c }
        r4 = r0.getMessage();	 Catch:{ RuntimeException -> 0x035e, Exception -> 0x035c }
        r2.append(r4);	 Catch:{ RuntimeException -> 0x035e, Exception -> 0x035c }
        r2 = r2.toString();	 Catch:{ RuntimeException -> 0x035e, Exception -> 0x035c }
        com.android.server.hidata.wavemapping.util.LogUtil.e(r2);	 Catch:{ RuntimeException -> 0x035e, Exception -> 0x035c }
        goto L_0x02ff;
    L_0x0326:
        r0 = r1 + 1;
        r11 = r26;
        r4 = 0;
        r8 = r30;
        goto L_0x0039;
    L_0x032f:
        r26 = r11;
        r10.setTotalCnt(r6);	 Catch:{ RuntimeException -> 0x035e, Exception -> 0x035c }
        r0 = "MAIN_AP";
        r9.add(r0);	 Catch:{ RuntimeException -> 0x035e, Exception -> 0x035c }
        r0 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x035e, Exception -> 0x035c }
        r0.<init>();	 Catch:{ RuntimeException -> 0x035e, Exception -> 0x035c }
        r1 = "rdCount:";
        r0.append(r1);	 Catch:{ RuntimeException -> 0x035e, Exception -> 0x035c }
        r0.append(r6);	 Catch:{ RuntimeException -> 0x035e, Exception -> 0x035c }
        r0 = r0.toString();	 Catch:{ RuntimeException -> 0x035e, Exception -> 0x035c }
        com.android.server.hidata.wavemapping.util.LogUtil.d(r0);	 Catch:{ RuntimeException -> 0x035e, Exception -> 0x035c }
        r1 = r7;
        r2 = r28;
        r3 = r10;
        r4 = r9;
        r5 = r29;
        r8 = r6;
        r6 = r12;
        r0 = r1.filterMobileAps2(r2, r3, r4, r5, r6);	 Catch:{ RuntimeException -> 0x035e, Exception -> 0x035c }
        r10 = r0;
    L_0x035b:
        goto L_0x0398;
    L_0x035c:
        r0 = move-exception;
        goto L_0x0363;
    L_0x035e:
        r0 = move-exception;
        goto L_0x037f;
    L_0x0360:
        r0 = move-exception;
        r26 = r11;
    L_0x0363:
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "getCommStdDataSet, ";
        r1.append(r2);
        r2 = r0.getMessage();
        r1.append(r2);
        r1 = r1.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.e(r1);
        goto L_0x0398;
    L_0x037c:
        r0 = move-exception;
        r26 = r11;
    L_0x037f:
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "getCommStdDataSet, ";
        r1.append(r2);
        r2 = r0.getMessage();
        r1.append(r2);
        r1 = r1.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.e(r1);
        goto L_0x035b;
    L_0x0398:
        return r10;
    L_0x0399:
        return r10;
    L_0x039a:
        return r10;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.modelservice.TrainModelService.getCommStdDataSet(java.lang.String, com.android.server.hidata.wavemapping.entity.ParameterInfo, java.lang.String[], java.util.List):com.android.server.hidata.wavemapping.entity.StdDataSet");
    }

    private boolean saveStdDataSetToFile(com.android.server.hidata.wavemapping.entity.StdDataSet stdDataSet, java.lang.String place, com.android.server.hidata.wavemapping.entity.ParameterInfo param) {
        java.lang.StringBuilder stringBuilder;
        java.lang.StringBuilder stringBuilder2;
        java.lang.StringBuilder stringBuilder3;
        com.android.server.hidata.wavemapping.entity.StdDataSet stdDataSet2 = stdDataSet;
        java.lang.String str = place;
        com.android.server.hidata.wavemapping.entity.ParameterInfo parameterInfo = param;
        if (stdDataSet2 == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("saveStdDataSetToFile,null == stdDataSet");
            return false;
        }
        if (stdDataSet.getMacLst() != null) {
            if (stdDataSet.getMacLst().size() != 0) {
                if (str == null) {
                    com.android.server.hidata.wavemapping.util.LogUtil.d("saveStdDataSetToFile,null == place ");
                    return false;
                } else if (parameterInfo == null) {
                    com.android.server.hidata.wavemapping.util.LogUtil.d("saveStdDataSetToFile,null == param ");
                    return false;
                } else {
                    java.lang.String dataFilePath = null;
                    try {
                        dataFilePath = getStdFilePath(str, parameterInfo);
                        java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                        stringBuilder4.append(" saveStdDataSetToFile save begin:");
                        stringBuilder4.append(str);
                        stringBuilder4.append(",dataFilePath:");
                        stringBuilder4.append(dataFilePath);
                        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder4.toString());
                        if (com.android.server.hidata.wavemapping.util.FileUtils.delFile(dataFilePath)) {
                            int i;
                            java.lang.StringBuilder trainDataSb = new java.lang.StringBuilder();
                            int size = param.isMainAp() ? stdDataSet.getMacLst().size() : stdDataSet.getMacLst().size() - 1;
                            trainDataSb.append("batch,label,timestamp,link_speed,");
                            int validMacCnt = 0;
                            int i2 = 0;
                            while (true) {
                                i = i2;
                                if (i >= size) {
                                    break;
                                }
                                try {
                                    java.lang.String tempMac = (java.lang.String) stdDataSet.getMacLst().get(i);
                                    if (!tempMac.equals("0")) {
                                        validMacCnt++;
                                        trainDataSb.append(tempMac);
                                        trainDataSb.append(",");
                                    }
                                } catch (java.lang.RuntimeException e) {
                                    stringBuilder = new java.lang.StringBuilder();
                                    stringBuilder.append("saveStdDataSetToFile, ");
                                    stringBuilder.append(e.getMessage());
                                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                                } catch (java.lang.Exception e2) {
                                    stringBuilder = new java.lang.StringBuilder();
                                    stringBuilder.append("saveStdDataSetToFile, ");
                                    stringBuilder.append(e2.getMessage());
                                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                                }
                                i2 = i + 1;
                            }
                            stdDataSet2.setValidMacCnt(validMacCnt);
                            java.util.List<java.lang.Integer> macsIndexLst = stdDataSet.getMacIndexLst();
                            if (macsIndexLst == null) {
                                macsIndexLst = new java.util.ArrayList();
                                for (i = 0; i < size; i++) {
                                    macsIndexLst.add(java.lang.Integer.valueOf(i));
                                }
                            }
                            java.util.List<java.lang.Integer> macsIndexLst2 = macsIndexLst;
                            trainDataSb.deleteCharAt(trainDataSb.length() - 1);
                            trainDataSb.append(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
                            java.util.ArrayList<com.android.server.hidata.wavemapping.entity.StdRecord> records = new java.util.ArrayList();
                            java.util.Iterator tempStdRecords = stdDataSet.getMacRecords().entrySet().iterator();
                            while (tempStdRecords.hasNext()) {
                                java.util.Iterator it;
                                java.util.Map.Entry<java.lang.String, com.android.server.hidata.wavemapping.entity.TMapList<java.lang.Integer, com.android.server.hidata.wavemapping.entity.StdRecord>> entry = (java.util.Map.Entry) tempStdRecords.next();
                                java.lang.String tempMac2 = (java.lang.String) entry.getKey();
                                for (java.util.Map.Entry<java.lang.Integer, java.util.List<com.android.server.hidata.wavemapping.entity.StdRecord>> entry2 : ((com.android.server.hidata.wavemapping.entity.TMapList) entry.getValue()).entrySet()) {
                                    java.lang.Integer tempBatch = (java.lang.Integer) entry2.getKey();
                                    it = tempStdRecords;
                                    java.util.List<com.android.server.hidata.wavemapping.entity.StdRecord> tempStdRecords2 = (java.util.List) entry2.getValue();
                                    for (com.android.server.hidata.wavemapping.entity.StdRecord add : tempStdRecords2) {
                                        java.util.List<com.android.server.hidata.wavemapping.entity.StdRecord> tempStdRecords3 = tempStdRecords2;
                                        records.add(add);
                                        tempStdRecords2 = tempStdRecords3;
                                    }
                                    tempStdRecords = it;
                                    stdDataSet2 = stdDataSet;
                                }
                                it = tempStdRecords;
                                stdDataSet2 = stdDataSet;
                            }
                            java.util.Collections.sort(records, new java.util.Comparator<com.android.server.hidata.wavemapping.entity.StdRecord>() {
                                public int compare(com.android.server.hidata.wavemapping.entity.StdRecord o1, com.android.server.hidata.wavemapping.entity.StdRecord o2) {
                                    return o1.getBatch() - o2.getBatch();
                                }
                            });
                            int size2 = records.size();
                            i2 = 0;
                            while (true) {
                                int i3 = i2;
                                if (i3 >= size2) {
                                    break;
                                }
                                try {
                                    com.android.server.hidata.wavemapping.entity.StdRecord tempStdRecord = (com.android.server.hidata.wavemapping.entity.StdRecord) records.get(i3);
                                    trainDataSb.append(java.lang.String.valueOf(tempStdRecord.getBatch()));
                                    trainDataSb.append(",0,");
                                    trainDataSb.append(tempStdRecord.getTimeStamp());
                                    trainDataSb.append(",0");
                                    for (java.lang.Integer index : macsIndexLst2) {
                                        trainDataSb.append(",");
                                        trainDataSb.append(tempStdRecord.getScanRssis().get(index.intValue()));
                                    }
                                    trainDataSb.append(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
                                } catch (java.lang.RuntimeException e3) {
                                    stringBuilder2 = new java.lang.StringBuilder();
                                    stringBuilder2.append("saveStdDataSetToFile, ");
                                    stringBuilder2.append(e3.getMessage());
                                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
                                } catch (java.lang.Exception e22) {
                                    stringBuilder2 = new java.lang.StringBuilder();
                                    stringBuilder2.append("saveStdDataSetToFile, ");
                                    stringBuilder2.append(e22.getMessage());
                                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
                                }
                                i2 = i3 + 1;
                            }
                            if (!com.android.server.hidata.wavemapping.util.FileUtils.saveFile(dataFilePath, trainDataSb.toString())) {
                                stringBuilder4 = new java.lang.StringBuilder();
                                stringBuilder4.append(" saveStdDataSetToFile save failure:");
                                stringBuilder4.append(str);
                                stringBuilder4.append(",dataFilePath:");
                                stringBuilder4.append(dataFilePath);
                                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder4.toString());
                                return false;
                            }
                            stringBuilder4 = new java.lang.StringBuilder();
                            stringBuilder4.append(" saveStdDataSetToFile save success:");
                            stringBuilder4.append(str);
                            stringBuilder4.append(",dataFilePath:");
                            stringBuilder4.append(dataFilePath);
                            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder4.toString());
                            return true;
                        }
                        stringBuilder4 = new java.lang.StringBuilder();
                        stringBuilder4.append(" saveStdDataSetToFile failure ,FileUtils.delFile(dataFilePath),dataFilePath:");
                        stringBuilder4.append(dataFilePath);
                        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder4.toString());
                        return false;
                    } catch (java.lang.RuntimeException e32) {
                        stringBuilder3 = new java.lang.StringBuilder();
                        stringBuilder3.append("saveStdDataSetToFile, ");
                        stringBuilder3.append(e32.getMessage());
                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder3.toString());
                    } catch (java.lang.Exception e222) {
                        stringBuilder3 = new java.lang.StringBuilder();
                        stringBuilder3.append("saveStdDataSetToFile, ");
                        stringBuilder3.append(e222.getMessage());
                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder3.toString());
                    }
                }
            }
        }
        com.android.server.hidata.wavemapping.util.LogUtil.d("saveStdDataSetToFile,null == getMacLst or getMacLst = 0");
        return false;
    }

    public com.android.server.hidata.wavemapping.entity.StdDataSet filterMobileAps2(java.lang.String place, com.android.server.hidata.wavemapping.entity.StdDataSet stdDataSet, java.util.List<java.lang.String> macLst, com.android.server.hidata.wavemapping.entity.ParameterInfo param, java.util.HashMap<java.lang.String, java.lang.String> macSsidHp) {
        java.lang.RuntimeException e;
        java.lang.StringBuilder stringBuilder;
        java.lang.Exception e2;
        java.lang.String str;
        com.android.server.hidata.wavemapping.entity.StdDataSet stdDataSet2 = stdDataSet;
        java.util.List<java.lang.String> list = macLst;
        java.util.HashMap<java.lang.String, java.lang.String> hashMap = macSsidHp;
        if (stdDataSet2 == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("filterMobileAps2,null == stdDataSet");
            return stdDataSet2;
        }
        if (list != null) {
            if (macLst.size() != 0) {
                if (hashMap != null) {
                    if (macSsidHp.size() != 0) {
                        java.util.HashMap<java.lang.String, java.util.ArrayList<java.lang.Float>> colsRssis = new java.util.HashMap();
                        com.android.server.hidata.wavemapping.entity.TMapSet<java.lang.String, java.lang.String> tmap = new com.android.server.hidata.wavemapping.entity.TMapSet();
                        java.util.ArrayList allMobielMacs = new java.util.ArrayList();
                        java.util.List<java.lang.Integer> macIndexLst = null;
                        try {
                            int i;
                            int i2;
                            java.util.Iterator it = stdDataSet.getMacRecords().entrySet().iterator();
                            while (true) {
                                i = 0;
                                if (!it.hasNext()) {
                                    break;
                                }
                                java.util.Map.Entry<java.lang.String, com.android.server.hidata.wavemapping.entity.TMapList<java.lang.Integer, com.android.server.hidata.wavemapping.entity.StdRecord>> entry = (java.util.Map.Entry) it.next();
                                java.util.Map.Entry<java.lang.String, com.android.server.hidata.wavemapping.entity.TMapList<java.lang.Integer, com.android.server.hidata.wavemapping.entity.StdRecord>> entry2;
                                try {
                                    com.android.server.hidata.wavemapping.entity.TMapList<java.lang.Integer, com.android.server.hidata.wavemapping.entity.StdRecord> tempTMapList = (com.android.server.hidata.wavemapping.entity.TMapList) entry.getValue();
                                    colsRssis.clear();
                                    java.util.Iterator it2 = tempTMapList.entrySet().iterator();
                                    while (it2.hasNext()) {
                                        java.util.Map.Entry<java.lang.Integer, java.util.List<com.android.server.hidata.wavemapping.entity.StdRecord>> entry22 = (java.util.Map.Entry) it2.next();
                                        java.util.Iterator it3 = it2;
                                        entry2 = entry;
                                        try {
                                            computeBatchFp(colsRssis, (java.lang.Integer) entry22.getKey(), (java.util.List) entry22.getValue(), list, param);
                                            it2 = it3;
                                            entry = entry2;
                                        } catch (java.lang.RuntimeException e3) {
                                            e = e3;
                                            stringBuilder = new java.lang.StringBuilder();
                                            stringBuilder.append("filterMobileAps2, ");
                                            stringBuilder.append(e.getMessage());
                                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                                        } catch (java.lang.Exception e4) {
                                            e2 = e4;
                                            stringBuilder = new java.lang.StringBuilder();
                                            stringBuilder.append("filterMobileAps2, ");
                                            stringBuilder.append(e2.getMessage());
                                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                                        }
                                    }
                                    java.util.List<java.lang.String> tempMobileMacs = filterBatchFp(colsRssis, list);
                                    int size = tempMobileMacs.size();
                                    while (true) {
                                        i2 = i;
                                        if (i2 >= size) {
                                            break;
                                        }
                                        java.lang.Object tempSsid = (java.lang.String) hashMap.get(tempMobileMacs.get(i2));
                                        if (tempSsid != null) {
                                            tmap.add(tempSsid, (java.lang.String) tempMobileMacs.get(i2));
                                        }
                                        i = i2 + 1;
                                    }
                                } catch (java.lang.RuntimeException e5) {
                                    e = e5;
                                    entry2 = entry;
                                    stringBuilder = new java.lang.StringBuilder();
                                    stringBuilder.append("filterMobileAps2, ");
                                    stringBuilder.append(e.getMessage());
                                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                                } catch (java.lang.Exception e6) {
                                    e2 = e6;
                                    entry2 = entry;
                                    stringBuilder = new java.lang.StringBuilder();
                                    stringBuilder.append("filterMobileAps2, ");
                                    stringBuilder.append(e2.getMessage());
                                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                                }
                            }
                            java.util.Set<java.lang.String> testMobileMacs = new java.util.HashSet();
                            for (java.util.Map.Entry<java.lang.String, java.util.Set<java.lang.String>> entry3 : tmap.entrySet()) {
                                java.util.List<java.lang.String> tempFilterMacs = addMobileAp((java.lang.String) entry3.getKey(), ((java.util.Set) entry3.getValue()).iterator(), 2);
                                testMobileMacs.addAll(tempFilterMacs);
                                if (tempFilterMacs.size() > 0) {
                                    allMobielMacs.addAll(tempFilterMacs);
                                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                    stringBuilder2.append("filterMobileAps,add mobileAp success.");
                                    stringBuilder2.append(tempFilterMacs.size());
                                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                                }
                            }
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("isMainAp:");
                            stringBuilder.append(java.lang.String.valueOf(param.isMainAp()));
                            stringBuilder.append(",place:");
                            try {
                                stringBuilder.append(place);
                                stringBuilder.append(",filterMobileAps2 mobiles Ap is,mac:");
                                stringBuilder.append(testMobileMacs.toString());
                                stringBuilder.append(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
                                com.android.server.hidata.wavemapping.util.LogUtil.wtLogFile(stringBuilder.toString());
                                java.util.Set<java.lang.String> setMobileMacs = new java.util.HashSet(allMobielMacs);
                                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                                stringBuilder3.append("filterMobileAps2 mobiles Ap is :");
                                stringBuilder3.append(setMobileMacs.toString());
                                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder3.toString());
                                macIndexLst = new java.util.ArrayList();
                                i2 = macLst.size() - 1;
                                while (true) {
                                    int i3 = i;
                                    if (i3 >= i2) {
                                        break;
                                    }
                                    if (setMobileMacs.contains(list.get(i3))) {
                                        list.set(i3, "0");
                                    } else {
                                        macIndexLst.add(java.lang.Integer.valueOf(i3));
                                    }
                                    i = i3 + 1;
                                }
                                stdDataSet2.setFilter2MobileApCnt(setMobileMacs.size());
                            } catch (java.lang.RuntimeException e7) {
                                e = e7;
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("filterMobileAps2, ");
                                stringBuilder.append(e.getMessage());
                                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                                stdDataSet2.setMacIndexLst(macIndexLst);
                                return stdDataSet2;
                            } catch (java.lang.Exception e8) {
                                e2 = e8;
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("filterMobileAps2, ");
                                stringBuilder.append(e2.getMessage());
                                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                                stdDataSet2.setMacIndexLst(macIndexLst);
                                return stdDataSet2;
                            }
                        } catch (java.lang.RuntimeException e9) {
                            e = e9;
                            str = place;
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("filterMobileAps2, ");
                            stringBuilder.append(e.getMessage());
                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                            stdDataSet2.setMacIndexLst(macIndexLst);
                            return stdDataSet2;
                        } catch (java.lang.Exception e10) {
                            e2 = e10;
                            str = place;
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("filterMobileAps2, ");
                            stringBuilder.append(e2.getMessage());
                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                            stdDataSet2.setMacIndexLst(macIndexLst);
                            return stdDataSet2;
                        }
                        stdDataSet2.setMacIndexLst(macIndexLst);
                        return stdDataSet2;
                    }
                }
                str = place;
                com.android.server.hidata.wavemapping.util.LogUtil.d("filterMobileAps2,null == macSsidHp or macSsidHp.size == 0");
                return stdDataSet2;
            }
        }
        str = place;
        com.android.server.hidata.wavemapping.util.LogUtil.d("filterMobileAps2,null == macLst or macLst.size == 0");
        return stdDataSet2;
    }

    public java.util.List<java.lang.String> filterBatchFp(java.util.HashMap<java.lang.String, java.util.ArrayList<java.lang.Float>> colsRssis, java.util.List<java.lang.String> macLst) {
        java.lang.StringBuilder stringBuilder;
        java.lang.StringBuilder stringBuilder2;
        java.util.List<java.lang.String> mobileSsids = new java.util.ArrayList();
        if (colsRssis != null) {
            if (colsRssis.size() != 0) {
                if (macLst != null) {
                    if (macLst.size() != 0) {
                        try {
                            com.android.server.hidata.wavemapping.entity.MobileApCheckParamInfo param = com.android.server.hidata.wavemapping.cons.ParamManager.getInstance().getMobileApCheckParamInfo();
                            java.util.List<java.lang.Integer> topKMainApRssiIndexs = getTopKRssiIndexs((java.util.ArrayList) colsRssis.get("MAIN_AP"), param);
                            if (topKMainApRssiIndexs != null) {
                                if (topKMainApRssiIndexs.size() != 0) {
                                    com.android.server.hidata.wavemapping.util.GetStd getStd = new com.android.server.hidata.wavemapping.util.GetStd();
                                    int i = macLst.size();
                                    while (true) {
                                        i--;
                                        if (i <= -1) {
                                            break;
                                        }
                                        try {
                                            java.util.ArrayList<java.lang.Float> tempFitKColRssis = getFitKColRssiLst(topKMainApRssiIndexs, (java.util.ArrayList) colsRssis.get(macLst.get(i)));
                                            if (tempFitKColRssis.size() != 0) {
                                                if (((double) getStd.getStandardDevition(tempFitKColRssis)) > ((double) param.getMobileApMinStd())) {
                                                    mobileSsids.add((java.lang.String) macLst.get(i));
                                                }
                                            }
                                        } catch (java.lang.RuntimeException e) {
                                            stringBuilder = new java.lang.StringBuilder();
                                            stringBuilder.append("filterBatchFp, ");
                                            stringBuilder.append(e.getMessage());
                                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                                        } catch (java.lang.Exception e2) {
                                            stringBuilder = new java.lang.StringBuilder();
                                            stringBuilder.append("filterBatchFp, ");
                                            stringBuilder.append(e2.getMessage());
                                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                                        }
                                    }
                                    return mobileSsids;
                                }
                            }
                            return mobileSsids;
                        } catch (java.lang.RuntimeException e3) {
                            stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("filterBatchFp, ");
                            stringBuilder2.append(e3.getMessage());
                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
                        } catch (java.lang.Exception e4) {
                            stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("filterBatchFp, ");
                            stringBuilder2.append(e4.getMessage());
                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
                        }
                    }
                }
                com.android.server.hidata.wavemapping.util.LogUtil.d("filterBatchFp,null == macLst or size == 0");
                return mobileSsids;
            }
        }
        com.android.server.hidata.wavemapping.util.LogUtil.d("filterBatchFp,null == colsRssis");
        return mobileSsids;
    }

    private java.util.ArrayList<java.lang.Float> getFitKColRssiLst(java.util.List<java.lang.Integer> topKIndexs, java.util.ArrayList<java.lang.Float> colRssis) {
        java.lang.StringBuilder stringBuilder;
        java.util.ArrayList<java.lang.Float> tempFitKColRssis = new java.util.ArrayList();
        if (topKIndexs != null) {
            if (topKIndexs.size() != 0) {
                if (colRssis != null) {
                    if (colRssis.size() != 0) {
                        try {
                            int size = colRssis.size() - 1;
                            for (java.lang.Integer index : topKIndexs) {
                                if (index.intValue() <= size) {
                                    tempFitKColRssis.add((java.lang.Float) colRssis.get(index.intValue()));
                                }
                            }
                        } catch (java.lang.RuntimeException e) {
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("getFitKColRssiLst, ");
                            stringBuilder.append(e.getMessage());
                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                        } catch (java.lang.Exception e2) {
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("getFitKColRssiLst, ");
                            stringBuilder.append(e2.getMessage());
                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                        }
                        return tempFitKColRssis;
                    }
                }
                return tempFitKColRssis;
            }
        }
        return tempFitKColRssis;
    }

    private java.util.List<java.lang.Integer> getTopKRssiIndexs(java.util.ArrayList<java.lang.Float> mainApRssiLst, com.android.server.hidata.wavemapping.entity.MobileApCheckParamInfo param) {
        java.lang.StringBuilder stringBuilder;
        java.util.List<java.lang.Integer> result = new java.util.ArrayList();
        if (mainApRssiLst != null) {
            if (mainApRssiLst.size() != 0) {
                if (param == null) {
                    com.android.server.hidata.wavemapping.util.LogUtil.d("getTopKRssiIndexs,null == param");
                    return result;
                }
                try {
                    java.lang.Float maxVal = (java.lang.Float) java.util.Collections.max(mainApRssiLst);
                    int size = mainApRssiLst.size();
                    for (int i = 0; i < size; i++) {
                        if (maxVal.floatValue() - ((java.lang.Float) mainApRssiLst.get(i)).floatValue() <= ((float) param.getMobileApMinRange())) {
                            result.add(java.lang.Integer.valueOf(i));
                        }
                    }
                } catch (java.lang.RuntimeException e) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("getTopKRssiIndexs, ");
                    stringBuilder.append(e.getMessage());
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                } catch (java.lang.Exception e2) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("getTopKRssiIndexs, ");
                    stringBuilder.append(e2.getMessage());
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                }
                return result;
            }
        }
        com.android.server.hidata.wavemapping.util.LogUtil.d("getTopKRssiIndexs,null == mainApRssiLst");
        return result;
    }

    public void computeBatchFp(java.util.HashMap<java.lang.String, java.util.ArrayList<java.lang.Float>> colsRssis, java.lang.Integer batch, java.util.List<com.android.server.hidata.wavemapping.entity.StdRecord> stdRecordLst, java.util.List<java.lang.String> macLst, com.android.server.hidata.wavemapping.entity.ParameterInfo param) {
        java.lang.StringBuilder stringBuilder;
        java.lang.RuntimeException e;
        java.lang.Exception e2;
        java.util.List<java.lang.String> list;
        java.lang.StringBuilder stringBuilder2;
        java.util.HashMap<java.lang.String, java.util.ArrayList<java.lang.Float>> hashMap = colsRssis;
        int batchNum = stdRecordLst.size();
        if (batchNum != 0) {
            int macsCnt = macLst.size();
            int i = 0;
            while (true) {
                int i2 = i;
                java.util.List<com.android.server.hidata.wavemapping.entity.StdRecord> list2;
                if (i2 < macsCnt) {
                    int nonzero_sum = 0;
                    int nonzero_num = 0;
                    i = 0;
                    while (true) {
                        int k = i;
                        if (k >= batchNum) {
                            break;
                        }
                        try {
                            int tempVal = ((java.lang.Integer) ((com.android.server.hidata.wavemapping.entity.StdRecord) stdRecordLst.get(k)).getScanRssis().get(i2)).intValue();
                            if (tempVal != 0) {
                                nonzero_num++;
                                nonzero_sum += tempVal;
                            }
                        } catch (java.lang.RuntimeException e3) {
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("computeBatchFp, ");
                            stringBuilder.append(e3.getMessage());
                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                        } catch (java.lang.Exception e22) {
                            try {
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("computeBatchFp, ");
                                stringBuilder.append(e22.getMessage());
                                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                            } catch (java.lang.RuntimeException e4) {
                                e3 = e4;
                                list = macLst;
                                stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append("computeBatchFp, ");
                                stringBuilder2.append(e3.getMessage());
                                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
                                i = i2 + 1;
                            } catch (java.lang.Exception e5) {
                                e22 = e5;
                                list = macLst;
                                stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append("computeBatchFp, ");
                                stringBuilder2.append(e22.getMessage());
                                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
                                i = i2 + 1;
                            }
                        }
                        i = k + 1;
                    }
                    list2 = stdRecordLst;
                    float avg = -100.0f;
                    if (((float) nonzero_num) / ((float) batchNum) > param.getWeightParam()) {
                        avg = ((float) nonzero_sum) / ((float) nonzero_num);
                    }
                    try {
                        java.lang.String tempMac = (java.lang.String) macLst.get(i2);
                        if (!hashMap.containsKey(tempMac)) {
                            hashMap.put(tempMac, new java.util.ArrayList());
                        }
                        ((java.util.List) hashMap.get(tempMac)).add(java.lang.Float.valueOf(avg));
                    } catch (java.lang.RuntimeException e6) {
                        e3 = e6;
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("computeBatchFp, ");
                        stringBuilder2.append(e3.getMessage());
                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
                        i = i2 + 1;
                    } catch (java.lang.Exception e7) {
                        e22 = e7;
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("computeBatchFp, ");
                        stringBuilder2.append(e22.getMessage());
                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
                        i = i2 + 1;
                    }
                    i = i2 + 1;
                } else {
                    list2 = stdRecordLst;
                    list = macLst;
                    return;
                }
            }
        }
    }
}
