package com.android.server.hidata.wavemapping.service;

public class ActiveCollectDecision {
    private static final int INTERVAL_24HR = 86400000;
    public static final java.lang.String TAG;
    private static final int TYPE_BACKGROUND_SCAN = 1;
    private static final int TYPE_OUT4G_REC_SCAN = 3;
    private static final int TYPE_STALL_SCAN = 2;
    private android.os.Handler activeCltHandler = new android.os.Handler();
    private java.lang.Runnable activeOut4gScanTimer = new java.lang.Runnable() {
        public void run() {
            long timeCurr = java.lang.System.currentTimeMillis();
            long offsetScanDuration = timeCurr - com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.timeLastScan;
            java.lang.StringBuilder stringBuilder;
            if (com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iOut4gScanCnt <= 0 || com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iOut4gScanCnt > com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.paraPeriodOut4gScan.length) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" end OUT-OF-4G perodical scan, Out4gScanCnt=");
                stringBuilder.append(com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iOut4gScanCnt);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.activeCltHandler.removeCallbacks(com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.activeOut4gScanTimer);
                return;
            }
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" run OUT-OF-4G perodical scan, Out4gScanCnt=");
            stringBuilder.append(com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iOut4gScanCnt);
            stringBuilder.append(", curTime:");
            stringBuilder.append(timeCurr);
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
            if (com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iOut4gScanCnt < com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.paraPeriodOut4gScan.length) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("  start timer, OUT-OF-4G next period=");
                stringBuilder.append(com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.paraPeriodOut4gScan[com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iOut4gScanCnt]);
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.activeCltHandler.postDelayed(this, (long) com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.paraPeriodOut4gScan[com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iOut4gScanCnt]);
                com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iOut4gScanCnt = com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iOut4gScanCnt + 1;
            } else {
                com.android.server.hidata.wavemapping.util.LogUtil.d("  final OUT-OF-4G scan, no timer");
            }
            if (offsetScanDuration > ((long) com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.param.getActScanLimit_interval()) && com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.mwifimanager != null) {
                com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.mwifimanager.startScan();
                com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iOut4gScanDailyCnt = com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iOut4gScanDailyCnt + 1;
            }
        }
    };
    private java.lang.Runnable activeScanTimer = new java.lang.Runnable() {
        public void run() {
            long timeCurr = java.lang.System.currentTimeMillis();
            long offsetScanDuration = timeCurr - com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.timeLastScan;
            java.lang.StringBuilder stringBuilder;
            if (com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iStallScanCnt > 0 && com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iStallScanCnt <= com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.paraPeriodStallScan.length) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" run STALL perodical scan, StallScanCnt=");
                stringBuilder.append(com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iStallScanCnt);
                stringBuilder.append(", curTime:");
                stringBuilder.append(timeCurr);
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                if (com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iStallScanCnt < com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.paraPeriodStallScan.length) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("  start timer, Stall next period=");
                    stringBuilder.append(com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.paraPeriodStallScan[com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iStallScanCnt]);
                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                    com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.activeCltHandler.postDelayed(this, (long) com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.paraPeriodStallScan[com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iStallScanCnt]);
                    com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iStallScanCnt = com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iStallScanCnt + 1;
                } else {
                    com.android.server.hidata.wavemapping.util.LogUtil.d("  final STALL scan, no timer");
                }
                if (offsetScanDuration > ((long) com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.param.getActScanLimit_interval()) && com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.mwifimanager != null) {
                    com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.mwifimanager.startScan();
                    com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iStallScanDailyCnt = com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iStallScanDailyCnt + 1;
                }
            } else if (com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iBgScanCnt <= 0 || com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iBgScanCnt > com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.paraPeriodBgScan.length) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" end perodical scan, StallScanCnt=");
                stringBuilder.append(com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iStallScanCnt);
                stringBuilder.append(", BgScanCnt=");
                stringBuilder.append(com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iBgScanCnt);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.activeCltHandler.removeCallbacks(com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.activeScanTimer);
            } else {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" run BACKGROUND perodical scan, BgScanCnt=");
                stringBuilder.append(com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iBgScanCnt);
                stringBuilder.append(", curTime:");
                stringBuilder.append(timeCurr);
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                if (com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iBgScanCnt < com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.paraPeriodBgScan.length) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("  start timer, BACKGROUND next period=");
                    stringBuilder.append(com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.paraPeriodBgScan[com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iBgScanCnt]);
                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                    com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.activeCltHandler.postDelayed(this, (long) com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.paraPeriodBgScan[com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iBgScanCnt]);
                    com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iBgScanCnt = com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iBgScanCnt + 1;
                } else {
                    com.android.server.hidata.wavemapping.util.LogUtil.d("  final BACKGROUND scan");
                }
                if (offsetScanDuration > ((long) com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.param.getActScanLimit_interval()) && com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.mwifimanager != null) {
                    com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.mwifimanager.startScan();
                    com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iBgScanDailyCnt = com.android.server.hidata.wavemapping.service.ActiveCollectDecision.this.iBgScanDailyCnt + 1;
                }
            }
        }
    };
    private int iBgScanCnt = 0;
    private int iBgScanDailyCnt = 0;
    private int iOut4gScanCnt = 0;
    private int iOut4gScanDailyCnt = 0;
    private int iStallScanCnt = 0;
    private int iStallScanDailyCnt = 0;
    private com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver mBehaviorHandler = null;
    android.content.Context mCtx;
    private android.net.wifi.WifiManager mwifimanager;
    private int[] paraPeriodBgScan;
    private int[] paraPeriodOut4gScan;
    private int[] paraPeriodStallScan;
    private com.android.server.hidata.wavemapping.entity.ParameterInfo param = null;
    private long time1stCollect = 0;
    private long timeLastScan = 0;

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMapping.");
        stringBuilder.append(com.android.server.hidata.wavemapping.service.ActiveCollectDecision.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    public ActiveCollectDecision(android.content.Context ctx, com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver behaviorReceiver) {
        com.android.server.hidata.wavemapping.util.LogUtil.i("ActiveCollectDecision");
        this.mCtx = ctx;
        try {
            this.mBehaviorHandler = behaviorReceiver;
            this.mwifimanager = (android.net.wifi.WifiManager) this.mCtx.getSystemService("wifi");
            com.android.server.hidata.wavemapping.util.LogUtil.i("ParamManager init begin.");
            this.param = com.android.server.hidata.wavemapping.cons.ParamManager.getInstance().getParameterInfo();
            this.paraPeriodBgScan = this.param.getActBgScanPeriods();
            this.paraPeriodStallScan = this.param.getActStallScanPeriods();
            this.paraPeriodOut4gScan = this.param.getActOut4gScanPeriods();
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("ActiveCollectDecision:");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
    }

    public boolean startBgScan() {
        com.android.server.hidata.wavemapping.util.LogUtil.i("startBgScan:");
        if (this.iBgScanDailyCnt <= this.param.getActScanLimit_bg()) {
            if (this.iBgScanDailyCnt + this.iStallScanDailyCnt <= this.param.getActScanLimit_total()) {
                com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver behaviorReceiver = this.mBehaviorHandler;
                boolean bScreenState = com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.getScrnState();
                com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver behaviorReceiver2 = this.mBehaviorHandler;
                boolean bArState = com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.getArState();
                if (bScreenState && bArState) {
                    com.android.server.hidata.wavemapping.util.LogUtil.i(" screen on & stable, start active BACKGROUND scan");
                    startPerodicScan(1);
                    return true;
                }
                this.timeLastScan = java.lang.System.currentTimeMillis();
                return false;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(" active scan reach limitation, BgScanDailyCnt=");
        stringBuilder.append(this.iBgScanDailyCnt);
        stringBuilder.append(", StallScanDailyCnt=");
        stringBuilder.append(this.iStallScanDailyCnt);
        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
        this.timeLastScan = java.lang.System.currentTimeMillis();
        return false;
    }

    public void stopBgScan() {
        com.android.server.hidata.wavemapping.util.LogUtil.i("stopBgScan:");
        this.iBgScanCnt = 0;
        this.activeCltHandler.removeCallbacks(this.activeScanTimer);
    }

    public boolean startStallScan() {
        com.android.server.hidata.wavemapping.util.LogUtil.i("startStallScan:");
        if (this.iStallScanDailyCnt <= this.param.getActScanLimit_stall()) {
            if (this.iBgScanDailyCnt + this.iStallScanDailyCnt <= this.param.getActScanLimit_total()) {
                com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver behaviorReceiver = this.mBehaviorHandler;
                boolean bScreenState = com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.getScrnState();
                com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver behaviorReceiver2 = this.mBehaviorHandler;
                boolean bArState = com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.getArState();
                if (bScreenState && bArState) {
                    com.android.server.hidata.wavemapping.util.LogUtil.i(" screen on & stable, start active STALL scan");
                    startPerodicScan(2);
                    return true;
                }
                this.timeLastScan = java.lang.System.currentTimeMillis();
                return false;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(" active scan reach limitation, StallScanDailyCnt=");
        stringBuilder.append(this.iStallScanDailyCnt);
        stringBuilder.append(", BgScanDailyCnt=");
        stringBuilder.append(this.iBgScanDailyCnt);
        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
        this.timeLastScan = java.lang.System.currentTimeMillis();
        return false;
    }

    public void stopStallScan() {
        com.android.server.hidata.wavemapping.util.LogUtil.i("stopStallScan:");
        this.iStallScanCnt = 0;
        this.activeCltHandler.removeCallbacks(this.activeScanTimer);
    }

    public void triggerRecogScan() {
        com.android.server.hidata.wavemapping.util.LogUtil.i("triggerRecogScan:");
        if (this.mwifimanager != null) {
            this.mwifimanager.startScan();
        }
    }

    private boolean startPerodicScan(int type) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("startPerodicScan, type=");
        stringBuilder.append(type);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        long offsetScanDuration = java.lang.System.currentTimeMillis() - this.timeLastScan;
        if (0 == this.time1stCollect) {
            this.time1stCollect = java.lang.System.currentTimeMillis();
        } else if (java.lang.System.currentTimeMillis() - this.time1stCollect > 86400000) {
            this.time1stCollect = 0;
            this.iStallScanDailyCnt = 0;
            this.iBgScanDailyCnt = 0;
            this.iOut4gScanDailyCnt = 0;
        }
        java.lang.StringBuilder stringBuilder2;
        if (2 == type) {
            if (this.iStallScanCnt == 0) {
                if (offsetScanDuration > ((long) this.param.getActScanLimit_interval()) && this.mwifimanager != null) {
                    this.mwifimanager.startScan();
                    this.iStallScanDailyCnt++;
                }
                if (this.iBgScanCnt > 0) {
                    this.iStallScanCnt = this.iBgScanCnt;
                    this.activeCltHandler.removeCallbacks(this.activeScanTimer);
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append(" BACKGROUND scan was already started, BgScanCnt=");
                    stringBuilder2.append(this.iBgScanCnt);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                }
                if (this.iStallScanCnt < this.paraPeriodStallScan.length) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append(" run STALL active scan timer, StallScanCnt=");
                    stringBuilder2.append(this.iStallScanCnt);
                    stringBuilder2.append(", next period=");
                    stringBuilder2.append(this.paraPeriodStallScan[this.iStallScanCnt]);
                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
                    this.activeCltHandler.postDelayed(this.activeScanTimer, (long) this.paraPeriodStallScan[this.iStallScanCnt]);
                }
                this.iStallScanCnt++;
            } else {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append(" periodical STALL scan was already started, StallScanCnt=");
                stringBuilder2.append(this.iStallScanCnt);
                stringBuilder2.append(", BgScanCnt=");
                stringBuilder2.append(this.iBgScanCnt);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
            }
        } else if (1 == type) {
            if (this.iStallScanCnt + this.iBgScanCnt == 0) {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append(" run BACKGROUND active scan timer, BgScanCnt=");
                stringBuilder2.append(this.iBgScanCnt);
                stringBuilder2.append(", next period=");
                stringBuilder2.append(this.paraPeriodBgScan[this.iBgScanCnt]);
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
                this.activeCltHandler.postDelayed(this.activeScanTimer, (long) this.paraPeriodBgScan[this.iBgScanCnt]);
                this.iBgScanCnt++;
            } else {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append(" periodical scan was already started, StallScanCnt=");
                stringBuilder2.append(this.iStallScanCnt);
                stringBuilder2.append(", BgScanCnt=");
                stringBuilder2.append(this.iBgScanCnt);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
            }
        } else if (3 == type) {
            if (this.iOut4gScanCnt == 0) {
                if (offsetScanDuration > ((long) this.param.getActScanLimit_interval()) && this.mwifimanager != null) {
                    this.mwifimanager.startScan();
                    this.iOut4gScanDailyCnt++;
                }
                if (this.iOut4gScanCnt < this.paraPeriodOut4gScan.length) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append(" run STALL active scan timer, Out4gScanCnt=");
                    stringBuilder2.append(this.iOut4gScanCnt);
                    stringBuilder2.append(", next period=");
                    stringBuilder2.append(this.paraPeriodOut4gScan[this.iOut4gScanCnt]);
                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
                    this.activeCltHandler.postDelayed(this.activeOut4gScanTimer, (long) this.paraPeriodOut4gScan[this.iOut4gScanCnt]);
                }
                this.iOut4gScanCnt++;
            } else {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append(" periodical STALL scan was already started, StallScanCnt=");
                stringBuilder2.append(this.iOut4gScanCnt);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
            }
        }
        return true;
    }

    public boolean startOut4gRecgScan() {
        com.android.server.hidata.wavemapping.util.LogUtil.i("startOut4gRecgScan:");
        if (this.iOut4gScanDailyCnt > this.param.getActScanLimit_stall()) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" active scan reach limitation, Out4gScanDailyCnt=");
            stringBuilder.append(this.iOut4gScanDailyCnt);
            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
        } else {
            com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver behaviorReceiver = this.mBehaviorHandler;
            if (com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.getScrnState()) {
                com.android.server.hidata.wavemapping.util.LogUtil.i(" screen on, start active OUT-OF-4G scan");
                startPerodicScan(3);
                return true;
            }
        }
        this.timeLastScan = java.lang.System.currentTimeMillis();
        return false;
    }

    public void stopOut4gRecgScan() {
        com.android.server.hidata.wavemapping.util.LogUtil.i("stopOut4gRecgScan:");
        this.iOut4gScanCnt = 0;
        this.activeCltHandler.removeCallbacks(this.activeOut4gScanTimer);
    }
}
