package com.android.server.hidata.wavemapping.service;

public class HwHistoryQoEResourceBuilder {
    private static java.lang.String TAG;
    private static com.android.server.hidata.wavemapping.service.HwHistoryQoEResourceBuilder mHwHistoryQoEResourceBuilder;
    private com.android.server.hidata.appqoe.HwAPPQoEResourceManger mHwAPPQoEResourceManger = com.android.server.hidata.appqoe.HwAPPQoEResourceManger.getInstance();
    private java.util.HashMap<java.lang.Integer, java.lang.Float> mMonitorAppList = new java.util.HashMap();

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMapping.");
        stringBuilder.append(com.android.server.hidata.wavemapping.service.HwHistoryQoEResourceBuilder.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    public HwHistoryQoEResourceBuilder() {
        buildHistoryQoEAppList();
    }

    public static synchronized com.android.server.hidata.wavemapping.service.HwHistoryQoEResourceBuilder getInstance() {
        com.android.server.hidata.wavemapping.service.HwHistoryQoEResourceBuilder hwHistoryQoEResourceBuilder;
        synchronized (com.android.server.hidata.wavemapping.service.HwHistoryQoEResourceBuilder.class) {
            if (mHwHistoryQoEResourceBuilder == null) {
                mHwHistoryQoEResourceBuilder = new com.android.server.hidata.wavemapping.service.HwHistoryQoEResourceBuilder();
            }
            hwHistoryQoEResourceBuilder = mHwHistoryQoEResourceBuilder;
        }
        return hwHistoryQoEResourceBuilder;
    }

    private void buildHistoryQoEAppList() {
        int i;
        int appId;
        java.lang.StringBuilder stringBuilder;
        com.android.server.hidata.wavemapping.util.LogUtil.i("buildHistoryQoEAppList");
        java.util.List<com.android.server.hidata.appqoe.HwAPPQoEAPKConfig> mAPPconfigList = this.mHwAPPQoEResourceManger.getAPKConfigList();
        java.util.List<com.android.server.hidata.appqoe.HwAPPQoEGameConfig> mGameconfigList = this.mHwAPPQoEResourceManger.getGameConfigList();
        int i2 = 0;
        for (i = 0; i < mAPPconfigList.size(); i++) {
            appId = ((com.android.server.hidata.appqoe.HwAPPQoEAPKConfig) mAPPconfigList.get(i)).mAppId;
            int scenesId = ((com.android.server.hidata.appqoe.HwAPPQoEAPKConfig) mAPPconfigList.get(i)).mScenceId;
            float threshold = ((com.android.server.hidata.appqoe.HwAPPQoEAPKConfig) mAPPconfigList.get(i)).mHistoryQoeBadTH;
            if (threshold > 0.0f) {
                int fullId = scenesId;
                if (!this.mMonitorAppList.containsKey(java.lang.Integer.valueOf(fullId))) {
                    this.mMonitorAppList.put(java.lang.Integer.valueOf(fullId), java.lang.Float.valueOf(threshold));
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(" add Common APP:");
                    stringBuilder.append(fullId);
                    stringBuilder.append(", AppId=");
                    stringBuilder.append(appId);
                    stringBuilder.append(", ScenceId= ");
                    stringBuilder.append(scenesId);
                    stringBuilder.append(", BadTH=");
                    stringBuilder.append(threshold);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                }
            }
        }
        while (i2 < mGameconfigList.size()) {
            i = ((com.android.server.hidata.appqoe.HwAPPQoEGameConfig) mGameconfigList.get(i2)).mGameId;
            appId = ((com.android.server.hidata.appqoe.HwAPPQoEGameConfig) mGameconfigList.get(i2)).mScenceId;
            float threshold2 = ((com.android.server.hidata.appqoe.HwAPPQoEGameConfig) mGameconfigList.get(i2)).mHistoryQoeBadTH;
            if (threshold2 > 0.0f) {
                int fullId2 = com.android.server.hidata.wavemapping.cons.Constant.transferGameId2FullId(i, appId);
                if (!this.mMonitorAppList.containsKey(java.lang.Integer.valueOf(fullId2))) {
                    this.mMonitorAppList.put(java.lang.Integer.valueOf(fullId2), java.lang.Float.valueOf(threshold2));
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(" add Game APP:");
                    stringBuilder.append(fullId2);
                    stringBuilder.append(", GameId=");
                    stringBuilder.append(i);
                    stringBuilder.append(", ScenceId=");
                    stringBuilder.append(appId);
                    stringBuilder.append(", BadTH=");
                    stringBuilder.append(threshold2);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                }
            }
            i2++;
        }
        com.android.server.hidata.wavemapping.cons.Constant.setSavedQoeAppList(this.mMonitorAppList);
    }

    public java.util.HashMap<java.lang.Integer, java.lang.Float> getQoEAppList() {
        return (java.util.HashMap) this.mMonitorAppList.clone();
    }
}
