package com.android.server.hidata.wavemapping.service;

public class RecognizeService {
    private static final java.lang.String DATE_PATTERN = "yyyy/MM/dd HH:mm:ss.SSS";
    private static final java.lang.String TAG;
    private java.text.SimpleDateFormat dateFormat = new java.text.SimpleDateFormat("yyyy/MM/dd HH:mm:ss.SSS", java.util.Locale.getDefault());
    private java.lang.String identifyLog = "";
    private java.lang.String identifyLogPath = "";
    private android.content.Context mCtx = com.android.server.hidata.wavemapping.cons.ContextManager.getInstance().getContext();
    private com.android.server.hidata.wavemapping.modelservice.ModelService5 modelService;
    private java.lang.String resultFileHead = "time,preLable,place,model,fingerInfo \n";
    private com.android.server.hidata.wavemapping.util.TimeUtil timeUtil;
    private java.lang.String toastInfo;

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMapping.");
        stringBuilder.append(com.android.server.hidata.wavemapping.service.RecognizeService.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    public RecognizeService(com.android.server.hidata.wavemapping.modelservice.ModelService5 modelService) {
        this.modelService = modelService;
        this.timeUtil = new com.android.server.hidata.wavemapping.util.TimeUtil();
    }

    public com.android.server.hidata.wavemapping.entity.RecognizeResult identifyLocation(com.android.server.hidata.wavemapping.entity.RegularPlaceInfo allPlaceInfo, com.android.server.hidata.wavemapping.entity.RegularPlaceInfo mainApPlaceInfo, java.util.List<android.net.wifi.ScanResult> wifiList) {
        com.android.server.hidata.wavemapping.entity.RecognizeResult recognizeResult = new com.android.server.hidata.wavemapping.entity.RecognizeResult();
        com.android.server.hidata.wavemapping.entity.RecognizeResult recognizeResultByAllAp = identifyLocationByAllAp(allPlaceInfo, wifiList);
        com.android.server.hidata.wavemapping.entity.RecognizeResult recognizeResultByMainAp = identifyLocationByMainAp(mainApPlaceInfo);
        if (recognizeResultByMainAp != null) {
            recognizeResult.setMainApRgResult(recognizeResultByMainAp.getMainApRgResult());
            recognizeResult.setMainApModelName(recognizeResultByMainAp.getMainApModelName());
        }
        if (recognizeResultByAllAp != null) {
            recognizeResult.setRgResult(recognizeResultByAllAp.getRgResult());
            recognizeResult.setAllApModelName(recognizeResultByAllAp.getAllApModelName());
        }
        this.toastInfo = recognizeResult.printResults();
        com.android.server.hidata.wavemapping.util.ShowToast.showToast(this.toastInfo);
        return recognizeResult;
    }

    public com.android.server.hidata.wavemapping.entity.RecognizeResult identifyLocationByAllAp(com.android.server.hidata.wavemapping.entity.RegularPlaceInfo place, java.util.List<android.net.wifi.ScanResult> wifiList) {
        com.android.server.hidata.wavemapping.entity.RecognizeResult recognizeResult = null;
        java.lang.StringBuilder stringBuilder;
        try {
            com.android.server.hidata.wavemapping.util.LogUtil.i(" identifyLocationByAllAp loadModel begin.");
            if (place == null) {
                com.android.server.hidata.wavemapping.util.LogUtil.d(" identifyLocationByAllAp loadModel failure. placeInfo == null");
                return recognizeResult;
            }
            if (place.getPlace() != null) {
                if (!place.getPlace().equals("")) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(" identifyLocationByAllAp begin. place:");
                    stringBuilder.append(place.getPlace());
                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                    if (!this.modelService.loadCommModels(place)) {
                        return recognizeResult;
                    }
                    com.android.server.hidata.wavemapping.entity.FingerInfo fingerInfo = getFinger(wifiList, place);
                    if (fingerInfo == null) {
                        com.android.server.hidata.wavemapping.util.LogUtil.d(" identifyLocationByAllAp getFinger failure. fingerInfo == null");
                        return null;
                    }
                    recognizeResult = new com.android.server.hidata.wavemapping.entity.RecognizeResult();
                    java.lang.String rgResult = this.modelService.indentifyLocation(place.getPlace(), fingerInfo, this.modelService.getParameterInfo());
                    if (rgResult != null) {
                        recognizeResult.setRgResult(rgResult);
                        recognizeResult.setAllApModelName(place.getModelName());
                    }
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("AllAp detect space:");
                    stringBuilder2.append(recognizeResult.getRgResult());
                    this.toastInfo = stringBuilder2.toString();
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append(this.toastInfo);
                    stringBuilder2.append(", model name:");
                    stringBuilder2.append(recognizeResult.getAllApModelName());
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                    if (com.android.server.hidata.wavemapping.util.LogUtil.getDebug_flag()) {
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append(com.android.server.hidata.wavemapping.cons.Constant.getLogPath());
                        stringBuilder2.append(place.getPlace());
                        stringBuilder2.append(".log.csv");
                        this.identifyLogPath = stringBuilder2.toString();
                        stringBuilder2 = new java.lang.StringBuilder();
                        com.android.server.hidata.wavemapping.util.TimeUtil timeUtil = this.timeUtil;
                        stringBuilder2.append(com.android.server.hidata.wavemapping.util.TimeUtil.getTime());
                        stringBuilder2.append(",");
                        stringBuilder2.append(recognizeResult.getRgResult());
                        stringBuilder2.append(",");
                        stringBuilder2.append(place.getPlace());
                        stringBuilder2.append(",");
                        stringBuilder2.append(place.getModelName());
                        stringBuilder2.append(",");
                        stringBuilder2.append(fingerInfo.toReString());
                        stringBuilder2.append(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
                        this.identifyLog = stringBuilder2.toString();
                        if (!com.android.server.hidata.wavemapping.util.FileUtils.addFileHead(this.identifyLogPath, this.resultFileHead)) {
                            com.android.server.hidata.wavemapping.util.LogUtil.d(" identifyLocationByAllAp addFileHead failure.");
                        }
                        if (!com.android.server.hidata.wavemapping.util.FileUtils.writeFile(this.identifyLogPath, this.identifyLog)) {
                            stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append(" identifyLocationByAllAp log failure. identifyLogPath:");
                            stringBuilder2.append(this.identifyLogPath);
                            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                            stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append(" identifyLocationByAllAp log failure. identifyLog:");
                            stringBuilder2.append(this.identifyLog);
                            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                        }
                    }
                    return recognizeResult;
                }
            }
            com.android.server.hidata.wavemapping.util.LogUtil.d(" identifyLocationByAllAp loadModel failure. placeInfo.getPlace() == null || placeInfo.getPlace().equals(\"\")");
            return recognizeResult;
        } catch (java.lang.Exception e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("identifyLocationByAllAp:");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
    }

    public com.android.server.hidata.wavemapping.entity.RecognizeResult identifyLocationByMainAp(com.android.server.hidata.wavemapping.entity.RegularPlaceInfo place) {
        com.android.server.hidata.wavemapping.entity.RecognizeResult recognizeResult = null;
        try {
            com.android.server.hidata.wavemapping.util.LogUtil.i(" identifyLocationByMainAp loadModel begin.");
            if (place == null) {
                com.android.server.hidata.wavemapping.util.LogUtil.d(" identifyLocationByMainAp loadModel failure. placeInfo == null");
                return recognizeResult;
            }
            if (place.getPlace() != null) {
                if (!place.getPlace().equals("")) {
                    if (!this.modelService.loadMainApModel(place)) {
                        return recognizeResult;
                    }
                    recognizeResult = new com.android.server.hidata.wavemapping.entity.RecognizeResult();
                    com.android.server.hidata.wavemapping.entity.FingerInfo mainApFingerInfo = getMainApFinger(place);
                    if (mainApFingerInfo == null) {
                        com.android.server.hidata.wavemapping.util.LogUtil.d(" identifyLocationByMainAp getMainApFinger failure. mainApFingerInfo == null");
                        return null;
                    }
                    java.lang.String mainApRgResult = this.modelService.indentifyLocation(place.getPlace(), mainApFingerInfo, this.modelService.getMainParameterInfo());
                    if (mainApRgResult != null) {
                        recognizeResult.setMainApRgResult(mainApRgResult);
                        recognizeResult.setMainApModelName(place.getModelName());
                    }
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("MainAp detect space:");
                    stringBuilder.append(recognizeResult.getMainApRgResult());
                    this.toastInfo = stringBuilder.toString();
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(this.toastInfo);
                    stringBuilder.append(", model name:");
                    stringBuilder.append(recognizeResult.getMainApModelName());
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                    if (com.android.server.hidata.wavemapping.util.LogUtil.getDebug_flag()) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append(com.android.server.hidata.wavemapping.cons.Constant.getLogPath());
                        stringBuilder.append(place.getPlace());
                        stringBuilder.append(".mplog.csv");
                        this.identifyLogPath = stringBuilder.toString();
                        stringBuilder = new java.lang.StringBuilder();
                        com.android.server.hidata.wavemapping.util.TimeUtil timeUtil = this.timeUtil;
                        stringBuilder.append(com.android.server.hidata.wavemapping.util.TimeUtil.getTime());
                        stringBuilder.append(",");
                        stringBuilder.append(recognizeResult.getMainApRgResult());
                        stringBuilder.append(",");
                        stringBuilder.append(place.getPlace());
                        stringBuilder.append(",");
                        stringBuilder.append(place.getModelName());
                        stringBuilder.append(",");
                        stringBuilder.append(mainApFingerInfo.toReString());
                        stringBuilder.append(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
                        this.identifyLog = stringBuilder.toString();
                        if (!com.android.server.hidata.wavemapping.util.FileUtils.addFileHead(this.identifyLogPath, this.resultFileHead)) {
                            com.android.server.hidata.wavemapping.util.LogUtil.d(" identifyLocationByMainAp addFileHead failure.");
                        }
                        if (!com.android.server.hidata.wavemapping.util.FileUtils.writeFile(this.identifyLogPath, this.identifyLog)) {
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append(" identifyLocationByMainAp log failure. identifyLogPath:");
                            stringBuilder.append(this.identifyLogPath);
                            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append(" identifyLocationByMainAp log failure. identifyLog:");
                            stringBuilder.append(this.identifyLog);
                            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                        }
                    }
                    return recognizeResult;
                }
            }
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(" identifyLocationByMainAp loadModel failure. placeInfo.getPlace() == null || placeInfo.getPlace().equals(\"\"),modelName:");
            stringBuilder2.append(place.getModelName());
            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
            return recognizeResult;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("identifyLocationByMainAp:");
            stringBuilder3.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder3.toString());
        }
    }

    private com.android.server.hidata.wavemapping.entity.FingerInfo getMainApFinger(com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo) {
        if (this.mCtx == null || placeInfo == null) {
            return null;
        }
        com.android.server.hidata.wavemapping.entity.FingerInfo finger = new com.android.server.hidata.wavemapping.entity.FingerInfo();
        try {
            android.os.Bundle wifiInfo = com.android.server.hidata.wavemapping.util.NetUtil.getWifiStateString(this.mCtx);
            java.lang.String wifiMAC = wifiInfo.getString("wifiMAC", "UNKNOWN");
            java.lang.String wifiRssi = wifiInfo.getString("wifiRssi", "0");
            if (wifiMAC != null) {
                if (!wifiMAC.equals("UNKNOWN")) {
                    if (wifiRssi != null) {
                        if (!wifiRssi.equals("0")) {
                            java.util.HashMap<java.lang.String, java.lang.Integer> bissiddatas = new java.util.HashMap();
                            bissiddatas.put(wifiMAC, java.lang.Integer.valueOf(wifiRssi));
                            finger.setBissiddatas(bissiddatas);
                            finger.setBatch(placeInfo.getBatch());
                            finger.setServeMac(wifiMAC);
                            finger.setTimestamp(com.android.server.hidata.wavemapping.util.TimeUtil.getTime());
                            return finger;
                        }
                    }
                    return null;
                }
            }
            com.android.server.hidata.wavemapping.util.LogUtil.d("getMainApFinger wifiMAC = null");
            return null;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getMainApFinger:");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
    }

    private com.android.server.hidata.wavemapping.entity.FingerInfo getFinger(java.util.List<android.net.wifi.ScanResult> wifiList, com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo) {
        if (wifiList == null || placeInfo == null || this.mCtx == null) {
            return null;
        }
        com.android.server.hidata.wavemapping.entity.FingerInfo finger = new com.android.server.hidata.wavemapping.entity.FingerInfo();
        java.util.HashMap<java.lang.String, java.lang.Integer> bissiddatas = new java.util.HashMap();
        try {
            int size = wifiList.size();
            for (int i = 0; i < size; i++) {
                bissiddatas.put(((android.net.wifi.ScanResult) wifiList.get(i)).BSSID.replace(",", "").replace(";", ""), java.lang.Integer.valueOf(((android.net.wifi.ScanResult) wifiList.get(i)).level));
            }
            finger.setBissiddatas(bissiddatas);
            finger.setBatch(placeInfo.getBatch());
            java.lang.String wifiMac = com.android.server.hidata.wavemapping.util.NetUtil.getWifiStateString(this.mCtx).getString("wifiMAC", "UNKNOWN");
            if (!(wifiMac == null || wifiMac.equals("UNKNOWN"))) {
                finger.setServeMac(wifiMac);
            }
            finger.setTimestamp(com.android.server.hidata.wavemapping.util.TimeUtil.getTime());
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getSendWiFiInfo:");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
        return finger;
    }
}
