package com.android.server.hidata.wavemapping.service;

public class UiService {
    public static final java.lang.String MSG_FWK = "WAVEMAPPING.FWK.MSG";
    public static final java.lang.String MSG_UI_1 = "WAVEMAPPING.UI.MSG.addWmpRegularPlace";
    public static final java.lang.String MSG_UI_2 = "WAVEMAPPING.UI.MSG.forceTrainModel";
    public static final java.lang.String MSG_UI_4 = "WAVEMAPPING.UI.MSG.leaveAction";
    private static final java.lang.String TAG;
    private static com.android.server.hidata.wavemapping.entity.UiInfo uiInfo = new com.android.server.hidata.wavemapping.entity.UiInfo();
    private android.content.IntentFilter filter;
    private com.android.server.hidata.wavemapping.entity.ParameterInfo param = com.android.server.hidata.wavemapping.cons.ParamManager.getInstance().getParameterInfo();
    private android.content.BroadcastReceiver receiver = new android.content.BroadcastReceiver() {
        public java.lang.String ssid;

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (intent != null) {
                java.lang.String action = intent.getAction();
                if (action != null) {
                    java.lang.Object obj = -1;
                    int hashCode = action.hashCode();
                    if (hashCode != -1421450094) {
                        if (hashCode != -1329847201) {
                            if (hashCode == 129766110) {
                                if (action.equals("WAVEMAPPING.UI.MSG.forceTrainModel")) {
                                    obj = 1;
                                }
                            }
                        } else if (action.equals("WAVEMAPPING.UI.MSG.leaveAction")) {
                            obj = 2;
                        }
                    } else if (action.equals("WAVEMAPPING.UI.MSG.addWmpRegularPlace")) {
                        obj = null;
                    }
                    switch (obj) {
                        case null:
                            if (intent.getExtras() != null) {
                                this.ssid = intent.getExtras().getString("ssid");
                            }
                            com.android.server.hidata.wavemapping.service.UiService.this.addWmpRegularPlace(this.ssid);
                            break;
                        case 1:
                            com.android.server.hidata.wavemapping.service.UiService.this.forceTrainModel();
                            break;
                        case 2:
                            com.android.server.hidata.wavemapping.service.UiService.this.leaveAction();
                            break;
                        default:
                            break;
                    }
                }
            }
        }
    };
    private android.os.Handler wmStateMachineHandler;

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMapping.");
        stringBuilder.append(com.android.server.hidata.wavemapping.service.UiService.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    public com.android.server.hidata.wavemapping.entity.ParameterInfo getParam() {
        return this.param;
    }

    public void setParam(com.android.server.hidata.wavemapping.entity.ParameterInfo param) {
        this.param = param;
    }

    public UiService(android.os.Handler smHandler) {
        this.wmStateMachineHandler = smHandler;
        this.filter = new android.content.IntentFilter();
        this.filter.addAction("WAVEMAPPING.UI.MSG.addWmpRegularPlace");
        this.filter.addAction("WAVEMAPPING.UI.MSG.forceTrainModel");
        this.filter.addAction("WAVEMAPPING.UI.MSG.leaveAction");
        com.android.server.hidata.wavemapping.cons.ContextManager.getInstance().getContext().registerReceiver(this.receiver, this.filter);
    }

    public boolean addWmpRegularPlace(java.lang.String place) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("addWmpRegularPlace :");
        stringBuilder.append(place);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        android.os.Message msg = android.os.Message.obtain(this.wmStateMachineHandler, 20);
        android.os.Bundle bundle = new android.os.Bundle();
        bundle.putCharSequence("LOCATION", place);
        msg.setData(bundle);
        this.wmStateMachineHandler.sendMessage(msg);
        return true;
    }

    public boolean forceTrainModel() {
        this.wmStateMachineHandler.sendEmptyMessage(60);
        return true;
    }

    public boolean leaveAction() {
        this.wmStateMachineHandler.sendEmptyMessage(55);
        return true;
    }

    public boolean setParameter(com.android.server.hidata.wavemapping.entity.ParameterInfo param) {
        setParam(param);
        return true;
    }

    public static com.android.server.hidata.wavemapping.entity.UiInfo getUiInfo() {
        return uiInfo;
    }

    public static void sendMsgToUi() {
        try {
            if (com.android.server.hidata.wavemapping.util.LogUtil.getDebug_flag()) {
                sendBrocast("WAVEMAPPING.FWK.MSG", uiInfo.toJsonStr());
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("LocatingState,e");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:9:0x0019  */
    /* JADX WARNING: Removed duplicated region for block: B:8:0x0018  */
    public static void sendBrocast(java.lang.String r3, java.lang.String r4) {
        /*
        r0 = 0;
        r1 = r3.hashCode();
        r2 = -1061096524; // 0xffffffffc0c0f3b4 float:-6.029749 double:NaN;
        if (r1 == r2) goto L_0x000b;
    L_0x000a:
        goto L_0x0015;
    L_0x000b:
        r1 = "WAVEMAPPING.FWK.MSG";
        r1 = r3.equals(r1);
        if (r1 == 0) goto L_0x0015;
    L_0x0013:
        r1 = 0;
        goto L_0x0016;
    L_0x0015:
        r1 = -1;
    L_0x0016:
        if (r1 == 0) goto L_0x0019;
    L_0x0018:
        goto L_0x0030;
    L_0x0019:
        r1 = new android.content.Intent;
        r2 = "WAVEMAPPING.FWK.MSG";
        r1.<init>(r2);
        r0 = r1;
        r1 = new android.os.Bundle;
        r1.<init>();
        r2 = "uiInfo";
        r1.putString(r2, r4);
        r0.putExtras(r1);
    L_0x0030:
        com.android.server.hidata.wavemapping.util.LogUtil.i(r4);
        r1 = com.android.server.hidata.wavemapping.cons.ContextManager.getInstance();
        r1 = r1.getContext();
        r1.sendBroadcast(r0);
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.service.UiService.sendBrocast(java.lang.String, java.lang.String):void");
    }
}
