package com.android.server.hidata.wavemapping.statehandler;

public class CollectFingersHandler {
    private static final java.lang.String TAG;
    private int PRINTCNT = 10;
    private java.lang.String batch = "";
    private android.content.Context context;
    private java.lang.String currLoc = "OTHER";
    private com.android.server.hidata.wavemapping.dao.EnterpriseApDAO enterpriseApDAO;
    private android.os.Handler handler = new android.os.Handler();
    private int lastBatch;
    private long lastTrainingTime = 0;
    private int logCounter = 0;
    private android.os.Handler mMachineHandler;
    private java.lang.String mainApCollectFileName = "";
    private int mainApLastBatch;
    private com.android.server.hidata.wavemapping.entity.RegularPlaceInfo mainApPlaceInfo;
    private com.android.server.hidata.wavemapping.dao.MobileApDAO mobileApDAO;
    private com.android.server.hidata.wavemapping.entity.ParameterInfo param;
    private com.android.server.hidata.wavemapping.entity.ParameterInfo paramMainAp;
    private java.lang.Runnable periodicToFileHandler = new java.lang.Runnable() {
        public void run() {
            com.android.server.hidata.wavemapping.statehandler.CollectFingersHandler.this.sendMainApInfoToFile();
            com.android.server.hidata.wavemapping.statehandler.CollectFingersHandler.this.handler.postDelayed(this, (long) com.android.server.hidata.wavemapping.statehandler.CollectFingersHandler.this.paramMainAp.getActiveSample());
            com.android.server.hidata.wavemapping.statehandler.CollectFingersHandler.this.logCounter = com.android.server.hidata.wavemapping.statehandler.CollectFingersHandler.this.logCounter + 1;
            if (com.android.server.hidata.wavemapping.statehandler.CollectFingersHandler.this.logCounter > com.android.server.hidata.wavemapping.statehandler.CollectFingersHandler.this.PRINTCNT) {
                com.android.server.hidata.wavemapping.util.LogUtil.d("periodic MainAp ToFileHandler write to file");
                com.android.server.hidata.wavemapping.statehandler.CollectFingersHandler.this.logCounter = 0;
            }
        }
    };
    private com.android.server.hidata.wavemapping.dao.RegularPlaceDAO regularPlaceDAO;
    private java.lang.String resultWifiScan = "";
    private java.lang.String strCollectFileName = "temp_file_wp_data.csv";
    private com.android.server.hidata.wavemapping.util.TimeUtil timeUtil = new com.android.server.hidata.wavemapping.util.TimeUtil();
    private long timeWiFiScan = 0;
    private com.android.server.hidata.wavemapping.entity.UiInfo uiInfo;
    private com.android.server.hidata.wavemapping.service.UiService uiService;

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMapping.");
        stringBuilder.append(com.android.server.hidata.wavemapping.statehandler.CollectFingersHandler.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    public CollectFingersHandler(android.content.Context context, java.lang.String currlocation, android.os.Handler handler) {
        com.android.server.hidata.wavemapping.util.LogUtil.i(" ,new CollectFingersHandler ");
        try {
            this.context = context;
            this.currLoc = currlocation;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(com.android.server.hidata.wavemapping.cons.Constant.getRawDataPath());
            stringBuilder.append(this.currLoc);
            stringBuilder.append(".rd.csv");
            this.strCollectFileName = stringBuilder.toString();
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(com.android.server.hidata.wavemapping.cons.Constant.getRawDataPath());
            stringBuilder.append(this.currLoc);
            stringBuilder.append(".mprd.csv");
            this.mainApCollectFileName = stringBuilder.toString();
            this.param = com.android.server.hidata.wavemapping.cons.ParamManager.getInstance().getParameterInfo();
            this.paramMainAp = com.android.server.hidata.wavemapping.cons.ParamManager.getInstance().getMainApParameterInfo();
            this.regularPlaceDAO = new com.android.server.hidata.wavemapping.dao.RegularPlaceDAO();
            this.uiService = new com.android.server.hidata.wavemapping.service.UiService();
            com.android.server.hidata.wavemapping.service.UiService uiService = this.uiService;
            this.uiInfo = com.android.server.hidata.wavemapping.service.UiService.getUiInfo();
            this.mMachineHandler = handler;
            this.mobileApDAO = new com.android.server.hidata.wavemapping.dao.MobileApDAO();
            this.enterpriseApDAO = new com.android.server.hidata.wavemapping.dao.EnterpriseApDAO();
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(" CollectFingersHandler ");
            stringBuilder2.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
        }
    }

    public long getTimeWiFiScan() {
        return this.timeWiFiScan;
    }

    public void setTimeWiFiScan(long timeWiFiScan) {
        this.timeWiFiScan = timeWiFiScan;
    }

    public void startCollect() {
        try {
            com.android.server.hidata.wavemapping.util.LogUtil.d(" startCollect ");
            this.handler.postDelayed(this.periodicToFileHandler, (long) this.paramMainAp.getActiveSample());
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" CollectFingersHandler ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
    }

    public boolean stopCollect() {
        try {
            com.android.server.hidata.wavemapping.util.LogUtil.d(" stopCollect ");
            this.handler.removeCallbacks(this.periodicToFileHandler);
            return true;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" stopCollect ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return false;
        }
    }

    public boolean processWifiData(java.util.List<android.net.wifi.ScanResult> wifiList, com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo) {
        com.android.server.hidata.wavemapping.util.LogUtil.i("processWifiData ....");
        if (placeInfo == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.i("processWifiData,failure, null == placeInfo");
            return false;
        }
        java.lang.StringBuilder stringBuilder;
        try {
            java.lang.StringBuilder stringBuilder2;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" collectFinger: current batch=");
            stringBuilder.append(com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.getBatch());
            stringBuilder.append(", last Batch=");
            stringBuilder.append(this.lastBatch);
            stringBuilder.append(", placeInfo=");
            stringBuilder.append(placeInfo.toString());
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
            placeInfo.setFingerNum(placeInfo.getFingerNum() + 1);
            if (this.lastBatch != com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.getBatch()) {
                placeInfo.setBatch(placeInfo.getBatch() + 1);
            }
            if (placeInfo.getDisNum() > 0) {
                placeInfo.setTestDataNum(placeInfo.getTestDataNum() + 1);
            }
            this.lastBatch = com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.getBatch();
            this.timeWiFiScan = java.lang.System.currentTimeMillis();
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.getBatch());
            stringBuilder.append("");
            this.batch = stringBuilder.toString();
            boolean arStation = com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.getArState();
            if (arStation) {
                this.resultWifiScan = getSendWiFiInfo(wifiList);
                if (!sendAllInfoToFile(this.batch, this.resultWifiScan)) {
                    com.android.server.hidata.wavemapping.util.LogUtil.d("sendAllInfoToFile failure.");
                    return false;
                } else if (!this.regularPlaceDAO.update(placeInfo)) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("processWifiData,update placeInfo failure.");
                    stringBuilder2.append(placeInfo.toString());
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                }
            }
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("processWifiData placeInfo :");
            stringBuilder2.append(placeInfo.toString());
            stringBuilder2.append(", station:");
            stringBuilder2.append(arStation);
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
            if (this.uiInfo != null) {
                this.uiInfo.setFinger_batch_num(placeInfo.getBatch());
                this.uiInfo.setFg_fingers_num(placeInfo.getFingerNum());
                this.uiInfo.setStage(placeInfo.getState());
                this.uiInfo.setSsid(placeInfo.getPlace());
                this.uiInfo.setToast("processWifiData complete.");
            }
            com.android.server.hidata.wavemapping.service.UiService uiService = this.uiService;
            com.android.server.hidata.wavemapping.service.UiService.sendMsgToUi();
        } catch (java.lang.Exception e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("processWifiData:");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
        return true;
    }

    public boolean checkDataSatisfiedToTraining(com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(" checkDataSatisfiedToTraining01, placeInfo:");
        stringBuilder.append(placeInfo.toString());
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        long checkTrainingDuration = java.lang.System.currentTimeMillis() - this.lastTrainingTime;
        if (this.param == null) {
            com.android.server.hidata.wavemapping.util.LogUtil.w(" param == null");
            return false;
        } else if (checkTrainingDuration < 43200000) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("checkDataSatisfiedToTraining, checkTrainingDuration < LIMIT_TRAINING_INTERVAL,checkTrainingDuration:");
            stringBuilder2.append(checkTrainingDuration);
            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
            return false;
        } else if (!isFitTrainModel(placeInfo, this.param)) {
            return false;
        } else {
            this.lastTrainingTime = java.lang.System.currentTimeMillis();
            return true;
        }
    }

    private boolean isFitTrainModel(com.android.server.hidata.wavemapping.entity.RegularPlaceInfo placeInfo, com.android.server.hidata.wavemapping.entity.ParameterInfo param) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(" Batch number reach criteria:");
        stringBuilder.append(param.getFg_batch_num());
        stringBuilder.append(", internval=");
        stringBuilder.append(43200000);
        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
        if (placeInfo.getBatch() < param.getFg_batch_num()) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" acc batch numbers are NOT enough:");
            stringBuilder.append(placeInfo.getBatch());
            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
            return false;
        } else if (placeInfo.getDisNum() == 0 && placeInfo.getFingerNum() > param.getTrainDatasSize() + param.getTestDataSize()) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("isFitTrainModel,return true2");
            return true;
        } else if (placeInfo.getDisNum() <= 0 || placeInfo.getTestDataNum() <= param.getTestDataCnt()) {
            return false;
        } else {
            com.android.server.hidata.wavemapping.util.LogUtil.d("isFitTrainModel,return true3");
            return true;
        }
    }

    private java.lang.String getSendWiFiInfo(java.util.List<android.net.wifi.ScanResult> wifiList) {
        java.lang.StringBuilder stringBuilder;
        if (wifiList == null) {
            return null;
        }
        java.lang.StringBuilder fLine = new java.lang.StringBuilder();
        java.util.HashMap<java.lang.String, java.util.concurrent.atomic.AtomicInteger> hpSsidCnt = new java.util.HashMap();
        int i = 0;
        int addEpApsCnt = 0;
        try {
            int size = wifiList.size();
            while (i < size) {
                java.lang.String tempSsid = ((android.net.wifi.ScanResult) wifiList.get(i)).SSID.replace(",", "").replace(";", "");
                if (!tempSsid.equals("")) {
                    java.lang.String tempBssid = ((android.net.wifi.ScanResult) wifiList.get(i)).BSSID.replace(",", "").replace(";", "");
                    if (!tempBssid.equals("")) {
                        if (this.mobileApDAO.findBySsidForUpdateTime(tempSsid, tempBssid) == null) {
                            if (this.enterpriseApDAO.findBySsidForUpdateTime(tempSsid) == null) {
                                if (hpSsidCnt.containsKey(tempSsid)) {
                                    ((java.util.concurrent.atomic.AtomicInteger) hpSsidCnt.get(tempSsid)).incrementAndGet();
                                } else {
                                    hpSsidCnt.put(tempSsid, new java.util.concurrent.atomic.AtomicInteger(1));
                                }
                            }
                            fLine.append(tempSsid);
                            fLine.append(";");
                            fLine.append(tempBssid);
                            fLine.append(";");
                            fLine.append(((android.net.wifi.ScanResult) wifiList.get(i)).level);
                            fLine.append(";");
                            fLine.append(((android.net.wifi.ScanResult) wifiList.get(i)).frequency);
                            fLine.append(",");
                        }
                    }
                }
                i++;
            }
            addEpApsCnt = addEnterpriseAps(hpSsidCnt);
            if (addEpApsCnt > 0) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("addEnterpriseAps,cnt: ");
                stringBuilder2.append(addEpApsCnt);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
            }
        } catch (java.lang.RuntimeException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" CollectFingersHandler ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        } catch (java.lang.Exception e2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getSendWiFiInfo:");
            stringBuilder.append(e2.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
        com.android.server.hidata.wavemapping.util.LogUtil.i(fLine.toString());
        return fLine.toString();
    }

    public int addEnterpriseAps(java.util.HashMap<java.lang.String, java.util.concurrent.atomic.AtomicInteger> apInfos) {
        int cnt = 0;
        if (apInfos != null) {
            if (apInfos.size() != 0) {
                for (java.util.Map.Entry entry : apInfos.entrySet()) {
                    java.lang.String key = (java.lang.String) entry.getKey();
                    if (((java.util.concurrent.atomic.AtomicInteger) entry.getValue()).get() > 1) {
                        com.android.server.hidata.wavemapping.entity.ApInfo tempAp = new com.android.server.hidata.wavemapping.entity.ApInfo(key, com.android.server.hidata.wavemapping.util.TimeUtil.getTime());
                        if (this.enterpriseApDAO.insert(tempAp)) {
                            cnt++;
                        } else {
                            com.android.server.hidata.wavemapping.util.LogUtil.d("enterpriseApDAO.insert failure");
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("                               ap:");
                            stringBuilder.append(tempAp.toString());
                            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                        }
                    }
                }
                return cnt;
            }
        }
        return 0;
    }

    private void sendMainApInfoToFile() {
        try {
            java.lang.StringBuilder fLine = new java.lang.StringBuilder();
            android.os.Bundle wifiInfo = com.android.server.hidata.wavemapping.util.NetUtil.getWifiStateString(this.context);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sendMainApInfoToFile,wifiInfo.wifiAp:");
            stringBuilder.append(wifiInfo.getString("wifiAp"));
            stringBuilder.append(",this.currLoc:");
            stringBuilder.append(this.currLoc);
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
            if (wifiInfo.getString("wifiState", "UNKNOWN").equals("ENABLED")) {
                java.lang.String wifiSsid = wifiInfo.getString("wifiAp", "UNKNOWN");
                if (wifiSsid == null) {
                    wifiSsid = "UNKNOWN";
                }
                java.lang.String dataPath = com.android.server.hidata.wavemapping.util.NetUtil.getNetworkType(this.context);
                fLine.append(com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.getBatch());
                fLine.append(",");
                this.mainApPlaceInfo = this.regularPlaceDAO.findBySsid(this.currLoc, true);
                if (this.mainApPlaceInfo != null) {
                    this.mainApPlaceInfo.setFingerNum(this.mainApPlaceInfo.getFingerNum() + 1);
                    if (this.mainApLastBatch != com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.getBatch()) {
                        this.mainApPlaceInfo.setBatch(this.mainApPlaceInfo.getBatch() + 1);
                    }
                    if (!this.regularPlaceDAO.update(this.mainApPlaceInfo)) {
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("sendMainApInfoToFile,update mainApPlaceInfo failure.");
                        stringBuilder2.append(this.mainApPlaceInfo.toString());
                        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                    }
                } else {
                    com.android.server.hidata.wavemapping.util.LogUtil.d("sendMainApInfoToFile,update mainApPlaceInfo failure.mainApPlaceInfo==null");
                }
                this.mainApLastBatch = com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.getBatch();
                fLine.append(com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.getArState());
                fLine.append(",");
                com.android.server.hidata.wavemapping.util.TimeUtil timeUtil = this.timeUtil;
                fLine.append(com.android.server.hidata.wavemapping.util.TimeUtil.getTime());
                fLine.append(",");
                fLine.append(java.lang.System.currentTimeMillis());
                fLine.append(",");
                fLine.append(this.currLoc);
                fLine.append(",");
                fLine.append(com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.getScrnState());
                fLine.append(",");
                fLine.append(dataPath);
                fLine.append(",");
                fLine.append("0");
                fLine.append(",");
                fLine.append("0");
                fLine.append(",");
                fLine.append(wifiInfo.getString("wifiState", "UNKNOWN"));
                fLine.append(",");
                fLine.append(wifiSsid.replace(",", "").replace("\"", ""));
                fLine.append(";");
                fLine.append(wifiInfo.getString("wifiMAC", "UNKNOWN"));
                fLine.append(";");
                fLine.append(wifiInfo.getString("wifiRssi", "UNKNOWN"));
                fLine.append(";");
                fLine.append(wifiInfo.getString("wifiCh", "UNKNOWN"));
                fLine.append(";");
                fLine.append(wifiInfo.getString("wifiLS", "UNKNOWN"));
                fLine.append(",");
                fLine.append("0");
                fLine.append(",");
                fLine.append("0");
                fLine.append(";");
                fLine.append("0");
                fLine.append(";");
                fLine.append("0");
                fLine.append(";");
                fLine.append("0");
                fLine.append(",");
                fLine.append(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
                com.android.server.hidata.wavemapping.util.FileUtils.writeFile(this.mainApCollectFileName, fLine.toString());
                return;
            }
            com.android.server.hidata.wavemapping.util.LogUtil.i("wifi not ENABLED");
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append(" sendAllInfoToFile ");
            stringBuilder3.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder3.toString());
        }
    }

    private boolean sendAllInfoToFile(java.lang.String batch, java.lang.String resultWifiScan) {
        try {
            java.lang.StringBuilder fLine = new java.lang.StringBuilder();
            android.os.Bundle wifiInfo = com.android.server.hidata.wavemapping.util.NetUtil.getWifiStateString(this.context);
            java.lang.String dataPath = com.android.server.hidata.wavemapping.util.NetUtil.getNetworkType(this.context);
            if (batch != null) {
                if (!batch.equals("")) {
                    if (resultWifiScan != null) {
                        if (!resultWifiScan.equals("")) {
                            java.lang.String wifiSsid = wifiInfo.getString("wifiAp", "UNKNOWN");
                            if (wifiSsid == null) {
                                wifiSsid = "UNKNOWN";
                            }
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append(" sendAllInfoToFile batch:");
                            stringBuilder.append(batch);
                            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                            fLine.append(batch);
                            fLine.append(",");
                            fLine.append(com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.getArState());
                            fLine.append(",");
                            com.android.server.hidata.wavemapping.util.TimeUtil timeUtil = this.timeUtil;
                            fLine.append(com.android.server.hidata.wavemapping.util.TimeUtil.getTime());
                            fLine.append(",");
                            fLine.append(java.lang.System.currentTimeMillis());
                            fLine.append(",");
                            fLine.append(this.currLoc);
                            fLine.append(",");
                            fLine.append(com.android.server.hidata.wavemapping.dataprovider.BehaviorReceiver.getScrnState());
                            fLine.append(",");
                            fLine.append(dataPath);
                            fLine.append(",");
                            fLine.append("0");
                            fLine.append(",");
                            fLine.append("0");
                            fLine.append(",");
                            fLine.append(wifiInfo.getString("wifiState", "UNKNOWN"));
                            fLine.append(",");
                            fLine.append(wifiSsid.replace(",", "").replace("\"", ""));
                            fLine.append(",");
                            fLine.append(wifiInfo.getString("wifiMAC", "UNKNOWN"));
                            fLine.append(",");
                            fLine.append(wifiInfo.getString("wifiCh", "UNKNOWN"));
                            fLine.append(",");
                            fLine.append(wifiInfo.getString("wifiLS", "UNKNOWN"));
                            fLine.append(",");
                            fLine.append(wifiInfo.getString("wifiRssi", "UNKNOWN"));
                            fLine.append(",");
                            fLine.append("0");
                            fLine.append(",");
                            fLine.append("0");
                            fLine.append(",");
                            fLine.append("0");
                            fLine.append(",");
                            fLine.append("0");
                            fLine.append(",");
                            fLine.append("0");
                            fLine.append(",");
                            fLine.append(resultWifiScan);
                            fLine.append(com.android.server.hidata.wavemapping.cons.Constant.lineSeperate);
                            com.android.server.hidata.wavemapping.util.FileUtils.writeFile(this.strCollectFileName, fLine.toString());
                            resultWifiScan = "";
                            return true;
                        }
                    }
                    com.android.server.hidata.wavemapping.util.LogUtil.d(" sendAllInfoToFile resultWifiScan == null");
                    return false;
                }
            }
            com.android.server.hidata.wavemapping.util.LogUtil.d(" sendAllInfoToFile batch == null");
            return false;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(" sendAllInfoToFile ");
            stringBuilder2.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
            return false;
        }
    }
}
