package com.android.server.hidata.wavemapping.statehandler;

public class CollectUserFingersHandler {
    private static final java.lang.String ACTION_SIM_STATE_CHANGED = "android.intent.action.SIM_STATE_CHANGED";
    private static final java.lang.String DATE_PATTERN = "yyyy/MM/dd HH:mm:ss.SSS";
    private static final int EVENT_UPDATE_SOURCE_NETWORK = 0;
    private static final int RESTARTMAX = 10;
    private static final java.lang.String TAG;
    private static android.os.Bundle lastCellState = new android.os.Bundle();
    private static android.os.Bundle lastWifiState = new android.os.Bundle();
    private static com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler mCollectUserFingersHandler = null;
    private boolean back4g_begin = true;
    private int back4g_restartCnt = 0;
    private boolean connectedMobile = false;
    private boolean connectedWifi = false;
    private java.lang.String freqLoc = "OTHER";
    private java.lang.Runnable getRegStateAfterPeriodHandler = new java.lang.Runnable() {
        public void run() {
            java.lang.String nwName = "UNKNOWN";
            android.os.Bundle cellInfo = com.android.server.hidata.wavemapping.util.NetUtil.getMobileDataState(com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler.this.mContext);
            com.android.server.hidata.wavemapping.util.LogUtil.i("getRegStateAfterPeriodHandler");
            nwName = cellInfo.getString("cellRAT");
            if (nwName != null && nwName.equals("4G")) {
                com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler.this.mFastBack2LteChrDAO.addsuccessBack();
            }
            com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler.this.mFastBack2LteChrDAO.insertRecordByLoc();
        }
    };
    private android.os.Handler handler = new android.os.Handler();
    private boolean isDestNetworkCellular = false;
    private int locBatch = 0;
    private boolean mCHRUserPrefAutoSwitch = false;
    private long mCHRUserPrefAutoSwitchTime = 0;
    private boolean mCHRUserPrefDetermineSwitch = false;
    private boolean mCHRUserPrefManualSwitch = false;
    private long mCHRUserPrefManualSwitchTime = 0;
    private java.lang.String mCHRUserPrefOriginalNWName = "UNKNOWN";
    private int mCHRUserPrefOriginalNWType = 8;
    private java.lang.String mCHRUserPrefSwitchNWName = "UNKNOWN";
    private int mCHRUserPrefSwitchNWType = 8;
    private long mCHRUserPrefSwitchTime = 0;
    private android.content.Context mContext;
    private java.lang.String mDestNetworkFreq = "UNKNOWN";
    private java.lang.String mDestNetworkId = "UNKNOWN";
    private java.lang.String mDestNetworkName = "UNKNOWN";
    private int mDestNetworkType = 8;
    private com.android.server.hidata.wavemapping.dao.FastBack2LteChrDAO mFastBack2LteChrDAO;
    private com.android.server.hidata.wavemapping.statehandler.HwWmpFastBackLteManager mFastBackLteMgr = null;
    private com.android.server.hidata.wavemapping.dao.HisQoEChrDAO mHisQoEChrDAO;
    private com.android.server.hidata.wavemapping.chr.QueryHistAppQoeService mHisQoEChrService;
    private com.android.server.hidata.arbitration.HwArbitrationHistoryQoeManager mHistoryQoeMgr = null;
    private com.android.server.hidata.wavemapping.dao.LocationDAO mLocationDAO;
    private android.os.Handler mMachineHandler;
    private android.content.BroadcastReceiver mNetworkReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            java.lang.String action = intent.getAction();
            if (action == null) {
                com.android.server.hidata.wavemapping.util.LogUtil.w(" action is null");
                return;
            }
            java.lang.Object obj = -1;
            int hashCode = action.hashCode();
            if (hashCode != -1172645946) {
                if (hashCode != -229777127) {
                    if (hashCode != 233521600) {
                        if (hashCode == 1067187475) {
                            if (action.equals("com.android.server.hidata.arbitration.HwArbitrationStateMachine")) {
                                obj = 2;
                            }
                        }
                    } else if (action.equals("android.net.wifi.supplicant.STATE_CHANGE")) {
                        obj = 1;
                    }
                } else if (action.equals("android.intent.action.SIM_STATE_CHANGED")) {
                    obj = 3;
                }
            } else if (action.equals("android.net.conn.CONNECTIVITY_CHANGE")) {
                obj = null;
            }
            switch (obj) {
                case null:
                    com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler.this.mMachineHandler.sendEmptyMessage(91);
                    com.android.server.hidata.wavemapping.util.LogUtil.i("Connectivity state changes");
                    break;
                case 1:
                    if (intent.getParcelableExtra("newState") != null && (intent.getParcelableExtra("newState") instanceof android.net.wifi.SupplicantState)) {
                        android.net.wifi.SupplicantState mCurrentsupplicantState = (android.net.wifi.SupplicantState) intent.getParcelableExtra("newState");
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("SUPPLICANT_STATE_CHANGED_ACTION mCurrentsupplicantState = ");
                        stringBuilder.append(mCurrentsupplicantState);
                        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                        if (mCurrentsupplicantState == android.net.wifi.SupplicantState.COMPLETED) {
                            com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler.this.mMachineHandler.sendEmptyMessage(92);
                        }
                        break;
                    }
                case 2:
                    com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler.this.mMachineHandler.sendEmptyMessage(91);
                    com.android.server.hidata.wavemapping.util.LogUtil.i("MP-LINK state changes");
                    break;
                case 3:
                    com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler.this.setCurrScrbId();
                    com.android.server.hidata.wavemapping.util.LogUtil.i("SIM state changes");
                    break;
                default:
                    break;
            }
        }
    };
    private java.lang.String mPrefNetworkName = "UNKNOWN";
    private int mPrefNetworkType = 8;
    private java.lang.String mSourceNetworkFreq = "UNKNOWN";
    private java.lang.String mSourceNetworkId = "UNKNOWN";
    private java.lang.String mSourceNetworkName = "UNKNOWN";
    private int mSourceNetworkType = 8;
    private java.util.HashMap<java.lang.String, com.android.server.hidata.wavemapping.entity.SpaceExpInfo> mSpaceExperience = new java.util.HashMap();
    private com.android.server.hidata.wavemapping.dao.SpaceUserDAO mSpaceUserDAO;
    private java.lang.StringBuilder mSpaceid = new java.lang.StringBuilder("0");
    private java.lang.StringBuilder mSpaceid_mainAp = new java.lang.StringBuilder("0");
    private boolean mUserHasPref = false;
    private boolean mUserOperation = false;
    private java.util.Map<java.lang.String, java.lang.String> mapCollectFileName = new java.util.HashMap();
    private java.lang.String oldBssid = "UNKNOWN";
    private java.lang.String oldCellId = "UNKNOWN";
    private java.lang.String oldRat = "UNKNOWN";
    private java.lang.String oldSsid = "UNKNOWN";
    private long outof4G_begin = 0;
    private com.android.server.hidata.wavemapping.entity.ParameterInfo param;
    private java.lang.Runnable periodicOutof4GHandler = new java.lang.Runnable() {
        public void run() {
            com.android.server.hidata.wavemapping.util.LogUtil.i("periodically check no 4G coverage");
            com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler.this.checkOutOf4GCoverage(false);
        }
    };
    private java.util.HashMap<java.lang.String, com.android.server.hidata.wavemapping.entity.HwWmpAppInfo> saveAppInfo = new java.util.HashMap();

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMapping.");
        stringBuilder.append(com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    public CollectUserFingersHandler(android.os.Handler handler) {
        com.android.server.hidata.wavemapping.util.LogUtil.i(" ,new CollectUserFingersHandler ");
        try {
            this.mContext = com.android.server.hidata.wavemapping.cons.ContextManager.getInstance().getContext();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(com.android.server.hidata.wavemapping.cons.Constant.getRawDataPath());
            stringBuilder.append("network");
            stringBuilder.append(".wifipro.csv");
            this.mapCollectFileName.put("wifipro", stringBuilder.toString());
            this.param = com.android.server.hidata.wavemapping.cons.ParamManager.getInstance().getParameterInfo();
            this.mFastBackLteMgr = com.android.server.hidata.wavemapping.statehandler.HwWmpFastBackLteManager.getInstance();
            this.mSpaceUserDAO = new com.android.server.hidata.wavemapping.dao.SpaceUserDAO();
            this.mLocationDAO = new com.android.server.hidata.wavemapping.dao.LocationDAO();
            this.mHisQoEChrDAO = new com.android.server.hidata.wavemapping.dao.HisQoEChrDAO();
            this.mHisQoEChrService = com.android.server.hidata.wavemapping.chr.QueryHistAppQoeService.getInstance();
            this.mFastBack2LteChrDAO = new com.android.server.hidata.wavemapping.dao.FastBack2LteChrDAO();
            this.mMachineHandler = handler;
            this.mHistoryQoeMgr = com.android.server.hidata.arbitration.HwArbitrationHistoryQoeManager.getInstance(handler);
            startCollect();
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(TAG);
            stringBuilder2.append(" CollectUserFingersHandler ");
            stringBuilder2.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
        }
    }

    public static synchronized com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler getInstance(android.os.Handler handler) {
        com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler collectUserFingersHandler;
        synchronized (com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler.class) {
            if (mCollectUserFingersHandler == null) {
                mCollectUserFingersHandler = new com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler(handler);
            }
            collectUserFingersHandler = mCollectUserFingersHandler;
        }
        return collectUserFingersHandler;
    }

    public static synchronized com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler getInstance() {
        com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler collectUserFingersHandler;
        synchronized (com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler.class) {
            collectUserFingersHandler = mCollectUserFingersHandler;
        }
        return collectUserFingersHandler;
    }

    public void setFreqLocation(java.lang.String location) {
        clearUserPrefCHR();
        if (!this.mFastBack2LteChrDAO.getLocation().equals(location)) {
            this.mFastBack2LteChrDAO.insertRecordByLoc();
            this.mFastBack2LteChrDAO.setLocation(location);
            if (!this.mFastBack2LteChrDAO.getCountersByLocation()) {
                this.mFastBack2LteChrDAO.insertRecordByLoc();
            }
        }
        if (!this.mHisQoEChrDAO.getLocation().equals(location)) {
            this.mHisQoEChrDAO.insertRecordByLoc();
            this.mHisQoEChrDAO.setLocation(location);
            this.mHisQoEChrDAO.getCountersByLocation();
        }
        this.freqLoc = location;
        this.mSpaceUserDAO.setFreqLocation(location);
    }

    public void setModelVer(java.lang.String model_allAp, java.lang.String model_mainAp) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(" set Model version: ");
        stringBuilder.append(model_allAp);
        stringBuilder.append("_");
        stringBuilder.append(model_mainAp);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        this.mSpaceUserDAO.setModelVer(model_allAp, model_mainAp);
    }

    public void setCurrScrbId() {
        this.mSpaceUserDAO.setScrbId(com.android.server.hidata.wavemapping.util.NetUtil.getMobileDataScrbId(this.mContext));
    }

    public void setBatch(int batch) {
        this.locBatch = batch;
    }

    public final void startCollect() {
        try {
            com.android.server.hidata.wavemapping.util.LogUtil.i(" startCollect ");
            setCurrScrbId();
            android.content.IntentFilter filter = new android.content.IntentFilter();
            filter.addAction("android.net.conn.CONNECTIVITY_CHANGE");
            filter.addAction("android.net.wifi.supplicant.STATE_CHANGE");
            filter.addAction("android.intent.action.SIM_STATE_CHANGED");
            filter.addAction("com.android.server.hidata.arbitration.HwArbitrationStateMachine");
            this.mContext.registerReceiver(this.mNetworkReceiver, filter);
            int networkType = com.android.server.hidata.wavemapping.util.NetUtil.getNetworkTypeInfo(this.mContext);
            if (1 == networkType) {
                setNewStartTime(new com.android.server.hidata.wavemapping.entity.HwWmpAppInfo(1));
                com.android.server.hidata.wavemapping.util.LogUtil.d(" Wifi active ");
                backupWifiInfo();
            } else {
                resetTime("WIFI");
            }
            if (networkType == 0) {
                setNewStartTime(new com.android.server.hidata.wavemapping.entity.HwWmpAppInfo(0));
                com.android.server.hidata.wavemapping.util.LogUtil.d(" Mobile active ");
                backupCellInfo();
            } else {
                resetTime("MOBILE");
            }
            checkOutOf4GCoverage(false);
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" startCollect ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
    }

    public void updateSourceNetwork() {
        try {
            android.os.Bundle connectivity = com.android.server.hidata.wavemapping.util.NetUtil.getConnectedNetworkState(this.mContext);
            java.lang.String networkId = "UNKNOWN";
            java.lang.String networkName = "UNKNOWN";
            java.lang.String networkFreq = "UNKNOWN";
            int defaultType = connectivity.getInt("defaultType");
            if (this.isDestNetworkCellular && defaultType == 0) {
                com.android.server.hidata.wavemapping.util.LogUtil.i("Disable WIFI without connection ");
                return;
            }
            if (1 == defaultType || defaultType == 0) {
                networkId = connectivity.getString("defaultNwId", "UNKNOWN");
                networkName = connectivity.getString("defaultNwName", "UNKNOWN");
                networkFreq = connectivity.getString("defaultNwFreq", "UNKNOWN");
            }
            this.mSourceNetworkId = networkId;
            this.mSourceNetworkName = networkName;
            this.mSourceNetworkFreq = networkFreq;
            this.mSourceNetworkType = defaultType;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" updateSourceNetwork: mSourceNetworkId: ");
            stringBuilder.append(this.mSourceNetworkId);
            stringBuilder.append(" mSourceNetworkName");
            stringBuilder.append(this.mSourceNetworkName);
            com.android.server.hidata.wavemapping.util.LogUtil.v(stringBuilder.toString());
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(" updateSourceNetwork ");
            stringBuilder2.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
        }
    }

    public void updateUserAction(java.lang.String action, java.lang.String apkname) {
        try {
            this.isDestNetworkCellular = action.equals("ACTION_ENABLE_WIFI_FALSE");
            if (!this.mUserOperation) {
                this.mUserOperation = true;
                this.mMachineHandler.sendEmptyMessage(115);
            }
            this.mDestNetworkId = "UNKNOWN";
            this.mDestNetworkName = "UNKNOWN";
            this.mDestNetworkFreq = "UNKNOWN";
            this.mDestNetworkType = 8;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" updateUserAction: action: ");
            stringBuilder.append(action);
            stringBuilder.append(" apkname:");
            stringBuilder.append(apkname);
            stringBuilder.append(" isDestNetworkCellular:");
            stringBuilder.append(this.isDestNetworkCellular);
            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(" updateUserAction ");
            stringBuilder2.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
        }
    }

    private void updateUserPreference() {
        com.android.server.hidata.wavemapping.entity.SpaceExpInfo sourceNetworkSpaceInfo = null;
        com.android.server.hidata.wavemapping.entity.SpaceExpInfo destNetworkSpaceInfo = null;
        try {
            java.lang.StringBuilder stringBuilder;
            if (this.mSourceNetworkName.equals(this.mDestNetworkName)) {
                this.mUserOperation = false;
                com.android.server.hidata.wavemapping.util.LogUtil.i("mSourceNetworkName = mDestNetworkName, mUserOperation = false");
            }
            if (this.mUserOperation) {
                if (!(this.mSourceNetworkId.equals("UNKNOWN") && this.mDestNetworkId.equals("UNKNOWN"))) {
                    if (this.mSpaceExperience.containsKey(this.mSourceNetworkId)) {
                        sourceNetworkSpaceInfo = (com.android.server.hidata.wavemapping.entity.SpaceExpInfo) this.mSpaceExperience.get(this.mSourceNetworkId);
                    }
                    if (sourceNetworkSpaceInfo == null) {
                        sourceNetworkSpaceInfo = new com.android.server.hidata.wavemapping.entity.SpaceExpInfo(this.mSpaceid, this.mSpaceid_mainAp, this.mSourceNetworkId, this.mSourceNetworkName, this.mSourceNetworkFreq, this.mSourceNetworkType);
                    }
                    sourceNetworkSpaceInfo.accUserPrefOptOut();
                    this.mSpaceExperience.put(this.mSourceNetworkId, sourceNetworkSpaceInfo);
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("sourceNetworkSpaceInfo: ");
                    stringBuilder.append(sourceNetworkSpaceInfo.toString());
                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                    if (this.mSpaceExperience.containsKey(this.mDestNetworkId)) {
                        destNetworkSpaceInfo = (com.android.server.hidata.wavemapping.entity.SpaceExpInfo) this.mSpaceExperience.get(this.mDestNetworkId);
                    }
                    if (destNetworkSpaceInfo == null) {
                        destNetworkSpaceInfo = new com.android.server.hidata.wavemapping.entity.SpaceExpInfo(this.mSpaceid, this.mSpaceid_mainAp, this.mDestNetworkId, this.mDestNetworkName, this.mDestNetworkFreq, this.mDestNetworkType);
                    }
                    destNetworkSpaceInfo.accUserPrefOptIn();
                    this.mSpaceExperience.put(this.mDestNetworkId, destNetworkSpaceInfo);
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("destNetworkSpaceInfo: ");
                    stringBuilder.append(destNetworkSpaceInfo.toString());
                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                }
            } else if (this.mSpaceExperience.size() != 0) {
                com.android.server.hidata.wavemapping.entity.SpaceExpInfo maxEntry = null;
                for (java.util.Map.Entry<java.lang.String, com.android.server.hidata.wavemapping.entity.SpaceExpInfo> entry : this.mSpaceExperience.entrySet()) {
                    com.android.server.hidata.wavemapping.entity.SpaceExpInfo value = (com.android.server.hidata.wavemapping.entity.SpaceExpInfo) entry.getValue();
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append(" mSpaceExperience:");
                    stringBuilder2.append(value.toString());
                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
                    if (maxEntry == null || maxEntry.getDuration() < value.getDuration()) {
                        maxEntry = value;
                    }
                }
                if (!(maxEntry == null || maxEntry.getDuration() <= 0 || maxEntry.getNetworkId().equals("UNKNOWN"))) {
                    maxEntry.accUserPrefStay();
                    java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append("No manual operation, USER_PREF_STAY Network: ");
                    stringBuilder3.append(maxEntry.toString());
                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder3.toString());
                }
            }
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" updateUserPreference record size: ");
            stringBuilder.append(this.mSpaceExperience.size());
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
            stringBuilder4.append(" updateUserPreference ");
            stringBuilder4.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder4.toString());
        }
    }

    private void clearUserPreference() {
        this.mUserOperation = false;
        this.mSourceNetworkId = "UNKNOWN";
        this.mSourceNetworkName = "UNKNOWN";
        this.mSourceNetworkFreq = "UNKNOWN";
        this.mSourceNetworkType = 8;
        this.mDestNetworkId = "UNKNOWN";
        this.mDestNetworkName = "UNKNOWN";
        this.mDestNetworkFreq = "UNKNOWN";
        this.mDestNetworkType = 8;
        this.isDestNetworkCellular = false;
        this.mUserHasPref = false;
        this.mPrefNetworkName = "UNKNOWN";
        this.mPrefNetworkType = 8;
    }

    public void startAppCollect(com.android.server.hidata.wavemapping.entity.HwWmpAppInfo appInfo) {
        com.android.server.hidata.wavemapping.util.LogUtil.i(" startAppCollect ");
        java.lang.StringBuilder stringBuilder;
        try {
            java.lang.String app = appInfo.getAppName();
            if (app == null) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" not handle this APP:");
                stringBuilder.append(appInfo.getScenceId());
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                return;
            }
            setNewStartTime(appInfo);
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" startAppCollect, scenes:");
            stringBuilder.append(appInfo.getScenceId());
            stringBuilder.append(", app:");
            stringBuilder.append(app);
            stringBuilder.append(", appNwType:");
            stringBuilder.append(appInfo.getConMgrNetworkType());
            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
        } catch (java.lang.Exception e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" startAppCollect ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
    }

    public void endAppCollect(com.android.server.hidata.wavemapping.entity.HwWmpAppInfo appInfo) {
        com.android.server.hidata.wavemapping.util.LogUtil.i(" endAppCollect ");
        java.lang.StringBuilder stringBuilder;
        try {
            java.lang.String app = appInfo.getAppName();
            if (app == null) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" APP is null: scenesId=");
                stringBuilder.append(appInfo.getScenceId());
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
            } else if (this.saveAppInfo.isEmpty()) {
                com.android.server.hidata.wavemapping.util.LogUtil.w(" no saved APP");
            } else if (this.saveAppInfo.containsKey(app)) {
                int network = appInfo.getConMgrNetworkType();
                android.os.Bundle state = getSpecifiedDataState(network);
                if (state.getBoolean("VALID")) {
                    java.lang.String nwName = state.getString("NAME");
                    java.lang.String nwId = state.getString("ID");
                    java.lang.String nwFreq = state.getString("FREQ");
                    java.lang.String signal = state.getString("SIGNAL");
                    int signalVal = 0;
                    if (!(signal == null || signal.equalsIgnoreCase("") || signal.equalsIgnoreCase("UNKNOWN"))) {
                        signalVal = java.lang.Integer.parseInt(signal.trim());
                    }
                    int signalVal2 = signalVal;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(" endAppCollect, scenes:");
                    stringBuilder.append(appInfo.getScenceId());
                    stringBuilder.append(", app:");
                    stringBuilder.append(app);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("              , appNwType:");
                    stringBuilder.append(network);
                    stringBuilder.append(", nwId:");
                    stringBuilder.append(nwId);
                    stringBuilder.append(", signal:");
                    stringBuilder.append(signalVal2);
                    com.android.server.hidata.wavemapping.util.LogUtil.v(stringBuilder.toString());
                    updateDurationbyNwId(app, nwId, nwName, nwFreq, network, signalVal2);
                    resetTime(appInfo.getAppName());
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(" endAppCollect, app:");
                    stringBuilder.append(app);
                    stringBuilder.append(", nwType:");
                    stringBuilder.append(appInfo.getConMgrNetworkType());
                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                    return;
                }
                com.android.server.hidata.wavemapping.util.LogUtil.w(" network info is null");
            } else {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" no this APP: scenesId=");
                stringBuilder.append(appInfo.getScenceId());
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
            }
        } catch (java.lang.Exception e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" endAppCollect ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
    }

    public void updateAppNetwork(java.lang.String app, int newAppNw) {
        java.lang.StringBuilder stringBuilder;
        java.lang.Exception e;
        com.android.server.hidata.wavemapping.util.LogUtil.i(" updateAppNetwork ");
        if (app == null) {
            try {
                com.android.server.hidata.wavemapping.util.LogUtil.i(" APP is null");
            } catch (java.lang.Exception e2) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" updateAppNetwork ");
                stringBuilder.append(e2.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            }
        } else if (this.saveAppInfo.isEmpty()) {
            com.android.server.hidata.wavemapping.util.LogUtil.w(" no saved APP");
        } else if (this.saveAppInfo.containsKey(app)) {
            e2 = ((com.android.server.hidata.wavemapping.entity.HwWmpAppInfo) this.saveAppInfo.get(app)).getConMgrNetworkType();
            if (newAppNw == e2) {
                com.android.server.hidata.wavemapping.util.LogUtil.d(" new == old, not to update");
                return;
            }
            android.os.Bundle state = getSpecifiedDataState(e2);
            if (state.getBoolean("VALID")) {
                java.lang.String nwName = state.getString("NAME");
                java.lang.String nwId = state.getString("ID");
                java.lang.String nwFreq = state.getString("FREQ");
                java.lang.String signal = state.getString("SIGNAL");
                int signalVal = 0;
                if (!(signal == null || signal.equalsIgnoreCase("") || signal.equalsIgnoreCase("UNKNOWN"))) {
                    signalVal = java.lang.Integer.parseInt(signal.trim());
                }
                int signalVal2 = signalVal;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" updateAppNetwork, scenes:");
                stringBuilder.append(((com.android.server.hidata.wavemapping.entity.HwWmpAppInfo) this.saveAppInfo.get(app)).getScenceId());
                stringBuilder.append(", app:");
                stringBuilder.append(app);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("                 , app:");
                stringBuilder.append(app);
                stringBuilder.append(", old appNwType:");
                stringBuilder.append(e2);
                stringBuilder.append(", nwId:");
                stringBuilder.append(nwId);
                stringBuilder.append(", new appNwType:");
                stringBuilder.append(newAppNw);
                stringBuilder.append(", signal:");
                stringBuilder.append(signalVal2);
                com.android.server.hidata.wavemapping.util.LogUtil.v(stringBuilder.toString());
                updateDurationbyNwId(app, nwId, nwName, nwFreq, e2, signalVal2);
                updateStartTime(app, newAppNw);
                return;
            }
            com.android.server.hidata.wavemapping.util.LogUtil.w(" old network info is null");
            updateStartTime(app, newAppNw);
        } else {
            com.android.server.hidata.wavemapping.util.LogUtil.d(" no this APP in containsKey");
        }
    }

    public void updateAppQoE(java.lang.String app, int levelQoE) {
        java.lang.String str = app;
        int i = levelQoE;
        com.android.server.hidata.wavemapping.util.LogUtil.i(" updateAppQoE ");
        java.lang.Exception e = null;
        if (str == null) {
            try {
                com.android.server.hidata.wavemapping.util.LogUtil.i(" APP is null");
            } catch (java.lang.Exception e2) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" updateAppQoE ");
                stringBuilder.append(e2.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            }
        } else if (this.saveAppInfo.isEmpty()) {
            com.android.server.hidata.wavemapping.util.LogUtil.w(" no saved APP");
        } else if (this.saveAppInfo.containsKey(str)) {
            int network = ((com.android.server.hidata.wavemapping.entity.HwWmpAppInfo) this.saveAppInfo.get(str)).getConMgrNetworkType();
            android.os.Bundle state = getSpecifiedDataState(network);
            if (state.getBoolean("VALID")) {
                int signalVal;
                java.lang.String nwName = state.getString("NAME");
                java.lang.String nwId = state.getString("ID");
                java.lang.String nwFreq = state.getString("FREQ");
                java.lang.String signal = state.getString("SIGNAL");
                if (this.mSpaceExperience.containsKey(nwId)) {
                    e2 = (com.android.server.hidata.wavemapping.entity.SpaceExpInfo) this.mSpaceExperience.get(nwId);
                }
                if (e2 == null) {
                    e2 = new com.android.server.hidata.wavemapping.entity.SpaceExpInfo(this.mSpaceid, this.mSpaceid_mainAp, nwId, nwName, nwFreq, network);
                }
                if (i == 1) {
                    e2.accAppPoor(str);
                }
                if (i == 2) {
                    e2.accAppGood(str);
                }
                if (signal == null || signal.equalsIgnoreCase("") || signal.equalsIgnoreCase("UNKNOWN")) {
                    signalVal = 0;
                } else {
                    signalVal = java.lang.Integer.parseInt(signal.trim());
                    e2.accSignalValue(signalVal);
                }
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append(" updateAppQoE, app:");
                stringBuilder2.append(str);
                stringBuilder2.append(", level:");
                stringBuilder2.append(i);
                stringBuilder2.append(", poor count=");
                stringBuilder2.append(e2.getAppQoePoor(str));
                stringBuilder2.append(", good count=");
                stringBuilder2.append(e2.getAppQoeGood(str));
                stringBuilder2.append(", signal:");
                stringBuilder2.append(signalVal);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("              nwId:");
                stringBuilder2.append(nwId);
                com.android.server.hidata.wavemapping.util.LogUtil.v(stringBuilder2.toString());
                this.mSpaceExperience.put(nwId, e2);
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append(" updateAppQoE record size: ");
                stringBuilder2.append(this.mSpaceExperience.size());
                stringBuilder2.append("spaceInfo:");
                stringBuilder2.append(e2.toString());
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
                return;
            }
            com.android.server.hidata.wavemapping.util.LogUtil.w(" network info is null");
        } else {
            com.android.server.hidata.wavemapping.util.LogUtil.d(" no this APP");
        }
    }

    public void updateWifiDurationForAp(boolean checkChanges) {
        com.android.server.hidata.wavemapping.util.LogUtil.i(" updateWifiDurationForAp ");
        java.lang.StringBuilder stringBuilder;
        try {
            android.os.Bundle wifiInfo = com.android.server.hidata.wavemapping.util.NetUtil.getWifiStateString(this.mContext);
            java.lang.String newBssid = wifiInfo.getString("wifiMAC", "UNKNOWN");
            java.lang.String newSsid = wifiInfo.getString("wifiAp", "UNKNOWN");
            java.lang.String newState = wifiInfo.getString("wifiState", "UNKNOWN");
            if (newBssid == null) {
                newBssid = "UNKNOWN";
            }
            java.lang.String newBssid2 = newBssid;
            newBssid = lastWifiState.getString("wifiMAC", "UNKNOWN");
            java.lang.String oldSsid = lastWifiState.getString("wifiAp", "UNKNOWN");
            java.lang.String oldFreq = lastWifiState.getString("wifiCh", "UNKNOWN");
            java.lang.String signal = lastWifiState.getString("wifiRssi", "0");
            if (newBssid == null) {
                newBssid = "UNKNOWN";
            }
            java.lang.String oldBssid = newBssid;
            if (newSsid.equals(oldSsid) && newBssid2.equals(oldBssid)) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" wifi id NOT changed:");
                stringBuilder.append(newSsid);
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                if (checkChanges) {
                    return;
                }
            }
            com.android.server.hidata.wavemapping.util.LogUtil.d(" wifi id changed");
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("                , new=");
            stringBuilder.append(newSsid);
            stringBuilder.append(" - ");
            stringBuilder.append(newBssid2);
            stringBuilder.append(" , old=");
            stringBuilder.append(oldSsid);
            stringBuilder.append(" - ");
            stringBuilder.append(oldBssid);
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
            backupWifiInfo();
            int signalVal = 0;
            if (!(signal == null || signal.equalsIgnoreCase("") || signal.equalsIgnoreCase("UNKNOWN"))) {
                signalVal = java.lang.Integer.parseInt(signal.trim());
            }
            int signalVal2 = signalVal;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" updateWifiDurationForAp, save to :");
            stringBuilder.append(oldSsid);
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
            if (!this.saveAppInfo.isEmpty()) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("                   , saveAppInfo.size=");
                stringBuilder.append(this.saveAppInfo.size());
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                java.util.Iterator it = this.saveAppInfo.entrySet().iterator();
                while (it.hasNext()) {
                    java.util.Map.Entry<java.lang.String, com.android.server.hidata.wavemapping.entity.HwWmpAppInfo> entry = (java.util.Map.Entry) it.next();
                    java.lang.String app = (java.lang.String) entry.getKey();
                    com.android.server.hidata.wavemapping.entity.HwWmpAppInfo info = (com.android.server.hidata.wavemapping.entity.HwWmpAppInfo) entry.getValue();
                    int nwType = info.getConMgrNetworkType();
                    stringBuilder = new java.lang.StringBuilder();
                    android.os.Bundle wifiInfo2 = wifiInfo;
                    stringBuilder.append(" saveAppInfo, app: ");
                    stringBuilder.append(info.getAppName());
                    stringBuilder.append(", network=");
                    stringBuilder.append(nwType);
                    stringBuilder.append(", startTime=");
                    java.util.Iterator it2 = it;
                    stringBuilder.append(info.getStartTime());
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                    if (nwType != 0) {
                        updateDurationbyNwId(app, oldBssid, oldSsid, oldFreq, nwType, signalVal2);
                    }
                    wifiInfo = wifiInfo2;
                    it = it2;
                }
            }
            if (!newState.equals("ENABLED") || newBssid2.contains("UNKNOWN")) {
                com.android.server.hidata.wavemapping.util.LogUtil.d(" current wifi == null");
                resetTime("WIFI");
            }
        } catch (java.lang.Exception e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" updateWifiDurationByAp ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
    }

    private void updateWifiDurationEnd() {
        java.lang.StringBuilder stringBuilder;
        com.android.server.hidata.wavemapping.util.LogUtil.i(" updateWifiDurationEnd ");
        try {
            java.lang.String oldBssid = lastWifiState.getString("wifiMAC", "UNKNOWN");
            java.lang.String oldSsid = lastWifiState.getString("wifiAp", "UNKNOWN");
            java.lang.String oldFreq = lastWifiState.getString("wifiCh", "UNKNOWN");
            java.lang.String signal = lastWifiState.getString("wifiRssi", "0");
            if (oldBssid == null) {
                oldBssid = "UNKNOWN";
            }
            int signalVal = 0;
            if (!(signal == null || signal.equalsIgnoreCase("") || signal.equalsIgnoreCase("UNKNOWN"))) {
                signalVal = java.lang.Integer.parseInt(signal.trim());
            }
            int signalVal2 = signalVal;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(" updateWifiDurationEnd, save to : ");
            stringBuilder2.append(oldSsid);
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
            if (!this.saveAppInfo.isEmpty()) {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("                   , saveAppInfo.size=");
                stringBuilder2.append(this.saveAppInfo.size());
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
                for (java.util.Map.Entry<java.lang.String, com.android.server.hidata.wavemapping.entity.HwWmpAppInfo> entry : this.saveAppInfo.entrySet()) {
                    java.lang.String app = (java.lang.String) entry.getKey();
                    com.android.server.hidata.wavemapping.entity.HwWmpAppInfo info = (com.android.server.hidata.wavemapping.entity.HwWmpAppInfo) entry.getValue();
                    int nwType = info.getConMgrNetworkType();
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append(" saveAppInfo, app: ");
                    stringBuilder2.append(info.getAppName());
                    stringBuilder2.append(", network=");
                    stringBuilder2.append(nwType);
                    stringBuilder2.append(", startTime=");
                    stringBuilder2.append(info.getStartTime());
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                    if (nwType != 0) {
                        updateDurationbyNwId(app, oldBssid, oldSsid, oldFreq, nwType, signalVal2);
                    }
                }
            }
            resetTime("WIFI");
        } catch (java.lang.RuntimeException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" updateWifiDurationEnd, RuntimeException: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        } catch (java.lang.Exception e2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" updateWifiDurationEnd ");
            stringBuilder.append(e2.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
    }

    private void backupWifiInfo() {
        java.lang.StringBuilder stringBuilder;
        com.android.server.hidata.wavemapping.util.LogUtil.i(" backupWifiInfo ");
        try {
            android.os.Bundle wifiInfo = com.android.server.hidata.wavemapping.util.NetUtil.getWifiStateString(this.mContext);
            java.lang.String newState = wifiInfo.getString("wifiState", "UNKNOWN");
            java.lang.String newBssid = wifiInfo.getString("wifiMAC", "UNKNOWN");
            if (!(!newState.equalsIgnoreCase("ENABLED") || newBssid == null || newBssid.contains("UNKNOWN"))) {
                lastWifiState = wifiInfo.deepCopy();
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append(" wifi ENABLED, backup info: ssid=");
                stringBuilder2.append(lastWifiState.getString("wifiAp"));
                stringBuilder2.append(", ");
                stringBuilder2.append(lastWifiState.getString("wifiState"));
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
            }
        } catch (java.lang.RuntimeException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" backupWifiInfo, RuntimeException: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        } catch (java.lang.Exception e2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" backupWifiInfo, e: ");
            stringBuilder.append(e2.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
    }

    public void updateMobileDurationForCell(boolean checkChanges) {
        com.android.server.hidata.wavemapping.util.LogUtil.i(" updateMobileDurationForCell ");
        java.lang.StringBuilder stringBuilder;
        try {
            android.os.Bundle cellInfo = com.android.server.hidata.wavemapping.util.NetUtil.getMobileDataState(this.mContext);
            java.lang.String newRat = cellInfo.getString("cellRAT", "UNKNOWN");
            java.lang.String newId = cellInfo.getString("cellId", "UNKNOWN");
            if (newId == null) {
                newId = "UNKNOWN";
            }
            java.lang.String newId2 = newId;
            java.lang.String oldRat = lastCellState.getString("cellRAT", "UNKNOWN");
            newId = lastCellState.getString("cellId", "UNKNOWN");
            java.lang.String oldFreq = lastCellState.getString("cellFreq", "UNKNOWN");
            java.lang.String signal = cellInfo.getString("cellRssi", "0");
            if (newId == null) {
                newId = "UNKNOWN";
            }
            java.lang.String oldId = newId;
            if (checkChanges) {
                com.android.server.hidata.wavemapping.util.LogUtil.i(" check cell ID change ");
                if (newId2.equals(oldId) && newRat.equals(oldRat)) {
                    com.android.server.hidata.wavemapping.util.LogUtil.d(" cell id not changed ");
                    return;
                }
            }
            backupCellInfo();
            int signalVal = 0;
            if (!(signal == null || signal.equalsIgnoreCase("") || signal.equalsIgnoreCase("UNKNOWN"))) {
                signalVal = java.lang.Integer.parseInt(signal.trim());
            }
            int signalVal2 = signalVal;
            com.android.server.hidata.wavemapping.util.LogUtil.i("updateMobileDurationForCell, save to cellId: ");
            if (!this.saveAppInfo.isEmpty()) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("                   , saveAppInfo.size=");
                stringBuilder.append(this.saveAppInfo.size());
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                java.util.Iterator it = this.saveAppInfo.entrySet().iterator();
                while (it.hasNext()) {
                    java.util.Map.Entry<java.lang.String, com.android.server.hidata.wavemapping.entity.HwWmpAppInfo> entry = (java.util.Map.Entry) it.next();
                    java.lang.String app = (java.lang.String) entry.getKey();
                    com.android.server.hidata.wavemapping.entity.HwWmpAppInfo info = (com.android.server.hidata.wavemapping.entity.HwWmpAppInfo) entry.getValue();
                    int nwType = info.getConMgrNetworkType();
                    stringBuilder = new java.lang.StringBuilder();
                    android.os.Bundle cellInfo2 = cellInfo;
                    stringBuilder.append(" saveAppInfo, app: ");
                    stringBuilder.append(info.getAppName());
                    stringBuilder.append(", network=");
                    stringBuilder.append(nwType);
                    stringBuilder.append(", startTime=");
                    java.util.Iterator it2 = it;
                    stringBuilder.append(info.getStartTime());
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                    if (1 != nwType) {
                        updateDurationbyNwId(app, oldId, oldRat, oldFreq, nwType, signalVal2);
                    }
                    cellInfo = cellInfo2;
                    it = it2;
                }
            }
        } catch (java.lang.Exception e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" updateMobileDurationForCell ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
    }

    private void updateMobileDurationEnd() {
        com.android.server.hidata.wavemapping.util.LogUtil.i(" updateMobileDurationEnd ");
        try {
            android.os.Bundle cellInfo = com.android.server.hidata.wavemapping.util.NetUtil.getMobileDataState(this.mContext);
            java.lang.String oldRat = lastCellState.getString("cellRAT", "UNKNOWN");
            java.lang.String oldId = lastCellState.getString("cellId", "UNKNOWN");
            java.lang.String oldFreq = lastCellState.getString("cellFreq", "UNKNOWN");
            java.lang.String signal = cellInfo.getString("cellRssi", "0");
            if (oldId == null) {
                oldId = "UNKNOWN";
            }
            int signalVal = 0;
            if (!(signal == null || signal.equalsIgnoreCase("") || signal.equalsIgnoreCase("UNKNOWN"))) {
                signalVal = java.lang.Integer.parseInt(signal.trim());
            }
            com.android.server.hidata.wavemapping.util.LogUtil.i("updateMobileDurationEnd, save to cellId: ");
            if (!this.saveAppInfo.isEmpty()) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("                   , saveAppInfo.size=");
                stringBuilder.append(this.saveAppInfo.size());
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                for (java.util.Map.Entry<java.lang.String, com.android.server.hidata.wavemapping.entity.HwWmpAppInfo> entry : this.saveAppInfo.entrySet()) {
                    java.lang.String app = (java.lang.String) entry.getKey();
                    com.android.server.hidata.wavemapping.entity.HwWmpAppInfo info = (com.android.server.hidata.wavemapping.entity.HwWmpAppInfo) entry.getValue();
                    int nwType = info.getConMgrNetworkType();
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(" saveAppInfo, app: ");
                    stringBuilder.append(info.getAppName());
                    stringBuilder.append(", network=");
                    stringBuilder.append(nwType);
                    stringBuilder.append(", startTime=");
                    stringBuilder.append(info.getStartTime());
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                    if (1 != nwType) {
                        updateDurationbyNwId(app, oldId, oldRat, oldFreq, nwType, signalVal);
                    }
                }
            }
            resetTime("MOBILE");
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(" updateMobileDurationEnd ");
            stringBuilder2.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
        }
    }

    private void backupCellInfo() {
        java.lang.StringBuilder stringBuilder;
        com.android.server.hidata.wavemapping.util.LogUtil.i(" backupCellInfo ");
        try {
            android.os.Bundle cellInfo = com.android.server.hidata.wavemapping.util.NetUtil.getMobileDataState(this.mContext);
            java.lang.String cellState = cellInfo.getString("cellState", "UNKNOWN");
            java.lang.String cellId = cellInfo.getString("cellId", "UNKNOWN");
            if (!(!cellState.equalsIgnoreCase("ENABLED") || cellId == null || cellId.contains("UNKNOWN"))) {
                lastCellState = cellInfo.deepCopy();
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append(" cell ENABLED, backup info: cellRat=");
                stringBuilder2.append(lastCellState.getString("cellRAT"));
                stringBuilder2.append(", ");
                stringBuilder2.append(lastCellState.getString("cellState"));
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
            }
        } catch (java.lang.RuntimeException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" backupCellInfo, RuntimeException: ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        } catch (java.lang.Exception e2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" backupCellInfo, e: ");
            stringBuilder.append(e2.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
    }

    private void updateDurationbyNwId(java.lang.String app, java.lang.String newId, java.lang.String newNwName, java.lang.String newNwFreq, int nw_type, int signal) {
        java.lang.Exception e;
        int i;
        java.lang.StringBuilder stringBuilder;
        java.lang.String str = app;
        java.lang.String str2 = newNwName;
        com.android.server.hidata.wavemapping.util.LogUtil.i(" updateDurationbyNwId ");
        try {
            if (this.saveAppInfo.isEmpty()) {
                try {
                    com.android.server.hidata.wavemapping.util.LogUtil.w(" no saved APP");
                } catch (java.lang.Exception e2) {
                    e = e2;
                    i = signal;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(" updateDurationbyNwId ");
                    stringBuilder.append(e.getMessage());
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                }
            } else if (this.saveAppInfo.get(str) == null) {
                com.android.server.hidata.wavemapping.util.LogUtil.d(" updateDurationbyNwId, no saved app ");
            } else {
                if (!(newId == null || str2 == null)) {
                    if (newNwFreq != null) {
                        java.lang.String newId2 = this.freqLoc.equals("OTHER") ? newNwFreq : newId;
                        com.android.server.hidata.wavemapping.entity.SpaceExpInfo spaceInfo = null;
                        try {
                            if (this.mSpaceExperience.containsKey(newId2)) {
                                spaceInfo = (com.android.server.hidata.wavemapping.entity.SpaceExpInfo) this.mSpaceExperience.get(newId2);
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append(" get old records:");
                                stringBuilder.append(spaceInfo.toString());
                                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                            }
                            if (spaceInfo == null) {
                                spaceInfo = new com.android.server.hidata.wavemapping.entity.SpaceExpInfo(this.mSpaceid, this.mSpaceid_mainAp, newId2, str2, newNwFreq, nw_type);
                            }
                            long duration = java.lang.System.currentTimeMillis() - ((com.android.server.hidata.wavemapping.entity.HwWmpAppInfo) this.saveAppInfo.get(str)).getStartTime();
                            if (duration > 0) {
                                spaceInfo.accDuration(str, duration);
                            }
                            if ("WIFI".equals(str) || "MOBILE".equals(str)) {
                                long[] dataTraffic = com.android.server.hidata.wavemapping.util.NetUtil.getTraffic(((com.android.server.hidata.wavemapping.entity.HwWmpAppInfo) this.saveAppInfo.get(str)).getStartTime(), java.lang.System.currentTimeMillis(), nw_type, this.mContext);
                                spaceInfo.accDataTraffic(dataTraffic[0], dataTraffic[1]);
                            }
                            try {
                                spaceInfo.accSignalValue(signal);
                                this.mSpaceExperience.put(newId2, spaceInfo);
                                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append(" updateDurationbyNwId record size: ");
                                stringBuilder2.append(this.mSpaceExperience.size());
                                stringBuilder2.append(", NW: ");
                                stringBuilder2.append(str2);
                                stringBuilder2.append(", spaceInfo:");
                                stringBuilder2.append(spaceInfo.toString());
                                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
                                ((com.android.server.hidata.wavemapping.entity.HwWmpAppInfo) this.saveAppInfo.get(str)).setStartTime(java.lang.System.currentTimeMillis());
                            } catch (java.lang.Exception e3) {
                                e = e3;
                            }
                        } catch (java.lang.Exception e4) {
                            e = e4;
                            i = signal;
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append(" updateDurationbyNwId ");
                            stringBuilder.append(e.getMessage());
                            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                        }
                    }
                }
                i = signal;
                try {
                    com.android.server.hidata.wavemapping.util.LogUtil.d(" updateDurationbyNwId, network==null ");
                } catch (java.lang.Exception e5) {
                    e = e5;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(" updateDurationbyNwId ");
                    stringBuilder.append(e.getMessage());
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                }
            }
        } catch (java.lang.Exception e6) {
            e = e6;
            i = signal;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" updateDurationbyNwId ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
    }

    private void saveSpaceExptoDatabaseNew(com.android.server.hidata.wavemapping.entity.RecognizeResult results) {
        try {
            if (this.mSpaceExperience.size() != 0) {
                com.android.server.hidata.wavemapping.util.LogUtil.i(" loadSpaceExpfromDatabase");
                java.util.HashMap<java.lang.String, com.android.server.hidata.wavemapping.entity.SpaceExpInfo> mSavedSpaceExp = this.mSpaceUserDAO.findAllByTwoSpaces(results.getRgResult(), results.getMainApRgResult());
                mCombineSpaceExp = new java.util.HashMap[2];
                int num = 0;
                mCombineSpaceExp[0] = this.mSpaceExperience;
                mCombineSpaceExp[1] = mSavedSpaceExp;
                for (java.util.Map.Entry entry : mergeSumOfMaps(mCombineSpaceExp).entrySet()) {
                    com.android.server.hidata.wavemapping.entity.SpaceExpInfo val = (com.android.server.hidata.wavemapping.entity.SpaceExpInfo) entry.getValue();
                    if (val != null) {
                        com.android.server.hidata.wavemapping.util.LogUtil.d(" saveSpaceExptoDatabaseNew:");
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("                            Records");
                        stringBuilder.append(num);
                        stringBuilder.append(": ");
                        stringBuilder.append(val.toString());
                        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                        this.mSpaceUserDAO.insertBase(val);
                        this.mSpaceUserDAO.insertApp(val);
                        num++;
                    }
                }
            } else {
                com.android.server.hidata.wavemapping.util.LogUtil.d(" mSpaceExperience size=0");
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(" saveSpaceExptoDatabaseNew ");
            stringBuilder2.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
        }
    }

    private java.util.HashMap<java.lang.String, com.android.server.hidata.wavemapping.entity.SpaceExpInfo> mergeSumOfMaps(java.util.HashMap<java.lang.String, com.android.server.hidata.wavemapping.entity.SpaceExpInfo>... maps) {
        java.util.HashMap<java.lang.String, com.android.server.hidata.wavemapping.entity.SpaceExpInfo> resultMap = new java.util.HashMap();
        for (java.util.HashMap<java.lang.String, com.android.server.hidata.wavemapping.entity.SpaceExpInfo> map : maps) {
            for (java.util.Map.Entry<java.lang.String, com.android.server.hidata.wavemapping.entity.SpaceExpInfo> entry : map.entrySet()) {
                com.android.server.hidata.wavemapping.entity.SpaceExpInfo value;
                java.lang.String key = (java.lang.String) entry.getKey();
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" mergeSumOfMaps: nwId=");
                stringBuilder.append(key);
                com.android.server.hidata.wavemapping.util.LogUtil.v(stringBuilder.toString());
                if (resultMap.containsKey(key)) {
                    value = (com.android.server.hidata.wavemapping.entity.SpaceExpInfo) entry.getValue();
                    value.mergeAllRecords((com.android.server.hidata.wavemapping.entity.SpaceExpInfo) resultMap.get(key));
                } else {
                    value = (com.android.server.hidata.wavemapping.entity.SpaceExpInfo) entry.getValue();
                }
                resultMap.put(key, value);
            }
        }
        return resultMap;
    }

    /* JADX WARNING: Removed duplicated region for block: B:16:0x004a A:{Catch:{ Exception -> 0x000d }} */
    public void assignSpaceExp2Space(com.android.server.hidata.wavemapping.entity.RecognizeResult r5) {
        /*
        r4 = this;
        r0 = " assignSpaceExp2Space ";
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);
        if (r5 != 0) goto L_0x0010;
    L_0x0007:
        r0 = " no result";
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);	 Catch:{ Exception -> 0x000d }
        return;
    L_0x000d:
        r0 = move-exception;
        goto L_0x00e0;
    L_0x0010:
        r0 = r5.getRgResult();	 Catch:{ Exception -> 0x000d }
        if (r0 == 0) goto L_0x0029;
    L_0x0016:
        r0 = r5.getRgResult();	 Catch:{ Exception -> 0x000d }
        r1 = "unkno";
        r0 = r0.contains(r1);	 Catch:{ Exception -> 0x000d }
        if (r0 == 0) goto L_0x0024;
    L_0x0023:
        goto L_0x0029;
    L_0x0024:
        r0 = r5.getRgResult();	 Catch:{ Exception -> 0x000d }
        goto L_0x0043;
    L_0x0029:
        r0 = "0";
        r1 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x000d }
        r1.<init>();	 Catch:{ Exception -> 0x000d }
        r2 = " assignSpaceExp2Space: All AP result=";
        r1.append(r2);	 Catch:{ Exception -> 0x000d }
        r2 = r5.getRgResult();	 Catch:{ Exception -> 0x000d }
        r1.append(r2);	 Catch:{ Exception -> 0x000d }
        r1 = r1.toString();	 Catch:{ Exception -> 0x000d }
        com.android.server.hidata.wavemapping.util.LogUtil.i(r1);	 Catch:{ Exception -> 0x000d }
        r1 = r5.getMainApRgResult();	 Catch:{ Exception -> 0x000d }
        if (r1 == 0) goto L_0x005d;
    L_0x004a:
        r1 = r5.getMainApRgResult();	 Catch:{ Exception -> 0x000d }
        r2 = "unkno";
        r1 = r1.contains(r2);	 Catch:{ Exception -> 0x000d }
        if (r1 == 0) goto L_0x0058;
    L_0x0057:
        goto L_0x005d;
    L_0x0058:
        r1 = r5.getMainApRgResult();	 Catch:{ Exception -> 0x000d }
        goto L_0x0077;
    L_0x005d:
        r1 = "0";
        r2 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x000d }
        r2.<init>();	 Catch:{ Exception -> 0x000d }
        r3 = " assignSpaceExp2Space: Main AP result=";
        r2.append(r3);	 Catch:{ Exception -> 0x000d }
        r3 = r5.getMainApRgResult();	 Catch:{ Exception -> 0x000d }
        r2.append(r3);	 Catch:{ Exception -> 0x000d }
        r2 = r2.toString();	 Catch:{ Exception -> 0x000d }
        com.android.server.hidata.wavemapping.util.LogUtil.i(r2);	 Catch:{ Exception -> 0x000d }
        r2 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x000d }
        r2.<init>();	 Catch:{ Exception -> 0x000d }
        r3 = " assignSpaceExp2Space: spaceId_allAp=";
        r2.append(r3);	 Catch:{ Exception -> 0x000d }
        r2.append(r0);	 Catch:{ Exception -> 0x000d }
        r3 = ", spaceId_mainAp=";
        r2.append(r3);	 Catch:{ Exception -> 0x000d }
        r2.append(r1);	 Catch:{ Exception -> 0x000d }
        r3 = ", model ver=";
        r2.append(r3);	 Catch:{ Exception -> 0x000d }
        r3 = r5.getAllApModelName();	 Catch:{ Exception -> 0x000d }
        r2.append(r3);	 Catch:{ Exception -> 0x000d }
        r3 = "_";
        r2.append(r3);	 Catch:{ Exception -> 0x000d }
        r3 = r5.getMainApModelName();	 Catch:{ Exception -> 0x000d }
        r2.append(r3);	 Catch:{ Exception -> 0x000d }
        r2 = r2.toString();	 Catch:{ Exception -> 0x000d }
        com.android.server.hidata.wavemapping.util.LogUtil.d(r2);	 Catch:{ Exception -> 0x000d }
        r2 = 0;
        r4.updateWifiDurationForAp(r2);	 Catch:{ Exception -> 0x000d }
        r4.updateMobileDurationForCell(r2);	 Catch:{ Exception -> 0x000d }
        r4.updateUserPreference();	 Catch:{ Exception -> 0x000d }
        r3 = r4.mSpaceid;	 Catch:{ Exception -> 0x000d }
        r3.setLength(r2);	 Catch:{ Exception -> 0x000d }
        r3 = r4.mSpaceid;	 Catch:{ Exception -> 0x000d }
        r3.trimToSize();	 Catch:{ Exception -> 0x000d }
        r3 = r4.mSpaceid;	 Catch:{ Exception -> 0x000d }
        r3.append(r0);	 Catch:{ Exception -> 0x000d }
        r3 = r4.mSpaceid_mainAp;	 Catch:{ Exception -> 0x000d }
        r3.setLength(r2);	 Catch:{ Exception -> 0x000d }
        r2 = r4.mSpaceid_mainAp;	 Catch:{ Exception -> 0x000d }
        r2.trimToSize();	 Catch:{ Exception -> 0x000d }
        r2 = r4.mSpaceid_mainAp;	 Catch:{ Exception -> 0x000d }
        r2.append(r1);	 Catch:{ Exception -> 0x000d }
        r4.saveSpaceExptoDatabaseNew(r5);	 Catch:{ Exception -> 0x000d }
        r2 = r4.mSpaceExperience;	 Catch:{ Exception -> 0x000d }
        r2.clear();	 Catch:{ Exception -> 0x000d }
        r4.clearUserPreference();	 Catch:{ Exception -> 0x000d }
        goto L_0x00f9;
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = " assignSpaceExp2Space ";
        r1.append(r2);
        r2 = r0.getMessage();
        r1.append(r2);
        r1 = r1.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.e(r1);
    L_0x00f9:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler.assignSpaceExp2Space(com.android.server.hidata.wavemapping.entity.RecognizeResult):void");
    }

    public android.os.Bundle getUserPrefNetwork(java.lang.String spaceId_allAp, java.lang.String spaceId_mainAp) {
        java.lang.String str = spaceId_allAp;
        java.lang.String str2 = spaceId_mainAp;
        com.android.server.hidata.wavemapping.util.LogUtil.i(" getUserPrefNetwork ");
        android.os.Bundle output = new android.os.Bundle();
        output.putBoolean("isUserHasPref", false);
        output.putInt("prefNetworkType", 8);
        output.putString("prefNetworkName", "UNKNOWN");
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(" getUserPrefNetwork: spaceId_allAp=");
        stringBuilder.append(str);
        stringBuilder.append(", spaceId_mainAp=");
        stringBuilder.append(str2);
        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
        try {
            if (str.equals("0") && str2.equals("0")) {
                com.android.server.hidata.wavemapping.util.LogUtil.d(" spaceId_allAp & spaceId_mainAP are all unknown");
                return output;
            } else if (!this.mUserOperation) {
                return calculateUserPreference(this.mSpaceUserDAO.findUserPrefByTwoSpaces(str, str2), false);
            } else {
                com.android.server.hidata.wavemapping.util.LogUtil.d(" mUserOperation = true");
                return output;
            }
        } catch (java.lang.RuntimeException e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("getUserPrefNetwork RuntimeException,e:");
            stringBuilder2.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
            com.android.server.hidata.wavemapping.util.LogUtil.d(" User has no preference");
            return output;
        } catch (java.lang.Exception e2) {
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append(" getUserPrefNetwork, e:");
            stringBuilder3.append(e2.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder3.toString());
            com.android.server.hidata.wavemapping.util.LogUtil.d(" User has no preference");
            return output;
        }
    }

    public android.os.Bundle getUserPrefNetwork(java.lang.String spaceId_allAp) {
        java.lang.StringBuilder stringBuilder;
        com.android.server.hidata.wavemapping.util.LogUtil.i(" getUserPrefNetwork, allAp Space ");
        android.os.Bundle output = new android.os.Bundle();
        output.putBoolean("isUserHasPref", false);
        output.putInt("prefNetworkType", 8);
        output.putString("prefNetworkName", "UNKNOWN");
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append(" getUserPrefNetwork: spaceId_allAp=");
        stringBuilder2.append(spaceId_allAp);
        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
        try {
            if (spaceId_allAp.equals("0")) {
                com.android.server.hidata.wavemapping.util.LogUtil.d(" spaceId_allAp & spaceId_mainAP are all unknown");
                this.mLocationDAO.accCHRUserPrefUnknownSpacebyFreqLoc(this.freqLoc);
                return output;
            } else if (!this.mUserOperation) {
                return calculateUserPreference(this.mSpaceUserDAO.findUserPrefByAllApSpaces(spaceId_allAp), true);
            } else {
                com.android.server.hidata.wavemapping.util.LogUtil.d(" mUserOperation = true");
                return output;
            }
        } catch (java.lang.RuntimeException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getUserPrefNetwork RuntimeException,e:");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            com.android.server.hidata.wavemapping.util.LogUtil.d(" User has no preference");
            return output;
        } catch (java.lang.Exception e2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" getUserPrefNetwork, e:");
            stringBuilder.append(e2.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            com.android.server.hidata.wavemapping.util.LogUtil.d(" User has no preference");
            return output;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:84:0x02e0  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x02e0  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x02e0  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x02e0  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x02e0  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x02e0  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x02e0  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x02e0  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x02e0  */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x02e0  */
    private android.os.Bundle calculateUserPreference(java.util.HashMap<java.lang.String, android.os.Bundle> r24, boolean r25) {
        /*
        r23 = this;
        r1 = r23;
        r0 = new android.os.Bundle;
        r0.<init>();
        r2 = r0;
        r3 = 0;
        r4 = 0;
        r6 = 0;
        r7 = 0;
        r8 = 0;
        r10 = 0;
        r11 = 0;
        r12 = 0;
        r13 = r12;
        r0 = "isUserHasPref";
        r2.putBoolean(r0, r12);	 Catch:{ RuntimeException -> 0x02bd, Exception -> 0x02a3 }
        r0 = "prefNetworkType";
        r14 = 8;
        r2.putInt(r0, r14);	 Catch:{ RuntimeException -> 0x02bd, Exception -> 0x02a3 }
        r0 = "prefNetworkName";
        r14 = "UNKNOWN";
        r2.putString(r0, r14);	 Catch:{ RuntimeException -> 0x02bd, Exception -> 0x02a3 }
        r0 = r24.size();	 Catch:{ RuntimeException -> 0x02bd, Exception -> 0x02a3 }
        if (r0 == 0) goto L_0x0125;
    L_0x002c:
        r0 = r24.entrySet();	 Catch:{ RuntimeException -> 0x02bd, Exception -> 0x02a3 }
        r0 = r0.iterator();	 Catch:{ RuntimeException -> 0x02bd, Exception -> 0x02a3 }
    L_0x0034:
        r14 = r0.hasNext();	 Catch:{ RuntimeException -> 0x02bd, Exception -> 0x02a3 }
        if (r14 == 0) goto L_0x012e;
    L_0x003a:
        r14 = r0.next();	 Catch:{ RuntimeException -> 0x02bd, Exception -> 0x02a3 }
        r14 = (java.util.Map.Entry) r14;	 Catch:{ RuntimeException -> 0x02bd, Exception -> 0x02a3 }
        r15 = r14.getValue();	 Catch:{ RuntimeException -> 0x02bd, Exception -> 0x02a3 }
        r15 = (android.os.Bundle) r15;	 Catch:{ RuntimeException -> 0x02bd, Exception -> 0x02a3 }
        r12 = "duration_connected";
        r16 = r15.getLong(r12);	 Catch:{ RuntimeException -> 0x02bd, Exception -> 0x02a3 }
        r4 = r4 + r16;
        r12 = "user_pref_opt_in";
        r12 = r15.getInt(r12);	 Catch:{ RuntimeException -> 0x0120, Exception -> 0x011b }
        r12 = r12 + r6;
        r18 = r0;
        r0 = "user_pref_opt_out";
        r0 = r15.getInt(r0);	 Catch:{ RuntimeException -> 0x0120, Exception -> 0x011b }
        r6 = r12 + r0;
        r0 = "user_pref_stay";
        r0 = r15.getInt(r0);	 Catch:{ RuntimeException -> 0x0120, Exception -> 0x011b }
        r7 = r7 + r0;
        r0 = "networktype";
        r0 = r15.getInt(r0);	 Catch:{ RuntimeException -> 0x0120, Exception -> 0x011b }
        if (r0 != 0) goto L_0x0091;
    L_0x0071:
        r0 = "duration_connected";
        r16 = r15.getLong(r0);	 Catch:{ RuntimeException -> 0x02bd, Exception -> 0x02a3 }
        r8 = r8 + r16;
        r0 = "user_pref_opt_out";
        r0 = r15.getInt(r0);	 Catch:{ RuntimeException -> 0x02bd, Exception -> 0x02a3 }
        r10 = r10 + r0;
        r0 = "user_pref_opt_in";
        r0 = r15.getInt(r0);	 Catch:{ RuntimeException -> 0x02bd, Exception -> 0x02a3 }
        r11 = r11 + r0;
        r0 = "user_pref_stay";
        r0 = r15.getInt(r0);	 Catch:{ RuntimeException -> 0x02bd, Exception -> 0x02a3 }
        r13 = r13 + r0;
    L_0x0091:
        r0 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x0120, Exception -> 0x011b }
        r0.<init>();	 Catch:{ RuntimeException -> 0x0120, Exception -> 0x011b }
        r12 = " Entry: Networkname:";
        r0.append(r12);	 Catch:{ RuntimeException -> 0x0120, Exception -> 0x011b }
        r12 = "networkname";
        r12 = r15.getString(r12);	 Catch:{ RuntimeException -> 0x0120, Exception -> 0x011b }
        r0.append(r12);	 Catch:{ RuntimeException -> 0x0120, Exception -> 0x011b }
        r12 = " Type:";
        r0.append(r12);	 Catch:{ RuntimeException -> 0x0120, Exception -> 0x011b }
        r12 = "networktype";
        r12 = r15.getInt(r12);	 Catch:{ RuntimeException -> 0x0120, Exception -> 0x011b }
        r0.append(r12);	 Catch:{ RuntimeException -> 0x0120, Exception -> 0x011b }
        r12 = " IN:";
        r0.append(r12);	 Catch:{ RuntimeException -> 0x0120, Exception -> 0x011b }
        r12 = "user_pref_opt_in";
        r12 = r15.getInt(r12);	 Catch:{ RuntimeException -> 0x0120, Exception -> 0x011b }
        r0.append(r12);	 Catch:{ RuntimeException -> 0x0120, Exception -> 0x011b }
        r12 = " OUT:";
        r0.append(r12);	 Catch:{ RuntimeException -> 0x0120, Exception -> 0x011b }
        r12 = "user_pref_opt_out";
        r12 = r15.getInt(r12);	 Catch:{ RuntimeException -> 0x0120, Exception -> 0x011b }
        r0.append(r12);	 Catch:{ RuntimeException -> 0x0120, Exception -> 0x011b }
        r12 = " STAY:";
        r0.append(r12);	 Catch:{ RuntimeException -> 0x0120, Exception -> 0x011b }
        r12 = "user_pref_stay";
        r12 = r15.getInt(r12);	 Catch:{ RuntimeException -> 0x0120, Exception -> 0x011b }
        r0.append(r12);	 Catch:{ RuntimeException -> 0x0120, Exception -> 0x011b }
        r12 = " duration_connected:";
        r0.append(r12);	 Catch:{ RuntimeException -> 0x0120, Exception -> 0x011b }
        r12 = "duration_connected";
        r19 = r4;
        r4 = r15.getLong(r12);	 Catch:{ RuntimeException -> 0x0116, Exception -> 0x0111 }
        r0.append(r4);	 Catch:{ RuntimeException -> 0x0116, Exception -> 0x0111 }
        r0 = r0.toString();	 Catch:{ RuntimeException -> 0x0116, Exception -> 0x0111 }
        com.android.server.hidata.wavemapping.util.LogUtil.d(r0);	 Catch:{ RuntimeException -> 0x0116, Exception -> 0x0111 }
        if (r3 == 0) goto L_0x0108;
    L_0x00f8:
        r0 = "duration_connected";
        r4 = r3.getLong(r0);	 Catch:{ RuntimeException -> 0x0116, Exception -> 0x0111 }
        r0 = "duration_connected";
        r16 = r15.getLong(r0);	 Catch:{ RuntimeException -> 0x0116, Exception -> 0x0111 }
        r0 = (r4 > r16 ? 1 : (r4 == r16 ? 0 : -1));
        if (r0 >= 0) goto L_0x0109;
    L_0x0108:
        r3 = r15;
        r0 = r18;
        r4 = r19;
        r12 = 0;
        goto L_0x0034;
    L_0x0111:
        r0 = move-exception;
        r4 = r19;
        goto L_0x02a4;
    L_0x0116:
        r0 = move-exception;
        r4 = r19;
        goto L_0x02be;
    L_0x011b:
        r0 = move-exception;
        r19 = r4;
        goto L_0x02a4;
    L_0x0120:
        r0 = move-exception;
        r19 = r4;
        goto L_0x02be;
    L_0x0125:
        if (r25 == 0) goto L_0x012e;
    L_0x0127:
        r0 = r1.mLocationDAO;	 Catch:{ RuntimeException -> 0x02bd, Exception -> 0x02a3 }
        r14 = r1.freqLoc;	 Catch:{ RuntimeException -> 0x02bd, Exception -> 0x02a3 }
        r0.accCHRUserPrefUnknownDBbyFreqLoc(r14);	 Catch:{ RuntimeException -> 0x02bd, Exception -> 0x02a3 }
    L_0x012e:
        r0 = (float) r6;
        r14 = 1073741824; // 0x40000000 float:2.0 double:5.304989477E-315;
        r0 = r0 / r14;
        r0 = java.lang.Math.round(r0);	 Catch:{ RuntimeException -> 0x029d, Exception -> 0x0297 }
        r0 = r0 + r7;
        r14 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x029d, Exception -> 0x0297 }
        r14.<init>();	 Catch:{ RuntimeException -> 0x029d, Exception -> 0x0297 }
        r15 = "totalDuration: ";
        r14.append(r15);	 Catch:{ RuntimeException -> 0x029d, Exception -> 0x0297 }
        r14.append(r4);	 Catch:{ RuntimeException -> 0x029d, Exception -> 0x0297 }
        r15 = " totalCount:";
        r14.append(r15);	 Catch:{ RuntimeException -> 0x029d, Exception -> 0x0297 }
        r14.append(r0);	 Catch:{ RuntimeException -> 0x029d, Exception -> 0x0297 }
        r14 = r14.toString();	 Catch:{ RuntimeException -> 0x029d, Exception -> 0x0297 }
        com.android.server.hidata.wavemapping.util.LogUtil.d(r14);	 Catch:{ RuntimeException -> 0x029d, Exception -> 0x0297 }
        if (r3 == 0) goto L_0x021b;
    L_0x0156:
        r15 = r1.param;	 Catch:{ RuntimeException -> 0x029d, Exception -> 0x0297 }
        r16 = r15.getUserPrefStartDuration();	 Catch:{ RuntimeException -> 0x029d, Exception -> 0x0297 }
        r15 = (r4 > r16 ? 1 : (r4 == r16 ? 0 : -1));
        if (r15 <= 0) goto L_0x021b;
    L_0x0160:
        r15 = "networkname";
        r14 = "UNKNOWN";
        r14 = r3.getString(r15, r14);	 Catch:{ RuntimeException -> 0x029d, Exception -> 0x0297 }
        r15 = "UNKNOWN";
        r14 = r14.equalsIgnoreCase(r15);	 Catch:{ RuntimeException -> 0x029d, Exception -> 0x0297 }
        if (r14 != 0) goto L_0x021b;
    L_0x0170:
        r14 = "duration_connected";
        r14 = r3.getLong(r14);	 Catch:{ RuntimeException -> 0x029d, Exception -> 0x0297 }
        r14 = (double) r14;
        r21 = r6;
        r22 = r7;
        r6 = (double) r4;
        r14 = r14 / r6;
        r6 = r1.param;	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r6 = r6.getUserPrefDurationRatio();	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r6 = (r14 > r6 ? 1 : (r14 == r6 ? 0 : -1));
        if (r6 < 0) goto L_0x021f;
    L_0x0187:
        r6 = "user_pref_opt_out";
        r6 = r3.getInt(r6);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r6 = r0 - r6;
        r7 = "user_pref_stay";
        r7 = r3.getInt(r7);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r6 = r6 - r7;
        r7 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7.<init>();	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r14 = "otherNetworkCount: ";
        r7.append(r14);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7.append(r6);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r14 = " maxEntry: ";
        r7.append(r14);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r14 = r3.toString();	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7.append(r14);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7 = r7.toString();	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        com.android.server.hidata.wavemapping.util.LogUtil.d(r7);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7 = r1.param;	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7 = r7.getUserPrefStartTimes();	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        if (r0 <= r7) goto L_0x021f;
    L_0x01c0:
        if (r6 <= 0) goto L_0x021f;
    L_0x01c2:
        r7 = "user_pref_opt_in";
        r7 = r3.getInt(r7);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7 = (float) r7;	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r14 = (float) r6;	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7 = r7 / r14;
        r14 = r1.param;	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r14 = r14.getUserPrefFreqRatio();	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7 = (r7 > r14 ? 1 : (r7 == r14 ? 0 : -1));
        if (r7 < 0) goto L_0x021f;
    L_0x01d6:
        r7 = "isUserHasPref";
        r14 = 1;
        r2.putBoolean(r7, r14);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7 = "prefNetworkType";
        r14 = "networktype";
        r14 = r3.getInt(r14);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r2.putInt(r7, r14);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7 = "prefNetworkName";
        r14 = "networkname";
        r14 = r3.getString(r14);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r2.putString(r7, r14);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7.<init>();	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r14 = " isUserHasPref: true prefNetworkType:";
        r7.append(r14);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r14 = "networktype";
        r14 = r3.getInt(r14);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7.append(r14);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r14 = " prefNetworkName:";
        r7.append(r14);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r14 = "networkname";
        r14 = r3.getString(r14);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7.append(r14);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7 = r7.toString();	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        com.android.server.hidata.wavemapping.util.LogUtil.d(r7);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        return r2;
    L_0x021b:
        r21 = r6;
        r22 = r7;
    L_0x021f:
        r6 = r1.param;	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r6 = r6.getUserPrefStartDuration();	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r6 = (r4 > r6 ? 1 : (r4 == r6 ? 0 : -1));
        if (r6 <= 0) goto L_0x0285;
    L_0x0229:
        r6 = (double) r8;	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r14 = (double) r4;	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r6 = r6 / r14;
        r14 = r1.param;	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r14 = r14.getUserPrefDurationRatio();	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r6 = (r6 > r14 ? 1 : (r6 == r14 ? 0 : -1));
        if (r6 < 0) goto L_0x0285;
    L_0x0236:
        r6 = r0 - r10;
        r6 = r6 - r13;
        r7 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7.<init>();	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r14 = "otherNetworkCount: ";
        r7.append(r14);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7.append(r6);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r14 = " cellDuration";
        r7.append(r14);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7.append(r8);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7 = r7.toString();	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        com.android.server.hidata.wavemapping.util.LogUtil.d(r7);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7 = r1.param;	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7 = r7.getUserPrefStartTimes();	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        if (r0 <= r7) goto L_0x0285;
    L_0x025d:
        if (r6 <= 0) goto L_0x0285;
    L_0x025f:
        r7 = (float) r11;	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r14 = (float) r6;	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7 = r7 / r14;
        r14 = r1.param;	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r14 = r14.getUserPrefFreqRatio();	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7 = (r7 > r14 ? 1 : (r7 == r14 ? 0 : -1));
        if (r7 < 0) goto L_0x0285;
    L_0x026c:
        r7 = "isUserHasPref";
        r14 = 1;
        r2.putBoolean(r7, r14);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7 = "prefNetworkType";
        r14 = 0;
        r2.putInt(r7, r14);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7 = "prefNetworkName";
        r14 = "UNKNOWN";
        r2.putString(r7, r14);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        r7 = " User Prefer Cellular";
        com.android.server.hidata.wavemapping.util.LogUtil.d(r7);	 Catch:{ RuntimeException -> 0x0291, Exception -> 0x028b }
        return r2;
        r6 = r21;
        r7 = r22;
        goto L_0x02d7;
    L_0x028b:
        r0 = move-exception;
        r6 = r21;
        r7 = r22;
        goto L_0x02a4;
    L_0x0291:
        r0 = move-exception;
        r6 = r21;
        r7 = r22;
        goto L_0x02be;
    L_0x0297:
        r0 = move-exception;
        r21 = r6;
        r22 = r7;
        goto L_0x02a4;
    L_0x029d:
        r0 = move-exception;
        r21 = r6;
        r22 = r7;
        goto L_0x02be;
    L_0x02a3:
        r0 = move-exception;
    L_0x02a4:
        r14 = new java.lang.StringBuilder;
        r14.<init>();
        r15 = " calculateUserPreference, e:";
        r14.append(r15);
        r15 = r0.getMessage();
        r14.append(r15);
        r14 = r14.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.e(r14);
        goto L_0x02d7;
    L_0x02bd:
        r0 = move-exception;
    L_0x02be:
        r14 = new java.lang.StringBuilder;
        r14.<init>();
        r15 = "calculateUserPreference RuntimeException,e:";
        r14.append(r15);
        r15 = r0.getMessage();
        r14.append(r15);
        r14 = r14.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.e(r14);
    L_0x02d7:
        r0 = "isUserHasPref";
        r14 = 0;
        r0 = r2.getBoolean(r0, r14);
        if (r0 != 0) goto L_0x02e5;
    L_0x02e0:
        r0 = " NO user prefer";
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);
    L_0x02e5:
        return r2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler.calculateUserPreference(java.util.HashMap, boolean):android.os.Bundle");
    }

    /* JADX WARNING: Removed duplicated region for block: B:16:0x004a A:{Catch:{ Exception -> 0x000d }} */
    public void recognizeActions(com.android.server.hidata.wavemapping.entity.RecognizeResult r5) {
        /*
        r4 = this;
        r0 = " recognizeActions ";
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);
        if (r5 != 0) goto L_0x0010;
    L_0x0007:
        r0 = " no result";
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);	 Catch:{ Exception -> 0x000d }
        return;
    L_0x000d:
        r0 = move-exception;
        goto L_0x0098;
    L_0x0010:
        r0 = r5.getRgResult();	 Catch:{ Exception -> 0x000d }
        if (r0 == 0) goto L_0x0029;
    L_0x0016:
        r0 = r5.getRgResult();	 Catch:{ Exception -> 0x000d }
        r1 = "unkno";
        r0 = r0.contains(r1);	 Catch:{ Exception -> 0x000d }
        if (r0 == 0) goto L_0x0024;
    L_0x0023:
        goto L_0x0029;
    L_0x0024:
        r0 = r5.getRgResult();	 Catch:{ Exception -> 0x000d }
        goto L_0x0043;
    L_0x0029:
        r0 = "0";
        r1 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x000d }
        r1.<init>();	 Catch:{ Exception -> 0x000d }
        r2 = " recognizeActions: All AP result=";
        r1.append(r2);	 Catch:{ Exception -> 0x000d }
        r2 = r5.getRgResult();	 Catch:{ Exception -> 0x000d }
        r1.append(r2);	 Catch:{ Exception -> 0x000d }
        r1 = r1.toString();	 Catch:{ Exception -> 0x000d }
        com.android.server.hidata.wavemapping.util.LogUtil.i(r1);	 Catch:{ Exception -> 0x000d }
        r1 = r5.getMainApRgResult();	 Catch:{ Exception -> 0x000d }
        if (r1 == 0) goto L_0x005d;
    L_0x004a:
        r1 = r5.getMainApRgResult();	 Catch:{ Exception -> 0x000d }
        r2 = "unkno";
        r1 = r1.contains(r2);	 Catch:{ Exception -> 0x000d }
        if (r1 == 0) goto L_0x0058;
    L_0x0057:
        goto L_0x005d;
    L_0x0058:
        r1 = r5.getMainApRgResult();	 Catch:{ Exception -> 0x000d }
        goto L_0x0077;
    L_0x005d:
        r1 = "0";
        r2 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x000d }
        r2.<init>();	 Catch:{ Exception -> 0x000d }
        r3 = " recognizeActions: Main AP result=";
        r2.append(r3);	 Catch:{ Exception -> 0x000d }
        r3 = r5.getMainApRgResult();	 Catch:{ Exception -> 0x000d }
        r2.append(r3);	 Catch:{ Exception -> 0x000d }
        r2 = r2.toString();	 Catch:{ Exception -> 0x000d }
        com.android.server.hidata.wavemapping.util.LogUtil.i(r2);	 Catch:{ Exception -> 0x000d }
        r2 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x000d }
        r2.<init>();	 Catch:{ Exception -> 0x000d }
        r3 = " recognizeActions: spaceId_allAp=";
        r2.append(r3);	 Catch:{ Exception -> 0x000d }
        r2.append(r0);	 Catch:{ Exception -> 0x000d }
        r3 = ", spaceId_mainAp=";
        r2.append(r3);	 Catch:{ Exception -> 0x000d }
        r2.append(r1);	 Catch:{ Exception -> 0x000d }
        r2 = r2.toString();	 Catch:{ Exception -> 0x000d }
        com.android.server.hidata.wavemapping.util.LogUtil.d(r2);	 Catch:{ Exception -> 0x000d }
        r4.determineUserPreference(r0, r1);	 Catch:{ Exception -> 0x000d }
        goto L_0x00b1;
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = " assignSpaceExp2Space ";
        r1.append(r2);
        r2 = r0.getMessage();
        r1.append(r2);
        r1 = r1.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.e(r1);
    L_0x00b1:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler.recognizeActions(com.android.server.hidata.wavemapping.entity.RecognizeResult):void");
    }

    private void determineUserPreference(java.lang.String spaceId_allAp, java.lang.String spaceId_mainAp) {
        com.android.server.hidata.wavemapping.util.LogUtil.i(" determineUserPreference ");
        try {
            com.android.server.hidata.wavemapping.HwWaveMappingManager hwWaveMappingManager = com.android.server.hidata.wavemapping.HwWaveMappingManager.getInstance();
            if (hwWaveMappingManager != null) {
                com.android.server.hidata.wavemapping.IWaveMappingCallback brainCallback = hwWaveMappingManager.getWaveMappingCallback();
                if (brainCallback != null) {
                    if (spaceId_allAp.equals("0")) {
                        com.android.server.hidata.wavemapping.util.LogUtil.i("No preference due to unknown space");
                        brainCallback.onWaveMappingReportCallback(0, this.mPrefNetworkName, this.mPrefNetworkType);
                        this.mLocationDAO.accCHRUserPrefUnknownSpacebyFreqLoc(this.freqLoc);
                        return;
                    }
                    updateUserPrefCHR();
                    clearUserPrefCHR();
                    android.os.Bundle userPrefResult = getUserPrefNetwork(spaceId_allAp);
                    this.mUserHasPref = userPrefResult.getBoolean("isUserHasPref");
                    this.mPrefNetworkName = userPrefResult.getString("prefNetworkName");
                    this.mPrefNetworkType = userPrefResult.getInt("prefNetworkType");
                    android.os.Bundle connectivity = com.android.server.hidata.wavemapping.util.NetUtil.getConnectedNetworkState(this.mContext);
                    int defaultType = connectivity.getInt("defaultType");
                    java.lang.String currNwName = connectivity.getString("defaultNwName", "UNKNOWN");
                    if (this.mUserHasPref && this.mPrefNetworkType == 1 && defaultType == 1) {
                        java.lang.String printStr1 = new java.lang.StringBuilder();
                        printStr1.append("W2W: perfered WiFi name=");
                        printStr1.append(this.mPrefNetworkName);
                        printStr1.append(", current WiFi name=");
                        printStr1.append(currNwName);
                        com.android.server.hidata.wavemapping.util.LogUtil.i(printStr1.toString());
                        if (!currNwName.equals(this.mPrefNetworkName)) {
                            brainCallback.onWaveMappingReportCallback(1, this.mPrefNetworkName, this.mPrefNetworkType);
                            this.mCHRUserPrefSwitchTime = java.lang.System.currentTimeMillis();
                            this.mCHRUserPrefOriginalNWName = currNwName;
                            this.mCHRUserPrefOriginalNWType = defaultType;
                            this.mCHRUserPrefSwitchNWName = this.mPrefNetworkName;
                            this.mCHRUserPrefSwitchNWType = this.mPrefNetworkType;
                            this.mCHRUserPrefDetermineSwitch = true;
                        }
                    } else if (this.mUserHasPref && this.mPrefNetworkType == 0 && defaultType == 1) {
                        java.lang.String cellName = com.android.server.hidata.wavemapping.util.NetUtil.getMobileDataState(this.mContext).getString("cellRAT", "UNKNOWN");
                        java.lang.String printStr2 = new java.lang.StringBuilder();
                        printStr2.append("W2C: perfered Cell name=");
                        printStr2.append(this.mPrefNetworkName);
                        printStr2.append(", current Cell name=");
                        printStr2.append(cellName);
                        com.android.server.hidata.wavemapping.util.LogUtil.i(printStr2.toString());
                        if (cellName.equals(this.mPrefNetworkName)) {
                            brainCallback.onWaveMappingReportCallback(1, this.mPrefNetworkName, this.mPrefNetworkType);
                            this.mCHRUserPrefSwitchTime = java.lang.System.currentTimeMillis();
                            this.mCHRUserPrefOriginalNWName = currNwName;
                            this.mCHRUserPrefOriginalNWType = defaultType;
                            this.mCHRUserPrefSwitchNWName = this.mPrefNetworkName;
                            this.mCHRUserPrefSwitchNWType = this.mPrefNetworkType;
                            this.mCHRUserPrefDetermineSwitch = true;
                        }
                    } else {
                        com.android.server.hidata.wavemapping.util.LogUtil.i("No preference");
                        brainCallback.onWaveMappingReportCallback(0, this.mPrefNetworkName, this.mPrefNetworkType);
                    }
                }
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" determineUserPreference ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:80:0x01f8  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x00cb A:{Catch:{ Exception -> 0x020d }} */
    public boolean determine4gCoverage(com.android.server.hidata.wavemapping.entity.RecognizeResult r24) {
        /*
        r23 = this;
        r1 = r23;
        r2 = 0;
        r0 = new com.android.server.hidata.wavemapping.statehandler.HwWmpFastBackLte;
        r0.<init>();
        r3 = r0;
        r0 = new android.os.Bundle;
        r0.<init>();
        r4 = r0;
        r5 = 0;
        r6 = 0;
        r7 = 0;
        r9 = 0;
        r11 = 0;
        r0 = " determine4gCoverage ";
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);
        r0 = r1.param;
        r0 = r0.getBack4GEnabled();
        if (r0 != 0) goto L_0x0029;
    L_0x0024:
        r0 = "Fast Back 4G Feature - Disabled";
        com.android.server.hidata.wavemapping.util.LogUtil.d(r0);
    L_0x0029:
        r0 = 0;
        if (r24 != 0) goto L_0x0039;
    L_0x002c:
        r14 = " no result";
        com.android.server.hidata.wavemapping.util.LogUtil.i(r14);	 Catch:{ Exception -> 0x0032 }
        return r0;
    L_0x0032:
        r0 = move-exception;
        r21 = r3;
        r18 = r11;
        goto L_0x021c;
    L_0x0039:
        r14 = r24.getRgResult();	 Catch:{ Exception -> 0x0215 }
        if (r14 == 0) goto L_0x00c0;
    L_0x003f:
        r14 = r24.getRgResult();	 Catch:{ Exception -> 0x00b7 }
        r15 = "0";
        r14 = r14.contains(r15);	 Catch:{ Exception -> 0x00b7 }
        if (r14 == 0) goto L_0x004f;
    L_0x004b:
        r16 = r4;
        goto L_0x00c2;
    L_0x004f:
        r14 = r24.getRgResult();	 Catch:{ Exception -> 0x00b7 }
        r15 = r24.getMainApRgResult();	 Catch:{ Exception -> 0x00b7 }
        if (r15 == 0) goto L_0x0091;
    L_0x0059:
        r15 = r24.getMainApRgResult();	 Catch:{ Exception -> 0x00b7 }
        r0 = "0";
        r0 = r15.contains(r0);	 Catch:{ Exception -> 0x00b7 }
        if (r0 == 0) goto L_0x0068;
    L_0x0065:
        r16 = r4;
        goto L_0x0093;
    L_0x0068:
        r0 = r24.getMainApRgResult();	 Catch:{ Exception -> 0x00b7 }
        r15 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x00b7 }
        r15.<init>();	 Catch:{ Exception -> 0x00b7 }
        r16 = r4;
        r4 = " determine4gCoverage, space ID: allAp=";
        r15.append(r4);	 Catch:{ Exception -> 0x00b0 }
        r15.append(r14);	 Catch:{ Exception -> 0x00b0 }
        r4 = " ,mainAp=";
        r15.append(r4);	 Catch:{ Exception -> 0x00b0 }
        r15.append(r0);	 Catch:{ Exception -> 0x00b0 }
        r4 = r15.toString();	 Catch:{ Exception -> 0x00b0 }
        com.android.server.hidata.wavemapping.util.LogUtil.d(r4);	 Catch:{ Exception -> 0x00b0 }
        r4 = r1.mSpaceUserDAO;	 Catch:{ Exception -> 0x00b0 }
        r4 = r4.find4gCoverageByBothSpace(r14, r0);	 Catch:{ Exception -> 0x00b0 }
        goto L_0x00af;
    L_0x0091:
        r16 = r4;
    L_0x0093:
        r0 = "0";
        r4 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x00b0 }
        r4.<init>();	 Catch:{ Exception -> 0x00b0 }
        r15 = " determine4gCoverage: space ID: allAp=";
        r4.append(r15);	 Catch:{ Exception -> 0x00b0 }
        r4.append(r14);	 Catch:{ Exception -> 0x00b0 }
        r4 = r4.toString();	 Catch:{ Exception -> 0x00b0 }
        com.android.server.hidata.wavemapping.util.LogUtil.d(r4);	 Catch:{ Exception -> 0x00b0 }
        r4 = r1.mSpaceUserDAO;	 Catch:{ Exception -> 0x00b0 }
        r4 = r4.find4gCoverageByAllApSpace(r14);	 Catch:{ Exception -> 0x00b0 }
    L_0x00af:
        goto L_0x00fc;
    L_0x00b0:
        r0 = move-exception;
        r21 = r3;
        r18 = r11;
        goto L_0x020a;
    L_0x00b7:
        r0 = move-exception;
        r16 = r4;
        r21 = r3;
        r18 = r11;
        goto L_0x021c;
    L_0x00c0:
        r16 = r4;
    L_0x00c2:
        r0 = "0";
        r14 = r0;
        r0 = r24.getMainApRgResult();	 Catch:{ Exception -> 0x020d }
        if (r0 == 0) goto L_0x01f8;
    L_0x00cb:
        r0 = r24.getMainApRgResult();	 Catch:{ Exception -> 0x020d }
        r4 = "0";
        r0 = r0.contains(r4);	 Catch:{ Exception -> 0x020d }
        if (r0 == 0) goto L_0x00dd;
    L_0x00d7:
        r21 = r3;
        r18 = r11;
        goto L_0x01fc;
    L_0x00dd:
        r0 = r24.getMainApRgResult();	 Catch:{ Exception -> 0x020d }
        r4 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x020d }
        r4.<init>();	 Catch:{ Exception -> 0x020d }
        r15 = " determine4gCoverage, space ID: mainAp=";
        r4.append(r15);	 Catch:{ Exception -> 0x020d }
        r4.append(r0);	 Catch:{ Exception -> 0x020d }
        r4 = r4.toString();	 Catch:{ Exception -> 0x020d }
        com.android.server.hidata.wavemapping.util.LogUtil.d(r4);	 Catch:{ Exception -> 0x020d }
        r4 = r1.mSpaceUserDAO;	 Catch:{ Exception -> 0x020d }
        r4 = r4.find4gCoverageByMainApSpace(r0);	 Catch:{ Exception -> 0x020d }
        goto L_0x00af;
    L_0x00fc:
        r15 = "cell_num";
        r15 = r4.containsKey(r15);	 Catch:{ Exception -> 0x01f2 }
        if (r15 == 0) goto L_0x01de;
    L_0x0104:
        r15 = "total_duration";
        r16 = r4.getLong(r15);	 Catch:{ Exception -> 0x01f2 }
        r7 = r16;
        r15 = "cell_num";
        r15 = r4.getInt(r15);	 Catch:{ Exception -> 0x01f2 }
        r5 = r15;
        r15 = "avg_signal";
        r15 = r4.getInt(r15);	 Catch:{ Exception -> 0x01f2 }
        r6 = r15;
        r15 = "duration_out4g";
        r16 = r4.getLong(r15);	 Catch:{ Exception -> 0x01f2 }
        r9 = r16;
        r18 = r11;
        r11 = (double) r7;
        r16 = 4607182418800017408; // 0x3ff0000000000000 float:0.0 double:1.0;
        r11 = r11 * r16;
        r20 = r14;
        r13 = r7 + r9;
        r13 = (double) r13;
        r11 = r11 / r13;
        r13 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x01d8 }
        r13.<init>();	 Catch:{ Exception -> 0x01d8 }
        r14 = " found 4g record: duration=";
        r13.append(r14);	 Catch:{ Exception -> 0x01d8 }
        r13.append(r7);	 Catch:{ Exception -> 0x01d8 }
        r14 = " ,cell num=";
        r13.append(r14);	 Catch:{ Exception -> 0x01d8 }
        r13.append(r5);	 Catch:{ Exception -> 0x01d8 }
        r14 = " ,avg signal=";
        r13.append(r14);	 Catch:{ Exception -> 0x01d8 }
        r13.append(r6);	 Catch:{ Exception -> 0x01d8 }
        r14 = " ,duration4gRatio=";
        r13.append(r14);	 Catch:{ Exception -> 0x01d8 }
        r13.append(r11);	 Catch:{ Exception -> 0x01d8 }
        r13 = r13.toString();	 Catch:{ Exception -> 0x01d8 }
        com.android.server.hidata.wavemapping.util.LogUtil.d(r13);	 Catch:{ Exception -> 0x01d8 }
        r2 = 1;
        r13 = r1.mFastBack2LteChrDAO;	 Catch:{ Exception -> 0x01d0 }
        r13.setcells4G(r5);	 Catch:{ Exception -> 0x01d0 }
        r13 = r1.param;	 Catch:{ Exception -> 0x01d0 }
        r13 = r13.getBack4GTH_duration_min();	 Catch:{ Exception -> 0x01d0 }
        r13 = (long) r13;	 Catch:{ Exception -> 0x01d0 }
        r13 = (r13 > r7 ? 1 : (r13 == r7 ? 0 : -1));
        if (r13 >= 0) goto L_0x01b2;
    L_0x016d:
        r13 = r1.param;	 Catch:{ Exception -> 0x01d0 }
        r13 = r13.getBack4GTH_signal_min();	 Catch:{ Exception -> 0x01d0 }
        if (r13 >= r6) goto L_0x01b2;
    L_0x0175:
        r13 = r1.param;	 Catch:{ Exception -> 0x01d0 }
        r13 = r13.getBack4GTH_duration_4gRatio();	 Catch:{ Exception -> 0x01d0 }
        r13 = (r13 > r11 ? 1 : (r13 == r11 ? 0 : -1));
        if (r13 >= 0) goto L_0x01b2;
    L_0x017f:
        r13 = " in 4G coverage, send to booster";
        com.android.server.hidata.wavemapping.util.LogUtil.d(r13);	 Catch:{ Exception -> 0x01d0 }
        r13 = 0;
        r3.mSubId = r13;	 Catch:{ Exception -> 0x01d0 }
        r13 = "4G";
        r3.setRat(r13);	 Catch:{ Exception -> 0x01d0 }
        r13 = r1.mFastBackLteMgr;	 Catch:{ Exception -> 0x01d0 }
        if (r13 == 0) goto L_0x019a;
    L_0x0190:
        r13 = r1.mFastBackLteMgr;	 Catch:{ Exception -> 0x0032 }
        r13.SendDataToBooster(r3);	 Catch:{ Exception -> 0x0032 }
        r13 = r1.mFastBack2LteChrDAO;	 Catch:{ Exception -> 0x0032 }
        r13.addfastBack();	 Catch:{ Exception -> 0x0032 }
    L_0x019a:
        r13 = r1.mFastBack2LteChrDAO;	 Catch:{ Exception -> 0x01d0 }
        r13.addinLteCnt();	 Catch:{ Exception -> 0x01d0 }
        r13 = r1.handler;	 Catch:{ Exception -> 0x01d0 }
        r14 = r1.getRegStateAfterPeriodHandler;	 Catch:{ Exception -> 0x01d0 }
        r15 = r1.param;	 Catch:{ Exception -> 0x01d0 }
        r15 = r15.getReGetPsRegStatus();	 Catch:{ Exception -> 0x01d0 }
        r22 = r2;
        r21 = r3;
        r2 = (long) r15;
        r13.postDelayed(r14, r2);	 Catch:{ Exception -> 0x01ca }
        goto L_0x01c5;
    L_0x01b2:
        r22 = r2;
        r21 = r3;
        r2 = " 4g cell NOT found ";
        com.android.server.hidata.wavemapping.util.LogUtil.i(r2);	 Catch:{ Exception -> 0x01ca }
        r2 = r1.mFastBack2LteChrDAO;	 Catch:{ Exception -> 0x01ca }
        r2.addoutLteCnt();	 Catch:{ Exception -> 0x01ca }
        r2 = r1.mFastBack2LteChrDAO;	 Catch:{ Exception -> 0x01ca }
        r2.insertRecordByLoc();	 Catch:{ Exception -> 0x01ca }
    L_0x01c5:
        r18 = r11;
        r2 = r22;
        goto L_0x01ef;
    L_0x01ca:
        r0 = move-exception;
        r18 = r11;
        r2 = r22;
        goto L_0x021c;
    L_0x01d0:
        r0 = move-exception;
        r22 = r2;
        r21 = r3;
        r18 = r11;
        goto L_0x021c;
    L_0x01d8:
        r0 = move-exception;
        r21 = r3;
        r18 = r11;
        goto L_0x021c;
    L_0x01de:
        r21 = r3;
        r18 = r11;
        r20 = r14;
        r3 = r1.mFastBack2LteChrDAO;	 Catch:{ Exception -> 0x01f0 }
        r11 = 0;
        r3.setcells4G(r11);	 Catch:{ Exception -> 0x01f0 }
        r3 = r1.mFastBack2LteChrDAO;	 Catch:{ Exception -> 0x01f0 }
        r3.insertRecordByLoc();	 Catch:{ Exception -> 0x01f0 }
    L_0x01ef:
        goto L_0x0234;
    L_0x01f0:
        r0 = move-exception;
        goto L_0x021c;
    L_0x01f2:
        r0 = move-exception;
        r21 = r3;
        r18 = r11;
        goto L_0x0214;
    L_0x01f8:
        r21 = r3;
        r18 = r11;
    L_0x01fc:
        r0 = "0";
        r3 = " determine4gCoverage: no space ID";
        com.android.server.hidata.wavemapping.util.LogUtil.i(r3);	 Catch:{ Exception -> 0x0209 }
        r3 = r1.mFastBack2LteChrDAO;	 Catch:{ Exception -> 0x0209 }
        r3.addunknownSpace();	 Catch:{ Exception -> 0x0209 }
        return r2;
    L_0x0209:
        r0 = move-exception;
    L_0x020a:
        r4 = r16;
        goto L_0x021c;
    L_0x020d:
        r0 = move-exception;
        r21 = r3;
        r18 = r11;
        r4 = r16;
    L_0x0214:
        goto L_0x021c;
    L_0x0215:
        r0 = move-exception;
        r21 = r3;
        r16 = r4;
        r18 = r11;
    L_0x021c:
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r11 = " determine4gCoverage ";
        r3.append(r11);
        r11 = r0.getMessage();
        r3.append(r11);
        r3 = r3.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.e(r3);
    L_0x0234:
        return r2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler.determine4gCoverage(com.android.server.hidata.wavemapping.entity.RecognizeResult):boolean");
    }

    /* JADX WARNING: Removed duplicated region for block: B:46:0x012c A:{SYNTHETIC, Splitter: B:46:0x012c} */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x0172 A:{SYNTHETIC, Splitter: B:55:0x0172} */
    /* JADX WARNING: Removed duplicated region for block: B:64:0x018d  */
    /* JADX WARNING: Removed duplicated region for block: B:61:0x0189 A:{SYNTHETIC, Splitter: B:61:0x0189} */
    /* JADX WARNING: Removed duplicated region for block: B:108:0x03b8 A:{Catch:{ Exception -> 0x0402 }} */
    /* JADX WARNING: Removed duplicated region for block: B:68:0x0194 A:{Catch:{ Exception -> 0x0404 }} */
    /* JADX WARNING: Removed duplicated region for block: B:114:0x03f2 A:{Catch:{ Exception -> 0x0402 }} */
    /* JADX WARNING: Removed duplicated region for block: B:111:0x03e4 A:{Catch:{ Exception -> 0x0402 }} */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x00d7 A:{SYNTHETIC, Splitter: B:37:0x00d7} */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x012c A:{SYNTHETIC, Splitter: B:46:0x012c} */
    /* JADX WARNING: Removed duplicated region for block: B:55:0x0172 A:{SYNTHETIC, Splitter: B:55:0x0172} */
    /* JADX WARNING: Removed duplicated region for block: B:61:0x0189 A:{SYNTHETIC, Splitter: B:61:0x0189} */
    /* JADX WARNING: Removed duplicated region for block: B:64:0x018d  */
    /* JADX WARNING: Removed duplicated region for block: B:68:0x0194 A:{Catch:{ Exception -> 0x0404 }} */
    /* JADX WARNING: Removed duplicated region for block: B:108:0x03b8 A:{Catch:{ Exception -> 0x0402 }} */
    /* JADX WARNING: Removed duplicated region for block: B:111:0x03e4 A:{Catch:{ Exception -> 0x0402 }} */
    /* JADX WARNING: Removed duplicated region for block: B:114:0x03f2 A:{Catch:{ Exception -> 0x0402 }} */
    /* JADX WARNING: Removed duplicated region for block: B:121:0x0421  */
    /* JADX WARNING: Removed duplicated region for block: B:121:0x0421  */
    /* JADX WARNING: Removed duplicated region for block: B:121:0x0421  */
    public void queryAppQoebyTargetNw(com.android.server.hidata.wavemapping.entity.RecognizeResult r44, int r45, int r46, int r47, com.android.server.hidata.wavemapping.IWaveMappingCallback r48) {
        /*
        r43 = this;
        r1 = r43;
        r2 = r45;
        r3 = r47;
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r4 = " queryAppQoebyTargetNw: appName=";
        r0.append(r4);
        r0.append(r2);
        r0 = r0.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r4 = "APP_";
        r0.append(r4);
        r0.append(r2);
        r10 = r0.toString();
        r11 = 1073741824; // 0x40000000 float:2.0 double:5.304989477E-315;
        r12 = 1073741824; // 0x40000000 float:2.0 double:5.304989477E-315;
        r0 = 802; // 0x322 float:1.124E-42 double:3.96E-321;
        r4 = r0;
        if (r48 != 0) goto L_0x0040;
    L_0x0034:
        r0 = " no callback";
        com.android.server.hidata.wavemapping.util.LogUtil.d(r0);	 Catch:{ Exception -> 0x003a }
        return;
    L_0x003a:
        r0 = move-exception;
        r13 = r4;
    L_0x003c:
        r34 = r10;
        goto L_0x0407;
    L_0x0040:
        r0 = 1;
        if (r0 != r3) goto L_0x0047;
    L_0x0043:
        r4 = 800; // 0x320 float:1.121E-42 double:3.953E-321;
    L_0x0045:
        r13 = r4;
        goto L_0x004c;
    L_0x0047:
        if (r3 != 0) goto L_0x0045;
    L_0x0049:
        r4 = 801; // 0x321 float:1.122E-42 double:3.957E-321;
        goto L_0x0045;
    L_0x004c:
        if (r44 != 0) goto L_0x0061;
    L_0x004e:
        r0 = " no result";
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);	 Catch:{ Exception -> 0x005f }
        r6 = 0;
        r8 = 1;
        r9 = 0;
        r4 = r48;
        r5 = r46;
        r7 = r13;
        r4.onWaveMappingRespondCallback(r5, r6, r7, r8, r9);	 Catch:{ Exception -> 0x005f }
        return;
    L_0x005f:
        r0 = move-exception;
        goto L_0x003c;
    L_0x0061:
        r4 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x0404 }
        r4.<init>();	 Catch:{ Exception -> 0x0404 }
        r5 = " queryAppQoebyTargetNw: space results=";
        r4.append(r5);	 Catch:{ Exception -> 0x0404 }
        r5 = r44.toString();	 Catch:{ Exception -> 0x0404 }
        r4.append(r5);	 Catch:{ Exception -> 0x0404 }
        r4 = r4.toString();	 Catch:{ Exception -> 0x0404 }
        com.android.server.hidata.wavemapping.util.LogUtil.i(r4);	 Catch:{ Exception -> 0x0404 }
        r4 = com.android.server.hidata.wavemapping.cons.Constant.getSavedQoeAppList();	 Catch:{ Exception -> 0x0404 }
        r5 = java.lang.Integer.valueOf(r45);	 Catch:{ Exception -> 0x0404 }
        r4 = r4.containsKey(r5);	 Catch:{ Exception -> 0x0404 }
        if (r4 != 0) goto L_0x0098;
    L_0x0087:
        r0 = " NOT monitor app";
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);	 Catch:{ Exception -> 0x005f }
        r6 = 0;
        r8 = 1;
        r9 = 0;
        r4 = r48;
        r5 = r46;
        r7 = r13;
        r4.onWaveMappingRespondCallback(r5, r6, r7, r8, r9);	 Catch:{ Exception -> 0x005f }
        return;
    L_0x0098:
        r4 = r1.mHisQoEChrDAO;	 Catch:{ Exception -> 0x0404 }
        r4.accQueryCnt();	 Catch:{ Exception -> 0x0404 }
        r4 = r44.getRgResult();	 Catch:{ Exception -> 0x0404 }
        if (r4 == 0) goto L_0x00b6;
    L_0x00a3:
        r4 = r44.getRgResult();	 Catch:{ Exception -> 0x005f }
        r5 = "unkno";
        r4 = r4.contains(r5);	 Catch:{ Exception -> 0x005f }
        if (r4 == 0) goto L_0x00b1;
    L_0x00b0:
        goto L_0x00b6;
    L_0x00b1:
        r4 = r44.getRgResult();	 Catch:{ Exception -> 0x005f }
        goto L_0x00d0;
    L_0x00b6:
        r4 = "0";
        r5 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x0404 }
        r5.<init>();	 Catch:{ Exception -> 0x0404 }
        r6 = " queryAppQoebyTargetNw: All AP result=";
        r5.append(r6);	 Catch:{ Exception -> 0x0404 }
        r6 = r44.getRgResult();	 Catch:{ Exception -> 0x0404 }
        r5.append(r6);	 Catch:{ Exception -> 0x0404 }
        r5 = r5.toString();	 Catch:{ Exception -> 0x0404 }
        com.android.server.hidata.wavemapping.util.LogUtil.i(r5);	 Catch:{ Exception -> 0x0404 }
    L_0x00d0:
        r9 = r4;
        r4 = r44.getMainApRgResult();	 Catch:{ Exception -> 0x0404 }
        if (r4 == 0) goto L_0x00ea;
    L_0x00d7:
        r4 = r44.getMainApRgResult();	 Catch:{ Exception -> 0x005f }
        r5 = "unkno";
        r4 = r4.contains(r5);	 Catch:{ Exception -> 0x005f }
        if (r4 == 0) goto L_0x00e5;
    L_0x00e4:
        goto L_0x00ea;
    L_0x00e5:
        r4 = r44.getMainApRgResult();	 Catch:{ Exception -> 0x005f }
        goto L_0x0104;
    L_0x00ea:
        r4 = "0";
        r5 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x0404 }
        r5.<init>();	 Catch:{ Exception -> 0x0404 }
        r6 = " queryAppQoebyTargetNw: Main AP result=";
        r5.append(r6);	 Catch:{ Exception -> 0x0404 }
        r6 = r44.getMainApRgResult();	 Catch:{ Exception -> 0x0404 }
        r5.append(r6);	 Catch:{ Exception -> 0x0404 }
        r5 = r5.toString();	 Catch:{ Exception -> 0x0404 }
        com.android.server.hidata.wavemapping.util.LogUtil.i(r5);	 Catch:{ Exception -> 0x0404 }
    L_0x0104:
        r8 = r4;
        r4 = r1.mHisQoEChrService;	 Catch:{ Exception -> 0x0404 }
        r4.resetRecordByApp(r2);	 Catch:{ Exception -> 0x0404 }
        r4 = r1.mHisQoEChrService;	 Catch:{ Exception -> 0x0404 }
        r15 = r44.getRgResultInt();	 Catch:{ Exception -> 0x0404 }
        r16 = r44.getAllApModelNameInt();	 Catch:{ Exception -> 0x0404 }
        r17 = r44.getMainApRgResultInt();	 Catch:{ Exception -> 0x0404 }
        r18 = r44.getMainApModelNameInt();	 Catch:{ Exception -> 0x0404 }
        r19 = 0;
        r20 = 0;
        r14 = r4;
        r14.setSpaceInfo(r15, r16, r17, r18, r19, r20);	 Catch:{ Exception -> 0x0404 }
        r4 = "0";
        r4 = r9.equals(r4);	 Catch:{ Exception -> 0x0404 }
        if (r4 == 0) goto L_0x0154;
    L_0x012c:
        r4 = "0";
        r4 = r8.equals(r4);	 Catch:{ Exception -> 0x005f }
        if (r4 == 0) goto L_0x0154;
    L_0x0134:
        r0 = " no space found";
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);	 Catch:{ Exception -> 0x005f }
        r6 = 0;
        r0 = 1;
        r14 = 0;
        r4 = r48;
        r5 = r46;
        r7 = r13;
        r21 = r8;
        r8 = r0;
        r0 = r9;
        r9 = r14;
        r4.onWaveMappingRespondCallback(r5, r6, r7, r8, r9);	 Catch:{ Exception -> 0x005f }
        r4 = r1.mHisQoEChrDAO;	 Catch:{ Exception -> 0x005f }
        r4.accUnknownSpace();	 Catch:{ Exception -> 0x005f }
        r4 = r1.mHisQoEChrService;	 Catch:{ Exception -> 0x005f }
        r4.saveRecordByApp(r2);	 Catch:{ Exception -> 0x005f }
        return;
    L_0x0154:
        r21 = r8;
        r8 = r21;
        r4 = r1.calculateAppQoeFromDatabase(r10, r9, r8);	 Catch:{ Exception -> 0x0404 }
        r7 = r4;
        r4 = 0;
        r5 = 0;
        r6 = r1.mContext;	 Catch:{ Exception -> 0x0404 }
        r6 = com.android.server.hidata.wavemapping.util.NetUtil.getWifiStateString(r6);	 Catch:{ Exception -> 0x0404 }
        r0 = "wifiAp";
        r22 = r4;
        r4 = "UNKNOWN";
        r0 = r6.getString(r0, r4);	 Catch:{ Exception -> 0x0404 }
        if (r0 != 0) goto L_0x0175;
    L_0x0172:
        r4 = "UNKNOWN";
        r0 = r4;
    L_0x0175:
        r4 = r1.mContext;	 Catch:{ Exception -> 0x0404 }
        r4 = com.android.server.hidata.wavemapping.util.NetUtil.getMobileDataState(r4);	 Catch:{ Exception -> 0x0404 }
        r23 = r5;
        r5 = "cellRAT";
        r24 = r6;
        r6 = "UNKNOWN";
        r5 = r4.getString(r5, r6);	 Catch:{ Exception -> 0x0404 }
        if (r5 != 0) goto L_0x018d;
    L_0x0189:
        r6 = "UNKNOWN";
        r5 = r6;
        goto L_0x018e;
    L_0x018d:
        r6 = r5;
    L_0x018e:
        r5 = r7.isEmpty();	 Catch:{ Exception -> 0x0404 }
        if (r5 != 0) goto L_0x03b8;
    L_0x0194:
        r5 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x0404 }
        r5.<init>();	 Catch:{ Exception -> 0x0404 }
        r25 = r4;
        r4 = "              ,historyQoe size=";
        r5.append(r4);	 Catch:{ Exception -> 0x0404 }
        r4 = r7.size();	 Catch:{ Exception -> 0x0404 }
        r5.append(r4);	 Catch:{ Exception -> 0x0404 }
        r4 = r5.toString();	 Catch:{ Exception -> 0x0404 }
        com.android.server.hidata.wavemapping.util.LogUtil.i(r4);	 Catch:{ Exception -> 0x0404 }
        r4 = r7.entrySet();	 Catch:{ Exception -> 0x0404 }
        r4 = r4.iterator();	 Catch:{ Exception -> 0x0404 }
    L_0x01b6:
        r5 = r4.hasNext();	 Catch:{ Exception -> 0x0404 }
        if (r5 == 0) goto L_0x033b;
    L_0x01bc:
        r5 = r4.next();	 Catch:{ Exception -> 0x0404 }
        r5 = (java.util.Map.Entry) r5;	 Catch:{ Exception -> 0x0404 }
        r14 = r5.getKey();	 Catch:{ Exception -> 0x0404 }
        r14 = (java.lang.String) r14;	 Catch:{ Exception -> 0x0404 }
        r26 = r14;
        r14 = r5.getValue();	 Catch:{ Exception -> 0x0404 }
        r14 = (java.util.List) r14;	 Catch:{ Exception -> 0x0404 }
        r27 = r14;
        r28 = r4;
        r4 = 0;
        r29 = r5;
        r5 = r27;
        r4 = r5.get(r4);	 Catch:{ Exception -> 0x0404 }
        r4 = (java.lang.Integer) r4;	 Catch:{ Exception -> 0x0404 }
        r4 = r4.intValue();	 Catch:{ Exception -> 0x0404 }
        r30 = r7;
        r7 = 1;
        r14 = r5.get(r7);	 Catch:{ Exception -> 0x0404 }
        r7 = r14;
        r7 = (java.lang.Integer) r7;	 Catch:{ Exception -> 0x0404 }
        r7 = r7.intValue();	 Catch:{ Exception -> 0x0404 }
        r31 = r8;
        r8 = 2;
        r8 = r5.get(r8);	 Catch:{ Exception -> 0x0404 }
        r8 = (java.lang.Integer) r8;	 Catch:{ Exception -> 0x0404 }
        r8 = r8.intValue();	 Catch:{ Exception -> 0x0404 }
        r32 = r9;
        r9 = 3;
        r9 = r5.get(r9);	 Catch:{ Exception -> 0x0404 }
        r9 = (java.lang.Integer) r9;	 Catch:{ Exception -> 0x0404 }
        r16 = r9.intValue();	 Catch:{ Exception -> 0x0404 }
        r9 = 4;
        r9 = r5.get(r9);	 Catch:{ Exception -> 0x0404 }
        r9 = (java.lang.Integer) r9;	 Catch:{ Exception -> 0x0404 }
        r17 = r9.intValue();	 Catch:{ Exception -> 0x0404 }
        r9 = 5;
        r9 = r5.get(r9);	 Catch:{ Exception -> 0x0404 }
        r9 = (java.lang.Integer) r9;	 Catch:{ Exception -> 0x0404 }
        r18 = r9.intValue();	 Catch:{ Exception -> 0x0404 }
        r9 = 6;
        r9 = r5.get(r9);	 Catch:{ Exception -> 0x0404 }
        r9 = (java.lang.Integer) r9;	 Catch:{ Exception -> 0x0404 }
        r19 = r9.intValue();	 Catch:{ Exception -> 0x0404 }
        r9 = 7;
        r9 = r5.get(r9);	 Catch:{ Exception -> 0x0404 }
        r9 = (java.lang.Integer) r9;	 Catch:{ Exception -> 0x0404 }
        r20 = r9.intValue();	 Catch:{ Exception -> 0x0404 }
        r9 = 8;
        r9 = r5.get(r9);	 Catch:{ Exception -> 0x0404 }
        r9 = (java.lang.Integer) r9;	 Catch:{ Exception -> 0x0404 }
        r15 = r9.intValue();	 Catch:{ Exception -> 0x0404 }
        r9 = 9;
        r9 = r5.get(r9);	 Catch:{ Exception -> 0x0404 }
        r9 = (java.lang.Float) r9;	 Catch:{ Exception -> 0x0404 }
        r9 = r9.floatValue();	 Catch:{ Exception -> 0x0404 }
        r33 = r5;
        r5 = 1;
        if (r5 != r4) goto L_0x02bd;
    L_0x0254:
        r5 = r26;
        r14 = r5.equals(r0);	 Catch:{ Exception -> 0x0404 }
        if (r14 == 0) goto L_0x02b8;
    L_0x025c:
        r34 = r10;
        r10 = "UNKNOWN";
        r10 = r0.equals(r10);	 Catch:{ Exception -> 0x0402 }
        if (r10 != 0) goto L_0x02b5;
    L_0x0266:
        r10 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x0402 }
        r10.<init>();	 Catch:{ Exception -> 0x0402 }
        r35 = r0;
        r0 = "  found Wifi network:";
        r10.append(r0);	 Catch:{ Exception -> 0x0402 }
        r10.append(r5);	 Catch:{ Exception -> 0x0402 }
        r0 = r10.toString();	 Catch:{ Exception -> 0x0402 }
        com.android.server.hidata.wavemapping.util.LogUtil.v(r0);	 Catch:{ Exception -> 0x0402 }
        if (r3 != r4) goto L_0x029f;
    L_0x027e:
        r12 = r9;
        r0 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x0402 }
        r0.<init>();	 Catch:{ Exception -> 0x0402 }
        r10 = "  found target network, bad ratio=";
        r0.append(r10);	 Catch:{ Exception -> 0x0402 }
        r0.append(r9);	 Catch:{ Exception -> 0x0402 }
        r0 = r0.toString();	 Catch:{ Exception -> 0x0402 }
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);	 Catch:{ Exception -> 0x0402 }
        r0 = r1.mHisQoEChrService;	 Catch:{ Exception -> 0x0402 }
        r0.setNetInfo(r7, r5, r8, r4);	 Catch:{ Exception -> 0x0402 }
        r0 = r1.mHisQoEChrService;	 Catch:{ Exception -> 0x0402 }
        r14 = r0;
        r14.setRecords(r15, r16, r17, r18, r19, r20);	 Catch:{ Exception -> 0x0402 }
        goto L_0x02c3;
    L_0x029f:
        r11 = r9;
        r0 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x0402 }
        r0.<init>();	 Catch:{ Exception -> 0x0402 }
        r10 = "  found source network, bad ratio=";
        r0.append(r10);	 Catch:{ Exception -> 0x0402 }
        r0.append(r9);	 Catch:{ Exception -> 0x0402 }
        r0 = r0.toString();	 Catch:{ Exception -> 0x0402 }
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);	 Catch:{ Exception -> 0x0402 }
        goto L_0x02c3;
    L_0x02b5:
        r35 = r0;
        goto L_0x02c3;
    L_0x02b8:
        r35 = r0;
        r34 = r10;
        goto L_0x02c3;
    L_0x02bd:
        r35 = r0;
        r34 = r10;
        r5 = r26;
    L_0x02c3:
        if (r4 != 0) goto L_0x032c;
    L_0x02c5:
        r0 = r5.equals(r6);	 Catch:{ Exception -> 0x0402 }
        if (r0 == 0) goto L_0x032c;
    L_0x02cb:
        r0 = "UNKNOWN";
        r0 = r6.equals(r0);	 Catch:{ Exception -> 0x0402 }
        if (r0 != 0) goto L_0x032c;
    L_0x02d3:
        r0 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x0402 }
        r0.<init>();	 Catch:{ Exception -> 0x0402 }
        r10 = "  found CELL network:";
        r0.append(r10);	 Catch:{ Exception -> 0x0402 }
        r0.append(r5);	 Catch:{ Exception -> 0x0402 }
        r0 = r0.toString();	 Catch:{ Exception -> 0x0402 }
        com.android.server.hidata.wavemapping.util.LogUtil.v(r0);	 Catch:{ Exception -> 0x0402 }
        if (r3 != r4) goto L_0x0317;
    L_0x02e9:
        r12 = r9;
        r0 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x0402 }
        r0.<init>();	 Catch:{ Exception -> 0x0402 }
        r10 = "  found target network, bad ratio=";
        r0.append(r10);	 Catch:{ Exception -> 0x0402 }
        r0.append(r9);	 Catch:{ Exception -> 0x0402 }
        r0 = r0.toString();	 Catch:{ Exception -> 0x0402 }
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);	 Catch:{ Exception -> 0x0402 }
        r0 = r1.mHisQoEChrService;	 Catch:{ Exception -> 0x0402 }
        r0.setNetInfo(r7, r5, r8, r4);	 Catch:{ Exception -> 0x0402 }
        r0 = r1.mHisQoEChrService;	 Catch:{ Exception -> 0x0402 }
        r36 = r0;
        r37 = r15;
        r38 = r16;
        r39 = r17;
        r40 = r18;
        r41 = r19;
        r42 = r20;
        r36.setRecords(r37, r38, r39, r40, r41, r42);	 Catch:{ Exception -> 0x0402 }
        goto L_0x032c;
    L_0x0317:
        r11 = r9;
        r0 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x0402 }
        r0.<init>();	 Catch:{ Exception -> 0x0402 }
        r10 = "  found source network, bad ratio=";
        r0.append(r10);	 Catch:{ Exception -> 0x0402 }
        r0.append(r9);	 Catch:{ Exception -> 0x0402 }
        r0 = r0.toString();	 Catch:{ Exception -> 0x0402 }
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);	 Catch:{ Exception -> 0x0402 }
        r4 = r28;
        r7 = r30;
        r8 = r31;
        r9 = r32;
        r10 = r34;
        r0 = r35;
        goto L_0x01b6;
    L_0x033b:
        r35 = r0;
        r30 = r7;
        r31 = r8;
        r32 = r9;
        r34 = r10;
        r0 = 1073741824; // 0x40000000 float:2.0 double:5.304989477E-315;
        r4 = (r12 > r0 ? 1 : (r12 == r0 ? 0 : -1));
        if (r4 == 0) goto L_0x03c9;
    L_0x034b:
        r4 = com.android.server.hidata.wavemapping.cons.Constant.getSavedQoeAppList();	 Catch:{ Exception -> 0x0402 }
        r5 = java.lang.Integer.valueOf(r45);	 Catch:{ Exception -> 0x0402 }
        r4 = r4.get(r5);	 Catch:{ Exception -> 0x0402 }
        r4 = (java.lang.Float) r4;	 Catch:{ Exception -> 0x0402 }
        r4 = r4.floatValue();	 Catch:{ Exception -> 0x0402 }
        r5 = r1.param;	 Catch:{ Exception -> 0x0402 }
        r5 = r5.getAppTH_Target_Ration_margin();	 Catch:{ Exception -> 0x0402 }
        r7 = (r12 > r4 ? 1 : (r12 == r4 ? 0 : -1));
        if (r7 >= 0) goto L_0x037d;
    L_0x0367:
        r0 = 1;
        r7 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x0402 }
        r7.<init>();	 Catch:{ Exception -> 0x0402 }
        r8 = "  target network is GOOD enough, targetNwBadRatio:";
        r7.append(r8);	 Catch:{ Exception -> 0x0402 }
        r7.append(r12);	 Catch:{ Exception -> 0x0402 }
        r7 = r7.toString();	 Catch:{ Exception -> 0x0402 }
        com.android.server.hidata.wavemapping.util.LogUtil.d(r7);	 Catch:{ Exception -> 0x0402 }
        goto L_0x03b1;
    L_0x037d:
        r0 = (r11 > r0 ? 1 : (r11 == r0 ? 0 : -1));
        if (r0 == 0) goto L_0x03aa;
    L_0x0381:
        r0 = r12 + r5;
        r0 = (r0 > r11 ? 1 : (r0 == r11 ? 0 : -1));
        if (r0 >= 0) goto L_0x03aa;
    L_0x0387:
        r0 = 1;
        r7 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x0402 }
        r7.<init>();	 Catch:{ Exception -> 0x0402 }
        r8 = "  target network(";
        r7.append(r8);	 Catch:{ Exception -> 0x0402 }
        r7.append(r12);	 Catch:{ Exception -> 0x0402 }
        r8 = ") is BETTER than source network(";
        r7.append(r8);	 Catch:{ Exception -> 0x0402 }
        r7.append(r11);	 Catch:{ Exception -> 0x0402 }
        r8 = ")";
        r7.append(r8);	 Catch:{ Exception -> 0x0402 }
        r7 = r7.toString();	 Catch:{ Exception -> 0x0402 }
        com.android.server.hidata.wavemapping.util.LogUtil.d(r7);	 Catch:{ Exception -> 0x0402 }
        goto L_0x03b1;
    L_0x03aa:
        r0 = "  target network is Bad";
        com.android.server.hidata.wavemapping.util.LogUtil.d(r0);	 Catch:{ Exception -> 0x0402 }
        r0 = r22;
    L_0x03b1:
        r4 = 1;
        r22 = r0;
        r23 = r4;
        goto L_0x03c9;
    L_0x03b8:
        r35 = r0;
        r25 = r4;
        r30 = r7;
        r31 = r8;
        r32 = r9;
        r34 = r10;
        r0 = "  historyQoe is empty";
        com.android.server.hidata.wavemapping.util.LogUtil.i(r0);	 Catch:{ Exception -> 0x0402 }
    L_0x03c9:
        r0 = 0;
        r10 = r25;
        r4 = r48;
        r5 = r46;
        r15 = r6;
        r14 = r24;
        r6 = r0;
        r0 = r30;
        r7 = r13;
        r16 = r31;
        r8 = r22;
        r17 = r32;
        r9 = r23;
        r4.onWaveMappingRespondCallback(r5, r6, r7, r8, r9);	 Catch:{ Exception -> 0x0402 }
        if (r23 == 0) goto L_0x03f2;
    L_0x03e4:
        if (r22 == 0) goto L_0x03ec;
    L_0x03e6:
        r4 = r1.mHisQoEChrDAO;	 Catch:{ Exception -> 0x0402 }
        r4.accGoodCnt();	 Catch:{ Exception -> 0x0402 }
        goto L_0x03f7;
    L_0x03ec:
        r4 = r1.mHisQoEChrDAO;	 Catch:{ Exception -> 0x0402 }
        r4.accPoorCnt();	 Catch:{ Exception -> 0x0402 }
        goto L_0x03f7;
    L_0x03f2:
        r4 = r1.mHisQoEChrDAO;	 Catch:{ Exception -> 0x0402 }
        r4.accUnknownDB();	 Catch:{ Exception -> 0x0402 }
    L_0x03f7:
        r4 = r1.mHisQoEChrDAO;	 Catch:{ Exception -> 0x0402 }
        r4.insertRecordByLoc();	 Catch:{ Exception -> 0x0402 }
        r4 = r1.mHisQoEChrService;	 Catch:{ Exception -> 0x0402 }
        r4.saveRecordByApp(r2);	 Catch:{ Exception -> 0x0402 }
        goto L_0x042c;
    L_0x0402:
        r0 = move-exception;
        goto L_0x0407;
    L_0x0404:
        r0 = move-exception;
        r34 = r10;
    L_0x0407:
        r4 = new java.lang.StringBuilder;
        r4.<init>();
        r5 = " assignSpaceExp2Space ";
        r4.append(r5);
        r5 = r0.getMessage();
        r4.append(r5);
        r4 = r4.toString();
        com.android.server.hidata.wavemapping.util.LogUtil.e(r4);
        if (r48 == 0) goto L_0x042c;
    L_0x0421:
        r6 = 0;
        r8 = 1;
        r9 = 0;
        r4 = r48;
        r5 = r46;
        r7 = r13;
        r4.onWaveMappingRespondCallback(r5, r6, r7, r8, r9);
    L_0x042c:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.wavemapping.statehandler.CollectUserFingersHandler.queryAppQoebyTargetNw(com.android.server.hidata.wavemapping.entity.RecognizeResult, int, int, int, com.android.server.hidata.wavemapping.IWaveMappingCallback):void");
    }

    private java.util.HashMap<java.lang.String, java.util.List> calculateAppQoeFromDatabase(java.lang.String app, java.lang.String spaceId_allAp, java.lang.String spaceId_mainAp) {
        java.lang.Exception e;
        java.util.HashMap<java.lang.String, java.util.List> resultsQoe = new java.util.HashMap();
        java.lang.StringBuilder stringBuilder;
        try {
            try {
                java.lang.StringBuilder stringBuilder2;
                java.util.HashMap<java.lang.String, java.util.List> valueQoe = this.mSpaceUserDAO.findAppQoEgroupBySpace(app, spaceId_allAp, spaceId_mainAp);
                for (java.util.Map.Entry<java.lang.String, java.util.List> entry : valueQoe.entrySet()) {
                    java.lang.String nwName = (java.lang.String) entry.getKey();
                    java.util.List qoeRaw = (java.util.List) entry.getValue();
                    if (qoeRaw == null) {
                        com.android.server.hidata.wavemapping.util.LogUtil.w(" qoe record invalid, qoeRaw=null");
                        return resultsQoe;
                    } else if (qoeRaw.size() < 4) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append(" qoe record invalid, qoeRaw size=");
                        stringBuilder.append(qoeRaw.size());
                        com.android.server.hidata.wavemapping.util.LogUtil.w(stringBuilder.toString());
                        return resultsQoe;
                    } else {
                        java.util.HashMap<java.lang.String, java.util.List> valueQoe2;
                        int type = ((java.lang.Integer) qoeRaw.get(0)).intValue();
                        int duration = ((java.lang.Integer) qoeRaw.get(3)).intValue();
                        int good = ((java.lang.Integer) qoeRaw.get(4)).intValue();
                        int poor = ((java.lang.Integer) qoeRaw.get(5)).intValue();
                        if (duration > this.param.getAppTH_duration_min()) {
                            if (poor > this.param.getAppTH_poorCnt_min()) {
                                float ratio;
                                if (good > this.param.getAppTH_goodCnt_min()) {
                                    valueQoe2 = valueQoe;
                                    ratio = (((float) poor) * 1.0f) / (((float) good) * 1065353216);
                                } else {
                                    valueQoe2 = valueQoe;
                                    ratio = (((float) poor) * 5000.0f) / (((float) duration) * 1.0f);
                                }
                                valueQoe = ratio;
                                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                                stringBuilder3.append(" have poor, network=");
                                stringBuilder3.append(nwName);
                                stringBuilder3.append(", poor ratio=");
                                stringBuilder3.append(valueQoe);
                                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder3.toString());
                            } else {
                                valueQoe2 = valueQoe;
                                valueQoe = new java.lang.StringBuilder();
                                valueQoe.append(" too less poor=");
                                valueQoe.append(poor);
                                valueQoe.append(", network=");
                                valueQoe.append(nwName);
                                com.android.server.hidata.wavemapping.util.LogUtil.i(valueQoe.toString());
                                valueQoe = null;
                            }
                            qoeRaw.add(java.lang.Float.valueOf(valueQoe));
                            resultsQoe.put(nwName, qoeRaw);
                            com.android.server.hidata.wavemapping.util.LogUtil.d(" add history Qoe");
                        } else {
                            valueQoe2 = valueQoe;
                            stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append(" too less duration = ");
                            stringBuilder2.append(duration);
                            stringBuilder2.append(", network=");
                            stringBuilder2.append(nwName);
                            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
                        }
                        valueQoe = valueQoe2;
                    }
                }
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append(" record size:");
                stringBuilder2.append(resultsQoe.size());
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
            } catch (java.lang.Exception e2) {
                e = e2;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" saveSpaceExptoDatabase ");
                stringBuilder.append(e.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                return resultsQoe;
            }
        } catch (java.lang.Exception e3) {
            e = e3;
            java.lang.String str = app;
            java.lang.String str2 = spaceId_allAp;
            java.lang.String str3 = spaceId_mainAp;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" saveSpaceExptoDatabase ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return resultsQoe;
        }
        return resultsQoe;
    }

    private java.lang.String getTime(long time) {
        return new java.text.SimpleDateFormat("yyyy/MM/dd HH:mm:ss.SSS", java.util.Locale.getDefault()).format(new java.util.Date(time));
    }

    private void setNewStartTime(com.android.server.hidata.wavemapping.entity.HwWmpAppInfo info) {
        if (this.saveAppInfo.isEmpty() || !this.saveAppInfo.containsKey(info.getAppName())) {
            com.android.server.hidata.wavemapping.entity.HwWmpAppInfo newInfo = new com.android.server.hidata.wavemapping.entity.HwWmpAppInfo(8);
            newInfo.copyObjectValue(info);
            newInfo.setStartTime(java.lang.System.currentTimeMillis());
            if (newInfo.getAppName() != null) {
                this.saveAppInfo.put(newInfo.getAppName(), newInfo);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" setNewStartTime - new, ");
                stringBuilder.append(newInfo.toString());
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                return;
            }
            com.android.server.hidata.wavemapping.util.LogUtil.w(" getAppName == null");
            return;
        }
        ((com.android.server.hidata.wavemapping.entity.HwWmpAppInfo) this.saveAppInfo.get(info.getAppName())).setStartTime(java.lang.System.currentTimeMillis());
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append(" setNewStartTime - update, ");
        stringBuilder2.append(info.toString());
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
    }

    private void updateStartTime(java.lang.String app, int net) {
        java.lang.StringBuilder stringBuilder;
        if (this.saveAppInfo.isEmpty() || !this.saveAppInfo.containsKey(app)) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" updateStartTime, no this app:");
            stringBuilder.append(app);
            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
            return;
        }
        ((com.android.server.hidata.wavemapping.entity.HwWmpAppInfo) this.saveAppInfo.get(app)).setStartTime(java.lang.System.currentTimeMillis());
        ((com.android.server.hidata.wavemapping.entity.HwWmpAppInfo) this.saveAppInfo.get(app)).setConMgrNetworkType(net);
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(" updateStartTime, update app:");
        stringBuilder.append(app);
        stringBuilder.append(", appNwType:");
        stringBuilder.append(net);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
    }

    private void resetTime(java.lang.String appName) {
        if (this.saveAppInfo.isEmpty()) {
            com.android.server.hidata.wavemapping.util.LogUtil.i(" no saved APP");
            return;
        }
        if (this.saveAppInfo.containsKey(appName)) {
            this.saveAppInfo.remove(appName);
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(" resetTime, app:");
        stringBuilder.append(appName);
        com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
    }

    public void checkConnectivityState() {
        android.os.Bundle connectivity = com.android.server.hidata.wavemapping.util.NetUtil.getConnectedNetworkState(this.mContext);
        boolean wifiState = connectivity.getBoolean("wifi");
        boolean mobileState = connectivity.getBoolean("mobile");
        int defaultType = connectivity.getInt("defaultType");
        if (this.mCHRUserPrefDetermineSwitch) {
            if (!this.mCHRUserPrefAutoSwitch && !this.mUserOperation && this.mCHRUserPrefSwitchNWName.equals(connectivity.getString("defaultNwName")) && defaultType == this.mCHRUserPrefSwitchNWType) {
                this.mCHRUserPrefAutoSwitch = true;
                this.mCHRUserPrefAutoSwitchTime = java.lang.System.currentTimeMillis();
            }
            if (!this.mCHRUserPrefManualSwitch && this.mUserOperation && this.mDestNetworkId.equals("UNKNOWN") && !this.mCHRUserPrefAutoSwitch && this.mCHRUserPrefSwitchNWName.equals(connectivity.getString("defaultNwName")) && defaultType == this.mCHRUserPrefSwitchNWType) {
                this.mCHRUserPrefManualSwitch = true;
                this.mCHRUserPrefManualSwitchTime = java.lang.System.currentTimeMillis();
            }
            if (!this.mCHRUserPrefManualSwitch && this.mUserOperation && this.mDestNetworkId.equals("UNKNOWN") && this.mCHRUserPrefAutoSwitch && this.mCHRUserPrefOriginalNWName.equals(connectivity.getString("defaultNwName")) && defaultType == this.mCHRUserPrefOriginalNWType) {
                this.mCHRUserPrefManualSwitch = true;
                this.mCHRUserPrefManualSwitchTime = java.lang.System.currentTimeMillis();
            }
        }
        if (wifiState && !this.connectedWifi) {
            com.android.server.hidata.wavemapping.util.LogUtil.i("checkConnectivityState, wifi start");
            setNewStartTime(new com.android.server.hidata.wavemapping.entity.HwWmpAppInfo(1));
            backupWifiInfo();
            this.connectedWifi = true;
        } else if (!wifiState && this.connectedWifi) {
            com.android.server.hidata.wavemapping.util.LogUtil.i("checkConnectivityState, wifi end");
            updateWifiDurationEnd();
            this.connectedWifi = false;
        }
        if (mobileState && !this.connectedMobile) {
            com.android.server.hidata.wavemapping.util.LogUtil.i("checkConnectivityState, mobile start");
            setNewStartTime(new com.android.server.hidata.wavemapping.entity.HwWmpAppInfo(0));
            this.connectedMobile = true;
        } else if (!mobileState && this.connectedMobile) {
            com.android.server.hidata.wavemapping.util.LogUtil.i("checkConnectivityState, mobile end");
            updateMobileDurationEnd();
            this.connectedMobile = false;
        }
        java.lang.StringBuilder stringBuilder;
        if (defaultType == 8 || !this.mDestNetworkId.equals("UNKNOWN")) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Not setup mDestNetworkId, defaultType=");
            stringBuilder.append(defaultType);
            stringBuilder.append(", DestNetworkId=");
            stringBuilder.append(this.mDestNetworkId);
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
        } else if (!this.isDestNetworkCellular && 1 == defaultType) {
            this.mDestNetworkId = connectivity.getString("defaultNwId");
            this.mDestNetworkName = connectivity.getString("defaultNwName");
            this.mDestNetworkFreq = connectivity.getString("defaultNwFreq");
            this.mDestNetworkType = 1;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("CONNECTIVITY_ACTION WIFI connected: mDestNetworkName:");
            stringBuilder.append(this.mDestNetworkName);
            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("                                    mDestNetworkId:");
            stringBuilder.append(this.mDestNetworkId);
            com.android.server.hidata.wavemapping.util.LogUtil.v(stringBuilder.toString());
        } else if (this.isDestNetworkCellular && defaultType == 0) {
            this.mDestNetworkId = connectivity.getString("defaultNwId");
            this.mDestNetworkName = connectivity.getString("defaultNwName");
            this.mDestNetworkFreq = connectivity.getString("defaultNwFreq");
            this.mDestNetworkType = 0;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("CONNECTIVITY_ACTION MOBILE connected: mDestNetworkName:");
            stringBuilder.append(this.mDestNetworkName);
            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("                                      mDestNetworkId:");
            stringBuilder.append(this.mDestNetworkId);
            com.android.server.hidata.wavemapping.util.LogUtil.v(stringBuilder.toString());
        }
        checkAppCurrentNetwork();
    }

    private void checkAppCurrentNetwork() {
        com.android.server.hidata.wavemapping.util.LogUtil.i("checkAppCurrentNetwork ");
        if (!this.saveAppInfo.isEmpty()) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("              ,saveAppInfo size=");
            stringBuilder.append(this.saveAppInfo.size());
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
            for (java.util.Map.Entry<java.lang.String, com.android.server.hidata.wavemapping.entity.HwWmpAppInfo> entry : this.saveAppInfo.entrySet()) {
                java.lang.String app = (java.lang.String) entry.getKey();
                com.android.server.hidata.wavemapping.entity.HwWmpAppInfo info = (com.android.server.hidata.wavemapping.entity.HwWmpAppInfo) entry.getValue();
                int nwType = info.getConMgrNetworkType();
                int uid = info.getAppUid();
                if (info.isNormalApp()) {
                    int arbitrationNwType = com.android.server.hidata.arbitration.HwArbitrationFunction.getCurrentNetwork(this.mContext, uid);
                    int currConMgrNwType = 8;
                    if (800 == arbitrationNwType) {
                        currConMgrNwType = 1;
                    } else if (801 == arbitrationNwType) {
                        currConMgrNwType = 0;
                    }
                    if (currConMgrNwType != nwType) {
                        updateAppNetwork(app, currConMgrNwType);
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("  network change, app=");
                        stringBuilder2.append(app);
                        stringBuilder2.append(", from ");
                        stringBuilder2.append(nwType);
                        stringBuilder2.append(" to ");
                        stringBuilder2.append(currConMgrNwType);
                        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                    }
                }
            }
        }
    }

    public boolean checkOutOf4GCoverage(boolean restart) {
        android.os.Bundle cellInfo = com.android.server.hidata.wavemapping.util.NetUtil.getMobileDataState(this.mContext);
        boolean callIdle = com.android.server.hidata.wavemapping.util.NetUtil.isMobileCallStateIdle(this.mContext);
        if (!this.param.getBack4GEnabled()) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("Fast Back 4G Feature - Disabled");
            return false;
        } else if (!callIdle) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("checkOutOf4GCoverage: call exists");
            resetOut4GBeginTime();
            this.handler.removeCallbacks(this.periodicOutof4GHandler);
            return false;
        } else if (cellInfo == null || !cellInfo.containsKey("cellRAT")) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("checkOutOf4GCoverage: null cell RAT, last outof4Gflag=");
            stringBuilder.append(false);
            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
            resetOut4GBeginTime();
            this.handler.removeCallbacks(this.periodicOutof4GHandler);
            return false;
        } else {
            boolean outof4G;
            java.lang.StringBuilder stringBuilder2;
            java.lang.String RAT = cellInfo.getString("cellRAT", "UNKNOWN");
            java.lang.String mState = cellInfo.getString("cellState", "DISABLED");
            int mService = cellInfo.getInt("cellService");
            if (!mState.equals("DISABLED")) {
                if (mService == 0) {
                    if (RAT.equals("4G")) {
                        outof4G = false;
                        resetOut4GBeginTime();
                        this.handler.removeCallbacks(this.periodicOutof4GHandler);
                        if (!this.back4g_begin) {
                            com.android.server.hidata.wavemapping.util.LogUtil.i(" once back to 4G");
                            this.back4g_begin = true;
                            this.back4g_restartCnt = 0;
                            this.mMachineHandler.sendEmptyMessage(141);
                            this.mFastBack2LteChrDAO.insertRecordByLoc();
                        }
                    } else {
                        outof4G = true;
                        this.back4g_begin = false;
                        int cell4gNum = 0;
                        android.os.Bundle record4g = this.mSpaceUserDAO.find4gCoverageByCurrLoc();
                        if (record4g.containsKey("cell_num")) {
                            cell4gNum = record4g.getInt("cell_num");
                        }
                        if (cell4gNum == 0) {
                            com.android.server.hidata.wavemapping.util.LogUtil.d("checkOutOf4GCoverage: no 4G cell in this freq location, not trigger searching 4G process");
                        } else if (0 == this.outof4G_begin) {
                            this.outof4G_begin = java.lang.System.currentTimeMillis();
                            this.back4g_restartCnt = 0;
                            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                            stringBuilder3.append("checkOutOf4GCoverage: 1st out to 4G, begin time=");
                            stringBuilder3.append(this.outof4G_begin);
                            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder3.toString());
                            this.mFastBack2LteChrDAO.addlowRatCnt();
                            this.handler.postDelayed(this.periodicOutof4GHandler, (long) this.param.getBack4GTH_out4G_interval());
                        } else if (restart) {
                            java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                            stringBuilder4.append("checkOutOf4GCoverage: restart(");
                            stringBuilder4.append(this.back4g_restartCnt);
                            stringBuilder4.append(")");
                            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder4.toString());
                            if (this.back4g_restartCnt < 10) {
                                this.handler.postDelayed(this.periodicOutof4GHandler, (long) (this.param.getBack4GTH_out4G_interval() * 2));
                                this.back4g_restartCnt++;
                            }
                        } else {
                            long duration_outof4G = java.lang.System.currentTimeMillis() - this.outof4G_begin;
                            java.lang.StringBuilder stringBuilder5 = new java.lang.StringBuilder();
                            stringBuilder5.append("checkOutOf4GCoverage: already out to 4G, duration=");
                            stringBuilder5.append(duration_outof4G);
                            stringBuilder5.append(", TH=");
                            stringBuilder5.append(this.param.getBack4GTH_out4G_interval());
                            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder5.toString());
                            if (((long) this.param.getBack4GTH_out4G_interval()) < duration_outof4G) {
                                this.handler.removeCallbacks(this.periodicOutof4GHandler);
                                this.mMachineHandler.sendEmptyMessage(140);
                            } else {
                                this.handler.postDelayed(this.periodicOutof4GHandler, (long) this.param.getBack4GTH_out4G_interval());
                            }
                        }
                    }
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("checkOutOf4GCoverage: out of 4G=");
                    stringBuilder2.append(outof4G);
                    stringBuilder2.append(", RAT=");
                    stringBuilder2.append(RAT);
                    com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
                    return outof4G;
                }
            }
            outof4G = false;
            this.handler.removeCallbacks(this.periodicOutof4GHandler);
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("checkOutOf4GCoverage: Data Disabled(");
            stringBuilder2.append(mState);
            stringBuilder2.append(") or OOS(");
            stringBuilder2.append(mService);
            stringBuilder2.append("), then stop searching 4G process");
            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("checkOutOf4GCoverage: out of 4G=");
            stringBuilder2.append(outof4G);
            stringBuilder2.append(", RAT=");
            stringBuilder2.append(RAT);
            com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder2.toString());
            return outof4G;
        }
    }

    public void resetOut4GBeginTime() {
        this.outof4G_begin = 0;
    }

    private android.os.Bundle getSpecifiedDataState(int networkType) {
        android.os.Bundle wifiInfo;
        android.os.Bundle output = new android.os.Bundle();
        boolean valid = false;
        java.lang.String nwName = "UNKNOWN";
        java.lang.String nwId = "UNKNOWN";
        java.lang.String nwFreq = "UNKNOWN";
        java.lang.String signal = "UNKNOWN";
        if (1 == networkType) {
            wifiInfo = com.android.server.hidata.wavemapping.util.NetUtil.getWifiStateString(this.mContext);
            nwName = wifiInfo.getString("wifiAp", "UNKNOWN");
            nwId = wifiInfo.getString("wifiMAC", "UNKNOWN");
            nwFreq = wifiInfo.getString("wifiCh", "UNKNOWN");
            signal = wifiInfo.getString("wifiRssi", "0");
            if (!(nwName == null || nwId == null || nwFreq == null)) {
                valid = true;
                backupWifiInfo();
            }
        }
        if (networkType == 0) {
            wifiInfo = com.android.server.hidata.wavemapping.util.NetUtil.getMobileDataState(this.mContext);
            nwName = wifiInfo.getString("cellRAT", "UNKNOWN");
            nwId = wifiInfo.getString("cellId", "UNKNOWN");
            nwFreq = wifiInfo.getString("cellFreq", "UNKNOWN");
            signal = wifiInfo.getString("cellRssi", "UNKNOWN");
            if (!(nwName == null || nwId == null || nwFreq == null)) {
                valid = true;
                backupCellInfo();
            }
        }
        output.putBoolean("VALID", valid);
        output.putString("ID", nwId);
        output.putString("NAME", nwName);
        output.putString("FREQ", nwFreq);
        output.putString("SIGNAL", signal);
        return output;
    }

    public com.android.server.hidata.wavemapping.dao.FastBack2LteChrDAO getBack2LteChrDAO() {
        return this.mFastBack2LteChrDAO;
    }

    private void updateUserPrefCHR() {
        if (this.mCHRUserPrefDetermineSwitch) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("updateUserPrefCHR: DetermineSwitch, ");
            stringBuilder.append(this.mCHRUserPrefOriginalNWName);
            stringBuilder.append(" ->");
            stringBuilder.append(this.mCHRUserPrefSwitchNWName);
            stringBuilder.append(" Time:");
            stringBuilder.append(this.mCHRUserPrefSwitchTime);
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("updateUserPrefCHR: Auto Switch Time ");
            stringBuilder.append(this.mCHRUserPrefAutoSwitchTime);
            stringBuilder.append(" Manual Switch Time:");
            stringBuilder.append(this.mCHRUserPrefManualSwitchTime);
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
            this.mLocationDAO.accCHRUserPrefTotalSwitchbyFreqLoc(this.freqLoc);
            if (this.mCHRUserPrefAutoSwitch) {
                if (this.mCHRUserPrefManualSwitch && this.mCHRUserPrefManualSwitchTime > this.mCHRUserPrefAutoSwitchTime && this.mCHRUserPrefManualSwitchTime - this.mCHRUserPrefAutoSwitchTime < 60000) {
                    com.android.server.hidata.wavemapping.util.LogUtil.i("updateUserPrefCHR: AutoFail + 1");
                    this.mLocationDAO.accCHRUserPrefAutoFailbyFreqLoc(this.freqLoc);
                }
                if (!this.mCHRUserPrefManualSwitch) {
                    com.android.server.hidata.wavemapping.util.LogUtil.i("updateUserPrefCHR: AutoSucc + 1");
                    this.mLocationDAO.accCHRUserPrefAutoSuccbyFreqLoc(this.freqLoc);
                }
            } else if (this.mCHRUserPrefManualSwitch) {
                com.android.server.hidata.wavemapping.util.LogUtil.i("updateUserPrefCHR: ManualSucc + 1");
                this.mLocationDAO.accCHRUserPrefManualSuccbyFreqLoc(this.freqLoc);
            } else {
                com.android.server.hidata.wavemapping.util.LogUtil.i("updateUserPrefCHR: NoSwitchFail + 1");
                this.mLocationDAO.accCHRUserPrefNoSwitchFailbyFreqLoc(this.freqLoc);
            }
        }
    }

    private void clearUserPrefCHR() {
        this.mCHRUserPrefDetermineSwitch = false;
        this.mCHRUserPrefOriginalNWName = "UNKNOWN";
        this.mCHRUserPrefOriginalNWType = 8;
        this.mCHRUserPrefSwitchNWName = "UNKNOWN";
        this.mCHRUserPrefSwitchNWType = 8;
        this.mCHRUserPrefSwitchTime = 0;
        this.mCHRUserPrefAutoSwitch = false;
        this.mCHRUserPrefAutoSwitchTime = 0;
        this.mCHRUserPrefManualSwitch = false;
        this.mCHRUserPrefManualSwitchTime = 0;
    }
}
