package com.android.server.hidata.wavemapping.statehandler;

public class HwWmpFastBackLteManager {
    private static final java.lang.String TAG;
    public static final int WAVEMAPPING_DATA_BACK_TO_LTE = 304;
    private static com.android.server.hidata.wavemapping.statehandler.HwWmpFastBackLteManager mHwWmpFastBackLteManager = null;
    private android.net.booster.IHwCommBoosterServiceManager mBooster = null;

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMapping.");
        stringBuilder.append(com.android.server.hidata.wavemapping.statehandler.HwWmpFastBackLteManager.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    public HwWmpFastBackLteManager() {
        com.android.server.hidata.wavemapping.util.LogUtil.i("HwWmpFastBackLteManager");
        try {
            this.mBooster = android.common.HwFrameworkFactory.getHwCommBoosterServiceManager();
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(TAG);
            stringBuilder.append(" HwWmpFastBackLteManager ");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            e.printStackTrace();
        }
    }

    public static synchronized com.android.server.hidata.wavemapping.statehandler.HwWmpFastBackLteManager getInstance() {
        com.android.server.hidata.wavemapping.statehandler.HwWmpFastBackLteManager hwWmpFastBackLteManager;
        synchronized (com.android.server.hidata.wavemapping.statehandler.HwWmpFastBackLteManager.class) {
            if (mHwWmpFastBackLteManager == null) {
                mHwWmpFastBackLteManager = new com.android.server.hidata.wavemapping.statehandler.HwWmpFastBackLteManager();
            }
            hwWmpFastBackLteManager = mHwWmpFastBackLteManager;
        }
        return hwWmpFastBackLteManager;
    }

    public void SendDataToBooster(com.android.server.hidata.wavemapping.statehandler.HwWmpFastBackLte mBack) {
        com.android.server.hidata.wavemapping.util.LogUtil.i("SendDataToBooster");
        android.os.Bundle data = new android.os.Bundle();
        data.putInt("SubId", mBack.mSubId);
        data.putInt("PlmnId", mBack.mPlmnId);
        data.putInt("Rat", mBack.mRat);
        data.putInt("Earfcn", mBack.mEarfcn);
        data.putInt("Lai", mBack.mLai);
        data.putInt("CellId", mBack.mCellId);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Back2Lte: SubID=");
        stringBuilder.append(mBack.mSubId);
        stringBuilder.append(" PlmnId=");
        stringBuilder.append(mBack.mPlmnId);
        stringBuilder.append(" Rat=");
        stringBuilder.append(mBack.mRat);
        stringBuilder.append(" Earfcn=");
        stringBuilder.append(mBack.mEarfcn);
        stringBuilder.append(" Lai=");
        stringBuilder.append(mBack.mEarfcn);
        stringBuilder.append(" CellId=");
        stringBuilder.append(mBack.mCellId);
        com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
        int ret = this.mBooster.reportBoosterPara("com.android.server.hidata.appqoe", 304, data);
        if (ret != 0) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("reportBoosterPara failed, ret=");
            stringBuilder2.append(ret);
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
        }
    }
}
