package com.android.server.hidata.wavemapping.util;

public class FileUtils {
    public static final java.lang.String ERROR_RET = "FILE_BIGGER";
    private static final java.lang.String TAG;

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMapping.");
        stringBuilder.append(com.android.server.hidata.wavemapping.util.FileUtils.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    public static boolean delFile(java.lang.String path) {
        if (path != null) {
            if (!path.equals("")) {
                java.lang.StringBuilder stringBuilder;
                try {
                    java.io.File file = new java.io.File(path);
                    if (file.exists() && !file.delete()) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("delFile failure.path:");
                        stringBuilder.append(path);
                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                    }
                    return true;
                } catch (java.lang.Exception e) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("Exception delFile----");
                    stringBuilder.append(e);
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                    return false;
                }
            }
        }
        com.android.server.hidata.wavemapping.util.LogUtil.d(" delFile path=null || path== \"\" ");
        return false;
    }

    public static boolean mkdir(java.lang.String tileFilePath) {
        boolean ret = false;
        if (tileFilePath != null) {
            if (!tileFilePath.equals("")) {
                try {
                    java.io.File file = new java.io.File(tileFilePath);
                    if (!file.exists() && !file.isDirectory() && !file.mkdirs()) {
                        return false;
                    }
                    if (file.exists()) {
                        ret = true;
                    }
                    return ret;
                } catch (java.lang.Exception e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("Exception mkdir");
                    stringBuilder.append(e);
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                    return false;
                }
            }
        }
        com.android.server.hidata.wavemapping.util.LogUtil.e(" mkdir tileFilePath=null or tileFilePath == ");
        return false;
    }

    public static boolean addFileHead(java.lang.String filePath, java.lang.String content) {
        java.lang.StringBuilder stringBuilder;
        java.io.IOException e;
        java.io.FileOutputStream fout = null;
        java.io.OutputStreamWriter osw = null;
        try {
            if (!new java.io.File(filePath).exists()) {
                fout = new java.io.FileOutputStream(new java.io.File(filePath), true);
                osw = new java.io.OutputStreamWriter(fout, "UTF-8");
                osw.write(content);
            }
            if (osw != null) {
                try {
                    osw.flush();
                } catch (java.io.IOException e2) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("saveFile:");
                    stringBuilder.append(e2);
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                }
                closeFileStreamNotThrow(osw);
            }
            if (fout != null) {
                try {
                    fout.flush();
                } catch (java.io.IOException e3) {
                    e2 = e3;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("saveFile:");
                    stringBuilder.append(e2);
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                    closeFileStreamNotThrow(fout);
                    return true;
                }
                closeFileStreamNotThrow(fout);
            }
        } catch (java.lang.Exception e4) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("addFileHead failure.filePath:");
            stringBuilder.append(filePath);
            stringBuilder.append(",content:");
            stringBuilder.append(content);
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            if (osw != null) {
                try {
                    osw.flush();
                } catch (java.io.IOException e22) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("saveFile:");
                    stringBuilder.append(e22);
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                }
                closeFileStreamNotThrow(osw);
            }
            if (fout != null) {
                try {
                    fout.flush();
                } catch (java.io.IOException e5) {
                    e22 = e5;
                    stringBuilder = new java.lang.StringBuilder();
                }
            }
        } catch (Throwable th) {
            if (osw != null) {
                try {
                    osw.flush();
                } catch (java.io.IOException e222) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("saveFile:");
                    stringBuilder.append(e222);
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                }
                closeFileStreamNotThrow(osw);
            }
            if (fout != null) {
                try {
                    fout.flush();
                } catch (java.io.IOException e2222) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("saveFile:");
                    stringBuilder.append(e2222);
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                }
                closeFileStreamNotThrow(fout);
            }
        }
        return true;
    }

    public static boolean writeFile(java.lang.String filePath, java.lang.String content) {
        java.lang.StringBuilder stringBuilder;
        java.io.IOException e;
        java.lang.StringBuilder stringBuilder2;
        java.io.File tgFile = new java.io.File(filePath);
        java.io.FileOutputStream fout = null;
        java.io.OutputStreamWriter osw = null;
        boolean ret = false;
        try {
            if (!tgFile.exists()) {
                tgFile = new java.io.File(filePath);
            }
            fout = new java.io.FileOutputStream(tgFile, true);
            osw = new java.io.OutputStreamWriter(fout, "UTF-8");
            osw.write(content);
            ret = true;
            try {
                osw.flush();
            } catch (java.io.IOException e2) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("saveFile:");
                stringBuilder.append(e2);
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            }
            closeFileStreamNotThrow(osw);
            try {
                fout.flush();
            } catch (java.io.IOException e3) {
                e2 = e3;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("saveFile:");
                stringBuilder.append(e2);
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                closeFileStreamNotThrow(fout);
                return ret;
            }
        } catch (java.lang.Exception e4) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("writeFile failure.filePath:");
            stringBuilder.append(filePath);
            stringBuilder.append(",content:");
            stringBuilder.append(content);
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            if (osw != null) {
                try {
                    osw.flush();
                } catch (java.io.IOException e22) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("saveFile:");
                    stringBuilder.append(e22);
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                }
                closeFileStreamNotThrow(osw);
            }
            if (fout != null) {
                try {
                    fout.flush();
                } catch (java.io.IOException e5) {
                    e22 = e5;
                    stringBuilder = new java.lang.StringBuilder();
                }
            }
        } catch (Throwable th) {
            if (osw != null) {
                try {
                    osw.flush();
                } catch (java.io.IOException e6) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("saveFile:");
                    stringBuilder2.append(e6);
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
                }
                closeFileStreamNotThrow(osw);
            }
            if (fout != null) {
                try {
                    fout.flush();
                } catch (java.io.IOException e62) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("saveFile:");
                    stringBuilder2.append(e62);
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
                }
                closeFileStreamNotThrow(fout);
            }
        }
        closeFileStreamNotThrow(fout);
        return ret;
    }

    public static boolean saveFile(java.lang.String filePath, java.lang.String content) {
        java.lang.StringBuilder stringBuilder;
        java.io.IOException e;
        java.lang.StringBuilder stringBuilder2;
        java.io.BufferedWriter bfw = null;
        boolean ret = false;
        java.io.FileOutputStream writerStream = null;
        try {
            writerStream = new java.io.FileOutputStream(filePath);
            bfw = new java.io.BufferedWriter(new java.io.OutputStreamWriter(writerStream, "UTF-8"));
            bfw.write(content);
            bfw.newLine();
            ret = true;
            try {
                bfw.flush();
            } catch (java.io.IOException e2) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("saveFile:");
                stringBuilder.append(e2);
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            }
            closeFileStreamNotThrow(bfw);
            try {
                writerStream.flush();
            } catch (java.io.IOException e3) {
                e2 = e3;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("saveFile:");
                stringBuilder.append(e2);
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                closeFileStreamNotThrow(writerStream);
                return ret;
            }
        } catch (java.io.IOException e22) {
            e22.printStackTrace();
            if (bfw != null) {
                try {
                    bfw.flush();
                } catch (java.io.IOException e222) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("saveFile:");
                    stringBuilder.append(e222);
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                }
                closeFileStreamNotThrow(bfw);
            }
            if (writerStream != null) {
                try {
                    writerStream.flush();
                } catch (java.io.IOException e4) {
                    e222 = e4;
                    stringBuilder = new java.lang.StringBuilder();
                }
            }
        } catch (java.lang.Exception e5) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("saveFile,e");
            stringBuilder.append(e5.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            if (bfw != null) {
                try {
                    bfw.flush();
                } catch (java.io.IOException e2222) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("saveFile:");
                    stringBuilder.append(e2222);
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                }
                closeFileStreamNotThrow(bfw);
            }
            if (writerStream != null) {
                try {
                    writerStream.flush();
                } catch (java.io.IOException e6) {
                    e2222 = e6;
                    stringBuilder = new java.lang.StringBuilder();
                }
            }
        } catch (Throwable th) {
            if (bfw != null) {
                try {
                    bfw.flush();
                } catch (java.io.IOException e7) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("saveFile:");
                    stringBuilder2.append(e7);
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
                }
                closeFileStreamNotThrow(bfw);
            }
            if (writerStream != null) {
                try {
                    writerStream.flush();
                } catch (java.io.IOException e72) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("saveFile:");
                    stringBuilder2.append(e72);
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
                }
                closeFileStreamNotThrow(writerStream);
            }
        }
        closeFileStreamNotThrow(writerStream);
        return ret;
    }

    public static java.lang.String getFileContent(java.lang.String fPath) {
        java.lang.String res = "";
        if (fPath == null || fPath.equals("")) {
            return res;
        }
        java.io.FileInputStream fin = null;
        try {
            if (new java.io.File(fPath).isFile()) {
                fin = new java.io.FileInputStream(fPath);
                int length = fin.available();
                if (length > 25000000) {
                    java.lang.String str = "FILE_BIGGER";
                    closeFileStreamNotThrow(fin);
                    return str;
                }
                byte[] buffer = new byte[length];
                if (fin.read(buffer) != -1) {
                    res = new java.lang.String(buffer, "utf-8");
                }
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getFileContent,e");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        } catch (Throwable th) {
            closeFileStreamNotThrow(fin);
        }
        closeFileStreamNotThrow(fin);
        return res;
    }

    public static boolean isFileExists(java.lang.String fPath) {
        if (fPath != null) {
            if (!fPath.equals("")) {
                java.lang.String res = "";
                try {
                    if (new java.io.File(fPath).isFile()) {
                        return true;
                    }
                    return false;
                } catch (java.lang.Exception e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("isFileExists:");
                    stringBuilder.append(e);
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                }
            }
        }
        return false;
    }

    public static long getDirSize(java.io.File file) {
        if (file == null) {
            try {
                com.android.server.hidata.wavemapping.util.LogUtil.e(" getDirSize file=null ");
                return 0;
            } catch (java.lang.Exception e) {
                if (file != null) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("getDirSize e:");
                    stringBuilder.append(e);
                    stringBuilder.append(",file=");
                    stringBuilder.append(file.getAbsolutePath());
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                }
                return 0;
            }
        } else if (!file.exists()) {
            com.android.server.hidata.wavemapping.util.LogUtil.d("getDirSize file do not exist!");
            return 0;
        } else if (!file.isDirectory()) {
            return file.length();
        } else {
            java.io.File[] children = file.listFiles();
            long size = 0;
            if (children != null) {
                for (java.io.File f : children) {
                    size += getDirSize(f);
                }
            }
            return size;
        }
    }

    private static void closeFileStreamNotThrow(java.io.Closeable fis) {
        if (fis != null) {
            try {
                fis.close();
            } catch (java.io.IOException e) {
            }
        }
    }
}
