package com.android.server.hidata.wavemapping.util;

public class GetStd {
    public float getAverage(java.util.List<java.lang.Float> array) {
        float sum = 0.0f;
        if (array == null) {
            return 0.0f;
        }
        int num = array.size();
        if (num == 0) {
            return 0.0f;
        }
        int i = 0;
        while (i < num) {
            try {
                sum += ((java.lang.Float) array.get(i)).floatValue();
                i++;
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("LocatingState,e");
                stringBuilder.append(e.getMessage());
                com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            }
        }
        return sum / ((float) num);
    }

    public float getStandardDevition(java.util.List<java.lang.Float> arr) {
        float ret = 0.0f;
        if (arr == null || arr.size() == 0) {
            return 0.0f;
        }
        double sum = 0.0d;
        try {
            java.util.List<java.lang.Float> result = new java.util.ArrayList();
            for (java.lang.Float ar : arr) {
                if (ar.floatValue() != -100.0f) {
                    result.add(ar);
                }
            }
            int size = result.size();
            if (size != 1) {
                if (size != 0) {
                    float avg = getAverage(result);
                    for (int i = 0; i < size; i++) {
                        sum += (((double) ((java.lang.Float) result.get(i)).floatValue()) - ((double) avg)) * (((double) ((java.lang.Float) result.get(i)).floatValue()) - ((double) avg));
                    }
                    ret = (float) java.lang.Math.sqrt(sum / ((double) (size - 1)));
                    return ret;
                }
            }
            return 0.0f;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("LocatingState,e");
            stringBuilder.append(e.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
        }
    }
}
