package com.android.server.hidata.wavemapping.util;

public class LogUtil {
    private static boolean debug_flag = false;
    private static boolean showD = true;
    private static boolean showE = true;
    private static boolean showI = false;
    private static boolean showV = false;
    private static boolean showW = true;
    private static boolean showWTF = true;
    private static final java.lang.String tagPrefix = "WMapping.091001.";

    private static java.lang.String generateTag() {
        java.lang.String tag = "%s.%s(L:%d)";
        java.lang.StringBuilder stringBuilder;
        try {
            java.lang.StackTraceElement stackTraceElement = java.lang.Thread.currentThread().getStackTrace()[4];
            if (stackTraceElement == null) {
                return "WMapping.091001.";
            }
            java.lang.String callerClazzName = stackTraceElement.getClassName();
            if (callerClazzName == null) {
                return "WMapping.091001.";
            }
            java.lang.String str;
            callerClazzName = callerClazzName.substring(callerClazzName.lastIndexOf(".") + 1);
            tag = java.lang.String.format(tag, new java.lang.Object[]{callerClazzName, stackTraceElement.getMethodName(), java.lang.Integer.valueOf(stackTraceElement.getLineNumber())});
            if (android.text.TextUtils.isEmpty("WMapping.091001.")) {
                str = tag;
            } else {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("WMapping.091001.");
                stringBuilder.append(tag);
                str = stringBuilder.toString();
            }
            tag = str;
            return tag;
        } catch (java.lang.Exception e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" e:");
            stringBuilder.append(e);
            android.util.Log.e("PG.LogUtil", stringBuilder.toString());
        }
    }

    public static void v(java.lang.String msg) {
        try {
            if (showV) {
                android.util.Log.v(generateTag(), msg);
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" e:");
            stringBuilder.append(e);
            android.util.Log.e("PG.LogUtil", stringBuilder.toString());
        }
    }

    public static void v(java.lang.String msg, java.lang.Throwable tr) {
        try {
            if (showV) {
                android.util.Log.v(generateTag(), msg, tr);
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" e:");
            stringBuilder.append(e);
            android.util.Log.e("PG.LogUtil", stringBuilder.toString());
        }
    }

    public static void d(java.lang.String msg) {
        try {
            if (showD) {
                android.util.Log.d(generateTag(), msg);
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" e:");
            stringBuilder.append(e);
            android.util.Log.e("PG.LogUtil", stringBuilder.toString());
        }
    }

    public static void d(java.lang.String msg, java.lang.Throwable tr) {
        try {
            if (showD) {
                android.util.Log.d(generateTag(), msg, tr);
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" e:");
            stringBuilder.append(e);
            android.util.Log.e("PG.LogUtil", stringBuilder.toString());
        }
    }

    public static void i(java.lang.String msg) {
        try {
            if (showI) {
                android.util.Log.i(generateTag(), msg);
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" e:");
            stringBuilder.append(e);
            android.util.Log.e("PG.LogUtil", stringBuilder.toString());
        }
    }

    public static void i(java.lang.String msg, java.lang.Throwable tr) {
        try {
            if (showI) {
                android.util.Log.i(generateTag(), msg, tr);
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" e:");
            stringBuilder.append(e);
            android.util.Log.e("PG.LogUtil", stringBuilder.toString());
        }
    }

    public static void w(java.lang.String msg) {
        try {
            if (showW) {
                android.util.Log.w(generateTag(), msg);
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" e:");
            stringBuilder.append(e);
            android.util.Log.e("PG.LogUtil", stringBuilder.toString());
        }
    }

    public static void w(java.lang.String msg, java.lang.Throwable tr) {
        try {
            if (showW) {
                android.util.Log.w(generateTag(), msg, tr);
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" e:");
            stringBuilder.append(e);
            android.util.Log.e("PG.LogUtil", stringBuilder.toString());
        }
    }

    public static void e(java.lang.String msg) {
        try {
            if (showE) {
                android.util.Log.e(generateTag(), msg);
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" e:");
            stringBuilder.append(e);
            android.util.Log.e("PG.LogUtil", stringBuilder.toString());
        }
    }

    public static void e(java.lang.String msg, java.lang.Throwable tr) {
        try {
            if (showE) {
                android.util.Log.e(generateTag(), msg, tr);
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" e:");
            stringBuilder.append(e);
            android.util.Log.e("PG.LogUtil", stringBuilder.toString());
        }
    }

    public static void wtf(java.lang.String msg) {
        try {
            if (showWTF) {
                android.util.Log.wtf(generateTag(), msg);
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" e:");
            stringBuilder.append(e);
            android.util.Log.e("PG.LogUtil", stringBuilder.toString());
        }
    }

    public static void wtLogFile(java.lang.String msg) {
        java.lang.StringBuilder stringBuilder;
        try {
            if (showI) {
                java.lang.String tag = generateTag();
                java.lang.String logFilePath = com.android.server.hidata.wavemapping.cons.Constant.getLogFilePath();
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(tag);
                stringBuilder.append(msg);
                com.android.server.hidata.wavemapping.util.FileUtils.writeFile(logFilePath, stringBuilder.toString());
                android.util.Log.i(tag, msg);
            }
        } catch (java.lang.Exception e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" e:");
            stringBuilder.append(e);
            android.util.Log.e("PG.LogUtil", stringBuilder.toString());
        }
    }

    public static void wtf(java.lang.String msg, java.lang.Throwable tr) {
        try {
            if (showWTF) {
                android.util.Log.wtf(generateTag(), msg, tr);
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" e:");
            stringBuilder.append(e);
            android.util.Log.e("PG.LogUtil", stringBuilder.toString());
        }
    }

    public static boolean isShowV() {
        return showV;
    }

    public static void setShowV(boolean showV) {
        showV = showV;
    }

    public static boolean isShowD() {
        return showD;
    }

    public static void setShowD(boolean showD) {
        showD = showD;
    }

    public static boolean isShowI() {
        return showI;
    }

    public static void setShowI(boolean showI) {
        showI = showI;
    }

    public static boolean isShowW() {
        return showW;
    }

    public static void setShowW(boolean showW) {
        showW = showW;
    }

    public static boolean isShowE() {
        return showE;
    }

    public static void setShowE(boolean showE) {
        showE = showE;
    }

    public static boolean getDebug_flag() {
        return debug_flag;
    }

    public static void setDebug_flag(boolean flag) {
        debug_flag = flag;
    }
}
