package com.android.server.hidata.wavemapping.util;

public class NetUtil {
    private static final java.lang.String TAG;
    public static final java.lang.String UNKNOWN_STR = "UNKNOWN";

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMapping.");
        stringBuilder.append(com.android.server.hidata.wavemapping.util.NetUtil.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    public static android.os.Bundle getWifiStateString(android.content.Context context) {
        android.content.Context context2 = context;
        android.os.Bundle output = new android.os.Bundle();
        boolean wifiConnected = false;
        java.lang.String wifiStateStr = "UNKNOWN";
        java.lang.String wifiAp = "UNKNOWN";
        java.lang.String wifiMAC = "UNKNOWN";
        java.lang.String wifiCh = "UNKNOWN";
        java.lang.String wifiLinkSpeed = "UNKNOWN";
        java.lang.String wifiRssi = "UNKNOWN";
        try {
            android.net.wifi.WifiManager myWifiManager = (android.net.wifi.WifiManager) context2.getSystemService("wifi");
            if (myWifiManager == null) {
                com.android.server.hidata.wavemapping.util.LogUtil.d("getWifiStateString:myWifiManager == null");
                return output;
            }
            android.net.ConnectivityManager myConMgr = (android.net.ConnectivityManager) context2.getSystemService("connectivity");
            if (myConMgr == null) {
                com.android.server.hidata.wavemapping.util.LogUtil.d("getWifiStateString:myConMgr == null");
                return output;
            }
            switch (myWifiManager.getWifiState()) {
                case 0:
                    wifiStateStr = "DISABLING";
                    break;
                case 1:
                    wifiStateStr = "DISABLED";
                    break;
                case 2:
                    wifiStateStr = "ENABLING";
                    break;
                case 3:
                    wifiStateStr = "ENABLED";
                    break;
                default:
                    wifiStateStr = "UNKNOWN";
                    break;
            }
            if (myWifiManager.isWifiEnabled()) {
                android.net.Network[] networks = myConMgr.getAllNetworks();
                if (networks != null) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("networks size is ");
                    stringBuilder.append(java.lang.String.valueOf(networks.length));
                    com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                    int i = 0;
                    while (i < networks.length) {
                        android.net.NetworkInfo netInfo = myConMgr.getNetworkInfo(networks[i]);
                        if (netInfo != null) {
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("networksInfo is ");
                            stringBuilder2.append(netInfo.toString());
                            com.android.server.hidata.wavemapping.util.LogUtil.v(stringBuilder2.toString());
                            if (netInfo.getType() == 1 && android.net.NetworkInfo.DetailedState.CONNECTED == netInfo.getDetailedState()) {
                                wifiConnected = true;
                            }
                        }
                        i++;
                        context2 = context;
                    }
                }
                if (!wifiConnected) {
                    com.android.server.hidata.wavemapping.util.LogUtil.d("wifi NOT connected");
                    wifiStateStr = "DISCONNECTED";
                }
                android.net.wifi.WifiInfo wifiInfo = myWifiManager.getConnectionInfo();
                if (!(wifiInfo == null || wifiInfo.getBSSID() == null)) {
                    wifiAp = wifiInfo.getSSID();
                    wifiMAC = wifiInfo.getBSSID();
                    wifiCh = java.lang.Integer.toString(wifiInfo.getFrequency());
                    wifiLinkSpeed = java.lang.Integer.toString(wifiInfo.getLinkSpeed());
                    wifiRssi = java.lang.Integer.toString(wifiInfo.getRssi());
                    output.putString("wifiState", wifiStateStr);
                    output.putString("wifiAp", wifiAp);
                    output.putString("wifiMAC", wifiMAC);
                    output.putString("wifiCh", wifiCh);
                    output.putString("wifiLS", wifiLinkSpeed);
                    output.putString("wifiRssi", wifiRssi);
                }
            } else {
                com.android.server.hidata.wavemapping.util.LogUtil.i("wifi NOT enabled");
            }
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append(" getWifiStateString, current Ssid=");
            stringBuilder3.append(output.getString("wifiAp", "UNKNOWN"));
            stringBuilder3.append(", state=");
            stringBuilder3.append(output.getString("wifiState", "UNKNOWN"));
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder3.toString());
            return output;
        } catch (java.lang.RuntimeException e) {
            com.android.server.hidata.wavemapping.util.LogUtil.e("getWifiStateString: RuntimeException ");
        } catch (java.lang.Exception e2) {
            java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
            stringBuilder4.append("getWifiStateString:");
            stringBuilder4.append(e2.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder4.toString());
        }
    }

    public static java.lang.String getMobileDataScrbId(android.content.Context context) {
        java.lang.String scriptionId = "NA";
        try {
            android.telephony.TelephonyManager defaultTelephonyManager = (android.telephony.TelephonyManager) context.getSystemService("phone");
            if (defaultTelephonyManager == null) {
                com.android.server.hidata.wavemapping.util.LogUtil.w(" no defaultTelephonyManager");
                return scriptionId;
            }
            int subId = android.telephony.SubscriptionManager.getDefaultDataSubscriptionId();
            if (-1 == subId) {
                subId = android.telephony.SubscriptionManager.getDefaultSubscriptionId();
                com.android.server.hidata.wavemapping.util.LogUtil.w(" no default DATA sub");
            }
            if (-1 == subId) {
                com.android.server.hidata.wavemapping.util.LogUtil.w(" no default sub");
                return scriptionId;
            }
            android.telephony.TelephonyManager subTelephonyManager = defaultTelephonyManager.createForSubscriptionId(subId);
            if (subTelephonyManager == null) {
                com.android.server.hidata.wavemapping.util.LogUtil.e(" no TelephonyManager");
                return scriptionId;
            }
            com.huawei.lcagent.client.LogCollectManager mCollectManger = new com.huawei.lcagent.client.LogCollectManager(context);
            java.lang.String scribId = "";
            int phoneType = subTelephonyManager.getPhoneType();
            if (1 == phoneType) {
                scriptionId = mCollectManger.doEncrypt(subTelephonyManager.getSubscriberId());
            } else if (2 == phoneType) {
                scriptionId = mCollectManger.doEncrypt(subTelephonyManager.getMeid());
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getMobileDataSubId: ");
            stringBuilder.append(scriptionId);
            stringBuilder.append(", subId=");
            stringBuilder.append(subId);
            stringBuilder.append(", phoneType=");
            stringBuilder.append(phoneType);
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
            return scriptionId;
        } catch (java.lang.RuntimeException e) {
            com.android.server.hidata.wavemapping.util.LogUtil.e("getMobileDataSubId: RuntimeException ");
        } catch (java.lang.Exception e2) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("getMobileDataSubId,e");
            stringBuilder2.append(e2.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
        }
    }

    public static android.os.Bundle getMobileDataState(android.content.Context context) {
        android.os.Bundle output = new android.os.Bundle();
        try {
            android.telephony.TelephonyManager defaultTelephonyManager = (android.telephony.TelephonyManager) context.getSystemService("phone");
            if (defaultTelephonyManager == null) {
                com.android.server.hidata.wavemapping.util.LogUtil.w(" no defaultTelephonyManager");
                return output;
            }
            int subId = android.telephony.SubscriptionManager.getDefaultDataSubscriptionId();
            if (-1 == subId) {
                subId = android.telephony.SubscriptionManager.getDefaultSubscriptionId();
                com.android.server.hidata.wavemapping.util.LogUtil.w(" no default DATA sub");
            }
            if (-1 == subId) {
                com.android.server.hidata.wavemapping.util.LogUtil.w(" no default sub");
                return output;
            }
            android.telephony.TelephonyManager subTelephonyManager = defaultTelephonyManager.createForSubscriptionId(subId);
            if (subTelephonyManager == null) {
                com.android.server.hidata.wavemapping.util.LogUtil.e(" no TelephonyManager");
                return output;
            }
            java.lang.String dataSwitch;
            java.lang.String cellId = "UNKNOWN";
            java.lang.String cellFreq = "UNKNOWN";
            java.lang.String cellRssi = "UNKNOWN";
            java.lang.String cellRAT = "UNKNOWN";
            java.lang.String cellPLMN = "";
            boolean isDataOn = subTelephonyManager.isDataEnabled();
            java.lang.String nwPLMN = subTelephonyManager.getNetworkOperator();
            if (nwPLMN == null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" no PLMN, subId:");
                stringBuilder.append(subId);
                com.android.server.hidata.wavemapping.util.LogUtil.d(stringBuilder.toString());
                nwPLMN = "UNKNOWN";
            }
            if (isDataOn) {
                dataSwitch = "ENABLED";
            } else {
                dataSwitch = "DISABLED";
            }
            int mServiceState = subTelephonyManager.getServiceState().getState();
            java.util.List<android.telephony.CellInfo> cellInfos = subTelephonyManager.getAllCellInfo();
            int i;
            android.telephony.TelephonyManager telephonyManager;
            boolean z;
            if (cellInfos == null || cellInfos.size() == 0) {
                i = subId;
                telephonyManager = subTelephonyManager;
                z = isDataOn;
                com.android.server.hidata.wavemapping.util.LogUtil.i(" no cellInfo ");
            } else {
                for (android.telephony.CellInfo defaultTelephonyManager2 : cellInfos) {
                    android.telephony.TelephonyManager defaultTelephonyManager3 = defaultTelephonyManager;
                    if (defaultTelephonyManager2.isRegistered()) {
                        if (defaultTelephonyManager2 instanceof android.telephony.CellInfoGsm) {
                            android.telephony.CellInfoGsm cellInfoGsm = (android.telephony.CellInfoGsm) defaultTelephonyManager2;
                            android.telephony.CellIdentityGsm cellIdentityGsm = cellInfoGsm.getCellIdentity();
                            i = subId;
                            subId = new java.lang.StringBuilder();
                            telephonyManager = subTelephonyManager;
                            z = isDataOn;
                            android.telephony.CellIdentityGsm subTelephonyManager2 = cellIdentityGsm;
                            subId.append(subTelephonyManager2.getMccString());
                            subId.append(subTelephonyManager2.getMncString());
                            subId = subId.toString();
                            java.lang.Object obj;
                            if (subId.equals(nwPLMN)) {
                                com.android.server.hidata.wavemapping.util.LogUtil.i("PLMN the same");
                                isDataOn = java.lang.Integer.toString(cellInfoGsm.getCellSignalStrength().getDbm());
                                cellId = java.lang.Integer.toString(subTelephonyManager2.getCid());
                                cellFreq = java.lang.Integer.toString(subTelephonyManager2.getArfcn());
                                cellRssi = "2G";
                                obj = subId;
                            } else {
                                obj = subId;
                            }
                        } else {
                            i = subId;
                            telephonyManager = subTelephonyManager;
                            z = isDataOn;
                            java.lang.String cellPLMN2;
                            if (defaultTelephonyManager2 instanceof android.telephony.CellInfoLte) {
                                android.telephony.CellInfoLte cellInfoLte = (android.telephony.CellInfoLte) defaultTelephonyManager2;
                                subId = cellInfoLte.getCellIdentity();
                                cellPLMN2 = new java.lang.StringBuilder();
                                cellPLMN2.append(subId.getMccString());
                                cellPLMN2.append(subId.getMncString());
                                cellPLMN2 = cellPLMN2.toString();
                                if (cellPLMN2.equals(nwPLMN)) {
                                    com.android.server.hidata.wavemapping.util.LogUtil.i("PLMN the same");
                                    isDataOn = java.lang.Integer.toString(cellInfoLte.getCellSignalStrength().getDbm());
                                    cellId = java.lang.Integer.toString(subId.getCi());
                                    cellFreq = java.lang.Integer.toString(subId.getEarfcn());
                                    cellRssi = "4G";
                                }
                            } else if (defaultTelephonyManager2 instanceof android.telephony.CellInfoWcdma) {
                                android.telephony.CellInfoWcdma cellInfoWcdma = (android.telephony.CellInfoWcdma) defaultTelephonyManager2;
                                subId = cellInfoWcdma.getCellIdentity();
                                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append(subId.getMccString());
                                stringBuilder2.append(subId.getMncString());
                                cellPLMN2 = stringBuilder2.toString();
                                if (cellPLMN2.equals(nwPLMN)) {
                                    com.android.server.hidata.wavemapping.util.LogUtil.i("PLMN the same");
                                    isDataOn = java.lang.Integer.toString(cellInfoWcdma.getCellSignalStrength().getDbm());
                                    cellId = java.lang.Integer.toString(subId.getCid());
                                    cellFreq = java.lang.Integer.toString(subId.getUarfcn());
                                    cellRssi = "3G";
                                }
                            } else if (defaultTelephonyManager2 instanceof android.telephony.CellInfoCdma) {
                                android.telephony.CellInfoCdma cellInfoCdma = (android.telephony.CellInfoCdma) defaultTelephonyManager2;
                                cellRssi = java.lang.Integer.toString(cellInfoCdma.getCellSignalStrength().getDbm());
                                cellRAT = "CDMA";
                                cellId = java.lang.Integer.toString(cellInfoCdma.getCellIdentity().getBasestationId());
                                break;
                            } else {
                                com.android.server.hidata.wavemapping.util.LogUtil.d("not GWLC");
                            }
                        }
                        cellRAT = cellRssi;
                        cellRssi = isDataOn;
                        break;
                    }
                    i = subId;
                    telephonyManager = subTelephonyManager;
                    z = isDataOn;
                    defaultTelephonyManager = defaultTelephonyManager3;
                    subId = i;
                    subTelephonyManager = telephonyManager;
                    isDataOn = z;
                    android.content.Context context2 = context;
                }
                i = subId;
                telephonyManager = subTelephonyManager;
                z = isDataOn;
            }
            output.putString("cellState", dataSwitch);
            output.putString("cellId", cellId);
            output.putString("cellFreq", cellFreq);
            output.putString("cellRssi", cellRssi);
            output.putString("cellRAT", cellRAT);
            output.putInt("cellService", mServiceState);
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append(" getMobileDataStateg, current cellId=");
            stringBuilder3.append(cellId);
            stringBuilder3.append(", cellRAT=");
            stringBuilder3.append(cellRAT);
            stringBuilder3.append(", cellFreq=");
            stringBuilder3.append(cellFreq);
            stringBuilder3.append(", cellState=");
            stringBuilder3.append(dataSwitch);
            stringBuilder3.append(", cellService=");
            stringBuilder3.append(mServiceState);
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder3.toString());
            return output;
        } catch (java.lang.RuntimeException e) {
            com.android.server.hidata.wavemapping.util.LogUtil.e("getMobileDataState: RuntimeException ");
        } catch (java.lang.Exception e2) {
            java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
            stringBuilder4.append("getMobileDataState,e");
            stringBuilder4.append(e2.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder4.toString());
        }
    }

    public static java.lang.String getNetworkType(android.content.Context context) {
        android.net.ConnectivityManager cm = (android.net.ConnectivityManager) context.getSystemService("connectivity");
        if (cm == null) {
            return "UNKNOWN";
        }
        android.net.NetworkInfo activeNetwork = cm.getActiveNetworkInfo();
        boolean isConnected = activeNetwork != null && activeNetwork.isConnectedOrConnecting();
        if (isConnected) {
            return activeNetwork.getTypeName();
        }
        return "UNKNOWN";
    }

    public static int getNetworkTypeInfo(android.content.Context context) {
        android.net.ConnectivityManager cm = (android.net.ConnectivityManager) context.getSystemService("connectivity");
        if (cm == null) {
            return -1;
        }
        android.net.NetworkInfo activeNetwork = cm.getActiveNetworkInfo();
        boolean isConnected = activeNetwork != null && activeNetwork.isConnectedOrConnecting();
        if (isConnected) {
            return activeNetwork.getType();
        }
        return 8;
    }

    public static android.os.Bundle getConnectedNetworkState(android.content.Context context) {
        android.os.Bundle output = new android.os.Bundle();
        boolean mobileConnected = false;
        boolean wifiConnected = false;
        int defaultConnectedType = 8;
        java.lang.String networkId = "UNKNOWN";
        java.lang.String networkName = "UNKNOWN";
        java.lang.String networkFreq = "UNKNOWN";
        android.net.ConnectivityManager cm = (android.net.ConnectivityManager) context.getSystemService("connectivity");
        if (cm != null) {
            android.net.NetworkInfo defaultInfo = cm.getActiveNetworkInfo();
            android.net.Network[] networks = cm.getAllNetworks();
            if (networks != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("networks size is ");
                stringBuilder.append(java.lang.String.valueOf(networks.length));
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
                for (android.net.Network networkInfo : networks) {
                    android.net.NetworkInfo netInfo = cm.getNetworkInfo(networkInfo);
                    if (netInfo != null) {
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("networksInfo is ");
                        stringBuilder2.append(netInfo.toString());
                        com.android.server.hidata.wavemapping.util.LogUtil.v(stringBuilder2.toString());
                        if (netInfo.isConnected()) {
                            if (netInfo.getType() == 0) {
                                com.android.server.hidata.wavemapping.util.LogUtil.i("mobile network is connected");
                                mobileConnected = true;
                            } else if (netInfo.getType() == 1) {
                                com.android.server.hidata.wavemapping.util.LogUtil.i("wifi network is connected");
                                wifiConnected = true;
                            }
                        }
                    }
                }
            }
            if (defaultInfo == null) {
                com.android.server.hidata.wavemapping.util.LogUtil.d(" no active network");
            } else if (android.net.NetworkInfo.State.CONNECTED == defaultInfo.getState() && defaultInfo.isAvailable()) {
                android.os.Bundle wifiState;
                defaultConnectedType = defaultInfo.getType();
                if (1 == defaultConnectedType) {
                    wifiState = getWifiStateString(context);
                    if (wifiState.getString("wifiMAC", "UNKNOWN") != null) {
                        networkId = wifiState.getString("wifiMAC", "UNKNOWN");
                        networkName = wifiState.getString("wifiAp", "UNKNOWN");
                        networkFreq = wifiState.getString("wifiCh", "UNKNOWN");
                    }
                }
                if (defaultConnectedType == 0) {
                    wifiState = getMobileDataState(context);
                    if (wifiState.getString("cellId", "UNKNOWN") != null) {
                        networkId = wifiState.getString("cellId", "UNKNOWN");
                        networkName = wifiState.getString("cellRAT", "UNKNOWN");
                        networkFreq = wifiState.getString("cellFreq", "UNKNOWN");
                    }
                }
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append(" network is connected, default type = ");
                stringBuilder3.append(defaultConnectedType);
                stringBuilder3.append(", Name = ");
                stringBuilder3.append(networkName);
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder3.toString());
            }
        }
        output.putBoolean("mobile", mobileConnected);
        output.putBoolean("wifi", wifiConnected);
        output.putInt("defaultType", defaultConnectedType);
        output.putString("defaultNwId", networkId);
        output.putString("defaultNwName", networkName);
        output.putString("defaultNwFreq", networkFreq);
        return output;
    }

    public static android.os.Bundle getSpecifiedDataState(android.content.Context context, int networkType) {
        android.os.Bundle wifiInfo;
        android.os.Bundle output = new android.os.Bundle();
        boolean valid = false;
        java.lang.String nwName = "UNKNOWN";
        java.lang.String nwId = "UNKNOWN";
        java.lang.String nwFreq = "UNKNOWN";
        java.lang.String signal = "UNKNOWN";
        if (1 == networkType) {
            wifiInfo = getWifiStateString(context);
            nwName = wifiInfo.getString("wifiAp", "UNKNOWN");
            nwId = wifiInfo.getString("wifiMAC", "UNKNOWN");
            nwFreq = wifiInfo.getString("wifiCh", "UNKNOWN");
            signal = wifiInfo.getString("wifiRssi", "UNKNOWN");
            if (!(nwName == null || nwId == null || nwFreq == null)) {
                valid = true;
            }
        }
        if (networkType == 0) {
            wifiInfo = getMobileDataState(context);
            nwName = wifiInfo.getString("cellRAT", "UNKNOWN");
            nwId = wifiInfo.getString("cellId", "UNKNOWN");
            nwFreq = wifiInfo.getString("cellFreq", "UNKNOWN");
            signal = wifiInfo.getString("cellRssi", "UNKNOWN");
            if (!(nwName == null || nwId == null || nwFreq == null)) {
                valid = true;
            }
        }
        output.putBoolean("VALID", valid);
        output.putString("ID", nwId);
        output.putString("NAME", nwName);
        output.putString("FREQ", nwFreq);
        output.putString("SIGNAL", signal);
        return output;
    }

    public static boolean isMobileCallStateIdle(android.content.Context context) {
        boolean result = false;
        try {
            android.telephony.TelephonyManager defaultTelephonyManager = (android.telephony.TelephonyManager) context.getSystemService("phone");
            if (defaultTelephonyManager == null) {
                com.android.server.hidata.wavemapping.util.LogUtil.w(" no defaultTelephonyManager");
                return false;
            }
            int subId = android.telephony.SubscriptionManager.getDefaultDataSubscriptionId();
            if (-1 == subId) {
                subId = android.telephony.SubscriptionManager.getDefaultSubscriptionId();
                com.android.server.hidata.wavemapping.util.LogUtil.w(" no default DATA sub");
            }
            if (-1 == subId) {
                com.android.server.hidata.wavemapping.util.LogUtil.w(" no default sub");
                return false;
            }
            android.telephony.TelephonyManager subTelephonyManager = defaultTelephonyManager.createForSubscriptionId(subId);
            if (subTelephonyManager == null) {
                com.android.server.hidata.wavemapping.util.LogUtil.e(" no TelephonyManager");
                return false;
            }
            int mCallState = subTelephonyManager.getCallState();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" getMobileCallState, current call state=");
            stringBuilder.append(mCallState);
            stringBuilder.append(", subId=");
            stringBuilder.append(subId);
            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder.toString());
            if (mCallState == 0) {
                result = true;
            }
            return result;
        } catch (java.lang.RuntimeException e) {
            com.android.server.hidata.wavemapping.util.LogUtil.e("getMobileCallState: RuntimeException ");
        } catch (java.lang.Exception e2) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("getMobileCallState,e:");
            stringBuilder2.append(e2.getMessage());
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder2.toString());
        }
    }

    public static long[] getTraffic(long startTime, long endTime, int network, android.content.Context context) {
        java.lang.SecurityException e;
        android.os.RemoteException e2;
        java.lang.String str;
        android.telephony.TelephonyManager telephonyManager;
        java.lang.String str2;
        android.telephony.TelephonyManager telephonyManager2;
        int i;
        long j = startTime;
        long j2 = endTime;
        int i2 = network;
        android.content.Context context2 = context;
        long[] traffic = new long[2];
        java.lang.String subscriberId = "";
        java.lang.StringBuilder stringBuilder;
        if (i2 != 0 && 1 != i2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("network is invalid:");
            stringBuilder.append(i2);
            com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
            return traffic;
        } else if (j2 < j) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Time is invalid: start=");
            stringBuilder.append(j);
            stringBuilder.append(", end=");
            stringBuilder.append(j2);
            com.android.server.hidata.wavemapping.util.LogUtil.w(stringBuilder.toString());
            return traffic;
        } else {
            android.app.usage.NetworkStatsManager mNetworkStatsManager = (android.app.usage.NetworkStatsManager) context2.getSystemService("netstats");
            android.telephony.TelephonyManager defaultTelephonyManager = (android.telephony.TelephonyManager) context2.getSystemService("phone");
            if (defaultTelephonyManager == null) {
                com.android.server.hidata.wavemapping.util.LogUtil.w(" no defaultTelephonyManager");
                return traffic;
            } else if (mNetworkStatsManager == null) {
                com.android.server.hidata.wavemapping.util.LogUtil.w(" no mNetworkStatsManager");
                return traffic;
            } else {
                int subId = android.telephony.SubscriptionManager.getDefaultDataSubscriptionId();
                if (-1 == subId) {
                    subId = android.telephony.SubscriptionManager.getDefaultSubscriptionId();
                    com.android.server.hidata.wavemapping.util.LogUtil.w(" no default DATA sub");
                }
                int subId2 = subId;
                if (-1 == subId2) {
                    com.android.server.hidata.wavemapping.util.LogUtil.w(" no default sub");
                    return traffic;
                }
                android.telephony.TelephonyManager subTelephonyManager = defaultTelephonyManager.createForSubscriptionId(subId2);
                if (subTelephonyManager == null) {
                    com.android.server.hidata.wavemapping.util.LogUtil.e(" no TelephonyManager");
                    return traffic;
                }
                java.lang.String subscriberId2 = subTelephonyManager.getSubscriberId();
                subscriberId = "";
                if (subscriberId2.length() > 6) {
                    subscriberId = subscriberId2.substring(0, 6);
                } else {
                    subscriberId = subscriberId2;
                }
                java.lang.String ScrbId_print = subscriberId;
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("getTraffic begin: startTime=");
                stringBuilder2.append(j);
                stringBuilder2.append(", endTime=");
                stringBuilder2.append(j2);
                stringBuilder2.append(", network=");
                stringBuilder2.append(i2);
                stringBuilder2.append(", =");
                stringBuilder2.append(ScrbId_print);
                com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder2.toString());
                try {
                    android.app.usage.NetworkStats.Bucket summaryBucket = new android.app.usage.NetworkStats.Bucket();
                    int i3 = 0;
                    try {
                        android.app.usage.NetworkStats mNetworkStats = mNetworkStatsManager.querySummary(i2, subscriberId2, j, j2);
                        subTelephonyManager = 0;
                        defaultTelephonyManager = 0;
                        if (mNetworkStats != null) {
                            do {
                                mNetworkStats.getNextBucket(summaryBucket);
                                subTelephonyManager += summaryBucket.getRxBytes();
                                defaultTelephonyManager += summaryBucket.getTxBytes();
                            } while (mNetworkStats.hasNextBucket());
                            traffic[i3] = subTelephonyManager;
                            traffic[1] = defaultTelephonyManager;
                            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                            stringBuilder3.append("getTraffic: rx=");
                            stringBuilder3.append(subTelephonyManager);
                            stringBuilder3.append(", tx=");
                            stringBuilder3.append(defaultTelephonyManager);
                            com.android.server.hidata.wavemapping.util.LogUtil.i(stringBuilder3.toString());
                        } else {
                            com.android.server.hidata.wavemapping.util.LogUtil.e("mNetworkStats == null");
                        }
                    } catch (java.lang.SecurityException e3) {
                        e = e3;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("getTraffic Exception");
                        stringBuilder.append(e);
                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                        return traffic;
                    } catch (android.os.RemoteException e4) {
                        e2 = e4;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("getTraffic Exception");
                        stringBuilder.append(e2);
                        com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                        return traffic;
                    }
                } catch (java.lang.SecurityException e5) {
                    e = e5;
                    str = ScrbId_print;
                    telephonyManager = subTelephonyManager;
                    str2 = subscriberId2;
                    telephonyManager2 = defaultTelephonyManager;
                    i = subId2;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("getTraffic Exception");
                    stringBuilder.append(e);
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                    return traffic;
                } catch (android.os.RemoteException e6) {
                    e2 = e6;
                    str = ScrbId_print;
                    telephonyManager = subTelephonyManager;
                    str2 = subscriberId2;
                    telephonyManager2 = defaultTelephonyManager;
                    i = subId2;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("getTraffic Exception");
                    stringBuilder.append(e2);
                    com.android.server.hidata.wavemapping.util.LogUtil.e(stringBuilder.toString());
                    return traffic;
                }
                return traffic;
            }
        }
    }
}
