package com.android.server.input;

public class DMDUtils {
    private static final int DMD_DELAY = 100;
    public static final int DMD_GO_LAUNCHER_ERROR = 912001014;
    public static final int DMD_GO_RECENT_ERROOR = 912001015;
    public static final int DMD_NO_ERROR = 0;
    private static final java.lang.String DMD_WORKING_THREAD = "DMD_woring_thread";
    private static final int MAX_TRY = 10;
    private static final java.lang.String TAG = com.android.server.input.DMDUtils.class.getSimpleName();
    private static final java.lang.Object dmdLock = new java.lang.Object();
    private static boolean isDMDWorking = false;
    private static int mCurrentDMDType = 0;
    private java.lang.Runnable dmdWorking = new java.lang.Runnable() {
        int ret = -1;
        int time = 0;

        public void run() {
            while (this.time < 10) {
                this.time++;
                this.ret = com.android.server.input.DMDUtils.this.checkCurrentStatus();
                if (this.ret == 0) {
                    break;
                } else if (this.time < 10) {
                    try {
                        java.lang.Thread.sleep(100);
                    } catch (java.lang.InterruptedException e) {
                        android.util.Log.e(com.android.server.input.DMDUtils.TAG, "sleep error");
                    }
                } else {
                    this.ret = com.android.server.input.DMDUtils.mCurrentDMDType;
                }
            }
            com.android.server.input.DMDUtils.this.sendDMDLogToService(this.ret);
            this.time = 0;
            this.ret = -1;
            synchronized (com.android.server.input.DMDUtils.dmdLock) {
                com.android.server.input.DMDUtils.isDMDWorking = false;
            }
        }
    };
    private android.app.ActivityManager mAm = null;
    private android.content.Context mContext;

    public DMDUtils(android.content.Context context) {
        this.mContext = context;
        this.mAm = (android.app.ActivityManager) context.getSystemService("activity");
    }

    public boolean isTopTask(int stackId) {
        boolean z = false;
        if (this.mAm == null) {
            return false;
        }
        java.util.List<android.app.ActivityManager.RunningTaskInfo> tasks = this.mAm.getRunningTasks(1);
        if (!(tasks == null || tasks.isEmpty())) {
            android.app.ActivityManager.RunningTaskInfo topTask = (android.app.ActivityManager.RunningTaskInfo) tasks.get(0);
            if (topTask != null) {
                if (topTask.stackId == stackId && !getHomes().contains(topTask.topActivity.getPackageName())) {
                    z = true;
                }
                return z;
            }
        }
        return false;
    }

    private boolean isTopTaskHome() {
        if (this.mAm == null) {
            return false;
        }
        java.util.List<android.app.ActivityManager.RunningTaskInfo> tasks = this.mAm.getRunningTasks(1);
        if (!(tasks == null || tasks.isEmpty())) {
            android.app.ActivityManager.RunningTaskInfo topTask = (android.app.ActivityManager.RunningTaskInfo) tasks.get(0);
            if (topTask != null) {
                return getHomes().contains(topTask.topActivity.getPackageName());
            }
        }
        return false;
    }

    public java.util.List<java.lang.String> getHomes() {
        java.util.List<java.lang.String> packages = new java.util.ArrayList();
        android.content.pm.PackageManager packageManager = this.mContext.getPackageManager();
        android.content.Intent intent = new android.content.Intent("android.intent.action.MAIN");
        intent.addCategory("android.intent.category.HOME");
        for (android.content.pm.ResolveInfo info : packageManager.queryIntentActivities(intent, 65536)) {
            packages.add(info.activityInfo.packageName);
        }
        return packages;
    }

    public boolean doDMDDetect(int type) {
        boolean ret = false;
        synchronized (dmdLock) {
            if (!isDMDWorking) {
                mCurrentDMDType = type;
                isDMDWorking = true;
                java.lang.Thread thread = new java.lang.Thread(this.dmdWorking);
                thread.setName("DMD_woring_thread");
                thread.start();
                ret = true;
            }
        }
        return ret;
    }

    private int checkCurrentStatus() {
        if (mCurrentDMDType != 912001014) {
            return -1;
        }
        if (isTopTaskHome()) {
            return 0;
        }
        return -1;
    }

    private void sendDMDLogToService(int errorType) {
        if (errorType != 0) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("DMD ERROR: ");
            stringBuilder.append(errorType);
            android.util.Log.e(str, stringBuilder.toString());
            android.util.IMonitor.EventStream eStream1;
            switch (errorType) {
                case 912001014:
                    eStream1 = android.util.IMonitor.openEventStream(errorType);
                    eStream1.setParam((short) 0, 6);
                    eStream1.setParam((short) 1, "Default");
                    eStream1.setParam((short) 2, "Default");
                    eStream1.setParam((short) 3, "Default");
                    android.util.IMonitor.sendEvent(eStream1);
                    android.util.IMonitor.closeEventStream(eStream1);
                    return;
                case 912001015:
                    eStream1 = android.util.IMonitor.openEventStream(errorType);
                    eStream1.setParam((short) 0, 6);
                    eStream1.setParam((short) 1, "Default");
                    eStream1.setParam((short) 2, "Default");
                    eStream1.setParam((short) 3, "Default");
                    android.util.IMonitor.sendEvent(eStream1);
                    android.util.IMonitor.closeEventStream(eStream1);
                    return;
                default:
                    return;
            }
        }
    }
}
