package com.android.server.input;

public final class FingerprintNavigation {
    private static final boolean DEBUG;
    static final boolean ENABLE_BACK_TO_HOME = false;
    static final boolean ENABLE_DOUBLE_TAP = false;
    static final boolean ENABLE_LOCK_DEVICE = false;
    static final boolean ENABLE_SHOW_FINGERPRINT_TIPS = false;
    static final boolean ENABLE_SHOW_NOTIFICATION = false;
    static final java.lang.String FINGERPRINT_ANSWER_CALL = "fp_answer_call";
    static final java.lang.String FINGERPRINT_BACK_TO_HOME = "fp_return_desk";
    static final java.lang.String FINGERPRINT_CAMERA_SWITCH = "fp_take_photo";
    static final java.lang.String FINGERPRINT_GALLERY_SLIDE = "fingerprint_gallery_slide";
    static final java.lang.String FINGERPRINT_GO_BACK = "fp_go_back";
    static final java.lang.String FINGERPRINT_LOCK_DEVICE = "fp_lock_device";
    static final java.lang.String FINGERPRINT_MARKET_DEMO_PKG = "com.szdv";
    static final java.lang.String FINGERPRINT_RECENT_APP = "fp_recent_application";
    static final java.lang.String FINGERPRINT_SHOW_NOTIFICATION = "fp_show_notification";
    static final java.lang.String FINGERPRINT_SLIDE_SWITCH = "fingerprint_slide_switch";
    static final java.lang.String FINGERPRINT_STOP_ALARM = "fp_stop_alarm";
    static final java.lang.String FINGERPRINT_USED_FIRSTLY = "fp_used_firstyl";
    public static final boolean FRONT_FINGERPRINT_NAVIGATION = android.os.SystemProperties.getBoolean("ro.config.hw_front_fp_navi", false);
    private static final int SINGLETAP_DELAY_TIMEOUT = 300;
    static final java.lang.String TAG = "FingerprintNavigation";
    static final java.lang.String TAG_FP = "FPNavigation";
    static final int VERIFY_MSG = 1;
    private android.view.accessibility.AccessibilityManager mAccessibilityManager;
    final android.content.ComponentName mAlarmServiceCmp = android.content.ComponentName.unflattenFromString("com.android.deskclock/.alarmclock.AlarmKlaxon");
    boolean mAnswerCall = false;
    boolean mBackToHome = false;
    com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector mCameraInspector;
    private final java.lang.Runnable mCameraLongPress = new java.lang.Runnable() {
        public void run() {
            android.util.Log.d("FingerprintNavigation", "CameraLongPress ,so send KeyEvent.KEYCODE_CAMERA");
            com.android.server.input.FingerprintNavigation.this.sendKeyEvent(27);
        }
    };
    com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector mCollapsePanelsInspector;
    private android.content.Context mContext;
    int mCurUser;
    com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector mDefaultInspector;
    private boolean mDeviceProvisioned;
    com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector mDoubleTapInspector;
    private int mFingerPrintId = -1;
    com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector mFingerprintDemoInspector;
    boolean mFingerprintMarketDemoSwitch = false;
    private boolean mFingerprintUsedFirstly;
    private com.android.server.input.FrontFingerprintNavigation mFrontFingerprintNav = null;
    com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector mGalleryInspector;
    boolean mGallerySlide;
    boolean mGoBack = false;
    final android.os.Handler mHandler;
    boolean mHasReadDB = false;
    private com.android.server.input.HwCustFingerprintNavigation mHwCust;
    com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector mInCallInspector;
    boolean mInjectCamera = false;
    boolean mInjectSlide = false;
    com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector mLauncherInspector;
    private final java.lang.Runnable mLauncherLongPress = new java.lang.Runnable() {
        public void run() {
            android.util.Log.d("FingerprintNavigation", "LauncherLongPress ,so expandNotificationsPanel");
            ((android.app.StatusBarManager) com.android.server.input.FingerprintNavigation.this.mContext.getSystemService("statusbar")).expandNotificationsPanel();
        }
    };
    boolean mLockDevice = false;
    com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector mLongPressOnScreenOffInspector;
    private com.android.server.input.FingerprintNavigation.CheckForSingleTap mPendingCheckForSingleTap;
    android.os.PowerManager mPowerManager;
    boolean mRecentApp = false;
    private final android.content.ContentResolver mResolver;
    final com.android.server.input.FingerprintNavigation.SettingsObserver mSettingsObserver;
    boolean mShowNotification = false;
    com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector mSingleTapInspector;
    com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector mStartHomeInspector;
    boolean mStopAlarm = false;
    com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector mStopAlarmInspector;
    private com.android.server.wm.WindowManagerInternal mWindowManagerInternal;

    private final class CheckForSingleTap implements java.lang.Runnable {
        private CheckForSingleTap() {
        }

        /* synthetic */ CheckForSingleTap(com.android.server.input.FingerprintNavigation x0, com.android.server.input.FingerprintNavigation.AnonymousClass1 x1) {
            this();
        }

        public void run() {
            if (com.android.server.input.FingerprintNavigation.DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("sendBack, goBack=");
                stringBuilder.append(com.android.server.input.FingerprintNavigation.this.mGoBack);
                android.util.Log.d("FingerprintNavigation", stringBuilder.toString());
            }
            if (com.android.server.input.FingerprintNavigation.this.isInCallUI()) {
                com.android.server.input.FingerprintNavigation.this.mPowerManager.wakeUp(android.os.SystemClock.uptimeMillis());
            }
            if (com.android.server.input.FingerprintNavigation.this.mGoBack) {
                com.android.server.input.FingerprintNavigation.this.showNotificationTips();
                com.huawei.android.statistical.StatisticalUtils.reportc(com.android.server.input.FingerprintNavigation.this.mContext, 3);
                com.android.server.input.FingerprintNavigation.this.mSingleTapInspector.handleTap();
            }
        }
    }

    abstract class FingerprintNavigationInspector {
        FingerprintNavigationInspector() {
        }

        public boolean probe(android.view.InputEvent event) {
            return false;
        }

        public boolean probe(android.view.InputEvent event, boolean unHandledKey) {
            return false;
        }

        public void handle(android.view.InputEvent event) {
        }

        public void handleTap() {
        }

        public void handleDoubleTap() {
        }
    }

    class SettingsObserver extends android.database.ContentObserver {
        SettingsObserver(android.os.Handler handler) {
            super(handler);
            registerContentObserver(android.os.UserHandle.myUserId());
        }

        public void registerContentObserver(int userId) {
            com.android.server.input.FingerprintNavigation.this.mResolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("fingerprint_slide_switch"), false, this, userId);
            com.android.server.input.FingerprintNavigation.this.mResolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("fp_take_photo"), false, this, userId);
            com.android.server.input.FingerprintNavigation.this.mResolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("fp_answer_call"), false, this, userId);
            com.android.server.input.FingerprintNavigation.this.mResolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("fp_show_notification"), false, this, userId);
            com.android.server.input.FingerprintNavigation.this.mResolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("fp_return_desk"), false, this);
            com.android.server.input.FingerprintNavigation.this.mResolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("fp_stop_alarm"), false, this, userId);
            com.android.server.input.FingerprintNavigation.this.mResolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("fp_lock_device"), false, this);
            com.android.server.input.FingerprintNavigation.this.mResolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("fp_go_back"), false, this);
            com.android.server.input.FingerprintNavigation.this.mResolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("fp_recent_application"), false, this);
            com.android.server.input.FingerprintNavigation.this.mResolver.registerContentObserver(android.provider.Settings.Global.getUriFor("device_provisioned"), false, this);
            com.android.server.input.FingerprintNavigation.this.mResolver.registerContentObserver(android.provider.Settings.System.getUriFor("fingerprint_market_demo_switch"), false, this);
            com.android.server.input.FingerprintNavigation.this.mResolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("fingerprint_gallery_slide"), false, this, userId);
        }

        public void onChange(boolean selfChange) {
            android.util.Log.d("FingerprintNavigation", "SettingDB has Changed");
            boolean z = false;
            com.android.server.input.FingerprintNavigation.this.updateFingerNaviSwitchValue(false);
            com.android.server.input.FingerprintNavigation.this.mDeviceProvisioned = android.provider.Settings.Secure.getInt(com.android.server.input.FingerprintNavigation.this.mResolver, "device_provisioned", 0) != 0;
            com.android.server.input.FingerprintNavigation.this.mFingerprintMarketDemoSwitch = android.provider.Settings.System.getInt(com.android.server.input.FingerprintNavigation.this.mResolver, "fingerprint_market_demo_switch", 0) == 1;
            com.android.server.input.FingerprintNavigation fingerprintNavigation;
            if (com.android.server.input.FingerprintNavigation.FRONT_FINGERPRINT_NAVIGATION) {
                fingerprintNavigation = com.android.server.input.FingerprintNavigation.this;
                if (android.provider.Settings.Secure.getIntForUser(com.android.server.input.FingerprintNavigation.this.mResolver, "fingerprint_gallery_slide", 0, android.app.ActivityManager.getCurrentUser()) != 0) {
                    z = true;
                }
                fingerprintNavigation.mGallerySlide = z;
                return;
            }
            fingerprintNavigation = com.android.server.input.FingerprintNavigation.this;
            if (android.provider.Settings.Secure.getIntForUser(com.android.server.input.FingerprintNavigation.this.mResolver, "fingerprint_gallery_slide", 1, android.app.ActivityManager.getCurrentUser()) != 0) {
                z = true;
            }
            fingerprintNavigation.mGallerySlide = z;
        }
    }

    final class CameraInspector extends com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector {
        CameraInspector() {
            super();
        }

        public boolean probe(android.view.InputEvent event) {
            java.lang.String pkgName = com.android.server.input.FingerprintNavigation.this.getTopApp();
            if (pkgName == null) {
                return false;
            }
            java.lang.String pkg_gallery = "com.android.gallery3d";
            if ((!com.android.server.input.FingerprintNavigation.this.isCamera() && !pkgName.startsWith(pkg_gallery)) || !com.android.server.input.FingerprintNavigation.this.mInjectCamera) {
                if (com.android.server.input.FingerprintNavigation.this.mInjectCamera) {
                    android.util.Log.d("FingerprintNavigation", "Top app is not available,reset settings DB!");
                }
                return false;
            } else if (com.android.server.input.FingerprintNavigation.this.isScreenOff() || !com.android.server.input.FingerprintNavigation.this.isSpecialKey(event, 66)) {
                return false;
            } else {
                return true;
            }
        }

        public void handle(android.view.InputEvent event) {
            if (com.android.server.input.FingerprintNavigation.DEBUG) {
                android.util.Log.d("FingerprintNavigation", "Current State is Camera and KEYCODE_ENTER Event!");
            }
            android.view.KeyEvent ev = (android.view.KeyEvent) event;
            if (ev.getAction() == 0) {
                com.android.server.input.FingerprintNavigation.this.mHandler.postDelayed(com.android.server.input.FingerprintNavigation.this.mCameraLongPress, 0);
            } else if (ev.getAction() == 1) {
                com.android.server.input.FingerprintNavigation.this.mHandler.removeCallbacks(com.android.server.input.FingerprintNavigation.this.mCameraLongPress);
            }
        }
    }

    final class CollapsePanelsInspector extends com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector {
        CollapsePanelsInspector() {
            super();
        }

        public boolean probe(android.view.InputEvent event) {
            if (com.android.server.input.FingerprintNavigation.DEBUG) {
                android.util.Log.d("FingerprintNavigation", "CollapsePanelsInspector prob");
            }
            if (com.android.server.input.FingerprintNavigation.this.isScreenOff() || com.android.server.input.FingerprintNavigation.this.isVRMode() || !com.android.server.input.FingerprintNavigation.this.isSpecialKey(event, 511)) {
                return false;
            }
            return true;
        }

        public void handle(android.view.InputEvent event) {
            if (com.android.server.input.FingerprintNavigation.DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Current State is Launcher and KEYCODE_DPAD_TOP Event, event=");
                stringBuilder.append(event);
                android.util.Log.d("FingerprintNavigation", stringBuilder.toString());
            }
            if (((android.view.KeyEvent) event).getAction() != 0) {
                com.android.server.input.FingerprintNavigation.this.showNotificationTips();
                com.android.server.statusbar.HwStatusBarManagerService hwStatusBarService = (com.android.server.statusbar.HwStatusBarManagerService) android.os.ServiceManager.getService("statusbar");
                if (hwStatusBarService != null) {
                    if (com.android.server.input.FingerprintNavigation.DEBUG) {
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("collapse process, isScenseExcluded=");
                        stringBuilder2.append(com.android.server.input.FingerprintNavigation.this.isScenseExcluded());
                        stringBuilder2.append(", mShowNotification=");
                        stringBuilder2.append(com.android.server.input.FingerprintNavigation.this.mShowNotification);
                        stringBuilder2.append(",statusBarExpanded=");
                        stringBuilder2.append(hwStatusBarService.statusBarExpanded());
                        stringBuilder2.append(",isAlarm()=");
                        stringBuilder2.append(com.android.server.input.FingerprintNavigation.this.isAlarm());
                        stringBuilder2.append(",isLandscape=");
                        stringBuilder2.append(com.android.server.input.FingerprintNavigation.this.isLandscape());
                        stringBuilder2.append(",mRecentApp=");
                        stringBuilder2.append(com.android.server.input.FingerprintNavigation.this.mRecentApp);
                        android.util.Log.d("FingerprintNavigation", stringBuilder2.toString());
                    }
                    com.android.server.input.FingerprintNavigation.this.mPowerManager.userActivity(android.os.SystemClock.uptimeMillis(), false);
                    if (!com.android.server.input.FingerprintNavigation.this.mShowNotification || (com.android.server.input.FingerprintNavigation.this.mRecentApp && !hwStatusBarService.statusBarExpanded())) {
                        if (!com.android.server.input.FingerprintNavigation.this.mRecentApp || com.android.server.input.FingerprintNavigation.this.isAlarm() || com.android.server.input.FingerprintNavigation.this.isInCallUIAndRinging() || com.android.server.input.FingerprintNavigation.this.isLandscape()) {
                            android.util.Log.w("FingerprintNavigation", "No switch is oppened for process");
                        } else {
                            com.huawei.android.statistical.StatisticalUtils.reportc(com.android.server.input.FingerprintNavigation.this.mContext, 5);
                            com.android.server.input.FingerprintNavigation.this.sendKeyEvent(187);
                        }
                    } else if (!(com.android.server.input.FingerprintNavigation.this.isScenseExcluded() || ((com.android.server.input.FingerprintNavigation.this.isAlarm() && com.android.server.input.FingerprintNavigation.this.topIsFullScreen()) || com.android.server.input.FingerprintNavigation.this.isLandscape()))) {
                        com.huawei.android.statistical.StatisticalUtils.reportc(com.android.server.input.FingerprintNavigation.this.mContext, 2);
                        hwStatusBarService.collapsePanels();
                    }
                }
            }
        }
    }

    final class DefaultInspector extends com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector {
        DefaultInspector() {
            super();
        }

        public boolean probe(android.view.InputEvent event) {
            if (com.android.server.input.FingerprintNavigation.this.isScreenOff() || com.android.server.input.FingerprintNavigation.this.isKeyguardLocked() || !com.android.server.input.FingerprintNavigation.this.mInjectSlide) {
                return false;
            }
            return true;
        }

        public void handle(android.view.InputEvent event) {
            android.view.InputEvent inputEvent = event;
            if (inputEvent instanceof android.view.MotionEvent) {
                android.util.Log.d("FingerprintNavigation", "Start Inject Motionevent!");
                android.view.MotionEvent mv = (android.view.MotionEvent) inputEvent;
                long curTime = android.os.SystemClock.uptimeMillis();
                int pointCount = mv.getPointerCount();
                android.view.MotionEvent.PointerProperties[] ppt = android.view.MotionEvent.PointerProperties.createArray(pointCount);
                android.view.MotionEvent.PointerCoords[] pcd = android.view.MotionEvent.PointerCoords.createArray(pointCount);
                for (int i = 0; i < pointCount; i++) {
                    mv.getPointerProperties(i, ppt[i]);
                    mv.getPointerCoords(i, pcd[i]);
                }
                int i2 = 0;
                android.hardware.input.InputManager.getInstance().injectInputEvent(android.view.MotionEvent.obtain(curTime, curTime, mv.getAction(), pointCount, ppt, pcd, mv.getMetaState(), mv.getButtonState(), mv.getXPrecision(), mv.getYPrecision(), 5, mv.getEdgeFlags(), mv.getSource(), mv.getFlags()), i2);
            }
        }
    }

    final class DoubleTapInspector extends com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector {
        DoubleTapInspector() {
            super();
        }

        public boolean probe(android.view.InputEvent event) {
            if (!com.android.server.input.FingerprintNavigation.this.mLockDevice || com.android.server.input.FingerprintNavigation.this.isScreenOff() || com.android.server.input.FingerprintNavigation.this.isInCallUI() || com.android.server.input.FingerprintNavigation.this.isCamera() || com.android.server.input.FingerprintNavigation.this.isAlarm() || !com.android.server.input.FingerprintNavigation.this.isSpecialKey(event, 26)) {
                return false;
            }
            return true;
        }

        public void handle(android.view.InputEvent event) {
            if (((android.view.KeyEvent) event).getAction() != 0) {
                com.android.server.input.FingerprintNavigation.this.sendKeyEvent(26);
            }
        }

        public void handleDoubleTap() {
            android.util.Log.e("FingerprintNavigation", "sendDoubleTap");
            com.android.server.input.FingerprintNavigation.this.sendKeyEvent(501);
        }
    }

    final class FingerprintDemoInspector extends com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector {
        FingerprintDemoInspector() {
            super();
        }

        public boolean probe(android.view.InputEvent event) {
            if (com.android.server.input.FingerprintNavigation.this.isScreenOff() || com.android.server.input.FingerprintNavigation.this.isKeyguardLocked() || !com.android.server.input.FingerprintNavigation.this.mFingerprintMarketDemoSwitch || !com.android.server.input.FingerprintNavigation.this.isFingerprintDemo()) {
                return false;
            }
            if (com.android.server.input.FingerprintNavigation.DEBUG) {
                android.util.Log.d("FingerprintNavigation", "FingerprintDemoInspector check ok");
            }
            return true;
        }

        public void handle(android.view.InputEvent event) {
            android.view.KeyEvent ev = (android.view.KeyEvent) event;
            if (ev.getAction() != 0) {
                com.android.server.input.FingerprintNavigation.this.sendKeyEvent(ev.getKeyCode());
            }
        }
    }

    final class GalleryInspector extends com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector {
        GalleryInspector() {
            super();
        }

        public boolean probe(android.view.InputEvent event) {
            if (com.android.server.input.FingerprintNavigation.DEBUG) {
                android.util.Log.d("FingerprintNavigation", "GalleryInspector State probe");
            }
            if (!com.android.server.input.FingerprintNavigation.this.mGallerySlide || !com.android.server.input.FingerprintNavigation.this.isGallery() || com.android.server.input.FingerprintNavigation.this.isScreenOff() || com.android.server.input.FingerprintNavigation.this.isVRMode() || (!com.android.server.input.FingerprintNavigation.this.isSpecialKey(event, 513) && !com.android.server.input.FingerprintNavigation.this.isSpecialKey(event, 514))) {
                return false;
            }
            if (com.android.server.input.FingerprintNavigation.DEBUG) {
                android.util.Log.d("FingerprintNavigation", "GalleryInspector State ok");
            }
            return true;
        }

        public void handle(android.view.InputEvent event) {
            android.view.KeyEvent ev = (android.view.KeyEvent) event;
            if (ev.getAction() != 0) {
                com.android.server.input.FingerprintNavigation.this.sendKeyEvent(ev.getKeyCode());
            }
        }
    }

    final class InCallInspector extends com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector {
        InCallInspector() {
            super();
        }

        public boolean probe(android.view.InputEvent event) {
            if (com.android.server.input.FingerprintNavigation.this.mAnswerCall && !com.android.server.input.FingerprintNavigation.this.isScreenOff() && (com.android.server.input.FingerprintNavigation.this.isSpecialKey(event, 66) || com.android.server.input.FingerprintNavigation.this.isSpecialKey(event, 502))) {
                android.telecom.TelecomManager telecomManager = (android.telecom.TelecomManager) com.android.server.input.FingerprintNavigation.this.mContext.getSystemService("telecom");
                if (telecomManager != null && telecomManager.isRinging()) {
                    return true;
                }
            }
            return false;
        }

        public void handle(android.view.InputEvent event) {
            if (((android.view.KeyEvent) event).getAction() != 0) {
                com.android.server.input.FingerprintNavigation.this.showNotificationTips();
                if (com.android.server.input.FingerprintNavigation.this.mAnswerCall) {
                    android.telecom.TelecomManager telecomManager = (android.telecom.TelecomManager) com.android.server.input.FingerprintNavigation.this.mContext.getSystemService("telecom");
                    if (telecomManager != null) {
                        com.huawei.android.statistical.StatisticalUtils.reportc(com.android.server.input.FingerprintNavigation.this.mContext, 6);
                        telecomManager.acceptRingingCall();
                    }
                }
            }
        }
    }

    final class LauncherInspector extends com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector {
        LauncherInspector() {
            super();
        }

        public boolean probe(android.view.InputEvent event) {
            if (com.android.server.input.FingerprintNavigation.DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("LauncherInspector State probe, isScreenOff() = ");
                stringBuilder.append(com.android.server.input.FingerprintNavigation.this.isScreenOff());
                stringBuilder.append(",isSpecialKey = ");
                stringBuilder.append(com.android.server.input.FingerprintNavigation.this.isSpecialKey(event, 512));
                stringBuilder.append(",isScenseExcluded = ");
                stringBuilder.append(com.android.server.input.FingerprintNavigation.this.isScenseExcluded());
                stringBuilder.append(",isAlarm = ");
                stringBuilder.append(com.android.server.input.FingerprintNavigation.this.isAlarm());
                stringBuilder.append(",isLandscape()=");
                stringBuilder.append(com.android.server.input.FingerprintNavigation.this.isLandscape());
                android.util.Log.d("FingerprintNavigation", stringBuilder.toString());
            }
            if (com.android.server.input.FingerprintNavigation.this.isScreenOff() || !com.android.server.input.FingerprintNavigation.this.isSpecialKey(event, 512) || com.android.server.input.FingerprintNavigation.this.isScenseExcluded() || ((com.android.server.input.FingerprintNavigation.this.isAlarm() && com.android.server.input.FingerprintNavigation.this.topIsFullScreen()) || com.android.server.input.FingerprintNavigation.this.isLandscape())) {
                return false;
            }
            android.util.Log.d("FingerprintNavigation", "LauncherInspector State ok");
            return true;
        }

        public void handle(android.view.InputEvent event) {
            if (com.android.server.input.FingerprintNavigation.DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("handle Launcher  KEYCODE_DPAD_DOWN Event, topIsFullScreen: ");
                stringBuilder.append(com.android.server.input.FingerprintNavigation.this.topIsFullScreen());
                stringBuilder.append(", focusedWinOverStatusBar: ");
                stringBuilder.append(com.android.server.input.FingerprintNavigation.this.focusedWinOverStatusBar());
                stringBuilder.append(", obs: ");
                stringBuilder.append(com.android.server.input.FingerprintNavigation.this.statusBarObsecured());
                android.util.Log.d("FingerprintNavigation", stringBuilder.toString());
            }
            if (((android.view.KeyEvent) event).getAction() == 0) {
                android.util.Log.d("FingerprintNavigation", "getAction is ACTION_DOWN");
                return;
            }
            com.android.server.input.FingerprintNavigation.this.showNotificationTips();
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("LauncherInspector handle mShowNotification :");
            stringBuilder2.append(com.android.server.input.FingerprintNavigation.this.mShowNotification);
            android.util.Log.d("FingerprintNavigation", stringBuilder2.toString());
            if (com.android.server.input.FingerprintNavigation.this.mShowNotification && !com.android.server.input.FingerprintNavigation.this.focusedWinOverStatusBar()) {
                if (!com.android.server.input.FingerprintNavigation.this.statusBarObsecured()) {
                    com.huawei.android.statistical.StatisticalUtils.reportc(com.android.server.input.FingerprintNavigation.this.mContext, 1);
                    com.android.server.input.FingerprintNavigation.this.mPowerManager.userActivity(android.os.SystemClock.uptimeMillis(), false);
                    if (com.android.server.input.FingerprintNavigation.this.topIsFullScreen() && com.android.server.input.FingerprintNavigation.this.canShowTransientBar()) {
                        com.android.server.input.FingerprintNavigation.this.requestTransientStatusBars();
                    } else {
                        ((android.app.StatusBarManager) com.android.server.input.FingerprintNavigation.this.mContext.getSystemService("statusbar")).expandNotificationsPanel();
                    }
                }
            }
        }
    }

    final class LongPressOnScreenOffInspector extends com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector {
        LongPressOnScreenOffInspector() {
            super();
        }

        public boolean probe(android.view.InputEvent event) {
            if (com.android.server.input.FingerprintNavigation.this.isScreenOff() && com.android.server.input.FingerprintNavigation.this.isSpecialKey(event, 66)) {
                return true;
            }
            return false;
        }

        public void handle(android.view.InputEvent event) {
            ((android.os.PowerManager) com.android.server.input.FingerprintNavigation.this.mContext.getSystemService("power")).newWakeLock(1, "COVER_WAKE_LOCK").acquire(10000);
            android.util.Log.d("FingerprintNavigation", "Current State is LongPressOnScreenOff , Start dealwith event!");
            android.view.KeyEvent ev = (android.view.KeyEvent) event;
            long curTime = android.os.SystemClock.uptimeMillis();
            android.content.Intent intent = new android.content.Intent("com.android.server.input.fpn");
            intent.putExtra("keytype", ev.getAction());
            intent.putExtra("eventtime", curTime);
            com.android.server.input.FingerprintNavigation.this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.ALL);
        }
    }

    final class SingleTapInspector extends com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector {
        SingleTapInspector() {
            super();
        }

        public boolean probe(android.view.InputEvent event) {
            if (com.android.server.input.FingerprintNavigation.this.isScreenOff() || !com.android.server.input.FingerprintNavigation.this.isSpecialKey(event, 601)) {
                return false;
            }
            return true;
        }

        public void handle(android.view.InputEvent event) {
            if (((android.view.KeyEvent) event).getAction() != 0) {
                com.android.server.input.FingerprintNavigation.this.mPowerManager.userActivity(android.os.SystemClock.uptimeMillis(), false);
            }
        }

        public void handleTap() {
            if (!com.android.server.input.FingerprintNavigation.this.isInCallUIAndRinging()) {
                com.android.server.input.FingerprintNavigation.this.sendKeyEvent(4);
            }
        }
    }

    final class StartHomeInspector extends com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector {
        StartHomeInspector() {
            super();
        }

        public boolean probe(android.view.InputEvent event, boolean unHandledKey) {
            int i = 66;
            if (com.android.server.input.FingerprintNavigation.DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("StartHomeInspector State probe, isEnter: ");
                stringBuilder.append(com.android.server.input.FingerprintNavigation.this.isSpecialKey(event, 66));
                stringBuilder.append(",isScreenOff(): ");
                stringBuilder.append(com.android.server.input.FingerprintNavigation.this.isScreenOff());
                stringBuilder.append(",isKeyguardLocked: ");
                stringBuilder.append(com.android.server.input.FingerprintNavigation.this.isKeyguardLocked());
                stringBuilder.append(",isCamera: ");
                stringBuilder.append(com.android.server.input.FingerprintNavigation.this.isCamera());
                android.util.Log.d("FingerprintNavigation", stringBuilder.toString());
            }
            if (!(!com.android.server.input.FingerprintNavigation.this.mBackToHome || com.android.server.input.FingerprintNavigation.this.isScreenOff() || com.android.server.input.FingerprintNavigation.this.isKeyguardLocked())) {
                com.android.server.input.FingerprintNavigation fingerprintNavigation = com.android.server.input.FingerprintNavigation.this;
                if (unHandledKey) {
                    i = 502;
                }
                if (!(!fingerprintNavigation.isSpecialKey(event, i) || com.android.server.input.FingerprintNavigation.this.isAlarm() || com.android.server.input.FingerprintNavigation.this.isInCallUIAndRinging())) {
                    return true;
                }
            }
            return false;
        }

        public void handle(android.view.InputEvent event) {
            if (com.android.server.input.FingerprintNavigation.DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("StartHomeInspector State handle, event: ");
                stringBuilder.append(event);
                android.util.Log.d("FingerprintNavigation", stringBuilder.toString());
            }
            if (((android.view.KeyEvent) event).getAction() != 0) {
                com.huawei.android.statistical.StatisticalUtils.reportc(com.android.server.input.FingerprintNavigation.this.mContext, 4);
                com.android.server.input.FingerprintNavigation.this.sendKeyEvent(3);
            }
        }
    }

    final class StopAlarmInspector extends com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector {
        StopAlarmInspector() {
            super();
        }

        public boolean probe(android.view.InputEvent event) {
            if (com.android.server.input.FingerprintNavigation.DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("StopAlarm State prob, mStopAlarm: ");
                stringBuilder.append(com.android.server.input.FingerprintNavigation.this.mStopAlarm);
                stringBuilder.append(",isAlarm: ");
                stringBuilder.append(com.android.server.input.FingerprintNavigation.this.isAlarm());
                android.util.Log.d("FingerprintNavigation", stringBuilder.toString());
            }
            if (com.android.server.input.FingerprintNavigation.this.mStopAlarm && !com.android.server.input.FingerprintNavigation.this.isScreenOff() && com.android.server.input.FingerprintNavigation.this.isAlarm() && (com.android.server.input.FingerprintNavigation.this.isSpecialKey(event, 66) || com.android.server.input.FingerprintNavigation.this.isSpecialKey(event, 502))) {
                return true;
            }
            return false;
        }

        public void handle(android.view.InputEvent event) {
            if (com.android.server.input.FingerprintNavigation.DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("StopAlarm State handle, event: ");
                stringBuilder.append(event);
                android.util.Log.d("FingerprintNavigation", stringBuilder.toString());
            }
            android.view.KeyEvent ev = (android.view.KeyEvent) event;
            if (ev.getAction() != 0) {
                com.android.server.input.FingerprintNavigation.this.showNotificationTips();
                if (com.android.server.input.FingerprintNavigation.this.mStopAlarm) {
                    long curTime = android.os.SystemClock.uptimeMillis();
                    android.content.Intent intent = new android.content.Intent("com.android.server.input.fpn.stopalarm");
                    intent.putExtra("keytype", ev.getAction());
                    intent.putExtra("eventtime", curTime);
                    com.android.server.input.FingerprintNavigation.this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.ALL);
                }
            }
        }
    }

    static {
        boolean z = true;
        if (1 != android.os.SystemProperties.getInt("ro.debuggable", 0)) {
            z = false;
        }
        DEBUG = z;
    }

    FingerprintNavigation(android.content.Context context) {
        this.mContext = context;
        this.mHandler = new android.os.Handler();
        this.mHwCust = (com.android.server.input.HwCustFingerprintNavigation) com.huawei.cust.HwCustUtils.createObj(com.android.server.input.HwCustFingerprintNavigation.class, new java.lang.Object[]{this.mContext});
        this.mResolver = context.getContentResolver();
        this.mSettingsObserver = new com.android.server.input.FingerprintNavigation.SettingsObserver(this.mHandler);
        this.mPowerManager = (android.os.PowerManager) this.mContext.getSystemService("power");
        this.mAccessibilityManager = (android.view.accessibility.AccessibilityManager) context.getSystemService("accessibility");
        com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector longpress_onscreenoffIns = new com.android.server.input.FingerprintNavigation.LongPressOnScreenOffInspector();
        com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector launcherIns = new com.android.server.input.FingerprintNavigation.LauncherInspector();
        com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector cameraIns = new com.android.server.input.FingerprintNavigation.CameraInspector();
        com.android.server.input.FingerprintNavigation.FingerprintNavigationInspector defaultIns = new com.android.server.input.FingerprintNavigation.DefaultInspector();
        this.mStartHomeInspector = new com.android.server.input.FingerprintNavigation.StartHomeInspector();
        this.mSingleTapInspector = new com.android.server.input.FingerprintNavigation.SingleTapInspector();
        this.mDoubleTapInspector = new com.android.server.input.FingerprintNavigation.DoubleTapInspector();
        this.mCollapsePanelsInspector = new com.android.server.input.FingerprintNavigation.CollapsePanelsInspector();
        this.mInCallInspector = new com.android.server.input.FingerprintNavigation.InCallInspector();
        this.mStopAlarmInspector = new com.android.server.input.FingerprintNavigation.StopAlarmInspector();
        this.mFingerprintDemoInspector = new com.android.server.input.FingerprintNavigation.FingerprintDemoInspector();
        this.mGalleryInspector = new com.android.server.input.FingerprintNavigation.GalleryInspector();
        this.mLongPressOnScreenOffInspector = longpress_onscreenoffIns;
        this.mLauncherInspector = launcherIns;
        this.mCameraInspector = cameraIns;
        this.mDefaultInspector = defaultIns;
        this.mGallerySlide = false;
        this.mFrontFingerprintNav = new com.android.server.input.FrontFingerprintNavigation(context);
    }

    public void showNotificationTips() {
    }

    public void systemRunning() {
        if (this.mFrontFingerprintNav != null) {
            this.mFrontFingerprintNav.systemRunning();
        }
        boolean z = true;
        this.mDeviceProvisioned = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "device_provisioned", 0) != 0;
        if (android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "fp_used_firstyl", 1) == 0) {
            z = false;
        }
        this.mFingerprintUsedFirstly = z;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("SystemReady mDeviceProvisioned: ");
        stringBuilder.append(this.mDeviceProvisioned);
        stringBuilder.append(",mFingerprintUsedFirstly: ");
        stringBuilder.append(this.mFingerprintUsedFirstly);
        android.util.Log.d("FingerprintNavigation", stringBuilder.toString());
    }

    boolean dispatchUnhandledKey(android.view.InputEvent event, int policyFlags) {
        if (event instanceof android.view.KeyEvent) {
            android.view.KeyEvent kv = (android.view.KeyEvent) event;
            if (DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("unhandled fingprint event=");
                stringBuilder.append(kv);
                stringBuilder.append(",fromFingerprint=");
                stringBuilder.append(kv.getFlags() & 2048);
                android.util.Log.d("FingerprintNavigation", stringBuilder.toString());
            }
            if ((kv.getFlags() & 2048) == 0) {
                return false;
            }
            if (this.mInCallInspector.probe(kv)) {
                this.mInCallInspector.handle(kv);
            } else if (this.mStopAlarmInspector.probe(kv)) {
                this.mStopAlarmInspector.handle(kv);
            } else if (this.mStartHomeInspector.probe(kv, true)) {
                this.mStartHomeInspector.handle(kv);
                return true;
            }
        }
        return false;
    }

    private boolean interceptSystemNavigationKeyAsGoogle(android.view.KeyEvent event) {
        int code = event.getKeyCode();
        int transCode = -1;
        if (this.mAccessibilityManager == null) {
            android.util.Log.e("FingerprintNavigation", "Accessibility is Null !");
            return false;
        }
        switch (code) {
            case 511:
                transCode = 280;
                break;
            case 512:
                transCode = 281;
                break;
            case 513:
                transCode = 282;
                break;
            case 514:
                transCode = 283;
                break;
            default:
                break;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("interceptSystemNavigation code:");
        stringBuilder.append(code);
        stringBuilder.append(" transCode:");
        stringBuilder.append(transCode);
        android.util.Log.d("FingerprintNavigation", stringBuilder.toString());
        if (-1 == transCode || !this.mAccessibilityManager.isEnabled() || !this.mAccessibilityManager.sendFingerprintGesture(transCode)) {
            return false;
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("Accessibility consume transCode:");
        stringBuilder2.append(transCode);
        android.util.Log.d("FingerprintNavigation", stringBuilder2.toString());
        return true;
    }

    private void updateSwitchValue() {
        if (!this.mHasReadDB) {
            updateFingerNaviSwitchValue(true);
            boolean z = false;
            this.mFingerprintMarketDemoSwitch = android.provider.Settings.System.getInt(this.mResolver, "fingerprint_market_demo_switch", 0) == 1;
            if (android.provider.Settings.Secure.getIntForUser(this.mResolver, "fingerprint_gallery_slide", 1, android.app.ActivityManager.getCurrentUser()) != 0) {
                z = true;
            }
            this.mGallerySlide = z;
            this.mHasReadDB = true;
        }
    }

    private boolean handleFingerTapEvent(android.view.KeyEvent kv) {
        if (kv != null) {
            int keyCode = kv.getKeyCode();
            if (keyCode == 66) {
                java.lang.String compName = getTopApp();
                if (compName == null || !compName.startsWith("com.android.gallery3d") || isAlarm()) {
                    if (isInCallUI()) {
                        this.mPowerManager.wakeUp(android.os.SystemClock.uptimeMillis());
                    }
                } else if (kv.getAction() == 0) {
                    return true;
                } else {
                    sendKeyEvent(502);
                    return true;
                }
            } else if (keyCode != 501) {
                if (keyCode == 601) {
                    if (kv.getAction() == 0) {
                        return true;
                    }
                    handleSingleTapEvent(kv);
                    return true;
                }
            } else if (kv.getAction() == 0) {
                return true;
            } else {
                this.mHandler.removeCallbacks(this.mPendingCheckForSingleTap);
                this.mPendingCheckForSingleTap = null;
                if (DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("keycode is : ");
                    stringBuilder.append(keyCode);
                    stringBuilder.append(" sent to app");
                    android.util.Log.d("FingerprintNavigation", stringBuilder.toString());
                }
                if (!isAlarm()) {
                    sendKeyEvent(keyCode);
                }
                return true;
            }
        }
        return false;
    }

    private void handleCustFingerEvent(android.view.InputEvent event) {
        boolean isCustHandled = this.mHwCust != null && this.mHwCust.handleFingerprintEvent(event);
        if (!isCustHandled) {
            if (this.mLongPressOnScreenOffInspector.probe(event)) {
                this.mLongPressOnScreenOffInspector.handle(event);
            } else if (this.mFingerprintDemoInspector.probe(event)) {
                this.mFingerprintDemoInspector.handle(event);
            } else if (this.mSingleTapInspector.probe(event)) {
                this.mSingleTapInspector.handle(event);
            } else if (this.mDoubleTapInspector.probe(event)) {
                this.mDoubleTapInspector.handle(event);
            } else if (this.mStopAlarmInspector.probe(event)) {
                this.mStopAlarmInspector.handle(event);
            } else if (this.mInCallInspector.probe(event)) {
                this.mInCallInspector.handle(event);
            } else if (this.mCameraInspector.probe(event)) {
                this.mCameraInspector.handle(event);
            } else if (this.mStartHomeInspector.probe(event, false)) {
                this.mStartHomeInspector.handle(event);
            } else if (this.mLauncherInspector.probe(event)) {
                this.mLauncherInspector.handle(event);
            } else if (this.mCollapsePanelsInspector.probe(event)) {
                this.mCollapsePanelsInspector.handle(event);
            } else if (this.mGalleryInspector.probe(event)) {
                this.mGalleryInspector.handle(event);
            } else if (this.mDefaultInspector.probe(event)) {
                this.mDefaultInspector.handle(event);
            }
        }
    }

    public boolean filterInputEvent(android.view.InputEvent event, int policyFlags) {
        if (this.mFingerPrintId < 0) {
            this.mFingerPrintId = android.os.SystemProperties.getInt("sys.fingerprint.deviceId", -1);
        }
        int fpdeviceId = -1;
        android.view.KeyEvent kv = null;
        if (event instanceof android.view.MotionEvent) {
            fpdeviceId = ((android.view.MotionEvent) event).getDeviceId();
        } else if (event instanceof android.view.KeyEvent) {
            kv = (android.view.KeyEvent) event;
            fpdeviceId = kv.getDeviceId();
        }
        if (fpdeviceId >= 0) {
            if (fpdeviceId == this.mFingerPrintId) {
                if (android.util.HwPCUtils.isPcCastModeInServer() && kv != null && kv.getAction() == 0) {
                    if (this.mWindowManagerInternal == null) {
                        this.mWindowManagerInternal = (com.android.server.wm.WindowManagerInternal) com.android.server.LocalServices.getService(com.android.server.wm.WindowManagerInternal.class);
                    }
                    if (this.mWindowManagerInternal != null && android.util.HwPCUtils.isValidExtDisplayId(this.mWindowManagerInternal.getFocusedDisplayId())) {
                        if (!android.util.HwPCUtils.enabledInPad()) {
                            this.mWindowManagerInternal.setFocusedDisplayId(0, "FingerprintNav");
                        }
                        return true;
                    }
                }
                if (FRONT_FINGERPRINT_NAVIGATION && kv != null && !isVRMode() && this.mFrontFingerprintNav != null && this.mFrontFingerprintNav.handleFingerprintEvent(event)) {
                    return true;
                }
                if (kv != null && !huawei.android.provider.FrontFingerPrintSettings.FRONT_FINGERPRINT_NAVIGATION && interceptSystemNavigationKeyAsGoogle(kv)) {
                    return true;
                }
                if (android.os.SystemProperties.getBoolean("ro.config.fingerOnSmartKey", false) && needDropFingerprintEvent()) {
                    android.util.Log.d("FingerprintNavigation", "drop fingerprintnavigation event!");
                    return true;
                }
                updateSwitchValue();
                if (handleFingerTapEvent(kv)) {
                    return true;
                }
                handleCustFingerEvent(event);
                event.recycle();
                return true;
            }
        }
        return false;
    }

    private void handleSingleTapEvent(android.view.InputEvent event) {
        if (this.mHandler.hasCallbacks(this.mPendingCheckForSingleTap)) {
            this.mPendingCheckForSingleTap = null;
            this.mHandler.removeCallbacks(this.mPendingCheckForSingleTap);
            this.mDoubleTapInspector.handleDoubleTap();
            return;
        }
        this.mPendingCheckForSingleTap = new com.android.server.input.FingerprintNavigation.CheckForSingleTap(this, null);
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("checkSingleTap, caller=");
            stringBuilder.append(android.os.Debug.getCallers(4));
            android.util.Log.d("FingerprintNavigation", stringBuilder.toString());
        }
        this.mHandler.postDelayed(this.mPendingCheckForSingleTap, 300);
    }

    private boolean isKeyguardLocked() {
        android.app.KeyguardManager keyguard = (android.app.KeyguardManager) this.mContext.getSystemService("keyguard");
        if (keyguard != null) {
            return keyguard.isKeyguardLocked();
        }
        return false;
    }

    private boolean isScreenOff() {
        android.os.PowerManager power = (android.os.PowerManager) this.mContext.getSystemService("power");
        if (power != null) {
            return power.isScreenOn() ^ 1;
        }
        return false;
    }

    private boolean isInCallUIAndRinging() {
        android.telecom.TelecomManager telecomManager = (android.telecom.TelecomManager) this.mContext.getSystemService("telecom");
        return "com.android.incallui/.InCallActivity".equals(getTopApp()) && telecomManager != null && telecomManager.isRinging();
    }

    private boolean isInCallUI() {
        return "com.android.incallui/.InCallActivity".equals(getTopApp());
    }

    boolean isAlarm() {
        return serviceIsRunning(this.mAlarmServiceCmp, this.mCurUser);
    }

    private boolean isLandscape() {
        return 2 == this.mContext.getResources().getConfiguration().orientation;
    }

    private boolean isCamera() {
        java.lang.String pkgName = getTopApp();
        return pkgName != null && pkgName.startsWith("com.huawei.camera");
    }

    private boolean isFingerprintDemo() {
        java.lang.String pkgName = getTopApp();
        return pkgName != null && pkgName.startsWith("com.szdv");
    }

    private boolean isSpecialKey(android.view.InputEvent event, int code) {
        if (!(event instanceof android.view.KeyEvent)) {
            return false;
        }
        android.view.KeyEvent ev = (android.view.KeyEvent) event;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("keycode is : ");
        stringBuilder.append(ev.getKeyCode());
        android.util.Log.i("FPNavigation", stringBuilder.toString());
        if (ev.getKeyCode() == code) {
            return true;
        }
        return false;
    }

    private void broadCastToKeyguard(boolean validated) {
        android.content.Intent intent = new android.content.Intent("com.android.server.input.fpn");
        intent.putExtra("validated", validated);
        this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.ALL);
    }

    private void sendKeyEvent(int keycode) {
        int[] actions = new int[]{0, 1};
        android.view.KeyEvent ev = null;
        for (int keyEvent : actions) {
            long curTime = android.os.SystemClock.uptimeMillis();
            android.hardware.input.InputManager.getInstance().injectInputEvent(new android.view.KeyEvent(curTime, curTime, keyEvent, keycode, 0, 0, 6, 0, 2056, 257), 0);
        }
    }

    private java.lang.String getTopApp() {
        java.lang.String pkgName = ((com.android.server.am.ActivityManagerService) android.os.ServiceManager.getService("activity")).topAppName();
        if (DEBUG && pkgName != null) {
            java.lang.String[] names = pkgName.split("/");
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("TopApp is ");
            stringBuilder.append(names[0]);
            android.util.Log.d("FPNavigation", stringBuilder.toString());
        }
        return pkgName;
    }

    private boolean serviceIsRunning(android.content.ComponentName cmpName, int user) {
        return ((com.android.server.am.HwActivityManagerService) android.os.ServiceManager.getService("activity")).serviceIsRunning(cmpName, user);
    }

    private boolean statusBarObsecured() {
        boolean isStatusBarObsecured = ((com.android.server.policy.HwPhoneWindowManager) com.android.server.LocalServices.getService(com.android.server.policy.WindowManagerPolicy.class)).isStatusBarObsecured();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isStatusBarObsecured: ");
        stringBuilder.append(isStatusBarObsecured);
        android.util.Log.d("FingerprintNavigation", stringBuilder.toString());
        return isStatusBarObsecured;
    }

    private boolean focusedWinOverStatusBar() {
        com.android.server.policy.HwPhoneWindowManager policy = (com.android.server.policy.HwPhoneWindowManager) com.android.server.LocalServices.getService(com.android.server.policy.WindowManagerPolicy.class);
        com.android.server.wm.WindowState focusedWin = (com.android.server.wm.WindowState) policy.getFocusedWindow();
        java.lang.String str = "FingerprintNavigation";
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("focusedWinOverStatusBar: ");
        stringBuilder.append(focusedWin != null ? policy.getWindowLayerFromTypeLw(focusedWin.getBaseType()) : 0);
        stringBuilder.append(", statusbarLayer=");
        stringBuilder.append(policy.getWindowLayerFromTypeLw(2000));
        android.util.Log.d(str, stringBuilder.toString());
        if (focusedWin == null || policy.getWindowLayerFromTypeLw(focusedWin.getBaseType()) <= policy.getWindowLayerFromTypeLw(2000)) {
            return false;
        }
        return true;
    }

    private void startVibrate() {
        android.os.Vibrator vb = (android.os.Vibrator) this.mContext.getSystemService("vibrator");
        android.util.Log.d("FingerprintNavigation", "startVibrate");
        if (vb.hasVibrator()) {
            android.util.Log.d("FingerprintNavigation", "real startVibrate");
            vb.vibrate(500);
        }
    }

    private void updateFingerNaviSwitchValue(boolean careReadDb) {
        int defaultValue = 1;
        if (FRONT_FINGERPRINT_NAVIGATION && !careReadDb) {
            defaultValue = 0;
        }
        boolean z = true;
        this.mInjectSlide = android.provider.Settings.Secure.getIntForUser(this.mResolver, "fingerprint_slide_switch", defaultValue, android.app.ActivityManager.getCurrentUser()) != 0;
        this.mInjectCamera = android.provider.Settings.Secure.getIntForUser(this.mResolver, "fp_take_photo", defaultValue, android.app.ActivityManager.getCurrentUser()) != 0;
        this.mAnswerCall = android.provider.Settings.Secure.getIntForUser(this.mResolver, "fp_answer_call", 0, android.app.ActivityManager.getCurrentUser()) != 0;
        this.mShowNotification = android.provider.Settings.Secure.getIntForUser(this.mResolver, "fp_show_notification", 0, android.app.ActivityManager.getCurrentUser()) != 0;
        if (this.mHwCust != null && this.mHwCust.needCustNavigation()) {
            this.mBackToHome = this.mHwCust.getCustNeedValue(this.mResolver, "fp_return_desk", 0, android.app.ActivityManager.getCurrentUser(), 0);
            this.mGoBack = this.mHwCust.getCustNeedValue(this.mResolver, "fp_go_back", 0, android.app.ActivityManager.getCurrentUser(), 0);
            this.mRecentApp = this.mHwCust.getCustNeedValue(this.mResolver, "fp_recent_application", 0, android.app.ActivityManager.getCurrentUser(), 0);
        }
        if (android.provider.Settings.Secure.getIntForUser(this.mResolver, "fp_stop_alarm", 0, android.app.ActivityManager.getCurrentUser()) == 0) {
            z = false;
        }
        this.mStopAlarm = z;
    }

    boolean isScenseExcluded() {
        java.lang.String appName = getTopApp();
        return appName != null && (appName.equals("com.huawei.hidisk/.strongbox.ui.activity.StrongBoxVerifyPassActivity") || appName.equals("com.android.settings/.fingerprint.enrollment.FingerprintEnrollActivity") || appName.equals("com.android.settings/.fingerprint.FingerprintSettingsActivity") || appName.equals("com.android.settings/.ConfirmLockPassword") || appName.equals("com.android.settings/.password.ConfirmLockPassword") || !this.mDeviceProvisioned);
    }

    private boolean canShowTransientBar() {
        boolean okToShowTransientBar = ((com.android.server.policy.AbsPhoneWindowManager) com.android.server.LocalServices.getService(com.android.server.policy.WindowManagerPolicy.class)).okToShowTransientBar();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("canShowTransientBar=");
        stringBuilder.append(okToShowTransientBar);
        android.util.Log.d("FingerprintNavigation", stringBuilder.toString());
        return okToShowTransientBar;
    }

    private boolean topIsFullScreen() {
        boolean isTopIsFullscreen = ((com.android.server.policy.AbsPhoneWindowManager) com.android.server.LocalServices.getService(com.android.server.policy.WindowManagerPolicy.class)).isTopIsFullscreen();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isTopIsFullscreen=");
        stringBuilder.append(isTopIsFullscreen);
        android.util.Log.d("FingerprintNavigation", stringBuilder.toString());
        return isTopIsFullscreen;
    }

    private void requestTransientStatusBars() {
        ((com.android.server.policy.AbsPhoneWindowManager) com.android.server.LocalServices.getService(com.android.server.policy.WindowManagerPolicy.class)).requestTransientStatusBars();
    }

    private boolean isGallery() {
        java.lang.String activityName = getTopApp();
        if (activityName != null) {
            return activityName.startsWith("com.android.gallery3d/com.huawei.gallery.app");
        }
        android.util.Log.d("FingerprintNavigation", "gallery name is null");
        return false;
    }

    public void setCurrentUser(int newUserId, int[] currentProfileIds) {
        if (this.mFrontFingerprintNav != null) {
            this.mFrontFingerprintNav.setCurrentUser(newUserId);
        }
        this.mCurUser = newUserId;
        this.mSettingsObserver.registerContentObserver(newUserId);
        this.mSettingsObserver.onChange(true);
    }

    private boolean needDropFingerprintEvent() {
        com.android.server.policy.HwPhoneWindowManager policy = (com.android.server.policy.HwPhoneWindowManager) com.android.server.LocalServices.getService(com.android.server.policy.WindowManagerPolicy.class);
        if (policy != null) {
            return policy.getNeedDropFingerprintEvent();
        }
        return false;
    }

    private boolean isVRMode() {
        if (android.common.HwFrameworkFactory.getVRSystemServiceManager() != null) {
            return android.common.HwFrameworkFactory.getVRSystemServiceManager().isVRMode();
        }
        return false;
    }
}
