package com.android.server.input;

public class FrontFingerprintNavigation {
    private static final java.lang.String FINGER_PRINT_ACTION_KEYEVENT = "com.android.huawei.FINGER_PRINT_ACTION_KEYEVENT";
    private static final long FP_HOME_VIBRATE_TIME = 60;
    public static final java.lang.String FRONT_FINGERPRINT_BUTTON_LIGHT_MODE = "button_light_mode";
    public static final int FRONT_FINGERPRINT_KEYCODE_HOME_UP = 515;
    public static final java.lang.String FRONT_FINGERPRINT_SWAP_KEY_POSITION = "swap_key_position";
    private static final java.lang.String GESTURE_NAV_TRIKEY_SETTINGS = "secure_gesture_navigation";
    public static final java.lang.String HAPTIC_FEEDBACK_TRIKEY_SETTINGS = "physic_navi_haptic_feedback_enabled";
    public static final java.lang.String INTENT_KEY = "keycode";
    private static final int INVALID_NAVIMODE = -10000;
    private static final boolean IS_SUPPORT_GESTURE_NAV = android.os.SystemProperties.getBoolean("ro.config.gesture_front_support", false);
    private static final java.lang.String TAG = com.android.server.input.FrontFingerprintNavigation.class.getSimpleName();
    private int VIBRATOR_MODE_LONG_PRESS_FOR_FRONT_FP = 16;
    private int VIBRATOR_MODE_LONG_PRESS_FOR_HOME_FRONT_FP = 16;
    private int VIBRATOR_MODE_SHORT_PRESS_FOR_FRONT_FP = 8;
    private boolean isNormalRunmode = "normal".equals(android.os.SystemProperties.get("ro.runmode", "normal"));
    private android.content.Context mContext;
    private boolean mDeviceProvisioned = true;
    com.android.server.input.DMDUtils mDmdUtils = null;
    private boolean mDockedStackMinimized = false;
    private int mFingerPrintId = -1;
    private com.android.server.input.FrontFingerprintNavigation.FingerPrintHomeUpInspector mFingerPrintUpInspector;
    private android.hardware.fingerprint.FingerprintManager mFingerprintManager;
    private boolean mFingerprintRemoveHome = android.os.SystemProperties.getBoolean("ro.config.finger_remove_home", false);
    private final android.os.Handler mHandler;
    private boolean mHapticEnabled = true;
    private boolean mIsFPKeyguardEnable = false;
    private boolean mIsGestureNavEnable = false;
    private boolean mIsPadDevice = false;
    private boolean mIsWakeUpScreen = false;
    private android.os.PowerManager mPowerManager;
    private final android.content.ContentResolver mResolver;
    private com.android.server.input.FrontFingerprintNavigation.SettingsObserver mSettingsObserver;
    private com.android.server.input.FrontFingerprintNavigation.FingerprintNavigationInspector mSystemUIBackInspector;
    private com.android.server.input.FrontFingerprintNavigation.FingerprintNavigationInspector mSystemUIHomeInspector;
    private com.android.server.input.FrontFingerprintNavigation.FingerprintNavigationInspector mSystemUIRecentInspector;
    private int mTrikeyNaviMode = -1;
    private int mVibrateHomeUpMode = 8;
    private android.os.Vibrator mVibrator = null;

    abstract class FingerprintNavigationInspector {
        FingerprintNavigationInspector() {
        }

        public boolean probe(android.view.InputEvent event) {
            return false;
        }

        public void handle(android.view.InputEvent event) {
        }
    }

    class SettingsObserver extends android.database.ContentObserver {
        SettingsObserver(android.os.Handler handler) {
            super(handler);
            registerContentObserver(android.os.UserHandle.myUserId());
            boolean z = true;
            com.android.server.input.FrontFingerprintNavigation.this.mDeviceProvisioned = android.provider.Settings.Secure.getIntForUser(com.android.server.input.FrontFingerprintNavigation.this.mResolver, "device_provisioned", 0, android.app.ActivityManager.getCurrentUser()) != 0;
            com.android.server.input.FrontFingerprintNavigation.this.mTrikeyNaviMode = android.provider.Settings.System.getIntForUser(com.android.server.input.FrontFingerprintNavigation.this.mResolver, "swap_key_position", huawei.android.provider.FrontFingerPrintSettings.getDefaultNaviMode(), android.app.ActivityManager.getCurrentUser());
            com.android.server.input.FrontFingerprintNavigation.this.mIsFPKeyguardEnable = android.provider.Settings.Secure.getIntForUser(com.android.server.input.FrontFingerprintNavigation.this.mResolver, "fp_keyguard_enable", 0, android.app.ActivityManager.getCurrentUser()) != 0;
            com.android.server.input.FrontFingerprintNavigation.this.mHapticEnabled = android.provider.Settings.System.getIntForUser(com.android.server.input.FrontFingerprintNavigation.this.mResolver, "physic_navi_haptic_feedback_enabled", 1, android.app.ActivityManager.getCurrentUser()) != 0;
            if (android.provider.Settings.Secure.getIntForUser(com.android.server.input.FrontFingerprintNavigation.this.mResolver, "secure_gesture_navigation", 0, android.app.ActivityManager.getCurrentUser()) == 0) {
                z = false;
            }
            com.android.server.input.FrontFingerprintNavigation.this.mIsGestureNavEnable = z;
        }

        public void registerContentObserver(int userId) {
            com.android.server.input.FrontFingerprintNavigation.this.mResolver.registerContentObserver(android.provider.Settings.System.getUriFor("swap_key_position"), false, this, userId);
            com.android.server.input.FrontFingerprintNavigation.this.mResolver.registerContentObserver(android.provider.Settings.System.getUriFor("device_provisioned"), false, this, userId);
            com.android.server.input.FrontFingerprintNavigation.this.mResolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("fp_keyguard_enable"), false, this, userId);
            com.android.server.input.FrontFingerprintNavigation.this.mResolver.registerContentObserver(android.provider.Settings.System.getUriFor("physic_navi_haptic_feedback_enabled"), false, this, userId);
            com.android.server.input.FrontFingerprintNavigation.this.mResolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("secure_gesture_navigation"), false, this, userId);
        }

        public void onChange(boolean selfChange) {
            boolean z = true;
            com.android.server.input.FrontFingerprintNavigation.this.mDeviceProvisioned = android.provider.Settings.Secure.getIntForUser(com.android.server.input.FrontFingerprintNavigation.this.mResolver, "device_provisioned", 0, android.app.ActivityManager.getCurrentUser()) != 0;
            com.android.server.input.FrontFingerprintNavigation.this.mTrikeyNaviMode = android.provider.Settings.System.getIntForUser(com.android.server.input.FrontFingerprintNavigation.this.mResolver, "swap_key_position", huawei.android.provider.FrontFingerPrintSettings.getDefaultNaviMode(), android.app.ActivityManager.getCurrentUser());
            com.android.server.input.FrontFingerprintNavigation.this.mIsFPKeyguardEnable = android.provider.Settings.Secure.getIntForUser(com.android.server.input.FrontFingerprintNavigation.this.mResolver, "fp_keyguard_enable", 0, android.app.ActivityManager.getCurrentUser()) != 0;
            com.android.server.input.FrontFingerprintNavigation.this.mHapticEnabled = android.provider.Settings.System.getIntForUser(com.android.server.input.FrontFingerprintNavigation.this.mResolver, "physic_navi_haptic_feedback_enabled", 1, android.app.ActivityManager.getCurrentUser()) != 0;
            com.android.server.input.FrontFingerprintNavigation frontFingerprintNavigation = com.android.server.input.FrontFingerprintNavigation.this;
            if (android.provider.Settings.Secure.getIntForUser(com.android.server.input.FrontFingerprintNavigation.this.mResolver, "secure_gesture_navigation", 0, android.app.ActivityManager.getCurrentUser()) == 0) {
                z = false;
            }
            frontFingerprintNavigation.mIsGestureNavEnable = z;
        }
    }

    final class FingerPrintHomeUpInspector extends com.android.server.input.FrontFingerprintNavigation.FingerprintNavigationInspector {
        FingerPrintHomeUpInspector() {
            super();
        }

        public boolean probe(android.view.InputEvent event) {
            if (!com.android.server.input.FrontFingerprintNavigation.this.isSpecialKey(event, 515) || com.android.server.input.FrontFingerprintNavigation.this.isScreenOff() || com.android.server.input.FrontFingerprintNavigation.this.isSettingEnroll() || com.android.server.input.FrontFingerprintNavigation.this.isSettingCalibrationIntro() || com.android.server.input.FrontFingerprintNavigation.this.isStrongBox()) {
                com.android.server.input.FrontFingerprintNavigation.this.mIsWakeUpScreen = false;
                return false;
            }
            android.util.Log.d(com.android.server.input.FrontFingerprintNavigation.TAG, "FingerPrintHomeUpInspector State ok");
            return true;
        }

        public void handle(android.view.InputEvent event) {
            android.view.KeyEvent ev = (android.view.KeyEvent) event;
            if (!com.android.server.input.FrontFingerprintNavigation.this.mDeviceProvisioned || ev.getAction() == 0) {
                return;
            }
            if (huawei.android.provider.FrontFingerPrintSettings.isGestureNavigationMode(com.android.server.input.FrontFingerprintNavigation.this.mResolver)) {
                android.util.Log.d(com.android.server.input.FrontFingerprintNavigation.TAG, "now in Gesture Navigation Mode, do not vibrate for long press");
                return;
            }
            if (huawei.android.provider.FrontFingerPrintSettings.FRONT_FINGERPRINT_NAVIGATION_TRIKEY == 1 && huawei.android.provider.FrontFingerPrintSettings.isSupportTrikey()) {
                if (!com.android.server.input.FrontFingerprintNavigation.this.mIsWakeUpScreen) {
                    android.util.Log.i(com.android.server.input.FrontFingerprintNavigation.TAG, "handle FingerPrintHomeUpInspector!");
                    com.android.server.input.FrontFingerprintNavigation.this.startVibrate(com.android.server.input.FrontFingerprintNavigation.this.VIBRATOR_MODE_SHORT_PRESS_FOR_FRONT_FP);
                }
            } else if (!(huawei.android.provider.FrontFingerPrintSettings.isNaviBarEnabled(com.android.server.input.FrontFingerprintNavigation.this.mResolver) || com.android.server.input.FrontFingerprintNavigation.this.mIsWakeUpScreen)) {
                android.util.Log.i(com.android.server.input.FrontFingerprintNavigation.TAG, "handle FingerPrintHomeUpInspector!");
                com.android.server.input.FrontFingerprintNavigation.this.startVibrate(com.android.server.input.FrontFingerprintNavigation.this.mVibrateHomeUpMode);
            }
            com.android.server.input.FrontFingerprintNavigation.this.mIsWakeUpScreen = false;
        }
    }

    final class SystemUIBackInspector extends com.android.server.input.FrontFingerprintNavigation.FingerprintNavigationInspector {
        SystemUIBackInspector() {
            super();
        }

        public boolean probe(android.view.InputEvent event) {
            if (!com.android.server.input.FrontFingerprintNavigation.this.isSpecialKey(event, 601) || com.android.server.input.FrontFingerprintNavigation.this.isScreenOff() || com.android.server.input.FrontFingerprintNavigation.this.isSettingEnroll() || com.android.server.input.FrontFingerprintNavigation.this.isSettingCalibrationIntro() || com.android.server.input.FrontFingerprintNavigation.this.isStrongBox()) {
                return false;
            }
            android.util.Log.d(com.android.server.input.FrontFingerprintNavigation.TAG, "SystemUIBackInspector State ok");
            return true;
        }

        public void handle(android.view.InputEvent event) {
            android.view.KeyEvent ev = (android.view.KeyEvent) event;
            if (com.android.server.input.FrontFingerprintNavigation.this.mDeviceProvisioned && ev.getAction() != 0) {
                android.util.Log.i(com.android.server.input.FrontFingerprintNavigation.TAG, "mSystemUIBackInspector handle sendKeyEvent : 4");
                if (!huawei.android.provider.FrontFingerPrintSettings.isGestureNavigationMode(com.android.server.input.FrontFingerprintNavigation.this.mResolver)) {
                    if (huawei.android.provider.FrontFingerPrintSettings.FRONT_FINGERPRINT_NAVIGATION_TRIKEY == 1 && huawei.android.provider.FrontFingerPrintSettings.isSupportTrikey()) {
                        if (!com.android.server.input.FrontFingerprintNavigation.this.isSingleTrikeyNaviMode()) {
                            com.android.server.input.FrontFingerprintNavigation.this.sendKeyEvent(3);
                            com.android.server.input.FrontFingerprintNavigation.this.startVibrate(com.android.server.input.FrontFingerprintNavigation.this.VIBRATOR_MODE_SHORT_PRESS_FOR_FRONT_FP);
                        } else if (com.android.server.input.FrontFingerprintNavigation.this.isMMITesting()) {
                            android.util.Log.d(com.android.server.input.FrontFingerprintNavigation.TAG, "MMITesting now.");
                        } else {
                            com.android.server.input.FrontFingerprintNavigation.this.sendKeyEvent(4);
                            com.android.server.input.FrontFingerprintNavigation.this.notifyTrikeyEvent(4);
                        }
                    } else if (!huawei.android.provider.FrontFingerPrintSettings.isNaviBarEnabled(com.android.server.input.FrontFingerprintNavigation.this.mResolver)) {
                        com.android.server.input.FrontFingerprintNavigation.this.sendKeyEvent(4);
                        com.android.server.input.FrontFingerprintNavigation.this.notifyTrikeyEvent(4);
                    } else if (com.android.server.input.FrontFingerprintNavigation.this.isMMITesting()) {
                        android.util.Log.d(com.android.server.input.FrontFingerprintNavigation.TAG, "MMITesting now.");
                    } else if (huawei.android.provider.FrontFingerPrintSettings.FRONT_FINGERPRINT_NAVIGATION_TRIKEY == 0) {
                        android.util.Log.i(com.android.server.input.FrontFingerprintNavigation.TAG, "handle home event as NaviBarEnabled.");
                        if (com.android.server.input.FrontFingerprintNavigation.this.mFingerprintRemoveHome && huawei.android.provider.FrontFingerPrintSettings.isNaviBarEnabled(com.android.server.input.FrontFingerprintNavigation.this.mResolver)) {
                            android.util.Log.d(com.android.server.input.FrontFingerprintNavigation.TAG, "Clicking to home was removed");
                        } else {
                            com.android.server.input.FrontFingerprintNavigation.this.sendKeyEvent(3);
                            com.android.server.input.FrontFingerprintNavigation.this.startVibrate(com.android.server.input.FrontFingerprintNavigation.this.VIBRATOR_MODE_SHORT_PRESS_FOR_FRONT_FP);
                        }
                    }
                } else if (com.android.server.input.FrontFingerprintNavigation.this.mFingerprintRemoveHome) {
                    android.util.Log.d(com.android.server.input.FrontFingerprintNavigation.TAG, "Clicking to home was removed in gesture navigation mode");
                } else {
                    com.android.server.input.FrontFingerprintNavigation.this.sendKeyEvent(3);
                    com.android.server.input.FrontFingerprintNavigation.this.startVibrate(com.android.server.input.FrontFingerprintNavigation.this.VIBRATOR_MODE_SHORT_PRESS_FOR_FRONT_FP);
                    android.util.Log.d(com.android.server.input.FrontFingerprintNavigation.TAG, "now in Gesture Navigation Mode,trans to home");
                }
            }
        }
    }

    final class SystemUIHomeInspector extends com.android.server.input.FrontFingerprintNavigation.FingerprintNavigationInspector {
        SystemUIHomeInspector() {
            super();
        }

        public boolean probe(android.view.InputEvent event) {
            if ((!com.android.server.input.FrontFingerprintNavigation.this.isSpecialKey(event, 66) && !com.android.server.input.FrontFingerprintNavigation.this.isSpecialKey(event, 502)) || com.android.server.input.FrontFingerprintNavigation.this.isSettingEnroll() || com.android.server.input.FrontFingerprintNavigation.this.isSettingCalibrationIntro() || com.android.server.input.FrontFingerprintNavigation.this.isStrongBox()) {
                return false;
            }
            android.util.Log.d(com.android.server.input.FrontFingerprintNavigation.TAG, "mSystemUIHomeInspector State ok");
            return true;
        }

        public void handle(android.view.InputEvent event) {
            android.view.KeyEvent ev = (android.view.KeyEvent) event;
            if (com.android.server.input.FrontFingerprintNavigation.this.mDeviceProvisioned) {
                if (com.android.server.input.FrontFingerprintNavigation.this.isScreenOff()) {
                    if (ev.getAction() == 1) {
                        android.util.Flog.bdReport(com.android.server.input.FrontFingerprintNavigation.this.mContext, 15);
                        com.android.server.input.FrontFingerprintNavigation.this.mFingerprintManager = (android.hardware.fingerprint.FingerprintManager) com.android.server.input.FrontFingerprintNavigation.this.mContext.getSystemService("fingerprint");
                        if (com.android.server.input.FrontFingerprintNavigation.this.mFingerprintManager == null) {
                            android.util.Log.e(com.android.server.input.FrontFingerprintNavigation.TAG, "mFingerprintManager is null");
                            return;
                        }
                        java.lang.String access$000 = com.android.server.input.FrontFingerprintNavigation.TAG;
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("hasEnrolledFingerprints is:");
                        stringBuilder.append(com.android.server.input.FrontFingerprintNavigation.this.mFingerprintManager.hasEnrolledFingerprints());
                        stringBuilder.append("mIsFPKeyguardEnable is:");
                        stringBuilder.append(com.android.server.input.FrontFingerprintNavigation.this.mIsFPKeyguardEnable);
                        android.util.Log.i(access$000, stringBuilder.toString());
                        if (!(com.android.server.input.FrontFingerprintNavigation.this.mFingerprintManager.hasEnrolledFingerprints() && com.android.server.input.FrontFingerprintNavigation.this.mIsFPKeyguardEnable)) {
                            com.android.server.input.FrontFingerprintNavigation.this.mIsWakeUpScreen = true;
                            com.android.server.input.FrontFingerprintNavigation.this.mPowerManager.wakeUp(android.os.SystemClock.uptimeMillis());
                        }
                    }
                } else if (ev.getAction() != 0) {
                    android.util.Log.i(com.android.server.input.FrontFingerprintNavigation.TAG, "mSystemUIHomeInspector handle sendKeyEvent KEYCODE_HOME");
                    if (huawei.android.provider.FrontFingerPrintSettings.isGestureNavigationMode(com.android.server.input.FrontFingerprintNavigation.this.mResolver)) {
                        android.util.Log.d(com.android.server.input.FrontFingerprintNavigation.TAG, "now in Gesture Navigation Mode, do not handle KEYCODE_FINGERPRINT_LONGPRESS");
                    } else if (huawei.android.provider.FrontFingerPrintSettings.FRONT_FINGERPRINT_NAVIGATION_TRIKEY == 1 && huawei.android.provider.FrontFingerPrintSettings.isSupportTrikey()) {
                        if (com.android.server.input.FrontFingerprintNavigation.this.isSingleTrikeyNaviMode()) {
                            android.util.Flog.bdReport(com.android.server.input.FrontFingerprintNavigation.this.mContext, 9);
                            com.android.server.input.FrontFingerprintNavigation.this.startVibrate(com.android.server.input.FrontFingerprintNavigation.this.VIBRATOR_MODE_LONG_PRESS_FOR_HOME_FRONT_FP);
                            com.android.server.input.FrontFingerprintNavigation.this.sendKeyEvent(3);
                            com.android.server.input.FrontFingerprintNavigation.this.notifyTrikeyEvent(3);
                            com.android.server.input.FrontFingerprintNavigation.this.checkLockMode();
                        } else if (com.android.server.input.FrontFingerprintNavigation.this.isKeyguardLocked()) {
                            com.android.server.input.FrontFingerprintNavigation.this.mIsWakeUpScreen = true;
                        } else if (com.android.server.input.FrontFingerprintNavigation.this.isMMITesting()) {
                            android.util.Log.d(com.android.server.input.FrontFingerprintNavigation.TAG, "MMITesting now.");
                        } else {
                            com.android.server.input.FrontFingerprintNavigation.this.startVoiceAssist();
                            com.android.server.input.FrontFingerprintNavigation.this.startVibrate(com.android.server.input.FrontFingerprintNavigation.this.VIBRATOR_MODE_LONG_PRESS_FOR_FRONT_FP);
                        }
                    } else if (!huawei.android.provider.FrontFingerPrintSettings.isNaviBarEnabled(com.android.server.input.FrontFingerprintNavigation.this.mResolver)) {
                        android.util.Flog.bdReport(com.android.server.input.FrontFingerprintNavigation.this.mContext, 9);
                        com.android.server.input.FrontFingerprintNavigation.this.startVibrate(com.android.server.input.FrontFingerprintNavigation.this.VIBRATOR_MODE_LONG_PRESS_FOR_HOME_FRONT_FP);
                        com.android.server.input.FrontFingerprintNavigation.this.sendKeyEvent(3);
                        com.android.server.input.FrontFingerprintNavigation.this.notifyTrikeyEvent(3);
                        com.android.server.input.FrontFingerprintNavigation.this.checkLockMode();
                    }
                }
            }
        }
    }

    final class SystemUIRecentInspector extends com.android.server.input.FrontFingerprintNavigation.FingerprintNavigationInspector {
        SystemUIRecentInspector() {
            super();
        }

        public boolean probe(android.view.InputEvent event) {
            if (com.android.server.input.FrontFingerprintNavigation.this.isScreenOff() || com.android.server.input.FrontFingerprintNavigation.this.isKeyguardLocked() || com.android.server.input.FrontFingerprintNavigation.this.isSettingEnroll() || com.android.server.input.FrontFingerprintNavigation.this.isSettingCalibrationIntro() || com.android.server.input.FrontFingerprintNavigation.this.isSuperPowerSaveMode() || com.android.server.input.FrontFingerprintNavigation.this.isAlarm() || com.android.server.input.FrontFingerprintNavigation.this.isStrongBox() || !com.android.server.input.FrontFingerprintNavigation.this.isValidRecentKeyEvent(event)) {
                return false;
            }
            android.util.Log.d(com.android.server.input.FrontFingerprintNavigation.TAG, "SystemUIRecentInspector State ok");
            return true;
        }

        public void handle(android.view.InputEvent event) {
            android.view.KeyEvent ev = (android.view.KeyEvent) event;
            if (!com.android.server.input.FrontFingerprintNavigation.this.mDeviceProvisioned || ev.getAction() == 0) {
                return;
            }
            if (com.android.server.input.FrontFingerprintNavigation.this.isTopTaskRecent() && !com.android.server.input.FrontFingerprintNavigation.this.mDockedStackMinimized) {
                return;
            }
            if (huawei.android.provider.FrontFingerPrintSettings.isGestureNavigationMode(com.android.server.input.FrontFingerprintNavigation.this.mResolver)) {
                android.util.Log.d(com.android.server.input.FrontFingerprintNavigation.TAG, "now in Gesture Navigation Mode, do not handle KEYCODE_APP_SWITCH");
                return;
            }
            if (huawei.android.provider.FrontFingerPrintSettings.FRONT_FINGERPRINT_NAVIGATION_TRIKEY == 1 && huawei.android.provider.FrontFingerPrintSettings.isSupportTrikey()) {
                if (com.android.server.input.FrontFingerprintNavigation.this.isSingleTrikeyNaviMode()) {
                    if (com.android.server.input.FrontFingerprintNavigation.this.isMMITesting()) {
                        android.util.Log.d(com.android.server.input.FrontFingerprintNavigation.TAG, "MMITesting now.");
                        return;
                    }
                    android.util.Flog.bdReport(com.android.server.input.FrontFingerprintNavigation.this.mContext, 10);
                    android.util.Log.i(com.android.server.input.FrontFingerprintNavigation.TAG, "SystemUIRecentInspector handle sendKeyEvent KEYCODE_APP_SWITCH");
                    com.android.server.input.FrontFingerprintNavigation.this.sendKeyEvent(187);
                    com.android.server.input.FrontFingerprintNavigation.this.notifyTrikeyEvent(187);
                }
            } else if (!huawei.android.provider.FrontFingerPrintSettings.isNaviBarEnabled(com.android.server.input.FrontFingerprintNavigation.this.mResolver)) {
                android.util.Flog.bdReport(com.android.server.input.FrontFingerprintNavigation.this.mContext, 10);
                if (android.common.HwFrameworkFactory.getVRSystemServiceManager() == null || !android.common.HwFrameworkFactory.getVRSystemServiceManager().isVRMode()) {
                    android.util.Log.i(com.android.server.input.FrontFingerprintNavigation.TAG, "SystemUIRecentInspector handle sendKeyEvent KEYCODE_APP_SWITCH");
                    com.android.server.input.FrontFingerprintNavigation.this.sendKeyEvent(187);
                    com.android.server.input.FrontFingerprintNavigation.this.notifyTrikeyEvent(187);
                } else {
                    android.util.Log.d(com.android.server.input.FrontFingerprintNavigation.TAG, "Now is VRMode,.return");
                }
            }
        }
    }

    public FrontFingerprintNavigation(android.content.Context context) {
        this.mContext = context;
        this.mHandler = new android.os.Handler();
        this.mResolver = context.getContentResolver();
        this.mSettingsObserver = new com.android.server.input.FrontFingerprintNavigation.SettingsObserver(this.mHandler);
        this.mSystemUIBackInspector = new com.android.server.input.FrontFingerprintNavigation.SystemUIBackInspector();
        this.mSystemUIRecentInspector = new com.android.server.input.FrontFingerprintNavigation.SystemUIRecentInspector();
        this.mSystemUIHomeInspector = new com.android.server.input.FrontFingerprintNavigation.SystemUIHomeInspector();
        this.mFingerPrintUpInspector = new com.android.server.input.FrontFingerprintNavigation.FingerPrintHomeUpInspector();
        this.mPowerManager = (android.os.PowerManager) this.mContext.getSystemService("power");
        this.mVibrator = (android.os.SystemVibrator) ((android.os.Vibrator) this.mContext.getSystemService("vibrator"));
        this.mDmdUtils = new com.android.server.input.DMDUtils(context);
    }

    private void updateDockedStackFlag() {
        try {
            android.view.WindowManagerGlobal.getWindowManagerService().registerDockedStackListener(new android.view.IDockedStackListener.Stub() {
                public void onDividerVisibilityChanged(boolean visible) throws android.os.RemoteException {
                }

                public void onDockedStackExistsChanged(boolean exists) throws android.os.RemoteException {
                }

                public void onDockedStackMinimizedChanged(boolean minimized, long animDuration, boolean isHomeStackResizable) throws android.os.RemoteException {
                    java.lang.String access$000 = com.android.server.input.FrontFingerprintNavigation.TAG;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("onDockedStackMinimizedChanged:");
                    stringBuilder.append(minimized);
                    android.util.Log.d(access$000, stringBuilder.toString());
                    com.android.server.input.FrontFingerprintNavigation.this.mDockedStackMinimized = minimized;
                }

                public void onAdjustedForImeChanged(boolean adjustedForIme, long animDuration) throws android.os.RemoteException {
                }

                public void onDockSideChanged(int newDockSide) throws android.os.RemoteException {
                }
            });
        } catch (android.os.RemoteException e) {
            android.util.Log.e(TAG, "Failed registering docked stack exists listener", e);
        }
    }

    public void systemRunning() {
        android.util.Log.d(TAG, "systemRunning");
        updateDockedStackFlag();
        initDefaultNaviValue();
        initDefaultVibrateValue();
    }

    private void initDefaultVibrateValue() {
        this.VIBRATOR_MODE_SHORT_PRESS_FOR_FRONT_FP = android.os.SystemProperties.getInt("ro.config.trikey_vibrate_touch", 8);
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("The trikey touch vibrate config value is:");
        stringBuilder.append(this.VIBRATOR_MODE_SHORT_PRESS_FOR_FRONT_FP);
        android.util.Log.d(str, stringBuilder.toString());
        this.VIBRATOR_MODE_LONG_PRESS_FOR_FRONT_FP = android.os.SystemProperties.getInt("ro.config.trikey_vibrate_press", 16);
        this.VIBRATOR_MODE_LONG_PRESS_FOR_HOME_FRONT_FP = this.VIBRATOR_MODE_LONG_PRESS_FOR_FRONT_FP;
        str = TAG;
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("The trikey longPress vibrate config value is:");
        stringBuilder.append(this.VIBRATOR_MODE_LONG_PRESS_FOR_FRONT_FP);
        android.util.Log.d(str, stringBuilder.toString());
        this.mIsPadDevice = isPad();
        str = TAG;
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mIsPadDevice is:");
        stringBuilder.append(this.mIsPadDevice);
        android.util.Log.d(str, stringBuilder.toString());
        this.mFingerPrintId = android.os.SystemProperties.getInt("sys.fingerprint.deviceId", -1);
        this.mVibrateHomeUpMode = android.os.SystemProperties.getInt("ro.config.trikey_vibrate_touch_up", this.VIBRATOR_MODE_SHORT_PRESS_FOR_FRONT_FP);
        str = TAG;
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mVibrateHomeUpMode is:");
        stringBuilder.append(this.mVibrateHomeUpMode);
        android.util.Log.d(str, stringBuilder.toString());
    }

    private void initDefaultNaviValue() {
        if (this.mResolver != null && huawei.android.provider.FrontFingerPrintSettings.FRONT_FINGERPRINT_NAVIGATION) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("initDefaultNaviValue with user:");
            stringBuilder.append(android.app.ActivityManager.getCurrentUser());
            android.util.Log.d(str, stringBuilder.toString());
            initDefaultHapticProp();
            initDefaultNaviBarStatus();
            boolean deviceProvisioned = true;
            if (huawei.android.provider.FrontFingerPrintSettings.FRONT_FINGERPRINT_NAVIGATION_TRIKEY == 1) {
                java.lang.String str2;
                java.lang.StringBuilder stringBuilder2;
                if (android.provider.Settings.System.getIntForUser(this.mResolver, "swap_key_position", -10000, android.app.ActivityManager.getCurrentUser()) == -10000) {
                    if (android.provider.Settings.Secure.getIntForUser(this.mResolver, "device_provisioned", 0, android.app.ActivityManager.getCurrentUser()) == 0) {
                        deviceProvisioned = false;
                    }
                    if (!deviceProvisioned) {
                        int trikeyNaviMode = huawei.android.provider.FrontFingerPrintSettings.getDefaultNaviMode();
                        str2 = TAG;
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("init default trikeyNaviMode to:");
                        stringBuilder2.append(trikeyNaviMode);
                        android.util.Log.d(str2, stringBuilder2.toString());
                        android.provider.Settings.System.putIntForUser(this.mResolver, "swap_key_position", trikeyNaviMode, android.app.ActivityManager.getCurrentUser());
                    } else if (huawei.android.provider.FrontFingerPrintSettings.isChinaArea()) {
                        android.util.Log.d(TAG, "init default trikeyNaviMode to singleButtonMode!");
                        android.provider.Settings.System.putIntForUser(this.mResolver, "swap_key_position", -1, android.app.ActivityManager.getCurrentUser());
                    }
                }
                if (android.provider.Settings.System.getIntForUser(this.mResolver, "button_light_mode", -10000, android.app.ActivityManager.getCurrentUser()) == -10000) {
                    int buttonLightMode = huawei.android.provider.FrontFingerPrintSettings.getDefaultBtnLightMode();
                    str2 = TAG;
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("init default buttonlight mode to:");
                    stringBuilder2.append(buttonLightMode);
                    android.util.Log.d(str2, stringBuilder2.toString());
                    android.provider.Settings.System.putIntForUser(this.mResolver, "button_light_mode", buttonLightMode, android.app.ActivityManager.getCurrentUser());
                }
            }
        }
    }

    private void initDefaultHapticProp() {
        if ((huawei.android.provider.FrontFingerPrintSettings.FRONT_FINGERPRINT_NAVIGATION_TRIKEY == 0 || huawei.android.provider.FrontFingerPrintSettings.FRONT_FINGERPRINT_NAVIGATION_TRIKEY == 1) && android.provider.Settings.System.getIntForUser(this.mResolver, "physic_navi_haptic_feedback_enabled", -10000, android.app.ActivityManager.getCurrentUser()) == -10000) {
            android.util.Log.d(TAG, "init default hapicProp to enabled!");
            android.provider.Settings.System.putIntForUser(this.mResolver, "physic_navi_haptic_feedback_enabled", 1, android.app.ActivityManager.getCurrentUser());
        }
    }

    private void initDefaultNaviBarStatus() {
        int userID = android.app.ActivityManager.getCurrentUser();
        if (android.provider.Settings.System.getIntForUser(this.mResolver, "enable_navbar", -10000, userID) == -10000) {
            boolean naviBarStatus = huawei.android.provider.FrontFingerPrintSettings.isNaviBarEnabled(this.mResolver);
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("init defaultNaviBarStatus to:");
            stringBuilder.append(naviBarStatus);
            android.util.Log.d(str, stringBuilder.toString());
            int status = 1;
            if (huawei.android.provider.FrontFingerPrintSettings.FRONT_FINGERPRINT_NAVIGATION_TRIKEY == 0) {
                if (!(android.provider.Settings.Secure.getIntForUser(this.mResolver, "device_provisioned", 0, userID) != 0)) {
                    android.provider.Settings.System.putIntForUser(this.mResolver, "enable_navbar", naviBarStatus, userID);
                } else if (huawei.android.provider.FrontFingerPrintSettings.isChinaArea()) {
                    if (huawei.android.provider.FrontFingerPrintSettings.SINGLE_VIRTUAL_NAVIGATION_MODE != 1) {
                        status = 0;
                    }
                    android.provider.Settings.System.putIntForUser(this.mResolver, "enable_navbar", status, userID);
                } else {
                    android.provider.Settings.System.putIntForUser(this.mResolver, "enable_navbar", 1, userID);
                }
            } else if (huawei.android.provider.FrontFingerPrintSettings.FRONT_FINGERPRINT_NAVIGATION_TRIKEY == 1) {
                android.provider.Settings.System.putIntForUser(this.mResolver, "enable_navbar", naviBarStatus, userID);
            }
        }
    }

    private boolean isTopTaskRecent() {
        boolean isRunningTaskInRecentStack = false;
        try {
            java.util.List<android.app.ActivityManager.RunningTaskInfo> tasks = android.app.ActivityManager.getService().getFilteredTasks(1, 0, 2);
            if (tasks.isEmpty()) {
                return false;
            }
            if (((android.app.ActivityManager.RunningTaskInfo) tasks.get(0)).configuration.windowConfiguration.getActivityType() == 3) {
                isRunningTaskInRecentStack = true;
            }
            return isRunningTaskInRecentStack;
        } catch (android.os.RemoteException e) {
            return false;
        }
    }

    private void notifyTrikeyEvent(int keyCode) {
        if (this.mDeviceProvisioned) {
            int isShowNaviGuide = android.provider.Settings.System.getIntForUser(this.mResolver, "systemui_tips_already_shown", 0, android.app.ActivityManager.getCurrentUser());
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("isShowNaviGuide:");
            stringBuilder.append(isShowNaviGuide);
            android.util.Log.d(str, stringBuilder.toString());
            if (isShowNaviGuide == 0) {
                android.content.Intent intent = new android.content.Intent("com.android.huawei.FINGER_PRINT_ACTION_KEYEVENT");
                intent.putExtra("keycode", keyCode);
                intent.setPackage("com.android.systemui");
                intent.addFlags(268435456);
                this.mContext.sendBroadcast(intent, "android.permission.STATUS_BAR");
            }
        }
    }

    public boolean handleFingerprintEvent(android.view.InputEvent event) {
        if (huawei.android.provider.FrontFingerPrintSettings.FRONT_FINGERPRINT_NAVIGATION && this.isNormalRunmode) {
            if (!isGestureNavEnable()) {
                if (this.mSystemUIBackInspector.probe(event)) {
                    this.mSystemUIBackInspector.handle(event);
                    return true;
                } else if (this.mSystemUIRecentInspector.probe(event)) {
                    this.mSystemUIRecentInspector.handle(event);
                    return true;
                } else if (this.mSystemUIHomeInspector.probe(event)) {
                    this.mSystemUIHomeInspector.handle(event);
                    return true;
                } else if (!this.mFingerPrintUpInspector.probe(event)) {
                    return false;
                } else {
                    this.mFingerPrintUpInspector.handle(event);
                    return true;
                }
            }
        }
        android.util.Log.d(TAG, "do not support frontfingerprint");
        return false;
    }

    private boolean isScreenOff() {
        android.os.PowerManager power = (android.os.PowerManager) this.mContext.getSystemService("power");
        if (power != null) {
            return power.isScreenOn() ^ 1;
        }
        return false;
    }

    private java.lang.String getTopApp() {
        java.lang.String pkgName = ((com.android.server.am.ActivityManagerService) android.os.ServiceManager.getService("activity")).topAppName();
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("TopApp is ");
        stringBuilder.append(pkgName);
        android.util.Log.d(str, stringBuilder.toString());
        return pkgName;
    }

    private boolean isSpecialKey(android.view.InputEvent event, int code) {
        if (!(event instanceof android.view.KeyEvent)) {
            return false;
        }
        android.view.KeyEvent ev = (android.view.KeyEvent) event;
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("keycode is : ");
        stringBuilder.append(ev.getKeyCode());
        android.util.Log.d(str, stringBuilder.toString());
        if (ev.getKeyCode() == code) {
            return true;
        }
        return false;
    }

    private void sendKeyEvent(int keycode) {
        int[] actions = new int[]{0, 1};
        android.view.KeyEvent ev = null;
        for (int keyEvent : actions) {
            long curTime = android.os.SystemClock.uptimeMillis();
            android.hardware.input.InputManager.getInstance().injectInputEvent(new android.view.KeyEvent(curTime, curTime, keyEvent, keycode, 0, 0, this.mFingerPrintId, 0, 8, 257), 0);
        }
    }

    private boolean isSuperPowerSaveMode() {
        return android.os.SystemProperties.getBoolean("sys.super_power_save", false);
    }

    public void setCurrentUser(int newUserId) {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setCurrentUser:");
        stringBuilder.append(newUserId);
        android.util.Log.d(str, stringBuilder.toString());
        initDefaultValueWithUser();
        this.mSettingsObserver.registerContentObserver(newUserId);
        this.mSettingsObserver.onChange(true);
    }

    private void initDefaultValueWithUser() {
        if (this.mResolver != null && huawei.android.provider.FrontFingerPrintSettings.FRONT_FINGERPRINT_NAVIGATION) {
            java.lang.String str;
            int userID = android.app.ActivityManager.getCurrentUser();
            java.lang.String str2 = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("initDefaultNaviValue with user:");
            stringBuilder.append(userID);
            android.util.Log.d(str2, stringBuilder.toString());
            initDefaultHapticProp();
            if (huawei.android.provider.FrontFingerPrintSettings.FRONT_FINGERPRINT_NAVIGATION_TRIKEY == 1) {
                if (android.provider.Settings.System.getIntForUser(this.mResolver, "swap_key_position", -10000, userID) == -10000) {
                    int trikeyNaviMode = huawei.android.provider.FrontFingerPrintSettings.getDefaultNaviMode();
                    str = TAG;
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("init default trikeyNaviMode to:");
                    stringBuilder2.append(trikeyNaviMode);
                    android.util.Log.d(str, stringBuilder2.toString());
                    android.provider.Settings.System.putIntForUser(this.mResolver, "swap_key_position", trikeyNaviMode, userID);
                }
                if (android.provider.Settings.System.getIntForUser(this.mResolver, "button_light_mode", -10000, userID) == -10000) {
                    int buttonLightMode = huawei.android.provider.FrontFingerPrintSettings.getDefaultBtnLightMode();
                    java.lang.String str3 = TAG;
                    java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append("init user buttonlight mode to:");
                    stringBuilder3.append(buttonLightMode);
                    android.util.Log.d(str3, stringBuilder3.toString());
                    android.provider.Settings.System.putIntForUser(this.mResolver, "button_light_mode", buttonLightMode, userID);
                }
            }
            if (android.provider.Settings.System.getIntForUser(this.mResolver, "enable_navbar", -10000, userID) == -10000) {
                boolean naviBarStatus = huawei.android.provider.FrontFingerPrintSettings.isNaviBarEnabled(this.mResolver);
                str = TAG;
                java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                stringBuilder4.append("init defaultNaviBarStatus to:");
                stringBuilder4.append(naviBarStatus);
                android.util.Log.d(str, stringBuilder4.toString());
                android.provider.Settings.System.putIntForUser(this.mResolver, "enable_navbar", naviBarStatus, userID);
            }
        }
    }

    private boolean isSingleTrikeyNaviMode() {
        return this.mTrikeyNaviMode < 0;
    }

    private void checkLockMode() {
        android.app.IActivityManager activityManager = android.app.ActivityManager.getService();
        try {
            if (activityManager.isInLockTaskMode()) {
                activityManager.stopSystemLockTaskMode();
                android.util.Log.i(TAG, "longclick exit lockMode");
            }
        } catch (android.os.RemoteException e) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("exit lockMode exception ");
            stringBuilder.append(e.toString());
            android.util.Log.i(str, stringBuilder.toString());
        }
    }

    private boolean isValidRecentKeyEvent(android.view.InputEvent event) {
        boolean z = false;
        if (1 == this.mContext.getResources().getConfiguration().orientation) {
            if (!isSpecialKey(event, 514)) {
                if (!isSpecialKey(event, 513)) {
                    return z;
                }
            }
            z = true;
            return z;
        } else if (2 != this.mContext.getResources().getConfiguration().orientation) {
            return false;
        } else {
            if (!isSpecialKey(event, 511)) {
                if (!isSpecialKey(event, 512)) {
                    return z;
                }
            }
            z = true;
            return z;
        }
    }

    private boolean isKeyguardLocked() {
        android.app.KeyguardManager keyguard = (android.app.KeyguardManager) this.mContext.getSystemService("keyguard");
        if (keyguard != null) {
            return keyguard.isKeyguardLocked();
        }
        return false;
    }

    private boolean isStrongBox() {
        java.lang.String activityName = getTopApp();
        java.lang.String activity_strongbox = "com.huawei.hidisk/.strongbox.ui.activity.StrongBoxVerifyPassActivity";
        if (activityName != null) {
            return activityName.equals(activity_strongbox);
        }
        return false;
    }

    private boolean isAlarm() {
        java.lang.String pkgName = getTopApp();
        java.lang.String pkg_alarm = "com.android.deskclock/.alarmclock.LockAlarmFullActivity";
        if (pkgName != null) {
            return pkgName.equals(pkg_alarm);
        }
        return false;
    }

    private boolean isSettingEnroll() {
        java.lang.String pkgName = getTopApp();
        java.lang.String pkg_setting = "com.android.settings/.fingerprint.enrollment.FingerprintEnrollActivity";
        if (pkgName != null) {
            return pkgName.equals(pkg_setting);
        }
        return false;
    }

    private boolean isSettingCalibrationIntro() {
        java.lang.String pkgName = getTopApp();
        java.lang.String pkg_setting = "com.android.settings/.fingerprint.enrollment.FingerprintCalibrationIntroActivity";
        if (pkgName != null) {
            return pkgName.equals(pkg_setting);
        }
        return false;
    }

    private void startVibrate(int virbateMode) {
        if (!isKeyguardLocked() && this.mHapticEnabled) {
            if (!"true".equals(android.os.SystemProperties.get("runtime.mmitest.isrunning", "false"))) {
                if (this.mVibrator != null) {
                    java.lang.String str;
                    java.lang.StringBuilder stringBuilder;
                    if (this.mIsPadDevice) {
                        str = TAG;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("startVibrateWithPattern:");
                        stringBuilder.append(virbateMode);
                        android.util.Log.d(str, stringBuilder.toString());
                        this.mVibrator.hwVibrate(null, virbateMode);
                    } else {
                        str = TAG;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("startVibrateWithConfigProp:");
                        stringBuilder.append(virbateMode);
                        android.util.Log.d(str, stringBuilder.toString());
                        this.mVibrator.vibrate((long) virbateMode);
                    }
                }
            }
        }
    }

    private boolean isPad() {
        if ("tablet".equals(android.os.SystemProperties.get("ro.build.characteristics", ""))) {
            android.util.Log.d(TAG, "current device is pad!");
            return true;
        }
        android.util.Log.d(TAG, "current device is phone!");
        return false;
    }

    private void startVoiceAssist() {
        try {
            ((com.android.server.statusbar.StatusBarManagerInternal) com.android.server.LocalServices.getService(com.android.server.statusbar.StatusBarManagerInternal.class)).startAssist(new android.os.Bundle());
        } catch (java.lang.Exception exp) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("startVoiceAssist error:");
            stringBuilder.append(exp.getMessage());
            android.util.Log.e(str, stringBuilder.toString());
        }
    }

    private boolean isMMITesting() {
        return "true".equals(android.os.SystemProperties.get("runtime.mmitest.isrunning", "false"));
    }

    private boolean isGestureNavEnable() {
        return IS_SUPPORT_GESTURE_NAV && this.mIsGestureNavEnable;
    }
}
