package com.android.server.input;

public class HwCirclePrompt {
    public static final float BG_ALPHA = 0.6f;
    private static final int[] BG_COLORS = new int[]{-16777216, 2130706432, 0};
    private static final float[] BG_COLOR_POS = new float[]{0.0f, 0.3f, 1.0f};
    private static int BG_HEIGHT = 375;
    private static final boolean DEBUG;
    public static final float DENSITY_FHD = 3.0f;
    public static final java.lang.String TAG = "pressure:HwCirclePrompt";
    private static com.android.server.input.HwCirclePrompt mhwCirclePrompt = null;
    private int fontHeigh = 10;
    private int fontRightPadding = 50;
    private android.graphics.Rect mBgRect = new android.graphics.Rect();
    private android.graphics.Shader mBgShader = null;
    private android.graphics.Bitmap mBitmap;
    private android.graphics.Bitmap mBitmapH;
    private android.content.Context mContext;
    float mDpi = 1.0f;
    private int mHeight = 0;
    private boolean mIsPortrait = true;
    private android.content.res.Resources mResources;
    private int mWidth = 0;

    static {
        boolean z;
        if (!android.util.Log.HWINFO) {
            if (!android.util.Log.HWModuleLog || !android.util.Log.isLoggable("pressure:HwCirclePrompt", 4)) {
                z = false;
                DEBUG = z;
            }
        }
        z = true;
        DEBUG = z;
    }

    protected HwCirclePrompt(android.content.Context context, android.content.res.Resources resources) {
        this.mContext = context;
        this.mResources = resources;
        this.mDpi = resources.getDisplayMetrics().density / ((float) (resources.getDisplayMetrics().densityDpi / 160));
        convDpi();
    }

    private void convDpi() {
        BG_HEIGHT = (int) (((float) BG_HEIGHT) * this.mDpi);
        this.fontHeigh = (int) (((float) this.fontHeigh) * this.mDpi);
        this.fontHeigh = (int) (((float) this.fontHeigh) * this.mDpi);
    }

    public void draw(android.graphics.Canvas canvas) {
        android.util.Log.e("pressure:HwCirclePrompt", "draw");
        android.graphics.Paint paint = new android.graphics.Paint();
        android.text.TextPaint txPaint = new android.text.TextPaint();
        if (this.mIsPortrait) {
            drawBackground(canvas, paint);
            drawImage(canvas, paint);
            drawText(canvas, txPaint);
            return;
        }
        drawBackground(canvas, paint);
        drawImageH(canvas, paint);
        drawTextH(canvas, txPaint);
    }

    private void drawBackground(android.graphics.Canvas canvas, android.graphics.Paint paint) {
        android.graphics.Shader s = paint.getShader();
        paint.setShader(this.mBgShader);
        paint.setStyle(android.graphics.Paint.Style.FILL);
        paint.setAlpha((int) (255.0f * 0.6f));
        canvas.drawRect(this.mBgRect, paint);
        paint.setShader(s);
    }

    private void drawText(android.graphics.Canvas canvas, android.text.TextPaint paint) {
        android.graphics.Canvas canvas2 = canvas;
        android.text.TextPaint textPaint = paint;
        int bitmapheight = 0;
        if (!(this.mBitmap == null || this.mBitmap.isRecycled())) {
            bitmapheight = this.mBitmap.getHeight();
        }
        int bitmapheight2 = bitmapheight;
        canvas.save();
        textPaint.setTextSize((float) this.mResources.getDimensionPixelSize(34472107));
        android.graphics.Paint.FontMetrics fm = paint.getFontMetrics();
        float Fontheight = fm.bottom - fm.top;
        textPaint.setColor(this.mResources.getColor(33882275));
        textPaint.setTextAlign(android.graphics.Paint.Align.CENTER);
        java.lang.String str = this.mContext.getString(33685838);
        int res;
        if (str != null) {
            java.lang.String str2 = str;
            res = 33685838;
            android.text.StaticLayout staticlayout = new android.text.StaticLayout(str, textPaint, this.mWidth - this.fontRightPadding, android.text.Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, 0);
            canvas2.translate((float) (this.mWidth / 2), ((float) (this.mHeight - bitmapheight2)) - (((float) getTextLines(textPaint, str2, Fontheight, this.mWidth - (this.fontRightPadding * 2))) * Fontheight));
            staticlayout.draw(canvas2);
        } else {
            res = 33685838;
        }
        canvas.restore();
    }

    private int getTextLines(android.text.TextPaint paint, java.lang.String content, float fontHeigh, int lineWidth) {
        int i;
        int count = content.length();
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getTextWidths count = ");
            stringBuilder.append(count);
            stringBuilder.append("fontHeigh = ");
            stringBuilder.append(fontHeigh);
            stringBuilder.append("  lineWidth  = ");
            stringBuilder.append(lineWidth);
            android.util.Log.e("pressure:HwCirclePrompt", stringBuilder.toString());
        }
        int w = 0;
        for (i = 0; i < count; i++) {
            float[] widths = new float[1];
            paint.getTextWidths(java.lang.String.valueOf(content.charAt(i)), widths);
            w += (int) java.lang.Math.ceil((double) widths[0]);
            if (DEBUG) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("getTextWidths w = ");
                stringBuilder2.append(w);
                stringBuilder2.append(" widths   = ");
                stringBuilder2.append(widths[0]);
                android.util.Log.e("pressure:HwCirclePrompt", stringBuilder2.toString());
            }
        }
        i = (w / lineWidth) + 1;
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("getTextWidths textLines = ");
            stringBuilder3.append(i);
            android.util.Log.e("pressure:HwCirclePrompt", stringBuilder3.toString());
        }
        return i;
    }

    private void drawTextH(android.graphics.Canvas canvas, android.text.TextPaint paint) {
        android.graphics.Canvas canvas2 = canvas;
        android.text.TextPaint textPaint = paint;
        int bitmapwidth = 0;
        if (!(this.mBitmapH == null || this.mBitmapH.isRecycled())) {
            bitmapwidth = this.mBitmapH.getWidth();
        }
        int bitmapwidth2 = bitmapwidth;
        textPaint.setTextSize((float) this.mResources.getDimensionPixelSize(34472107));
        android.graphics.Paint.FontMetrics fm = paint.getFontMetrics();
        float Fontheight = fm.bottom - fm.top;
        textPaint.setColor(this.mResources.getColor(33882275));
        textPaint.setTextAlign(android.graphics.Paint.Align.CENTER);
        java.lang.String str = this.mContext.getString(33685838);
        java.lang.String str2 = str;
        int res = 33685838;
        android.text.StaticLayout staticlayout = new android.text.StaticLayout(str, textPaint, this.mHeight - this.fontRightPadding, android.text.Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, 0);
        int lines = getTextLines(textPaint, str2, Fontheight, this.mHeight - (this.fontRightPadding * 2));
        canvas.save();
        canvas2.translate(((float) (this.mWidth - bitmapwidth2)) - (((float) lines) * Fontheight), (float) (this.mHeight / 2));
        canvas2.rotate(-90.0f, 0.0f, 0.0f);
        staticlayout.draw(canvas2);
        canvas2.rotate(90.0f, 0.0f, 0.0f);
        canvas.restore();
    }

    private void drawImage(android.graphics.Canvas canvas, android.graphics.Paint paint) {
        int bitmapheight = 0;
        int bitmapwidth = 0;
        if (this.mBitmap == null || this.mBitmap.isRecycled()) {
            loadBitmap();
            if (!(this.mBitmap == null || this.mBitmap.isRecycled())) {
                bitmapwidth = this.mBitmap.getWidth();
                bitmapheight = this.mBitmap.getHeight();
            }
        } else {
            bitmapwidth = this.mBitmap.getWidth();
            bitmapheight = this.mBitmap.getHeight();
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("drawImage bitmapwidth = ");
        stringBuilder.append(bitmapwidth);
        stringBuilder.append("  bitmapheight = ");
        stringBuilder.append(bitmapheight);
        android.util.Log.e("pressure:HwCirclePrompt", stringBuilder.toString());
        if (this.mIsPortrait) {
            android.graphics.Rect src = new android.graphics.Rect();
            android.graphics.Rect dst = new android.graphics.Rect();
            src.left = 0;
            src.top = 0;
            src.right = bitmapwidth;
            src.bottom = bitmapheight;
            dst.left = 0;
            dst.top = this.mHeight - ((this.mWidth / bitmapwidth) * bitmapheight);
            dst.right = this.mWidth;
            dst.bottom = this.mHeight;
            canvas.drawBitmap(this.mBitmap, src, dst, paint);
        }
    }

    private void drawImageH(android.graphics.Canvas canvas, android.graphics.Paint paint) {
        int bitmapwidth = 0;
        int bitmapheight = 0;
        if (this.mBitmapH == null || this.mBitmapH.isRecycled()) {
            loadBitmap();
            if (!(this.mBitmapH == null || this.mBitmapH.isRecycled())) {
                bitmapwidth = this.mBitmapH.getWidth();
                bitmapheight = this.mBitmapH.getHeight();
            }
        } else {
            bitmapwidth = this.mBitmapH.getWidth();
            bitmapheight = this.mBitmapH.getHeight();
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("drawImage bitmapwidth = ");
        stringBuilder.append(bitmapwidth);
        stringBuilder.append("  bitmapheight = ");
        stringBuilder.append(bitmapheight);
        android.util.Log.e("pressure:HwCirclePrompt", stringBuilder.toString());
        android.graphics.Rect src = new android.graphics.Rect();
        android.graphics.Rect dst = new android.graphics.Rect();
        src.left = 0;
        src.top = 0;
        src.right = bitmapwidth;
        src.bottom = bitmapheight;
        dst.left = this.mWidth - bitmapwidth;
        dst.top = 0;
        dst.right = this.mWidth;
        dst.bottom = this.mHeight;
        if (this.mBitmapH != null) {
            canvas.drawBitmap(this.mBitmapH, src, dst, paint);
        }
    }

    public void setViewSize(int width, int height) {
        this.mWidth = width;
        this.mHeight = height;
        if (this.mHeight > this.mWidth) {
            this.mIsPortrait = true;
        } else {
            this.mIsPortrait = false;
        }
        if (this.mIsPortrait) {
            this.mBgShader = new android.graphics.LinearGradient(0.0f, (float) height, 0.0f, (float) (height - BG_HEIGHT), BG_COLORS, BG_COLOR_POS, android.graphics.Shader.TileMode.CLAMP);
            this.mBgRect.set(0, height - BG_HEIGHT, width, height);
            return;
        }
        this.mBgShader = new android.graphics.LinearGradient((float) width, (float) height, (float) (width - BG_HEIGHT), (float) height, BG_COLORS, BG_COLOR_POS, android.graphics.Shader.TileMode.CLAMP);
        this.mBgRect.set(width - BG_HEIGHT, 0, width, height);
    }

    private void loadBitmap() {
        if (DEBUG) {
            android.util.Log.e("pressure:HwCirclePrompt", "load bitmap begin");
        }
        android.graphics.BitmapFactory.Options options = new android.graphics.BitmapFactory.Options();
        options.inJustDecodeBounds = true;
        options.inJustDecodeBounds = false;
        options.inSampleSize = 1;
        if (this.mIsPortrait) {
            this.mBitmap = android.graphics.BitmapFactory.decodeResource(this.mContext.getResources(), 33751648, options);
        } else {
            this.mBitmapH = android.graphics.BitmapFactory.decodeResource(this.mContext.getResources(), 33751649, options);
        }
        if (DEBUG) {
            android.util.Log.e("pressure:HwCirclePrompt", "load bitmap end");
        }
    }

    public void release() {
        if (!(this.mBitmap == null || this.mBitmap.isRecycled())) {
            this.mBitmap.recycle();
            this.mBitmap = null;
        }
        if (this.mBitmapH != null && !this.mBitmapH.isRecycled()) {
            this.mBitmapH.recycle();
            this.mBitmapH = null;
        }
    }
}
