package com.android.server.input;

public class HwCircleWindow {
    public static final int ANIMATION_TYPE_APP = 4;
    public static final int ANIMATION_TYPE_BACK = 2;
    public static final int ANIMATION_TYPE_HOME = 1;
    public static final int ANIMATION_TYPE_MULTI = 3;
    public static final int APP_MODE = 0;
    private static final int MSG_DISPATCH_CREATE_WIN = 1;
    private static final int MSG_DISPATCH_DESTORY_WIN = 2;
    private static final int MSG_DISPATCH_IMMERSIVEMODE = 7;
    private static final int MSG_DISPATCH_ON_EVENT = 3;
    private static final int MSG_DISPATCH_ON_EVENT_DEBUG = 5;
    private static final int MSG_DISPATCH_PROMPT_TIMEOUT = 6;
    private static final int MSG_DISPATCH_RESET_ANIMATION = 4;
    private static final int MSG_DISPATCH_UPDATEVIEW = 8;
    public static final int NAVI_MODE = 1;
    public static final int NEEDTIPNUM_DISABLE = 2;
    public static final int NEEDTIPNUM_DISPLAYED = 3;
    public static final int NEEDTIPNUM_ENABLE = 1;
    public static final int NEEDTIPNUM_FIRST = 0;
    private static final int PROMPT_TIMEOUT = 100;
    private static com.android.server.input.HwCircleWindow mhwCircleWindow = null;
    private boolean DEBUG = false;
    private java.lang.String TAG = "pressure:hwCircleWindow";
    private boolean canNaviDraw = true;
    private float inaccuracyToCenter = 0.5f;
    private android.view.WindowManager.LayoutParams layoutParams = null;
    private final android.os.Looper looper = android.os.Looper.myLooper();
    private android.os.HandlerThread mCircleHandlerThread;
    private android.content.Context mContext;
    int mDisplayHeight;
    int mDisplayWidth;
    private android.os.Handler mHandler;
    private boolean mImmersiveMode = false;
    private float mLimit = 0.2f;
    private java.lang.Object mLock = new java.lang.Object();
    private int mMode = 0;
    private boolean mNeedTip = false;
    private android.view.WindowManager mWindowManager = null;
    private com.android.server.input.HwCircleWindow.hwCircle mhwCircle;
    private java.lang.String needTip = "pressure_needTip";
    private float pressLaunchLimit = 0.45f;
    private float pressStartLimit = 0.3f;
    private boolean viewAdd = false;

    private class HandlerEx extends android.os.Handler {
        public HandlerEx(android.os.Looper looper) {
            super(looper);
        }

        public void handleMessage(android.os.Message msg) {
            switch (msg.what) {
                case 1:
                    com.android.server.input.HwCircleWindow.this.createCircleWindowLock();
                    return;
                case 2:
                    com.android.server.input.HwCircleWindow.this.destoryCircleWindowAndBitmapLock();
                    return;
                case 3:
                    if (com.android.server.input.HwCircleWindow.this.mhwCircle != null && msg.obj != null) {
                        com.android.server.input.HwCircleWindow.this.mhwCircle.onTouchEvent((android.view.MotionEvent) msg.obj, msg.arg1);
                        return;
                    }
                    return;
                case 4:
                    if (com.android.server.input.HwCircleWindow.this.mhwCircle != null) {
                        com.android.server.input.HwCircleWindow.this.mhwCircle.resetAnimaion();
                        return;
                    }
                    return;
                case 5:
                    if (com.android.server.input.HwCircleWindow.this.mhwCircle != null && msg.obj != null) {
                        com.android.server.input.HwCircleWindow.this.mhwCircle.onTouchEventDebug((android.view.MotionEvent) msg.obj);
                        return;
                    }
                    return;
                case 6:
                    if (com.android.server.input.HwCircleWindow.this.mhwCircle != null) {
                        android.util.Log.d(com.android.server.input.HwCircleWindow.this.TAG, "hwCircleWindow timeout");
                        if (1 == android.provider.Settings.System.getIntForUser(com.android.server.input.HwCircleWindow.this.mContext.getContentResolver(), com.android.server.input.HwCircleWindow.this.needTip, 0, android.app.ActivityManager.getCurrentUser())) {
                            android.provider.Settings.System.putIntForUser(com.android.server.input.HwCircleWindow.this.mContext.getContentResolver(), com.android.server.input.HwCircleWindow.this.needTip, 3, android.app.ActivityManager.getCurrentUser());
                            com.android.server.input.HwCircleWindow.this.mNeedTip = false;
                            return;
                        }
                        return;
                    }
                    return;
                case 7:
                    if (com.android.server.input.HwCircleWindow.this.mImmersiveMode && com.android.server.input.HwCircleWindow.this.mhwCircle != null) {
                        com.android.server.input.HwCircleWindow.this.mhwCircle.onAnimationUpdate();
                        return;
                    }
                    return;
                case 8:
                    if (com.android.server.input.HwCircleWindow.this.mhwCircle != null) {
                        com.android.server.input.HwCircleWindow.this.mhwCircle.onAnimationUpdate();
                        return;
                    }
                    return;
                default:
                    return;
            }
        }
    }

    class hwCircle extends android.view.View implements com.android.server.input.HwCircleAnimation.AnimationUpdateListener {
        private int CIRCLE_COLOR;
        private int CORNER_RADIUS;
        private android.graphics.Paint NaviPaint;
        private int SMALL_RADIUS;
        private boolean canClear;
        private boolean canPrompt;
        private boolean isLunched;
        private com.android.server.input.HwCircleAnimation mCircleAnim;
        private com.android.server.input.HwCirclePrompt mCirclePrompt;
        android.graphics.CornerPathEffect mCornerEffect;
        private int mOldX;
        private int mOldY;
        private float process;

        public hwCircle(android.content.Context context) {
            super(context);
            this.mCircleAnim = null;
            this.mCirclePrompt = null;
            this.isLunched = false;
            this.canPrompt = false;
            this.CORNER_RADIUS = 4;
            this.SMALL_RADIUS = 4;
            this.CIRCLE_COLOR = -7960954;
            this.NaviPaint = null;
            this.canClear = false;
            this.mOldX = 0;
            this.mOldY = 0;
            this.mCircleAnim = new com.android.server.input.HwCircleAnimation(this, getResources());
            this.mCirclePrompt = new com.android.server.input.HwCirclePrompt(context, getResources());
            initNaviPaint();
        }

        public boolean onTouchEvent(android.view.MotionEvent event, int type) {
            java.lang.String access$200;
            java.lang.StringBuilder stringBuilder;
            if (com.android.server.input.HwCircleWindow.this.DEBUG) {
                access$200 = com.android.server.input.HwCircleWindow.this.TAG;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("action xxx");
                stringBuilder.append(event.getAction());
                stringBuilder.append(", ");
                stringBuilder.append(event.getX());
                stringBuilder.append("-");
                stringBuilder.append(event.getY());
                stringBuilder.append(" press = ");
                stringBuilder.append(event.getPressure());
                android.util.Log.d(access$200, stringBuilder.toString());
            }
            if (com.android.server.input.HwCircleWindow.this.DEBUG) {
                access$200 = com.android.server.input.HwCircleWindow.this.TAG;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("pressLaunchLimit  = ");
                stringBuilder.append(com.android.server.input.HwCircleWindow.this.pressLaunchLimit);
                stringBuilder.append("  pressStartLimit  = ");
                stringBuilder.append(com.android.server.input.HwCircleWindow.this.pressStartLimit);
                android.util.Log.e(access$200, stringBuilder.toString());
            }
            float pressure = event.getPressure();
            com.android.server.input.HwCircleWindow.this.pressLaunchLimit = com.android.server.input.HwCircleWindow.this.mLimit * com.android.server.input.HwCircleWindow.this.inaccuracyToCenter;
            com.android.server.input.HwCircleWindow.this.pressStartLimit = com.android.server.input.HwCircleWindow.this.pressLaunchLimit * 0.6f;
            int action = event.getAction();
            if (action == 0) {
                this.isLunched = false;
            } else if (action != 2) {
                this.mCircleAnim.endRingOutAnim(this.isLunched);
                android.util.Log.e(com.android.server.input.HwCircleWindow.this.TAG, " mode is APP_MODE destoryCircleWindowForAPP");
                com.android.server.input.HwCircleWindow.this.destoryCircleWindowForAPP();
            } else {
                this.mCircleAnim.setViewSize(com.android.server.input.HwCircleWindow.this.mDisplayWidth, com.android.server.input.HwCircleWindow.this.mDisplayHeight);
                action = (int) event.getX();
                int currentY = (int) event.getY();
                this.mCircleAnim.setXY((int) event.getX(), (int) event.getY());
                this.mCircleAnim.setType(type);
                if (!(action == this.mOldX && currentY == this.mOldY)) {
                    this.mOldX = action;
                    this.mOldY = currentY;
                    onAnimationUpdate();
                }
                if (!this.isLunched && pressure > com.android.server.input.HwCircleWindow.this.pressStartLimit) {
                    synchronized (com.android.server.input.HwCircleWindow.this.mLock) {
                        if (com.android.server.input.HwCircleWindow.this.mMode == 0) {
                            android.util.Log.e(com.android.server.input.HwCircleWindow.this.TAG, " mode is APP_MODE createCircleWindow");
                            com.android.server.input.HwCircleWindow.this.createCircleWindow();
                        }
                    }
                    this.mCircleAnim.startRingOutAnim(action, currentY, type);
                    this.process = (pressure - com.android.server.input.HwCircleWindow.this.pressStartLimit) / (com.android.server.input.HwCircleWindow.this.pressLaunchLimit - com.android.server.input.HwCircleWindow.this.pressStartLimit);
                    this.isLunched = this.mCircleAnim.setFillProcess(this.process);
                }
            }
            return true;
        }

        public boolean onTouchEventDebug(android.view.MotionEvent event) {
            int action = event.getAction();
            if (action != 0) {
                if (action == 2) {
                    invalidate();
                }
            }
            return true;
        }

        public void resetAnimaion() {
            if (this.mCircleAnim != null) {
                this.mCircleAnim.resetAnimaion();
            }
        }

        public void setNeedTip(boolean needtip) {
            this.canPrompt = needtip;
        }

        protected void onDraw(android.graphics.Canvas canvas) {
            if (this.canPrompt && this.mCirclePrompt != null) {
                if (com.android.server.input.HwCircleWindow.this.DEBUG) {
                    android.util.Log.d(com.android.server.input.HwCircleWindow.this.TAG, "hwCircleWindow prompt draw ");
                }
                this.mCirclePrompt.setViewSize(com.android.server.input.HwCircleWindow.this.mDisplayWidth, com.android.server.input.HwCircleWindow.this.mDisplayHeight);
                this.mCirclePrompt.draw(canvas);
                this.canPrompt = false;
                if (this.mCircleAnim != null) {
                    this.mCircleAnim.setTipShowStatus(true);
                }
                this.canClear = true;
            } else if (this.canClear) {
                if (com.android.server.input.HwCircleWindow.this.DEBUG) {
                    android.util.Log.d(com.android.server.input.HwCircleWindow.this.TAG, "hwCircleWindow prompt not draw ");
                }
                android.graphics.Paint p = new android.graphics.Paint();
                p.setXfermode(new android.graphics.PorterDuffXfermode(android.graphics.PorterDuff.Mode.CLEAR));
                canvas.drawPaint(p);
                p.setXfermode(new android.graphics.PorterDuffXfermode(android.graphics.PorterDuff.Mode.SRC));
                if (this.mCircleAnim != null) {
                    this.mCircleAnim.setTipShowStatus(false);
                }
                this.canClear = false;
            }
            if (this.mCircleAnim != null) {
                this.mCircleAnim.draw(canvas);
            }
            if (!com.android.server.input.HwCircleWindow.this.mImmersiveMode && com.android.server.input.HwCircleWindow.this.canNaviDraw) {
                drawNavi(canvas);
            }
        }

        public void onAnimationUpdate() {
            invalidate();
        }

        public void release() {
            if (this.mCirclePrompt != null) {
                this.mCirclePrompt.release();
            }
        }

        private void initNaviPaint() {
            this.NaviPaint = new android.graphics.Paint();
            this.NaviPaint.setColor(this.CIRCLE_COLOR);
            this.NaviPaint.setAlpha(100);
            this.NaviPaint.setStrokeCap(android.graphics.Paint.Cap.ROUND);
            this.NaviPaint.setAntiAlias(true);
            this.mCornerEffect = new android.graphics.CornerPathEffect((float) this.CORNER_RADIUS);
            this.NaviPaint.setPathEffect(this.mCornerEffect);
        }

        private void drawNavi(android.graphics.Canvas canvas) {
            if (com.android.server.input.HwCircleWindow.this.mDisplayHeight > com.android.server.input.HwCircleWindow.this.mDisplayWidth) {
                if (com.android.server.input.HwCircleWindow.this.DEBUG) {
                    android.util.Log.d(com.android.server.input.HwCircleWindow.this.TAG, "hwCircleWindow prompt drawSmall 0000 ");
                }
                drawSmall(canvas, com.android.server.input.HwCircleWindow.this.mDisplayWidth / 4, com.android.server.input.HwCircleWindow.this.mDisplayHeight - this.SMALL_RADIUS, this.NaviPaint);
                drawSmall(canvas, com.android.server.input.HwCircleWindow.this.mDisplayWidth / 2, com.android.server.input.HwCircleWindow.this.mDisplayHeight - this.SMALL_RADIUS, this.NaviPaint);
                drawSmall(canvas, (com.android.server.input.HwCircleWindow.this.mDisplayWidth * 3) / 4, com.android.server.input.HwCircleWindow.this.mDisplayHeight - this.SMALL_RADIUS, this.NaviPaint);
                return;
            }
            if (com.android.server.input.HwCircleWindow.this.DEBUG) {
                android.util.Log.d(com.android.server.input.HwCircleWindow.this.TAG, "hwCircleWindow prompt drawSmall 1111 ");
            }
            drawSmall(canvas, com.android.server.input.HwCircleWindow.this.mDisplayWidth - this.SMALL_RADIUS, com.android.server.input.HwCircleWindow.this.mDisplayHeight / 4, this.NaviPaint);
            drawSmall(canvas, com.android.server.input.HwCircleWindow.this.mDisplayWidth - this.SMALL_RADIUS, com.android.server.input.HwCircleWindow.this.mDisplayHeight / 2, this.NaviPaint);
            drawSmall(canvas, com.android.server.input.HwCircleWindow.this.mDisplayWidth - this.SMALL_RADIUS, (com.android.server.input.HwCircleWindow.this.mDisplayHeight * 3) / 4, this.NaviPaint);
        }

        private void drawSmall(android.graphics.Canvas canvas, int cx, int cy, android.graphics.Paint paint) {
            canvas.drawCircle((float) cx, (float) cy, (float) this.SMALL_RADIUS, paint);
        }
    }

    protected HwCircleWindow(android.content.Context context) {
        this.mContext = context;
        createCircleNoWindow();
    }

    public static synchronized com.android.server.input.HwCircleWindow getInstance(android.content.Context context) {
        com.android.server.input.HwCircleWindow hwCircleWindow;
        synchronized (com.android.server.input.HwCircleWindow.class) {
            if (mhwCircleWindow == null) {
                mhwCircleWindow = new com.android.server.input.HwCircleWindow(context);
            }
            hwCircleWindow = mhwCircleWindow;
        }
        return hwCircleWindow;
    }

    public void setNeedTip(boolean needtip) {
        this.mNeedTip = needtip;
    }

    public void setDisplay(int width, int height) {
        this.mDisplayWidth = width;
        this.mDisplayHeight = height;
    }

    public void createCircleNoWindow() {
        if (this.mCircleHandlerThread == null) {
            this.mCircleHandlerThread = new android.os.HandlerThread("circle");
            this.mCircleHandlerThread.start();
        }
        if (this.mHandler == null) {
            this.mHandler = new com.android.server.input.HwCircleWindow.HandlerEx(this.mCircleHandlerThread.getLooper());
        }
        if (this.mhwCircle == null) {
            this.mhwCircle = new com.android.server.input.HwCircleWindow.hwCircle(this.mContext);
            this.mhwCircle.setNeedTip(this.mNeedTip);
        }
    }

    public void createCircleWindow() {
        if (this.mHandler != null) {
            this.mHandler.sendMessage(this.mHandler.obtainMessage(1));
        }
        if (this.mhwCircle != null) {
            this.mhwCircle.setNeedTip(this.mNeedTip);
        }
    }

    private void createCircleWindowLock() {
        synchronized (this.mLock) {
            if (!this.viewAdd) {
                android.view.WindowManager.LayoutParams layoutParams;
                if (this.layoutParams == null) {
                    this.layoutParams = new android.view.WindowManager.LayoutParams(-1, -1);
                }
                this.layoutParams.type = 2015;
                this.layoutParams.flags = 1304;
                if (android.app.ActivityManager.isHighEndGfx()) {
                    layoutParams = this.layoutParams;
                    layoutParams.flags |= 16777216;
                    layoutParams = this.layoutParams;
                    layoutParams.privateFlags |= 2;
                }
                layoutParams = this.layoutParams;
                layoutParams.privateFlags |= 16;
                this.layoutParams.format = -3;
                this.layoutParams.setTitle("hwPressueWindow");
                layoutParams = this.layoutParams;
                layoutParams.inputFeatures |= 2;
                if (this.mWindowManager == null) {
                    this.mWindowManager = (android.view.WindowManager) this.mContext.getSystemService("window");
                }
                this.mWindowManager.addView(this.mhwCircle, this.layoutParams);
                this.viewAdd = true;
                if (this.mHandler != null) {
                    this.mHandler.sendMessageDelayed(this.mHandler.obtainMessage(6), 100);
                }
                java.lang.String str = this.TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("createCircleWindowLock viewAdd = ");
                stringBuilder.append(this.viewAdd);
                android.util.Log.v(str, stringBuilder.toString());
            } else if (this.mHandler != null) {
                this.mHandler.sendMessage(this.mHandler.obtainMessage(8));
            }
        }
    }

    public void destoryCircleWindowForAPP() {
        synchronized (this.mLock) {
            if (this.mMode == 0 && this.viewAdd) {
                destoryCircleWindowAndBitmap();
            }
        }
    }

    public void destoryCircleWindowAndBitmap() {
        if (this.mHandler != null) {
            this.mHandler.sendMessage(this.mHandler.obtainMessage(2));
        }
    }

    public void destoryCircleWindowAndBitmapLock() {
        synchronized (this.mLock) {
            if (this.viewAdd && this.mhwCircle != null) {
                this.mhwCircle.release();
                this.mWindowManager.removeView(this.mhwCircle);
                java.lang.String str = this.TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" destoryCircleWindowAndBitmapLock viewAdd = ");
                stringBuilder.append(this.viewAdd);
                android.util.Log.v(str, stringBuilder.toString());
                this.viewAdd = false;
            }
            this.layoutParams = null;
            this.mWindowManager = null;
        }
    }

    public void onTouchEvent(android.view.MotionEvent event, int type) {
        if (this.mHandler != null) {
            android.os.Message msg1 = this.mHandler.obtainMessage(3, event);
            msg1.arg1 = type;
            this.mHandler.sendMessage(msg1);
        }
    }

    public void onTouchEventDebug(android.view.MotionEvent event) {
        if (this.mHandler != null) {
            this.mHandler.sendMessage(this.mHandler.obtainMessage(5, event));
        }
    }

    void setPressureLimit(float limit) {
        if (this.DEBUG) {
            java.lang.String str = this.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("hwCircleAnimation limit =  ");
            stringBuilder.append(limit);
            android.util.Log.d(str, stringBuilder.toString());
        }
        this.mLimit = limit;
    }

    public float getPressureLimit(int keytype) {
        if (keytype != 187) {
            switch (keytype) {
                case 3:
                    this.inaccuracyToCenter = 0.5f;
                    break;
                case 4:
                    this.inaccuracyToCenter = 0.45f;
                    break;
                default:
                    this.inaccuracyToCenter = 0.45f;
                    break;
            }
        }
        this.inaccuracyToCenter = 0.45f;
        return this.mLimit * this.inaccuracyToCenter;
    }

    public void resetAnimaion() {
        if (this.mHandler != null) {
            this.mHandler.sendMessage(this.mHandler.obtainMessage(4));
        }
    }

    public void setMode(int mode) {
        synchronized (this.mLock) {
            if (this.DEBUG) {
                java.lang.String str = this.TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("setMode mode = ");
                stringBuilder.append(mode);
                android.util.Log.d(str, stringBuilder.toString());
            }
            this.mMode = mode;
        }
    }

    public int getMode(int mode) {
        int i;
        synchronized (this.mLock) {
            i = this.mMode;
        }
        return i;
    }

    public void setImmersiveMode(boolean mode) {
        if (this.mImmersiveMode != mode) {
            this.mImmersiveMode = mode;
            if (this.DEBUG) {
                java.lang.String str = this.TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("hwCircleWindow setImmersiveMode  has Changedi mode = ");
                stringBuilder.append(mode);
                android.util.Log.d(str, stringBuilder.toString());
            }
            if (this.mHandler != null) {
                this.mHandler.sendMessage(this.mHandler.obtainMessage(7));
            }
        }
    }

    public void setCanNaviDraw(boolean canDraw) {
        if (this.canNaviDraw != canDraw) {
            this.canNaviDraw = canDraw;
            if (this.mHandler != null) {
                this.mHandler.sendMessage(this.mHandler.obtainMessage(8));
            }
        }
    }
}
