package com.android.server.input;

public class HwFingersSnapshooter {
    private static final java.lang.String APS_RESOLUTION_CHANGE_ACTION = "huawei.intent.action.APS_RESOLUTION_CHANGE_ACTION";
    private static final java.lang.String APS_RESOLUTION_CHANGE_PERSISSIONS = "huawei.intent.permissions.APS_RESOLUTION_CHANGE_ACTION";
    private static final java.lang.String KEY_TRIPLE_FINGER_MOTION = "motion_triple_finger_shot";
    private static final float MAX_FINGER_DOWN_INTERVAL = 1000.0f;
    private static final float MAX_FINGER_DOWN_X_DISTANCE = 400.0f;
    private static final float MAX_FINGER_DOWN_Y_DISTANCE = 145.0f;
    private static final float MIN_Y_TRIGGER_LANDSCAPE_DISTANCE = 90.0f;
    private static final float MIN_Y_TRIGGER_PORTRAIT_DISTANCE = 120.0f;
    public static final int MSG_HANDLE_FINGER_SNAP_SHOOTER_INIT = 0;
    public static final int MSG_HANDLE_USER_SWITCH = 1;
    private static final java.lang.String TAG = "HwFingersSnapshooter";
    private static final java.lang.String TALKBACK_COMPONENT_NAME = "com.google.android.marvin.talkback/com.google.android.marvin.talkback.TalkBackService";
    private static final java.lang.String TALKBACK_CONFIG = "ro.config.hw_talkback_btn";
    private static final int TRIGGER_MIN_FINGERS = 3;
    private static final int TRIPLE_FINGER_MOTION_OFF = 0;
    private static final int TRIPLE_FINGER_MOTION_ON = 1;
    private boolean mCanFilter = false;
    private android.content.Context mContext;
    private float mDensity = 2.0f;
    private int mEnabled;
    private boolean mFilterCurrentTouch = false;
    private android.content.BroadcastReceiver mFingerSnapReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (intent != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("onReceive intent action = ");
                stringBuilder.append(intent.getAction());
                android.util.Log.i("HwFingersSnapshooter", stringBuilder.toString());
                if (intent.getAction() != null) {
                    if ("huawei.intent.action.APS_RESOLUTION_CHANGE_ACTION".equals(intent.getAction())) {
                        com.android.server.input.HwFingersSnapshooter.this.mDensity = com.android.server.input.HwFingersSnapshooter.this.mContext.getResources().getDisplayMetrics().density;
                        com.android.server.input.HwFingersSnapshooter.this.mMaxFingerDownYDistance = com.android.server.input.HwFingersSnapshooter.this.dipsToPixels(145.0f);
                        com.android.server.input.HwFingersSnapshooter.this.mMaxFingerDownXDistance = com.android.server.input.HwFingersSnapshooter.this.dipsToPixels(400.0f);
                        com.android.server.input.HwFingersSnapshooter.this.mMinYTriggerLandscapeDistance = com.android.server.input.HwFingersSnapshooter.this.dipsToPixels(90.0f);
                        com.android.server.input.HwFingersSnapshooter.this.mMinYTriggerPortraitDistance = com.android.server.input.HwFingersSnapshooter.this.dipsToPixels(120.0f);
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("mDisplayResolutionModeObserver mMaxFingerDownYDistance = ");
                        stringBuilder.append(com.android.server.input.HwFingersSnapshooter.this.mMaxFingerDownYDistance);
                        stringBuilder.append(",mMinYTriggerLandscapeDistance:");
                        stringBuilder.append(com.android.server.input.HwFingersSnapshooter.this.mMinYTriggerLandscapeDistance);
                        stringBuilder.append(",mMinYTriggerPortraitDistance:");
                        stringBuilder.append(com.android.server.input.HwFingersSnapshooter.this.mMinYTriggerPortraitDistance);
                        android.util.Log.i("HwFingersSnapshooter", stringBuilder.toString());
                    } else if ("android.intent.action.USER_SWITCHED".equals(intent.getAction())) {
                        android.os.Message message = new android.os.Message();
                        message.what = 1;
                        message.arg1 = intent.getIntExtra("android.intent.extra.user_handle", 0);
                        com.android.server.input.HwFingersSnapshooter.this.mHandler.sendMessage(message);
                    }
                }
            }
        }
    };
    private android.os.Handler mHandler;
    private float mHeight = 0.0f;
    private com.android.server.input.HwInputManagerService mIm = null;
    private float mMaxFingerDownXDistance = 0.0f;
    private float mMaxFingerDownYDistance = 0.0f;
    private float mMaxY = 0.0f;
    private float mMinYTriggerDistance = 0.0f;
    private float mMinYTriggerLandscapeDistance = 0.0f;
    private float mMinYTriggerPortraitDistance = 0.0f;
    private com.android.server.policy.HwPhoneWindowManager mPolicy;
    android.content.ServiceConnection mScreenshotConnection = null;
    final java.lang.Object mScreenshotLock = new java.lang.Object();
    private final java.lang.Runnable mScreenshotRunnable = new java.lang.Runnable() {
        public void run() {
            com.android.server.input.HwFingersSnapshooter.this.takeScreenshot();
        }
    };
    final java.lang.Runnable mScreenshotTimeout = new java.lang.Runnable() {
        public void run() {
            synchronized (com.android.server.input.HwFingersSnapshooter.this.mScreenshotLock) {
                if (com.android.server.input.HwFingersSnapshooter.this.mScreenshotConnection != null) {
                    com.android.server.input.HwFingersSnapshooter.this.mContext.unbindService(com.android.server.input.HwFingersSnapshooter.this.mScreenshotConnection);
                    com.android.server.input.HwFingersSnapshooter.this.mScreenshotConnection = null;
                }
            }
        }
    };
    private android.util.SparseArray<com.android.server.input.HwFingersSnapshooter.Point> mTouchingFingers = new android.util.SparseArray();
    private float mTrigerStartThreshold = 0.0f;
    private android.database.ContentObserver mTripleFingerMotionModeObserver = new android.database.ContentObserver(new android.os.Handler()) {
        public void onChange(boolean selfChange) {
            com.android.server.input.HwFingersSnapshooter.this.mEnabled = android.provider.Settings.System.getIntForUser(com.android.server.input.HwFingersSnapshooter.this.mContext.getContentResolver(), "motion_triple_finger_shot", 0, -2);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mTripleFingerMotionModeObserver mEnabled = ");
            stringBuilder.append(com.android.server.input.HwFingersSnapshooter.this.mEnabled);
            android.util.Log.i("HwFingersSnapshooter", stringBuilder.toString());
        }
    };

    private final class FingerSnapHandler extends android.os.Handler {
        public FingerSnapHandler(android.os.Looper looper) {
            super(looper, null, true);
        }

        public void handleMessage(android.os.Message msg) {
            switch (msg.what) {
                case 0:
                    com.android.server.input.HwFingersSnapshooter.this.handleFingerSnapShooterInit();
                    return;
                case 1:
                    com.android.server.input.HwFingersSnapshooter.this.handleUserSwitch(msg.arg1);
                    return;
                default:
                    android.util.Log.e("HwFingersSnapshooter", "Invalid message");
                    return;
            }
        }
    }

    private static class Point {
        public float moveY = 0.0f;
        public long time;
        public float x;
        public float y;

        public Point(float x_, float y_, long time_) {
            this.x = x_;
            this.y = y_;
            this.time = time_;
        }

        public void updateMoveDistance(float x_, float y_) {
            this.moveY = y_ - this.y;
        }

        public java.lang.String toString() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("(");
            stringBuilder.append(this.x);
            stringBuilder.append(",");
            stringBuilder.append(this.y);
            stringBuilder.append(")");
            return stringBuilder.toString();
        }
    }

    public HwFingersSnapshooter(android.content.Context context, com.android.server.input.HwInputManagerService inputManager) {
        android.util.Log.i("HwFingersSnapshooter", "HwFingersSnapshooter constructor");
        this.mContext = context;
        this.mIm = inputManager;
        android.os.HandlerThread handlerThread = new android.os.HandlerThread("HwFingersSnapshooter");
        handlerThread.start();
        this.mHandler = new com.android.server.input.HwFingersSnapshooter.FingerSnapHandler(handlerThread.getLooper());
        this.mHandler.sendEmptyMessage(0);
        this.mHeight = (float) this.mContext.getResources().getDisplayMetrics().heightPixels;
    }

    public boolean handleMotionEvent(android.view.InputEvent event) {
        if (this.mEnabled == 0) {
            return true;
        }
        if (event instanceof android.view.MotionEvent) {
            android.view.MotionEvent motionEvent = (android.view.MotionEvent) event;
            int action = motionEvent.getActionMasked();
            int id = motionEvent.getPointerId(motionEvent.getActionIndex());
            long time = motionEvent.getEventTime();
            switch (action) {
                case 0:
                    resetState();
                    com.android.server.input.HwFingersSnapshooter.Point down = new com.android.server.input.HwFingersSnapshooter.Point(motionEvent.getRawX(), motionEvent.getRawY(), time);
                    this.mTouchingFingers.put(id, down);
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("handleMotionEvent first finger(");
                    stringBuilder.append(id);
                    stringBuilder.append(") touch down at ");
                    stringBuilder.append(down);
                    android.util.Log.i("HwFingersSnapshooter", stringBuilder.toString());
                    break;
                case 1:
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("handleMotionEvent last finger(");
                    stringBuilder2.append(id);
                    stringBuilder2.append(") up ");
                    android.util.Log.i("HwFingersSnapshooter", stringBuilder2.toString());
                    resetState();
                    break;
                case 2:
                    if (this.mCanFilter) {
                        handleFingerMove(motionEvent);
                        break;
                    }
                    break;
                case 5:
                    this.mCanFilter = handleFingerDown(motionEvent);
                    break;
                case 6:
                    handleFingerUp(motionEvent);
                    this.mTouchingFingers.delete(id);
                    this.mFilterCurrentTouch = false;
                    break;
                default:
                    android.util.Log.e("HwFingersSnapshooter", "Invalid motionevent");
                    break;
            }
            return 1 ^ this.mFilterCurrentTouch;
        }
        android.util.Log.i("HwFingersSnapshooter", "handleMotionEvent not a motionEvent");
        return true;
    }

    private void resetState() {
        this.mFilterCurrentTouch = false;
        this.mCanFilter = false;
        this.mMaxY = 0.0f;
        this.mTouchingFingers.clear();
    }

    private boolean handleFingerDown(android.view.MotionEvent motionEvent) {
        android.view.MotionEvent motionEvent2 = motionEvent;
        float offsetX = motionEvent.getRawX() - motionEvent.getX();
        float offsetY = motionEvent.getRawY() - motionEvent.getY();
        int actionIndex = motionEvent.getActionIndex();
        int id = motionEvent2.getPointerId(actionIndex);
        com.android.server.input.HwFingersSnapshooter.Point pointerDown = new com.android.server.input.HwFingersSnapshooter.Point(motionEvent2.getX(actionIndex) + offsetX, motionEvent2.getY(actionIndex) + offsetY, motionEvent.getEventTime());
        this.mTouchingFingers.put(id, pointerDown);
        int fingerSize = this.mTouchingFingers.size();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("handleFingerDown new finger(");
        stringBuilder.append(id);
        stringBuilder.append(") touch down at ");
        stringBuilder.append(pointerDown);
        stringBuilder.append(",size:");
        stringBuilder.append(fingerSize);
        android.util.Log.i("HwFingersSnapshooter", stringBuilder.toString());
        if (fingerSize != 3) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("handleFingerDown ");
            stringBuilder2.append(fingerSize);
            stringBuilder2.append(" fingers touching down");
            android.util.Log.i("HwFingersSnapshooter", stringBuilder2.toString());
            return false;
        }
        float distanceY = getDistanceY();
        if (distanceY > this.mMaxFingerDownYDistance) {
            boolean ret = this.mContext;
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("{distance:");
            stringBuilder3.append(pixelsToDips(distanceY));
            stringBuilder3.append("}");
            ret = android.util.Flog.bdReport(ret, 143, stringBuilder3.toString());
            stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("errorState:the fingers' position faraway on Y dimension! EventId:143 ret:");
            stringBuilder3.append(ret);
            android.util.Log.i("HwFingersSnapshooter", stringBuilder3.toString());
            return false;
        } else if (getDistanceX() > this.mMaxFingerDownXDistance) {
            android.util.Log.i("HwFingersSnapshooter", "errorState:the fingers' position faraway on X dimension!");
            return false;
        } else {
            long interval = getInterval();
            java.lang.StringBuilder stringBuilder4;
            if (((float) interval) > 1000.0f) {
                android.content.Context context = this.mContext;
                stringBuilder4 = new java.lang.StringBuilder();
                stringBuilder4.append("{interval:");
                stringBuilder4.append(interval);
                stringBuilder4.append("}");
                offsetX = android.util.Flog.bdReport(context, 144, stringBuilder4.toString());
                java.lang.StringBuilder stringBuilder5 = new java.lang.StringBuilder();
                stringBuilder5.append("errorState:fingers'interval longer than except time! EventId:144 ret:");
                stringBuilder5.append(offsetX);
                android.util.Log.i("HwFingersSnapshooter", stringBuilder5.toString());
                return false;
            }
            float f = offsetY;
            boolean z = false;
            if (canDisableGesture()) {
                return z;
            }
            if (android.os.SystemProperties.getBoolean("sys.super_power_save", z)) {
                android.util.Log.i("HwFingersSnapshooter", "can not take screen shot in super power mode!");
                return z;
            } else if (isUserUnlocked()) {
                startHandleTripleFingerSnap(motionEvent);
                if (this.mMaxY + this.mMinYTriggerDistance > this.mHeight) {
                    android.util.Log.i("HwFingersSnapshooter", "errorState:the remaining distance is not enough on Y dimension!");
                    this.mMaxY = 0.0f;
                    return false;
                }
                boolean ret2 = android.util.Flog.bdReport(this.mContext, 140);
                stringBuilder4 = new java.lang.StringBuilder();
                stringBuilder4.append("handleFingerDown, this finger may trigger the 3-finger snapshot. EventId:140 ret:");
                stringBuilder4.append(ret2);
                android.util.Log.i("HwFingersSnapshooter", stringBuilder4.toString());
                return true;
            } else {
                android.util.Log.i("HwFingersSnapshooter", "now isRestrictAsEncrypt, do not allow to take screenshot");
                return z;
            }
        }
    }

    private boolean isUserUnlocked() {
        return ((android.os.UserManager) this.mContext.getSystemService("user")).isUserUnlocked(android.app.ActivityManager.getCurrentUser());
    }

    private float getDistanceY() {
        float maxY = Float.MIN_VALUE;
        float minY = Float.MAX_VALUE;
        int fingerSize = this.mTouchingFingers.size();
        for (int i = 0; i < fingerSize; i++) {
            com.android.server.input.HwFingersSnapshooter.Point p = (com.android.server.input.HwFingersSnapshooter.Point) this.mTouchingFingers.valueAt(i);
            if (p.y < minY) {
                minY = p.y;
            }
            if (p.y > maxY) {
                maxY = p.y;
            }
        }
        this.mMaxY = maxY;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getDistance maxY = ");
        stringBuilder.append(maxY);
        stringBuilder.append(", minY = ");
        stringBuilder.append(minY);
        android.util.Log.i("HwFingersSnapshooter", stringBuilder.toString());
        return maxY - minY;
    }

    private float getDistanceX() {
        float maxX = Float.MIN_VALUE;
        float minX = Float.MAX_VALUE;
        int fingerSize = this.mTouchingFingers.size();
        for (int i = 0; i < fingerSize; i++) {
            com.android.server.input.HwFingersSnapshooter.Point p = (com.android.server.input.HwFingersSnapshooter.Point) this.mTouchingFingers.valueAt(i);
            if (p.x < minX) {
                minX = p.x;
            }
            if (p.x > maxX) {
                maxX = p.x;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getDistance maxX = ");
        stringBuilder.append(maxX);
        stringBuilder.append(", minX = ");
        stringBuilder.append(minX);
        android.util.Log.i("HwFingersSnapshooter", stringBuilder.toString());
        return maxX - minX;
    }

    private long getInterval() {
        long startTime = Long.MAX_VALUE;
        long latestTime = Long.MIN_VALUE;
        int fingerSize = this.mTouchingFingers.size();
        for (int i = 0; i < fingerSize; i++) {
            com.android.server.input.HwFingersSnapshooter.Point p = (com.android.server.input.HwFingersSnapshooter.Point) this.mTouchingFingers.valueAt(i);
            if (p.time < startTime) {
                startTime = p.time;
            }
            if (p.time > latestTime) {
                latestTime = p.time;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getInterval interval = ");
        stringBuilder.append(latestTime - startTime);
        android.util.Log.i("HwFingersSnapshooter", stringBuilder.toString());
        return latestTime - startTime;
    }

    private void startHandleTripleFingerSnap(android.view.MotionEvent motionEvent) {
        if (this.mPolicy == null) {
            this.mPolicy = (com.android.server.policy.HwPhoneWindowManager) com.android.server.LocalServices.getService(com.android.server.policy.WindowManagerPolicy.class);
        }
        if (this.mPolicy.isLandscape()) {
            this.mMinYTriggerDistance = this.mMinYTriggerLandscapeDistance;
        } else {
            this.mMinYTriggerDistance = this.mMinYTriggerPortraitDistance;
        }
        this.mHeight = (float) this.mContext.getResources().getDisplayMetrics().heightPixels;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("handleFingerDown mMinYTriggerDistance:");
        stringBuilder.append(this.mMinYTriggerDistance);
        stringBuilder.append(", mHeight:");
        stringBuilder.append(this.mHeight);
        android.util.Log.i("HwFingersSnapshooter", stringBuilder.toString());
    }

    private void handleFingerMove(final android.view.MotionEvent motionEvent) {
        float offsetY = motionEvent.getY() - motionEvent.getRawY();
        float offsetX = motionEvent.getX() - motionEvent.getRawX();
        int pointerCount = motionEvent.getPointerCount();
        int moveCount = 0;
        for (int i = 0; i < pointerCount; i++) {
            float curY = motionEvent.getY(i) + offsetY;
            float curX = motionEvent.getX(i) + offsetX;
            int id = motionEvent.getPointerId(i);
            com.android.server.input.HwFingersSnapshooter.Point p = (com.android.server.input.HwFingersSnapshooter.Point) this.mTouchingFingers.get(id);
            java.lang.StringBuilder stringBuilder;
            if (p != null) {
                p.updateMoveDistance(curX, curY);
                if (!(this.mFilterCurrentTouch || curY == p.y)) {
                    moveCount++;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("handleFingerMove finger(");
                    stringBuilder.append(id);
                    stringBuilder.append(") moveCount:");
                    stringBuilder.append(moveCount);
                    android.util.Log.i("HwFingersSnapshooter", stringBuilder.toString());
                    if (moveCount == 3) {
                        android.util.Log.i("HwFingersSnapshooter", "handleFingerMove cancel");
                        this.mHandler.post(new java.lang.Runnable() {
                            public void run() {
                                android.view.MotionEvent cancelEvent = motionEvent.copy();
                                cancelEvent.setAction(3);
                                com.android.server.input.HwFingersSnapshooter.this.mIm.injectInputEvent(cancelEvent, 2);
                            }
                        });
                        this.mFilterCurrentTouch = true;
                    }
                }
            } else {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("handleFingerMove point(");
                stringBuilder.append(id);
                stringBuilder.append(") not tracked!");
                android.util.Log.i("HwFingersSnapshooter", stringBuilder.toString());
            }
        }
    }

    private void handleFingerUp(android.view.MotionEvent motionEvent) {
        int id = motionEvent.getPointerId(motionEvent.getActionIndex());
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("handleFingerUp finger(");
        stringBuilder.append(id);
        stringBuilder.append(") up");
        android.util.Log.i("HwFingersSnapshooter", stringBuilder.toString());
        if (this.mFilterCurrentTouch) {
            int fingerSize = this.mTouchingFingers.size();
            if (fingerSize != 3) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("handleFingerUp, current touch has ");
                stringBuilder2.append(fingerSize);
                stringBuilder2.append(" fingers");
                android.util.Log.i("HwFingersSnapshooter", stringBuilder2.toString());
                return;
            }
            boolean triggerSnapshot = true;
            for (int i = 0; i < fingerSize; i++) {
                float moveDistance = ((com.android.server.input.HwFingersSnapshooter.Point) this.mTouchingFingers.get(i)).moveY;
                if (moveDistance < this.mMinYTriggerDistance) {
                    boolean ret = this.mContext;
                    java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append("{moveDistance:");
                    stringBuilder3.append(pixelsToDips(moveDistance));
                    stringBuilder3.append("}");
                    ret = android.util.Flog.bdReport(ret, 142, stringBuilder3.toString());
                    java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                    stringBuilder4.append("errorState:finger(");
                    stringBuilder4.append(i);
                    stringBuilder4.append(") move ");
                    stringBuilder4.append(pixelsToDips(moveDistance));
                    stringBuilder4.append("dp, less than except distance! EventId:");
                    stringBuilder4.append(142);
                    stringBuilder4.append(" ret:");
                    stringBuilder4.append(ret);
                    android.util.Log.i("HwFingersSnapshooter", stringBuilder4.toString());
                    triggerSnapshot = false;
                    break;
                }
            }
            if (triggerSnapshot) {
                resetState();
                boolean ret2 = android.util.Flog.bdReport(this.mContext, 141);
                java.lang.StringBuilder stringBuilder5 = new java.lang.StringBuilder();
                stringBuilder5.append("trigger the snapshot! EventId:141 ret:");
                stringBuilder5.append(ret2);
                android.util.Log.i("HwFingersSnapshooter", stringBuilder5.toString());
                this.mHandler.post(this.mScreenshotRunnable);
            }
            return;
        }
        android.util.Log.i("HwFingersSnapshooter", "handleFingerUp, current touch not marked as filter");
    }

    private void handleFingerSnapShooterInit() {
        this.mDensity = this.mContext.getResources().getDisplayMetrics().density;
        this.mTrigerStartThreshold = (float) ((android.content.Context) checkNull("context", this.mContext)).getResources().getDimensionPixelSize(17105318);
        this.mEnabled = android.provider.Settings.System.getIntForUser(this.mContext.getContentResolver(), "motion_triple_finger_shot", 0, -2);
        this.mContext.getContentResolver().registerContentObserver(android.provider.Settings.System.getUriFor("motion_triple_finger_shot"), true, this.mTripleFingerMotionModeObserver, -1);
        this.mContext.registerReceiverAsUser(this.mFingerSnapReceiver, android.os.UserHandle.ALL, new android.content.IntentFilter("huawei.intent.action.APS_RESOLUTION_CHANGE_ACTION"), "huawei.intent.permissions.APS_RESOLUTION_CHANGE_ACTION", null);
        this.mContext.registerReceiverAsUser(this.mFingerSnapReceiver, android.os.UserHandle.ALL, new android.content.IntentFilter("android.intent.action.USER_SWITCHED"), null, null);
        this.mPolicy = (com.android.server.policy.HwPhoneWindowManager) com.android.server.LocalServices.getService(com.android.server.policy.WindowManagerPolicy.class);
        this.mMaxFingerDownYDistance = dipsToPixels(145.0f);
        this.mMaxFingerDownXDistance = dipsToPixels(400.0f);
        this.mMinYTriggerLandscapeDistance = dipsToPixels(90.0f);
        this.mMinYTriggerPortraitDistance = dipsToPixels(120.0f);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mTrigerStartThreshold:");
        stringBuilder.append(this.mTrigerStartThreshold);
        stringBuilder.append(", mEnabled:");
        stringBuilder.append(this.mEnabled);
        android.util.Log.i("HwFingersSnapshooter", stringBuilder.toString());
    }

    private void handleUserSwitch(int userId) {
        this.mEnabled = android.provider.Settings.System.getIntForUser(this.mContext.getContentResolver(), "motion_triple_finger_shot", 0, -2);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onReceive ACTION_USER_SWITCHED  currentUserId= ");
        stringBuilder.append(userId);
        stringBuilder.append(", mEnabled:");
        stringBuilder.append(this.mEnabled);
        android.util.Log.i("HwFingersSnapshooter", stringBuilder.toString());
    }

    private static <T> T checkNull(java.lang.String name, T arg) {
        if (arg != null) {
            return arg;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(name);
        stringBuilder.append(" must not be null");
        throw new java.lang.IllegalArgumentException(stringBuilder.toString());
    }

    final float dipsToPixels(float dips) {
        return (this.mDensity * dips) + 0.5f;
    }

    final float pixelsToDips(float pixels) {
        return (pixels / this.mDensity) + 0.5f;
    }

    private boolean canDisableGesture() {
        if (inInValidArea()) {
            android.util.Log.i("HwFingersSnapshooter", "inInvalidarea");
            return true;
        } else if (android.os.SystemProperties.getBoolean("ro.config.hw_talkback_btn", true) && isTalkBackServicesOn()) {
            android.util.Log.i("HwFingersSnapshooter", "in talkback mode");
            return true;
        } else if (!android.os.SystemProperties.getBoolean("runtime.mmitest.isrunning", false)) {
            return false;
        } else {
            android.util.Log.i("HwFingersSnapshooter", "in MMI test");
            return true;
        }
    }

    private boolean isTalkBackServicesOn() {
        boolean z = false;
        if (this.mContext == null) {
            return false;
        }
        boolean accessibilityEnabled = android.provider.Settings.Secure.getIntForUser(this.mContext.getContentResolver(), "accessibility_enabled", 0, -2) == 1;
        java.lang.String enabledSerices = android.provider.Settings.Secure.getStringForUser(this.mContext.getContentResolver(), "enabled_accessibility_services", -2);
        boolean isContainsTalkBackService = enabledSerices != null && enabledSerices.contains("com.google.android.marvin.talkback/com.google.android.marvin.talkback.TalkBackService");
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("accessibilityEnabled:");
        stringBuilder.append(accessibilityEnabled);
        stringBuilder.append(",isContainsTalkBackService:");
        stringBuilder.append(isContainsTalkBackService);
        android.util.Log.i("HwFingersSnapshooter", stringBuilder.toString());
        if (accessibilityEnabled && isContainsTalkBackService) {
            z = true;
        }
        return z;
    }

    private boolean inInValidArea() {
        int fingerSize = this.mTouchingFingers.size();
        for (int i = 0; i < fingerSize; i++) {
            if (((com.android.server.input.HwFingersSnapshooter.Point) this.mTouchingFingers.valueAt(i)).y <= this.mTrigerStartThreshold) {
                return true;
            }
        }
        return false;
    }

    /* JADX WARNING: Missing block: B:11:0x0036, code:
            return;
     */
    private void takeScreenshot() {
        /*
        r8 = this;
        r0 = r8.mScreenshotLock;
        monitor-enter(r0);
        r1 = r8.mScreenshotConnection;	 Catch:{ all -> 0x0037 }
        if (r1 == 0) goto L_0x0009;
    L_0x0007:
        monitor-exit(r0);	 Catch:{ all -> 0x0037 }
        return;
    L_0x0009:
        r1 = new android.content.ComponentName;	 Catch:{ all -> 0x0037 }
        r2 = "com.android.systemui";
        r3 = "com.android.systemui.screenshot.TakeScreenshotService";
        r1.<init>(r2, r3);	 Catch:{ all -> 0x0037 }
        r2 = new android.content.Intent;	 Catch:{ all -> 0x0037 }
        r2.<init>();	 Catch:{ all -> 0x0037 }
        r2.setComponent(r1);	 Catch:{ all -> 0x0037 }
        r3 = new com.android.server.input.HwFingersSnapshooter$6;	 Catch:{ all -> 0x0037 }
        r3.<init>();	 Catch:{ all -> 0x0037 }
        r4 = r8.mContext;	 Catch:{ all -> 0x0037 }
        r5 = 1;
        r6 = android.os.UserHandle.CURRENT;	 Catch:{ all -> 0x0037 }
        r4 = r4.bindServiceAsUser(r2, r3, r5, r6);	 Catch:{ all -> 0x0037 }
        if (r4 == 0) goto L_0x0035;
    L_0x002a:
        r8.mScreenshotConnection = r3;	 Catch:{ all -> 0x0037 }
        r4 = r8.mHandler;	 Catch:{ all -> 0x0037 }
        r5 = r8.mScreenshotTimeout;	 Catch:{ all -> 0x0037 }
        r6 = 10000; // 0x2710 float:1.4013E-41 double:4.9407E-320;
        r4.postDelayed(r5, r6);	 Catch:{ all -> 0x0037 }
    L_0x0035:
        monitor-exit(r0);	 Catch:{ all -> 0x0037 }
        return;
    L_0x0037:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x0037 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.input.HwFingersSnapshooter.takeScreenshot():void");
    }
}
