package com.android.server.input;

public class HwInputManagerService extends com.android.server.input.InputManagerService {
    private static final java.lang.String App_Left = "pressure_launch_app_left";
    private static final java.lang.String App_Right = "pressure_launch_app_right";
    static final boolean ENABLE_BACK_TO_HOME = true;
    static final boolean ENABLE_LOCK_DEVICE = false;
    static final java.lang.String FINGERPRINT_ANSWER_CALL = "fp_answer_call";
    static final java.lang.String FINGERPRINT_BACK_TO_HOME = "fp_return_desk";
    static final java.lang.String FINGERPRINT_CAMERA_SWITCH = "fp_take_photo";
    static final java.lang.String FINGERPRINT_GALLERY_SLIDE = "fingerprint_gallery_slide";
    static final java.lang.String FINGERPRINT_GO_BACK = "fp_go_back";
    static final java.lang.String FINGERPRINT_LOCK_DEVICE = "fp_lock_device";
    static final java.lang.String FINGERPRINT_MARKET_DEMO_SWITCH = "fingerprint_market_demo_switch";
    static final java.lang.String FINGERPRINT_RECENT_APP = "fp_recent_application";
    static final java.lang.String FINGERPRINT_SHOW_NOTIFICATION = "fp_show_notification";
    static final java.lang.String FINGERPRINT_SLIDE_SWITCH = "fingerprint_slide_switch";
    static final java.lang.String FINGERPRINT_STOP_ALARM = "fp_stop_alarm";
    private static final boolean FRONT_FINGERPRINT_NAVIGATION = android.os.SystemProperties.getBoolean("ro.config.hw_front_fp_navi", false);
    private static final int GOHOME_TIMEOUT_DELAY = 15000;
    private static final int HOME_TRACE_TIME_WINDOW = 3000;
    private static final int HT_STATE_DISABLE = 1;
    private static final int HT_STATE_GOING_HOME = 5;
    private static final int HT_STATE_IDLE = 3;
    private static final int HT_STATE_NO_INIT = 2;
    private static final int HT_STATE_PRE_GOING_HOME = 4;
    private static final int HT_STATE_UNKOWN = 0;
    private static final boolean HW_DEBUG = false;
    private static final boolean IS_CHINA_AREA = "CN".equalsIgnoreCase(android.os.SystemProperties.get("ro.product.locale.region", ""));
    private static final int MIN_HOME_KEY_CLICK_COUNT = 2;
    private static final int MODAL_WINDOW_MASK = 40;
    private static final int MOUSE_EVENT = 8194;
    private boolean IS_SUPPORT_PRESSURE = false;
    private java.lang.String TAGPRESSURE = "pressure:hwInputMS";
    private boolean isSupportPg = true;
    boolean mAnswerCall = false;
    private android.database.ContentObserver mAppLeftStartObserver;
    private android.database.ContentObserver mAppRightStartObserver;
    boolean mBackToHome = false;
    private com.android.server.input.InputWindowHandle mCurFocusedWindowHandle = null;
    int mCurrentUserId = 0;
    com.android.server.input.HwCustInputManagerService mCust;
    private android.app.IActivityController mCustomController = null;
    private android.service.dreams.DreamManagerInternal mDreamManagerInternal = null;
    private boolean mEnableFingerSnapshot = false;
    private android.content.Context mExternalContext = null;
    com.android.server.input.FingerPressNavigation mFingerPressNavi = null;
    boolean mFingerprintMarketDemoSwitch = false;
    private com.android.server.input.FingerprintNavigation mFingerprintNavigationFilter;
    private com.android.server.input.HwFingersSnapshooter mFingersSnapshooter = null;
    private java.lang.Object mFreezeDetectLock = new java.lang.Object();
    boolean mGallerySlide;
    boolean mGoBack = false;
    com.android.server.input.HwGuiShou mGuiShou;
    private android.os.Handler mHandler;
    private int mHeight;
    private android.content.ComponentName mHomeComponent = null;
    private android.os.Handler mHomeTraceHandler = null;
    private int mHomeTraceState = 0;
    boolean mInputDeviceChanged = false;
    boolean mIsStartInputEventControl = false;
    private boolean mKeepCustomPointerIcon = false;
    private com.android.server.input.InputWindowHandle mLastFocusedWindowHandle = null;
    private boolean mLastImmersiveMode = false;
    private android.database.ContentObserver mMinNaviObserver;
    private boolean mModalWindowOnTop = false;
    private android.database.ContentObserver mNaviBarPosObserver;
    private com.huawei.pgmng.PGPlug mPGPlug;
    private com.android.server.input.HwInputManagerService.PgEventProcesser mPgEventProcesser = new com.android.server.input.HwInputManagerService.PgEventProcesser(this, null);
    private com.android.server.policy.WindowManagerPolicy mPolicy = null;
    private android.database.ContentObserver mPressLimitObserver;
    private boolean mPressNaviEnable = false;
    private android.database.ContentObserver mPressNaviObserver;
    boolean mRecentApp = false;
    private java.util.ArrayList<java.lang.Long> mRecentHomeKeyTimes = new java.util.ArrayList();
    private final android.content.ContentResolver mResolver;
    final com.android.server.input.HwInputManagerService.SettingsObserver mSettingsObserver;
    boolean mShowNotification = false;
    boolean mStopAlarm = false;
    private int mWidth;
    private java.lang.Runnable mWindowSwitchChecker = new java.lang.Runnable() {
        public void run() {
            com.android.server.input.HwInputManagerService.this.handleGoHomeTimeout();
        }
    };
    private java.lang.String needTip = "pressure_needTip";

    private class BroadcastThread extends java.lang.Thread {
        boolean mMinNaviBar;

        private BroadcastThread() {
        }

        /* synthetic */ BroadcastThread(com.android.server.input.HwInputManagerService x0, com.android.server.input.HwInputManagerService.AnonymousClass1 x1) {
            this();
        }

        public void setMiniNaviBar(boolean minNaviBar) {
            this.mMinNaviBar = minNaviBar;
        }

        public void run() {
            java.lang.String access$500 = com.android.server.input.HwInputManagerService.this.TAGPRESSURE;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sendBroadcast minNaviBar = ");
            stringBuilder.append(this.mMinNaviBar);
            android.util.Log.d(access$500, stringBuilder.toString());
            android.content.Intent intent = new android.content.Intent("com.huawei.navigationbar.statuschange");
            intent.putExtra("minNavigationBar", this.mMinNaviBar);
            com.android.server.input.HwInputManagerService.this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.ALL);
        }
    }

    public final class HwInputManagerLocalService {
        public boolean injectInputEvent(android.view.InputEvent event, int mode) {
            return com.android.server.input.HwInputManagerService.this.injectInputEventOtherScreens(event, mode);
        }

        public void setExternalDisplayContext(android.content.Context context) {
            com.android.server.input.HwInputManagerService.this.setExternalContext(context);
        }

        public void setPointerIconTypeAndKeep(int iconId, boolean keep) {
            com.android.server.input.HwInputManagerService.this.setPointerIconTypeAndKeepImpl(iconId, keep);
        }

        public void setCustomPointerIconAndKeep(android.view.PointerIcon icon, boolean keep) {
            com.android.server.input.HwInputManagerService.this.setCustomPointerIconAndKeepImpl(icon, keep);
        }
    }

    public final class HwInputManagerServiceInternal {
        public void notifyHomeLaunching() {
            com.android.server.input.HwInputManagerService.this.startTraceHomeKey();
        }

        public void setCustomActivityController(android.app.IActivityController controller) {
            com.android.server.input.HwInputManagerService.this.setCustomActivityControllerInternal(controller);
        }
    }

    private class PgEventProcesser implements com.huawei.pgmng.IPGPlugCallbacks {
        private PgEventProcesser() {
        }

        /* synthetic */ PgEventProcesser(com.android.server.input.HwInputManagerService x0, com.android.server.input.HwInputManagerService.AnonymousClass1 x1) {
            this();
        }

        public void onDaemonConnected() {
        }

        public void onConnectedTimeout() {
        }

        public boolean onEvent(int actionID, java.lang.String msg) {
            if (com.huawei.pgmng.PGAction.checkActionType(actionID) == 1 && com.huawei.pgmng.PGAction.checkActionFlag(actionID) == 3) {
                if (actionID != 10002) {
                    if (actionID != 10011) {
                        if (com.android.server.input.HwInputManagerService.this.mFingerPressNavi != null) {
                            com.android.server.input.HwInputManagerService.this.mFingerPressNavi.setGameScene(false);
                        }
                    }
                }
                if (com.android.server.input.HwInputManagerService.this.mFingerPressNavi != null) {
                    com.android.server.input.HwInputManagerService.this.mFingerPressNavi.setGameScene(true);
                }
            }
            return true;
        }
    }

    class SettingsObserver extends android.database.ContentObserver {
        SettingsObserver(android.os.Handler handler) {
            super(handler);
            registerContentObserver(android.os.UserHandle.myUserId());
        }

        public void registerContentObserver(int userId) {
            com.android.server.input.HwInputManagerService.this.mResolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("fp_take_photo"), false, this, userId);
            com.android.server.input.HwInputManagerService.this.mResolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("fp_answer_call"), false, this, userId);
            com.android.server.input.HwInputManagerService.this.mResolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("fp_show_notification"), false, this, userId);
            com.android.server.input.HwInputManagerService.this.mResolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("fp_return_desk"), false, this);
            com.android.server.input.HwInputManagerService.this.mResolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("fp_stop_alarm"), false, this, userId);
            com.android.server.input.HwInputManagerService.this.mResolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("fp_lock_device"), false, this);
            com.android.server.input.HwInputManagerService.this.mResolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("fp_go_back"), false, this);
            com.android.server.input.HwInputManagerService.this.mResolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("fp_recent_application"), false, this);
            com.android.server.input.HwInputManagerService.this.mResolver.registerContentObserver(android.provider.Settings.System.getUriFor("fingerprint_market_demo_switch"), false, this);
            com.android.server.input.HwInputManagerService.this.mResolver.registerContentObserver(android.provider.Settings.Secure.getUriFor("fingerprint_gallery_slide"), false, this, userId);
        }

        public void onChange(boolean selfChange) {
            android.util.Slog.d("InputManager", "SettingDB has Changed");
            com.android.server.input.HwInputManagerService.this.updateFingerprintSlideSwitchValue();
        }
    }

    public HwInputManagerService(android.content.Context context, android.os.Handler handler) {
        super(context);
        com.huawei.android.gameassist.HwGameAssistGamePad.mContext = context;
        this.mResolver = context.getContentResolver();
        this.mSettingsObserver = new com.android.server.input.HwInputManagerService.SettingsObserver(handler);
        this.mHandler = handler;
        this.mFingerprintNavigationFilter = new com.android.server.input.FingerprintNavigation(this.mContext);
        this.mGuiShou = new com.android.server.input.HwGuiShou(this, this.mContext, this.mHandler, this.mFingerprintNavigationFilter);
        this.mCurrentUserId = android.app.ActivityManager.getCurrentUser();
        updateFingerprintSlideSwitchValue(this.mCurrentUserId);
    }

    private void initGuiShou() {
        this.mGuiShou.registerPhoneStateListener();
        this.mGuiShou.registerFpSlideSwitchSettingsObserver();
    }

    private boolean isPressureModeOpenForChina() {
        return 1 == android.provider.Settings.System.getIntForUser(this.mResolver, "virtual_notification_key_type", 0, this.mCurrentUserId);
    }

    private boolean isPressureModeOpenForOther() {
        return 1 == android.provider.Settings.System.getIntForUser(this.mResolver, "virtual_notification_key_type", 0, this.mCurrentUserId);
    }

    private boolean isNavigationBarMin() {
        return 1 == android.provider.Settings.Global.getInt(this.mResolver, "navigationbar_is_min", 0);
    }

    private void initObserver(android.os.Handler handler) {
        this.mPressNaviObserver = new android.database.ContentObserver(handler) {
            public void onChange(boolean selfChange) {
                com.android.server.input.HwInputManagerService.this.handleNaviChangeForTip();
                if (com.android.server.input.HwInputManagerService.IS_CHINA_AREA) {
                    com.android.server.input.HwInputManagerService.this.handleNaviChangeForChina();
                } else {
                    com.android.server.input.HwInputManagerService.this.handleNaviChangeForOther();
                }
            }
        };
        this.mMinNaviObserver = new android.database.ContentObserver(handler) {
            public void onChange(boolean selfChange) {
                if (com.android.server.input.HwInputManagerService.IS_CHINA_AREA) {
                    com.android.server.input.HwInputManagerService.this.handleNaviChangeForChina();
                }
            }
        };
        this.mPressLimitObserver = new android.database.ContentObserver(handler) {
            public void onChange(boolean selfChange) {
                float limit = android.provider.Settings.System.getFloatForUser(com.android.server.input.HwInputManagerService.this.mContext.getContentResolver(), "pressure_habit_threshold", 0.2f, android.app.ActivityManager.getCurrentUser());
                java.lang.String access$500 = com.android.server.input.HwInputManagerService.this.TAGPRESSURE;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("mPressLimitObserver onChange open limit = ");
                stringBuilder.append(limit);
                android.util.Slog.d(access$500, stringBuilder.toString());
                if (com.android.server.input.HwInputManagerService.this.mFingerPressNavi != null) {
                    com.android.server.input.HwInputManagerService.this.mFingerPressNavi.setPressureLimit(limit);
                }
            }
        };
        this.mNaviBarPosObserver = new android.database.ContentObserver(handler) {
            public void onChange(boolean selfChange) {
                int naviBarPos = android.provider.Settings.System.getIntForUser(com.android.server.input.HwInputManagerService.this.mContext.getContentResolver(), "virtual_key_type", 0, android.app.ActivityManager.getCurrentUser());
                java.lang.String access$500 = com.android.server.input.HwInputManagerService.this.TAGPRESSURE;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("mPressNaviObserver onChange open naviBarPos = ");
                stringBuilder.append(naviBarPos);
                android.util.Slog.d(access$500, stringBuilder.toString());
                if (com.android.server.input.HwInputManagerService.this.mFingerPressNavi != null) {
                    com.android.server.input.HwInputManagerService.this.mFingerPressNavi.setNaviBarPosition(naviBarPos);
                }
            }
        };
        this.mAppLeftStartObserver = new android.database.ContentObserver(handler) {
            public void onChange(boolean selfChange) {
                java.lang.String appLeftPkg = android.provider.Settings.System.getStringForUser(com.android.server.input.HwInputManagerService.this.mContext.getContentResolver(), "pressure_launch_app_left", android.app.ActivityManager.getCurrentUser());
                java.lang.String access$500 = com.android.server.input.HwInputManagerService.this.TAGPRESSURE;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("AppStartObserver onChange open appLeftPkg = ");
                stringBuilder.append(appLeftPkg);
                android.util.Slog.d(access$500, stringBuilder.toString());
                if (com.android.server.input.HwInputManagerService.this.mFingerPressNavi != null && appLeftPkg != null) {
                    com.android.server.input.HwInputManagerService.this.mFingerPressNavi.setAppLeftPkg(appLeftPkg);
                }
            }
        };
        this.mAppRightStartObserver = new android.database.ContentObserver(handler) {
            public void onChange(boolean selfChange) {
                java.lang.String appRightPkg = android.provider.Settings.System.getStringForUser(com.android.server.input.HwInputManagerService.this.mContext.getContentResolver(), "pressure_launch_app_right", android.app.ActivityManager.getCurrentUser());
                java.lang.String access$500 = com.android.server.input.HwInputManagerService.this.TAGPRESSURE;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("AppStartObserver onChange open appRightPkg = ");
                stringBuilder.append(appRightPkg);
                android.util.Slog.d(access$500, stringBuilder.toString());
                if (com.android.server.input.HwInputManagerService.this.mFingerPressNavi != null && appRightPkg != null) {
                    com.android.server.input.HwInputManagerService.this.mFingerPressNavi.setAppRightPkg(appRightPkg);
                }
            }
        };
        this.mResolver.registerContentObserver(android.provider.Settings.System.getUriFor("virtual_notification_key_type"), false, this.mPressNaviObserver, -1);
        this.mResolver.registerContentObserver(android.provider.Settings.Global.getUriFor("navigationbar_is_min"), false, this.mMinNaviObserver, -1);
        this.mResolver.registerContentObserver(android.provider.Settings.System.getUriFor("pressure_habit_threshold"), false, this.mPressLimitObserver, -1);
        this.mResolver.registerContentObserver(android.provider.Settings.System.getUriFor("virtual_key_type"), false, this.mNaviBarPosObserver, -1);
        this.mResolver.registerContentObserver(android.provider.Settings.System.getUriFor("pressure_launch_app_left"), false, this.mAppLeftStartObserver, -1);
        this.mResolver.registerContentObserver(android.provider.Settings.System.getUriFor("pressure_launch_app_right"), false, this.mAppRightStartObserver, -1);
    }

    private void handleNaviChangeForChina() {
        if (this.IS_SUPPORT_PRESSURE) {
            if (isPressureModeOpenForChina() && isNavigationBarMin()) {
                android.util.Slog.d(this.TAGPRESSURE, "mPressNaviObserver onChange open");
                this.mPressNaviEnable = true;
                this.mFingerPressNavi = com.android.server.input.FingerPressNavigation.getInstance(this.mContext);
                if (this.mFingerPressNavi != null) {
                    this.mFingerPressNavi.createPointerCircleAnimation();
                    this.mFingerPressNavi.setDisplayWidthAndHeight(this.mWidth, this.mHeight);
                    this.mFingerPressNavi.setMode(1);
                }
                android.os.SystemProperties.set("persist.sys.fingerpressnavi", "1");
            } else {
                android.util.Slog.d(this.TAGPRESSURE, "mPressNaviObserver onChange close");
                this.mPressNaviEnable = false;
                this.mFingerPressNavi = com.android.server.input.FingerPressNavigation.getInstance(this.mContext);
                if (this.mFingerPressNavi != null) {
                    this.mFingerPressNavi.destoryPointerCircleAnimation();
                    this.mFingerPressNavi.setMode(0);
                }
                android.os.SystemProperties.set("persist.sys.fingerpressnavi", "1");
            }
            int naviBarPos = android.provider.Settings.System.getIntForUser(this.mContext.getContentResolver(), "virtual_key_type", 0, this.mCurrentUserId);
            if (this.mFingerPressNavi != null) {
                this.mFingerPressNavi.setNaviBarPosition(naviBarPos);
            }
        }
    }

    private void handleNaviChangeForOther() {
        if (this.IS_SUPPORT_PRESSURE) {
            if (isPressureModeOpenForOther()) {
                android.util.Slog.d(this.TAGPRESSURE, "mPressNaviObserver onChange open");
                this.mPressNaviEnable = true;
                this.mFingerPressNavi = com.android.server.input.FingerPressNavigation.getInstance(this.mContext);
                if (this.mFingerPressNavi != null) {
                    this.mFingerPressNavi.createPointerCircleAnimation();
                    this.mFingerPressNavi.setDisplayWidthAndHeight(this.mWidth, this.mHeight);
                    this.mFingerPressNavi.setMode(1);
                }
                sendBroadcast(true);
                android.os.SystemProperties.set("persist.sys.fingerpressnavi", "1");
            } else {
                android.util.Slog.d(this.TAGPRESSURE, "mPressNaviObserver onChange close");
                this.mPressNaviEnable = false;
                this.mFingerPressNavi = com.android.server.input.FingerPressNavigation.getInstance(this.mContext);
                if (this.mFingerPressNavi != null) {
                    this.mFingerPressNavi.destoryPointerCircleAnimation();
                    this.mFingerPressNavi.setMode(0);
                }
                sendBroadcast(false);
                android.os.SystemProperties.set("persist.sys.fingerpressnavi", "1");
            }
            int naviBarPos = android.provider.Settings.System.getIntForUser(this.mContext.getContentResolver(), "virtual_key_type", 0, this.mCurrentUserId);
            if (this.mFingerPressNavi != null) {
                this.mFingerPressNavi.setNaviBarPosition(naviBarPos);
            }
        }
    }

    private void sendBroadcast(boolean minNaviBar) {
        com.android.server.input.HwInputManagerService.BroadcastThread sendthread = new com.android.server.input.HwInputManagerService.BroadcastThread(this, null);
        sendthread.setMiniNaviBar(minNaviBar);
        sendthread.start();
    }

    private void pressureinit() {
        if (!this.mPressNaviEnable) {
            if (!this.IS_SUPPORT_PRESSURE) {
                android.os.SystemProperties.set("persist.sys.fingerpressnavi", "0");
                return;
            }
        }
        this.mFingerPressNavi = com.android.server.input.FingerPressNavigation.getInstance(this.mContext);
        if (this.mFingerPressNavi != null) {
            if (this.mPressNaviEnable) {
                android.util.Log.v(this.TAGPRESSURE, "systemRunning  mPressNaviEnable ");
                this.mFingerPressNavi.createPointerCircleAnimation();
                this.mFingerPressNavi.setMode(1);
            } else if (this.IS_SUPPORT_PRESSURE) {
                this.mFingerPressNavi.setMode(0);
                android.util.Log.v(this.TAGPRESSURE, "systemRunning  IS_SUPPORT_PRESSURE ");
            }
            float limit = android.provider.Settings.System.getFloatForUser(this.mContext.getContentResolver(), "pressure_habit_threshold", 0.2f, this.mCurrentUserId);
            int naviBarPos = android.provider.Settings.System.getIntForUser(this.mContext.getContentResolver(), "virtual_key_type", 0, this.mCurrentUserId);
            java.lang.String appLeftPkg = android.provider.Settings.System.getStringForUser(this.mContext.getContentResolver(), "pressure_launch_app_left", this.mCurrentUserId);
            if (appLeftPkg != null) {
                this.mFingerPressNavi.setAppLeftPkg(appLeftPkg);
            } else {
                this.mFingerPressNavi.setAppLeftPkg("none_app");
            }
            java.lang.String appRightPkg = android.provider.Settings.System.getStringForUser(this.mContext.getContentResolver(), "pressure_launch_app_right", this.mCurrentUserId);
            if (appRightPkg != null) {
                this.mFingerPressNavi.setAppRightPkg(appRightPkg);
            } else {
                this.mFingerPressNavi.setAppRightPkg("none_app");
            }
            this.mFingerPressNavi.setNaviBarPosition(naviBarPos);
            this.mFingerPressNavi.setPressureLimit(limit);
            android.os.SystemProperties.set("persist.sys.fingerpressnavi", "1");
        }
    }

    private int isNeedTip() {
        return android.provider.Settings.System.getIntForUser(this.mContext.getContentResolver(), this.needTip, 0, this.mCurrentUserId);
    }

    private void handleNaviChangeForTip() {
        if (isPressureModeOpenForChina()) {
            android.provider.Settings.System.putIntForUser(this.mContext.getContentResolver(), this.needTip, 1, this.mCurrentUserId);
            this.mFingerPressNavi = com.android.server.input.FingerPressNavigation.getInstance(this.mContext);
            if (this.mFingerPressNavi != null) {
                this.mFingerPressNavi.setNeedTip(true);
                return;
            }
            return;
        }
        android.provider.Settings.System.putIntForUser(this.mContext.getContentResolver(), this.needTip, 2, this.mCurrentUserId);
        this.mFingerPressNavi = com.android.server.input.FingerPressNavigation.getInstance(this.mContext);
        if (this.mFingerPressNavi != null) {
            this.mFingerPressNavi.setNeedTip(false);
        }
    }

    private void pressureinitData() {
        if (this.IS_SUPPORT_PRESSURE) {
            this.mFingerPressNavi = com.android.server.input.FingerPressNavigation.getInstance(this.mContext);
            if (this.mFingerPressNavi != null) {
                int istip = isNeedTip();
                if (istip == 0) {
                    android.provider.Settings.System.putIntForUser(this.mContext.getContentResolver(), this.needTip, 1, this.mCurrentUserId);
                    this.mFingerPressNavi.setNeedTip(true);
                } else if (istip == 3) {
                    android.provider.Settings.System.putIntForUser(this.mContext.getContentResolver(), this.needTip, 2, this.mCurrentUserId);
                    this.mFingerPressNavi.setNeedTip(false);
                } else if (istip == 1) {
                    this.mFingerPressNavi.setNeedTip(true);
                } else if (istip == 2) {
                    this.mFingerPressNavi.setNeedTip(false);
                }
            }
        }
    }

    public void setDisplayWidthAndHeight(int width, int height) {
        this.mWidth = width;
        this.mHeight = height;
        if (this.mFingerPressNavi != null) {
            this.mFingerPressNavi.setDisplayWidthAndHeight(width, height);
        }
    }

    public void setCurFocusWindow(com.android.server.wm.WindowState focus) {
        if (this.mFingerPressNavi != null) {
            this.mFingerPressNavi.setCurFocusWindow(focus);
        }
    }

    public void setIsTopFullScreen(boolean isTopFullScreen) {
        if (this.mFingerPressNavi != null) {
            this.mFingerPressNavi.setIsTopFullScreen(isTopFullScreen);
        }
    }

    public void setImmersiveMode(boolean mode) {
        if (this.IS_SUPPORT_PRESSURE) {
            if (this.mFingerPressNavi != null) {
                this.mFingerPressNavi.setImmersiveMode(mode);
            }
            if (!(IS_CHINA_AREA || mode || !this.mLastImmersiveMode)) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("setImmersiveMode  has Changedi mode = ");
                stringBuilder.append(mode);
                android.util.Slog.d("InputManager", stringBuilder.toString());
                handleNaviChangeForOther();
            }
            this.mLastImmersiveMode = mode;
        }
    }

    public void systemRunning() {
        super.systemRunning();
        this.mEnableFingerSnapshot = android.os.SystemProperties.getBoolean("ro.config.hw_triple_finger", false);
        if (this.mEnableFingerSnapshot) {
            this.mFingersSnapshooter = new com.android.server.input.HwFingersSnapshooter(this.mContext, this);
            synchronized (this.mInputFilterLock) {
                nativeSetInputFilterEnabled(this.mPtr, true);
            }
        }
        this.IS_SUPPORT_PRESSURE = huawei.android.os.HwGeneralManager.getInstance().isSupportForce();
        if (IS_CHINA_AREA) {
            if (this.IS_SUPPORT_PRESSURE && isPressureModeOpenForChina() && isNavigationBarMin()) {
                this.mPressNaviEnable = true;
            }
        } else if (this.IS_SUPPORT_PRESSURE && isPressureModeOpenForOther()) {
            this.mPressNaviEnable = true;
        }
        if (this.IS_SUPPORT_PRESSURE) {
            initObserver(this.mHandler);
        }
        this.mFingerprintNavigationFilter.systemRunning();
        pressureinit();
        pressureinitData();
        if (this.isSupportPg) {
            initPgPlugThread();
        }
        if (isHomeTraceSupported()) {
            this.mHomeTraceState = 2;
        } else {
            this.mHomeTraceState = 1;
        }
        if (android.util.HwPCUtils.enabled()) {
            com.android.server.LocalServices.addService(com.android.server.input.HwInputManagerService.HwInputManagerLocalService.class, new com.android.server.input.HwInputManagerService.HwInputManagerLocalService());
        }
        com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.self().setInputManagerService(this);
        com.android.server.rms.iaware.sysload.SysLoadManager.getInstance().setInputManagerService(this);
    }

    public void start() {
        super.start();
        this.mCust = (com.android.server.input.HwCustInputManagerService) huawei.cust.HwCustUtils.createObj(com.android.server.input.HwCustInputManagerService.class, new java.lang.Object[]{this});
        if (this.mCust != null) {
            this.mCust.registerContentObserverForSetGloveMode(this.mContext);
        }
        initGuiShou();
        this.mContext.registerReceiver(new android.content.BroadcastReceiver() {
            public void onReceive(android.content.Context context, android.content.Intent intent) {
                com.android.server.input.HwInputManagerService.this.mCurrentUserId = intent.getIntExtra("android.intent.extra.user_handle", 0);
                java.lang.String access$500 = com.android.server.input.HwInputManagerService.this.TAGPRESSURE;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("user switch mCurrentUserId = ");
                stringBuilder.append(com.android.server.input.HwInputManagerService.this.mCurrentUserId);
                android.util.Slog.e(access$500, stringBuilder.toString());
                if (com.android.server.input.HwInputManagerService.this.IS_SUPPORT_PRESSURE) {
                    com.android.server.input.HwInputManagerService.this.pressureinit();
                    com.android.server.input.HwInputManagerService.this.pressureinitData();
                    if (com.android.server.input.HwInputManagerService.IS_CHINA_AREA) {
                        com.android.server.input.HwInputManagerService.this.handleNaviChangeForChina();
                    } else {
                        com.android.server.input.HwInputManagerService.this.handleNaviChangeForOther();
                    }
                }
            }
        }, new android.content.IntentFilter("android.intent.action.USER_SWITCHED"), null, this.mHandler);
    }

    private void initPgPlugThread() {
        this.mPGPlug = new com.huawei.pgmng.PGPlug(this.mPgEventProcesser, "InputManager");
        new java.lang.Thread(this.mPGPlug, "InputManager").start();
    }

    public void inputdevicechanged() {
        android.util.Slog.d("InputManager", "inputdevicechanged.....");
        this.mInputDeviceChanged = true;
    }

    boolean filterInputEvent(android.view.InputEvent event, int policyFlags) {
        if (this.mIsStartInputEventControl) {
            if (this.mInputDeviceChanged && event.getSource() == 8194) {
                this.mInputDeviceChanged = false;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("mouse event :");
                stringBuilder.append(this.mInputDeviceChanged);
                android.util.Slog.d("InputManager", stringBuilder.toString());
                setPointerIconTypeAndKeepImpl(1000, true);
                setPointerIconTypeAndKeepImpl(0, true);
            }
            int result = com.huawei.android.gameassist.HwGameAssistGamePad.notifyInputEvent(event);
            if (result == 0) {
                return false;
            }
            if (result == 1) {
                setInputEventStrategy(false);
            }
        }
        if (this.mFingerprintNavigationFilter.filterInputEvent(event, policyFlags)) {
            return false;
        }
        if (this.mFingerPressNavi != null && !this.mFingerPressNavi.filterPressueInputEvent(event)) {
            return false;
        }
        if (android.util.HwPCUtils.isPcCastModeInServer() || this.mFingersSnapshooter == null || this.mFingersSnapshooter.handleMotionEvent(event)) {
            return super.filterInputEvent(event, policyFlags);
        }
        return false;
    }

    boolean isFingprintEventUnHandled(android.view.KeyEvent event) {
        return (event.getHwFlags() & 2048) != 0;
    }

    android.view.KeyEvent dispatchUnhandledKey(com.android.server.input.InputWindowHandle focus, android.view.KeyEvent event, int policyFlags) {
        if (!isFingprintEventUnHandled(event) || !this.mFingerprintNavigationFilter.dispatchUnhandledKey(event, policyFlags)) {
            return super.dispatchUnhandledKey(focus, event, policyFlags);
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("dispatchUnhandledKey flags=");
        stringBuilder.append(java.lang.Integer.toHexString(event.getHwFlags()));
        android.util.Slog.d("InputManager", stringBuilder.toString());
        return null;
    }

    public final void updateFingerprintSlideSwitchValue() {
        updateFingerprintSlideSwitchValue(android.app.ActivityManager.getCurrentUser());
    }

    public final void updateFingerprintSlideSwitchValue(int userId) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("ActivityManager.getCurrentUser:");
        stringBuilder.append(userId);
        android.util.Slog.d("InputManager", stringBuilder.toString());
        if (!com.android.server.input.HwGuiShou.isGuiShouEnabled()) {
            this.mAnswerCall = android.provider.Settings.Secure.getIntForUser(this.mResolver, "fp_answer_call", 0, userId) != 0;
            this.mStopAlarm = android.provider.Settings.Secure.getIntForUser(this.mResolver, "fp_stop_alarm", 0, userId) != 0;
        }
        this.mShowNotification = android.provider.Settings.Secure.getIntForUser(this.mResolver, "fp_show_notification", 0, userId) != 0;
        this.mBackToHome = android.provider.Settings.Secure.getInt(this.mResolver, "fp_return_desk", 0) != 0;
        this.mGoBack = android.provider.Settings.Secure.getInt(this.mResolver, "fp_go_back", 0) != 0;
        this.mRecentApp = android.provider.Settings.Secure.getInt(this.mResolver, "fp_recent_application", 0) != 0;
        this.mFingerprintMarketDemoSwitch = android.provider.Settings.System.getInt(this.mResolver, "fingerprint_market_demo_switch", 0) == 1;
        this.mGallerySlide = android.provider.Settings.Secure.getIntForUser(this.mResolver, "fingerprint_gallery_slide", 1, userId) != 0;
        java.lang.StringBuilder stringBuilder2;
        if (this.mBackToHome || this.mGoBack || this.mRecentApp || this.mFingerprintMarketDemoSwitch || FRONT_FINGERPRINT_NAVIGATION) {
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("open fingerprint nav->FINGERPRINT_SLIDE_SWITCH to 1 userId:");
            stringBuilder2.append(userId);
            android.util.Slog.d("InputManager", stringBuilder2.toString());
            android.provider.Settings.System.putIntForUser(this.mResolver, "fingerprint_slide_switch", 1, userId);
            this.mGuiShou.setFingerprintSlideSwitchValue(true);
        } else if (android.util.HwPCUtils.isPcCastModeInServer()) {
            android.util.HwPCUtils.log("InputManager", "set fingerprint_slide_switch=1 in pc mode");
            android.provider.Settings.System.putIntForUser(this.mResolver, "fingerprint_slide_switch", 1, userId);
        } else {
            if (!com.android.server.input.HwGuiShou.isGuiShouEnabled()) {
                if (this.mShowNotification || this.mAnswerCall || this.mStopAlarm) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("open fingerprint nav->FINGERPRINT_SLIDE_SWITCH to 1 userId:");
                    stringBuilder2.append(userId);
                    android.util.Slog.d("InputManager", stringBuilder2.toString());
                    android.provider.Settings.System.putIntForUser(this.mResolver, "fingerprint_slide_switch", 1, userId);
                    this.mGuiShou.setFingerprintSlideSwitchValue(true);
                    return;
                }
            }
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("close fingerprint nav ->FINGERPRINT_SLIDE_SWITCH to 0 userId:");
            stringBuilder.append(userId);
            android.util.Slog.d("InputManager", stringBuilder.toString());
            android.provider.Settings.System.putIntForUser(this.mResolver, "fingerprint_slide_switch", 0, userId);
            this.mGuiShou.setFingerprintSlideSwitchValue(false);
        }
    }

    public boolean isDefaultSlideSwitchOn() {
        if (!(this.mShowNotification || this.mBackToHome || this.mGoBack || this.mRecentApp || this.mFingerprintMarketDemoSwitch)) {
            if (!this.mGallerySlide) {
                return false;
            }
        }
        return true;
    }

    public void setCurrentUser(int newUserId, int[] currentProfileIds) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onUserSwitching, newUserId=");
        stringBuilder.append(newUserId);
        android.util.Slog.i("InputManager", stringBuilder.toString());
        this.mGuiShou.registerFpSlideSwitchSettingsObserver(newUserId);
        this.mSettingsObserver.registerContentObserver(newUserId);
        this.mSettingsObserver.onChange(true);
        this.mFingerprintNavigationFilter.setCurrentUser(newUserId, currentProfileIds);
    }

    public void setInputWindows(com.android.server.input.InputWindowHandle[] windowHandles, com.android.server.input.InputWindowHandle focusedWindowHandle) {
        super.setInputWindows(windowHandles, focusedWindowHandle);
        checkHomeWindowResumed(windowHandles);
    }

    private boolean inSuperPowerSavingMode() {
        return android.os.SystemProperties.getBoolean("sys.super_power_save", false);
    }

    private boolean isHomeTraceSupported() {
        boolean z = false;
        if (android.os.SystemProperties.get("ro.runmode", "normal").equals("normal")) {
            if (android.os.SystemProperties.getInt("ro.logsystem.usertype", 1) == 3) {
                if (com.huawei.android.os.BuildEx.VERSION.EMUI_SDK_INT >= 11) {
                    z = true;
                }
                return z;
            }
        }
        return false;
    }

    private void notifyWindowSwitched() {
        synchronized (this.mFreezeDetectLock) {
            this.mHomeTraceState = 3;
            this.mFreezeDetectLock.notifyAll();
        }
    }

    private java.lang.String getInputWindowInfo(com.android.server.input.InputWindowHandle windowHandle) {
        if (windowHandle == null) {
            return null;
        }
        java.lang.String appName = windowHandle.inputApplicationHandle != null ? windowHandle.inputApplicationHandle.name : "null";
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("windowHandle=");
        stringBuilder.append(windowHandle.name);
        stringBuilder.append(",windowHandle.InputApplicationHandle=");
        stringBuilder.append(appName);
        return stringBuilder.toString();
    }

    private void handleGoHomeTimeout() {
        synchronized (this.mFreezeDetectLock) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Go home timeout, current focused window: ");
            stringBuilder.append(getInputWindowInfo(this.mCurFocusedWindowHandle));
            stringBuilder.append(", Preferred homeActivity = ");
            stringBuilder.append(this.mHomeComponent);
            android.util.Slog.e("InputManager", stringBuilder.toString());
            this.mHomeTraceState = 3;
        }
    }

    private boolean isHomeTraceEnabled() {
        if (this.mHomeTraceState == 2) {
            this.mHomeTraceState = initHomeTrace();
        }
        return this.mHomeTraceState >= 3;
    }

    private android.content.ComponentName getComponentName(com.android.server.input.InputWindowHandle windowHandle) {
        if (windowHandle == null) {
            android.util.Slog.i("InputManager", "non-home window: windowHandle is null");
            return null;
        }
        com.android.server.wm.WindowState windowState = windowHandle.windowState;
        if (windowState == null) {
            android.util.Slog.i("InputManager", "non-home window: windowHandle's state is null");
            return null;
        }
        com.android.server.am.ActivityRecord r = com.android.server.am.ActivityRecord.forToken((android.os.IBinder) windowState.getAppToken());
        if (r != null) {
            return r.realActivity;
        }
        android.util.Slog.i("InputManager", "non-home window:Can not get ActivityRecord from token of windowHandle's windowState");
        return null;
    }

    private boolean isHomeWindow(android.content.ComponentName componentName) {
        boolean z = false;
        if (componentName == null) {
            return false;
        }
        java.lang.String packageName = componentName.getPackageName();
        if (!(this.mHomeComponent == null || packageName == null || !packageName.equals(this.mHomeComponent.getPackageName()))) {
            z = true;
        }
        return z;
    }

    private boolean isHomeWindow(com.android.server.input.InputWindowHandle windowHandle) {
        if (getHomeActivity() == null) {
            return false;
        }
        return isHomeWindow(getComponentName(windowHandle));
    }

    private com.android.server.input.InputWindowHandle updateFocusedWindow(com.android.server.input.InputWindowHandle[] windowHandles) {
        synchronized (this.mFreezeDetectLock) {
            this.mCurFocusedWindowHandle = null;
            for (com.android.server.input.InputWindowHandle windowHandle : windowHandles) {
                if (!(windowHandle == null || !windowHandle.hasFocus || windowHandle.inputChannel == null)) {
                    this.mCurFocusedWindowHandle = windowHandle;
                }
            }
        }
        return this.mCurFocusedWindowHandle;
    }

    /* JADX WARNING: Missing block: B:9:0x0017, code:
            r5.mModalWindowOnTop = false;
     */
    /* JADX WARNING: Missing block: B:10:0x001c, code:
            if (r0 == 2010) goto L_0x0024;
     */
    /* JADX WARNING: Missing block: B:12:0x0020, code:
            if (r0 != 2003) goto L_0x0023;
     */
    /* JADX WARNING: Missing block: B:15:0x0024, code:
            r4 = true;
     */
    /* JADX WARNING: Missing block: B:17:0x0026, code:
            if (r4 == false) goto L_0x002e;
     */
    /* JADX WARNING: Missing block: B:19:0x002a, code:
            if ((r1 & 40) != 0) goto L_0x002e;
     */
    /* JADX WARNING: Missing block: B:20:0x002c, code:
            r5.mModalWindowOnTop = true;
     */
    /* JADX WARNING: Missing block: B:22:0x0030, code:
            return r5.mModalWindowOnTop;
     */
    private boolean modalWindowOnTop() {
        /*
        r5 = this;
        r0 = 0;
        r1 = 0;
        r2 = r5.mFreezeDetectLock;
        monitor-enter(r2);
        r3 = r5.mCurFocusedWindowHandle;	 Catch:{ all -> 0x0031 }
        r4 = 0;
        if (r3 != 0) goto L_0x000c;
    L_0x000a:
        monitor-exit(r2);	 Catch:{ all -> 0x0031 }
        return r4;
    L_0x000c:
        r3 = r5.mCurFocusedWindowHandle;	 Catch:{ all -> 0x0031 }
        r3 = r3.layoutParamsType;	 Catch:{ all -> 0x0031 }
        r0 = r3;
        r3 = r5.mCurFocusedWindowHandle;	 Catch:{ all -> 0x0031 }
        r3 = r3.layoutParamsFlags;	 Catch:{ all -> 0x0031 }
        r1 = r3;
        monitor-exit(r2);	 Catch:{ all -> 0x0031 }
        r5.mModalWindowOnTop = r4;
        r2 = 2010; // 0x7da float:2.817E-42 double:9.93E-321;
        r3 = 1;
        if (r0 == r2) goto L_0x0024;
    L_0x001e:
        r2 = 2003; // 0x7d3 float:2.807E-42 double:9.896E-321;
        if (r0 != r2) goto L_0x0023;
    L_0x0022:
        goto L_0x0024;
    L_0x0023:
        goto L_0x0025;
    L_0x0024:
        r4 = r3;
    L_0x0025:
        r2 = r4;
        if (r2 == 0) goto L_0x002e;
    L_0x0028:
        r4 = r1 & 40;
        if (r4 != 0) goto L_0x002e;
    L_0x002c:
        r5.mModalWindowOnTop = r3;
    L_0x002e:
        r3 = r5.mModalWindowOnTop;
        return r3;
    L_0x0031:
        r3 = move-exception;
        monitor-exit(r2);	 Catch:{ all -> 0x0031 }
        throw r3;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.input.HwInputManagerService.modalWindowOnTop():boolean");
    }

    private boolean focusWindowChanged() {
        boolean z;
        synchronized (this.mFreezeDetectLock) {
            z = (this.mLastFocusedWindowHandle == null || this.mCurFocusedWindowHandle == null || this.mLastFocusedWindowHandle == this.mCurFocusedWindowHandle) ? false : true;
        }
        return z;
    }

    private void checkHomeWindowResumed(com.android.server.input.InputWindowHandle[] windowHandles) {
        if (windowHandles != null) {
            if (updateFocusedWindow(windowHandles) != null) {
                if (!isHomeTraceEnabled()) {
                    return;
                }
                if (modalWindowOnTop()) {
                    finishTraceHomeKey();
                    return;
                }
                if (this.mHomeTraceHandler.hasCallbacks(this.mWindowSwitchChecker)) {
                    if (focusWindowChanged()) {
                        synchronized (this.mFreezeDetectLock) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("Change focus window to ");
                            stringBuilder.append(this.mCurFocusedWindowHandle.name);
                            stringBuilder.append(" after clicked HOME key, freeze not detected");
                            android.util.Slog.i("InputManager", stringBuilder.toString());
                        }
                        finishTraceHomeKey();
                    }
                }
            }
        }
    }

    private android.content.ComponentName getHomeActivity() {
        android.content.pm.PackageManager pm = this.mContext.getPackageManager();
        if (pm == null) {
            android.util.Slog.e("InputManager", "getHomeActivity, can't get packagemanager");
            return null;
        }
        java.util.List<android.content.pm.ResolveInfo> homeActivities = new java.util.ArrayList();
        android.content.ComponentName preferHomeActivity = pm.getHomeActivities(homeActivities);
        if (preferHomeActivity != null) {
            this.mHomeComponent = preferHomeActivity;
        } else if (homeActivities.size() == 0) {
            android.util.Slog.e("InputManager", "No home activity found!");
            return null;
        } else {
            android.content.pm.ActivityInfo homeActivityInfo = ((android.content.pm.ResolveInfo) homeActivities.get(0)).activityInfo;
            this.mHomeComponent = new android.content.ComponentName(homeActivityInfo.packageName, homeActivityInfo.name);
        }
        return this.mHomeComponent;
    }

    private int initHomeTrace() {
        int uiModeType = 0;
        android.app.UiModeManager uiModeManager = (android.app.UiModeManager) this.mContext.getSystemService("uimode");
        if (uiModeManager != null) {
            uiModeType = uiModeManager.getCurrentModeType();
        }
        if (uiModeType != 1) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("current Ui mode is ");
            stringBuilder.append(uiModeType);
            stringBuilder.append(" not support to trace HOME!");
            android.util.Slog.e("InputManager", stringBuilder.toString());
            return 1;
        } else if (getHomeActivity() == null) {
            android.util.Slog.e("InputManager", "do not trace HOME because no prefered homeActivity found!");
            return 1;
        } else {
            com.android.server.LocalServices.addService(com.android.server.input.HwInputManagerService.HwInputManagerServiceInternal.class, new com.android.server.input.HwInputManagerService.HwInputManagerServiceInternal());
            this.mDreamManagerInternal = (android.service.dreams.DreamManagerInternal) com.android.server.LocalServices.getService(android.service.dreams.DreamManagerInternal.class);
            this.mPolicy = (com.android.server.policy.WindowManagerPolicy) com.android.server.LocalServices.getService(com.android.server.policy.WindowManagerPolicy.class);
            this.mHomeTraceHandler = com.android.server.DisplayThread.getHandler();
            return 3;
        }
    }

    private boolean isUserSetupComplete() {
        return android.provider.Settings.Secure.getIntForUser(this.mContext.getContentResolver(), "user_setup_complete", 0, -2) != 0;
    }

    private boolean ignoreHomeTrace() {
        if ((this.mDreamManagerInternal != null && this.mDreamManagerInternal.isDreaming()) || (this.mPolicy != null && this.mPolicy.isKeyguardLocked())) {
            return true;
        }
        if (!isUserSetupComplete()) {
            android.util.Slog.i("InputManager", "user setup not complete, skip the trace of HOME");
            return true;
        } else if (inSuperPowerSavingMode()) {
            android.util.Slog.i("InputManager", "in super power saving mode, skip the trace of HOME");
            return true;
        } else if (!this.mModalWindowOnTop) {
            return false;
        } else {
            android.util.Slog.i("InputManager", "Modal window on the top, skip the trace of HOME");
            return true;
        }
    }

    protected void finishTraceHomeKey() {
        this.mHomeTraceHandler.removeCallbacks(this.mWindowSwitchChecker);
        notifyWindowSwitched();
    }

    private boolean isHomeKeyUp(android.view.KeyEvent event) {
        if (event.getKeyCode() == 3 && event.getAction() == 1 && !event.isCanceled()) {
            return true;
        }
        return false;
    }

    protected void preStartTraceHome(com.android.server.input.InputWindowHandle focus, android.view.KeyEvent event) {
        if (focus != null) {
            if (isHomeKeyUp(event)) {
                if (!android.app.ActivityManager.isUserAMonkey()) {
                    if (!hasCustomActivityController()) {
                        if (isHomeTraceEnabled() && !ignoreHomeTrace()) {
                            if (!isHomeWindow(focus)) {
                                long eventTime = event.getEventTime();
                                this.mRecentHomeKeyTimes.add(java.lang.Long.valueOf(eventTime));
                                for (int i = this.mRecentHomeKeyTimes.size() - 1; i >= 0; i--) {
                                    long interval = eventTime - ((java.lang.Long) this.mRecentHomeKeyTimes.get(i)).longValue();
                                    if (interval >= 0 && interval > 3000) {
                                        this.mRecentHomeKeyTimes.remove(i);
                                    }
                                }
                                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("preStart Home is ");
                                stringBuilder.append(this.mRecentHomeKeyTimes.size());
                                android.util.Slog.i("InputManager", stringBuilder.toString());
                                java.lang.StringBuilder stringBuilder2;
                                if (this.mRecentHomeKeyTimes.size() < 2) {
                                    stringBuilder2 = new java.lang.StringBuilder();
                                    stringBuilder2.append("click HOME ");
                                    stringBuilder2.append(this.mRecentHomeKeyTimes.size());
                                    stringBuilder2.append(" times, trace if continuous click ");
                                    stringBuilder2.append(2);
                                    stringBuilder2.append(" times in ");
                                    stringBuilder2.append(3000);
                                    stringBuilder2.append("ms");
                                    android.util.Slog.i("InputManager", stringBuilder2.toString());
                                    return;
                                }
                                synchronized (this.mFreezeDetectLock) {
                                    if (this.mHomeTraceState == 3) {
                                        this.mHomeTraceState = 4;
                                        this.mLastFocusedWindowHandle = focus;
                                        stringBuilder2 = new java.lang.StringBuilder();
                                        stringBuilder2.append("start HOME in window:");
                                        stringBuilder2.append(focus.name);
                                        android.util.Slog.i("InputManager", stringBuilder2.toString());
                                    }
                                }
                                return;
                            }
                        }
                        android.util.Slog.i("InputManager", "preStart Home return.");
                        return;
                    }
                }
                android.util.Slog.d("InputManager", "trigger HOME in monkey mode or custom ActivityController set");
            }
        }
    }

    protected void postStartTraceHome(com.android.server.input.InputWindowHandle focus) {
        synchronized (this.mFreezeDetectLock) {
            if (this.mHomeTraceState == 4) {
                java.lang.String str = "InputManager";
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Home app not launched at ");
                stringBuilder.append(focus != null ? focus.name : "null window");
                android.util.Slog.i(str, stringBuilder.toString());
                this.mHomeTraceState = 3;
            }
        }
    }

    /* JADX WARNING: Missing block: B:13:0x002a, code:
            return true;
     */
    protected boolean startTraceHomeKey() {
        /*
        r5 = this;
        r0 = r5.mFreezeDetectLock;
        monitor-enter(r0);
        r1 = r5.mHomeTraceState;	 Catch:{ all -> 0x002b }
        r2 = 4;
        if (r1 == r2) goto L_0x000b;
    L_0x0008:
        r1 = 0;
        monitor-exit(r0);	 Catch:{ all -> 0x002b }
        return r1;
    L_0x000b:
        r1 = r5.mHomeTraceHandler;	 Catch:{ all -> 0x002b }
        r2 = r5.mWindowSwitchChecker;	 Catch:{ all -> 0x002b }
        r1 = r1.hasCallbacks(r2);	 Catch:{ all -> 0x002b }
        if (r1 != 0) goto L_0x0028;
    L_0x0015:
        r1 = "InputManager";
        r2 = "Launching HOME, keep checking if the window switch";
        android.util.Slog.i(r1, r2);	 Catch:{ all -> 0x002b }
        r1 = r5.mHomeTraceHandler;	 Catch:{ all -> 0x002b }
        r2 = r5.mWindowSwitchChecker;	 Catch:{ all -> 0x002b }
        r3 = 15000; // 0x3a98 float:2.102E-41 double:7.411E-320;
        r1.postDelayed(r2, r3);	 Catch:{ all -> 0x002b }
        r1 = 5;
        r5.mHomeTraceState = r1;	 Catch:{ all -> 0x002b }
    L_0x0028:
        monitor-exit(r0);	 Catch:{ all -> 0x002b }
        r0 = 1;
        return r0;
    L_0x002b:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x002b }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.input.HwInputManagerService.startTraceHomeKey():boolean");
    }

    private void setCustomActivityControllerInternal(android.app.IActivityController controller) {
        synchronized (this.mFreezeDetectLock) {
            this.mCustomController = controller;
        }
    }

    public android.content.Context getExternalContext() {
        return this.mExternalContext;
    }

    private void setExternalContext(android.content.Context context) {
        this.mExternalContext = context;
        nativeReloadPointerIcons(this.mPtr, this.mExternalContext);
    }

    private boolean hasCustomActivityController() {
        boolean z;
        synchronized (this.mFreezeDetectLock) {
            z = this.mCustomController != null;
        }
        return z;
    }

    protected long interceptKeyBeforeDispatching(com.android.server.input.InputWindowHandle focus, android.view.KeyEvent event, int policyFlags) {
        preStartTraceHome(focus, event);
        long ret = super.interceptKeyBeforeDispatching(focus, event, policyFlags);
        postStartTraceHome(focus);
        return ret;
    }

    public void notifyNativeEvent(int eventType, int eventValue, int keyAction, int pid, int uid) {
        com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.self().processNativeEventNotify(eventType, eventValue, keyAction, pid, uid);
    }

    public boolean injectInputEventOtherScreens(android.view.InputEvent event, int mode) {
        int displayId = android.util.HwPCUtils.getPCDisplayID();
        if (displayId != 0) {
            if (displayId != -1) {
                return injectInputEventInternal(event, displayId, mode);
            }
        }
        android.util.Slog.i("InputManager", "not other screen found!");
        return false;
    }

    public static java.lang.String getAppName(android.content.Context context, int pid) {
        if (pid > 0) {
            if (context != null) {
                android.app.ActivityManager activityManager = (android.app.ActivityManager) context.getSystemService("activity");
                if (activityManager == null) {
                    return null;
                }
                java.util.List<android.app.ActivityManager.RunningAppProcessInfo> appProcesses = activityManager.getRunningAppProcesses();
                if (appProcesses != null) {
                    if (appProcesses.size() != 0) {
                        java.lang.String packageName = null;
                        for (android.app.ActivityManager.RunningAppProcessInfo appProcess : appProcesses) {
                            if (appProcess.pid == pid) {
                                packageName = appProcess.processName;
                                break;
                            }
                        }
                        return packageName;
                    }
                }
                return null;
            }
        }
        return null;
    }

    private boolean checkIsSystemApp() {
        android.content.pm.PackageManager pm = this.mContext.getPackageManager();
        if (pm == null) {
            return false;
        }
        if (pm.checkSignatures(android.os.Binder.getCallingUid(), android.os.Process.myUid()) != 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("not SIGNATURE_MATCH ....");
            stringBuilder.append(android.os.Binder.getCallingUid());
            android.util.Slog.d("InputManager", stringBuilder.toString());
            return false;
        }
        java.lang.String pckName = "";
        try {
            pckName = getAppName(this.mContext, android.os.Binder.getCallingPid());
            java.lang.StringBuilder stringBuilder2;
            if (pckName == null) {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("pckName is null ");
                stringBuilder2.append(android.os.Binder.getCallingPid());
                stringBuilder2.append(" ");
                stringBuilder2.append(android.os.Process.myUid());
                android.util.Slog.e("InputManager", stringBuilder2.toString());
                return false;
            }
            android.content.pm.ApplicationInfo info = pm.getApplicationInfo(pckName, 0);
            if (info == null || (info.flags & 1) == 0) {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("return false ");
                stringBuilder2.append(pckName);
                android.util.Slog.d("InputManager", stringBuilder2.toString());
                return false;
            }
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("return true ");
            stringBuilder3.append(pckName);
            android.util.Slog.d("InputManager", stringBuilder3.toString());
            return true;
        } catch (java.lang.Exception ex) {
            java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
            stringBuilder4.append("isSystemApp not found app");
            stringBuilder4.append(pckName);
            stringBuilder4.append("exception=");
            stringBuilder4.append(ex.toString());
            android.util.Slog.e("InputManager", stringBuilder4.toString());
            return false;
        }
    }

    private void setInputFilterEnabled() {
        synchronized (this.mInputFilterLock) {
            if (!(this.mEnableFingerSnapshot || this.mIsStartInputEventControl)) {
                if (this.mInputFilter == null) {
                    nativeSetInputFilterEnabled(this.mPtr, false);
                }
            }
            nativeSetInputFilterEnabled(this.mPtr, true);
        }
    }

    public void setInputEventStrategy(boolean isStartInputEventControl) {
        if (checkIsSystemApp() && this.mIsStartInputEventControl != isStartInputEventControl) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mIsStartInputEventControl change to:");
            stringBuilder.append(isStartInputEventControl);
            android.util.Slog.d("InputManager", stringBuilder.toString());
            this.mIsStartInputEventControl = isStartInputEventControl;
            if (isStartInputEventControl) {
                setPointerIconTypeAndKeepImpl(0, true);
                com.huawei.android.gameassist.HwGameAssistGamePad.bindService();
            } else {
                setPointerIconTypeAndKeepImpl(1000, false);
                com.huawei.android.gameassist.HwGameAssistGamePad.unbindService();
            }
            setInputFilterEnabled();
        }
    }

    public void setInputFilter(android.view.IInputFilter filter) {
        super.setInputFilter(filter);
        synchronized (this.mInputFilterLock) {
            if (filter == null) {
                try {
                    if (this.mEnableFingerSnapshot || this.mIsStartInputEventControl) {
                        nativeSetInputFilterEnabled(this.mPtr, true);
                    }
                } catch (Throwable th) {
                }
            }
        }
    }

    public void setPointerIconType(int iconId) {
        if ((this.mIsStartInputEventControl || this.mWindowManagerCallbacks.hasLighterViewInPCCastMode()) && this.mKeepCustomPointerIcon) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setPointerIconType cannot change pointer icon when lighter view above.gamepad:");
            stringBuilder.append(this.mIsStartInputEventControl);
            android.util.Slog.i("InputManager", stringBuilder.toString());
            return;
        }
        super.setPointerIconType(iconId);
    }

    public void setCustomPointerIcon(android.view.PointerIcon icon) {
        if ((this.mIsStartInputEventControl || this.mWindowManagerCallbacks.hasLighterViewInPCCastMode()) && this.mKeepCustomPointerIcon) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setCustomPointerIcon cannot change pointer icon when lighter view above.gamepad:");
            stringBuilder.append(this.mIsStartInputEventControl);
            android.util.Slog.i("InputManager", stringBuilder.toString());
            return;
        }
        super.setCustomPointerIcon(icon);
    }

    public void setPointerIconTypeAndKeepImpl(int iconId, boolean keep) {
        super.setPointerIconType(iconId);
        this.mKeepCustomPointerIcon = keep;
    }

    public void setCustomPointerIconAndKeepImpl(android.view.PointerIcon icon, boolean keep) {
        super.setCustomPointerIcon(icon);
        this.mKeepCustomPointerIcon = keep;
    }
}
