package com.android.server.input;

public final class HwInputManagerServiceEx implements com.android.server.input.IHwInputManagerServiceEx {
    public static final java.lang.String[] CALLING_PACKAGES = new java.lang.String[]{"com.baidu.input_huawei"};
    private static final java.lang.String CMD_EXE_SUCCESS = "OK";
    private static final java.lang.String CMD_INFORM_APP_CRASH = "THP_InformUserAppCrash";
    protected static final boolean DEBUG = android.util.Log.HWINFO;
    private static final java.lang.String HAS_SHOW_DIALOG = "has_show_dialog";
    private static final java.lang.String IS_TABLET = android.os.SystemProperties.get("ro.build.characteristics", "");
    private static final java.lang.String TAG = "HwInputManagerServiceEx";
    private static final int THP_HAL_DEATH_COOKIE = 1000;
    private android.app.AlertDialog mAlterSoftInputDialog = null;
    private final com.android.server.input.HwInputManagerServiceEx.Callbacks mCallbacks;
    final android.util.ArrayMap<android.os.IBinder, com.android.server.input.HwInputManagerServiceEx.ClientState> mClients = new android.util.ArrayMap();
    private final android.content.Context mContext;
    private boolean mHasShow = false;
    private com.android.server.input.IHwInputManagerInner mImsInner = null;
    private final java.lang.Object mLock = new java.lang.Object();
    private java.lang.String mResult = null;
    private final com.android.server.input.HwInputManagerServiceEx.ServiceNotification mServiceNotification = new com.android.server.input.HwInputManagerServiceEx.ServiceNotification();
    private com.android.server.input.HwInputManagerServiceEx.HALCallback mTHPCallback;
    private vendor.huawei.hardware.tp.V1_0.ITouchscreen mTPHal = null;

    private static class Callbacks extends android.os.Handler {
        private static final int MSG_THP_INPUT_EVENT = 1;
        private final android.os.RemoteCallbackList<com.huawei.android.hardware.input.IHwTHPEventListener> mCallbacks = new android.os.RemoteCallbackList();

        public Callbacks(android.os.Looper looper) {
            super(looper);
        }

        public void register(com.huawei.android.hardware.input.IHwTHPEventListener callback) {
            this.mCallbacks.register(callback);
        }

        public void unregister(com.huawei.android.hardware.input.IHwTHPEventListener callback) {
            this.mCallbacks.unregister(callback);
        }

        public void handleMessage(android.os.Message msg) {
            com.android.internal.os.SomeArgs args = msg.obj;
            int n = this.mCallbacks.beginBroadcast();
            for (int i = 0; i < n; i++) {
                try {
                    invokeCallback((com.huawei.android.hardware.input.IHwTHPEventListener) this.mCallbacks.getBroadcastItem(i), msg.what, args);
                } catch (android.os.RemoteException e) {
                }
            }
            this.mCallbacks.finishBroadcast();
            args.recycle();
        }

        private void invokeCallback(com.huawei.android.hardware.input.IHwTHPEventListener callback, int what, com.android.internal.os.SomeArgs args) throws android.os.RemoteException {
            if (what == 1) {
                callback.onHwTHPEvent(((java.lang.Integer) args.arg1).intValue());
            }
        }

        private void onHwTHPEvent(int event) {
            com.android.internal.os.SomeArgs args = com.android.internal.os.SomeArgs.obtain();
            args.arg1 = java.lang.Integer.valueOf(event);
            obtainMessage(1, args).sendToTarget();
        }
    }

    public final class ClientState extends android.os.Binder implements android.os.IBinder.DeathRecipient {
        private final android.os.IBinder mAppToken;
        private final java.util.HashMap<android.os.IBinder, com.huawei.android.hardware.input.IHwTHPEventListener> mListeners = new java.util.HashMap();
        private final int mPid = android.os.Binder.getCallingPid();
        private final int mUid = android.os.Binder.getCallingUid();

        public ClientState(android.os.IBinder appToken) {
            this.mAppToken = appToken;
            try {
                this.mAppToken.linkToDeath(this, 0);
            } catch (android.os.RemoteException e) {
            }
        }

        public void addListenerLocked(com.huawei.android.hardware.input.IHwTHPEventListener listener) {
            this.mListeners.put(listener.asBinder(), listener);
        }

        public void removeListenerLocked(com.huawei.android.hardware.input.IHwTHPEventListener listener) {
            this.mListeners.remove(listener.asBinder());
            if (this.mListeners.size() == 0) {
                closeClientsLocked();
            }
        }

        private void closeClientsLocked() {
            com.android.server.input.HwInputManagerServiceEx.this.mClients.remove(this.mAppToken);
            this.mAppToken.unlinkToDeath(this, 0);
        }

        public void binderDied() {
            java.lang.StringBuilder stringBuilder;
            synchronized (com.android.server.input.HwInputManagerServiceEx.this.mClients) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Client died: ");
                stringBuilder.append(this);
                android.util.Slog.d("HwInputManagerServiceEx", stringBuilder.toString());
                com.android.server.input.HwInputManagerServiceEx.this.mClients.remove(this.mAppToken);
                if (com.android.server.input.HwInputManagerServiceEx.this.mClients.size() == 0) {
                    com.android.server.input.HwInputManagerServiceEx.this.setTHPCallback(null);
                }
            }
            java.lang.String result = com.android.server.input.HwInputManagerServiceEx.this.runHwTHPCommand("THP_InformUserAppCrash", "");
            if ("OK".equals(result)) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("CMD_INFORM_APP_CRASH exec failed, result = ");
                stringBuilder.append(result);
                android.util.Slog.d("HwInputManagerServiceEx", stringBuilder.toString());
            }
        }

        public java.lang.String toString() {
            java.lang.StringBuilder sb = new java.lang.StringBuilder("Client: UID: ");
            sb.append(this.mUid);
            sb.append(" PID: ");
            sb.append(this.mPid);
            sb.append(" listener count: ");
            sb.append(this.mListeners.size());
            return sb.toString();
        }
    }

    final class ServiceNotification extends android.hidl.manager.V1_0.IServiceNotification.Stub {
        ServiceNotification() {
        }

        public void onRegistration(java.lang.String fqName, java.lang.String name, boolean preexisting) {
            com.android.server.input.HwInputManagerServiceEx.this.connectToHidl();
        }
    }

    final class DeathRecipient implements android.os.IHwBinder.DeathRecipient {
        DeathRecipient() {
        }

        public void serviceDied(long cookie) {
            android.util.Slog.w("HwInputManagerServiceEx", "TP service has died");
            if (cookie == 1000) {
                synchronized (com.android.server.input.HwInputManagerServiceEx.this.mLock) {
                    com.android.server.input.HwInputManagerServiceEx.this.mTPHal = null;
                }
            }
        }
    }

    private class HALCallback extends vendor.huawei.hardware.tp.V1_0.ITPCallback.Stub {
        private HALCallback() {
        }

        public void notifyTHPEvents(int event, int retval) {
            if (com.android.server.input.HwInputManagerServiceEx.DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Receive a THP event from TP driver event = ");
                stringBuilder.append(event);
                stringBuilder.append(",retval = ");
                stringBuilder.append(retval);
                android.util.Slog.i("HwInputManagerServiceEx", stringBuilder.toString());
            }
            com.android.server.input.HwInputManagerServiceEx.this.mCallbacks.onHwTHPEvent(event);
        }
    }

    public HwInputManagerServiceEx(com.android.server.input.IHwInputManagerInner ims, android.content.Context context) {
        this.mImsInner = ims;
        this.mContext = context;
        this.mTHPCallback = new com.android.server.input.HwInputManagerServiceEx.HALCallback();
        this.mCallbacks = new com.android.server.input.HwInputManagerServiceEx.Callbacks(com.android.internal.os.BackgroundThread.getHandler().getLooper());
        try {
            android.hidl.manager.V1_0.IServiceManager serviceManager = android.hidl.manager.V1_0.IServiceManager.getService();
            if (serviceManager == null || !serviceManager.registerForNotifications("vendor.huawei.hardware.tp@1.0::ITouchscreen", "", this.mServiceNotification)) {
                android.util.Slog.e("HwInputManagerServiceEx", "Failed to get serviceManager and register service start notification");
            }
            connectToHidl();
        } catch (android.os.RemoteException e) {
            android.util.Slog.e("HwInputManagerServiceEx", "Failed to register service start notification", e);
        }
    }

    /* JADX WARNING: Missing block: B:18:0x002a, code:
            android.util.Slog.i("HwInputManagerServiceEx", "Successfully connect to TP service!");
            r1 = r5.mClients;
     */
    /* JADX WARNING: Missing block: B:19:0x0033, code:
            monitor-enter(r1);
     */
    /* JADX WARNING: Missing block: B:22:0x003b, code:
            if (r5.mClients.size() < 1) goto L_0x0042;
     */
    /* JADX WARNING: Missing block: B:23:0x003d, code:
            setTHPCallback(r5.mTHPCallback);
     */
    /* JADX WARNING: Missing block: B:24:0x0042, code:
            monitor-exit(r1);
     */
    /* JADX WARNING: Missing block: B:25:0x0043, code:
            return;
     */
    private void connectToHidl() {
        /*
        r5 = this;
        r0 = r5.mLock;
        monitor-enter(r0);
        r1 = r5.mTPHal;	 Catch:{ all -> 0x0060 }
        if (r1 == 0) goto L_0x0009;
    L_0x0007:
        monitor-exit(r0);	 Catch:{ all -> 0x0060 }
        return;
    L_0x0009:
        r1 = vendor.huawei.hardware.tp.V1_0.ITouchscreen.getService();	 Catch:{ RemoteException -> 0x0047 }
        r5.mTPHal = r1;	 Catch:{ RemoteException -> 0x0047 }
        r1 = r5.mTPHal;	 Catch:{ RemoteException -> 0x0047 }
        if (r1 != 0) goto L_0x001c;
    L_0x0013:
        r1 = "HwInputManagerServiceEx";
        r2 = "Failed to get ITouchscreen service";
        android.util.Slog.e(r1, r2);	 Catch:{ RemoteException -> 0x0047 }
        monitor-exit(r0);	 Catch:{ all -> 0x0060 }
        return;
    L_0x001c:
        r1 = r5.mTPHal;	 Catch:{ RemoteException -> 0x0047 }
        r2 = new com.android.server.input.HwInputManagerServiceEx$DeathRecipient;	 Catch:{ RemoteException -> 0x0047 }
        r2.<init>();	 Catch:{ RemoteException -> 0x0047 }
        r3 = 1000; // 0x3e8 float:1.401E-42 double:4.94E-321;
        r1.linkToDeath(r2, r3);	 Catch:{ RemoteException -> 0x0047 }
        monitor-exit(r0);	 Catch:{ all -> 0x0060 }
        r0 = "HwInputManagerServiceEx";
        r1 = "Successfully connect to TP service!";
        android.util.Slog.i(r0, r1);
        r1 = r5.mClients;
        monitor-enter(r1);
        r0 = r5.mClients;	 Catch:{ all -> 0x0044 }
        r0 = r0.size();	 Catch:{ all -> 0x0044 }
        r2 = 1;
        if (r0 < r2) goto L_0x0042;
    L_0x003d:
        r0 = r5.mTHPCallback;	 Catch:{ all -> 0x0044 }
        r5.setTHPCallback(r0);	 Catch:{ all -> 0x0044 }
    L_0x0042:
        monitor-exit(r1);	 Catch:{ all -> 0x0044 }
        return;
    L_0x0044:
        r0 = move-exception;
        monitor-exit(r1);	 Catch:{ all -> 0x0044 }
        throw r0;
    L_0x0047:
        r1 = move-exception;
        r2 = "HwInputManagerServiceEx";
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0060 }
        r3.<init>();	 Catch:{ all -> 0x0060 }
        r4 = "Failed to register service start notification Exception ";
        r3.append(r4);	 Catch:{ all -> 0x0060 }
        r3.append(r1);	 Catch:{ all -> 0x0060 }
        r3 = r3.toString();	 Catch:{ all -> 0x0060 }
        android.util.Slog.e(r2, r3);	 Catch:{ all -> 0x0060 }
        monitor-exit(r0);	 Catch:{ all -> 0x0060 }
        return;
    L_0x0060:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x0060 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.input.HwInputManagerServiceEx.connectToHidl():void");
    }

    private com.android.server.input.HwInputManagerServiceEx.ClientState getClient(android.os.IBinder token) {
        com.android.server.input.HwInputManagerServiceEx.ClientState client;
        synchronized (this.mClients) {
            client = (com.android.server.input.HwInputManagerServiceEx.ClientState) this.mClients.get(token);
            if (client == null) {
                client = new com.android.server.input.HwInputManagerServiceEx.ClientState(token);
                this.mClients.put(token, client);
            }
        }
        return client;
    }

    private void enforceCallingPermission(java.lang.String packageName, int uid) {
        if (uid != 1000) {
            java.lang.StringBuilder stringBuilder;
            int i = 0;
            while (i < CALLING_PACKAGES.length) {
                if (CALLING_PACKAGES[i].equals(packageName)) {
                    try {
                        android.content.pm.ApplicationInfo appInfo = this.mContext.getPackageManager().getApplicationInfo(packageName, 0);
                        if (appInfo == null || (appInfo.flags & 1) == 0) {
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("Package : ");
                            stringBuilder.append(packageName);
                            stringBuilder.append(",uid : ");
                            stringBuilder.append(uid);
                            stringBuilder.append(" does not have permission to access THP interfaces");
                            throw new java.lang.SecurityException(stringBuilder.toString());
                        }
                        return;
                    } catch (android.content.pm.PackageManager.NameNotFoundException e) {
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append(packageName);
                        stringBuilder2.append(" not found.");
                        android.util.Slog.e("HwInputManagerServiceEx", stringBuilder2.toString());
                    }
                } else {
                    i++;
                }
            }
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Package : ");
            stringBuilder.append(packageName);
            stringBuilder.append(",uid : ");
            stringBuilder.append(uid);
            stringBuilder.append(" does not have permission to access THP interfaces");
            throw new java.lang.SecurityException(stringBuilder.toString());
        }
    }

    private java.lang.String runHwTHPCommandInternal(java.lang.String command, java.lang.String parameter) {
        java.lang.String str;
        synchronized (this.mLock) {
            this.mResult = null;
            try {
                if (this.mTPHal != null) {
                    this.mTPHal.hwTsRunCommand(command, parameter, new com.android.server.input.-$$Lambda$HwInputManagerServiceEx$yMXuC-Dz7KO20kGF8SWfRY9towg(this, command, parameter));
                } else if (DEBUG) {
                    android.util.Slog.i("HwInputManagerServiceEx", "runHwTHPCommand failed, TP service has not been initialized yet !!");
                }
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("hwTsGetCapacityInfo Exception e = ");
                stringBuilder.append(e);
                android.util.Slog.e("HwInputManagerServiceEx", stringBuilder.toString());
            }
            str = this.mResult;
        }
        return str;
    }

    public static /* synthetic */ void lambda$runHwTHPCommandInternal$0(com.android.server.input.HwInputManagerServiceEx hwInputManagerServiceEx, java.lang.String command, java.lang.String parameter, int ret, java.lang.String status) {
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("runHwTHPCommand command : ");
            stringBuilder.append(command);
            stringBuilder.append(",parameter : ");
            stringBuilder.append(parameter);
            stringBuilder.append(", ret = ");
            stringBuilder.append(ret);
            stringBuilder.append(", status = ");
            stringBuilder.append(status);
            android.util.Slog.i("HwInputManagerServiceEx", stringBuilder.toString());
        }
        hwInputManagerServiceEx.mResult = status;
    }

    public java.lang.String runHwTHPCommand(java.lang.String command, java.lang.String parameter) {
        int uid = android.os.Binder.getCallingUid();
        java.lang.String pacakgeName = this.mContext.getPackageManager().getNameForUid(uid);
        enforceCallingPermission(pacakgeName, uid);
        java.lang.StringBuilder sb = new java.lang.StringBuilder(pacakgeName);
        sb.append("#");
        sb.append(parameter);
        return runHwTHPCommandInternal(command, sb.toString());
    }

    public void registerListener(com.huawei.android.hardware.input.IHwTHPEventListener listener, android.os.IBinder iBinder) {
        int uid = android.os.Binder.getCallingUid();
        java.lang.String pkgName = this.mContext.getPackageManager().getNameForUid(uid);
        enforceCallingPermission(pkgName, uid);
        this.mCallbacks.register(listener);
        synchronized (this.mClients) {
            getClient(iBinder).addListenerLocked(listener);
            if (this.mClients.size() == 1) {
                setTHPCallback(this.mTHPCallback);
            }
        }
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("registerListener  listener = ");
            stringBuilder.append(listener.asBinder());
            stringBuilder.append(",uid = ");
            stringBuilder.append(uid);
            stringBuilder.append(",calling pkgName = ");
            stringBuilder.append(pkgName);
            android.util.Slog.i("HwInputManagerServiceEx", stringBuilder.toString());
        }
    }

    public void unregisterListener(com.huawei.android.hardware.input.IHwTHPEventListener listener, android.os.IBinder iBinder) {
        int uid = android.os.Binder.getCallingUid();
        java.lang.String pkgName = this.mContext.getPackageManager().getNameForUid(uid);
        enforceCallingPermission(pkgName, uid);
        this.mCallbacks.unregister(listener);
        synchronized (this.mClients) {
            getClient(iBinder).removeListenerLocked(listener);
            if (this.mClients.size() == 0) {
                setTHPCallback(null);
            }
        }
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("unregisterListener  listener = ");
            stringBuilder.append(listener.asBinder());
            stringBuilder.append(",uid = ");
            stringBuilder.append(uid);
            stringBuilder.append(",calling pkgName = ");
            stringBuilder.append(pkgName);
            android.util.Slog.i("HwInputManagerServiceEx", stringBuilder.toString());
        }
    }

    public void checkHasShowDismissSoftInputAlertDialog(boolean isEmpty) {
        if ("tablet".equals(IS_TABLET) && !isEmpty && !this.mHasShow) {
            boolean isInPcMode = android.util.HwPCUtils.enabledInPad() && android.util.HwPCUtils.isPcCastMode();
            if (!isInPcMode) {
                int showIme = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "show_ime_with_hard_keyboard", 0);
                int showDialog = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "has_show_dialog", 0);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("checkHasShowDismissSoftInputAlertDialog - showIme =");
                stringBuilder.append(showIme);
                stringBuilder.append("showDialog =");
                stringBuilder.append(showDialog);
                android.util.Log.i("HwInputManagerServiceEx", stringBuilder.toString());
                if (showIme == 0 && showDialog == 0) {
                    showDismissSoftInputAlertDialog(this.mContext);
                    android.provider.Settings.Secure.putInt(this.mContext.getContentResolver(), "has_show_dialog", 1);
                }
                this.mHasShow = true;
            }
        }
    }

    private void showDismissSoftInputAlertDialog(android.content.Context context) {
        android.util.Log.i("HwInputManagerServiceEx", "showDismissSoftInputAlertDialog");
        if (this.mAlterSoftInputDialog == null || !this.mAlterSoftInputDialog.isShowing()) {
            android.app.AlertDialog.Builder buider = new android.app.AlertDialog.Builder(context, 33947691);
            android.view.View view = android.view.LayoutInflater.from(buider.getContext()).inflate(34013311, null);
            if (view != null) {
                android.widget.ImageView imageView = (android.widget.ImageView) view.findViewById(34603234);
                android.widget.TextView textView = (android.widget.TextView) view.findViewById(34603232);
                if (imageView != null) {
                    if (textView != null) {
                        imageView.setImageResource(33751966);
                        textView.setText(context.getResources().getString(33686118));
                        this.mAlterSoftInputDialog = buider.setTitle(33686120).setPositiveButton(33686119, com.android.server.input.-$$Lambda$HwInputManagerServiceEx$3Xt6EEjK_GXDs03-sW6_dm0X4uo.INSTANCE).setView(view).create();
                        this.mAlterSoftInputDialog.getWindow().setType(2008);
                        this.mAlterSoftInputDialog.show();
                    }
                }
            }
        }
    }

    private void setTHPCallback(com.android.server.input.HwInputManagerServiceEx.HALCallback callback) {
        synchronized (this.mLock) {
            try {
                if (this.mTPHal != null) {
                    if (DEBUG) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("setTHPCallback hwTsSetCallback callback = ");
                        stringBuilder.append(callback);
                        android.util.Slog.i("HwInputManagerServiceEx", stringBuilder.toString());
                    }
                    this.mTPHal.hwTsSetCallback(callback);
                } else if (DEBUG) {
                    android.util.Slog.i("HwInputManagerServiceEx", "setTHPCallback failed, TP service has not been initialized yet !!");
                }
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("hwTsSetCallback Exception e = ");
                stringBuilder2.append(e);
                android.util.Slog.e("HwInputManagerServiceEx", stringBuilder2.toString());
            }
        }
    }
}
