package com.android.server.location;

public class AgpsConnectProvider implements com.android.server.location.IAgpsConnectProvider {
    private static final java.lang.String ACTION = "action";
    private static final java.lang.String ADDRESS = "address";
    private static final int CLOSE_SOCKET = 0;
    private static final int CREATE_SOCKET = 1;
    private static final java.lang.String DATA = "data";
    private static final java.lang.String DATASTATUS = "dataStatus";
    private static final boolean DEBUG = HWFLOW;
    private static final boolean DEBUGE_OVER = false;
    private static final int DEFAULT_DATASTATUS = 1;
    private static final int FINISH_DATA_CONNECT = 0;
    private static final int GPSRPC_SERVER_MPC = 1;
    private static final int GPSRPC_SERVER_NULL = 0;
    private static final int GPSRPC_SERVER_PDE = 2;
    private static final int GPS_POSITION_MODE_STANDALONE = 0;
    protected static final boolean HWFLOW;
    private static final boolean IS_CDMA_GSM = android.os.SystemProperties.get("ro.config.dsds_mode", "").equals("cdma_gsm");
    private static final boolean IS_HISI_CDMA_SUPPORTED = android.os.SystemProperties.getBoolean("ro.config.hisi_cdma_supported", false);
    private static final java.lang.String LEN = "len";
    private static final int MPC_SERVICE_ID = 1;
    private static final java.lang.String PORT = "port";
    private static final java.lang.String SERVER = "server";
    private static final int STATUS_CLOSE = 0;
    private static final int STATUS_CONNECTED = 1;
    private static final java.lang.String TAG = "AgpsConnectProvider";
    private static final java.lang.String TRIGGERMODE = "triggerMode";
    private static final int TRIGGERMODE_NI = 1;
    private static final long delaytime = 5000;
    private android.content.Context mContext;
    private com.android.server.location.AgpsConnectProvider.AgpsHandler mHandler;
    private com.android.server.location.AgpsConnectProvider.SocketThread mSocketThread;
    private android.os.HandlerThread mThread;

    private class AgpsHandler extends android.os.Handler {
        private static final long CTWAP_INTERVAL = 7200000;
        private static final java.lang.String FORBIDEN_AGPS_IN_2_HOURS_SWITCH = "forbiden_agps_in_2_hours";
        private static final int FORBIDEN_OPEN = 1;
        private static final int FORCE_START_DOING = 1;
        private static final int FORCE_START_ERROR = 2;
        private static final int FORCE_START_READY = 0;
        private static final long FORE_OPEN = 0;
        private static final long FORE_OPEN_DATA_TIMEOUT = 180000;
        private static final int MSG_CHECK_CONNECT = 100;
        private static final int MSG_CONTROL_SOCKET_CONNECT = 101;
        private static final int MSG_FORE_OPEN_DATA_SUCCESS = 105;
        private static final int MSG_FORE_OPEN_DATA_TIMEOUT = 104;
        private static final int MSG_HANDLE_SOCKET = 102;
        private static final int MSG_INIT = 103;
        private static final int RESULT_CONNECTED = 1;
        private static final int RESULT_IDLE = 0;
        private static final int SOCKET_MODE = 1;
        private long mLastMsgTime = java.lang.System.currentTimeMillis();
        private long mLastSwitchTime = 0;
        private com.android.server.location.AgpsConnectProvider.AgpsHandler.ConnectivityBroadcastReceiver mReceiver;
        private java.net.Socket mSocketMPC;
        private java.net.Socket mSocketPDE;

        private class ConnectivityBroadcastReceiver extends android.content.BroadcastReceiver {
            private ConnectivityBroadcastReceiver() {
            }

            /* synthetic */ ConnectivityBroadcastReceiver(com.android.server.location.AgpsConnectProvider.AgpsHandler x0, com.android.server.location.AgpsConnectProvider.AnonymousClass1 x1) {
                this();
            }

            public void onReceive(android.content.Context context, android.content.Intent intent) {
                java.lang.String action = intent.getAction();
                if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("ConnectivityBroadcastReceiver.onReceive() action: ");
                    stringBuilder.append(action);
                    android.util.Log.w("AgpsConnectProvider", stringBuilder.toString());
                }
                if ("android.net.conn.CONNECTIVITY_CHANGE".equals(action) || "android.net.conn.CONNECTIVITY_CHANGE_SUPL".equals(action)) {
                    android.net.ConnectivityManager cm = (android.net.ConnectivityManager) com.android.server.location.AgpsConnectProvider.this.mContext.getSystemService("connectivity");
                    if (cm != null) {
                        android.net.NetworkInfo suplNetworkInfo = cm.getNetworkInfo(3);
                        if (suplNetworkInfo == null) {
                            if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                                android.util.Log.v("AgpsConnectProvider", "suplNetworkInfo is null");
                            }
                            return;
                        }
                        if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append(" ConnectivityBroadcastReceiver.onReceive()");
                            stringBuilder2.append(suplNetworkInfo);
                            android.util.Log.v("AgpsConnectProvider", stringBuilder2.toString());
                        }
                        if (!suplNetworkInfo.isAvailable()) {
                            android.util.Log.d("AgpsConnectProvider", "net not available");
                            return;
                        } else if (suplNetworkInfo.getType() != 3) {
                            if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                                android.util.Log.v("AgpsConnectProvider", "   type is not TYPE_MOBILE_SUPL");
                            }
                            if ("2GVoiceCallEnded".equals(suplNetworkInfo.getReason())) {
                                if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                                    android.util.Log.v("AgpsConnectProvider", "   reason is 2GVoiceCallEnded, retrying SUPL connectivity");
                                }
                                com.android.server.location.AgpsConnectProvider.AgpsHandler.this.renewSuplConnectivity();
                            }
                            return;
                        } else if (suplNetworkInfo.isConnected()) {
                            android.os.Message msg = new android.os.Message();
                            msg.what = 105;
                            com.android.server.location.AgpsConnectProvider.this.mHandler.sendMessage(msg);
                            return;
                        } else {
                            if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                                android.util.Log.v("AgpsConnectProvider", "   TYPE_MOBILE_SUPL not connected");
                            }
                            if (suplNetworkInfo.isAvailable()) {
                                if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                                    android.util.Log.v("AgpsConnectProvider", "   retrying  connectivity for it's available");
                                }
                                com.android.server.location.AgpsConnectProvider.AgpsHandler.this.renewSuplConnectivity();
                            }
                            return;
                        }
                    }
                    if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                        android.util.Log.v("AgpsConnectProvider", "ConnectivityManager is null");
                    }
                    return;
                }
                android.util.Log.w("AgpsConnectProvider", "ConnectivityBroadcastReceiver.onReceive() NULL action ");
            }
        }

        AgpsHandler(android.os.Looper looper) {
            super(looper);
        }

        public void handleMessage(android.os.Message msg) {
            if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("handleMessage msg is : ");
                stringBuilder.append(msg.what);
                android.util.Log.d("AgpsConnectProvider", stringBuilder.toString());
            }
            if (com.android.server.location.AgpsConnectProvider.IS_HISI_CDMA_SUPPORTED) {
                long intervalTime = java.lang.System.currentTimeMillis() - this.mLastMsgTime;
                if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("interval between msg is ");
                    stringBuilder2.append(intervalTime);
                    android.util.Log.d("AgpsConnectProvider", stringBuilder2.toString());
                }
                if (intervalTime < 50) {
                    long delayedTime = 50 - intervalTime;
                    if (delayedTime > 50) {
                        delayedTime = 50;
                    }
                    try {
                        java.lang.Thread.sleep(delayedTime);
                    } catch (java.lang.Exception e) {
                    }
                }
                this.mLastMsgTime = java.lang.System.currentTimeMillis();
            }
            switch (msg.what) {
                case 100:
                    handleCheckConnect(msg.getData());
                    return;
                case 101:
                    android.util.Log.d("AgpsConnectProvider", "enter case MSG_CONTROL_SOCKET_CONNECT:");
                    handleControlSocketConnet(msg.getData());
                    return;
                case 102:
                    handleSocketCommunication(msg.getData());
                    return;
                case 103:
                    new java.lang.Thread(new java.lang.Runnable() {
                        public void run() {
                            com.android.server.location.AgpsConnectProvider.AgpsHandler.this.handleInit();
                        }
                    }).start();
                    return;
                case 104:
                    handleForeOpenDataTimeout();
                    return;
                case 105:
                    handleForeOpenDataSuccess();
                    return;
                default:
                    return;
            }
        }

        private void handleInit() {
            if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                android.util.Log.d("AgpsConnectProvider", "handle init obj");
            }
            com.android.server.location.AgpsConnectProvider.start_socket();
        }

        private void handleSocketCommunication(android.os.Bundle data) {
            int server = data.getInt("server");
            if (server == 1) {
                if (this.mSocketMPC == null) {
                    android.util.Log.w("AgpsConnectProvider", "mSocketMPC == null");
                    com.android.server.location.AgpsConnectProvider.this.native_agps_sock_status(server, 0);
                    return;
                }
                android.util.Log.d("AgpsConnectProvider", "Create MPC_SERVICE SocketThread");
                com.android.server.location.AgpsConnectProvider.this.mSocketThread = new com.android.server.location.AgpsConnectProvider.SocketThread(this.mSocketMPC, data);
            } else if (this.mSocketPDE == null) {
                android.util.Log.w("AgpsConnectProvider", "mSocketPDE == null");
                com.android.server.location.AgpsConnectProvider.this.native_agps_sock_status(server, 0);
                return;
            } else {
                android.util.Log.d("AgpsConnectProvider", "Create PDE_SERVICE SocketThread");
                com.android.server.location.AgpsConnectProvider.this.mSocketThread = new com.android.server.location.AgpsConnectProvider.SocketThread(this.mSocketPDE, data);
            }
            com.android.server.location.AgpsConnectProvider.this.mSocketThread.start();
        }

        private void handleControlSocketConnet(android.os.Bundle data) {
            android.util.Log.d("AgpsConnectProvider", "enter handleControlSocketConnet");
            int server = data.getInt("server");
            int action = data.getInt("action");
            java.lang.String address = data.getString("address");
            int port = data.getInt("port");
            java.lang.StringBuilder stringBuilder;
            java.lang.StringBuilder stringBuilder2;
            if (action == 1) {
                if (startConnection(address, port, server)) {
                    if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("Connect success, address :");
                        stringBuilder.append(address);
                        stringBuilder.append(" ,port: ");
                        stringBuilder.append(port);
                        android.util.Log.d("AgpsConnectProvider", stringBuilder.toString());
                    }
                    com.android.server.location.AgpsConnectProvider.this.native_agps_sock_status(server, 1);
                    return;
                }
                com.android.server.location.AgpsConnectProvider.this.native_agps_sock_status(server, 0);
                if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("Connect fail, address :");
                    stringBuilder2.append(address);
                    stringBuilder2.append(" ,port: ");
                    stringBuilder2.append(port);
                    android.util.Log.d("AgpsConnectProvider", stringBuilder2.toString());
                }
            } else if (action == 0) {
                if (server == 1) {
                    try {
                        android.util.Log.d("AgpsConnectProvider", "Close MPC_SERVICE");
                        if (this.mSocketMPC != null) {
                            this.mSocketMPC.close();
                            this.mSocketMPC = null;
                        }
                    } catch (java.io.IOException e) {
                        android.util.Log.e("AgpsConnectProvider", "close socket IOException");
                    }
                } else {
                    android.util.Log.d("AgpsConnectProvider", "Close PDE_SERVICE");
                    if (this.mSocketPDE != null) {
                        this.mSocketPDE.close();
                        this.mSocketPDE = null;
                    }
                }
                if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("native_agps_sock_status, server ");
                    stringBuilder.append(server);
                    stringBuilder.append(" ,status  ");
                    stringBuilder.append(0);
                    android.util.Log.d("AgpsConnectProvider", stringBuilder.toString());
                }
                com.android.server.location.AgpsConnectProvider.this.native_agps_sock_status(server, 0);
            } else if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("error action:");
                stringBuilder2.append(action);
                android.util.Log.e("AgpsConnectProvider", stringBuilder2.toString());
            }
        }

        private boolean startConnection(java.lang.String address, int port, int server) {
            java.net.Socket socket = null;
            int retryNum = 1;
            addRoute(address);
            while (socket == null) {
                if (retryNum > 2) {
                    android.util.Log.d("AgpsConnectProvider", "socket is null!");
                    return false;
                }
                try {
                    android.util.Log.d("AgpsConnectProvider", "create new Socket");
                    socket = new java.net.Socket();
                    socket.connect(new java.net.InetSocketAddress(address, port), 15000);
                } catch (java.net.UnknownHostException e) {
                    android.util.Log.e("AgpsConnectProvider", "UnknownHostException");
                } catch (java.io.IOException e2) {
                    e2.printStackTrace();
                } catch (java.lang.Exception e3) {
                    e3.printStackTrace();
                }
                if (!(socket == null || socket.isConnected())) {
                    try {
                        socket.close();
                    } catch (java.io.IOException e4) {
                        android.util.Log.e("AgpsConnectProvider", "close socket IOException");
                    }
                    socket = null;
                    if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("Connect fail ");
                        stringBuilder.append(retryNum);
                        android.util.Log.d("AgpsConnectProvider", stringBuilder.toString());
                    }
                }
                retryNum++;
            }
            if (server == 1) {
                android.util.Log.d("AgpsConnectProvider", "Create MPC_SERVICE");
                this.mSocketMPC = socket;
            } else {
                android.util.Log.d("AgpsConnectProvider", "Create PDE_SERVICE");
                this.mSocketPDE = socket;
            }
            return true;
        }

        private void addRoute(java.lang.String address) {
            try {
                if (!((android.net.ConnectivityManager) com.android.server.location.AgpsConnectProvider.this.mContext.getSystemService("connectivity")).requestRouteToHostAddress(3, java.net.InetAddress.getByName(address))) {
                    android.util.Log.d("AgpsConnectProvider", "add roater, fail");
                }
            } catch (java.lang.Exception e) {
                android.util.Log.e("AgpsConnectProvider", "add Route Exception");
            }
        }

        private void handleForeOpenDataTimeout() {
            com.android.server.location.AgpsConnectProvider.this.native_agps_data_conn_status(0);
            if (this.mReceiver != null) {
                com.android.server.location.AgpsConnectProvider.this.mContext.unregisterReceiver(this.mReceiver);
                this.mReceiver = null;
            }
        }

        private void handleForeOpenDataSuccess() {
            if (this.mReceiver != null) {
                com.android.server.location.AgpsConnectProvider.this.mContext.unregisterReceiver(this.mReceiver);
                this.mReceiver = null;
            }
            com.android.server.location.AgpsConnectProvider.this.native_agps_data_conn_status(1);
            com.android.server.location.AgpsConnectProvider.this.mHandler.removeMessages(104);
        }

        private int forceOpenData(android.net.ConnectivityManager cm) {
            int result = cm.startUsingNetworkFeature(0, "enableSUPL");
            if (result == 0) {
                if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                    android.util.Log.d("AgpsConnectProvider", "PhoneConstants.APN_ALREADY_ACTIVE");
                }
                return 0;
            } else if (result == 1) {
                if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                    android.util.Log.d("AgpsConnectProvider", "PhoneConstants.APN_REQUEST_STARTED");
                }
                return 1;
            } else {
                if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("startUsingNetworkFeature failed, value is ");
                    stringBuilder.append(result);
                    android.util.Log.d("AgpsConnectProvider", stringBuilder.toString());
                }
                return 2;
            }
        }

        private void handleCheckConnect(android.os.Bundle data) {
            int triggerMode = data.getInt("triggerMode");
            int dataStatus = data.getInt("dataStatus");
            android.net.ConnectivityManager cm = (android.net.ConnectivityManager) com.android.server.location.AgpsConnectProvider.this.mContext.getSystemService("connectivity");
            if (cm != null) {
                if (dataStatus == 0) {
                    cm.stopUsingNetworkFeature(0, "enableSUPL");
                    if (1 == android.provider.Settings.System.getInt(com.android.server.location.AgpsConnectProvider.this.mContext.getContentResolver(), "forbiden_agps_in_2_hours", 1)) {
                        this.mLastSwitchTime = java.lang.System.currentTimeMillis();
                    }
                    android.util.Log.d("AgpsConnectProvider", "Close data call ,call stopUsingNetworkFeature");
                    return;
                }
                boolean isConnect = false;
                android.net.NetworkInfo networkInfo = cm.getNetworkInfo(0);
                if (networkInfo != null) {
                    isConnect = networkInfo.isConnected();
                }
                if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("isConnect = ");
                    stringBuilder.append(isConnect);
                    android.util.Log.d("AgpsConnectProvider", stringBuilder.toString());
                }
                if (isConnect || triggerMode == 1) {
                    boolean isCdmaType = false;
                    try {
                        isCdmaType = 2 == android.telephony.TelephonyManager.getDefault().getCurrentPhoneType(android.provider.Settings.Global.getInt(com.android.server.location.AgpsConnectProvider.this.mContext.getContentResolver(), "multi_sim_data_call", 0));
                        if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("isCdmaType = ");
                            stringBuilder2.append(isCdmaType);
                            android.util.Log.d("AgpsConnectProvider", stringBuilder2.toString());
                        }
                    } catch (java.lang.Exception e) {
                        android.util.Log.e("AgpsConnectProvider", "get cdmatype exception");
                    }
                    if (triggerMode != 1 && isConnect && !isCdmaType) {
                        com.android.server.location.AgpsConnectProvider.this.native_agps_data_conn_status(0);
                        return;
                    } else if (1 != android.provider.Settings.System.getInt(com.android.server.location.AgpsConnectProvider.this.mContext.getContentResolver(), "forbiden_agps_in_2_hours", 1) || triggerMode == 1 || this.mLastSwitchTime == 0 || java.lang.System.currentTimeMillis() - this.mLastSwitchTime >= 7200000) {
                        int feature = forceOpenData((android.net.ConnectivityManager) com.android.server.location.AgpsConnectProvider.this.mContext.getSystemService("connectivity"));
                        if (feature == 0) {
                            com.android.server.location.AgpsConnectProvider.this.native_agps_data_conn_status(1);
                        } else if (feature == 1) {
                            startReceiver();
                            android.os.Message msg = new android.os.Message();
                            msg.what = 104;
                            com.android.server.location.AgpsConnectProvider.this.mHandler.sendMessageDelayed(msg, 180000);
                        } else {
                            com.android.server.location.AgpsConnectProvider.this.native_agps_data_conn_status(0);
                        }
                        return;
                    } else {
                        android.util.Log.d("AgpsConnectProvider", "forbidden");
                        com.android.server.location.AgpsConnectProvider.this.native_agps_data_conn_status(0);
                        return;
                    }
                }
                com.android.server.location.AgpsConnectProvider.this.native_agps_data_conn_status(0);
            }
        }

        private void startReceiver() {
            if (this.mReceiver != null) {
                com.android.server.location.AgpsConnectProvider.this.mContext.unregisterReceiver(this.mReceiver);
                this.mReceiver = null;
            }
            this.mReceiver = new com.android.server.location.AgpsConnectProvider.AgpsHandler.ConnectivityBroadcastReceiver(this, null);
            android.content.IntentFilter intentFilter = new android.content.IntentFilter();
            intentFilter.addAction("android.net.conn.CONNECTIVITY_CHANGE");
            intentFilter.addAction("android.net.conn.CONNECTIVITY_CHANGE_SUPL");
            com.android.server.location.AgpsConnectProvider.this.mContext.registerReceiver(this.mReceiver, intentFilter);
        }

        private void renewSuplConnectivity() {
            if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                android.util.Log.v("AgpsConnectProvider", "renewSuplConnectivity");
            }
            int feature = forceOpenData((android.net.ConnectivityManager) com.android.server.location.AgpsConnectProvider.this.mContext.getSystemService("connectivity"));
            if (feature == 0) {
                com.android.server.location.AgpsConnectProvider.this.native_agps_data_conn_status(1);
            } else if (feature == 1) {
                if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                    android.util.Log.v("AgpsConnectProvider", "   FORCE_START_DOING");
                }
                return;
            } else {
                com.android.server.location.AgpsConnectProvider.this.native_agps_data_conn_status(0);
            }
            com.android.server.location.AgpsConnectProvider.this.mHandler.removeMessages(104);
            if (this.mReceiver != null) {
                com.android.server.location.AgpsConnectProvider.this.mContext.unregisterReceiver(this.mReceiver);
                this.mReceiver = null;
            }
        }
    }

    private class SocketThread extends java.lang.Thread {
        byte[] mBytes;
        int mServer;
        private java.net.Socket mSocket;

        public SocketThread(java.net.Socket socket, android.os.Bundle data) {
            this.mSocket = socket;
            this.mServer = data.getInt("server");
            this.mBytes = data.getByteArray("data");
        }

        public void run() {
            try {
                this.mSocket.setSoTimeout(10000);
                java.io.OutputStream ops = this.mSocket.getOutputStream();
                ops.write(this.mBytes);
                ops.flush();
                java.io.InputStream ips = this.mSocket.getInputStream();
                byte[] oBytes = new byte[1460];
                int readlen = 1;
                while (readlen > 0) {
                    readlen = ips.read(oBytes);
                    if (com.android.server.location.AgpsConnectProvider.DEBUG) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("readlen is = ");
                        stringBuilder.append(readlen);
                        stringBuilder.append(" ,oBytes.length is ");
                        stringBuilder.append(oBytes.length);
                        android.util.Log.d("AgpsConnectProvider", stringBuilder.toString());
                    }
                    if (readlen > 0) {
                        com.android.server.location.AgpsConnectProvider.this.native_agps_sock_data(this.mServer, oBytes, readlen);
                    }
                }
            } catch (java.io.IOException e) {
                android.util.Log.d("AgpsConnectProvider", "read/write time out,force to close socket,not exception");
            }
        }
    }

    private static native void class_init_native();

    private native void init_native_gpsrpc_object();

    private native int native_agps_data_conn_status(int i);

    private native int native_agps_sock_data(int i, byte[] bArr, int i2);

    private native int native_agps_sock_status(int i, int i2);

    private static native void start_socket();

    static {
        boolean z;
        if (!android.util.Log.HWINFO) {
            if (!android.util.Log.HWModuleLog || !android.util.Log.isLoggable("AgpsConnectProvider", 4)) {
                z = false;
                HWFLOW = z;
                android.util.Log.d("AgpsConnectProvider", "load library ");
                class_init_native();
            }
        }
        z = true;
        HWFLOW = z;
        android.util.Log.d("AgpsConnectProvider", "load library ");
        class_init_native();
    }

    public AgpsConnectProvider(android.content.Context context) {
        if (DEBUG) {
            android.util.Log.d("AgpsConnectProvider", "AgpsConnectProvider init");
        }
        this.mContext = context;
        init_native_gpsrpc_object();
        this.mThread = new android.os.HandlerThread("AgpsConnectProvider");
        this.mThread.start();
        this.mHandler = new com.android.server.location.AgpsConnectProvider.AgpsHandler(this.mThread.getLooper());
        android.os.Message msg = new android.os.Message();
        msg.what = 103;
        this.mHandler.sendMessage(msg);
        if (DEBUG) {
            android.util.Log.d("AgpsConnectProvider", "send msg to handle init");
        }
        checkGpsEnable();
    }

    private void checkDataConnect(int triggerMode, int dataStatus) {
        android.os.Message msg = new android.os.Message();
        msg.what = 100;
        android.os.Bundle bundle = new android.os.Bundle();
        bundle.putInt("triggerMode", triggerMode);
        bundle.putInt("dataStatus", dataStatus);
        msg.setData(bundle);
        this.mHandler.sendMessage(msg);
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("enter checkDataConnect,triggerMode = ");
            stringBuilder.append(triggerMode);
            stringBuilder.append(" ,dataStatus = ");
            stringBuilder.append(dataStatus);
            android.util.Log.d("AgpsConnectProvider", stringBuilder.toString());
        }
    }

    private void jnitest() {
        android.util.Log.e("AgpsConnectProvider", "jni test callback success!");
    }

    private void controlSocketConnect(int server, int action, java.lang.String address, int port) {
        android.os.Message msg = new android.os.Message();
        msg.what = 101;
        android.os.Bundle bundle = new android.os.Bundle();
        bundle.putInt("server", server);
        bundle.putInt("action", action);
        bundle.putString("address", address);
        bundle.putInt("port", port);
        msg.setData(bundle);
        this.mHandler.sendMessage(msg);
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("controlSocketConnect,server = ");
            stringBuilder.append(server);
            stringBuilder.append(" ,action = ");
            stringBuilder.append(action);
            stringBuilder.append(" ,address = ");
            stringBuilder.append(address);
            stringBuilder.append(" ,port = ");
            stringBuilder.append(port);
            android.util.Log.d("AgpsConnectProvider", stringBuilder.toString());
        }
    }

    private void handleSocket(int server, byte[] data, int len) {
        android.os.Message msg = new android.os.Message();
        msg.what = 102;
        android.os.Bundle bundle = new android.os.Bundle();
        bundle.putInt("server", server);
        bundle.putByteArray("data", data);
        bundle.putInt("len", len);
        msg.setData(bundle);
        this.mHandler.sendMessage(msg);
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("handleSocket,server = ");
            stringBuilder.append(server);
            stringBuilder.append(" ,len = ");
            stringBuilder.append(len);
            android.util.Log.d("AgpsConnectProvider", stringBuilder.toString());
        }
    }

    public static com.android.server.location.AgpsConnectProvider createAgpsConnectProvider(android.content.Context context) {
        if (!IS_CDMA_GSM) {
            if (!IS_HISI_CDMA_SUPPORTED) {
                return null;
            }
        }
        return new com.android.server.location.AgpsConnectProvider(context);
    }

    private void checkGpsEnable() {
        this.mContext.getContentResolver().registerContentObserver(android.provider.Settings.Secure.getUriFor("location_providers_allowed"), true, new android.database.ContentObserver(this.mHandler) {
            public void onChange(boolean selfChange) {
                if (android.provider.Settings.Secure.isLocationProviderEnabled(com.android.server.location.AgpsConnectProvider.this.mContext.getContentResolver(), "gps")) {
                    android.os.SystemProperties.set("sys.gps_provider_enabled", "true");
                } else {
                    android.os.SystemProperties.set("sys.gps_provider_enabled", "false");
                }
            }
        }, -1);
        if (android.provider.Settings.Secure.isLocationProviderEnabled(this.mContext.getContentResolver(), "gps")) {
            android.os.SystemProperties.set("sys.gps_provider_enabled", "true");
        } else {
            android.os.SystemProperties.set("sys.gps_provider_enabled", "false");
        }
    }

    public int setPostionMode(int oldPositionMode, android.content.Context context) {
        if (!IS_CDMA_GSM || android.provider.Settings.Secure.isLocationProviderEnabled(context.getContentResolver(), "network")) {
            return oldPositionMode;
        }
        android.util.Log.d("AgpsConnectProvider", "set GPS_POSITION_MODE_STANDALONE");
        return 0;
    }
}
