package com.android.server.location;

public class HwGeocoderProxy extends com.android.server.location.GeocoderProxy {
    private static final int NLP_AB = 2;
    private static final int NLP_GOOGLE = 1;
    private static final int NLP_NONE = 0;
    private static final java.lang.String SERVICE_ACTION = "com.android.location.service.GeocodeProvider";
    private static final java.lang.String TAG = "HwGeocoderProxy";
    private static com.android.server.ServiceWatcherUtils mServiceWatcherUtils = ((com.android.server.ServiceWatcherUtils) com.huawei.utils.reflect.EasyInvokeFactory.getInvokeUtils(com.android.server.ServiceWatcherUtils.class));
    private java.lang.String ab_nlp_pkName = android.os.SystemProperties.get("ro.config.hw_nlp", "com.baidu.map.location");
    private java.lang.String google_nlp_pkName = "com.google.android.gms";
    private boolean isDualNlpAlive;
    private final android.content.Context mContext;
    private java.lang.Object mLock = new java.lang.Object();
    private int mNlpUsed = 0;
    private boolean mPMAbRegisted = false;
    private boolean mPMGoogleRegisted = false;
    private final com.android.internal.content.PackageMonitor mPackageMonitorAb = new com.android.internal.content.PackageMonitor() {
        public boolean onPackageChanged(java.lang.String packageName, int uid, java.lang.String[] components) {
            synchronized (com.android.server.location.HwGeocoderProxy.this.mLock) {
                if (packageName.equals(com.android.server.location.HwGeocoderProxy.this.ab_nlp_pkName)) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("rebind onPackageChanged packageName : ");
                    stringBuilder.append(packageName);
                    android.util.Log.d("HwGeocoderProxy", stringBuilder.toString());
                    if (!(com.android.server.location.HwGeocoderProxy.this.start_ab || com.android.server.location.HwGeocoderProxy.this.mServiceWatcherAb == null)) {
                        com.android.server.location.HwGeocoderProxy.this.start_ab = com.android.server.location.HwGeocoderProxy.this.mServiceWatcherAb.start();
                        com.android.server.location.HwGeocoderProxy hwGeocoderProxy = com.android.server.location.HwGeocoderProxy.this;
                        boolean z = com.android.server.location.HwGeocoderProxy.this.start_g && com.android.server.location.HwGeocoderProxy.this.start_ab;
                        hwGeocoderProxy.isDualNlpAlive = z;
                    }
                }
            }
            return super.onPackageChanged(packageName, uid, components);
        }
    };
    private final com.android.internal.content.PackageMonitor mPackageMonitorGoogle = new com.android.internal.content.PackageMonitor() {
        public boolean onPackageChanged(java.lang.String packageName, int uid, java.lang.String[] components) {
            synchronized (com.android.server.location.HwGeocoderProxy.this.mLock) {
                if (packageName.equals(com.android.server.location.HwGeocoderProxy.this.google_nlp_pkName)) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("rebind onPackageChanged packageName : ");
                    stringBuilder.append(packageName);
                    android.util.Log.d("HwGeocoderProxy", stringBuilder.toString());
                    if (!(com.android.server.location.HwGeocoderProxy.this.start_g || com.android.server.location.HwGeocoderProxy.this.mServiceWatcherGoogle == null)) {
                        com.android.server.location.HwGeocoderProxy.this.start_g = com.android.server.location.HwGeocoderProxy.this.mServiceWatcherGoogle.start();
                        com.android.server.location.HwGeocoderProxy hwGeocoderProxy = com.android.server.location.HwGeocoderProxy.this;
                        boolean z = com.android.server.location.HwGeocoderProxy.this.start_g && com.android.server.location.HwGeocoderProxy.this.start_ab;
                        hwGeocoderProxy.isDualNlpAlive = z;
                    }
                }
            }
            return super.onPackageChanged(packageName, uid, components);
        }
    };
    private android.telephony.PhoneStateListener mPhoneStateListener;
    private final com.android.server.ServiceWatcher mServiceWatcherAb;
    private final com.android.server.ServiceWatcher mServiceWatcherGoogle;
    private android.telephony.TelephonyManager mTelephonyManager;
    private boolean start_ab;
    private boolean start_g;

    public static com.android.server.location.HwGeocoderProxy createAndBind(android.content.Context context, int overlaySwitchResId, int defaultServicePackageNameResId, int initialPackageNamesResId, android.os.Handler handler) {
        com.android.server.location.HwGeocoderProxy proxy = new com.android.server.location.HwGeocoderProxy(context, overlaySwitchResId, defaultServicePackageNameResId, initialPackageNamesResId, handler);
        if (proxy.bind()) {
            return proxy;
        }
        return null;
    }

    private com.android.server.ServiceWatcher serviceWatcherCreate(int nlp, int overlaySwitchResId, int defaultServicePackageNameResId, int initialPackageNamesResId, android.os.Handler handler) {
        java.lang.String servicePackageName;
        java.util.ArrayList<java.lang.String> initialPackageNames = new java.util.ArrayList();
        if (nlp == 1) {
            servicePackageName = this.google_nlp_pkName;
        } else {
            servicePackageName = this.ab_nlp_pkName;
        }
        initialPackageNames.add(servicePackageName);
        java.util.ArrayList<java.util.HashSet<android.content.pm.Signature>> signatureSets = com.android.server.ServiceWatcher.getSignatureSets(this.mContext, initialPackageNames);
        com.android.server.ServiceWatcher serviceWatcher = new com.android.server.ServiceWatcher(this.mContext, "HwGeocoderProxy", "com.android.location.service.GeocodeProvider", overlaySwitchResId, defaultServicePackageNameResId, initialPackageNamesResId, null, handler);
        mServiceWatcherUtils.setServicePackageName(serviceWatcher, servicePackageName);
        mServiceWatcherUtils.setSignatureSets(serviceWatcher, signatureSets);
        return serviceWatcher;
    }

    public HwGeocoderProxy(android.content.Context context, int overlaySwitchResId, int defaultServicePackageNameResId, int initialPackageNamesResId, android.os.Handler handler) {
        super(context);
        this.mContext = context;
        int i = overlaySwitchResId;
        int i2 = defaultServicePackageNameResId;
        int i3 = initialPackageNamesResId;
        android.os.Handler handler2 = handler;
        this.mServiceWatcherGoogle = serviceWatcherCreate(1, i, i2, i3, handler2);
        this.mServiceWatcherAb = serviceWatcherCreate(2, i, i2, i3, handler2);
    }

    private boolean bind() {
        if (this.mServiceWatcherAb != null && com.android.server.location.HwMultiNlpPolicy.isChineseVersion()) {
            this.start_ab = this.mServiceWatcherAb.start();
            if (!this.start_ab) {
                this.mPMAbRegisted = true;
                this.mPackageMonitorAb.register(this.mContext, null, android.os.UserHandle.ALL, true);
            }
        }
        if (!(this.mServiceWatcherGoogle == null || com.android.server.location.HwMultiNlpPolicy.isChineseVersion())) {
            this.start_g = this.mServiceWatcherGoogle.start();
            if (!this.start_g) {
                this.mPMGoogleRegisted = true;
                this.mPackageMonitorGoogle.register(this.mContext, null, android.os.UserHandle.ALL, true);
            }
        }
        registerPhoneStateListener();
        boolean z = this.start_ab && this.start_g;
        this.isDualNlpAlive = z;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mNlp:start_g ");
        stringBuilder.append(this.start_g);
        stringBuilder.append(" , start_ab ");
        stringBuilder.append(this.start_ab);
        android.util.Log.d("HwGeocoderProxy", stringBuilder.toString());
        if (!this.start_g) {
            if (!this.start_ab) {
                return false;
            }
        }
        return true;
    }

    private void registerPhoneStateListener() {
        this.mPhoneStateListener = new android.telephony.PhoneStateListener() {
            public void onServiceStateChanged(android.telephony.ServiceState state) {
                if (state != null) {
                    java.lang.String numeric = state.getOperatorNumeric();
                    if (numeric != null && numeric.length() >= 5 && numeric.substring(0, 5).equals("99999")) {
                        return;
                    }
                    if (numeric != null && numeric.length() >= 3 && numeric.substring(0, 3).equals("460")) {
                        com.android.server.location.HwGeocoderProxy.this.abNlpBind();
                    } else if (numeric != null && !numeric.equals("")) {
                        com.android.server.location.HwGeocoderProxy.this.googleNlpBind();
                    }
                }
            }
        };
        this.mTelephonyManager = (android.telephony.TelephonyManager) this.mContext.getSystemService("phone");
        this.mTelephonyManager.listen(this.mPhoneStateListener, 1);
    }

    private void abNlpBind() {
        if (!this.start_ab && !this.mPMAbRegisted && this.mServiceWatcherAb != null) {
            this.start_ab = this.mServiceWatcherAb.start();
            boolean z = true;
            if (!(this.start_ab || this.mPMAbRegisted)) {
                this.mPMAbRegisted = true;
                this.mPackageMonitorAb.register(this.mContext, null, android.os.UserHandle.ALL, true);
            }
            if (!this.start_g || !this.start_ab) {
                z = false;
            }
            this.isDualNlpAlive = z;
        }
    }

    private void googleNlpBind() {
        if (!this.start_g && !this.mPMGoogleRegisted && this.mServiceWatcherGoogle != null) {
            this.start_g = this.mServiceWatcherGoogle.start();
            boolean z = true;
            if (!(this.start_g || this.mPMGoogleRegisted)) {
                this.mPMGoogleRegisted = true;
                this.mPackageMonitorGoogle.register(this.mContext, null, android.os.UserHandle.ALL, true);
            }
            if (!this.start_g || !this.start_ab) {
                z = false;
            }
            this.isDualNlpAlive = z;
        }
    }

    private android.location.IGeocodeProvider getServiceGoogle() {
        return android.location.IGeocodeProvider.Stub.asInterface(this.mServiceWatcherGoogle.getBinder());
    }

    private android.location.IGeocodeProvider getServiceAb() {
        return android.location.IGeocodeProvider.Stub.asInterface(this.mServiceWatcherAb.getBinder());
    }

    private android.location.IGeocodeProvider getService() {
        if (this.isDualNlpAlive) {
            if (this.mNlpUsed == 0) {
                if (com.android.server.location.HwMultiNlpPolicy.getDefault().shouldUseGoogleNLP(false)) {
                    this.mNlpUsed = 1;
                    return getServiceGoogle();
                }
                this.mNlpUsed = 2;
                return getServiceAb();
            } else if (this.mNlpUsed == 1) {
                return getServiceGoogle();
            } else {
                if (this.mNlpUsed == 2) {
                    return getServiceAb();
                }
                android.util.Log.d("HwGeocoderProxy", "should not be here.");
                return null;
            }
        } else if (this.start_g) {
            return getServiceGoogle();
        } else {
            if (this.start_ab) {
                return getServiceAb();
            }
            android.util.Log.d("HwGeocoderProxy", "no service.");
            return null;
        }
    }

    public java.lang.String getConnectedPackageName() {
        if (this.start_g && this.start_ab) {
            if (this.mServiceWatcherGoogle.getBestPackageName() == null) {
                return this.mServiceWatcherAb.getBestPackageName();
            }
            if (this.mServiceWatcherAb.getBestPackageName() == null) {
                return this.mServiceWatcherGoogle.getBestPackageName();
            }
            java.lang.StringBuilder stringBuilder;
            if (this.mNlpUsed == 1) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(this.mServiceWatcherGoogle.getBestPackageName());
                stringBuilder.append(";");
                stringBuilder.append(this.mServiceWatcherAb.getBestPackageName());
                return stringBuilder.toString();
            }
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(this.mServiceWatcherAb.getBestPackageName());
            stringBuilder.append(";");
            stringBuilder.append(this.mServiceWatcherGoogle.getBestPackageName());
            return stringBuilder.toString();
        } else if (this.start_g) {
            return this.mServiceWatcherGoogle.getBestPackageName();
        } else {
            return this.mServiceWatcherAb.getBestPackageName();
        }
    }

    private java.lang.String getFromLocationImpl(double latitude, double longitude, int maxResults, android.location.GeocoderParams params, java.util.List<android.location.Address> addrs) {
        android.location.IGeocodeProvider provider = getService();
        if (provider != null) {
            try {
                return provider.getFromLocation(latitude, longitude, maxResults, params, addrs);
            } catch (android.os.RemoteException e) {
                android.os.RemoteException remoteException = e;
                android.util.Log.w("HwGeocoderProxy", e);
            }
        }
        return "Service not Available";
    }

    public java.lang.String getFromLocation(double latitude, double longitude, int maxResults, android.location.GeocoderParams params, java.util.List<android.location.Address> addrs) {
        this.mNlpUsed = 0;
        java.lang.String result = getFromLocationImpl(latitude, longitude, maxResults, params, addrs);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getFromLocation ");
        stringBuilder.append(result);
        android.util.Log.d("HwGeocoderProxy", stringBuilder.toString());
        if (!this.isDualNlpAlive || result == null) {
            return result;
        }
        if (this.mNlpUsed == 1) {
            this.mNlpUsed = 2;
            return getFromLocationImpl(latitude, longitude, maxResults, params, addrs);
        }
        this.mNlpUsed = 1;
        return getFromLocationImpl(latitude, longitude, maxResults, params, addrs);
    }

    private java.lang.String getFromLocationNameImpl(java.lang.String locationName, double lowerLeftLatitude, double lowerLeftLongitude, double upperRightLatitude, double upperRightLongitude, int maxResults, android.location.GeocoderParams params, java.util.List<android.location.Address> addrs) {
        android.location.IGeocodeProvider provider = getService();
        if (provider != null) {
            try {
                return provider.getFromLocationName(locationName, lowerLeftLatitude, lowerLeftLongitude, upperRightLatitude, upperRightLongitude, maxResults, params, addrs);
            } catch (android.os.RemoteException e) {
                android.os.RemoteException remoteException = e;
                android.util.Log.w("HwGeocoderProxy", e);
            }
        }
        return "Service not Available";
    }

    public java.lang.String getFromLocationName(java.lang.String locationName, double lowerLeftLatitude, double lowerLeftLongitude, double upperRightLatitude, double upperRightLongitude, int maxResults, android.location.GeocoderParams params, java.util.List<android.location.Address> addrs) {
        this.mNlpUsed = 0;
        java.lang.String result = getFromLocationNameImpl(locationName, lowerLeftLatitude, lowerLeftLongitude, upperRightLatitude, upperRightLongitude, maxResults, params, addrs);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getFromLocationName ");
        stringBuilder.append(result);
        android.util.Log.d("HwGeocoderProxy", stringBuilder.toString());
        if (!this.isDualNlpAlive || result == null) {
            return result;
        }
        if (this.mNlpUsed == 1) {
            this.mNlpUsed = 2;
            return getFromLocationNameImpl(locationName, lowerLeftLatitude, lowerLeftLongitude, upperRightLatitude, upperRightLongitude, maxResults, params, addrs);
        }
        this.mNlpUsed = 1;
        return getFromLocationNameImpl(locationName, lowerLeftLatitude, lowerLeftLongitude, upperRightLatitude, upperRightLongitude, maxResults, params, addrs);
    }
}
