package com.android.server.location;

public class HwGpsLocationManager implements com.android.server.location.IHwGpsLocationManager {
    private static final java.lang.String TAG = "HwGpsLocationProviderEx";
    private static com.android.server.location.HwGpsLocationManager mHwGpsLocationManager;
    private com.android.server.location.ntp.GpsNtpTimeCheck mGpsNtpTimeCheck;

    public static synchronized com.android.server.location.IHwGpsLocationManager getInstance(android.content.Context context) {
        com.android.server.location.HwGpsLocationManager hwGpsLocationManager;
        synchronized (com.android.server.location.HwGpsLocationManager.class) {
            if (mHwGpsLocationManager == null) {
                mHwGpsLocationManager = new com.android.server.location.HwGpsLocationManager(context);
            }
            hwGpsLocationManager = mHwGpsLocationManager;
        }
        return hwGpsLocationManager;
    }

    private HwGpsLocationManager(android.content.Context context) {
        this.mGpsNtpTimeCheck = com.android.server.location.ntp.GpsNtpTimeCheck.getInstance(context);
    }

    public boolean checkNtpTime(long ntpMsTime, long msTimeSynsBoot) {
        return this.mGpsNtpTimeCheck.checkNtpTime(ntpMsTime, msTimeSynsBoot);
    }

    public void setGpsTime(long gpsMsTime, long nanosSynsBoot) {
        this.mGpsNtpTimeCheck.setGpsTime(gpsMsTime, nanosSynsBoot);
    }

    public com.android.server.location.InjectTimeRecord getInjectTime(long ntpTime) {
        return this.mGpsNtpTimeCheck.getInjectTime(ntpTime);
    }
}
