package com.android.server.location;

public class HwGpsLogController {
    private static final java.lang.String BCM_47531 = "47531";
    private static final java.lang.String BCM_4774 = "4774";
    private static final long CHECK_GPS_LOG_INTERVEL = 30000;
    private static final java.lang.String CHIP_TYPE = "ro.connectivity.chiptype";
    private static boolean DBG = true;
    private static final java.lang.String GPS_CONFIG_PATH = "data/gps/gpsconfig.xml";
    private static final java.lang.String GPS_LOG_ENABLE = "gps_log_enable";
    private static final java.lang.String GPS_LOG_STATUS_CLOSE = "com.android.huawei.log.GPS_LOG_STATUS_CLOSE";
    private static final java.lang.String GPS_LOG_STATUS_OPEN = "com.android.huawei.log.GPS_LOG_STATUS_OPEN";
    private static final java.lang.String GPS_PATH_IC_TYPE = "/proc/device-tree/gps_power/broadcom_config,ic_type";
    private static final int MSG_CHECK_GPS_LOG_STATUS = 1103;
    private static final int MSG_GPS_LOG_STATUS_CLOSE = 1102;
    private static final int MSG_GPS_LOG_STATUS_OPEN = 1101;
    private static final java.lang.String TAG = "GpsLogController";
    private static com.android.server.location.HwGpsLogController mGpsLogController;
    private java.lang.String mBcmChipType;
    private android.content.Context mContext;
    private android.os.Handler mHandler;

    private HwGpsLogController(android.content.Context context) {
        if (DBG) {
            android.util.Log.d("GpsLogController", "HwGpsLogController");
        }
        this.mContext = context;
        this.mHandler = new android.os.Handler(new android.os.Handler.Callback() {
            public boolean handleMessage(android.os.Message msg) {
                if (com.android.server.location.HwGpsLogController.DBG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("handleMessage: ");
                    stringBuilder.append(msg.what);
                    android.util.Log.d("GpsLogController", stringBuilder.toString());
                }
                switch (msg.what) {
                    case 1101:
                        android.provider.Settings.Global.putString(com.android.server.location.HwGpsLogController.this.mContext.getContentResolver(), "gps_log_enable", java.lang.Boolean.toString(true));
                        com.android.server.location.HwGpsLogController.this.operatorLog(true);
                        return true;
                    case 1102:
                        android.provider.Settings.Global.putString(com.android.server.location.HwGpsLogController.this.mContext.getContentResolver(), "gps_log_enable", java.lang.Boolean.toString(false));
                        com.android.server.location.HwGpsLogController.this.operatorLog(false);
                        return true;
                    case 1103:
                        com.android.server.location.HwGpsLogController.this.checkGpsLogStatus();
                        return true;
                    default:
                        return false;
                }
            }
        });
        this.mHandler.sendEmptyMessageDelayed(1103, 30000);
        android.content.IntentFilter intentFilter = new android.content.IntentFilter();
        intentFilter.addAction("com.android.huawei.log.GPS_LOG_STATUS_OPEN");
        intentFilter.addAction("com.android.huawei.log.GPS_LOG_STATUS_CLOSE");
        this.mContext.registerReceiverAsUser(new android.content.BroadcastReceiver() {
            public void onReceive(android.content.Context context, android.content.Intent intent) {
                java.lang.String action = intent.getAction();
                if ("com.android.huawei.log.GPS_LOG_STATUS_OPEN".equals(action)) {
                    com.android.server.location.HwGpsLogController.this.mHandler.sendEmptyMessage(1101);
                    com.android.server.location.HwGpsLogController.this.mHandler.removeMessages(1103);
                } else if ("com.android.huawei.log.GPS_LOG_STATUS_CLOSE".equals(action)) {
                    com.android.server.location.HwGpsLogController.this.mHandler.sendEmptyMessage(1102);
                    com.android.server.location.HwGpsLogController.this.mHandler.removeMessages(1103);
                }
            }
        }, android.os.UserHandle.ALL, intentFilter, null, null);
        getBcmGpsChipType();
    }

    private java.lang.String getBcmGpsChipType() {
        java.io.BufferedReader reader = null;
        try {
            reader = new java.io.BufferedReader(new java.io.InputStreamReader(new java.io.FileInputStream("/proc/device-tree/gps_power/broadcom_config,ic_type"), "UTF-8"));
            int line = 1;
            while (true) {
                java.lang.String readLine = reader.readLine();
                java.lang.String tempString = readLine;
                if (readLine == null) {
                    break;
                }
                if (DBG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("line ");
                    stringBuilder.append(line);
                    stringBuilder.append(": ");
                    stringBuilder.append(tempString);
                    android.util.Log.d("GpsLogController", stringBuilder.toString());
                }
                line++;
                if (tempString.contains("47531")) {
                    this.mBcmChipType = "47531";
                } else if (tempString.contains("4774")) {
                    this.mBcmChipType = "4774";
                }
            }
            reader.close();
            try {
                reader.close();
            } catch (java.io.IOException e) {
            }
        } catch (java.io.IOException e2) {
            e2.printStackTrace();
            if (reader != null) {
                reader.close();
            }
        } catch (Throwable th) {
            if (reader != null) {
                try {
                    reader.close();
                } catch (java.io.IOException e3) {
                }
            }
        }
        return null;
    }

    public static synchronized com.android.server.location.HwGpsLogController create(android.content.Context context) {
        com.android.server.location.HwGpsLogController hwGpsLogController;
        synchronized (com.android.server.location.HwGpsLogController.class) {
            if (mGpsLogController == null) {
                mGpsLogController = new com.android.server.location.HwGpsLogController(context);
            }
            hwGpsLogController = mGpsLogController;
        }
        return hwGpsLogController;
    }

    private void checkGpsLogStatus() {
        try {
            java.lang.String result = android.provider.Settings.Global.getString(this.mContext.getContentResolver(), "gps_log_enable");
            if (result != null) {
                if (!"".equals(result)) {
                    operatorLog(java.lang.Boolean.parseBoolean(result));
                }
            }
        } catch (java.lang.Exception ex) {
            ex.printStackTrace();
        }
    }

    private void operatorLog(boolean enable) {
        if (DBG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("operatorLog: ");
            stringBuilder.append(enable);
            android.util.Log.d("GpsLogController", stringBuilder.toString());
        }
        try {
            if (android.os.SystemProperties.get("ro.connectivity.chiptype", "").contains("bcm") && android.os.SystemProperties.getInt("persist.sys.huawei.debug.on", 0) == 1 && this.mBcmChipType != null) {
                xmlModify(enable);
                killGpsProcess();
            }
        } catch (java.lang.Exception ex) {
            ex.printStackTrace();
        }
    }

    private void killGpsProcess() {
        java.io.BufferedReader bufferedReader = null;
        java.io.BufferedReader inputStream = bufferedReader;
        try {
            java.lang.Process proc = java.lang.Runtime.getRuntime().exec("ps");
            java.io.InputStream inputStream2 = proc.getInputStream();
            proc.waitFor();
            if (inputStream2 != null) {
                try {
                    bufferedReader = new java.io.BufferedReader(new java.io.InputStreamReader(inputStream2, "UTF-8"));
                    while (true) {
                        java.lang.String readLine = bufferedReader.readLine();
                        java.lang.String line = readLine;
                        if (readLine == null) {
                            try {
                                break;
                            } catch (java.io.IOException e) {
                                e.printStackTrace();
                            }
                        } else if (line.contains("glgps")) {
                            int pid = getPid(line);
                            if (-1 != pid) {
                                if (DBG) {
                                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                    stringBuilder.append("kill ");
                                    stringBuilder.append(pid);
                                    android.util.Log.i("GpsLogController", stringBuilder.toString());
                                }
                                android.os.Process.killProcessQuiet(pid);
                            }
                        }
                    }
                    inputStream2.close();
                    try {
                        bufferedReader.close();
                    } catch (java.io.IOException e2) {
                        e2.printStackTrace();
                    }
                } catch (java.io.IOException e22) {
                    e22.printStackTrace();
                    try {
                        inputStream2.close();
                    } catch (java.io.IOException e222) {
                        e222.printStackTrace();
                    }
                    if (bufferedReader != null) {
                        bufferedReader.close();
                    }
                } catch (java.lang.RuntimeException rte) {
                    rte.printStackTrace();
                    try {
                        inputStream2.close();
                    } catch (java.io.IOException e2222) {
                        e2222.printStackTrace();
                    }
                    if (bufferedReader != null) {
                        bufferedReader.close();
                    }
                } catch (java.lang.Exception ex) {
                    ex.printStackTrace();
                    try {
                        inputStream2.close();
                    } catch (java.io.IOException e22222) {
                        e22222.printStackTrace();
                    }
                    if (bufferedReader != null) {
                        bufferedReader.close();
                    }
                } catch (Throwable th) {
                    try {
                        inputStream2.close();
                    } catch (java.io.IOException e3) {
                        e3.printStackTrace();
                    }
                    if (bufferedReader != null) {
                        try {
                            bufferedReader.close();
                        } catch (java.io.IOException e32) {
                            e32.printStackTrace();
                        }
                    }
                }
            }
        } catch (java.lang.Exception e4) {
            e4.printStackTrace();
        }
    }

    private int getPid(java.lang.String ps) {
        java.lang.String[] results = ps.split(" +");
        if (DBG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getPid ");
            stringBuilder.append(results[1]);
            android.util.Log.i("GpsLogController", stringBuilder.toString());
        }
        return java.lang.Integer.parseInt(results[1]);
    }

    private void xmlModify(boolean enable) {
        try {
            java.io.File file = new java.io.File("data/gps/gpsconfig.xml");
            org.w3c.dom.Document doc = javax.xml.parsers.DocumentBuilderFactory.newInstance().newDocumentBuilder().parse(file);
            if (doc != null) {
                org.w3c.dom.Node gllNodes = doc.getElementsByTagName("gll").item(0);
                if (gllNodes != null && "47531".equals(this.mBcmChipType)) {
                    org.w3c.dom.Node logFacMaskNode = gllNodes.getAttributes().getNamedItem("LogFacMask");
                    if (logFacMaskNode != null) {
                        logFacMaskNode.setNodeValue(enable ? "LOG_DEFAULT" : "LOG_GLLAPI | LOG_NMEA");
                        if (DBG) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("modify:");
                            stringBuilder.append(logFacMaskNode.getNodeName());
                            stringBuilder.append("=");
                            stringBuilder.append(logFacMaskNode.getNodeValue());
                            android.util.Log.d("GpsLogController", stringBuilder.toString());
                        }
                    }
                }
                javax.xml.transform.Transformer transformer = javax.xml.transform.TransformerFactory.newInstance().newTransformer();
                transformer.setOutputProperty("indent", "yes");
                transformer.transform(new javax.xml.transform.dom.DOMSource(doc), new javax.xml.transform.stream.StreamResult(file));
            }
        } catch (javax.xml.parsers.ParserConfigurationException e1) {
            e1.printStackTrace();
        } catch (org.xml.sax.SAXException e2) {
            e2.printStackTrace();
        } catch (javax.xml.transform.TransformerConfigurationException e3) {
            e3.printStackTrace();
        } catch (javax.xml.transform.TransformerException e4) {
            e4.printStackTrace();
        } catch (java.io.IOException e5) {
            e5.printStackTrace();
        } catch (java.lang.RuntimeException e52) {
            e52.printStackTrace();
        }
    }
}
