package com.android.server.location;

public class HwGpsXtraDownloadReceiver implements com.android.server.location.IHwGpsXtraDownloadReceiver {
    private static final java.lang.String ACTION_SET_XTRA = "android.intent.action.SET_GPSXTRA";
    private static final java.lang.String ACTION_XTRA_DOWNLOAD = "com.android.xtra.download";
    private static final java.lang.String ACTION_XTRA_DOWNLOAD_COMPLETED = "android.intent.action.XTRA_DOWNLOAD_COMPLETED";
    private static final boolean DEBUG = android.util.Log.isLoggable("GpsXtraReceiver", 3);
    private static final java.lang.String IS_GET_NTP_TIME = "is_get_ntp_time";
    private static final java.lang.String LOCATION_METHOD = "location_method";
    private static final java.lang.String PROPERTIES_FILE = "gps.conf";
    private static final java.lang.String TAG = "GpsXtraReceiver";
    private static final boolean VERBOSE = android.util.Log.isLoggable("GpsXtraReceiver", 2);
    private static final java.lang.String XTRADATADATE = "XtraDataDate";
    private static final long XTRA_DOWNLOAD_INTERVAL_DEFAULT = 12;
    private static final long XTRA_DOWNLOAD_INTERVAL_UNIT = 3600000;
    private static final int XTRA_METHOD = 3;
    private android.app.AlarmManager mAlarmManager;
    private final android.content.BroadcastReceiver mBroadcastReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            android.content.Context context2 = context;
            android.content.Intent intent2 = intent;
            if (!(com.android.server.location.HwGpsXtraDownloadReceiver.this.mAlarmManager == null || com.android.server.location.HwGpsXtraDownloadReceiver.this.mLocationManager == null)) {
                if (com.android.server.location.HwGpsXtraDownloadReceiver.this.mConnectivity != null) {
                    java.lang.String action = intent.getAction();
                    if ("android.net.conn.CONNECTIVITY_CHANGE".equals(action)) {
                        android.net.NetworkInfo info = (android.net.NetworkInfo) intent2.getExtra("networkInfo");
                        if (info != null && info.isConnected() && info.isAvailable()) {
                            if (1 == info.getType()) {
                                com.android.server.location.HwGpsXtraDownloadReceiver.this.setXtraStringWithoutNetCheck(1);
                                com.android.server.location.HwGpsXtraDownloadReceiver.this.mAlarmManager.setRepeating(0, com.android.server.location.HwGpsXtraDownloadReceiver.this.getTriggerAtTime(context2), com.android.server.location.HwGpsXtraDownloadReceiver.this.xtra_download_interval, com.android.server.location.HwGpsXtraDownloadReceiver.this.mPendingIntent);
                            } else if (info.getType() == 0) {
                                com.android.server.location.HwGpsXtraDownloadReceiver.this.setXtraStringWithoutNetCheck(0);
                                com.android.server.location.HwGpsXtraDownloadReceiver.this.mAlarmManager.setRepeating(0, com.android.server.location.HwGpsXtraDownloadReceiver.this.getTriggerAtTime(context2), com.android.server.location.HwGpsXtraDownloadReceiver.this.xtra_download_interval, com.android.server.location.HwGpsXtraDownloadReceiver.this.mPendingIntent);
                            }
                        }
                    } else if ("android.intent.action.SET_GPSXTRA".equals(action)) {
                        if (com.android.server.location.HwGpsXtraDownloadReceiver.this.isXtraMethod(context2)) {
                            com.android.server.location.HwGpsXtraDownloadReceiver.this.setXtraString();
                            com.android.server.location.HwGpsXtraDownloadReceiver.this.mAlarmManager.setRepeating(0, com.android.server.location.HwGpsXtraDownloadReceiver.this.getTriggerAtTime(context2), com.android.server.location.HwGpsXtraDownloadReceiver.this.xtra_download_interval, com.android.server.location.HwGpsXtraDownloadReceiver.this.mPendingIntent);
                        }
                    } else if ("com.android.xtra.download".equals(action)) {
                        android.location.LocationManager location = null;
                        if (context2 != null) {
                            location = (android.location.LocationManager) context2.getSystemService("location");
                        }
                        if (location != null && location.isProviderEnabled("gps")) {
                            int curNetType = com.android.server.location.HwGpsXtraDownloadReceiver.this.getCurrentNetType();
                            if (curNetType == 1) {
                                com.android.server.location.HwGpsXtraDownloadReceiver.this.mLocationManager.sendExtraCommand("gps", "force_xtra_injection", null);
                            } else if (curNetType == 0 && com.android.server.location.HwGpsXtraDownloadReceiver.this.isXtraMethod(context2)) {
                                com.android.server.location.HwGpsXtraDownloadReceiver.this.mLocationManager.sendExtraCommand("gps", "force_xtra_injection", null);
                            }
                        } else if (com.android.server.location.HwGpsXtraDownloadReceiver.DEBUG) {
                            android.util.Log.d("GpsXtraReceiver", "GPS is not enable, do not send extra command");
                        }
                    } else if ("android.intent.action.XTRA_DOWNLOAD_COMPLETED".equals(action)) {
                        android.provider.Settings.System.putLong(context.getContentResolver(), "XtraDataDate", intent2.getLongExtra("downloadDate", java.lang.System.currentTimeMillis()));
                        if (intent2.getBooleanExtra("bGetNtpTime", false)) {
                            android.provider.Settings.System.putInt(context.getContentResolver(), "is_get_ntp_time", 1);
                        } else {
                            android.provider.Settings.System.putInt(context.getContentResolver(), "is_get_ntp_time", 0);
                        }
                        com.android.server.location.HwGpsXtraDownloadReceiver.this.setXtraString();
                        com.android.server.location.HwGpsXtraDownloadReceiver.this.mAlarmManager.setRepeating(0, com.android.server.location.HwGpsXtraDownloadReceiver.this.getTriggerAtTime(context2), com.android.server.location.HwGpsXtraDownloadReceiver.this.xtra_download_interval, com.android.server.location.HwGpsXtraDownloadReceiver.this.mPendingIntent);
                        com.android.server.location.HwGpsXtraDownloadReceiver.this.mLocationManager.sendExtraCommand("gps", "force_time_injection", null);
                    }
                }
            }
        }
    };
    private android.net.ConnectivityManager mConnectivity;
    private android.content.Context mContext;
    private long mCurrentNtpTime = 0;
    private boolean mDownloadPending = false;
    private long mElapsedTime = 0;
    private boolean mGetNtpTime = false;
    private com.android.server.location.LocationProviderInterface mLocProvider;
    private android.location.LocationManager mLocationManager;
    private java.lang.String mNtpServer;
    private android.app.PendingIntent mPendingIntent;
    private boolean mXtraSwitch = false;
    private java.lang.String xtraString;
    private java.lang.String xtraStringOnMobile;
    private java.lang.String xtraStringOnWifi;
    private long xtra_download_interval = 0;

    public boolean handleUpdateNetworkState(android.net.NetworkInfo info, boolean isPending) {
        if (!isXtraDownloadEnable()) {
            return isPending;
        }
        this.mDownloadPending = isPending;
        if (info != null && info.isConnected() && info.isAvailable()) {
            if (1 == info.getType() && java.lang.Long.parseLong(this.xtraStringOnWifi) > 0) {
                setXtraStringWithoutNetCheck(1);
                this.mAlarmManager.setRepeating(0, getTriggerAtTime(this.mContext), this.xtra_download_interval, this.mPendingIntent);
            } else if (info.getType() == 0 && this.mLocProvider.isEnabled() && java.lang.Long.parseLong(this.xtraStringOnMobile) > 0) {
                setXtraStringWithoutNetCheck(0);
                this.mAlarmManager.setRepeating(0, getTriggerAtTime(this.mContext), this.xtra_download_interval, this.mPendingIntent);
            }
        }
        return false;
    }

    public static android.content.IntentFilter getIntentFilter() {
        android.content.IntentFilter intentFilter = new android.content.IntentFilter();
        intentFilter.addAction("android.intent.action.SET_GPSXTRA");
        intentFilter.addAction("com.android.xtra.download");
        return intentFilter;
    }

    public void init(android.content.Context context, com.android.server.location.LocationProviderInterface lp) {
        this.mContext = context;
        this.mLocProvider = lp;
        this.mAlarmManager = (android.app.AlarmManager) context.getSystemService("alarm");
        this.mPendingIntent = android.app.PendingIntent.getBroadcast(context, 0, new android.content.Intent("com.android.xtra.download", null), 0);
        this.mLocationManager = (android.location.LocationManager) context.getSystemService("location");
        this.mConnectivity = (android.net.ConnectivityManager) context.getSystemService("connectivity");
        if (getXtraDownConfig()) {
            android.os.HandlerThread thread = new android.os.HandlerThread("GpsXtraReceiverThread");
            thread.setPriority(10);
            thread.start();
            this.mContext.registerReceiver(this.mBroadcastReceiver, getIntentFilter(), null, new android.os.Handler(thread.getLooper()));
            return;
        }
        android.util.Log.e("GpsXtraReceiver", "the switch of xtra download optimizer is not on!");
    }

    private boolean getXtraDownConfig() {
        java.util.Properties xtraProperties = new java.util.Properties();
        java.io.FileInputStream stream = null;
        try {
            java.io.File file = huawei.cust.HwCfgFilePolicy.getCfgFile("gps.conf", 0);
            if (file != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(file.getAbsolutePath());
                stringBuilder.append(" be read ! ");
                android.util.Log.v("GpsXtraReceiver", stringBuilder.toString());
                stream = new java.io.FileInputStream(file);
                xtraProperties.load(stream);
            }
            if (stream != null) {
                try {
                    stream.close();
                } catch (java.io.IOException e) {
                    e.printStackTrace();
                }
            }
        } catch (java.io.IOException e2) {
            if (VERBOSE) {
                android.util.Log.w("GpsXtraReceiver", "Could not open GPS configuration file gps.conf");
            }
            if (stream != null) {
                stream.close();
            }
        } catch (Throwable th) {
            if (stream != null) {
                try {
                    stream.close();
                } catch (java.io.IOException e3) {
                    e3.printStackTrace();
                }
            }
        }
        this.mXtraSwitch = "true".equals(xtraProperties.getProperty("XTRA_DOWNLOAD_INTERVAL_CONFIG", "true"));
        this.xtraStringOnMobile = xtraProperties.getProperty("XTRA_DOWNLOAD_INTERVAL_CONFIG", java.lang.Long.toString(12));
        this.xtraStringOnWifi = xtraProperties.getProperty("XTRA_DOWNLOAD_INTERVAL_CONFIG_WIFI", java.lang.Long.toString(12));
        this.xtraString = this.xtraStringOnMobile;
        this.xtra_download_interval = java.lang.Long.parseLong(this.xtraString) * 3600000;
        this.mNtpServer = xtraProperties.getProperty("NTP_SERVER", null);
        return this.mXtraSwitch;
    }

    private int getCurrentNetType() {
        android.net.NetworkInfo info = this.mConnectivity.getActiveNetworkInfo();
        if (info != null && info.isConnected() && info.isAvailable()) {
            return info.getType();
        }
        return -1;
    }

    private void setXtraStringWithoutNetCheck(int netType) {
        if (1 == netType) {
            this.xtraString = this.xtraStringOnWifi;
            if (this.mDownloadPending) {
                this.xtraString = "0";
            }
        } else {
            this.xtraString = this.xtraStringOnMobile;
        }
        this.xtra_download_interval = java.lang.Long.parseLong(this.xtraString) * 3600000;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(" pengding:");
        stringBuilder.append(this.mDownloadPending);
        stringBuilder.append(", donwload_interval=");
        stringBuilder.append(this.xtra_download_interval);
        android.util.Log.d("GpsXtraReceiver", stringBuilder.toString());
    }

    private boolean isXtraDownloadEnable() {
        boolean enable = false;
        if (this.mXtraSwitch && (java.lang.Long.parseLong(this.xtraStringOnMobile) > 0 || java.lang.Long.parseLong(this.xtraStringOnWifi) > 0)) {
            enable = true;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("xtra download enable =");
        stringBuilder.append(enable);
        android.util.Log.d("GpsXtraReceiver", stringBuilder.toString());
        return enable;
    }

    private long getTriggerAtTime(android.content.Context context) {
        long nowDate;
        long downloadDataDate = android.provider.Settings.System.getLong(context.getContentResolver(), "XtraDataDate", 0);
        android.net.SntpClient client = new android.net.SntpClient();
        if (1 == android.provider.Settings.System.getInt(context.getContentResolver(), "is_get_ntp_time", 0) && client.requestTime(this.mNtpServer, 3000)) {
            nowDate = client.getNtpTime();
        } else {
            nowDate = java.lang.System.currentTimeMillis();
        }
        return downloadDataDate == 0 ? nowDate : nowDate - downloadDataDate > this.xtra_download_interval ? nowDate : this.xtra_download_interval + downloadDataDate;
    }

    private boolean isXtraMethod(android.content.Context context) {
        return 3 == android.provider.Settings.System.getInt(context.getContentResolver(), "location_method", 0);
    }

    private void setXtraString() {
        android.net.NetworkInfo info = this.mConnectivity.getNetworkInfo(1);
        if (info == null || !info.isConnected()) {
            this.xtraString = this.xtraStringOnMobile;
        } else {
            this.xtraString = this.xtraStringOnWifi;
        }
        this.xtra_download_interval = java.lang.Long.parseLong(this.xtraString) * 3600000;
    }

    public void setNtpTime(long time, long reftime) {
        this.mGetNtpTime = true;
        this.mCurrentNtpTime = time;
        this.mElapsedTime = reftime;
    }

    public void sendXtraDownloadComplete() {
        if (isXtraDownloadEnable()) {
            long downloadDate;
            if (this.mGetNtpTime) {
                downloadDate = this.mCurrentNtpTime + (android.os.SystemClock.elapsedRealtime() - this.mElapsedTime);
                android.provider.Settings.System.putInt(this.mContext.getContentResolver(), "is_get_ntp_time", 1);
            } else {
                downloadDate = java.lang.System.currentTimeMillis();
                android.provider.Settings.System.putInt(this.mContext.getContentResolver(), "is_get_ntp_time", 0);
            }
            android.provider.Settings.System.putLong(this.mContext.getContentResolver(), "XtraDataDate", downloadDate);
            setXtraString();
            this.mAlarmManager.setRepeating(0, getTriggerAtTime(this.mContext), this.xtra_download_interval, this.mPendingIntent);
            this.mLocationManager.sendExtraCommand("gps", "force_time_injection", null);
        }
    }
}
