package com.android.server.location;

public class HwLocalLocationDBHelper extends android.database.sqlite.SQLiteOpenHelper {
    static final byte[] C3 = new byte[]{(byte) -9, (byte) -86, (byte) 60, (byte) -113, (byte) 122, (byte) -7, (byte) -55, (byte) 69, (byte) 23, (byte) 119, (byte) 87, (byte) -83, (byte) 89, (byte) -1, (byte) -113, (byte) 29};
    private static final java.lang.String TAG = "HwLocalLocationProvider";
    private android.database.sqlite.SQLiteDatabase mSqLiteDatabase;

    public HwLocalLocationDBHelper(android.content.Context context) {
        super(context, "local_location.db", null, 2);
    }

    public void onCreate(android.database.sqlite.SQLiteDatabase db) {
        try {
            db.execSQL("CREATE TABLE IF NOT EXISTS  cell_fix_info(cellid VARCHAR(128) , id_hash VARCHAR(128) PRIMARY KEY,areacode INT (64) , latitude VARCHAR(128), longitude VARCHAR(128), accuracy FLOAT, loc_source VARCHAR(32) ,perset INT DEFAULT (0) , time INT (64) )");
            db.execSQL("CREATE TABLE IF NOT EXISTS  bssid_fix_info(wifi_bssid VARCHAR(128) , id_hash VARCHAR(128) PRIMARY KEY,ap_valid INT DEFAULT (0) , latitude VARCHAR(128), longitude VARCHAR(128), accuracy FLOAT, loc_source VARCHAR(32) ,perset INT DEFAULT (0) , time INT (64) )");
        } catch (android.database.SQLException e) {
            android.util.Log.e("HwLocalLocationProvider", e.getMessage());
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Path = ");
        stringBuilder.append(db.getPath());
        android.util.Log.i("HwLocalLocationProvider", stringBuilder.toString());
    }

    public void onUpgrade(android.database.sqlite.SQLiteDatabase db, int oldVersion, int newVersion) {
        try {
            db.execSQL("DROP TABLE IF EXISTS cell_fix_info");
            db.execSQL("DROP TABLE IF EXISTS bssid_fix_info");
        } catch (android.database.SQLException e) {
            android.util.Log.e("HwLocalLocationProvider", e.getMessage());
        }
        onCreate(db);
    }

    public void onOpen(android.database.sqlite.SQLiteDatabase db) {
        super.onOpen(db);
    }

    public long insert(java.lang.String table, android.content.ContentValues values) {
        this.mSqLiteDatabase = getWritableDatabase();
        return this.mSqLiteDatabase.insert(table, null, values);
    }

    public int delete(java.lang.String table, java.lang.String whereClause, java.lang.String[] whereArgs) {
        this.mSqLiteDatabase = getWritableDatabase();
        return this.mSqLiteDatabase.delete(table, whereClause, whereArgs);
    }

    public void execSQL(java.lang.String sql) {
        this.mSqLiteDatabase = getWritableDatabase();
        try {
            this.mSqLiteDatabase.execSQL(sql);
        } catch (android.database.SQLException e) {
            android.util.Log.e("HwLocalLocationProvider", e.getMessage());
        }
    }

    public int update(java.lang.String table, android.content.ContentValues values, java.lang.String whereClause, java.lang.String[] whereArgs) {
        this.mSqLiteDatabase = getWritableDatabase();
        return this.mSqLiteDatabase.update(table, values, whereClause, whereArgs);
    }

    public android.database.Cursor query(java.lang.String table, java.lang.String[] columns, java.lang.String selection, java.lang.String[] selectionArgs, java.lang.String groupBy, java.lang.String having, java.lang.String orderBy, java.lang.String limit) {
        this.mSqLiteDatabase = getReadableDatabase();
        return this.mSqLiteDatabase.query(table, columns, selection, selectionArgs, groupBy, having, orderBy, limit);
    }

    public android.database.Cursor query(java.lang.String table, java.lang.String[] columns, java.lang.String selection, java.lang.String[] selectionArgs) {
        this.mSqLiteDatabase = getReadableDatabase();
        return this.mSqLiteDatabase.query(table, columns, selection, selectionArgs, null, null, null, null);
    }

    public android.database.Cursor rawQuery(java.lang.String sql, java.lang.String[] selectionArgs) {
        this.mSqLiteDatabase = getReadableDatabase();
        return this.mSqLiteDatabase.rawQuery(sql, selectionArgs);
    }

    public void closedb() {
        if (this.mSqLiteDatabase != null && this.mSqLiteDatabase.isOpen()) {
            this.mSqLiteDatabase.close();
        }
    }

    public void beginTransaction() {
        this.mSqLiteDatabase = getWritableDatabase();
        this.mSqLiteDatabase.beginTransaction();
    }

    public void setTransactionSuccessful() {
        this.mSqLiteDatabase = getWritableDatabase();
        this.mSqLiteDatabase.setTransactionSuccessful();
    }

    public void endTransaction() {
        this.mSqLiteDatabase = getWritableDatabase();
        this.mSqLiteDatabase.endTransaction();
    }
}
