package com.android.server.location;

public class HwLocalLocationManager implements com.android.server.location.IHwLocalLocationManager {
    private static final int AP_INVALID = 1;
    private static final int AP_VALID = 0;
    private static final java.lang.String[] BSSID_COLUMNS = new java.lang.String[]{"latitude", "longitude", "accuracy", "ap_valid", "loc_source"};
    private static final java.lang.String BSSID_SELECTION = "id_hash=?";
    public static final java.lang.String BSSID_TABLE = "bssID";
    private static final byte[] C2 = new byte[]{(byte) -89, (byte) 82, (byte) 3, (byte) 85, (byte) -88, (byte) -104, (byte) 57, (byte) -10, (byte) -103, (byte) 108, (byte) -88, (byte) 122, (byte) -38, (byte) -12, (byte) -55, (byte) -2};
    private static final java.lang.String[] CELLID_COLUMNS = new java.lang.String[]{"latitude", "longitude", "accuracy", "loc_source"};
    public static final java.lang.String CELLID_TABLE = "cellID";
    private static final java.lang.String CELL_RECENT_QUERY_SELECTION = "SELECT * FROM cell_fix_info ORDER BY time DESC LIMIT 1";
    private static final java.lang.String CELL_SELECTION = "id_hash=? and areacode=?";
    private static final java.lang.String COLUMN_ACCURACY = "accuracy";
    private static final java.lang.String COLUMN_AP_VALID = "ap_valid";
    private static final java.lang.String COLUMN_AREACODE = "areacode";
    private static final java.lang.String COLUMN_BSSID_INFO = "wifi_bssid";
    private static final java.lang.String COLUMN_CELL_INFO = "cellid";
    private static final java.lang.String COLUMN_ID_HASH = "id_hash";
    private static final java.lang.String COLUMN_LATITUDE = "latitude";
    private static final java.lang.String COLUMN_LOC_SOURC = "loc_source";
    private static final java.lang.String COLUMN_LONGITUDE = "longitude";
    private static final java.lang.String COLUMN_PRESET = "perset";
    private static final java.lang.String COLUMN_TIME = "time";
    public static final java.lang.String CREATE_BSSID_TABLE = "CREATE TABLE IF NOT EXISTS  bssid_fix_info(wifi_bssid VARCHAR(128) , id_hash VARCHAR(128) PRIMARY KEY,ap_valid INT DEFAULT (0) , latitude VARCHAR(128), longitude VARCHAR(128), accuracy FLOAT, loc_source VARCHAR(32) ,perset INT DEFAULT (0) , time INT (64) )";
    public static final java.lang.String CREATE_CELLID_TABLE = "CREATE TABLE IF NOT EXISTS  cell_fix_info(cellid VARCHAR(128) , id_hash VARCHAR(128) PRIMARY KEY,areacode INT (64) , latitude VARCHAR(128), longitude VARCHAR(128), accuracy FLOAT, loc_source VARCHAR(32) ,perset INT DEFAULT (0) , time INT (64) )";
    private static final int DATA_NO_PRESET = 0;
    private static final int DATA_PRESET = 1;
    public static final boolean DUG = true;
    private static final java.lang.String EXTRA_KEY_LOC_SOURCE = "key_loc_source";
    private static final java.lang.String EXTRA_KEY_LOC_TABLEID = "key_loc_tableID";
    private static final int FIX_TIME_OUT = 2000;
    private static final java.lang.String INVAILD_BSSID = "00:00:00:00:00:00";
    private static final int INVAILD_CELLID = -1;
    public static final java.lang.String LOCAL_PROVIDER = "local_database";
    public static final java.lang.String LOCATION_DB_NAME = "local_location.db";
    public static final java.lang.String MASTER_PASSWORD = getKey(com.android.server.location.HwLocalLocationProvider.C1, C2, com.android.server.location.HwLocalLocationDBHelper.C3);
    private static final int MAX_COLUMN = 10000;
    private static final int MAX_INTERVALTIME = 600000;
    public static final int MSG_REPORT_LOCATION = 1;
    private static final java.lang.String PERMISSION_INJECT_LOCATION = "com.huawei.android.permission.INJECT_LOCATION";
    public static final java.lang.String TABLE_BSSID_NAME = "bssid_fix_info";
    public static final java.lang.String TABLE_CELLID_NAME = "cell_fix_info";
    public static final java.lang.String TAG = "HwLocalLocationProvider";
    private static final int TWO_MINUTES = 120000;
    public static final int VERSION = 2;
    private static final java.lang.String XML_PATH = "app_name";
    private static final java.lang.String XML_ROOT_NAME = "time_priority";
    private static final java.lang.String XML_TAG_NAME = "app_name";
    private android.content.BroadcastReceiver bootCompleteReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if ("android.intent.action.BOOT_COMPLETED".equals(intent.getAction())) {
                com.android.server.location.HwLocalLocationManager.this.mTelephonyManager.listen(com.android.server.location.HwLocalLocationManager.this.mCellIdChangedListener, 16);
            }
        }
    };
    private volatile boolean isLocating;
    private volatile boolean isRegister;
    private com.android.server.location.HwLocalLocationManager.CellIdChangedListener mCellIdChangedListener;
    private android.content.Context mContext;
    private volatile int mCurrentAreaCode;
    private android.location.Location mCurrentBestLocation;
    private volatile java.lang.String mCurrentBssId;
    private volatile int mCurrentCellId;
    private volatile android.os.Handler mHandler;
    private android.content.Intent mInjectIntent;
    private android.content.IntentFilter mIntentFilter;
    private int mLastAreaCode;
    private java.lang.String mLastBssId;
    private int mLastCellid;
    private com.android.server.location.HwLocalLocationDBHelper mLocalLocationDB;
    private volatile android.os.Message mMessage;
    private volatile com.android.server.location.HwLocalLocationManager.LocalFixTask mQueryLocationTask;
    private java.util.Timer mQueryLocationTimer;
    private android.telephony.TelephonyManager mTelephonyManager;
    private java.util.List<java.lang.String> mTimePriorityAPPNames;
    private android.net.wifi.WifiManager mWifiManager;
    private android.content.BroadcastReceiver wifiBroadcastReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if ("android.net.wifi.STATE_CHANGE".equals(intent.getAction())) {
                android.net.NetworkInfo netinfo = (android.net.NetworkInfo) intent.getParcelableExtra("networkInfo");
                if (netinfo != null && netinfo.isConnected()) {
                    com.android.server.location.HwLocalLocationManager.this.mCurrentBssId = intent.getStringExtra("bssid");
                } else if (com.android.server.location.HwLocalLocationManager.this.mWifiManager.isWifiEnabled()) {
                    java.util.List<android.net.wifi.ScanResult> mlist = com.android.server.location.HwLocalLocationManager.this.mWifiManager.getScanResults();
                    if (mlist == null || mlist.isEmpty() || mlist.get(0) == null) {
                        com.android.server.location.HwLocalLocationManager.this.mCurrentBssId = null;
                    } else {
                        com.android.server.location.HwLocalLocationManager.this.mCurrentBssId = ((android.net.wifi.ScanResult) mlist.get(0)).BSSID;
                    }
                } else {
                    com.android.server.location.HwLocalLocationManager.this.mCurrentBssId = null;
                }
            }
        }
    };

    private class CellIdChangedListener extends android.telephony.PhoneStateListener {
        private CellIdChangedListener() {
        }

        /* synthetic */ CellIdChangedListener(com.android.server.location.HwLocalLocationManager x0, com.android.server.location.HwLocalLocationManager.AnonymousClass1 x1) {
            this();
        }

        public void onCellLocationChanged(android.telephony.CellLocation location) {
            java.lang.StringBuilder stringBuilder;
            super.onCellLocationChanged(location);
            if (com.android.server.location.HwLocalLocationManager.this.mTelephonyManager != null) {
                switch (com.android.server.location.HwLocalLocationManager.this.mTelephonyManager.getCurrentPhoneType()) {
                    case 1:
                        if (location instanceof android.telephony.gsm.GsmCellLocation) {
                            try {
                                android.telephony.gsm.GsmCellLocation gsmCellLocation = (android.telephony.gsm.GsmCellLocation) location;
                                com.android.server.location.HwLocalLocationManager.this.mCurrentCellId = gsmCellLocation.getCid();
                                com.android.server.location.HwLocalLocationManager.this.mCurrentAreaCode = gsmCellLocation.getLac();
                            } catch (java.lang.Exception e) {
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("GsmCellLocation Type Cast Exception :");
                                stringBuilder.append(e.getMessage());
                                android.util.Log.e("HwLocalLocationProvider", stringBuilder.toString());
                            }
                            return;
                        }
                        return;
                    case 2:
                        if (location instanceof android.telephony.cdma.CdmaCellLocation) {
                            try {
                                android.telephony.cdma.CdmaCellLocation cdmaCellLocation = (android.telephony.cdma.CdmaCellLocation) location;
                                com.android.server.location.HwLocalLocationManager.this.mCurrentCellId = cdmaCellLocation.getBaseStationId();
                                com.android.server.location.HwLocalLocationManager.this.mCurrentAreaCode = cdmaCellLocation.getNetworkId();
                            } catch (java.lang.Exception e2) {
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("CdmaCellLocation Type Cast Exception :");
                                stringBuilder.append(e2.getMessage());
                                android.util.Log.e("HwLocalLocationProvider", stringBuilder.toString());
                            }
                            return;
                        }
                        return;
                    default:
                        com.android.server.location.HwLocalLocationManager.this.mCurrentCellId = -1;
                        com.android.server.location.HwLocalLocationManager.this.mCurrentAreaCode = -1;
                        return;
                }
            }
        }

        public void onServiceStateChanged(android.telephony.ServiceState serviceState) {
            super.onServiceStateChanged(serviceState);
            if (serviceState.getState() != 0) {
                com.android.server.location.HwLocalLocationManager.this.mCurrentCellId = -1;
                com.android.server.location.HwLocalLocationManager.this.mCurrentAreaCode = -1;
            }
        }
    }

    class LocalFixTask extends android.os.AsyncTask<java.lang.Void, java.lang.Void, android.location.Location> {
        LocalFixTask() {
        }

        protected android.location.Location doInBackground(java.lang.Void... params) {
            return com.android.server.location.HwLocalLocationManager.this.queryLocFormDB();
        }

        protected void onPostExecute(android.location.Location result) {
            super.onPostExecute(result);
            synchronized (com.android.server.location.HwLocalLocationManager.this) {
                if (com.android.server.location.HwLocalLocationManager.this.mQueryLocationTimer != null) {
                    com.android.server.location.HwLocalLocationManager.this.mQueryLocationTimer.cancel();
                    com.android.server.location.HwLocalLocationManager.this.mQueryLocationTimer = null;
                }
                if (result != null) {
                    android.util.Slog.d("HwLocalLocationProvider", "has query Loc Form DB and send msg to Hander");
                    com.android.server.location.HwLocalLocationManager.this.mMessage = com.android.server.location.HwLocalLocationManager.this.mHandler.obtainMessage();
                    com.android.server.location.HwLocalLocationManager.this.mMessage.what = 1;
                    com.android.server.location.HwLocalLocationManager.this.mMessage.obj = result;
                    com.android.server.location.HwLocalLocationManager.this.mHandler.sendMessage(com.android.server.location.HwLocalLocationManager.this.mMessage);
                }
                com.android.server.location.HwLocalLocationManager.this.isLocating = false;
            }
            cancel(false);
        }
    }

    private final class LocalLocationHandler extends android.os.Handler {
        private LocalLocationHandler() {
        }

        /* synthetic */ LocalLocationHandler(com.android.server.location.HwLocalLocationManager x0, com.android.server.location.HwLocalLocationManager.AnonymousClass1 x1) {
            this();
        }

        public void handleMessage(android.os.Message msg) {
            super.handleMessage(msg);
            if (msg.what == 1) {
                android.location.Location loc = msg.obj;
                if (loc != null) {
                    com.android.server.location.HwLocalLocationManager.this.mInjectIntent = new android.content.Intent("action_inject_location");
                    com.android.server.location.HwLocalLocationManager.this.mInjectIntent.putExtra("key_location", loc);
                    com.android.server.location.HwLocalLocationManager.this.mContext.sendBroadcast(com.android.server.location.HwLocalLocationManager.this.mInjectIntent, "com.huawei.android.permission.INJECT_LOCATION");
                    android.util.Slog.d("HwLocalLocationProvider", "sendBroadcast ACTION_INJECT_LOCATION");
                }
            }
        }
    }

    class LocationTimerTask extends java.util.TimerTask {
        LocationTimerTask() {
        }

        public void run() {
            synchronized (com.android.server.location.HwLocalLocationManager.this) {
                if (com.android.server.location.HwLocalLocationManager.this.mQueryLocationTimer != null) {
                    com.android.server.location.HwLocalLocationManager.this.mQueryLocationTimer.cancel();
                    com.android.server.location.HwLocalLocationManager.this.mQueryLocationTimer = null;
                }
                if (!(com.android.server.location.HwLocalLocationManager.this.mQueryLocationTask == null || com.android.server.location.HwLocalLocationManager.this.mQueryLocationTask.isCancelled())) {
                    com.android.server.location.HwLocalLocationManager.this.mQueryLocationTask.cancel(true);
                    com.android.server.location.HwLocalLocationManager.this.mQueryLocationTask = null;
                }
                com.android.server.location.HwLocalLocationManager.this.isLocating = false;
            }
        }
    }

    class RefreshBssIDDBTask extends android.os.AsyncTask<java.lang.Void, java.lang.Void, android.location.Location> {
        int ap_valid;
        java.lang.String bssid;
        android.location.Location loc;

        public RefreshBssIDDBTask(android.location.Location loc, int ap_valid, java.lang.String bssid) {
            this.loc = loc;
            this.bssid = bssid;
            this.ap_valid = ap_valid;
        }

        protected android.location.Location doInBackground(java.lang.Void... params) {
            com.android.server.location.HwLocalLocationManager.this.refreshLocToBssTable(this.loc, this.ap_valid, this.bssid);
            return null;
        }

        protected void onPostExecute(android.location.Location result) {
            super.onPostExecute(result);
            cancel(false);
        }
    }

    class RefreshCellInfoDBTask extends android.os.AsyncTask<java.lang.Void, java.lang.Void, android.location.Location> {
        int cellid;
        android.location.Location loc;

        public RefreshCellInfoDBTask(android.location.Location loc, int cellid) {
            this.loc = loc;
            this.cellid = cellid;
        }

        protected android.location.Location doInBackground(java.lang.Void... params) {
            com.android.server.location.HwLocalLocationManager.this.refreshLocToCellTable(this.loc, this.cellid);
            return null;
        }

        protected void onPostExecute(android.location.Location result) {
            super.onPostExecute(result);
            cancel(false);
        }
    }

    public HwLocalLocationManager(android.content.Context context, android.location.ILocationManager ilocationManager) {
        this.mContext = context;
        initialize();
    }

    public synchronized void initialize() {
        this.mCurrentCellId = -1;
        this.mCurrentAreaCode = -1;
        this.mCurrentBssId = null;
        this.mLastBssId = null;
        this.mLastCellid = -1;
        this.mLastAreaCode = -1;
        this.mHandler = new com.android.server.location.HwLocalLocationManager.LocalLocationHandler(this, null);
        this.mTimePriorityAPPNames = new java.util.ArrayList();
        this.mLocalLocationDB = new com.android.server.location.HwLocalLocationDBHelper(this.mContext);
        initTimePriorityAPPNames();
        insertPersetData();
        this.mTelephonyManager = (android.telephony.TelephonyManager) this.mContext.getSystemService("phone");
        this.mCellIdChangedListener = new com.android.server.location.HwLocalLocationManager.CellIdChangedListener(this, null);
        this.mWifiManager = (android.net.wifi.WifiManager) this.mContext.getSystemService("wifi");
        this.mIntentFilter = new android.content.IntentFilter("android.net.wifi.STATE_CHANGE");
        this.mIntentFilter.addCategory("android.net.wifi.STATE_CHANGE@hwBrExpand@WifiNetStatus=WIFICON|WifiNetStatus=WIFIDSCON");
        registerListen();
    }

    public synchronized void registerListen() {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("registerListen, isRegister=");
        stringBuilder.append(this.isRegister);
        android.util.Log.d("HwLocalLocationProvider", stringBuilder.toString());
        if (!this.isRegister) {
            this.mTelephonyManager.listen(this.mCellIdChangedListener, 16);
            this.mContext.registerReceiver(this.bootCompleteReceiver, new android.content.IntentFilter("android.intent.action.BOOT_COMPLETED"));
            this.mContext.registerReceiver(this.wifiBroadcastReceiver, this.mIntentFilter);
            this.isRegister = true;
        }
    }

    public synchronized void unregisterListen() {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("unregisterListen, isRegister=");
        stringBuilder.append(this.isRegister);
        android.util.Log.d("HwLocalLocationProvider", stringBuilder.toString());
        if (this.isRegister) {
            this.mTelephonyManager.listen(this.mCellIdChangedListener, 0);
            this.mContext.unregisterReceiver(this.bootCompleteReceiver);
            this.mContext.unregisterReceiver(this.wifiBroadcastReceiver);
            this.isRegister = false;
        }
    }

    public synchronized void requestLocation() {
        android.util.Slog.d("HwLocalLocationProvider", "HwLocalLocationManager requestLocation");
        if (this.isLocating) {
            android.util.Slog.d("HwLocalLocationProvider", "isLocating ,return");
        } else if (-1 == getCellID()) {
            android.util.Slog.d("HwLocalLocationProvider", "cellid is null,return");
        } else {
            this.isLocating = true;
            this.mQueryLocationTimer = new java.util.Timer();
            this.mQueryLocationTimer.schedule(new com.android.server.location.HwLocalLocationManager.LocationTimerTask(), 2000);
            this.mQueryLocationTask = new com.android.server.location.HwLocalLocationManager.LocalFixTask();
            this.mQueryLocationTask.execute(new java.lang.Void[0]);
        }
    }

    public void closedb() {
        this.mLocalLocationDB.closedb();
    }

    public void updataLocationDB(android.location.Location loc) {
        if (loc != null) {
            if (loc.isComplete()) {
                if (isValidLocation(loc)) {
                    if (!"local_database".equals(loc.getProvider())) {
                        if (isBetterLocation(loc, this.mCurrentBestLocation)) {
                            android.util.Slog.d("HwLocalLocationProvider", "this loc is Better than Last Location");
                            if (this.mCurrentBestLocation == null) {
                                this.mCurrentBestLocation = new android.location.Location(loc);
                            } else {
                                this.mCurrentBestLocation.set(loc);
                            }
                            this.mCurrentCellId = getCellID();
                            if (-1 != this.mCurrentCellId) {
                                new com.android.server.location.HwLocalLocationManager.RefreshCellInfoDBTask(loc, this.mCurrentCellId).execute(new java.lang.Void[0]);
                            }
                            this.mCurrentBssId = getBSSID();
                            java.lang.String tempBssId = this.mCurrentBssId;
                            if (!(tempBssId == null || tempBssId.isEmpty())) {
                                new com.android.server.location.HwLocalLocationManager.RefreshBssIDDBTask(loc, 0, tempBssId).execute(new java.lang.Void[0]);
                            }
                        } else {
                            if (isCellInfoChange()) {
                                android.util.Slog.d("HwLocalLocationProvider", "cellid has changed,RefreshCellInfoDB");
                                new com.android.server.location.HwLocalLocationManager.RefreshCellInfoDBTask(loc, this.mCurrentCellId).execute(new java.lang.Void[0]);
                            }
                            if (isBssIdChange()) {
                                android.util.Slog.d("HwLocalLocationProvider", "bssid has changed,RefreshBssIDDB");
                                new com.android.server.location.HwLocalLocationManager.RefreshBssIDDBTask(loc, 0, this.mCurrentBssId).execute(new java.lang.Void[0]);
                            }
                        }
                        return;
                    }
                }
                return;
            }
        }
        android.util.Slog.w("HwLocalLocationProvider", "loc is null or not complete, can not updata to DB");
    }

    /* JADX WARNING: Missing block: B:23:0x0031, code:
            return false;
     */
    private synchronized boolean isCellInfoChange() {
        /*
        r3 = this;
        monitor-enter(r3);
        r3.getCellID();	 Catch:{ all -> 0x0032 }
        r0 = r3.mCurrentAreaCode;	 Catch:{ all -> 0x0032 }
        r1 = 0;
        r2 = -1;
        if (r2 == r0) goto L_0x0030;
    L_0x000a:
        r0 = r3.mLastAreaCode;	 Catch:{ all -> 0x0032 }
        if (r2 != r0) goto L_0x000f;
    L_0x000e:
        goto L_0x0030;
    L_0x000f:
        r0 = r3.mLastCellid;	 Catch:{ all -> 0x0032 }
        if (r2 == r0) goto L_0x0025;
    L_0x0013:
        r0 = r3.mLastAreaCode;	 Catch:{ all -> 0x0032 }
        if (r2 == r0) goto L_0x0025;
    L_0x0017:
        r0 = r3.mLastCellid;	 Catch:{ all -> 0x0032 }
        r2 = r3.mCurrentCellId;	 Catch:{ all -> 0x0032 }
        if (r0 != r2) goto L_0x0025;
    L_0x001d:
        r0 = r3.mLastAreaCode;	 Catch:{ all -> 0x0032 }
        r2 = r3.mCurrentAreaCode;	 Catch:{ all -> 0x0032 }
        if (r0 != r2) goto L_0x0025;
    L_0x0023:
        monitor-exit(r3);
        return r1;
    L_0x0025:
        r0 = r3.mCurrentAreaCode;	 Catch:{ all -> 0x0032 }
        r3.mLastAreaCode = r0;	 Catch:{ all -> 0x0032 }
        r0 = r3.mCurrentCellId;	 Catch:{ all -> 0x0032 }
        r3.mLastCellid = r0;	 Catch:{ all -> 0x0032 }
        r0 = 1;
        monitor-exit(r3);
        return r0;
    L_0x0030:
        monitor-exit(r3);
        return r1;
    L_0x0032:
        r0 = move-exception;
        monitor-exit(r3);
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.location.HwLocalLocationManager.isCellInfoChange():boolean");
    }

    private boolean isBssIdChange() {
        this.mCurrentBssId = getBSSID();
        java.lang.String tempBssId = this.mCurrentBssId;
        if (tempBssId != null) {
            if (!tempBssId.isEmpty()) {
                if (this.mLastBssId != null && this.mLastBssId.equals(tempBssId)) {
                    return false;
                }
                this.mLastBssId = tempBssId;
                return true;
            }
        }
        return false;
    }

    public boolean isBetterLocation(android.location.Location location, android.location.Location currentBestLocation) {
        if (currentBestLocation == null) {
            return true;
        }
        long timeDelta = location.getTime() - currentBestLocation.getTime();
        boolean isSignificantlyNewer = timeDelta > 120000;
        boolean isSignificantlyOlder = timeDelta < -120000;
        boolean isNewer = timeDelta > 0;
        if (isSignificantlyNewer) {
            return true;
        }
        if (isSignificantlyOlder) {
            return false;
        }
        int accuracyDelta = (int) (location.getAccuracy() - currentBestLocation.getAccuracy());
        boolean isLessAccurate = accuracyDelta > 0;
        boolean isMoreAccurate = accuracyDelta < 0;
        boolean isSignificantlyLessAccurate = accuracyDelta > 100;
        boolean isFromSameProvider = isSameProvider(location.getProvider(), currentBestLocation.getProvider());
        if (isMoreAccurate) {
            return true;
        }
        if (isNewer && !isLessAccurate) {
            return true;
        }
        if (isNewer && !isSignificantlyLessAccurate && isFromSameProvider) {
            return true;
        }
        return false;
    }

    private boolean isSameProvider(java.lang.String provider1, java.lang.String provider2) {
        if (provider1 != null) {
            return provider1.equals(provider2);
        }
        return provider2 == null;
    }

    private int getCellID() {
        return this.mCurrentCellId;
    }

    private synchronized java.lang.String getBSSID() {
        if (!this.mWifiManager.isWifiEnabled()) {
            this.mCurrentBssId = null;
        } else if (this.mCurrentBssId == null) {
            android.net.wifi.WifiInfo info = this.mWifiManager.getConnectionInfo();
            if (info != null) {
                this.mCurrentBssId = info.getBSSID();
            } else {
                java.util.List<android.net.wifi.ScanResult> mlist = this.mWifiManager.getScanResults();
                if (mlist == null || mlist.isEmpty() || mlist.get(0) == null) {
                    this.mCurrentBssId = null;
                } else {
                    this.mCurrentBssId = ((android.net.wifi.ScanResult) mlist.get(0)).BSSID;
                }
            }
        }
        return this.mCurrentBssId;
    }

    public boolean isValidLocation(android.location.Location loc) {
        return true;
    }

    private int getindex(java.lang.String[] columns, java.lang.String column) {
        if (columns != null && columns.length > 0) {
            for (int i = columns.length - 1; i >= 0; i--) {
                if (columns[i].equals(column)) {
                    return i;
                }
            }
        }
        return -1;
    }

    private void refreshLocToCellTable(android.location.Location loc, int cellid) {
        if (-1 != cellid) {
            if (isCellIdExist(cellid)) {
                android.util.Slog.d("HwLocalLocationProvider", "cellid is Exist, update  cellinfo to DB");
                updatetLocToCellIdTable(loc, cellid);
            } else {
                android.util.Slog.d("HwLocalLocationProvider", "cellid is not Exist, insert cellinfo to DB");
                if (10000 < getDBNumber("cell_fix_info")) {
                    android.util.Slog.e("HwLocalLocationProvider", "DB Number > 10000, first delete Top data");
                    deleteTopData("cell_fix_info");
                }
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(cellid);
                stringBuilder.append("");
                insertLocToDB("cell_fix_info", loc, stringBuilder.toString(), false);
            }
        }
    }

    private void refreshLocToBssTable(android.location.Location loc, int ap_valid, java.lang.String id) {
        if (!(id == null || id.isEmpty())) {
            if (!id.equals("00:00:00:00:00:00")) {
                if (ap_valid == 1) {
                    updatetLocToBssIdTable(loc, id, ap_valid);
                }
                if (isBssidExist(id)) {
                    updatetLocToBssIdTable(loc, id, 0);
                } else {
                    if (10000 < getDBNumber("bssid_fix_info")) {
                        deleteTopData("bssid_fix_info");
                    }
                    insertLocToDB("bssid_fix_info", loc, id, false);
                }
            }
        }
    }

    private android.location.Location queryLocFormDB() {
        android.util.Slog.d("HwLocalLocationProvider", "start query Loc Form DB ");
        android.location.Location locCellID = queryLocFormCellIdTable(getCellID());
        if (locCellID != null) {
            android.util.Slog.i("HwLocalLocationProvider", "query Loc Form cellid");
            android.location.Location locBssID = queryLocFormBssIdTable(getBSSID());
            java.lang.StringBuilder stringBuilder;
            if (locBssID == null) {
                android.util.Slog.w("HwLocalLocationProvider", "query Loc Form bssid , locBssID = null.  return locCellID");
                return locCellID;
            } else if (locCellID.distanceTo(locBssID) < 5000.0f) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("location disrance < 5000 M == ");
                stringBuilder.append(locCellID.distanceTo(locBssID));
                stringBuilder.append(" m");
                android.util.Slog.w("HwLocalLocationProvider", stringBuilder.toString());
                return locBssID;
            } else {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("location disrance >5000 M == ");
                stringBuilder.append(locCellID.distanceTo(locBssID));
                stringBuilder.append(" m");
                android.util.Slog.w("HwLocalLocationProvider", stringBuilder.toString());
                new com.android.server.location.HwLocalLocationManager.RefreshBssIDDBTask(locBssID, 1, this.mCurrentBssId).execute(new java.lang.Void[0]);
                return locCellID;
            }
        }
        android.util.Slog.w("HwLocalLocationProvider", "queryLoc cellid is  null");
        return null;
    }

    /* JADX WARNING: Missing block: B:12:0x004f, code:
            if (r1 != null) goto L_0x0051;
     */
    private int getDBNumber(java.lang.String r7) {
        /*
        r6 = this;
        r0 = 0;
        r1 = r0;
        r2 = 0;
        r3 = r6.mLocalLocationDB;	 Catch:{ Exception -> 0x0057 }
        r4 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x0057 }
        r4.<init>();	 Catch:{ Exception -> 0x0057 }
        r5 = "SELECT COUNT (*) FROM ";
        r4.append(r5);	 Catch:{ Exception -> 0x0057 }
        r4.append(r7);	 Catch:{ Exception -> 0x0057 }
        r4 = r4.toString();	 Catch:{ Exception -> 0x0057 }
        r0 = r3.rawQuery(r4, r0);	 Catch:{ Exception -> 0x0057 }
        r1 = r0;
        if (r1 == 0) goto L_0x004f;
    L_0x001d:
        r0 = r1.getCount();	 Catch:{ Exception -> 0x0057 }
        if (r0 <= 0) goto L_0x004f;
    L_0x0023:
        r0 = r1.moveToFirst();	 Catch:{ Exception -> 0x0057 }
        if (r0 == 0) goto L_0x004f;
    L_0x0029:
        r0 = r1.getInt(r2);	 Catch:{ Exception -> 0x0057 }
        r0 = r0 + 1;
        r3 = "HwLocalLocationProvider";
        r4 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x0057 }
        r4.<init>();	 Catch:{ Exception -> 0x0057 }
        r4.append(r7);	 Catch:{ Exception -> 0x0057 }
        r5 = " count is ";
        r4.append(r5);	 Catch:{ Exception -> 0x0057 }
        r4.append(r0);	 Catch:{ Exception -> 0x0057 }
        r4 = r4.toString();	 Catch:{ Exception -> 0x0057 }
        android.util.Slog.i(r3, r4);	 Catch:{ Exception -> 0x0057 }
        if (r1 == 0) goto L_0x004e;
    L_0x004b:
        r1.close();
    L_0x004e:
        return r0;
    L_0x004f:
        if (r1 == 0) goto L_0x0064;
    L_0x0051:
        r1.close();
        goto L_0x0064;
    L_0x0055:
        r0 = move-exception;
        goto L_0x0065;
    L_0x0057:
        r0 = move-exception;
        r3 = "HwLocalLocationProvider";
        r4 = r0.getMessage();	 Catch:{ all -> 0x0055 }
        android.util.Log.e(r3, r4);	 Catch:{ all -> 0x0055 }
        if (r1 == 0) goto L_0x0064;
    L_0x0063:
        goto L_0x0051;
    L_0x0064:
        return r2;
    L_0x0065:
        if (r1 == 0) goto L_0x006a;
    L_0x0067:
        r1.close();
    L_0x006a:
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.location.HwLocalLocationManager.getDBNumber(java.lang.String):int");
    }

    /* JADX WARNING: Missing block: B:15:0x0058, code:
            if (r3 != null) goto L_0x005a;
     */
    private boolean isCellIdExist(int r10) {
        /*
        r9 = this;
        r0 = -1;
        r1 = 0;
        if (r0 == r10) goto L_0x006a;
    L_0x0004:
        r2 = r9.mCurrentAreaCode;
        if (r0 != r2) goto L_0x0009;
    L_0x0008:
        goto L_0x006a;
    L_0x0009:
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r0.append(r10);
        r2 = "";
        r0.append(r2);
        r0 = r0.toString();
        r2 = "";
        r0 = com.android.server.location.HwCryptoUtility.Sha256Encrypt.Encrypt(r0, r2);
        r2 = 2;
        r2 = new java.lang.String[r2];
        r2[r1] = r0;
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r4 = r9.mCurrentAreaCode;
        r3.append(r4);
        r4 = "";
        r3.append(r4);
        r3 = r3.toString();
        r4 = 1;
        r2[r4] = r3;
        r3 = 0;
        r5 = r9.mLocalLocationDB;	 Catch:{ Exception -> 0x0065, all -> 0x005e }
        r6 = "cell_fix_info";
        r7 = CELLID_COLUMNS;	 Catch:{ Exception -> 0x0065, all -> 0x005e }
        r8 = "id_hash=? and areacode=?";
        r5 = r5.query(r6, r7, r8, r2);	 Catch:{ Exception -> 0x0065, all -> 0x005e }
        r3 = r5;
        if (r3 == 0) goto L_0x0058;
    L_0x004b:
        r5 = r3.getCount();	 Catch:{ Exception -> 0x0065, all -> 0x005e }
        if (r5 <= 0) goto L_0x0058;
        if (r3 == 0) goto L_0x0057;
    L_0x0054:
        r3.close();
    L_0x0057:
        return r4;
    L_0x0058:
        if (r3 == 0) goto L_0x0069;
    L_0x005a:
        r3.close();
        goto L_0x0069;
    L_0x005e:
        r1 = move-exception;
        if (r3 == 0) goto L_0x0064;
    L_0x0061:
        r3.close();
    L_0x0064:
        throw r1;
    L_0x0065:
        r4 = move-exception;
        if (r3 == 0) goto L_0x0069;
    L_0x0068:
        goto L_0x005a;
    L_0x0069:
        return r1;
    L_0x006a:
        return r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.location.HwLocalLocationManager.isCellIdExist(int):boolean");
    }

    /* JADX WARNING: Removed duplicated region for block: B:44:0x010e  */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x010e  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x0116  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x0116  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x0116  */
    public android.location.Location queryLocFormRecentCell() {
        /*
        r25 = this;
        r1 = r25;
        r0 = "HwLocalLocationProvider";
        r2 = "query loc Form Recent Cell";
        android.util.Slog.i(r0, r2);
        r2 = 0;
        r3 = r2;
        r0 = r1.mLocalLocationDB;	 Catch:{ Exception -> 0x0102 }
        r4 = "SELECT * FROM cell_fix_info ORDER BY time DESC LIMIT 1";
        r0 = r0.rawQuery(r4, r2);	 Catch:{ Exception -> 0x0102 }
        r3 = r0;
        if (r3 == 0) goto L_0x00f8;
    L_0x0016:
        r0 = r3.getCount();	 Catch:{ Exception -> 0x00f5, all -> 0x00f2 }
        if (r0 <= 0) goto L_0x00f8;
    L_0x001c:
        r0 = r3.moveToFirst();	 Catch:{ Exception -> 0x00f5, all -> 0x00f2 }
        if (r0 == 0) goto L_0x00f8;
    L_0x0022:
        r0 = r3.getColumnNames();	 Catch:{ Exception -> 0x00f5, all -> 0x00f2 }
        r4 = "time";
        r4 = r1.getindex(r0, r4);	 Catch:{ Exception -> 0x00f5, all -> 0x00f2 }
        r4 = r3.getLong(r4);	 Catch:{ Exception -> 0x00f5, all -> 0x00f2 }
        r6 = java.lang.System.currentTimeMillis();	 Catch:{ Exception -> 0x00f5, all -> 0x00f2 }
        r6 = r6 - r4;
        r8 = 0;
        r8 = (r6 > r8 ? 1 : (r6 == r8 ? 0 : -1));
        if (r8 <= 0) goto L_0x00f8;
    L_0x003c:
        r8 = 600000; // 0x927c0 float:8.40779E-40 double:2.964394E-318;
        r8 = (r6 > r8 ? 1 : (r6 == r8 ? 0 : -1));
        if (r8 >= 0) goto L_0x00f8;
    L_0x0043:
        r8 = new android.location.Location;	 Catch:{ Exception -> 0x00f5, all -> 0x00f2 }
        r9 = "local_database";
        r8.<init>(r9);	 Catch:{ Exception -> 0x00f5, all -> 0x00f2 }
        r9 = BSSID_COLUMNS;	 Catch:{ Exception -> 0x00f5, all -> 0x00f2 }
        r10 = "latitude";
        r9 = r1.getindex(r9, r10);	 Catch:{ Exception -> 0x00f5, all -> 0x00f2 }
        r9 = r3.getString(r9);	 Catch:{ Exception -> 0x00f5, all -> 0x00f2 }
        r10 = BSSID_COLUMNS;	 Catch:{ Exception -> 0x00f5, all -> 0x00f2 }
        r11 = "longitude";
        r10 = r1.getindex(r10, r11);	 Catch:{ Exception -> 0x00f5, all -> 0x00f2 }
        r10 = r3.getString(r10);	 Catch:{ Exception -> 0x00f5, all -> 0x00f2 }
        r11 = MASTER_PASSWORD;	 Catch:{ Exception -> 0x00f5, all -> 0x00f2 }
        r11 = com.android.server.location.HwCryptoUtility.AESLocalDbCrypto.decrypt(r11, r9);	 Catch:{ Exception -> 0x00f5, all -> 0x00f2 }
        r12 = MASTER_PASSWORD;	 Catch:{ Exception -> 0x00f5, all -> 0x00f2 }
        r12 = com.android.server.location.HwCryptoUtility.AESLocalDbCrypto.decrypt(r12, r10);	 Catch:{ Exception -> 0x00f5, all -> 0x00f2 }
        r13 = java.lang.Double.parseDouble(r11);	 Catch:{ Exception -> 0x00f5, all -> 0x00f2 }
        r15 = java.lang.Double.parseDouble(r12);	 Catch:{ Exception -> 0x00f5, all -> 0x00f2 }
        r17 = r15;
        r8.setLatitude(r13);	 Catch:{ Exception -> 0x00f5, all -> 0x00f2 }
        r19 = r3;
        r2 = r17;
        r8.setLongitude(r2);	 Catch:{ Exception -> 0x00ed, all -> 0x00e9 }
        r15 = "accuracy";
        r15 = r1.getindex(r0, r15);	 Catch:{ Exception -> 0x00ed, all -> 0x00e9 }
        r20 = r2;
        r2 = r19;
        r3 = r2.getFloat(r15);	 Catch:{ Exception -> 0x00e6, all -> 0x00e4 }
        r8.setAccuracy(r3);	 Catch:{ Exception -> 0x00e6, all -> 0x00e4 }
        r22 = r4;
        r3 = java.lang.System.currentTimeMillis();	 Catch:{ Exception -> 0x00e6, all -> 0x00e4 }
        r8.setTime(r3);	 Catch:{ Exception -> 0x00e6, all -> 0x00e4 }
        r3 = android.os.SystemClock.elapsedRealtimeNanos();	 Catch:{ Exception -> 0x00e6, all -> 0x00e4 }
        r8.setElapsedRealtimeNanos(r3);	 Catch:{ Exception -> 0x00e6, all -> 0x00e4 }
        r3 = new android.os.Bundle;	 Catch:{ Exception -> 0x00e6, all -> 0x00e4 }
        r3.<init>();	 Catch:{ Exception -> 0x00e6, all -> 0x00e4 }
        r4 = "loc_source";
        r4 = r1.getindex(r0, r4);	 Catch:{ Exception -> 0x00e6, all -> 0x00e4 }
        r4 = r2.getString(r4);	 Catch:{ Exception -> 0x00e6, all -> 0x00e4 }
        r5 = "key_loc_source";
        r3.putString(r5, r4);	 Catch:{ Exception -> 0x00e6, all -> 0x00e4 }
        r5 = "key_loc_tableID";
        r15 = "cellID";
        r3.putString(r5, r15);	 Catch:{ Exception -> 0x00e6, all -> 0x00e4 }
        r8.setExtras(r3);	 Catch:{ Exception -> 0x00e6, all -> 0x00e4 }
        r5 = "HwLocalLocationProvider";
        r15 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x00e6, all -> 0x00e4 }
        r15.<init>();	 Catch:{ Exception -> 0x00e6, all -> 0x00e4 }
        r24 = r0;
        r0 = "queryLocFormRecentCell loc  == ";
        r15.append(r0);	 Catch:{ Exception -> 0x00e6, all -> 0x00e4 }
        r0 = r8.toString();	 Catch:{ Exception -> 0x00e6, all -> 0x00e4 }
        r15.append(r0);	 Catch:{ Exception -> 0x00e6, all -> 0x00e4 }
        r0 = r15.toString();	 Catch:{ Exception -> 0x00e6, all -> 0x00e4 }
        android.util.Slog.i(r5, r0);	 Catch:{ Exception -> 0x00e6, all -> 0x00e4 }
        if (r2 == 0) goto L_0x00e3;
    L_0x00e0:
        r2.close();
    L_0x00e3:
        return r8;
    L_0x00e4:
        r0 = move-exception;
        goto L_0x0114;
    L_0x00e6:
        r0 = move-exception;
        r3 = r2;
        goto L_0x0103;
    L_0x00e9:
        r0 = move-exception;
        r2 = r19;
        goto L_0x0114;
    L_0x00ed:
        r0 = move-exception;
        r2 = r19;
        r3 = r2;
        goto L_0x0103;
    L_0x00f2:
        r0 = move-exception;
        r2 = r3;
        goto L_0x0114;
    L_0x00f5:
        r0 = move-exception;
        r2 = r3;
        goto L_0x0103;
    L_0x00f8:
        r2 = r3;
        if (r2 == 0) goto L_0x0112;
    L_0x00fb:
        r2.close();
        goto L_0x0112;
    L_0x00ff:
        r0 = move-exception;
        r2 = r3;
        goto L_0x0114;
    L_0x0102:
        r0 = move-exception;
    L_0x0103:
        r2 = "HwLocalLocationProvider";
        r4 = r0.getMessage();	 Catch:{ all -> 0x00ff }
        android.util.Log.e(r2, r4);	 Catch:{ all -> 0x00ff }
        if (r3 == 0) goto L_0x0111;
    L_0x010e:
        r3.close();
    L_0x0111:
        r2 = r3;
    L_0x0112:
        r3 = 0;
        return r3;
    L_0x0114:
        if (r2 == 0) goto L_0x0119;
    L_0x0116:
        r2.close();
    L_0x0119:
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.location.HwLocalLocationManager.queryLocFormRecentCell():android.location.Location");
    }

    /* JADX WARNING: Missing block: B:22:0x0108, code:
            if (r6 != null) goto L_0x010a;
     */
    public android.location.Location queryLocFormCellIdTable(int r18) {
        /*
        r17 = this;
        r1 = r17;
        r2 = r18;
        r0 = "HwLocalLocationProvider";
        r3 = "query loc Form Cell Table";
        android.util.Slog.i(r0, r3);
        r0 = -1;
        if (r0 != r2) goto L_0x0013;
    L_0x000e:
        r0 = r17.queryLocFormRecentCell();
        return r0;
    L_0x0013:
        r3 = 0;
        r4 = r3;
        r0 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x002e }
        r0.<init>();	 Catch:{ Exception -> 0x002e }
        r0.append(r2);	 Catch:{ Exception -> 0x002e }
        r5 = "";
        r0.append(r5);	 Catch:{ Exception -> 0x002e }
        r0 = r0.toString();	 Catch:{ Exception -> 0x002e }
        r5 = "";
        r0 = com.android.server.location.HwCryptoUtility.Sha256Encrypt.Encrypt(r0, r5);	 Catch:{ Exception -> 0x002e }
        r4 = r0;
        goto L_0x0049;
    L_0x002e:
        r0 = move-exception;
        r5 = "HwLocalLocationProvider";
        r6 = new java.lang.StringBuilder;
        r6.<init>();
        r7 = "query Exception :";
        r6.append(r7);
        r7 = r0.getMessage();
        r6.append(r7);
        r6 = r6.toString();
        android.util.Log.e(r5, r6);
    L_0x0049:
        r0 = 2;
        r0 = new java.lang.String[r0];
        r5 = 0;
        r0[r5] = r4;
        r5 = 1;
        r6 = new java.lang.StringBuilder;
        r6.<init>();
        r7 = r1.mCurrentAreaCode;
        r6.append(r7);
        r7 = "";
        r6.append(r7);
        r6 = r6.toString();
        r0[r5] = r6;
        r5 = r0;
        r6 = r3;
        r0 = r1.mLocalLocationDB;	 Catch:{ Exception -> 0x011a }
        r7 = "cell_fix_info";
        r8 = CELLID_COLUMNS;	 Catch:{ Exception -> 0x011a }
        r9 = "id_hash=? and areacode=?";
        r0 = r0.query(r7, r8, r9, r5);	 Catch:{ Exception -> 0x011a }
        r6 = r0;
        if (r6 == 0) goto L_0x010e;
    L_0x0076:
        r0 = r6.getCount();	 Catch:{ Exception -> 0x011a }
        if (r0 <= 0) goto L_0x010e;
    L_0x007c:
        r0 = r6.moveToFirst();	 Catch:{ Exception -> 0x011a }
        if (r0 == 0) goto L_0x0108;
    L_0x0082:
        r0 = new android.location.Location;	 Catch:{ Exception -> 0x011a }
        r7 = "local_database";
        r0.<init>(r7);	 Catch:{ Exception -> 0x011a }
        r7 = BSSID_COLUMNS;	 Catch:{ Exception -> 0x011a }
        r8 = "latitude";
        r7 = r1.getindex(r7, r8);	 Catch:{ Exception -> 0x011a }
        r7 = r6.getString(r7);	 Catch:{ Exception -> 0x011a }
        r8 = BSSID_COLUMNS;	 Catch:{ Exception -> 0x011a }
        r9 = "longitude";
        r8 = r1.getindex(r8, r9);	 Catch:{ Exception -> 0x011a }
        r8 = r6.getString(r8);	 Catch:{ Exception -> 0x011a }
        r9 = MASTER_PASSWORD;	 Catch:{ Exception -> 0x011a }
        r9 = com.android.server.location.HwCryptoUtility.AESLocalDbCrypto.decrypt(r9, r7);	 Catch:{ Exception -> 0x011a }
        r10 = MASTER_PASSWORD;	 Catch:{ Exception -> 0x011a }
        r10 = com.android.server.location.HwCryptoUtility.AESLocalDbCrypto.decrypt(r10, r8);	 Catch:{ Exception -> 0x011a }
        r11 = java.lang.Double.parseDouble(r9);	 Catch:{ Exception -> 0x011a }
        r13 = java.lang.Double.parseDouble(r10);	 Catch:{ Exception -> 0x011a }
        r0.setLatitude(r11);	 Catch:{ Exception -> 0x011a }
        r0.setLongitude(r13);	 Catch:{ Exception -> 0x011a }
        r15 = CELLID_COLUMNS;	 Catch:{ Exception -> 0x011a }
        r3 = "accuracy";
        r3 = r1.getindex(r15, r3);	 Catch:{ Exception -> 0x011a }
        r3 = r6.getFloat(r3);	 Catch:{ Exception -> 0x011a }
        r0.setAccuracy(r3);	 Catch:{ Exception -> 0x011a }
        r2 = java.lang.System.currentTimeMillis();	 Catch:{ Exception -> 0x011a }
        r0.setTime(r2);	 Catch:{ Exception -> 0x011a }
        r2 = android.os.SystemClock.elapsedRealtimeNanos();	 Catch:{ Exception -> 0x011a }
        r0.setElapsedRealtimeNanos(r2);	 Catch:{ Exception -> 0x011a }
        r2 = new android.os.Bundle;	 Catch:{ Exception -> 0x011a }
        r2.<init>();	 Catch:{ Exception -> 0x011a }
        r3 = CELLID_COLUMNS;	 Catch:{ Exception -> 0x011a }
        r15 = "loc_source";
        r3 = r1.getindex(r3, r15);	 Catch:{ Exception -> 0x011a }
        r3 = r6.getString(r3);	 Catch:{ Exception -> 0x011a }
        r15 = "key_loc_source";
        r2.putString(r15, r3);	 Catch:{ Exception -> 0x011a }
        r15 = "key_loc_tableID";
        r16 = r3;
        r3 = "cellID";
        r2.putString(r15, r3);	 Catch:{ Exception -> 0x011a }
        r0.setExtras(r2);	 Catch:{ Exception -> 0x011a }
        r3 = "HwLocalLocationProvider";
        r15 = "queryLocFormCellIdTable success";
        android.util.Slog.d(r3, r15);	 Catch:{ Exception -> 0x011a }
        if (r6 == 0) goto L_0x0107;
    L_0x0104:
        r6.close();
    L_0x0107:
        return r0;
    L_0x0108:
        if (r6 == 0) goto L_0x0138;
    L_0x010a:
        r6.close();
        goto L_0x0138;
    L_0x010e:
        r0 = r17.queryLocFormRecentCell();	 Catch:{ Exception -> 0x011a }
        if (r6 == 0) goto L_0x0117;
    L_0x0114:
        r6.close();
    L_0x0117:
        return r0;
    L_0x0118:
        r0 = move-exception;
        goto L_0x013a;
    L_0x011a:
        r0 = move-exception;
        r2 = "HwLocalLocationProvider";
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0118 }
        r3.<init>();	 Catch:{ all -> 0x0118 }
        r7 = "query Exception :";
        r3.append(r7);	 Catch:{ all -> 0x0118 }
        r7 = r0.getMessage();	 Catch:{ all -> 0x0118 }
        r3.append(r7);	 Catch:{ all -> 0x0118 }
        r3 = r3.toString();	 Catch:{ all -> 0x0118 }
        android.util.Log.e(r2, r3);	 Catch:{ all -> 0x0118 }
        if (r6 == 0) goto L_0x0138;
    L_0x0137:
        goto L_0x010a;
    L_0x0138:
        r2 = 0;
        return r2;
    L_0x013a:
        if (r6 == 0) goto L_0x013f;
    L_0x013c:
        r6.close();
    L_0x013f:
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.location.HwLocalLocationManager.queryLocFormCellIdTable(int):android.location.Location");
    }

    private void insertLocToDB(java.lang.String table, android.location.Location loc, java.lang.String id, boolean isperset) {
        if (loc != null) {
            if (loc.isComplete()) {
                android.content.ContentValues values = new android.content.ContentValues();
                try {
                    values.put("id_hash", com.android.server.location.HwCryptoUtility.Sha256Encrypt.Encrypt(id, ""));
                    java.lang.String defaultID = "";
                    java.lang.String encryptedLong = MASTER_PASSWORD;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(loc.getLongitude());
                    stringBuilder.append("");
                    encryptedLong = com.android.server.location.HwCryptoUtility.AESLocalDbCrypto.encrypt(encryptedLong, stringBuilder.toString());
                    java.lang.String encryptedLat = MASTER_PASSWORD;
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append(loc.getLatitude());
                    stringBuilder2.append("");
                    encryptedLat = com.android.server.location.HwCryptoUtility.AESLocalDbCrypto.encrypt(encryptedLat, stringBuilder2.toString());
                    if ("cell_fix_info".equals(table)) {
                        values.put("cellid", defaultID);
                        values.put("areacode", java.lang.Integer.valueOf(this.mCurrentAreaCode));
                    } else if ("bssid_fix_info".equals(table)) {
                        values.put("wifi_bssid", defaultID);
                        values.put("ap_valid", java.lang.Integer.valueOf(0));
                    } else {
                        return;
                    }
                    if (isperset) {
                        values.put("perset", java.lang.Integer.valueOf(1));
                    }
                    values.put("accuracy", java.lang.Float.valueOf(loc.getAccuracy()));
                    values.put("latitude", encryptedLat);
                    values.put("longitude", encryptedLong);
                    values.put("time", java.lang.Long.valueOf(java.lang.System.currentTimeMillis()));
                    values.put("loc_source", loc.getProvider());
                    this.mLocalLocationDB.insert(table, values);
                    android.util.Slog.d("HwLocalLocationProvider", "insertLocToDB success");
                } catch (java.lang.Exception e) {
                    java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append("query Exception :");
                    stringBuilder3.append(e.getMessage());
                    android.util.Log.e("HwLocalLocationProvider", stringBuilder3.toString());
                }
                return;
            }
        }
        android.util.Slog.w("HwLocalLocationProvider", "loc is null or not complete, can not insert to DB");
    }

    private void deleteTopData(java.lang.String table) {
        java.lang.StringBuffer sql = new java.lang.StringBuffer();
        sql.append("DELETE FROM ");
        sql.append(table);
        sql.append(" WHERE ");
        sql.append("time");
        sql.append(" = (SELECT ");
        sql.append("time");
        sql.append(" FROM ");
        sql.append(table);
        sql.append(" WHERE ");
        sql.append("perset");
        sql.append(" = ");
        sql.append(0);
        sql.append(" ORDER BY ");
        sql.append("time");
        sql.append(" ASC LIMIT 1 ) ");
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("deleteTopData sql = ");
        stringBuilder.append(sql.toString());
        android.util.Slog.d("HwLocalLocationProvider", stringBuilder.toString());
        this.mLocalLocationDB.execSQL(sql.toString());
    }

    private void updatetLocToCellIdTable(android.location.Location loc, int id) {
        android.util.Slog.d("HwLocalLocationProvider", "update loc to cell database");
        java.lang.StringBuilder stringBuilder;
        try {
            java.lang.String encryptedLong = MASTER_PASSWORD;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(loc.getLongitude());
            stringBuilder2.append("");
            encryptedLong = com.android.server.location.HwCryptoUtility.AESLocalDbCrypto.encrypt(encryptedLong, stringBuilder2.toString());
            java.lang.String encryptedLat = MASTER_PASSWORD;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(loc.getLatitude());
            stringBuilder.append("");
            encryptedLat = com.android.server.location.HwCryptoUtility.AESLocalDbCrypto.encrypt(encryptedLat, stringBuilder.toString());
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(id);
            stringBuilder.append("");
            java.lang.String idStrSHA256 = com.android.server.location.HwCryptoUtility.Sha256Encrypt.Encrypt(stringBuilder.toString(), "");
            android.content.ContentValues values = new android.content.ContentValues(3);
            values.put("accuracy", java.lang.Float.valueOf(loc.getAccuracy()));
            values.put("latitude", encryptedLat);
            values.put("longitude", encryptedLong);
            values.put("loc_source", loc.getProvider());
            values.put("time", java.lang.Long.valueOf(java.lang.System.currentTimeMillis()));
            java.lang.String[] agr = new java.lang.String[2];
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append(idStrSHA256);
            stringBuilder3.append("");
            agr[0] = stringBuilder3.toString();
            stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append(this.mCurrentAreaCode);
            stringBuilder3.append("");
            agr[1] = stringBuilder3.toString();
            this.mLocalLocationDB.update("cell_fix_info", values, "id_hash=? and areacode=?", agr);
        } catch (java.lang.Exception e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("query Exception :");
            stringBuilder.append(e.getMessage());
            android.util.Log.e("HwLocalLocationProvider", stringBuilder.toString());
        }
    }

    private void updatetLocToBssIdTable(android.location.Location loc, java.lang.String id, int ap_valid) {
        android.util.Slog.d("HwLocalLocationProvider", "update loc to bssid database");
        java.lang.StringBuilder stringBuilder;
        try {
            java.lang.String encryptedLong = MASTER_PASSWORD;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(loc.getLongitude());
            stringBuilder2.append("");
            encryptedLong = com.android.server.location.HwCryptoUtility.AESLocalDbCrypto.encrypt(encryptedLong, stringBuilder2.toString());
            java.lang.String encryptedLat = MASTER_PASSWORD;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(loc.getLatitude());
            stringBuilder.append("");
            encryptedLat = com.android.server.location.HwCryptoUtility.AESLocalDbCrypto.encrypt(encryptedLat, stringBuilder.toString());
            java.lang.String idStrSHA256 = com.android.server.location.HwCryptoUtility.Sha256Encrypt.Encrypt(id, "");
            android.content.ContentValues values = new android.content.ContentValues();
            if (ap_valid == 1) {
                values.put("ap_valid", java.lang.Integer.valueOf(ap_valid));
            } else {
                values.put("accuracy", java.lang.Float.valueOf(loc.getAccuracy()));
                values.put("latitude", encryptedLat);
                values.put("longitude", encryptedLong);
            }
            values.put("loc_source", loc.getProvider());
            values.put("time", java.lang.Long.valueOf(java.lang.System.currentTimeMillis()));
            this.mLocalLocationDB.update("bssid_fix_info", values, "id_hash=?", new java.lang.String[]{idStrSHA256});
        } catch (java.lang.Exception e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("query Exception :");
            stringBuilder.append(e.getMessage());
            android.util.Log.e("HwLocalLocationProvider", stringBuilder.toString());
        }
    }

    /* JADX WARNING: Missing block: B:15:0x0032, code:
            if (r2 != null) goto L_0x0034;
     */
    private boolean isBssidExist(java.lang.String r10) {
        /*
        r9 = this;
        r0 = 0;
        if (r10 == 0) goto L_0x0044;
    L_0x0003:
        r1 = r10.isEmpty();
        if (r1 == 0) goto L_0x000a;
    L_0x0009:
        goto L_0x0044;
    L_0x000a:
        r1 = "";
        r1 = com.android.server.location.HwCryptoUtility.Sha256Encrypt.Encrypt(r10, r1);
        r2 = 0;
        r3 = r9.mLocalLocationDB;	 Catch:{ Exception -> 0x003f, all -> 0x0038 }
        r4 = "bssid_fix_info";
        r5 = BSSID_COLUMNS;	 Catch:{ Exception -> 0x003f, all -> 0x0038 }
        r6 = "id_hash=?";
        r7 = 1;
        r8 = new java.lang.String[r7];	 Catch:{ Exception -> 0x003f, all -> 0x0038 }
        r8[r0] = r1;	 Catch:{ Exception -> 0x003f, all -> 0x0038 }
        r3 = r3.query(r4, r5, r6, r8);	 Catch:{ Exception -> 0x003f, all -> 0x0038 }
        r2 = r3;
        if (r2 == 0) goto L_0x0032;
    L_0x0025:
        r3 = r2.getCount();	 Catch:{ Exception -> 0x003f, all -> 0x0038 }
        if (r3 <= 0) goto L_0x0032;
        if (r2 == 0) goto L_0x0031;
    L_0x002e:
        r2.close();
    L_0x0031:
        return r7;
    L_0x0032:
        if (r2 == 0) goto L_0x0043;
    L_0x0034:
        r2.close();
        goto L_0x0043;
    L_0x0038:
        r0 = move-exception;
        if (r2 == 0) goto L_0x003e;
    L_0x003b:
        r2.close();
    L_0x003e:
        throw r0;
    L_0x003f:
        r3 = move-exception;
        if (r2 == 0) goto L_0x0043;
    L_0x0042:
        goto L_0x0034;
    L_0x0043:
        return r0;
    L_0x0044:
        r1 = "HwLocalLocationProvider";
        r2 = "bssid is null,isBssidExist is false";
        android.util.Slog.w(r1, r2);
        return r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.location.HwLocalLocationManager.isBssidExist(java.lang.String):boolean");
    }

    /* JADX WARNING: Missing block: B:25:0x00d6, code:
            if (r4 != null) goto L_0x00d8;
     */
    private android.location.Location queryLocFormBssIdTable(java.lang.String r18) {
        /*
        r17 = this;
        r1 = r17;
        r2 = r18;
        r3 = 0;
        if (r2 == 0) goto L_0x00f3;
    L_0x0007:
        r0 = r18.isEmpty();
        if (r0 == 0) goto L_0x000f;
    L_0x000d:
        goto L_0x00f3;
    L_0x000f:
        r4 = r3;
        r0 = "";
        r0 = com.android.server.location.HwCryptoUtility.Sha256Encrypt.Encrypt(r2, r0);	 Catch:{ Exception -> 0x00de }
        r5 = r1.mLocalLocationDB;	 Catch:{ Exception -> 0x00de }
        r6 = "bssid_fix_info";
        r7 = BSSID_COLUMNS;	 Catch:{ Exception -> 0x00de }
        r8 = "id_hash=?";
        r9 = 1;
        r9 = new java.lang.String[r9];	 Catch:{ Exception -> 0x00de }
        r10 = 0;
        r9[r10] = r0;	 Catch:{ Exception -> 0x00de }
        r5 = r5.query(r6, r7, r8, r9);	 Catch:{ Exception -> 0x00de }
        r4 = r5;
        if (r4 == 0) goto L_0x00d6;
    L_0x002b:
        r5 = r4.getCount();	 Catch:{ Exception -> 0x00de }
        if (r5 <= 0) goto L_0x00d6;
    L_0x0031:
        r5 = r4.moveToFirst();	 Catch:{ Exception -> 0x00de }
        if (r5 == 0) goto L_0x00d6;
    L_0x0037:
        r5 = 1065353216; // 0x3f800000 float:1.0 double:5.263544247E-315;
        r6 = BSSID_COLUMNS;	 Catch:{ Exception -> 0x00de }
        r7 = "ap_valid";
        r6 = r1.getindex(r6, r7);	 Catch:{ Exception -> 0x00de }
        r6 = r4.getFloat(r6);	 Catch:{ Exception -> 0x00de }
        r5 = (r5 > r6 ? 1 : (r5 == r6 ? 0 : -1));
        if (r5 != 0) goto L_0x0050;
        if (r4 == 0) goto L_0x004f;
    L_0x004c:
        r4.close();
    L_0x004f:
        return r3;
    L_0x0050:
        r5 = new android.location.Location;	 Catch:{ Exception -> 0x00de }
        r6 = "local_database";
        r5.<init>(r6);	 Catch:{ Exception -> 0x00de }
        r6 = BSSID_COLUMNS;	 Catch:{ Exception -> 0x00de }
        r7 = "latitude";
        r6 = r1.getindex(r6, r7);	 Catch:{ Exception -> 0x00de }
        r6 = r4.getString(r6);	 Catch:{ Exception -> 0x00de }
        r7 = BSSID_COLUMNS;	 Catch:{ Exception -> 0x00de }
        r8 = "longitude";
        r7 = r1.getindex(r7, r8);	 Catch:{ Exception -> 0x00de }
        r7 = r4.getString(r7);	 Catch:{ Exception -> 0x00de }
        r8 = MASTER_PASSWORD;	 Catch:{ Exception -> 0x00de }
        r8 = com.android.server.location.HwCryptoUtility.AESLocalDbCrypto.decrypt(r8, r6);	 Catch:{ Exception -> 0x00de }
        r9 = MASTER_PASSWORD;	 Catch:{ Exception -> 0x00de }
        r9 = com.android.server.location.HwCryptoUtility.AESLocalDbCrypto.decrypt(r9, r7);	 Catch:{ Exception -> 0x00de }
        r10 = java.lang.Double.parseDouble(r8);	 Catch:{ Exception -> 0x00de }
        r12 = java.lang.Double.parseDouble(r9);	 Catch:{ Exception -> 0x00de }
        r5.setLatitude(r10);	 Catch:{ Exception -> 0x00de }
        r5.setLongitude(r12);	 Catch:{ Exception -> 0x00de }
        r14 = BSSID_COLUMNS;	 Catch:{ Exception -> 0x00de }
        r15 = "accuracy";
        r14 = r1.getindex(r14, r15);	 Catch:{ Exception -> 0x00de }
        r14 = r4.getFloat(r14);	 Catch:{ Exception -> 0x00de }
        r5.setAccuracy(r14);	 Catch:{ Exception -> 0x00de }
        r14 = java.lang.System.currentTimeMillis();	 Catch:{ Exception -> 0x00de }
        r5.setTime(r14);	 Catch:{ Exception -> 0x00de }
        r14 = android.os.SystemClock.elapsedRealtimeNanos();	 Catch:{ Exception -> 0x00de }
        r5.setElapsedRealtimeNanos(r14);	 Catch:{ Exception -> 0x00de }
        r14 = new android.os.Bundle;	 Catch:{ Exception -> 0x00de }
        r14.<init>();	 Catch:{ Exception -> 0x00de }
        r15 = BSSID_COLUMNS;	 Catch:{ Exception -> 0x00de }
        r3 = "loc_source";
        r3 = r1.getindex(r15, r3);	 Catch:{ Exception -> 0x00de }
        r3 = r4.getString(r3);	 Catch:{ Exception -> 0x00de }
        r15 = "key_loc_source";
        r14.putString(r15, r3);	 Catch:{ Exception -> 0x00de }
        r15 = "key_loc_tableID";
        r16 = r0;
        r0 = "bssID";
        r14.putString(r15, r0);	 Catch:{ Exception -> 0x00de }
        r5.setExtras(r14);	 Catch:{ Exception -> 0x00de }
        r0 = "HwLocalLocationProvider";
        r15 = "queryLocFormBssIdTable success";
        android.util.Slog.d(r0, r15);	 Catch:{ Exception -> 0x00de }
        if (r4 == 0) goto L_0x00d5;
    L_0x00d2:
        r4.close();
    L_0x00d5:
        return r5;
    L_0x00d6:
        if (r4 == 0) goto L_0x00eb;
    L_0x00d8:
        r4.close();
        goto L_0x00eb;
    L_0x00dc:
        r0 = move-exception;
        goto L_0x00ed;
    L_0x00de:
        r0 = move-exception;
        r3 = "HwLocalLocationProvider";
        r5 = r0.getMessage();	 Catch:{ all -> 0x00dc }
        android.util.Log.e(r3, r5);	 Catch:{ all -> 0x00dc }
        if (r4 == 0) goto L_0x00eb;
    L_0x00ea:
        goto L_0x00d8;
    L_0x00eb:
        r3 = 0;
        return r3;
    L_0x00ed:
        if (r4 == 0) goto L_0x00f2;
    L_0x00ef:
        r4.close();
    L_0x00f2:
        throw r0;
    L_0x00f3:
        r0 = "HwLocalLocationProvider";
        r3 = "bssid is null,not query";
        android.util.Slog.w(r0, r3);
        r3 = 0;
        return r3;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.location.HwLocalLocationManager.queryLocFormBssIdTable(java.lang.String):android.location.Location");
    }

    private java.util.List parserXML(java.lang.String filepath) {
        java.io.InputStream inputStream = null;
        if (filepath != null) {
            if (!filepath.isEmpty()) {
                java.util.List<java.lang.String> list = new java.util.ArrayList();
                try {
                    inputStream = this.mContext.openFileInput(filepath);
                    org.xmlpull.v1.XmlPullParser parser = android.util.Xml.newPullParser();
                    parser.setInput(inputStream, "utf-8");
                    for (int type = parser.getEventType(); type != 1; type = parser.next()) {
                        if (type != 0) {
                            switch (type) {
                                case 2:
                                    if ("app_name".equals(parser.getName())) {
                                        type = parser.next();
                                        list.add(parser.getText());
                                        break;
                                    }
                                    break;
                                case 3:
                                    break;
                                default:
                                    break;
                            }
                        }
                    }
                    if (inputStream != null) {
                        try {
                            inputStream.close();
                        } catch (java.io.IOException e) {
                            android.util.Log.e("HwLocalLocationProvider", e.getMessage());
                        }
                    }
                } catch (java.io.FileNotFoundException e2) {
                    android.util.Log.e("HwLocalLocationProvider", "FileNotFoundException");
                    if (inputStream != null) {
                        inputStream.close();
                    }
                } catch (org.xmlpull.v1.XmlPullParserException e3) {
                    if (inputStream != null) {
                        inputStream.close();
                    }
                } catch (java.io.IOException e4) {
                    if (inputStream != null) {
                        inputStream.close();
                    }
                } catch (Throwable th) {
                    if (inputStream != null) {
                        try {
                            inputStream.close();
                        } catch (java.io.IOException e5) {
                            android.util.Log.e("HwLocalLocationProvider", e5.getMessage());
                        }
                    }
                }
                return list;
            }
        }
        return inputStream;
    }

    public byte getLocationRequestType(java.lang.String appname) {
        if (appname != null) {
            if (!appname.isEmpty()) {
                for (java.lang.String str : this.mTimePriorityAPPNames) {
                    if (appname.contains(str)) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append(appname);
                        stringBuilder.append("location request is LOCATION_TYPE_TIME_PRIORITY");
                        android.util.Slog.w("HwLocalLocationProvider", stringBuilder.toString());
                        return (byte) 1;
                    }
                }
                return (byte) -1;
            }
        }
        return (byte) 0;
    }

    private void insertPersetData() {
        try {
            this.mLocalLocationDB.beginTransaction();
            this.mLocalLocationDB.setTransactionSuccessful();
            this.mLocalLocationDB.endTransaction();
        } catch (java.lang.Exception e) {
            android.util.Slog.e("HwLocalLocationProvider", "local_location.db abnormal, can't open or write!");
        }
    }

    private void initTimePriorityAPPNames() {
        this.mTimePriorityAPPNames.add("Map");
        this.mTimePriorityAPPNames.add("map");
        this.mTimePriorityAPPNames.add("Weather");
        this.mTimePriorityAPPNames.add("weather");
        this.mTimePriorityAPPNames.add("camera");
        this.mTimePriorityAPPNames.add("Camera");
        this.mTimePriorityAPPNames.add("tencent");
        this.mTimePriorityAPPNames.add("mall");
        this.mTimePriorityAPPNames.add("UC");
        this.mTimePriorityAPPNames.add("weibo");
        this.mTimePriorityAPPNames.add("mall");
        this.mTimePriorityAPPNames.add("gallery");
        this.mTimePriorityAPPNames.add("Gallery");
        this.mTimePriorityAPPNames.add("location");
        this.mTimePriorityAPPNames.add("Location");
        this.mTimePriorityAPPNames.add("baidu");
        this.mTimePriorityAPPNames.add("gps");
        this.mTimePriorityAPPNames.add("navi");
        this.mTimePriorityAPPNames.add("Navi");
        this.mTimePriorityAPPNames.add("didi");
        this.mTimePriorityAPPNames.add("funcity");
        this.mTimePriorityAPPNames.add("news");
        this.mTimePriorityAPPNames.add("News");
    }

    private static java.lang.String getKey(byte[] c1, byte[] c2, byte[] c3) {
        return new java.lang.String(right(XOR(c1, left(XOR(c3, left(c2, 2)), 6)), 4), java.nio.charset.Charset.defaultCharset());
    }

    private static byte[] right(byte[] source, int count) {
        byte[] temp = (byte[]) source.clone();
        for (int i = 0; i < count; i++) {
            byte m = temp[temp.length - 1];
            for (int j = temp.length - 1; j > 0; j--) {
                temp[j] = temp[j - 1];
            }
            temp[0] = m;
        }
        return temp;
    }

    private static byte[] left(byte[] source, int count) {
        byte[] temp = (byte[]) source.clone();
        for (int i = 0; i < count; i++) {
            byte m = temp[0];
            for (int j = 0; j < temp.length - 1; j++) {
                temp[j] = temp[j + 1];
            }
            temp[temp.length - 1] = m;
        }
        return temp;
    }

    private static byte[] XOR(byte[] m, byte[] n) {
        byte[] temp = new byte[m.length];
        for (int i = 0; i < m.length; i++) {
            temp[i] = (byte) (m[i] ^ n[i]);
        }
        return temp;
    }
}
