package com.android.server.location;

public class HwLocalLocationProvider implements com.android.server.location.LocationProviderInterface, com.android.server.location.IHwLocalLocationProvider {
    static final byte[] C1 = new byte[]{(byte) 98, (byte) 94, (byte) -52, (byte) 117, (byte) -82, (byte) 28, (byte) -44, (byte) 66, (byte) 28, (byte) 61, (byte) -110, (byte) -119, (byte) -75, (byte) 70, (byte) 2, (byte) 85};
    public static final java.lang.String KEY_LOC_SOURCE = "key_loc_source";
    public static final java.lang.String KEY_LOC_TABLEID = "key_loc_tableID";
    public static final byte LOCATION_TYPE_ACCURACY_PRIORITY = (byte) -1;
    public static final byte LOCATION_TYPE_TIME_PRIORITY = (byte) 1;
    public static final byte LOCATION_TYPE_UNKNOEWN = (byte) 0;
    private static final com.android.internal.location.ProviderProperties PROPERTIES = new com.android.internal.location.ProviderProperties(true, false, true, false, false, false, false, 1, 2);
    private static final java.lang.String TAG = "HwLocalLocationProvider";
    private static boolean isEnable;
    private static com.android.server.location.HwLocalLocationProvider mLocalLocationProvider;
    private final android.location.ILocationManager mILocationManager;
    private com.android.server.location.HwLocalLocationManager mLocalLocationManager;

    private HwLocalLocationProvider(android.content.Context context, android.location.ILocationManager ilocationManager) {
        this.mILocationManager = ilocationManager;
        isEnable = true;
        this.mLocalLocationManager = new com.android.server.location.HwLocalLocationManager(context, ilocationManager);
    }

    public static synchronized com.android.server.location.HwLocalLocationProvider getInstance(android.content.Context context, android.location.ILocationManager ilocationManager) {
        com.android.server.location.HwLocalLocationProvider hwLocalLocationProvider;
        synchronized (com.android.server.location.HwLocalLocationProvider.class) {
            if (mLocalLocationProvider == null) {
                mLocalLocationProvider = new com.android.server.location.HwLocalLocationProvider(context, ilocationManager);
            }
            hwLocalLocationProvider = mLocalLocationProvider;
        }
        return hwLocalLocationProvider;
    }

    public void requestLocation() {
        if (isEnable) {
            this.mLocalLocationManager.requestLocation();
        }
    }

    public byte getLocationRequestType(java.lang.String appname) {
        if (isEnable) {
            return this.mLocalLocationManager.getLocationRequestType(appname);
        }
        return (byte) 0;
    }

    public void updataLocationDB(android.location.Location loc) {
        if (isEnable) {
            if (loc != null) {
                this.mLocalLocationManager.updataLocationDB(loc);
            }
        }
    }

    public java.lang.String getName() {
        return "local_database";
    }

    public void enable() {
        isEnable = true;
    }

    public void disable() {
        isEnable = false;
        this.mLocalLocationManager.closedb();
    }

    public boolean isEnabled() {
        return isEnable;
    }

    public boolean isBetterLocation(android.location.Location location, android.location.Location currentBestLocation) {
        return this.mLocalLocationManager.isBetterLocation(location, currentBestLocation);
    }

    public boolean isValidLocation(android.location.Location loc) {
        return this.mLocalLocationManager.isValidLocation(loc);
    }

    public void setRequest(com.android.internal.location.ProviderRequest request, android.os.WorkSource source) {
    }

    public com.android.internal.location.ProviderProperties getProperties() {
        return PROPERTIES;
    }

    public void dump(java.io.FileDescriptor fd, java.io.PrintWriter pw, java.lang.String[] args) {
    }

    public int getStatus(android.os.Bundle extras) {
        return 0;
    }

    public long getStatusUpdateTime() {
        return 0;
    }

    public boolean sendExtraCommand(java.lang.String command, android.os.Bundle extras) {
        return false;
    }
}
