package com.android.server.location;

public class HwLocationProviderProxy extends com.android.server.location.LocationProviderProxy implements com.android.server.location.IHwLocationProviderInterface {
    private static final int CHECK_DELAY_TIME = 10000;
    private static final boolean D = false;
    private static final int NLP_AB = 2;
    private static final int NLP_GOOGLE = 1;
    private static final int NLP_NONE = 0;
    private static final long RETENTION_PERIOD = 3600000;
    private static final java.lang.String TAG = "HwLocationProviderProxy";
    private static com.android.server.ServiceWatcherUtils mServiceWatcherUtils = ((com.android.server.ServiceWatcherUtils) com.huawei.utils.reflect.EasyInvokeFactory.getInvokeUtils(com.android.server.ServiceWatcherUtils.class));
    private int ab_nlp_pid = 0;
    private java.lang.String ab_nlp_pkName = android.os.SystemProperties.get("ro.config.hw_nlp", "com.baidu.map.location");
    private int google_nlp_pid = 0;
    private java.lang.String google_nlp_pkName = "com.google.android.gms";
    private boolean isDualNlpAlive;
    private java.util.Timer mCheckTimer;
    private final android.content.Context mContext;
    private boolean mEnabled = false;
    private long mLastCheckTime = 0;
    private boolean mLocationMonitoring = false;
    private boolean mLocationSuccess_Ab = false;
    private boolean mLocationSuccess_google = false;
    private java.lang.Object mLock = new java.lang.Object();
    private final java.lang.String mName;
    protected java.lang.Runnable mNewServiceWorkAb = new java.lang.Runnable() {
        public void run() {
            boolean enabled;
            com.android.internal.location.ProviderRequest request;
            android.os.WorkSource source;
            com.android.internal.location.ILocationProvider service;
            com.android.internal.location.ProviderProperties properties = null;
            synchronized (com.android.server.location.HwLocationProviderProxy.this.mLock) {
                enabled = com.android.server.location.HwLocationProviderProxy.this.mEnabled;
                request = com.android.server.location.HwLocationProviderProxy.this.mRequest;
                source = com.android.server.location.HwLocationProviderProxy.this.mWorksource;
                service = com.android.server.location.HwLocationProviderProxy.this.getServiceAb();
            }
            if (service != null) {
                try {
                    java.lang.StringBuilder stringBuilder;
                    properties = service.getProperties();
                    if (properties == null) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append(com.android.server.location.HwLocationProviderProxy.this.mServiceWatcherAb.getBestPackageName());
                        stringBuilder.append(" has invalid locatino provider properties");
                        android.util.Log.e("HwLocationProviderProxy", stringBuilder.toString());
                    }
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("mNewServiceWorkAb use ab. ");
                    stringBuilder.append(com.android.server.location.HwLocationProviderProxy.this.mNlpUsed);
                    android.util.Log.d("HwLocationProviderProxy", stringBuilder.toString());
                    if (enabled) {
                        service.enable();
                        if (com.android.server.location.HwLocationProviderProxy.this.mNlpUsed == 2 && request != null) {
                            service.setRequest(request, source);
                        }
                    }
                } catch (android.os.RemoteException e) {
                    android.util.Log.w("HwLocationProviderProxy", e);
                } catch (java.lang.Exception e2) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("Exception from ");
                    stringBuilder2.append(com.android.server.location.HwLocationProviderProxy.this.mServiceWatcherAb.getBestPackageName());
                    android.util.Log.e("HwLocationProviderProxy", stringBuilder2.toString(), e2);
                }
                com.android.internal.location.ProviderProperties properties2 = properties;
                synchronized (com.android.server.location.HwLocationProviderProxy.this.mLock) {
                    com.android.server.location.HwLocationProviderProxy.this.mPropertiesAb = properties2;
                }
            }
        }
    };
    protected java.lang.Runnable mNewServiceWorkGoogle = new java.lang.Runnable() {
        public void run() {
            boolean enabled;
            com.android.internal.location.ProviderRequest request;
            android.os.WorkSource source;
            com.android.internal.location.ILocationProvider service;
            com.android.internal.location.ProviderProperties properties = null;
            synchronized (com.android.server.location.HwLocationProviderProxy.this.mLock) {
                enabled = com.android.server.location.HwLocationProviderProxy.this.mEnabled;
                request = com.android.server.location.HwLocationProviderProxy.this.mRequest;
                source = com.android.server.location.HwLocationProviderProxy.this.mWorksource;
                service = com.android.server.location.HwLocationProviderProxy.this.getServiceGoogle();
            }
            if (service != null) {
                try {
                    java.lang.StringBuilder stringBuilder;
                    properties = service.getProperties();
                    if (properties == null) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append(com.android.server.location.HwLocationProviderProxy.this.mServiceWatcherGoogle.getBestPackageName());
                        stringBuilder.append(" has invalid locatino provider properties");
                        android.util.Log.e("HwLocationProviderProxy", stringBuilder.toString());
                    }
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("mNewServiceWorkGoogle use google. ");
                    stringBuilder.append(com.android.server.location.HwLocationProviderProxy.this.mNlpUsed);
                    android.util.Log.d("HwLocationProviderProxy", stringBuilder.toString());
                    if (enabled) {
                        service.enable();
                        if (com.android.server.location.HwLocationProviderProxy.this.mNlpUsed == 1 && request != null) {
                            service.setRequest(request, source);
                        }
                    }
                } catch (android.os.RemoteException e) {
                    android.util.Log.w("HwLocationProviderProxy", e);
                } catch (java.lang.Exception e2) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("Exception from ");
                    stringBuilder2.append(com.android.server.location.HwLocationProviderProxy.this.mServiceWatcherGoogle.getBestPackageName());
                    android.util.Log.e("HwLocationProviderProxy", stringBuilder2.toString(), e2);
                }
                com.android.internal.location.ProviderProperties properties2 = properties;
                synchronized (com.android.server.location.HwLocationProviderProxy.this.mLock) {
                    com.android.server.location.HwLocationProviderProxy.this.mPropertiesGoogle = properties2;
                }
            }
        }
    };
    private int mNlpUsed = 0;
    private boolean mPMAbRegisted = false;
    private boolean mPMGoogleRegisted = false;
    private final com.android.internal.content.PackageMonitor mPackageMonitorAb = new com.android.internal.content.PackageMonitor() {
        public boolean onPackageChanged(java.lang.String packageName, int uid, java.lang.String[] components) {
            synchronized (com.android.server.location.HwLocationProviderProxy.this.mLock) {
                if (packageName.equals(com.android.server.location.HwLocationProviderProxy.this.ab_nlp_pkName)) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("rebind onPackageChanged ");
                    stringBuilder.append(packageName);
                    android.util.Log.d("HwLocationProviderProxy", stringBuilder.toString());
                    if (!(com.android.server.location.HwLocationProviderProxy.this.start_ab || com.android.server.location.HwLocationProviderProxy.this.mServiceWatcherAb == null)) {
                        com.android.server.location.HwLocationProviderProxy.this.start_ab = com.android.server.location.HwLocationProviderProxy.this.mServiceWatcherAb.start();
                        com.android.server.location.HwLocationProviderProxy hwLocationProviderProxy = com.android.server.location.HwLocationProviderProxy.this;
                        boolean z = com.android.server.location.HwLocationProviderProxy.this.start_g && com.android.server.location.HwLocationProviderProxy.this.start_ab;
                        hwLocationProviderProxy.isDualNlpAlive = z;
                    }
                }
            }
            return super.onPackageChanged(packageName, uid, components);
        }
    };
    private final com.android.internal.content.PackageMonitor mPackageMonitorGoogle = new com.android.internal.content.PackageMonitor() {
        public boolean onPackageChanged(java.lang.String packageName, int uid, java.lang.String[] components) {
            synchronized (com.android.server.location.HwLocationProviderProxy.this.mLock) {
                if (packageName.equals(com.android.server.location.HwLocationProviderProxy.this.google_nlp_pkName)) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("rebind onPackageChanged ");
                    stringBuilder.append(packageName);
                    android.util.Log.d("HwLocationProviderProxy", stringBuilder.toString());
                    if (!(com.android.server.location.HwLocationProviderProxy.this.start_g || com.android.server.location.HwLocationProviderProxy.this.mServiceWatcherGoogle == null)) {
                        com.android.server.location.HwLocationProviderProxy.this.start_g = com.android.server.location.HwLocationProviderProxy.this.mServiceWatcherGoogle.start();
                        com.android.server.location.HwLocationProviderProxy hwLocationProviderProxy = com.android.server.location.HwLocationProviderProxy.this;
                        boolean z = com.android.server.location.HwLocationProviderProxy.this.start_g && com.android.server.location.HwLocationProviderProxy.this.start_ab;
                        hwLocationProviderProxy.isDualNlpAlive = z;
                    }
                }
            }
            return super.onPackageChanged(packageName, uid, components);
        }
    };
    private android.telephony.PhoneStateListener mPhoneStateListener;
    private com.android.internal.location.ProviderProperties mPropertiesAb;
    private com.android.internal.location.ProviderProperties mPropertiesGoogle;
    private com.android.internal.location.ProviderRequest mRequest = null;
    private com.android.internal.location.ProviderRequest mRequestOff = new com.android.internal.location.ProviderRequest();
    private final com.android.server.ServiceWatcher mServiceWatcherAb;
    private com.android.server.ServiceWatcher mServiceWatcherDefault;
    private final com.android.server.ServiceWatcher mServiceWatcherGoogle;
    private android.telephony.TelephonyManager mTelephonyManager;
    private android.os.WorkSource mWorksource = new android.os.WorkSource();
    private android.os.WorkSource mWorksourceOff = new android.os.WorkSource();
    private boolean start_ab = false;
    private boolean start_g = false;

    class CheckTask extends java.util.TimerTask {
        CheckTask() {
        }

        public void run() {
            com.android.server.location.HwLocationProviderProxy.this.validNlpChoice();
            com.android.server.location.HwLocationProviderProxy.this.mLocationMonitoring = false;
        }
    }

    public static com.android.server.location.HwLocationProviderProxy createAndBind(android.content.Context context, java.lang.String name, java.lang.String action, int overlaySwitchResId, int defaultServicePackageNameResId, int initialPackageNamesResId, android.os.Handler handler) {
        com.android.server.location.HwLocationProviderProxy proxy = new com.android.server.location.HwLocationProviderProxy(context, name, action, overlaySwitchResId, defaultServicePackageNameResId, initialPackageNamesResId, handler);
        if (proxy.bind()) {
            return proxy;
        }
        return null;
    }

    private com.android.server.ServiceWatcher serviceWatcherCreate(int nlp, java.lang.String action, int overlaySwitchResId, int defaultServicePackageNameResId, int initialPackageNamesResId, android.os.Handler handler) {
        java.lang.String servicePackageName;
        java.lang.Runnable runnable;
        java.util.ArrayList<java.lang.String> initialPackageNames = new java.util.ArrayList();
        if (nlp == 1) {
            servicePackageName = this.google_nlp_pkName;
            runnable = this.mNewServiceWorkGoogle;
        } else {
            servicePackageName = this.ab_nlp_pkName;
            runnable = this.mNewServiceWorkAb;
        }
        java.lang.Runnable newServiceWork = runnable;
        initialPackageNames.add(servicePackageName);
        java.util.ArrayList<java.util.HashSet<android.content.pm.Signature>> signatureSets = com.android.server.ServiceWatcher.getSignatureSets(this.mContext, initialPackageNames);
        android.content.Context context = this.mContext;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("HwLocationProviderProxy-");
        stringBuilder.append(this.mName);
        com.android.server.ServiceWatcher serviceWatcher = new com.android.server.ServiceWatcher(context, stringBuilder.toString(), action, overlaySwitchResId, defaultServicePackageNameResId, initialPackageNamesResId, newServiceWork, handler);
        mServiceWatcherUtils.setServicePackageName(serviceWatcher, servicePackageName);
        mServiceWatcherUtils.setSignatureSets(serviceWatcher, signatureSets);
        return serviceWatcher;
    }

    public HwLocationProviderProxy(android.content.Context context, java.lang.String name, java.lang.String action, int overlaySwitchResId, int defaultServicePackageNameResId, int initialPackageNamesResId, android.os.Handler handler) {
        super(context, name);
        this.mContext = context;
        this.mName = name;
        this.mRequestOff.interval = 86400000;
        java.lang.String str = action;
        int i = overlaySwitchResId;
        int i2 = defaultServicePackageNameResId;
        int i3 = initialPackageNamesResId;
        android.os.Handler handler2 = handler;
        this.mServiceWatcherGoogle = serviceWatcherCreate(1, str, i, i2, i3, handler2);
        this.mServiceWatcherAb = serviceWatcherCreate(2, str, i, i2, i3, handler2);
        this.isDualNlpAlive = false;
        this.mServiceWatcherDefault = this.mServiceWatcherGoogle;
    }

    private boolean bind() {
        if (this.mServiceWatcherAb != null && com.android.server.location.HwMultiNlpPolicy.isChineseVersion()) {
            this.start_ab = this.mServiceWatcherAb.start();
            if (!this.start_ab) {
                this.mPMAbRegisted = true;
                this.mPackageMonitorAb.register(this.mContext, null, android.os.UserHandle.ALL, true);
            }
        }
        if (!(this.mServiceWatcherGoogle == null || com.android.server.location.HwMultiNlpPolicy.isChineseVersion())) {
            this.start_g = this.mServiceWatcherGoogle.start();
            if (!this.start_g) {
                this.mPMGoogleRegisted = true;
                this.mPackageMonitorGoogle.register(this.mContext, null, android.os.UserHandle.ALL, true);
            }
        }
        registerPhoneStateListener();
        boolean z = this.start_ab && this.start_g;
        this.isDualNlpAlive = z;
        if (this.start_g) {
            this.mNlpUsed = 1;
            this.mServiceWatcherDefault = this.mServiceWatcherGoogle;
        } else {
            this.mNlpUsed = 2;
            this.mServiceWatcherDefault = this.mServiceWatcherAb;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mNlp:start_g ");
        stringBuilder.append(this.start_g);
        stringBuilder.append(" , start_ab ");
        stringBuilder.append(this.start_ab);
        android.util.Log.d("HwLocationProviderProxy", stringBuilder.toString());
        if (!this.start_g) {
            if (!this.start_ab) {
                return false;
            }
        }
        return true;
    }

    private void registerPhoneStateListener() {
        this.mPhoneStateListener = new android.telephony.PhoneStateListener() {
            public void onServiceStateChanged(android.telephony.ServiceState state) {
                if (state != null) {
                    java.lang.String numeric = state.getOperatorNumeric();
                    if (numeric != null && numeric.length() >= 5 && numeric.substring(0, 5).equals("99999")) {
                        return;
                    }
                    if (numeric != null && numeric.length() >= 3 && numeric.substring(0, 3).equals("460")) {
                        com.android.server.location.HwLocationProviderProxy.this.abNlpBind();
                    } else if (numeric != null && !numeric.equals("")) {
                        com.android.server.location.HwLocationProviderProxy.this.googleNlpBind();
                    }
                }
            }
        };
        this.mTelephonyManager = (android.telephony.TelephonyManager) this.mContext.getSystemService("phone");
        this.mTelephonyManager.listen(this.mPhoneStateListener, 1);
    }

    private void googleNlpBind() {
        if (!this.start_g && !this.mPMGoogleRegisted && this.mServiceWatcherGoogle != null) {
            this.start_g = this.mServiceWatcherGoogle.start();
            boolean z = true;
            if (!(this.start_g || this.mPMGoogleRegisted)) {
                this.mPMGoogleRegisted = true;
                this.mPackageMonitorGoogle.register(this.mContext, null, android.os.UserHandle.ALL, true);
            }
            if (!this.start_g || !this.start_ab) {
                z = false;
            }
            this.isDualNlpAlive = z;
        }
    }

    private void abNlpBind() {
        if (!this.start_ab && !this.mPMAbRegisted && this.mServiceWatcherAb != null) {
            this.start_ab = this.mServiceWatcherAb.start();
            boolean z = true;
            if (!(this.start_ab || this.mPMAbRegisted)) {
                this.mPMAbRegisted = true;
                this.mPackageMonitorAb.register(this.mContext, null, android.os.UserHandle.ALL, true);
            }
            if (!this.start_g || !this.start_ab) {
                z = false;
            }
            this.isDualNlpAlive = z;
        }
    }

    private com.android.internal.location.ILocationProvider getServiceGoogle() {
        if (this.mServiceWatcherGoogle != null) {
            return com.android.internal.location.ILocationProvider.Stub.asInterface(this.mServiceWatcherGoogle.getBinder());
        }
        return null;
    }

    private com.android.internal.location.ILocationProvider getServiceAb() {
        if (this.mServiceWatcherAb != null) {
            return com.android.internal.location.ILocationProvider.Stub.asInterface(this.mServiceWatcherAb.getBinder());
        }
        return null;
    }

    private com.android.internal.location.ILocationProvider getService() {
        if (this.mServiceWatcherDefault != null) {
            return com.android.internal.location.ILocationProvider.Stub.asInterface(this.mServiceWatcherDefault.getBinder());
        }
        return null;
    }

    public java.lang.String getConnectedPackageName() {
        if (this.start_g && this.start_ab) {
            if (this.mServiceWatcherGoogle.getBestPackageName() == null) {
                return this.mServiceWatcherAb.getBestPackageName();
            }
            if (this.mServiceWatcherAb.getBestPackageName() == null) {
                return this.mServiceWatcherGoogle.getBestPackageName();
            }
            java.lang.StringBuilder stringBuilder;
            if (1 == this.mNlpUsed) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(this.mServiceWatcherGoogle.getBestPackageName());
                stringBuilder.append(";");
                stringBuilder.append(this.mServiceWatcherAb.getBestPackageName());
                return stringBuilder.toString();
            }
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(this.mServiceWatcherAb.getBestPackageName());
            stringBuilder.append(";");
            stringBuilder.append(this.mServiceWatcherGoogle.getBestPackageName());
            return stringBuilder.toString();
        } else if (this.start_g) {
            return this.mServiceWatcherGoogle.getBestPackageName();
        } else {
            return this.mServiceWatcherAb.getBestPackageName();
        }
    }

    public java.lang.String getName() {
        return this.mName;
    }

    public com.android.internal.location.ProviderProperties getProperties() {
        com.android.internal.location.ProviderProperties providerProperties;
        synchronized (this.mLock) {
            providerProperties = this.mNlpUsed == 1 ? this.mPropertiesGoogle : this.mPropertiesAb;
        }
        return providerProperties;
    }

    private void enableGoolge() {
        if (this.start_g) {
            com.android.internal.location.ILocationProvider service = getServiceGoogle();
            if (service != null) {
                try {
                    service.enable();
                } catch (android.os.RemoteException e) {
                    android.util.Log.w("HwLocationProviderProxy", e);
                } catch (java.lang.Exception e2) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("Exception from ");
                    stringBuilder.append(this.mServiceWatcherGoogle.getBestPackageName());
                    android.util.Log.e("HwLocationProviderProxy", stringBuilder.toString(), e2);
                }
            }
        }
    }

    private void enableAb() {
        if (this.start_ab) {
            com.android.internal.location.ILocationProvider service = getServiceAb();
            if (service != null) {
                try {
                    service.enable();
                } catch (android.os.RemoteException e) {
                    android.util.Log.w("HwLocationProviderProxy", e);
                } catch (java.lang.Exception e2) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("Exception from ");
                    stringBuilder.append(this.mServiceWatcherGoogle.getBestPackageName());
                    android.util.Log.e("HwLocationProviderProxy", stringBuilder.toString(), e2);
                }
            }
        }
    }

    public void enable() {
        synchronized (this.mLock) {
            this.mEnabled = true;
        }
        enableGoolge();
        enableAb();
    }

    private void disableGoolge() {
        if (this.start_g) {
            com.android.internal.location.ILocationProvider service = getServiceGoogle();
            if (service != null) {
                try {
                    service.disable();
                } catch (android.os.RemoteException e) {
                    android.util.Log.w("HwLocationProviderProxy", e);
                } catch (java.lang.Exception e2) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("Exception from ");
                    stringBuilder.append(this.mServiceWatcherGoogle.getBestPackageName());
                    android.util.Log.e("HwLocationProviderProxy", stringBuilder.toString(), e2);
                }
            }
        }
    }

    private void disableAb() {
        if (this.start_ab) {
            com.android.internal.location.ILocationProvider service = getServiceAb();
            if (service != null) {
                try {
                    service.disable();
                } catch (android.os.RemoteException e) {
                    android.util.Log.w("HwLocationProviderProxy", e);
                } catch (java.lang.Exception e2) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("Exception from ");
                    stringBuilder.append(this.mServiceWatcherAb.getBestPackageName());
                    android.util.Log.e("HwLocationProviderProxy", stringBuilder.toString(), e2);
                }
            }
        }
    }

    public void disable() {
        synchronized (this.mLock) {
            this.mEnabled = false;
        }
        disableGoolge();
        disableAb();
        cancelCheckTimer();
    }

    public boolean isEnabled() {
        boolean z;
        synchronized (this.mLock) {
            z = this.mEnabled;
        }
        return z;
    }

    private void cancelCheckTimer() {
        if (this.mCheckTimer != null) {
            this.mCheckTimer.cancel();
            this.mCheckTimer = null;
        }
    }

    private void startCheckTask(int delytime) {
        cancelCheckTimer();
        this.mCheckTimer = new java.util.Timer("LocationCheckTimer");
        this.mCheckTimer.schedule(new com.android.server.location.HwLocationProviderProxy.CheckTask(), (long) delytime);
    }

    private void validNlpChoice() {
        boolean shouldUseGoogle = com.android.server.location.HwMultiNlpPolicy.getDefault().shouldUseGoogleNLP(true);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("validNlpChoice google/");
        stringBuilder.append(this.mLocationSuccess_google);
        stringBuilder.append(", Ab/");
        stringBuilder.append(this.mLocationSuccess_Ab);
        stringBuilder.append(" ,nlp/");
        stringBuilder.append(getNlpName(this.mNlpUsed));
        stringBuilder.append(", shouldUseGoogle/");
        stringBuilder.append(shouldUseGoogle);
        android.util.Log.d("HwLocationProviderProxy", stringBuilder.toString());
        if (this.mLocationSuccess_google && this.mLocationSuccess_Ab) {
            if (shouldUseGoogle) {
                if (isEnabled()) {
                    setRequest(this.mRequestOff, this.mWorksourceOff, 2);
                }
                this.mNlpUsed = 1;
                this.mServiceWatcherDefault = this.mServiceWatcherGoogle;
            } else {
                if (isEnabled()) {
                    setRequest(this.mRequestOff, this.mWorksourceOff, 1);
                }
                this.mNlpUsed = 2;
                this.mServiceWatcherDefault = this.mServiceWatcherAb;
            }
        } else if (this.mLocationSuccess_google) {
            if (isEnabled()) {
                setRequest(this.mRequestOff, this.mWorksourceOff, 2);
            }
            this.mNlpUsed = 1;
            this.mServiceWatcherDefault = this.mServiceWatcherGoogle;
        } else if (this.mLocationSuccess_Ab) {
            if (isEnabled()) {
                setRequest(this.mRequestOff, this.mWorksourceOff, 1);
            }
            this.mNlpUsed = 2;
            this.mServiceWatcherDefault = this.mServiceWatcherAb;
        } else if (isEnabled()) {
            this.mNlpUsed = 0;
        }
        this.mLastCheckTime = android.os.SystemClock.elapsedRealtime();
    }

    private void setRequest(com.android.internal.location.ProviderRequest request, android.os.WorkSource source, int provider) {
        com.android.internal.location.ILocationProvider service = 1 == provider ? getServiceGoogle() : getServiceAb();
        com.android.server.ServiceWatcher serviceWatcher = 1 == provider ? this.mServiceWatcherGoogle : this.mServiceWatcherAb;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setRequest to ");
        stringBuilder.append(getNlpName(provider));
        android.util.Log.d("HwLocationProviderProxy", stringBuilder.toString());
        if (service != null) {
            try {
                service.setRequest(request, source);
            } catch (android.os.RemoteException e) {
                android.util.Log.w("HwLocationProviderProxy", e);
            } catch (java.lang.Exception e2) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("Exception from ");
                stringBuilder2.append(serviceWatcher.getBestPackageName());
                android.util.Log.e("HwLocationProviderProxy", stringBuilder2.toString(), e2);
            }
            return;
        }
        android.util.Log.e("HwLocationProviderProxy", "setRequest service is null.");
    }

    public void setRequest(com.android.internal.location.ProviderRequest request, android.os.WorkSource source) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setRequest ");
        stringBuilder.append(request);
        stringBuilder.append(", mNlpUsed ");
        stringBuilder.append(this.mNlpUsed);
        stringBuilder.append(",mLocationMonitoring ");
        stringBuilder.append(this.mLocationMonitoring);
        android.util.Log.d("HwLocationProviderProxy", stringBuilder.toString());
        synchronized (this.mLock) {
            this.mRequest = request;
            this.mWorksource = source;
        }
        if (!this.isDualNlpAlive || (this.mNlpUsed != 0 && (!this.mLocationMonitoring || (!com.android.server.location.HwMultiNlpPolicy.getDefault().shouldBeRecheck() && android.os.SystemClock.elapsedRealtime() <= this.mLastCheckTime + 3600000)))) {
            this.mLocationMonitoring = false;
            setRequest(request, source, this.mNlpUsed);
            return;
        }
        setRequest(request, source, 1);
        setRequest(request, source, 2);
        startCheckTask(10000);
    }

    public void resetNLPFlag() {
        android.util.Log.d("HwLocationProviderProxy", "resetNLPFlag ");
        if (!this.mLocationMonitoring) {
            this.mLocationMonitoring = true;
            this.mLocationSuccess_Ab = false;
            this.mLocationSuccess_google = false;
        }
    }

    private java.lang.String getAppName(int pid) {
        java.util.List<android.app.ActivityManager.RunningAppProcessInfo> appProcessList = ((android.app.ActivityManager) this.mContext.getSystemService("activity")).getRunningAppProcesses();
        if (appProcessList == null) {
            return null;
        }
        for (android.app.ActivityManager.RunningAppProcessInfo appProcess : appProcessList) {
            if (pid == appProcess.pid) {
                return appProcess.processName;
            }
        }
        return null;
    }

    private int reportLocationNlp(int pid) {
        int ret = 0;
        java.lang.StringBuilder stringBuilder;
        if (pid == this.ab_nlp_pid && this.ab_nlp_pid != 0) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("reportLocationNlp ");
            stringBuilder.append(pid);
            stringBuilder.append(", ab");
            android.util.Log.d("HwLocationProviderProxy", stringBuilder.toString());
            return 2;
        } else if (pid != this.google_nlp_pid || this.google_nlp_pid == 0) {
            java.lang.String appName = getAppName(pid);
            if (this.ab_nlp_pkName.equals(appName)) {
                this.ab_nlp_pid = pid;
                ret = 2;
            }
            if (appName != null && appName.indexOf(this.google_nlp_pkName) >= 0) {
                this.google_nlp_pid = pid;
                ret = 1;
            }
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("reportLocationNlp ");
            stringBuilder2.append(appName);
            stringBuilder2.append(", pid ");
            stringBuilder2.append(pid);
            android.util.Log.d("HwLocationProviderProxy", stringBuilder2.toString());
            return ret;
        } else {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("reportLocationNlp ");
            stringBuilder.append(pid);
            stringBuilder.append(", google");
            android.util.Log.d("HwLocationProviderProxy", stringBuilder.toString());
            return 1;
        }
    }

    public boolean reportNLPLocation(int pid) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("reportNLPLocation ");
        stringBuilder.append(pid);
        stringBuilder.append(", nlpUsed ");
        stringBuilder.append(this.mNlpUsed);
        stringBuilder.append(", dualNlp ");
        stringBuilder.append(this.isDualNlpAlive);
        stringBuilder.append(", monitoring ");
        stringBuilder.append(this.mLocationMonitoring);
        android.util.Log.d("HwLocationProviderProxy", stringBuilder.toString());
        boolean ret = true;
        if (this.isDualNlpAlive) {
            int nlp = reportLocationNlp(pid);
            if (this.mLocationMonitoring) {
                if (nlp == 2) {
                    this.mLocationSuccess_Ab = true;
                } else if (nlp == 1) {
                    this.mLocationSuccess_google = true;
                }
                if (nlp != com.android.server.location.HwMultiNlpPolicy.getDefault().shouldUseNLP() && (nlp != 2 || this.mLocationSuccess_google)) {
                    if (nlp != 1 || this.mLocationSuccess_Ab) {
                        ret = false;
                    }
                }
                ret = true;
            } else if (nlp == this.mNlpUsed) {
                ret = true;
            } else if (this.mNlpUsed == 0) {
                if (nlp == 2) {
                    this.mLocationSuccess_Ab = true;
                } else if (nlp == 1) {
                    this.mLocationSuccess_google = true;
                }
                validNlpChoice();
                ret = true;
            } else {
                ret = false;
            }
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("shouldReportLocation . ");
            stringBuilder2.append(ret);
            stringBuilder2.append(", from ");
            stringBuilder2.append(getNlpName(nlp));
            android.util.Log.d("HwLocationProviderProxy", stringBuilder2.toString());
        }
        return ret;
    }

    private java.lang.String getNlpName(int nlp) {
        switch (nlp) {
            case 1:
                return "google map";
            case 2:
                return "Amap or baidu map";
            default:
                return "unkonw";
        }
    }

    public void dump(java.io.FileDescriptor fd, java.io.PrintWriter pw, java.lang.String[] args) {
        pw.append("REMOTE SERVICE");
        pw.append(" name=").append(this.mName);
        pw.append(" pkg=").append(this.mServiceWatcherDefault.getBestPackageName());
        pw.append(" version=").append(java.lang.Integer.toString(this.mServiceWatcherDefault.getBestVersion()));
        pw.append(10);
        com.android.internal.location.ILocationProvider service = getService();
        if (service == null) {
            pw.println("service down (null)");
            return;
        }
        pw.flush();
        try {
            service.asBinder().dump(fd, args);
        } catch (android.os.RemoteException e) {
            pw.println("service down (RemoteException)");
            android.util.Log.w("HwLocationProviderProxy", e);
        } catch (java.lang.Exception e2) {
            pw.println("service down (Exception)");
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Exception from ");
            stringBuilder.append(this.mServiceWatcherDefault.getBestPackageName());
            android.util.Log.e("HwLocationProviderProxy", stringBuilder.toString(), e2);
        }
    }

    public int getStatus(android.os.Bundle extras) {
        com.android.internal.location.ILocationProvider service = getService();
        if (service == null) {
            return 1;
        }
        try {
            return service.getStatus(extras);
        } catch (android.os.RemoteException e) {
            android.util.Log.w("HwLocationProviderProxy", e);
            return 1;
        } catch (java.lang.Exception e2) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Exception from ");
            stringBuilder.append(this.mServiceWatcherDefault.getBestPackageName());
            android.util.Log.e("HwLocationProviderProxy", stringBuilder.toString(), e2);
            return 1;
        }
    }

    public long getStatusUpdateTime() {
        com.android.internal.location.ILocationProvider service = getService();
        if (service == null) {
            return 0;
        }
        try {
            return service.getStatusUpdateTime();
        } catch (android.os.RemoteException e) {
            android.util.Log.w("HwLocationProviderProxy", e);
            return 0;
        } catch (java.lang.Exception e2) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Exception from ");
            stringBuilder.append(this.mServiceWatcherDefault.getBestPackageName());
            android.util.Log.e("HwLocationProviderProxy", stringBuilder.toString(), e2);
            return 0;
        }
    }

    public boolean sendExtraCommand(java.lang.String command, android.os.Bundle extras) {
        com.android.internal.location.ILocationProvider service = getService();
        if (service == null) {
            return false;
        }
        try {
            return service.sendExtraCommand(command, extras);
        } catch (android.os.RemoteException e) {
            android.util.Log.w("HwLocationProviderProxy", e);
            return false;
        } catch (java.lang.Exception e2) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Exception from ");
            stringBuilder.append(this.mServiceWatcherDefault.getBestPackageName());
            android.util.Log.e("HwLocationProviderProxy", stringBuilder.toString(), e2);
            return false;
        }
    }
}
