package com.android.server.location;

public class HwXmlLogParse {
    private static final java.lang.String ACC_ATTR = "acc";
    private static final java.lang.String ACTION_ATTR = "action";
    private static final java.lang.String ALT_ATTR = "alt";
    private static final java.lang.String COORDINATE_TAG = "coordinate";
    private static final java.lang.String EVENT_ID_ATTR = "event_id";
    private static final java.lang.String EVENT_TAG = "event";
    private static final int FILE_MAX_NUMBER = 5;
    private static final long FILE_MAX_SIZE = 5242880;
    private static final java.lang.String HEADING_ATTR = "heading";
    private static final java.lang.String INFORMATION_TAG = "infomation";
    private static final java.lang.String INTERVAL_ATTR = "interval";
    private static final java.lang.String LAT_ATTR = "lat";
    private static final java.lang.String LON_ATTR = "lon";
    private static final java.lang.String NUMBER_ATTR = "number";
    private static final java.lang.String PACKAGE_NAME_ATTR = "package_name";
    private static final int POSITION_ATTR_NUM = 1;
    private static final int POSITION_COORDINATE_ATTR_NUM = 8;
    private static final int POSITION_RECEIVERS_ATTR_NUM = 2;
    private static final java.lang.String POSITION_TAG = "position";
    private static final java.lang.String PROVIDER_ATTR = "provider";
    private static final java.lang.String RECEIVER_ATTR = "receiver";
    private static final java.lang.String RECEIVER_TAG = "receivers";
    private static final java.lang.String ROOT_TAG = "hwlbslog";
    private static final int SESSION_ATTR_NUM = 1;
    private static final int SESSION_INFOMATION_ATTR_START = 5;
    private static final int SESSION_INFOMATION_ATTR_STOP = 3;
    private static final java.lang.String SESSION_START = "start";
    private static final java.lang.String SESSION_STOP = "stop";
    private static final java.lang.String SESSION_TAG = "session";
    private static final java.lang.String SPEED_ATTR = "speed";
    private static final java.lang.String TAG = "HwXmlLogParse";
    private static final java.lang.String TIMESTAMP_ATTR = "timestamp";
    private static final java.lang.String TIME_ATTR = "loc_time";
    private static final java.lang.String TYPE_ATTR = "type";
    private static final java.lang.String VALUES_ATTR = "values";
    private static final java.lang.String lbsLogPath = "/data/log/gps/hwlbslogger";
    private static java.io.File mFile;
    private static java.io.FileOutputStream mFileOutputStream;
    private static org.xmlpull.v1.XmlSerializer mXmlSerializer;

    private static java.lang.String getLogNameTime() {
        return new java.text.SimpleDateFormat("yyyyMMddHHmmssSSS", java.util.Locale.US).format(new java.util.Date());
    }

    public static void positionTag(java.lang.String data) {
        if (data != null) {
            if (!data.equals("")) {
                checkFileSize();
                java.lang.String[] datas = moreDataCheck(data, 3, "position");
                if (datas.length != 0) {
                    java.lang.String[] values = dataCheck(datas[0], 1, "position");
                    if (values.length != 0) {
                        createStartTagHasAttr("position", "timestamp", values[0]);
                        values = dataCheck(datas[1], 8, "coordinate");
                        if (values.length != 0) {
                            createNode("coordinate", new java.lang.String[]{"timestamp", "lat", "lon", "alt", "acc", "speed", "heading", "provider"}, values);
                        }
                        java.lang.String[] values2 = dataCheck(datas[2], 2, "receivers");
                        if (values2.length != 0) {
                            createNode("receivers", new java.lang.String[]{"number", "values"}, values2);
                        }
                        createEndTag("position");
                        flush();
                        return;
                    }
                    return;
                }
                return;
            }
        }
        android.util.Log.d("HwXmlLogParse", "positionTag, data is invalid.");
    }

    public static void sessionTag(java.lang.String data, java.lang.String type) {
        if (data != null) {
            if (!data.equals("")) {
                checkFileSize();
                java.lang.String[] datas = moreDataCheck(data, 2, "session");
                if (datas.length != 0) {
                    java.lang.String[] values = dataCheck(datas[0], 1, "session");
                    if (values.length != 0) {
                        createStartTagHasAttr("session", "timestamp", values[0]);
                        if ("start".equals(type)) {
                            values = dataCheck(datas[1], 5, "infomation");
                            if (values.length != 0) {
                                createNode("infomation", new java.lang.String[]{"action", "package_name", "type", "interval", "receiver"}, values);
                            }
                        } else if ("stop".equals(type)) {
                            values = dataCheck(datas[1], 3, "infomation");
                            if (values.length != 0) {
                                createNode("infomation", new java.lang.String[]{"action", "package_name", "receiver"}, values);
                            }
                        }
                        createEndTag("session");
                        flush();
                        return;
                    }
                    return;
                }
                return;
            }
        }
        android.util.Log.d("HwXmlLogParse", "sessionTag, data is invalid.");
    }

    private static void checkFileSize() {
        if (mFile == null) {
            android.util.Log.e("HwXmlLogParse", "mfile is null.");
            return;
        }
        if (mFile.length() >= 5242880) {
            android.util.Log.d("HwXmlLogParse", "file size 5M");
            createEndTag("hwlbslog");
            endDocument();
            createXmlSerializer();
        }
    }

    private static void checkFileCount() {
        if (mFile == null) {
            android.util.Log.e("HwXmlLogParse", "mfile is null.");
            return;
        }
        java.io.File dir = mFile.getParentFile();
        if (dir.isDirectory()) {
            java.io.File[] files = dir.listFiles();
            if (files != null && files.length >= 5) {
                java.util.Arrays.sort(files, new java.util.Comparator<java.io.File>() {
                    public int compare(java.io.File lhs, java.io.File rhs) {
                        return (int) (rhs.lastModified() - lhs.lastModified());
                    }
                });
                for (int i = 4; i < files.length; i++) {
                    java.io.File file = files[i];
                    if (file.delete()) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("deleted old file ");
                        stringBuilder.append(file);
                        android.util.Log.d("HwXmlLogParse", stringBuilder.toString());
                    }
                }
                return;
            }
            return;
        }
        android.util.Log.e("HwXmlLogParse", "mfile parent is not a directory.");
    }

    private static void createXmlFile() {
        java.lang.StringBuffer logName = new java.lang.StringBuffer();
        logName.append("/data/log/gps/hwlbslogger");
        logName.append(java.io.File.separator);
        logName.append("hwlbslog_");
        logName.append(getLogNameTime());
        logName.append(".xml");
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("file name:");
        stringBuilder.append(logName.toString());
        android.util.Log.d("HwXmlLogParse", stringBuilder.toString());
        try {
            mFile = new java.io.File(logName.toString());
            if (!mFile.getParentFile().exists() && mFile.getParentFile().mkdirs() && mFile.createNewFile()) {
                android.util.Log.d("HwXmlLogParse", "createNewFile ok.");
            }
            checkFileCount();
            mFileOutputStream = new java.io.FileOutputStream(mFile);
        } catch (java.io.FileNotFoundException e) {
            android.util.Log.e("HwXmlLogParse", "create xml log fail, file not found.");
        } catch (java.lang.Exception e2) {
            android.util.Log.e("HwXmlLogParse", "create xml log fail.");
        }
    }

    public static void createXmlSerializer() {
        createXmlFile();
        try {
            mXmlSerializer = android.util.Xml.newSerializer();
            java.lang.String encoding = "utf-8";
            mXmlSerializer.setOutput(mFileOutputStream, "utf-8");
            mXmlSerializer.setFeature("http://xmlpull.org/v1/doc/features.html#indent-output", true);
            mXmlSerializer.startDocument("utf-8", java.lang.Boolean.valueOf(true));
            createStartTag("hwlbslog");
            android.util.Log.d("HwXmlLogParse", "create xmlSerializer succeed.");
        } catch (java.io.IOException e) {
            android.util.Log.e("HwXmlLogParse", "create xmlSerializer fail.");
        }
    }

    private static void endDocument() {
        try {
            if (mXmlSerializer == null) {
                if (mFileOutputStream != null) {
                    try {
                        mFileOutputStream.close();
                    } catch (java.io.IOException e) {
                        android.util.Log.e("HwXmlLogParse", "close mFileOutputStream error.");
                    }
                }
                return;
            }
            mXmlSerializer.flush();
            mXmlSerializer.endDocument();
            if (mFileOutputStream != null) {
                try {
                    mFileOutputStream.close();
                } catch (java.io.IOException e2) {
                    android.util.Log.e("HwXmlLogParse", "close mFileOutputStream error.");
                }
            }
        } catch (java.lang.Exception e3) {
            android.util.Log.e("HwXmlLogParse", "end document error.");
            if (mFileOutputStream != null) {
                mFileOutputStream.close();
            }
        } catch (Throwable th) {
            if (mFileOutputStream != null) {
                try {
                    mFileOutputStream.close();
                } catch (java.io.IOException e4) {
                    android.util.Log.e("HwXmlLogParse", "close mFileOutputStream error.");
                }
            }
        }
    }

    private static java.lang.String[] dataCheck(java.lang.String data, int len, java.lang.String tag) {
        int i = 0;
        if (android.text.TextUtils.isEmpty(data)) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(tag);
            stringBuilder.append(" tag: data is null.");
            android.util.Log.e("HwXmlLogParse", stringBuilder.toString());
            return new java.lang.String[0];
        }
        java.lang.String[] values = data.split(",");
        if (values.length != len) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(tag);
            stringBuilder2.append(" tag: invalid data.");
            android.util.Log.e("HwXmlLogParse", stringBuilder2.toString());
            return new java.lang.String[0];
        }
        while (i < values.length) {
            if ("NA".equals(values[i])) {
                values[i] = "";
            }
            i++;
        }
        return values;
    }

    private static java.lang.String[] moreDataCheck(java.lang.String data, int len, java.lang.String tag) {
        if (android.text.TextUtils.isEmpty(data)) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(tag);
            stringBuilder.append(" tag: data is null.");
            android.util.Log.e("HwXmlLogParse", stringBuilder.toString());
            return new java.lang.String[0];
        }
        java.lang.String[] values = data.split("\\|");
        if (values.length == len) {
            return values;
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append(tag);
        stringBuilder2.append(" tag: invalid data.");
        android.util.Log.e("HwXmlLogParse", stringBuilder2.toString());
        return new java.lang.String[0];
    }

    private static void createStartTag(java.lang.String tag) {
        try {
            if (mXmlSerializer != null) {
                if (!android.text.TextUtils.isEmpty(tag)) {
                    mXmlSerializer.startTag(null, tag);
                }
            }
        } catch (java.lang.Exception e) {
            android.util.Log.e("HwXmlLogParse", "create start tag fail.");
        }
    }

    private static void createStartTagHasAttr(java.lang.String tag, java.lang.String attr, java.lang.String value) {
        try {
            if (!(mXmlSerializer == null || android.text.TextUtils.isEmpty(attr))) {
                if (!android.text.TextUtils.isEmpty(value)) {
                    mXmlSerializer.startTag(null, tag);
                    mXmlSerializer.attribute(null, attr, value);
                }
            }
        } catch (java.lang.Exception e) {
            android.util.Log.e("HwXmlLogParse", "create start tag fail.");
        }
    }

    private static void createEndTag(java.lang.String tag) {
        try {
            if (mXmlSerializer != null) {
                if (!android.text.TextUtils.isEmpty(tag)) {
                    mXmlSerializer.endTag(null, tag);
                }
            }
        } catch (java.lang.Exception e) {
            android.util.Log.e("HwXmlLogParse", "create end tag fail.");
        }
    }

    private static void createNode(java.lang.String tag, java.lang.String[] attrs, java.lang.String[] values) {
        try {
            if (!(mXmlSerializer == null || attrs == null)) {
                if (values != null) {
                    mXmlSerializer.startTag(null, tag);
                    int len = attrs.length;
                    for (int i = 0; i < len; i++) {
                        mXmlSerializer.attribute(null, attrs[i], values[i]);
                    }
                    mXmlSerializer.endTag(null, tag);
                }
            }
        } catch (java.io.IOException e) {
            android.util.Log.e("HwXmlLogParse", "create node fail.");
        }
    }

    private static void flush() {
        try {
            if (mXmlSerializer != null) {
                mXmlSerializer.flush();
            }
        } catch (java.lang.Exception e) {
            android.util.Log.e("HwXmlLogParse", "flush fail.");
        }
    }
}
