package com.android.server.location.ntp;

public class ElapsedRealTimeCheck {
    private static boolean DBG = true;
    private static final long MAX_MISS_MS = 24000;
    private static final java.lang.String TAG = "NtpElapsedRealTimeCheck";
    private static com.android.server.location.ntp.ElapsedRealTimeCheck mElapsedRealTimeCheck;
    private boolean mCanTrustElapsedRealTime = true;
    private long mTimeBegin;
    private long mTimeBeginElapsed;
    private long mTimeCheck;
    private long mTimeCheckElapsed;

    public static synchronized com.android.server.location.ntp.ElapsedRealTimeCheck getInstance() {
        com.android.server.location.ntp.ElapsedRealTimeCheck elapsedRealTimeCheck;
        synchronized (com.android.server.location.ntp.ElapsedRealTimeCheck.class) {
            if (mElapsedRealTimeCheck == null) {
                mElapsedRealTimeCheck = new com.android.server.location.ntp.ElapsedRealTimeCheck();
            }
            elapsedRealTimeCheck = mElapsedRealTimeCheck;
        }
        return elapsedRealTimeCheck;
    }

    private ElapsedRealTimeCheck() {
    }

    public void checkRealTime(long time) {
        if (this.mTimeBegin == 0) {
            this.mTimeBegin = time;
            this.mTimeBeginElapsed = android.os.SystemClock.elapsedRealtime();
        } else if (this.mTimeCheck == 0) {
            this.mTimeCheck = time;
            this.mTimeCheckElapsed = android.os.SystemClock.elapsedRealtime();
        }
        if (this.mTimeBegin != 0 && this.mTimeCheck != 0) {
            long missTime = (this.mTimeCheck - this.mTimeBegin) - (this.mTimeCheckElapsed - this.mTimeBeginElapsed);
            if (DBG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("checkRealTime missTime:");
                stringBuilder.append(missTime);
                android.util.Log.d("NtpElapsedRealTimeCheck", stringBuilder.toString());
            }
            if (java.lang.Math.abs(missTime) >= 24000) {
                this.mCanTrustElapsedRealTime = false;
            } else {
                this.mCanTrustElapsedRealTime = true;
            }
            this.mTimeCheck = 0;
            this.mTimeCheckElapsed = 0;
        }
    }

    public boolean canTrustElapsedRealTime() {
        return this.mCanTrustElapsedRealTime;
    }
}
