package com.android.server.location.ntp;

public class GpsNtpTimeCheck {
    private static boolean DBG = true;
    private static final long INVAILID_TIME = 0;
    private static final long MISSTAKE_TIME = 50000;
    private static final java.lang.String TAG = "HwGpsNtpTimeCheck";
    private static com.android.server.location.ntp.GpsNtpTimeCheck mGpsNtpTimeCheck;
    private android.content.Context mContext;
    private com.android.server.location.ntp.GpsTimeManager mGpsTimeManager = new com.android.server.location.ntp.GpsTimeManager();
    private com.android.server.location.ntp.NitzTimeManager mNitzTimeManager;

    public static synchronized com.android.server.location.ntp.GpsNtpTimeCheck getInstance(android.content.Context context) {
        com.android.server.location.ntp.GpsNtpTimeCheck gpsNtpTimeCheck;
        synchronized (com.android.server.location.ntp.GpsNtpTimeCheck.class) {
            if (mGpsNtpTimeCheck == null) {
                mGpsNtpTimeCheck = new com.android.server.location.ntp.GpsNtpTimeCheck(context);
            }
            gpsNtpTimeCheck = mGpsNtpTimeCheck;
        }
        return gpsNtpTimeCheck;
    }

    private GpsNtpTimeCheck(android.content.Context context) {
        this.mContext = context;
        this.mNitzTimeManager = new com.android.server.location.ntp.NitzTimeManager(context);
        if (DBG) {
            android.util.Log.d("HwGpsNtpTimeCheck", " created");
        }
    }

    public boolean checkNtpTime(long ntpMsTime, long msTimeSynsBoot) {
        long currentNtpTime = (android.os.SystemClock.elapsedRealtime() + ntpMsTime) - msTimeSynsBoot;
        if (this.mGpsTimeManager.getGpsTime() != 0) {
            return compareTime(currentNtpTime, this.mGpsTimeManager.getGpsTime());
        }
        if (this.mNitzTimeManager.getNitzTime() != 0) {
            return compareTime(currentNtpTime, this.mNitzTimeManager.getNitzTime());
        }
        if (DBG) {
            android.util.Log.d("HwGpsNtpTimeCheck", "checkNtpTime return false");
        }
        return false;
    }

    private boolean compareTime(long currentNtpTime, long compareTime) {
        if (DBG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("compareTime currentNtpTime:");
            stringBuilder.append(currentNtpTime);
            stringBuilder.append(" compareTime:");
            stringBuilder.append(compareTime);
            android.util.Log.d("HwGpsNtpTimeCheck", stringBuilder.toString());
        }
        long misstake = java.lang.Math.abs(currentNtpTime - compareTime);
        if (misstake > 50000) {
            if (DBG) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("find error ntp time:");
                stringBuilder2.append(misstake);
                android.util.Log.d("HwGpsNtpTimeCheck", stringBuilder2.toString());
            }
            com.android.server.location.HwGpsLogServices.getInstance(this.mContext).reportErrorNtpTime(currentNtpTime, compareTime);
            return false;
        }
        if (DBG) {
            android.util.Log.d("HwGpsNtpTimeCheck", "compareTime return true");
        }
        return true;
    }

    public void setGpsTime(long gpsMsTime, long nanosSynsBoot) {
        this.mGpsTimeManager.setGpsTime(gpsMsTime, nanosSynsBoot);
    }

    public com.android.server.location.InjectTimeRecord getInjectTime(long ntpTime) {
        return com.android.server.location.ntp.MajorityTimeManager.getInjectTime(this.mContext, this.mGpsTimeManager.getGpsTime(), ntpTime, this.mNitzTimeManager.getNitzTime());
    }
}
