package com.android.server.location.ntp;

public class GpsTimeManager {
    private static final long EXPIRT_TIME = 1209600000;
    private static final java.lang.String TAG = "NtpGpsTimeManager";
    private com.android.server.location.ntp.ElapsedRealTimeCheck mElapsedRealTimeCheck = com.android.server.location.ntp.ElapsedRealTimeCheck.getInstance();
    private com.android.server.location.ntp.TimeManager mTimeManager = new com.android.server.location.ntp.TimeManager("NtpGpsTimeManager", 1209600000);

    public GpsTimeManager() {
        if (this.mTimeManager.getmTimestamp() == 0) {
            android.util.Log.i("NtpGpsTimeManager", "mTimestamp is zero.");
            long msTime = android.os.SystemProperties.getLong("persist.sys.hwGpsTimestamp", 0);
            long msLastSystemTime = android.os.SystemProperties.getLong("persist.sys.hwLastSystemTime", 0);
            if (0 != msTime && 0 != msLastSystemTime) {
                this.mTimeManager.setCurrentTime((java.lang.System.currentTimeMillis() + msTime) - msLastSystemTime, android.os.SystemClock.elapsedRealtime());
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("getCurrentTime mTimestamp:");
                stringBuilder.append(msTime);
                stringBuilder.append(" mTimeReference:");
                stringBuilder.append(msLastSystemTime);
                android.util.Log.i("NtpGpsTimeManager", stringBuilder.toString());
            }
        }
    }

    public long getGpsTime() {
        return this.mTimeManager.getCurrentTime();
    }

    public void setGpsTime(long gpsMsTime, long nanosSynsBoot) {
        this.mTimeManager.setCurrentTime(gpsMsTime, nanosSynsBoot / 1000000);
        android.os.SystemProperties.set("persist.sys.hwGpsTimestamp", java.lang.String.valueOf(gpsMsTime));
        android.os.SystemProperties.set("persist.sys.hwLastSystemTime", java.lang.String.valueOf(java.lang.System.currentTimeMillis()));
        this.mElapsedRealTimeCheck.checkRealTime(gpsMsTime);
    }
}
