package com.android.server.location.ntp;

public class MajorityTimeManager {
    private static final int DEFAULT_UNCERTAINTY = 30;
    private static final long GPS_UTC_REFERENCE_TIME = 946656000;
    private static final long INVAILID_TIME = 0;
    private static final int PRIORITY_GPS = 3;
    private static final int PRIORITY_NITZ = 2;
    private static final int PRIORITY_NTP = 1;
    private static final java.lang.String TAG = "MajorityTimeManager";

    static class TimeRecord implements java.lang.Comparable<com.android.server.location.ntp.MajorityTimeManager.TimeRecord> {
        private int priority;
        private long timeValue;

        public TimeRecord(long timeValue, int priority) {
            this.timeValue = timeValue;
            this.priority = priority;
        }

        public int compareTo(com.android.server.location.ntp.MajorityTimeManager.TimeRecord o) {
            if (this.timeValue < o.timeValue) {
                return -1;
            }
            if (this.timeValue > o.timeValue) {
                return 1;
            }
            return 0;
        }

        public boolean equals(java.lang.Object o) {
            boolean z = true;
            if (this == o) {
                return true;
            }
            if (o != null) {
                if (getClass() == o.getClass()) {
                    if (this.timeValue != ((com.android.server.location.ntp.MajorityTimeManager.TimeRecord) o).timeValue) {
                        z = false;
                    }
                    return z;
                }
            }
            return false;
        }

        public int hashCode() {
            return (int) (this.timeValue ^ (this.timeValue >>> 32));
        }
    }

    public static com.android.server.location.InjectTimeRecord getInjectTime(android.content.Context context, long gpsTime, long ntpTime, long nitzTime) {
        long gpsTime2;
        long j = ntpTime;
        long j2 = nitzTime;
        com.android.server.location.InjectTimeRecord injectTimeRecord = new com.android.server.location.InjectTimeRecord();
        if (0 == j2 && android.provider.Settings.Global.getInt(context.getContentResolver(), "auto_time", 0) != 0) {
            android.util.Log.i("MajorityTimeManager", "nitzTime is invalid, get systemTime.");
        }
        if (gpsTime < 946656000) {
            gpsTime2 = 0;
        } else {
            gpsTime2 = gpsTime;
        }
        java.lang.StringBuilder stringBuilder;
        if (0 != gpsTime2 && 0 != j && 0 != j2) {
            double avg = ((double) ((gpsTime2 + j) + j2)) / 3.0d;
            com.android.server.location.ntp.MajorityTimeManager.TimeRecord[] timeArr = new com.android.server.location.ntp.MajorityTimeManager.TimeRecord[]{new com.android.server.location.ntp.MajorityTimeManager.TimeRecord(gpsTime2, 3), new com.android.server.location.ntp.MajorityTimeManager.TimeRecord(j2, 2), new com.android.server.location.ntp.MajorityTimeManager.TimeRecord(j, 1)};
            java.util.Arrays.sort(timeArr);
            long gpsTime3 = gpsTime2;
            if (avg - ((double) timeArr[0].timeValue) < ((double) timeArr[2].timeValue) - avg) {
                choose(injectTimeRecord, timeArr[0], timeArr[1]);
            } else if (avg - ((double) timeArr[0].timeValue) > ((double) timeArr[2].timeValue) - avg) {
                choose(injectTimeRecord, timeArr[1], timeArr[2]);
            } else {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("Grouping failed, inject gps time: ");
                gpsTime2 = gpsTime3;
                stringBuilder2.append(gpsTime2);
                android.util.Log.e("MajorityTimeManager", stringBuilder2.toString());
                injectTimeRecord.setInjectTime(gpsTime2);
                injectTimeRecord.setUncertainty(30);
            }
        } else if (0 != gpsTime2 && 0 != j2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Gps time and nitz time is valid, inject gps time: ");
            stringBuilder.append(gpsTime2);
            android.util.Log.i("MajorityTimeManager", stringBuilder.toString());
            injectTimeRecord.setInjectTime(gpsTime2);
            injectTimeRecord.setUncertainty(getUncertainty(gpsTime2, j2));
        } else if (0 != j && 0 != j2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Ntp time and nitz time is valid, inject ntp time: ");
            stringBuilder.append(j);
            android.util.Log.i("MajorityTimeManager", stringBuilder.toString());
            injectTimeRecord.setInjectTime(j);
            injectTimeRecord.setUncertainty(getUncertainty(ntpTime, nitzTime));
        } else if (0 != gpsTime2 && 0 != j) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Gps time and ntp time is valid, inject gps time: ");
            stringBuilder.append(gpsTime2);
            android.util.Log.i("MajorityTimeManager", stringBuilder.toString());
            injectTimeRecord.setInjectTime(gpsTime2);
            injectTimeRecord.setUncertainty(getUncertainty(gpsTime2, j));
        } else if (0 != gpsTime2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Gps time is valid, inject gps time: ");
            stringBuilder.append(gpsTime2);
            android.util.Log.i("MajorityTimeManager", stringBuilder.toString());
            injectTimeRecord.setInjectTime(gpsTime2);
            injectTimeRecord.setUncertainty(30);
        } else if (0 != j2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Nitz time is valid, inject nitz time: ");
            stringBuilder.append(j2);
            android.util.Log.i("MajorityTimeManager", stringBuilder.toString());
            injectTimeRecord.setInjectTime(j2);
            injectTimeRecord.setUncertainty(30);
        } else {
            android.util.Log.i("MajorityTimeManager", "Get time failed, inject invalid time.");
            injectTimeRecord.setInjectTime(0);
        }
        return injectTimeRecord;
    }

    private static void choose(com.android.server.location.InjectTimeRecord injectTimeRecord, com.android.server.location.ntp.MajorityTimeManager.TimeRecord x, com.android.server.location.ntp.MajorityTimeManager.TimeRecord y) {
        com.android.server.location.ntp.MajorityTimeManager.TimeRecord timeRecord = x.priority > y.priority ? x : y;
        injectTimeRecord.setInjectTime(timeRecord.timeValue);
        injectTimeRecord.setUncertainty(getUncertainty(x.timeValue, y.timeValue));
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Inject time : ");
        stringBuilder.append(timeRecord.timeValue);
        stringBuilder.append(", priority : ");
        stringBuilder.append(timeRecord.priority);
        android.util.Log.i("MajorityTimeManager", stringBuilder.toString());
    }

    private static int getUncertainty(long x, long y) {
        int difference = (int) java.lang.Math.abs(x - y);
        return difference > 30 ? difference : 30;
    }
}
