package com.android.server.location.ntp;

public class NitzTimeManager {
    private static boolean DBG = true;
    private static final long EXPIRT_TIME = 86400000;
    private static final int SUB_NUMS = android.telephony.TelephonyManager.getDefault().getPhoneCount();
    private static final java.lang.String TAG = "NtpNitzTimeManager";
    private android.content.Context mContext;
    private android.content.BroadcastReceiver mNitzReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (intent != null) {
                if ("android.intent.action.NETWORK_SET_TIME".equals(intent.getAction())) {
                    com.android.server.location.ntp.NitzTimeManager.this.mTimeManager.setCurrentTime(java.lang.System.currentTimeMillis(), android.os.SystemClock.elapsedRealtime());
                }
            }
        }
    };
    private java.util.ArrayList<com.android.server.location.ntp.NtpPhoneStateListener> mPhoneStateListenerList;
    private com.android.server.location.ntp.TimeManager mTimeManager;

    public NitzTimeManager(android.content.Context context) {
        this.mContext = context;
        this.mTimeManager = new com.android.server.location.ntp.TimeManager("NtpNitzTimeManager", 86400000);
        registerForTelephonyIntents();
        android.telephony.TelephonyManager telephonyManager = (android.telephony.TelephonyManager) this.mContext.getSystemService("phone");
        if (telephonyManager != null) {
            this.mPhoneStateListenerList = new java.util.ArrayList();
            if (SUB_NUMS != 0) {
                for (int i = 0; i < SUB_NUMS; i++) {
                    com.android.server.location.ntp.NtpPhoneStateListener mobilePhoneStateListener = new com.android.server.location.ntp.NtpPhoneStateListener(i);
                    telephonyManager.listen(mobilePhoneStateListener, 1);
                    this.mPhoneStateListenerList.add(mobilePhoneStateListener);
                }
            }
        }
    }

    private void registerForTelephonyIntents() {
        android.content.IntentFilter intentFilter = new android.content.IntentFilter();
        intentFilter.addAction("android.intent.action.NETWORK_SET_TIME");
        this.mContext.registerReceiver(this.mNitzReceiver, intentFilter);
    }

    public long getNitzTime() {
        return this.mTimeManager.getCurrentTime();
    }

    public boolean isCdma() {
        int size = this.mPhoneStateListenerList.size();
        boolean isCdma = false;
        for (int i = 0; i < size; i++) {
            boolean z;
            com.android.server.location.ntp.NtpPhoneStateListener listener = (com.android.server.location.ntp.NtpPhoneStateListener) this.mPhoneStateListenerList.get(i);
            if (!isCdma) {
                if (!listener.isCdma()) {
                    z = false;
                    isCdma = z;
                }
            }
            z = true;
            isCdma = z;
        }
        if (DBG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("isCdma:");
            stringBuilder.append(isCdma);
            android.util.Log.d("NtpNitzTimeManager", stringBuilder.toString());
        }
        return isCdma;
    }
}
