package com.android.server.location.ntp;

public class NtpPhoneStateListener extends android.telephony.PhoneStateListener {
    private static boolean DBG = true;
    private static final java.lang.String TAG = "NtpPhoneStateListener";
    private boolean mIsCdma = false;

    public NtpPhoneStateListener(int subId) {
        super(java.lang.Integer.valueOf(subId));
        if (DBG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("NtpPhoneStateListener create subId:");
            stringBuilder.append(subId);
            android.util.Log.d("NtpPhoneStateListener", stringBuilder.toString());
        }
    }

    public void onServiceStateChanged(android.telephony.ServiceState state) {
        if (state != null) {
            this.mIsCdma = android.telephony.ServiceState.isCdma(state.getRilVoiceRadioTechnology());
            if (DBG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("onServiceStateChanged subId:");
                stringBuilder.append(this.mSubId);
                stringBuilder.append(" isCdma=");
                stringBuilder.append(this.mIsCdma);
                android.util.Log.d("NtpPhoneStateListener", stringBuilder.toString());
            }
        }
    }

    public boolean isCdma() {
        return this.mIsCdma;
    }
}
