package com.android.server.location.ntp;

public class TimeManager {
    private static boolean DBG = true;
    private static final long GPS_UTC_REFERENCE_TIME = 946656000;
    private static final long INVAILID_TIME = 0;
    private long mExpireTime;
    private java.lang.String mTag;
    private long mTimeSynsBoot;
    private long mTimestamp;

    public TimeManager(java.lang.String tag, long expireTime) {
        this.mExpireTime = expireTime;
        this.mTag = tag;
    }

    public long getCurrentTime() {
        java.lang.String str;
        java.lang.StringBuilder stringBuilder;
        if (DBG) {
            str = this.mTag;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("beginning mTimestamp is ");
            stringBuilder.append(this.mTimestamp);
            android.util.Log.d(str, stringBuilder.toString());
        }
        if (this.mTimestamp < 946656000) {
            return 0;
        }
        if (com.android.server.location.ntp.ElapsedRealTimeCheck.getInstance().canTrustElapsedRealTime()) {
            long timeTillNow = android.os.SystemClock.elapsedRealtime() - this.mTimeSynsBoot;
            if (timeTillNow >= this.mExpireTime) {
                if (DBG) {
                    android.util.Log.d(this.mTag, "getCurrentTime INVAILID_TIME");
                }
                return 0;
            }
            if (DBG) {
                str = this.mTag;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("end mTimestamp is ");
                stringBuilder.append(this.mTimestamp);
                android.util.Log.d(str, stringBuilder.toString());
            }
            if (DBG) {
                str = this.mTag;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("getCurrentTime:");
                stringBuilder.append(this.mTimestamp + timeTillNow);
                android.util.Log.d(str, stringBuilder.toString());
            }
            return this.mTimestamp + timeTillNow;
        }
        if (DBG) {
            android.util.Log.d(this.mTag, "getCurrentTime ElapsedRealTime INVAILID_TIME");
        }
        return 0;
    }

    public void setCurrentTime(long msTime, long msTimeSynsBoot) {
        this.mTimestamp = msTime;
        this.mTimeSynsBoot = msTimeSynsBoot;
        if (DBG) {
            java.lang.String str = this.mTag;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setCurrentTime mTimestamp:");
            stringBuilder.append(this.mTimestamp);
            stringBuilder.append(" mTimeReference:");
            stringBuilder.append(this.mTimeSynsBoot);
            android.util.Log.d(str, stringBuilder.toString());
        }
    }

    public long getmTimestamp() {
        return this.mTimestamp;
    }
}
