package com.android.server.locksettings;

public class HwLockSettingsService extends com.android.server.locksettings.LockSettingsService {
    public static final java.lang.String DB_KEY_PRIVACY_USER_PWD_PROTECT = "privacy_user_pwd_protect";
    public static final java.lang.String DESCRIPTOR = "com.android.internal.widget.ILockSettings";
    private static final java.lang.String EMPTY_APP_NAME = "";
    private static final boolean ENHANCED_GK_RULE = android.os.SystemProperties.getBoolean("ro.build.enhanced_gk_rule", false);
    private static final java.lang.String JSON_ERROR_COUNT = "error";
    private static final java.lang.String JSON_LEVEL = "level";
    private static final java.lang.String JSON_START_ELAPSED = "elapsed";
    private static final java.lang.String JSON_START_RTC = "rtc";
    private static final java.lang.String JSON_STOP_ELAPSED = "stop";
    private static final java.lang.String KEY_CREDENTIAL_LEN = "lockscreen.hw_credential_len";
    private static final java.lang.String KEY_HAS_HW_LOCK_HINT = "lockscreen.has_hw_hint_info";
    private static final java.lang.String KEY_HW_LOCK_HINT = "lockscreen.hw_hint_info";
    private static final java.lang.String KEY_HW_PIN_TYPE = "lockscreen.pin_type";
    private static final long KEY_UNLOCK_TYPE_NOT_SET = -1;
    private static final java.lang.String KEY_UPDATE_WEAK_AUTH_TIME = "lockscreen.hw_weak_auth_time";
    public static final java.lang.String LOCK_PASSWORD_FILE2 = "password2.key";
    public static final java.lang.String NO_PWD_FOR_PWD_PROTECT = "no_pwd_for_protect_protect";
    private static final java.lang.String NRLTAG = "LockSettingsRule";
    private static final int PASSWORD_STATUS_CHANGED = 2;
    private static final int PASSWORD_STATUS_OFF = 0;
    private static final int PASSWORD_STATUS_ON = 1;
    private static final java.lang.String PERMISSION = "android.permission.ACCESS_KEYGUARD_SECURE_STORAGE";
    private static final java.lang.String PERMISSION_GET_LOCK_PASSWORD_CHANGED = "com.huawei.permission.GET_LOCK_PASSWORD_CHANGED";
    private static final java.lang.String PKG_HWOUC = "com.huawei.android.hwouc";
    private static final java.lang.String PKG_SECURITYMGR = "com.huawei.securitymgr";
    private static final java.lang.String PKG_SETTINGS = "com.android.settings";
    private static final java.lang.String PKG_SYSTEMUI = "com.android.systemui";
    private static final java.lang.String PROFILE_KEY_USER_HINT_DECRYPT = "profile_key_user_hint_decrypt_";
    private static final java.lang.String PROFILE_KEY_USER_HINT_ENCRYPT = "profile_key_user_hint_encrypt_";
    private static final java.lang.String PWD_ERROR_COUNT = "gk_rule_error_count";
    private static final java.lang.String PWD_START_TIME_ELAPSED = "password_start_time_elapsed";
    private static final java.lang.String PWD_VERIFY_INFO = "password_verification_information";
    private static final java.lang.String RECEIVER_ACTION_LOCK_PASSWORD_CHANGED = "com.huawei.locksettingsservice.action.LOCK_PASSWORD_CHANGED";
    private static final java.lang.String RECEIVER_PACKAGE = "com.huawei.hwid";
    private static final int SECURITY_LOCK_SETTINGS = 2;
    private static final java.lang.String SYSTEM_DIRECTORY = "/system/";
    private static final java.lang.String TAG = "HwLockSettingsService";
    private static final java.lang.String USER_LOCK_HINT_FILE = "hw_lock_hint.key";
    private static final int WEAK_AUTH_FACE = 10001;
    private static final int WEAK_AUTH_FINGER = 10002;
    public static final int transaction_checkvisitorpassword = 1002;
    public static final int transaction_setlockvisitorpassword = 1001;
    private final android.content.Context mContext;
    private com.android.server.security.antimal.HwAntiMalStatus mHwAntiMalStatus = null;
    private final com.android.server.locksettings.HwLockSettingsStorage mStorage2;

    static class HwInjector extends com.android.server.locksettings.LockSettingsService.Injector {
        public HwInjector(android.content.Context context) {
            super(context);
        }

        public com.android.server.locksettings.LockSettingsStrongAuth getStrongAuth() {
            return new com.android.server.locksettings.HwLockSettingsStrongAuth(this.mContext);
        }
    }

    public HwLockSettingsService(android.content.Context context) {
        super(new com.android.server.locksettings.HwLockSettingsService.HwInjector(context));
        this.mStorage2 = new com.android.server.locksettings.HwLockSettingsStorage(context);
        this.mContext = context;
        this.mHwAntiMalStatus = new com.android.server.security.antimal.HwAntiMalStatus(this.mContext);
    }

    private void setVisitorLockPassword(java.lang.String password, int userId) throws android.os.RemoteException {
        checkWritePermission(userId);
        setKeystorePassword(password, userId);
    }

    public boolean checkVisitorPassword(java.lang.String password, int userId) throws android.os.RemoteException {
        return false;
    }

    public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
        switch (code) {
            case 1001:
                data.enforceInterface("com.android.internal.widget.ILockSettings");
                setVisitorLockPassword(data.readString(), data.readInt());
                reply.writeInt(0);
                reply.writeNoException();
                return true;
            case 1002:
                data.enforceInterface("com.android.internal.widget.ILockSettings");
                if (checkVisitorPassword(data.readString(), data.readInt())) {
                    reply.writeInt(0);
                } else {
                    reply.writeInt(1);
                }
                reply.writeNoException();
                return true;
            default:
                return super.onTransact(code, data, reply, flags);
        }
    }

    protected int getOldCredentialType(int userId) {
        com.android.server.locksettings.LockSettingsStorage.CredentialHash oldCredentialHash = this.mStorage.readCredentialHash(userId);
        if (oldCredentialHash != null) {
            return oldCredentialHash.type;
        }
        return -1;
    }

    protected int getPasswordStatus(int currentCredentialType, int oldCredentialType) {
        int status;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getPasswordStatus, currentCredentialType=");
        stringBuilder.append(currentCredentialType);
        stringBuilder.append(", oldCredentialType=");
        stringBuilder.append(oldCredentialType);
        android.util.Slog.i("HwLockSettingsService", stringBuilder.toString());
        if (currentCredentialType == -1) {
            status = 0;
        } else if (oldCredentialType != -1) {
            return 2;
        } else {
            status = 1;
        }
        return status;
    }

    protected void notifyPasswordStatusChanged(int userId, int status) {
        android.content.Intent intent = new android.content.Intent("com.huawei.locksettingsservice.action.LOCK_PASSWORD_CHANGED");
        intent.setPackage("com.huawei.hwid");
        intent.putExtra("status", status);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("notifyPasswordStatusChanged:");
        stringBuilder.append(status);
        stringBuilder.append(", userId:");
        stringBuilder.append(userId);
        android.util.Slog.i("HwLockSettingsService", stringBuilder.toString());
        this.mContext.sendBroadcastAsUser(intent, new android.os.UserHandle(userId), "com.huawei.permission.GET_LOCK_PASSWORD_CHANGED");
        if (status != 0) {
            this.mStrongAuth.reportSuccessfulStrongAuthUnlock(userId);
        }
    }

    protected void notifyModifyPwdForPrivSpacePwdProtect(java.lang.String credential, java.lang.String savedCredential, int userId) {
        if (isPrivSpacePwdProtectOpened() && isPrivacyUser(this.mContext, userId)) {
            android.util.Slog.i("HwLockSettingsService", "notify privPw ");
            if (!com.huawei.pwdprotect.PwdProtectManager.getInstance().modifyPrivPwd(credential)) {
                android.util.Log.e("HwLockSettingsService", "modifyPrivSpacePn fail");
            }
            if (android.os.UserHandle.myUserId() == 0) {
                android.util.Flog.bdReport(this.mContext, 131);
            }
        }
        if (isPrivSpacePwdProtectOpened() && userId == 0) {
            android.util.Slog.i("HwLockSettingsService", "notify mainPw ");
            if (android.text.TextUtils.isEmpty(savedCredential)) {
                savedCredential = "no_pwd_for_protect_protect";
            }
            if (android.text.TextUtils.isEmpty(credential)) {
                credential = "no_pwd_for_protect_protect";
            }
            if (!com.huawei.pwdprotect.PwdProtectManager.getInstance().modifyMainPwd(savedCredential, credential)) {
                android.util.Log.e("HwLockSettingsService", "modifyMainSpacePn fail");
            }
        }
    }

    protected void notifyBigDataForPwdProtectFail(int userId) {
        if (isPrivSpacePwdProtectOpened() && isPrivacyUser(this.mContext, userId) && android.os.UserHandle.myUserId() == 0) {
            android.util.Flog.bdReport(this.mContext, 132);
        }
    }

    private boolean isPrivacyUser(android.content.Context context, int userId) {
        if (context == null) {
            return false;
        }
        return com.huawei.android.os.UserManagerEx.isHwHiddenSpace(com.huawei.android.os.UserManagerEx.getUserInfoEx((android.os.UserManager) context.getSystemService("user"), userId));
    }

    private boolean isPrivSpacePwdProtectOpened() {
        boolean z = false;
        if (this.mContext == null) {
            return false;
        }
        if (android.provider.Settings.Global.getInt(this.mContext.getContentResolver(), "privacy_user_pwd_protect", 0) == 1) {
            z = true;
        }
        return z;
    }

    /* JADX WARNING: Removed duplicated region for block: B:25:0x0125 A:{ExcHandler: java.security.cert.CertificateException (r1_3 'e' java.lang.Exception), Splitter: B:1:0x0006} */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x0125 A:{ExcHandler: java.security.cert.CertificateException (r1_3 'e' java.lang.Exception), Splitter: B:1:0x0006} */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x0125 A:{ExcHandler: java.security.cert.CertificateException (r1_3 'e' java.lang.Exception), Splitter: B:1:0x0006} */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x0125 A:{ExcHandler: java.security.cert.CertificateException (r1_3 'e' java.lang.Exception), Splitter: B:1:0x0006} */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x0125 A:{ExcHandler: java.security.cert.CertificateException (r1_3 'e' java.lang.Exception), Splitter: B:1:0x0006} */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x0125 A:{ExcHandler: java.security.cert.CertificateException (r1_3 'e' java.lang.Exception), Splitter: B:1:0x0006} */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x0125 A:{ExcHandler: java.security.cert.CertificateException (r1_3 'e' java.lang.Exception), Splitter: B:1:0x0006} */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x0125 A:{ExcHandler: java.security.cert.CertificateException (r1_3 'e' java.lang.Exception), Splitter: B:1:0x0006} */
    /* JADX WARNING: Missing block: B:25:0x0125, code:
            r1 = move-exception;
     */
    /* JADX WARNING: Missing block: B:27:0x012d, code:
            throw new java.lang.RuntimeException("Failed to encrypt key", r1);
     */
    @com.android.internal.annotations.VisibleForTesting
    private void saveUserHintMessage(int r11, java.lang.String r12) throws java.lang.RuntimeException, java.io.IOException {
        /*
        r10 = this;
        r0 = java.nio.charset.StandardCharsets.UTF_8;
        r0 = r12.getBytes(r0);
        r1 = "AES";
        r1 = javax.crypto.KeyGenerator.getInstance(r1);	 Catch:{ CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125 }
        r2 = new java.security.SecureRandom;	 Catch:{ CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125 }
        r2.<init>();	 Catch:{ CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125 }
        r1.init(r2);	 Catch:{ CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125 }
        r2 = r1.generateKey();	 Catch:{ CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125 }
        r3 = "AndroidKeyStore";
        r3 = java.security.KeyStore.getInstance(r3);	 Catch:{ CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125 }
        r4 = 0;
        r3.load(r4);	 Catch:{ CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125 }
        r5 = new java.lang.StringBuilder;	 Catch:{ all -> 0x010f }
        r5.<init>();	 Catch:{ all -> 0x010f }
        r6 = "profile_key_user_hint_encrypt_";
        r5.append(r6);	 Catch:{ all -> 0x010f }
        r5.append(r11);	 Catch:{ all -> 0x010f }
        r5 = r5.toString();	 Catch:{ all -> 0x010f }
        r6 = new java.security.KeyStore$SecretKeyEntry;	 Catch:{ all -> 0x010f }
        r6.<init>(r2);	 Catch:{ all -> 0x010f }
        r7 = new android.security.keystore.KeyProtection$Builder;	 Catch:{ all -> 0x010f }
        r8 = 1;
        r7.<init>(r8);	 Catch:{ all -> 0x010f }
        r9 = "GCM";
        r9 = new java.lang.String[]{r9};	 Catch:{ all -> 0x010f }
        r7 = r7.setBlockModes(r9);	 Catch:{ all -> 0x010f }
        r9 = "NoPadding";
        r9 = new java.lang.String[]{r9};	 Catch:{ all -> 0x010f }
        r7 = r7.setEncryptionPaddings(r9);	 Catch:{ all -> 0x010f }
        r7 = r7.build();	 Catch:{ all -> 0x010f }
        r3.setEntry(r5, r6, r7);	 Catch:{ all -> 0x010f }
        r5 = new java.lang.StringBuilder;	 Catch:{ all -> 0x010f }
        r5.<init>();	 Catch:{ all -> 0x010f }
        r6 = "profile_key_user_hint_decrypt_";
        r5.append(r6);	 Catch:{ all -> 0x010f }
        r5.append(r11);	 Catch:{ all -> 0x010f }
        r5 = r5.toString();	 Catch:{ all -> 0x010f }
        r6 = new java.security.KeyStore$SecretKeyEntry;	 Catch:{ all -> 0x010f }
        r6.<init>(r2);	 Catch:{ all -> 0x010f }
        r7 = new android.security.keystore.KeyProtection$Builder;	 Catch:{ all -> 0x010f }
        r9 = 2;
        r7.<init>(r9);	 Catch:{ all -> 0x010f }
        r9 = "GCM";
        r9 = new java.lang.String[]{r9};	 Catch:{ all -> 0x010f }
        r7 = r7.setBlockModes(r9);	 Catch:{ all -> 0x010f }
        r9 = "NoPadding";
        r9 = new java.lang.String[]{r9};	 Catch:{ all -> 0x010f }
        r7 = r7.setEncryptionPaddings(r9);	 Catch:{ all -> 0x010f }
        r7 = r7.setCriticalToDeviceEncryption(r8);	 Catch:{ all -> 0x010f }
        r7 = r7.build();	 Catch:{ all -> 0x010f }
        r3.setEntry(r5, r6, r7);	 Catch:{ all -> 0x010f }
        r5 = new java.lang.StringBuilder;	 Catch:{ all -> 0x010f }
        r5.<init>();	 Catch:{ all -> 0x010f }
        r6 = "profile_key_user_hint_encrypt_";
        r5.append(r6);	 Catch:{ all -> 0x010f }
        r5.append(r11);	 Catch:{ all -> 0x010f }
        r5 = r5.toString();	 Catch:{ all -> 0x010f }
        r4 = r3.getKey(r5, r4);	 Catch:{ all -> 0x010f }
        r4 = (javax.crypto.SecretKey) r4;	 Catch:{ all -> 0x010f }
        r5 = "AES/GCM/NoPadding";
        r5 = javax.crypto.Cipher.getInstance(r5);	 Catch:{ all -> 0x010f }
        r5.init(r8, r4);	 Catch:{ all -> 0x010f }
        r6 = r5.doFinal(r0);	 Catch:{ all -> 0x010f }
        r7 = r5.getIV();	 Catch:{ all -> 0x010f }
        r4 = r7;
        r5 = new java.lang.StringBuilder;	 Catch:{ CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125 }
        r5.<init>();	 Catch:{ CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125 }
        r7 = "profile_key_user_hint_encrypt_";
        r5.append(r7);	 Catch:{ CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125 }
        r5.append(r11);	 Catch:{ CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125 }
        r5 = r5.toString();	 Catch:{ CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125 }
        r3.deleteEntry(r5);	 Catch:{ CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125 }
        r1 = new java.io.ByteArrayOutputStream;
        r1.<init>();
        r2 = r4.length;	 Catch:{ IOException -> 0x0106 }
        r3 = 12;
        if (r2 != r3) goto L_0x00ee;
    L_0x00df:
        r1.write(r4);	 Catch:{ IOException -> 0x0106 }
        r1.write(r6);	 Catch:{ IOException -> 0x0106 }
        r2 = r1.toByteArray();
        r10.writeHwUserLockHint(r11, r2);
        return;
    L_0x00ee:
        r2 = new java.lang.RuntimeException;	 Catch:{ IOException -> 0x0106 }
        r3 = new java.lang.StringBuilder;	 Catch:{ IOException -> 0x0106 }
        r3.<init>();	 Catch:{ IOException -> 0x0106 }
        r5 = "Invalid iv length: ";
        r3.append(r5);	 Catch:{ IOException -> 0x0106 }
        r5 = r4.length;	 Catch:{ IOException -> 0x0106 }
        r3.append(r5);	 Catch:{ IOException -> 0x0106 }
        r3 = r3.toString();	 Catch:{ IOException -> 0x0106 }
        r2.<init>(r3);	 Catch:{ IOException -> 0x0106 }
        throw r2;	 Catch:{ IOException -> 0x0106 }
    L_0x0106:
        r2 = move-exception;
        r3 = new java.lang.RuntimeException;
        r5 = "Failed to concatenate byte arrays";
        r3.<init>(r5, r2);
        throw r3;
    L_0x010f:
        r4 = move-exception;
        r5 = new java.lang.StringBuilder;	 Catch:{ CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125 }
        r5.<init>();	 Catch:{ CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125 }
        r6 = "profile_key_user_hint_encrypt_";
        r5.append(r6);	 Catch:{ CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125 }
        r5.append(r11);	 Catch:{ CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125 }
        r5 = r5.toString();	 Catch:{ CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125 }
        r3.deleteEntry(r5);	 Catch:{ CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125 }
        throw r4;	 Catch:{ CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125, CertificateException -> 0x0125 }
    L_0x0125:
        r1 = move-exception;
        r2 = new java.lang.RuntimeException;
        r3 = "Failed to encrypt key";
        r2.<init>(r3, r1);
        throw r2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.locksettings.HwLockSettingsService.saveUserHintMessage(int, java.lang.String):void");
    }

    @com.android.internal.annotations.VisibleForTesting
    private java.lang.String getUserHintMessage(int userId) throws java.security.KeyStoreException, java.security.UnrecoverableKeyException, java.security.NoSuchAlgorithmException, javax.crypto.NoSuchPaddingException, java.security.InvalidKeyException, java.security.InvalidAlgorithmParameterException, javax.crypto.IllegalBlockSizeException, javax.crypto.BadPaddingException, java.security.cert.CertificateException, java.io.IOException {
        byte[] storedData = readHwUserLockHint(userId);
        if (storedData != null) {
            byte[] iv = java.util.Arrays.copyOfRange(storedData, null, 12);
            byte[] encryptedPassword = java.util.Arrays.copyOfRange(storedData, 12, storedData.length);
            java.security.KeyStore keyStore = java.security.KeyStore.getInstance("AndroidKeyStore");
            keyStore.load(null);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("profile_key_user_hint_decrypt_");
            stringBuilder.append(userId);
            javax.crypto.SecretKey decryptionKey = (javax.crypto.SecretKey) keyStore.getKey(stringBuilder.toString(), null);
            javax.crypto.Cipher cipher = javax.crypto.Cipher.getInstance("AES/GCM/NoPadding");
            cipher.init(2, decryptionKey, new javax.crypto.spec.GCMParameterSpec(128, iv));
            return new java.lang.String(cipher.doFinal(encryptedPassword), java.nio.charset.StandardCharsets.UTF_8);
        }
        throw new java.io.FileNotFoundException("Child profile lock file not found");
    }

    @com.android.internal.annotations.VisibleForTesting
    java.lang.String getHwUserLockHintFile(int userId) {
        return this.mStorage.getLockCredentialFilePathForUser(userId, "hw_lock_hint.key");
    }

    @com.android.internal.annotations.VisibleForTesting
    private void writeHwUserLockHint(int userId, byte[] lock) {
        this.mStorage.writeFile(getHwUserLockHintFile(userId), lock);
    }

    private byte[] readHwUserLockHint(int userId) {
        return this.mStorage.readFile(getHwUserLockHintFile(userId));
    }

    private boolean hasHwUserLockHint(int userId) {
        return this.mStorage.hasFile(getHwUserLockHintFile(userId));
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x005d A:{ExcHandler: java.lang.RuntimeException (e java.lang.RuntimeException), Splitter: B:4:0x001d} */
    /* JADX WARNING: Missing block: B:11:0x005e, code:
            android.util.Log.e("HwLockSettingsService", "save fail");
     */
    public void setString(java.lang.String r11, java.lang.String r12, int r13) {
        /*
        r10 = this;
        r0 = "lockscreen.hw_hint_info";
        r0 = r0.equals(r11);
        if (r0 == 0) goto L_0x0065;
    L_0x0008:
        r10.checkWritePermission(r13);
        r0 = android.os.Binder.getCallingPid();
        r1 = r10.mContext;
        r1 = getPackageNameFromPid(r1, r0);
        r2 = "com.android.settings";
        r2 = r2.equals(r1);
        if (r2 == 0) goto L_0x0065;
    L_0x001d:
        r2 = android.text.TextUtils.isEmpty(r12);	 Catch:{ RuntimeException -> 0x005d, RuntimeException -> 0x005d }
        if (r2 == 0) goto L_0x0043;
    L_0x0023:
        r2 = r10.mStorage;	 Catch:{ RuntimeException -> 0x005d, RuntimeException -> 0x005d }
        r3 = r10.getHwUserLockHintFile(r13);	 Catch:{ RuntimeException -> 0x005d, RuntimeException -> 0x005d }
        r2.deleteFile(r3);	 Catch:{ RuntimeException -> 0x005d, RuntimeException -> 0x005d }
        r2 = "HwLockSettingsService";
        r3 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x005d, RuntimeException -> 0x005d }
        r3.<init>();	 Catch:{ RuntimeException -> 0x005d, RuntimeException -> 0x005d }
        r4 = "delete UserHintMessage succ : ";
        r3.append(r4);	 Catch:{ RuntimeException -> 0x005d, RuntimeException -> 0x005d }
        r3.append(r11);	 Catch:{ RuntimeException -> 0x005d, RuntimeException -> 0x005d }
        r3 = r3.toString();	 Catch:{ RuntimeException -> 0x005d, RuntimeException -> 0x005d }
        android.util.Log.v(r2, r3);	 Catch:{ RuntimeException -> 0x005d, RuntimeException -> 0x005d }
        goto L_0x005c;
    L_0x0043:
        r10.saveUserHintMessage(r13, r12);	 Catch:{ RuntimeException -> 0x005d, RuntimeException -> 0x005d }
        r2 = "HwLockSettingsService";
        r3 = new java.lang.StringBuilder;	 Catch:{ RuntimeException -> 0x005d, RuntimeException -> 0x005d }
        r3.<init>();	 Catch:{ RuntimeException -> 0x005d, RuntimeException -> 0x005d }
        r4 = "save UserHintMessage succ : ";
        r3.append(r4);	 Catch:{ RuntimeException -> 0x005d, RuntimeException -> 0x005d }
        r3.append(r11);	 Catch:{ RuntimeException -> 0x005d, RuntimeException -> 0x005d }
        r3 = r3.toString();	 Catch:{ RuntimeException -> 0x005d, RuntimeException -> 0x005d }
        android.util.Log.v(r2, r3);	 Catch:{ RuntimeException -> 0x005d, RuntimeException -> 0x005d }
    L_0x005c:
        return;
    L_0x005d:
        r2 = move-exception;
        r3 = "HwLockSettingsService";
        r4 = "save fail";
        android.util.Log.e(r3, r4);
    L_0x0065:
        r0 = "password_verification_information";
        r0 = r0.equals(r11);
        if (r0 == 0) goto L_0x0077;
    L_0x006d:
        r0 = r10.isUseGKRule(r13);
        if (r0 == 0) goto L_0x0077;
    L_0x0073:
        r10.resetTime(r13);
        return;
    L_0x0077:
        r0 = "password_start_time_elapsed";
        r0 = r0.equals(r11);
        if (r0 == 0) goto L_0x00ad;
    L_0x007f:
        r0 = r10.isUseGKRule(r13);
        if (r0 == 0) goto L_0x00ad;
    L_0x0085:
        r0 = new org.json.JSONObject;	 Catch:{ JSONException -> 0x00a3 }
        r0.<init>(r12);	 Catch:{ JSONException -> 0x00a3 }
        r1 = "rtc";
        r4 = r0.getLong(r1);	 Catch:{ JSONException -> 0x00a3 }
        r1 = "elapsed";
        r6 = r0.getLong(r1);	 Catch:{ JSONException -> 0x00a3 }
        r1 = "stop";
        r8 = r0.getLong(r1);	 Catch:{ JSONException -> 0x00a3 }
        r2 = r10;
        r3 = r13;
        r2.setStartTime(r3, r4, r6, r8);	 Catch:{ JSONException -> 0x00a3 }
        goto L_0x00ac;
    L_0x00a3:
        r0 = move-exception;
        r1 = "HwLockSettingsService";
        r2 = "setStartTime JSONException";
        android.util.Log.e(r1, r2);
    L_0x00ac:
        return;
    L_0x00ad:
        super.setString(r11, r12, r13);
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.locksettings.HwLockSettingsService.setString(java.lang.String, java.lang.String, int):void");
    }

    private boolean isCalledFromSysUI(int pid) {
        return "com.android.systemui".equals(getPackageNameFromPid(this.mContext, pid));
    }

    public long getLong(java.lang.String key, long defaultValue, int userId) {
        if (!"lockscreen.hw_credential_len".equals(key) || isCalledFromSettings(android.os.Binder.getCallingPid())) {
            return super.getLong(key, defaultValue, userId);
        }
        return -1;
    }

    public void setLong(java.lang.String key, long value, int userId) {
        if ("lockscreen.hw_credential_len".equals(key)) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("invalid set credential from UID: ");
            stringBuilder.append(android.os.Binder.getCallingUid());
            android.util.Log.i("HwLockSettingsService", stringBuilder.toString());
        } else if ("lockscreen.hw_weak_auth_time".equals(key)) {
            if (isCalledFromSysUI(android.os.Binder.getCallingPid())) {
                reportSuccessfulWeakAuthUnlock((int) value, userId);
            }
        } else {
            super.setLong(key, value, userId);
        }
    }

    protected void setLockCredentialInternal(java.lang.String credential, int credentialType, java.lang.String savedCredential, int requestedQuality, int userId) throws android.os.RemoteException {
        super.setLockCredentialInternal(credential, credentialType, savedCredential, requestedQuality, userId);
        super.setLong("lockscreen.hw_credential_len", android.text.TextUtils.isEmpty(credential) ? 0 : (long) credential.length(), userId);
    }

    private void reportSuccessfulWeakAuthUnlock(int type, int userId) {
        if (!"com.android.systemui".equals(getPackageNameFromPid(this.mContext, android.os.Binder.getCallingPid()))) {
            return;
        }
        if ((getStrongAuthForUser(userId) & 16) != 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("report WeakAuth but already timeout ");
            stringBuilder.append(type);
            android.util.Slog.e("HwLockSettingsService", stringBuilder.toString());
            return;
        }
        if (10001 == type || 10002 == type) {
            this.mStrongAuth.reportSuccessfulWeakAuthUnlock(userId);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:14:0x0039 A:{ExcHandler: java.security.KeyStoreException (e java.security.KeyStoreException), Splitter: B:8:0x002b} */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x0039 A:{ExcHandler: java.security.KeyStoreException (e java.security.KeyStoreException), Splitter: B:8:0x002b} */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x0039 A:{ExcHandler: java.security.KeyStoreException (e java.security.KeyStoreException), Splitter: B:8:0x002b} */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x0039 A:{ExcHandler: java.security.KeyStoreException (e java.security.KeyStoreException), Splitter: B:8:0x002b} */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x0039 A:{ExcHandler: java.security.KeyStoreException (e java.security.KeyStoreException), Splitter: B:8:0x002b} */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x0039 A:{ExcHandler: java.security.KeyStoreException (e java.security.KeyStoreException), Splitter: B:8:0x002b} */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x0039 A:{ExcHandler: java.security.KeyStoreException (e java.security.KeyStoreException), Splitter: B:8:0x002b} */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x0039 A:{ExcHandler: java.security.KeyStoreException (e java.security.KeyStoreException), Splitter: B:8:0x002b} */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x0039 A:{ExcHandler: java.security.KeyStoreException (e java.security.KeyStoreException), Splitter: B:8:0x002b} */
    /* JADX WARNING: Missing block: B:15:0x003a, code:
            android.util.Log.e("HwLockSettingsService", "get UserHintMessage fail");
     */
    public java.lang.String getString(java.lang.String r6, java.lang.String r7, int r8) {
        /*
        r5 = this;
        r0 = "lockscreen.hw_hint_info";
        r0 = r0.equals(r6);
        if (r0 == 0) goto L_0x0041;
    L_0x0008:
        r0 = r5.hasHwUserLockHint(r8);
        if (r0 == 0) goto L_0x0041;
    L_0x000e:
        r5.checkWritePermission(r8);
        r0 = android.os.Binder.getCallingPid();
        r1 = r5.mContext;
        r1 = getPackageNameFromPid(r1, r0);
        r2 = "com.android.systemui";
        r2 = r2.equals(r1);
        if (r2 != 0) goto L_0x002b;
    L_0x0023:
        r2 = "com.android.settings";
        r2 = r2.equals(r1);
        if (r2 == 0) goto L_0x0041;
    L_0x002b:
        r2 = r5.getUserHintMessage(r8);	 Catch:{ KeyStoreException -> 0x0039, KeyStoreException -> 0x0039, KeyStoreException -> 0x0039, KeyStoreException -> 0x0039, KeyStoreException -> 0x0039, KeyStoreException -> 0x0039, KeyStoreException -> 0x0039, KeyStoreException -> 0x0039, KeyStoreException -> 0x0039, KeyStoreException -> 0x0039 }
        r3 = android.text.TextUtils.isEmpty(r2);	 Catch:{ KeyStoreException -> 0x0039, KeyStoreException -> 0x0039, KeyStoreException -> 0x0039, KeyStoreException -> 0x0039, KeyStoreException -> 0x0039, KeyStoreException -> 0x0039, KeyStoreException -> 0x0039, KeyStoreException -> 0x0039, KeyStoreException -> 0x0039, KeyStoreException -> 0x0039 }
        if (r3 == 0) goto L_0x0037;
    L_0x0035:
        r3 = r7;
        goto L_0x0038;
    L_0x0037:
        r3 = r2;
    L_0x0038:
        return r3;
    L_0x0039:
        r2 = move-exception;
        r3 = "HwLockSettingsService";
        r4 = "get UserHintMessage fail";
        android.util.Log.e(r3, r4);
    L_0x0041:
        r0 = "password_verification_information";
        r0 = r0.equals(r6);
        if (r0 == 0) goto L_0x0058;
    L_0x0049:
        r0 = r5.isUseGKRule(r8);
        if (r0 == 0) goto L_0x0058;
    L_0x004f:
        r0 = r5.getVerifyInfo(r8);
        r0 = r0.toString();
        return r0;
    L_0x0058:
        r0 = "gk_rule_error_count";
        r0 = r0.equals(r6);
        if (r0 == 0) goto L_0x006f;
    L_0x0060:
        r0 = r5.isUseGKRule(r8);
        if (r0 == 0) goto L_0x006f;
    L_0x0066:
        r0 = r5.getErrorCount(r8);
        r0 = java.lang.String.valueOf(r0);
        return r0;
    L_0x006f:
        r0 = super.getString(r6, r7, r8);
        return r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.locksettings.HwLockSettingsService.getString(java.lang.String, java.lang.String, int):java.lang.String");
    }

    public boolean getBoolean(java.lang.String key, boolean defaultValue, int userId) {
        checkWritePermission(userId);
        if ("lockscreen.has_hw_hint_info".equals(key)) {
            return hasHwUserLockHint(userId);
        }
        return super.getBoolean(key, defaultValue, userId);
    }

    private static java.lang.String getPackageNameFromPid(android.content.Context context, int pid) {
        android.app.ActivityManager am = (android.app.ActivityManager) context.getSystemService("activity");
        if (am == null) {
            android.util.Log.e("HwLockSettingsService", "can't get ACTIVITY_SERVICE");
            return "";
        }
        java.util.List<android.app.ActivityManager.RunningAppProcessInfo> acts = am.getRunningAppProcesses();
        if (acts == null) {
            android.util.Log.e("HwLockSettingsService", "can't get Running App");
            return "";
        }
        int len = acts.size();
        for (int i = 0; i < len; i++) {
            android.app.ActivityManager.RunningAppProcessInfo rapInfo = (android.app.ActivityManager.RunningAppProcessInfo) acts.get(i);
            if (rapInfo.pid == pid) {
                return rapInfo.processName;
            }
        }
        return "";
    }

    private com.android.internal.widget.VerifyCredentialResponse verifyCredentialEx(int userId, com.android.server.locksettings.LockSettingsStorage.CredentialHash storedHash, java.lang.String credential, boolean hasChallenge, long challenge, com.android.internal.widget.ICheckCredentialProgressCallback progressCallback) throws android.os.RemoteException {
        if ((storedHash == null || storedHash.hash.length == 0) && android.text.TextUtils.isEmpty(credential)) {
            android.util.Slog.w("HwLockSettingsService", "no stored Password/Pattern, verifyCredential success");
            return com.android.internal.widget.VerifyCredentialResponse.OK;
        }
        if (storedHash != null) {
            if (!android.text.TextUtils.isEmpty(credential)) {
                android.os.StrictMode.noteDiskRead();
                try {
                    if (getGateKeeperService() == null) {
                        return com.android.internal.widget.VerifyCredentialResponse.ERROR;
                    }
                    return convertResponse(getGateKeeperService().verifyChallenge(userId, challenge, storedHash.hash, credential.getBytes(java.nio.charset.StandardCharsets.UTF_8)));
                } catch (android.os.RemoteException e) {
                    return com.android.internal.widget.VerifyCredentialResponse.ERROR;
                }
            }
        }
        android.util.Slog.w("HwLockSettingsService", "no entered Password/Pattern, verifyCredential ERROR");
        return com.android.internal.widget.VerifyCredentialResponse.ERROR;
    }

    private com.android.internal.widget.VerifyCredentialResponse doVerifyCredentialEx(java.lang.String credential, int credentialType, boolean hasChallenge, long challenge, int userId, com.android.internal.widget.ICheckCredentialProgressCallback progressCallback) throws android.os.RemoteException {
        int i = userId;
        com.android.server.locksettings.LockSettingsStorage.CredentialHash storedHash = this.mStorage2.readCredentialHashEx(i);
        if (!(storedHash == null || storedHash.hash == null)) {
            if (storedHash.hash.length != 0) {
                return verifyCredentialEx(i, storedHash, credential, hasChallenge, challenge, progressCallback);
            }
        }
        android.util.Slog.w("HwLockSettingsService", "no Pattern saved VerifyPattern success");
        return com.android.internal.widget.VerifyCredentialResponse.OK;
    }

    private boolean checkPasswordEx(java.lang.String password, int userId, com.android.internal.widget.ICheckCredentialProgressCallback progressCallback) {
        if (password != null) {
            if (!password.equals("")) {
                try {
                    if (doVerifyCredentialEx(password, 2, false, 0, userId, progressCallback).getResponseCode() == 0) {
                        return true;
                    }
                    return false;
                } catch (android.os.RemoteException e) {
                    return false;
                }
            }
        }
        return false;
    }

    private byte[] enrollCredentialEx(byte[] enrolledHandle, java.lang.String enrolledCredential, java.lang.String toEnroll, int userId) throws android.os.RemoteException {
        byte[] toEnrollBytes = null;
        byte[] enrolledCredentialBytes = enrolledCredential == null ? null : enrolledCredential.getBytes(java.nio.charset.StandardCharsets.UTF_8);
        if (toEnroll != null) {
            toEnrollBytes = toEnroll.getBytes(java.nio.charset.StandardCharsets.UTF_8);
        }
        if (getGateKeeperService() == null) {
            android.util.Slog.e("HwLockSettingsService", "getGateKeeperService fail.");
            return new byte[0];
        }
        android.service.gatekeeper.GateKeeperResponse response = getGateKeeperService().enroll(userId, enrolledHandle, enrolledCredentialBytes, toEnrollBytes);
        if (response != null) {
            return response.getPayload();
        }
        android.util.Slog.w("HwLockSettingsService", "enrollCredential response null");
        return new byte[0];
    }

    private void checkPasswordReadPermission(int userId) {
        this.mContext.enforceCallingOrSelfPermission("android.permission.ACCESS_KEYGUARD_SECURE_STORAGE", "LockSettingsRead");
    }

    private com.android.internal.widget.VerifyCredentialResponse convertResponse(android.service.gatekeeper.GateKeeperResponse gateKeeperResponse) {
        return com.android.internal.widget.VerifyCredentialResponse.fromGateKeeperResponse(gateKeeperResponse);
    }

    public boolean setExtendLockScreenPassword(java.lang.String password, java.lang.String phoneNumber, int userHandle) {
        checkWritePermission(userHandle);
        try {
            byte[] enrolledHandle = enrollCredentialEx(this.mStorage2.readCredentialHashEx(userHandle).hash, null, password, userHandle);
            if (enrolledHandle.length == 0) {
                return false;
            }
            this.mStorage2.writeCredentialHashEx(com.android.server.locksettings.LockSettingsStorage.CredentialHash.create(enrolledHandle, 2), userHandle);
            android.content.Intent intent = new android.content.Intent("com.huawei.intent.action.OPERATOR_REMOTE_LOCK");
            intent.setPackage("com.android.systemui");
            intent.putExtra("PhoneNumber", phoneNumber);
            this.mContext.sendBroadcast(intent);
            return true;
        } catch (android.os.RemoteException e) {
            return false;
        }
    }

    public boolean clearExtendLockScreenPassword(java.lang.String password, int userHandle) {
        checkPasswordReadPermission(userHandle);
        if (!this.mStorage2.hasSetPassword(userHandle)) {
            android.util.Slog.i("HwLockSettingsService", "has not set password");
            return false;
        } else if (checkPasswordEx(password, userHandle, false)) {
            this.mStorage2.deleteExPasswordFile(userHandle);
            android.content.Intent intent = new android.content.Intent("com.huawei.intent.action.OPERATOR_REMOTE_UNLOCK");
            intent.setPackage("com.android.systemui");
            this.mContext.sendBroadcast(intent);
            return true;
        } else {
            android.util.Slog.e("HwLockSettingsService", "wrong unlock password");
            return false;
        }
    }

    public void handleUserClearLockForAnti(int userId) {
        if (this.mHwAntiMalStatus == null) {
            this.mHwAntiMalStatus = new com.android.server.security.antimal.HwAntiMalStatus(this.mContext);
        }
        this.mHwAntiMalStatus.handleUserClearLockForAntiMal(userId);
    }

    public void setLockCredential(java.lang.String credential, int type, java.lang.String savedCredential, int requestedQuality, int userId) throws android.os.RemoteException {
        clearPasswordType(userId);
        super.setLockCredential(credential, type, savedCredential, requestedQuality, userId);
    }

    public boolean setLockCredentialWithToken(java.lang.String credential, int type, long tokenHandle, byte[] token, int requestedQuality, int userId) throws android.os.RemoteException {
        clearPasswordType(userId);
        return super.setLockCredentialWithToken(credential, type, tokenHandle, token, requestedQuality, userId);
    }

    private void clearPasswordType(int userId) throws android.os.RemoteException {
        super.setLong("lockscreen.pin_type", -1, userId);
    }

    private int getErrorCount(int userId) {
        return java.lang.Integer.parseInt(this.mStorage2.readKeyValue("error", "0", userId));
    }

    private void addErrorCount(int userId) {
        int errorCount = getErrorCount(userId) + 1;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("locksettingsservice addErrorCount=");
        stringBuilder.append(errorCount);
        stringBuilder.append(", userId ");
        stringBuilder.append(userId);
        android.util.Slog.w("LockSettingsRule", stringBuilder.toString());
        this.mStorage2.writeKeyValue("error", java.lang.String.valueOf(errorCount), userId);
    }

    private void resetErrorCount(int userId) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("locksettingsservice resetErrorCount, userId");
        stringBuilder.append(userId);
        android.util.Slog.w("LockSettingsRule", stringBuilder.toString());
        this.mStorage2.writeKeyValue("error", java.lang.String.valueOf(0), userId);
        resetTime(userId);
    }

    private void setStartTime(int userId, long startTimeRTC, long startTimeElapsed, long stopTimeInFuture) {
        if (startTimeElapsed >= android.os.SystemClock.elapsedRealtime() || stopTimeInFuture > android.os.SystemClock.elapsedRealtime()) {
            this.mStorage2.writeKeyValue("rtc", java.lang.String.valueOf(startTimeRTC), userId);
            this.mStorage2.writeKeyValue("elapsed", java.lang.String.valueOf(startTimeElapsed), userId);
        }
    }

    private void resetTime(int userId) {
        this.mStorage2.writeKeyValue("rtc", java.lang.String.valueOf(0), userId);
        this.mStorage2.writeKeyValue("elapsed", java.lang.String.valueOf(0), userId);
    }

    private long getStartTimeRTC(int userId) {
        return java.lang.Long.parseLong(this.mStorage2.readKeyValue("rtc", "0", userId));
    }

    private long getStartTimeElapsed(int userId) {
        return java.lang.Long.parseLong(this.mStorage2.readKeyValue("elapsed", "0", userId));
    }

    private synchronized org.json.JSONObject getVerifyInfo(int userId) {
        org.json.JSONObject obj;
        obj = new org.json.JSONObject();
        try {
            obj.put("level", 2);
            obj.put("error", getErrorCount(userId));
            obj.put("rtc", getStartTimeRTC(userId));
            obj.put("elapsed", getStartTimeElapsed(userId));
        } catch (org.json.JSONException e) {
            android.util.Slog.e("HwLockSettingsService", "toJson error", e);
        }
        return obj;
    }

    private boolean isCalledFromSettings(int pid) {
        java.lang.String callProcessAppName = getPackageNameFromPid(this.mContext, pid);
        if (!("com.android.settings".equals(callProcessAppName) || "com.huawei.android.hwouc".equals(callProcessAppName) || "com.android.systemui".equals(callProcessAppName))) {
            if (!"com.huawei.securitymgr".equals(callProcessAppName)) {
                return false;
            }
        }
        return true;
    }

    public com.android.internal.widget.VerifyCredentialResponse checkCredential(java.lang.String credential, int type, final int userId, com.android.internal.widget.ICheckCredentialProgressCallback progressCallback) throws android.os.RemoteException {
        if (!isUseGKRule(userId)) {
            return super.checkCredential(credential, type, userId, progressCallback);
        }
        final com.android.internal.widget.ICheckCredentialProgressCallback callback = progressCallback;
        com.android.internal.widget.VerifyCredentialResponse response = super.checkCredential(credential, type, userId, new com.android.internal.widget.ICheckCredentialProgressCallback.Stub() {
            public void onCredentialVerified() throws android.os.RemoteException {
                if (callback != null) {
                    callback.onCredentialVerified();
                }
                com.android.server.locksettings.HwLockSettingsService.this.checkError(0, userId, 0);
            }
        });
        checkError(response.getResponseCode(), userId, response.getTimeout());
        return response;
    }

    public com.android.internal.widget.VerifyCredentialResponse verifyCredential(java.lang.String credential, int type, long challenge, int userId) throws android.os.RemoteException {
        com.android.internal.widget.VerifyCredentialResponse response = super.verifyCredential(credential, type, challenge, userId);
        if (isUseGKRule(userId)) {
            checkError(response.getResponseCode(), userId, response.getTimeout());
        }
        return response;
    }

    private void checkError(int responseCode, int userId, int timeOut) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("checkError responseCode:");
        stringBuilder.append(responseCode);
        android.util.Slog.i("LockSettingsRule", stringBuilder.toString());
        switch (responseCode) {
            case -1:
                addErrorCount(userId);
                return;
            case 0:
                resetErrorCount(userId);
                resetStrongAuth(userId);
                return;
            case 1:
                long startTimeElapsed = android.os.SystemClock.elapsedRealtime();
                int i = userId;
                setStartTime(i, java.lang.System.currentTimeMillis(), startTimeElapsed, startTimeElapsed + ((long) timeOut));
                addErrorCount(userId);
                return;
            default:
                return;
        }
    }

    private void resetStrongAuth(int userId) {
        if ((getStrongAuthForUser(userId) & 8) != 0) {
            android.util.Slog.w("LockSettingsRule", "clear AFTER_LOCKOUT_AUTH flag after verifyCredential");
            requireStrongAuth(0, userId);
        }
    }

    private boolean isUseGKRule(int userId) {
        if (!ENHANCED_GK_RULE || !isCalledFromSettings(android.os.Binder.getCallingPid())) {
            return false;
        }
        checkWritePermission(userId);
        return true;
    }
}
