package com.android.server.locksettings;

class HwLockSettingsStorage extends com.android.server.locksettings.LockSettingsStorage {
    private static final java.lang.String LOCK_EXTEND_PASSWORD_FILE = "gatekeeper.extendpassword.key";
    public static final java.lang.String LOCK_PASSWORD_FILE2 = "password2.key";
    private static final java.lang.String SYSTEM_DIRECTORY = "/system/";
    private static final java.lang.String TABLE = "locksettings";
    private static final java.lang.String TAG = "HwLockSettingsStorage";

    public HwLockSettingsStorage(android.content.Context context) {
        super(context);
    }

    @com.android.internal.annotations.VisibleForTesting
    java.lang.String getLockPasswordFilename(int userId) {
        return getLockCredentialFilePathForUser(userId, "password2.key");
    }

    public com.android.server.locksettings.LockSettingsStorage.CredentialHash readCredentialHashEx(int userId) {
        com.android.server.locksettings.LockSettingsStorage.CredentialHash passwordHash = readExPasswordHashIfExists(userId);
        if (passwordHash != null) {
            return passwordHash;
        }
        return com.android.server.locksettings.LockSettingsStorage.CredentialHash.createEmptyHash();
    }

    private com.android.server.locksettings.LockSettingsStorage.CredentialHash readExPasswordHashIfExists(int userId) {
        byte[] stored = readFile(getExLockPasswordFilename(userId));
        if (!com.android.internal.util.ArrayUtils.isEmpty(stored)) {
            return com.android.server.locksettings.LockSettingsStorage.CredentialHash.create(stored, 2);
        }
        android.util.Slog.i("HwLockSettingsStorage", "readPatternHash , cannot get any PasswordHash");
        return null;
    }

    public void writeCredentialHashEx(com.android.server.locksettings.LockSettingsStorage.CredentialHash hash, int userId) {
        writeFile(getExLockPasswordFilename(userId), hash.hash);
    }

    private java.lang.String getExLockPasswordFilename(int userId) {
        java.lang.String dataSystemDirectory = new java.lang.StringBuilder();
        dataSystemDirectory.append(android.os.Environment.getDataDirectory().getAbsolutePath());
        dataSystemDirectory.append("/system/");
        dataSystemDirectory = dataSystemDirectory.toString();
        if (userId != 0) {
            return new java.io.File(android.os.Environment.getUserSystemDirectory(userId), "gatekeeper.extendpassword.key").getAbsolutePath();
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(dataSystemDirectory);
        stringBuilder.append("gatekeeper.extendpassword.key");
        return stringBuilder.toString();
    }

    public void deleteExPasswordFile(int userId) {
        java.io.File file = new java.io.File(getExLockPasswordFilename(userId));
        if (file.exists() && !file.delete()) {
            android.util.Slog.e("HwLockSettingsStorage", "Error delet file ");
        }
    }

    public boolean hasSetPassword(int userId) {
        if (new java.io.File(getExLockPasswordFilename(userId)).exists()) {
            return true;
        }
        return false;
    }
}
