package com.android.server.locksettings;

public class HwLockSettingsStrongAuth extends com.android.server.locksettings.LockSettingsStrongAuth {
    private static final int MSG_SCHEDULE_WEAK_AUTH_TIMEOUT = 10;
    private static final java.lang.String WEAK_AUTH_TIMEOUT_ALARM_TAG = "LockSettingsWeakAuth.timeoutForUserHw";
    private static final int mWeekInteractTime = 14400000;

    protected class HwStrongAuthTimeoutAlarmListener extends com.android.server.locksettings.LockSettingsStrongAuth.StrongAuthTimeoutAlarmListener {
        private long mAlarmTriggerTime = 0;
        private boolean mIsStrongAuth;

        public HwStrongAuthTimeoutAlarmListener(int userId) {
            super(com.android.server.locksettings.HwLockSettingsStrongAuth.this, userId);
        }

        public void setTrigerTime(boolean isStrong, long alarmTime) {
            this.mIsStrongAuth = isStrong;
            this.mAlarmTriggerTime = alarmTime;
        }

        public void onAlarm() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("STRONG_AUTH_REQUIRED_AFTER_TIMEOUT with ");
            stringBuilder.append(this.mIsStrongAuth);
            android.util.Slog.w("LockSettings", stringBuilder.toString());
            super.onAlarm();
        }
    }

    public HwLockSettingsStrongAuth(android.content.Context context) {
        super(context);
    }

    public void reportSuccessfulWeakAuthUnlock(int userId) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("report WeakAuth from ");
        stringBuilder.append(android.os.Binder.getCallingUid());
        android.util.Slog.w("LockSettings", stringBuilder.toString());
        this.mHandler.obtainMessage(10, userId, 0).sendToTarget();
    }

    public void reportSuccessfulStrongAuthUnlock(int userId) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("report StrongAuth from ");
        stringBuilder.append(android.os.Binder.getCallingUid());
        android.util.Slog.w("LockSettings", stringBuilder.toString());
        super.reportSuccessfulStrongAuthUnlock(userId);
    }

    protected void handleScheduleWeakAuthTimeout(int userId) {
        long when = android.os.SystemClock.elapsedRealtime() + 14400000;
        com.android.server.locksettings.HwLockSettingsStrongAuth.HwStrongAuthTimeoutAlarmListener alarm = (com.android.server.locksettings.HwLockSettingsStrongAuth.HwStrongAuthTimeoutAlarmListener) this.mStrongAuthTimeoutAlarmListenerForUser.get(java.lang.Integer.valueOf(userId));
        if (alarm == null) {
            android.util.Slog.w("LockSettings", "WeakAuth and no alarm exits");
        } else if (alarm.mAlarmTriggerTime >= when) {
            android.util.Slog.v("LockSettings", "WeakAuth skiped.");
        } else {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("WeakAuth update alarm to ");
            stringBuilder.append(when);
            android.util.Slog.w("LockSettings", stringBuilder.toString());
            this.mAlarmManager.cancel(alarm);
            alarm.setTrigerTime(false, when);
            this.mAlarmManager.set(3, when, "LockSettingsWeakAuth.timeoutForUserHw", alarm, this.mHandler);
        }
    }

    protected void handleExtendMessage(android.os.Message msg) {
        if (msg.what == 10) {
            handleScheduleWeakAuthTimeout(msg.arg1);
        }
    }

    protected com.android.server.locksettings.LockSettingsStrongAuth.StrongAuthTimeoutAlarmListener createAlarmListener(int userId) {
        return new com.android.server.locksettings.HwLockSettingsStrongAuth.HwStrongAuthTimeoutAlarmListener(userId);
    }
}
