package com.android.server.mtm;

public class MultiTaskManagerService extends android.app.mtm.IMultiTaskManagerService.Stub {
    static final boolean DEBUG = false;
    private static final int DELAY_TIME_MSG_APP_CLEAN = 3000;
    private static final int MSG_APP_CLEAN = 301;
    private static final int MSG_APP_CLEAN_WITH_CALLBACK = 300;
    private static final int MSG_GROUP_CHANGE_NOTIFY = 1;
    public static final int MSG_IMPLICIT_BR = 400;
    private static final int MSG_INIT_MTM_PROCESS = 500;
    public static final int MSG_POLICY_BR = 200;
    public static final int MSG_PROCESS_BR = 100;
    private static final int MSG_PROCESS_CHANGE_NOTIFY = 2;
    private static final int MSG_PROCESS_DIE_NOTIFY = 3;
    private static final int MSG_RESOURCE_NOTIFY = 4;
    public static final int MSG_TRACK_BR = 5;
    public static final int MY_PID = android.os.Process.myPid();
    static final java.lang.String TAG = "MultiTaskManagerService";
    private static com.android.server.mtm.MultiTaskManagerService mSelf;
    android.os.HandlerThread handlerThread = new com.android.server.ServiceThread("MultiTaskManagerService", -2, false);
    private com.android.server.mtm.iaware.brjob.scheduler.AwareJobSchedulerService mAwareJobSchedulerService = null;
    private final android.content.Context mContext;
    private final android.os.Handler mHandler;
    private android.os.Handler.Callback mHandlerCallback = new android.os.Handler.Callback() {
        public boolean handleMessage(android.os.Message msg) {
            int i = msg.what;
            if (i != 500) {
                switch (i) {
                    case 1:
                    case 2:
                        if (com.android.server.mtm.MultiTaskManagerService.this.mProcInfo != null) {
                            boolean isFgChange = false;
                            if (msg.what == 2 && com.android.server.mtm.MultiTaskManagerService.this.mProcInfo.getProcessInfo(msg.arg1) != null) {
                                isFgChange = true;
                            }
                            com.android.server.mtm.MultiTaskManagerService.this.mProcInfo.recordProcessInfo(msg.arg1, msg.arg2);
                            if (isFgChange) {
                                com.android.server.mtm.MultiTaskManagerService.this.mProcInfo.setAwareProcessState(msg.arg1, msg.arg2, -1);
                            }
                        }
                        return true;
                    case 3:
                        if (com.android.server.mtm.MultiTaskManagerService.this.mProcInfo != null) {
                            com.android.server.mtm.MultiTaskManagerService.this.mProcInfo.removeKilledProcess(msg.arg1);
                            if (com.android.server.mtm.MultiTaskManagerService.this.mIawareBrPolicy != null) {
                                com.android.server.mtm.MultiTaskManagerService.this.mIawareBrPolicy.clearCacheBr(msg.arg1);
                            }
                        }
                        return true;
                    default:
                        com.android.server.mtm.iaware.appmng.appclean.AppCleaner cleaner;
                        switch (i) {
                            case 300:
                                com.android.internal.os.SomeArgs args = msg.obj;
                                android.app.mtm.iaware.appmng.AppCleanParam param = args.arg1;
                                android.app.mtm.iaware.appmng.IAppCleanCallback callback = args.arg2;
                                cleaner = com.android.server.mtm.iaware.appmng.appclean.AppCleaner.getInstance(com.android.server.mtm.MultiTaskManagerService.this.mContext);
                                if (cleaner != null) {
                                    cleaner.requestAppCleanWithCallback(param, callback);
                                }
                                return true;
                            case 301:
                                android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource source = msg.obj.arg1;
                                cleaner = com.android.server.mtm.iaware.appmng.appclean.AppCleaner.getInstance(com.android.server.mtm.MultiTaskManagerService.this.mContext);
                                if (cleaner != null) {
                                    cleaner.requestAppClean(source);
                                }
                                return true;
                            default:
                                return false;
                        }
                }
            }
            com.android.server.mtm.MultiTaskManagerService.this.addAllProcessToMTM();
            return true;
        }
    };
    private com.android.server.mtm.iaware.srms.AwareBroadcastPolicy mIawareBrPolicy = null;
    private com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar mIawareBrRadar = null;
    private long mLastCheckSmartClean = 0;
    private com.android.server.mtm.taskstatus.ProcessCleaner mProcCleaner = null;
    private com.android.server.mtm.taskstatus.ProcessInfoCollector mProcInfo = null;
    private android.app.IProcessObserver mProcessObserver = new android.app.IProcessObserver.Stub() {
        public void onForegroundActivitiesChanged(int pid, int uid, boolean foregroundActivities) {
            if (android.util.Log.HWINFO) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("onForegroundActivitiesChanged pid = ");
                stringBuilder.append(pid);
                stringBuilder.append(", uid = ");
                stringBuilder.append(uid);
                android.util.Slog.i("MultiTaskManagerService", stringBuilder.toString());
            }
            com.android.server.mtm.MultiTaskManagerService.this.notifyProcessStatusChange(pid, uid);
            com.android.server.mtm.MultiTaskManagerService.this.dispatchFgActivitiesChanged(pid, uid, foregroundActivities);
            if (com.android.server.mtm.MultiTaskManagerService.this.mIawareBrPolicy != null) {
                com.android.server.mtm.MultiTaskManagerService.this.mIawareBrPolicy.notifyIawareUnproxyBr(pid, uid);
            }
        }

        public void onProcessDied(int pid, int uid) {
            if (android.util.Log.HWINFO) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("onProcessDied pid = ");
                stringBuilder.append(pid);
                stringBuilder.append(", uid = ");
                stringBuilder.append(uid);
                android.util.Slog.i("MultiTaskManagerService", stringBuilder.toString());
            }
            com.android.server.mtm.MultiTaskManagerService.this.notifyProcessDiedChange(pid, uid);
            com.android.server.mtm.MultiTaskManagerService.this.dispatchProcessDied(pid, uid);
        }
    };
    final android.os.RemoteCallbackList<android.app.mtm.IMultiTaskProcessObserver> mProcessObserverList = new android.os.RemoteCallbackList();
    private com.android.server.mtm.iaware.RPolicyManager mRPolicyManager = null;
    android.content.pm.IPackageManager pm = null;

    public MultiTaskManagerService(android.content.Context context) {
        this.mContext = context;
        setSelf(this);
        systemReady();
        this.handlerThread.start();
        this.mHandler = new android.os.Handler(this.handlerThread.getLooper(), this.mHandlerCallback);
        this.mProcInfo = com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance();
        this.mProcCleaner = com.android.server.mtm.taskstatus.ProcessCleaner.getInstance(this.mContext);
        com.android.server.mtm.iaware.appmng.AwareAppMngSort.getInstance(context);
        com.android.server.rms.algorithm.AwareUserHabit.getInstance(context);
        this.mRPolicyManager = new com.android.server.mtm.iaware.RPolicyManager(this.mContext, this.handlerThread);
        com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.getInstance(context, this.handlerThread);
        this.mIawareBrPolicy = new com.android.server.mtm.iaware.srms.AwareBroadcastPolicy(this.mHandler, context);
        this.mIawareBrPolicy.init();
        this.mIawareBrRadar = new com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar(this.mHandler);
        this.mAwareJobSchedulerService = new com.android.server.mtm.iaware.brjob.scheduler.AwareJobSchedulerService(context, this.handlerThread);
        com.android.server.rms.iaware.srms.AppCleanupDumpRadar.getInstance().setHandler(this.mHandler);
        this.mHandler.sendEmptyMessage(500);
    }

    public static com.android.server.mtm.MultiTaskManagerService self() {
        return mSelf;
    }

    private static void setSelf(com.android.server.mtm.MultiTaskManagerService curInstance) {
        mSelf = curInstance;
    }

    public android.content.Context context() {
        return this.mContext;
    }

    private void systemReady() {
        try {
            android.app.ActivityManagerNative.getDefault().registerProcessObserver(this.mProcessObserver);
            if (android.util.Log.HWINFO) {
                android.util.Slog.i("MultiTaskManagerService", "MultiTaskManagerService systemReady success");
            }
            this.pm = android.content.pm.IPackageManager.Stub.asInterface(android.os.ServiceManager.getService("package"));
        } catch (android.os.RemoteException e) {
            android.util.Slog.e("MultiTaskManagerService", "MultiTaskManagerService systemReady failed");
        }
    }

    private void dispatchFgActivitiesChanged(int pid, int uid, boolean foregroundActivities) {
        int i = this.mProcessObserverList.beginBroadcast();
        while (i > 0) {
            i--;
            android.app.mtm.IMultiTaskProcessObserver observer = (android.app.mtm.IMultiTaskProcessObserver) this.mProcessObserverList.getBroadcastItem(i);
            if (observer != null) {
                try {
                    observer.onForegroundActivitiesChanged(pid, uid, foregroundActivities);
                } catch (android.os.RemoteException e) {
                }
            }
        }
        this.mProcessObserverList.finishBroadcast();
    }

    private void dispatchProcessStateChanged(int pid, int uid, int procState) {
        int i = this.mProcessObserverList.beginBroadcast();
        while (i > 0) {
            i--;
            android.app.mtm.IMultiTaskProcessObserver observer = (android.app.mtm.IMultiTaskProcessObserver) this.mProcessObserverList.getBroadcastItem(i);
            if (observer != null) {
                try {
                    observer.onProcessStateChanged(pid, uid, procState);
                } catch (android.os.RemoteException e) {
                }
            }
        }
        this.mProcessObserverList.finishBroadcast();
    }

    private void dispatchProcessDied(int pid, int uid) {
        int i = this.mProcessObserverList.beginBroadcast();
        while (i > 0) {
            i--;
            android.app.mtm.IMultiTaskProcessObserver observer = (android.app.mtm.IMultiTaskProcessObserver) this.mProcessObserverList.getBroadcastItem(i);
            if (observer != null) {
                try {
                    observer.onProcessDied(pid, uid);
                } catch (android.os.RemoteException e) {
                }
            }
        }
        this.mProcessObserverList.finishBroadcast();
    }

    public void notifyResourceStatusOverload(int resourcetype, java.lang.String resourceextend, int resourcestatus, android.os.Bundle args) {
        enforceCallingPermission();
        android.os.Message msg = this.mHandler.obtainMessage();
        msg.what = 4;
        msg.arg1 = resourcetype;
        msg.arg2 = resourcestatus;
        com.android.internal.os.SomeArgs othereargs = com.android.internal.os.SomeArgs.obtain();
        othereargs.arg1 = resourceextend;
        othereargs.arg2 = args;
        msg.obj = othereargs;
        this.mHandler.sendMessage(msg);
    }

    public void registerObserver(android.app.mtm.IMultiTaskProcessObserver observer) {
        enforceCallingPermission();
        synchronized (this) {
            this.mProcessObserverList.register(observer);
        }
    }

    public void unregisterObserver(android.app.mtm.IMultiTaskProcessObserver observer) {
        enforceCallingPermission();
        synchronized (this) {
            this.mProcessObserverList.unregister(observer);
        }
    }

    private void enforceCallingPermission() {
        int pid = android.os.Binder.getCallingPid();
        int uid = android.os.Binder.getCallingUid();
        if (!(pid == android.os.Process.myPid() || uid == 0)) {
            if (uid != 1000) {
                java.lang.String msg = new java.lang.StringBuilder();
                msg.append("Permission Denial: can not access MultiTaskManagerService! pid = ");
                msg.append(pid);
                msg.append(",uid = ");
                msg.append(uid);
                msg = msg.toString();
                android.util.Slog.e("MultiTaskManagerService", msg);
                throw new java.lang.SecurityException(msg);
            }
        }
    }

    int checkCallingPermission(java.lang.String permission) {
        return checkPermission(permission, android.os.Binder.getCallingPid(), android.os.UserHandle.getAppId(android.os.Binder.getCallingUid()));
    }

    public int checkPermission(java.lang.String permission, int pid, int uid) {
        if (permission == null) {
            return -1;
        }
        if (!(pid == MY_PID || uid == 0)) {
            if (uid != 1000) {
                if (android.os.UserHandle.isIsolated(uid)) {
                    return -1;
                }
                try {
                    if (this.pm == null) {
                        this.pm = android.content.pm.IPackageManager.Stub.asInterface(android.os.ServiceManager.getService("package"));
                    }
                    if (this.pm != null) {
                        return this.pm.checkUidPermission(permission, uid);
                    }
                    return -1;
                } catch (android.os.RemoteException e) {
                    android.util.Slog.e("MultiTaskManagerService", "PackageManager is dead?!?", e);
                }
            }
        }
        return 0;
    }

    protected void dump(java.io.FileDescriptor fd, java.io.PrintWriter pw, java.lang.String[] args) {
        if (checkCallingPermission("android.permission.DUMP") != 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Permission Denial: can't dump Multi task service from from pid=");
            stringBuilder.append(android.os.Binder.getCallingPid());
            stringBuilder.append(", uid=");
            stringBuilder.append(android.os.Binder.getCallingUid());
            stringBuilder.append(" without permission ");
            stringBuilder.append("android.permission.DUMP");
            pw.println(stringBuilder.toString());
            return;
        }
        if (android.os.Binder.getCallingUid() <= 1000) {
            com.android.server.mtm.dump.DumpCase.dump(this.mContext, pw, args);
        }
    }

    public boolean killProcess(int pid, boolean restartservice) {
        enforceCallingPermission();
        return this.mProcCleaner.killProcess(pid, restartservice);
    }

    public boolean forcestopApps(int pid) {
        enforceCallingPermission();
        return this.mProcCleaner.forcestopApps(pid);
    }

    public void notifyProcessGroupChange(int pid, int uid) {
        enforceCallingPermission();
        sendProcessChangeMessage(1, pid, uid);
    }

    public void notifyProcessStatusChange(java.lang.String pkg, java.lang.String process, java.lang.String hostingType, int pid, int uid) {
        enforceCallingPermission();
        sendProcessChangeMessage(2, pid, uid);
        com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy policy = com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.self();
        if (policy != null) {
            policy.notifyProcessStart(pkg, process, hostingType, pid, uid);
        }
    }

    public void notifyProcessDiedChange(int pid, int uid) {
        enforceCallingPermission();
        sendProcessChangeMessage(3, pid, uid);
    }

    private void notifyProcessStatusChange(int pid, int uid) {
        enforceCallingPermission();
        sendProcessChangeMessage(2, pid, uid);
    }

    private void sendProcessChangeMessage(int event, int pid, int uid) {
        if (this.mHandler != null) {
            android.os.Message msg = this.mHandler.obtainMessage();
            msg.what = event;
            msg.arg1 = pid;
            msg.arg2 = uid;
            this.mHandler.sendMessage(msg);
        }
    }

    public boolean reportScene(int featureId, android.app.mtm.iaware.RSceneData scene) {
        enforceCallingPermission();
        return this.mRPolicyManager.reportScene(featureId, scene);
    }

    public android.rms.iaware.RPolicyData acquirePolicyData(int featureId, android.app.mtm.iaware.RSceneData scene) {
        enforceCallingPermission();
        return this.mRPolicyManager.acquirePolicyData(featureId, scene);
    }

    private void enforceCallerSystemUid() {
        if (1000 != android.os.UserHandle.getAppId(android.os.Binder.getCallingUid())) {
            throw new java.lang.SecurityException("Only system uid apps have mtm calling permission");
        }
    }

    public java.util.List<android.app.mtm.iaware.HwAppStartupSetting> retrieveAppStartupSettings(java.util.List<java.lang.String> pkgList, android.app.mtm.iaware.HwAppStartupSettingFilter filter) throws android.os.RemoteException {
        enforceCallerSystemUid();
        com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy policy = com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.self();
        if (policy != null) {
            return policy.retrieveAppStartupSettings(pkgList, filter);
        }
        android.rms.iaware.AwareLog.w("MultiTaskManagerService", "retrieveAppStartupSettings policy not ready!");
        return null;
    }

    public java.util.List<java.lang.String> retrieveAppStartupPackages(java.util.List<java.lang.String> pkgList, int[] policy, int[] modifier, int[] show) throws android.os.RemoteException {
        enforceCallerSystemUid();
        com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy appStartupPolicy = com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.self();
        if (appStartupPolicy != null) {
            return appStartupPolicy.retrieveAppStartupPackages(pkgList, policy, modifier, show);
        }
        android.rms.iaware.AwareLog.w("MultiTaskManagerService", "retrieveAppStartupPackages policy not ready!");
        return null;
    }

    public boolean updateAppStartupSettings(java.util.List<android.app.mtm.iaware.HwAppStartupSetting> settingList, boolean clearFirst) throws android.os.RemoteException {
        enforceCallerSystemUid();
        com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy policy = com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.self();
        if (policy != null) {
            return policy.updateAppStartupSettings(settingList, clearFirst);
        }
        android.rms.iaware.AwareLog.w("MultiTaskManagerService", "updateAppStartupSettings policy not ready!");
        return false;
    }

    public boolean removeAppStartupSetting(java.lang.String pkgName) throws android.os.RemoteException {
        enforceCallerSystemUid();
        com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy policy = com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.self();
        if (policy != null) {
            return policy.removeAppStartupSetting(pkgName);
        }
        android.rms.iaware.AwareLog.w("MultiTaskManagerService", "removeAppStartupSetting policy not ready!");
        return false;
    }

    public boolean updateCloudPolicy(java.lang.String filePath) throws android.os.RemoteException {
        enforceCallerSystemUid();
        com.android.server.mtm.iaware.srms.AwareBroadcastRegister.getInstance().updateConfigData();
        com.android.server.mtm.iaware.srms.AwareBroadcastSend.getInstance().updateConfigData();
        com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy policy = com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.self();
        if (policy != null) {
            return policy.updateCloudPolicy(filePath);
        }
        android.rms.iaware.AwareLog.w("MultiTaskManagerService", "updateCloudPolicy policy not ready!");
        return false;
    }

    private void enforceCallerRootOrSys() {
        int uid = android.os.Binder.getCallingUid();
        if (uid == 0) {
            return;
        }
        if (1000 != android.os.UserHandle.getAppId(uid)) {
            java.lang.String msg = new java.lang.StringBuilder();
            msg.append("Permission Denial: can not access MultiTaskManagerService! uid = ");
            msg.append(uid);
            throw new java.lang.SecurityException(msg.toString());
        }
    }

    public void requestAppCleanWithCallback(android.app.mtm.iaware.appmng.AppCleanParam param, android.app.mtm.iaware.appmng.IAppCleanCallback callback) {
        enforceCallerRootOrSys();
        android.os.Message msg = this.mHandler.obtainMessage();
        msg.what = 300;
        com.android.internal.os.SomeArgs args = com.android.internal.os.SomeArgs.obtain();
        args.arg1 = param;
        args.arg2 = callback;
        msg.obj = args;
        this.mHandler.sendMessage(msg);
    }

    public com.android.server.mtm.iaware.srms.AwareBroadcastPolicy getIawareBrPolicy() {
        enforceCallingPermission();
        return this.mIawareBrPolicy;
    }

    public void requestAppClean(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource source) {
        if (source == null) {
            android.rms.iaware.AwareLog.e("MultiTaskManagerService", "requestAppClean source = null");
            return;
        }
        android.os.Message msg = this.mHandler.obtainMessage();
        msg.what = 301;
        com.android.internal.os.SomeArgs args = com.android.internal.os.SomeArgs.obtain();
        args.arg1 = source;
        msg.obj = args;
        if (android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.SMART_CLEAN.equals(source)) {
            long currTime = android.os.SystemClock.elapsedRealtime();
            if (((long) com.android.server.rms.iaware.appmng.AppMngConfig.getSmartCleanInterval()) <= currTime - this.mLastCheckSmartClean) {
                this.mLastCheckSmartClean = currTime;
                this.mHandler.removeMessages(301);
                this.mHandler.sendMessageDelayed(msg, 3000);
            }
        } else {
            this.mHandler.sendMessage(msg);
        }
    }

    public void cancelAppClean() {
        this.mHandler.removeMessages(301);
    }

    public com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar getIawareBrRadar() {
        enforceCallingPermission();
        return this.mIawareBrRadar;
    }

    public com.android.server.mtm.iaware.brjob.scheduler.AwareJobSchedulerService getAwareJobSchedulerService() {
        enforceCallingPermission();
        return this.mAwareJobSchedulerService;
    }

    private void addAllProcessToMTM() {
        if (this.mProcInfo == null) {
            android.rms.iaware.AwareLog.e("MultiTaskManagerService", "procInfo is null, process start before MTM could missing");
            return;
        }
        com.android.server.am.HwActivityManagerService ams = com.android.server.am.HwActivityManagerService.self();
        if (ams == null) {
            android.rms.iaware.AwareLog.e("MultiTaskManagerService", "ams is null!");
            return;
        }
        java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBaseInfo> allProcInfo = ams.getAllProcessBaseInfo();
        if (allProcInfo.isEmpty()) {
            android.rms.iaware.AwareLog.e("MultiTaskManagerService", "there is no process in ams?");
            return;
        }
        for (java.util.Map.Entry<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBaseInfo> info : allProcInfo.entrySet()) {
            this.mProcInfo.recordProcessInfo(((java.lang.Integer) info.getKey()).intValue(), ((com.android.server.mtm.iaware.appmng.AwareProcessBaseInfo) info.getValue()).mUid);
        }
    }
}
