package com.android.server.mtm.dump;

public final class DumpAppMngListInfo {
    private static com.android.server.mtm.iaware.appmng.AwareAppMngSort appGroupMng = null;

    public static final void dump(android.content.Context context, java.io.PrintWriter pw, java.lang.String[] args) {
        appGroupMng = com.android.server.mtm.iaware.appmng.AwareAppMngSort.getInstance(context);
        if (appGroupMng != null) {
            if (args.length < 2) {
                pw.println("Bad command");
                return;
            }
            if (args[1] != null) {
                if (pw != null) {
                    java.lang.String cmd = args[1];
                    java.lang.StringBuilder stringBuilder;
                    if ("dump".equals(cmd)) {
                        if (args.length < 3) {
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("Bad command :");
                            stringBuilder.append(cmd);
                            pw.println(stringBuilder.toString());
                            return;
                        }
                        appGroupMng.dump(pw, args[2]);
                    } else if ("enable_log".equals(cmd)) {
                        com.android.server.mtm.iaware.appmng.AwareAppMngSort.enableDebug();
                    } else if ("disable_log".equals(cmd)) {
                        com.android.server.mtm.iaware.appmng.AwareAppMngSort.disableDebug();
                    } else if ("enable_assoc".equals(cmd)) {
                        appGroupMng.enableAssocDebug();
                    } else if ("disable_assoc".equals(cmd)) {
                        appGroupMng.disableAssocDebug();
                    } else if ("getstatus_assoc".equals(cmd)) {
                        boolean status = appGroupMng.getAssocDebug();
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("assoc status: ");
                        stringBuilder2.append(status);
                        pw.println(stringBuilder2.toString());
                    } else if ("type".equals(cmd)) {
                        appGroupMng.dumpClassInfo(pw);
                    } else if ("removeAlarm".equals(cmd)) {
                        appGroupMng.dumpRemoveAlarm(pw, args);
                    } else if ("removeInvalidAlarm".equals(cmd)) {
                        appGroupMng.dumpRemoveInvalidAlarm(pw, args);
                    } else if ("alarm".equals(cmd)) {
                        appGroupMng.dumpAlarm(pw, args);
                    } else {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("Bad command :");
                        stringBuilder.append(cmd);
                        pw.println(stringBuilder.toString());
                    }
                }
            }
        }
    }
}
