package com.android.server.mtm.dump;

public final class DumpAppSrMng {
    private static volatile java.util.Map<java.lang.String, java.util.function.Consumer<com.android.server.mtm.dump.DumpAppSrMng.Params>> consumers = new java.util.HashMap();

    static class Params {
        public java.lang.String[] args;
        public android.content.Context context;
        public java.io.PrintWriter pw;

        public Params(android.content.Context context, java.io.PrintWriter pw, java.lang.String[] args) {
            this.context = context;
            this.pw = pw;
            this.args = args;
        }
    }

    public static final void dump(android.content.Context context, java.io.PrintWriter pw, java.lang.String[] args) {
        if (pw != null) {
            if (args != null && args.length >= 3) {
                if (args[1] != null) {
                    java.lang.String cmd = args[1];
                    synchronized (com.android.server.mtm.dump.DumpAppSrMng.class) {
                        if (consumers.size() == 0) {
                            consumers.put("dump_rules", com.android.server.mtm.dump.-$$Lambda$DumpAppSrMng$aN0pZowdDz5s63BwOlmEY-Uv0nk.INSTANCE);
                            consumers.put("update_rules", com.android.server.mtm.dump.-$$Lambda$DumpAppSrMng$Blb-4nEqJC_w1l5bbR--afVpCUY.INSTANCE);
                            consumers.put("appstart", com.android.server.mtm.dump.-$$Lambda$DumpAppSrMng$3ZWRHWAat-8e_OjdGJjdp9q2kDg.INSTANCE);
                            consumers.put("dump_list", com.android.server.mtm.dump.-$$Lambda$DumpAppSrMng$mjPNBXsi4wWHsGdisQYOFUX8Eko.INSTANCE);
                        }
                        java.util.function.Consumer<com.android.server.mtm.dump.DumpAppSrMng.Params> func = (java.util.function.Consumer) consumers.get(cmd);
                        if (func == null) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("  Bad command: ");
                            stringBuilder.append(cmd);
                            pw.println(stringBuilder.toString());
                            return;
                        }
                        try {
                            func.accept(new com.android.server.mtm.dump.DumpAppSrMng.Params(context, pw, args));
                        } catch (java.lang.ArrayIndexOutOfBoundsException e) {
                            pw.println("  Bad command:");
                            pw.println(e.toString());
                        }
                    }
                }
            }
            pw.println("  Bad command");
            return;
        }
        return;
    }

    private static void dumpDumpRules(com.android.server.mtm.dump.DumpAppSrMng.Params mParams) {
        if ("clean".equals(mParams.args[2])) {
            com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().dump(mParams.pw, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_CLEAN);
        } else if ("start".equals(mParams.args[2])) {
            com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().dump(mParams.pw, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_START);
        } else if ("freeze".equals(mParams.args[2])) {
            com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().dump(mParams.pw, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_FREEZE);
        } else if ("iolimit".equals(mParams.args[2])) {
            com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().dump(mParams.pw, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_IOLIMIT);
        } else if ("broadcast".equals(mParams.args[2])) {
            com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().dump(mParams.pw, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.BROADCAST);
        } else if ("rawcfg".equals(mParams.args[2])) {
            if (mParams.args.length < 5) {
                mParams.pw.println("  Bad command: need more args!");
                return;
            }
            java.util.ArrayList<java.lang.String> result = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getRawConfig(mParams.args[3], mParams.args[4]);
            if (result == null) {
                mParams.pw.println("raw config of your type is null");
                return;
            }
            java.util.Iterator it = result.iterator();
            while (it.hasNext()) {
                mParams.pw.println((java.lang.String) it.next());
            }
        }
    }

    private static void dumpUpdateRules(com.android.server.mtm.dump.DumpAppSrMng.Params mParams) {
        long start;
        long end;
        java.io.PrintWriter printWriter;
        java.lang.StringBuilder stringBuilder;
        if ("clean".equals(mParams.args[2])) {
            start = java.lang.System.nanoTime();
            com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().updateRule(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_CLEAN, mParams.context);
            end = java.lang.System.nanoTime();
            printWriter = mParams.pw;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("time consume update appclean = ");
            stringBuilder.append(end - start);
            printWriter.println(stringBuilder.toString());
        } else if ("start".equals(mParams.args[2])) {
            start = java.lang.System.nanoTime();
            com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().updateRule(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_START, mParams.context);
            end = java.lang.System.nanoTime();
            printWriter = mParams.pw;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("time consume update appconfig = ");
            stringBuilder.append(end - start);
            printWriter.println(stringBuilder.toString());
        } else if ("freeze".equals(mParams.args[2])) {
            start = java.lang.System.nanoTime();
            com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().updateRule(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_FREEZE, mParams.context);
            end = java.lang.System.nanoTime();
            printWriter = mParams.pw;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("time consume update appfree = ");
            stringBuilder.append(end - start);
            printWriter.println(stringBuilder.toString());
        } else if ("iolimit".equals(mParams.args[2])) {
            start = java.lang.System.nanoTime();
            com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().updateRule(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_IOLIMIT, mParams.context);
            end = java.lang.System.nanoTime();
            printWriter = mParams.pw;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("time consume update appIoLimit = ");
            stringBuilder.append(end - start);
            printWriter.println(stringBuilder.toString());
        } else if ("broadcast".equals(mParams.args[2])) {
            start = java.lang.System.nanoTime();
            com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().updateRule(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.BROADCAST, mParams.context);
            end = java.lang.System.nanoTime();
            printWriter = mParams.pw;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("time consume update broadcast = ");
            stringBuilder.append(end - start);
            printWriter.println(stringBuilder.toString());
        } else if ("cloudupdate".equals(mParams.args[2])) {
            start = java.lang.System.nanoTime();
            com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy policy = com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.self();
            if (policy != null) {
                policy.updateCloudPolicy("");
            }
            long end2 = java.lang.System.nanoTime();
            java.io.PrintWriter printWriter2 = mParams.pw;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("time consume update appconfig = ");
            stringBuilder2.append(end2 - start);
            printWriter2.println(stringBuilder2.toString());
        }
    }

    private static void dumpAppStart(com.android.server.mtm.dump.DumpAppSrMng.Params mParams) {
        com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy policy = com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.self();
        if (policy != null) {
            policy.dump(mParams.pw, mParams.args);
        }
    }

    private static void dumpList(com.android.server.mtm.dump.DumpAppSrMng.Params mParams) {
        if ("clean".equals(mParams.args[2])) {
            com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().dumpList(mParams.pw, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_CLEAN);
        }
    }
}
