package com.android.server.mtm.dump;

public final class DumpBroadcastJobScheduler {
    private static com.android.server.mtm.iaware.brjob.scheduler.AwareJobSchedulerService mAwareJobSchedulerService = null;

    public static final void dump(java.io.PrintWriter pw, java.lang.String[] args) {
        if (pw != null) {
            if (args != null) {
                if (com.android.server.mtm.MultiTaskManagerService.self() != null) {
                    mAwareJobSchedulerService = com.android.server.mtm.MultiTaskManagerService.self().getAwareJobSchedulerService();
                }
                if (mAwareJobSchedulerService == null) {
                    pw.println("  iAware schedule broadcast have exception ");
                    return;
                }
                if (args.length >= 2) {
                    if (args[1] != null) {
                        if ("disable_log".equals(args[1])) {
                            mAwareJobSchedulerService.disableDebug();
                            pw.println("  iAware schedule broadcast log disabled");
                        } else if ("enable_log".equals(args[1])) {
                            mAwareJobSchedulerService.enableDebug();
                            pw.println("  iAware schedule broadcast log enabled");
                        } else if ("show".equals(args[1])) {
                            pw.println("  iAware schedule broadcast");
                            mAwareJobSchedulerService.dump(pw, args);
                        } else if ("help".equals(args[1])) {
                            dumpHelp(pw);
                        } else {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("  bad command");
                            stringBuilder.append(args[1]);
                            pw.println(stringBuilder.toString());
                            pw.println("  please input help");
                        }
                    }
                }
                pw.println("  bad command");
                pw.println("  please input show, or show action [action name], or show receiver [receiver name]");
            }
        }
    }

    private static void dumpHelp(java.io.PrintWriter pw) {
        pw.println("  AwareJob Scheduler (iawarejobscheduler) dump options:");
        pw.println("   help: print this help");
        pw.println("   show: is an optional to show the output to.");
        pw.println("   show action [action]: is an optional action name to limit the output to.");
        pw.println("   show receiver [receiver]: is an optional receiver name to limit the output to.");
    }
}
