package com.android.server.mtm.dump;

public final class DumpBroadcastProxy {
    private static com.android.server.mtm.iaware.srms.AwareBroadcastPolicy mIawareBrPolicy = null;

    public static final void dump(java.io.PrintWriter pw, java.lang.String[] args) {
        if (pw != null) {
            if (args != null) {
                if (com.android.server.mtm.MultiTaskManagerService.self() != null) {
                    mIawareBrPolicy = com.android.server.mtm.MultiTaskManagerService.self().getIawareBrPolicy();
                }
                if (mIawareBrPolicy == null) {
                    pw.println("  iAware proxy broadcast have exception ");
                    return;
                }
                if (args.length >= 2) {
                    if (args[1] != null) {
                        dumpExBroadcast(pw, args);
                    }
                }
                pw.println("  iAware Proxy broadcast");
                mIawareBrPolicy.dumpIawareBr(pw);
            }
        }
    }

    private static void dumpExBroadcast(java.io.PrintWriter pw, java.lang.String[] args) {
        if ("disable_log".equals(args[1])) {
            com.android.server.mtm.iaware.srms.AwareBroadcastDebug.disableDebug();
            pw.println("  iAware Proxy broadcast log disabled");
        } else if ("enable_log".equals(args[1])) {
            com.android.server.mtm.iaware.srms.AwareBroadcastDebug.enableDebug();
            pw.println("  iAware Proxy broadcast log enabled");
        } else if ("big_data".equals(args[1])) {
            boolean clear = false;
            boolean forBeta = true;
            if (args.length >= 4 && "clear".equals(args[3])) {
                clear = true;
            }
            if (args.length >= 3 && "commercial".equals(args[2])) {
                forBeta = false;
            }
            com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar radar = com.android.server.mtm.MultiTaskManagerService.self().getIawareBrRadar();
            if (radar != null) {
                java.lang.String data = radar.getData(forBeta, clear);
                java.lang.String filterDetailData = radar.getDFTData(forBeta, clear, null);
                java.lang.String brData = radar.getDFTData(forBeta, clear, true);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("  ");
                stringBuilder.append(data);
                pw.println(stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("  ");
                stringBuilder.append(filterDetailData);
                pw.println(stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("  ");
                stringBuilder.append(brData);
                pw.println(stringBuilder.toString());
            } else {
                pw.println("  radar is null");
            }
        } else if ("filter_br".equals(args[1])) {
            pw.println("  iAware filter broadcast");
            mIawareBrPolicy.dumpIawareFilterBr(pw);
        } else if ("filter_br_log".equals(args[1])) {
            pw.println("  iAware filter broadcast enable log");
            com.android.server.mtm.iaware.srms.AwareBroadcastDebug.enableFilterDebug();
        } else if ("filter_br_nolog".equals(args[1])) {
            pw.println("  iAware filter broadcast disabled log");
            com.android.server.mtm.iaware.srms.AwareBroadcastDebug.disableFilterDebug();
        } else {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("  bad command");
            stringBuilder2.append(args[1]);
            pw.println(stringBuilder2.toString());
        }
    }
}
