package com.android.server.mtm.dump;

public final class DumpCase {
    public static final void dump(android.content.Context context, java.io.PrintWriter pw, java.lang.String[] args) {
        if (checkParam(pw, args)) {
            java.lang.String cmd = args[null];
            if ("appMng".equals(cmd)) {
                com.android.server.mtm.dump.DumpAppMngListInfo.dump(context, pw, args);
            } else if ("mtmproc".equals(cmd)) {
                com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance().dump(pw);
            } else {
                dumpAware(context, pw, args, cmd);
            }
        }
    }

    private static final void dumpAware(android.content.Context context, java.io.PrintWriter pw, java.lang.String[] args, java.lang.String cmd) {
        if ("proxybr".equals(cmd)) {
            com.android.server.mtm.dump.DumpBroadcastProxy.dump(pw, args);
        } else if ("srmng".equals(cmd)) {
            com.android.server.mtm.dump.DumpAppSrMng.dump(context, pw, args);
        } else if ("appClean".equals(cmd)) {
            com.android.server.mtm.dump.DumpAppMngClean.dump(context, pw, args);
        } else if ("brjobscheduler".equals(cmd)) {
            com.android.server.mtm.dump.DumpBroadcastJobScheduler.dump(pw, args);
        } else if ("freeze".equals(cmd)) {
            com.android.server.mtm.dump.iaware.DumpAwareAppFreezeMng.dump(context, pw, args);
        } else if ("freezeApp".equals(cmd)) {
            com.android.server.mtm.dump.iaware.DumpAwareAppFreezeMng.dumpFreezeApp(context, pw, args);
        } else if ("iolimit".equals(cmd)) {
            com.android.server.mtm.dump.iaware.DumpAwareAppIoLimitMng.dump(context, pw, args);
        } else if ("checkBadPid".equals(cmd)) {
            com.android.server.mtm.dump.iaware.DumpAwareAppFreezeMng.dumpCheckBadApp(context, pw, args);
        } else if ("brreg".equals(cmd)) {
            com.android.server.mtm.dump.DumpBroadcastRegister.dump(pw, args);
        } else if ("brsend".equals(cmd)) {
            com.android.server.mtm.dump.DumpBroadcastSend.dump(pw, args);
        } else {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Bad command :");
            stringBuilder.append(cmd);
            pw.println(stringBuilder.toString());
        }
    }

    private static final boolean checkParam(java.io.PrintWriter pw, java.lang.String[] args) {
        if (!(args == null || args.length == 0 || args[0] == null)) {
            if (pw != null) {
                return true;
            }
        }
        return false;
    }
}
