package com.android.server.mtm.iaware.appmng;

public class AwareAppCleanerForPG extends com.android.server.mtm.iaware.appmng.AwareAppCleaner {
    private static volatile com.android.server.mtm.iaware.appmng.AwareAppCleanerForPG instance;

    private AwareAppCleanerForPG(android.content.Context context) {
        super(context);
    }

    public static com.android.server.mtm.iaware.appmng.AwareAppCleanerForPG getInstance(android.content.Context context) {
        if (instance == null) {
            synchronized (com.android.server.mtm.iaware.appmng.AwareAppCleanerForPG.class) {
                if (instance == null) {
                    instance = new com.android.server.mtm.iaware.appmng.AwareAppCleanerForPG(context);
                }
            }
        }
        return instance;
    }

    public int execute(com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy policy, android.os.Bundle extras) {
        int killedCount = 0;
        if (policy == null) {
            return 0;
        }
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procGroups = policy.getAllowStopProcBlockList();
        if (!(procGroups == null || procGroups.isEmpty())) {
            for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo procGroup : procGroups) {
                reportAppStart(procGroup);
                int count = com.android.server.mtm.taskstatus.ProcessCleaner.getInstance(this.mContext).uniformClean(procGroup, extras, "PowerGenie");
                killedCount += count;
                addHwStop(procGroup, count);
            }
        }
        return killedCount;
    }

    private void reportAppStart(com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo procGroup) {
        if (procGroup != null && !com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.equals(procGroup.mCleanType)) {
            com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy awareAppStartupPolicy = com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.self();
            if (awareAppStartupPolicy != null) {
                awareAppStartupPolicy.reportPgClean(procGroup.mPackageName);
            }
        }
    }

    private void addHwStop(com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo procGroup, int count) {
        if (procGroup != null) {
            if (count != 0) {
                if (com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.FORCESTOP.equals(procGroup.mCleanType)) {
                    com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().setHwStopFlag(android.os.UserHandle.getUserId(procGroup.mUid), procGroup.mPackageName, true);
                }
            }
        }
    }
}
