package com.android.server.mtm.iaware.appmng;

public class AwareAppMngSort {
    public static final java.lang.String ACTIVITY_RECENT_TASK = "com.android.systemui/.recents.RecentsActivity";
    public static final int ACTIVITY_TASK_IMPORT_CNT = 2;
    public static final java.lang.String ADJTYPE_SERVICE = "service";
    public static final int APPMNG_MEM_ALLOWSTOP_GROUP = 2;
    public static final int APPMNG_MEM_ALL_GROUP = 3;
    public static final int APPMNG_MEM_FORBIDSTOP_GROUP = 0;
    public static final int APPMNG_MEM_SHORTAGESTOP_GROUP = 1;
    public static final int APPSORT_FORCOMPACT = 1;
    public static final int APPSORT_FORMEM = 0;
    public static final int APPSORT_FORMEMCLEAN = 2;
    private static final int BETA_LOG_PRINT_INTERVEL = 60000;
    private static final java.util.Comparator<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> BLOCK_BY_ADJ = new java.util.Comparator<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo>() {
        public int compare(com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo arg0, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo arg1) {
            if (arg0 == null) {
                if (arg1 == null) {
                    return 0;
                }
                return -1;
            } else if (arg1 == null) {
                return 1;
            } else {
                return arg0.mMinAdj - arg1.mMinAdj;
            }
        }
    };
    private static final java.util.Comparator<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> BLOCK_BY_IMPORTANCE = new java.util.Comparator<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo>() {
        public int compare(com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo arg0, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo arg1) {
            return arg1.mImportance - arg0.mImportance;
        }
    };
    private static final java.util.Comparator<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> BLOCK_BY_USER_HABIT = new java.util.Comparator<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo>() {
        public int compare(com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo arg0, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo arg1) {
            if (arg0 == null) {
                if (arg1 == null) {
                    return 0;
                }
                return -1;
            } else if (arg1 == null) {
                return 1;
            } else {
                return arg0.mImportance - arg1.mImportance;
            }
        }
    };
    private static final java.util.Comparator<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> BLOCK_BY_WEIGHT = new java.util.Comparator<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo>() {
        public int compare(com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo arg1, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo arg0) {
            if (arg0 == null) {
                if (arg1 == null) {
                    return 0;
                }
                return -1;
            } else if (arg1 == null) {
                return 1;
            } else {
                return arg0.mWeight - arg1.mWeight;
            }
        }
    };
    private static final int CLASSRATE_KEY_OFFSET = 8;
    private static final java.lang.String CSP_APPS = "csp_apps";
    private static boolean DEBUG = false;
    public static final java.lang.String EXEC_SERVICES = "exec-service";
    public static final java.lang.String FG_SERVICE = "fg-service";
    public static final long FOREVER_DECAYTIME = -1;
    public static final int HABITMAX_IMPORT = 10000;
    public static final int HABITMIN_IMPORT = 0;
    private static final int INVALID_VALUE = -1;
    private static final java.lang.String LIST_FILTER_LEVEL2 = "list-filter-lv2";
    private static final int MAX_IMPORTANCE_VAL = 10000;
    private static final int MAX_TOP_N_NUM = 8;
    public static final int MEM_LEVEL0 = 0;
    public static final int MEM_LEVEL1 = 1;
    public static final int MEM_LEVEL2 = 2;
    public static final int MEM_LEVEL3 = 3;
    public static final int MEM_LEVEL_DEFAULT = 0;
    public static final int MEM_LEVEL_KILL_MORE = 1;
    private static final int MSG_PRINT_BETA_LOG = 1;
    public static final long PREVIOUS_APP_DIRCACTIVITY_DECAYTIME = 600000;
    private static final int SEC_PER_MIN = 60;
    private static final java.lang.String SUBTYPE_ASSOCIATION = "assoc";
    private static final java.lang.String TAG = "AwareAppMngSort";
    private static final int TOP_N_IMPORT_RATE = -100;
    private static java.util.ArrayList<java.lang.String> fileredApps = null;
    private static boolean mEnabled = false;
    private static android.util.ArraySet<java.lang.String> mListFilerLevel2 = null;
    private static com.android.server.mtm.iaware.appmng.AwareAppMngSort sInstance = null;
    private boolean mAssocEnable = true;
    private final android.content.Context mContext;
    private android.os.Handler mHandler = null;
    private com.android.server.am.HwActivityManagerService mHwAMS = null;
    private long mLastBetaLogOutTime = 0;

    public enum AllowStopSubClassRate {
        NONE("none"),
        PREVIOUS("previous"),
        TOPN("user_topN"),
        KEY_SYS_SERVICE("keySysService"),
        HEALTH("health"),
        FG_SERVICES("fg_services"),
        OTHER("other"),
        NONCURUSER("nonCurUser"),
        UNKNOWN("unknown");
        
        java.lang.String mDescription;

        private AllowStopSubClassRate(java.lang.String description) {
            this.mDescription = description;
        }

        public java.lang.String description() {
            return this.mDescription;
        }
    }

    static class AppBlockKeyBase {
        public int mPid = 0;
        public int mUid = 0;

        public AppBlockKeyBase(int pid, int uid) {
            this.mPid = pid;
            this.mUid = uid;
            if (com.android.server.mtm.iaware.appmng.AwareAppMngSort.DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("AppBlockKeyBase constructor pid:");
                stringBuilder.append(this.mPid);
                stringBuilder.append(",uid:");
                stringBuilder.append(this.mUid);
                android.rms.iaware.AwareLog.d("AwareAppMngSort", stringBuilder.toString());
            }
        }
    }

    private static final class BetaLog {
        private static final char FLAG_ITEM_INNER_SPLIT = ',';
        private static final char FLAG_ITEM_SPLIT = ';';
        private static final char FLAG_NEW_LINE = '\n';
        private static final int ITEMS_ONE_LINE = 10;
        private static final int PROCESS_INFO_CNT = 2;
        private java.util.List<java.lang.String> mData = new java.util.ArrayList();

        BetaLog(com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy policy) {
            if (policy.getForbidStopProcBlockList() != null) {
                inflat(policy.getForbidStopProcBlockList());
                inflat(policy.getShortageStopProcBlockList());
                inflat(policy.getAllowStopProcBlockList());
            }
        }

        private void inflat(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> list) {
            if (list != null) {
                for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo pinfo : list) {
                    if (pinfo != null) {
                        if (pinfo.mProcessList != null) {
                            this.mData.add(pinfo.mPackageName);
                            addDetailedReason(pinfo);
                        }
                    }
                }
            }
        }

        private void addDetailedReason(com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo info) {
            if (info != null) {
                if (info.mDetailedReason != null) {
                    java.lang.Integer specialReason = (java.lang.Integer) info.mDetailedReason.get("spec");
                    int reasonLength;
                    if (specialReason != null) {
                        reasonLength = android.app.mtm.iaware.appmng.AppMngConstant.CleanReason.values().length;
                        if (specialReason.intValue() >= 0) {
                            if (specialReason.intValue() < reasonLength) {
                                this.mData.add(android.app.mtm.iaware.appmng.AppMngConstant.CleanReason.values()[specialReason.intValue()].getAbbr());
                                return;
                            }
                        }
                        return;
                    }
                    reasonLength = com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.values().length;
                    java.lang.StringBuilder ruleValue = new java.lang.StringBuilder();
                    for (int i = 0; i < reasonLength; i++) {
                        java.lang.Integer value = (java.lang.Integer) info.mDetailedReason.get(com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.values()[i].getDesc());
                        if (value == null) {
                            ruleValue.append(java.lang.Integer.toString(-1));
                        } else {
                            ruleValue.append(value.toString());
                        }
                        if (i != reasonLength - 1) {
                            ruleValue.append(',');
                        }
                    }
                    this.mData.add(ruleValue.toString());
                }
            }
        }

        public void print() {
            int size = this.mData.size();
            if (size != 0) {
                if (size % 2 == 0) {
                    java.lang.StringBuilder outStr = new java.lang.StringBuilder();
                    int cnt = 0;
                    for (java.lang.String cur : this.mData) {
                        outStr.append(cur);
                        cnt++;
                        if (cnt % 2 != 0) {
                            outStr.append(',');
                        } else if (cnt % 20 == 0) {
                            outStr.append(10);
                        } else {
                            outStr.append(';');
                        }
                    }
                    android.rms.iaware.AwareLog.i("AwareAppMngSort", outStr.toString());
                }
            }
        }
    }

    private static final class BetaLogHandler extends android.os.Handler {
        public BetaLogHandler(android.os.Looper looper) {
            super(looper);
        }

        public void handleMessage(android.os.Message msg) {
            if (msg.what == 1) {
                com.android.server.mtm.iaware.appmng.AwareAppMngSort.BetaLog betaLog = msg.obj;
                if (betaLog != null) {
                    betaLog.print();
                }
            }
        }
    }

    static class CachedWhiteList {
        private final android.util.ArraySet<java.lang.String> mAllHabitCacheList = new android.util.ArraySet();
        final java.util.Set<java.lang.String> mAllProtectApp = new android.util.ArraySet();
        final java.util.Set<java.lang.String> mAllUnProtectApp = new android.util.ArraySet();
        private java.util.Map<java.lang.String, com.android.server.rms.iaware.appmng.AwareDefaultConfigList.PackageConfigItem> mAwareProtectCacheMap = new android.util.ArrayMap();
        final android.util.ArraySet<java.lang.String> mBadAppList = new android.util.ArraySet();
        final android.util.ArraySet<java.lang.String> mBgNonDecayPkg = new android.util.ArraySet();
        private final android.util.ArraySet<java.lang.String> mKeyHabitCacheList = new android.util.ArraySet();
        private boolean mLowEnd = false;
        final android.util.ArraySet<java.lang.String> mRestartAppList = new android.util.ArraySet();

        public void updateCachedList() {
            com.android.server.rms.iaware.appmng.AwareDefaultConfigList whiteListInstance = com.android.server.rms.iaware.appmng.AwareDefaultConfigList.getInstance();
            if (whiteListInstance != null) {
                this.mLowEnd = whiteListInstance.isLowEnd();
                this.mKeyHabitCacheList.addAll(whiteListInstance.getKeyHabitAppList());
                this.mAllHabitCacheList.addAll(whiteListInstance.getAllHabitAppList());
                this.mRestartAppList.addAll(whiteListInstance.getRestartAppList());
                this.mBadAppList.addAll(whiteListInstance.getBadAppList());
                com.android.server.rms.algorithm.AwareUserHabit habit = com.android.server.rms.algorithm.AwareUserHabit.getInstance();
                if (habit != null) {
                    java.util.Set<java.lang.String> bgNonDcyApp = habit.getBackgroundApps(com.android.server.rms.iaware.appmng.AppMngConfig.getBgDecay() * 60);
                    if (bgNonDcyApp != null) {
                        this.mBgNonDecayPkg.addAll(bgNonDcyApp);
                    }
                }
                this.mAwareProtectCacheMap = whiteListInstance.getAwareProtectMap();
            }
        }

        private boolean isLowEnd() {
            return this.mLowEnd;
        }

        public boolean isInKeyHabitList(java.util.ArrayList<java.lang.String> packageNames) {
            if (packageNames != null) {
                if (!packageNames.isEmpty()) {
                    int size = packageNames.size();
                    for (int i = 0; i < size; i++) {
                        if (this.mKeyHabitCacheList.contains((java.lang.String) packageNames.get(i))) {
                            return true;
                        }
                    }
                    return false;
                }
            }
            return false;
        }

        public boolean isInAllHabitList(java.util.ArrayList<java.lang.String> packageNames) {
            if (packageNames != null) {
                if (!packageNames.isEmpty()) {
                    int size = packageNames.size();
                    for (int i = 0; i < size; i++) {
                        if (this.mAllHabitCacheList.contains((java.lang.String) packageNames.get(i))) {
                            return true;
                        }
                    }
                    return false;
                }
            }
            return false;
        }

        private com.android.server.rms.iaware.appmng.AwareDefaultConfigList.ProcessConfigItem getAwareWhiteListItem(java.util.ArrayList<java.lang.String> packageNames, java.lang.String processName) {
            if (!(packageNames == null || packageNames.isEmpty())) {
                if (this.mAwareProtectCacheMap != null) {
                    int size = packageNames.size();
                    for (int i = 0; i < size; i++) {
                        java.lang.String pkgName = (java.lang.String) packageNames.get(i);
                        if (this.mAwareProtectCacheMap.containsKey(pkgName)) {
                            com.android.server.rms.iaware.appmng.AwareDefaultConfigList.PackageConfigItem pkgItem = (com.android.server.rms.iaware.appmng.AwareDefaultConfigList.PackageConfigItem) this.mAwareProtectCacheMap.get(pkgName);
                            if (pkgItem == null) {
                                return null;
                            }
                            if (pkgItem.isEmpty()) {
                                return pkgItem.copy();
                            }
                            com.android.server.rms.iaware.appmng.AwareDefaultConfigList.ProcessConfigItem procItem = pkgItem.getItem(processName);
                            if (procItem == null) {
                                return null;
                            }
                            return procItem.copy();
                        }
                    }
                    return null;
                }
            }
            return null;
        }

        private int getGroupId(com.android.server.rms.iaware.appmng.AwareDefaultConfigList.ProcessConfigItem item) {
            if (item == null) {
                return 2;
            }
            int group = 2;
            switch (item.mGroupId) {
                case 1:
                    group = 0;
                    break;
                case 2:
                    group = 1;
                    break;
                default:
                    break;
            }
            return group;
        }

        private void updateProcessInfoByConfig(com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo) {
            if (processInfo != null) {
                if (processInfo.mProcInfo != null) {
                    com.android.server.rms.iaware.appmng.AwareDefaultConfigList.ProcessConfigItem item = getAwareWhiteListItem(processInfo.mProcInfo.mPackageName, processInfo.mProcInfo.mProcessName);
                    if (item != null) {
                        processInfo.mXmlConfig = new com.android.server.mtm.iaware.appmng.AwareProcessInfo.XmlConfig(getGroupId(item), item.mFrequentlyUsed, item.mResCleanAllow, item.mRestartFlag);
                    }
                }
            }
        }
    }

    public enum ClassRate {
        NONE("none"),
        PERSIST("persist"),
        FOREGROUND("foreground"),
        KEYBACKGROUND("keybackground"),
        HOME("home"),
        KEYSERVICES("keyservices"),
        NORMAL("normal"),
        UNKNOWN("unknown");
        
        java.lang.String mDescription;

        private ClassRate(java.lang.String description) {
            this.mDescription = description;
        }

        public java.lang.String description() {
            return this.mDescription;
        }
    }

    public enum ForbidSubClassRate {
        NONE("none"),
        PREVIOUS("previous"),
        AWARE_PROTECTED("awareProtected");
        
        java.lang.String mDescription;

        private ForbidSubClassRate(java.lang.String description) {
            this.mDescription = description;
        }

        public java.lang.String description() {
            return this.mDescription;
        }
    }

    private static class MemSortGroup {
        public java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> mProcAllowStopList = null;
        public java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> mProcForbidStopList = null;
        public java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> mProcShortageStopList = null;

        public MemSortGroup(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procForbidStopList, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procShortageStopList, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procAllowStopList) {
            this.mProcForbidStopList = procForbidStopList;
            this.mProcShortageStopList = procShortageStopList;
            this.mProcAllowStopList = procAllowStopList;
        }
    }

    private static class ProcessHabitCompare implements java.util.Comparator<com.android.server.mtm.iaware.appmng.AwareProcessInfo>, java.io.Serializable {
        private static final long serialVersionUID = 1;

        private ProcessHabitCompare() {
        }

        public int compare(com.android.server.mtm.iaware.appmng.AwareProcessInfo arg0, com.android.server.mtm.iaware.appmng.AwareProcessInfo arg1) {
            if (arg0 != null) {
                if (arg1 != null) {
                    return arg0.mImportance - arg1.mImportance;
                }
            }
            return 0;
        }
    }

    static class ShortageProcessInfo {
        public java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> mAllProcNeedSort;
        final android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> mAudioIn = new android.util.ArrayMap();
        final android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> mAudioOut = new android.util.ArrayMap();
        private final android.util.ArraySet<java.lang.Integer> mForeGroundServiceUid = new android.util.ArraySet();
        private final android.util.ArrayMap<java.lang.Integer, java.util.ArrayList<java.lang.String>> mForeGroundUid = new android.util.ArrayMap();
        java.util.Set<java.lang.Integer> mHabitTopN;
        private int mHomeProcessPid;
        private final java.util.Set<java.lang.Integer> mHomeStrong = new android.util.ArraySet();
        private java.util.Set<java.lang.Integer> mKeyPercepServicePid;
        public boolean mKillMore;
        final android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> mNonCurUserProc;
        public com.android.server.rms.iaware.appmng.AwareAppLruBase mPrevAmsBase;
        public com.android.server.rms.iaware.appmng.AwareAppLruBase mPrevAwareBase;
        public com.android.server.rms.iaware.appmng.AwareAppLruBase mRecentTaskAppBase;
        private boolean mRecentTaskShow;
        final java.util.Set<java.lang.String> mVisibleWinPkg;
        final java.util.Set<java.lang.String> mWidgetPkg;

        public boolean isRecentTaskShow() {
            return this.mRecentTaskShow;
        }

        public boolean isFgServicesUid(int uid) {
            return this.mForeGroundServiceUid.contains(java.lang.Integer.valueOf(uid));
        }

        public void recordFgServicesUid(int uid) {
            this.mForeGroundServiceUid.add(java.lang.Integer.valueOf(uid));
        }

        public boolean isForegroundUid(com.android.server.mtm.taskstatus.ProcessInfo procInfo) {
            if (procInfo == null || !this.mForeGroundUid.containsKey(java.lang.Integer.valueOf(procInfo.mUid))) {
                return false;
            }
            if (!com.android.server.rms.iaware.appmng.AwareAppAssociate.isDealAsPkgUid(procInfo.mUid)) {
                return true;
            }
            return com.android.server.mtm.iaware.appmng.AwareAppMngSort.isPkgIncludeForTgt(procInfo.mPackageName, (java.util.ArrayList) this.mForeGroundUid.get(java.lang.Integer.valueOf(procInfo.mUid)));
        }

        public boolean isKeyPercepService(int pid) {
            if (this.mKeyPercepServicePid == null) {
                return false;
            }
            return this.mKeyPercepServicePid.contains(java.lang.Integer.valueOf(pid));
        }

        public void recordForegroundUid(int uid, java.util.ArrayList<java.lang.String> packageList) {
            if (com.android.server.rms.iaware.appmng.AwareAppAssociate.isDealAsPkgUid(uid)) {
                this.mForeGroundUid.put(java.lang.Integer.valueOf(uid), packageList);
            } else {
                this.mForeGroundUid.put(java.lang.Integer.valueOf(uid), null);
            }
        }

        private boolean isAudioSubClass(com.android.server.mtm.taskstatus.ProcessInfo procInfo, java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> audioInfo) {
            if (procInfo == null) {
                return false;
            }
            for (java.util.Map.Entry<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> m : audioInfo.entrySet()) {
                com.android.server.mtm.iaware.appmng.AwareProcessInfo info = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) m.getValue();
                if (procInfo.mPid == info.mProcInfo.mPid) {
                    return true;
                }
                if (procInfo.mUid == info.mProcInfo.mUid) {
                    if (!com.android.server.rms.iaware.appmng.AwareAppAssociate.isDealAsPkgUid(procInfo.mUid) || com.android.server.mtm.iaware.appmng.AwareAppMngSort.isPkgIncludeForTgt(procInfo.mPackageName, info.mProcInfo.mPackageName)) {
                        return true;
                    }
                }
            }
            return false;
        }

        public void updateBaseInfo(java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> allProcNeedSort, int homePid, boolean recentTaskShow, java.util.Set<java.lang.Integer> keyPercepServicePid) {
            this.mAllProcNeedSort = allProcNeedSort;
            this.mHabitTopN = getHabitAppTopNVer2(allProcNeedSort, com.android.server.rms.iaware.appmng.AppMngConfig.getTopN());
            updateVisibleWin();
            updateWidget();
            this.mHomeProcessPid = homePid;
            this.mRecentTaskShow = recentTaskShow;
            this.mKeyPercepServicePid = keyPercepServicePid;
            loadHomeAssoc(this.mHomeProcessPid, allProcNeedSort);
            this.mPrevAmsBase = com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getPreviousByAmsInfo();
            this.mPrevAwareBase = com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getPreviousAppInfo();
            this.mRecentTaskAppBase = com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getRecentTaskPrevInfo();
        }

        public ShortageProcessInfo(int memLevel) {
            boolean z = false;
            this.mRecentTaskShow = false;
            this.mAllProcNeedSort = null;
            this.mPrevAmsBase = null;
            this.mPrevAwareBase = null;
            this.mRecentTaskAppBase = null;
            this.mNonCurUserProc = new android.util.ArrayMap();
            this.mVisibleWinPkg = new android.util.ArraySet();
            this.mWidgetPkg = new android.util.ArraySet();
            this.mKillMore = false;
            if (com.android.server.rms.iaware.appmng.AppMngConfig.getKillMoreFlag() && memLevel == 1) {
                z = true;
            }
            this.mKillMore = z;
        }

        private boolean isHomeAssocStrong(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
            if (awareProcInfo != null) {
                if (awareProcInfo.mProcInfo != null) {
                    if (awareProcInfo.mProcInfo.mCurAdj == 600 && (awareProcInfo.mProcInfo.mType == 2 || awareProcInfo.mProcInfo.mType == 3)) {
                        return true;
                    }
                    return this.mHomeStrong.contains(java.lang.Integer.valueOf(awareProcInfo.mPid));
                }
            }
            return false;
        }

        private void loadHomeAssoc(int homePid, java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> allProc) {
            java.util.Set<java.lang.Integer> homeStrong = new android.util.ArraySet();
            com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getAssocListForPid(homePid, homeStrong);
            for (java.lang.Integer pid : homeStrong) {
                com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) allProc.get(pid);
                if (awareProcInfo != null) {
                    if (awareProcInfo.mProcInfo != null) {
                        if (!awareProcInfo.mHasShownUi) {
                            if (awareProcInfo.mProcInfo.mType == 2) {
                                this.mHomeStrong.add(pid);
                            }
                        }
                    }
                }
            }
        }

        private boolean isHabitTopN(int pid) {
            return this.mHabitTopN != null && this.mHabitTopN.contains(java.lang.Integer.valueOf(pid));
        }

        public boolean isHomeProcess(int pid) {
            return this.mHomeProcessPid == pid;
        }

        public int getKeyBackgroupTypeInternal(com.android.server.mtm.taskstatus.ProcessInfo procInfo) {
            if (procInfo == null) {
                return -1;
            }
            return com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance().getKeyBackgroupTypeInternal(procInfo.mPid, procInfo.mUid, procInfo.mPackageName);
        }

        public int getKeyBackgroupTypeInternalByPid(com.android.server.mtm.taskstatus.ProcessInfo procInfo) {
            if (procInfo == null) {
                return -1;
            }
            return com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance().getKeyBackgroupTypeInternal(procInfo.mPid, procInfo.mUid, null);
        }

        private java.util.Set<java.lang.Integer> getHabitAppTopNVer2(java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> proc, int topN) {
            java.util.Set<java.lang.Integer> procTopN = new android.util.ArraySet();
            if (proc == null) {
                android.rms.iaware.AwareLog.e("AwareAppMngSort", "proc = null!");
                return procTopN;
            }
            com.android.server.rms.algorithm.AwareUserHabit habit = com.android.server.rms.algorithm.AwareUserHabit.getInstance();
            if (habit == null) {
                android.rms.iaware.AwareLog.e("AwareAppMngSort", "AwareUserHabit is null");
                return procTopN;
            }
            java.util.List<java.lang.String> pkgTopN = habit.getTopN(topN);
            if (pkgTopN == null) {
                android.rms.iaware.AwareLog.e("AwareAppMngSort", "pkgTopN = null!");
                return procTopN;
            }
            for (java.util.Map.Entry<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> pm : proc.entrySet()) {
                com.android.server.mtm.iaware.appmng.AwareProcessInfo info = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) pm.getValue();
                if (info != null) {
                    if (info.mImportance != 10000) {
                        if (info.mProcInfo != null) {
                            if (com.android.server.mtm.iaware.appmng.AwareAppMngSort.isPkgIncludeForTgt(pkgTopN, info.mProcInfo.mPackageName)) {
                                procTopN.add(java.lang.Integer.valueOf(info.mPid));
                            }
                        }
                    }
                }
            }
            return procTopN;
        }

        private void updateVisibleWin() {
            if (this.mAllProcNeedSort != null) {
                java.util.Set<java.lang.Integer> visibleWindows = new android.util.ArraySet();
                com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getVisibleWindows(visibleWindows, null);
                for (java.lang.Integer pid : visibleWindows) {
                    com.android.server.mtm.iaware.appmng.AwareProcessInfo procInfo = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) this.mAllProcNeedSort.get(pid);
                    if (!(procInfo == null || procInfo.mProcInfo.mPackageName == null)) {
                        this.mVisibleWinPkg.addAll(procInfo.mProcInfo.mPackageName);
                    }
                }
            }
        }

        private void updateWidget() {
            if (this.mAllProcNeedSort != null) {
                java.util.Set<java.lang.String> widgets = com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getWidgetsPkg();
                if (widgets != null) {
                    this.mWidgetPkg.addAll(widgets);
                }
            }
        }
    }

    public enum ShortageSubClassRate {
        NONE("none"),
        PREV_ONECLEAN("prevOneclean"),
        MUSIC_PLAY("musicPlay"),
        SOUND_RECORD("soundRecord"),
        FGSERVICES_TOPN("fgservice_topN"),
        SERVICE_ADJ_TOPN("service_adj_topN"),
        HW_SYSTEM("hw_system"),
        KEY_IM("key_im"),
        GUIDE("guide"),
        DOWN_UP_LOAD("downupLoad"),
        HEALTH("health"),
        PREVIOUS("previous"),
        AWARE_PROTECTED("awareProtected"),
        KEY_SYS_SERVICE("keySysService"),
        ASSOC_WITH_FG("assocWithFg"),
        VISIBLEWIN("visibleWin"),
        FREQN("user_freqN"),
        TOPN("user_topN"),
        WIDGET("widget"),
        UNKNOWN("unknown");
        
        java.lang.String mDescription;
        int subClass;

        private ShortageSubClassRate(java.lang.String description) {
            this.mDescription = description;
            this.subClass = -1;
        }

        public java.lang.String description() {
            return this.mDescription;
        }

        public int getSubClassRate() {
            return this.subClass;
        }
    }

    private AwareAppMngSort(android.content.Context context) {
        this.mContext = context;
        this.mHandler = new com.android.server.mtm.iaware.appmng.AwareAppMngSort.BetaLogHandler(com.android.internal.os.BackgroundThread.get().getLooper());
        init();
    }

    public static synchronized com.android.server.mtm.iaware.appmng.AwareAppMngSort getInstance(android.content.Context context) {
        com.android.server.mtm.iaware.appmng.AwareAppMngSort awareAppMngSort;
        synchronized (com.android.server.mtm.iaware.appmng.AwareAppMngSort.class) {
            if (sInstance == null) {
                sInstance = new com.android.server.mtm.iaware.appmng.AwareAppMngSort(context);
            }
            awareAppMngSort = sInstance;
        }
        return awareAppMngSort;
    }

    public static synchronized com.android.server.mtm.iaware.appmng.AwareAppMngSort getInstance() {
        com.android.server.mtm.iaware.appmng.AwareAppMngSort awareAppMngSort;
        synchronized (com.android.server.mtm.iaware.appmng.AwareAppMngSort.class) {
            awareAppMngSort = sInstance;
        }
        return awareAppMngSort;
    }

    private void init() {
        this.mHwAMS = com.android.server.am.HwActivityManagerService.self();
    }

    public static void enable() {
        mEnabled = true;
    }

    public static void disable() {
        mEnabled = false;
    }

    private boolean containsVisibleWindow(java.util.Set<java.lang.String> visibleWindowList, java.util.List<java.lang.String> pkgList) {
        if (!(visibleWindowList == null || pkgList == null)) {
            if (!visibleWindowList.isEmpty()) {
                for (java.lang.String pkg : pkgList) {
                    if (visibleWindowList.contains(pkg)) {
                        return true;
                    }
                }
                return false;
            }
        }
        return false;
    }

    private void loadAppAssoc(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> procs, java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> pidsClass, java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> strongAssocProc) {
        if (!(procs == null || procs.isEmpty() || pidsClass == null)) {
            if (strongAssocProc != null) {
                java.util.Set<java.lang.Integer> strong = new android.util.ArraySet();
                for (com.android.server.mtm.iaware.appmng.AwareProcessInfo procInfoBase : procs) {
                    int pid = procInfoBase.mPid;
                    strong.clear();
                    loadAssocListForPid(pid, pidsClass, strong, strongAssocProc);
                }
            }
        }
    }

    private boolean isAssocRelation(com.android.server.mtm.iaware.appmng.AwareProcessInfo client, com.android.server.mtm.iaware.appmng.AwareProcessInfo app) {
        if (!(app == null || client == null)) {
            if (client.mProcInfo != null) {
                if (!app.mHasShownUi || app.mPid == getCurHomeProcessPid() || client.mProcInfo.mCurAdj <= 200) {
                    return true;
                }
                return false;
            }
        }
        return false;
    }

    private void loadAssocListForPid(int pid, java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> pidsClass, java.util.Set<java.lang.Integer> strong, java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> strongAssocProc) {
        if (!(pidsClass == null || strongAssocProc == null)) {
            if (strong != null) {
                com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getAssocListForPid(pid, strong);
                for (java.lang.Integer sPid : strong) {
                    com.android.server.mtm.iaware.appmng.AwareProcessInfo procInfo = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) pidsClass.get(sPid);
                    if (procInfo != null) {
                        if (isAssocRelation((com.android.server.mtm.iaware.appmng.AwareProcessInfo) pidsClass.get(java.lang.Integer.valueOf(pid)), procInfo)) {
                            strongAssocProc.put(sPid, procInfo);
                        }
                    }
                }
            }
        }
    }

    private android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> getNeedSortedProcesses(java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> foreGrdProc, java.util.Set<java.lang.Integer> keyPercepServicePid, com.android.server.mtm.iaware.appmng.AwareAppMngSort.CachedWhiteList cachedWhitelist, com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageProcessInfo shortageProc) {
        com.android.server.mtm.iaware.appmng.AwareAppMngSort awareAppMngSort = this;
        java.util.Set<java.lang.Integer> set = keyPercepServicePid;
        com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageProcessInfo shortageProcessInfo = shortageProc;
        java.util.ArrayList<com.android.server.mtm.taskstatus.ProcessInfo> procs = com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance().getProcessInfoList();
        if (procs.isEmpty()) {
            return null;
        }
        java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBaseInfo> baseInfos = awareAppMngSort.mHwAMS != null ? awareAppMngSort.mHwAMS.getAllProcessBaseInfo() : null;
        java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> map;
        com.android.server.mtm.iaware.appmng.AwareAppMngSort.CachedWhiteList cachedWhiteList;
        java.util.ArrayList<com.android.server.mtm.taskstatus.ProcessInfo> arrayList;
        java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBaseInfo> map2;
        if (baseInfos == null) {
            map = foreGrdProc;
            cachedWhiteList = cachedWhitelist;
            arrayList = procs;
            map2 = baseInfos;
        } else if (baseInfos.isEmpty()) {
            map = foreGrdProc;
            cachedWhiteList = cachedWhitelist;
        } else {
            int curUserUid = com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getCurUserId();
            java.util.Set<java.lang.Integer> fgServiceUid = new android.util.ArraySet();
            android.util.ArraySet<java.lang.Integer> importUid = new android.util.ArraySet();
            android.util.ArrayMap<java.lang.Integer, java.lang.Integer> percepServicePid = new android.util.ArrayMap();
            android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> allProcNeedSort = new android.util.ArrayMap();
            int i = 0;
            int size = procs.size();
            while (i < size) {
                com.android.server.mtm.taskstatus.ProcessInfo procInfo = (com.android.server.mtm.taskstatus.ProcessInfo) procs.get(i);
                if (procInfo != null) {
                    com.android.server.mtm.iaware.appmng.AwareProcessBaseInfo updateInfo = (com.android.server.mtm.iaware.appmng.AwareProcessBaseInfo) baseInfos.get(java.lang.Integer.valueOf(procInfo.mPid));
                    if (updateInfo != null) {
                        procInfo.mCurAdj = updateInfo.mCurAdj;
                        procInfo.mForegroundActivities = updateInfo.mForegroundActivities;
                        procInfo.mAdjType = updateInfo.mAdjType;
                        arrayList = procs;
                        com.android.server.mtm.iaware.appmng.AwareProcessBaseInfo updateInfo2 = updateInfo;
                        com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo = new com.android.server.mtm.iaware.appmng.AwareProcessInfo(procInfo.mPid, 0, 0, com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.NORMAL.ordinal(), procInfo);
                        awareProcInfo.mHasShownUi = updateInfo2.mHasShownUi;
                        cachedWhitelist.updateProcessInfoByConfig(awareProcInfo);
                        if (curUserUid != 0 || awareAppMngSort.isCurUserProc(procInfo.mUid, curUserUid)) {
                            allProcNeedSort.put(java.lang.Integer.valueOf(procInfo.mPid), awareProcInfo);
                            if (procInfo.mForegroundActivities) {
                                foreGrdProc.put(java.lang.Integer.valueOf(procInfo.mPid), awareProcInfo);
                                shortageProcessInfo.recordForegroundUid(procInfo.mUid, procInfo.mPackageName);
                            } else {
                                map = foreGrdProc;
                                com.android.server.mtm.iaware.appmng.AwareProcessBaseInfo awareProcessBaseInfo = updateInfo2;
                            }
                            if (procInfo.mCurAdj >= 200) {
                                boolean z = false;
                                map2 = baseInfos;
                                boolean audioOut = shortageProcessInfo.getKeyBackgroupTypeInternalByPid(procInfo) == 2;
                                if (audioOut) {
                                    shortageProcessInfo.mAudioOut.put(java.lang.Integer.valueOf(procInfo.mPid), awareProcInfo);
                                } else {
                                    if (shortageProcessInfo.getKeyBackgroupTypeInternalByPid(procInfo) == 1) {
                                        z = true;
                                    }
                                    if (z) {
                                        shortageProcessInfo.mAudioIn.put(java.lang.Integer.valueOf(procInfo.mPid), awareProcInfo);
                                    }
                                }
                            } else {
                                map2 = baseInfos;
                            }
                            if (procInfo.mCurAdj < 200) {
                                importUid.add(java.lang.Integer.valueOf(procInfo.mUid));
                            } else if (procInfo.mCurAdj == 200 && "fg-service".equals(procInfo.mAdjType)) {
                                fgServiceUid.add(java.lang.Integer.valueOf(procInfo.mUid));
                            } else if (procInfo.mCurAdj == 200 && "service".equals(procInfo.mAdjType)) {
                                percepServicePid.put(java.lang.Integer.valueOf(procInfo.mPid), java.lang.Integer.valueOf(procInfo.mUid));
                            } else if (procInfo.mCurAdj == 200) {
                                importUid.add(java.lang.Integer.valueOf(procInfo.mUid));
                            }
                            i++;
                            procs = arrayList;
                            baseInfos = map2;
                            awareAppMngSort = this;
                        } else {
                            shortageProcessInfo.mNonCurUserProc.put(java.lang.Integer.valueOf(procInfo.mPid), awareProcInfo);
                            map = foreGrdProc;
                            map2 = baseInfos;
                            i++;
                            procs = arrayList;
                            baseInfos = map2;
                            awareAppMngSort = this;
                        }
                    }
                }
                map = foreGrdProc;
                cachedWhiteList = cachedWhitelist;
                arrayList = procs;
                map2 = baseInfos;
                i++;
                procs = arrayList;
                baseInfos = map2;
                awareAppMngSort = this;
            }
            map = foreGrdProc;
            cachedWhiteList = cachedWhitelist;
            arrayList = procs;
            map2 = baseInfos;
            int myPid = android.os.Process.myPid();
            for (java.util.Map.Entry<java.lang.Integer, java.lang.Integer> m : percepServicePid.entrySet()) {
                int i2;
                int i3;
                procs = ((java.lang.Integer) m.getKey()).intValue();
                int uid = ((java.lang.Integer) m.getValue()).intValue();
                if (importUid.contains(java.lang.Integer.valueOf(uid))) {
                    set.add(java.lang.Integer.valueOf(procs));
                } else if (fgServiceUid.contains(java.lang.Integer.valueOf(uid))) {
                    java.util.Set<java.lang.Integer> strong = new android.util.ArraySet();
                    com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getAssocClientListForPid(procs, strong);
                    for (java.lang.Integer clientPid : strong) {
                        i2 = uid;
                        if (clientPid.intValue() == myPid) {
                            set.add(java.lang.Integer.valueOf(procs));
                            i3 = myPid;
                            break;
                        }
                        com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo2 = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) allProcNeedSort.get(clientPid);
                        if (awareProcInfo2 != null) {
                            i3 = myPid;
                            if (awareProcInfo2.mProcInfo != 0) {
                                if (awareProcInfo2.mProcInfo.mCurAdj <= 200) {
                                    set.add(java.lang.Integer.valueOf(procs));
                                    break;
                                }
                            }
                            uid = i2;
                            myPid = i3;
                            shortageProcessInfo = shortageProc;
                        } else {
                            uid = i2;
                            shortageProcessInfo = shortageProc;
                        }
                    }
                    i3 = myPid;
                    i2 = uid;
                    baseInfos = i2;
                    myPid = i3;
                    shortageProcessInfo = shortageProc;
                } else {
                    set.add(java.lang.Integer.valueOf(procs));
                }
                i3 = myPid;
                i2 = uid;
                baseInfos = i2;
                myPid = i3;
                shortageProcessInfo = shortageProc;
            }
            return allProcNeedSort;
        }
        return null;
    }

    private boolean isCurUserProc(int checkUid, int curUserUid) {
        int userId = android.os.UserHandle.getUserId(checkUid);
        boolean isCloned = false;
        if (this.mContext != null) {
            android.os.UserManager usm = android.os.UserManager.get(this.mContext);
            if (usm != null) {
                android.content.pm.UserInfo info = usm.getUserInfo(userId);
                isCloned = info != null ? info.isClonedProfile() : false;
            }
        }
        if (userId != curUserUid) {
            if (!isCloned) {
                return false;
            }
        }
        return true;
    }

    private void groupNonCurUserProc(android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> classNormal, android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> nonCurUserProc) {
        if (classNormal != null) {
            if (nonCurUserProc != null) {
                for (java.util.Map.Entry<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> m : nonCurUserProc.entrySet()) {
                    com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) m.getValue();
                    if (awareProcInfo != null) {
                        awareProcInfo.mClassRate = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.NORMAL.ordinal();
                        awareProcInfo.mSubClassRate = com.android.server.mtm.iaware.appmng.AwareAppMngSort.AllowStopSubClassRate.NONCURUSER.ordinal();
                        addProcessInfoToBlock(classNormal, awareProcInfo, awareProcInfo.mPid);
                    }
                }
            }
        }
    }

    private boolean isSystemProcess(com.android.server.mtm.taskstatus.ProcessInfo procInfo) {
        boolean z = false;
        if (procInfo == null) {
            return false;
        }
        if (procInfo.mType == 2) {
            z = true;
        }
        return z;
    }

    private boolean groupIntoForbidstop(com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageProcessInfo shortageProc, com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        if (awareProcInfo == null) {
            return false;
        }
        int curAdj = awareProcInfo.mProcInfo.mCurAdj;
        int classType = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.UNKNOWN.ordinal();
        int subClassType = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ForbidSubClassRate.NONE.ordinal();
        boolean isGroup = true;
        if (curAdj < 0) {
            classType = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.PERSIST.ordinal();
        } else if (curAdj < 200) {
            classType = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.FOREGROUND.ordinal();
        } else if (awareProcInfo.mXmlConfig == null || !isCfgDefaultGroup(awareProcInfo, 0)) {
            isGroup = false;
        } else {
            classType = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.FOREGROUND.ordinal();
            subClassType = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ForbidSubClassRate.AWARE_PROTECTED.ordinal();
        }
        if (isGroup) {
            awareProcInfo.mClassRate = classType;
            awareProcInfo.mSubClassRate = subClassType;
        }
        return isGroup;
    }

    private static boolean isPkgIncludeForTgt(java.util.List<java.lang.String> tgtPkg, java.util.List<java.lang.String> dstPkg) {
        if (!(tgtPkg == null || tgtPkg.isEmpty())) {
            if (dstPkg != null) {
                for (java.lang.String pkg : dstPkg) {
                    if (pkg != null) {
                        if (tgtPkg.contains(pkg)) {
                            return true;
                        }
                    }
                }
                return false;
            }
        }
        return false;
    }

    private boolean isLastRecentlyUsedBase(com.android.server.mtm.taskstatus.ProcessInfo procInfo, java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> allProcNeedSort, com.android.server.rms.iaware.appmng.AwareAppLruBase appLruBase, long decayTime) {
        if (!(procInfo == null || allProcNeedSort == null)) {
            if (appLruBase != null) {
                if (procInfo.mUid != appLruBase.mUid) {
                    return false;
                }
                if (decayTime != -1 && android.os.SystemClock.elapsedRealtime() - appLruBase.mTime > decayTime) {
                    return false;
                }
                if (!com.android.server.rms.iaware.appmng.AwareAppAssociate.isDealAsPkgUid(procInfo.mUid)) {
                    return true;
                }
                com.android.server.mtm.iaware.appmng.AwareProcessInfo prevProcInfo = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) allProcNeedSort.get(java.lang.Integer.valueOf(appLruBase.mPid));
                if (prevProcInfo == null) {
                    return false;
                }
                return isPkgIncludeForTgt(procInfo.mPackageName, prevProcInfo.mProcInfo.mPackageName);
            }
        }
        return false;
    }

    private boolean isPerceptable(com.android.server.mtm.taskstatus.ProcessInfo procInfo) {
        if (!(procInfo == null || procInfo.mCurAdj != 200 || "fg-service".equals(procInfo.mAdjType))) {
            if (!"service".equals(procInfo.mAdjType)) {
                return true;
            }
        }
        return false;
    }

    private boolean isFgServices(com.android.server.mtm.taskstatus.ProcessInfo procInfo, com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageProcessInfo shortageProc) {
        if (procInfo == null || procInfo.mCurAdj != 200) {
            return false;
        }
        if ("fg-service".equals(procInfo.mAdjType) && (isSystemProcess(procInfo) || shortageProc.isForegroundUid(procInfo))) {
            return true;
        }
        if ("service".equals(procInfo.mAdjType) && (isSystemProcess(procInfo) || shortageProc.isForegroundUid(procInfo))) {
            return true;
        }
        return false;
    }

    public boolean isFgServicesImportantByAdjtype(java.lang.String adjType) {
        if (!"fg-service".equals(adjType)) {
            if (!"service".equals(adjType)) {
                return false;
            }
        }
        return true;
    }

    private boolean isFgServicesImportant(com.android.server.mtm.taskstatus.ProcessInfo procInfo) {
        if (procInfo != null && procInfo.mCurAdj == 200) {
            return isFgServicesImportantByAdjtype(procInfo.mAdjType);
        }
        return false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:86:0x01ec  */
    private boolean groupIntoShortageStop(com.android.server.mtm.iaware.appmng.AwareProcessInfo r8, com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageProcessInfo r9, com.android.server.mtm.iaware.appmng.AwareAppMngSort.CachedWhiteList r10) {
        /*
        r7 = this;
        if (r8 != 0) goto L_0x0004;
    L_0x0002:
        r0 = 0;
        return r0;
    L_0x0004:
        r0 = r8.mProcInfo;
        r1 = r0.mCurAdj;
        r2 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.UNKNOWN;
        r2 = r2.ordinal();
        r3 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.HW_SYSTEM;
        r3 = r3.ordinal();
        r4 = 1;
        r5 = r7.isPerceptable(r0);
        if (r5 != 0) goto L_0x01de;
    L_0x001b:
        r5 = r0.mPid;
        r5 = r9.isKeyPercepService(r5);
        if (r5 == 0) goto L_0x0025;
    L_0x0023:
        goto L_0x01de;
    L_0x0025:
        r5 = 300; // 0x12c float:4.2E-43 double:1.48E-321;
        if (r1 != r5) goto L_0x0037;
    L_0x0029:
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.KEYBACKGROUND;
        r2 = r5.ordinal();
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.NONE;
        r3 = r5.ordinal();
        goto L_0x01ea;
    L_0x0037:
        r5 = 400; // 0x190 float:5.6E-43 double:1.976E-321;
        if (r1 != r5) goto L_0x0049;
    L_0x003b:
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.KEYBACKGROUND;
        r2 = r5.ordinal();
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.NONE;
        r3 = r5.ordinal();
        goto L_0x01ea;
    L_0x0049:
        r5 = r0.mPid;
        r5 = r9.isHomeProcess(r5);
        if (r5 != 0) goto L_0x01d1;
    L_0x0051:
        r5 = r9.isHomeAssocStrong(r8);
        if (r5 == 0) goto L_0x0059;
    L_0x0057:
        goto L_0x01d1;
    L_0x0059:
        r5 = r9.isRecentTaskShow();
        if (r5 == 0) goto L_0x0073;
    L_0x005f:
        r5 = r7.isRecentTaskShowApp(r0, r9);
        if (r5 == 0) goto L_0x0073;
    L_0x0065:
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.KEYSERVICES;
        r2 = r5.ordinal();
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.PREV_ONECLEAN;
        r3 = r5.ordinal();
        goto L_0x01ea;
    L_0x0073:
        r5 = r9.mAudioOut;
        r5 = r9.isAudioSubClass(r0, r5);
        if (r5 == 0) goto L_0x0089;
    L_0x007b:
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.KEYSERVICES;
        r2 = r5.ordinal();
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.MUSIC_PLAY;
        r3 = r5.ordinal();
        goto L_0x01ea;
    L_0x0089:
        r5 = r9.mAudioIn;
        r5 = r9.isAudioSubClass(r0, r5);
        if (r5 == 0) goto L_0x009f;
    L_0x0091:
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.KEYSERVICES;
        r2 = r5.ordinal();
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.SOUND_RECORD;
        r3 = r5.ordinal();
        goto L_0x01ea;
    L_0x009f:
        r5 = r7.isFgServices(r0, r9);
        if (r5 == 0) goto L_0x00b8;
    L_0x00a5:
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.KEYSERVICES;
        r2 = r5.ordinal();
        r5 = r0.mUid;
        r9.recordFgServicesUid(r5);
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.FGSERVICES_TOPN;
        r3 = r5.ordinal();
        goto L_0x01ea;
    L_0x00b8:
        r5 = r0.mPackageName;
        r5 = r10.isInKeyHabitList(r5);
        if (r5 == 0) goto L_0x00ce;
    L_0x00c0:
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.KEYSERVICES;
        r2 = r5.ordinal();
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.KEY_IM;
        r3 = r5.ordinal();
        goto L_0x01ea;
    L_0x00ce:
        r5 = r9.getKeyBackgroupTypeInternal(r0);
        r6 = 3;
        if (r5 != r6) goto L_0x00e3;
    L_0x00d5:
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.KEYSERVICES;
        r2 = r5.ordinal();
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.GUIDE;
        r3 = r5.ordinal();
        goto L_0x01ea;
    L_0x00e3:
        r5 = r9.getKeyBackgroupTypeInternal(r0);
        r6 = 5;
        if (r5 != r6) goto L_0x00f8;
    L_0x00ea:
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.KEYSERVICES;
        r2 = r5.ordinal();
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.DOWN_UP_LOAD;
        r3 = r5.ordinal();
        goto L_0x01ea;
    L_0x00f8:
        r5 = r10.isLowEnd();
        if (r5 != 0) goto L_0x0113;
    L_0x00fe:
        r5 = r9.getKeyBackgroupTypeInternal(r0);
        r6 = 4;
        if (r5 != r6) goto L_0x0113;
    L_0x0105:
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.KEYSERVICES;
        r2 = r5.ordinal();
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.HEALTH;
        r3 = r5.ordinal();
        goto L_0x01ea;
        r5 = r9.mKillMore;
        if (r5 == 0) goto L_0x011c;
    L_0x0118:
        r5 = 600000; // 0x927c0 float:8.40779E-40 double:2.964394E-318;
        goto L_0x011e;
    L_0x011c:
        r5 = -1;
    L_0x011e:
        r5 = r7.isLastRecentlyUsed(r0, r9, r5);
        if (r5 == 0) goto L_0x0132;
    L_0x0124:
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.KEYSERVICES;
        r2 = r5.ordinal();
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.PREVIOUS;
        r3 = r5.ordinal();
        goto L_0x01ea;
    L_0x0132:
        r5 = r8.mXmlConfig;
        if (r5 == 0) goto L_0x0159;
    L_0x0136:
        r5 = 1;
        r5 = r7.isCfgDefaultGroup(r8, r5);
        if (r5 == 0) goto L_0x0159;
    L_0x013d:
        r5 = r8.mXmlConfig;
        r5 = r5.mFrequentlyUsed;
        if (r5 == 0) goto L_0x014b;
    L_0x0143:
        r5 = r0.mPid;
        r5 = r9.isHabitTopN(r5);
        if (r5 == 0) goto L_0x0159;
    L_0x014b:
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.KEYSERVICES;
        r2 = r5.ordinal();
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.AWARE_PROTECTED;
        r3 = r5.ordinal();
        goto L_0x01ea;
    L_0x0159:
        r5 = r10.isLowEnd();
        if (r5 != 0) goto L_0x0173;
    L_0x015f:
        r5 = r7.isKeySysProc(r8);
        if (r5 == 0) goto L_0x0173;
    L_0x0165:
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.KEYSERVICES;
        r2 = r5.ordinal();
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.KEY_SYS_SERVICE;
        r3 = r5.ordinal();
        goto L_0x01ea;
    L_0x0173:
        r5 = r8.mProcInfo;
        r5 = r9.isForegroundUid(r5);
        if (r5 == 0) goto L_0x0188;
    L_0x017b:
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.KEYSERVICES;
        r2 = r5.ordinal();
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.ASSOC_WITH_FG;
        r3 = r5.ordinal();
        goto L_0x01ea;
    L_0x0188:
        r5 = r9.mVisibleWinPkg;
        r6 = r0.mPackageName;
        r5 = r7.containsVisibleWindow(r5, r6);
        if (r5 == 0) goto L_0x019f;
    L_0x0192:
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.KEYSERVICES;
        r2 = r5.ordinal();
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.VISIBLEWIN;
        r3 = r5.ordinal();
        goto L_0x01ea;
    L_0x019f:
        r5 = r9.mKillMore;
        if (r5 != 0) goto L_0x01b8;
    L_0x01a3:
        r5 = r0.mPid;
        r5 = r9.isHabitTopN(r5);
        if (r5 == 0) goto L_0x01b8;
    L_0x01ab:
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.KEYSERVICES;
        r2 = r5.ordinal();
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.TOPN;
        r3 = r5.ordinal();
        goto L_0x01ea;
    L_0x01b8:
        r5 = r9.mWidgetPkg;
        r6 = r0.mPackageName;
        r5 = r7.isWidget(r5, r6);
        if (r5 == 0) goto L_0x01cf;
    L_0x01c2:
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.KEYSERVICES;
        r2 = r5.ordinal();
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.WIDGET;
        r3 = r5.ordinal();
        goto L_0x01ea;
    L_0x01cf:
        r4 = 0;
        goto L_0x01ea;
    L_0x01d1:
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.HOME;
        r2 = r5.ordinal();
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.NONE;
        r3 = r5.ordinal();
        goto L_0x01ea;
    L_0x01de:
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.KEYBACKGROUND;
        r2 = r5.ordinal();
        r5 = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.NONE;
        r3 = r5.ordinal();
    L_0x01ea:
        if (r4 == 0) goto L_0x01f0;
    L_0x01ec:
        r8.mClassRate = r2;
        r8.mSubClassRate = r3;
    L_0x01f0:
        return r4;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.mtm.iaware.appmng.AwareAppMngSort.groupIntoShortageStop(com.android.server.mtm.iaware.appmng.AwareProcessInfo, com.android.server.mtm.iaware.appmng.AwareAppMngSort$ShortageProcessInfo, com.android.server.mtm.iaware.appmng.AwareAppMngSort$CachedWhiteList):boolean");
    }

    private boolean isLastRecentlyUsed(com.android.server.mtm.taskstatus.ProcessInfo procInfo, com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageProcessInfo shortageProc, long decayTime) {
        boolean z = true;
        if (decayTime == -1 && procInfo.mCurAdj == 700) {
            return true;
        }
        if (!isLastRecentlyUsedBase(procInfo, shortageProc.mAllProcNeedSort, shortageProc.mPrevAmsBase, decayTime)) {
            if (!isLastRecentlyUsedBase(procInfo, shortageProc.mAllProcNeedSort, shortageProc.mPrevAwareBase, decayTime)) {
                z = false;
            }
        }
        return z;
    }

    private boolean isWidget(java.util.Set<java.lang.String> widgets, java.util.List<java.lang.String> pkgList) {
        if (!(widgets == null || pkgList == null)) {
            if (!widgets.isEmpty()) {
                for (java.lang.String pkg : pkgList) {
                    if (widgets.contains(pkg)) {
                        return true;
                    }
                }
                return false;
            }
        }
        return false;
    }

    private boolean isClock(java.util.Set<java.lang.String> clocks, java.util.ArrayList<java.lang.String> packageNames) {
        if (!(clocks == null || clocks.isEmpty() || packageNames == null || packageNames.isEmpty())) {
            int size = packageNames.size();
            for (int i = 0; i < size; i++) {
                java.lang.String pkg = (java.lang.String) packageNames.get(i);
                if (pkg != null) {
                    if (clocks.contains(pkg)) {
                        return true;
                    }
                }
            }
        }
        return false;
    }

    private boolean isRecentTaskShow(android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> foreGrdProc) {
        if (foreGrdProc != null) {
            if (foreGrdProc.size() <= 0) {
                return true;
            }
        }
        return false;
    }

    private boolean isRecentTaskShowApp(com.android.server.mtm.taskstatus.ProcessInfo procInfo, com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageProcessInfo shortageProc) {
        return isLastRecentlyUsedBase(procInfo, shortageProc.mAllProcNeedSort, shortageProc.mRecentTaskAppBase, -1);
    }

    private boolean isKeySysProc(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        com.android.server.mtm.taskstatus.ProcessInfo procInfo = awareProcInfo.mProcInfo;
        if (!isSystemProcess(procInfo)) {
            return false;
        }
        if (procInfo.mCurAdj == 500) {
            return true;
        }
        if (procInfo.mUid < 10000 && procInfo.mCurAdj == 800) {
            return true;
        }
        if (procInfo.mUid < 10000 && !awareProcInfo.mHasShownUi && procInfo.mCreatedTime != -1 && android.os.SystemClock.elapsedRealtime() - procInfo.mCreatedTime < com.android.server.rms.iaware.appmng.AppMngConfig.getKeySysDecay()) {
            return true;
        }
        if (procInfo.mUid < 10000 || awareProcInfo.mHasShownUi || procInfo.mCreatedTime == -1 || android.os.SystemClock.elapsedRealtime() - procInfo.mCreatedTime >= com.android.server.rms.iaware.appmng.AppMngConfig.getSysDecay()) {
            return false;
        }
        return true;
    }

    private boolean groupIntoAllowStop(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo, com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageProcessInfo shortageProc, com.android.server.mtm.iaware.appmng.AwareAppMngSort.CachedWhiteList cachedWhitelist) {
        if (awareProcInfo == null) {
            return false;
        }
        int subClassType;
        com.android.server.mtm.taskstatus.ProcessInfo procInfo = awareProcInfo.mProcInfo;
        if (shortageProc.mKillMore && isLastRecentlyUsed(procInfo, shortageProc, -1)) {
            subClassType = com.android.server.mtm.iaware.appmng.AwareAppMngSort.AllowStopSubClassRate.PREVIOUS.ordinal();
        } else if (shortageProc.mKillMore && shortageProc.isHabitTopN(procInfo.mPid)) {
            subClassType = com.android.server.mtm.iaware.appmng.AwareAppMngSort.AllowStopSubClassRate.TOPN.ordinal();
        } else if (cachedWhitelist.isLowEnd() && isKeySysProc(awareProcInfo)) {
            subClassType = com.android.server.mtm.iaware.appmng.AwareAppMngSort.AllowStopSubClassRate.KEY_SYS_SERVICE.ordinal();
        } else if (cachedWhitelist.isLowEnd() && shortageProc.getKeyBackgroupTypeInternal(procInfo) == 4) {
            subClassType = com.android.server.mtm.iaware.appmng.AwareAppMngSort.AllowStopSubClassRate.HEALTH.ordinal();
        } else if (isFgServicesImportant(procInfo)) {
            subClassType = com.android.server.mtm.iaware.appmng.AwareAppMngSort.AllowStopSubClassRate.FG_SERVICES.ordinal();
        } else {
            subClassType = com.android.server.mtm.iaware.appmng.AwareAppMngSort.AllowStopSubClassRate.OTHER.ordinal();
            awareProcInfo.mClassRate = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.NORMAL.ordinal();
            awareProcInfo.mSubClassRate = subClassType;
            return true;
        }
        awareProcInfo.mClassRate = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.NORMAL.ordinal();
        awareProcInfo.mSubClassRate = subClassType;
        return true;
    }

    private void addProcessInfoToBlock(java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> appAllClass, com.android.server.mtm.iaware.appmng.AwareProcessInfo pinfo, int key) {
        if (appAllClass != null) {
            if (pinfo != null) {
                com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo info = new com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo(pinfo.mProcInfo.mUid, false, pinfo.mClassRate);
                info.mProcessList.add(pinfo);
                info.mSubClassRate = pinfo.mSubClassRate;
                info.mImportance = pinfo.mImportance;
                info.mMinAdj = pinfo.mProcInfo.mCurAdj;
                appAllClass.put(java.lang.Integer.valueOf(key), info);
            }
        }
    }

    private boolean isBgDecayApp(java.lang.String pkgName, com.android.server.mtm.iaware.appmng.AwareAppMngSort.CachedWhiteList cachedWhitelist) {
        if (pkgName != null) {
            if (cachedWhitelist != null) {
                if (cachedWhitelist.mBgNonDecayPkg.contains(pkgName)) {
                    return false;
                }
                return true;
            }
        }
        return false;
    }

    private boolean getRestartFlagByProc(int classRate, int subRate, java.util.List<java.lang.String> pkg, com.android.server.mtm.iaware.appmng.AwareAppMngSort.CachedWhiteList cachedWhitelist, boolean isRestartByAppType, com.android.server.mtm.taskstatus.ProcessInfo procInfo, int appType, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo value) {
        if (pkg != null) {
            if (cachedWhitelist != null) {
                if (!(subRate == com.android.server.mtm.iaware.appmng.AwareAppMngSort.AllowStopSubClassRate.NONE.ordinal() || subRate == com.android.server.mtm.iaware.appmng.AwareAppMngSort.AllowStopSubClassRate.PREVIOUS.ordinal() || subRate == com.android.server.mtm.iaware.appmng.AwareAppMngSort.AllowStopSubClassRate.TOPN.ordinal() || subRate == com.android.server.mtm.iaware.appmng.AwareAppMngSort.AllowStopSubClassRate.HEALTH.ordinal() || subRate == com.android.server.mtm.iaware.appmng.AwareAppMngSort.AllowStopSubClassRate.NONCURUSER.ordinal())) {
                    if (subRate != com.android.server.mtm.iaware.appmng.AwareAppMngSort.AllowStopSubClassRate.UNKNOWN.ordinal()) {
                        if (cachedWhitelist.isLowEnd() && subRate == com.android.server.mtm.iaware.appmng.AwareAppMngSort.AllowStopSubClassRate.KEY_SYS_SERVICE.ordinal()) {
                            return false;
                        }
                        for (java.lang.String pkgName : pkg) {
                            if (cachedWhitelist.mRestartAppList.contains(pkgName)) {
                                return true;
                            }
                            if (cachedWhitelist.mAllProtectApp.contains(pkgName) && (!cachedWhitelist.isLowEnd() || !isBgDecayApp(pkgName, cachedWhitelist))) {
                                return true;
                            }
                            if (!cachedWhitelist.mBadAppList.contains(pkgName)) {
                                if (isRestartByAppType) {
                                    if (com.android.server.rms.iaware.appmng.AppMngConfig.getAbroadFlag() && cachedWhitelist.mAllUnProtectApp.contains(pkgName)) {
                                        value.mAlarmChk = true;
                                    } else if (cachedWhitelist.isLowEnd()) {
                                        if (!isBgDecayApp(pkgName, cachedWhitelist)) {
                                            return true;
                                        }
                                        if (!isDecayAppByAppType(appType)) {
                                            value.mAlarmChk = true;
                                        }
                                    } else if (!(isDecayAppByAppType(appType) && isBgDecayApp(pkgName, cachedWhitelist))) {
                                        return true;
                                    }
                                }
                            }
                        }
                        return false;
                    }
                }
                return true;
            }
        }
        return true;
    }

    private boolean getAllowCleanResByProc(int classRate, int subRate, com.android.server.mtm.iaware.appmng.AwareAppMngSort.CachedWhiteList cachedWhitelist, java.util.ArrayList<java.lang.String> pkgList, boolean isRestartByAppType) {
        boolean z = false;
        if (cachedWhitelist == null) {
            return false;
        }
        if (!cachedWhitelist.isLowEnd()) {
            return true;
        }
        if (subRate != com.android.server.mtm.iaware.appmng.AwareAppMngSort.AllowStopSubClassRate.FG_SERVICES.ordinal()) {
            if (subRate == com.android.server.mtm.iaware.appmng.AwareAppMngSort.AllowStopSubClassRate.OTHER.ordinal()) {
                z = true;
            }
            return z;
        } else if (!isRestartByAppType) {
            return true;
        } else {
            if (com.android.server.rms.iaware.appmng.AppMngConfig.getAbroadFlag() && pkgList != null) {
                if (!pkgList.isEmpty()) {
                    int size = pkgList.size();
                    for (int i = 0; i < size; i++) {
                        if (!cachedWhitelist.mAllUnProtectApp.contains((java.lang.String) pkgList.get(i))) {
                            return false;
                        }
                    }
                    return true;
                }
            }
            return false;
        }
    }

    private boolean getAllowCleanResByAppType(int appType) {
        if (appType != 14) {
            return true;
        }
        return false;
    }

    private void updateAppType(com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo info, com.android.server.mtm.iaware.appmng.AwareAppMngSort.CachedWhiteList cachedWhitelist) {
        if (info != null) {
            for (com.android.server.mtm.iaware.appmng.AwareProcessInfo procInfo : info.mProcessList) {
                if (!(procInfo == null || procInfo.mProcInfo == null)) {
                    if (procInfo.mProcInfo.mPackageName != null) {
                        int size = procInfo.mProcInfo.mPackageName.size();
                        for (int i = 0; i < size; i++) {
                            int type = android.rms.iaware.AppTypeRecoManager.getInstance().getAppType((java.lang.String) procInfo.mProcInfo.mPackageName.get(i));
                            if (!getRestartFlagByAppType(type)) {
                                info.mAppType = type;
                            } else if (isDecayAppByAppType(type)) {
                                info.mAppType = type;
                            } else {
                                info.mAppType = -1;
                                return;
                            }
                        }
                    }
                }
            }
        }
    }

    private boolean getRestartFlagByAppType(int appType) {
        switch (appType) {
            case 3:
            case 6:
            case 7:
            case 8:
            case 9:
            case 10:
            case 12:
            case 13:
            case 14:
            case 15:
            case 17:
            case 18:
            case 19:
                return false;
            default:
                return true;
        }
    }

    private boolean isDecayAppByAppType(int appType) {
        switch (appType) {
            case 20:
            case 21:
                return true;
            default:
                return false;
        }
    }

    public boolean needCheckAlarm(com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo info) {
        if (info == null) {
            return false;
        }
        if (com.android.server.rms.iaware.appmng.AppMngConfig.getAlarmCheckFlag()) {
            return true;
        }
        return info.mAlarmChk;
    }

    /* JADX WARNING: Removed duplicated region for block: B:67:0x014d A:{LOOP_END, LOOP:2: B:65:0x0147->B:67:0x014d} */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x007e  */
    /* JADX WARNING: Removed duplicated region for block: B:67:0x014d A:{LOOP_END, LOOP:2: B:65:0x0147->B:67:0x014d} */
    private void addClassToAllClass(java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> r25, java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> r26, com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageProcessInfo r27, java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> r28, com.android.server.mtm.iaware.appmng.AwareAppMngSort.CachedWhiteList r29, java.util.Set<java.lang.String> r30, boolean r31) {
        /*
        r24 = this;
        r9 = r24;
        r10 = r29;
        r0 = r26.entrySet();
        r11 = r0.iterator();
    L_0x000c:
        r0 = r11.hasNext();
        if (r0 == 0) goto L_0x015b;
    L_0x0012:
        r0 = r11.next();
        r12 = r0;
        r12 = (java.util.Map.Entry) r12;
        r0 = r12.getKey();
        r0 = (java.lang.Integer) r0;
        r13 = r0.intValue();
        r0 = r12.getValue();
        r14 = r0;
        r14 = (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) r14;
        r0 = java.lang.Integer.valueOf(r13);
        r15 = r25;
        r15.put(r0, r14);
        if (r31 != 0) goto L_0x0036;
    L_0x0035:
        goto L_0x000c;
    L_0x0036:
        r0 = 0;
        r1 = 0;
        r2 = 0;
        r3 = 1;
        r16 = 0;
        r4 = 0;
        r5 = com.android.server.rms.iaware.appmng.AppMngConfig.getAbroadFlag();
        if (r5 != 0) goto L_0x0067;
    L_0x0043:
        r5 = com.android.server.rms.iaware.appmng.AppMngConfig.getRestartFlag();
        if (r5 == 0) goto L_0x004a;
    L_0x0049:
        goto L_0x0067;
    L_0x004a:
        r9.updateAppType(r14, r10);
        r5 = r14.mAppType;
        r5 = r9.getRestartFlagByAppType(r5);
        if (r5 == 0) goto L_0x0057;
    L_0x0055:
        r4 = 1;
        goto L_0x0068;
    L_0x0057:
        r5 = r29.isLowEnd();
        if (r5 != 0) goto L_0x0068;
    L_0x005d:
        r5 = r14.mAppType;
        r5 = r9.getAllowCleanResByAppType(r5);
        if (r5 != 0) goto L_0x0068;
    L_0x0065:
        r3 = 0;
        goto L_0x0068;
    L_0x0067:
        r4 = 1;
    L_0x0068:
        r17 = r4;
        r4 = r14.mProcessList;
        r8 = r4.iterator();
        r18 = r0;
        r20 = r1;
        r21 = r2;
        r19 = r3;
    L_0x0078:
        r0 = r8.hasNext();
        if (r0 == 0) goto L_0x0115;
    L_0x007e:
        r0 = r8.next();
        r7 = r0;
        r7 = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) r7;
        r0 = com.android.server.rms.iaware.appmng.AppMngConfig.getRestartFlag();
        if (r0 != 0) goto L_0x010b;
    L_0x008b:
        r1 = r14.mClassRate;
        r2 = r14.mSubClassRate;
        r0 = r7.mProcInfo;
        r3 = r0.mPackageName;
        r6 = r7.mProcInfo;
        r5 = r14.mAppType;
        r0 = r9;
        r4 = r10;
        r22 = r5;
        r5 = r17;
        r23 = r11;
        r11 = r7;
        r7 = r22;
        r22 = r8;
        r8 = r14;
        r0 = r0.getRestartFlagByProc(r1, r2, r3, r4, r5, r6, r7, r8);
        if (r0 == 0) goto L_0x00b1;
    L_0x00ab:
        r6 = r27;
        r7 = r30;
        goto L_0x0112;
    L_0x00b1:
        if (r19 != 0) goto L_0x00b9;
    L_0x00b4:
        r8 = r22;
        r11 = r23;
        goto L_0x0078;
    L_0x00b9:
        if (r18 != 0) goto L_0x00ca;
    L_0x00bb:
        r6 = r27;
        r0 = r6.mWidgetPkg;
        r1 = r11.mProcInfo;
        r1 = r1.mPackageName;
        r0 = r9.isWidget(r0, r1);
        r18 = r0;
        goto L_0x00cc;
    L_0x00ca:
        r6 = r27;
    L_0x00cc:
        if (r20 != 0) goto L_0x00db;
    L_0x00ce:
        r0 = r11.mProcInfo;
        r0 = r0.mPackageName;
        r7 = r30;
        r0 = r9.isClock(r7, r0);
        r20 = r0;
        goto L_0x00dd;
    L_0x00db:
        r7 = r30;
    L_0x00dd:
        if (r21 != 0) goto L_0x00e9;
    L_0x00df:
        r0 = r11.mProcInfo;
        r0 = r0.mPackageName;
        r0 = r10.isInAllHabitList(r0);
        r21 = r0;
    L_0x00e9:
        r0 = r11.mXmlConfig;
        if (r0 == 0) goto L_0x00f3;
    L_0x00ed:
        r0 = r11.mXmlConfig;
        r0 = r0.mResCleanAllow;
        r19 = r0;
    L_0x00f3:
        if (r19 == 0) goto L_0x010a;
    L_0x00f5:
        r1 = r14.mClassRate;
        r2 = r14.mSubClassRate;
        r0 = r11.mProcInfo;
        r4 = r0.mPackageName;
        r0 = r9;
        r3 = r10;
        r5 = r17;
        r0 = r0.getAllowCleanResByProc(r1, r2, r3, r4, r5);
        if (r0 != 0) goto L_0x010a;
    L_0x0107:
        r0 = 0;
        r19 = r0;
    L_0x010a:
        goto L_0x00b4;
    L_0x010b:
        r6 = r27;
        r23 = r11;
        r11 = r7;
        r7 = r30;
    L_0x0112:
        r16 = 1;
        goto L_0x011b;
    L_0x0115:
        r6 = r27;
        r7 = r30;
        r23 = r11;
    L_0x011b:
        r0 = 1;
        if (r16 != 0) goto L_0x0136;
    L_0x011e:
        if (r18 != 0) goto L_0x0136;
    L_0x0120:
        if (r20 != 0) goto L_0x0136;
    L_0x0122:
        if (r21 != 0) goto L_0x0136;
    L_0x0124:
        if (r19 == 0) goto L_0x0136;
    L_0x0126:
        r1 = r14.mProcessList;
        r2 = r28;
        r1 = r9.inSameUids(r2, r1);
        if (r1 != 0) goto L_0x0131;
    L_0x0130:
        goto L_0x0138;
    L_0x0131:
        r14.mResCleanAllow = r0;
        r14.mCleanAlarm = r0;
        goto L_0x013d;
    L_0x0136:
        r2 = r28;
    L_0x0138:
        r1 = 0;
        r14.mResCleanAllow = r1;
        r14.mCleanAlarm = r1;
    L_0x013d:
        if (r16 != 0) goto L_0x0141;
    L_0x013f:
        if (r21 == 0) goto L_0x0156;
    L_0x0141:
        r1 = r14.mProcessList;
        r1 = r1.iterator();
    L_0x0147:
        r3 = r1.hasNext();
        if (r3 == 0) goto L_0x0156;
    L_0x014d:
        r3 = r1.next();
        r3 = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) r3;
        r3.mRestartFlag = r0;
        goto L_0x0147;
        r11 = r23;
        goto L_0x000c;
    L_0x015b:
        r15 = r25;
        r6 = r27;
        r2 = r28;
        r7 = r30;
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.mtm.iaware.appmng.AwareAppMngSort.addClassToAllClass(java.util.Map, java.util.Map, com.android.server.mtm.iaware.appmng.AwareAppMngSort$ShortageProcessInfo, java.util.Map, com.android.server.mtm.iaware.appmng.AwareAppMngSort$CachedWhiteList, java.util.Set, boolean):void");
    }

    private void addProcessInfoToGroupBlock(java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> appAllClass, com.android.server.mtm.iaware.appmng.AwareProcessInfo pinfo, int key, java.util.Map<java.lang.Integer, java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo>> groupBlock) {
        java.lang.Integer groupKey = java.lang.Integer.valueOf((pinfo.mClassRate << 8) + pinfo.mSubClassRate);
        java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> groupUid = (java.util.Map) groupBlock.get(groupKey);
        if (groupUid == null) {
            groupUid = new android.util.ArrayMap();
            groupBlock.put(groupKey, groupUid);
        }
        com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo block = (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) groupUid.get(java.lang.Integer.valueOf(pinfo.mProcInfo.mUid));
        if (block == null) {
            block = new com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo(pinfo.mProcInfo.mUid, false, pinfo.mClassRate);
            block.mProcessList.add(pinfo);
            block.mSubClassRate = pinfo.mSubClassRate;
            block.mImportance = pinfo.mImportance;
            block.mMinAdj = pinfo.mProcInfo.mCurAdj;
            groupUid.put(java.lang.Integer.valueOf(pinfo.mProcInfo.mUid), block);
            appAllClass.put(java.lang.Integer.valueOf(key), block);
            return;
        }
        if (block.mImportance > pinfo.mImportance) {
            block.mImportance = pinfo.mImportance;
        }
        if (block.mMinAdj > pinfo.mProcInfo.mCurAdj) {
            block.mMinAdj = pinfo.mProcInfo.mCurAdj;
        }
        block.mProcessList.add(pinfo);
    }

    private boolean isCfgDefaultGroup(com.android.server.mtm.iaware.appmng.AwareProcessInfo procInfo, int groupId) {
        boolean z = false;
        if (procInfo != null) {
            if (procInfo.mXmlConfig != null) {
                if (procInfo.mXmlConfig.mCfgDefaultGroup == groupId) {
                    z = true;
                }
                return z;
            }
        }
        return false;
    }

    private android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> getAppMemSortClassGroup(int subType) {
        android.util.ArraySet<java.lang.Integer> keyPercepServicePid = new android.util.ArraySet();
        android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> foreGrdProc = new android.util.ArrayMap();
        com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageProcessInfo shortageProc = new com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageProcessInfo(subType);
        com.android.server.mtm.iaware.appmng.AwareAppMngSort.CachedWhiteList cachedWhitelist = new com.android.server.mtm.iaware.appmng.AwareAppMngSort.CachedWhiteList();
        cachedWhitelist.updateCachedList();
        java.util.Set<java.lang.String> clocks = android.rms.iaware.AppTypeRecoManager.getInstance().getAlarmApps();
        android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> allProcNeedSort = getNeedSortedProcesses(foreGrdProc, keyPercepServicePid, cachedWhitelist, shortageProc);
        if (allProcNeedSort == null) {
            return null;
        }
        android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> appAllClass = new android.util.ArrayMap();
        android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> classShort = new android.util.ArrayMap();
        android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> classNormal = new android.util.ArrayMap();
        java.util.Map<java.lang.Integer, java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo>> groupBlock = new android.util.ArrayMap();
        java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> allUids = groupByUid(allProcNeedSort);
        shortageProc.updateBaseInfo(allProcNeedSort, getCurHomeProcessPid(), isRecentTaskShow(foreGrdProc), keyPercepServicePid);
        java.util.Iterator it = allProcNeedSort.entrySet().iterator();
        while (it.hasNext()) {
            java.util.Map.Entry<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> m = (java.util.Map.Entry) it.next();
            com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) m.getValue();
            boolean isGroup = groupIntoForbidstop(shortageProc, awareProcInfo);
            if (!isGroup) {
                isGroup = groupIntoShortageStop(awareProcInfo, shortageProc, cachedWhitelist);
            }
            if (!isGroup) {
                groupIntoAllowStop(awareProcInfo, shortageProc, cachedWhitelist);
            }
            java.util.Iterator it2 = it;
            if (awareProcInfo.mClassRate < com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.KEYBACKGROUND.ordinal()) {
                addProcessInfoToBlock(appAllClass, awareProcInfo, awareProcInfo.mPid);
            } else if (awareProcInfo.mClassRate < com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.NORMAL.ordinal()) {
                addProcessInfoToGroupBlock(classShort, awareProcInfo, awareProcInfo.mPid, groupBlock);
            } else {
                addProcessInfoToBlock(classNormal, awareProcInfo, awareProcInfo.mPid);
            }
            it = it2;
        }
        groupNonCurUserProc(classNormal, shortageProc.mNonCurUserProc);
        android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> classShort2 = classShort;
        android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> appAllClass2 = appAllClass;
        adjustClassRate(allProcNeedSort, classShort, classNormal, appAllClass, shortageProc, allUids, cachedWhitelist, clocks);
        addClassToAllClass(appAllClass2, classShort2, shortageProc, allUids, cachedWhitelist, clocks, false);
        return appAllClass2;
    }

    private java.util.Map<com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> convertToUidBlock(java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> pidsBlock, android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase> pidsAppBlock, android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase> uidAppBlock) {
        android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase> arrayMap = pidsAppBlock;
        android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase> arrayMap2 = uidAppBlock;
        if (pidsBlock == null) {
            return null;
        }
        java.util.Map<com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> uids = new android.util.ArrayMap();
        for (java.util.Map.Entry<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> m : pidsBlock.entrySet()) {
            com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo blockInfo = (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) m.getValue();
            if (blockInfo.mProcessList != null) {
                for (com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo : blockInfo.mProcessList) {
                    com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase blockKeyValue;
                    if (com.android.server.rms.iaware.appmng.AwareAppAssociate.isDealAsPkgUid(awareProcInfo.mProcInfo.mUid)) {
                        blockKeyValue = (com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase) arrayMap.get(java.lang.Integer.valueOf(awareProcInfo.mProcInfo.mPid));
                    } else {
                        blockKeyValue = (com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase) arrayMap2.get(java.lang.Integer.valueOf(awareProcInfo.mProcInfo.mUid));
                    }
                    com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo info = blockKeyValue == null ? null : (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) uids.get(blockKeyValue);
                    if (info == null) {
                        info = new com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo(awareProcInfo.mProcInfo.mUid, false, awareProcInfo.mClassRate);
                        info.mProcessList.add(awareProcInfo);
                        info.mClassRate = blockInfo.mClassRate;
                        info.mSubClassRate = blockInfo.mSubClassRate;
                        com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase keyBase = new com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase(awareProcInfo.mProcInfo.mPid, awareProcInfo.mProcInfo.mUid);
                        if (com.android.server.rms.iaware.appmng.AwareAppAssociate.isDealAsPkgUid(awareProcInfo.mProcInfo.mUid)) {
                            arrayMap.put(java.lang.Integer.valueOf(awareProcInfo.mProcInfo.mPid), keyBase);
                        } else {
                            arrayMap2.put(java.lang.Integer.valueOf(awareProcInfo.mProcInfo.mUid), keyBase);
                        }
                        uids.put(keyBase, info);
                    } else {
                        if (info.mSubClassRate > awareProcInfo.mSubClassRate) {
                            info.mSubClassRate = awareProcInfo.mSubClassRate;
                        }
                        info.mProcessList.add(awareProcInfo);
                    }
                }
            }
        }
        return uids;
    }

    private java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> groupByUid(java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> allProcNeedSort) {
        if (allProcNeedSort == null) {
            return null;
        }
        java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> uids = new android.util.ArrayMap();
        java.util.Map<java.lang.Integer, java.lang.Integer> userHabitMap = null;
        com.android.server.rms.algorithm.AwareUserHabit habit = com.android.server.rms.algorithm.AwareUserHabit.getInstance();
        if (habit != null) {
            userHabitMap = habit.getTopList(allProcNeedSort);
        }
        for (java.util.Map.Entry<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> m : allProcNeedSort.entrySet()) {
            com.android.server.mtm.iaware.appmng.AwareProcessInfo info = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) m.getValue();
            if (info != null) {
                java.lang.Integer importance = null;
                if (userHabitMap != null) {
                    importance = (java.lang.Integer) userHabitMap.get(java.lang.Integer.valueOf(info.mPid));
                }
                if (importance != null) {
                    info.mImportance = importance.intValue();
                } else {
                    info.mImportance = 10000;
                }
                com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo block = (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) uids.get(java.lang.Integer.valueOf(info.mProcInfo.mUid));
                if (block == null) {
                    block = new com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo(info.mProcInfo.mUid, false, info.mClassRate);
                    block.mProcessList.add(info);
                    uids.put(java.lang.Integer.valueOf(info.mProcInfo.mUid), block);
                    block.mImportance = info.mImportance;
                } else {
                    block.mProcessList.add(info);
                    if (block.mImportance > info.mImportance) {
                        block.mImportance = info.mImportance;
                    }
                }
            }
        }
        return uids;
    }

    private void adjustClassByStrongAssoc(com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo blockInfo, java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> allProcNeedSort, java.util.Map<com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> uids, android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase> pidsAppBlock, android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase> uidAppBlock, java.util.Map<com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> assocNormalUids) {
        android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> strong = new android.util.ArrayMap();
        loadAppAssoc(blockInfo.mProcessList, allProcNeedSort, strong);
        for (java.util.Map.Entry<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> sm : strong.entrySet()) {
            com.android.server.mtm.iaware.appmng.AwareProcessInfo procInfo = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) allProcNeedSort.get(sm.getKey());
            if (procInfo != null) {
                if (procInfo.mProcInfo != null) {
                    com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase blockKeyValue;
                    if (com.android.server.rms.iaware.appmng.AwareAppAssociate.isDealAsPkgUid(procInfo.mProcInfo.mUid)) {
                        blockKeyValue = (com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase) pidsAppBlock.get(java.lang.Integer.valueOf(procInfo.mProcInfo.mPid));
                    } else {
                        blockKeyValue = (com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase) uidAppBlock.get(java.lang.Integer.valueOf(procInfo.mProcInfo.mUid));
                    }
                    com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo blockInfoAssoc = blockKeyValue == null ? null : (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) uids.get(blockKeyValue);
                    if (!(blockInfoAssoc == null || blockInfoAssoc.mProcessList == null)) {
                        if (blockInfoAssoc.mProcessList.size() > 0) {
                            if (blockInfoAssoc.mClassRate > blockInfo.mClassRate) {
                                blockInfoAssoc.mClassRate = blockInfo.mClassRate;
                                blockInfoAssoc.mSubClassRate = blockInfo.mSubClassRate;
                                blockInfoAssoc.mSubTypeStr = "assoc";
                                if (assocNormalUids != null) {
                                    assocNormalUids.put(blockKeyValue, blockInfoAssoc);
                                }
                            } else if (blockInfoAssoc.mClassRate == blockInfo.mClassRate && blockInfoAssoc.mSubClassRate > blockInfo.mSubClassRate) {
                                blockInfoAssoc.mSubClassRate = blockInfo.mSubClassRate;
                                blockInfoAssoc.mSubTypeStr = "assoc";
                            }
                        }
                    }
                }
            }
        }
    }

    private void adjustClassRate(java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> allProcNeedSort, java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> classShort, java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> classNormal, java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> allClass, com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageProcessInfo shortageProc, java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> allUids, com.android.server.mtm.iaware.appmng.AwareAppMngSort.CachedWhiteList cachedWhitelist, java.util.Set<java.lang.String> clocks) {
        com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageProcessInfo shortageProcessInfo;
        java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> map = classNormal;
        if (allProcNeedSort != null) {
            if (map != null) {
                android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase> pidsAppBlock = new android.util.ArrayMap();
                android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase> uidAppBlock = new android.util.ArrayMap();
                java.util.Map<com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> uids = convertToUidBlock(map, pidsAppBlock, uidAppBlock);
                if (uids != null) {
                    com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo blockInfoAssoc;
                    java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> assocNormalClass = new android.util.ArrayMap();
                    for (java.util.Map.Entry<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> m : classShort.entrySet()) {
                        com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo blockInfo = (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) m.getValue();
                        if (blockInfo.mClassRate == com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.KEYSERVICES.ordinal()) {
                            java.util.Map<com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> assocNormalUids = new android.util.ArrayMap();
                            adjustClassByStrongAssoc(blockInfo, allProcNeedSort, uids, pidsAppBlock, uidAppBlock, assocNormalUids);
                            for (java.util.Map.Entry<com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> assocBlock : assocNormalUids.entrySet()) {
                                com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase blockKeyValue = (com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase) assocBlock.getKey();
                                blockInfoAssoc = (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) assocBlock.getValue();
                                if (com.android.server.rms.iaware.appmng.AwareAppAssociate.isDealAsPkgUid(blockKeyValue.mUid)) {
                                    pidsAppBlock.remove(java.lang.Integer.valueOf(blockKeyValue.mPid));
                                    uids.remove(blockKeyValue);
                                } else {
                                    uidAppBlock.remove(java.lang.Integer.valueOf(blockKeyValue.mUid));
                                    uids.remove(blockKeyValue);
                                }
                                assocNormalClass.put(java.lang.Integer.valueOf(blockKeyValue.mPid), blockInfoAssoc);
                            }
                        }
                    }
                    classShort.putAll(assocNormalClass);
                    java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> classNormalBlock = new android.util.ArrayMap();
                    java.util.Iterator it = uids.entrySet().iterator();
                    while (it.hasNext()) {
                        java.util.Map.Entry<com.android.server.mtm.iaware.appmng.AwareAppMngSort.AppBlockKeyBase, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> m2 = (java.util.Map.Entry) it.next();
                        blockInfoAssoc = (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) m2.getValue();
                        com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo blockInfo2 = blockInfoAssoc;
                        java.util.Iterator it2 = it;
                        adjustClassByStrongAssoc(blockInfoAssoc, allProcNeedSort, uids, pidsAppBlock, uidAppBlock, null);
                        boolean addToAll = false;
                        int subClass = com.android.server.mtm.iaware.appmng.AwareAppMngSort.AllowStopSubClassRate.UNKNOWN.ordinal();
                        com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo blockInfo3 = blockInfo2;
                        for (com.android.server.mtm.iaware.appmng.AwareProcessInfo procInfo : blockInfo3.mProcessList) {
                            if (addToAll) {
                                shortageProcessInfo = shortageProc;
                                if (blockInfo3.mSubClassRate > procInfo.mSubClassRate) {
                                    blockInfo3.mSubClassRate = procInfo.mSubClassRate;
                                }
                                if (blockInfo3.mImportance > procInfo.mImportance) {
                                    blockInfo3.mImportance = procInfo.mImportance;
                                }
                                if (blockInfo3.mMinAdj > procInfo.mProcInfo.mCurAdj) {
                                    blockInfo3.mMinAdj = procInfo.mProcInfo.mCurAdj;
                                }
                            } else {
                                blockInfo3.mImportance = procInfo.mImportance;
                                blockInfo3.mMinAdj = procInfo.mProcInfo.mCurAdj;
                                blockInfo3.mSubClassRate = procInfo.mSubClassRate;
                                classNormalBlock.put(java.lang.Integer.valueOf(procInfo.mProcInfo.mPid), blockInfo3);
                                if (shortageProc.isFgServicesUid(blockInfo3.mUid)) {
                                    subClass = com.android.server.mtm.iaware.appmng.AwareAppMngSort.AllowStopSubClassRate.FG_SERVICES.ordinal();
                                }
                                if (blockInfo3.mSubClassRate > subClass) {
                                    blockInfo3.mSubClassRate = subClass;
                                }
                                addToAll = true;
                            }
                            map = classNormal;
                        }
                        shortageProcessInfo = shortageProc;
                        it = it2;
                        map = classNormal;
                    }
                    addClassToAllClass(allClass, classNormalBlock, shortageProc, allUids, cachedWhitelist, clocks, true);
                    return;
                }
                return;
            }
        }
        shortageProcessInfo = shortageProc;
    }

    private boolean inSameUids(java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> allUids, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> lists) {
        if (lists != null) {
            if (!lists.isEmpty()) {
                com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo info = (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) allUids.get(java.lang.Integer.valueOf(((com.android.server.mtm.iaware.appmng.AwareProcessInfo) lists.get(0)).mProcInfo.mUid));
                if (info != null) {
                    if (info.mProcessList != null) {
                        return info.mProcessList.equals(lists);
                    }
                }
                return false;
            }
        }
        return false;
    }

    private com.android.server.mtm.iaware.appmng.AwareAppMngSort.MemSortGroup getAppMemSortGroup(int subType) {
        android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> pidsClass = getAppMemSortClassGroup(subType);
        if (pidsClass == null) {
            return null;
        }
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procForbidStopList = new java.util.ArrayList();
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procShortageStopList = new java.util.ArrayList();
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procAllowStopList = new java.util.ArrayList();
        for (java.util.Map.Entry<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> m : pidsClass.entrySet()) {
            com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo awareProcInfo = (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) m.getValue();
            awareProcInfo.mUpdateTime = android.os.SystemClock.elapsedRealtime();
            int groupId = 0;
            if (awareProcInfo.mClassRate <= com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.FOREGROUND.ordinal()) {
                procForbidStopList.add(awareProcInfo);
            } else if (awareProcInfo.mClassRate < com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.NORMAL.ordinal()) {
                procShortageStopList.add(awareProcInfo);
                groupId = 1;
            } else {
                procAllowStopList.add(awareProcInfo);
                groupId = 2;
            }
            awareProcInfo.setMemGroup(groupId);
        }
        java.util.Collections.sort(procShortageStopList);
        java.util.Collections.sort(procAllowStopList);
        return new com.android.server.mtm.iaware.appmng.AwareAppMngSort.MemSortGroup(procForbidStopList, procShortageStopList, procAllowStopList);
    }

    private com.android.server.mtm.iaware.appmng.AwareAppMngSort.MemSortGroup getAppMemCompactSortGroup(int subType) {
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procForbidList = new java.util.ArrayList();
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procCompactibleList = new java.util.ArrayList();
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procFrozenList = new java.util.ArrayList();
        java.util.ArrayList<com.android.server.mtm.iaware.appmng.AwareProcessInfo> allProcNeedSortList = com.android.server.mtm.utils.AppStatusUtils.getInstance().getAllProcNeedSort();
        if (allProcNeedSortList == null) {
            android.rms.iaware.AwareLog.e("AwareAppMngSort", "getAllProcNeedSort failed for memCompact!");
            return null;
        }
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> resultInfo = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().decideAllWithoutList(allProcNeedSortList, subType, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_CLEAN, android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.COMPACT);
        if (resultInfo == null) {
            android.rms.iaware.AwareLog.e("AwareAppMngSort", "decideAll get null for memCompact!");
            return null;
        }
        int i;
        java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> allProcNeedSort = new android.util.ArrayMap();
        com.android.server.mtm.utils.AppStatusUtils appStatus = com.android.server.mtm.utils.AppStatusUtils.getInstance();
        java.util.Iterator it = resultInfo.iterator();
        while (true) {
            i = 0;
            if (!it.hasNext()) {
                break;
            }
            com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo awareProcBlkInfo = (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) it.next();
            if (isBlockInfoValid(awareProcBlkInfo)) {
                com.android.server.mtm.iaware.appmng.AwareProcessInfo item = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) awareProcBlkInfo.mProcessList.get(0);
                if (awareProcBlkInfo.mCleanType == com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE) {
                    procForbidList.add(awareProcBlkInfo);
                } else if (appStatus.checkAppStatus(com.android.server.mtm.utils.AppStatusUtils.Status.FROZEN, item)) {
                    procFrozenList.add(awareProcBlkInfo);
                } else {
                    procCompactibleList.add(awareProcBlkInfo);
                    allProcNeedSort.put(java.lang.Integer.valueOf(item.mPid), item);
                }
            }
        }
        java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> allUids = groupByUid(allProcNeedSort);
        if (fileredApps == null) {
            updateFileredApps();
        }
        for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo awareBlkProc : procCompactibleList) {
            com.android.server.mtm.iaware.appmng.AwareProcessInfo printItem = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) awareBlkProc.mProcessList.get(i);
            if (fileredApps.contains(awareBlkProc.mPackageName)) {
                i = 0;
                awareBlkProc.mImportance = 0;
            } else {
                i = ((com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) allUids.get(java.lang.Integer.valueOf(awareBlkProc.mUid))).mImportance;
                if (i >= printItem.mImportance || com.android.server.rms.iaware.appmng.AwareAppAssociate.isDealAsPkgUid(awareBlkProc.mUid)) {
                    awareBlkProc.mImportance = printItem.mImportance;
                } else {
                    awareBlkProc.mImportance = i;
                }
                i = 0;
            }
        }
        java.util.Collections.sort(procCompactibleList, BLOCK_BY_IMPORTANCE);
        return new com.android.server.mtm.iaware.appmng.AwareAppMngSort.MemSortGroup(procForbidList, procCompactibleList, procFrozenList);
    }

    private boolean isBlockInfoValid(com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo awareProcBlkInfo) {
        if (awareProcBlkInfo == null || awareProcBlkInfo.mProcessList == null || awareProcBlkInfo.mProcessList.isEmpty() || awareProcBlkInfo.mProcessList.get(0) == null) {
            return false;
        }
        return true;
    }

    private static void updateFileredApps() {
        fileredApps = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getRawConfig(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_CLEAN.getDesc(), "csp_apps");
        if (fileredApps == null) {
            android.rms.iaware.AwareLog.e("AwareAppMngSort", "get csp_apps failed!");
            fileredApps = new java.util.ArrayList(0);
        }
    }

    public static java.lang.String getClassRateStr(int classRate) {
        for (com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate rate : com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.values()) {
            if (rate.ordinal() == classRate) {
                return rate.description();
            }
        }
        return com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.UNKNOWN.description();
    }

    public boolean isGroupBeHigher(int pid, int uid, java.lang.String processName, java.util.ArrayList<java.lang.String> arrayList, int groupId) {
        if (mEnabled) {
            if (this.mAssocEnable) {
                com.android.server.rms.iaware.appmng.AwareAppAssociate awareAssoc = com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance();
                if (awareAssoc == null) {
                    return false;
                }
                java.util.Set<java.lang.Integer> forePid = new android.util.ArraySet();
                awareAssoc.getForeGroundApp(forePid);
                if (forePid.contains(java.lang.Integer.valueOf(pid))) {
                    return true;
                }
                com.android.server.mtm.iaware.appmng.AwareProcessBaseInfo info = this.mHwAMS != null ? this.mHwAMS.getProcessBaseInfo(pid) : null;
                if (info == null) {
                    return false;
                }
                if (info.mCurAdj < 200) {
                    return true;
                }
                if (groupId == 2) {
                    if (info.mCurAdj != 300) {
                        if (info.mCurAdj != 400) {
                            if (info.mCurAdj != 200 || isFgServicesImportantByAdjtype(info.mAdjType)) {
                                return false;
                            }
                            return true;
                        }
                    }
                    return true;
                }
                return false;
            }
        }
        return false;
    }

    public static boolean checkAppMngEnable() {
        return mEnabled;
    }

    private boolean needReplaceAllowStopList(int resourceType) {
        return 2 == resourceType;
    }

    public com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy getAppMngSortPolicy(int resourceType, int subType, int groupId) {
        if (!mEnabled) {
            return null;
        }
        long startTime = 0;
        if (DEBUG) {
            startTime = java.lang.System.currentTimeMillis();
        }
        android.util.ArrayMap<java.lang.Integer, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo>> appGroup = new android.util.ArrayMap();
        if (needReplaceAllowStopList(resourceType)) {
            appGroup = getAppMngSortGroupForMemCleanChina(groupId, subType);
        } else {
            com.android.server.mtm.iaware.appmng.AwareAppMngSort.MemSortGroup sortGroup;
            if (1 == resourceType) {
                sortGroup = getAppMemCompactSortGroup(subType);
            } else {
                sortGroup = getAppMemSortGroup(subType);
            }
            if (sortGroup == null) {
                return null;
            }
            if (groupId == 0) {
                appGroup.put(java.lang.Integer.valueOf(groupId), sortGroup.mProcForbidStopList);
            } else if (groupId == 1) {
                appGroup.put(java.lang.Integer.valueOf(groupId), sortGroup.mProcShortageStopList);
            } else if (groupId == 2) {
                appGroup.put(java.lang.Integer.valueOf(2), sortGroup.mProcAllowStopList);
            } else if (groupId == 3) {
                appGroup.put(java.lang.Integer.valueOf(0), sortGroup.mProcForbidStopList);
                appGroup.put(java.lang.Integer.valueOf(1), sortGroup.mProcShortageStopList);
                appGroup.put(java.lang.Integer.valueOf(2), sortGroup.mProcAllowStopList);
            }
        }
        com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy sortPolicy = new com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy(this.mContext, appGroup);
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("        getAppMngSortPolicy eclipse time     :");
            stringBuilder.append(java.lang.System.currentTimeMillis() - startTime);
            android.rms.iaware.AwareLog.i("AwareAppMngSort", stringBuilder.toString());
            long availableRam = com.android.server.rms.iaware.memory.utils.MemoryReader.getInstance().getMemAvailable();
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("MemAvailable(KB): ");
            stringBuilder2.append(availableRam);
            android.rms.iaware.AwareLog.i("AwareAppMngSort", stringBuilder2.toString());
            dumpPolicy(sortPolicy, null, false);
        }
        if (android.util.Log.HWINFO && 2 == resourceType) {
            printBetaLog(sortPolicy);
        }
        return sortPolicy;
    }

    private void printBetaLog(com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy sortPolicy) {
        long curTime = java.lang.System.currentTimeMillis();
        if (curTime - this.mLastBetaLogOutTime > 60000 && this.mHandler != null) {
            android.os.Message msg = android.os.Message.obtain();
            msg.what = 1;
            msg.obj = new com.android.server.mtm.iaware.appmng.AwareAppMngSort.BetaLog(sortPolicy);
            this.mHandler.sendMessage(msg);
            this.mLastBetaLogOutTime = curTime;
        }
    }

    private android.util.ArrayMap<java.lang.Integer, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo>> getAppMngSortGroupForMemCleanChina(int groupId, int memLevel) {
        android.util.ArrayMap<java.lang.Integer, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo>> appGroup = new android.util.ArrayMap();
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> allAwareProcNeedProcess = com.android.server.mtm.utils.AppStatusUtils.getInstance().getAllProcNeedSort();
        if (allAwareProcNeedProcess != null) {
            if (!allAwareProcNeedProcess.isEmpty()) {
                android.util.ArraySet<java.lang.String> listFilter = new android.util.ArraySet();
                if (mListFilerLevel2 == null) {
                    updateLevel2ListFilter();
                }
                if (memLevel == 2 && mListFilerLevel2 != null) {
                    listFilter.addAll(mListFilerLevel2);
                }
                java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> rawInfo = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().decideAll(allAwareProcNeedProcess, memLevel, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_CLEAN, android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.MEMORY, listFilter);
                java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> needClean = com.android.server.mtm.iaware.appmng.appclean.CleanSource.mergeBlockForMemory(rawInfo, com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getProcessList(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_CLEAN, android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.MEMORY));
                com.android.server.rms.iaware.srms.AppCleanupDumpRadar.getInstance().reportMemoryData(rawInfo, -1);
                if (!(needClean == null || needClean.isEmpty())) {
                    if (memLevel == 3) {
                        java.util.Collections.sort(needClean, BLOCK_BY_WEIGHT);
                    } else {
                        java.util.List<java.lang.String> pkgTopN = null;
                        java.util.Map<java.lang.String, java.lang.Integer> allTopList = null;
                        com.android.server.rms.algorithm.AwareUserHabit habit = com.android.server.rms.algorithm.AwareUserHabit.getInstance();
                        if (habit != null) {
                            allTopList = habit.getAllTopList();
                            pkgTopN = habit.getTopN(com.android.server.rms.iaware.appmng.AppMngConfig.getTopN());
                        }
                        for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo block : needClean) {
                            setPropImportance(block, allTopList, pkgTopN);
                        }
                        java.util.Collections.sort(needClean, BLOCK_BY_USER_HABIT);
                    }
                }
                if (groupId != 0) {
                    switch (groupId) {
                        case 2:
                            appGroup.put(java.lang.Integer.valueOf(2), needClean);
                            break;
                        case 3:
                            appGroup.put(java.lang.Integer.valueOf(0), rawInfo);
                            appGroup.put(java.lang.Integer.valueOf(2), needClean);
                            break;
                        default:
                            return null;
                    }
                }
                appGroup.put(java.lang.Integer.valueOf(0), rawInfo);
                return appGroup;
            }
        }
        android.rms.iaware.AwareLog.e("AwareAppMngSort", "getAllProcNeedSort failed!");
        return null;
    }

    public com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy getAppMngSortPolicyForMemRepair(int sceneType) {
        if (!mEnabled) {
            return null;
        }
        android.util.ArrayMap<java.lang.Integer, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo>> appGroup = new android.util.ArrayMap();
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> allAwareProcNeedProcess = com.android.server.mtm.utils.AppStatusUtils.getInstance().getAllProcNeedSort();
        if (allAwareProcNeedProcess != null) {
            if (!allAwareProcNeedProcess.isEmpty()) {
                java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> rawInfo = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().decideAll(allAwareProcNeedProcess, sceneType == 0 ? 0 : 1, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_CLEAN, android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.MEMORY_REPAIR);
                if (rawInfo != null) {
                    if (!rawInfo.isEmpty()) {
                        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> resultInfo = com.android.server.mtm.iaware.appmng.appclean.CleanSource.mergeBlock(rawInfo);
                        if (resultInfo == null) {
                            android.rms.iaware.AwareLog.e("AwareAppMngSort", "mergeBlock get null for memRepair!");
                            return null;
                        }
                        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procForbidList = new java.util.ArrayList();
                        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procAllowStopList = new java.util.ArrayList();
                        for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo blockInfo : resultInfo) {
                            if (blockInfo != null) {
                                if (blockInfo.mProcessList != null) {
                                    if (!blockInfo.mProcessList.isEmpty()) {
                                        if (blockInfo.mCleanType == com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE) {
                                            procForbidList.add(blockInfo);
                                        } else {
                                            procAllowStopList.add(blockInfo);
                                        }
                                    }
                                }
                            }
                        }
                        appGroup.put(java.lang.Integer.valueOf(0), procForbidList);
                        appGroup.put(java.lang.Integer.valueOf(2), procAllowStopList);
                        return new com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy(this.mContext, appGroup);
                    }
                }
                android.rms.iaware.AwareLog.e("AwareAppMngSort", "decideAll get null for memRepair!");
                return null;
            }
        }
        android.rms.iaware.AwareLog.e("AwareAppMngSort", "getAllProcNeedSort failed!");
        return null;
    }

    public java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> getAppMngSortPolicyForSystemTrim() {
        if (mEnabled) {
            return com.android.server.mtm.utils.AppStatusUtils.getInstance().getAllProcNeedSort();
        }
        return null;
    }

    public boolean checkNonSystemUser(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        boolean z = false;
        if (awareProcInfo != null) {
            if (awareProcInfo.mProcInfo != null) {
                int curUserUid = com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getCurUserId();
                if (curUserUid == 0 && !isCurUserProc(awareProcInfo.mProcInfo.mUid, curUserUid)) {
                    z = true;
                }
                return z;
            }
        }
        return false;
    }

    private boolean isNonSystemUser(int checkUid) {
        return com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getCurUserId() == 0 && !isCurUserProc(checkUid, com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getCurUserId());
    }

    private void setPropImportance(com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo block, java.util.Map<java.lang.String, java.lang.Integer> allTopList, java.util.List<java.lang.String> pkgTopN) {
        if (block != null) {
            if (isNonSystemUser(block.mUid)) {
                block.mImportance = 10000;
                return;
            }
            java.lang.Integer importance = null;
            if (allTopList != null) {
                importance = (java.lang.Integer) allTopList.get(block.mPackageName);
            }
            if (pkgTopN != null) {
                int topIdx = pkgTopN.indexOf(block.mPackageName);
                if (topIdx >= 0 && topIdx < 8) {
                    importance = java.lang.Integer.valueOf(-100 * (8 - topIdx));
                }
            }
            block.mImportance = importance != null ? importance.intValue() : 0;
        }
    }

    public static void enableDebug() {
        DEBUG = true;
    }

    public static void disableDebug() {
        DEBUG = false;
    }

    public void enableAssocDebug() {
        this.mAssocEnable = true;
    }

    public void disableAssocDebug() {
        this.mAssocEnable = false;
    }

    public boolean getAssocDebug() {
        return this.mAssocEnable;
    }

    private static java.lang.String getForbidSubClassRateStr(int classRate) {
        for (com.android.server.mtm.iaware.appmng.AwareAppMngSort.ForbidSubClassRate rate : com.android.server.mtm.iaware.appmng.AwareAppMngSort.ForbidSubClassRate.values()) {
            if (rate.ordinal() == classRate) {
                return rate.description();
            }
        }
        return com.android.server.mtm.iaware.appmng.AwareAppMngSort.ForbidSubClassRate.NONE.description();
    }

    private static java.lang.String getShortageSubClassRateStr(int classRate) {
        for (com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate rate : com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.values()) {
            if (rate.ordinal() == classRate) {
                return rate.description();
            }
        }
        return com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.NONE.description();
    }

    private static java.lang.String getAllowSubClassRateStr(int classRate) {
        for (com.android.server.mtm.iaware.appmng.AwareAppMngSort.AllowStopSubClassRate rate : com.android.server.mtm.iaware.appmng.AwareAppMngSort.AllowStopSubClassRate.values()) {
            if (rate.ordinal() == classRate) {
                return rate.description();
            }
        }
        return com.android.server.mtm.iaware.appmng.AwareAppMngSort.AllowStopSubClassRate.NONE.description();
    }

    private java.lang.String getClassStr(int classRate, int subClassRate) {
        if (classRate == com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.FOREGROUND.ordinal()) {
            return getForbidSubClassRateStr(subClassRate);
        }
        if (classRate == com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.KEYSERVICES.ordinal()) {
            return getShortageSubClassRateStr(subClassRate);
        }
        return getAllowSubClassRateStr(subClassRate);
    }

    private void updateProcessInfo() {
        com.android.server.mtm.taskstatus.ProcessInfoCollector processInfoCollector = com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance();
        if (processInfoCollector != null) {
            java.util.ArrayList<com.android.server.mtm.taskstatus.ProcessInfo> procs = processInfoCollector.getProcessInfoList();
            if (!procs.isEmpty()) {
                int size = procs.size();
                for (int i = 0; i < size; i++) {
                    com.android.server.mtm.taskstatus.ProcessInfo procInfo = (com.android.server.mtm.taskstatus.ProcessInfo) procs.get(i);
                    if (procInfo != null) {
                        processInfoCollector.recordProcessInfo(procInfo.mPid, procInfo.mUid);
                    }
                }
            }
        }
    }

    private int getCurHomeProcessPid() {
        return com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getCurHomeProcessPid();
    }

    public boolean isProcessBlockPidChanged(com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo procGroup) {
        if (!mEnabled || procGroup == null) {
            return false;
        }
        java.util.ArrayList<com.android.server.mtm.taskstatus.ProcessInfo> procs = com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance().getProcessInfoList();
        if (procs.isEmpty()) {
            return false;
        }
        int uid = procGroup.mUid;
        int size = procs.size();
        for (int i = 0; i < size; i++) {
            com.android.server.mtm.taskstatus.ProcessInfo procInfo = (com.android.server.mtm.taskstatus.ProcessInfo) procs.get(i);
            if (procInfo != null) {
                if (procInfo.mUid == uid) {
                    if (procInfo.mCreatedTime - procGroup.mUpdateTime > 0) {
                        return true;
                    }
                }
            }
        }
        return false;
    }

    private void dumpBlockList(java.io.PrintWriter pw, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> list, boolean toPrint) {
        if (list != null) {
            if (pw != null || !toPrint) {
                for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo pinfo : list) {
                    if (pinfo != null) {
                        boolean allow = pinfo.mResCleanAllow;
                        java.lang.String dumpInfo = new java.lang.StringBuilder();
                        dumpInfo.append("AppProc:uid:");
                        dumpInfo.append(pinfo.mUid);
                        dumpInfo.append(",import:");
                        dumpInfo.append(pinfo.mImportance);
                        dumpInfo.append(",classRates:");
                        dumpInfo.append(pinfo.mClassRate);
                        dumpInfo.append(",classStr:");
                        dumpInfo.append(getClassRateStr(pinfo.mClassRate));
                        dumpInfo.append(",subStr:");
                        dumpInfo.append(getClassStr(pinfo.mClassRate, pinfo.mSubClassRate));
                        dumpInfo.append(",subTypeStr:");
                        dumpInfo.append(pinfo.mSubTypeStr);
                        dumpInfo.append(",appType:");
                        dumpInfo.append(pinfo.mAppType);
                        dumpInfo.append(",reason:");
                        dumpInfo.append(pinfo.mReason);
                        dumpInfo.append(",weight:");
                        dumpInfo.append(pinfo.mWeight);
                        print(pw, dumpInfo.toString());
                        if (pinfo.mProcessList != null) {
                            for (com.android.server.mtm.iaware.appmng.AwareProcessInfo info : pinfo.mProcessList) {
                                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("     name:");
                                stringBuilder.append(info.mProcInfo.mProcessName);
                                stringBuilder.append(",pid:");
                                stringBuilder.append(info.mProcInfo.mPid);
                                stringBuilder.append(",uid:");
                                stringBuilder.append(info.mProcInfo.mUid);
                                stringBuilder.append(",group:");
                                stringBuilder.append(info.mMemGroup);
                                stringBuilder.append(",import:");
                                stringBuilder.append(info.mImportance);
                                stringBuilder.append(",classRate:");
                                stringBuilder.append(info.mClassRate);
                                stringBuilder.append(",adj:");
                                stringBuilder.append(info.mProcInfo.mCurAdj);
                                stringBuilder.append(",");
                                stringBuilder.append(info.mProcInfo.mAdjType);
                                stringBuilder.append(",classStr:");
                                stringBuilder.append(getClassRateStr(info.mClassRate));
                                stringBuilder.append(",subStr:");
                                stringBuilder.append(getClassStr(info.mClassRate, info.mSubClassRate));
                                stringBuilder.append(",mResCleanAllow:");
                                stringBuilder.append(allow);
                                stringBuilder.append(",mRestartFlag:");
                                stringBuilder.append(info.getRestartFlag());
                                stringBuilder.append(",ui:");
                                stringBuilder.append(info.mHasShownUi);
                                print(pw, stringBuilder.toString());
                            }
                        }
                    }
                }
            }
        }
    }

    private void dumpStringList(java.io.PrintWriter pw, java.util.List<java.lang.String> list) {
        if (list != null) {
            for (java.lang.String pinfo : list) {
                if (pinfo != null) {
                    print(pw, pinfo);
                }
            }
        }
    }

    private void dumpBlock(java.io.PrintWriter pw, int memLevel, boolean isMemClean) {
        if (pw != null) {
            if (mEnabled) {
                com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy policy;
                if (isMemClean) {
                    policy = getAppMngSortPolicy(2, memLevel, 3);
                } else {
                    policy = getAppMngSortPolicy(0, memLevel, 3);
                }
                if (policy == null) {
                    pw.println("getAppMngSortPolicy return null!");
                    return;
                } else {
                    dumpPolicy(policy, pw, true);
                    return;
                }
            }
            pw.println("AwareAppMngSort disabled!");
        }
    }

    private void dumpGroupBlock(java.io.PrintWriter pw, int group) {
        if (pw != null) {
            if (mEnabled) {
                com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy policy = getAppMngSortPolicy(0, 0, group);
                if (policy == null) {
                    pw.println("getAppMngSortPolicy return null!");
                    return;
                } else {
                    dumpPolicy(policy, pw, true);
                    return;
                }
            }
            pw.println("AwareAppMngSort disabled!");
        }
    }

    private void dumpPolicy(com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy policy, java.io.PrintWriter pw, boolean toPrint) {
        if (policy != null) {
            if (pw != null || !toPrint) {
                print(pw, "------------------start dump Group  forbidstop ------------------");
                dumpBlockList(pw, policy.getForbidStopProcBlockList(), toPrint);
                print(pw, "------------------start dump Group  shortagestop ------------------");
                dumpBlockList(pw, policy.getShortageStopProcBlockList(), toPrint);
                print(pw, "------------------start dump Group  allowstop ------------------");
                dumpBlockList(pw, policy.getAllowStopProcBlockList(), toPrint);
            }
        }
    }

    private void print(java.io.PrintWriter pw, java.lang.String info) {
        if (pw != null) {
            pw.println(info);
        } else if (DEBUG) {
            android.rms.iaware.AwareLog.i("AwareAppMngSort", info);
        }
    }

    public void dump(java.io.PrintWriter pw, java.lang.String type) {
        if (pw != null) {
            if (type != null) {
                pw.println("  App Group Manager Information dump :");
                if (!dumpForResourceType(pw, type)) {
                    if (type.equals("memForbid")) {
                        dumpGroupBlock(pw, 0);
                    } else if (type.equals("memShortage")) {
                        dumpGroupBlock(pw, 1);
                    } else if (type.equals("memAllow")) {
                        dumpGroupBlock(pw, 2);
                    } else if (type.equals("enable")) {
                        enable();
                    } else if (type.equals("disable")) {
                        disable();
                    } else if (type.equals("checkEnabled")) {
                        boolean status = checkAppMngEnable();
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("AwareAppMngSort is ");
                        stringBuilder.append(status);
                        pw.println(stringBuilder.toString());
                    } else if (!type.equals("procinfo")) {
                        pw.println("  dump parameter error!");
                    } else if (mEnabled) {
                        com.android.server.mtm.taskstatus.ProcessInfoCollector mProcInfo = com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance();
                        if (mProcInfo != null) {
                            updateProcessInfo();
                            mProcInfo.dump(pw);
                        }
                    } else {
                        pw.println("AwareAppMngSort disabled!");
                    }
                }
            }
        }
    }

    public void dumpRemoveAlarm(java.io.PrintWriter pw, java.lang.String[] args) {
        java.lang.String pkg = null;
        if (args.length > 2) {
            pkg = args[2];
        }
        if (pkg == null) {
            pw.println("dumpRemoveAlarm package can not be null!");
            return;
        }
        java.lang.String tag = null;
        if (args.length > 3) {
            tag = args[3];
        }
        int uid = 0;
        if (args.length > 4) {
            try {
                uid = java.lang.Integer.parseInt(args[4]);
            } catch (java.lang.NumberFormatException e) {
                pw.println("  please check input uid!");
                return;
            }
        }
        java.util.List<java.lang.String> tags = new java.util.ArrayList();
        tags.add(tag);
        com.huawei.android.app.HwActivityManager.removePackageAlarm(pkg, tags, uid);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("dumpRemoveAlarm sucessfull tag:");
        stringBuilder.append(tag);
        pw.println(stringBuilder.toString());
    }

    public void dumpRemoveInvalidAlarm(java.io.PrintWriter pw, java.lang.String[] args) {
        java.lang.String pkg = null;
        if (args.length > 2) {
            pkg = args[2];
        }
        if (pkg == null) {
            pw.println("dumpRemoveAlarm package can not be null!");
            return;
        }
        int uid = 0;
        if (args.length > 3) {
            try {
                uid = java.lang.Integer.parseInt(args[3]);
            } catch (java.lang.NumberFormatException e) {
                pw.println("  please check input uid!");
                return;
            }
        }
        java.util.List<java.lang.String> tags = com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getAllInvalidAlarmTags(uid, pkg);
        if (tags != null) {
            if (!tags.isEmpty()) {
                com.huawei.android.app.HwActivityManager.removePackageAlarm(pkg, tags, uid);
                pw.println("dumpRemoveAlarm sucessfull tags:");
                for (java.lang.String tag : tags) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("tag: ");
                    stringBuilder.append(tag);
                    pw.println(stringBuilder.toString());
                }
            }
        }
    }

    private boolean dumpForResourceType(java.io.PrintWriter r6, java.lang.String r7) {
        /*
        r5 = this;
        r0 = r7.hashCode();
        r1 = 2;
        r2 = 3;
        r3 = 0;
        r4 = 1;
        switch(r0) {
            case -1831967232: goto L_0x006a;
            case -1389206271: goto L_0x0060;
            case -677872268: goto L_0x0056;
            case 107989: goto L_0x004c;
            case 3347709: goto L_0x0042;
            case 460796222: goto L_0x0038;
            case 460796223: goto L_0x002e;
            case 884096450: goto L_0x0023;
            case 1493492622: goto L_0x0019;
            case 1637186224: goto L_0x000d;
            default: goto L_0x000b;
        };
    L_0x000b:
        goto L_0x0075;
    L_0x000d:
        r0 = "memRepair2";
        r0 = r7.equals(r0);
        if (r0 == 0) goto L_0x0075;
    L_0x0015:
        r0 = 9;
        goto L_0x0076;
    L_0x0019:
        r0 = "memCompact";
        r0 = r7.equals(r0);
        if (r0 == 0) goto L_0x0075;
    L_0x0021:
        r0 = 7;
        goto L_0x0076;
    L_0x0023:
        r0 = "memRepair";
        r0 = r7.equals(r0);
        if (r0 == 0) goto L_0x0075;
    L_0x002b:
        r0 = 8;
        goto L_0x0076;
    L_0x002e:
        r0 = "memClean3";
        r0 = r7.equals(r0);
        if (r0 == 0) goto L_0x0075;
    L_0x0036:
        r0 = r2;
        goto L_0x0076;
    L_0x0038:
        r0 = "memClean2";
        r0 = r7.equals(r0);
        if (r0 == 0) goto L_0x0075;
    L_0x0040:
        r0 = 6;
        goto L_0x0076;
    L_0x0042:
        r0 = "mem2";
        r0 = r7.equals(r0);
        if (r0 == 0) goto L_0x0075;
    L_0x004a:
        r0 = r4;
        goto L_0x0076;
    L_0x004c:
        r0 = "mem";
        r0 = r7.equals(r0);
        if (r0 == 0) goto L_0x0075;
    L_0x0054:
        r0 = r3;
        goto L_0x0076;
    L_0x0056:
        r0 = "memClean";
        r0 = r7.equals(r0);
        if (r0 == 0) goto L_0x0075;
    L_0x005e:
        r0 = r1;
        goto L_0x0076;
    L_0x0060:
        r0 = "bigApp";
        r0 = r7.equals(r0);
        if (r0 == 0) goto L_0x0075;
    L_0x0068:
        r0 = 4;
        goto L_0x0076;
    L_0x006a:
        r0 = "smartClean";
        r0 = r7.equals(r0);
        if (r0 == 0) goto L_0x0075;
    L_0x0073:
        r0 = 5;
        goto L_0x0076;
    L_0x0075:
        r0 = -1;
    L_0x0076:
        switch(r0) {
            case 0: goto L_0x009e;
            case 1: goto L_0x009a;
            case 2: goto L_0x0096;
            case 3: goto L_0x0092;
            case 4: goto L_0x008e;
            case 5: goto L_0x008a;
            case 6: goto L_0x0086;
            case 7: goto L_0x0082;
            case 8: goto L_0x007e;
            case 9: goto L_0x007a;
            default: goto L_0x0079;
        };
    L_0x0079:
        return r3;
    L_0x007a:
        r5.dumpMemRepair(r6, r4);
        goto L_0x00a2;
    L_0x007e:
        r5.dumpMemRepair(r6, r3);
        goto L_0x00a2;
    L_0x0082:
        r5.dumpMemCompactGroup(r6);
        goto L_0x00a2;
    L_0x0086:
        r5.dumpBlock(r6, r4, r4);
        goto L_0x00a2;
    L_0x008a:
        r5.dumpSmartClean(r6);
        goto L_0x00a2;
    L_0x008e:
        r5.dumpBlock(r6, r2, r4);
        goto L_0x00a2;
    L_0x0092:
        r5.dumpBlock(r6, r1, r4);
        goto L_0x00a2;
    L_0x0096:
        r5.dumpBlock(r6, r3, r4);
        goto L_0x00a2;
    L_0x009a:
        r5.dumpBlock(r6, r4, r3);
        goto L_0x00a2;
    L_0x009e:
        r5.dumpBlock(r6, r3, r3);
    L_0x00a2:
        return r4;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.mtm.iaware.appmng.AwareAppMngSort.dumpForResourceType(java.io.PrintWriter, java.lang.String):boolean");
    }

    private void dumpSmartClean(java.io.PrintWriter pw) {
        if (pw != null) {
            print(pw, "------------------start dump Group  small sample list ------------------");
            dumpStringList(pw, com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getSmallSampleList());
            print(pw, "------------------start dump Group  clean Group ------------------");
            dumpBlockList(pw, new com.android.server.mtm.iaware.appmng.appclean.SmartClean(this.mContext).getSmartCleanList(null), true);
        }
    }

    private void dumpMemCompactGroup(java.io.PrintWriter pw) {
        com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy policy = getAppMngSortPolicy(1, null, 3);
        if (policy != null) {
            print(pw, "------------------start dump Group forbid group ------------------");
            dumpBlockList(pw, policy.getForbidStopProcBlockList(), true);
            print(pw, "------------------start dump Group compactible group ------------------");
            dumpBlockList(pw, policy.getShortageStopProcBlockList(), true);
            print(pw, "------------------start dump Group frozen group ------------------");
            dumpBlockList(pw, policy.getAllowStopProcBlockList(), true);
        }
    }

    private void dumpMemRepair(java.io.PrintWriter pw, int sceneType) {
        com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy policy = getAppMngSortPolicyForMemRepair(sceneType);
        if (policy != null) {
            print(pw, "------------------start dump Group forbid group ------------------");
            dumpBlockList(pw, policy.getForbidStopProcBlockList(), true);
            print(pw, "------------------start dump Group allowstop group ------------------");
            dumpBlockList(pw, policy.getAllowStopProcBlockList(), true);
        }
    }

    private void dumpShortageSubClassRate(java.io.PrintWriter pw) {
        if (pw != null) {
            for (com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate rate : com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.values()) {
                java.lang.String classRate = rate.description();
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("    sub");
                stringBuilder.append(rate.ordinal());
                stringBuilder.append(": value=");
                stringBuilder.append(rate.ordinal());
                stringBuilder.append(",");
                stringBuilder.append(classRate);
                pw.println(stringBuilder.toString());
            }
        }
    }

    private void dumpForbidSubClassRate(java.io.PrintWriter pw) {
        if (pw != null) {
            for (com.android.server.mtm.iaware.appmng.AwareAppMngSort.ForbidSubClassRate rate : com.android.server.mtm.iaware.appmng.AwareAppMngSort.ForbidSubClassRate.values()) {
                java.lang.String classRate = rate.description();
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("    sub");
                stringBuilder.append(rate.ordinal());
                stringBuilder.append(": value=");
                stringBuilder.append(rate.ordinal());
                stringBuilder.append(",");
                stringBuilder.append(classRate);
                pw.println(stringBuilder.toString());
            }
        }
    }

    private void dumpAllowStopSubClassRate(java.io.PrintWriter pw) {
        if (pw != null) {
            for (com.android.server.mtm.iaware.appmng.AwareAppMngSort.AllowStopSubClassRate rate : com.android.server.mtm.iaware.appmng.AwareAppMngSort.AllowStopSubClassRate.values()) {
                java.lang.String classRate = rate.description();
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("    sub");
                stringBuilder.append(rate.ordinal());
                stringBuilder.append(": value=");
                stringBuilder.append(rate.ordinal());
                stringBuilder.append(",");
                stringBuilder.append(classRate);
                pw.println(stringBuilder.toString());
            }
        }
    }

    public void dumpClassInfo(java.io.PrintWriter pw) {
        if (!mEnabled) {
            pw.println("AwareAppMngSort disabled!");
        } else if (pw != null) {
            for (com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate rate : com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.values()) {
                java.lang.String classRate = rate.description();
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Class");
                stringBuilder.append(rate.ordinal());
                stringBuilder.append(": value=");
                stringBuilder.append(rate.ordinal());
                stringBuilder.append(",");
                stringBuilder.append(classRate);
                pw.println(stringBuilder.toString());
                java.lang.String subClass = com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.NONE.description();
                if (rate == com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.FOREGROUND) {
                    dumpForbidSubClassRate(pw);
                } else if (rate == com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.KEYSERVICES) {
                    dumpShortageSubClassRate(pw);
                } else if (rate == com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.NORMAL) {
                    dumpAllowStopSubClassRate(pw);
                } else {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("    sub");
                    stringBuilder2.append(com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.NONE.ordinal());
                    stringBuilder2.append(": value=");
                    stringBuilder2.append(com.android.server.mtm.iaware.appmng.AwareAppMngSort.ShortageSubClassRate.NONE.ordinal());
                    stringBuilder2.append(",");
                    stringBuilder2.append(subClass);
                    pw.println(stringBuilder2.toString());
                }
            }
        }
    }

    public void dumpAlarm(java.io.PrintWriter pw, java.lang.String[] args) {
        java.lang.String pkg = null;
        if (args.length > 2) {
            pkg = args[2];
        }
        if (pkg == null) {
            pw.println("dumpAlarm package can not be null!");
            return;
        }
        java.util.List<java.lang.String> packageList;
        boolean has;
        java.lang.StringBuilder stringBuilder;
        int uid = 0;
        if (args.length > 3) {
            try {
                uid = java.lang.Integer.parseInt(args[3]);
            } catch (java.lang.NumberFormatException e) {
                pw.println("  please check input uid!");
                return;
            }
        }
        java.util.List<java.lang.String> tags = com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getAllInvalidAlarmTags(uid, pkg);
        if (tags != null) {
            if (!tags.isEmpty()) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("getAllInvalidAlarmTags:");
                stringBuilder2.append(tags);
                pw.println(stringBuilder2.toString());
                packageList = new java.util.ArrayList();
                packageList.add(pkg);
                has = com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().hasPerceptAlarm(uid, packageList);
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("hasPerceptAlarm: ");
                stringBuilder.append(has);
                pw.println(stringBuilder.toString());
            }
        }
        pw.println("getAllInvalidAlarmTags is null or empty.");
        packageList = new java.util.ArrayList();
        packageList.add(pkg);
        has = com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().hasPerceptAlarm(uid, packageList);
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("hasPerceptAlarm: ");
        stringBuilder.append(has);
        pw.println(stringBuilder.toString());
    }

    private void updateLevel2ListFilter() {
        java.util.ArrayList<java.lang.String> rawFilter = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getRawConfig(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_CLEAN.getDesc(), "list-filter-lv2");
        android.util.ArraySet<java.lang.String> listFilter = new android.util.ArraySet();
        if (rawFilter != null) {
            listFilter.addAll(rawFilter);
        }
        mListFilerLevel2 = listFilter;
    }

    public void updateCloudData() {
        updateFileredApps();
        updateLevel2ListFilter();
    }
}
