package com.android.server.mtm.iaware.appmng;

public class AwareProcessBlockInfo implements java.lang.Comparable<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> {
    public boolean mAlarmChk;
    public int mAppType;
    public int mClassRate;
    public boolean mCleanAlarm;
    public com.android.server.mtm.taskstatus.ProcessCleaner.CleanType mCleanType;
    public java.util.Map<java.lang.String, java.lang.Integer> mDetailedReason;
    public int mImportance;
    public boolean mIsNativeForceStop;
    public int mMinAdj;
    public java.lang.String mPackageName;
    public java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> mProcessList;
    public java.lang.String mReason;
    public boolean mResCleanAllow;
    public int mSubClassRate;
    public java.lang.String mSubTypeStr;
    public int mUid;
    public long mUpdateTime;
    public int mWeight;

    public AwareProcessBlockInfo(int uid, boolean resCleanAllow, int classRate) {
        this.mResCleanAllow = true;
        this.mCleanAlarm = false;
        this.mIsNativeForceStop = true;
        this.mWeight = -1;
        this.mAppType = -1;
        this.mAlarmChk = false;
        this.mProcessList = new java.util.ArrayList();
        this.mResCleanAllow = resCleanAllow;
        this.mClassRate = classRate;
        this.mSubTypeStr = "base";
        this.mUid = uid;
        this.mCleanType = com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE;
    }

    public void setMemGroup(int group) {
        if (this.mProcessList != null) {
            for (com.android.server.mtm.iaware.appmng.AwareProcessInfo procInfo : this.mProcessList) {
                if (procInfo != null) {
                    procInfo.mMemGroup = group;
                }
            }
        }
    }

    public AwareProcessBlockInfo(int uid) {
        this.mResCleanAllow = true;
        this.mCleanAlarm = false;
        this.mIsNativeForceStop = true;
        this.mWeight = -1;
        this.mAppType = -1;
        this.mAlarmChk = false;
        this.mUid = uid;
    }

    public AwareProcessBlockInfo(java.lang.String reason, int uid, com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, int cleanType, java.util.Map<java.lang.String, java.lang.Integer> detailedReason, int weight) {
        this(reason, uid, processInfo, cleanType, detailedReason);
        this.mWeight = weight;
    }

    public AwareProcessBlockInfo(java.lang.String reason, int uid, com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, int cleanType, java.util.Map<java.lang.String, java.lang.Integer> detailedReason) {
        this.mResCleanAllow = true;
        this.mCleanAlarm = false;
        this.mIsNativeForceStop = true;
        this.mWeight = -1;
        this.mAppType = -1;
        this.mAlarmChk = false;
        this.mUid = uid;
        this.mProcessList = new java.util.ArrayList();
        this.mProcessList.add(processInfo);
        com.android.server.mtm.taskstatus.ProcessCleaner.CleanType[] values = com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.values();
        if (values.length <= cleanType || cleanType < 0) {
            this.mCleanType = com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE;
        } else {
            this.mCleanType = values[cleanType];
        }
        if (!(processInfo == null || processInfo.mProcInfo == null)) {
            if (processInfo.mProcInfo.mPackageName.size() > 0) {
                this.mPackageName = (java.lang.String) processInfo.mProcInfo.mPackageName.get(0);
            }
            this.mMinAdj = processInfo.mProcInfo.mCurAdj;
        }
        this.mReason = reason;
        this.mDetailedReason = detailedReason;
        if (processInfo != null) {
            this.mImportance = processInfo.mImportance;
            processInfo.mCleanType = this.mCleanType;
            processInfo.mReason = reason;
            processInfo.mDetailedReason = detailedReason;
        }
    }

    public void add(com.android.server.mtm.iaware.appmng.AwareProcessInfo item) {
        if (item != null) {
            if (this.mProcessList == null) {
                this.mProcessList = new java.util.ArrayList();
            }
            if (!this.mProcessList.contains(item)) {
                this.mProcessList.add(item);
            }
        }
    }

    public int getPid() {
        int pid = 0;
        if (this.mProcessList != null) {
            if (!this.mProcessList.isEmpty()) {
                com.android.server.mtm.iaware.appmng.AwareProcessInfo info = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) this.mProcessList.get(0);
                if (info != null) {
                    pid = info.mPid;
                }
                return pid;
            }
        }
        return 0;
    }

    public int getAdj() {
        int adj = 0;
        if (this.mProcessList != null) {
            if (!this.mProcessList.isEmpty()) {
                com.android.server.mtm.iaware.appmng.AwareProcessInfo info = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) this.mProcessList.get(0);
                if (!(info == null || info.mProcInfo == null)) {
                    adj = info.mProcInfo.mCurAdj;
                }
                return adj;
            }
        }
        return 0;
    }

    public int getRate() {
        int classRate = 0;
        if (this.mProcessList != null) {
            if (!this.mProcessList.isEmpty()) {
                com.android.server.mtm.iaware.appmng.AwareProcessInfo info = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) this.mProcessList.get(0);
                if (info != null) {
                    classRate = info.mClassRate;
                }
                return classRate;
            }
        }
        return 0;
    }

    public int getSubRate() {
        int subRate = 0;
        if (this.mProcessList != null) {
            if (!this.mProcessList.isEmpty()) {
                com.android.server.mtm.iaware.appmng.AwareProcessInfo info = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) this.mProcessList.get(0);
                if (!(info == null || info.mProcInfo == null)) {
                    subRate = info.mSubClassRate;
                }
                return subRate;
            }
        }
        return 0;
    }

    public boolean isSystemApp() {
        boolean z = false;
        if (this.mProcessList != null) {
            if (!this.mProcessList.isEmpty()) {
                com.android.server.mtm.iaware.appmng.AwareProcessInfo info = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) this.mProcessList.get(0);
                if (!(info == null || info.mProcInfo == null || info.mProcInfo.mType != 2)) {
                    z = true;
                }
                return z;
            }
        }
        return false;
    }

    public void remove(com.android.server.mtm.iaware.appmng.AwareProcessInfo item) {
        if (this.mProcessList != null) {
            if (item != null) {
                this.mProcessList.remove(item);
            }
        }
    }

    public java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> getProcessList() {
        return this.mProcessList;
    }

    public boolean isResCleanAllow() {
        return this.mResCleanAllow;
    }

    public java.lang.String getClassRateStr() {
        return com.android.server.mtm.iaware.appmng.AwareAppMngSort.getClassRateStr(this.mClassRate);
    }

    public boolean contains(int pid) {
        if (this.mProcessList != null) {
            if (!this.mProcessList.isEmpty()) {
                for (com.android.server.mtm.iaware.appmng.AwareProcessInfo info : this.mProcessList) {
                    if (info != null && info.mPid == pid) {
                        return true;
                    }
                }
                return false;
            }
        }
        return false;
    }

    public boolean equals(java.lang.Object o) {
        return super.equals(o);
    }

    public int hashCode() {
        return super.hashCode();
    }

    public java.lang.String toString() {
        java.lang.StringBuffer sb = new java.lang.StringBuffer();
        if (this.mProcessList != null) {
            sb.append("pid=");
            for (com.android.server.mtm.iaware.appmng.AwareProcessInfo info : this.mProcessList) {
                sb.append(info.mPid);
                sb.append(" ");
            }
        }
        sb.append(",uid=");
        sb.append(this.mUid);
        sb.append(",pkg=");
        sb.append(this.mPackageName);
        sb.append(", cleanType=");
        sb.append(this.mCleanType.description());
        sb.append(", weight=");
        sb.append(this.mWeight);
        sb.append(", reason=");
        sb.append(this.mReason);
        return sb.toString();
    }

    public int compareTo(com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo another) {
        if (another == null) {
            return 0;
        }
        if (this.mClassRate != another.mClassRate) {
            return this.mClassRate - another.mClassRate;
        }
        if (this.mSubClassRate != another.mSubClassRate) {
            return this.mSubClassRate - another.mSubClassRate;
        }
        if (this.mMinAdj != another.mMinAdj) {
            return this.mMinAdj - another.mMinAdj;
        }
        if (this.mImportance != another.mImportance) {
            return this.mImportance - another.mImportance;
        }
        return 0;
    }
}
