package com.android.server.mtm.iaware.appmng;

public class AwareProcessWindowInfo {
    private static int mMinWindowHeight = 1;
    private static int mMinWindowWidth = 1;
    public boolean mInRestriction = false;
    public int mMode;
    public java.lang.String mPkg;
    public int mUid;
    public java.util.Map<java.lang.Integer, java.lang.Boolean> mWindows = new android.util.ArrayMap();

    public AwareProcessWindowInfo(int mode, java.lang.String pkg, int uid) {
        this.mMode = mode;
        this.mPkg = pkg;
        this.mUid = uid;
    }

    public boolean containsWindow(int code) {
        return this.mWindows.containsKey(java.lang.Integer.valueOf(code));
    }

    public void addWindow(java.lang.Integer code, boolean evil) {
        this.mWindows.put(code, java.lang.Boolean.valueOf(evil));
    }

    public void removeWindow(java.lang.Integer code) {
        this.mWindows.remove(code);
    }

    public boolean isEvil() {
        for (java.util.Map.Entry<java.lang.Integer, java.lang.Boolean> window : this.mWindows.entrySet()) {
            if (!((java.lang.Boolean) window.getValue()).booleanValue()) {
                return false;
            }
        }
        return true;
    }

    public boolean isEvil(int code) {
        return ((java.lang.Boolean) this.mWindows.get(java.lang.Integer.valueOf(code))).booleanValue();
    }

    public static int getMinWindowWidth() {
        return mMinWindowWidth;
    }

    public static int getMinWindowHeight() {
        return mMinWindowHeight;
    }

    public static void setMinWindowWidth(int width) {
        mMinWindowWidth = width;
    }

    public static void setMinWindowHeight(int height) {
        mMinWindowHeight = height;
    }
}
