package com.android.server.mtm.iaware.appmng;

public class DecisionMaker {
    private static final int APPSTART_POLICY_NOT_ALLOW = 0;
    private static final int APPSTART_XML_POLICY_ALLOW_ALL = 2;
    private static final int APPSTART_XML_POLICY_ALLOW_SMART = 1;
    private static final int DEFAULT_APPMNG_POLICY = com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.ordinal();
    private static final int DEFAULT_APPSTART_POLICY = 1;
    private static final java.lang.String DEFAULT_STRING = "default";
    private static final int DEFAULT_UID = 0;
    private static final int MAX_HISTORY_LENGTH = 50;
    private static final java.lang.String REASON_LIST = "list";
    private static final java.lang.String TAG = "DecisionMaker";
    private static final int UNINIT_VALUE = -1;
    private static com.android.server.mtm.iaware.appmng.DecisionMaker mDecisionMaker = null;
    private android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature, android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, com.android.server.mtm.iaware.appmng.rule.Config>> mAllConfig = new android.util.ArrayMap();
    private android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature, android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>>> mAllList = new android.util.ArrayMap();
    private android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature, android.util.ArrayMap<java.lang.String, java.util.ArrayList<java.lang.String>>> mAllMisc = new android.util.ArrayMap();
    private android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature, android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>>> mAllProcessList = new android.util.ArrayMap();
    private android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource, java.util.Queue<java.lang.String>> mCleanHistory = new android.util.ArrayMap();
    private int mVersion;

    private DecisionMaker() {
    }

    public static synchronized com.android.server.mtm.iaware.appmng.DecisionMaker getInstance() {
        com.android.server.mtm.iaware.appmng.DecisionMaker decisionMaker;
        synchronized (com.android.server.mtm.iaware.appmng.DecisionMaker.class) {
            if (mDecisionMaker == null) {
                mDecisionMaker = new com.android.server.mtm.iaware.appmng.DecisionMaker();
            }
            decisionMaker = mDecisionMaker;
        }
        return decisionMaker;
    }

    public java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> decideAll(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> processInfoList, int level, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature feature, android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc config, android.util.ArraySet<java.lang.String> listFilter) {
        return decideAllInternal(processInfoList, level, feature, config, true, listFilter);
    }

    public java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> decideAll(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> processInfoList, int level, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature feature, android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc config) {
        return decideAllInternal(processInfoList, level, feature, config, true, null);
    }

    public java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> decideAllWithoutList(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> processInfoList, int level, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature feature, android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc config) {
        return decideAllInternal(processInfoList, level, feature, config, false, null);
    }

    private java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> decideAllInternal(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> processInfoList, int level, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature feature, android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc config, boolean shouldConsiderList, android.util.ArraySet<java.lang.String> listFilter) {
        if (processInfoList == null) {
            return null;
        }
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> resultList = new java.util.ArrayList();
        for (com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo : processInfoList) {
            if (processInfo != null) {
                com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo result = decide(processInfo, level, feature, config, shouldConsiderList, listFilter);
                if (result != null) {
                    resultList.add(result);
                }
            }
        }
        return resultList;
    }

    private boolean decideSystemAppPolicy(java.lang.String packageName, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource source, com.android.server.rms.iaware.appmng.AwareAppStartStatusCache status, int tristate) {
        if (status == null || (status.mFlags & 8) != 0) {
            return true;
        }
        if (!(tristate == 1 || android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.SYSTEM_BROADCAST.equals(source) || android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.THIRD_BROADCAST.equals(source))) {
            if (!android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.SCHEDULE_RESTART.equals(source)) {
                if (!status.mIsSystemApp) {
                    return false;
                }
                if (com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.isAppSelfStart(source) && com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().isGmsAppAndNeedCtrl(packageName)) {
                    return false;
                }
                return true;
            }
        }
        return false;
    }

    private com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo decide(com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, int level, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature feature, android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc config, boolean shouldConsiderList, android.util.ArraySet<java.lang.String> listFilter) {
        com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcessInfo = processInfo;
        android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature appMngFeature = feature;
        android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc enumWithDesc = config;
        boolean z = shouldConsiderList;
        android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, com.android.server.mtm.iaware.appmng.rule.Config> featureRule = (android.util.ArrayMap) this.mAllConfig.get(appMngFeature);
        android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>> featureList = (android.util.ArrayMap) this.mAllList.get(appMngFeature);
        android.util.ArraySet<java.lang.String> listFilter2;
        if (listFilter == null) {
            listFilter2 = new android.util.ArraySet();
        } else {
            listFilter2 = listFilter;
        }
        int i;
        if (awareProcessInfo.mProcInfo == null || awareProcessInfo.mProcInfo.mPackageName == null || awareProcessInfo.mProcInfo.mPackageName.isEmpty()) {
            i = level;
            android.util.ArrayMap<java.lang.String, java.lang.Integer> detailedReason = new android.util.ArrayMap();
            detailedReason.put(com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.POLICY.getDesc(), java.lang.Integer.valueOf(com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.ordinal()));
            detailedReason.put("spec", java.lang.Integer.valueOf(android.app.mtm.iaware.appmng.AppMngConstant.CleanReason.MISSING_PROCESS_INFO.ordinal()));
            return new com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo(android.app.mtm.iaware.appmng.AppMngConstant.CleanReason.MISSING_PROCESS_INFO.getCode(), 0, awareProcessInfo, DEFAULT_APPMNG_POLICY, detailedReason);
        }
        java.lang.String packageName = (java.lang.String) awareProcessInfo.mProcInfo.mPackageName.get(0);
        if (com.android.server.mtm.iaware.appmng.appstart.comm.AppStartupUtil.isCtsPackage(packageName)) {
            android.util.ArrayMap<java.lang.String, java.lang.Integer> detailedReason2 = new android.util.ArrayMap();
            detailedReason2.put(com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.POLICY.getDesc(), java.lang.Integer.valueOf(com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.ordinal()));
            detailedReason2.put("spec", java.lang.Integer.valueOf(android.app.mtm.iaware.appmng.AppMngConstant.CleanReason.CTS.ordinal()));
            return new com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo(android.app.mtm.iaware.appmng.AppMngConstant.CleanReason.CTS.getCode(), 0, awareProcessInfo, DEFAULT_APPMNG_POLICY, detailedReason2);
        }
        if (!(!z || featureList == null || listFilter2.contains(packageName))) {
            android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> list = (android.util.ArrayMap) featureList.get(enumWithDesc);
            if (list != null) {
                com.android.server.mtm.iaware.appmng.rule.ListItem item = (com.android.server.mtm.iaware.appmng.rule.ListItem) list.get(packageName);
                if (item != null) {
                    android.util.ArrayMap<java.lang.String, java.lang.Integer> detailedReason3 = new android.util.ArrayMap();
                    detailedReason3.put(com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.POLICY.getDesc(), java.lang.Integer.valueOf(item.getPolicy()));
                    detailedReason3.put("spec", java.lang.Integer.valueOf(android.app.mtm.iaware.appmng.AppMngConstant.CleanReason.LIST.ordinal()));
                    android.util.ArrayMap<java.lang.String, java.lang.Integer> detailedReason4 = detailedReason3;
                    return new com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo(android.app.mtm.iaware.appmng.AppMngConstant.CleanReason.LIST.getCode(), awareProcessInfo.mProcInfo.mUid, awareProcessInfo, item.getPolicy(), detailedReason4);
                }
            }
        }
        if (featureRule != null) {
            com.android.server.mtm.iaware.appmng.rule.AppMngRule rule = (com.android.server.mtm.iaware.appmng.rule.AppMngRule) featureRule.get(enumWithDesc);
            if (rule != null) {
                return rule.apply(awareProcessInfo, packageName, level, z);
            }
        }
        i = level;
        return new com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo(android.app.mtm.iaware.appmng.AppMngConstant.CleanReason.CONFIG_INVALID.getCode(), awareProcessInfo.mProcInfo.mUid, awareProcessInfo, DEFAULT_APPMNG_POLICY, null);
    }

    public android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> getProcessList(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature feature, android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc config) {
        if (feature != null) {
            if (config != null) {
                android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>> featureProcessList = (android.util.ArrayMap) this.mAllProcessList.get(feature);
                if (featureProcessList == null) {
                    return null;
                }
                return (android.util.ArrayMap) featureProcessList.get(config);
            }
        }
        return null;
    }

    public int getAppStartPolicy(java.lang.String packageName, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource source) {
        android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>> featureList = (android.util.ArrayMap) this.mAllList.get(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_START);
        if (featureList != null) {
            android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> list = (android.util.ArrayMap) featureList.get(source);
            if (list != null) {
                com.android.server.mtm.iaware.appmng.rule.ListItem item = (com.android.server.mtm.iaware.appmng.rule.ListItem) list.get(packageName);
                if (item != null) {
                    return item.getPolicy();
                }
                return 0;
            }
        }
        return 1;
    }

    public void addFeatureList(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature feature, android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>> addLists) {
        android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>> featureList = (android.util.ArrayMap) this.mAllList.get(feature);
        if (!(featureList == null || addLists == null)) {
            if (!addLists.isEmpty()) {
                android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature, android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>>> allList = new android.util.ArrayMap();
                for (java.util.Map.Entry<android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature, android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>>> entry : this.mAllList.entrySet()) {
                    allList.put((android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature) entry.getKey(), (android.util.ArrayMap) entry.getValue());
                }
                android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>> newFeatureList = (android.util.ArrayMap) allList.get(feature);
                if (newFeatureList == null) {
                    newFeatureList = new android.util.ArrayMap();
                    allList.put(feature, newFeatureList);
                }
                for (java.util.Map.Entry<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>> entry2 : addLists.entrySet()) {
                    android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc configEnum = (android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc) entry2.getKey();
                    android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> addPoliciesList = (android.util.ArrayMap) entry2.getValue();
                    android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> policiesList = (android.util.ArrayMap) featureList.get(configEnum);
                    android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> newPoliciesList = new android.util.ArrayMap();
                    addPolicies(policiesList, addPoliciesList, newPoliciesList);
                    newFeatureList.put(configEnum, newPoliciesList);
                }
                this.mAllList = allList;
            }
        }
    }

    public android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>> removeFeatureList(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature feature, android.util.ArraySet<java.lang.String> pkgs) {
        android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>> featureList = (android.util.ArrayMap) this.mAllList.get(feature);
        if (!(featureList == null || pkgs == null)) {
            if (!pkgs.isEmpty()) {
                android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature, android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>>> allList = new android.util.ArrayMap();
                android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>> removeLists = new android.util.ArrayMap();
                android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>> newFeatureList = new android.util.ArrayMap();
                for (java.util.Map.Entry<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>> entry : featureList.entrySet()) {
                    android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc configEnum = (android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc) entry.getKey();
                    android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> policies = (android.util.ArrayMap) entry.getValue();
                    if (!android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_CLEAN.equals(feature) || android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.MEMORY.equals(configEnum) || android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.SMART_CLEAN.equals(configEnum)) {
                        android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> newPolicies = new android.util.ArrayMap();
                        android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> removePolicies = new android.util.ArrayMap();
                        removePolicies(policies, pkgs, newPolicies, removePolicies);
                        newFeatureList.put(configEnum, newPolicies);
                        if (removePolicies.size() > 0) {
                            removeLists.put(configEnum, removePolicies);
                        }
                    } else {
                        newFeatureList.put(configEnum, policies);
                    }
                }
                for (java.util.Map.Entry<android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature, android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>>> entry2 : this.mAllList.entrySet()) {
                    android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature appmngFeature = (android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature) entry2.getKey();
                    android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>> lists = (android.util.ArrayMap) entry2.getValue();
                    if (appmngFeature.equals(feature)) {
                        allList.put(appmngFeature, newFeatureList);
                    } else {
                        allList.put(appmngFeature, lists);
                    }
                }
                this.mAllList = allList;
                return removeLists;
            }
        }
        return null;
    }

    private void removePolicies(android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> policiesList, android.util.ArraySet<java.lang.String> pkgs, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> newPoliciesList, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> removePoliciesList) {
        for (java.util.Map.Entry<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> entry : policiesList.entrySet()) {
            java.lang.String pkg = (java.lang.String) entry.getKey();
            com.android.server.mtm.iaware.appmng.rule.ListItem item = (com.android.server.mtm.iaware.appmng.rule.ListItem) entry.getValue();
            if (pkgs.contains(pkg)) {
                removePoliciesList.put(pkg, item);
            } else {
                newPoliciesList.put(pkg, item);
            }
        }
    }

    private void addPolicies(android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> policiesList, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> addPoliciesList, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> newPoliciesList) {
        for (java.util.Map.Entry<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> entry : policiesList.entrySet()) {
            newPoliciesList.put((java.lang.String) entry.getKey(), (com.android.server.mtm.iaware.appmng.rule.ListItem) entry.getValue());
        }
        for (java.util.Map.Entry<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> entry2 : addPoliciesList.entrySet()) {
            newPoliciesList.put((java.lang.String) entry2.getKey(), (com.android.server.mtm.iaware.appmng.rule.ListItem) entry2.getValue());
        }
    }

    public com.android.server.mtm.iaware.appmng.policy.Policy decide(java.lang.String packageName, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource source, com.android.server.rms.iaware.appmng.AwareAppStartStatusCache status, int tristate) {
        android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>> featureList = (android.util.ArrayMap) this.mAllList.get(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_START);
        if (featureList != null) {
            android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> list = (android.util.ArrayMap) featureList.get(source);
            if (list != null) {
                com.android.server.mtm.iaware.appmng.rule.ListItem item = (com.android.server.mtm.iaware.appmng.rule.ListItem) list.get(packageName);
                if (!(item == null || status == null)) {
                    int policy;
                    if (android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.SYSTEM_BROADCAST.equals(source)) {
                        policy = item.getPolicy(status.mAction);
                        if (policy == -1) {
                            policy = item.getPolicy("default");
                        }
                    } else {
                        policy = item.getPolicy();
                    }
                    switch (policy) {
                        case 1:
                            if (tristate == 1) {
                                policy = -1;
                                break;
                            }
                            break;
                        case 2:
                            policy = 1;
                            break;
                        default:
                            break;
                    }
                    if (policy != -1) {
                        return new com.android.server.mtm.iaware.appmng.policy.AppStartPolicy(packageName, policy, android.app.mtm.iaware.appmng.AppMngConstant.AppStartReason.LIST.getDesc());
                    }
                }
            }
        }
        if (decideSystemAppPolicy(packageName, source, status, tristate)) {
            return new com.android.server.mtm.iaware.appmng.policy.AppStartPolicy(packageName, 1, android.app.mtm.iaware.appmng.AppMngConstant.AppStartReason.SYSTEM_APP.getDesc());
        }
        android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, com.android.server.mtm.iaware.appmng.rule.Config> featureRule = (android.util.ArrayMap) this.mAllConfig.get(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_START);
        if (featureRule != null) {
            com.android.server.mtm.iaware.appmng.rule.AppStartRule rule = (com.android.server.mtm.iaware.appmng.rule.AppStartRule) featureRule.get(source);
            if (rule != null) {
                return rule.apply(packageName, source, status, tristate);
            }
        }
        return new com.android.server.mtm.iaware.appmng.policy.AppStartPolicy(packageName, 1, android.app.mtm.iaware.appmng.AppMngConstant.AppStartReason.DEFAULT.getDesc());
    }

    public void updateRule(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature feature, android.content.Context context) {
        com.android.server.mtm.iaware.appmng.rule.ConfigReader reader = new com.android.server.mtm.iaware.appmng.rule.ConfigReader();
        reader.parseFile(feature, context);
        if (feature == null) {
            this.mAllConfig = reader.getConfig();
            this.mAllList = reader.getList();
            this.mAllProcessList = reader.getProcessList();
            this.mAllMisc = reader.getMisc();
            updateMiscCache();
        } else {
            this.mAllConfig.put(feature, (android.util.ArrayMap) reader.getConfig().get(feature));
            this.mAllList.put(feature, (android.util.ArrayMap) reader.getList().get(feature));
            this.mAllProcessList.put(feature, (android.util.ArrayMap) reader.getProcessList().get(feature));
            this.mAllMisc.put(feature, (android.util.ArrayMap) reader.getMisc().get(feature));
        }
        if (feature == null || android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_CLEAN.equals(feature)) {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().removeAppCleanFeatureGMSList();
            initHistory();
        }
        if (feature == null || android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_START.equals(feature)) {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().updateBGCheckExcludedInfo(reader.getBGCheckExcludedPkg());
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().removeAppStartFeatureGMSList();
        }
        this.mVersion = reader.getVersion();
    }

    public java.util.ArrayList<java.lang.String> getRawConfig(java.lang.String feature, java.lang.String config) {
        if (config != null) {
            if (feature != null) {
                android.util.ArrayMap<java.lang.String, java.util.ArrayList<java.lang.String>> rawFeature = (android.util.ArrayMap) this.mAllMisc.get(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.fromString(feature));
                if (rawFeature == null) {
                    return null;
                }
                java.util.ArrayList<java.lang.String> items = (java.util.ArrayList) rawFeature.get(config);
                if (items == null) {
                    return new java.util.ArrayList();
                }
                return items;
            }
        }
        return null;
    }

    public int getVersion() {
        return this.mVersion;
    }

    public void dump(java.io.PrintWriter pw, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature feature) {
        if (pw != null) {
            dumpList(pw, feature);
            android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, com.android.server.mtm.iaware.appmng.rule.Config> featureConfig = (android.util.ArrayMap) this.mAllConfig.get(feature);
            java.lang.StringBuilder stringBuilder;
            if (featureConfig == null) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("there is no [");
                stringBuilder.append(feature);
                stringBuilder.append("] config");
                pw.println(stringBuilder.toString());
            } else {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("----------[");
                stringBuilder.append(feature);
                stringBuilder.append("] Rules----------");
                pw.println(stringBuilder.toString());
                for (java.util.Map.Entry<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, com.android.server.mtm.iaware.appmng.rule.Config> featureConfigEntry : featureConfig.entrySet()) {
                    if (featureConfigEntry != null) {
                        com.android.server.mtm.iaware.appmng.rule.Config config = (com.android.server.mtm.iaware.appmng.rule.Config) featureConfigEntry.getValue();
                        if (config != null) {
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("==========[");
                            stringBuilder2.append(featureConfigEntry.getKey());
                            stringBuilder2.append("] Rules==========");
                            pw.println(stringBuilder2.toString());
                            config.dump(pw);
                        }
                    }
                }
            }
        }
    }

    public void dumpList(java.io.PrintWriter pw, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature feature) {
        if (pw != null) {
            java.lang.StringBuilder stringBuilder;
            android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> configList;
            java.lang.StringBuilder stringBuilder2;
            com.android.server.mtm.iaware.appmng.rule.ListItem item;
            java.lang.StringBuilder stringBuilder3;
            android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>> featureList = (android.util.ArrayMap) this.mAllList.get(feature);
            if (this.mVersion != -1) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("config version:");
                stringBuilder.append(this.mVersion);
                pw.println(stringBuilder.toString());
            }
            if (featureList == null) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("there is no [");
                stringBuilder.append(feature);
                stringBuilder.append("] list");
                pw.println(stringBuilder.toString());
            } else {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("----------[");
                stringBuilder.append(feature);
                stringBuilder.append("] Lists----------");
                pw.println(stringBuilder.toString());
                for (java.util.Map.Entry<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>> featureListEntry : featureList.entrySet()) {
                    if (featureListEntry != null) {
                        configList = (android.util.ArrayMap) featureListEntry.getValue();
                        if (configList != null) {
                            stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("==========[");
                            stringBuilder2.append(featureListEntry.getKey());
                            stringBuilder2.append("] Lists==========");
                            pw.println(stringBuilder2.toString());
                            for (java.util.Map.Entry<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> configListEntry : configList.entrySet()) {
                                if (configListEntry != null) {
                                    item = (com.android.server.mtm.iaware.appmng.rule.ListItem) configListEntry.getValue();
                                    if (item != null) {
                                        if (item.getPolicy() != -1) {
                                            stringBuilder3 = new java.lang.StringBuilder();
                                            stringBuilder3.append("  ");
                                            stringBuilder3.append((java.lang.String) configListEntry.getKey());
                                            stringBuilder3.append(":");
                                            pw.println(stringBuilder3.toString());
                                            item.dump(pw);
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>> featureProcessList = (android.util.ArrayMap) this.mAllProcessList.get(feature);
            java.lang.StringBuilder stringBuilder4;
            if (featureProcessList == null) {
                stringBuilder4 = new java.lang.StringBuilder();
                stringBuilder4.append("there is no [");
                stringBuilder4.append(feature);
                stringBuilder4.append("] processlist");
                pw.println(stringBuilder4.toString());
            } else {
                stringBuilder4 = new java.lang.StringBuilder();
                stringBuilder4.append("----------[");
                stringBuilder4.append(feature);
                stringBuilder4.append("] processlist----------");
                pw.println(stringBuilder4.toString());
                for (java.util.Map.Entry<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>> featureListEntry2 : featureProcessList.entrySet()) {
                    if (featureListEntry2 != null) {
                        configList = (android.util.ArrayMap) featureListEntry2.getValue();
                        if (configList != null) {
                            stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("==========[");
                            stringBuilder2.append(featureListEntry2.getKey());
                            stringBuilder2.append("] ProcessLists==========");
                            pw.println(stringBuilder2.toString());
                            for (java.util.Map.Entry<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> configListEntry2 : configList.entrySet()) {
                                if (configListEntry2 != null) {
                                    item = (com.android.server.mtm.iaware.appmng.rule.ListItem) configListEntry2.getValue();
                                    if (item != null) {
                                        stringBuilder3 = new java.lang.StringBuilder();
                                        stringBuilder3.append("  ");
                                        stringBuilder3.append((java.lang.String) configListEntry2.getKey());
                                        stringBuilder3.append(":");
                                        pw.println(stringBuilder3.toString());
                                        item.dump(pw);
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    private void initHistory() {
        for (android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource source : android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.values()) {
            synchronized (this.mCleanHistory) {
                this.mCleanHistory.put(source, new java.util.LinkedList());
            }
        }
    }

    /* JADX WARNING: Missing block: B:17:0x004b, code:
            return;
     */
    public void updateHistory(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource r6, java.lang.String r7) {
        /*
        r5 = this;
        r0 = r5.mCleanHistory;
        monitor-enter(r0);
        r1 = r5.mCleanHistory;	 Catch:{ all -> 0x004c }
        r1 = r1.get(r6);	 Catch:{ all -> 0x004c }
        r1 = (java.util.Queue) r1;	 Catch:{ all -> 0x004c }
        if (r1 != 0) goto L_0x0025;
    L_0x000d:
        r2 = "DecisionMaker";
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x004c }
        r3.<init>();	 Catch:{ all -> 0x004c }
        r4 = "bad request = ";
        r3.append(r4);	 Catch:{ all -> 0x004c }
        r3.append(r6);	 Catch:{ all -> 0x004c }
        r3 = r3.toString();	 Catch:{ all -> 0x004c }
        android.rms.iaware.AwareLog.e(r2, r3);	 Catch:{ all -> 0x004c }
        monitor-exit(r0);	 Catch:{ all -> 0x004c }
        return;
    L_0x0025:
        r2 = r1.size();	 Catch:{ all -> 0x004c }
        r3 = 50;
        if (r2 != r3) goto L_0x003c;
    L_0x002d:
        r2 = r1.poll();	 Catch:{ all -> 0x004c }
        r2 = (java.lang.String) r2;	 Catch:{ all -> 0x004c }
        if (r2 != 0) goto L_0x003c;
    L_0x0035:
        r3 = "DecisionMaker";
        r4 = "poll failed !";
        android.rms.iaware.AwareLog.e(r3, r4);	 Catch:{ all -> 0x004c }
    L_0x003c:
        r2 = r1.offer(r7);	 Catch:{ all -> 0x004c }
        if (r2 != 0) goto L_0x004a;
    L_0x0042:
        r3 = "DecisionMaker";
        r4 = "updateHistory failed !";
        android.rms.iaware.AwareLog.e(r3, r4);	 Catch:{ all -> 0x004c }
    L_0x004a:
        monitor-exit(r0);	 Catch:{ all -> 0x004c }
        return;
    L_0x004c:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x004c }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.mtm.iaware.appmng.DecisionMaker.updateHistory(android.app.mtm.iaware.appmng.AppMngConstant$AppCleanSource, java.lang.String):void");
    }

    public void dumpHistory(java.io.PrintWriter pw, android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource source) {
        if (pw != null) {
            synchronized (this.mCleanHistory) {
                java.util.Queue<java.lang.String> queue = (java.util.Queue) this.mCleanHistory.get(source);
                if (queue != null) {
                    for (java.lang.String history : queue) {
                        pw.println(history);
                    }
                }
            }
        }
    }

    private void updateMiscCache() {
        com.android.server.rms.iaware.appmng.AwareWakeUpManager.getInstance().updateControlParam();
        com.android.server.rms.iaware.appmng.AwareWakeUpManager.getInstance().updateWhiteList();
    }

    public com.android.server.mtm.iaware.appmng.rule.BroadcastMngRule getBroadcastMngRule(android.app.mtm.iaware.appmng.AppMngConstant.BroadcastSource source) {
        android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, com.android.server.mtm.iaware.appmng.rule.Config> featureRule = (android.util.ArrayMap) this.mAllConfig.get(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.BROADCAST);
        if (featureRule != null) {
            return (com.android.server.mtm.iaware.appmng.rule.BroadcastMngRule) featureRule.get(source);
        }
        return null;
    }

    public android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> getBrListItem(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature feature, android.app.mtm.iaware.appmng.AppMngConstant.BroadcastSource source) {
        android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>> featureList = (android.util.ArrayMap) this.mAllList.get(feature);
        if (featureList != null) {
            return (android.util.ArrayMap) featureList.get(source);
        }
        return null;
    }
}
