package com.android.server.mtm.iaware.appmng.appclean;

public abstract class CleanSource {
    private static final java.util.Comparator<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> BLOCK_BY_PACKAGE = new java.util.Comparator<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo>() {
        public int compare(com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo arg0, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo arg1) {
            int i = -1;
            if (arg0 == null) {
                return arg1 == null ? 0 : -1;
            } else {
                if (arg1 == null) {
                    return 1;
                }
                if (arg0.mPackageName == null) {
                    return arg1.mPackageName == null ? 0 : -1;
                } else {
                    if (arg1.mPackageName == null) {
                        return 1;
                    }
                    if (!arg1.mPackageName.equals(arg0.mPackageName)) {
                        return arg0.mPackageName.compareTo(arg1.mPackageName);
                    }
                    if (arg0.mUid == arg1.mUid) {
                        return 0;
                    }
                    if (arg0.mUid >= arg1.mUid) {
                        i = 1;
                    }
                    return i;
                }
            }
        }
    };
    protected static final int FAKE_ADJ = 10001;
    protected static final int FAKE_PID = 99999;
    protected static final int FAKE_UID = 99999;
    private static final java.lang.String TAG = "CleanSource";

    public void clean() {
    }

    public static java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> mergeBlockForMemory(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> rawBlock, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> processList) {
        return mergeBlockInternal(rawBlock, true, null, processList);
    }

    public static java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> mergeBlock(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> rawBlock) {
        return mergeBlockInternal(rawBlock, false, null, null);
    }

    public static java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> mergeBlock(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> rawBlock, java.util.List<com.android.server.mtm.taskstatus.ProcessCleaner.CleanType> priority) {
        return mergeBlockInternal(rawBlock, false, priority, null);
    }

    private static void setProperFlag(com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo curBlock, boolean forMemory) {
        if (!com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.FORCESTOP.equals(curBlock.mCleanType)) {
            if (!com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.FORCESTOP_REMOVETASK.equals(curBlock.mCleanType)) {
                if (com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.FORCESTOP_ALARM.equals(curBlock.mCleanType)) {
                    curBlock.mResCleanAllow = true;
                    curBlock.mCleanAlarm = true;
                    curBlock.mIsNativeForceStop = false;
                    return;
                } else if (forMemory && com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.KILL_ALLOW_START.equals(curBlock.mCleanType) && curBlock.mProcessList != null) {
                    curBlock.mResCleanAllow = false;
                    curBlock.mIsNativeForceStop = false;
                    for (com.android.server.mtm.iaware.appmng.AwareProcessInfo procInfo : curBlock.mProcessList) {
                        if (procInfo != null) {
                            procInfo.mRestartFlag = true;
                        }
                    }
                    return;
                } else {
                    return;
                }
            }
        }
        curBlock.mResCleanAllow = true;
    }

    private static java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> mergeBlockInternal(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> rawBlock, boolean forMemory, java.util.List<com.android.server.mtm.taskstatus.ProcessCleaner.CleanType> priority, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> processList) {
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> list = rawBlock;
        boolean z = forMemory;
        android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> arrayMap = processList;
        if (list != null) {
            if (!rawBlock.isEmpty()) {
                java.util.Collections.sort(list, BLOCK_BY_PACKAGE);
                java.util.List cleanBlock = new java.util.ArrayList();
                java.util.List protectedBlock = new java.util.ArrayList();
                java.util.List tempBlockInfoList = new java.util.ArrayList();
                java.util.Iterator<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> iterator = rawBlock.iterator();
                com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo lastBlock = null;
                while (true) {
                    java.util.Iterator<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> iterator2 = iterator;
                    if (iterator2.hasNext()) {
                        com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo curBlock = (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) iterator2.next();
                        iterator2.remove();
                        if (curBlock == null) {
                            android.rms.iaware.AwareLog.e("CleanSource", "bad decide result curBlock == null");
                            return null;
                        }
                        setProperFlag(curBlock, z);
                        if (lastBlock == null) {
                            if (!com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.equals(curBlock.mCleanType)) {
                                checkProcInProcesslist(curBlock, arrayMap, tempBlockInfoList);
                            }
                            lastBlock = curBlock;
                        } else if (lastBlock.mPackageName != null && lastBlock.mPackageName.equals(curBlock.mPackageName) && android.os.UserHandle.getUserId(curBlock.mUid) == android.os.UserHandle.getUserId(lastBlock.mUid)) {
                            if (!(com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.equals(lastBlock.mCleanType) || com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.equals(curBlock.mCleanType))) {
                                checkProcInProcesslist(curBlock, arrayMap, tempBlockInfoList);
                            }
                            mergeBlockInfo(lastBlock, curBlock, priority);
                        } else {
                            handleBlockWithProcessList(lastBlock, cleanBlock, protectedBlock, tempBlockInfoList, arrayMap, priority, z);
                            mergeBlockToList(lastBlock, cleanBlock, protectedBlock, z);
                            tempBlockInfoList.clear();
                            if (!com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.equals(curBlock.mCleanType)) {
                                checkProcInProcesslist(curBlock, arrayMap, tempBlockInfoList);
                            }
                            lastBlock = curBlock;
                        }
                        iterator = iterator2;
                    } else {
                        handleBlockWithProcessList(lastBlock, cleanBlock, protectedBlock, tempBlockInfoList, arrayMap, priority, z);
                        mergeBlockToList(lastBlock, cleanBlock, protectedBlock, z);
                        list.addAll(protectedBlock);
                        return cleanBlock;
                    }
                }
            }
        }
        return list;
    }

    private static void checkProcInProcesslist(com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo block, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> processList, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> blockInfoList) {
        if (!(block == null || block.mProcessList == null || processList == null)) {
            if (blockInfoList != null) {
                java.util.Iterator<com.android.server.mtm.iaware.appmng.AwareProcessInfo> iterator = block.mProcessList.iterator();
                while (iterator.hasNext()) {
                    com.android.server.mtm.iaware.appmng.AwareProcessInfo procInfo = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) iterator.next();
                    if (!(procInfo == null || procInfo.mProcInfo == null)) {
                        if (procInfo.mProcInfo.mProcessName != null) {
                            com.android.server.mtm.iaware.appmng.rule.ListItem item = (com.android.server.mtm.iaware.appmng.rule.ListItem) processList.get(procInfo.mProcInfo.mProcessName);
                            if (item != null && item.getPolicy() < block.mCleanType.ordinal()) {
                                blockInfoList.add(new com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo(block.mReason, block.mUid, procInfo, block.mCleanType.ordinal(), block.mDetailedReason));
                                iterator.remove();
                            }
                        }
                    }
                    iterator.remove();
                }
                if (block.mProcessList.isEmpty()) {
                    block.mProcessList = null;
                }
            }
        }
    }

    private static void handleBlockWithProcessList(com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo lastBlock, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> cleanBlock, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> protectedBlock, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> blockInfoList, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> processList, java.util.List<com.android.server.mtm.taskstatus.ProcessCleaner.CleanType> priority, boolean forMemory) {
        if (!(lastBlock == null || blockInfoList == null || cleanBlock == null || processList == null)) {
            if (protectedBlock != null) {
                if (com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.equals(lastBlock.mCleanType)) {
                    for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo block : blockInfoList) {
                        mergeBlockInfo(lastBlock, block, priority);
                    }
                    return;
                }
                boolean isChanged = mergeBlockWithProcessList(lastBlock, cleanBlock, protectedBlock, blockInfoList, processList, priority, forMemory);
                if (lastBlock.mProcessList != null) {
                    if (isChanged && lastBlock.mCleanType.ordinal() > com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.KILL_ALLOW_START.ordinal()) {
                        java.lang.String newReason = new java.lang.StringBuilder();
                        newReason.append(com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.POLICY.getDesc().toUpperCase());
                        newReason.append(":");
                        newReason.append(com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.KILL_ALLOW_START.ordinal());
                        newReason = newReason.toString();
                        lastBlock.mCleanType = com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.KILL_ALLOW_START;
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        java.lang.String str = lastBlock.mReason;
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append(com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.POLICY.getDesc().toUpperCase());
                        stringBuilder2.append(":\\d+");
                        stringBuilder.append(str.replaceFirst(stringBuilder2.toString(), newReason));
                        stringBuilder.append(",");
                        stringBuilder.append(android.app.mtm.iaware.appmng.AppMngConstant.CleanReason.POLICY_DEGRADE.getCode());
                        lastBlock.mReason = stringBuilder.toString();
                        lastBlock.mDetailedReason.put(com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.POLICY.getDesc(), java.lang.Integer.valueOf(com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.KILL_ALLOW_START.ordinal()));
                        setProperFlag(lastBlock, forMemory);
                        android.rms.iaware.AwareLog.d("CleanSource", lastBlock.toString());
                    }
                }
            }
        }
    }

    private static boolean mergeBlockWithProcessList(com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo lastBlock, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> cleanBlock, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> protectedBlock, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> blockInfoList, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> processList, java.util.List<com.android.server.mtm.taskstatus.ProcessCleaner.CleanType> priority, boolean forMemory) {
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> list;
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> list2;
        java.util.List<com.android.server.mtm.taskstatus.ProcessCleaner.CleanType> list3;
        com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo awareProcessBlockInfo = lastBlock;
        boolean z = forMemory;
        boolean isChanged = false;
        java.util.Iterator<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> iterator = blockInfoList.iterator();
        while (iterator.hasNext()) {
            com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo block = (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) iterator.next();
            com.android.server.mtm.iaware.appmng.AwareProcessInfo procInfo = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) block.mProcessList.get(0);
            com.android.server.mtm.iaware.appmng.rule.ListItem item = (com.android.server.mtm.iaware.appmng.rule.ListItem) processList.get(procInfo.mProcInfo.mProcessName);
            if (item == null || (awareProcessBlockInfo.mProcessList != null && item.getPolicy() >= awareProcessBlockInfo.mCleanType.ordinal())) {
                list = cleanBlock;
                list2 = protectedBlock;
                mergeBlockInfo(awareProcessBlockInfo, block, priority);
            } else {
                isChanged = true;
                android.util.ArrayMap<java.lang.String, java.lang.Integer> detailedReason = new android.util.ArrayMap();
                detailedReason.put(com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.POLICY.getDesc(), java.lang.Integer.valueOf(item.getPolicy()));
                detailedReason.put("spec", java.lang.Integer.valueOf(android.app.mtm.iaware.appmng.AppMngConstant.CleanReason.PROCESSLIST.ordinal()));
                com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo tempBlock = new com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo(android.app.mtm.iaware.appmng.AppMngConstant.CleanReason.PROCESSLIST.getCode(), procInfo.mProcInfo.mUid, procInfo, item.getPolicy(), detailedReason);
                tempBlock.mPackageName = procInfo.mProcInfo.mProcessName;
                setProperFlag(tempBlock, z);
                mergeBlockToList(tempBlock, cleanBlock, protectedBlock, z);
                android.rms.iaware.AwareLog.d("CleanSource", tempBlock.toString());
                list3 = priority;
            }
            iterator.remove();
        }
        list = cleanBlock;
        list2 = protectedBlock;
        android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> arrayMap = processList;
        list3 = priority;
        return isChanged;
    }

    private static void mergeBlockToList(com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo procBlock, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> cleanBlock, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> protectedBlock, boolean forMemory) {
        if (!(procBlock == null || cleanBlock == null)) {
            if (protectedBlock != null) {
                if (forMemory) {
                    if (com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.equals(procBlock.mCleanType)) {
                        protectedBlock.add(procBlock);
                    }
                }
                procBlock.mUpdateTime = android.os.SystemClock.elapsedRealtime();
                cleanBlock.add(procBlock);
            }
        }
    }

    private static void mergeBlockInfo(com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo lastBlock, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo curBlock, java.util.List<com.android.server.mtm.taskstatus.ProcessCleaner.CleanType> priority) {
        if (curBlock.mProcessList != null) {
            if (lastBlock.mProcessList == null) {
                lastBlock.mProcessList = new java.util.ArrayList();
            }
            if (curBlock.mProcessList != null) {
                lastBlock.mProcessList.addAll(curBlock.mProcessList);
                if (lastBlock.mMinAdj > curBlock.mMinAdj) {
                    lastBlock.mMinAdj = curBlock.mMinAdj;
                }
            }
            if (curBlock.mCleanType == null) {
                curBlock.mCleanType = com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE;
            }
            if (lastBlock.mCleanType == null) {
                lastBlock.mCleanType = com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE;
            }
            if (!lastBlock.mCleanType.equals(curBlock.mCleanType)) {
                if (priority != null) {
                    if (priority.indexOf(lastBlock.mCleanType) < priority.indexOf(curBlock.mCleanType)) {
                        lastBlock.mCleanType = curBlock.mCleanType;
                        lastBlock.mResCleanAllow = curBlock.mResCleanAllow;
                        lastBlock.mReason = curBlock.mReason;
                        lastBlock.mDetailedReason = curBlock.mDetailedReason;
                    }
                } else if (lastBlock.mCleanType.ordinal() > curBlock.mCleanType.ordinal()) {
                    lastBlock.mCleanType = curBlock.mCleanType;
                    lastBlock.mResCleanAllow = curBlock.mResCleanAllow;
                    lastBlock.mReason = curBlock.mReason;
                    lastBlock.mDetailedReason = curBlock.mDetailedReason;
                }
                if (lastBlock.mWeight < curBlock.mWeight) {
                    lastBlock.mWeight = curBlock.mWeight;
                }
            }
        }
    }

    protected static com.android.server.mtm.iaware.appmng.AwareProcessInfo getDeadAwareProcInfo(java.lang.String packageName, int userId) {
        int packageUid = 99999;
        try {
            android.content.pm.IPackageManager pm = android.content.pm.IPackageManager.Stub.asInterface(android.os.ServiceManager.getService("package"));
            if (pm != null) {
                packageUid = pm.getPackageUid(packageName, 8192, userId);
            }
        } catch (android.os.RemoteException e) {
            android.rms.iaware.AwareLog.e("CleanSource", "Failed to get PackageManagerService!");
        }
        com.android.server.mtm.taskstatus.ProcessInfo fakeProcInfo = new com.android.server.mtm.taskstatus.ProcessInfo(99999, packageUid);
        fakeProcInfo.mCurAdj = 10001;
        fakeProcInfo.mPackageName.add(packageName);
        return new com.android.server.mtm.iaware.appmng.AwareProcessInfo(99999, fakeProcInfo);
    }

    protected void uploadToBigData(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource source, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo info) {
        if (info != null) {
            com.android.server.rms.iaware.srms.AppCleanupDumpRadar.getInstance().updateCleanData(info.mPackageName, source, info.mDetailedReason);
        }
    }

    public void updateHistory(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource source, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo info) {
        if (info != null) {
            java.lang.StringBuilder history = new java.lang.StringBuilder();
            history.append("pkg = ");
            history.append(info.mPackageName);
            history.append(", uid = ");
            history.append(info.mUid);
            history.append(", reason = ");
            history.append(info.mReason);
            history.append(", type = ");
            history.append(info.mCleanType);
            com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().updateHistory(source, history.toString());
        }
    }
}
