package com.android.server.mtm.iaware.appmng.appclean;

public class CrashClean extends com.android.server.mtm.iaware.appmng.appclean.CleanSource {
    private static final java.lang.String TAG = "CrashClean";
    private int mCleanCount;
    private android.content.Context mContext;
    private int mLevel;
    private java.lang.String mPkgName;
    private int mUserId;

    public CrashClean(int userid, int level, java.lang.String pkgname, android.content.Context context) {
        this.mUserId = userid;
        this.mLevel = level;
        this.mPkgName = pkgname;
        this.mContext = context;
    }

    public void clean() {
        if (this.mPkgName != null) {
            java.util.ArrayList<com.android.server.mtm.iaware.appmng.AwareProcessInfo> proclist = com.android.server.mtm.iaware.appmng.AwareProcessInfo.getAwareProcInfosFromPackage(this.mPkgName, this.mUserId);
            if (proclist.isEmpty()) {
                proclist.add(com.android.server.mtm.iaware.appmng.appclean.CleanSource.getDeadAwareProcInfo(this.mPkgName, this.mUserId));
            }
            java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> info = com.android.server.mtm.iaware.appmng.appclean.CleanSource.mergeBlock(com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().decideAll(proclist, this.mLevel, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_CLEAN, android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.CRASH));
            if (info != null) {
                if (!info.isEmpty()) {
                    java.util.Map<java.lang.Integer, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo>> srcProcList = new android.util.ArrayMap();
                    srcProcList.put(java.lang.Integer.valueOf(2), info);
                    this.mCleanCount = com.android.server.mtm.iaware.appmng.AwareAppCleanerForCrash.getInstance(this.mContext).execute(new com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy(null, srcProcList), null);
                    for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo block : info) {
                        if (block != null) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("pkg = ");
                            stringBuilder.append(block.mPackageName);
                            stringBuilder.append(", uid = ");
                            stringBuilder.append(block.mUid);
                            stringBuilder.append(", policy = ");
                            stringBuilder.append(block.mCleanType);
                            stringBuilder.append(", reason = ");
                            stringBuilder.append(block.mReason);
                            android.rms.iaware.AwareLog.i("CrashClean", stringBuilder.toString());
                            updateHistory(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.CRASH, block);
                            uploadToBigData(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.CRASH, block);
                        }
                    }
                    return;
                }
            }
            android.rms.iaware.AwareLog.e("CrashClean", "info is empty");
        }
    }

    public int getCleanCount() {
        return this.mCleanCount;
    }
}
