package com.android.server.mtm.iaware.appmng.appclean;

public class HSMClean extends com.android.server.mtm.iaware.appmng.appclean.CleanSource {
    private static final boolean DEBUG = false;
    private static final int FORCESTOP_ORIDINARY = 2;
    private static final int KILL_ORIDINARY = 0;
    private static final int MAX_TASKS = 100;
    private static final int REMOVETASK_ORIDINARY = 1;
    private static final java.lang.String TAG = "HSMClean";
    private static final int TASK_ID_INVALID = -1;
    private static volatile java.lang.Boolean isExecutorThreadExist = java.lang.Boolean.valueOf(false);
    private static java.util.LinkedList<com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy> policyQueue = new java.util.LinkedList();
    private android.app.mtm.iaware.appmng.IAppCleanCallback mCallback;
    private android.content.Context mContext;
    private final com.android.server.am.HwActivityManagerService mHwAMS = com.android.server.am.HwActivityManagerService.self();
    private android.app.mtm.iaware.appmng.AppCleanParam mParam;
    private com.android.server.mtm.iaware.appmng.appstart.datamgr.SystemUnremoveUidCache mSystemUnremoveUidCache;

    public HSMClean(android.app.mtm.iaware.appmng.AppCleanParam param, android.app.mtm.iaware.appmng.IAppCleanCallback callback, android.content.Context context) {
        this.mParam = param;
        this.mContext = context;
        this.mCallback = callback;
        this.mSystemUnremoveUidCache = com.android.server.mtm.iaware.appmng.appstart.datamgr.SystemUnremoveUidCache.getInstance(context);
    }

    public void clean() {
        if (this.mParam == null) {
            android.rms.iaware.AwareLog.e("HSMClean", "null == mParam");
            return;
        }
        switch (this.mParam.getAction()) {
            case 0:
                executeClean();
                break;
            case 1:
                getCleanList();
                break;
            default:
                break;
        }
    }

    private void executeClean() {
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> info = decideEnhanceClean(buildAwareProcBlockInfoList());
        java.util.Map<java.lang.Integer, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo>> srcProcList = new android.util.ArrayMap();
        srcProcList.put(java.lang.Integer.valueOf(2), info);
        com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy policy = new com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy(this.mContext, srcProcList);
        synchronized (com.android.server.mtm.iaware.appmng.appclean.HSMClean.class) {
            policyQueue.add(policy);
            if (!isExecutorThreadExist.booleanValue()) {
                setExecutorThreadExist(java.lang.Boolean.valueOf(true));
                new java.lang.Thread(new java.lang.Runnable() {
                    public void run() {
                        for (com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy policy = com.android.server.mtm.iaware.appmng.appclean.HSMClean.getNextPolicy(); policy != null; policy = com.android.server.mtm.iaware.appmng.appclean.HSMClean.getNextPolicy()) {
                            int killedNumber = com.android.server.mtm.iaware.appmng.AwareAppCleanerForSM.getInstance(com.android.server.mtm.iaware.appmng.appclean.HSMClean.this.mContext).execute(policy, null);
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("appClean executor killed ");
                            stringBuilder.append(killedNumber);
                            stringBuilder.append(" processes for SM!");
                            android.rms.iaware.AwareLog.i("HSMClean", stringBuilder.toString());
                        }
                    }
                }, "AppCleanExecutor").start();
            }
        }
        int cnt = 0;
        for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo infoItem : info) {
            if (!(infoItem.mCleanType == com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE || infoItem.mProcessList == null)) {
                cnt += infoItem.mProcessList.size();
            }
        }
        callbackAfterClean(policy, cnt);
    }

    private static com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy getNextPolicy() {
        com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy policy = null;
        synchronized (com.android.server.mtm.iaware.appmng.appclean.HSMClean.class) {
            if (policyQueue.size() > 0) {
                policy = (com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy) policyQueue.remove();
            } else {
                setExecutorThreadExist(java.lang.Boolean.valueOf(false));
            }
        }
        return policy;
    }

    private static void setExecutorThreadExist(java.lang.Boolean isExist) {
        isExecutorThreadExist = isExist;
    }

    private java.util.List<android.app.ActivityManager.RecentTaskInfo> getRecentTasks() {
        int currentUserId = com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getCurUserId();
        java.util.List<android.app.ActivityManager.RecentTaskInfo> emptyList = new java.util.ArrayList();
        if (this.mHwAMS != null) {
            return this.mHwAMS.getRecentTasks(100, 2, currentUserId).getList();
        }
        android.rms.iaware.AwareLog.e("HSMClean", "Failed to get HwActivityManagerService");
        return emptyList;
    }

    private void updateTaskId(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> allAwareProcNeedProcess) {
        if (allAwareProcNeedProcess == null) {
            android.rms.iaware.AwareLog.e("HSMClean", "updateTaskId got null parameters!");
            return;
        }
        java.util.List<android.app.ActivityManager.RecentTaskInfo> recentTasks = getRecentTasks();
        int currentUserId = com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getCurUserId();
        for (com.android.server.mtm.iaware.appmng.AwareProcessInfo item : allAwareProcNeedProcess) {
            if (item != null) {
                if (item.mProcInfo != null) {
                    java.util.ArrayList<java.lang.String> packageNames = item.mProcInfo.mPackageName;
                    if (packageNames != null) {
                        if (!packageNames.isEmpty()) {
                            if (item.mTaskId == -1) {
                                java.lang.String destPackageName = (java.lang.String) packageNames.get(0);
                                if (android.os.UserHandle.getUserId(item.mProcInfo.mUid) == currentUserId) {
                                    if (destPackageName != null) {
                                        for (android.app.ActivityManager.RecentTaskInfo t : recentTasks) {
                                            android.content.Intent intent = new android.content.Intent(t.baseIntent);
                                            if (t.origActivity != null) {
                                                intent.setComponent(t.origActivity);
                                            }
                                            if (intent.getComponent() != null) {
                                                if (destPackageName.equals(intent.getComponent().getPackageName())) {
                                                    item.mTaskId = t.persistentId;
                                                    break;
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    private void callbackAfterClean(com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy policy, int killedCount) {
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> awareProcBlockList = policy.getAllowStopProcBlockList();
        if (awareProcBlockList == null) {
            android.rms.iaware.AwareLog.e("HSMClean", "AwareAppMngSortPolicy is null!");
            return;
        }
        java.util.List<java.lang.String> pkgList = new java.util.ArrayList();
        java.util.List<java.lang.Integer> userIdList = new java.util.ArrayList();
        java.util.List<java.lang.Integer> cleanTypeList = new java.util.ArrayList();
        for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo item : awareProcBlockList) {
            if (item != null) {
                if (item.mCleanType != com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE) {
                    pkgList.add(item.mPackageName);
                    userIdList.add(java.lang.Integer.valueOf(android.os.UserHandle.getUserId(item.mUid)));
                    cleanTypeList.add(java.lang.Integer.valueOf(item.mCleanType.ordinal()));
                }
            }
        }
        android.app.mtm.iaware.appmng.AppCleanParam result = new android.app.mtm.iaware.appmng.AppCleanParam.Builder(this.mParam.getSource()).killedCount(killedCount).stringList(pkgList).intList(userIdList).intList2(cleanTypeList).build();
        if (this.mCallback != null) {
            try {
                this.mCallback.onCleanFinish(result);
            } catch (android.os.RemoteException e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("RemoteExcption e = ");
                stringBuilder.append(e.toString());
                android.rms.iaware.AwareLog.e("HSMClean", stringBuilder.toString());
            }
        }
        for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo block : awareProcBlockList) {
            if (block != null) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("pkg = ");
                stringBuilder2.append(block.mPackageName);
                stringBuilder2.append(", uid = ");
                stringBuilder2.append(block.mUid);
                stringBuilder2.append(", policy = ");
                stringBuilder2.append(block.mCleanType);
                stringBuilder2.append(", reason = ");
                stringBuilder2.append(block.mReason);
                android.rms.iaware.AwareLog.i("HSMClean", stringBuilder2.toString());
                if (block.mDetailedReason == null) {
                    block.mDetailedReason = new android.util.ArrayMap();
                }
                block.mDetailedReason.put("policy", java.lang.Integer.valueOf(block.mCleanType.ordinal()));
                uploadToBigData(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.SYSTEM_MANAGER, block);
            }
        }
    }

    private java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> buildAwareProcBlockInfoList() {
        java.util.List<android.app.mtm.iaware.appmng.AppCleanParam.AppCleanInfo> appCleanInfoList = this.mParam.getAppCleanInfoList();
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> info = new java.util.ArrayList();
        if (appCleanInfoList != null) {
            if (!appCleanInfoList.isEmpty()) {
                java.util.ArrayList<com.android.server.mtm.iaware.appmng.AwareProcessInfo> allProcList = new java.util.ArrayList();
                boolean needUpdateTaskId = false;
                java.lang.StringBuilder sb = new java.lang.StringBuilder("appCleanInfos: ");
                for (android.app.mtm.iaware.appmng.AppCleanParam.AppCleanInfo appCleanInfo : appCleanInfoList) {
                    if (appCleanInfo != null) {
                        java.util.ArrayList<com.android.server.mtm.iaware.appmng.AwareProcessInfo> proclist = com.android.server.mtm.iaware.appmng.AwareProcessInfo.getAwareProcInfosFromPackage(appCleanInfo.getPkgName(), appCleanInfo.getUserId().intValue());
                        if (proclist.isEmpty()) {
                            proclist.add(com.android.server.mtm.iaware.appmng.appclean.CleanSource.getDeadAwareProcInfo(appCleanInfo.getPkgName(), appCleanInfo.getUserId().intValue()));
                        }
                        if (((com.android.server.mtm.iaware.appmng.AwareProcessInfo) proclist.get(0)).mProcInfo != null) {
                            allProcList.addAll(proclist);
                            com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo item = new com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo(((com.android.server.mtm.iaware.appmng.AwareProcessInfo) proclist.get(0)).mProcInfo.mUid);
                            int cleanType = appCleanInfo.getCleanType().intValue();
                            if (cleanType == 0) {
                                item.mCleanType = com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.KILL_ALLOW_START;
                            } else if (1 == cleanType) {
                                item.mCleanType = com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.REMOVETASK;
                                if (appCleanInfo.getTaskId().intValue() == -1) {
                                    needUpdateTaskId = true;
                                }
                            } else if (2 == cleanType) {
                                item.mCleanType = com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.FORCESTOP;
                            } else {
                                item.mCleanType = com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE;
                                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("invalid clean type, don't clean. cleanType: ");
                                stringBuilder.append(cleanType);
                                android.rms.iaware.AwareLog.e("HSMClean", stringBuilder.toString());
                            }
                            item.mPackageName = appCleanInfo.getPkgName();
                            int size = proclist.size();
                            for (int i = 0; i < size; i++) {
                                com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) proclist.get(i);
                                if (1 == cleanType) {
                                    awareProcInfo.mTaskId = appCleanInfo.getTaskId().intValue();
                                }
                                item.add(awareProcInfo);
                            }
                            info.add(item);
                            sb.append(appCleanInfo.getPkgName());
                            sb.append(",");
                            sb.append(appCleanInfo.getUserId());
                            sb.append(",");
                            sb.append(cleanType);
                            sb.append(",");
                            sb.append(appCleanInfo.getTaskId());
                            sb.append(";");
                        }
                    }
                }
                android.rms.iaware.AwareLog.i("HSMClean", sb.toString());
                if (needUpdateTaskId) {
                    updateTaskId(allProcList);
                }
                return info;
            }
        }
        android.rms.iaware.AwareLog.e("HSMClean", "got empty AppCleanInfoList for buildAwareProcBlockInfoList!");
        return info;
    }

    private java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> decideEnhanceClean(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> blockInfoList) {
        java.util.ArrayList<com.android.server.mtm.iaware.appmng.AwareProcessInfo> processList = new java.util.ArrayList();
        java.util.ArrayList<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> resultList = new java.util.ArrayList();
        for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo blockInfo : blockInfoList) {
            if (blockInfo.mCleanType == com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.REMOVETASK && shouldEnhance(blockInfo.mUid, blockInfo.mPackageName)) {
                processList.addAll(blockInfo.mProcessList);
            } else {
                resultList.add(blockInfo);
            }
        }
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> decisionBlockList = com.android.server.mtm.iaware.appmng.appclean.CleanSource.mergeBlock(com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().decideAll(processList, 0, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_CLEAN, android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.SYSTEM_MANAGER));
        if (decisionBlockList != null) {
            for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo blockInfo2 : decisionBlockList) {
                if (blockInfo2 != null) {
                    if (blockInfo2.mCleanType != com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.FORCESTOP_REMOVETASK) {
                        blockInfo2.mCleanType = com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.REMOVETASK;
                    }
                }
            }
            resultList.addAll(decisionBlockList);
        }
        return resultList;
    }

    private boolean shouldEnhance(int uid, java.lang.String pkgName) {
        if (com.android.server.rms.iaware.appmng.AppMngConfig.getAbroadFlag() && android.rms.iaware.AppTypeRecoManager.getInstance().getAppWhereFrom(pkgName) != 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("shouldNotEnhance, abroad & not china top 3000 app, do not enhance: ");
            stringBuilder.append(pkgName);
            android.rms.iaware.AwareLog.i("HSMClean", stringBuilder.toString());
            return false;
        } else if (inAppStartBaseLine(uid, pkgName)) {
            return false;
        } else {
            if (com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.self() != null) {
                android.app.mtm.iaware.HwAppStartupSetting setting = com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.self().getAppStartupSetting(pkgName);
                if (setting != null && setting.getModifier(0) == 2 && setting.getPolicy(3) == 1) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("shouldNotEnhance cust app and allow background: ");
                    stringBuilder2.append(pkgName);
                    android.rms.iaware.AwareLog.i("HSMClean", stringBuilder2.toString());
                    return false;
                }
            }
            if (this.mHwAMS.isPackageRunningOnPCMode(pkgName, uid)) {
                return false;
            }
            return true;
        }
    }

    private boolean inAppStartBaseLine(int uid, java.lang.String pkgName) {
        if (isSystemUnRemoveApp(uid)) {
            return true;
        }
        boolean allowSR = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getAppStartPolicy(pkgName, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.SCHEDULE_RESTART) != 0;
        boolean allowAlarm = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getAppStartPolicy(pkgName, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.ALARM) != 0;
        boolean isGmsapp = com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().isGmsApp(pkgName);
        if (!(allowSR || allowAlarm)) {
            if (!isGmsapp) {
                return false;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("inAppStartBaseLine: ");
        stringBuilder.append(pkgName);
        stringBuilder.append(", allowSR: ");
        stringBuilder.append(allowSR);
        stringBuilder.append(", allowAlarm: ");
        stringBuilder.append(allowAlarm);
        stringBuilder.append(",isGmsApp: ");
        stringBuilder.append(isGmsapp);
        android.rms.iaware.AwareLog.i("HSMClean", stringBuilder.toString());
        return true;
    }

    private boolean isSystemUnRemoveApp(int uid) {
        uid = android.os.UserHandle.getAppId(uid);
        if (uid > 0 && uid < 10000) {
            return true;
        }
        if (this.mSystemUnremoveUidCache == null || !this.mSystemUnremoveUidCache.checkUidExist(uid)) {
            return false;
        }
        return true;
    }

    private void getCleanList() {
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> allAwareProcNeedProcess = com.android.server.mtm.utils.AppStatusUtils.getInstance().getAllProcNeedSort();
        if (allAwareProcNeedProcess != null) {
            if (!allAwareProcNeedProcess.isEmpty()) {
                java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> info = com.android.server.mtm.iaware.appmng.appclean.CleanSource.mergeBlock(com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().decideAll(allAwareProcNeedProcess, 1, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_CLEAN, android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.SYSTEM_MANAGER));
                if (info != null) {
                    if (!info.isEmpty()) {
                        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> filteredAwareProcBlockInfoList = new java.util.ArrayList();
                        for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo infoItem : info) {
                            if (infoItem != null) {
                                if (infoItem.mCleanType == com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE) {
                                    filteredAwareProcBlockInfoList.add(infoItem);
                                } else if (inAppStartBaseLine(infoItem.mUid, infoItem.mPackageName)) {
                                    filteredAwareProcBlockInfoList.add(infoItem);
                                }
                            }
                        }
                        info.removeAll(filteredAwareProcBlockInfoList);
                        java.util.Map<java.lang.Integer, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo>> srcProcList = new android.util.ArrayMap();
                        srcProcList.put(java.lang.Integer.valueOf(2), info);
                        callbackBeforeClean(new com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy(this.mContext, srcProcList));
                        return;
                    }
                }
                android.rms.iaware.AwareLog.e("HSMClean", "decideAll failed!");
                return;
            }
        }
        android.rms.iaware.AwareLog.e("HSMClean", "getAllProcNeedSort failed!");
    }

    private void callbackBeforeClean(com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy policy) {
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> awareProcBlockList = policy.getAllowStopProcBlockList();
        if (awareProcBlockList == null) {
            android.rms.iaware.AwareLog.e("HSMClean", "AwareAppMngSortPolicy is null!");
            return;
        }
        java.util.List<java.lang.String> pkgList = new java.util.ArrayList();
        java.util.List<java.lang.Integer> userIdList = new java.util.ArrayList();
        java.util.List<java.lang.Integer> cleanTypeList = new java.util.ArrayList();
        for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo item : awareProcBlockList) {
            if (item != null) {
                pkgList.add(item.mPackageName);
                userIdList.add(java.lang.Integer.valueOf(android.os.UserHandle.getUserId(item.mUid)));
                cleanTypeList.add(java.lang.Integer.valueOf(item.mCleanType.ordinal()));
            }
        }
        android.app.mtm.iaware.appmng.AppCleanParam result = new android.app.mtm.iaware.appmng.AppCleanParam.Builder(this.mParam.getSource()).stringList(pkgList).intList(userIdList).intList2(cleanTypeList).build();
        if (this.mCallback != null) {
            try {
                this.mCallback.onCleanFinish(result);
            } catch (android.os.RemoteException e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("RemoteExcption e = ");
                stringBuilder.append(e.toString());
                android.rms.iaware.AwareLog.e("HSMClean", stringBuilder.toString());
            }
        }
        for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo block : awareProcBlockList) {
            if (block != null) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("pkg = ");
                stringBuilder2.append(block.mPackageName);
                stringBuilder2.append(", uid = ");
                stringBuilder2.append(block.mUid);
                stringBuilder2.append(", policy = ");
                stringBuilder2.append(block.mCleanType);
                stringBuilder2.append(", reason = ");
                stringBuilder2.append(block.mReason);
                android.rms.iaware.AwareLog.i("HSMClean", stringBuilder2.toString());
                updateHistory(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.SYSTEM_MANAGER, block);
                uploadToBigData(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.SYSTEM_MANAGER, block);
            }
        }
    }
}
