package com.android.server.mtm.iaware.appmng.appclean;

public class PGClean extends com.android.server.mtm.iaware.appmng.appclean.CleanSource {
    private static final java.lang.String TAG = "PGClean";
    private android.app.mtm.iaware.appmng.IAppCleanCallback mCallback;
    private android.content.Context mContext;
    private android.app.mtm.iaware.appmng.AppCleanParam mParam;

    public PGClean(android.app.mtm.iaware.appmng.AppCleanParam param, android.app.mtm.iaware.appmng.IAppCleanCallback callback, android.content.Context context) {
        this.mParam = param;
        this.mContext = context;
        this.mCallback = callback;
    }

    public void clean() {
        if (this.mParam != null) {
            java.util.List<java.lang.String> pkgList = this.mParam.getStringList();
            java.util.List<java.lang.Integer> intList = this.mParam.getIntList();
            if (!pkgList.isEmpty()) {
                if (pkgList.size() != intList.size()) {
                    android.rms.iaware.AwareLog.e("PGClean", "size of pkglist should same to intlist");
                    return;
                }
                java.util.ArrayList<com.android.server.mtm.iaware.appmng.AwareProcessInfo> proclist = new java.util.ArrayList();
                int listSize = pkgList.size();
                for (int i = 0; i < listSize; i++) {
                    java.lang.String packageName = (java.lang.String) pkgList.get(i);
                    int userId = ((java.lang.Integer) intList.get(i)).intValue();
                    java.util.ArrayList<com.android.server.mtm.iaware.appmng.AwareProcessInfo> procInfo = com.android.server.mtm.iaware.appmng.AwareProcessInfo.getAwareProcInfosFromPackage(packageName, userId);
                    if (procInfo.isEmpty()) {
                        proclist.add(com.android.server.mtm.iaware.appmng.appclean.CleanSource.getDeadAwareProcInfo(packageName, userId));
                    } else {
                        proclist.addAll(procInfo);
                    }
                }
                java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> info = com.android.server.mtm.iaware.appmng.appclean.CleanSource.mergeBlock(com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().decideAll(proclist, this.mParam.getLevel(), android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_CLEAN, android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.POWER_GENIE));
                if (info != null) {
                    if (!info.isEmpty()) {
                        java.util.Map<java.lang.Integer, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo>> srcProcList = new android.util.ArrayMap();
                        srcProcList.put(java.lang.Integer.valueOf(2), info);
                        int cleanCount = com.android.server.mtm.iaware.appmng.AwareAppCleanerForPG.getInstance(this.mContext).execute(new com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy(null, srcProcList), null);
                        android.app.mtm.iaware.appmng.AppCleanParam result = new android.app.mtm.iaware.appmng.AppCleanParam.Builder(this.mParam.getSource()).timeStamp(this.mParam.getTimeStamp()).killedCount(cleanCount).build();
                        if (this.mCallback != null) {
                            try {
                                this.mCallback.onCleanFinish(result);
                            } catch (android.os.RemoteException e) {
                                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("RemoteExcption e = ");
                                stringBuilder.append(e);
                                android.rms.iaware.AwareLog.e("PGClean", stringBuilder.toString());
                            }
                        }
                        for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo block : info) {
                            if (block != null) {
                                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append("cleanCount = ");
                                stringBuilder2.append(cleanCount);
                                stringBuilder2.append(", pkg = ");
                                stringBuilder2.append(block.mPackageName);
                                stringBuilder2.append(", uid = ");
                                stringBuilder2.append(block.mUid);
                                stringBuilder2.append(", policy = ");
                                stringBuilder2.append(block.mCleanType);
                                stringBuilder2.append(", reason = ");
                                stringBuilder2.append(block.mReason);
                                android.rms.iaware.AwareLog.i("PGClean", stringBuilder2.toString());
                                if (block.mDetailedReason == null) {
                                    android.rms.iaware.AwareLog.e("PGClean", "detailedReason is null, not upload to bigData");
                                } else {
                                    block.mDetailedReason.put("level", java.lang.Integer.valueOf(this.mParam.getLevel()));
                                    updateHistory(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.POWER_GENIE, block);
                                    uploadToBigData(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.POWER_GENIE, block);
                                }
                            }
                        }
                        return;
                    }
                }
                android.rms.iaware.AwareLog.e("PGClean", "info is empty");
            }
        }
    }
}
