package com.android.server.mtm.iaware.appmng.appclean;

public class SmartClean extends com.android.server.mtm.iaware.appmng.appclean.CleanSource {
    private static final java.lang.String TAG = "SmartClean";
    private android.content.Context mContext;

    public SmartClean(android.content.Context context) {
        this.mContext = context;
    }

    public void clean() {
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> allAwareProcNeedProcess = com.android.server.mtm.utils.AppStatusUtils.getInstance().getAllProcNeedSort();
        if (allAwareProcNeedProcess != null) {
            if (!allAwareProcNeedProcess.isEmpty()) {
                java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> rawInfo = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().decideAll(allAwareProcNeedProcess, 0, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_CLEAN, android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.SMART_CLEAN);
                java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> needClean = getSmartCleanList(rawInfo);
                if (!(needClean == null || needClean.isEmpty())) {
                    java.util.Map<java.lang.Integer, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo>> srcProcList = new android.util.ArrayMap();
                    srcProcList.put(java.lang.Integer.valueOf(2), needClean);
                    com.android.server.mtm.iaware.appmng.AwareAppCleanerForSC.getInstance(this.mContext).execute(new com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy(null, srcProcList), null);
                    rawInfo.addAll(needClean);
                }
                for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo block : rawInfo) {
                    if (!(block == null || com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.equals(block.mCleanType))) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("pkg = ");
                        stringBuilder.append(block.mPackageName);
                        stringBuilder.append(", uid = ");
                        stringBuilder.append(block.mUid);
                        stringBuilder.append(", policy = ");
                        stringBuilder.append(block.mCleanType);
                        stringBuilder.append(", reason = ");
                        stringBuilder.append(block.mReason);
                        android.rms.iaware.AwareLog.i("SmartClean", stringBuilder.toString());
                    }
                    updateHistory(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.SMART_CLEAN, block);
                    uploadToBigData(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.SMART_CLEAN, block);
                }
                return;
            }
        }
        android.rms.iaware.AwareLog.e("SmartClean", "getAllProcNeedSort failed!");
    }

    public java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> getSmartCleanList(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> rawInfo) {
        if (rawInfo == null) {
            java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> allAwareProcNeedProcess = com.android.server.mtm.utils.AppStatusUtils.getInstance().getAllProcNeedSort();
            if (allAwareProcNeedProcess != null) {
                if (!allAwareProcNeedProcess.isEmpty()) {
                    rawInfo = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().decideAll(allAwareProcNeedProcess, 0, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_CLEAN, android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.SMART_CLEAN);
                }
            }
            android.rms.iaware.AwareLog.e("SmartClean", "getAllProcNeedSort failed!");
            return null;
        }
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> needClean = com.android.server.mtm.iaware.appmng.appclean.CleanSource.mergeBlockForMemory(rawInfo, com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getProcessList(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_CLEAN, android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.SMART_CLEAN));
        if (needClean != null) {
            if (!needClean.isEmpty()) {
                removeNoUiBlock(rawInfo, needClean);
                return needClean;
            }
        }
        android.rms.iaware.AwareLog.e("SmartClean", "no available process info or no process need to clean");
        return null;
    }

    private void removeNoUiBlock(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> rawInfo, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> needClean) {
        com.android.server.rms.algorithm.AwareUserHabit habit = com.android.server.rms.algorithm.AwareUserHabit.getInstance();
        if (habit == null) {
            android.rms.iaware.AwareLog.e("SmartClean", "AwareUserHabit is null");
            return;
        }
        java.util.LinkedHashMap<java.lang.String, java.lang.Long> lru = habit.getLruCache();
        if (lru != null) {
            java.util.Iterator<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> iter = needClean.iterator();
            while (iter.hasNext()) {
                com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo block = (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) iter.next();
                if (block != null) {
                    if (((java.lang.Long) lru.get(block.mPackageName)) == null) {
                        iter.remove();
                        block.mCleanType = com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE;
                        block.mReason = android.app.mtm.iaware.appmng.AppMngConstant.CleanReason.INVISIBLE.getCode();
                        android.util.ArrayMap<java.lang.String, java.lang.Integer> detailedReason = new android.util.ArrayMap();
                        detailedReason.put(com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.POLICY.getDesc(), java.lang.Integer.valueOf(com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.ordinal()));
                        detailedReason.put("spec", java.lang.Integer.valueOf(android.app.mtm.iaware.appmng.AppMngConstant.CleanReason.INVISIBLE.ordinal()));
                        block.mDetailedReason = detailedReason;
                        rawInfo.add(block);
                    }
                }
            }
        }
    }
}
