package com.android.server.mtm.iaware.appmng.appclean;

public class ThermalClean extends com.android.server.mtm.iaware.appmng.appclean.CleanSource {
    private static final java.lang.String TAG = "ThermalClean";
    private android.app.mtm.iaware.appmng.IAppCleanCallback mCallback;
    private android.content.Context mContext;
    private android.app.mtm.iaware.appmng.AppCleanParam mParam;

    public ThermalClean(android.app.mtm.iaware.appmng.AppCleanParam param, android.app.mtm.iaware.appmng.IAppCleanCallback callback, android.content.Context context) {
        this.mParam = param;
        this.mContext = context;
        this.mCallback = callback;
    }

    public void clean() {
        if (this.mParam != null) {
            java.util.List<java.lang.String> pkgList = this.mParam.getStringList();
            java.util.List<java.lang.Integer> userIdList = this.mParam.getIntList();
            if (!pkgList.isEmpty()) {
                if (pkgList.size() != userIdList.size()) {
                    android.rms.iaware.AwareLog.e("ThermalClean", "size of pkglist should same to userIdlist");
                    return;
                }
                java.util.ArrayList<com.android.server.mtm.iaware.appmng.AwareProcessInfo> proclist = new java.util.ArrayList();
                int size = pkgList.size();
                for (int i = 0; i < size; i++) {
                    java.lang.String packageName = (java.lang.String) pkgList.get(i);
                    int userId = ((java.lang.Integer) userIdList.get(i)).intValue();
                    java.util.ArrayList<com.android.server.mtm.iaware.appmng.AwareProcessInfo> procInfo = com.android.server.mtm.iaware.appmng.AwareProcessInfo.getAwareProcInfosFromPackage(packageName, userId);
                    if (procInfo.isEmpty()) {
                        proclist.add(com.android.server.mtm.iaware.appmng.appclean.CleanSource.getDeadAwareProcInfo(packageName, userId));
                    } else {
                        proclist.addAll(procInfo);
                    }
                }
                java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> policy = com.android.server.mtm.iaware.appmng.appclean.CleanSource.mergeBlock(com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().decideAll(proclist, this.mParam.getLevel(), android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_CLEAN, android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.THERMAL));
                if (policy != null) {
                    if (!policy.isEmpty()) {
                        java.lang.StringBuilder stringBuilder;
                        size = 0;
                        for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo block : policy) {
                            if (block != null) {
                                size += com.android.server.mtm.taskstatus.ProcessCleaner.getInstance(this.mContext).uniformClean(block, null, "Thermal");
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("pkg = ");
                                stringBuilder.append(block.mPackageName);
                                stringBuilder.append(", uid = ");
                                stringBuilder.append(block.mUid);
                                stringBuilder.append(", policy = ");
                                stringBuilder.append(block.mCleanType);
                                stringBuilder.append(", reason = ");
                                stringBuilder.append(block.mReason);
                                android.rms.iaware.AwareLog.i("ThermalClean", stringBuilder.toString());
                                updateHistory(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.THERMAL, block);
                                uploadToBigData(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.THERMAL, block);
                            }
                        }
                        android.app.mtm.iaware.appmng.AppCleanParam result = new android.app.mtm.iaware.appmng.AppCleanParam.Builder(this.mParam.getSource()).timeStamp(this.mParam.getTimeStamp()).killedCount(size).build();
                        if (this.mCallback != null) {
                            try {
                                this.mCallback.onCleanFinish(result);
                            } catch (android.os.RemoteException e) {
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("RemoteExcption e = ");
                                stringBuilder.append(e);
                                android.rms.iaware.AwareLog.e("ThermalClean", stringBuilder.toString());
                            }
                        }
                        return;
                    }
                }
                android.rms.iaware.AwareLog.e("ThermalClean", "policy is empty");
            }
        }
    }
}
