package com.android.server.mtm.iaware.appmng.appfreeze;

public class AwareAppDefaultFreeze extends com.android.server.mtm.iaware.appmng.appclean.CleanSource {
    private static int DEFAULT_CAPACITY = 10;
    private static final java.lang.String FREEZE_BAD = "app_freeze_bad";
    private static final long INTERVAL_TIME = 60000;
    private static final int MAX_PID_CNT = 20;
    private static final java.lang.String REASON_DUMP_FREEZE = "Only for dump test";
    private static final java.lang.String TAG = "mtm.AwareAppDefaultFreeze";
    private static com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze mAwareAppDefaultFreeze = null;
    private static java.util.List<com.android.server.mtm.taskstatus.ProcessCleaner.CleanType> mPriority;
    private android.content.Context mContext;
    private java.util.ArrayList<com.huawei.pgmng.plug.AppInfo> mFreezeAppInfos = new java.util.ArrayList();
    private final com.android.internal.os.KernelUidCpuTimeReader mKernelUidCpuTimeReader = new com.android.internal.os.KernelUidCpuTimeReader();
    private long mLastSampleTime = android.os.SystemClock.uptimeMillis();
    private java.util.Set<java.lang.String> mSysUnremoveBadPkgs = new android.util.ArraySet();
    private com.android.server.mtm.iaware.appmng.appstart.datamgr.SystemUnremoveUidCache mSystemUnremoveUidCache;
    private com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.UidCpuTimeReaderCallback mUidCpuTimeReaderCallback = new com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.UidCpuTimeReaderCallback();
    private com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.UidLoadComparator mUidLoadComparator = new com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.UidLoadComparator();
    private android.util.SparseArray<com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.UidLoadPair> mUidLoadMap = new android.util.SparseArray();

    private static class ProcessInfoComparator implements java.util.Comparator<com.android.server.mtm.taskstatus.ProcessInfo>, java.io.Serializable {
        private static final long serialVersionUID = 1;

        private ProcessInfoComparator() {
        }

        public int compare(com.android.server.mtm.taskstatus.ProcessInfo arg0, com.android.server.mtm.taskstatus.ProcessInfo arg1) {
            int i = -1;
            if (arg0 == null) {
                return arg1 == null ? 0 : -1;
            } else {
                if (arg1 == null) {
                    return 1;
                }
                if (arg0.mUid >= arg1.mUid) {
                    i = arg0.mUid == arg1.mUid ? 0 : 1;
                }
                return i;
            }
        }
    }

    private class UidCpuTimeReaderCallback implements com.android.internal.os.KernelUidCpuTimeReader.Callback {
        private UidCpuTimeReaderCallback() {
        }

        public void onUidCpuTime(int uid, long userTimeUs, long systemTimeUs) {
            com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.UidLoadPair pair = (com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.UidLoadPair) com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.this.mUidLoadMap.get(uid);
            if (pair != null) {
                pair.runningTime = userTimeUs + systemTimeUs;
            }
        }
    }

    private static class UidLoadComparator implements java.util.Comparator<com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.UidLoadPair>, java.io.Serializable {
        private static final long serialVersionUID = 1;

        private UidLoadComparator() {
        }

        public int compare(com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.UidLoadPair lhs, com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.UidLoadPair rhs) {
            return java.lang.Long.compare(rhs.runningTime, lhs.runningTime);
        }
    }

    private static class UidLoadPair {
        public com.huawei.pgmng.plug.AppInfo info;
        public long runningTime = 0;

        public UidLoadPair(com.huawei.pgmng.plug.AppInfo info) {
            this.info = info;
        }
    }

    public static synchronized com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze getInstance() {
        com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze awareAppDefaultFreeze;
        synchronized (com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.class) {
            if (mAwareAppDefaultFreeze == null) {
                mAwareAppDefaultFreeze = new com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze();
                setPriority();
            }
            awareAppDefaultFreeze = mAwareAppDefaultFreeze;
        }
        return awareAppDefaultFreeze;
    }

    private AwareAppDefaultFreeze() {
    }

    public void init(android.content.Context ctx) {
        this.mContext = ctx;
        this.mSystemUnremoveUidCache = com.android.server.mtm.iaware.appmng.appstart.datamgr.SystemUnremoveUidCache.getInstance(ctx);
        initSystemUnremoveBadApp();
    }

    public void deInitDefaultFree() {
        this.mContext = null;
        this.mSysUnremoveBadPkgs.clear();
    }

    private void initSystemUnremoveBadApp() {
        java.util.ArrayList<java.lang.String> badList = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getRawConfig(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_FREEZE.getDesc(), "app_freeze_bad");
        if (badList != null) {
            this.mSysUnremoveBadPkgs.clear();
            this.mSysUnremoveBadPkgs.addAll(badList);
        }
    }

    public void doFrozen(java.lang.String pkgName, android.app.mtm.iaware.appmng.AppMngConstant.AppFreezeSource config, int duration, java.lang.String reason) {
        java.lang.Throwable th;
        int i;
        java.lang.String str;
        java.lang.String str2 = pkgName;
        if (str2 == null) {
            android.rms.iaware.AwareLog.w("mtm.AwareAppDefaultFreeze", "The input params is invalid");
            return;
        }
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> awareProcessBlockInfos = getAllFreezeApp(config);
        if (awareProcessBlockInfos != null) {
            if (!awareProcessBlockInfos.isEmpty()) {
                int pidCnt = 0;
                this.mUidLoadMap.clear();
                synchronized (this.mFreezeAppInfos) {
                    try {
                        this.mFreezeAppInfos.clear();
                        java.lang.StringBuffer sb = new java.lang.StringBuffer();
                        for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo processInfo : awareProcessBlockInfos) {
                            if (processInfo.mCleanType == com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.FREEZE_NOMAL || processInfo.mCleanType == com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.FREEZE_UP_DOWNLOAD) {
                                if (str2.equals(processInfo.mPackageName) && android.os.UserHandle.getUserId(processInfo.mUid) == com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getCurUserId()) {
                                    str2 = pkgName;
                                } else {
                                    java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> infos = processInfo.mProcessList;
                                    if (infos != null) {
                                        if (infos.size() != 0) {
                                            com.huawei.pgmng.plug.AppInfo appInfo = new com.huawei.pgmng.plug.AppInfo(processInfo.mUid, processInfo.mPackageName);
                                            java.util.List<java.lang.Integer> pids = new java.util.ArrayList(infos.size());
                                            java.util.Iterator iterator = infos.iterator();
                                            while (iterator.hasNext()) {
                                                com.android.server.mtm.iaware.appmng.AwareProcessInfo info = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) iterator.next();
                                                if (info.mProcInfo == null) {
                                                    iterator.remove();
                                                } else {
                                                    int pid = info.mPid;
                                                    if (checkPidValid(pid, info.mProcInfo.mUid)) {
                                                        pids.add(java.lang.Integer.valueOf(pid));
                                                        sb.append(pid);
                                                        sb.append(',');
                                                    } else {
                                                        iterator.remove();
                                                    }
                                                }
                                                str2 = pkgName;
                                            }
                                            pidCnt += infos.size();
                                            appInfo.setPids(pids);
                                            this.mUidLoadMap.put(processInfo.mUid, new com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.UidLoadPair(appInfo));
                                            if (processInfo.mCleanType == com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.FREEZE_UP_DOWNLOAD) {
                                                this.mFreezeAppInfos.add(0, appInfo);
                                            } else {
                                                this.mFreezeAppInfos.add(appInfo);
                                            }
                                        }
                                    }
                                    str2 = pkgName;
                                }
                            }
                            str2 = pkgName;
                        }
                        sortFreezeAppByCPULoad(pidCnt);
                        doFrozenInternel(duration, reason, sb);
                        return;
                    } catch (Throwable th2) {
                        th = th2;
                        throw th;
                    }
                }
            }
        }
        i = duration;
        str = reason;
        android.rms.iaware.AwareLog.w("mtm.AwareAppDefaultFreeze", "no pid need to freeze");
    }

    private void doFrozenInternel(int duration, java.lang.String reason, java.lang.StringBuffer sb) {
        if (this.mFreezeAppInfos.isEmpty()) {
            android.rms.iaware.AwareLog.i("mtm.AwareAppDefaultFreeze", "no pid need to freeze");
            return;
        }
        java.lang.StringBuilder stringBuilder;
        try {
            com.huawei.pgmng.plug.PGSdk pgInstance = com.huawei.pgmng.plug.PGSdk.getInstance();
            if (pgInstance != null) {
                pgInstance.fastHibernation(this.mContext, this.mFreezeAppInfos, duration, reason);
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Fast freeze the pid=[");
                stringBuilder.append(sb.toString());
                stringBuilder.append("]");
                android.rms.iaware.AwareLog.i("mtm.AwareAppDefaultFreeze", stringBuilder.toString());
            }
        } catch (android.os.RemoteException re) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("do Frozen failed because not find the PG");
            stringBuilder.append(re.getMessage());
            android.rms.iaware.AwareLog.w("mtm.AwareAppDefaultFreeze", stringBuilder.toString());
        }
    }

    private java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> getAllFreezeApp(android.app.mtm.iaware.appmng.AppMngConstant.AppFreezeSource config) {
        java.util.List<com.android.server.mtm.taskstatus.ProcessInfo> procList = com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance().getProcessInfoList();
        if (procList.size() == 0) {
            android.rms.iaware.AwareLog.d("mtm.AwareAppDefaultFreeze", "no pid exit in mtm");
            return null;
        }
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> awareProcList = filterUnRemoveSystemApp(procList);
        if (awareProcList.size() == 0) {
            android.rms.iaware.AwareLog.d("mtm.AwareAppDefaultFreeze", "no pids exit in mtm without system and system unremove app");
            return null;
        }
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> awareProcessBlockInfos = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().decideAll(awareProcList, getLevel(), android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_FREEZE, config);
        if (awareProcessBlockInfos != null) {
            if (awareProcessBlockInfos.size() != 0) {
                return com.android.server.mtm.iaware.appmng.appclean.CleanSource.mergeBlock(awareProcessBlockInfos, mPriority);
            }
        }
        android.rms.iaware.AwareLog.w("mtm.AwareAppDefaultFreeze", "no pid need to freeze");
        return null;
    }

    private static void setPriority() {
        mPriority = new java.util.ArrayList();
        mPriority.add(com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.FREEZE_NOMAL);
        mPriority.add(com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.FREEZE_UP_DOWNLOAD);
        mPriority.add(com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE);
    }

    private java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> filterUnRemoveSystemApp(java.util.List<com.android.server.mtm.taskstatus.ProcessInfo> infos) {
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> awareProcList = new java.util.ArrayList(DEFAULT_CAPACITY);
        if (infos != null) {
            if (infos.size() != 0) {
                int size = infos.size();
                for (int i = 0; i < size; i++) {
                    com.android.server.mtm.taskstatus.ProcessInfo procInfo = (com.android.server.mtm.taskstatus.ProcessInfo) infos.get(i);
                    if (isSystemUnRemoveBadPkg(procInfo) || !isSystemUnRemoveApp(procInfo.mAppUid % 100000)) {
                        awareProcList.add(new com.android.server.mtm.iaware.appmng.AwareProcessInfo(procInfo.mPid, 0, 0, com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.NORMAL.ordinal(), procInfo));
                    }
                }
                return awareProcList;
            }
        }
        return awareProcList;
    }

    private boolean isSystemUnRemoveBadPkg(com.android.server.mtm.taskstatus.ProcessInfo procInfo) {
        if (!(this.mSysUnremoveBadPkgs.isEmpty() || procInfo.mPackageName == null || procInfo.mPackageName.isEmpty())) {
            java.util.Iterator it = procInfo.mPackageName.iterator();
            while (it.hasNext()) {
                if (this.mSysUnremoveBadPkgs.contains((java.lang.String) it.next())) {
                    return true;
                }
            }
        }
        return false;
    }

    private boolean isSystemUnRemoveApp(int uid) {
        if (uid > 0 && uid < 10000) {
            return true;
        }
        if (this.mSystemUnremoveUidCache == null || !this.mSystemUnremoveUidCache.checkUidExist(uid)) {
            return false;
        }
        return true;
    }

    private int getLevel() {
        return 0;
    }

    private java.util.List<com.huawei.pgmng.plug.AppInfo> getAppInfoByPkg(java.lang.String pkg) {
        java.util.List<com.android.server.mtm.taskstatus.ProcessInfo> procList = com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance().getProcessInfosFromPackage(pkg, android.os.UserHandle.myUserId());
        if (procList.isEmpty()) {
            android.rms.iaware.AwareLog.d("mtm.AwareAppDefaultFreeze", "no pid exit in mtm");
            return null;
        }
        java.util.Collections.sort(procList, new com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.ProcessInfoComparator());
        java.util.List<com.huawei.pgmng.plug.AppInfo> apps = new java.util.ArrayList();
        com.huawei.pgmng.plug.AppInfo lastApp = null;
        for (com.android.server.mtm.taskstatus.ProcessInfo info : procList) {
            com.huawei.pgmng.plug.AppInfo appInfo = new com.huawei.pgmng.plug.AppInfo(info.mUid, pkg);
            java.util.List<java.lang.Integer> pids = new java.util.ArrayList();
            pids.add(java.lang.Integer.valueOf(info.mPid));
            appInfo.setPids(pids);
            if (lastApp == null) {
                lastApp = appInfo;
                apps.add(lastApp);
            } else if (lastApp.getUid() != info.mUid) {
                lastApp = appInfo;
                apps.add(lastApp);
            } else if (lastApp.getPids() != null) {
                lastApp.getPids().add(java.lang.Integer.valueOf(info.mPid));
            } else {
                lastApp.setPids(pids);
            }
        }
        return apps;
    }

    public void dump(java.io.PrintWriter pw) {
        if (pw != null) {
            java.util.Iterator it;
            pw.println("Lasted freeze app");
            synchronized (this.mFreezeAppInfos) {
                if (!this.mFreezeAppInfos.isEmpty()) {
                    it = this.mFreezeAppInfos.iterator();
                    while (it.hasNext()) {
                        com.huawei.pgmng.plug.AppInfo app = (com.huawei.pgmng.plug.AppInfo) it.next();
                        java.lang.StringBuffer sb = new java.lang.StringBuffer();
                        sb.append("    UID=");
                        sb.append(app.getUid());
                        sb.append(";");
                        sb.append("PID=");
                        if (app.getPids() != null) {
                            for (java.lang.Integer pid : app.getPids()) {
                                sb.append(pid.intValue());
                                sb.append(",");
                            }
                        }
                        sb.append(";");
                        sb.append("PKG=");
                        sb.append(app.getPkg());
                        pw.println(sb.toString());
                    }
                }
            }
            pw.println();
            pw.println("Current can freeze app by default policy");
            java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> awareProcessBlockInfos = getAllFreezeApp(android.app.mtm.iaware.appmng.AppMngConstant.AppFreezeSource.FAST_FREEZE);
            if (awareProcessBlockInfos != null) {
                if (!awareProcessBlockInfos.isEmpty()) {
                    java.lang.StringBuilder stringBuilder;
                    for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo processInfo : awareProcessBlockInfos) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("    ");
                        stringBuilder.append(processInfo.toString());
                        pw.println(stringBuilder.toString());
                    }
                    pw.println();
                    pw.println("Current can freeze app by camera policy");
                    awareProcessBlockInfos = getAllFreezeApp(android.app.mtm.iaware.appmng.AppMngConstant.AppFreezeSource.CAMERA_FREEZE);
                    if (awareProcessBlockInfos != null) {
                        if (!awareProcessBlockInfos.isEmpty()) {
                            for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo processInfo2 : awareProcessBlockInfos) {
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("    ");
                                stringBuilder.append(processInfo2.toString());
                                pw.println(stringBuilder.toString());
                            }
                            return;
                        }
                    }
                    pw.println("no pid need to freeze");
                    return;
                }
            }
            pw.println("no pid need to freeze");
        }
    }

    public void dumpFreezeApp(java.io.PrintWriter pw, java.lang.String pkg, int time) {
        if (pw != null) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Freeze current ");
            stringBuilder.append(pkg);
            stringBuilder.append(" app");
            pw.println(stringBuilder.toString());
            java.util.List<com.huawei.pgmng.plug.AppInfo> apps = getAppInfoByPkg(pkg);
            if (!(apps == null || apps.isEmpty())) {
                for (com.huawei.pgmng.plug.AppInfo app : apps) {
                    java.lang.StringBuffer sb = new java.lang.StringBuffer();
                    sb.append("    UID=");
                    sb.append(app.getUid());
                    sb.append(";");
                    sb.append("PID=");
                    if (app.getPids() != null) {
                        for (java.lang.Integer pid : app.getPids()) {
                            sb.append(pid.intValue());
                            sb.append(",");
                        }
                    }
                    sb.append(";");
                    sb.append("PKG=");
                    sb.append(app.getPkg());
                    pw.println(sb.toString());
                }
                try {
                    com.huawei.pgmng.plug.PGSdk.getInstance().fastHibernation(this.mContext, apps, time, "Only for dump test");
                } catch (android.os.RemoteException re) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("do UnFrozen failed because not find the PG");
                    stringBuilder2.append(re.getMessage());
                    android.rms.iaware.AwareLog.w("mtm.AwareAppDefaultFreeze", stringBuilder2.toString());
                }
            }
        }
    }

    private void sortFreezeAppByCPULoad(int pidCnt) {
        if (pidCnt >= 20) {
            if (this.mUidLoadMap.size() != 0) {
                int uidSize = this.mUidLoadMap.size();
                long nowTime = android.os.SystemClock.uptimeMillis();
                long intervalTime = nowTime - this.mLastSampleTime;
                this.mLastSampleTime = nowTime;
                getCpuTimeForUidList();
                if (intervalTime <= 60000) {
                    com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.UidLoadPair uidPair;
                    java.util.List<com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.UidLoadPair> uidLoadArray = new java.util.ArrayList();
                    int i = 0;
                    for (int i2 = 0; i2 < uidSize; i2++) {
                        uidPair = (com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.UidLoadPair) this.mUidLoadMap.get(this.mUidLoadMap.keyAt(i2));
                        if (uidPair != null) {
                            uidLoadArray.add(uidPair);
                        }
                    }
                    if (!uidLoadArray.isEmpty()) {
                        java.util.Collections.sort(uidLoadArray, this.mUidLoadComparator);
                        synchronized (this.mFreezeAppInfos) {
                            this.mFreezeAppInfos.clear();
                            int size = uidLoadArray.size();
                            while (i < size) {
                                uidPair = (com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.UidLoadPair) uidLoadArray.get(i);
                                if (uidPair != null) {
                                    this.mFreezeAppInfos.add(uidPair.info);
                                }
                                i++;
                            }
                        }
                        return;
                    }
                    return;
                }
                return;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("sortFreezeAppByCPULoad pidCnt =  ");
        stringBuilder.append(pidCnt);
        stringBuilder.append(" no need sort!");
        android.rms.iaware.AwareLog.d("mtm.AwareAppDefaultFreeze", stringBuilder.toString());
    }

    private void getCpuTimeForUidList() {
        this.mKernelUidCpuTimeReader.readDelta(this.mUidCpuTimeReaderCallback);
    }

    private boolean checkPidValid(int pid, int uid) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("/acct/uid_");
        stringBuilder.append(uid);
        stringBuilder.append("/pid_");
        stringBuilder.append(pid);
        if (!new java.io.File(stringBuilder.toString()).exists()) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("/proc/");
            stringBuilder.append(pid);
            stringBuilder.append("/status/");
            java.lang.StringBuilder stringBuilder2;
            try {
                int realUid = ((java.lang.Integer) java.nio.file.Files.getAttribute(java.nio.file.Paths.get(stringBuilder.toString(), new java.lang.String[0]), "unix:uid", new java.nio.file.LinkOption[0])).intValue();
                if (realUid != uid) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("read uid ");
                    stringBuilder2.append(realUid);
                    stringBuilder2.append(" of ");
                    stringBuilder2.append(pid);
                    stringBuilder2.append(" is not match");
                    android.rms.iaware.AwareLog.w("mtm.AwareAppDefaultFreeze", stringBuilder2.toString());
                    return false;
                }
            } catch (java.io.IOException e) {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("read status of ");
                stringBuilder2.append(pid);
                stringBuilder2.append(" failed");
                android.rms.iaware.AwareLog.w("mtm.AwareAppDefaultFreeze", stringBuilder2.toString());
                return false;
            }
        }
        return true;
    }

    public void dumpFreezeBadPid(java.io.PrintWriter pw, int pid, int uid) {
        if (pw != null && pid >= 0) {
            if (uid >= 0) {
                java.lang.StringBuilder stringBuilder;
                if (checkPidValid(pid, uid)) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("pid ");
                    stringBuilder.append(pid);
                    stringBuilder.append(" match uid ");
                    stringBuilder.append(uid);
                    pw.println(stringBuilder.toString());
                } else {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("pid ");
                    stringBuilder.append(pid);
                    stringBuilder.append(" not match uid ");
                    stringBuilder.append(uid);
                    pw.println(stringBuilder.toString());
                }
            }
        }
    }
}
