package com.android.server.mtm.iaware.appmng.appfreeze;

public class AwareNativeFreezeManager {
    public static final int DEXOPT_COMPILE_NORMAL = 0;
    public static final int DEXOPT_FAST_COMPILE_BEGIN = 1;
    public static final int DEXOPT_FAST_COMPILE_END = 2;
    public static final int EVENT_DEX2OAT_INSTALL = 1;
    private static final java.lang.String FEATURE_NAME = "appmng_feature";
    private static final java.lang.String ITEM_CONFIG_DURATION = "installer_duration";
    private static final java.lang.String ITEM_CONFIG_NAME = "installer_mgr";
    private static final java.lang.String KEY_GROUP_INFO_EXTRA = "group_info";
    private static final java.lang.String KEY_PID_EXTRA = "pid";
    private static final java.lang.String KEY_UID_EXTRA = "uid";
    private static final int MAX_RETRY_GET_SERVICE = 6;
    private static final int MAX_SHORT_FRZ_DURATION = 10000;
    private static final int MIN_SETTING_DURATION = 1000;
    private static final int MSG_ACTIVITY_STARTING = 4;
    private static final int MSG_APP_SLIPPING = 5;
    private static final int MSG_APP_SLIP_END = 6;
    private static final int MSG_CAMERA_SHOT = 7;
    private static final int MSG_FROZEN_TIMEOUT = 10;
    private static final int MSG_GROUP_CHANGE = 2;
    private static final int MSG_INIT_INSTALLER_LIST = 3;
    private static final int MSG_NATIVE_MNG = 1;
    private static final int MSG_PROXIMITY_SCREEN_OFF = 12;
    private static final int MSG_PROXIMITY_SCREEN_ON = 11;
    private static final int MSG_SCREEN_OFF = 8;
    private static final int MSG_SCREEN_ON = 9;
    private static final int MSG_SKIPPED_FRAME = 13;
    private static final java.lang.String PROP_LONG_FRZ_DUR = "long_frz_dur";
    private static final java.lang.String PROP_SHORT_FRZ_DUR = "short_frz_dur";
    private static final java.lang.String PROP_SLIDE_DURATION = "slide_frz_dur";
    private static final java.lang.String PROP_UNFRZ_DUR = "unfrz_dur";
    private static final int RETRY_DURATION = 2000;
    private static final int SHORT_FROZEN_DURATION = 3000;
    private static final int SLIDE_FROZEN_DURATION = 6000;
    private static final int SOCK_FROZEN_EVENT = 0;
    private static final int SOCK_INIT_EVENT = 2;
    private static final int SOCK_MSG_INSTALLER_MGR = 501;
    private static final int SOCK_UNFROZEN_EVENT = 1;
    private static final java.lang.String TAG = "AwareNativeFreezeManager";
    private static final int UNFROZEN_DRUATION = 1000;
    private java.util.concurrent.atomic.AtomicBoolean isFreeze = new java.util.concurrent.atomic.AtomicBoolean(false);
    private java.util.concurrent.atomic.AtomicBoolean isSilde = new java.util.concurrent.atomic.AtomicBoolean(false);
    private android.util.SparseArray<com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.BaseInfo> mAppEventMap = new android.util.SparseArray();
    private com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.AwareNativeHandler mAwareNativeHandler = new com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.AwareNativeHandler();
    private com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.AwareSceneRecognizeCallback mAwareSceneRecognizeCallback = new com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.AwareSceneRecognizeCallback();
    private java.util.Set<java.lang.String> mFgPackageSet = new android.util.ArraySet();
    private java.util.Set<java.lang.String> mInstallerSet = new android.util.ArraySet();
    private java.util.concurrent.atomic.AtomicBoolean mIsEnable = new java.util.concurrent.atomic.AtomicBoolean(false);
    private java.util.concurrent.atomic.AtomicBoolean mIsScrrenOn = new java.util.concurrent.atomic.AtomicBoolean(false);
    private int mLastFrozenDuration = 0;
    private long mLastFrozenTimestamp = 0;
    private int mLastSceneEvent = 0;
    private long mLastSceneTimestamp = 0;
    private int mRetries = 0;
    private int mShortFrozenDurtion = 3000;
    private int mSlideFrozenDuration = 6000;
    private int mUnfrozenDurtion = 1000;

    private class AwareNativeHandler extends android.os.Handler {
        private AwareNativeHandler() {
        }

        public void handleMessage(android.os.Message msg) {
            super.handleMessage(msg);
            switch (msg.what) {
                case 1:
                    com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.processNativeEvent(msg.arg1, msg.obj);
                    return;
                case 2:
                    com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.processActivitiesChanged(msg.getData());
                    return;
                case 3:
                    com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.initInstallerList();
                    return;
                case 4:
                    com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.doFrozenForScene(4, com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.mShortFrozenDurtion);
                    return;
                case 5:
                    com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.mLastSceneEvent = 0;
                    com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.isSilde.set(true);
                    return;
                case 6:
                    com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.isSilde.set(false);
                    return;
                case 7:
                    com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.doFrozenForScene(7, com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.mShortFrozenDurtion);
                    return;
                case 8:
                    com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.mIsScrrenOn.set(false);
                    com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.doUnfrozenForScene();
                    return;
                case 9:
                    com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.mIsScrrenOn.set(true);
                    return;
                case 10:
                    com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.doUnfrozenForScene();
                    return;
                case 11:
                    com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.doFrozenForScene(11, com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.mShortFrozenDurtion);
                    return;
                case 12:
                    com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.doFrozenForScene(12, com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.mShortFrozenDurtion);
                    return;
                case 13:
                    com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.handleSkippedFrameFreeze(13);
                    return;
                default:
                    return;
            }
        }
    }

    private class BaseInfo {
        public boolean isFrozen = false;
        public int pid;
        public int ppid;

        public BaseInfo(int pid, int ppid) {
            this.pid = pid;
            this.ppid = ppid;
        }

        public void onEventProcess(int eventId) {
        }

        public boolean onActivityChanged() {
            return false;
        }

        protected boolean isValidInfo() {
            if (this.pid == 0) {
                return false;
            }
            return true;
        }
    }

    private class AwareSceneRecognizeCallback implements com.android.server.rms.iaware.appmng.AwareSceneRecognize.IAwareSceneRecCallback {
        private AwareSceneRecognizeCallback() {
        }

        public void onStateChanged(int sceneType, int eventType, java.lang.String pkgName) {
            if (com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.mIsEnable.get()) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("onStateChanged sceneType = ");
                stringBuilder.append(sceneType);
                stringBuilder.append(" eventType = ");
                stringBuilder.append(eventType);
                stringBuilder.append(" pkgName = ");
                stringBuilder.append(pkgName);
                android.rms.iaware.AwareLog.d("AwareNativeFreezeManager", stringBuilder.toString());
                int what = -1;
                if (eventType == 1) {
                    if (sceneType == 2) {
                        what = 5;
                    } else if (sceneType == 4) {
                        what = 4;
                    } else if (sceneType == 8) {
                        what = 7;
                    } else if (sceneType == 16) {
                        what = 12;
                    } else if (sceneType == 32) {
                        what = 13;
                    }
                } else if (sceneType == 2) {
                    what = 6;
                } else if (sceneType == 16) {
                    what = 11;
                }
                if (what != -1) {
                    com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.mAwareNativeHandler.sendEmptyMessage(what);
                }
            }
        }
    }

    private class InstallerInfo extends com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.BaseInfo {
        private static final int DEADLINE_RUNTIME = 120000;
        public java.lang.String installerPkgName;
        public int installerUid;
        public java.lang.String pkgName;
        public long timestamp = android.os.SystemClock.uptimeMillis();

        public InstallerInfo(java.lang.String installerPkg, int installerUid, java.lang.String pkgName) {
            super(0, 0);
            this.installerPkgName = installerPkg;
            this.installerUid = installerUid;
            this.pkgName = pkgName;
        }

        public void onEventProcess(int eventId) {
            if (isValidInfo()) {
                if (eventId == 2) {
                    if (this.installerUid <= 0) {
                        this.installerUid = com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.getUidByPkgname(this.installerPkgName);
                    }
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("onEventProcess eventId = ");
                    stringBuilder.append(eventId);
                    stringBuilder.append(" installerUid = ");
                    stringBuilder.append(this.installerUid);
                    android.rms.iaware.AwareLog.d("AwareNativeFreezeManager", stringBuilder.toString());
                    if (this.installerUid >= 10000 && !onActivityChanged()) {
                        if (com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.canFrozen()) {
                            com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.doFrozenForInstall(this);
                        }
                    }
                    return;
                }
                return;
            }
            android.rms.iaware.AwareLog.e("AwareNativeFreezeManager", "onEventProcess invalid params!");
        }

        public boolean onActivityChanged() {
            if (isDeadLineRuntime()) {
                return true;
            }
            for (java.lang.String name : com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.mFgPackageSet) {
                if (com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.mInstallerSet.contains(name)) {
                    return true;
                }
            }
            return com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.this.mFgPackageSet.contains(this.installerPkgName);
        }

        protected boolean isValidInfo() {
            if (!super.isValidInfo() || this.installerPkgName == null || this.pkgName == null) {
                return false;
            }
            return true;
        }

        private boolean isDeadLineRuntime() {
            if (android.os.SystemClock.uptimeMillis() - this.timestamp > 120000) {
                return true;
            }
            return false;
        }
    }

    public void start(android.content.Context context) {
        if ("0".equals(android.os.SystemProperties.get("persist.sys.app.installer", "1"))) {
            this.mIsEnable.set(false);
            return;
        }
        if (context != null) {
            android.os.PowerManager pm = (android.os.PowerManager) context.getSystemService("power");
            if (pm != null) {
                this.mIsScrrenOn.set(pm.isInteractive());
            }
        }
        registerAwareSceneRecognize();
        this.mAwareNativeHandler.sendEmptyMessage(3);
        sendFrozenMsg(2);
        this.mIsEnable.set(true);
    }

    public void destroy() {
        this.mIsEnable.set(false);
        unregisterAwareSceneRecognize();
    }

    public void reportData(int event, android.rms.iaware.CollectData data) {
        if (this.mIsEnable.get()) {
            android.os.Message msg = this.mAwareNativeHandler.obtainMessage(1);
            msg.arg1 = event;
            msg.obj = data;
            this.mAwareNativeHandler.sendMessage(msg);
        }
    }

    public void onFgActivitiesChanged(int pid, int uid, boolean foregroundActivities) {
        if (this.mIsEnable.get()) {
            android.os.Message msg = this.mAwareNativeHandler.obtainMessage(2);
            android.os.Bundle bundle = new android.os.Bundle();
            bundle.putInt("pid", pid);
            bundle.putInt("uid", uid);
            bundle.putBoolean("group_info", foregroundActivities);
            msg.setData(bundle);
            this.mAwareNativeHandler.sendMessage(msg);
        }
    }

    private void sendFrozenMsg(int code) {
        java.nio.ByteBuffer buffer = java.nio.ByteBuffer.allocate(8);
        buffer.putInt(501);
        buffer.putInt(code);
        android.rms.iaware.IAwaredConnection.getInstance().sendPacket(buffer.array(), 0, buffer.position());
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("sendFrozenMsg code = ");
        stringBuilder.append(code);
        android.rms.iaware.AwareLog.d("AwareNativeFreezeManager", stringBuilder.toString());
    }

    private void sendFrozenMsg(int code, int pid, int ppid) {
        java.nio.ByteBuffer buffer = java.nio.ByteBuffer.allocate(16);
        buffer.putInt(501);
        buffer.putInt(code);
        buffer.putInt(pid);
        buffer.putInt(ppid);
        android.rms.iaware.IAwaredConnection.getInstance().sendPacket(buffer.array(), 0, buffer.position());
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("sendFrozenMsg code = ");
        stringBuilder.append(code);
        stringBuilder.append(" pid = ");
        stringBuilder.append(pid);
        android.rms.iaware.AwareLog.d("AwareNativeFreezeManager", stringBuilder.toString());
    }

    private void sendFrozenMsg(boolean frozen, int pid, int ppid) {
        sendFrozenMsg(frozen ^ 1, pid, ppid);
    }

    private boolean sendFrozenMsg(boolean frozen, com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.BaseInfo info) {
        if (info != null) {
            if (info.isValidInfo()) {
                if (((info.isFrozen ^ 1) ^ frozen) != 0) {
                    return false;
                }
                info.isFrozen = frozen;
                sendFrozenMsg(frozen, info.pid, info.ppid);
                return true;
            }
        }
        return false;
    }

    private void processNativeEvent(int eventType, java.lang.Object obj) {
        if (obj != null) {
            if (obj instanceof android.rms.iaware.CollectData) {
                android.os.Bundle bundle = ((android.rms.iaware.CollectData) obj).getBundle();
                if (bundle != null && eventType == 1) {
                    processInstallerEvent(eventType, bundle);
                }
            }
        }
    }

    private void processInstallerEvent(int eventType, android.os.Bundle bundle) {
        int dexoptPid;
        com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.BaseInfo baseInfo;
        int eventId = bundle.getInt("eventId", 0);
        if (eventId != 0) {
            if (eventId != 1) {
                if (eventId == 2) {
                    java.lang.StringBuilder stringBuilder;
                    dexoptPid = bundle.getInt("dexopt_pid", 0);
                    int ppid = bundle.getInt("ppid", 0);
                    int status = bundle.getInt("status", 0);
                    java.lang.String num = bundle.getString("num", "0");
                    java.lang.String time = bundle.getString("time", "0");
                    java.lang.String pkgName = bundle.getString("package_name", "");
                    if (status == 1) {
                        android.os.SystemProperties.set("persist.sys.aware.compile.prop.num", num);
                        android.os.SystemProperties.set("persist.sys.aware.compile.prop.time", time);
                        baseInfo = new com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.InstallerInfo("fast_compile_thread", 0, pkgName);
                        this.mAppEventMap.put(eventType, baseInfo);
                    } else {
                        if (status == 2) {
                            this.mAppEventMap.remove(eventType);
                            this.isFreeze.set(false);
                        } else if (status == 0) {
                            baseInfo = (com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.BaseInfo) this.mAppEventMap.get(eventType);
                            if (baseInfo != null) {
                                if (baseInfo instanceof com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.InstallerInfo) {
                                    com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.InstallerInfo baseInfo2 = (com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.InstallerInfo) baseInfo;
                                    if (pkgName != null && pkgName.equals(baseInfo2.pkgName)) {
                                        baseInfo2.pid = dexoptPid;
                                        baseInfo2.ppid = ppid;
                                        baseInfo2.onEventProcess(eventId);
                                    }
                                }
                            }
                            return;
                        }
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("installPackage EVENT_FORK_NOTIFY status = ");
                        stringBuilder.append(status);
                        stringBuilder.append(" dexoptPid = ");
                        stringBuilder.append(dexoptPid);
                        stringBuilder.append(" pkgName = ");
                        stringBuilder.append(pkgName);
                        stringBuilder.append(" num = ");
                        stringBuilder.append(num);
                        stringBuilder.append(" time = ");
                        stringBuilder.append(time);
                        android.rms.iaware.AwareLog.d("AwareNativeFreezeManager", stringBuilder.toString());
                    }
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("installPackage EVENT_FORK_NOTIFY status = ");
                    stringBuilder.append(status);
                    stringBuilder.append(" dexoptPid = ");
                    stringBuilder.append(dexoptPid);
                    stringBuilder.append(" pkgName = ");
                    stringBuilder.append(pkgName);
                    stringBuilder.append(" num = ");
                    stringBuilder.append(num);
                    stringBuilder.append(" time = ");
                    stringBuilder.append(time);
                    android.rms.iaware.AwareLog.d("AwareNativeFreezeManager", stringBuilder.toString());
                }
            }
        }
        java.lang.String installerPkgName = bundle.getString("installer_name", "");
        java.lang.String pkgName2 = bundle.getString("package_name", "");
        dexoptPid = bundle.getInt("installer_uid", 0);
        if (eventId == 0) {
            baseInfo = new com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.InstallerInfo(installerPkgName, dexoptPid, pkgName2);
            this.mAppEventMap.put(eventType, baseInfo);
            com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.BaseInfo baseInfo3 = baseInfo;
        } else {
            this.mAppEventMap.remove(eventType);
            this.isFreeze.set(false);
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("installPackage eventId = ");
        stringBuilder2.append(eventId);
        stringBuilder2.append(" installerPkgName = ");
        stringBuilder2.append(installerPkgName);
        stringBuilder2.append(" pkgName = ");
        stringBuilder2.append(pkgName2);
        android.rms.iaware.AwareLog.d("AwareNativeFreezeManager", stringBuilder2.toString());
    }

    private void processActivitiesChanged(android.os.Bundle bundle) {
        if (bundle != null) {
            int uid = bundle.getInt("uid", 0);
            boolean foregroundActivities = bundle.getBoolean("group_info", false);
            java.lang.String pkgName = com.android.server.mtm.utils.InnerUtils.getPackageNameByUid(uid);
            if (foregroundActivities) {
                this.mFgPackageSet.add(pkgName);
            } else {
                this.mFgPackageSet.remove(pkgName);
            }
            int size = this.mAppEventMap.size();
            for (int i = 0; i < size; i++) {
                com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.BaseInfo info = (com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.BaseInfo) this.mAppEventMap.valueAt(i);
                if (info != null && info.onActivityChanged()) {
                    sendFrozenMsg(false, info);
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("processActivitiesChanged unfrozen pid = ");
                    stringBuilder.append(info.pid);
                    stringBuilder.append(" for ActivitiesChanged");
                    android.rms.iaware.AwareLog.d("AwareNativeFreezeManager", stringBuilder.toString());
                }
            }
        }
    }

    private void registerAwareSceneRecognize() {
        com.android.server.rms.iaware.appmng.AwareSceneRecognize recognize = com.android.server.rms.iaware.appmng.AwareSceneRecognize.getInstance();
        if (recognize != null) {
            recognize.registerStateCallback(this.mAwareSceneRecognizeCallback, 1);
        }
    }

    private void unregisterAwareSceneRecognize() {
        com.android.server.rms.iaware.appmng.AwareSceneRecognize recognize = com.android.server.rms.iaware.appmng.AwareSceneRecognize.getInstance();
        if (recognize != null) {
            recognize.unregisterStateCallback(this.mAwareSceneRecognizeCallback);
        }
    }

    public void reportScreenEvent(boolean isScreenOn) {
        int what = 9;
        if (!isScreenOn) {
            what = 8;
        }
        reportEvent(what);
    }

    public void reportEvent(int what) {
        if (this.mIsEnable.get()) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("reportEvent what = ");
            stringBuilder.append(what);
            android.rms.iaware.AwareLog.d("AwareNativeFreezeManager", stringBuilder.toString());
            this.mAwareNativeHandler.sendEmptyMessage(what);
        }
    }

    private boolean sendFrozenMsg(boolean frozen) {
        int size = this.mAppEventMap.size();
        boolean ret = false;
        for (int i = 0; i < size; i++) {
            com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.BaseInfo info = (com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.BaseInfo) this.mAppEventMap.valueAt(i);
            if (info != null) {
                if (!frozen || !info.onActivityChanged()) {
                    ret |= sendFrozenMsg(frozen, info);
                }
            }
        }
        return ret;
    }

    private boolean canFrozen() {
        if (!expireMaxFrozenTime()) {
            if (this.mIsScrrenOn.get()) {
                return true;
            }
        }
        return false;
    }

    private boolean expireMaxFrozenTime() {
        int diff = (int) (android.os.SystemClock.uptimeMillis() - this.mLastFrozenTimestamp);
        if (diff <= this.mLastFrozenDuration || diff >= this.mLastFrozenDuration + this.mUnfrozenDurtion) {
            return false;
        }
        return true;
    }

    private void handleSkippedFrameFreeze(int type) {
        if (this.isSilde.get()) {
            doFrozenForScene(type, this.mSlideFrozenDuration);
        }
    }

    private void doFrozenForScene(int sceneType, int duration) {
        updateLastSceneInfo(sceneType);
        if (this.mAppEventMap.size() != 0 && canFrozen()) {
            if (!this.isFreeze.get()) {
                if (sendFrozenMsg(true)) {
                    saveFrozenInfo(duration);
                }
            }
        }
    }

    private void saveFrozenInfo(int duration) {
        this.isFreeze.set(true);
        this.mLastFrozenTimestamp = android.os.SystemClock.uptimeMillis();
        this.mLastFrozenDuration = duration;
        this.mAwareNativeHandler.removeMessages(10);
        this.mAwareNativeHandler.sendEmptyMessageDelayed(10, (long) duration);
    }

    private boolean isUserActivity(int duration) {
        if (android.os.SystemClock.uptimeMillis() - this.mLastSceneTimestamp < ((long) duration)) {
            return true;
        }
        return false;
    }

    private void doUnfrozenForScene() {
        sendFrozenMsg(false);
        this.isFreeze.set(false);
        this.mAwareNativeHandler.removeMessages(10);
        updateLastSceneInfo(0);
    }

    private void updateLastSceneInfo(int sceneType) {
        this.mLastSceneEvent = sceneType;
        this.mLastSceneTimestamp = android.os.SystemClock.uptimeMillis();
    }

    private void doFrozenForInstall(com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager.BaseInfo info) {
        if (info != null) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("doFrozenForInstall mLastSceneEvent = ");
            stringBuilder.append(this.mLastSceneEvent);
            android.rms.iaware.AwareLog.d("AwareNativeFreezeManager", stringBuilder.toString());
            if (this.mLastSceneEvent == 13 && this.isSilde.get() && isUserActivity(this.mSlideFrozenDuration)) {
                sendFrozenMsg(true, info);
                saveFrozenInfo(this.mSlideFrozenDuration);
            } else if (!(this.mLastSceneEvent == 0 || this.mLastSceneEvent == 13 || !isUserActivity(this.mShortFrozenDurtion))) {
                sendFrozenMsg(true, info);
                saveFrozenInfo(this.mShortFrozenDurtion);
            }
        }
    }

    private int getUidByPkgname(java.lang.String pkgName) {
        android.content.pm.ApplicationInfo appInfo = com.android.server.mtm.utils.InnerUtils.getApplicationInfo(pkgName);
        if (appInfo != null) {
            return appInfo.uid;
        }
        return -1;
    }

    private android.rms.iaware.AwareConfig getAwareCustConfig(java.lang.String feature, java.lang.String config) {
        android.rms.iaware.AwareConfig custConfig = null;
        try {
            android.os.IBinder awareservice = android.rms.iaware.IAwareCMSManager.getICMSManager();
            if (awareservice != null) {
                custConfig = android.rms.iaware.IAwareCMSManager.getCustConfig(awareservice, feature, config);
            }
        } catch (android.os.RemoteException e) {
            android.rms.iaware.AwareLog.e("AwareNativeFreezeManager", "getAwareCustConfig RemoteException");
        }
        return custConfig;
    }

    private void setInstallerList(android.rms.iaware.AwareConfig config) {
        if (config == null) {
            android.rms.iaware.AwareLog.i("AwareNativeFreezeManager", "the cust config file is null");
            return;
        }
        java.util.List<android.rms.iaware.AwareConfig.Item> itemList = config.getConfigList();
        if (itemList != null) {
            for (android.rms.iaware.AwareConfig.Item item : itemList) {
                java.util.List<android.rms.iaware.AwareConfig.SubItem> subItemList = item.getSubItemList();
                if (subItemList != null) {
                    for (android.rms.iaware.AwareConfig.SubItem subItem : subItemList) {
                        java.lang.String itemValue = subItem.getValue();
                        if (itemValue != null) {
                            this.mInstallerSet.add(itemValue);
                        }
                    }
                }
            }
        }
    }

    private void initInstallerList() {
        int i = this.mRetries + 1;
        this.mRetries = i;
        if (i > 6) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("initInstallerList mRetries = ");
            stringBuilder.append(this.mRetries);
            stringBuilder.append(" reach max retry!");
            android.rms.iaware.AwareLog.w("AwareNativeFreezeManager", stringBuilder.toString());
            return;
        }
        android.rms.iaware.AwareConfig config = getAwareCustConfig("appmng_feature", "installer_mgr");
        if (config == null) {
            this.mAwareNativeHandler.sendEmptyMessageDelayed(3, 2000);
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("initInstallerList getService failed retry = ");
            stringBuilder2.append(this.mRetries);
            android.rms.iaware.AwareLog.w("AwareNativeFreezeManager", stringBuilder2.toString());
            return;
        }
        setInstallerList(config);
        setInstallerDuration();
    }

    private boolean isValidRange(int value, int min, int max) {
        if (value < min || value > max) {
            return false;
        }
        return true;
    }

    private void setPropValue(java.lang.String itemProp, java.lang.String itemValue) {
        java.lang.StringBuilder stringBuilder;
        if (itemProp != null) {
            if (itemValue != null) {
                int value = 0;
                try {
                    value = java.lang.Integer.parseInt(itemValue);
                } catch (java.lang.NumberFormatException e) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("setPropValue itemValue = ");
                    stringBuilder.append(itemValue);
                    stringBuilder.append(" is not Integer!");
                    android.rms.iaware.AwareLog.e("AwareNativeFreezeManager", stringBuilder.toString());
                }
                boolean isSetOk = false;
                if ("short_frz_dur".equals(itemProp)) {
                    if (isValidRange(value, 1000, 10000)) {
                        this.mShortFrozenDurtion = value;
                        isSetOk = true;
                    }
                } else if ("unfrz_dur".equals(itemProp)) {
                    if (isValidRange(value, 1000, 2000)) {
                        this.mUnfrozenDurtion = value;
                        isSetOk = true;
                    }
                } else if ("slide_frz_dur".equals(itemProp) && isValidRange(value, 1000, 10000)) {
                    this.mSlideFrozenDuration = value;
                    isSetOk = true;
                }
                if (!isSetOk) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("setPropValue itemProp = ");
                    stringBuilder.append(itemProp);
                    stringBuilder.append(" itemValue = ");
                    stringBuilder.append(itemValue);
                    stringBuilder.append(" invalid, default!");
                    android.rms.iaware.AwareLog.w("AwareNativeFreezeManager", stringBuilder.toString());
                }
            }
        }
    }

    private void setInstallerDuration() {
        android.rms.iaware.AwareConfig config = getAwareCustConfig("appmng_feature", "installer_duration");
        if (config == null) {
            android.rms.iaware.AwareLog.i("AwareNativeFreezeManager", "the cust config file is null");
            return;
        }
        java.util.List<android.rms.iaware.AwareConfig.Item> itemList = config.getConfigList();
        if (itemList != null) {
            for (android.rms.iaware.AwareConfig.Item item : itemList) {
                java.util.List<android.rms.iaware.AwareConfig.SubItem> subItemList = item.getSubItemList();
                if (subItemList != null) {
                    for (android.rms.iaware.AwareConfig.SubItem subItem : subItemList) {
                        setPropValue(subItem.getName(), subItem.getValue());
                    }
                }
            }
        }
    }
}
