package com.android.server.mtm.iaware.appmng.appiolimit;

public class AwareAppDefaultIoLimit extends com.android.server.mtm.iaware.appmng.appclean.CleanSource {
    private static boolean DEBUG = false;
    private static int DEFAULT_CAPACITY = 10;
    private static final java.lang.String IOLIMITED_BAD = "app_iolimit_bad";
    private static final java.lang.String TAG = "AwareAppDefaultIoLimit";
    private static com.android.server.mtm.iaware.appmng.appiolimit.AwareAppDefaultIoLimit mAwareAppDefaultIoLimit = null;
    private java.util.Map<java.lang.Integer, java.lang.Integer> mHeavyIOPids = new android.util.ArrayMap();
    private java.util.Map<java.lang.Integer, java.lang.Integer> mIOPids = new android.util.ArrayMap();
    private java.util.Set<java.lang.Integer> mIolimitUids = new android.util.ArraySet();
    private android.content.pm.PackageManager mPm = null;
    private java.util.Set<java.lang.String> mSysUnremoveBadPkgs = new android.util.ArraySet();
    private com.android.server.mtm.iaware.appmng.appstart.datamgr.SystemUnremoveUidCache mSystemUnremoveUidCache;

    public static synchronized com.android.server.mtm.iaware.appmng.appiolimit.AwareAppDefaultIoLimit getInstance() {
        com.android.server.mtm.iaware.appmng.appiolimit.AwareAppDefaultIoLimit awareAppDefaultIoLimit;
        synchronized (com.android.server.mtm.iaware.appmng.appiolimit.AwareAppDefaultIoLimit.class) {
            if (mAwareAppDefaultIoLimit == null) {
                mAwareAppDefaultIoLimit = new com.android.server.mtm.iaware.appmng.appiolimit.AwareAppDefaultIoLimit();
            }
            awareAppDefaultIoLimit = mAwareAppDefaultIoLimit;
        }
        return awareAppDefaultIoLimit;
    }

    private AwareAppDefaultIoLimit() {
    }

    public void init(android.content.Context ctx) {
        if (ctx != null) {
            this.mPm = ctx.getPackageManager();
            this.mSystemUnremoveUidCache = com.android.server.mtm.iaware.appmng.appstart.datamgr.SystemUnremoveUidCache.getInstance(ctx);
            initSystemUnremoveBadList();
        }
    }

    public void deInitDefaultFree() {
        this.mPm = null;
    }

    private void initSystemUnremoveBadList() {
        java.util.ArrayList<java.lang.String> badList = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getRawConfig(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_IOLIMIT.getDesc(), "app_iolimit_bad");
        if (badList != null) {
            this.mSysUnremoveBadPkgs.clear();
            this.mSysUnremoveBadPkgs.addAll(badList);
        }
    }

    private boolean isDownloadUpApp(int pid, int uid, java.util.List<java.lang.String> packageName) {
        return com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance().checkKeyBackgroupByState(5, pid, uid, (java.util.List) packageName);
    }

    public void doLimitIO(java.lang.String pkgName, android.app.mtm.iaware.appmng.AppMngConstant.AppIoLimitSource config) {
        if (pkgName == null) {
            android.rms.iaware.AwareLog.w("AwareAppDefaultIoLimit", "The input params is invalid");
            return;
        }
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> awareProcessBlockInfos = getAllIOLimitApp(config);
        if (awareProcessBlockInfos != null) {
            if (!awareProcessBlockInfos.isEmpty()) {
                if (DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("currPkg:");
                    stringBuilder.append(pkgName);
                    android.rms.iaware.AwareLog.d("AwareAppDefaultIoLimit", stringBuilder.toString());
                }
                synchronized (this) {
                    this.mIOPids.clear();
                    this.mHeavyIOPids.clear();
                    this.mIolimitUids.clear();
                    java.util.ArrayList<java.lang.Integer> assocWithFGPids = getAssocPidsByUid(getUidByPackageName(pkgName));
                    for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo processInfo : awareProcessBlockInfos) {
                        if (processInfo.mCleanType == com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.IOLIMIT) {
                            if (!pkgName.equals(processInfo.mPackageName) || android.os.UserHandle.getUserId(processInfo.mUid) != com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getCurUserId()) {
                                java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> infos = processInfo.mProcessList;
                                if (infos != null) {
                                    if (infos.size() != 0) {
                                        doIOGroup(infos, assocWithFGPids, processInfo.mPackageName);
                                    }
                                }
                            }
                        }
                    }
                    doLightIoLimit();
                    doHeavyIoLimit();
                }
                return;
            }
        }
        android.rms.iaware.AwareLog.w("AwareAppDefaultIoLimit", "no pid need to limit");
    }

    private void doIOGroup(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> infos, java.util.ArrayList<java.lang.Integer> filterPids, java.lang.String pkgName) {
        if (infos != null) {
            if (!infos.isEmpty()) {
                for (com.android.server.mtm.iaware.appmng.AwareProcessInfo info : infos) {
                    this.mIolimitUids.add(java.lang.Integer.valueOf(info.mProcInfo.mUid));
                    if (!filterPids.contains(java.lang.Integer.valueOf(info.mPid))) {
                        if (isDownloadUpApp(info.mProcInfo.mPid, info.mProcInfo.mUid, info.mProcInfo.mPackageName)) {
                            this.mHeavyIOPids.put(java.lang.Integer.valueOf(info.mPid), java.lang.Integer.valueOf(info.mProcInfo.mUid));
                        } else {
                            this.mIOPids.put(java.lang.Integer.valueOf(info.mPid), java.lang.Integer.valueOf(info.mProcInfo.mUid));
                        }
                    }
                }
                if (DEBUG) {
                    java.lang.StringBuffer sb = new java.lang.StringBuffer();
                    for (com.android.server.mtm.iaware.appmng.AwareProcessInfo info2 : infos) {
                        sb.append(info2.mPid);
                        sb.append(" ");
                    }
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("IO Limit App:");
                    stringBuilder.append(pkgName);
                    stringBuilder.append(",pids:");
                    stringBuilder.append(sb.toString());
                    android.rms.iaware.AwareLog.d("AwareAppDefaultIoLimit", stringBuilder.toString());
                }
            }
        }
    }

    private void doLightIoLimit() {
        if (!this.mIOPids.isEmpty()) {
            com.android.server.rms.iaware.feature.IOLimitFeature.getInstance().setIoLimitTaskList(com.android.server.rms.iaware.feature.IOLimitGroup.LIGHT, this.mIOPids, true);
            com.android.server.rms.iaware.feature.IOLimitFeature.getInstance().enable(com.android.server.rms.iaware.feature.IOLimitGroup.LIGHT);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("do Limit light IO count:");
            stringBuilder.append(this.mIOPids.size());
            stringBuilder.append(",pids:");
            stringBuilder.append(this.mIOPids.toString());
            android.rms.iaware.AwareLog.i("AwareAppDefaultIoLimit", stringBuilder.toString());
        }
    }

    private void doHeavyIoLimit() {
        if (!this.mHeavyIOPids.isEmpty()) {
            com.android.server.rms.iaware.feature.IOLimitFeature.getInstance().setIoLimitTaskList(com.android.server.rms.iaware.feature.IOLimitGroup.HEAVY, this.mHeavyIOPids, true);
            com.android.server.rms.iaware.feature.IOLimitFeature.getInstance().enable(com.android.server.rms.iaware.feature.IOLimitGroup.HEAVY);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("do Limit heavy IO count:");
            stringBuilder.append(this.mHeavyIOPids.size());
            stringBuilder.append(",pids:");
            stringBuilder.append(this.mHeavyIOPids.toString());
            android.rms.iaware.AwareLog.i("AwareAppDefaultIoLimit", stringBuilder.toString());
        }
    }

    private java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> getAllIOLimitApp(android.app.mtm.iaware.appmng.AppMngConstant.AppIoLimitSource config) {
        java.util.List<com.android.server.mtm.taskstatus.ProcessInfo> procList = com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance().getProcessInfoList();
        if (procList.size() == 0) {
            android.rms.iaware.AwareLog.d("AwareAppDefaultIoLimit", "no pid exit in mtm");
            return null;
        }
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> awareProcList = new java.util.ArrayList(DEFAULT_CAPACITY);
        for (com.android.server.mtm.taskstatus.ProcessInfo procInfo : procList) {
            if (!isUnRemoveApp(procInfo)) {
                awareProcList.add(new com.android.server.mtm.iaware.appmng.AwareProcessInfo(procInfo.mPid, 0, 0, com.android.server.mtm.iaware.appmng.AwareAppMngSort.ClassRate.NORMAL.ordinal(), procInfo));
            }
        }
        if (awareProcList.size() == 0) {
            android.rms.iaware.AwareLog.w("AwareAppDefaultIoLimit", "no pid need to app filter");
            return null;
        }
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> awareProcessBlockInfos = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().decideAll(awareProcList, getLevel(), android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_IOLIMIT, config);
        if (awareProcessBlockInfos != null) {
            if (awareProcessBlockInfos.size() != 0) {
                return com.android.server.mtm.iaware.appmng.appclean.CleanSource.mergeBlock(awareProcessBlockInfos);
            }
        }
        android.rms.iaware.AwareLog.w("AwareAppDefaultIoLimit", "no pid need to io limit");
        return null;
    }

    private boolean isUnRemoveApp(com.android.server.mtm.taskstatus.ProcessInfo procInfo) {
        int uid = procInfo.mAppUid % 100000;
        if (isSystemUnRemoveBadPkg(procInfo)) {
            return false;
        }
        if (uid > 0 && uid <= 10000) {
            return true;
        }
        if (this.mSystemUnremoveUidCache == null || !this.mSystemUnremoveUidCache.checkUidExist(uid)) {
            return false;
        }
        return true;
    }

    private boolean isSystemUnRemoveBadPkg(com.android.server.mtm.taskstatus.ProcessInfo procInfo) {
        if (!(this.mSysUnremoveBadPkgs.isEmpty() || procInfo.mPackageName == null || procInfo.mPackageName.isEmpty())) {
            int size = procInfo.mPackageName.size();
            for (int i = 0; i < size; i++) {
                if (this.mSysUnremoveBadPkgs.contains((java.lang.String) procInfo.mPackageName.get(i))) {
                    return true;
                }
            }
        }
        return false;
    }

    private int getUidByPackageName(java.lang.String pkgName) {
        int uid = 0;
        if (pkgName != null) {
            try {
                if (!(pkgName.isEmpty() || this.mPm == null)) {
                    uid = this.mPm.getApplicationInfoAsUser(pkgName, 1, com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getCurUserId()).uid;
                }
            } catch (android.content.pm.PackageManager.NameNotFoundException e) {
                android.rms.iaware.AwareLog.w("AwareAppDefaultIoLimit", "get application info failed");
            }
        }
        return uid;
    }

    private java.util.ArrayList<java.lang.Integer> getAssocPidsByUid(int uid) {
        java.util.ArrayList<java.lang.Integer> assocPids = new java.util.ArrayList();
        java.util.ArrayList<java.lang.Integer> pids = com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance().getPidsFromUid(uid, android.os.UserHandle.getUserId(uid));
        if (pids.isEmpty()) {
            if (DEBUG) {
                android.rms.iaware.AwareLog.w("AwareAppDefaultIoLimit", "get assoc pids is empty");
            }
            return assocPids;
        }
        assocPids.addAll(pids);
        int size = pids.size();
        for (int i = 0; i < size; i++) {
            int sPid = ((java.lang.Integer) pids.get(i)).intValue();
            java.util.Set<java.lang.Integer> strongPids = new android.util.ArraySet();
            com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getAssocListForPid(sPid, strongPids);
            if (!strongPids.isEmpty()) {
                assocPids.addAll(strongPids);
            }
        }
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("get assoc pids by uid:");
            stringBuilder.append(uid);
            stringBuilder.append(", pids:");
            stringBuilder.append(pids);
            stringBuilder.append(", assocPids:");
            stringBuilder.append(assocPids);
            android.rms.iaware.AwareLog.i("AwareAppDefaultIoLimit", stringBuilder.toString());
        }
        return assocPids;
    }

    public static void enableDebug() {
        android.rms.iaware.AwareLog.d("AwareAppDefaultIoLimit", "enableDebug");
        DEBUG = true;
    }

    public static void disableDebug() {
        android.rms.iaware.AwareLog.d("AwareAppDefaultIoLimit", "disableDebug");
        DEBUG = false;
    }

    public void doUnLimitIO() {
        com.android.server.rms.iaware.feature.IOLimitFeature.getInstance().disable(com.android.server.rms.iaware.feature.IOLimitGroup.LIGHT);
        com.android.server.rms.iaware.feature.IOLimitFeature.getInstance().disable(com.android.server.rms.iaware.feature.IOLimitGroup.HEAVY);
        android.rms.iaware.AwareLog.i("AwareAppDefaultIoLimit", "do IO UnLimit ok");
    }

    /* JADX WARNING: Missing block: B:17:0x0070, code:
            return;
     */
    public void doRemoveIoPids(int r5, int r6) {
        /*
        r4 = this;
        monitor-enter(r4);
        r0 = r4.mIolimitUids;	 Catch:{ all -> 0x0071 }
        r1 = java.lang.Integer.valueOf(r5);	 Catch:{ all -> 0x0071 }
        r0 = r0.contains(r1);	 Catch:{ all -> 0x0071 }
        if (r0 != 0) goto L_0x000f;
    L_0x000d:
        monitor-exit(r4);	 Catch:{ all -> 0x0071 }
        return;
    L_0x000f:
        if (r6 <= 0) goto L_0x002b;
    L_0x0011:
        r0 = r4.mIOPids;	 Catch:{ all -> 0x0071 }
        r1 = java.lang.Integer.valueOf(r6);	 Catch:{ all -> 0x0071 }
        r0 = r0.containsKey(r1);	 Catch:{ all -> 0x0071 }
        if (r0 != 0) goto L_0x002b;
    L_0x001d:
        r0 = r4.mHeavyIOPids;	 Catch:{ all -> 0x0071 }
        r1 = java.lang.Integer.valueOf(r6);	 Catch:{ all -> 0x0071 }
        r0 = r0.containsKey(r1);	 Catch:{ all -> 0x0071 }
        if (r0 != 0) goto L_0x002b;
    L_0x0029:
        monitor-exit(r4);	 Catch:{ all -> 0x0071 }
        return;
    L_0x002b:
        r0 = r4.getAssocPidsByUid(r5);	 Catch:{ all -> 0x0071 }
        r1 = r0.isEmpty();	 Catch:{ all -> 0x0071 }
        if (r1 != 0) goto L_0x006f;
    L_0x0035:
        r1 = com.android.server.rms.iaware.feature.IOLimitFeature.getInstance();	 Catch:{ all -> 0x0071 }
        r1.removeIoLimitTaskList(r0);	 Catch:{ all -> 0x0071 }
        r1 = r4.mIolimitUids;	 Catch:{ all -> 0x0071 }
        r2 = java.lang.Integer.valueOf(r5);	 Catch:{ all -> 0x0071 }
        r1.remove(r2);	 Catch:{ all -> 0x0071 }
        r1 = "AwareAppDefaultIoLimit";
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0071 }
        r2.<init>();	 Catch:{ all -> 0x0071 }
        r3 = "doRemoveIoPids uid:";
        r2.append(r3);	 Catch:{ all -> 0x0071 }
        r2.append(r5);	 Catch:{ all -> 0x0071 }
        r3 = ",pid:";
        r2.append(r3);	 Catch:{ all -> 0x0071 }
        r2.append(r6);	 Catch:{ all -> 0x0071 }
        r3 = ", remove pids:";
        r2.append(r3);	 Catch:{ all -> 0x0071 }
        r3 = r0.toString();	 Catch:{ all -> 0x0071 }
        r2.append(r3);	 Catch:{ all -> 0x0071 }
        r2 = r2.toString();	 Catch:{ all -> 0x0071 }
        android.rms.iaware.AwareLog.i(r1, r2);	 Catch:{ all -> 0x0071 }
    L_0x006f:
        monitor-exit(r4);	 Catch:{ all -> 0x0071 }
        return;
    L_0x0071:
        r0 = move-exception;
        monitor-exit(r4);	 Catch:{ all -> 0x0071 }
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.mtm.iaware.appmng.appiolimit.AwareAppDefaultIoLimit.doRemoveIoPids(int, int):void");
    }

    private int getLevel() {
        return 0;
    }
}
