package com.android.server.mtm.iaware.appmng.appiolimit;

public class AwareAppIoLimitMng {
    private static final java.lang.String APP_SYSTEM_UI = "com.android.systemui";
    private static boolean DEBUG = false;
    private static final int DEFAULT_UNIOLIMIT_DURATION = 3000;
    private static final java.lang.String KEY_BUNDLE_PACKAGENAME = "pkgName";
    private static final java.lang.String KEY_BUNDLE_PID = "pid";
    private static final java.lang.String KEY_BUNDLE_UID = "uid";
    private static final int MSG_ACTIVITY_STARTING = 1;
    private static final int MSG_APP_SLIPPING = 2;
    private static final int MSG_APP_SLIP_END = 9;
    private static final int MSG_CAMERA_SHOT = 5;
    private static final int MSG_FG_ACTIVITIES_CHANGED = 3;
    private static final int MSG_PROXIMITY_SCREEN_OFF = 6;
    private static final int MSG_PROXIMITY_SCREEN_ON = 7;
    private static final int MSG_RECOGNIZE_GAME_APP = 8;
    private static final int MSG_UNIOLIMIT_DURATION = 4;
    private static final int RECOGNIZE_GAME_DELAY_TIME = 1000;
    private static final java.lang.String TAG = "AwareAppIoLimitMng";
    private static com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng mAwareAppIoLimitMng = null;
    private static boolean mEnabled = false;
    private java.util.concurrent.atomic.AtomicBoolean isGame;
    private java.util.concurrent.atomic.AtomicBoolean isIOLimit;
    private com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.AppIoLimitCallBackHandler mCallBackHandler;
    private java.lang.String mCurPkgName;
    private android.os.Handler mHandler;
    private com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.AppIoLimitObserver mIoLimitObserver;
    private com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.IOLimitSceneRecognize mIoLimitSceneRecognize;
    private int mIoLimit_duration;
    private java.util.concurrent.atomic.AtomicBoolean mIsInitialized;
    private java.util.concurrent.atomic.AtomicBoolean mIsMultiWin;
    private java.util.concurrent.atomic.AtomicBoolean mIsScreenOn;
    private java.util.concurrent.atomic.AtomicBoolean mIsStatusBarRevealed;

    private class AppIoLimitCallBackHandler extends android.os.IMWThirdpartyCallback.Stub {
        private AppIoLimitCallBackHandler() {
        }

        public void onModeChanged(boolean aMWStatus) {
            com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.mIsMultiWin.set(aMWStatus);
            if (!com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.mIsMultiWin.get()) {
                com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.mCurPkgName = "";
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mIsMultiWin:");
            stringBuilder.append(com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.mIsMultiWin.get());
            android.rms.iaware.AwareLog.d("AwareAppIoLimitMng", stringBuilder.toString());
        }

        public void onZoneChanged() {
        }

        public void onSizeChanged() {
        }
    }

    class AppIoLimitObserver extends android.app.IProcessObserver.Stub {
        AppIoLimitObserver() {
        }

        public void onForegroundActivitiesChanged(int pid, int uid, boolean foregroundActivities) {
            if (foregroundActivities) {
                if (com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.mEnabled) {
                    android.os.Message msg = com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.mHandler.obtainMessage();
                    msg.what = 3;
                    android.os.Bundle data = msg.getData();
                    data.putInt("uid", uid);
                    data.putInt("pid", pid);
                    com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.mHandler.sendMessage(msg);
                }
            }
        }

        public void onProcessDied(int pid, int uid) {
        }
    }

    private class AwareAppIoLimitMngHanlder extends android.os.Handler {
        private AwareAppIoLimitMngHanlder() {
        }

        public void handleMessage(android.os.Message msg) {
            if (com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.mEnabled) {
                if (com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("handleMessage message ");
                    stringBuilder.append(msg.what);
                    android.rms.iaware.AwareLog.d("AwareAppIoLimitMng", stringBuilder.toString());
                }
                switch (msg.what) {
                    case 1:
                        com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.mCurPkgName = msg.getData().getString("pkgName");
                        com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.handleToIOLimit(1);
                        break;
                    case 2:
                        if (!(com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.mIsMultiWin.get() || com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.isGame.get())) {
                            com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.handleToIOLimit(2);
                            break;
                        }
                    case 3:
                        android.os.Bundle data = msg.getData();
                        int uid = data.getInt("uid");
                        com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.handleToRemovePids(uid, data.getInt("pid"));
                        com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.mCurPkgName = com.android.server.mtm.utils.InnerUtils.getPackageNameByUid(uid);
                        if (!com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getDefaultHomePackages().contains(com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.mCurPkgName)) {
                            if (!"com.android.systemui".equals(com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.mCurPkgName)) {
                                if (com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().isAppMngSpecType(com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.mCurPkgName, 9)) {
                                    com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.isGame.set(true);
                                } else {
                                    com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.sendDelayMsg(8, 1000);
                                }
                                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append("mCurPkgName:");
                                stringBuilder2.append(com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.mCurPkgName);
                                android.rms.iaware.AwareLog.d("AwareAppIoLimitMng", stringBuilder2.toString());
                                break;
                            }
                        }
                        com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.isGame.set(false);
                        break;
                    case 4:
                        com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.handleToUnIOLimit();
                        break;
                    case 5:
                        com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.handleToIOLimit(5);
                        break;
                    case 6:
                        android.rms.iaware.AwareLog.d("AwareAppIoLimitMng", "is Proximity screen off!");
                        com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.hanldeProximityToIOLimit();
                        break;
                    case 7:
                        android.rms.iaware.AwareLog.d("AwareAppIoLimitMng", "is Proximity screen on!");
                        com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.hanldeProximityToIOLimit();
                        break;
                    case 8:
                        com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.recognizeGameApp();
                        break;
                    case 9:
                        com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.handleToUnIOLimit();
                        android.rms.iaware.AwareLog.d("AwareAppIoLimitMng", "slip end!");
                        break;
                    default:
                        break;
                }
            }
        }
    }

    private class IOLimitSceneRecognize implements com.android.server.rms.iaware.appmng.AwareSceneRecognize.IAwareSceneRecCallback {
        private IOLimitSceneRecognize() {
        }

        public void onStateChanged(int sceneType, int eventType, java.lang.String pkgName) {
            android.os.Message msg = com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.mHandler.obtainMessage();
            if (eventType == 1) {
                if (sceneType == 2) {
                    msg.what = 2;
                } else if (sceneType == 4) {
                    msg.what = 1;
                } else if (sceneType == 8) {
                    msg.what = 5;
                } else if (sceneType != 16) {
                    msg.what = 0;
                } else {
                    msg.what = 6;
                }
            } else if (sceneType == 2) {
                msg.what = 9;
            } else if (sceneType != 16) {
                msg.what = 0;
            } else {
                msg.what = 7;
            }
            if (msg.what != 0) {
                android.os.Bundle data = new android.os.Bundle();
                data.putString("pkgName", pkgName);
                msg.setData(data);
                com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.this.mHandler.sendMessage(msg);
            }
        }
    }

    public static synchronized com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng getInstance() {
        com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng awareAppIoLimitMng;
        synchronized (com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.class) {
            if (mAwareAppIoLimitMng == null) {
                mAwareAppIoLimitMng = new com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng();
            }
            awareAppIoLimitMng = mAwareAppIoLimitMng;
        }
        return awareAppIoLimitMng;
    }

    private AwareAppIoLimitMng() {
        this.mIoLimitObserver = new com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.AppIoLimitObserver();
        this.mIsScreenOn = new java.util.concurrent.atomic.AtomicBoolean(true);
        this.mIsStatusBarRevealed = new java.util.concurrent.atomic.AtomicBoolean(false);
        this.isIOLimit = new java.util.concurrent.atomic.AtomicBoolean(false);
        this.isGame = new java.util.concurrent.atomic.AtomicBoolean(false);
        this.mIsMultiWin = new java.util.concurrent.atomic.AtomicBoolean(false);
        this.mHandler = null;
        this.mCurPkgName = "";
        this.mIoLimit_duration = 3000;
        this.mIsInitialized = new java.util.concurrent.atomic.AtomicBoolean(false);
        this.mIoLimitSceneRecognize = new com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.IOLimitSceneRecognize();
        this.mCallBackHandler = new com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.AppIoLimitCallBackHandler();
        this.mHandler = new com.android.server.mtm.iaware.appmng.appiolimit.AwareAppIoLimitMng.AwareAppIoLimitMngHanlder();
    }

    private void initialize() {
        if (!this.mIsInitialized.get()) {
            registerAwareSceneRecognize();
            com.android.server.mtm.MultiTaskManagerService mMtmService = com.android.server.mtm.MultiTaskManagerService.self();
            if (mMtmService != null) {
                com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().updateRule(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_IOLIMIT, mMtmService.context());
                com.android.server.mtm.iaware.appmng.appiolimit.AwareAppDefaultIoLimit.getInstance().init(mMtmService.context());
            }
            registerObserver();
            com.huawei.android.app.HwActivityManager.registerThirdPartyCallBack(this.mCallBackHandler);
            this.mIoLimit_duration = android.os.SystemProperties.getInt("persist.sys.io_limit_delay", 3000);
            this.mIsInitialized.set(true);
        }
    }

    private synchronized void deInitialize() {
        if (this.mIsInitialized.get()) {
            unregisterAwareSceneRecognize();
            com.android.server.mtm.iaware.appmng.appiolimit.AwareAppDefaultIoLimit.getInstance().deInitDefaultFree();
            com.huawei.android.app.HwActivityManager.unregisterThirdPartyCallBack(this.mCallBackHandler);
            unregisterObserver();
            this.mIsInitialized.set(false);
        }
    }

    private void registerAwareSceneRecognize() {
        com.android.server.rms.iaware.appmng.AwareSceneRecognize recognize = com.android.server.rms.iaware.appmng.AwareSceneRecognize.getInstance();
        if (recognize != null) {
            recognize.registerStateCallback(this.mIoLimitSceneRecognize, 1);
        }
    }

    private void unregisterAwareSceneRecognize() {
        com.android.server.rms.iaware.appmng.AwareSceneRecognize recognize = com.android.server.rms.iaware.appmng.AwareSceneRecognize.getInstance();
        if (recognize != null) {
            recognize.unregisterStateCallback(this.mIoLimitSceneRecognize);
        }
    }

    public static void enable() {
        android.rms.iaware.AwareLog.d("AwareAppIoLimitMng", "AwareAppIoLimitMng feature enable");
        mEnabled = true;
        if (mAwareAppIoLimitMng != null) {
            mAwareAppIoLimitMng.initialize();
        }
    }

    public static void disable() {
        android.rms.iaware.AwareLog.d("AwareAppIoLimitMng", "AwareAppIoLimitMng feature disabled");
        mEnabled = false;
        if (mAwareAppIoLimitMng != null) {
            mAwareAppIoLimitMng.deInitialize();
        }
    }

    public static void enableDebug() {
        DEBUG = true;
        com.android.server.mtm.iaware.appmng.appiolimit.AwareAppDefaultIoLimit.enableDebug();
    }

    public static void disableDebug() {
        DEBUG = false;
        com.android.server.mtm.iaware.appmng.appiolimit.AwareAppDefaultIoLimit.disableDebug();
    }

    private void recognizeGameApp() {
        java.util.Set<java.lang.Integer> fgPids = new android.util.ArraySet();
        com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getForeGroundApp(fgPids);
        if (!fgPids.isEmpty()) {
            java.lang.String pkgName = "";
            boolean gameType = false;
            for (java.lang.Integer fgPid : fgPids) {
                pkgName = com.android.server.mtm.utils.InnerUtils.getAwarePkgName(fgPid.intValue());
                if (com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().isAppMngSpecType(pkgName, 9)) {
                    gameType = true;
                    break;
                }
            }
            this.isGame.set(gameType);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("pkg:");
            stringBuilder.append(pkgName);
            stringBuilder.append(",isGame:");
            stringBuilder.append(this.isGame.get());
            android.rms.iaware.AwareLog.d("AwareAppIoLimitMng", stringBuilder.toString());
        }
    }

    private void sendDelayMsg(int msgType, int duration) {
        android.os.Message msg = this.mHandler.obtainMessage();
        msg.what = msgType;
        this.mHandler.sendMessageDelayed(msg, (long) duration);
    }

    private void handleToIOLimit(int msgType) {
        if (!this.mIsScreenOn.get()) {
            android.rms.iaware.AwareLog.d("AwareAppIoLimitMng", "Current is Screen off now");
        } else if (this.mIsStatusBarRevealed.get()) {
            android.rms.iaware.AwareLog.d("AwareAppIoLimitMng", "Current status bar is revealed now");
        } else {
            if (!com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getDefaultHomePackages().contains(this.mCurPkgName)) {
                if (!"com.android.systemui".equals(this.mCurPkgName)) {
                    if (!this.isIOLimit.get()) {
                        com.android.server.mtm.iaware.appmng.appiolimit.AwareAppDefaultIoLimit.getInstance().doLimitIO(this.mCurPkgName, android.app.mtm.iaware.appmng.AppMngConstant.AppIoLimitSource.IOLIMIT);
                        this.isIOLimit.set(true);
                        if (msgType != 2) {
                            sendDelayMsg(4, this.mIoLimit_duration);
                        }
                    } else if (msgType == 1) {
                        if (DEBUG) {
                            android.rms.iaware.AwareLog.d("AwareAppIoLimitMng", "continue io limit");
                        }
                        this.mHandler.removeMessages(4);
                        sendDelayMsg(4, this.mIoLimit_duration);
                    } else if (msgType == 2) {
                        this.mHandler.removeMessages(4);
                    }
                    return;
                }
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Current App is home or System UI:");
            stringBuilder.append(this.mCurPkgName);
            android.rms.iaware.AwareLog.d("AwareAppIoLimitMng", stringBuilder.toString());
        }
    }

    private void hanldeProximityToIOLimit() {
        if (!this.isIOLimit.get()) {
            com.android.server.mtm.iaware.appmng.appiolimit.AwareAppDefaultIoLimit.getInstance().doLimitIO(this.mCurPkgName, android.app.mtm.iaware.appmng.AppMngConstant.AppIoLimitSource.IOLIMIT);
            this.isIOLimit.set(true);
            sendDelayMsg(4, this.mIoLimit_duration);
        }
    }

    private void handleToUnIOLimit() {
        if (this.isIOLimit.get()) {
            com.android.server.mtm.iaware.appmng.appiolimit.AwareAppDefaultIoLimit.getInstance().doUnLimitIO();
            this.isIOLimit.set(false);
        }
    }

    private void handleToRemovePids(int uid, int pid) {
        if (this.isIOLimit.get()) {
            com.android.server.mtm.iaware.appmng.appiolimit.AwareAppDefaultIoLimit.getInstance().doRemoveIoPids(uid, pid);
        }
    }

    public void report(int eventId) {
        if (mEnabled) {
            if (!this.mIsInitialized.get()) {
                initialize();
            }
            if (eventId == 20011) {
                this.mIsScreenOn.set(true);
            } else if (eventId == 20015) {
                this.mIsStatusBarRevealed.set(true);
            } else if (eventId == 90011) {
                this.mIsScreenOn.set(false);
            } else if (eventId == 90015) {
                this.mIsStatusBarRevealed.set(false);
            }
        }
    }

    public void report(int eventId, android.os.Bundle bundleArgs) {
        if (mEnabled) {
            if (bundleArgs != null) {
                if (!this.mIsInitialized.get()) {
                    initialize();
                }
                if (eventId != 20017) {
                    switch (eventId) {
                        case 1:
                        case 2:
                            int callerUid = bundleArgs.getInt("callUid");
                            int targetUid = bundleArgs.getInt("tgtUid");
                            if (callerUid != targetUid) {
                                if (targetUid >= 0) {
                                    handleToRemovePids(targetUid, 0);
                                    break;
                                }
                                break;
                            }
                            break;
                        default:
                            break;
                    }
                }
                handleToRemovePids(bundleArgs.getInt("callUid"), 0);
            }
        }
    }

    private void registerObserver() {
        try {
            android.app.ActivityManagerNative.getDefault().registerProcessObserver(this.mIoLimitObserver);
        } catch (android.os.RemoteException e) {
            android.rms.iaware.AwareLog.w("AwareAppIoLimitMng", "register process observer failed");
        }
    }

    private void unregisterObserver() {
        try {
            android.app.ActivityManagerNative.getDefault().unregisterProcessObserver(this.mIoLimitObserver);
        } catch (android.os.RemoteException e) {
            android.rms.iaware.AwareLog.w("AwareAppIoLimitMng", "unregister process observer failed");
        }
    }
}
