package com.android.server.mtm.iaware.appmng.appstart;

public class AwareAppStartupPolicy {
    private static final java.lang.String ACTION_APPSTARTUP_CHANGED = "com.huawei.android.APPSTARTUP_CHANGED";
    private static final java.lang.String ACTION_APPSTARTUP_RECORD = "com.huawei.android.hsm.APPSTARTUP_RECORD";
    private static final long DELAY_MILLS_NOTIFY_PG = 5000;
    private static final long DELAY_MILLS_REMOVE_RESTART_DATA = 1200000;
    private static final long DELAY_PRINT_LOG = 1000;
    private static final int HASHCODE_INIT_VALUE = 17;
    private static final int HASHCODE_MULTI_VALUE = 31;
    private static final java.lang.String HSM_PACKAGE_NAME = "com.huawei.systemmanager";
    private static final java.lang.String HW_LAUNCHER_WIDGET_UPDATE = "com.huawei.android.launcher.action.GET_WIDGET";
    private static final java.lang.String IGNORE = "NA";
    private static final int MAX_LOG_MERGER = 10;
    private static boolean MM_HOTA_AUTOSTART_HAS_DONE = false;
    private static final int MSG_CODE_INIT_STARTUP_SETTING = 5;
    private static final int MSG_CODE_NOTIFY_CHANGED_TO_PG = 4;
    private static final int MSG_CODE_NOTIFY_PROCESS_START = 6;
    private static final int MSG_CODE_POLICY_INIT = 1;
    private static final int MSG_CODE_REMOVE_RESTART_DATA = 7;
    private static final int MSG_CODE_REPORT_RECORD_TO_HSM = 3;
    private static final int MSG_CODE_REPORT_RECORD_TO_LOG = 8;
    private static final int MSG_CODE_WRITE_STARTUP_SETTING = 2;
    private static final java.lang.String PG_PACKAGE_NAME = "com.huawei.powergenie";
    private static final java.lang.String PKG_PREFIX = "com.";
    private static final java.lang.String PREVENT_SEPERATE = "#";
    private static final int REPORT_HSM_INTERVAL = 30000;
    private static final int REPORT_HSM_MAX = 30;
    private static final java.lang.String TAG = "AwareAppStartupPolicy";
    private static final java.lang.String TAG_SIMPLE = "AppStart";
    private static final java.util.Set<java.lang.String> WEARCALLER_ALLOWPKGS = new android.util.ArraySet();
    private static final java.lang.String WECHAT_PACKAGE_NAME = "com.tencent.mm";
    private static final java.lang.StringBuilder mSbLog = new java.lang.StringBuilder(256);
    private static final java.lang.StringBuilder mSbLogMerge = new java.lang.StringBuilder(256);
    private static com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy sInstance = null;
    private boolean DEBUG_COST = false;
    private boolean DEBUG_DETAIL = false;
    private final com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.RestartData mAllowData = new com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.RestartData(null, null, 0, 0, null);
    private android.content.Context mContext = null;
    private com.android.server.mtm.iaware.appmng.appstart.datamgr.AppStartupDataMgr mDataMgr = new com.android.server.mtm.iaware.appmng.appstart.datamgr.AppStartupDataMgr();
    private int mForegroundAppLevel = 2;
    private int mForegroundSleepAppLevel = 5;
    private android.os.Handler mHandler = null;
    private android.os.HandlerThread mHandlerThread = null;
    private android.util.ArrayMap<com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.HsmRecord, java.lang.Integer> mHsmRecordList = new android.util.ArrayMap();
    private java.util.concurrent.atomic.AtomicBoolean mInitFinished = new java.util.concurrent.atomic.AtomicBoolean(false);
    private boolean mIsAbroadArea = false;
    private boolean mIsUpgrade = false;
    private long mLastRemoveMsgTime = 0;
    private android.util.ArrayMap<com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.AppStartLogRecord, android.util.ArraySet<java.lang.String>> mLogRecordMap = new android.util.ArrayMap();
    private java.util.concurrent.atomic.AtomicBoolean mPolicyInited = new java.util.concurrent.atomic.AtomicBoolean(false);
    private android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.RestartData> mRestartDataList = new android.util.ArrayMap();
    private boolean mSubUserAppCtrl = true;

    /* renamed from: com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy$1 */
    static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppStartSource = new int[android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.values().length];

        static {
            try {
                $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppStartSource[android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.THIRD_ACTIVITY.ordinal()] = 1;
            } catch (java.lang.NoSuchFieldError e) {
            }
            try {
                $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppStartSource[android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.ALARM.ordinal()] = 2;
            } catch (java.lang.NoSuchFieldError e2) {
            }
            try {
                $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppStartSource[android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.SYSTEM_BROADCAST.ordinal()] = 3;
            } catch (java.lang.NoSuchFieldError e3) {
            }
            try {
                $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppStartSource[android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.JOB_SCHEDULE.ordinal()] = 4;
            } catch (java.lang.NoSuchFieldError e4) {
            }
            try {
                $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppStartSource[android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.ACCOUNT_SYNC.ordinal()] = 5;
            } catch (java.lang.NoSuchFieldError e5) {
            }
            try {
                $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppStartSource[android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.SCHEDULE_RESTART.ordinal()] = 6;
            } catch (java.lang.NoSuchFieldError e6) {
            }
            try {
                $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppStartSource[android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.BIND_SERVICE.ordinal()] = 7;
            } catch (java.lang.NoSuchFieldError e7) {
            }
            try {
                $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppStartSource[android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.START_SERVICE.ordinal()] = 8;
            } catch (java.lang.NoSuchFieldError e8) {
            }
            try {
                $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppStartSource[android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.PROVIDER.ordinal()] = 9;
            } catch (java.lang.NoSuchFieldError e9) {
            }
            try {
                $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppStartSource[android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.THIRD_BROADCAST.ordinal()] = 10;
            } catch (java.lang.NoSuchFieldError e10) {
            }
        }
    }

    private static class AppStartLogRecord {
        public java.lang.String action;
        public java.lang.String alw;
        public java.lang.String caller;
        public int callerUid;
        public android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource req;

        /* synthetic */ AppStartLogRecord(android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource x0, java.lang.String x1, int x2, java.lang.String x3, java.lang.String x4, com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.AnonymousClass1 x5) {
            this(x0, x1, x2, x3, x4);
        }

        private AppStartLogRecord(android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource requestSource, java.lang.String alwDetail, int callerUid, java.lang.String callerApp, java.lang.String action) {
            this.req = requestSource;
            this.alw = alwDetail;
            this.callerUid = callerUid;
            this.caller = callerApp;
            this.action = action;
        }

        public int hashCode() {
            return (31 * ((31 * ((31 * ((31 * ((31 * 17) + this.req.ordinal())) + this.alw.hashCode())) + this.callerUid)) + this.caller.hashCode())) + this.action.hashCode();
        }

        public boolean equals(java.lang.Object obj) {
            boolean z = false;
            if (obj != null) {
                if (obj instanceof com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.AppStartLogRecord) {
                    com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.AppStartLogRecord o = (com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.AppStartLogRecord) obj;
                    if (this.req.equals(o.req) && this.alw.equals(o.alw) && this.callerUid == o.callerUid && this.caller.equals(o.caller) && this.action.equals(o.action)) {
                        z = true;
                    }
                    return z;
                }
            }
            return false;
        }
    }

    private enum CacheType {
        STARTUP_SETTING
    }

    private static class HsmRecord {
        private boolean autoStart;
        private java.lang.String callerType;
        private int callerUid;
        private java.lang.String pkg;
        private boolean result;
        private long timeStamp;

        /* synthetic */ HsmRecord(java.lang.String x0, java.lang.String x1, int x2, boolean x3, boolean x4, com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.AnonymousClass1 x5) {
            this(x0, x1, x2, x3, x4);
        }

        private HsmRecord(java.lang.String pkgName, java.lang.String type, int uid, boolean res, boolean selfStart) {
            this.pkg = pkgName;
            this.callerType = type;
            this.callerUid = uid;
            this.result = res;
            this.autoStart = selfStart;
            this.timeStamp = java.lang.System.currentTimeMillis();
        }

        public int hashCode() {
            int i = 0;
            int hashCode = this.pkg != null ? this.pkg.hashCode() : 0;
            if (this.callerType != null) {
                i = this.callerType.hashCode();
            }
            return (hashCode + i) + (this.callerUid * ((1 << this.result) + this.autoStart));
        }

        public boolean equals(java.lang.Object obj) {
            boolean z = false;
            if (obj != null) {
                if (obj instanceof com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.HsmRecord) {
                    com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.HsmRecord o = (com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.HsmRecord) obj;
                    if (java.util.Objects.equals(this.pkg, o.pkg) && java.util.Objects.equals(this.callerType, o.callerType) && this.callerUid == o.callerUid && this.result == o.result && this.autoStart == o.autoStart) {
                        z = true;
                    }
                    return z;
                }
            }
            return false;
        }

        public java.lang.String toString() {
            java.lang.StringBuilder sb = new java.lang.StringBuilder();
            sb.append("HsmRecord: {");
            sb.append(this.pkg);
            sb.append(" type:");
            sb.append(this.callerType);
            sb.append(" uid:");
            sb.append(this.callerUid);
            sb.append(" res:");
            sb.append(this.result);
            sb.append(" auto:");
            sb.append(this.autoStart);
            sb.append(" time:");
            sb.append(this.timeStamp);
            sb.append('}');
            return sb.toString();
        }
    }

    private static class RestartData {
        private int alwType;
        private boolean dirty;
        private java.lang.String pkg;
        private int policyType;
        private java.lang.String reason;
        private long timeStamp;

        /* synthetic */ RestartData(java.lang.String x0, java.lang.String x1, int x2, int x3, com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.AnonymousClass1 x4) {
            this(x0, x1, x2, x3);
        }

        private RestartData(java.lang.String pkgName, java.lang.String rsn, int allowtype, int policy) {
            this.pkg = pkgName;
            this.reason = rsn;
            this.alwType = allowtype;
            this.policyType = policy;
            this.timeStamp = android.os.SystemClock.elapsedRealtime();
            this.dirty = true;
        }

        public java.lang.String toString() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("RestartData: {");
            stringBuilder.append(this.pkg);
            stringBuilder.append(" reason:");
            stringBuilder.append(this.reason);
            stringBuilder.append(" policy:");
            stringBuilder.append(this.policyType);
            stringBuilder.append("}");
            return stringBuilder.toString();
        }

        public void setDirty(boolean dirty) {
            this.dirty = dirty;
        }

        public boolean getDirty() {
            return this.dirty;
        }

        public void set(java.lang.String reason, int alwType, int policyType) {
            this.reason = reason;
            this.alwType = alwType;
            this.policyType = policyType;
        }
    }

    private class StartupPolicyHandler extends android.os.Handler {
        public StartupPolicyHandler(android.os.Looper looper) {
            super(looper);
        }

        public void handleMessage(android.os.Message msg) {
            switch (msg.what) {
                case 1:
                    com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.this.policyInit();
                    return;
                case 2:
                    com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.this.writeCacheFile(com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.CacheType.STARTUP_SETTING);
                    return;
                case 3:
                    com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.this.startRecordService();
                    return;
                case 4:
                    com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.this.startNotifyChangedService();
                    return;
                case 5:
                    com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.this.initStartupSetting();
                    return;
                case 6:
                    com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.this.reportProcessStart(msg);
                    return;
                case 7:
                    com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.this.periodRemoveRestartData();
                    return;
                case 8:
                    com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.this.printMergeReqLog();
                    return;
                default:
                    return;
            }
        }
    }

    static {
        WEARCALLER_ALLOWPKGS.add("com.huawei.iconnect");
    }

    private AwareAppStartupPolicy(android.content.Context context, android.os.HandlerThread mtmThread) {
        this.mContext = context;
        if (com.android.server.rms.iaware.srms.AppStartupFeature.isAppStartupEnabled()) {
            init();
            return;
        }
        this.mHandler = new com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.StartupPolicyHandler(mtmThread.getLooper());
        this.mHandler.sendEmptyMessage(5);
    }

    public static synchronized com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy getInstance(android.content.Context context, android.os.HandlerThread mtmThread) {
        com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy awareAppStartupPolicy;
        synchronized (com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.class) {
            if (!(sInstance != null || context == null || mtmThread == null)) {
                sInstance = new com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy(context, mtmThread);
            }
            awareAppStartupPolicy = sInstance;
        }
        return awareAppStartupPolicy;
    }

    public static synchronized com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy self() {
        com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy awareAppStartupPolicy;
        synchronized (com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.class) {
            awareAppStartupPolicy = sInstance;
        }
        return awareAppStartupPolicy;
    }

    private void init() {
        if (this.mHandlerThread == null) {
            this.mHandlerThread = new android.os.HandlerThread("AwareAppStartupPolicy");
            this.mHandlerThread.start();
            this.mHandler = new com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.StartupPolicyHandler(this.mHandlerThread.getLooper());
        }
        this.mHandler.sendEmptyMessage(1);
    }

    private void unInit() {
        if (this.mPolicyInited.get()) {
            setInitState(false);
            this.mHandler.removeMessages(1);
            this.mHandler.removeMessages(3);
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().appStartDisable();
            this.mDataMgr.unInitData();
        }
    }

    private void setInitState(boolean finished) {
        this.mPolicyInited.set(finished);
        if (finished) {
            this.mInitFinished.set(true);
        }
    }

    private void setAppStartupSyncFlag(boolean needSync) {
        android.os.SystemProperties.set("persist.sys.appstart.sync", needSync ? "true" : "false");
        if (this.DEBUG_DETAIL) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setAppStartupSyncFlag needSync=");
            stringBuilder.append(needSync);
            android.rms.iaware.AwareLog.e("AwareAppStartupPolicy", stringBuilder.toString());
        }
    }

    private void policyInit() {
        long start = java.lang.System.nanoTime();
        android.content.pm.PackageManager pm = this.mContext.getPackageManager();
        if (pm != null && pm.isUpgrade()) {
            this.mIsUpgrade = true;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("policyInit mIsUpgrade=");
        stringBuilder.append(this.mIsUpgrade);
        android.rms.iaware.AwareLog.i("AwareAppStartupPolicy", stringBuilder.toString());
        this.mIsAbroadArea = com.android.server.rms.iaware.appmng.AwareDefaultConfigList.isAbroadArea();
        com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().updateRule(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_START, this.mContext);
        this.mDataMgr.initData(this.mContext);
        com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().appStartEnable(this.mDataMgr, this.mContext);
        setInitState(true);
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("policyInit finished, cost=");
        stringBuilder2.append((java.lang.System.nanoTime() - start) / 1000);
        android.rms.iaware.AwareLog.i("AwareAppStartupPolicy", stringBuilder2.toString());
    }

    private void initStartupSetting() {
        long start = java.lang.System.nanoTime();
        this.mDataMgr.initStartupSetting();
        setInitState(true);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("initStartupSetting finished, cost=");
        stringBuilder.append((java.lang.System.nanoTime() - start) / 1000);
        android.rms.iaware.AwareLog.i("AwareAppStartupPolicy", stringBuilder.toString());
    }

    public void initSystemUidCache() {
        this.mDataMgr.initSystemUidCache(this.mContext);
    }

    private boolean isPolicyEnabled() {
        return this.mPolicyInited.get() && com.android.server.rms.iaware.srms.AppStartupFeature.isAppStartupEnabled();
    }

    private boolean isSubUser() {
        return com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getCurSwitchUser() != 0;
    }

    private boolean isSubUserAppControl(int uid, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource requestSource) {
        boolean subUser = isSubUser();
        if (!this.mSubUserAppCtrl) {
            return subUser;
        }
        boolean z = false;
        if (!subUser) {
            return false;
        }
        if (android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.SCHEDULE_RESTART.equals(requestSource)) {
            return true;
        }
        if (android.os.UserHandle.getUserId(uid) != 0) {
            z = true;
        }
        return z;
    }

    public android.app.mtm.iaware.HwAppStartupSetting getAppStartupSetting(java.lang.String pkgName) {
        if (this.mInitFinished.get()) {
            return this.mDataMgr.getAppStartupSetting(pkgName);
        }
        return null;
    }

    public java.util.List<android.app.mtm.iaware.HwAppStartupSetting> retrieveAppStartupSettings(java.util.List<java.lang.String> pkgList, android.app.mtm.iaware.HwAppStartupSettingFilter filter) {
        if (!this.mInitFinished.get()) {
            return null;
        }
        if (this.DEBUG_DETAIL) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("retrieveAppStartupSettings pkgList=");
            stringBuilder.append(pkgList);
            stringBuilder.append(", filter=");
            stringBuilder.append(filter);
            android.rms.iaware.AwareLog.i("AwareAppStartupPolicy", stringBuilder.toString());
        }
        return this.mDataMgr.retrieveAppStartupSettings(pkgList, filter);
    }

    public java.util.List<java.lang.String> retrieveAppStartupPackages(java.util.List<java.lang.String> pkgList, int[] policy, int[] modifier, int[] show) {
        if (!this.mInitFinished.get()) {
            return null;
        }
        if (this.DEBUG_DETAIL) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("retrieveAppStartupPackages pkgList=");
            stringBuilder.append(pkgList);
            stringBuilder.append(", policy=");
            stringBuilder.append(java.util.Arrays.toString(policy));
            stringBuilder.append(", modifier=");
            stringBuilder.append(java.util.Arrays.toString(modifier));
            stringBuilder.append(", show=");
            stringBuilder.append(java.util.Arrays.toString(show));
            android.rms.iaware.AwareLog.i("AwareAppStartupPolicy", stringBuilder.toString());
        }
        java.util.List<android.app.mtm.iaware.HwAppStartupSetting> settingList = this.mDataMgr.retrieveAppStartupSettings(pkgList, new android.app.mtm.iaware.HwAppStartupSettingFilter().setPolicy(policy).setShow(show).setModifier(modifier));
        java.util.List<java.lang.String> list = new java.util.ArrayList();
        for (android.app.mtm.iaware.HwAppStartupSetting item : settingList) {
            list.add(item.getPackageName());
        }
        return list;
    }

    public boolean updateAppStartupSettings(java.util.List<android.app.mtm.iaware.HwAppStartupSetting> settingList, boolean clearFirst) {
        if (this.mInitFinished.get()) {
            if (this.DEBUG_DETAIL) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("updateAppStartupSettings clearFirst=");
                stringBuilder.append(clearFirst);
                stringBuilder.append(", settingList=");
                stringBuilder.append(settingList);
                android.rms.iaware.AwareLog.i("AwareAppStartupPolicy", stringBuilder.toString());
            }
            if (!this.mDataMgr.updateAppStartupSettings(settingList, clearFirst)) {
                return false;
            }
            scheduleFastWriteCache(com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.CacheType.STARTUP_SETTING);
            sendAppStartupChangedMsg();
            return true;
        }
        android.rms.iaware.AwareLog.i("AwareAppStartupPolicy", "updateAppStartupSettings policy is not finish init");
        return false;
    }

    public boolean removeAppStartupSetting(java.lang.String pkgName) {
        if (!this.mInitFinished.get()) {
            return false;
        }
        if (this.DEBUG_DETAIL) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("removeAppStartupSetting pkgName=");
            stringBuilder.append(pkgName);
            android.rms.iaware.AwareLog.i("AwareAppStartupPolicy", stringBuilder.toString());
        }
        if (!this.mDataMgr.removeAppStartupSetting(pkgName)) {
            return false;
        }
        scheduleFastWriteCache(com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.CacheType.STARTUP_SETTING);
        sendAppStartupChangedMsg();
        return true;
    }

    public boolean updateCloudPolicy(java.lang.String filePath) {
        if (!this.mInitFinished.get()) {
            return false;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("updateCloudPolicy filePath=");
        stringBuilder.append(filePath);
        android.rms.iaware.AwareLog.i("AwareAppStartupPolicy", stringBuilder.toString());
        com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().updateRule(null, this.mContext);
        com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().updateCloudData();
        com.android.server.rms.iaware.srms.BroadcastExFeature.updateConfig();
        if (isPolicyEnabled()) {
            this.mDataMgr.updateCloudData();
        }
        return true;
    }

    public void notifyProcessStart(java.lang.String pkgName, java.lang.String process, java.lang.String hostingType, int pid, int uid) {
        com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().setHwStopFlag(android.os.UserHandle.getUserId(uid), pkgName, false);
        if (!isPolicyEnabled() || isSubUser()) {
            return;
        }
        if ((com.android.server.rms.iaware.srms.AppStartupFeature.isBetaUser() || !this.mDataMgr.isSpecialCaller(uid)) && !this.mIsAbroadArea) {
            android.os.Bundle bundle = new android.os.Bundle();
            bundle.putString("PACKAGE", pkgName);
            bundle.putString("HOST_TYPE", hostingType);
            android.os.Message msg = this.mHandler.obtainMessage(6);
            msg.setData(bundle);
            this.mHandler.sendMessage(msg);
        }
    }

    public int getBigdataThreshold(boolean beta) {
        return this.mDataMgr.getBigdataThreshold(beta);
    }

    public void setEnable(boolean enable) {
        if (enable) {
            init();
        } else {
            unInit();
        }
    }

    private android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource getReceiverReqSource(boolean isSpecCaller, boolean isAlarmFlag, int callerUid, android.content.pm.ApplicationInfo applicationInfo, int unPercetibleAlarm) {
        if (isSpecCaller) {
            return isAlarmFlag ? android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.ALARM : android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.SYSTEM_BROADCAST;
        } else if (!isAlarmFlag) {
            return android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.THIRD_BROADCAST;
        } else {
            if (callerUid == applicationInfo.uid) {
                return android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.ALARM;
            }
            if (this.mDataMgr.isSystemBaseApp(applicationInfo)) {
                return android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.ALARM;
            }
            if (unPercetibleAlarm != 0) {
                return android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.ALARM;
            }
            return android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.THIRD_BROADCAST;
        }
    }

    private android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource getServiceReqSource(android.content.pm.ServiceInfo servInfo, android.content.Intent service, boolean isSrvBind, int hwFlag, int callerUid, int unPercetibleAlarm) {
        android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource requestResource = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.BIND_SERVICE;
        if ((hwFlag & 32) != 0) {
            requestResource = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.JOB_SCHEDULE;
            service.setHwFlags(hwFlag & -33);
            return requestResource;
        } else if ((hwFlag & 64) != 0) {
            return android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.ACCOUNT_SYNC;
        } else {
            if (isSrvBind) {
                return requestResource;
            }
            if ((hwFlag & 256) == 0) {
                return android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.START_SERVICE;
            }
            if (servInfo.applicationInfo.uid == callerUid) {
                return android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.ALARM;
            }
            if (unPercetibleAlarm != 0) {
                return android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.ALARM;
            }
            return android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.START_SERVICE;
        }
    }

    private android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource getActivityReqSource(int uid, int callerUid, int hwFlag) {
        android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource requestResource = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.THIRD_ACTIVITY;
        if ((hwFlag & 256) == 0) {
            return requestResource;
        }
        if (uid == callerUid) {
            return android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.ALARM;
        }
        if ((hwFlag & 2048) == 0) {
            return android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.ALARM;
        }
        return requestResource;
    }

    public boolean shouldPreventSendReceiver(android.content.Intent intent, android.content.pm.ResolveInfo resolveInfo, int callPid, int callerUid, com.android.server.am.ProcessRecord targetApp, com.android.server.am.ProcessRecord callerApp) {
        android.content.pm.ResolveInfo resolveInfo2 = resolveInfo;
        int i = callerUid;
        com.android.server.am.ProcessRecord processRecord = callerApp;
        if (intent != null) {
            if (resolveInfo2 != null) {
                if (!isPolicyEnabled()) {
                    return false;
                }
                long start = 0;
                if (this.DEBUG_COST) {
                    start = java.lang.System.nanoTime();
                }
                long start2 = start;
                int callerPid = processRecord != null ? processRecord.pid : callPid;
                java.lang.String action = intent.getAction();
                boolean isSpecCaller = this.mDataMgr.isSpecialCaller(i);
                int hwFlag = intent.getHwFlags();
                boolean z = true;
                boolean isAlarmFlag = (hwFlag & 256) != 0;
                int unPercetibleAlarm = 2;
                if (isAlarmFlag) {
                    if ((hwFlag & 512) != 0) {
                        unPercetibleAlarm = 1;
                    } else if ((hwFlag & 2048) != 0) {
                        unPercetibleAlarm = 0;
                    } else if (i == 1000 && "android.intent.action.DATE_CHANGED".equals(action)) {
                        unPercetibleAlarm = 1;
                    }
                }
                int unPercetibleAlarm2 = unPercetibleAlarm;
                android.content.pm.ApplicationInfo applicationInfo = resolveInfo2.activityInfo.applicationInfo;
                android.content.pm.ApplicationInfo ai = applicationInfo;
                int pkgAlwType = getPackageAllowType(resolveInfo2.activityInfo.processName, applicationInfo, callerPid, i, targetApp, callerApp, getReceiverReqSource(isSpecCaller, isAlarmFlag, i, applicationInfo, unPercetibleAlarm2), resolveInfo2.activityInfo.getComponentName().flattenToShortString(), action, unPercetibleAlarm2, false);
                if (this.DEBUG_COST) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("shouldPreventSendReceiver cost=");
                    stringBuilder.append((java.lang.System.nanoTime() - start2) / 1000);
                    android.rms.iaware.AwareLog.i("AwareAppStartupPolicy", stringBuilder.toString());
                }
                if (pkgAlwType > 0) {
                    z = false;
                }
                return z;
            }
        }
        return false;
    }

    public boolean shouldPreventStartService(android.content.pm.ServiceInfo servInfo, int callerPid, int callerUid, com.android.server.am.ProcessRecord callerApp, int servFlag, boolean servExist, android.content.Intent service) {
        android.content.pm.ServiceInfo serviceInfo = servInfo;
        int i = servFlag;
        boolean z = servExist;
        boolean z2 = false;
        if (serviceInfo == null || !isPolicyEnabled()) {
            return false;
        }
        long start = 0;
        if (this.DEBUG_COST) {
            start = java.lang.System.nanoTime();
        }
        long start2 = start;
        boolean isSrvBind = i == 2;
        if (i != 0) {
            if (!isSrvBind || !z) {
                int hwFlag = 0;
                java.lang.String action = null;
                if (service != null) {
                    hwFlag = service.getHwFlags();
                    action = service.getAction();
                }
                int hwFlag2 = hwFlag;
                java.lang.String action2 = action;
                hwFlag = 2;
                if (!((hwFlag2 & 256) == 0 || (hwFlag2 & 2048) == 0)) {
                    hwFlag = 0;
                }
                int unPercetibleAlarm = hwFlag;
                android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource requestResource = getServiceReqSource(serviceInfo, service, isSrvBind, hwFlag2, callerUid, unPercetibleAlarm);
                if (!android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.ACCOUNT_SYNC.equals(requestResource) || (hwFlag2 & 128) == 0) {
                    hwFlag = getPackageAllowType(serviceInfo.processName, serviceInfo.applicationInfo, callerPid, callerUid, null, callerApp, requestResource, servInfo.getComponentName().flattenToShortString(), action2, unPercetibleAlarm, 0);
                    if (this.DEBUG_COST) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("shouldPreventStartService cost=");
                        stringBuilder.append((java.lang.System.nanoTime() - start2) / 1000);
                        android.rms.iaware.AwareLog.i("AwareAppStartupPolicy", stringBuilder.toString());
                    }
                    if (hwFlag <= 0) {
                        z2 = true;
                    }
                    return z2;
                }
                if (this.DEBUG_DETAIL) {
                    android.rms.iaware.AwareLog.i("AwareAppStartupPolicy", "we donnot forbiden sync when user initiated");
                }
                return false;
            }
        }
        if (this.DEBUG_DETAIL) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("shouldPreventStartService pkg=");
            stringBuilder2.append(serviceInfo.applicationInfo.packageName);
            stringBuilder2.append(", comp=");
            stringBuilder2.append(serviceInfo.name);
            stringBuilder2.append(", callerPid=");
            stringBuilder2.append(callerPid);
            stringBuilder2.append(", callerUid=");
            stringBuilder2.append(callerUid);
            stringBuilder2.append(", servFlag=");
            stringBuilder2.append(i);
            stringBuilder2.append(", servExist=");
            stringBuilder2.append(z);
            android.rms.iaware.AwareLog.i("AwareAppStartupPolicy", stringBuilder2.toString());
        } else {
            int i2 = callerPid;
            int i3 = callerUid;
        }
        return false;
    }

    public boolean shouldPreventStartActivity(android.content.Intent intent, android.content.pm.ActivityInfo aInfo, com.android.server.am.ActivityRecord record, int callerPid, int callerUid, com.android.server.am.ProcessRecord callerApp) {
        android.content.pm.ActivityInfo activityInfo = aInfo;
        boolean z = false;
        if (activityInfo != null) {
            if (intent != null) {
                if (!isPolicyEnabled()) {
                    return false;
                }
                long start = 0;
                if (this.DEBUG_COST) {
                    start = java.lang.System.nanoTime();
                }
                long start2 = start;
                int hwFlag = intent.getHwFlags();
                int i = callerUid;
                android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource requestResource = getActivityReqSource(activityInfo.applicationInfo.uid, i, hwFlag);
                boolean fromRecent = false;
                if ((intent.getFlags() & 1048576) != 0) {
                    fromRecent = true;
                }
                boolean fromRecent2 = fromRecent;
                if (getPackageAllowType(activityInfo.processName, activityInfo.applicationInfo, callerPid, i, null, callerApp, requestResource, aInfo.getComponentName().flattenToShortString(), null, 2, fromRecent2) <= 0) {
                    z = true;
                }
                boolean shouldPrevent = z;
                if (this.DEBUG_COST) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("shouldPreventStartActivity cost=");
                    stringBuilder.append((java.lang.System.nanoTime() - start2) / 1000);
                    android.rms.iaware.AwareLog.i("AwareAppStartupPolicy", stringBuilder.toString());
                }
                return shouldPrevent;
            }
        }
        return false;
    }

    public boolean shouldPreventStartProvider(android.content.pm.ProviderInfo cpi, int callerPid, int callerUid, com.android.server.am.ProcessRecord callerApp) {
        android.content.pm.ProviderInfo providerInfo = cpi;
        boolean z = false;
        if (providerInfo == null || !isPolicyEnabled()) {
            return false;
        }
        long start = 0;
        if (this.DEBUG_COST) {
            start = java.lang.System.nanoTime();
        }
        long start2 = start;
        int i = callerPid;
        int i2 = callerUid;
        com.android.server.am.ProcessRecord processRecord = callerApp;
        int pkgAlwType = getPackageAllowType(providerInfo.processName, providerInfo.applicationInfo, i, i2, null, processRecord, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.PROVIDER, cpi.getComponentName().flattenToShortString(), null, 2, false);
        if (this.DEBUG_COST) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("shouldPreventStartProvider cost=");
            stringBuilder.append((java.lang.System.nanoTime() - start2) / 1000);
            android.rms.iaware.AwareLog.i("AwareAppStartupPolicy", stringBuilder.toString());
        }
        if (pkgAlwType <= 0) {
            z = true;
        }
        return z;
    }

    public boolean shouldPreventRestartService(android.content.pm.ServiceInfo sInfo, boolean realStart) {
        android.content.pm.ServiceInfo serviceInfo = sInfo;
        boolean z = false;
        if (serviceInfo == null || !isPolicyEnabled()) {
            return false;
        }
        int pkgAlwType;
        java.lang.StringBuilder stringBuilder;
        long start = 0;
        if (this.DEBUG_COST) {
            start = java.lang.System.nanoTime();
        }
        long start2 = start;
        if (realStart) {
            com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.RestartData restartData;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(serviceInfo.applicationInfo.packageName);
            stringBuilder2.append("#");
            stringBuilder2.append(serviceInfo.processName);
            java.lang.String key = stringBuilder2.toString();
            synchronized (this.mRestartDataList) {
                restartData = (com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.RestartData) this.mRestartDataList.remove(key);
            }
            if (restartData != null) {
                if (!(this.mIsAbroadArea || isSubUser())) {
                    updateAllowedBigData(restartData.pkg, restartData.reason, restartData.alwType, restartData.policyType, true);
                }
                pkgAlwType = restartData.alwType;
            } else {
                pkgAlwType = 4;
            }
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("shouldPreventRestartService remove ");
            stringBuilder.append(key);
            stringBuilder.append(" ");
            stringBuilder.append(restartData);
            android.rms.iaware.AwareLog.i("AppStart", stringBuilder.toString());
        } else {
            android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource requestSource = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.SCHEDULE_RESTART;
            pkgAlwType = getPackageAllowType(serviceInfo.processName, serviceInfo.applicationInfo, android.os.Binder.getCallingPid(), android.os.Binder.getCallingUid(), null, null, requestSource, sInfo.getComponentName().flattenToShortString(), null, 2, false);
        }
        if (this.DEBUG_COST) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("shouldPreventRestartService cost=");
            stringBuilder.append((java.lang.System.nanoTime() - start2) / 1000);
            android.rms.iaware.AwareLog.i("AwareAppStartupPolicy", stringBuilder.toString());
        }
        if (pkgAlwType <= 0) {
            z = true;
        }
        return z;
    }

    private boolean isForbidApp(java.lang.String pkg, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource requestSource, boolean isAppStop, com.android.server.am.ProcessRecord callerApp) {
        if (!this.mDataMgr.isPgCleanApp(pkg)) {
            return false;
        }
        if (com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.AnonymousClass1.$SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppStartSource[requestSource.ordinal()] == 1) {
            this.mDataMgr.removePgCleanApp(pkg);
            return false;
        } else if (!isAppStop) {
            return false;
        } else {
            if (callerApp == null || callerApp.pkgList == null || callerApp.pkgList.isEmpty() || callerApp.pkgList.keyAt(0) == null || !WEARCALLER_ALLOWPKGS.contains(callerApp.pkgList.keyAt(0))) {
                return true;
            }
            return false;
        }
    }

    /* JADX WARNING: Missing block: B:8:0x0036, code:
            if (r0 == null) goto L_0x000a;
     */
    /* JADX WARNING: Missing block: B:9:0x0038, code:
            if (r1 != null) goto L_0x003b;
     */
    /* JADX WARNING: Missing block: B:11:0x003b, code:
            r3 = 0;
            r4 = r1.size();
            r5 = mSbLogMerge;
            r6 = r1.iterator();
     */
    /* JADX WARNING: Missing block: B:13:0x004a, code:
            if (r6.hasNext() == false) goto L_0x00d8;
     */
    /* JADX WARNING: Missing block: B:14:0x004c, code:
            r7 = (java.lang.String) r6.next();
            r8 = r3 % 10;
     */
    /* JADX WARNING: Missing block: B:15:0x0056, code:
            if (r8 != 0) goto L_0x00a4;
     */
    /* JADX WARNING: Missing block: B:16:0x0058, code:
            r5.setLength(0);
            r5.append("req:");
            r5.append(r0.req.getDesc());
            r5.append(',');
            r5.append("alw:");
            r5.append(r0.alw);
            r5.append(',');
            r5.append("call:");
            r5.append(r0.callerUid);
            r5.append(',');
            r5.append(r0.caller);
            r5.append(',');
            r5.append("act:");
            r5.append(r0.action);
            r5.append(' ');
            r5.append("{");
     */
    /* JADX WARNING: Missing block: B:17:0x00a4, code:
            if (r7 == null) goto L_0x00b2;
     */
    /* JADX WARNING: Missing block: B:19:0x00ac, code:
            if (r7.startsWith("com.") == false) goto L_0x00b2;
     */
    /* JADX WARNING: Missing block: B:20:0x00ae, code:
            r7 = r7.substring(r2);
     */
    /* JADX WARNING: Missing block: B:22:0x00b4, code:
            if (r8 == 9) goto L_0x00c2;
     */
    /* JADX WARNING: Missing block: B:24:0x00b8, code:
            if (r3 != (r4 - 1)) goto L_0x00bb;
     */
    /* JADX WARNING: Missing block: B:26:0x00bb, code:
            r5.append(r7);
            r5.append(',');
     */
    /* JADX WARNING: Missing block: B:27:0x00c2, code:
            r5.append(r7);
            r5.append("}");
            android.rms.iaware.AwareLog.i("AppStart", r5.toString());
     */
    /* JADX WARNING: Missing block: B:28:0x00d4, code:
            r3 = r3 + 1;
     */
    private void printMergeReqLog() {
        /*
        r11 = this;
        r0 = 0;
        r1 = 0;
        r2 = "com.";
        r2 = r2.length();
        r2 = r2 + -1;
    L_0x000a:
        r3 = r11.mLogRecordMap;
        monitor-enter(r3);
        r4 = r11.mLogRecordMap;	 Catch:{ all -> 0x00dc }
        r4 = r4.entrySet();	 Catch:{ all -> 0x00dc }
        r4 = r4.iterator();	 Catch:{ all -> 0x00dc }
        r5 = r4.hasNext();	 Catch:{ all -> 0x00dc }
        if (r5 == 0) goto L_0x00da;
    L_0x001d:
        r5 = r4.next();	 Catch:{ all -> 0x00dc }
        r5 = (java.util.Map.Entry) r5;	 Catch:{ all -> 0x00dc }
        r6 = r5.getKey();	 Catch:{ all -> 0x00dc }
        r6 = (com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.AppStartLogRecord) r6;	 Catch:{ all -> 0x00dc }
        r0 = r6;
        r6 = r5.getValue();	 Catch:{ all -> 0x00dc }
        r6 = (android.util.ArraySet) r6;	 Catch:{ all -> 0x00dc }
        r1 = r6;
        r4.remove();	 Catch:{ all -> 0x00dc }
        monitor-exit(r3);	 Catch:{ all -> 0x00dc }
        if (r0 == 0) goto L_0x000a;
    L_0x0038:
        if (r1 != 0) goto L_0x003b;
    L_0x003a:
        goto L_0x000a;
    L_0x003b:
        r3 = 0;
        r4 = r1.size();
        r5 = mSbLogMerge;
        r6 = r1.iterator();
    L_0x0046:
        r7 = r6.hasNext();
        if (r7 == 0) goto L_0x00d8;
    L_0x004c:
        r7 = r6.next();
        r7 = (java.lang.String) r7;
        r8 = r3 % 10;
        r9 = 44;
        if (r8 != 0) goto L_0x00a4;
    L_0x0058:
        r10 = 0;
        r5.setLength(r10);
        r10 = "req:";
        r5.append(r10);
        r10 = r0.req;
        r10 = r10.getDesc();
        r5.append(r10);
        r5.append(r9);
        r10 = "alw:";
        r5.append(r10);
        r10 = r0.alw;
        r5.append(r10);
        r5.append(r9);
        r10 = "call:";
        r5.append(r10);
        r10 = r0.callerUid;
        r5.append(r10);
        r5.append(r9);
        r10 = r0.caller;
        r5.append(r10);
        r5.append(r9);
        r10 = "act:";
        r5.append(r10);
        r10 = r0.action;
        r5.append(r10);
        r10 = 32;
        r5.append(r10);
        r10 = "{";
        r5.append(r10);
    L_0x00a4:
        if (r7 == 0) goto L_0x00b2;
    L_0x00a6:
        r10 = "com.";
        r10 = r7.startsWith(r10);
        if (r10 == 0) goto L_0x00b2;
    L_0x00ae:
        r7 = r7.substring(r2);
    L_0x00b2:
        r10 = 9;
        if (r8 == r10) goto L_0x00c2;
    L_0x00b6:
        r10 = r4 + -1;
        if (r3 != r10) goto L_0x00bb;
    L_0x00ba:
        goto L_0x00c2;
    L_0x00bb:
        r5.append(r7);
        r5.append(r9);
        goto L_0x00d4;
    L_0x00c2:
        r5.append(r7);
        r9 = "}";
        r5.append(r9);
        r9 = "AppStart";
        r10 = r5.toString();
        android.rms.iaware.AwareLog.i(r9, r10);
    L_0x00d4:
        r3 = r3 + 1;
        goto L_0x0046;
    L_0x00d8:
        goto L_0x000a;
    L_0x00da:
        monitor-exit(r3);	 Catch:{ all -> 0x00dc }
        return;
    L_0x00dc:
        r4 = move-exception;
        monitor-exit(r3);	 Catch:{ all -> 0x00dc }
        throw r4;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.printMergeReqLog():void");
    }

    private boolean isMergeReqLog(android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource requestSource, int alwType) {
        if (!this.DEBUG_DETAIL) {
            if (alwType <= 0) {
                switch (com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.AnonymousClass1.$SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppStartSource[requestSource.ordinal()]) {
                    case 1:
                    case 2:
                        return false;
                    default:
                        return true;
                }
            }
        }
        return false;
    }

    private boolean isNeedPrintCmp(android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource requestSource) {
        if (this.DEBUG_DETAIL) {
            return true;
        }
        switch (com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.AnonymousClass1.$SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppStartSource[requestSource.ordinal()]) {
            case 3:
            case 4:
            case 5:
            case 6:
                return false;
            default:
                return true;
        }
    }

    /* JADX WARNING: Missing block: B:24:0x008d, code:
            if (r1.mHandler.hasMessages(8) != false) goto L_0x0096;
     */
    /* JADX WARNING: Missing block: B:25:0x008f, code:
            r1.mHandler.sendEmptyMessageDelayed(8, 1000);
     */
    /* JADX WARNING: Missing block: B:26:0x0096, code:
            r10 = r17;
            r6 = r20;
            r7 = r23;
            r11 = r25;
            r8 = r28;
            r9 = r5;
            r5 = r19;
     */
    /* JADX WARNING: Missing block: B:43:?, code:
            return;
     */
    private void printReqLog(android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource r16, int r17, java.lang.StringBuilder r18, boolean r19, boolean r20, int[] r21, int r22, java.lang.String r23, java.lang.String r24, int r25, com.android.server.am.ProcessRecord r26, java.lang.String r27, java.lang.String r28) {
        /*
        r15 = this;
        r1 = r15;
        r2 = r22;
        r3 = r26;
        r4 = r27;
        r0 = r15.isMergeReqLog(r16, r17);
        r5 = 93;
        r6 = 91;
        if (r0 == 0) goto L_0x00ad;
    L_0x0011:
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r7 = java.lang.Integer.toString(r17);
        r0.append(r7);
        r0.append(r6);
        r6 = r18.toString();
        r0.append(r6);
        r0.append(r5);
        r14 = r0.toString();
        r0 = new com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy$AppStartLogRecord;
        if (r3 != 0) goto L_0x0036;
    L_0x0032:
        r5 = "null";
    L_0x0034:
        r11 = r5;
        goto L_0x0039;
    L_0x0036:
        r5 = r3.processName;
        goto L_0x0034;
    L_0x0039:
        if (r4 != 0) goto L_0x003f;
    L_0x003b:
        r5 = "null";
        r12 = r5;
        goto L_0x0040;
    L_0x003f:
        r12 = r4;
    L_0x0040:
        r13 = 0;
        r7 = r0;
        r8 = r16;
        r9 = r14;
        r10 = r25;
        r7.<init>(r8, r9, r10, r11, r12, r13);
        r8 = r1.mLogRecordMap;
        monitor-enter(r8);
        r0 = r1.mLogRecordMap;	 Catch:{ all -> 0x00a6 }
        r0 = r0.get(r7);	 Catch:{ all -> 0x00a6 }
        r0 = (android.util.ArraySet) r0;	 Catch:{ all -> 0x00a6 }
        if (r24 != 0) goto L_0x005a;
    L_0x0057:
        r5 = "NA";
        goto L_0x005c;
    L_0x005a:
        r5 = r24;
    L_0x005c:
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00ab }
        r6.<init>();	 Catch:{ all -> 0x00ab }
        r6.append(r5);	 Catch:{ all -> 0x00ab }
        r9 = "#";
        r6.append(r9);	 Catch:{ all -> 0x00ab }
        r6.append(r2);	 Catch:{ all -> 0x00ab }
        r6 = r6.toString();	 Catch:{ all -> 0x00ab }
        if (r0 == 0) goto L_0x0076;
    L_0x0072:
        r0.add(r6);	 Catch:{ all -> 0x00ab }
        goto L_0x0084;
    L_0x0076:
        r9 = new android.util.ArraySet;	 Catch:{ all -> 0x00ab }
        r9.<init>();	 Catch:{ all -> 0x00ab }
        r0 = r9;
        r0.add(r6);	 Catch:{ all -> 0x00ab }
        r9 = r1.mLogRecordMap;	 Catch:{ all -> 0x00ab }
        r9.put(r7, r0);	 Catch:{ all -> 0x00ab }
    L_0x0084:
        monitor-exit(r8);	 Catch:{ all -> 0x00ab }
        r0 = r1.mHandler;
        r6 = 8;
        r0 = r0.hasMessages(r6);
        if (r0 != 0) goto L_0x0096;
    L_0x008f:
        r0 = r1.mHandler;
        r8 = 1000; // 0x3e8 float:1.401E-42 double:4.94E-321;
        r0.sendEmptyMessageDelayed(r6, r8);
        r10 = r17;
        r6 = r20;
        r7 = r23;
        r11 = r25;
        r8 = r28;
        r9 = r5;
        r5 = r19;
        goto L_0x0163;
    L_0x00a6:
        r0 = move-exception;
        r5 = r24;
    L_0x00a9:
        monitor-exit(r8);	 Catch:{ all -> 0x00ab }
        throw r0;
    L_0x00ab:
        r0 = move-exception;
        goto L_0x00a9;
    L_0x00ad:
        r0 = mSbLog;
        r7 = 0;
        r0.setLength(r7);
        r8 = "req:";
        r0.append(r8);
        r8 = r16.getDesc();
        r0.append(r8);
        r8 = 44;
        r0.append(r8);
        r10 = "alw:";
        r0.append(r10);
        r10 = r17;
        r0.append(r10);
        r0.append(r6);
        r6 = r18.toString();
        r0.append(r6);
        r0.append(r5);
        r0.append(r8);
        r5 = "flg:";
        r0.append(r5);
        r5 = r19;
        r0.append(r5);
        r6 = r20;
        r0.append(r6);
        r7 = r21[r7];
        r0.append(r7);
        r7 = 1;
        r7 = r21[r7];
        r0.append(r7);
        r7 = 2;
        r7 = r21[r7];
        r0.append(r7);
        r0.append(r8);
        r7 = "proc:";
        r0.append(r7);
        r0.append(r2);
        r0.append(r8);
        r7 = r23;
        r0.append(r7);
        r0.append(r8);
        r11 = "call:";
        r0.append(r11);
        r11 = r25;
        r0.append(r11);
        r0.append(r8);
        if (r3 != 0) goto L_0x0126;
    L_0x0123:
        r12 = "null";
        goto L_0x0128;
    L_0x0126:
        r12 = r3.processName;
    L_0x0128:
        r0.append(r12);
        r12 = 32;
        r0.append(r12);
        r12 = "act:";
        r0.append(r12);
        r0.append(r4);
        r0.append(r8);
        r8 = r15.isNeedPrintCmp(r16);
        if (r8 == 0) goto L_0x014c;
    L_0x0141:
        r8 = "cmp:";
        r0.append(r8);
        r8 = r28;
        r0.append(r8);
        goto L_0x0158;
    L_0x014c:
        r8 = r28;
        r12 = "cmp:";
        r0.append(r12);
        r12 = "NA";
        r0.append(r12);
    L_0x0158:
        r12 = "AppStart";
        r13 = r0.toString();
        android.rms.iaware.AwareLog.i(r12, r13);
        r9 = r24;
    L_0x0163:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.printReqLog(android.app.mtm.iaware.appmng.AppMngConstant$AppStartSource, int, java.lang.StringBuilder, boolean, boolean, int[], int, java.lang.String, java.lang.String, int, com.android.server.am.ProcessRecord, java.lang.String, java.lang.String):void");
    }

    /* JADX WARNING: Removed duplicated region for block: B:23:0x00c7  */
    private int getPackageAllowType(java.lang.String r37, android.content.pm.ApplicationInfo r38, int r39, int r40, com.android.server.am.ProcessRecord r41, com.android.server.am.ProcessRecord r42, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource r43, java.lang.String r44, java.lang.String r45, int r46, boolean r47) {
        /*
        r36 = this;
        r15 = r36;
        r14 = r38;
        r12 = r43;
        r0 = 3;
        r13 = new int[r0];
        r13 = {-1, -1, -1};
        r11 = r14.packageName;
        r1 = new java.lang.StringBuilder;
        r1.<init>(r0);
        r10 = r1;
        r9 = r15.getAppStartupSetting(r11);
        r0 = r15.mDataMgr;
        r28 = r0.isSystemBaseApp(r14);
        r0 = 1;
        r1 = 1;
        if (r41 != 0) goto L_0x002b;
    L_0x0022:
        r2 = r14.uid;
        r8 = r37;
        r0 = com.huawei.android.app.HwActivityManager.isProcessExistLocked(r8, r2);
        goto L_0x002d;
    L_0x002b:
        r8 = r37;
    L_0x002d:
        r7 = r0;
        r16 = 0;
        r17 = 1;
        if (r7 != 0) goto L_0x0037;
    L_0x0034:
        r0 = r17;
        goto L_0x0039;
    L_0x0037:
        r0 = r16;
    L_0x0039:
        r18 = r0;
        r29 = r15.isApplicationStop(r14, r7);
        r30 = r15.getPolicyType(r9, r12);
        r0 = r15;
        r1 = r14;
        r2 = r12;
        r3 = r42;
        r4 = r11;
        r5 = r39;
        r6 = r40;
        r31 = r7;
        r7 = r30;
        r8 = r29;
        r32 = r9;
        r9 = r28;
        r33 = r10;
        r10 = r44;
        r34 = r11;
        r11 = r45;
        r12 = r33;
        r14 = r46;
        r15 = r47;
        r10 = r0.getStartupAllowType(r1, r2, r3, r4, r5, r6, r7, r8, r9, r10, r11, r12, r13, r14, r15);
        if (r10 <= 0) goto L_0x006e;
    L_0x006b:
        r16 = r17;
    L_0x006e:
        r11 = r16;
        r0 = r36;
        r1 = r32;
        r2 = r43;
        r3 = r10;
        r4 = r29;
        r5 = r28;
        r0 = r0.isNeedReportRecordToHSM(r1, r2, r3, r4, r5);
        if (r0 == 0) goto L_0x0093;
    L_0x0081:
        r2 = r43.getDesc();
        r5 = isAppSelfStart(r43);
        r0 = r36;
        r1 = r34;
        r3 = r40;
        r4 = r11;
        r0.saveAppStartupRecord(r1, r2, r3, r4, r5);
    L_0x0093:
        if (r11 == 0) goto L_0x00a3;
    L_0x0095:
        r0 = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.SCHEDULE_RESTART;
        r12 = r43;
        r0 = r0.equals(r12);
        if (r0 == 0) goto L_0x00a0;
    L_0x009f:
        goto L_0x00a5;
    L_0x00a0:
        r35 = r18;
        goto L_0x00a8;
    L_0x00a3:
        r12 = r43;
    L_0x00a5:
        r0 = 1;
        r35 = r0;
    L_0x00a8:
        r15 = r33;
        r2 = r15.toString();
        r14 = r38;
        r9 = r14.uid;
        r0 = r36;
        r1 = r34;
        r3 = r28;
        r4 = r35;
        r5 = r10;
        r6 = r30;
        r7 = r12;
        r8 = r37;
        r0.updateStartupBigData(r1, r2, r3, r4, r5, r6, r7, r8, r9);
        r1 = r0.DEBUG_DETAIL;
        if (r1 != 0) goto L_0x00d0;
    L_0x00c7:
        r1 = android.util.Log.HWINFO;
        if (r1 == 0) goto L_0x00ce;
    L_0x00cb:
        if (r35 == 0) goto L_0x00ce;
    L_0x00cd:
        goto L_0x00d0;
    L_0x00ce:
        r2 = r15;
        goto L_0x00f0;
    L_0x00d0:
        r1 = r14.uid;
        r14 = r0;
        r2 = r15;
        r15 = r12;
        r16 = r10;
        r17 = r2;
        r18 = r28;
        r19 = r29;
        r20 = r13;
        r21 = r1;
        r22 = r37;
        r23 = r34;
        r24 = r40;
        r25 = r42;
        r26 = r45;
        r27 = r44;
        r14.printReqLog(r15, r16, r17, r18, r19, r20, r21, r22, r23, r24, r25, r26, r27);
    L_0x00f0:
        return r10;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.getPackageAllowType(java.lang.String, android.content.pm.ApplicationInfo, int, int, com.android.server.am.ProcessRecord, com.android.server.am.ProcessRecord, android.app.mtm.iaware.appmng.AppMngConstant$AppStartSource, java.lang.String, java.lang.String, int, boolean):int");
    }

    /* JADX WARNING: Removed duplicated region for block: B:39:0x00fe  */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x00fc  */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x015f  */
    /* JADX WARNING: Removed duplicated region for block: B:56:0x016c  */
    private int getStartupAllowType(android.content.pm.ApplicationInfo r28, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource r29, com.android.server.am.ProcessRecord r30, java.lang.String r31, int r32, int r33, int r34, boolean r35, boolean r36, java.lang.String r37, java.lang.String r38, java.lang.StringBuilder r39, int[] r40, int r41, boolean r42) {
        /*
        r27 = this;
        r0 = r27;
        r15 = r28;
        r14 = r29;
        r13 = r31;
        r12 = r33;
        r11 = r34;
        r10 = r39;
        r16 = "";
        r1 = new com.android.server.rms.iaware.appmng.AwareAppStartStatusCacheExt;
        r1.<init>();
        r9 = r1;
        r1 = r0.mIsAbroadArea;
        r9.mAbroad = r1;
        r1 = com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance();
        r1 = r1.isGmsAppAndNeedCtrl(r13);
        r9.mGmsNeedCtrl = r1;
        r17 = 0;
        r8 = r30;
        r7 = r35;
        r1 = r0.isForbidApp(r13, r14, r7, r8);
        r6 = 0;
        if (r1 == 0) goto L_0x0041;
    L_0x0031:
        r1 = android.app.mtm.iaware.appmng.AppMngConstant.AppStartReason.DEFAULT;
        r16 = r1.getDesc();
    L_0x0037:
        r15 = r0;
        r23 = r9;
        r4 = r11;
        r3 = r13;
        r0 = r14;
        r14 = r17;
        goto L_0x0159;
    L_0x0041:
        r1 = r15.uid;
        r1 = r0.isSubUserAppControl(r1, r14);
        if (r1 == 0) goto L_0x0052;
    L_0x0049:
        r17 = 4;
        r1 = android.app.mtm.iaware.appmng.AppMngConstant.AppStartReason.DEFAULT;
        r16 = r1.getDesc();
        goto L_0x0037;
    L_0x0052:
        if (r11 != 0) goto L_0x0063;
    L_0x0054:
        r1 = r0.isNeedAutoAppStartManage(r13, r14, r12, r9);
        if (r1 != 0) goto L_0x0063;
    L_0x005a:
        r17 = 4;
        r1 = android.app.mtm.iaware.appmng.AppMngConstant.AppStartReason.DEFAULT;
        r16 = r1.getDesc();
        goto L_0x0037;
    L_0x0063:
        r5 = 2;
        if (r5 != r11) goto L_0x006b;
    L_0x0066:
        r17 = 3;
        r16 = "U";
        goto L_0x0037;
    L_0x006b:
        r4 = 1;
        r1 = new boolean[r4];
        r1[r6] = r6;
        r18 = r1;
        r1 = new boolean[r4];
        r1[r6] = r6;
        r19 = r1;
        r1 = r0.mDataMgr;
        r2 = r15;
        r3 = r38;
        r0 = r4;
        r4 = r32;
        r5 = r12;
        r6 = r8;
        r7 = r14;
        r8 = r35;
        r23 = r9;
        r9 = r36;
        r10 = r18;
        r11 = r19;
        r12 = r41;
        r13 = r42;
        r0 = r14;
        r14 = r23;
        r14 = r1.getDefaultAllowedRequestType(r2, r3, r4, r5, r6, r7, r8, r9, r10, r11, r12, r13, r14);
        if (r14 <= 0) goto L_0x00cf;
    L_0x009a:
        r1 = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.THIRD_ACTIVITY;
        r1 = r1.equals(r0);
        if (r1 == 0) goto L_0x00c3;
    L_0x00a2:
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = r29.getDesc();
        r1.append(r2);
        r2 = android.app.mtm.iaware.appmng.AppMngConstant.AppStartReason.DEFAULT;
        r2 = r2.getDesc();
        r1.append(r2);
        r16 = r1.toString();
    L_0x00bb:
        r3 = r31;
        r4 = r34;
        r15 = r27;
        goto L_0x0159;
    L_0x00c3:
        r1 = 1;
        if (r14 != r1) goto L_0x00c9;
    L_0x00c6:
        r16 = "O";
        goto L_0x00bb;
    L_0x00c9:
        r2 = 2;
        if (r14 != r2) goto L_0x00bb;
    L_0x00cc:
        r16 = "H";
        goto L_0x00bb;
    L_0x00cf:
        r1 = 1;
        r2 = 2;
        r3 = r15.uid;
        r13 = r27;
        r17 = r13.isAppForeground(r3);
        r12 = r33;
        r3 = r13.isAppForeground(r12);
        if (r3 != 0) goto L_0x0102;
    L_0x00e1:
        r4 = com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance();
        r4 = r4.isRecentFgApp(r12);
        if (r4 != 0) goto L_0x00f6;
    L_0x00eb:
        r11 = r32;
        r4 = r13.isAppForegroundExt(r0, r11);
        if (r4 == 0) goto L_0x00f4;
    L_0x00f3:
        goto L_0x00f8;
    L_0x00f4:
        r4 = 0;
        goto L_0x00f9;
    L_0x00f6:
        r11 = r32;
    L_0x00f8:
        r4 = r1;
    L_0x00f9:
        r3 = r4;
        if (r3 == 0) goto L_0x00fe;
    L_0x00fc:
        r4 = r1;
        goto L_0x00ff;
    L_0x00fe:
        r4 = 0;
    L_0x00ff:
        r40[r2] = r4;
        goto L_0x0104;
    L_0x0102:
        r11 = r32;
    L_0x0104:
        r20 = r3;
        r10 = 0;
        r40[r10] = r17;
        if (r20 == 0) goto L_0x010d;
    L_0x010b:
        r2 = r1;
        goto L_0x010e;
    L_0x010d:
        r2 = r10;
    L_0x010e:
        r40[r1] = r2;
        r21 = new com.android.server.rms.iaware.appmng.AwareAppStartStatusCache;
        r2 = r15.uid;
        r9 = r15.flags;
        r22 = r18[r10];
        r24 = r19[r10];
        r1 = r21;
        r3 = r12;
        r4 = r36;
        r5 = r35;
        r6 = r37;
        r7 = r38;
        r8 = r20;
        r25 = r9;
        r9 = r17;
        r15 = r10;
        r10 = r25;
        r11 = r22;
        r12 = r24;
        r15 = r13;
        r13 = r41;
        r22 = r14;
        r14 = r23;
        r1.<init>(r2, r3, r4, r5, r6, r7, r8, r9, r10, r11, r12, r13, r14);
        r2 = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance();
        r3 = r31;
        r4 = r34;
        r2 = r2.decide(r3, r0, r1, r4);
        r2 = (com.android.server.mtm.iaware.appmng.policy.AppStartPolicy) r2;
        r5 = r2.getPolicy();
        if (r5 == 0) goto L_0x0152;
    L_0x0150:
        r6 = 4;
        goto L_0x0153;
    L_0x0152:
        r6 = 0;
    L_0x0153:
        r5 = r6;
        r16 = r2.getReason();
        r14 = r5;
    L_0x0159:
        r1 = r15.isAllowAppWhenUpgrade(r3, r14, r0);
        if (r1 == 0) goto L_0x0166;
    L_0x015f:
        r14 = 4;
        r1 = android.app.mtm.iaware.appmng.AppMngConstant.AppStartReason.DEFAULT;
        r16 = r1.getDesc();
    L_0x0166:
        r1 = r16;
        r2 = r39;
        if (r2 == 0) goto L_0x0173;
    L_0x016c:
        r5 = 0;
        r2.setLength(r5);
        r2.append(r1);
    L_0x0173:
        return r14;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.getStartupAllowType(android.content.pm.ApplicationInfo, android.app.mtm.iaware.appmng.AppMngConstant$AppStartSource, com.android.server.am.ProcessRecord, java.lang.String, int, int, int, boolean, boolean, java.lang.String, java.lang.String, java.lang.StringBuilder, int[], int, boolean):int");
    }

    private boolean isAllowAppWhenUpgrade(java.lang.String pkgName, int alwType, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource requestSource) {
        boolean allow = false;
        if (!android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.THIRD_BROADCAST.equals(requestSource) && !android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.SYSTEM_BROADCAST.equals(requestSource)) {
            return false;
        }
        if (!MM_HOTA_AUTOSTART_HAS_DONE && alwType <= 0 && "com.tencent.mm".equals(pkgName)) {
            if (this.mIsUpgrade) {
                android.rms.iaware.AwareLog.i("AwareAppStartupPolicy", "com.tencent.mm is allowed to auto start for MEDIA_MOUNTED when ota");
                allow = true;
            }
            MM_HOTA_AUTOSTART_HAS_DONE = true;
        }
        return allow;
    }

    private boolean isAppForegroundExt(android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource requestSource, int callerPid) {
        if (android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.THIRD_ACTIVITY.equals(requestSource)) {
            return com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().isVisibleWindow(callerPid);
        }
        return false;
    }

    private boolean isNeedAutoAppStartManage(java.lang.String pkg, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource requestSource, int callerUid, com.android.server.rms.iaware.appmng.AwareAppStartStatusCacheExt statusCacheExt) {
        if (!this.mIsAbroadArea) {
            return true;
        }
        statusCacheExt.mAppSrcRange = com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getAppStartSpecAppSrcRangeResult(pkg);
        if (statusCacheExt.mAppSrcRange != 0 && com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().isGmsCaller(callerUid)) {
            return false;
        }
        return true;
    }

    private boolean isNeedReportRecordToHSM(android.app.mtm.iaware.HwAppStartupSetting startupSetting, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource requestSource, int alwType, boolean isAppStop, boolean isSysApp) {
        boolean z = false;
        if (isSysApp || isSubUser()) {
            return false;
        }
        if (startupSetting != null) {
            if (startupSetting.getShow(0) == 0) {
                return false;
            }
            if (startupSetting.getShow(isAppSelfStart(requestSource) ? 1 : 2) == 0) {
                return false;
            }
        }
        if (alwType <= 0) {
            return true;
        }
        int i = com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.AnonymousClass1.$SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppStartSource[requestSource.ordinal()];
        if (i != 1) {
            switch (i) {
                case 6:
                    break;
                case 7:
                case 8:
                case 9:
                case 10:
                    if (!(!isAppStop || alwType == 1 || alwType == 2)) {
                        z = true;
                    }
                    return z;
                default:
                    return isAppStop;
            }
        }
        return false;
    }

    private void sendAppStartupChangedMsg() {
        this.mHandler.removeMessages(4);
        this.mHandler.sendEmptyMessageDelayed(4, 5000);
    }

    private void saveAppStartupRecord(java.lang.String pkgName, java.lang.String callerType, int callerUid, boolean result, boolean selfStart) {
        int size;
        int count = 1;
        boolean trimed = false;
        com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.HsmRecord hr = new com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.HsmRecord(pkgName, callerType, callerUid, result, selfStart, null);
        synchronized (this.mHsmRecordList) {
            java.lang.Integer val = (java.lang.Integer) this.mHsmRecordList.remove(hr);
            if (val != null) {
                count = val.intValue() + 1;
                trimed = true;
            }
            this.mHsmRecordList.put(hr, java.lang.Integer.valueOf(count));
            size = this.mHsmRecordList.size();
        }
        if (size > 30) {
            this.mHandler.removeMessages(3);
            this.mHandler.sendEmptyMessage(3);
        } else if (!this.mHandler.hasMessages(3)) {
            this.mHandler.sendEmptyMessageDelayed(3, 30000);
        }
        if (this.DEBUG_DETAIL) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("saveAppStartupRecord trimed=");
            stringBuilder.append(trimed);
            stringBuilder.append(", size=");
            stringBuilder.append(size);
            stringBuilder.append(", num=");
            stringBuilder.append(count);
            stringBuilder.append(", ");
            stringBuilder.append(hr);
            android.rms.iaware.AwareLog.i("AwareAppStartupPolicy", stringBuilder.toString());
        }
    }

    private void startNotifyChangedService() {
        android.content.Intent intentService = new android.content.Intent("com.huawei.android.APPSTARTUP_CHANGED");
        intentService.setPackage("com.huawei.powergenie");
        this.mContext.sendBroadcastAsUser(intentService, android.os.UserHandle.ALL);
        if (this.DEBUG_DETAIL) {
            android.rms.iaware.AwareLog.i("AwareAppStartupPolicy", "startNotifyChangedService called");
        }
    }

    /* JADX WARNING: Missing block: B:15:0x007b, code:
            r7 = new android.os.Bundle();
            r7.putStringArray("B_TARGET_PKG", r0);
            r7.putStringArray("B_CALL_TYPE", r1);
            r7.putIntArray("B_CALL_UID", r2);
            r7.putIntArray("B_RESULT", r3);
            r7.putIntArray("B_AUTO_START", r4);
            r7.putIntArray("B_COUNT", r5);
            r7.putLongArray("B_TIME_STAMP", r6);
            r8 = new android.content.Intent("com.huawei.android.hsm.APPSTARTUP_RECORD");
            r8.setPackage("com.huawei.systemmanager");
            r8.putExtras(r7);
     */
    /* JADX WARNING: Missing block: B:17:?, code:
            r13.mContext.startServiceAsUser(r8, android.os.UserHandle.CURRENT);
     */
    /* JADX WARNING: Missing block: B:19:0x00bb, code:
            android.rms.iaware.AwareLog.e("AwareAppStartupPolicy", "startRecordService catch IllegalStateException");
     */
    /* JADX WARNING: Missing block: B:21:0x00c5, code:
            android.rms.iaware.AwareLog.e("AwareAppStartupPolicy", "startRecordService catch SecurityException");
     */
    private void startRecordService() {
        /*
        r13 = this;
        r0 = r13.DEBUG_DETAIL;
        if (r0 == 0) goto L_0x000c;
    L_0x0004:
        r0 = "AwareAppStartupPolicy";
        r1 = "startRecordService called.";
        android.rms.iaware.AwareLog.i(r0, r1);
    L_0x000c:
        r0 = 0;
        r1 = 0;
        r2 = 0;
        r3 = 0;
        r4 = 0;
        r5 = 0;
        r6 = 0;
        r7 = r13.mHsmRecordList;
        monitor-enter(r7);
        r8 = r13.mHsmRecordList;	 Catch:{ all -> 0x00cf }
        r8 = r8.size();	 Catch:{ all -> 0x00cf }
        if (r8 > 0) goto L_0x0020;
    L_0x001e:
        monitor-exit(r7);	 Catch:{ all -> 0x00cf }
        return;
    L_0x0020:
        r9 = new java.lang.String[r8];	 Catch:{ all -> 0x00cf }
        r0 = r9;
        r9 = new java.lang.String[r8];	 Catch:{ all -> 0x00cf }
        r1 = r9;
        r9 = new int[r8];	 Catch:{ all -> 0x00cf }
        r2 = r9;
        r9 = new int[r8];	 Catch:{ all -> 0x00cf }
        r3 = r9;
        r9 = new int[r8];	 Catch:{ all -> 0x00cf }
        r4 = r9;
        r9 = new int[r8];	 Catch:{ all -> 0x00cf }
        r5 = r9;
        r9 = new long[r8];	 Catch:{ all -> 0x00cf }
        r6 = r9;
        r9 = 0;
    L_0x0036:
        if (r9 >= r8) goto L_0x0075;
    L_0x0038:
        r10 = r13.mHsmRecordList;	 Catch:{ all -> 0x00cf }
        r10 = r10.keyAt(r9);	 Catch:{ all -> 0x00cf }
        r10 = (com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.HsmRecord) r10;	 Catch:{ all -> 0x00cf }
        r11 = r10.pkg;	 Catch:{ all -> 0x00cf }
        r0[r9] = r11;	 Catch:{ all -> 0x00cf }
        r11 = r10.callerType;	 Catch:{ all -> 0x00cf }
        r1[r9] = r11;	 Catch:{ all -> 0x00cf }
        r11 = r10.callerUid;	 Catch:{ all -> 0x00cf }
        r2[r9] = r11;	 Catch:{ all -> 0x00cf }
        r11 = r10.result;	 Catch:{ all -> 0x00cf }
        r3[r9] = r11;	 Catch:{ all -> 0x00cf }
        r11 = r10.autoStart;	 Catch:{ all -> 0x00cf }
        r4[r9] = r11;	 Catch:{ all -> 0x00cf }
        r11 = r10.timeStamp;	 Catch:{ all -> 0x00cf }
        r6[r9] = r11;	 Catch:{ all -> 0x00cf }
        r11 = r13.mHsmRecordList;	 Catch:{ all -> 0x00cf }
        r11 = r11.valueAt(r9);	 Catch:{ all -> 0x00cf }
        r11 = (java.lang.Integer) r11;	 Catch:{ all -> 0x00cf }
        r11 = r11.intValue();	 Catch:{ all -> 0x00cf }
        r5[r9] = r11;	 Catch:{ all -> 0x00cf }
        r9 = r9 + 1;
        goto L_0x0036;
    L_0x0075:
        r9 = r13.mHsmRecordList;	 Catch:{ all -> 0x00cf }
        r9.clear();	 Catch:{ all -> 0x00cf }
        monitor-exit(r7);	 Catch:{ all -> 0x00cf }
        r7 = new android.os.Bundle;
        r7.<init>();
        r8 = "B_TARGET_PKG";
        r7.putStringArray(r8, r0);
        r8 = "B_CALL_TYPE";
        r7.putStringArray(r8, r1);
        r8 = "B_CALL_UID";
        r7.putIntArray(r8, r2);
        r8 = "B_RESULT";
        r7.putIntArray(r8, r3);
        r8 = "B_AUTO_START";
        r7.putIntArray(r8, r4);
        r8 = "B_COUNT";
        r7.putIntArray(r8, r5);
        r8 = "B_TIME_STAMP";
        r7.putLongArray(r8, r6);
        r8 = new android.content.Intent;
        r9 = "com.huawei.android.hsm.APPSTARTUP_RECORD";
        r8.<init>(r9);
        r9 = "com.huawei.systemmanager";
        r8.setPackage(r9);
        r8.putExtras(r7);
        r9 = r13.mContext;	 Catch:{ SecurityException -> 0x00c4, IllegalStateException -> 0x00ba }
        r10 = android.os.UserHandle.CURRENT;	 Catch:{ SecurityException -> 0x00c4, IllegalStateException -> 0x00ba }
        r9.startServiceAsUser(r8, r10);	 Catch:{ SecurityException -> 0x00c4, IllegalStateException -> 0x00ba }
        goto L_0x00cd;
    L_0x00ba:
        r9 = move-exception;
        r10 = "AwareAppStartupPolicy";
        r11 = "startRecordService catch IllegalStateException";
        android.rms.iaware.AwareLog.e(r10, r11);
        goto L_0x00ce;
    L_0x00c4:
        r9 = move-exception;
        r10 = "AwareAppStartupPolicy";
        r11 = "startRecordService catch SecurityException";
        android.rms.iaware.AwareLog.e(r10, r11);
    L_0x00ce:
        return;
    L_0x00cf:
        r8 = move-exception;
        monitor-exit(r7);	 Catch:{ all -> 0x00cf }
        throw r8;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.startRecordService():void");
    }

    /* JADX WARNING: Removed duplicated region for block: B:13:0x0040  */
    /* JADX WARNING: Removed duplicated region for block: B:17:0x0059  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x0057  */
    private void reportProcessStart(android.os.Message r12) {
        /*
        r11 = this;
        r0 = r12.getData();
        r1 = "PACKAGE";
        r1 = r0.getString(r1);
        r2 = "HOST_TYPE";
        r2 = r0.getString(r2);
        r3 = "activity";
        r3 = r3.equals(r2);
        r4 = 0;
        r5 = 1;
        if (r3 != 0) goto L_0x0036;
    L_0x001a:
        r3 = "service";
        r3 = r3.equals(r2);
        if (r3 != 0) goto L_0x0036;
    L_0x0023:
        r3 = "broadcast";
        r3 = r3.equals(r2);
        if (r3 != 0) goto L_0x0036;
    L_0x002b:
        r3 = "content provider";
        r3 = r3.equals(r2);
        if (r3 == 0) goto L_0x0034;
    L_0x0033:
        goto L_0x0036;
    L_0x0034:
        r3 = r4;
        goto L_0x0037;
    L_0x0036:
        r3 = r5;
    L_0x0037:
        r6 = "webview_service";
        r6 = r6.equals(r2);
        if (r6 == 0) goto L_0x0044;
    L_0x0040:
        r1 = android.webkit.WebViewZygote.getPackageName();
    L_0x0044:
        r6 = com.android.server.rms.iaware.srms.SRMSDumpRadar.getInstance();
        r7 = "T";
        r7 = new java.lang.String[]{r7};
        r8 = new int[r5][];
        r9 = 2;
        r9 = new int[r9];
        r9[r4] = r5;
        if (r3 == 0) goto L_0x0059;
    L_0x0057:
        r10 = r4;
        goto L_0x005a;
    L_0x0059:
        r10 = r5;
    L_0x005a:
        r9[r5] = r10;
        r8[r4] = r9;
        r6.updateStartupData(r1, r7, r8);
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.reportProcessStart(android.os.Message):void");
    }

    private void periodRemoveRestartData() {
        int removeCount = 0;
        long curTime = android.os.SystemClock.elapsedRealtime();
        synchronized (this.mRestartDataList) {
            for (int i = this.mRestartDataList.size() - 1; i >= 0; i--) {
                if (curTime - ((com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.RestartData) this.mRestartDataList.valueAt(i)).timeStamp > 1200000) {
                    this.mRestartDataList.removeAt(i);
                    removeCount++;
                }
            }
        }
        this.mLastRemoveMsgTime = 0;
        if (this.DEBUG_DETAIL) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("periodRemoveRestartData removeCount: ");
            stringBuilder.append(removeCount);
            android.rms.iaware.AwareLog.i("AwareAppStartupPolicy", stringBuilder.toString());
        }
    }

    private void updateStartupBigData(java.lang.String pkg, java.lang.String reason, boolean isSysApp, boolean reportData, int alwType, int policyType, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource requestSource, java.lang.String processName, int uid) {
        java.lang.String str = pkg;
        java.lang.String str2 = reason;
        int i = alwType;
        int i2 = policyType;
        android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource appStartSource = requestSource;
        this.mAllowData.setDirty(true);
        if ((com.android.server.rms.iaware.srms.AppStartupFeature.isBetaUser() || !isSysApp) && !this.mIsAbroadArea && !isSubUser()) {
            if (i <= 0) {
                com.android.server.rms.iaware.srms.SRMSDumpRadar dumpRadar = com.android.server.rms.iaware.srms.SRMSDumpRadar.getInstance();
                if (i2 == 1) {
                    dumpRadar.updateStartupData(str, new java.lang.String[]{"U"}, new int[]{0, 0, 1});
                } else if (i2 == 0) {
                    int[] smtFbdFmt = new int[]{0, 1};
                    dumpRadar.updateStartupData(str, new java.lang.String[]{"I", str2}, smtFbdFmt, smtFbdFmt);
                }
            } else if (reportData) {
                if (android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.SCHEDULE_RESTART.equals(appStartSource)) {
                    synchronized (this.mRestartDataList) {
                        android.util.ArrayMap arrayMap = this.mRestartDataList;
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append(str);
                        stringBuilder.append("#");
                        stringBuilder.append(processName);
                        com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.RestartData restartData = r1;
                        java.lang.String stringBuilder2 = stringBuilder.toString();
                        com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.RestartData restartData2 = new com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.RestartData(str, str2, i, i2, null);
                        arrayMap.put(stringBuilder2, restartData);
                    }
                    long curTime = android.os.SystemClock.elapsedRealtime();
                    if (curTime - this.mLastRemoveMsgTime > 1200000) {
                        this.mHandler.sendEmptyMessageDelayed(7, 1200000);
                        this.mLastRemoveMsgTime = curTime;
                    }
                } else {
                    if (!com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().isWebViewUid(uid)) {
                        if (android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.SYSTEM_BROADCAST.equals(appStartSource) || android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.THIRD_BROADCAST.equals(appStartSource)) {
                            this.mAllowData.set(str2, i, i2);
                            this.mAllowData.setDirty(false);
                        }
                        updateAllowedBigData(str, str2, i, i2, true);
                    }
                }
            }
            int i3 = uid;
        }
    }

    private void updateAllowedBigData(java.lang.String pkg, java.lang.String reason, int alwType, int policyType, boolean increase) {
        int increaseVal = increase ? 1 : -1;
        com.android.server.rms.iaware.srms.SRMSDumpRadar dumpRadar = com.android.server.rms.iaware.srms.SRMSDumpRadar.getInstance();
        java.lang.String[] strArr;
        int[][] iArr;
        if (policyType == 2) {
            strArr = new java.lang.String[]{"U"};
            iArr = new int[1][];
            iArr[0] = new int[]{increaseVal, 0, 0};
            dumpRadar.updateStartupData(pkg, strArr, iArr);
        } else if (policyType == 1) {
            strArr = new java.lang.String[]{"U"};
            iArr = new int[1][];
            iArr[0] = new int[]{0, increaseVal, 0};
            dumpRadar.updateStartupData(pkg, strArr, iArr);
        } else if (policyType == 0) {
            int[] smtAlwFmt = new int[]{increaseVal, 0};
            int[] smtSingleAlwFmt = new int[]{increaseVal};
            if (alwType == 1) {
                dumpRadar.updateStartupData(pkg, new java.lang.String[]{"I", "O"}, smtAlwFmt, smtSingleAlwFmt);
            } else if (alwType == 2) {
                dumpRadar.updateStartupData(pkg, new java.lang.String[]{"I", "H"}, smtAlwFmt, smtSingleAlwFmt);
            } else {
                dumpRadar.updateStartupData(pkg, new java.lang.String[]{"I", reason}, smtAlwFmt, smtAlwFmt);
            }
        }
    }

    public void updateBroadJobCtrlBigData(java.lang.String pkg) {
        if (isPolicyEnabled()) {
            if (!this.mAllowData.getDirty()) {
                if (!isSubUser()) {
                    updateAllowedBigData(pkg, this.mAllowData.reason, this.mAllowData.alwType, this.mAllowData.policyType, false);
                }
            }
        }
    }

    private int getPolicyType(android.app.mtm.iaware.HwAppStartupSetting startupSetting, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource requestSource) {
        if (startupSetting == null || 1 == startupSetting.getPolicy(0)) {
            return 0;
        }
        int value = startupSetting.getPolicy(isAppSelfStart(requestSource) ? 1 : 2);
        if (1 == value) {
            return 2;
        }
        if (value == 0) {
            return 1;
        }
        return 0;
    }

    public static boolean isAppSelfStart(android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource requestSource) {
        if (requestSource == null) {
            return false;
        }
        switch (com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.AnonymousClass1.$SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppStartSource[requestSource.ordinal()]) {
            case 2:
            case 3:
            case 4:
            case 5:
            case 6:
                return true;
            default:
                return false;
        }
    }

    private void scheduleFastWriteCache(com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.CacheType cacheType) {
        if (cacheType == com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.CacheType.STARTUP_SETTING) {
            setAppStartupSyncFlag(true);
            this.mHandler.removeMessages(2);
            this.mHandler.sendEmptyMessage(2);
        }
    }

    private void writeCacheFile(com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.CacheType cacheType) {
        if (this.DEBUG_DETAIL) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("writeCacheFile type=");
            stringBuilder.append(cacheType);
            android.rms.iaware.AwareLog.i("AwareAppStartupPolicy", stringBuilder.toString());
        }
        if (cacheType == com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.CacheType.STARTUP_SETTING) {
            this.mDataMgr.flushStartupSettingToDisk();
            setAppStartupSyncFlag(false);
        }
    }

    private boolean isAppForeground(int uid) {
        if (com.android.server.rms.iaware.appmng.AwareAppAssociate.isDealAsPkgUid(uid)) {
            return com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().isForeGroundApp(uid);
        }
        com.android.server.am.HwActivityManagerService hwAMS = com.android.server.am.HwActivityManagerService.self();
        if (hwAMS != null) {
            int uidState = hwAMS.iawareGetUidState(uid);
            if (uidState <= this.mForegroundAppLevel || uidState > this.mForegroundSleepAppLevel) {
                if (uidState > this.mForegroundSleepAppLevel || uidState == 19) {
                    return false;
                }
            } else if (com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().isForeGroundApp(uid)) {
                return true;
            } else {
                return false;
            }
        }
        return true;
    }

    private boolean isApplicationStop(android.content.pm.ApplicationInfo applicationInfo, boolean existedPR) {
        boolean z = false;
        if (com.android.server.rms.iaware.appmng.AwareAppAssociate.isDealAsPkgUid(applicationInfo.uid)) {
            if (!(existedPR || com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().isPkgHasProc(applicationInfo.packageName))) {
                z = true;
            }
            return z;
        }
        com.android.server.am.HwActivityManagerService hwAMS = com.android.server.am.HwActivityManagerService.self();
        if (hwAMS == null) {
            return false;
        }
        if (hwAMS.iawareGetUidProcNum(applicationInfo.uid) <= 0) {
            z = true;
        }
        return z;
    }

    public void reportPgClean(java.lang.String pkg) {
        if (isPolicyEnabled() && this.mDataMgr.isPGForbidRestart(pkg)) {
            this.mDataMgr.addPgCleanApp(pkg);
        }
    }

    public void dump(java.io.PrintWriter pw, java.lang.String[] args) {
        if (args != null) {
            if (pw != null) {
                java.lang.String strBadCmd = "Bad command";
                java.lang.String strSwitchOff = "App startup feature is disabled or not inited.";
                java.lang.String strOn = "1";
                java.lang.String strOff = "0";
                if (args.length < 3) {
                    pw.println("Bad command");
                } else if (args.length == 3) {
                    if ("cache".equals(args[2])) {
                        this.mDataMgr.dump(pw, args);
                    } else if (isPolicyEnabled()) {
                        if ("info".equals(args[2])) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("betaUser=");
                            stringBuilder.append(com.android.server.rms.iaware.srms.AppStartupFeature.isBetaUser());
                            stringBuilder.append(", inited=");
                            stringBuilder.append(this.mPolicyInited.get());
                            stringBuilder.append(", switch=");
                            stringBuilder.append(com.android.server.rms.iaware.srms.AppStartupFeature.isAppStartupEnabled());
                            stringBuilder.append(", multiuser=");
                            stringBuilder.append(this.mSubUserAppCtrl);
                            stringBuilder.append(", userId=");
                            stringBuilder.append(com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getCurSwitchUser());
                            pw.println(stringBuilder.toString());
                        }
                        this.mDataMgr.dump(pw, args);
                    } else {
                        pw.println("App startup feature is disabled or not inited.");
                    }
                } else {
                    java.lang.String cmd = args[2];
                    java.lang.String param = args[3];
                    if ("switch".equals(cmd)) {
                        if ("0".equals(param)) {
                            com.android.server.rms.iaware.srms.AppStartupFeature.setEnable(false);
                        } else if ("1".equals(param)) {
                            com.android.server.rms.iaware.srms.AppStartupFeature.setEnable(true);
                        } else {
                            pw.println("Bad command");
                        }
                    } else if ("multiuser".equals(cmd)) {
                        if ("0".equals(param)) {
                            this.mSubUserAppCtrl = false;
                        } else if ("1".equals(param)) {
                            this.mSubUserAppCtrl = true;
                        } else {
                            pw.println("Bad command");
                        }
                    } else {
                        dumpOthers(pw, args);
                    }
                }
            }
        }
    }

    private void dumpOthers(java.io.PrintWriter pw, java.lang.String[] args) {
        java.lang.String strBadCmd = "Bad command";
        java.lang.String strSwitchOff = "App startup feature is disabled or not inited.";
        java.lang.String strOnlyDiff = "2";
        java.lang.String strOn = "1";
        java.lang.String strOff = "0";
        java.lang.String cmd = args[2];
        java.lang.String param = args[3];
        if (isPolicyEnabled()) {
            if ("log".equals(cmd)) {
                if ("0".equals(param)) {
                    this.DEBUG_DETAIL = false;
                } else if ("1".equals(param)) {
                    this.DEBUG_DETAIL = true;
                } else {
                    pw.println("Bad command");
                    return;
                }
            } else if ("cost".equals(cmd)) {
                if ("0".equals(param)) {
                    this.DEBUG_COST = false;
                } else if ("1".equals(param)) {
                    this.DEBUG_COST = true;
                } else {
                    pw.println("Bad command");
                    return;
                }
            } else if ("bigdata".equals(cmd)) {
                boolean clear = false;
                boolean onlyDiff = false;
                if ("0".equals(param)) {
                    clear = false;
                } else if ("1".equals(param)) {
                    clear = true;
                } else if ("2".equals(param)) {
                    onlyDiff = true;
                } else {
                    pw.println("Bad command");
                    return;
                }
                java.lang.String bigdata = com.android.server.rms.iaware.srms.SRMSDumpRadar.getInstance().saveStartupBigData(com.android.server.rms.iaware.srms.AppStartupFeature.isBetaUser(), clear, onlyDiff);
                pw.println(bigdata);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Total size: ");
                stringBuilder.append(bigdata.length());
                pw.println(stringBuilder.toString());
                return;
            } else if ("widgetinterval".equals(cmd)) {
                int interval = 0;
                try {
                    com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().dumpWidgetUpdateInterval(pw, java.lang.Integer.parseInt(param));
                    return;
                } catch (java.lang.NumberFormatException e) {
                    pw.println("widgetinterval value error");
                    return;
                }
            }
            this.mDataMgr.dump(pw, args);
            return;
        }
        pw.println("App startup feature is disabled or not inited.");
    }
}
