package com.android.server.mtm.iaware.appmng.appstart.comm;

public class AppStartupUtil {
    private static final java.util.regex.Pattern CTS_PATTERN = java.util.regex.Pattern.compile(".*android.*cts.*");
    private static final java.lang.String TAG = "AppStartupUtil";
    private static java.util.Set<java.lang.String> mCtsFilterPkgs = new java.util.HashSet();
    private static java.util.Set<java.lang.String> mCtsSpecPkgs = new java.util.HashSet();
    private static java.util.concurrent.atomic.AtomicBoolean mIsCtsInitialized = new java.util.concurrent.atomic.AtomicBoolean(false);

    public static void initCtsPkgList() {
        if (!mIsCtsInitialized.get()) {
            java.util.Set<java.lang.String> ctsSpecPkgs;
            mIsCtsInitialized.set(true);
            java.util.ArrayList<java.lang.String> pkgList = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getRawConfig(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_START.getDesc(), "ctspkglist");
            if (pkgList != null) {
                ctsSpecPkgs = new java.util.HashSet();
                ctsSpecPkgs.addAll(pkgList);
                mCtsSpecPkgs = ctsSpecPkgs;
            }
            pkgList = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getRawConfig(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_START.getDesc(), "ctsfilterpkglist");
            if (pkgList != null) {
                ctsSpecPkgs = new java.util.HashSet();
                ctsSpecPkgs.addAll(pkgList);
                mCtsFilterPkgs = ctsSpecPkgs;
            }
        }
    }

    public static boolean isSystemUnRemovablePkg(android.content.pm.ApplicationInfo applicationInfo) {
        return (applicationInfo.flags & 1) != 0 && (applicationInfo.hwFlags & 100663296) == 0;
    }

    public static boolean isAppStopped(android.content.pm.ApplicationInfo applicationInfo) {
        return (applicationInfo.flags & 2097152) != 0;
    }

    public static boolean isCtsPackage(java.lang.String pkgName) {
        if (pkgName == null || ((!CTS_PATTERN.matcher(pkgName).matches() || mCtsFilterPkgs.contains(pkgName)) && ((!pkgName.startsWith("com.google.android") || !pkgName.contains(".gts")) && !mCtsSpecPkgs.contains(pkgName)))) {
            return false;
        }
        return true;
    }

    public static java.lang.String getDumpCtsPackages() {
        java.lang.StringBuilder stringBuilder;
        java.lang.StringBuilder cacheStr = new java.lang.StringBuilder();
        java.util.Set<java.lang.String> ctsSpecPkgs = mCtsSpecPkgs;
        java.util.Set<java.lang.String> ctsFilterPkgs = mCtsFilterPkgs;
        cacheStr.append("ctsSpecPkgs:\n");
        for (java.lang.String pkg : ctsSpecPkgs) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("  ");
            stringBuilder.append(pkg);
            stringBuilder.append("\n");
            cacheStr.append(stringBuilder.toString());
        }
        cacheStr.append("ctsFilterPkgs:\n");
        for (java.lang.String pkg2 : ctsFilterPkgs) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("  ");
            stringBuilder.append(pkg2);
            stringBuilder.append("\n");
            cacheStr.append(stringBuilder.toString());
        }
        return cacheStr.toString();
    }
}
