package com.android.server.mtm.iaware.appmng.appstart.datamgr;

class CacheFileRW {
    private static final java.lang.String TAG = "CacheFileRW";
    private android.util.AtomicFile mAtomicFile;

    CacheFileRW(java.io.File file) {
        this.mAtomicFile = new android.util.AtomicFile(file);
    }

    java.util.List<java.lang.String> readFileLines() {
        java.util.List<java.lang.String> result = new java.util.ArrayList();
        java.io.FileInputStream stream = null;
        java.io.BufferedReader br = null;
        try {
            stream = this.mAtomicFile.openRead();
            if (stream == null) {
                if (br != null) {
                    try {
                        br.close();
                    } catch (java.io.IOException e) {
                        android.rms.iaware.AwareLog.e("CacheFileRW", "readFileLines br catch IOException in finally!");
                    }
                }
                if (stream != null) {
                    try {
                        stream.close();
                    } catch (java.io.IOException e2) {
                        android.rms.iaware.AwareLog.e("CacheFileRW", "readFileLines stream catch IOException in finally!");
                    }
                }
                return result;
            } else if (stream.available() > 32768) {
                android.rms.iaware.AwareLog.e("CacheFileRW", "readFileLines file size is more than 32K!");
                if (br != null) {
                    try {
                        br.close();
                    } catch (java.io.IOException e3) {
                        android.rms.iaware.AwareLog.e("CacheFileRW", "readFileLines br catch IOException in finally!");
                    }
                }
                if (stream != null) {
                    try {
                        stream.close();
                    } catch (java.io.IOException e4) {
                        android.rms.iaware.AwareLog.e("CacheFileRW", "readFileLines stream catch IOException in finally!");
                    }
                }
                return result;
            } else {
                br = new java.io.BufferedReader(new java.io.InputStreamReader(stream, "utf-8"));
                while (true) {
                    java.lang.String readLine = br.readLine();
                    java.lang.String tmp = readLine;
                    if (readLine == null) {
                        break;
                    }
                    result.add(tmp);
                }
                try {
                    br.close();
                } catch (java.io.IOException e5) {
                    android.rms.iaware.AwareLog.e("CacheFileRW", "readFileLines br catch IOException in finally!");
                }
                if (stream != null) {
                    try {
                        stream.close();
                    } catch (java.io.IOException e6) {
                        android.rms.iaware.AwareLog.e("CacheFileRW", "readFileLines stream catch IOException in finally!");
                    }
                }
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("readFileLines result: ");
                stringBuilder.append(result);
                android.rms.iaware.AwareLog.d("CacheFileRW", stringBuilder.toString());
                return result;
            }
        } catch (java.io.FileNotFoundException e7) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("readFileLines file not exist: ");
            stringBuilder2.append(this.mAtomicFile);
            android.rms.iaware.AwareLog.e("CacheFileRW", stringBuilder2.toString());
            if (br != null) {
                try {
                    br.close();
                } catch (java.io.IOException e8) {
                    android.rms.iaware.AwareLog.e("CacheFileRW", "readFileLines br catch IOException in finally!");
                }
            }
            if (stream != null) {
                stream.close();
            }
        } catch (java.io.IOException e9) {
            android.rms.iaware.AwareLog.e("CacheFileRW", "readFileLines catch IOException!");
            if (br != null) {
                try {
                    br.close();
                } catch (java.io.IOException e10) {
                    android.rms.iaware.AwareLog.e("CacheFileRW", "readFileLines br catch IOException in finally!");
                }
            }
            if (stream != null) {
                stream.close();
            }
        } catch (Throwable th) {
            if (br != null) {
                try {
                    br.close();
                } catch (java.io.IOException e11) {
                    android.rms.iaware.AwareLog.e("CacheFileRW", "readFileLines br catch IOException in finally!");
                }
            }
            if (stream != null) {
                try {
                    stream.close();
                } catch (java.io.IOException e12) {
                    android.rms.iaware.AwareLog.e("CacheFileRW", "readFileLines stream catch IOException in finally!");
                }
            }
        }
    }

    void writeFileLines(java.util.List<java.lang.String> lines) {
        try {
            java.io.FileOutputStream fos = this.mAtomicFile.startWrite();
            java.lang.StringBuffer buf = new java.lang.StringBuffer();
            for (java.lang.String line : lines) {
                buf.append(line);
                buf.append("\n");
            }
            fos.write(buf.toString().getBytes("utf-8"));
            this.mAtomicFile.finishWrite(fos);
        } catch (java.io.IOException ex) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("writeFileLines catch IOException: ");
            stringBuilder.append(ex);
            android.rms.iaware.AwareLog.e("CacheFileRW", stringBuilder.toString());
            this.mAtomicFile.failWrite(null);
        }
    }
}
