package com.android.server.mtm.iaware.appmng.appstart.datamgr;

public class SystemUnremoveUidCache {
    private static final java.lang.String TAG = "SystemUnremoveUidCache";
    private static volatile com.android.server.mtm.iaware.appmng.appstart.datamgr.SystemUnremoveUidCache sInstance = null;
    private java.util.Set<java.lang.Integer> mSysUnremoveUids = new java.util.HashSet();

    public static com.android.server.mtm.iaware.appmng.appstart.datamgr.SystemUnremoveUidCache getInstance(android.content.Context context) {
        if (sInstance == null) {
            synchronized (com.android.server.mtm.iaware.appmng.appstart.datamgr.SystemUnremoveUidCache.class) {
                if (sInstance == null) {
                    sInstance = new com.android.server.mtm.iaware.appmng.appstart.datamgr.SystemUnremoveUidCache(context);
                }
            }
        }
        return sInstance;
    }

    private SystemUnremoveUidCache(android.content.Context context) {
        loadSystemUid(context);
    }

    public void loadSystemUid(android.content.Context ctx) {
        if (ctx != null) {
            java.util.Set<java.lang.Integer> tempUidSet = new java.util.HashSet();
            android.content.pm.PackageManager pm = ctx.getPackageManager();
            if (pm != null) {
                for (android.content.pm.ApplicationInfo app : pm.getInstalledApplications(null)) {
                    if (com.android.server.mtm.iaware.appmng.appstart.comm.AppStartupUtil.isSystemUnRemovablePkg(app)) {
                        tempUidSet.add(java.lang.Integer.valueOf(app.uid));
                    }
                }
            }
            this.mSysUnremoveUids = tempUidSet;
        }
    }

    public boolean checkUidExist(int uid) {
        return this.mSysUnremoveUids.contains(java.lang.Integer.valueOf(uid));
    }

    public java.lang.String toString() {
        return this.mSysUnremoveUids.toString();
    }
}
