package com.android.server.mtm.iaware.appmng.rule;

public class AppStartRule extends com.android.server.mtm.iaware.appmng.rule.Config {
    private static final int DEFAULT_POLICY = 0;
    private static final java.lang.String TAG = "AppStartRule";
    private static final int UNINIT_VALUE = -1;

    public AppStartRule(android.util.ArrayMap<java.lang.String, java.lang.String> prop, com.android.server.mtm.iaware.appmng.rule.RuleNode rules) {
        super(prop, rules);
    }

    public com.android.server.mtm.iaware.appmng.policy.Policy apply(java.lang.String packageName, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource source, com.android.server.rms.iaware.appmng.AwareAppStartStatusCache status, int tristate) {
        com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppStartTag childType;
        com.android.server.mtm.iaware.appmng.rule.RuleNode node = this.mRules;
        com.android.server.mtm.iaware.appmng.rule.RuleNode.XmlValue value = null;
        while (node != null && node.hasChild()) {
            childType = (com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppStartTag) node.getChildType();
            if (childType != null) {
                node = childType.getAppliedValue(node.getChilds(), packageName, source, status, tristate);
                if (node != null) {
                    value = node.getValue();
                }
            } else {
                node = null;
            }
        }
        if (!(node == null || value == null)) {
            childType = (com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppStartTag) node.getCurrentType();
            if (childType != null && childType.equals(com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppStartTag.POLICY)) {
                if (value.getHwStop() != -1) {
                    if (com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().isPkgHasHwStopFlag(android.os.UserHandle.getUserId(status.mUid), packageName)) {
                        return new com.android.server.mtm.iaware.appmng.policy.AppStartPolicy(packageName, value.getHwStop(), value.getIndex());
                    }
                }
                return new com.android.server.mtm.iaware.appmng.policy.AppStartPolicy(packageName, value.getIntValue(), value.getIndex());
            }
        }
        return new com.android.server.mtm.iaware.appmng.policy.AppStartPolicy(packageName, 0, android.app.mtm.iaware.appmng.AppMngConstant.AppStartReason.DEFAULT.getDesc());
    }
}
