package com.android.server.mtm.iaware.appmng.rule;

public class BroadcastMngRule extends com.android.server.mtm.iaware.appmng.rule.Config {
    private static final int DEFAULT_POLICY = 0;
    private static final java.lang.String TAG = "BroadcastMngRule";
    private static final int UNINIT_VALUE = -1;

    public BroadcastMngRule(android.util.ArrayMap<java.lang.String, java.lang.String> prop, com.android.server.mtm.iaware.appmng.rule.RuleNode rules) {
        super(prop, rules);
    }

    public int apply(android.app.mtm.iaware.appmng.AppMngConstant.BroadcastSource source, java.lang.String id, android.content.Intent intent, com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo) {
        if (processInfo == null) {
            return com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.BrCtrlType.NONE.ordinal();
        }
        return toApply(source, id, intent, processInfo, this.mRules, com.android.server.mtm.iaware.appmng.rule.AppMngRule.getTriState((java.lang.String) processInfo.mProcInfo.mPackageName.get(0)));
    }

    public android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.RuleNode> getBrRules() {
        com.android.server.mtm.iaware.appmng.rule.RuleNode node = this.mRules;
        if (node == null || !node.hasChild()) {
            return null;
        }
        return node.getChilds().getStringMap();
    }

    public int updateApply(android.app.mtm.iaware.appmng.AppMngConstant.BroadcastSource source, java.lang.String id, android.content.Intent intent, com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, com.android.server.mtm.iaware.appmng.rule.RuleNode node) {
        if (processInfo == null) {
            return com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.BrCtrlType.NONE.ordinal();
        }
        return toApply(source, id, intent, processInfo, node, com.android.server.mtm.iaware.appmng.rule.AppMngRule.getTriState((java.lang.String) processInfo.mProcInfo.mPackageName.get(0)));
    }

    private int toApply(android.app.mtm.iaware.appmng.AppMngConstant.BroadcastSource source, java.lang.String id, android.content.Intent intent, com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, com.android.server.mtm.iaware.appmng.rule.RuleNode node, int tristate) {
        com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.BroadcastTag childType;
        com.android.server.mtm.iaware.appmng.rule.RuleNode.XmlValue value = null;
        while (node != null && node.hasChild()) {
            childType = (com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.BroadcastTag) node.getChildType();
            if (childType != null) {
                node = childType.getAppliedValue(node.getChilds(), source, id, intent, processInfo, tristate);
                if (node != null) {
                    value = node.getValue();
                }
            } else {
                node = null;
            }
        }
        if (!(node == null || value == null)) {
            childType = (com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.BroadcastTag) node.getCurrentType();
            if (childType != null && childType.equals(com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.BroadcastTag.POLICY)) {
                return value.getIntValue();
            }
        }
        return com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.BrCtrlType.NONE.ordinal();
    }
}
