package com.android.server.mtm.iaware.appmng.rule;

public abstract class Config {
    android.util.ArrayMap<java.lang.String, java.lang.String> mProperties;
    com.android.server.mtm.iaware.appmng.rule.RuleNode mRules;

    public Config(android.util.ArrayMap<java.lang.String, java.lang.String> prop, com.android.server.mtm.iaware.appmng.rule.RuleNode rules) {
        this.mProperties = prop;
        this.mRules = rules;
    }

    private void printRuleNode(java.io.PrintWriter pw, com.android.server.mtm.iaware.appmng.rule.RuleNode node, int depth) {
        if (node != null) {
            if (pw != null) {
                java.lang.StringBuilder stringBuilder;
                com.android.server.mtm.iaware.appmng.rule.RuleNode.XmlValue value = node.getValue();
                if (value != null) {
                    java.lang.StringBuilder stringBuilder2;
                    if (value.isString()) {
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("|");
                        stringBuilder2.append(getDepthString(depth));
                        stringBuilder2.append(node.getCurrentType());
                        stringBuilder2.append(":");
                        stringBuilder2.append(value.getStringValue());
                        pw.println(stringBuilder2.toString());
                    } else {
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("|");
                        stringBuilder2.append(getDepthString(depth));
                        stringBuilder2.append(node.getCurrentType());
                        stringBuilder2.append(":");
                        stringBuilder2.append(value.getIntValue());
                        pw.println(stringBuilder2.toString());
                    }
                    java.lang.String index = value.getIndex();
                    if (index != null) {
                        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                        stringBuilder3.append("|");
                        stringBuilder3.append(getDepthString(depth));
                        stringBuilder3.append("index:");
                        stringBuilder3.append(index);
                        pw.println(stringBuilder3.toString());
                    }
                    int hwStop = value.getHwStop();
                    if (hwStop != -1) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("|");
                        stringBuilder.append(getDepthString(depth));
                        stringBuilder.append("hwStop:");
                        stringBuilder.append(hwStop);
                        pw.println(stringBuilder.toString());
                    }
                }
                if (node.hasChild()) {
                    com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childs = node.getChilds();
                    if (childs.isStringMap()) {
                        for (java.util.Map.Entry<java.lang.String, com.android.server.mtm.iaware.appmng.rule.RuleNode> entry : childs.getStringMap().entrySet()) {
                            printRuleNode(pw, (com.android.server.mtm.iaware.appmng.rule.RuleNode) entry.getValue(), depth + 1);
                        }
                    } else {
                        java.util.ArrayList<java.lang.Integer> sortedList = childs.getSortedList();
                        if (sortedList != null) {
                            stringBuilder = new java.lang.StringBuilder();
                            int listSize = sortedList.size();
                            for (int i = 0; i < listSize; i++) {
                                stringBuilder.append((java.lang.Integer) sortedList.get(i));
                                stringBuilder.append(" ");
                            }
                            java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                            stringBuilder4.append("|");
                            stringBuilder4.append(getDepthString(depth));
                            stringBuilder4.append("sorted child:");
                            stringBuilder4.append(stringBuilder.toString());
                            pw.println(stringBuilder4.toString());
                        }
                        java.util.LinkedHashMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.rule.RuleNode> integerMap = childs.getIntegerMap();
                        if (integerMap != null) {
                            for (java.lang.Integer key : integerMap.keySet()) {
                                if (key == null) {
                                    pw.println("bad config key == null");
                                    return;
                                }
                                printRuleNode(pw, (com.android.server.mtm.iaware.appmng.rule.RuleNode) integerMap.get(key), depth + 1);
                            }
                        }
                    }
                }
            }
        }
    }

    private java.lang.String getDepthString(int depth) {
        java.lang.StringBuilder sb = new java.lang.StringBuilder(depth);
        for (int i = 0; i < depth; i++) {
            sb.append("--");
        }
        return sb.toString();
    }

    public void dump(java.io.PrintWriter pw) {
        printRuleNode(pw, this.mRules, 0);
    }
}
