package com.android.server.mtm.iaware.appmng.rule;

public class ConfigReader {
    private static final java.lang.String ABBR_ALL = "all";
    private static final java.lang.String ABBR_ALL_BROAD = "allbroad";
    private static final java.lang.String ABBR_ALL_E_R = "all-R";
    private static final java.lang.String ABBR_ALL_E_RBB = "all-RBb";
    private static final java.lang.String ABBR_EXCLUDE_BG_CHECK = "bgcheck";
    private static final java.lang.String CONFIG_FILEPATH = "/system/etc/appmng_config.xml";
    private static final java.lang.String CONFIG_UPDATEPATH = "/data/system/iaware/appmng_config.xml";
    private static final java.lang.String CUST_FILEPATH = "/data/cust/xml/appmng_config_cust.xml";
    private static final java.lang.String CUST_FILEPATH_RELATED = "xml/appmng_config_cust.xml";
    private static final java.lang.String DEFAULT_VALUE = "default";
    private static final java.lang.String DIVIDER_OF_VALUE = ",";
    private static final int INDEX_CORRECT = 1;
    private static final int INDEX_UPDATED = 0;
    private static final boolean IS_ABROAD = com.android.server.rms.iaware.appmng.AwareDefaultConfigList.isAbroadArea();
    private static final int MIN_SUPPORTED_VERSION = 83;
    private static final java.lang.String TAG = "AppMng.ConfigReader";
    private static final int UNINIT_VALUE = -1;
    private static final int XML_ATTR_DEFAULT_NUM = 2;
    private static final java.lang.String XML_ATTR_NAME = "name";
    private static final java.lang.String XML_ATTR_SCOPE = "scope";
    private static final java.lang.String XML_ATTR_VALUE = "value";
    private static final java.lang.String XML_ATTR_VERSION = "version";
    private static final java.lang.String XML_TAG_ABROAD_LIST = "listabroad";
    private static final java.lang.String XML_TAG_CONFIG = "config";
    private static final java.lang.String XML_TAG_FEATURE = "feature";
    private static final java.lang.String XML_TAG_HWSTOP = "hwstop";
    private static final java.lang.String XML_TAG_IAWARE = "iaware";
    private static final java.lang.String XML_TAG_INDEX = "index";
    private static final java.lang.String XML_TAG_ITEM = "item";
    private static final java.lang.String XML_TAG_LIST = "list";
    private static final java.lang.String XML_TAG_MISC = "misc";
    private static final java.lang.String XML_TAG_POLICY = "policy";
    private static final java.lang.String XML_TAG_PROCESSLIST = "processlist";
    private static final java.lang.String XML_TAG_RULE = "rule";
    private static final java.lang.String XML_TAG_WEIGHT = "weight";
    private android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature, android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, com.android.server.mtm.iaware.appmng.rule.Config>> mAllConfig = new android.util.ArrayMap();
    private android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature, android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>>> mAllList = new android.util.ArrayMap();
    private android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature, android.util.ArrayMap<java.lang.String, java.util.ArrayList<java.lang.String>>> mAllMisc = new android.util.ArrayMap();
    private android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature, android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>>> mAllProcessList = new android.util.ArrayMap();
    private android.util.ArraySet<java.lang.String> mBGCheckExcludedPkg = new android.util.ArraySet();
    private android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature, java.util.ArrayList<java.lang.Boolean>> mConfigCorrectTag = new android.util.ArrayMap();
    private boolean mIsPolicyMissing = true;
    private int mVersion = -1;

    /* renamed from: com.android.server.mtm.iaware.appmng.rule.ConfigReader$2 */
    static /* synthetic */ class AnonymousClass2 {
        static final /* synthetic */ int[] $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppMngFeature = new int[android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.values().length];

        static {
            try {
                $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppMngFeature[android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_START.ordinal()] = 1;
            } catch (java.lang.NoSuchFieldError e) {
            }
            try {
                $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppMngFeature[android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_CLEAN.ordinal()] = 2;
            } catch (java.lang.NoSuchFieldError e2) {
            }
            try {
                $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppMngFeature[android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_FREEZE.ordinal()] = 3;
            } catch (java.lang.NoSuchFieldError e3) {
            }
            try {
                $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppMngFeature[android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_IOLIMIT.ordinal()] = 4;
            } catch (java.lang.NoSuchFieldError e4) {
            }
            try {
                $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppMngFeature[android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.BROADCAST.ordinal()] = 5;
            } catch (java.lang.NoSuchFieldError e5) {
            }
        }
    }

    public ConfigReader() {
        for (java.lang.Object put : android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.values()) {
            this.mConfigCorrectTag.put(put, new java.util.ArrayList<java.lang.Boolean>() {
                {
                    add(java.lang.Boolean.valueOf(false));
                    add(java.lang.Boolean.valueOf(true));
                }
            });
        }
    }

    public void parseFile(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature targetFeature, android.content.Context context) {
        java.io.File file = new java.io.File("/data/system/iaware/appmng_config.xml");
        if (file.exists()) {
            android.rms.iaware.AwareLog.i("AppMng.ConfigReader", "reading cloud config !");
            parseFileInternal(file, targetFeature, context);
        }
        if (!isConfigComplete(targetFeature) || this.mAllConfig.isEmpty()) {
            file = loadCustConfigFile();
            if (file.exists()) {
                android.rms.iaware.AwareLog.i("AppMng.ConfigReader", "reading cust config !");
                parseFileInternal(file, targetFeature, context);
            }
            if (!isConfigComplete(targetFeature) || this.mAllConfig.isEmpty()) {
                file = new java.io.File("/system/etc/appmng_config.xml");
                if (file.exists()) {
                    android.rms.iaware.AwareLog.i("AppMng.ConfigReader", "reading default config !");
                    parseFileInternal(file, targetFeature, context);
                }
                if (!isConfigComplete(targetFeature) || this.mAllConfig.isEmpty()) {
                    android.rms.iaware.AwareLog.e("AppMng.ConfigReader", "no valid config !");
                }
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:24:0x005a A:{Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af, all -> 0x00ad }} */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x008a A:{Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af, all -> 0x00ad }} */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x005b A:{Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af, all -> 0x00ad }} */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x005a A:{Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af, all -> 0x00ad }} */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x008a A:{Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af, all -> 0x00ad }} */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x005b A:{Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af, all -> 0x00ad }} */
    private void parseFileInternal(java.io.File r12, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature r13, android.content.Context r14) {
        /*
        r11 = this;
        r0 = 0;
        r1 = 0;
        r2 = 0;
        r3 = 0;
        r4 = r3;
        r5 = new java.io.FileInputStream;	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        r5.<init>(r12);	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        r0 = r5;
        r5 = android.rms.iaware.IAwareDecrypt.decryptInputStream(r14, r0);	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        r1 = r5;
        r5 = android.util.Xml.newPullParser();	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        r2 = r5;
        if (r2 == 0) goto L_0x00a9;
    L_0x0017:
        if (r1 != 0) goto L_0x001b;
    L_0x0019:
        goto L_0x00a9;
    L_0x001b:
        r5 = java.nio.charset.StandardCharsets.UTF_8;	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        r5 = r5.name();	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        r2.setInput(r1, r5);	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
    L_0x0024:
        r5 = r2.next();	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        r6 = r5;
        r7 = 1;
        if (r5 == r7) goto L_0x00c7;
    L_0x002c:
        r5 = 2;
        if (r6 != r5) goto L_0x0024;
    L_0x002f:
        r5 = r2.getName();	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        r8 = -1;
        r9 = r5.hashCode();	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        r10 = -1195682923; // 0xffffffffb8bb5395 float:-8.932423E-5 double:NaN;
        if (r9 == r10) goto L_0x004d;
    L_0x003d:
        r7 = -979207434; // 0xffffffffc5a27af6 float:-5199.37 double:NaN;
        if (r9 == r7) goto L_0x0043;
    L_0x0042:
        goto L_0x0056;
    L_0x0043:
        r7 = "feature";
        r5 = r5.equals(r7);	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        if (r5 == 0) goto L_0x0056;
    L_0x004b:
        r7 = 0;
        goto L_0x0057;
    L_0x004d:
        r9 = "iaware";
        r5 = r5.equals(r9);	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        if (r5 == 0) goto L_0x0056;
    L_0x0055:
        goto L_0x0057;
    L_0x0056:
        r7 = r8;
    L_0x0057:
        switch(r7) {
            case 0: goto L_0x008a;
            case 1: goto L_0x005b;
            default: goto L_0x005a;
        };	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
    L_0x005a:
        goto L_0x00a7;
    L_0x005b:
        r5 = "version";
        r5 = r2.getAttributeValue(r3, r5);	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        r5 = java.lang.Integer.parseInt(r5);	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        r7 = 83;
        if (r5 >= r7) goto L_0x0087;
    L_0x006a:
        r11.setConfigFailed(r3);	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        r3 = "AppMng.ConfigReader";
        r7 = new java.lang.StringBuilder;	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        r7.<init>();	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        r8 = "bad version = ";
        r7.append(r8);	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        r7.append(r5);	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        r7 = r7.toString();	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        android.rms.iaware.AwareLog.e(r3, r7);	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        r11.closeStream(r0, r1, r2);
        return;
    L_0x0087:
        r11.mVersion = r5;	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        goto L_0x00a7;
    L_0x008a:
        r5 = "name";
        r5 = r2.getAttributeValue(r3, r5);	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        r7 = android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.fromString(r5);	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        r7 = (android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature) r7;	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        r4 = r7;
        if (r13 != 0) goto L_0x009e;
    L_0x009a:
        r11.parseFeature(r2, r4);	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        goto L_0x00a7;
    L_0x009e:
        r7 = r13.equals(r4);	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
        if (r7 == 0) goto L_0x00a7;
    L_0x00a4:
        r11.parseFeature(r2, r4);	 Catch:{ XmlPullParserException -> 0x00cb, IOException -> 0x00bc, NumberFormatException -> 0x00af }
    L_0x00a7:
        goto L_0x0024;
    L_0x00a9:
        r11.closeStream(r0, r1, r2);
        return;
    L_0x00ad:
        r3 = move-exception;
        goto L_0x00f7;
    L_0x00af:
        r3 = move-exception;
        r5 = "AppMng.ConfigReader";
        r6 = "value number format error";
        android.rms.iaware.AwareLog.e(r5, r6);	 Catch:{ all -> 0x00ad }
        r11.setConfigFailed(r4);	 Catch:{ all -> 0x00ad }
        goto L_0x00c7;
    L_0x00bc:
        r3 = move-exception;
        r5 = "AppMng.ConfigReader";
        r6 = "failed parsing file IO error ";
        android.rms.iaware.AwareLog.e(r5, r6);	 Catch:{ all -> 0x00ad }
        r11.setConfigFailed(r4);	 Catch:{ all -> 0x00ad }
    L_0x00c7:
        r11.closeStream(r0, r1, r2);
        goto L_0x00f6;
    L_0x00cb:
        r3 = move-exception;
        r5 = r3.getColumnNumber();	 Catch:{ all -> 0x00ad }
        r6 = r3.getLineNumber();	 Catch:{ all -> 0x00ad }
        r7 = "AppMng.ConfigReader";
        r8 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00ad }
        r8.<init>();	 Catch:{ all -> 0x00ad }
        r9 = "failed parsing file parser error at line:";
        r8.append(r9);	 Catch:{ all -> 0x00ad }
        r8.append(r6);	 Catch:{ all -> 0x00ad }
        r9 = ",col:";
        r8.append(r9);	 Catch:{ all -> 0x00ad }
        r8.append(r5);	 Catch:{ all -> 0x00ad }
        r8 = r8.toString();	 Catch:{ all -> 0x00ad }
        android.rms.iaware.AwareLog.e(r7, r8);	 Catch:{ all -> 0x00ad }
        r11.setConfigFailed(r4);	 Catch:{ all -> 0x00ad }
        goto L_0x00c7;
    L_0x00f6:
        return;
    L_0x00f7:
        r11.closeStream(r0, r1, r2);
        throw r3;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.mtm.iaware.appmng.rule.ConfigReader.parseFileInternal(java.io.File, android.app.mtm.iaware.appmng.AppMngConstant$AppMngFeature, android.content.Context):void");
    }

    private void closeStream(java.io.InputStream rawIs, java.io.InputStream is, org.xmlpull.v1.XmlPullParser parser) {
        if (rawIs != null) {
            try {
                rawIs.close();
            } catch (java.io.IOException e) {
                android.rms.iaware.AwareLog.e("AppMng.ConfigReader", "close file rawIs stream fail!");
            }
        }
        if (is != null) {
            try {
                is.close();
            } catch (java.io.IOException e2) {
                android.rms.iaware.AwareLog.e("AppMng.ConfigReader", "close file is stream fail!");
            }
        }
        if (parser != null) {
            try {
                ((org.kxml2.io.KXmlParser) parser).close();
            } catch (java.io.IOException e3) {
                android.rms.iaware.AwareLog.e("AppMng.ConfigReader", "parser close error");
            }
        }
    }

    private void parseFeature(org.xmlpull.v1.XmlPullParser r14, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature r15) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException, java.lang.NumberFormatException {
        /*
        r13 = this;
        if (r15 != 0) goto L_0x000a;
    L_0x0002:
        r0 = "AppMng.ConfigReader";
        r1 = "feature name is not right or feature is missing";
        android.rms.iaware.AwareLog.e(r0, r1);
        return;
    L_0x000a:
        r0 = r14.getDepth();
        r1 = new android.util.ArrayMap;
        r1.<init>();
        r2 = new android.util.ArrayMap;
        r2.<init>();
        r3 = new android.util.ArrayMap;
        r3.<init>();
        r4 = new android.util.ArrayMap;
        r4.<init>();
    L_0x0022:
        r5 = r14.next();
        r6 = r5;
        r7 = 1;
        if (r5 == r7) goto L_0x009f;
    L_0x002a:
        r5 = 3;
        if (r5 != r6) goto L_0x0033;
    L_0x002d:
        r8 = r14.getDepth();
        if (r8 <= r0) goto L_0x009f;
    L_0x0033:
        r8 = 2;
        if (r6 != r8) goto L_0x0022;
    L_0x0036:
        r9 = r14.getName();
        if (r9 != 0) goto L_0x003d;
    L_0x003c:
        goto L_0x0022;
    L_0x003d:
        r10 = 0;
        r11 = "name";
        r10 = r14.getAttributeValue(r10, r11);
        if (r10 != 0) goto L_0x0047;
    L_0x0046:
        goto L_0x0022;
    L_0x0047:
        r11 = -1;
        r12 = r9.hashCode();
        switch(r12) {
            case -1354792126: goto L_0x0077;
            case 3322014: goto L_0x006e;
            case 3351788: goto L_0x0064;
            case 203227021: goto L_0x005a;
            case 749196511: goto L_0x0050;
            default: goto L_0x004f;
        };
    L_0x004f:
        goto L_0x0081;
    L_0x0050:
        r5 = "listabroad";
        r5 = r9.equals(r5);
        if (r5 == 0) goto L_0x0081;
    L_0x0058:
        r7 = r8;
        goto L_0x0082;
    L_0x005a:
        r7 = "processlist";
        r7 = r9.equals(r7);
        if (r7 == 0) goto L_0x0081;
    L_0x0062:
        r7 = r5;
        goto L_0x0082;
    L_0x0064:
        r5 = "misc";
        r5 = r9.equals(r5);
        if (r5 == 0) goto L_0x0081;
    L_0x006c:
        r7 = 4;
        goto L_0x0082;
    L_0x006e:
        r5 = "list";
        r5 = r9.equals(r5);
        if (r5 == 0) goto L_0x0081;
    L_0x0076:
        goto L_0x0082;
    L_0x0077:
        r5 = "config";
        r5 = r9.equals(r5);
        if (r5 == 0) goto L_0x0081;
    L_0x007f:
        r7 = 0;
        goto L_0x0082;
    L_0x0081:
        r7 = r11;
    L_0x0082:
        switch(r7) {
            case 0: goto L_0x009a;
            case 1: goto L_0x0096;
            case 2: goto L_0x008e;
            case 3: goto L_0x008a;
            case 4: goto L_0x0086;
            default: goto L_0x0085;
        };
    L_0x0085:
        goto L_0x0022;
    L_0x0086:
        r13.parseMisc(r14, r10, r15, r4);
        goto L_0x009e;
    L_0x008a:
        r13.parseList(r14, r10, r15, r3);
        goto L_0x009e;
    L_0x008e:
        r5 = IS_ABROAD;
        if (r5 == 0) goto L_0x009e;
    L_0x0092:
        r13.parseList(r14, r10, r15, r2);
        goto L_0x009e;
    L_0x0096:
        r13.parseList(r14, r10, r15, r2);
        goto L_0x009e;
    L_0x009a:
        r13.parseConfig(r14, r10, r15, r1);
    L_0x009e:
        goto L_0x0022;
    L_0x009f:
        r5 = r13.isNeedUpdate(r15);
        if (r5 == 0) goto L_0x00b9;
    L_0x00a5:
        r5 = r13.mAllConfig;
        r5.put(r15, r1);
        r5 = r13.mAllList;
        r5.put(r15, r2);
        r5 = r13.mAllProcessList;
        r5.put(r15, r3);
        r5 = r13.mAllMisc;
        r5.put(r15, r4);
    L_0x00b9:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.mtm.iaware.appmng.rule.ConfigReader.parseFeature(org.xmlpull.v1.XmlPullParser, android.app.mtm.iaware.appmng.AppMngConstant$AppMngFeature):void");
    }

    private void parseList(org.xmlpull.v1.XmlPullParser parser, java.lang.String packageName, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature feature, android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>> featureList) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException, java.lang.NumberFormatException {
        int outerDepth = parser.getDepth();
        while (true) {
            int next = parser.next();
            int eventType = next;
            if (next != 1 && (3 != eventType || parser.getDepth() > outerDepth)) {
                if (eventType == 2 && "item".equals(parser.getName())) {
                    java.lang.String name = parser.getAttributeValue(null, "name");
                    android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc configEnum = getConfig(feature, name);
                    if (configEnum != null) {
                        android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> policies = (android.util.ArrayMap) featureList.get(configEnum);
                        if (policies == null) {
                            policies = new android.util.ArrayMap();
                        }
                        com.android.server.mtm.iaware.appmng.rule.ListItem item = (com.android.server.mtm.iaware.appmng.rule.ListItem) policies.get(packageName);
                        if (item == null) {
                            item = new com.android.server.mtm.iaware.appmng.rule.ListItem();
                        }
                        if (android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.SYSTEM_BROADCAST.equals(configEnum)) {
                            android.util.ArrayMap<java.lang.String, java.lang.Integer> complicatePolicy = new android.util.ArrayMap();
                            parseBroadcast(parser, complicatePolicy);
                            item.setComplicatePolicy(complicatePolicy);
                        } else {
                            item.setPolicy(java.lang.Integer.parseInt(parser.getAttributeValue(null, "value")));
                        }
                        if (android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_START.equals(feature)) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append(configEnum.getDesc());
                            stringBuilder.append(android.app.mtm.iaware.appmng.AppMngConstant.AppStartReason.LIST.getDesc());
                            item.setIndex(stringBuilder.toString());
                        }
                        policies.put(packageName, item);
                        featureList.put(configEnum, policies);
                    } else if (!android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_START.equals(feature)) {
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("no such config named : ");
                        stringBuilder2.append(name);
                        android.rms.iaware.AwareLog.e("AppMng.ConfigReader", stringBuilder2.toString());
                        setConfigFailed(feature);
                        return;
                    } else if (!dealWithAbbreviation(name, packageName, java.lang.Integer.parseInt(parser.getAttributeValue(null, "value")), featureList)) {
                        setConfigFailed(feature);
                        return;
                    }
                }
            }
        }
    }

    private void parseBroadcast(org.xmlpull.v1.XmlPullParser parser, android.util.ArrayMap<java.lang.String, java.lang.Integer> policy) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException, java.lang.NumberFormatException {
        int outerDepth = parser.getDepth();
        while (true) {
            int next = parser.next();
            int eventType = next;
            if (next == 1) {
                return;
            }
            if (3 == eventType && parser.getDepth() <= outerDepth) {
                return;
            }
            if (eventType == 2 && "item".equals(parser.getName())) {
                policy.put(parser.getAttributeValue(null, "name"), java.lang.Integer.valueOf(java.lang.Integer.parseInt(parser.getAttributeValue(null, "value"))));
            }
        }
    }

    private void parseMisc(org.xmlpull.v1.XmlPullParser parser, java.lang.String miscName, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature feature, android.util.ArrayMap<java.lang.String, java.util.ArrayList<java.lang.String>> featureMisc) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException, java.lang.NumberFormatException {
        int outerDepth = parser.getDepth();
        while (true) {
            int next = parser.next();
            int eventType = next;
            if (next == 1) {
                return;
            }
            if (3 == eventType && parser.getDepth() <= outerDepth) {
                return;
            }
            if (eventType == 2 && "item".equals(parser.getName())) {
                java.util.ArrayList<java.lang.String> miscList = (java.util.ArrayList) featureMisc.get(miscName);
                if (miscList == null) {
                    miscList = new java.util.ArrayList();
                }
                java.lang.String content = parser.nextText();
                if (content != null) {
                    miscList.add(content);
                }
                featureMisc.put(miscName, miscList);
            }
        }
    }

    private void parseConfig(org.xmlpull.v1.XmlPullParser parser, java.lang.String configName, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature feature, android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, com.android.server.mtm.iaware.appmng.rule.Config> featureConfig) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException, java.lang.NumberFormatException {
        android.util.ArrayMap<java.lang.String, java.lang.String> properties = new android.util.ArrayMap();
        properties.put("name", configName);
        java.lang.String configScope = parser.getAttributeValue(null, "scope");
        if (configScope != null) {
            properties.put("scope", configScope);
        }
        com.android.server.mtm.iaware.appmng.rule.RuleNode head = new com.android.server.mtm.iaware.appmng.rule.RuleNode(null, null);
        android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc configEnum = getConfig(feature, configName);
        if (configEnum == null) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("no such config named : ");
            stringBuilder.append(configName);
            android.rms.iaware.AwareLog.e("AppMng.ConfigReader", stringBuilder.toString());
            setConfigFailed(feature);
            return;
        }
        java.util.ArrayList<com.android.server.mtm.iaware.appmng.rule.RuleNode> heads = new java.util.ArrayList();
        heads.add(head);
        parseRules(parser, feature, configEnum, heads);
        if (head.hasChild()) {
            com.android.server.mtm.iaware.appmng.rule.Config config;
            if (feature.equals(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_START)) {
                config = new com.android.server.mtm.iaware.appmng.rule.AppStartRule(null, head);
            } else if (feature.equals(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.BROADCAST)) {
                config = new com.android.server.mtm.iaware.appmng.rule.BroadcastMngRule(null, head);
            } else {
                config = new com.android.server.mtm.iaware.appmng.rule.AppMngRule(properties, head);
                featureConfig.put(configEnum, config);
                return;
            }
            featureConfig.put(configEnum, config);
            return;
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("empty named : ");
        stringBuilder2.append(configName);
        android.rms.iaware.AwareLog.e("AppMng.ConfigReader", stringBuilder2.toString());
        setConfigFailed(feature);
    }

    /* JADX WARNING: Missing block: B:85:0x01d3, code:
            android.rms.iaware.AwareLog.e("AppMng.ConfigReader", "bad type or rawValue");
            setConfigFailed(r2);
     */
    /* JADX WARNING: Missing block: B:86:0x01dd, code:
            return;
     */
    /* JADX WARNING: Missing block: B:90:0x0200, code:
            return;
     */
    private void parseRules(org.xmlpull.v1.XmlPullParser r23, android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature r24, android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc r25, java.util.ArrayList<com.android.server.mtm.iaware.appmng.rule.RuleNode> r26) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException, java.lang.NumberFormatException {
        /*
        r22 = this;
        r0 = r22;
        r1 = r23;
        r2 = r24;
        r3 = r25;
        r4 = r23.getDepth();
    L_0x000c:
        r5 = r23.next();
        r6 = r5;
        r7 = 1;
        if (r5 == r7) goto L_0x01fc;
    L_0x0014:
        r5 = 3;
        if (r5 != r6) goto L_0x0024;
    L_0x0017:
        r5 = r23.getDepth();
        if (r5 <= r4) goto L_0x001e;
    L_0x001d:
        goto L_0x0024;
    L_0x001e:
        r18 = r4;
        r19 = r6;
        goto L_0x0200;
    L_0x0024:
        r5 = 2;
        if (r5 == r6) goto L_0x002c;
        r18 = r4;
        goto L_0x01c9;
    L_0x002c:
        r5 = r23.getName();
        r8 = "rule";
        r8 = r8.equals(r5);
        r9 = 0;
        r10 = 0;
        if (r8 == 0) goto L_0x0041;
    L_0x003a:
        r11 = "name";
        r11 = r1.getAttributeValue(r10, r11);
        goto L_0x004d;
    L_0x0041:
        r11 = "policy";
        r11 = r11.equals(r5);
        if (r11 == 0) goto L_0x01de;
    L_0x0049:
        r11 = "policy";
        r0.mIsPolicyMissing = r9;
        r12 = "value";
        r12 = r1.getAttributeValue(r10, r12);
        r13 = r0.getType(r2, r11);
        if (r13 == 0) goto L_0x01cd;
    L_0x005b:
        if (r12 != 0) goto L_0x0065;
    L_0x005d:
        r18 = r4;
        r19 = r6;
        r20 = r11;
        goto L_0x01d3;
    L_0x0065:
        r14 = ",";
        r14 = r0.fastSplit(r12, r14);
        r15 = 1;
        r16 = 0;
        r9 = new java.util.ArrayList;
        r9.<init>();
        r17 = r15;
        r15 = 0;
    L_0x0076:
        r7 = r14.length;
        if (r15 >= r7) goto L_0x0192;
    L_0x0079:
        r7 = r14[r15];
        if (r7 == 0) goto L_0x016f;
    L_0x007d:
        r7 = r14[r15];
        r7 = r7.isEmpty();
        if (r7 == 0) goto L_0x008f;
    L_0x0085:
        r18 = r4;
        r19 = r6;
        r20 = r11;
        r21 = r14;
        goto L_0x0177;
    L_0x008f:
        r7 = r13.isStringInXml();
        if (r7 == 0) goto L_0x009d;
    L_0x0095:
        r7 = new com.android.server.mtm.iaware.appmng.rule.RuleNode$XmlValue;
        r10 = r14[r15];
        r7.<init>(r10);
        goto L_0x00a8;
    L_0x009d:
        r7 = new com.android.server.mtm.iaware.appmng.rule.RuleNode$XmlValue;
        r10 = r14[r15];
        r10 = java.lang.Integer.parseInt(r10);
        r7.<init>(r10);
    L_0x00a8:
        r10 = new com.android.server.mtm.iaware.appmng.rule.RuleNode;
        r10.<init>(r13, r7);
        r18 = r4;
        r4 = android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_START;
        r4 = r4.equals(r2);
        if (r4 == 0) goto L_0x0115;
    L_0x00b7:
        if (r8 != 0) goto L_0x00ec;
    L_0x00b9:
        r4 = "index";
        r19 = r6;
        r6 = 0;
        r4 = r1.getAttributeValue(r6, r4);
        r20 = r11;
        r11 = "hwstop";
        r11 = r1.getAttributeValue(r6, r11);
        r6 = new java.lang.StringBuilder;
        r6.<init>();
        r21 = r14;
        r14 = r25.getDesc();
        r6.append(r14);
        r6.append(r4);
        r6 = r6.toString();
        r7.setIndex(r6);
        if (r11 == 0) goto L_0x00f2;
    L_0x00e4:
        r6 = java.lang.Integer.parseInt(r11);
        r7.setHwStop(r6);
        goto L_0x00f2;
    L_0x00ec:
        r19 = r6;
        r20 = r11;
        r21 = r14;
    L_0x00f2:
        r4 = r26.iterator();
    L_0x00f6:
        r6 = r4.hasNext();
        if (r6 == 0) goto L_0x0113;
    L_0x00fc:
        r6 = r4.next();
        r6 = (com.android.server.mtm.iaware.appmng.rule.RuleNode) r6;
        if (r17 == 0) goto L_0x010c;
    L_0x0104:
        r11 = r6.addChildItemSorted(r13, r10);
        if (r11 == 0) goto L_0x010c;
    L_0x010a:
        r11 = 1;
        goto L_0x010d;
    L_0x010c:
        r11 = 0;
    L_0x010d:
        r17 = r11;
        r9.add(r10);
        goto L_0x00f6;
    L_0x0113:
        r6 = 0;
        goto L_0x0152;
    L_0x0115:
        r19 = r6;
        r20 = r11;
        r21 = r14;
        if (r8 != 0) goto L_0x0130;
    L_0x011d:
        r4 = "weight";
        r6 = 0;
        r4 = r1.getAttributeValue(r6, r4);
        r11 = -1;
        if (r4 == 0) goto L_0x012c;
    L_0x0128:
        r11 = java.lang.Integer.parseInt(r4);
    L_0x012c:
        r7.setWeight(r11);
        goto L_0x0131;
    L_0x0130:
        r6 = 0;
    L_0x0131:
        r4 = r26.iterator();
    L_0x0135:
        r11 = r4.hasNext();
        if (r11 == 0) goto L_0x0152;
    L_0x013b:
        r11 = r4.next();
        r11 = (com.android.server.mtm.iaware.appmng.rule.RuleNode) r11;
        if (r17 == 0) goto L_0x014b;
    L_0x0143:
        r14 = r11.addChildItem(r13, r10);
        if (r14 == 0) goto L_0x014b;
    L_0x0149:
        r14 = 1;
        goto L_0x014c;
    L_0x014b:
        r14 = 0;
    L_0x014c:
        r17 = r14;
        r9.add(r10);
        goto L_0x0135;
    L_0x0152:
        if (r17 != 0) goto L_0x015f;
    L_0x0154:
        r4 = "AppMng.ConfigReader";
        r6 = "rules in same level must have same type";
        android.rms.iaware.AwareLog.e(r4, r6);
        r0.setConfigFailed(r2);
        return;
    L_0x015f:
        r15 = r15 + 1;
        r16 = r10;
        r4 = r18;
        r11 = r20;
        r14 = r21;
        r7 = 1;
        r10 = r6;
        r6 = r19;
        goto L_0x0076;
    L_0x016f:
        r18 = r4;
        r19 = r6;
        r20 = r11;
        r21 = r14;
    L_0x0177:
        r4 = "AppMng.ConfigReader";
        r6 = new java.lang.StringBuilder;
        r6.<init>();
        r7 = "values format error rawValue = ";
        r6.append(r7);
        r6.append(r12);
        r6 = r6.toString();
        android.rms.iaware.AwareLog.e(r4, r6);
        r0.setConfigFailed(r2);
        return;
    L_0x0192:
        r18 = r4;
        r19 = r6;
        r20 = r11;
        r21 = r14;
        if (r8 == 0) goto L_0x01c8;
    L_0x019c:
        r4 = 1;
        r0.mIsPolicyMissing = r4;
        r0.parseRules(r1, r2, r3, r9);
        r4 = r0.mIsPolicyMissing;
        if (r4 == 0) goto L_0x01c8;
    L_0x01a6:
        r4 = "AppMng.ConfigReader";
        r6 = new java.lang.StringBuilder;
        r6.<init>();
        r7 = "policy missing in feature : ";
        r6.append(r7);
        r6.append(r2);
        r7 = ", config : ";
        r6.append(r7);
        r6.append(r3);
        r6 = r6.toString();
        android.rms.iaware.AwareLog.e(r4, r6);
        r0.setConfigFailed(r2);
        return;
    L_0x01c9:
        r4 = r18;
        goto L_0x000c;
    L_0x01cd:
        r18 = r4;
        r19 = r6;
        r20 = r11;
    L_0x01d3:
        r4 = "AppMng.ConfigReader";
        r6 = "bad type or rawValue";
        android.rms.iaware.AwareLog.e(r4, r6);
        r0.setConfigFailed(r2);
        return;
    L_0x01de:
        r18 = r4;
        r19 = r6;
        r4 = "AppMng.ConfigReader";
        r6 = new java.lang.StringBuilder;
        r6.<init>();
        r7 = "bad tag = ";
        r6.append(r7);
        r6.append(r5);
        r6 = r6.toString();
        android.rms.iaware.AwareLog.e(r4, r6);
        r0.setConfigFailed(r2);
        return;
    L_0x01fc:
        r18 = r4;
        r19 = r6;
    L_0x0200:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.mtm.iaware.appmng.rule.ConfigReader.parseRules(org.xmlpull.v1.XmlPullParser, android.app.mtm.iaware.appmng.AppMngConstant$AppMngFeature, android.app.mtm.iaware.appmng.AppMngConstant$EnumWithDesc, java.util.ArrayList):void");
    }

    private java.io.File loadCustConfigFile() {
        try {
            java.io.File cfg = huawei.cust.HwCfgFilePolicy.getCfgFile("xml/appmng_config_cust.xml", 0);
            if (cfg == null) {
                return new java.io.File("/data/cust/xml/appmng_config_cust.xml");
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("cust path is ");
            stringBuilder.append(cfg.getAbsolutePath());
            android.rms.iaware.AwareLog.d("AppMng.ConfigReader", stringBuilder.toString());
            return cfg;
        } catch (java.lang.NoClassDefFoundError e) {
            android.rms.iaware.AwareLog.e("AppMng.ConfigReader", "loadCustConfigFile NoClassDefFoundError : HwCfgFilePolicy ");
        }
    }

    private android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc getConfig(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature feature, java.lang.String configName) {
        switch (com.android.server.mtm.iaware.appmng.rule.ConfigReader.AnonymousClass2.$SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppMngFeature[feature.ordinal()]) {
            case 1:
                return android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.fromString(configName);
            case 2:
                return android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.fromString(configName);
            case 3:
                return android.app.mtm.iaware.appmng.AppMngConstant.AppFreezeSource.fromString(configName);
            case 4:
                return android.app.mtm.iaware.appmng.AppMngConstant.AppIoLimitSource.fromString(configName);
            case 5:
                return android.app.mtm.iaware.appmng.AppMngConstant.BroadcastSource.fromString(configName);
            default:
                return null;
        }
    }

    private com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.TagEnum getType(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature feature, java.lang.String tagName) {
        switch (com.android.server.mtm.iaware.appmng.rule.ConfigReader.AnonymousClass2.$SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppMngFeature[feature.ordinal()]) {
            case 1:
                return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppStartTag.fromString(tagName);
            case 2:
            case 3:
            case 4:
                return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.fromString(tagName);
            case 5:
                return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.BroadcastTag.fromString(tagName);
            default:
                return null;
        }
    }

    private boolean dealWithAbbreviation(java.lang.String r11, java.lang.String r12, int r13, android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>> r14) {
        /*
        r10 = this;
        r0 = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.values();
        r1 = r0.length;
        r2 = 0;
        r3 = r2;
    L_0x0007:
        r4 = 1;
        if (r3 >= r1) goto L_0x00de;
    L_0x000a:
        r5 = r0[r3];
        r6 = r14.get(r5);
        r6 = (android.util.ArrayMap) r6;
        r7 = -1;
        r8 = r11.hashCode();
        switch(r8) {
            case -913346042: goto L_0x0042;
            case -175522845: goto L_0x0038;
            case 96673: goto L_0x002e;
            case 92904230: goto L_0x0025;
            case 1800987009: goto L_0x001b;
            default: goto L_0x001a;
        };
    L_0x001a:
        goto L_0x004c;
    L_0x001b:
        r4 = "allbroad";
        r4 = r11.equals(r4);
        if (r4 == 0) goto L_0x004c;
    L_0x0023:
        r4 = 2;
        goto L_0x004d;
    L_0x0025:
        r8 = "all-R";
        r8 = r11.equals(r8);
        if (r8 == 0) goto L_0x004c;
    L_0x002d:
        goto L_0x004d;
    L_0x002e:
        r4 = "all";
        r4 = r11.equals(r4);
        if (r4 == 0) goto L_0x004c;
    L_0x0036:
        r4 = r2;
        goto L_0x004d;
    L_0x0038:
        r4 = "bgcheck";
        r4 = r11.equals(r4);
        if (r4 == 0) goto L_0x004c;
    L_0x0040:
        r4 = 3;
        goto L_0x004d;
    L_0x0042:
        r4 = "all-RBb";
        r4 = r11.equals(r4);
        if (r4 == 0) goto L_0x004c;
    L_0x004a:
        r4 = 4;
        goto L_0x004d;
    L_0x004c:
        r4 = r7;
    L_0x004d:
        switch(r4) {
            case 0: goto L_0x00a0;
            case 1: goto L_0x0097;
            case 2: goto L_0x0086;
            case 3: goto L_0x0080;
            case 4: goto L_0x0067;
            default: goto L_0x0050;
        };
    L_0x0050:
        r0 = "AppMng.ConfigReader";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r3 = "no such config named : ";
        r1.append(r3);
        r1.append(r11);
        r1 = r1.toString();
        android.rms.iaware.AwareLog.e(r0, r1);
        return r2;
    L_0x0067:
        r4 = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.SYSTEM_BROADCAST;
        r4 = r4.equals(r5);
        if (r4 != 0) goto L_0x00da;
    L_0x006f:
        r4 = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.THIRD_BROADCAST;
        r4 = r4.equals(r5);
        if (r4 != 0) goto L_0x00da;
    L_0x0077:
        r4 = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.SCHEDULE_RESTART;
        r4 = r4.equals(r5);
        if (r4 == 0) goto L_0x00a1;
    L_0x007f:
        goto L_0x00da;
    L_0x0080:
        r4 = r10.mBGCheckExcludedPkg;
        r4.add(r12);
        goto L_0x00da;
    L_0x0086:
        r4 = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.SYSTEM_BROADCAST;
        r4 = r4.equals(r5);
        if (r4 != 0) goto L_0x00a1;
    L_0x008e:
        r4 = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.THIRD_BROADCAST;
        r4 = r4.equals(r5);
        if (r4 == 0) goto L_0x00da;
    L_0x0096:
        goto L_0x00a1;
    L_0x0097:
        r4 = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.SCHEDULE_RESTART;
        r4 = r4.equals(r5);
        if (r4 == 0) goto L_0x00a1;
    L_0x009f:
        goto L_0x00da;
    L_0x00a1:
        if (r6 != 0) goto L_0x00a9;
    L_0x00a3:
        r4 = new android.util.ArrayMap;
        r4.<init>();
        r6 = r4;
    L_0x00a9:
        r4 = r6.get(r12);
        r4 = (com.android.server.mtm.iaware.appmng.rule.ListItem) r4;
        if (r4 != 0) goto L_0x00b7;
    L_0x00b1:
        r7 = new com.android.server.mtm.iaware.appmng.rule.ListItem;
        r7.<init>();
        r4 = r7;
    L_0x00b7:
        r7 = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.SYSTEM_BROADCAST;
        r7 = r7.equals(r5);
        if (r7 == 0) goto L_0x00d1;
    L_0x00bf:
        r7 = new android.util.ArrayMap;
        r7.<init>();
        r8 = "default";
        r9 = java.lang.Integer.valueOf(r13);
        r7.put(r8, r9);
        r4.setComplicatePolicy(r7);
        goto L_0x00d4;
    L_0x00d1:
        r4.setPolicy(r13);
    L_0x00d4:
        r6.put(r12, r4);
        r14.put(r5, r6);
    L_0x00da:
        r3 = r3 + 1;
        goto L_0x0007;
    L_0x00de:
        return r4;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.mtm.iaware.appmng.rule.ConfigReader.dealWithAbbreviation(java.lang.String, java.lang.String, int, android.util.ArrayMap):boolean");
    }

    private boolean isConfigComplete(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature feature) {
        boolean complete = true;
        java.util.ArrayList<java.lang.Boolean> correctTag;
        if (feature == null) {
            for (java.util.Map.Entry<android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature, java.util.ArrayList<java.lang.Boolean>> correctTagEntry : this.mConfigCorrectTag.entrySet()) {
                correctTag = (java.util.ArrayList) correctTagEntry.getValue();
                if (!((java.lang.Boolean) correctTag.get(0)).booleanValue()) {
                    complete = false;
                }
                correctTag.set(1, java.lang.Boolean.valueOf(true));
            }
            return complete;
        }
        correctTag = (java.util.ArrayList) this.mConfigCorrectTag.get(feature);
        complete = ((java.lang.Boolean) correctTag.get(0)).booleanValue();
        correctTag.set(1, java.lang.Boolean.valueOf(true));
        return complete;
    }

    private void setConfigFailed(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature feature) {
        if (feature == null) {
            for (java.util.Map.Entry<android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature, java.util.ArrayList<java.lang.Boolean>> correctTagEntry : this.mConfigCorrectTag.entrySet()) {
                ((java.util.ArrayList) correctTagEntry.getValue()).set(1, java.lang.Boolean.valueOf(false));
            }
            return;
        }
        ((java.util.ArrayList) this.mConfigCorrectTag.get(feature)).set(1, java.lang.Boolean.valueOf(false));
    }

    private boolean isNeedUpdate(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature feature) {
        java.util.ArrayList<java.lang.Boolean> correctTag = (java.util.ArrayList) this.mConfigCorrectTag.get(feature);
        boolean isUpdated = ((java.lang.Boolean) correctTag.get(0)).booleanValue();
        boolean isCorrect = ((java.lang.Boolean) correctTag.get(1)).booleanValue();
        if (isUpdated) {
            return false;
        }
        correctTag.set(0, java.lang.Boolean.valueOf(isCorrect));
        return isCorrect;
    }

    private java.lang.String[] fastSplit(java.lang.String rawStr, java.lang.String divider) {
        int prev = 0;
        if (rawStr == null) {
            return new java.lang.String[0];
        }
        java.util.ArrayList<java.lang.String> res = new java.util.ArrayList();
        while (true) {
            int indexOf = rawStr.indexOf(divider, prev);
            int pos = indexOf;
            if (indexOf != -1) {
                res.add(rawStr.substring(prev, pos));
                prev = pos + divider.length();
            } else {
                res.add(rawStr.substring(prev));
                return (java.lang.String[]) res.toArray(new java.lang.String[res.size()]);
            }
        }
    }

    public android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature, android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, com.android.server.mtm.iaware.appmng.rule.Config>> getConfig() {
        return this.mAllConfig;
    }

    public android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature, android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>>> getList() {
        return this.mAllList;
    }

    public android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature, android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.EnumWithDesc, android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem>>> getProcessList() {
        return this.mAllProcessList;
    }

    public android.util.ArrayMap<android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature, android.util.ArrayMap<java.lang.String, java.util.ArrayList<java.lang.String>>> getMisc() {
        return this.mAllMisc;
    }

    public android.util.ArraySet<java.lang.String> getBGCheckExcludedPkg() {
        return this.mBGCheckExcludedPkg;
    }

    public int getVersion() {
        return this.mVersion;
    }
}
