package com.android.server.mtm.iaware.appmng.rule;

public class RuleNode {
    private static final java.lang.String TAG = "RuleNode";
    private com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap mChildItems = new com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap();
    private com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.TagEnum mChildType;
    private com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.TagEnum mCurrentType;
    private com.android.server.mtm.iaware.appmng.rule.RuleNode.XmlValue mValue;

    public static class StringIntegerMap {
        private java.util.LinkedHashMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.rule.RuleNode> mIntegerMap;
        boolean mIsStringMap;
        private java.util.ArrayList<java.lang.Integer> mSortedList;
        private android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.RuleNode> mStringMap;

        public void put(java.lang.String key, com.android.server.mtm.iaware.appmng.rule.RuleNode item) {
            if (this.mStringMap == null) {
                this.mStringMap = new android.util.ArrayMap();
            }
            this.mStringMap.put(key, item);
            this.mIsStringMap = true;
        }

        public void put(int key, com.android.server.mtm.iaware.appmng.rule.RuleNode item) {
            if (this.mIntegerMap == null) {
                this.mIntegerMap = new java.util.LinkedHashMap();
            }
            this.mIntegerMap.put(java.lang.Integer.valueOf(key), item);
            this.mIsStringMap = false;
        }

        public com.android.server.mtm.iaware.appmng.rule.RuleNode get(com.android.server.mtm.iaware.appmng.rule.RuleNode.XmlValue key) {
            if (key == null) {
                return null;
            }
            if (key.isString()) {
                if (this.mStringMap != null) {
                    return (com.android.server.mtm.iaware.appmng.rule.RuleNode) this.mStringMap.get(key.getStringValue());
                }
            } else if (this.mIntegerMap != null) {
                return (com.android.server.mtm.iaware.appmng.rule.RuleNode) this.mIntegerMap.get(java.lang.Integer.valueOf(key.getIntValue()));
            }
            return null;
        }

        public boolean isEmpty() {
            if (this.mStringMap != null) {
                return this.mStringMap.isEmpty();
            }
            boolean z = true;
            if (this.mIntegerMap == null) {
                return true;
            }
            if (this.mIntegerMap.size() != 0) {
                z = false;
            }
            return z;
        }

        public boolean isStringMap() {
            return this.mIsStringMap;
        }

        public android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.RuleNode> getStringMap() {
            return this.mStringMap;
        }

        public java.util.LinkedHashMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.rule.RuleNode> getIntegerMap() {
            return this.mIntegerMap;
        }

        public java.util.ArrayList<java.lang.Integer> getSortedList() {
            return this.mSortedList;
        }

        private boolean couldSort(com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppStartTag tag, int value) {
            switch (tag) {
                case CALLER_ACTION:
                    if (value >= 0) {
                        if (value >= com.android.server.rms.iaware.appmng.AppStartPolicyCfg.AppStartCallerAction.values().length) {
                        }
                    }
                    return false;
                case CALLER_STATUS:
                    if (value < 0 || value >= com.android.server.rms.iaware.appmng.AppStartPolicyCfg.AppStartCallerStatus.values().length) {
                        return false;
                    }
                case TARGET_STATUS:
                    if (value < 0 || value >= com.android.server.rms.iaware.appmng.AppStartPolicyCfg.AppStartTargetStat.values().length) {
                        return false;
                    }
                case TARGET_TYPE:
                    if (value < 0 || value >= com.android.server.rms.iaware.appmng.AppStartPolicyCfg.AppStartTargetType.values().length) {
                        return false;
                    }
                default:
                    return false;
            }
            return true;
        }

        public void addToSortedList(com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.TagEnum tag, int value) {
            if (!(tag instanceof com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppStartTag) || !couldSort((com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppStartTag) tag, value)) {
                return;
            }
            if (this.mSortedList == null) {
                this.mSortedList = new java.util.ArrayList();
                this.mSortedList.add(java.lang.Integer.valueOf(value));
                return;
            }
            java.util.ArrayList<java.lang.Integer> result = new java.util.ArrayList();
            boolean isAdded = false;
            int listSize = this.mSortedList.size();
            for (int i = 0; i < listSize; i++) {
                java.lang.Integer val = (java.lang.Integer) this.mSortedList.get(i);
                if (!isAdded) {
                    switch ((com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppStartTag) tag) {
                        case CALLER_ACTION:
                            if (com.android.server.rms.iaware.appmng.AppStartPolicyCfg.AppStartCallerAction.values()[value].getPriority() >= com.android.server.rms.iaware.appmng.AppStartPolicyCfg.AppStartCallerAction.values()[val.intValue()].getPriority()) {
                                break;
                            }
                            result.add(java.lang.Integer.valueOf(value));
                            isAdded = true;
                            break;
                        case CALLER_STATUS:
                            if (com.android.server.rms.iaware.appmng.AppStartPolicyCfg.AppStartCallerStatus.values()[value].getPriority() >= com.android.server.rms.iaware.appmng.AppStartPolicyCfg.AppStartCallerStatus.values()[val.intValue()].getPriority()) {
                                break;
                            }
                            result.add(java.lang.Integer.valueOf(value));
                            isAdded = true;
                            break;
                        case TARGET_STATUS:
                            if (com.android.server.rms.iaware.appmng.AppStartPolicyCfg.AppStartTargetStat.values()[value].getPriority() >= com.android.server.rms.iaware.appmng.AppStartPolicyCfg.AppStartTargetStat.values()[val.intValue()].getPriority()) {
                                break;
                            }
                            result.add(java.lang.Integer.valueOf(value));
                            isAdded = true;
                            break;
                        case TARGET_TYPE:
                            if (com.android.server.rms.iaware.appmng.AppStartPolicyCfg.AppStartTargetType.values()[value].getPriority() >= com.android.server.rms.iaware.appmng.AppStartPolicyCfg.AppStartTargetType.values()[val.intValue()].getPriority()) {
                                break;
                            }
                            result.add(java.lang.Integer.valueOf(value));
                            isAdded = true;
                            break;
                        default:
                            return;
                    }
                }
                result.add(val);
            }
            if (!isAdded) {
                result.add(java.lang.Integer.valueOf(value));
            }
            this.mSortedList = result;
        }
    }

    public static class XmlValue {
        private int mHwStop = -1;
        private java.lang.String mIndex;
        private int mIntValue;
        private boolean mIsString;
        private java.lang.String mStringValue;
        private int mWeight;

        public XmlValue(java.lang.String value) {
            this.mStringValue = value;
            this.mIsString = true;
        }

        public XmlValue(int value) {
            this.mIntValue = value;
            this.mIsString = false;
        }

        public void setWeight(int weight) {
            this.mWeight = weight;
        }

        public int getWeight() {
            return this.mWeight;
        }

        public void setIndex(java.lang.String index) {
            this.mIndex = index;
        }

        public void setHwStop(int hwStop) {
            this.mHwStop = hwStop;
        }

        public java.lang.String getIndex() {
            return this.mIndex;
        }

        public int getHwStop() {
            return this.mHwStop;
        }

        public java.lang.String getStringValue() {
            return this.mStringValue;
        }

        public int getIntValue() {
            return this.mIntValue;
        }

        public boolean isString() {
            return this.mIsString;
        }

        public java.lang.String toString() {
            if (this.mIsString) {
                return this.mStringValue;
            }
            return java.lang.Integer.toString(this.mIntValue);
        }
    }

    public RuleNode(com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.TagEnum currentType, com.android.server.mtm.iaware.appmng.rule.RuleNode.XmlValue value) {
        this.mCurrentType = currentType;
        this.mValue = value;
    }

    private boolean setChildType(com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.TagEnum childType) {
        if (this.mChildType != null && !this.mChildType.equals(childType)) {
            return false;
        }
        this.mChildType = childType;
        return true;
    }

    private boolean addChildItemInternal(com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.TagEnum childType, com.android.server.mtm.iaware.appmng.rule.RuleNode item, boolean isSorted) {
        if (item != null) {
            if (setChildType(childType)) {
                com.android.server.mtm.iaware.appmng.rule.RuleNode.XmlValue value = item.getValue();
                if (value != null) {
                    if (value.isString()) {
                        this.mChildItems.put(value.getStringValue(), item);
                    } else {
                        this.mChildItems.put(value.getIntValue(), item);
                        if (isSorted) {
                            this.mChildItems.addToSortedList(childType, value.getIntValue());
                        }
                    }
                }
                return true;
            }
        }
        return false;
    }

    public boolean addChildItem(com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.TagEnum childType, com.android.server.mtm.iaware.appmng.rule.RuleNode item) {
        return addChildItemInternal(childType, item, false);
    }

    public boolean addChildItemSorted(com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.TagEnum childType, com.android.server.mtm.iaware.appmng.rule.RuleNode item) {
        return addChildItemInternal(childType, item, true);
    }

    public com.android.server.mtm.iaware.appmng.rule.RuleNode.XmlValue getValue() {
        return this.mValue;
    }

    public com.android.server.mtm.iaware.appmng.rule.RuleNode getChild(com.android.server.mtm.iaware.appmng.rule.RuleNode.XmlValue key) {
        return this.mChildItems.get(key);
    }

    public com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap getChilds() {
        return this.mChildItems;
    }

    public com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.TagEnum getChildType() {
        return this.mChildType;
    }

    public boolean hasChild() {
        return this.mChildItems.isEmpty() ^ 1;
    }

    public com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.TagEnum getCurrentType() {
        return this.mCurrentType;
    }
}
