package com.android.server.mtm.iaware.appmng.rule;

public class RuleParserUtil {
    private static final com.android.server.mtm.iaware.appmng.rule.RuleNode.XmlValue DEFAULT_INT = new com.android.server.mtm.iaware.appmng.rule.RuleNode.XmlValue(-1);
    private static final com.android.server.mtm.iaware.appmng.rule.RuleNode.XmlValue DEFAULT_STRING = new com.android.server.mtm.iaware.appmng.rule.RuleNode.XmlValue("default");

    public interface TagEnum {
        boolean equals(java.lang.Object obj);

        java.lang.String getDesc();

        int hashCode();

        boolean isStringInXml();
    }

    public enum AppMngTag implements com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.TagEnum {
        TRISTATE("tristate", "tri") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, int level, java.lang.String packageName, int tristate) {
                if (!(childItems == null || processInfo == null)) {
                    if (packageName != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.getNodeAt(childItems, tristate);
                    }
                }
                return null;
            }
        },
        LEVEL("level", "lvl") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, int level, java.lang.String packageName, int tristate) {
                if (!(childItems == null || processInfo == null)) {
                    if (packageName != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.getNodeAt(childItems, level);
                    }
                }
                return null;
            }
        },
        TYPE("type", "type") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, int level, java.lang.String packageName, int tristate) {
                if (!(childItems == null || processInfo == null)) {
                    if (packageName != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.getNodeAt(childItems, com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getAppMngSpecType(packageName));
                    }
                }
                return null;
            }
        },
        STATUS("status", "status") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, int level, java.lang.String packageName, int tristate) {
                if (!(childItems == null || processInfo == null)) {
                    if (packageName != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.getNodeAt(childItems, com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getAppMngSpecStat(processInfo, childItems.getIntegerMap()));
                    }
                }
                return null;
            }
        },
        RECENT("recent", "rec") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, int level, java.lang.String packageName, int tristate) {
                if (!(childItems == null || processInfo == null)) {
                    if (packageName != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.getNodeAt(childItems, com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getAppMngSpecRecent(packageName, childItems.getIntegerMap()));
                    }
                }
                return null;
            }
        },
        TYPE_TOPN("type_topn", "typen") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, int level, java.lang.String packageName, int tristate) {
                if (!(childItems == null || processInfo == null)) {
                    if (packageName != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.getNodeAt(childItems, com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getAppMngSpecTypeFreqTopN(packageName, childItems.getIntegerMap()));
                    }
                }
                return null;
            }
        },
        HABBIT_TOPN("habbit_topn", "habbitn") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, int level, java.lang.String packageName, int tristate) {
                if (!(childItems == null || processInfo == null)) {
                    if (packageName != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.getNodeAt(childItems, com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getAppMngSpecHabbitTopN(packageName, childItems.getIntegerMap()));
                    }
                }
                return null;
            }
        },
        DEVICELEVEL("devicelevel", "devicelevel") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, int level, java.lang.String packageName, int tristate) {
                if (!(childItems == null || processInfo == null)) {
                    if (packageName != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.getNodeAt(childItems, com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getAppMngDeviceLevel());
                    }
                }
                return null;
            }
        },
        POLICY("policy", "policy") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, int level, java.lang.String packageName, int tristate) {
                if (!(childItems == null || processInfo == null)) {
                    if (packageName != null) {
                        java.util.LinkedHashMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.rule.RuleNode> policyArray = childItems.getIntegerMap();
                        if (policyArray != null) {
                            if (policyArray.size() == 1) {
                                return (com.android.server.mtm.iaware.appmng.rule.RuleNode) ((java.util.Map.Entry) policyArray.entrySet().iterator().next()).getValue();
                            }
                        }
                        return null;
                    }
                }
                return null;
            }
        },
        OVERSEA("oversea", "oversea") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, int level, java.lang.String packageName, int tristate) {
                if (!(childItems == null || processInfo == null)) {
                    if (packageName != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.getNodeAt(childItems, com.android.server.rms.iaware.appmng.AppMngConfig.getRegionCode());
                    }
                }
                return null;
            }
        };
        
        private java.lang.String mDesc;
        private java.lang.String mUploadBDTag;

        public abstract com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap stringIntegerMap, com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcessInfo, int i, java.lang.String str, int i2);

        private AppMngTag(java.lang.String desc, java.lang.String uploadBDTag) {
            this.mDesc = desc;
            this.mUploadBDTag = uploadBDTag;
        }

        public java.lang.String getDesc() {
            return this.mDesc;
        }

        public java.lang.String getUploadBDTag() {
            return this.mUploadBDTag;
        }

        public boolean isStringInXml() {
            return false;
        }

        public static com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.TagEnum fromString(java.lang.String desc) {
            if (desc == null) {
                return null;
            }
            try {
                return valueOf(desc.toUpperCase(java.util.Locale.US));
            } catch (java.lang.IllegalArgumentException e) {
                return null;
            }
        }

        private static com.android.server.mtm.iaware.appmng.rule.RuleNode getNodeAt(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, int key) {
            com.android.server.mtm.iaware.appmng.rule.RuleNode node = childItems.get(new com.android.server.mtm.iaware.appmng.rule.RuleNode.XmlValue(key));
            if (node == null) {
                return childItems.get(com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.DEFAULT_INT);
            }
            return node;
        }
    }

    public enum AppStartTag implements com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.TagEnum {
        TRISTATE("tristate") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, java.lang.String packageName, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource source, com.android.server.rms.iaware.appmng.AwareAppStartStatusCache status, int tristate) {
                if (!(childItems == null || packageName == null || source == null)) {
                    if (status != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppStartTag.getNodeAt(childItems, tristate);
                    }
                }
                return null;
            }
        },
        CALLER_ACTION("caller_action") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, java.lang.String packageName, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource source, com.android.server.rms.iaware.appmng.AwareAppStartStatusCache status, int tristate) {
                if (!(childItems == null || packageName == null || source == null)) {
                    if (status != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppStartTag.getNodeAt(childItems, com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getAppStartSpecCallerAction(packageName, status, childItems.getSortedList(), source));
                    }
                }
                return null;
            }
        },
        CALLER_STATUS("caller_status") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, java.lang.String packageName, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource source, com.android.server.rms.iaware.appmng.AwareAppStartStatusCache status, int tristate) {
                if (!(childItems == null || packageName == null || source == null)) {
                    if (status != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppStartTag.getNodeAt(childItems, com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getAppStartSpecCallerStatus(packageName, status, childItems.getSortedList()));
                    }
                }
                return null;
            }
        },
        TARGET_STATUS("target_status") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, java.lang.String packageName, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource source, com.android.server.rms.iaware.appmng.AwareAppStartStatusCache status, int tristate) {
                if (!(childItems == null || packageName == null || source == null)) {
                    if (status != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppStartTag.getNodeAt(childItems, com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getAppStartSpecTargetStatus(packageName, status, childItems.getSortedList()));
                    }
                }
                return null;
            }
        },
        TARGET_TYPE("target_type") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, java.lang.String packageName, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource source, com.android.server.rms.iaware.appmng.AwareAppStartStatusCache status, int tristate) {
                if (!(childItems == null || packageName == null || source == null)) {
                    if (status != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppStartTag.getNodeAt(childItems, com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getAppStartSpecTargetType(packageName, status, childItems.getSortedList()));
                    }
                }
                return null;
            }
        },
        OVERSEA("oversea") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, java.lang.String packageName, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource source, com.android.server.rms.iaware.appmng.AwareAppStartStatusCache status, int tristate) {
                if (!(childItems == null || packageName == null || source == null)) {
                    if (status != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppStartTag.getNodeAt(childItems, com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getAppStartSpecVerOversea(packageName, status));
                    }
                }
                return null;
            }
        },
        APPSRCRANGE("appsrcrange") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, java.lang.String packageName, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource source, com.android.server.rms.iaware.appmng.AwareAppStartStatusCache status, int tristate) {
                if (!(childItems == null || packageName == null || source == null)) {
                    if (status != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppStartTag.getNodeAt(childItems, com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getAppStartSpecAppSrcRange(packageName, status));
                    }
                }
                return null;
            }
        },
        APPOVERSEA("appoversea") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, java.lang.String packageName, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource source, com.android.server.rms.iaware.appmng.AwareAppStartStatusCache status, int tristate) {
                if (!(childItems == null || packageName == null || source == null)) {
                    if (status != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppStartTag.getNodeAt(childItems, com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getAppStartSpecAppOversea(packageName, status));
                    }
                }
                return null;
            }
        },
        SCREENSTATUS("screenstatus") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, java.lang.String packageName, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource source, com.android.server.rms.iaware.appmng.AwareAppStartStatusCache status, int tristate) {
                if (!(childItems == null || packageName == null || source == null)) {
                    if (status != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppStartTag.getNodeAt(childItems, com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getAppStartSpecScreenStatus(packageName, status));
                    }
                }
                return null;
            }
        },
        APPRECENT("apprecent") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, java.lang.String packageName, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource source, com.android.server.rms.iaware.appmng.AwareAppStartStatusCache status, int tristate) {
                if (!(childItems == null || packageName == null || source == null)) {
                    if (status != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppStartTag.getNodeAt(childItems, com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getAppMngSpecRecent(packageName, childItems.getIntegerMap()));
                    }
                }
                return null;
            }
        },
        REGION("region") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, java.lang.String packageName, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource source, com.android.server.rms.iaware.appmng.AwareAppStartStatusCache status, int tristate) {
                if (!(childItems == null || packageName == null || source == null)) {
                    if (status != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppStartTag.getNodeAt(childItems, com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getAppStartSpecRegion(packageName, status));
                    }
                }
                return null;
            }
        },
        DEVICELEVEL("devicelevel") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, java.lang.String packageName, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource source, com.android.server.rms.iaware.appmng.AwareAppStartStatusCache status, int tristate) {
                if (childItems == null) {
                    return null;
                }
                return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppStartTag.getNodeAt(childItems, com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getAppMngDeviceLevel());
            }
        },
        BROADCAST("broadcast") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, java.lang.String packageName, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource source, com.android.server.rms.iaware.appmng.AwareAppStartStatusCache status, int tristate) {
                if (!(childItems == null || packageName == null || source == null || status == null)) {
                    if (status.mAction != null) {
                        com.android.server.mtm.iaware.appmng.rule.RuleNode node = childItems.get(new com.android.server.mtm.iaware.appmng.rule.RuleNode.XmlValue(status.mAction));
                        if (node == null) {
                            node = childItems.get(com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.DEFAULT_STRING);
                        }
                        return node;
                    }
                }
                return null;
            }

            public boolean isStringInXml() {
                return true;
            }
        },
        POLICY("policy") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, java.lang.String packageName, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource source, com.android.server.rms.iaware.appmng.AwareAppStartStatusCache status, int tristate) {
                if (!(childItems == null || source == null)) {
                    if (status != null) {
                        java.util.LinkedHashMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.rule.RuleNode> policyArray = childItems.getIntegerMap();
                        if (policyArray != null) {
                            if (policyArray.size() == 1) {
                                return (com.android.server.mtm.iaware.appmng.rule.RuleNode) ((java.util.Map.Entry) policyArray.entrySet().iterator().next()).getValue();
                            }
                        }
                        return null;
                    }
                }
                return null;
            }
        };
        
        private java.lang.String mDesc;

        public abstract com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap stringIntegerMap, java.lang.String str, android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource appStartSource, com.android.server.rms.iaware.appmng.AwareAppStartStatusCache awareAppStartStatusCache, int i);

        private AppStartTag(java.lang.String desc) {
            this.mDesc = desc;
        }

        public java.lang.String getDesc() {
            return this.mDesc;
        }

        public boolean isStringInXml() {
            return false;
        }

        public static com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.TagEnum fromString(java.lang.String desc) {
            if (desc == null) {
                return null;
            }
            try {
                return valueOf(desc.toUpperCase(java.util.Locale.US));
            } catch (java.lang.IllegalArgumentException e) {
                return null;
            }
        }

        private static com.android.server.mtm.iaware.appmng.rule.RuleNode getNodeAt(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, int key) {
            com.android.server.mtm.iaware.appmng.rule.RuleNode node = childItems.get(new com.android.server.mtm.iaware.appmng.rule.RuleNode.XmlValue(key));
            if (node == null) {
                return childItems.get(com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.DEFAULT_INT);
            }
            return node;
        }
    }

    public enum BroadcastTag implements com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.TagEnum {
        TRISTATE("tristate") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, android.app.mtm.iaware.appmng.AppMngConstant.BroadcastSource source, java.lang.String id, android.content.Intent intent, com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, int tristate) {
                if (!(childItems == null || processInfo == null || id == null || source == null)) {
                    if (intent != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.BroadcastTag.getNodeAt(childItems, tristate);
                    }
                }
                return null;
            }
        },
        TYPE("type") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, android.app.mtm.iaware.appmng.AppMngConstant.BroadcastSource source, java.lang.String id, android.content.Intent intent, com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, int tristate) {
                if (!(childItems == null || processInfo == null || id == null || source == null)) {
                    if (intent != null) {
                        int appType;
                        if (com.android.server.rms.iaware.srms.BroadcastExFeature.isBrGoogleApp(id)) {
                            appType = 10000;
                        } else {
                            appType = com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getAppMngSpecType(id);
                        }
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.BroadcastTag.getNodeAt(childItems, appType);
                    }
                }
                return null;
            }
        },
        PROCSTATUS("procstatus") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, android.app.mtm.iaware.appmng.AppMngConstant.BroadcastSource source, java.lang.String id, android.content.Intent intent, com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, int tristate) {
                if (!(childItems == null || processInfo == null || id == null || source == null)) {
                    if (intent != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.BroadcastTag.getNodeAt(childItems, processInfo.getState());
                    }
                }
                return null;
            }
        },
        BROADCAST("broadcast") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, android.app.mtm.iaware.appmng.AppMngConstant.BroadcastSource source, java.lang.String id, android.content.Intent intent, com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, int tristate) {
                if (!(childItems == null || processInfo == null || id == null || source == null)) {
                    if (intent != null) {
                        return childItems.get(new com.android.server.mtm.iaware.appmng.rule.RuleNode.XmlValue(intent.getAction()));
                    }
                }
                return null;
            }

            public boolean isStringInXml() {
                return true;
            }
        },
        OVERSEA("oversea") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, android.app.mtm.iaware.appmng.AppMngConstant.BroadcastSource source, java.lang.String id, android.content.Intent intent, com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, int tristate) {
                if (!(childItems == null || processInfo == null || id == null || source == null)) {
                    if (intent != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.BroadcastTag.getNodeAt(childItems, com.android.server.rms.iaware.appmng.AppMngConfig.getRegionCode());
                    }
                }
                return null;
            }
        },
        GOOGLESTATUS("googlestatus") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, android.app.mtm.iaware.appmng.AppMngConstant.BroadcastSource source, java.lang.String id, android.content.Intent intent, com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, int tristate) {
                if (!(childItems == null || processInfo == null || id == null || source == null)) {
                    if (intent != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.BroadcastTag.getNodeAt(childItems, com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.getGoogleConnStat());
                    }
                }
                return null;
            }
        },
        STATUS("status") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, android.app.mtm.iaware.appmng.AppMngConstant.BroadcastSource source, java.lang.String id, android.content.Intent intent, com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, int tristate) {
                if (!(childItems == null || processInfo == null || id == null || source == null)) {
                    if (intent != null) {
                        return com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.BroadcastTag.getNodeAt(childItems, com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getAppMngSpecStat(processInfo, childItems.getIntegerMap()));
                    }
                }
                return null;
            }
        },
        POLICY("policy") {
            public com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, android.app.mtm.iaware.appmng.AppMngConstant.BroadcastSource source, java.lang.String id, android.content.Intent intent, com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, int tristate) {
                if (!(childItems == null || processInfo == null || id == null || source == null)) {
                    if (intent != null) {
                        java.util.LinkedHashMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.rule.RuleNode> policyArray = childItems.getIntegerMap();
                        if (policyArray != null) {
                            if (policyArray.size() == 1) {
                                return (com.android.server.mtm.iaware.appmng.rule.RuleNode) ((java.util.Map.Entry) policyArray.entrySet().iterator().next()).getValue();
                            }
                        }
                        return null;
                    }
                }
                return null;
            }
        };
        
        private java.lang.String mDesc;

        public abstract com.android.server.mtm.iaware.appmng.rule.RuleNode getAppliedValue(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap stringIntegerMap, android.app.mtm.iaware.appmng.AppMngConstant.BroadcastSource broadcastSource, java.lang.String str, android.content.Intent intent, com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcessInfo, int i);

        private BroadcastTag(java.lang.String desc) {
            this.mDesc = desc;
        }

        public java.lang.String getDesc() {
            return this.mDesc;
        }

        public boolean isStringInXml() {
            return false;
        }

        public static com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.TagEnum fromString(java.lang.String desc) {
            if (desc == null) {
                return null;
            }
            try {
                return valueOf(desc.toUpperCase(java.util.Locale.US));
            } catch (java.lang.IllegalArgumentException e) {
                return null;
            }
        }

        private static com.android.server.mtm.iaware.appmng.rule.RuleNode getNodeAt(com.android.server.mtm.iaware.appmng.rule.RuleNode.StringIntegerMap childItems, int key) {
            com.android.server.mtm.iaware.appmng.rule.RuleNode node = childItems.get(new com.android.server.mtm.iaware.appmng.rule.RuleNode.XmlValue(key));
            if (node == null) {
                return childItems.get(com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.DEFAULT_INT);
            }
            return node;
        }
    }
}
