package com.android.server.mtm.iaware.brjob.controller;

public class AppStatusController extends com.android.server.mtm.iaware.brjob.controller.AwareStateController {
    private static final java.lang.String CONDITION_NAME = "AppStatus";
    private static final java.lang.String TAG = "AppStatusController";
    private static com.android.server.mtm.iaware.brjob.controller.AppStatusController mSingleton;
    private static java.lang.Object sCreationLock = new java.lang.Object();
    @com.android.internal.annotations.GuardedBy("mLock")
    private final java.util.ArrayList<com.android.server.mtm.iaware.brjob.scheduler.AwareJobStatus> mTrackedJobs = new java.util.ArrayList();

    public static com.android.server.mtm.iaware.brjob.controller.AppStatusController get(com.android.server.mtm.iaware.brjob.scheduler.AwareJobSchedulerService jms) {
        com.android.server.mtm.iaware.brjob.controller.AppStatusController appStatusController;
        synchronized (sCreationLock) {
            if (mSingleton == null) {
                mSingleton = new com.android.server.mtm.iaware.brjob.controller.AppStatusController(jms, jms.getContext(), jms.getLock());
            }
            appStatusController = mSingleton;
        }
        return appStatusController;
    }

    private AppStatusController(com.android.server.mtm.iaware.brjob.scheduler.AwareStateChangedListener stateChangedListener, android.content.Context context, java.lang.Object lock) {
        super(stateChangedListener, context, lock);
    }

    public void maybeStartTrackingJobLocked(com.android.server.mtm.iaware.brjob.scheduler.AwareJobStatus job) {
        if (job != null && job.hasConstraint("AppStatus")) {
            if ("RUN".equals(job.getActionFilterValue("AppStatus"))) {
                job.setSatisfied("AppStatus", false);
            } else {
                job.setSatisfied("AppStatus", true);
            }
            addJobLocked(this.mTrackedJobs, job);
        }
    }

    public void maybeStopTrackingJobLocked(com.android.server.mtm.iaware.brjob.scheduler.AwareJobStatus job) {
        if (job != null && job.hasConstraint("AppStatus")) {
            if (this.DEBUG) {
                android.rms.iaware.AwareLog.i("AppStatusController", "iaware_brjob stop tracking begin");
            }
            this.mTrackedJobs.remove(job);
        }
    }

    public void dump(java.io.PrintWriter pw) {
        if (pw != null) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("    AppStatusController tracked job num: ");
            stringBuilder.append(this.mTrackedJobs.size());
            pw.println(stringBuilder.toString());
        }
    }
}
