package com.android.server.mtm.iaware.brjob.controller;

public abstract class AwareStateController {
    protected boolean DEBUG = false;
    protected final android.content.Context mContext;
    protected final java.lang.Object mLock;
    protected final com.android.server.mtm.iaware.brjob.scheduler.AwareStateChangedListener mStateChangedListener;

    public abstract void dump(java.io.PrintWriter printWriter);

    public abstract void maybeStartTrackingJobLocked(com.android.server.mtm.iaware.brjob.scheduler.AwareJobStatus awareJobStatus);

    public abstract void maybeStopTrackingJobLocked(com.android.server.mtm.iaware.brjob.scheduler.AwareJobStatus awareJobStatus);

    public AwareStateController(com.android.server.mtm.iaware.brjob.scheduler.AwareStateChangedListener stateChangedListener, android.content.Context context, java.lang.Object lock) {
        this.mStateChangedListener = stateChangedListener;
        this.mContext = context;
        this.mLock = lock;
    }

    public void setDebug(boolean debug) {
        this.DEBUG = debug;
    }

    protected void addJobLocked(java.util.ArrayList<com.android.server.mtm.iaware.brjob.scheduler.AwareJobStatus> jobList, com.android.server.mtm.iaware.brjob.scheduler.AwareJobStatus jobStatus) {
        if (jobList != null) {
            java.util.Iterator<com.android.server.mtm.iaware.brjob.scheduler.AwareJobStatus> it = jobList.iterator();
            while (it.hasNext()) {
                if (((com.android.server.mtm.iaware.brjob.scheduler.AwareJobStatus) it.next()).equalJob(jobStatus)) {
                    it.remove();
                    break;
                }
            }
            jobList.add(jobStatus);
        }
    }
}
