package com.android.server.mtm.iaware.brjob.controller;

public class WidgetStatusController extends com.android.server.mtm.iaware.brjob.controller.AwareStateController {
    private static final java.lang.String CONDITION_NAME = "WidgetStatus";
    private static final java.lang.String TAG = "WidgetStatusController";
    private static com.android.server.mtm.iaware.brjob.controller.WidgetStatusController mSingleton;
    private static java.lang.Object sCreationLock = new java.lang.Object();
    private com.android.server.rms.iaware.appmng.AwareAppAssociate mAwareAppAssociate = com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance();
    @com.android.internal.annotations.GuardedBy("mLock")
    private final java.util.ArrayList<com.android.server.mtm.iaware.brjob.scheduler.AwareJobStatus> mTrackedJobs = new java.util.ArrayList();

    public static com.android.server.mtm.iaware.brjob.controller.WidgetStatusController get(com.android.server.mtm.iaware.brjob.scheduler.AwareJobSchedulerService jms) {
        com.android.server.mtm.iaware.brjob.controller.WidgetStatusController widgetStatusController;
        synchronized (sCreationLock) {
            if (mSingleton == null) {
                mSingleton = new com.android.server.mtm.iaware.brjob.controller.WidgetStatusController(jms, jms.getContext(), jms.getLock());
            }
            widgetStatusController = mSingleton;
        }
        return widgetStatusController;
    }

    private WidgetStatusController(com.android.server.mtm.iaware.brjob.scheduler.AwareStateChangedListener stateChangedListener, android.content.Context context, java.lang.Object lock) {
        super(stateChangedListener, context, lock);
    }

    public void maybeStartTrackingJobLocked(com.android.server.mtm.iaware.brjob.scheduler.AwareJobStatus job) {
        if (job != null && job.hasConstraint("WidgetStatus")) {
            java.lang.String str;
            java.util.Set<java.lang.String> widgetsPkg = this.mAwareAppAssociate.getWidgetsPkg();
            if (this.DEBUG) {
                str = "WidgetStatusController";
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("iaware_brjob, widgetsPkg: ");
                stringBuilder.append(widgetsPkg == null ? "null" : widgetsPkg);
                android.rms.iaware.AwareLog.i(str, stringBuilder.toString());
            }
            str = job.getReceiverPkg();
            if (widgetsPkg == null || !widgetsPkg.contains(str)) {
                job.setSatisfied("WidgetStatus", false);
            } else {
                job.setSatisfied("WidgetStatus", true);
            }
            addJobLocked(this.mTrackedJobs, job);
        }
    }

    public void maybeStopTrackingJobLocked(com.android.server.mtm.iaware.brjob.scheduler.AwareJobStatus job) {
        if (job != null && job.hasConstraint("WidgetStatus")) {
            if (this.DEBUG) {
                android.rms.iaware.AwareLog.i("WidgetStatusController", "iaware_brjob stop tracking begin");
            }
            this.mTrackedJobs.remove(job);
        }
    }

    public void dump(java.io.PrintWriter pw) {
        if (pw != null) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("    WidgetStatusController tracked job num: ");
            stringBuilder.append(this.mTrackedJobs.size());
            pw.println(stringBuilder.toString());
            java.util.Set<java.lang.String> widgetsPkg = this.mAwareAppAssociate.getWidgetsPkg();
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("        now widget package: ");
            stringBuilder2.append(widgetsPkg);
            pw.println(stringBuilder2.toString());
        }
    }
}
