package com.android.server.mtm.iaware.srms;

public class AwareBroadcastCache {
    private static final int AWARE_MAX_PROXY_BROADCAST = 60;
    static final java.lang.String TAG = "AwareBroadcastCache";
    private java.lang.Object mAms;
    final java.util.HashMap<java.lang.Integer, java.util.ArrayList<com.android.server.am.HwBroadcastRecord>> mAwareOrderedPendingBrMap = new java.util.HashMap();
    final java.util.HashMap<java.lang.Integer, java.util.ArrayList<com.android.server.am.HwBroadcastRecord>> mAwareParallelPendingBrMap = new java.util.HashMap();
    private java.lang.String mBrName = null;
    final java.util.HashMap<java.lang.Integer, java.lang.Integer> mProxyPidsCount = new java.util.HashMap();
    java.util.HashMap<java.lang.String, java.lang.String> mSameKindsActionList = new java.util.HashMap();

    public AwareBroadcastCache(java.lang.String name, java.lang.Object ams) {
        this.mBrName = name;
        this.mAms = ams;
        this.mSameKindsActionList.put("android.intent.action.SCREEN_ON", "android.intent.action.SCREEN_OFF");
    }

    public boolean awareTrimAndEnqueueBr(boolean isParallel, com.android.server.am.HwBroadcastRecord r, boolean notify, int pid, java.lang.String pkgName, com.android.server.mtm.iaware.srms.AwareBroadcastPolicy policy) {
        if (r != null) {
            if (pkgName != null) {
                boolean trim = false;
                notifyPgUnFreeze(r, notify, pid, pkgName);
                int count = 0;
                if (this.mProxyPidsCount.containsKey(java.lang.Integer.valueOf(pid))) {
                    count = ((java.lang.Integer) this.mProxyPidsCount.get(java.lang.Integer.valueOf(pid))).intValue();
                }
                java.util.ArrayList<com.android.server.am.HwBroadcastRecord> awareParallelPendingBroadcasts;
                java.util.Iterator it;
                com.android.server.am.HwBroadcastRecord br;
                if (isParallel) {
                    if (this.mAwareParallelPendingBrMap.containsKey(java.lang.Integer.valueOf(pid))) {
                        awareParallelPendingBroadcasts = (java.util.ArrayList) this.mAwareParallelPendingBrMap.get(java.lang.Integer.valueOf(pid));
                    } else {
                        awareParallelPendingBroadcasts = new java.util.ArrayList();
                        this.mAwareParallelPendingBrMap.put(java.lang.Integer.valueOf(pid), awareParallelPendingBroadcasts);
                    }
                    it = awareParallelPendingBroadcasts.iterator();
                    while (it.hasNext()) {
                        br = (com.android.server.am.HwBroadcastRecord) it.next();
                        if (!notify && canTrim(r, br)) {
                            it.remove();
                            count--;
                            com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar.increatBrAfterCount(1);
                            trim = true;
                            break;
                        }
                    }
                    awareParallelPendingBroadcasts.add(r);
                } else {
                    if (this.mAwareOrderedPendingBrMap.containsKey(java.lang.Integer.valueOf(pid))) {
                        awareParallelPendingBroadcasts = (java.util.ArrayList) this.mAwareOrderedPendingBrMap.get(java.lang.Integer.valueOf(pid));
                    } else {
                        awareParallelPendingBroadcasts = new java.util.ArrayList();
                        this.mAwareOrderedPendingBrMap.put(java.lang.Integer.valueOf(pid), awareParallelPendingBroadcasts);
                    }
                    it = awareParallelPendingBroadcasts.iterator();
                    while (it.hasNext()) {
                        br = (com.android.server.am.HwBroadcastRecord) it.next();
                        if (!notify && canTrim(r, br)) {
                            it.remove();
                            count--;
                            com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar.increatBrAfterCount(1);
                            trim = true;
                            break;
                        }
                    }
                    awareParallelPendingBroadcasts.add(r);
                }
                count++;
                this.mProxyPidsCount.put(java.lang.Integer.valueOf(pid), java.lang.Integer.valueOf(count));
                if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getFilterDebug()) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("trim and enqueue ");
                    stringBuilder.append(this.mBrName);
                    stringBuilder.append(" pid:");
                    stringBuilder.append(pid);
                    stringBuilder.append(" count:");
                    stringBuilder.append(count);
                    stringBuilder.append(")(");
                    stringBuilder.append(r);
                    stringBuilder.append(")");
                    android.rms.iaware.AwareLog.i("AwareBroadcastCache", stringBuilder.toString());
                }
                notifyPgOverFlowUnFreeze(pid, pkgName, count, policy);
                return trim;
            }
        }
        return false;
    }

    private void notifyPgUnFreeze(com.android.server.am.HwBroadcastRecord r, boolean notify, int pid, java.lang.String pkgName) {
        if (notify) {
            com.huawei.pgmng.log.LogPower.push(148, r.getAction(), pkgName, java.lang.String.valueOf(pid), new java.lang.String[]{r.getCallerPackage()});
            if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getFilterDebug()) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("enqueueProxyBroadcast notify pg broadcast:");
                stringBuilder.append(r.getAction());
                stringBuilder.append(" pkg:");
                stringBuilder.append(pkgName);
                stringBuilder.append(" pid:");
                stringBuilder.append(pid);
                android.rms.iaware.AwareLog.i("AwareBroadcastCache", stringBuilder.toString());
            }
        }
    }

    private void notifyPgOverFlowUnFreeze(int pid, java.lang.String pkgName, int count, com.android.server.mtm.iaware.srms.AwareBroadcastPolicy policy) {
        if (count >= 60 && policy != null) {
            policy.notifyOverFlow(pid);
        }
    }

    private boolean canTrim(com.android.server.am.HwBroadcastRecord r1, com.android.server.am.HwBroadcastRecord r2) {
        if (!(r1 == null || r2 == null || r1.getIntent() == null || r2.getIntent() == null || r1.getAction() == null)) {
            if (r2.getAction() != null) {
                java.lang.Object o1 = r1.getBrReceivers().get(0);
                java.lang.Object o2 = r2.getBrReceivers().get(0);
                java.lang.String pkg1 = r1.getReceiverPkg();
                java.lang.String pkg2 = r2.getReceiverPkg();
                if ((pkg1 != null && !pkg1.equals(pkg2)) || !com.android.server.am.HwMtmBroadcastResourceManager.isSameReceiver(o1, o2)) {
                    return false;
                }
                java.lang.String action1 = r1.getAction();
                java.lang.String action2 = r2.getAction();
                if (action1.equals(action2)) {
                    return true;
                }
                java.lang.String a1 = (java.lang.String) this.mSameKindsActionList.get(action1);
                java.lang.String a2 = (java.lang.String) this.mSameKindsActionList.get(action2);
                if ((a1 == null || !a1.equals(action2)) && (a2 == null || !a2.equals(action1))) {
                    return false;
                }
                return true;
            }
        }
        return false;
    }

    private void notifyPG(java.lang.String action, java.lang.String pkg, int pid) {
        com.huawei.pgmng.common.Utils.handleTimeOut(action, pkg, java.lang.String.valueOf(pid));
    }

    public void unproxyCacheBr(int pid) {
        synchronized (this.mAms) {
            java.util.ArrayList<com.android.server.am.HwBroadcastRecord> parallelBrs = (java.util.ArrayList) this.mAwareParallelPendingBrMap.get(java.lang.Integer.valueOf(pid));
            java.util.ArrayList<com.android.server.am.HwBroadcastRecord> orderedBrs = (java.util.ArrayList) this.mAwareOrderedPendingBrMap.get(java.lang.Integer.valueOf(pid));
            if (parallelBrs == null && orderedBrs == null) {
                return;
            }
            java.util.ArrayList<com.android.server.am.HwBroadcastRecord> awareParallelBrs = new java.util.ArrayList();
            java.util.ArrayList<com.android.server.am.HwBroadcastRecord> awareOrderedBrs = new java.util.ArrayList();
            if (parallelBrs != null) {
                awareParallelBrs.addAll(parallelBrs);
            }
            if (orderedBrs != null) {
                awareOrderedBrs.addAll(orderedBrs);
            }
            this.mAwareParallelPendingBrMap.remove(java.lang.Integer.valueOf(pid));
            this.mAwareOrderedPendingBrMap.remove(java.lang.Integer.valueOf(pid));
            this.mProxyPidsCount.remove(java.lang.Integer.valueOf(pid));
            com.android.server.am.HwMtmBroadcastResourceManager.unProxyCachedBr(awareParallelBrs, awareOrderedBrs);
        }
    }

    public void clearCacheBr(int pid) {
        synchronized (this.mAms) {
            this.mAwareParallelPendingBrMap.remove(java.lang.Integer.valueOf(pid));
            this.mAwareOrderedPendingBrMap.remove(java.lang.Integer.valueOf(pid));
            this.mProxyPidsCount.remove(java.lang.Integer.valueOf(pid));
        }
    }
}
