package com.android.server.mtm.iaware.srms;

public class AwareBroadcastConfig {
    private static final int PROXYBR_FGAPPLEVAL_ID = 3;
    private static final int PROXYBR_PROXYPARAM_ID = 4;
    private static final int PROXYBR_TRIM_ACTION_ID = 6;
    private static final int PROXYBR_UNPROXY_ACTION_ID = 1;
    private static final int PROXYBR_UNPROXY_PKG_ID = 2;
    private static final int PROXYBR_UNPROXY_SYS_ID = 5;
    private static final int SIZE_PROXY_PARAM = 7;
    private static final java.lang.String TAG = "AwareBroadcastConfig";
    private static final int TOUCH_CHACK_COUNT_INDEX = 0;
    private static final int TOUCH_NO_CHACK_COUNT_INDEX = 1;
    private static final int UNPROXYSYS_SPLIT_LENGTH = 2;
    private static final int UNPROXY_HIGH_SPEED_INDEX = 6;
    private static final int UNPROXY_MAX_DURATION_INDEX = 2;
    private static final int UNPROXY_MAX_SPEED_INDEX = 3;
    private static final int UNPROXY_MIDDLE_SPEED_INDEX = 5;
    private static final int UNPROXY_MIN_SPEED_INDEX = 4;
    private static com.android.server.mtm.iaware.srms.AwareBroadcastConfig sInstance = null;
    private final android.util.ArraySet<java.lang.String> mAwareProxyTrimActionList = new android.util.ArraySet();
    private final android.util.ArraySet<java.lang.String> mAwareUnProxyActionList = new android.util.ArraySet();
    private final android.util.ArraySet<java.lang.String> mAwareUnProxyPkgList = new android.util.ArraySet();
    private final android.util.ArrayMap<java.lang.String, android.util.ArraySet<java.lang.String>> mAwareUnProxySys = new android.util.ArrayMap();
    private int mFGAppLevel = 4;
    private java.util.concurrent.atomic.AtomicBoolean mHasReadXml = new java.util.concurrent.atomic.AtomicBoolean(false);
    private int mNoTouchCheckCount = 200;
    private int mTouchCheckCount = 60;
    private int mUnProxyHighSpeed = 20;
    private int mUnProxyMaxDuration = 20000;
    private int mUnProxyMaxSpeed = 150;
    private int mUnProxyMiddleSpeed = 40;
    private int mUnProxyMinSpeed = 60;
    private android.rms.IUpdateWhiteListCallback mUpdateWhiteListCallback = new android.rms.IUpdateWhiteListCallback.Stub() {
        public void update() throws android.os.RemoteException {
            android.rms.iaware.AwareLog.d("AwareBroadcastConfig", "IUpdateWhiteListCallback update whiteList.");
            com.android.server.mtm.iaware.srms.AwareBroadcastConfig.this.mHasReadXml.set(false);
            com.android.server.mtm.iaware.srms.AwareBroadcastConfig.this.updateConfigFromRMS();
        }
    };

    public static com.android.server.mtm.iaware.srms.AwareBroadcastConfig getInstance() {
        com.android.server.mtm.iaware.srms.AwareBroadcastConfig awareBroadcastConfig;
        synchronized (com.android.server.mtm.iaware.srms.AwareBroadcastConfig.class) {
            if (sInstance == null) {
                sInstance = new com.android.server.mtm.iaware.srms.AwareBroadcastConfig();
            }
            awareBroadcastConfig = sInstance;
        }
        return awareBroadcastConfig;
    }

    private AwareBroadcastConfig() {
    }

    public void doinit() {
        if (!android.rms.HwSysResManager.getInstance().registerResourceCallback(this.mUpdateWhiteListCallback)) {
            android.rms.iaware.AwareLog.e("AwareBroadcastConfig", "IUpdateWhiteListCallback register failed");
        }
        updateConfigFromRMS();
    }

    private void updateConfigFromRMS() {
        if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail()) {
            android.rms.iaware.AwareLog.i("AwareBroadcastConfig", "updateConfigFromRMS begin.");
        }
        if (!this.mHasReadXml.get()) {
            updateUnProxyActionFromRMS(32);
            updateUnProxyPkgFromRMS(32);
            updateFgAppLevelFromRMS(32);
            updateProxyParamFromRMS(32);
            updateUnProxySysFromRMS(32);
            updateTrimActionFromRMS(32);
            this.mHasReadXml.set(true);
            if (com.android.server.mtm.MultiTaskManagerService.self() != null) {
                com.android.server.mtm.iaware.srms.AwareBroadcastPolicy iawareBrPolicy = com.android.server.mtm.MultiTaskManagerService.self().getIawareBrPolicy();
                if (iawareBrPolicy != null) {
                    iawareBrPolicy.updateXmlConfig();
                } else {
                    android.rms.iaware.AwareLog.e("AwareBroadcastConfig", "updateConfigFromRMS exception, don't get polciy.");
                }
            } else {
                android.rms.iaware.AwareLog.e("AwareBroadcastConfig", "updateConfigFromRMS exception, don't get mtm service.");
            }
        }
    }

    private void updateUnProxyActionFromRMS(int rmsGroupId) {
        java.lang.String str = android.rms.HwSysResManager.getInstance().getWhiteList(rmsGroupId, 1);
        if (str != null) {
            if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail()) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("get unproxy actions from rms :");
                stringBuilder.append(str);
                android.rms.iaware.AwareLog.i("AwareBroadcastConfig", stringBuilder.toString());
            }
            android.util.ArraySet<java.lang.String> actionList = new android.util.ArraySet();
            for (java.lang.String content : str.split(";")) {
                java.lang.String content2 = content2.trim();
                if (!content2.isEmpty()) {
                    actionList.add(content2);
                }
            }
            synchronized (this.mAwareUnProxyActionList) {
                this.mAwareUnProxyActionList.clear();
                this.mAwareUnProxyActionList.addAll(actionList);
            }
        }
    }

    private void updateUnProxyPkgFromRMS(int rmsGroupId) {
        java.lang.String str = android.rms.HwSysResManager.getInstance().getWhiteList(rmsGroupId, 2);
        if (str != null) {
            if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail()) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("get unproxy pkgs from rms :");
                stringBuilder.append(str);
                android.rms.iaware.AwareLog.i("AwareBroadcastConfig", stringBuilder.toString());
            }
            android.util.ArraySet<java.lang.String> pkgList = new android.util.ArraySet();
            for (java.lang.String content : str.split(";")) {
                java.lang.String content2 = content2.trim();
                if (!content2.isEmpty()) {
                    pkgList.add(content2);
                }
            }
            synchronized (this.mAwareUnProxyPkgList) {
                this.mAwareUnProxyPkgList.clear();
                this.mAwareUnProxyPkgList.addAll(pkgList);
            }
        }
    }

    private void updateFgAppLevelFromRMS(int rmsGroupId) {
        java.lang.String str = android.rms.HwSysResManager.getInstance().getWhiteList(rmsGroupId, 3);
        if (str != null) {
            if (!str.isEmpty()) {
                if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail()) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("get fg app level from rms :");
                    stringBuilder.append(str);
                    android.rms.iaware.AwareLog.i("AwareBroadcastConfig", stringBuilder.toString());
                }
                if (str.startsWith(";")) {
                    str = str.substring(1);
                }
                try {
                    int fgAppLevel = java.lang.Integer.parseInt(str.trim());
                    if (fgAppLevel < 0) {
                        android.rms.iaware.AwareLog.e("AwareBroadcastConfig", "fg app level error, it is wrong config");
                    } else {
                        this.mFGAppLevel = fgAppLevel;
                    }
                } catch (java.lang.NumberFormatException e) {
                    android.rms.iaware.AwareLog.e("AwareBroadcastConfig", "fg app level error in config");
                }
            }
        }
    }

    private void updateProxyParamFromRMS(int rmsGroupId) {
        java.lang.String str = android.rms.HwSysResManager.getInstance().getWhiteList(rmsGroupId, 4);
        if (str != null) {
            if (!str.isEmpty()) {
                if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail()) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("get proxy param from rms :");
                    stringBuilder.append(str);
                    android.rms.iaware.AwareLog.i("AwareBroadcastConfig", stringBuilder.toString());
                }
                if (str.startsWith(";")) {
                    str = str.substring(1);
                }
                java.lang.String[] contentArray = str.trim().split(";");
                if (contentArray.length != 7) {
                    android.rms.iaware.AwareLog.e("AwareBroadcastConfig", "proxy param size error in config");
                    return;
                }
                int value;
                java.util.ArrayList actionList = new java.util.ArrayList(7);
                int length = contentArray.length;
                int i = 0;
                while (i < length) {
                    java.lang.String content = contentArray[i].trim();
                    if (!content.isEmpty()) {
                        value = 0;
                        try {
                            actionList.add(java.lang.Integer.valueOf(java.lang.Integer.parseInt(content)));
                            i++;
                        } catch (java.lang.NumberFormatException e) {
                            android.rms.iaware.AwareLog.e("AwareBroadcastConfig", "proxy param error in config");
                            return;
                        }
                    }
                    return;
                }
                length = ((java.lang.Integer) actionList.get(0)).intValue();
                int noTouchCheckCount = ((java.lang.Integer) actionList.get(1)).intValue();
                int unProxyMaxDuration = ((java.lang.Integer) actionList.get(2)).intValue();
                i = ((java.lang.Integer) actionList.get(3)).intValue();
                int unProxyMinSpeed = ((java.lang.Integer) actionList.get(4)).intValue();
                int unProxyMiddleSpeed = ((java.lang.Integer) actionList.get(5)).intValue();
                value = ((java.lang.Integer) actionList.get(6)).intValue();
                if (length > 0) {
                    if (noTouchCheckCount > 0) {
                        if (i > 0 && unProxyMinSpeed > 0) {
                            if (i >= unProxyMinSpeed) {
                                if (unProxyMaxDuration <= 0) {
                                    android.rms.iaware.AwareLog.e("AwareBroadcastConfig", "unproxy max duration error, it is wrong config");
                                    return;
                                }
                                if (unProxyMiddleSpeed > 0) {
                                    if (value > 0) {
                                        this.mTouchCheckCount = length;
                                        this.mNoTouchCheckCount = noTouchCheckCount;
                                        this.mUnProxyMaxDuration = unProxyMaxDuration;
                                        this.mUnProxyMaxSpeed = i;
                                        this.mUnProxyMinSpeed = unProxyMinSpeed;
                                        this.mUnProxyMiddleSpeed = unProxyMiddleSpeed;
                                        this.mUnProxyHighSpeed = value;
                                        return;
                                    }
                                }
                                android.rms.iaware.AwareLog.e("AwareBroadcastConfig", "check high or middle error, it is wrong config");
                                return;
                            }
                        }
                        android.rms.iaware.AwareLog.e("AwareBroadcastConfig", "unproxy max speed less than min speed, it is wrong config");
                        return;
                    }
                }
                android.rms.iaware.AwareLog.e("AwareBroadcastConfig", "check count error, it is wrong config");
            }
        }
    }

    private void updateTrimActionFromRMS(int rmsGroupId) {
        java.lang.String str = android.rms.HwSysResManager.getInstance().getWhiteList(rmsGroupId, 6);
        if (str != null) {
            if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail()) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("get trim action from rms :");
                stringBuilder.append(str);
                android.rms.iaware.AwareLog.i("AwareBroadcastConfig", stringBuilder.toString());
            }
            android.util.ArraySet<java.lang.String> actionList = new android.util.ArraySet();
            for (java.lang.String content : str.split(";")) {
                java.lang.String content2 = content2.trim();
                if (!content2.isEmpty()) {
                    actionList.add(content2);
                }
            }
            synchronized (this.mAwareProxyTrimActionList) {
                this.mAwareProxyTrimActionList.clear();
                this.mAwareProxyTrimActionList.addAll(actionList);
            }
        }
    }

    private void updateUnProxySysFromRMS(int rmsGroupId) {
        java.lang.String str = android.rms.HwSysResManager.getInstance().getWhiteList(rmsGroupId, 5);
        if (str != null) {
            if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail()) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("get no proxy sys from rms :");
                stringBuilder.append(str);
                android.rms.iaware.AwareLog.i("AwareBroadcastConfig", stringBuilder.toString());
            }
            android.util.ArrayMap<java.lang.String, android.util.ArraySet<java.lang.String>> sysApp = new android.util.ArrayMap();
            java.lang.String[] contentArray = str.split(";");
            int size = contentArray.length;
            int i = 0;
            int i2 = 0;
            while (i2 < size) {
                java.lang.String content = contentArray[i2].trim();
                if (!content.isEmpty()) {
                    java.lang.String[] pkgItems = content.split(":");
                    if (pkgItems.length == 2) {
                        android.util.ArraySet<java.lang.String> actions = new android.util.ArraySet();
                        java.lang.String sysPkg = pkgItems[i].trim();
                        java.lang.String[] actionBrs = pkgItems[1].trim().split(",");
                        int actionSize = actionBrs.length;
                        for (int index = i; index < actionSize; index++) {
                            actions.add(actionBrs[index].trim());
                        }
                        android.util.ArraySet<java.lang.String> actionsExist = (android.util.ArraySet) sysApp.get(sysPkg);
                        if (actionsExist != null) {
                            actionsExist.addAll(actions);
                        } else {
                            sysApp.put(sysPkg, actions);
                        }
                    } else {
                        android.rms.iaware.AwareLog.e("AwareBroadcastConfig", "check unproxy sys app br error, it is wrong config");
                    }
                }
                i2++;
                i = 0;
            }
            synchronized (this.mAwareUnProxySys) {
                this.mAwareUnProxySys.clear();
                this.mAwareUnProxySys.putAll(sysApp);
            }
        }
    }

    public android.util.ArraySet<java.lang.String> getUnProxyActionList() {
        android.util.ArraySet arraySet;
        synchronized (this.mAwareUnProxyActionList) {
            arraySet = new android.util.ArraySet(this.mAwareUnProxyActionList);
        }
        return arraySet;
    }

    public android.util.ArraySet<java.lang.String> getUnProxyPkgList() {
        android.util.ArraySet arraySet;
        synchronized (this.mAwareUnProxyPkgList) {
            arraySet = new android.util.ArraySet(this.mAwareUnProxyPkgList);
        }
        return arraySet;
    }

    public android.util.ArrayMap<java.lang.String, android.util.ArraySet<java.lang.String>> getUnProxySysList() {
        android.util.ArrayMap arrayMap;
        synchronized (this.mAwareUnProxySys) {
            arrayMap = new android.util.ArrayMap(this.mAwareUnProxySys);
        }
        return arrayMap;
    }

    public android.util.ArraySet<java.lang.String> getTrimActionList() {
        android.util.ArraySet arraySet;
        synchronized (this.mAwareProxyTrimActionList) {
            arraySet = new android.util.ArraySet(this.mAwareProxyTrimActionList);
        }
        return arraySet;
    }

    public int getFGAppLevel() {
        return this.mFGAppLevel;
    }

    public int getTouchCheckCount() {
        return this.mTouchCheckCount;
    }

    public int getNoTouchCheckCount() {
        return this.mNoTouchCheckCount;
    }

    public int getUnProxyMaxDuration() {
        return this.mUnProxyMaxDuration;
    }

    public int getUnProxyMaxSpeed() {
        return this.mUnProxyMaxSpeed;
    }

    public int getUnProxyMinSpeed() {
        return this.mUnProxyMinSpeed;
    }

    public int getUnProxyMiddleSpeed() {
        return this.mUnProxyMiddleSpeed;
    }

    public int getUnProxyHighSpeed() {
        return this.mUnProxyHighSpeed;
    }
}
