package com.android.server.mtm.iaware.srms;

public class AwareBroadcastDumpRadar {
    private static final int CACHE_BR_LIST_MAX = 10000;
    private static final java.lang.String FEATURE_BREX_BETA_FILTER = "broadcastex_brfilter";
    private static final java.lang.String FEATURE_BREX_BETA_LEAK = "broadcastex_brleak";
    private static final java.lang.String FEATURE_BREX_BETA_SEND = "broadcastex_brsend";
    private static final java.lang.String FEATURE_BREX_COMMERCIAL = "broadcastex";
    private static final java.lang.String FEATURE_BR_COMMERCIAL = "broadcast";
    private static final int MSG_TRACK = 5;
    private static final int SCHEDULE_TRACK_DATA_DURATION = 2000;
    private static final java.lang.String SPLIT_VALUE = ",";
    private static final int SP_INDEX_0_30 = 0;
    private static final int SP_INDEX_1H_3H = 3;
    private static final int SP_INDEX_30_60 = 1;
    private static final int SP_INDEX_3H_450 = 4;
    private static final int SP_INDEX_450_6H = 5;
    private static final int SP_INDEX_60_1H = 2;
    private static final int SP_INDEX_6H_8H = 6;
    private static final int SP_INDEX_8H_N = 7;
    private static final int SP_INDEX_TOTAL_NUM = 8;
    private static final int SP_THRESHOLD_0 = 0;
    private static final int SP_THRESHOLD_1H = 100;
    private static final int SP_THRESHOLD_30 = 30;
    private static final int SP_THRESHOLD_3H = 300;
    private static final int SP_THRESHOLD_450 = 450;
    private static final int SP_THRESHOLD_60 = 60;
    private static final int SP_THRESHOLD_6H = 600;
    private static final int SP_THRESHOLD_8H = 800;
    private static final int SP_TYPE_AFTER_CTRL_NP = 2;
    private static final int SP_TYPE_AFTER_CTRL_P = 1;
    private static final int SP_TYPE_ALL_BEFORE_CTRL = 5;
    private static final int SP_TYPE_BEFORE_CTRL = 0;
    private static final int SP_TYPE_NUM = 6;
    private static final int SP_TYPE_OPEARTION_AFTER_CTRL_NP = 4;
    private static final int SP_TYPE_OPEARTION_BEFORE_CTRL = 3;
    private static final java.lang.String TAG = "AwareBroadcastDumpRadar";
    private static final int TRACK_BR_SPEED_DURATION = 1000;
    private static final int TRACK_BR_SPLIT_ACTION = 2;
    private static final int TRACK_BR_SPLIT_NUM = 3;
    private static final int TRACK_BR_SPLIT_PKG = 1;
    private static final int TRACK_BR_SPLIT_TYPE = 0;
    private static final int TYPE_HANDLE_NO_PROXY_IN_CTRL = 1;
    private static final int TYPE_HANDLE_NO_PROXY_NO_CTRL = 0;
    private static final int TYPE_HANDLE_WITH_PROXY = 2;
    private static final int TYPE_START_COMBIN_CONDITION = 4;
    private static final int TYPE_START_NO_COMBIN_CONDITION = 3;
    private static final int TYPE_STOPPED_CONDITION = 5;
    private static final int TYPE_TOTAL_NUM = 6;
    private static final boolean isBetaUser;
    private static long mBrAfterFilterCount = 0;
    private static long mBrBeforeFilterCount = 0;
    private static long mBrNoProcessCount = 0;
    private static long mBrPersistAppNodropCount = 0;
    private static long mBrSystemServerNodropCount = 0;
    private static final int mLeakHighLevel = 400;
    private static final int mLeakLowLevel = 20;
    private static final int mLeakMediumLevel = 100;
    private static java.lang.Object mObject = new java.lang.Object();
    private java.util.List<java.lang.String> mCacheBrNumList = new java.util.ArrayList();
    private long mCacheSpeedAfterCtrlNoP = 0;
    private long mCacheSpeedAfterCtrlP = 0;
    private long mCacheSpeedAllBeforeCtrl = 0;
    private long mCacheSpeedBeforeCtrl = 0;
    private java.util.Map<java.lang.Integer, java.util.List<java.lang.Long>> mCacheSpeedMap = new java.util.HashMap();
    private long mCacheSpeedOperateAfterCtrlNoP = 0;
    private long mCacheSpeedOperateBeforeCtrl = 0;
    private long[][] mCmcDataSpeeds = ((long[][]) java.lang.reflect.Array.newInstance(long.class, new int[]{6, 8}));
    private final android.os.Handler mHandler;
    private java.util.HashMap<java.lang.String, java.lang.Integer> mLeakBrsToReport = new java.util.HashMap();
    private long mScheduleTrackTime = 0;
    private long mStartTime = 0;
    private long mStartTimeBrEx = 0;
    private long mStartTimeDetailBrex = 0;
    private java.util.HashMap<java.lang.String, java.lang.Integer> mTrackBrFilterMap = new java.util.HashMap();
    private java.util.Map<java.lang.String, java.util.Map<java.lang.String, com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar.TrackBrData>> mTrackDataMap = null;
    private long[][] mTrackDataSpeeds = ((long[][]) java.lang.reflect.Array.newInstance(long.class, new int[]{6, 8}));
    private long mTrackSpeedTime = 0;

    private final class IawareBroadcastRadarHandler extends android.os.Handler {
        public IawareBroadcastRadarHandler(android.os.Looper looper) {
            super(looper, null, true);
        }

        public void handleMessage(android.os.Message msg) {
            if (msg.what == 5) {
                com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar.this.processData();
            }
        }
    }

    private static class TrackBrData {
        java.lang.String brAction;
        java.lang.String packageName;
        long[] rawDataList = new long[6];

        public TrackBrData(java.lang.String packageName, java.lang.String brAction) {
            this.packageName = packageName;
            this.brAction = brAction;
        }

        public void addTrack(int type) {
            if (type >= 0) {
                if (type < this.rawDataList.length) {
                    this.rawDataList[type] = this.rawDataList[type] + 1;
                }
            }
        }

        public java.lang.String toJsonStr() {
            org.json.JSONObject jsonObj = new org.json.JSONObject();
            try {
                jsonObj.put("pkg", this.packageName);
                jsonObj.put("action", this.brAction);
            } catch (org.json.JSONException e) {
                android.rms.iaware.AwareLog.e("AwareBroadcastDumpRadar", "TrackBrData.toJsonStr catch JSONException.");
            }
            for (int i = 0; i < this.rawDataList.length; i++) {
                addTypeValue(jsonObj, i);
            }
            return jsonObj.toString();
        }

        private void addTypeValue(org.json.JSONObject jsonObj, int type) {
            if (type >= 0) {
                if (type < this.rawDataList.length) {
                    java.lang.String key = "";
                    switch (type) {
                        case 0:
                            key = "hdNoPNoC";
                            break;
                        case 1:
                            key = "hdNoPInC";
                            break;
                        case 2:
                            key = "hdP";
                            break;
                        case 3:
                            key = "startNoCon";
                            break;
                        case 4:
                            key = "startCon";
                            break;
                        case 5:
                            key = "stoppedCon";
                            break;
                        default:
                            android.rms.iaware.AwareLog.e("AwareBroadcastDumpRadar", "type name not defined!");
                            key = "undefined";
                            break;
                    }
                    try {
                        jsonObj.put(key, this.rawDataList[type]);
                    } catch (org.json.JSONException e) {
                        android.rms.iaware.AwareLog.e("AwareBroadcastDumpRadar", "TrackBrData.addTypeValue catch JSONException.");
                    }
                }
            }
        }
    }

    static {
        boolean z = true;
        if (android.os.SystemProperties.getInt("ro.logsystem.usertype", 1) != 3) {
            z = false;
        }
        isBetaUser = z;
    }

    public AwareBroadcastDumpRadar(android.os.Handler handler) {
        this.mHandler = new com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar.IawareBroadcastRadarHandler(handler.getLooper());
        this.mTrackDataMap = new java.util.HashMap();
        long currentTimeMillis = java.lang.System.currentTimeMillis();
        this.mStartTimeBrEx = currentTimeMillis;
        this.mStartTimeDetailBrex = currentTimeMillis;
    }

    public void trackImplicitBrDetail(boolean inControl, boolean startup, java.lang.String packageName, java.lang.String action) {
        if (isBetaUser && com.android.server.rms.iaware.srms.BroadcastFeature.isFeatureEnabled(11)) {
            java.lang.StringBuilder builder = new java.lang.StringBuilder();
            if (startup) {
                builder.append(inControl ? 4 : 3);
            } else {
                builder.append(5);
            }
            builder.append(",");
            builder.append(packageName);
            builder.append(",");
            builder.append(action);
            synchronized (this.mCacheBrNumList) {
                if (this.mCacheBrNumList.size() < 10000) {
                    this.mCacheBrNumList.add(builder.toString());
                }
            }
        }
    }

    public void trackBrFlowDetail(boolean enqueue, boolean isProxyed, boolean flowCtrlStarted, java.lang.String packageName, java.lang.String action) {
        if (isBetaUser && com.android.server.rms.iaware.srms.BroadcastFeature.isFeatureEnabled(10)) {
            if (enqueue) {
                java.lang.StringBuilder builder = new java.lang.StringBuilder();
                builder.append(2);
                builder.append(",");
                builder.append(packageName);
                builder.append(",");
                builder.append(action);
                synchronized (this.mCacheBrNumList) {
                    if (this.mCacheBrNumList.size() < 10000) {
                        this.mCacheBrNumList.add(builder.toString());
                    }
                }
            } else if (!isProxyed) {
                boolean type = flowCtrlStarted;
                java.lang.StringBuilder builder2 = new java.lang.StringBuilder();
                builder2.append(type);
                builder2.append(",");
                builder2.append(packageName);
                builder2.append(",");
                builder2.append(action);
                synchronized (this.mCacheBrNumList) {
                    if (this.mCacheBrNumList.size() < 10000) {
                        this.mCacheBrNumList.add(builder2.toString());
                    }
                }
            }
        }
    }

    public void trackBrFlowSpeed(boolean enqueue, boolean isProxyed, boolean isOperation, boolean isScreenOn) {
        if (com.android.server.rms.iaware.srms.BroadcastFeature.isFeatureEnabled(10)) {
            if (this.mTrackSpeedTime <= 0) {
                this.mTrackSpeedTime = java.lang.System.currentTimeMillis();
            }
            if (java.lang.System.currentTimeMillis() - this.mTrackSpeedTime >= 1000) {
                synchronized (this.mCacheSpeedMap) {
                    int i = 0;
                    while (i < 6) {
                        try {
                            if (!this.mCacheSpeedMap.containsKey(java.lang.Integer.valueOf(i))) {
                                this.mCacheSpeedMap.put(java.lang.Integer.valueOf(i), new java.util.ArrayList());
                            }
                            i++;
                        } catch (Throwable th) {
                            while (true) {
                            }
                        }
                    }
                    java.util.List<java.lang.Long> beforeList = (java.util.List) this.mCacheSpeedMap.get(java.lang.Integer.valueOf(0));
                    java.util.List<java.lang.Long> afterNPList = (java.util.List) this.mCacheSpeedMap.get(java.lang.Integer.valueOf(2));
                    java.util.List<java.lang.Long> afterPList = (java.util.List) this.mCacheSpeedMap.get(java.lang.Integer.valueOf(1));
                    java.util.List<java.lang.Long> beforeOpeList = (java.util.List) this.mCacheSpeedMap.get(java.lang.Integer.valueOf(3));
                    java.util.List<java.lang.Long> afterOpeNPList = (java.util.List) this.mCacheSpeedMap.get(java.lang.Integer.valueOf(4));
                    java.util.List<java.lang.Long> beforeAllList = (java.util.List) this.mCacheSpeedMap.get(java.lang.Integer.valueOf(5));
                    if (beforeList.size() < 10000) {
                        beforeList.add(java.lang.Long.valueOf(this.mCacheSpeedBeforeCtrl));
                    }
                    if (afterNPList.size() < 10000) {
                        afterNPList.add(java.lang.Long.valueOf(this.mCacheSpeedAfterCtrlNoP));
                    }
                    if (afterPList.size() < 10000) {
                        afterPList.add(java.lang.Long.valueOf(this.mCacheSpeedAfterCtrlP));
                    }
                    if (beforeOpeList.size() < 10000) {
                        beforeOpeList.add(java.lang.Long.valueOf(this.mCacheSpeedOperateBeforeCtrl));
                    }
                    if (afterOpeNPList.size() < 10000) {
                        afterOpeNPList.add(java.lang.Long.valueOf(this.mCacheSpeedOperateAfterCtrlNoP));
                    }
                    if (beforeAllList.size() < 10000) {
                        beforeAllList.add(java.lang.Long.valueOf(this.mCacheSpeedAllBeforeCtrl));
                    }
                }
                this.mCacheSpeedBeforeCtrl = 0;
                this.mCacheSpeedAfterCtrlP = 0;
                this.mCacheSpeedAfterCtrlNoP = 0;
                this.mCacheSpeedOperateBeforeCtrl = 0;
                this.mCacheSpeedOperateAfterCtrlNoP = 0;
                this.mCacheSpeedAllBeforeCtrl = 0;
                this.mTrackSpeedTime = java.lang.System.currentTimeMillis();
            }
            if (!isProxyed) {
                if (isScreenOn) {
                    this.mCacheSpeedBeforeCtrl++;
                }
                this.mCacheSpeedAllBeforeCtrl++;
                if (isOperation && isScreenOn) {
                    this.mCacheSpeedOperateBeforeCtrl++;
                }
            }
            if (!enqueue && isScreenOn) {
                if (isProxyed) {
                    this.mCacheSpeedAfterCtrlP++;
                }
                this.mCacheSpeedAfterCtrlNoP++;
                if (isOperation) {
                    this.mCacheSpeedOperateAfterCtrlNoP++;
                }
            }
        }
    }

    public void scheduleTrackBrFlowData() {
        if (com.android.server.rms.iaware.srms.BroadcastFeature.isFeatureEnabled(10)) {
            if (this.mScheduleTrackTime <= 0) {
                this.mScheduleTrackTime = java.lang.System.currentTimeMillis();
            }
            if (java.lang.System.currentTimeMillis() - this.mScheduleTrackTime >= 2000) {
                android.os.Message msg = this.mHandler.obtainMessage();
                msg.what = 5;
                this.mHandler.sendMessage(msg);
                this.mScheduleTrackTime = java.lang.System.currentTimeMillis();
            }
        }
    }

    private void processData() {
        if (this.mStartTime == 0) {
            this.mStartTime = java.lang.System.currentTimeMillis();
        }
        int i = 0;
        if (isBetaUser) {
            java.util.List<java.lang.String> tempList = new java.util.ArrayList();
            synchronized (this.mCacheBrNumList) {
                tempList.addAll(this.mCacheBrNumList);
                this.mCacheBrNumList.clear();
            }
            for (java.lang.String item : tempList) {
                if (item != null) {
                    if (item.length() > 0) {
                        java.lang.String[] splits = item.split(",");
                        if (splits.length == 3) {
                            int type = -1;
                            try {
                                type = java.lang.Integer.parseInt(splits[0]);
                            } catch (java.lang.NumberFormatException e) {
                                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("parseInt error: ");
                                stringBuilder.append(item);
                                android.rms.iaware.AwareLog.e("AwareBroadcastDumpRadar", stringBuilder.toString());
                            }
                            addBrDetailData(type, splits[1], splits[2]);
                        }
                    }
                }
            }
        }
        java.util.Map<java.lang.Integer, java.util.List<java.lang.Long>> temp = new java.util.HashMap();
        synchronized (this.mCacheSpeedMap) {
            java.lang.Integer i2 = java.lang.Integer.valueOf(0);
            while (i2.intValue() < 6) {
                java.util.List<java.lang.Long> list = new java.util.ArrayList();
                if (this.mCacheSpeedMap.containsKey(i2) && this.mCacheSpeedMap.get(i2) != null) {
                    list.addAll((java.util.Collection) this.mCacheSpeedMap.get(i2));
                    ((java.util.List) this.mCacheSpeedMap.get(i2)).clear();
                }
                temp.put(i2, list);
                i2 = java.lang.Integer.valueOf(i2.intValue() + 1);
            }
        }
        if (isBetaUser) {
            synchronized (this.mTrackDataSpeeds) {
                int i3 = 0;
                while (i3 < 6) {
                    try {
                        addBrSpeedDataLocked(this.mTrackDataSpeeds[i3], (java.util.List) temp.get(java.lang.Integer.valueOf(i3)));
                        i3++;
                    } catch (Throwable th) {
                    }
                }
            }
        }
        synchronized (this.mCmcDataSpeeds) {
            while (i < 6) {
                try {
                    addBrSpeedDataLocked(this.mCmcDataSpeeds[i], (java.util.List) temp.get(java.lang.Integer.valueOf(i)));
                    i++;
                } catch (Throwable th2) {
                }
            }
        }
    }

    private void addBrDetailData(int type, java.lang.String packageName, java.lang.String brAction) {
        if (packageName != null) {
            if (packageName.length() != 0) {
                if (brAction != null) {
                    if (brAction.length() != 0) {
                        if (type >= 0) {
                            if (type < 6) {
                                synchronized (this.mTrackDataMap) {
                                    java.util.Map<java.lang.String, com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar.TrackBrData> pkgDatas = (java.util.Map) this.mTrackDataMap.get(packageName);
                                    com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar.TrackBrData data;
                                    if (pkgDatas == null) {
                                        java.util.HashMap pkgDatas2 = new java.util.HashMap();
                                        data = new com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar.TrackBrData(packageName, brAction);
                                        data.addTrack(type);
                                        pkgDatas2.put(brAction, data);
                                        this.mTrackDataMap.put(packageName, pkgDatas2);
                                    } else {
                                        data = (com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar.TrackBrData) pkgDatas.get(brAction);
                                        if (data == null) {
                                            data = new com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar.TrackBrData(packageName, brAction);
                                            pkgDatas.put(brAction, data);
                                        }
                                        data.addTrack(type);
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    private void addBrSpeedDataLocked(long[] outSpeedArray, java.util.List<java.lang.Long> rawSpeedList) {
        if (outSpeedArray != null) {
            if (outSpeedArray.length == 8) {
                if (rawSpeedList != null) {
                    if (rawSpeedList.size() != 0) {
                        for (java.lang.Long speed : rawSpeedList) {
                            if (speed.longValue() > 0 && speed.longValue() < 30) {
                                outSpeedArray[0] = outSpeedArray[0] + 1;
                            } else if (speed.longValue() >= 30 && speed.longValue() < 60) {
                                outSpeedArray[1] = outSpeedArray[1] + 1;
                            } else if (speed.longValue() >= 60 && speed.longValue() < 100) {
                                outSpeedArray[2] = outSpeedArray[2] + 1;
                            } else if (speed.longValue() >= 100 && speed.longValue() < 300) {
                                outSpeedArray[3] = outSpeedArray[3] + 1;
                            } else if (speed.longValue() >= 300 && speed.longValue() < 450) {
                                outSpeedArray[4] = outSpeedArray[4] + 1;
                            } else if (speed.longValue() >= 450 && speed.longValue() < 600) {
                                outSpeedArray[5] = outSpeedArray[5] + 1;
                            } else if (speed.longValue() >= 600 && speed.longValue() < 800) {
                                outSpeedArray[6] = outSpeedArray[6] + 1;
                            } else if (speed.longValue() >= 800) {
                                outSpeedArray[7] = outSpeedArray[7] + 1;
                            }
                        }
                    }
                }
            }
        }
    }

    public java.lang.String getData(boolean forBeta, boolean clear) {
        java.lang.StringBuilder sb = new java.lang.StringBuilder();
        if (forBeta) {
            getBrDetailData(sb, clear);
            sb.append("\n[iAwareBroadcastSpeed_Start]\nstartTime: ");
            sb.append(java.lang.String.valueOf(this.mStartTime));
            synchronized (this.mTrackDataSpeeds) {
                for (int i = 0; i < this.mTrackDataSpeeds.length; i++) {
                    org.json.JSONObject speedJson = getSpeedJsonLocked(this.mTrackDataSpeeds[i], i);
                    if (speedJson != null) {
                        sb.append("\n");
                        sb.append(speedJson.toString());
                    }
                    if (clear) {
                        java.util.Arrays.fill(this.mTrackDataSpeeds[i], 0);
                    }
                }
            }
            sb.append("\nendTime: ");
            sb.append(java.lang.String.valueOf(java.lang.System.currentTimeMillis()));
            sb.append("\n[iAwareBroadcastSpeed_End]");
        } else {
            sb.append(getCommercialBigData(clear));
        }
        if (clear) {
            this.mStartTime = java.lang.System.currentTimeMillis();
        }
        return sb.toString();
    }

    private void getBrDetailData(java.lang.StringBuilder sb, boolean clear) {
        if (this.mTrackDataMap != null && isBetaUser) {
            if (sb != null) {
                synchronized (this.mTrackDataMap) {
                    if (this.mTrackDataMap.size() != 0) {
                        sb.append("\n[iAwareBroadcast_Start]\nstartTime: ");
                        sb.append(java.lang.String.valueOf(this.mStartTime));
                        for (java.util.Map.Entry<java.lang.String, java.util.Map<java.lang.String, com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar.TrackBrData>> pkgEntry : this.mTrackDataMap.entrySet()) {
                            java.util.Map<java.lang.String, com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar.TrackBrData> pkgDatas = (java.util.Map) pkgEntry.getValue();
                            if (pkgDatas != null) {
                                for (java.util.Map.Entry<java.lang.String, com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar.TrackBrData> dataEntry : pkgDatas.entrySet()) {
                                    com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar.TrackBrData data = (com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar.TrackBrData) dataEntry.getValue();
                                    if (data != null) {
                                        java.lang.String dataStr = data.toJsonStr();
                                        if (dataStr != null && dataStr.length() > 0) {
                                            sb.append("\n");
                                            sb.append(dataStr);
                                        }
                                    }
                                }
                            }
                        }
                        sb.append("\nendTime: ");
                        sb.append(java.lang.String.valueOf(java.lang.System.currentTimeMillis()));
                        sb.append("\n[iAwareBroadcast_End]");
                        if (clear) {
                            this.mTrackDataMap.clear();
                        }
                    }
                }
            }
        }
    }

    private org.json.JSONObject getSpeedJsonLocked(long[] speeds, int speedType) {
        if (speeds != null) {
            if (speeds.length == 8) {
                org.json.JSONObject jsonObj = new org.json.JSONObject();
                try {
                    jsonObj.put("spType", speedType);
                    for (int i = 0; i < speeds.length; i++) {
                        jsonObj.put(getSpeedKey(i), speeds[i]);
                    }
                } catch (org.json.JSONException e) {
                    android.rms.iaware.AwareLog.e("AwareBroadcastDumpRadar", "getSpeedJsonLocked catch JSONException.");
                }
                return jsonObj;
            }
        }
        return null;
    }

    private java.lang.String getCommercialBigData(boolean clear) {
        org.json.JSONObject jsonObj = new org.json.JSONObject();
        org.json.JSONArray dataArry = new org.json.JSONArray();
        synchronized (this.mCmcDataSpeeds) {
            for (int i = 0; i < this.mCmcDataSpeeds.length; i++) {
                org.json.JSONObject speedJson = getSpeedJsonLocked(this.mCmcDataSpeeds[i], i);
                if (speedJson != null) {
                    dataArry.put(speedJson);
                }
                if (clear) {
                    java.util.Arrays.fill(this.mCmcDataSpeeds[i], 0);
                }
            }
        }
        try {
            jsonObj.put("feature", "broadcast");
            jsonObj.put("start", java.lang.String.valueOf(this.mStartTime));
            jsonObj.put("end", java.lang.String.valueOf(java.lang.System.currentTimeMillis()));
            jsonObj.put("data", dataArry);
        } catch (org.json.JSONException e) {
            android.rms.iaware.AwareLog.e("AwareBroadcastDumpRadar", "getCommercialBigData catch JSONException.");
        }
        return jsonObj.toString();
    }

    private java.lang.String getSpeedKey(int index) {
        java.lang.String key = "";
        switch (index) {
            case 0:
                return "inter0_30";
            case 1:
                return "inter30_60";
            case 2:
                return "inter60_1h";
            case 3:
                return "inter1h_3h";
            case 4:
                return "inter3h_4h";
            case 5:
                return "inter4h_6h";
            case 6:
                return "inter6h_8h";
            case 7:
                return "inter8h_n";
            default:
                android.rms.iaware.AwareLog.e("AwareBroadcastDumpRadar", "speed region name not defined!");
                return "undefined";
        }
    }

    public java.lang.String getDFTData(boolean forBeta, boolean clear, boolean betaEncode) {
        java.lang.StringBuilder sb = new java.lang.StringBuilder();
        if (!forBeta) {
            getCommercialBigDataEx(sb, clear);
            if (clear) {
                this.mStartTimeBrEx = java.lang.System.currentTimeMillis();
            }
        } else if (!isBetaUser) {
            return sb.toString();
        } else {
            if (betaEncode) {
                getBRLeakBetaData(sb, clear);
                getBRSendBetaData(sb, clear);
                getBRFilterBetaData(sb, clear);
                if (clear) {
                    this.mStartTimeBrEx = java.lang.System.currentTimeMillis();
                }
            } else {
                getBrFilterDetailData(sb, clear);
                if (clear) {
                    this.mStartTimeDetailBrex = java.lang.System.currentTimeMillis();
                }
            }
        }
        return sb.toString();
    }

    private void getCommercialBigDataEx(java.lang.StringBuilder sb, boolean clear) {
        if (sb != null) {
            org.json.JSONObject jsonObj = new org.json.JSONObject();
            try {
                jsonObj.put("feature", "broadcastex");
                jsonObj.put("start", this.mStartTimeBrEx);
                jsonObj.put("end", java.lang.System.currentTimeMillis());
                getBRFilterCommercialData(jsonObj, clear);
                getBRSendCommercialData(jsonObj, clear);
                getBRLeakCommercialData(jsonObj, clear);
                sb.append(jsonObj.toString());
            } catch (org.json.JSONException e) {
                android.rms.iaware.AwareLog.e("AwareBroadcastDumpRadar", "getCommercialExBigData catch JSONException.");
            }
        }
    }

    private void getBRFilterCommercialData(org.json.JSONObject jsonObj, boolean clear) {
        synchronized (mObject) {
            try {
                jsonObj.put("brBeforeReceiver", mBrBeforeFilterCount - mBrNoProcessCount);
                jsonObj.put("brAfterReceiver", (mBrBeforeFilterCount - mBrAfterFilterCount) - mBrNoProcessCount);
            } catch (org.json.JSONException e) {
                android.rms.iaware.AwareLog.e("AwareBroadcastDumpRadar", "catch JSONException.");
            }
            if (clear) {
                resetBrFilterDataLocked();
            }
        }
    }

    private void getBRSendCommercialData(org.json.JSONObject jsonObj, boolean clear) {
        if (jsonObj != null) {
            java.util.HashMap<java.lang.String, java.lang.String> statData = com.android.server.mtm.iaware.srms.AwareBroadcastSend.getInstance().getStatisticsData();
            if (statData.size() != 0) {
                int sendTotalCnt = 0;
                int sendSkipCnt = 0;
                for (java.util.Map.Entry<java.lang.String, java.lang.String> entry : statData.entrySet()) {
                    java.lang.String[] sData = ((java.lang.String) entry.getValue()).split(",");
                    try {
                        sendSkipCnt += java.lang.Integer.parseInt(sData[0]);
                        sendTotalCnt += java.lang.Integer.parseInt(sData[1]);
                    } catch (java.lang.IndexOutOfBoundsException e) {
                        android.rms.iaware.AwareLog.e("AwareBroadcastDumpRadar", "catch IndexOutOfBoundsException.");
                    } catch (java.lang.NumberFormatException e2) {
                        android.rms.iaware.AwareLog.e("AwareBroadcastDumpRadar", "catch NumberFormatException.");
                    }
                }
                try {
                    jsonObj.put("brsendtotal", sendTotalCnt);
                    jsonObj.put("brsendskip", sendSkipCnt);
                } catch (org.json.JSONException e3) {
                    android.rms.iaware.AwareLog.e("AwareBroadcastDumpRadar", "catch JSONException.");
                }
                if (clear) {
                    com.android.server.mtm.iaware.srms.AwareBroadcastSend.getInstance().resetStatisticsData();
                }
            }
        }
    }

    private void getBRLeakCommercialData(org.json.JSONObject jsonObj, boolean clear) {
        if (jsonObj != null) {
            int leakCntLowLevel = 0;
            int leakCntMediumLevel = 0;
            int leakCntHighLevel = 0;
            updateBRLeakReportData();
            synchronized (this.mLeakBrsToReport) {
                for (java.util.Map.Entry<java.lang.String, java.lang.Integer> brEntry : this.mLeakBrsToReport.entrySet()) {
                    java.lang.Integer regCnt = (java.lang.Integer) brEntry.getValue();
                    if (regCnt.intValue() >= 20 && regCnt.intValue() < 100) {
                        leakCntLowLevel++;
                    } else if (regCnt.intValue() >= 100 && regCnt.intValue() < 400) {
                        leakCntMediumLevel++;
                    } else if (regCnt.intValue() >= 400) {
                        leakCntHighLevel++;
                    }
                }
            }
            try {
                jsonObj.put("brleak20_100", leakCntLowLevel);
                jsonObj.put("brleak100_400", leakCntMediumLevel);
                jsonObj.put("brleak400_n", leakCntHighLevel);
            } catch (org.json.JSONException e) {
                android.rms.iaware.AwareLog.e("AwareBroadcastDumpRadar", "catch JSONException.");
            }
            if (clear) {
                synchronized (this.mLeakBrsToReport) {
                    this.mLeakBrsToReport.clear();
                }
            }
        }
    }

    private void getBRLeakBetaData(java.lang.StringBuilder sb, boolean clear) {
        updateBRLeakReportData();
        synchronized (this.mLeakBrsToReport) {
            for (java.util.Map.Entry<java.lang.String, java.lang.Integer> brEntry : this.mLeakBrsToReport.entrySet()) {
                org.json.JSONObject jsonObj = new org.json.JSONObject();
                try {
                    jsonObj.put("feature", "broadcastex_brleak");
                    jsonObj.put("start", this.mStartTimeBrEx);
                    jsonObj.put("end", java.lang.System.currentTimeMillis());
                    jsonObj.put("brId", brEntry.getKey());
                    jsonObj.put("regCnt", brEntry.getValue());
                    jsonObj.put("dropCnt", 0);
                    sb.append(jsonObj.toString());
                    sb.append("\n");
                } catch (org.json.JSONException e) {
                    android.rms.iaware.AwareLog.e("AwareBroadcastDumpRadar", "catch JSONException.");
                }
            }
        }
        if (clear) {
            synchronized (this.mLeakBrsToReport) {
                this.mLeakBrsToReport.clear();
            }
        }
    }

    private void getBRFilterBetaData(java.lang.StringBuilder sb, boolean clear) {
        synchronized (mObject) {
            org.json.JSONObject jsonObj = new org.json.JSONObject();
            try {
                jsonObj.put("feature", "broadcastex_brfilter");
                jsonObj.put("start", this.mStartTimeBrEx);
                jsonObj.put("end", java.lang.System.currentTimeMillis());
                jsonObj.put("brBeforeReceiver", mBrBeforeFilterCount - mBrNoProcessCount);
                jsonObj.put("brAfterReceiver", (mBrBeforeFilterCount - mBrAfterFilterCount) - mBrNoProcessCount);
                jsonObj.put("sysSvrNodrop", mBrSystemServerNodropCount);
                jsonObj.put("persistAppNodrop", mBrPersistAppNodropCount);
            } catch (org.json.JSONException e) {
                android.rms.iaware.AwareLog.e("AwareBroadcastDumpRadar", "catch JSONException.");
            }
            sb.append(jsonObj.toString());
            sb.append("\n");
            if (clear) {
                resetBrFilterDataLocked();
            }
        }
    }

    private void getBrFilterDetailData(java.lang.StringBuilder sb, boolean clear) {
        sb.append("\n[iAwareBrFilter_Start]\nstartTime: ");
        sb.append(java.lang.String.valueOf(this.mStartTimeDetailBrex));
        synchronized (this.mTrackBrFilterMap) {
            for (java.util.Map.Entry<java.lang.String, java.lang.Integer> ent : this.mTrackBrFilterMap.entrySet()) {
                org.json.JSONObject jsonObj = new org.json.JSONObject();
                try {
                    jsonObj.put((java.lang.String) ent.getKey(), ent.getValue());
                    sb.append("\n");
                    sb.append(jsonObj.toString());
                } catch (org.json.JSONException e) {
                    android.rms.iaware.AwareLog.e("AwareBroadcastDumpRadar", "TrackBrData.toJsonStr catch JSONException.");
                }
            }
            if (clear) {
                this.mTrackBrFilterMap.clear();
            }
        }
        sb.append("\nendTime: ");
        sb.append(java.lang.String.valueOf(java.lang.System.currentTimeMillis()));
        sb.append("\n[iAwareBrFilter_End]");
    }

    private void updateBRLeakReportData() {
        java.util.HashMap<java.lang.String, java.lang.Integer> mBRCounts = com.android.server.mtm.iaware.srms.AwareBroadcastRegister.getInstance().getBRCounts();
        int threshold = com.android.server.mtm.iaware.srms.AwareBroadcastRegister.getInstance().getBRRegisterReportThreshold();
        synchronized (mBRCounts) {
            if (mBRCounts.size() != 0) {
                for (java.util.Map.Entry<java.lang.String, java.lang.Integer> brEntry : mBRCounts.entrySet()) {
                    java.lang.String brId = com.android.server.mtm.iaware.srms.AwareBroadcastRegister.removeBRIdUncommonData((java.lang.String) brEntry.getKey());
                    java.lang.Integer brCount = (java.lang.Integer) brEntry.getValue();
                    if (brCount.intValue() > threshold && brId.length() > 0) {
                        synchronized (this.mLeakBrsToReport) {
                            if (!this.mLeakBrsToReport.containsKey(brId)) {
                                this.mLeakBrsToReport.put(brId, brCount);
                            } else if (brCount.intValue() > ((java.lang.Integer) this.mLeakBrsToReport.get(brId)).intValue()) {
                                this.mLeakBrsToReport.put(brId, brCount);
                            }
                        }
                    }
                }
            }
        }
    }

    private void getBRSendBetaData(java.lang.StringBuilder sb, boolean clear) {
        java.util.HashMap<java.lang.String, java.lang.String> statData = com.android.server.mtm.iaware.srms.AwareBroadcastSend.getInstance().getStatisticsData();
        if (statData.size() != 0) {
            for (java.util.Map.Entry<java.lang.String, java.lang.String> entry : statData.entrySet()) {
                java.lang.String[] sData = ((java.lang.String) entry.getValue()).split(",");
                org.json.JSONObject jsonObj = new org.json.JSONObject();
                try {
                    jsonObj.put("feature", "broadcastex_brsend");
                    jsonObj.put("start", this.mStartTimeBrEx);
                    jsonObj.put("end", java.lang.System.currentTimeMillis());
                    jsonObj.put("action", entry.getKey());
                    jsonObj.put("skipCnt", java.lang.Integer.parseInt(sData[0]));
                    jsonObj.put("totalCnt", java.lang.Integer.parseInt(sData[1]));
                    jsonObj.put("dtCnt1", java.lang.Integer.parseInt(sData[2]));
                    jsonObj.put("dtCnt2", java.lang.Integer.parseInt(sData[3]));
                    jsonObj.put("dtCnt3", java.lang.Integer.parseInt(sData[4]));
                    jsonObj.put("dtCnt4", java.lang.Integer.parseInt(sData[5]));
                    jsonObj.put("dtCnt5", java.lang.Integer.parseInt(sData[6]));
                    sb.append(jsonObj.toString());
                    sb.append("\n");
                } catch (org.json.JSONException e) {
                    android.rms.iaware.AwareLog.e("AwareBroadcastDumpRadar", "catch JSONException.");
                } catch (java.lang.IndexOutOfBoundsException e2) {
                    android.rms.iaware.AwareLog.e("AwareBroadcastDumpRadar", "catch IndexOutOfBoundsException.");
                } catch (java.lang.NumberFormatException e3) {
                    android.rms.iaware.AwareLog.e("AwareBroadcastDumpRadar", "catch NumberFormatException.");
                }
            }
            if (clear) {
                com.android.server.mtm.iaware.srms.AwareBroadcastSend.getInstance().resetStatisticsData();
            }
        }
    }

    public java.lang.String dumpBrRegBigData(boolean forBeta, boolean clear) {
        java.lang.StringBuilder sb = new java.lang.StringBuilder();
        if (forBeta) {
            getBRLeakBetaData(sb, clear);
        } else {
            getCommercialBigDataEx(sb, clear);
        }
        return sb.toString();
    }

    public java.lang.String dumpBrSendBigData(boolean forBeta, boolean clear) {
        java.lang.StringBuilder sb = new java.lang.StringBuilder();
        if (forBeta) {
            getBRSendBetaData(sb, clear);
        } else {
            getCommercialBigDataEx(sb, clear);
        }
        return sb.toString();
    }

    public void addBrFilterDetail(java.lang.String key) {
        int count = 0;
        synchronized (this.mTrackBrFilterMap) {
            if (this.mTrackBrFilterMap.containsKey(key)) {
                count = ((java.lang.Integer) this.mTrackBrFilterMap.get(key)).intValue();
            }
            this.mTrackBrFilterMap.put(key, java.lang.Integer.valueOf(count + 1));
        }
    }

    public java.util.HashMap<java.lang.String, java.lang.Integer> getBrFilterDetail() {
        java.util.HashMap<java.lang.String, java.lang.Integer> results;
        synchronized (this.mTrackBrFilterMap) {
            results = (java.util.HashMap) this.mTrackBrFilterMap.clone();
        }
        return results;
    }

    public static boolean isBetaUser() {
        return isBetaUser;
    }

    public static void increatBrBeforeCount(int count) {
        synchronized (mObject) {
            mBrBeforeFilterCount += (long) count;
        }
    }

    public static long getBrBeforeCount() {
        long j;
        synchronized (mObject) {
            j = mBrBeforeFilterCount;
        }
        return j;
    }

    public static void increatBrAfterCount(int count) {
        synchronized (mObject) {
            mBrAfterFilterCount += (long) count;
        }
    }

    public static long getBrAfterCount() {
        long j;
        synchronized (mObject) {
            j = mBrBeforeFilterCount - mBrAfterFilterCount;
        }
        return j;
    }

    public static void increatBrNoProcessCount(int count) {
        synchronized (mObject) {
            mBrNoProcessCount += (long) count;
        }
    }

    public static long getBrNoProcessCount() {
        long j;
        synchronized (mObject) {
            j = mBrNoProcessCount;
        }
        return j;
    }

    public static void increatSsNoDropCount(int count) {
        synchronized (mObject) {
            mBrSystemServerNodropCount += (long) count;
        }
    }

    public static long getSsNoDropCount() {
        long j;
        synchronized (mObject) {
            j = mBrSystemServerNodropCount;
        }
        return j;
    }

    public static void increatPerAppNoDropCount(int count) {
        synchronized (mObject) {
            mBrPersistAppNodropCount += (long) count;
        }
    }

    public static long getPerAppNoDropCount() {
        long j;
        synchronized (mObject) {
            j = mBrPersistAppNodropCount;
        }
        return j;
    }

    private static void resetBrFilterDataLocked() {
        mBrBeforeFilterCount = 0;
        mBrAfterFilterCount = 0;
        mBrNoProcessCount = 0;
        mBrSystemServerNodropCount = 0;
        mBrPersistAppNodropCount = 0;
    }
}
