package com.android.server.mtm.iaware.srms;

public class AwareBroadcastPolicy {
    private static final int APP_STATE_IDLE = 1;
    private static final int APP_STATE_NOT_IDLE = 0;
    private static final int BATTERY_DATA_FILTER = 1;
    private static final int BATTERY_DATA_NO_FILTER = 0;
    public static final java.lang.String BATTERY_LEVEL_NAME = "BatteryLevel";
    public static final java.lang.String BATTERY_STATUS_CHANGE_VALUE = "CHARGING_CHANGE";
    public static final java.lang.String BATTERY_STATUS_CHARGINGOFF_VALUE = "CHARGING_OFF";
    public static final java.lang.String BATTERY_STATUS_CHARGINGON_VALUE = "CHARGING_ON";
    public static final java.lang.String BATTERY_STATUS_NAME = "BatteryStatus";
    private static final int BROADCAST_PROXY_SPEED_INDEX = 2;
    private static final int BROADCAST_PROXY_SPEED_INTERVAL = 100;
    private static final long BROADCAST_PROXY_SPEED_INTERVAL_LONG = 100;
    private static final int BROADCAST_PROXY_SPEED_NUMBER = 10;
    private static final int BROADCAST_PROXY_SPEED_NUMBER_INDEX_MAX = 9;
    public static final int CHARGING_OFF = 0;
    public static final int CHARGING_ON = 1;
    public static final java.lang.String CONNECTIVITY_NAME = "ConnectStatus";
    public static final java.lang.String CONNECT_STATUS_MOBILE_CON_VALUE = "MOBILEDATACON";
    public static final java.lang.String CONNECT_STATUS_MOBILE_DSCON_VALUE = "MOBILEDATADSCON";
    public static final java.lang.String CONNECT_STATUS_WIFI_CON_VALUE = "WIFIDATACON";
    public static final java.lang.String CONNECT_STATUS_WIFI_DSCON_VALUE = "WIFIDATADSCON";
    public static final java.lang.String DROP = "DROP";
    public static final java.lang.String DROP_TYPE = "DropType";
    public static final java.lang.String EXTRA_NAME = "Extra";
    private static final int GOOGLE_STATE_CONNECTED = 1;
    private static final int GOOGLE_STATE_DISCONNECTED = -1;
    private static final int IAWARE_APP_INSTALL_DELAY_TIME = 5000;
    private static final int IAWARE_DWONLOAD_DELAY_TIME = 3000;
    private static final int IAWARE_START_ACTIVITY_DELAY_TIME = 3000;
    public static final int INVALUED_DATA = -1;
    private static final int LOOPER_CHECK_TIME = 1000;
    private static final int LOOPER_CHECK_TIME_RECOUNT = 2000;
    public static final int MOBILE_CON = 1;
    public static final int MOBILE_DSCON = 2;
    private static final int MSG_APP_IDLE_STAT_CHANGE = 211;
    private static final int MSG_GOOGLE_CONN_STAT_CHANGE = 210;
    private static final int MSG_INSTALL_APP_TIMEOUT = 208;
    private static final int MSG_NOTIFY_OVERFLOW = 212;
    private static final int MSG_POLICY_DL_END = 202;
    private static final int MSG_POLICY_DL_START = 201;
    private static final int MSG_POLICY_END_CHECK = 206;
    private static final int MSG_POLICY_SCENE_ACTIVITY = 205;
    private static final int MSG_POLICY_SCENE_SLIP = 203;
    private static final int MSG_START_ACTIVITY_TIMEOUT = 207;
    private static final int MSG_UPDATE_BR_POLICY = 209;
    public static final java.lang.String SCREEN_NAME = "ScreenStatus";
    public static final java.lang.String SCREEN_STATUS_OFF = "SCREENOFF";
    public static final java.lang.String SCREEN_STATUS_ON = "SCREENON";
    private static final java.lang.String TAG = "AwareBroadcastPolicy";
    public static final int UNKNOW_CHARGING = -1;
    public static final int UNKNOW_CON = -1;
    public static final int WIFI_CON = 3;
    private static final int WIFI_DATA_DISCARD = 2;
    private static final int WIFI_DATA_FILTER = 1;
    private static final int WIFI_DATA_NO_FILTER = 0;
    public static final int WIFI_DSCON = 4;
    public static final java.lang.String WIFI_NET_STATUS_NAME = "WifiNetStatus";
    public static final java.lang.String WIFI_RSSI_STATUS_NAME = "WifiRssi";
    public static final java.lang.String WIFI_STATUS_CONNECTING_VALUE = "WIFICONTING";
    public static final java.lang.String WIFI_STATUS_CONNECT_VALUE = "WIFICON";
    public static final java.lang.String WIFI_STATUS_DISABLED_VALUE = "WIFIDISABLED";
    public static final java.lang.String WIFI_STATUS_DISCONNECT_VALUE = "WIFIDSCON";
    public static final java.lang.String WIFI_STATUS_ENABLED_VALUE = "WIFIENABLED";
    public static final java.lang.String WIFI_STATUS_NAME = "WifiStatus";
    public static final java.lang.String WIFI_SUP_STATUS_COMPLET_VALUE = "WIFISUPCOMPLE";
    public static final java.lang.String WIFI_SUP_STATUS_DISCONNECT_VALUE = "WIFISUPDSCON";
    public static final java.lang.String WIFI_SUP_STATUS_NAME = "WifiSupStatus";
    private static boolean mGoogleConnStat = false;
    private static android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.srms.AwareBroadcastCache> mIawareBrCaches = new android.util.ArrayMap();
    private com.android.server.mtm.iaware.srms.AwareBroadcastConfig mAwareBroadcastConfig;
    private com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.AwareSceneStateCallback mAwareSceneStateCallback;
    private com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.AwareStateCallback mAwareStateCallback;
    private int mBatteryLevel = -1;
    private com.android.server.mtm.iaware.srms.AwareBroadcastProcess mBgIawareBr = null;
    private int mCharging = -1;
    private int mConnectStatus = -1;
    private android.content.Context mContext = null;
    private long mCountCheck = 0;
    private com.android.server.mtm.iaware.srms.AwareBroadcastProcess mFgIawareBr = null;
    private int mForegroundAppLevel = 2;
    private final com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.IawareBroadcastPolicyHandler mHandler;
    private android.util.ArraySet<java.lang.Integer> mIawareDownloadingUid = new android.util.ArraySet();
    private android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.FilterStatus> mIawareFilterStatus = new android.util.ArrayMap();
    private boolean mIawareInstallApp = false;
    private android.util.ArraySet<java.lang.String> mIawareNoProxyActions = new android.util.ArraySet();
    private android.util.ArraySet<java.lang.String> mIawareNoProxyPkgs = new android.util.ArraySet();
    private boolean mIawareProxyActivitStart = false;
    private boolean mIawareProxySlip = false;
    private boolean mIawareScreenOn = true;
    private android.util.ArraySet<java.lang.String> mIawareTrimActions = new android.util.ArraySet();
    private android.util.ArrayMap<java.lang.String, android.util.ArraySet<java.lang.String>> mIawareUnProxySys = new android.util.ArrayMap();
    private long mLastParallelBrTime = 0;
    private java.lang.Object mLockNoProxyActions = new java.lang.Object();
    private java.lang.Object mLockNoProxyPkgs = new java.lang.Object();
    private java.lang.Object mLockTrimActions = new java.lang.Object();
    private java.lang.Object mLockUnProxySys = new java.lang.Object();
    private int mNoTouchCheckCount = 200;
    private int mPlugedtype = -1;
    private int mPrePlugedtype = -1;
    private final long[][] mProxyCount = ((long[][]) java.lang.reflect.Array.newInstance(long.class, new int[]{10, 2}));
    private boolean mScreenOn = true;
    private boolean mSpeedParallelStartProxy = false;
    private long mStartParallelBrTime = 0;
    private int mTouchCheckCount = 60;
    private final android.app.usage.UsageStatsManagerInternal mUsageStatsInternal;
    private android.net.NetworkInfo.State mWifiNetStatue = android.net.NetworkInfo.State.UNKNOWN;
    private int mWifiRssi = -127;
    private int mWifiStatue = 4;
    private android.net.wifi.SupplicantState mWifiSupStatue = android.net.wifi.SupplicantState.INVALID;

    /* renamed from: com.android.server.mtm.iaware.srms.AwareBroadcastPolicy$1 */
    static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$android$net$NetworkInfo$State = new int[android.net.NetworkInfo.State.values().length];
        static final /* synthetic */ int[] $SwitchMap$android$net$wifi$SupplicantState = new int[android.net.wifi.SupplicantState.values().length];

        static {
            try {
                $SwitchMap$android$net$wifi$SupplicantState[android.net.wifi.SupplicantState.COMPLETED.ordinal()] = 1;
            } catch (java.lang.NoSuchFieldError e) {
            }
            try {
                $SwitchMap$android$net$wifi$SupplicantState[android.net.wifi.SupplicantState.DISCONNECTED.ordinal()] = 2;
            } catch (java.lang.NoSuchFieldError e2) {
            }
            try {
                $SwitchMap$android$net$wifi$SupplicantState[android.net.wifi.SupplicantState.INVALID.ordinal()] = 3;
            } catch (java.lang.NoSuchFieldError e3) {
            }
            try {
                $SwitchMap$android$net$NetworkInfo$State[android.net.NetworkInfo.State.CONNECTED.ordinal()] = 1;
            } catch (java.lang.NoSuchFieldError e4) {
            }
            try {
                $SwitchMap$android$net$NetworkInfo$State[android.net.NetworkInfo.State.DISCONNECTED.ordinal()] = 2;
            } catch (java.lang.NoSuchFieldError e5) {
            }
            try {
                $SwitchMap$android$net$NetworkInfo$State[android.net.NetworkInfo.State.CONNECTING.ordinal()] = 3;
            } catch (java.lang.NoSuchFieldError e6) {
            }
            try {
                $SwitchMap$android$net$NetworkInfo$State[android.net.NetworkInfo.State.UNKNOWN.ordinal()] = 4;
            } catch (java.lang.NoSuchFieldError e7) {
            }
        }
    }

    private final class AppIdleStateChangeListener extends android.app.usage.UsageStatsManagerInternal.AppIdleStateChangeListener {
        private AppIdleStateChangeListener() {
        }

        /* synthetic */ AppIdleStateChangeListener(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy x0, com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.AnonymousClass1 x1) {
            this();
        }

        public void onAppIdleStateChanged(java.lang.String packageName, int userId, boolean idle, int bucket, int reason) {
            android.os.Message msg = com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mHandler.obtainMessage();
            msg.what = 211;
            if (idle) {
                msg.arg1 = 1;
            } else {
                msg.arg1 = 0;
            }
            msg.arg2 = userId;
            msg.obj = packageName;
            com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mHandler.sendMessage(msg);
        }

        public void onParoleStateChanged(boolean isParoleOn) {
        }
    }

    public enum BrCtrlType {
        NONE("do-nothing"),
        CACHEBR("cachebr"),
        DISCARDBR("discardbr"),
        DATADEFAULTBR("datadefaultbr");
        
        java.lang.String mDescription;

        private BrCtrlType(java.lang.String description) {
            this.mDescription = description;
        }

        public java.lang.String description() {
            return this.mDescription;
        }
    }

    private abstract class FilterStatus {
        public abstract boolean filter(android.content.Intent intent, java.lang.String str);

        private FilterStatus() {
        }

        /* synthetic */ FilterStatus(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy x0, com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.AnonymousClass1 x1) {
            this();
        }
    }

    private final class IawareBroadcastPolicyHandler extends android.os.Handler {
        public IawareBroadcastPolicyHandler(android.os.Looper looper) {
            super(looper, null, true);
        }

        public void handleMessage(android.os.Message msg) {
            switch (msg.what) {
                case 201:
                    synchronized (com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mIawareDownloadingUid) {
                        com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mIawareDownloadingUid.add(java.lang.Integer.valueOf(msg.arg1));
                    }
                    return;
                case 202:
                    synchronized (com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mIawareDownloadingUid) {
                        com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mIawareDownloadingUid.remove(java.lang.Integer.valueOf(msg.arg1));
                    }
                    return;
                case 203:
                    com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.setIawarePolicy(2, msg.arg1);
                    return;
                case 205:
                    com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.setIawarePolicy(4, msg.arg1);
                    return;
                case 206:
                    com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.startUnproxyBroadcast();
                    return;
                case 207:
                    com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mIawareProxyActivitStart = false;
                    return;
                case 208:
                    com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mIawareInstallApp = false;
                    return;
                case 209:
                    com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.updateBrPolicy(msg.arg1, msg.obj);
                    return;
                case 210:
                    com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.resetGoogleConnStat(msg.arg1);
                    return;
                case 211:
                    com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.updateAppIdleStat(msg.arg1, msg.arg2, (java.lang.String) msg.obj);
                    return;
                case 212:
                    com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.unproxyCacheBr(msg.arg1);
                    return;
                default:
                    return;
            }
        }
    }

    private class AwareSceneStateCallback implements com.android.server.rms.iaware.appmng.AwareSceneRecognize.IAwareSceneRecCallback {
        private AwareSceneStateCallback() {
        }

        /* synthetic */ AwareSceneStateCallback(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy x0, com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.AnonymousClass1 x1) {
            this();
        }

        public void onStateChanged(int sceneType, int eventType, java.lang.String pkg) {
            if (com.android.server.rms.iaware.srms.BroadcastFeature.isFeatureEnabled(10)) {
                android.os.Message msg;
                if (sceneType == 2) {
                    msg = com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mHandler.obtainMessage();
                    msg.what = 203;
                    msg.arg1 = eventType;
                    com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mHandler.sendMessage(msg);
                } else if (sceneType == 4) {
                    msg = com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mHandler.obtainMessage();
                    msg.what = 205;
                    msg.arg1 = eventType;
                    com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mHandler.sendMessage(msg);
                    if (com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mHandler.hasMessages(207)) {
                        com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mHandler.removeMessages(207);
                    }
                    if (eventType == 1) {
                        com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mHandler.sendEmptyMessageDelayed(207, 3000);
                    }
                } else if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail()) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("don't process scene type ");
                    stringBuilder.append(sceneType);
                    android.rms.iaware.AwareLog.d("AwareBroadcastPolicy", stringBuilder.toString());
                }
            }
        }
    }

    private class AwareStateCallback implements com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.IAwareStateCallback {
        private AwareStateCallback() {
        }

        /* synthetic */ AwareStateCallback(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy x0, com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.AnonymousClass1 x1) {
            this();
        }

        public void onStateChanged(int stateType, int eventType, int pid, int uid) {
            com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.updateProcessPolicy(stateType, eventType, pid, uid);
            if (com.android.server.rms.iaware.srms.BroadcastFeature.isFeatureEnabled(10) && stateType == 5 && uid >= 0) {
                android.os.Message msg;
                if (eventType == 1) {
                    msg = com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mHandler.obtainMessage();
                    msg.what = 201;
                    msg.arg1 = uid;
                    com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mHandler.sendMessage(msg);
                } else if (eventType == 2) {
                    msg = com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mHandler.obtainMessage();
                    msg.what = 202;
                    msg.arg1 = uid;
                    com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mHandler.sendMessageDelayed(msg, 3000);
                } else if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail()) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("don't process type ");
                    stringBuilder.append(eventType);
                    android.rms.iaware.AwareLog.d("AwareBroadcastPolicy", stringBuilder.toString());
                }
            }
        }
    }

    private class BatteryFilterStatus extends com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.FilterStatus {
        private BatteryFilterStatus() {
            super(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this, null);
        }

        /* synthetic */ BatteryFilterStatus(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy x0, com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.AnonymousClass1 x1) {
            this();
        }

        /* JADX WARNING: Removed duplicated region for block: B:18:0x0039 A:{RETURN} */
        /* JADX WARNING: Removed duplicated region for block: B:33:0x0060  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x004d  */
        /* JADX WARNING: Removed duplicated region for block: B:19:0x003a  */
        /* JADX WARNING: Removed duplicated region for block: B:18:0x0039 A:{RETURN} */
        /* JADX WARNING: Removed duplicated region for block: B:33:0x0060  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x004d  */
        /* JADX WARNING: Removed duplicated region for block: B:19:0x003a  */
        /* JADX WARNING: Removed duplicated region for block: B:18:0x0039 A:{RETURN} */
        /* JADX WARNING: Removed duplicated region for block: B:33:0x0060  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x004d  */
        /* JADX WARNING: Removed duplicated region for block: B:19:0x003a  */
        public boolean filter(android.content.Intent r6, java.lang.String r7) {
            /*
            r5 = this;
            r0 = r7.hashCode();
            r1 = -992200083; // 0xffffffffc4dc3a6d float:-1761.8258 double:NaN;
            r2 = 0;
            r3 = -1;
            r4 = 1;
            if (r0 == r1) goto L_0x002b;
        L_0x000c:
            r1 = -693431679; // 0xffffffffd6ab1281 float:-9.4047981E13 double:NaN;
            if (r0 == r1) goto L_0x0021;
        L_0x0011:
            r1 = 427770174; // 0x197f413e float:1.31963666E-23 double:2.113465473E-315;
            if (r0 == r1) goto L_0x0017;
        L_0x0016:
            goto L_0x0035;
        L_0x0017:
            r0 = "CHARGING_CHANGE";
            r0 = r7.equals(r0);
            if (r0 == 0) goto L_0x0035;
        L_0x001f:
            r0 = r2;
            goto L_0x0036;
        L_0x0021:
            r0 = "CHARGING_OFF";
            r0 = r7.equals(r0);
            if (r0 == 0) goto L_0x0035;
        L_0x0029:
            r0 = 2;
            goto L_0x0036;
        L_0x002b:
            r0 = "CHARGING_ON";
            r0 = r7.equals(r0);
            if (r0 == 0) goto L_0x0035;
        L_0x0033:
            r0 = r4;
            goto L_0x0036;
        L_0x0035:
            r0 = r3;
        L_0x0036:
            switch(r0) {
                case 0: goto L_0x0060;
                case 1: goto L_0x004d;
                case 2: goto L_0x003a;
                default: goto L_0x0039;
            };
        L_0x0039:
            return r4;
        L_0x003a:
            r0 = com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this;
            r0 = r0.mCharging;
            if (r0 == 0) goto L_0x004c;
        L_0x0042:
            r0 = com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this;
            r0 = r0.mCharging;
            if (r0 != r3) goto L_0x004b;
        L_0x004a:
            goto L_0x004c;
        L_0x004b:
            return r4;
        L_0x004c:
            return r2;
        L_0x004d:
            r0 = com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this;
            r0 = r0.mCharging;
            if (r0 == r4) goto L_0x005f;
        L_0x0055:
            r0 = com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this;
            r0 = r0.mCharging;
            if (r0 != r3) goto L_0x005e;
        L_0x005d:
            goto L_0x005f;
        L_0x005e:
            return r4;
        L_0x005f:
            return r2;
        L_0x0060:
            r0 = com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this;
            r0 = r0.mPrePlugedtype;
            r1 = com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this;
            r1 = r1.mPlugedtype;
            if (r0 != r1) goto L_0x0078;
        L_0x006e:
            r0 = com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this;
            r0 = r0.mPrePlugedtype;
            if (r0 != r3) goto L_0x0077;
        L_0x0076:
            goto L_0x0078;
        L_0x0077:
            return r4;
        L_0x0078:
            return r2;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.BatteryFilterStatus.filter(android.content.Intent, java.lang.String):boolean");
        }
    }

    private class BatteryLevelFilterStatus extends com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.FilterStatus {
        private BatteryLevelFilterStatus() {
            super(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this, null);
        }

        /* synthetic */ BatteryLevelFilterStatus(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy x0, com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.AnonymousClass1 x1) {
            this();
        }

        public boolean filter(android.content.Intent intent, java.lang.String filterValue) {
            try {
                java.lang.String[] values = filterValue.split(":");
                if (values.length != 2) {
                    return false;
                }
                int minLevel = java.lang.Integer.parseInt(values[0]);
                int maxLevel = java.lang.Integer.parseInt(values[1]);
                if (minLevel >= maxLevel) {
                    return false;
                }
                if (com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mBatteryLevel < minLevel || com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mBatteryLevel > maxLevel) {
                    return true;
                }
                return false;
            } catch (java.lang.NumberFormatException e) {
                android.rms.iaware.AwareLog.e("AwareBroadcastPolicy", "iaware_br level value format is error");
                return false;
            }
        }
    }

    private class ConnectivityFilterStatus extends com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.FilterStatus {
        private ConnectivityFilterStatus() {
            super(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this, null);
        }

        /* synthetic */ ConnectivityFilterStatus(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy x0, com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.AnonymousClass1 x1) {
            this();
        }

        public boolean filter(android.content.Intent intent, java.lang.String filterValue) {
            int access$3300 = com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mConnectStatus;
            if (access$3300 == -1) {
                return false;
            }
            switch (access$3300) {
                case 1:
                    return "MOBILEDATACON".equals(filterValue) ^ 1;
                case 2:
                    return "MOBILEDATADSCON".equals(filterValue) ^ 1;
                case 3:
                    return "WIFIDATACON".equals(filterValue) ^ 1;
                case 4:
                    return "WIFIDATADSCON".equals(filterValue) ^ 1;
                default:
                    return true;
            }
        }
    }

    private class DropFilterStatus extends com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.FilterStatus {
        private DropFilterStatus() {
            super(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this, null);
        }

        /* synthetic */ DropFilterStatus(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy x0, com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.AnonymousClass1 x1) {
            this();
        }

        public boolean filter(android.content.Intent intent, java.lang.String filterValue) {
            if ("DROP".equals(filterValue)) {
                return true;
            }
            return false;
        }
    }

    private class ExtraFilterStatus extends com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.FilterStatus {
        private ExtraFilterStatus() {
            super(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this, null);
        }

        /* synthetic */ ExtraFilterStatus(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy x0, com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.AnonymousClass1 x1) {
            this();
        }

        public boolean filter(android.content.Intent intent, java.lang.String filterValue) {
            java.lang.String[] extras = filterValue.split("[\\[\\]]");
            int i = 0;
            while (i < extras.length) {
                if (!(extras[i] == null || extras[i].trim().length() == 0)) {
                    if (!":".equals(extras[i].trim())) {
                        if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebug()) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("iaware_br compare extra: ");
                            stringBuilder.append(extras[i]);
                            android.rms.iaware.AwareLog.i("AwareBroadcastPolicy", stringBuilder.toString());
                        }
                        java.lang.String[] values = extras[i].split("[:@]");
                        if (values.length != 3) {
                            android.rms.iaware.AwareLog.e("AwareBroadcastPolicy", "iaware_br extra value length is wrong.");
                            return false;
                        } else if (com.android.server.mtm.iaware.brjob.controller.KeyWordController.matchReg(values[0], values[1], values[2], intent)) {
                            return false;
                        }
                    }
                }
                i++;
            }
            return true;
        }
    }

    private class ScreenFilterStatus extends com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.FilterStatus {
        private ScreenFilterStatus() {
            super(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this, null);
        }

        /* synthetic */ ScreenFilterStatus(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy x0, com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.AnonymousClass1 x1) {
            this();
        }

        public boolean filter(android.content.Intent intent, java.lang.String filterValue) {
            if ("SCREENON".equals(filterValue)) {
                return com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mScreenOn ^ 1;
            }
            if ("SCREENOFF".equals(filterValue)) {
                return com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mScreenOn;
            }
            return true;
        }
    }

    private class WifiFilterStatus extends com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.FilterStatus {
        private WifiFilterStatus() {
            super(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this, null);
        }

        /* synthetic */ WifiFilterStatus(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy x0, com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.AnonymousClass1 x1) {
            this();
        }

        public boolean filter(android.content.Intent intent, java.lang.String filterValue) {
            int access$2600 = com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mWifiStatue;
            if (access$2600 == 1) {
                return "WIFIDISABLED".equals(filterValue) ^ 1;
            }
            switch (access$2600) {
                case 3:
                    return "WIFIENABLED".equals(filterValue) ^ 1;
                case 4:
                    return false;
                default:
                    return true;
            }
        }
    }

    private class WifiNetFilterStatus extends com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.FilterStatus {
        private WifiNetFilterStatus() {
            super(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this, null);
        }

        /* synthetic */ WifiNetFilterStatus(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy x0, com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.AnonymousClass1 x1) {
            this();
        }

        public boolean filter(android.content.Intent intent, java.lang.String filterValue) {
            switch (com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.AnonymousClass1.$SwitchMap$android$net$NetworkInfo$State[com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mWifiNetStatue.ordinal()]) {
                case 1:
                    return "WIFICON".equals(filterValue) ^ 1;
                case 2:
                    return "WIFIDSCON".equals(filterValue) ^ 1;
                case 3:
                    return "WIFICONTING".equals(filterValue) ^ 1;
                case 4:
                    return false;
                default:
                    return true;
            }
        }
    }

    private class WifiRssiFilterStatus extends com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.FilterStatus {
        private WifiRssiFilterStatus() {
            super(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this, null);
        }

        /* synthetic */ WifiRssiFilterStatus(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy x0, com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.AnonymousClass1 x1) {
            this();
        }

        public boolean filter(android.content.Intent intent, java.lang.String filterValue) {
            try {
                java.lang.String[] values = filterValue.split(":");
                if (values.length != 2) {
                    return false;
                }
                int minRssi = java.lang.Integer.parseInt(values[0]);
                int maxRssi = java.lang.Integer.parseInt(values[1]);
                if (minRssi >= maxRssi) {
                    return false;
                }
                if (com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mWifiRssi > maxRssi || com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mWifiRssi < minRssi) {
                    return true;
                }
                return false;
            } catch (java.lang.NumberFormatException e) {
                android.rms.iaware.AwareLog.e("AwareBroadcastPolicy", "iaware_br rssi value format is error");
                return false;
            }
        }
    }

    private class WifiSupFilterStatus extends com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.FilterStatus {
        private WifiSupFilterStatus() {
            super(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this, null);
        }

        /* synthetic */ WifiSupFilterStatus(com.android.server.mtm.iaware.srms.AwareBroadcastPolicy x0, com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.AnonymousClass1 x1) {
            this();
        }

        public boolean filter(android.content.Intent intent, java.lang.String filterValue) {
            switch (com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.AnonymousClass1.$SwitchMap$android$net$wifi$SupplicantState[com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.this.mWifiSupStatue.ordinal()]) {
                case 1:
                    return "WIFISUPCOMPLE".equals(filterValue) ^ 1;
                case 2:
                    return "WIFISUPDSCON".equals(filterValue) ^ 1;
                case 3:
                    return false;
                default:
                    return true;
            }
        }
    }

    public AwareBroadcastPolicy(android.os.Handler handler, android.content.Context context) {
        this.mContext = context;
        this.mBgIawareBr = new com.android.server.mtm.iaware.srms.AwareBroadcastProcess(this, handler, "iawarebackground");
        this.mFgIawareBr = new com.android.server.mtm.iaware.srms.AwareBroadcastProcess(this, handler, "iawareforeground");
        this.mHandler = new com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.IawareBroadcastPolicyHandler(handler.getLooper());
        this.mAwareBroadcastConfig = com.android.server.mtm.iaware.srms.AwareBroadcastConfig.getInstance();
        this.mIawareFilterStatus.put("WifiNetStatus", new com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.WifiNetFilterStatus(this, null));
        this.mIawareFilterStatus.put("WifiStatus", new com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.WifiFilterStatus(this, null));
        this.mIawareFilterStatus.put("WifiSupStatus", new com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.WifiSupFilterStatus(this, null));
        this.mIawareFilterStatus.put("WifiRssi", new com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.WifiRssiFilterStatus(this, null));
        this.mIawareFilterStatus.put("BatteryStatus", new com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.BatteryFilterStatus(this, null));
        this.mIawareFilterStatus.put("BatteryLevel", new com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.BatteryLevelFilterStatus(this, null));
        this.mIawareFilterStatus.put("ConnectStatus", new com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.ConnectivityFilterStatus(this, null));
        this.mIawareFilterStatus.put("Extra", new com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.ExtraFilterStatus(this, null));
        this.mIawareFilterStatus.put("ScreenStatus", new com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.ScreenFilterStatus(this, null));
        this.mIawareFilterStatus.put("DropType", new com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.DropFilterStatus(this, null));
        initState();
        this.mUsageStatsInternal = (android.app.usage.UsageStatsManagerInternal) com.android.server.LocalServices.getService(android.app.usage.UsageStatsManagerInternal.class);
        this.mUsageStatsInternal.addAppIdleStateChangeListener(new com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.AppIdleStateChangeListener(this, null));
    }

    public void init() {
        this.mAwareStateCallback = new com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.AwareStateCallback(this, null);
        com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance().registerStateCallback(this.mAwareStateCallback, 5);
        com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance().registerStateCallback(this.mAwareStateCallback, 1);
        com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance().registerStateCallback(this.mAwareStateCallback, 2);
        com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance().registerStateCallback(this.mAwareStateCallback, 3);
        com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance().registerStateCallback(this.mAwareStateCallback, 4);
        this.mAwareSceneStateCallback = new com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.AwareSceneStateCallback(this, null);
        com.android.server.rms.iaware.appmng.AwareSceneRecognize.getInstance().registerStateCallback(this.mAwareSceneStateCallback, 1);
        this.mAwareBroadcastConfig.doinit();
    }

    public static void initBrCache(java.lang.String name, java.lang.Object ams) {
        if (!mIawareBrCaches.containsKey(name)) {
            mIawareBrCaches.put(name, new com.android.server.mtm.iaware.srms.AwareBroadcastCache(name, ams));
        }
    }

    public boolean enqueueIawareProxyBroacast(boolean isParallel, com.android.server.am.HwBroadcastRecord r) {
        if (r == null) {
            return false;
        }
        if (r.isBg()) {
            this.mBgIawareBr.enqueueIawareProxyBroacast(isParallel, r);
        } else {
            this.mFgIawareBr.enqueueIawareProxyBroacast(isParallel, r);
        }
        return true;
    }

    /* JADX WARNING: Missing block: B:9:0x0035, code:
            return false;
     */
    /* JADX WARNING: Missing block: B:12:0x003b, code:
            if (isForbidProxy(r6, r10) == false) goto L_0x003e;
     */
    /* JADX WARNING: Missing block: B:13:0x003d, code:
            return false;
     */
    /* JADX WARNING: Missing block: B:15:0x0042, code:
            if (isIawarePrepared() != false) goto L_0x0045;
     */
    /* JADX WARNING: Missing block: B:16:0x0044, code:
            return false;
     */
    /* JADX WARNING: Missing block: B:18:0x0046, code:
            return true;
     */
    public boolean shouldIawareProxyBroadcast(java.lang.String r6, int r7, int r8, int r9, java.lang.String r10) {
        /*
        r5 = this;
        r0 = r5.mIawareDownloadingUid;
        monitor-enter(r0);
        r1 = r5.mIawareDownloadingUid;	 Catch:{ all -> 0x0047 }
        r2 = java.lang.Integer.valueOf(r8);	 Catch:{ all -> 0x0047 }
        r1 = r1.contains(r2);	 Catch:{ all -> 0x0047 }
        r2 = 0;
        if (r1 == 0) goto L_0x0036;
    L_0x0010:
        r1 = com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail();	 Catch:{ all -> 0x0047 }
        if (r1 == 0) goto L_0x0034;
    L_0x0016:
        r1 = "AwareBroadcastPolicy";
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0047 }
        r3.<init>();	 Catch:{ all -> 0x0047 }
        r4 = "iaware_br : downloading, don't proxy : ";
        r3.append(r4);	 Catch:{ all -> 0x0047 }
        r3.append(r10);	 Catch:{ all -> 0x0047 }
        r4 = ": action : ";
        r3.append(r4);	 Catch:{ all -> 0x0047 }
        r3.append(r6);	 Catch:{ all -> 0x0047 }
        r3 = r3.toString();	 Catch:{ all -> 0x0047 }
        android.rms.iaware.AwareLog.d(r1, r3);	 Catch:{ all -> 0x0047 }
    L_0x0034:
        monitor-exit(r0);	 Catch:{ all -> 0x0047 }
        return r2;
    L_0x0036:
        monitor-exit(r0);	 Catch:{ all -> 0x0047 }
        r0 = r5.isForbidProxy(r6, r10);
        if (r0 == 0) goto L_0x003e;
    L_0x003d:
        return r2;
    L_0x003e:
        r0 = r5.isIawarePrepared();
        if (r0 != 0) goto L_0x0045;
    L_0x0044:
        return r2;
    L_0x0045:
        r0 = 1;
        return r0;
    L_0x0047:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x0047 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.shouldIawareProxyBroadcast(java.lang.String, int, int, int, java.lang.String):boolean");
    }

    private boolean isIawarePrepared() {
        if (this.mFgIawareBr == null || this.mBgIawareBr == null) {
            return false;
        }
        return true;
    }

    private boolean isForbidProxy(java.lang.String action, java.lang.String pkg) {
        boolean noProxyAction;
        synchronized (this.mLockNoProxyActions) {
            noProxyAction = this.mIawareNoProxyActions.contains(action);
        }
        if (noProxyAction) {
            return true;
        }
        boolean noProxyPkg;
        synchronized (this.mLockNoProxyPkgs) {
            noProxyPkg = this.mIawareNoProxyPkgs.contains(pkg);
        }
        return noProxyPkg;
    }

    public boolean isProxyedAllowedCondition() {
        return this.mIawareScreenOn && this.mSpeedParallelStartProxy;
    }

    public boolean isNotProxySysPkg(java.lang.String pkg, java.lang.String action) {
        synchronized (this.mLockUnProxySys) {
            android.util.ArraySet<java.lang.String> actions = (android.util.ArraySet) this.mIawareUnProxySys.get(pkg);
            if (actions != null) {
                boolean contains = actions.contains(action);
                return contains;
            }
            return false;
        }
    }

    public boolean isTrimAction(java.lang.String action) {
        boolean contains;
        synchronized (this.mLockTrimActions) {
            contains = this.mIawareTrimActions.contains(action);
        }
        return contains;
    }

    public void updateXmlConfig() {
        if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail()) {
            android.rms.iaware.AwareLog.i("AwareBroadcastPolicy", "updateXmlConfig begin");
        }
        if (isIawarePrepared()) {
            synchronized (this.mLockNoProxyActions) {
                this.mIawareNoProxyActions = this.mAwareBroadcastConfig.getUnProxyActionList();
            }
            synchronized (this.mLockNoProxyPkgs) {
                this.mIawareNoProxyPkgs = this.mAwareBroadcastConfig.getUnProxyPkgList();
            }
            synchronized (this.mLockUnProxySys) {
                this.mIawareUnProxySys = this.mAwareBroadcastConfig.getUnProxySysList();
            }
            synchronized (this.mLockTrimActions) {
                this.mIawareTrimActions = this.mAwareBroadcastConfig.getTrimActionList();
            }
            this.mForegroundAppLevel = this.mAwareBroadcastConfig.getFGAppLevel();
            this.mNoTouchCheckCount = this.mAwareBroadcastConfig.getNoTouchCheckCount();
            this.mTouchCheckCount = this.mAwareBroadcastConfig.getTouchCheckCount();
            this.mBgIawareBr.setUnProxyMaxDuration(this.mAwareBroadcastConfig.getUnProxyMaxDuration());
            this.mBgIawareBr.setUnProxyMaxSpeed(this.mAwareBroadcastConfig.getUnProxyMaxSpeed());
            this.mBgIawareBr.setUnProxyMinSpeed(this.mAwareBroadcastConfig.getUnProxyMinSpeed());
            this.mBgIawareBr.setUnProxyMiddleSpeed(this.mAwareBroadcastConfig.getUnProxyMiddleSpeed());
            this.mBgIawareBr.setUnProxyHighSpeed(this.mAwareBroadcastConfig.getUnProxyHighSpeed());
            this.mFgIawareBr.setUnProxyMaxDuration(this.mAwareBroadcastConfig.getUnProxyMaxDuration());
            this.mFgIawareBr.setUnProxyMaxSpeed(this.mAwareBroadcastConfig.getUnProxyMaxSpeed());
            this.mFgIawareBr.setUnProxyMinSpeed(this.mAwareBroadcastConfig.getUnProxyMinSpeed());
            this.mFgIawareBr.setUnProxyMiddleSpeed(this.mAwareBroadcastConfig.getUnProxyMiddleSpeed());
            this.mFgIawareBr.setUnProxyHighSpeed(this.mAwareBroadcastConfig.getUnProxyHighSpeed());
            return;
        }
        android.rms.iaware.AwareLog.e("AwareBroadcastPolicy", "iaware process broacast don't prepared.");
    }

    public void iawareStartCountBroadcastSpeed(boolean isParallel, long dispatchClockTime, int size) {
        if (this.mIawareScreenOn && !this.mSpeedParallelStartProxy && isIawarePrepared() && isParallel) {
            checkParallCount(dispatchClockTime, size);
        }
    }

    public void endCheckCount() {
        if (isIawarePrepared()) {
            android.os.Message msg = this.mHandler.obtainMessage();
            msg.what = 206;
            this.mHandler.sendMessage(msg);
        }
    }

    private void startUnproxyBroadcast() {
        if (isEmptyIawareBrList()) {
            this.mSpeedParallelStartProxy = false;
            return;
        }
        this.mBgIawareBr.starUnproxyBroadcast();
        this.mFgIawareBr.starUnproxyBroadcast();
    }

    private void checkParallCount(long dispatchClockTime, int size) {
        long j = dispatchClockTime;
        int i = size;
        this.mCountCheck = 0;
        int i2 = 10;
        long j2 = 100;
        int tempIndex = 0;
        int index;
        if (this.mStartParallelBrTime == 0) {
            long[] jArr = this.mProxyCount[0];
            this.mStartParallelBrTime = j;
            jArr[0] = j;
            jArr = this.mProxyCount[0];
            long j3 = (long) i;
            this.mCountCheck = j3;
            jArr[1] = j3;
            for (index = 1; index < 10; index++) {
                this.mProxyCount[index][0] = this.mStartParallelBrTime + (((long) index) * 100);
                this.mProxyCount[index][1] = 0;
            }
            setProxyCount();
            return;
        }
        this.mLastParallelBrTime = j;
        long tempPeriod = this.mLastParallelBrTime - this.mStartParallelBrTime;
        if (tempPeriod < 0) {
            if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail()) {
                android.rms.iaware.AwareLog.d("AwareBroadcastPolicy", "iaware_br checkcount <0");
            }
            this.mStartParallelBrTime = 0;
            checkParallCount(dispatchClockTime, size);
        }
        if (tempPeriod >= 2000) {
            if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail()) {
                android.rms.iaware.AwareLog.d("AwareBroadcastPolicy", "iaware_br checkcount >2000");
            }
            this.mStartParallelBrTime = 0;
            checkParallCount(dispatchClockTime, size);
        } else if (tempPeriod >= 0 && tempPeriod < 1000) {
            index = (int) (tempPeriod / 100);
            this.mProxyCount[index][1] = this.mProxyCount[index][1] + ((long) i);
            while (true) {
                i2 = tempIndex;
                if (i2 <= index) {
                    this.mCountCheck += this.mProxyCount[i2][1];
                    tempIndex = i2 + 1;
                } else {
                    setProxyCount();
                    return;
                }
            }
        } else if (tempPeriod >= 1000) {
            index = (int) ((tempPeriod - 1000) / 100);
            int i3 = 9;
            if (index == 9) {
                this.mStartParallelBrTime = 0;
                checkParallCount(dispatchClockTime, size);
            } else if (index < 9) {
                this.mStartParallelBrTime = this.mProxyCount[index + 1][0];
                int rIndex = index;
                int tempIndex2 = 0;
                while (tempIndex2 < i2) {
                    rIndex++;
                    if (rIndex < i2) {
                        this.mProxyCount[tempIndex2][0] = this.mProxyCount[rIndex][0];
                        this.mProxyCount[tempIndex2][1] = this.mProxyCount[rIndex][1];
                    } else if (tempIndex2 < i3) {
                        this.mProxyCount[tempIndex2][0] = this.mProxyCount[tempIndex2 - 1][0] + j2;
                        this.mProxyCount[tempIndex2][1] = 0;
                    } else {
                        this.mProxyCount[tempIndex2][0] = this.mProxyCount[tempIndex2 - 1][0] + j2;
                        this.mProxyCount[tempIndex2][1] = (long) i;
                    }
                    tempIndex2++;
                    i2 = 10;
                    j2 = 100;
                    i3 = 9;
                }
                while (true) {
                    i2 = tempIndex;
                    if (i2 < 10) {
                        this.mCountCheck += this.mProxyCount[i2][1];
                        tempIndex = i2 + 1;
                    } else {
                        setProxyCount();
                        return;
                    }
                }
            }
        }
    }

    private void setProxyCount() {
        if (isStrictCondition()) {
            if (this.mCountCheck > ((long) this.mTouchCheckCount)) {
                this.mSpeedParallelStartProxy = true;
            }
        } else if (this.mCountCheck > ((long) this.mNoTouchCheckCount)) {
            this.mSpeedParallelStartProxy = true;
        }
    }

    public void reportSysEvent(int event, int eventType) {
        if (event == 15016) {
            if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail()) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("iaware_br install app: ");
                stringBuilder.append(eventType);
                android.rms.iaware.AwareLog.i("AwareBroadcastPolicy", stringBuilder.toString());
            }
            if (eventType == 0) {
                this.mIawareInstallApp = true;
            } else if (eventType == 1) {
                this.mIawareInstallApp = false;
            } else {
                return;
            }
            if (this.mHandler.hasMessages(208)) {
                this.mHandler.removeMessages(208);
            }
            if (eventType == 0) {
                this.mHandler.sendEmptyMessageDelayed(208, 5000);
            }
        } else if (event == 20011) {
            if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail()) {
                android.rms.iaware.AwareLog.d("AwareBroadcastPolicy", "iaware_br dev status event screen on");
            }
            this.mIawareScreenOn = true;
        } else if (event == 90011) {
            if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail()) {
                android.rms.iaware.AwareLog.d("AwareBroadcastPolicy", "iaware_br dev status event screen off");
            }
            this.mIawareScreenOn = false;
            resetUnproxySpeedScreenOff();
        }
    }

    private void resetUnproxySpeedScreenOff() {
        if (isIawarePrepared()) {
            this.mBgIawareBr.setUnProxySpeedScreenOff();
            this.mFgIawareBr.setUnProxySpeedScreenOff();
        }
    }

    private void setIawarePolicy(int type, int event) {
        java.lang.StringBuilder stringBuilder;
        if (type != 2) {
            if (type == 4) {
                if (event == 1) {
                    this.mIawareProxyActivitStart = true;
                } else if (event == 0) {
                    this.mIawareProxyActivitStart = false;
                } else if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail()) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("don't process event ");
                    stringBuilder.append(event);
                    android.rms.iaware.AwareLog.d("AwareBroadcastPolicy", stringBuilder.toString());
                }
            }
        } else if (event == 1) {
            this.mIawareProxySlip = true;
        } else if (event == 0) {
            this.mIawareProxySlip = false;
        } else if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail()) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("don't process event ");
            stringBuilder.append(event);
            android.rms.iaware.AwareLog.d("AwareBroadcastPolicy", stringBuilder.toString());
        }
    }

    public boolean isSpeedNoCtrol() {
        return isStrictCondition() ^ 1;
    }

    public boolean isScreenOff() {
        return this.mIawareScreenOn ^ 1;
    }

    private boolean isStrictCondition() {
        if (!this.mIawareProxySlip) {
            if (!this.mIawareProxyActivitStart) {
                return false;
            }
        }
        return true;
    }

    public boolean isEmptyIawareBrList() {
        return this.mBgIawareBr.getIawareBrSize() == 0 && this.mFgIawareBr.getIawareBrSize() == 0;
    }

    public void setStartProxy(boolean startProxy) {
        this.mSpeedParallelStartProxy = startProxy;
    }

    public boolean getStartProxy() {
        return this.mSpeedParallelStartProxy;
    }

    public void dumpIawareBr(java.io.PrintWriter pw) {
        java.lang.StringBuilder stringBuilder;
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("    feature enable :");
        stringBuilder2.append(com.android.server.rms.iaware.srms.BroadcastFeature.isFeatureEnabled(10));
        pw.println(stringBuilder2.toString());
        synchronized (this.mLockNoProxyActions) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("    Default no proxy actions :");
            stringBuilder.append(this.mIawareNoProxyActions);
            pw.println(stringBuilder.toString());
        }
        synchronized (this.mLockNoProxyPkgs) {
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("    Default no proxy pkgs :");
            stringBuilder2.append(this.mIawareNoProxyPkgs);
            pw.println(stringBuilder2.toString());
        }
        synchronized (this.mLockUnProxySys) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("    Default unproxy sys :");
            stringBuilder.append(this.mIawareUnProxySys);
            pw.println(stringBuilder.toString());
        }
        synchronized (this.mLockTrimActions) {
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("    Default trim action :");
            stringBuilder2.append(this.mIawareTrimActions);
            pw.println(stringBuilder2.toString());
        }
        stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("    fg app level :");
        stringBuilder2.append(this.mForegroundAppLevel);
        pw.println(stringBuilder2.toString());
        stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("    The receiver speed :");
        stringBuilder2.append(this.mCountCheck);
        pw.println(stringBuilder2.toString());
        android.util.ArraySet<java.lang.Integer> iawareDownloadingUid = new android.util.ArraySet();
        java.util.ArrayList<java.lang.String> iawareDownloadingPkgs = new java.util.ArrayList();
        synchronized (this.mIawareDownloadingUid) {
            iawareDownloadingUid.addAll(this.mIawareDownloadingUid);
        }
        if (iawareDownloadingUid.size() > 0) {
            com.android.server.pm.PackageManagerService pms = (com.android.server.pm.PackageManagerService) android.os.ServiceManager.getService("package");
            java.util.Iterator it = iawareDownloadingUid.iterator();
            while (it.hasNext()) {
                java.lang.String name = pms.getNameForUid(((java.lang.Integer) it.next()).intValue());
                if (name != null) {
                    iawareDownloadingPkgs.add(name);
                }
            }
        }
        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
        stringBuilder3.append("    App Downloading:");
        stringBuilder3.append(iawareDownloadingPkgs);
        pw.println(stringBuilder3.toString());
        stringBuilder3 = new java.lang.StringBuilder();
        stringBuilder3.append("    Screen:");
        stringBuilder3.append(this.mIawareScreenOn ? "on" : "off");
        pw.println(stringBuilder3.toString());
        stringBuilder3 = new java.lang.StringBuilder();
        stringBuilder3.append("    Operation: [");
        stringBuilder3.append(this.mIawareProxySlip ? "slip" : "");
        stringBuilder3.append(" ");
        stringBuilder3.append(this.mIawareProxyActivitStart ? "activityStart" : "");
        stringBuilder3.append("]");
        pw.println(stringBuilder3.toString());
        pw.println("    Proxy info:");
        this.mBgIawareBr.dump(pw);
        this.mFgIawareBr.dump(pw);
    }

    public void notifyIawareUnproxyBr(int pid, int uid) {
        if (isIawarePrepared()) {
            this.mBgIawareBr.startUnproxyFgAppBroadcast(pid, uid);
            this.mFgIawareBr.startUnproxyFgAppBroadcast(pid, uid);
        }
    }

    public int getForegroundAppLevel() {
        return this.mForegroundAppLevel;
    }

    public boolean isInstallApp() {
        return this.mIawareInstallApp;
    }

    public boolean assemFilterBr(android.content.Intent intent, android.content.IntentFilter filter) {
        if (intent != null) {
            if (filter != null) {
                boolean realFilter = false;
                java.util.Iterator<android.content.IntentFilter.ActionFilterEntry> it = filter.actionFilterIterator();
                if (it != null) {
                    while (it.hasNext()) {
                        android.content.IntentFilter.ActionFilterEntry actionFilter = (android.content.IntentFilter.ActionFilterEntry) it.next();
                        if (actionFilter.getAction() != null) {
                            if (actionFilter.getAction().equals(intent.getAction())) {
                                java.lang.String filterName = actionFilter.getFilterName();
                                java.lang.String filterValue = actionFilter.getFilterValue();
                                if (filterName == null) {
                                    continue;
                                } else if (filterValue != null) {
                                    com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.FilterStatus filterStatus = (com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.FilterStatus) this.mIawareFilterStatus.get(filterName);
                                    if (filterStatus != null) {
                                        realFilter = filterStatus.filter(intent, filterValue);
                                        if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getFilterDebug()) {
                                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                            stringBuilder.append("iaware_br, filterValue: ");
                                            stringBuilder.append(filterValue);
                                            stringBuilder.append(", realFilter : ");
                                            stringBuilder.append(realFilter);
                                            stringBuilder.append(", id:");
                                            stringBuilder.append(filter);
                                            android.rms.iaware.AwareLog.i("AwareBroadcastPolicy", stringBuilder.toString());
                                        }
                                        if (!realFilter) {
                                            return realFilter;
                                        }
                                    }
                                }
                            }
                        }
                        if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getFilterDebug()) {
                            android.rms.iaware.AwareLog.w("AwareBroadcastPolicy", "iaware_br, action not match. ");
                        }
                    }
                }
                return realFilter;
            }
        }
        return false;
    }

    private android.net.NetworkInfo.State getWifiNetworkStatus(android.content.Intent intent) {
        android.net.NetworkInfo info = (android.net.NetworkInfo) intent.getParcelableExtra("networkInfo");
        if (info != null) {
            return info.getState();
        }
        return android.net.NetworkInfo.State.UNKNOWN;
    }

    private int getConnectNetworkStatus(android.content.Intent intent) {
        int type = intent.getIntExtra("networkType", -1);
        if (type != 0 && type != 1) {
            return -1;
        }
        android.net.NetworkInfo info = (android.net.NetworkInfo) intent.getParcelableExtra("networkInfo");
        if (info == null) {
            return -1;
        }
        if (type == 0) {
            if (info.isConnected()) {
                return 1;
            }
            return 2;
        } else if (info.isConnected()) {
            return 3;
        } else {
            return 4;
        }
    }

    private int getWifiStatus(android.content.Intent intent) {
        return intent.getIntExtra("wifi_state", 4);
    }

    private int getWifiRssi(android.content.Intent intent) {
        return intent.getIntExtra("newRssi", -127);
    }

    private android.net.wifi.SupplicantState getWifiSupStatus(android.content.Intent intent) {
        android.net.wifi.SupplicantState state = (android.net.wifi.SupplicantState) intent.getParcelableExtra("newState");
        if (state != null) {
            return state;
        }
        return android.net.wifi.SupplicantState.INVALID;
    }

    public void getStateFromSendBr(android.content.Intent r6) {
        /*
        r5 = this;
        if (r6 != 0) goto L_0x0003;
    L_0x0002:
        return;
    L_0x0003:
        r0 = r6.getAction();
        if (r0 != 0) goto L_0x000a;
    L_0x0009:
        return;
    L_0x000a:
        r1 = r0.hashCode();
        r2 = 0;
        r3 = 1;
        r4 = -1;
        switch(r1) {
            case -2128145023: goto L_0x0071;
            case -1886648615: goto L_0x0067;
            case -1875733435: goto L_0x005d;
            case -1538406691: goto L_0x0053;
            case -1454123155: goto L_0x0048;
            case -1172645946: goto L_0x003e;
            case -385684331: goto L_0x0034;
            case -343630553: goto L_0x002a;
            case 233521600: goto L_0x0020;
            case 1019184907: goto L_0x0016;
            default: goto L_0x0014;
        };
    L_0x0014:
        goto L_0x007c;
    L_0x0016:
        r1 = "android.intent.action.ACTION_POWER_CONNECTED";
        r1 = r0.equals(r1);
        if (r1 == 0) goto L_0x007c;
    L_0x001e:
        r1 = r3;
        goto L_0x007d;
    L_0x0020:
        r1 = "android.net.wifi.supplicant.STATE_CHANGE";
        r1 = r0.equals(r1);
        if (r1 == 0) goto L_0x007c;
    L_0x0028:
        r1 = 6;
        goto L_0x007d;
    L_0x002a:
        r1 = "android.net.wifi.STATE_CHANGE";
        r1 = r0.equals(r1);
        if (r1 == 0) goto L_0x007c;
    L_0x0032:
        r1 = 3;
        goto L_0x007d;
    L_0x0034:
        r1 = "android.net.wifi.RSSI_CHANGED";
        r1 = r0.equals(r1);
        if (r1 == 0) goto L_0x007c;
    L_0x003c:
        r1 = 7;
        goto L_0x007d;
    L_0x003e:
        r1 = "android.net.conn.CONNECTIVITY_CHANGE";
        r1 = r0.equals(r1);
        if (r1 == 0) goto L_0x007c;
    L_0x0046:
        r1 = 4;
        goto L_0x007d;
    L_0x0048:
        r1 = "android.intent.action.SCREEN_ON";
        r1 = r0.equals(r1);
        if (r1 == 0) goto L_0x007c;
    L_0x0050:
        r1 = 8;
        goto L_0x007d;
    L_0x0053:
        r1 = "android.intent.action.BATTERY_CHANGED";
        r1 = r0.equals(r1);
        if (r1 == 0) goto L_0x007c;
    L_0x005b:
        r1 = r2;
        goto L_0x007d;
    L_0x005d:
        r1 = "android.net.wifi.WIFI_STATE_CHANGED";
        r1 = r0.equals(r1);
        if (r1 == 0) goto L_0x007c;
    L_0x0065:
        r1 = 5;
        goto L_0x007d;
    L_0x0067:
        r1 = "android.intent.action.ACTION_POWER_DISCONNECTED";
        r1 = r0.equals(r1);
        if (r1 == 0) goto L_0x007c;
    L_0x006f:
        r1 = 2;
        goto L_0x007d;
    L_0x0071:
        r1 = "android.intent.action.SCREEN_OFF";
        r1 = r0.equals(r1);
        if (r1 == 0) goto L_0x007c;
    L_0x0079:
        r1 = 9;
        goto L_0x007d;
    L_0x007c:
        r1 = r4;
    L_0x007d:
        switch(r1) {
            case 0: goto L_0x00b0;
            case 1: goto L_0x00ad;
            case 2: goto L_0x00aa;
            case 3: goto L_0x00a3;
            case 4: goto L_0x009c;
            case 5: goto L_0x0095;
            case 6: goto L_0x008e;
            case 7: goto L_0x0087;
            case 8: goto L_0x0084;
            case 9: goto L_0x0081;
            default: goto L_0x0080;
        };
    L_0x0080:
        goto L_0x00c5;
    L_0x0081:
        r5.mScreenOn = r2;
        goto L_0x00c5;
    L_0x0084:
        r5.mScreenOn = r3;
        goto L_0x00c5;
    L_0x0087:
        r1 = r5.getWifiRssi(r6);
        r5.mWifiRssi = r1;
        goto L_0x00c5;
    L_0x008e:
        r1 = r5.getWifiSupStatus(r6);
        r5.mWifiSupStatue = r1;
        goto L_0x00c5;
    L_0x0095:
        r1 = r5.getWifiStatus(r6);
        r5.mWifiStatue = r1;
        goto L_0x00c5;
    L_0x009c:
        r1 = r5.getConnectNetworkStatus(r6);
        r5.mConnectStatus = r1;
        goto L_0x00c5;
    L_0x00a3:
        r1 = r5.getWifiNetworkStatus(r6);
        r5.mWifiNetStatue = r1;
        goto L_0x00c5;
    L_0x00aa:
        r5.mCharging = r2;
        goto L_0x00c5;
    L_0x00ad:
        r5.mCharging = r3;
        goto L_0x00c5;
    L_0x00b0:
        r1 = "level";
        r1 = r6.getIntExtra(r1, r4);
        r5.mBatteryLevel = r1;
        r1 = r5.mPlugedtype;
        r5.mPrePlugedtype = r1;
        r1 = "plugged";
        r1 = r6.getIntExtra(r1, r4);
        r5.mPlugedtype = r1;
    L_0x00c5:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.getStateFromSendBr(android.content.Intent):void");
    }

    private void initState() {
        if (this.mContext != null) {
            android.os.BatteryManager batteryManager = (android.os.BatteryManager) this.mContext.getSystemService("batterymanager");
            android.content.Context context = this.mContext;
            android.content.Context context2 = this.mContext;
            android.net.wifi.WifiManager wifiManager = (android.net.wifi.WifiManager) context.getSystemService("wifi");
            android.net.ConnectivityManager connectManager = (android.net.ConnectivityManager) this.mContext.getSystemService("connectivity");
            if (batteryManager != null) {
                if (batteryManager.isCharging()) {
                    this.mCharging = 1;
                } else {
                    this.mCharging = 0;
                }
            }
            if (wifiManager != null) {
                this.mWifiStatue = wifiManager.getWifiState();
            }
            if (connectManager != null) {
                android.net.NetworkInfo connectInfo = connectManager.getActiveNetworkInfo();
                if (connectInfo != null && connectInfo.isConnected()) {
                    if (connectInfo.getType() == 1) {
                        this.mWifiNetStatue = android.net.NetworkInfo.State.CONNECTED;
                        this.mConnectStatus = 3;
                    } else if (connectInfo.getType() == 0) {
                        this.mConnectStatus = 1;
                    }
                }
            }
        }
    }

    public int filterBr(android.content.Intent intent, com.android.server.mtm.iaware.appmng.AwareProcessInfo pInfo) {
        if (intent != null) {
            if (pInfo != null) {
                java.lang.String action = intent.getAction();
                if (action == null) {
                    return com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.BrCtrlType.NONE.ordinal();
                }
                com.android.server.mtm.iaware.appmng.policy.BrFilterPolicy brfilterPolicy = pInfo.getBrPolicy(intent);
                if (brfilterPolicy == null) {
                    return com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.BrCtrlType.NONE.ordinal();
                }
                if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getFilterDebug()) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("iaware_brFilter brfilterPolicy.getPolicy() : ");
                    stringBuilder.append(brfilterPolicy.getPolicy());
                    android.rms.iaware.AwareLog.i("AwareBroadcastPolicy", stringBuilder.toString());
                }
                if (brfilterPolicy.getPolicy() == com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.BrCtrlType.DATADEFAULTBR.ordinal()) {
                    java.lang.Object obj = -1;
                    int hashCode = action.hashCode();
                    if (hashCode != -1875733435) {
                        if (hashCode != -1538406691) {
                            if (hashCode != -343630553) {
                                if (hashCode == 233521600) {
                                    if (action.equals("android.net.wifi.supplicant.STATE_CHANGE")) {
                                        obj = 2;
                                    }
                                }
                            } else if (action.equals("android.net.wifi.STATE_CHANGE")) {
                                obj = null;
                            }
                        } else if (action.equals("android.intent.action.BATTERY_CHANGED")) {
                            obj = 3;
                        }
                    } else if (action.equals("android.net.wifi.WIFI_STATE_CHANGED")) {
                        obj = 1;
                    }
                    switch (obj) {
                        case null:
                            return getWifiNetPolicy(action);
                        case 1:
                            return getWifiPolicy(action);
                        case 2:
                            return getWifiSupPolicy(action);
                        case 3:
                            return getBatteryPolicy(action);
                        default:
                            break;
                    }
                }
                return brfilterPolicy.getPolicy();
            }
        }
        return com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.BrCtrlType.NONE.ordinal();
    }

    private int getWifiNetPolicy(java.lang.String action) {
        int policy = com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.BrCtrlType.NONE.ordinal();
        int dataPolicy = com.android.server.rms.iaware.srms.BroadcastExFeature.getBrFilterPolicy(action);
        if (dataPolicy == 1) {
            if (this.mWifiNetStatue == android.net.NetworkInfo.State.CONNECTED || this.mWifiNetStatue == android.net.NetworkInfo.State.DISCONNECTED) {
                return policy;
            }
            return com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.BrCtrlType.DISCARDBR.ordinal();
        } else if (dataPolicy == 2) {
            return com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.BrCtrlType.DISCARDBR.ordinal();
        } else {
            return policy;
        }
    }

    private int getWifiPolicy(java.lang.String action) {
        int policy = com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.BrCtrlType.NONE.ordinal();
        int dataPolicy = com.android.server.rms.iaware.srms.BroadcastExFeature.getBrFilterPolicy(action);
        if (dataPolicy == 1) {
            if (this.mWifiStatue == 3 || this.mWifiStatue == 1) {
                return policy;
            }
            return com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.BrCtrlType.DISCARDBR.ordinal();
        } else if (dataPolicy == 2) {
            return com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.BrCtrlType.DISCARDBR.ordinal();
        } else {
            return policy;
        }
    }

    private int getWifiSupPolicy(java.lang.String action) {
        int policy = com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.BrCtrlType.NONE.ordinal();
        int dataPolicy = com.android.server.rms.iaware.srms.BroadcastExFeature.getBrFilterPolicy(action);
        if (dataPolicy == 1) {
            if (this.mWifiSupStatue == android.net.wifi.SupplicantState.COMPLETED || this.mWifiSupStatue == android.net.wifi.SupplicantState.DISCONNECTED) {
                return policy;
            }
            return com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.BrCtrlType.DISCARDBR.ordinal();
        } else if (dataPolicy == 2) {
            return com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.BrCtrlType.DISCARDBR.ordinal();
        } else {
            return policy;
        }
    }

    private int getBatteryPolicy(java.lang.String action) {
        int policy = com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.BrCtrlType.NONE.ordinal();
        if (com.android.server.rms.iaware.srms.BroadcastExFeature.getBrFilterPolicy(action) == 1 && this.mPrePlugedtype == this.mPlugedtype) {
            return com.android.server.mtm.iaware.srms.AwareBroadcastPolicy.BrCtrlType.DISCARDBR.ordinal();
        }
        return policy;
    }

    public boolean awareTrimAndEnqueueBr(boolean isParallel, com.android.server.am.HwBroadcastRecord r, boolean notify, int pid, java.lang.String pkgName) {
        if (r == null) {
            return false;
        }
        com.android.server.mtm.iaware.srms.AwareBroadcastCache brCache = (com.android.server.mtm.iaware.srms.AwareBroadcastCache) mIawareBrCaches.get(r.getBrQueueName());
        if (brCache != null) {
            return brCache.awareTrimAndEnqueueBr(isParallel, r, notify, pid, pkgName, this);
        }
        return false;
    }

    private void unproxyCacheBr(int pid) {
        for (java.util.Map.Entry<java.lang.String, com.android.server.mtm.iaware.srms.AwareBroadcastCache> ent : mIawareBrCaches.entrySet()) {
            ((com.android.server.mtm.iaware.srms.AwareBroadcastCache) ent.getValue()).unproxyCacheBr(pid);
        }
    }

    public void clearCacheBr(int pid) {
        for (java.util.Map.Entry<java.lang.String, com.android.server.mtm.iaware.srms.AwareBroadcastCache> ent : mIawareBrCaches.entrySet()) {
            ((com.android.server.mtm.iaware.srms.AwareBroadcastCache) ent.getValue()).clearCacheBr(pid);
        }
    }

    public void updateProcessBrPolicy(com.android.server.mtm.iaware.appmng.AwareProcessInfo info, int state) {
        if (info != null) {
            android.os.Message msg = this.mHandler.obtainMessage();
            msg.what = 209;
            msg.arg1 = state;
            msg.obj = info;
            this.mHandler.sendMessage(msg);
        }
    }

    private void updateAppIdleStat(int idleStat, int userId, java.lang.String packageName) {
        java.util.ArrayList<com.android.server.mtm.iaware.appmng.AwareProcessInfo> procList = com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance().getAwareProcessInfosFromPackage(packageName, userId);
        if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getFilterDebug()) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("iaware_brFilter appidle:");
            stringBuilder.append(idleStat);
            stringBuilder.append(", packageName:");
            stringBuilder.append(packageName);
            stringBuilder.append(", userId:");
            stringBuilder.append(userId);
            android.rms.iaware.AwareLog.i("AwareBroadcastPolicy", stringBuilder.toString());
        }
        int count = procList.size();
        for (int i = 0; i < count; i++) {
            com.android.server.mtm.iaware.appmng.AwareProcessInfo info = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) procList.get(i);
            if (idleStat == 1) {
                com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance().setAwareProcessState(info.mPid, info.mProcInfo.mUid, 3);
            } else {
                com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance().setAwareProcessState(info.mPid, info.mProcInfo.mUid, 4);
            }
        }
    }

    private void updateProcessPolicy(int stateType, int eventType, int pid, int uid) {
        if (stateType != 5) {
            if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getFilterDebug()) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("iaware_brFilter process status:");
                stringBuilder.append(stateType);
                stringBuilder.append(", eventType:");
                stringBuilder.append(eventType);
                stringBuilder.append(", pid:");
                stringBuilder.append(pid);
                stringBuilder.append(", uid:");
                stringBuilder.append(uid);
                android.rms.iaware.AwareLog.i("AwareBroadcastPolicy", stringBuilder.toString());
            }
            if (pid > 0) {
                com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance().setAwareProcessState(pid, uid, -1);
            } else {
                com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance().setAwareProcessStateByUid(pid, uid, -1);
            }
        }
    }

    public void reportGoogleConn(boolean conn) {
        android.os.Message msg = this.mHandler.obtainMessage();
        msg.what = 210;
        if (conn) {
            msg.arg1 = 1;
        } else {
            msg.arg1 = -1;
        }
        this.mHandler.sendMessage(msg);
    }

    private void resetGoogleConnStat(int connStat) {
        boolean conn = false;
        if (connStat == 1) {
            conn = true;
        }
        if (mGoogleConnStat != conn) {
            mGoogleConnStat = conn;
            if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getFilterDebug()) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("iaware_brFilter google conn stat change:");
                stringBuilder.append(mGoogleConnStat);
                android.rms.iaware.AwareLog.i("AwareBroadcastPolicy", stringBuilder.toString());
            }
            android.util.ArraySet<java.lang.String> googleAppPkgs = com.android.server.rms.iaware.srms.BroadcastExFeature.getBrGoogleAppList();
            int count = googleAppPkgs.size();
            for (int i = 0; i < count; i++) {
                java.util.ArrayList<com.android.server.mtm.iaware.appmng.AwareProcessInfo> procList = com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance().getAwareProcessInfosFromPackage((java.lang.String) googleAppPkgs.valueAt(i), -1);
                int countProc = procList.size();
                for (int j = 0; j < countProc; j++) {
                    com.android.server.mtm.iaware.appmng.AwareProcessInfo info = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) procList.get(j);
                    com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance().setAwareProcessState(info.mPid, info.mProcInfo.mUid, -1);
                }
            }
        }
    }

    private void updateBrPolicy(int state, java.lang.Object obj) {
        if (obj instanceof com.android.server.mtm.iaware.appmng.AwareProcessInfo) {
            com.android.server.mtm.iaware.appmng.AwareProcessInfo info = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) obj;
            info.updateBrPolicy();
            if (state == 2 || state == 4 || state == 8 || state == 6) {
                int currentState = info.getState();
                if (currentState == 10 || currentState == 9) {
                    unproxyCacheBr(info.mPid);
                }
            }
        }
    }

    public static int getGoogleConnStat() {
        if (mGoogleConnStat) {
            return 1;
        }
        return -1;
    }

    public void notifyOverFlow(int pid) {
        if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getFilterDebug()) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("iaware_brFilter notifyOverFlow: ");
            stringBuilder.append(pid);
            android.rms.iaware.AwareLog.i("AwareBroadcastPolicy", stringBuilder.toString());
        }
        android.os.Message msg = this.mHandler.obtainMessage();
        msg.what = 212;
        msg.arg1 = pid;
        this.mHandler.sendMessage(msg);
    }

    public void dumpIawareFilterBr(java.io.PrintWriter pw) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("    BrFilterfeature enable :");
        stringBuilder.append(com.android.server.rms.iaware.srms.BroadcastExFeature.isFeatureEnabled(1));
        pw.println(stringBuilder.toString());
        pw.println("    process policy :");
        java.util.ArrayList<com.android.server.mtm.iaware.appmng.AwareProcessInfo> listProcess = com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance().getAwareProcessInfoList();
        int size = listProcess.size();
        for (int i = 0; i < size; i++) {
            com.android.server.mtm.iaware.appmng.AwareProcessInfo info = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) listProcess.get(i);
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("      process pid : ");
            stringBuilder2.append(info.mPid);
            stringBuilder2.append(", process name : ");
            stringBuilder2.append(info.mProcInfo.mProcessName);
            stringBuilder2.append(", process adj:");
            stringBuilder2.append(info.mProcInfo.mCurAdj);
            pw.println(stringBuilder2.toString());
            for (java.util.Map.Entry<java.lang.String, com.android.server.mtm.iaware.appmng.policy.BrFilterPolicy> ent : info.getBrFilterPolicyMap().entrySet()) {
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("         policy action : ");
                stringBuilder3.append((java.lang.String) ent.getKey());
                stringBuilder3.append(", value : ");
                stringBuilder3.append(((com.android.server.mtm.iaware.appmng.policy.BrFilterPolicy) ent.getValue()).getPolicy());
                stringBuilder3.append(", state : ");
                stringBuilder3.append(((com.android.server.mtm.iaware.appmng.policy.BrFilterPolicy) ent.getValue()).getProcessState());
                pw.println(stringBuilder3.toString());
            }
        }
        java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
        stringBuilder4.append("    br before filter count :");
        stringBuilder4.append(com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar.getBrBeforeCount());
        pw.println(stringBuilder4.toString());
        stringBuilder4 = new java.lang.StringBuilder();
        stringBuilder4.append("    br after filter count :");
        stringBuilder4.append(com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar.getBrAfterCount());
        pw.println(stringBuilder4.toString());
        stringBuilder4 = new java.lang.StringBuilder();
        stringBuilder4.append("    br noprocess filter count :");
        stringBuilder4.append(com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar.getBrNoProcessCount());
        pw.println(stringBuilder4.toString());
        stringBuilder4 = new java.lang.StringBuilder();
        stringBuilder4.append("    br system_server nodrop count :");
        stringBuilder4.append(com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar.getSsNoDropCount());
        pw.println(stringBuilder4.toString());
        stringBuilder4 = new java.lang.StringBuilder();
        stringBuilder4.append("    br persistent app nodrop count :");
        stringBuilder4.append(com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar.getPerAppNoDropCount());
        pw.println(stringBuilder4.toString());
        stringBuilder4 = new java.lang.StringBuilder();
        stringBuilder4.append("    Default white list :");
        stringBuilder4.append(com.android.server.rms.iaware.srms.BroadcastExFeature.getBrFilterWhiteList());
        pw.println(stringBuilder4.toString());
        stringBuilder4 = new java.lang.StringBuilder();
        stringBuilder4.append("    Default white actionAPP :");
        stringBuilder4.append(com.android.server.rms.iaware.srms.BroadcastExFeature.getBrFilterWhiteApp());
        pw.println(stringBuilder4.toString());
        stringBuilder4 = new java.lang.StringBuilder();
        stringBuilder4.append("    Default black actionAPP :");
        stringBuilder4.append(com.android.server.rms.iaware.srms.BroadcastExFeature.getBrFilterBlackApp());
        pw.println(stringBuilder4.toString());
        stringBuilder4 = new java.lang.StringBuilder();
        stringBuilder4.append("    google app list :");
        stringBuilder4.append(com.android.server.rms.iaware.srms.BroadcastExFeature.getBrGoogleAppList());
        pw.println(stringBuilder4.toString());
        com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar radar = com.android.server.mtm.MultiTaskManagerService.self().getIawareBrRadar();
        if (radar != null) {
            pw.println("    brfilter detail :");
            for (java.util.Map.Entry<java.lang.String, java.lang.Integer> ent2 : radar.getBrFilterDetail().entrySet()) {
                java.lang.StringBuilder stringBuilder5 = new java.lang.StringBuilder();
                stringBuilder5.append("         ");
                stringBuilder5.append((java.lang.String) ent2.getKey());
                stringBuilder5.append(", count , ");
                stringBuilder5.append(ent2.getValue());
                pw.println(stringBuilder5.toString());
            }
        }
    }
}
