package com.android.server.mtm.iaware.srms;

public class AwareBroadcastSend {
    private static final int BATTERY_BR_DATA_COUNT = 14;
    private static final int BATTERY_CONFIG_ITEM_COUNT = 5;
    private static final java.lang.String TAG = "AwareBroadcastSend brsend";
    private static final java.lang.String TAG_MISC_BATTERY_CONFIG = "brsend_config_battery_changed";
    private static final java.lang.String TAG_MISC_WIFI_SC_CONFIG = "brsend_config_wifi_state_change";
    private static com.android.server.mtm.iaware.srms.AwareBroadcastSend mBroadcastSend = null;
    private int mBatteryNormalTempHigh;
    private int mBatteryNormalTempLow;
    private final java.lang.Object mBatteryStatLock;
    private boolean mBrSendControlDynamicSwitch;
    private final java.lang.Object mConfigLock;
    private java.util.ArrayList<java.lang.String> mControlledBrs;
    private int mCountAbnormalTemp;
    private int mCountBatteryBrSkip;
    private int mCountBatteryBrTotal;
    private int mCountMainFactorChange;
    private int mCountMaxCVBigChange;
    private int mCountNormalTempBigChange;
    private int mCountVoltageBigChange;
    private int mCountWifiStateChangeSkip;
    private int mCountWifiStateChangeTotal;
    private android.hardware.health.V1_0.HealthInfo mHealthInfo;
    private com.android.server.am.HwActivityManagerService mHwAMS;
    private int mInvalidCharger;
    private boolean mIsBatteryDataSuccessUpdated;
    private boolean mIsWifiSCDataSuccessUpdated;
    private int mLastBatteryHealth;
    private int mLastBatteryLevel;
    private boolean mLastBatteryPresent;
    private int mLastBatteryStatus;
    private int mLastBatteryTemperature;
    private int mLastBatteryVoltage;
    private int mLastChargeCounter;
    private int mLastInvalidCharger;
    private int mLastMaxChargingCurrent;
    private int mLastMaxChargingVoltage;
    private android.net.NetworkInfo mLastNetworkInfo;
    private int mLastPlugType;
    private int mMaxChargingVolChangeLowestStep;
    private android.net.NetworkInfo mNetworkInfo;
    private int mPlugType;
    private boolean mSkipAuthenticating;
    private int mTempChangeLowestStep;
    private int mVolChangeLowestStep;
    private final java.lang.Object mWifiStatLock;

    public static synchronized com.android.server.mtm.iaware.srms.AwareBroadcastSend getInstance() {
        com.android.server.mtm.iaware.srms.AwareBroadcastSend awareBroadcastSend;
        synchronized (com.android.server.mtm.iaware.srms.AwareBroadcastSend.class) {
            if (mBroadcastSend == null) {
                mBroadcastSend = new com.android.server.mtm.iaware.srms.AwareBroadcastSend();
                mBroadcastSend.updateConfigData();
            }
            awareBroadcastSend = mBroadcastSend;
        }
        return awareBroadcastSend;
    }

    private AwareBroadcastSend() {
        this.mHwAMS = null;
        this.mConfigLock = new java.lang.Object();
        this.mBrSendControlDynamicSwitch = true;
        this.mControlledBrs = null;
        this.mBatteryStatLock = new java.lang.Object();
        this.mCountBatteryBrTotal = 0;
        this.mCountBatteryBrSkip = 0;
        this.mCountMainFactorChange = 0;
        this.mCountVoltageBigChange = 0;
        this.mCountMaxCVBigChange = 0;
        this.mCountAbnormalTemp = 0;
        this.mCountNormalTempBigChange = 0;
        this.mIsBatteryDataSuccessUpdated = false;
        this.mBatteryNormalTempLow = 150;
        this.mBatteryNormalTempHigh = 400;
        this.mTempChangeLowestStep = 20;
        this.mVolChangeLowestStep = 50;
        this.mMaxChargingVolChangeLowestStep = 50000;
        this.mWifiStatLock = new java.lang.Object();
        this.mNetworkInfo = null;
        this.mLastNetworkInfo = null;
        this.mCountWifiStateChangeTotal = 0;
        this.mCountWifiStateChangeSkip = 0;
        this.mIsWifiSCDataSuccessUpdated = false;
        this.mSkipAuthenticating = true;
        this.mHwAMS = com.android.server.am.HwActivityManagerService.self();
    }

    public void updateConfigData() {
        if (this.mHwAMS == null) {
            android.rms.iaware.AwareLog.e("AwareBroadcastSend brsend", "failed to get HwAMS");
            return;
        }
        com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().updateRule(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.BROADCAST, this.mHwAMS.getUiContext());
        synchronized (this.mConfigLock) {
            this.mControlledBrs = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getRawConfig(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.BROADCAST.getDesc(), "SendSwitch");
            java.util.ArrayList<java.lang.String> batteryConfigs = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getRawConfig(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.BROADCAST.getDesc(), "brsend_config_battery_changed");
            if (batteryConfigs != null) {
                updateBatteryConfigData(batteryConfigs);
            }
            java.util.ArrayList<java.lang.String> wifiSCConfigs = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getRawConfig(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.BROADCAST.getDesc(), "brsend_config_wifi_state_change");
            if (wifiSCConfigs != null) {
                updateWifiSCConfigData(wifiSCConfigs);
            }
        }
    }

    private void updateBatteryConfigData(java.util.ArrayList<java.lang.String> configs) {
        if (configs.size() == 5) {
            java.lang.String cf0 = (java.lang.String) configs.get(0);
            java.lang.String cf1 = (java.lang.String) configs.get(1);
            java.lang.String cf2 = (java.lang.String) configs.get(2);
            java.lang.String cf3 = (java.lang.String) configs.get(3);
            java.lang.String cf4 = (java.lang.String) configs.get(4);
            if (!(cf0 == null || cf1 == null || cf2 == null || cf3 == null)) {
                if (cf4 != null) {
                    try {
                        int tempLow = java.lang.Integer.parseInt(cf0.trim());
                        int tempHigh = java.lang.Integer.parseInt(cf1.trim());
                        int tempStep = java.lang.Integer.parseInt(cf2.trim());
                        int volStep = java.lang.Integer.parseInt(cf3.trim());
                        int maxCVStep = java.lang.Integer.parseInt(cf4.trim());
                        this.mBatteryNormalTempLow = tempLow;
                        this.mBatteryNormalTempHigh = tempHigh;
                        this.mTempChangeLowestStep = tempStep;
                        this.mVolChangeLowestStep = volStep;
                        this.mMaxChargingVolChangeLowestStep = maxCVStep;
                    } catch (java.lang.NumberFormatException e) {
                        android.rms.iaware.AwareLog.e("AwareBroadcastSend brsend", "invalid battery config");
                    }
                }
            }
        }
    }

    private void updateWifiSCConfigData(java.util.ArrayList<java.lang.String> configs) {
        if (configs.size() != 0) {
            java.lang.String cf0 = (java.lang.String) configs.get(0);
            if (cf0 != null) {
                try {
                    int tempValue = java.lang.Integer.parseInt(cf0.trim());
                    if (tempValue == 0) {
                        this.mSkipAuthenticating = false;
                    } else if (tempValue == 1) {
                        this.mSkipAuthenticating = true;
                    }
                } catch (java.lang.NumberFormatException e) {
                    android.rms.iaware.AwareLog.e("AwareBroadcastSend brsend", "invalid wifi.STATE_CHANGE config");
                }
            }
        }
    }

    public boolean setData(java.lang.String action, java.lang.Object[] data) {
        if (action != null) {
            if (data != null) {
                if (action.equals("android.intent.action.BATTERY_CHANGED")) {
                    setBatteryBrData(data);
                    return true;
                } else if (!action.equals("android.net.wifi.STATE_CHANGE")) {
                    return false;
                } else {
                    setWifiStateChangeData(data);
                    return true;
                }
            }
        }
        return false;
    }

    private void setBatteryBrData(java.lang.Object[] data) {
        if (data.length == 14) {
            this.mIsBatteryDataSuccessUpdated = false;
            try {
                this.mHealthInfo = (android.hardware.health.V1_0.HealthInfo) data[0];
                if (this.mHealthInfo != null) {
                    this.mLastBatteryStatus = ((java.lang.Integer) data[1]).intValue();
                    this.mLastBatteryHealth = ((java.lang.Integer) data[2]).intValue();
                    this.mLastBatteryPresent = ((java.lang.Boolean) data[3]).booleanValue();
                    this.mLastBatteryLevel = ((java.lang.Integer) data[4]).intValue();
                    this.mPlugType = ((java.lang.Integer) data[5]).intValue();
                    this.mLastPlugType = ((java.lang.Integer) data[6]).intValue();
                    this.mLastBatteryVoltage = ((java.lang.Integer) data[7]).intValue();
                    this.mLastBatteryTemperature = ((java.lang.Integer) data[8]).intValue();
                    this.mLastMaxChargingCurrent = ((java.lang.Integer) data[9]).intValue();
                    this.mLastMaxChargingVoltage = ((java.lang.Integer) data[10]).intValue();
                    this.mLastChargeCounter = ((java.lang.Integer) data[11]).intValue();
                    this.mInvalidCharger = ((java.lang.Integer) data[12]).intValue();
                    this.mLastInvalidCharger = ((java.lang.Integer) data[13]).intValue();
                    this.mIsBatteryDataSuccessUpdated = true;
                }
            } catch (java.lang.ClassCastException e) {
                if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail()) {
                    android.rms.iaware.AwareLog.e("AwareBroadcastSend brsend", "invalid battery data");
                }
            }
        }
    }

    private void setWifiStateChangeData(java.lang.Object[] data) {
        if (data.length >= 1) {
            this.mIsWifiSCDataSuccessUpdated = false;
            try {
                android.content.Intent intent = data[0];
                if (intent != null) {
                    this.mNetworkInfo = (android.net.NetworkInfo) intent.getParcelableExtra("networkInfo");
                    this.mIsWifiSCDataSuccessUpdated = true;
                }
            } catch (java.lang.ClassCastException e) {
                if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail()) {
                    android.rms.iaware.AwareLog.e("AwareBroadcastSend brsend", "invalid wifi.STATE_CHANGE data");
                }
            }
        }
    }

    public boolean needSkipBroadcastSend(java.lang.String action) {
        if (action != null && this.mBrSendControlDynamicSwitch) {
            if (isBrControlled(action)) {
                if (action.equals("android.intent.action.BATTERY_CHANGED")) {
                    return needSkipBatteryBrSend();
                }
                if (action.equals("android.net.wifi.STATE_CHANGE")) {
                    return needSkipWifiStateChangeBrSend();
                }
                return false;
            }
        }
        return false;
    }

    private boolean isBrControlled(java.lang.String action) {
        synchronized (this.mConfigLock) {
            if (this.mControlledBrs != null) {
                boolean contains = this.mControlledBrs.contains(action);
                return contains;
            }
            return false;
        }
    }

    /* JADX WARNING: Missing block: B:56:0x00fb, code:
            if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail() == false) goto L_0x0117;
     */
    /* JADX WARNING: Missing block: B:57:0x00fd, code:
            r1 = new java.lang.StringBuilder();
            r1.append("battery br summary (skip,total,mainFactorChange,maxCVBigChange,volBigChange,abnormalTemp,normalTempBigChange): ");
            r1.append(getBatteryStatisticsData());
            android.rms.iaware.AwareLog.i("AwareBroadcastSend brsend", r1.toString());
     */
    /* JADX WARNING: Missing block: B:58:0x0117, code:
            return true;
     */
    private boolean needSkipBatteryBrSend() {
        /*
        r5 = this;
        r0 = r5.mIsBatteryDataSuccessUpdated;
        r1 = 0;
        if (r0 != 0) goto L_0x0006;
    L_0x0005:
        return r1;
    L_0x0006:
        r0 = com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail();
        r2 = 1;
        if (r0 == 0) goto L_0x0041;
    L_0x000d:
        r0 = "AwareBroadcastSend brsend";
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r4 = "battery  new data: ";
        r3.append(r4);
        r4 = r5.batteryInfoToString(r2);
        r3.append(r4);
        r3 = r3.toString();
        android.rms.iaware.AwareLog.i(r0, r3);
        r0 = "AwareBroadcastSend brsend";
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r4 = "battery last data: ";
        r3.append(r4);
        r4 = r5.batteryInfoToString(r1);
        r3.append(r4);
        r3 = r3.toString();
        android.rms.iaware.AwareLog.i(r0, r3);
    L_0x0041:
        r0 = r5.mBatteryStatLock;
        monitor-enter(r0);
        r3 = r5.mCountBatteryBrTotal;	 Catch:{ all -> 0x011f }
        r3 = r3 + r2;
        r5.mCountBatteryBrTotal = r3;	 Catch:{ all -> 0x011f }
        r3 = r5.mHealthInfo;	 Catch:{ all -> 0x011f }
        r3 = r3.batteryStatus;	 Catch:{ all -> 0x011f }
        r4 = r5.mLastBatteryStatus;	 Catch:{ all -> 0x011f }
        if (r3 != r4) goto L_0x0118;
    L_0x0051:
        r3 = r5.mHealthInfo;	 Catch:{ all -> 0x011f }
        r3 = r3.batteryHealth;	 Catch:{ all -> 0x011f }
        r4 = r5.mLastBatteryHealth;	 Catch:{ all -> 0x011f }
        if (r3 != r4) goto L_0x0118;
    L_0x0059:
        r3 = r5.mHealthInfo;	 Catch:{ all -> 0x011f }
        r3 = r3.batteryPresent;	 Catch:{ all -> 0x011f }
        r4 = r5.mLastBatteryPresent;	 Catch:{ all -> 0x011f }
        if (r3 != r4) goto L_0x0118;
    L_0x0061:
        r3 = r5.mHealthInfo;	 Catch:{ all -> 0x011f }
        r3 = r3.batteryLevel;	 Catch:{ all -> 0x011f }
        r4 = r5.mLastBatteryLevel;	 Catch:{ all -> 0x011f }
        if (r3 != r4) goto L_0x0118;
    L_0x0069:
        r3 = r5.mPlugType;	 Catch:{ all -> 0x011f }
        r4 = r5.mLastPlugType;	 Catch:{ all -> 0x011f }
        if (r3 != r4) goto L_0x0118;
    L_0x006f:
        r3 = r5.mHealthInfo;	 Catch:{ all -> 0x011f }
        r3 = r3.maxChargingCurrent;	 Catch:{ all -> 0x011f }
        r4 = r5.mLastMaxChargingCurrent;	 Catch:{ all -> 0x011f }
        if (r3 != r4) goto L_0x0118;
    L_0x0077:
        r3 = r5.mInvalidCharger;	 Catch:{ all -> 0x011f }
        r4 = r5.mLastInvalidCharger;	 Catch:{ all -> 0x011f }
        if (r3 == r4) goto L_0x007f;
    L_0x007d:
        goto L_0x0118;
    L_0x007f:
        r3 = r5.mHealthInfo;	 Catch:{ all -> 0x011f }
        r3 = r3.maxChargingVoltage;	 Catch:{ all -> 0x011f }
        r4 = r5.mLastMaxChargingVoltage;	 Catch:{ all -> 0x011f }
        if (r3 == r4) goto L_0x009d;
    L_0x0087:
        r3 = r5.mHealthInfo;	 Catch:{ all -> 0x011f }
        r3 = r3.maxChargingVoltage;	 Catch:{ all -> 0x011f }
        r4 = r5.mLastMaxChargingVoltage;	 Catch:{ all -> 0x011f }
        r3 = r3 - r4;
        r3 = java.lang.Math.abs(r3);	 Catch:{ all -> 0x011f }
        r4 = r5.mMaxChargingVolChangeLowestStep;	 Catch:{ all -> 0x011f }
        if (r3 < r4) goto L_0x009d;
    L_0x0096:
        r3 = r5.mCountMaxCVBigChange;	 Catch:{ all -> 0x011f }
        r3 = r3 + r2;
        r5.mCountMaxCVBigChange = r3;	 Catch:{ all -> 0x011f }
        monitor-exit(r0);	 Catch:{ all -> 0x011f }
        return r1;
    L_0x009d:
        r3 = r5.mHealthInfo;	 Catch:{ all -> 0x011f }
        r3 = r3.batteryVoltage;	 Catch:{ all -> 0x011f }
        r4 = r5.mLastBatteryVoltage;	 Catch:{ all -> 0x011f }
        if (r3 == r4) goto L_0x00bb;
    L_0x00a5:
        r3 = r5.mHealthInfo;	 Catch:{ all -> 0x011f }
        r3 = r3.batteryVoltage;	 Catch:{ all -> 0x011f }
        r4 = r5.mLastBatteryVoltage;	 Catch:{ all -> 0x011f }
        r3 = r3 - r4;
        r3 = java.lang.Math.abs(r3);	 Catch:{ all -> 0x011f }
        r4 = r5.mVolChangeLowestStep;	 Catch:{ all -> 0x011f }
        if (r3 < r4) goto L_0x00bb;
    L_0x00b4:
        r3 = r5.mCountVoltageBigChange;	 Catch:{ all -> 0x011f }
        r3 = r3 + r2;
        r5.mCountVoltageBigChange = r3;	 Catch:{ all -> 0x011f }
        monitor-exit(r0);	 Catch:{ all -> 0x011f }
        return r1;
    L_0x00bb:
        r3 = r5.mHealthInfo;	 Catch:{ all -> 0x011f }
        r3 = r3.batteryTemperature;	 Catch:{ all -> 0x011f }
        r4 = r5.mLastBatteryTemperature;	 Catch:{ all -> 0x011f }
        if (r3 == r4) goto L_0x00f1;
    L_0x00c3:
        r3 = r5.mHealthInfo;	 Catch:{ all -> 0x011f }
        r3 = r3.batteryTemperature;	 Catch:{ all -> 0x011f }
        r4 = r5.mBatteryNormalTempLow;	 Catch:{ all -> 0x011f }
        if (r3 <= r4) goto L_0x00ea;
    L_0x00cb:
        r3 = r5.mHealthInfo;	 Catch:{ all -> 0x011f }
        r3 = r3.batteryTemperature;	 Catch:{ all -> 0x011f }
        r4 = r5.mBatteryNormalTempHigh;	 Catch:{ all -> 0x011f }
        if (r3 < r4) goto L_0x00d4;
    L_0x00d3:
        goto L_0x00ea;
    L_0x00d4:
        r3 = r5.mHealthInfo;	 Catch:{ all -> 0x011f }
        r3 = r3.batteryTemperature;	 Catch:{ all -> 0x011f }
        r4 = r5.mLastBatteryTemperature;	 Catch:{ all -> 0x011f }
        r3 = r3 - r4;
        r3 = java.lang.Math.abs(r3);	 Catch:{ all -> 0x011f }
        r4 = r5.mTempChangeLowestStep;	 Catch:{ all -> 0x011f }
        if (r3 < r4) goto L_0x00f1;
    L_0x00e3:
        r3 = r5.mCountNormalTempBigChange;	 Catch:{ all -> 0x011f }
        r3 = r3 + r2;
        r5.mCountNormalTempBigChange = r3;	 Catch:{ all -> 0x011f }
        monitor-exit(r0);	 Catch:{ all -> 0x011f }
        return r1;
    L_0x00ea:
        r3 = r5.mCountAbnormalTemp;	 Catch:{ all -> 0x011f }
        r3 = r3 + r2;
        r5.mCountAbnormalTemp = r3;	 Catch:{ all -> 0x011f }
        monitor-exit(r0);	 Catch:{ all -> 0x011f }
        return r1;
    L_0x00f1:
        r1 = r5.mCountBatteryBrSkip;	 Catch:{ all -> 0x011f }
        r1 = r1 + r2;
        r5.mCountBatteryBrSkip = r1;	 Catch:{ all -> 0x011f }
        monitor-exit(r0);	 Catch:{ all -> 0x011f }
        r0 = com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail();
        if (r0 == 0) goto L_0x0117;
    L_0x00fd:
        r0 = "AwareBroadcastSend brsend";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r3 = "battery br summary (skip,total,mainFactorChange,maxCVBigChange,volBigChange,abnormalTemp,normalTempBigChange): ";
        r1.append(r3);
        r3 = r5.getBatteryStatisticsData();
        r1.append(r3);
        r1 = r1.toString();
        android.rms.iaware.AwareLog.i(r0, r1);
    L_0x0117:
        return r2;
    L_0x0118:
        r3 = r5.mCountMainFactorChange;	 Catch:{ all -> 0x011f }
        r3 = r3 + r2;
        r5.mCountMainFactorChange = r3;	 Catch:{ all -> 0x011f }
        monitor-exit(r0);	 Catch:{ all -> 0x011f }
        return r1;
    L_0x011f:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x011f }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.mtm.iaware.srms.AwareBroadcastSend.needSkipBatteryBrSend():boolean");
    }

    private boolean needSkipWifiStateChangeBrSend() {
        if (!this.mIsWifiSCDataSuccessUpdated) {
            return false;
        }
        java.lang.StringBuilder stringBuilder;
        if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail()) {
            java.lang.String dState = this.mNetworkInfo == null ? "Null" : this.mNetworkInfo.getDetailedState().toString();
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("wifi.STATE_CHANGE detailedState: ");
            stringBuilder.append(dState);
            android.rms.iaware.AwareLog.i("AwareBroadcastSend brsend", stringBuilder.toString());
        }
        boolean bSkip = false;
        synchronized (this.mWifiStatLock) {
            this.mCountWifiStateChangeTotal++;
            if (this.mNetworkInfo != null) {
                android.net.NetworkInfo.DetailedState detailedState = this.mNetworkInfo.getDetailedState();
                if (android.net.NetworkInfo.DetailedState.CONNECTED.equals(detailedState)) {
                    bSkip = false;
                } else if (android.net.NetworkInfo.DetailedState.AUTHENTICATING.equals(detailedState) && this.mSkipAuthenticating) {
                    if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail()) {
                        android.rms.iaware.AwareLog.i("AwareBroadcastSend brsend", "Skip broadcast wifi.STATE_CHANGE, reason: detailedState is AUTHENTICATING");
                    }
                    this.mCountWifiStateChangeSkip++;
                    bSkip = true;
                } else if (this.mLastNetworkInfo == null) {
                    bSkip = false;
                } else if (this.mLastNetworkInfo.getDetailedState() == detailedState) {
                    if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail()) {
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("Skip broadcast wifi.STATE_CHANGE, reason: detailedState same as previous (");
                        stringBuilder2.append(detailedState);
                        stringBuilder2.append(")");
                        android.rms.iaware.AwareLog.i("AwareBroadcastSend brsend", stringBuilder2.toString());
                    }
                    this.mCountWifiStateChangeSkip++;
                    bSkip = true;
                } else {
                    bSkip = false;
                }
            }
        }
        if (!bSkip) {
            this.mLastNetworkInfo = this.mNetworkInfo;
        }
        if (com.android.server.mtm.iaware.srms.AwareBroadcastDebug.getDebugDetail()) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("wifi.STATE_CHANGE br summary (skip,total): ");
            stringBuilder.append(getWifiStateChangeDebugData());
            android.rms.iaware.AwareLog.i("AwareBroadcastSend brsend", stringBuilder.toString());
        }
        return bSkip;
    }

    private java.lang.String batteryInfoToString(boolean newData) {
        java.lang.String info = "";
        java.lang.StringBuilder stringBuilder;
        if (newData) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" voltage:");
            stringBuilder.append(this.mHealthInfo.batteryVoltage);
            stringBuilder.append(" temper:");
            stringBuilder.append(this.mHealthInfo.batteryTemperature);
            stringBuilder.append(" maxCV:");
            stringBuilder.append(this.mHealthInfo.maxChargingVoltage);
            stringBuilder.append(" maxCC:");
            stringBuilder.append(this.mHealthInfo.maxChargingCurrent);
            stringBuilder.append(" status:");
            stringBuilder.append(this.mHealthInfo.batteryStatus);
            stringBuilder.append(" health:");
            stringBuilder.append(this.mHealthInfo.batteryHealth);
            stringBuilder.append(" present:");
            stringBuilder.append(this.mHealthInfo.batteryPresent);
            stringBuilder.append(" level:");
            stringBuilder.append(this.mHealthInfo.batteryLevel);
            stringBuilder.append(" plug:");
            stringBuilder.append(this.mPlugType);
            stringBuilder.append(" invalidCharger:");
            stringBuilder.append(this.mInvalidCharger);
            stringBuilder.append(" chargeCntr:");
            stringBuilder.append(this.mHealthInfo.batteryChargeCounter);
            return stringBuilder.toString();
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(" voltage:");
        stringBuilder.append(this.mLastBatteryVoltage);
        stringBuilder.append(" temper:");
        stringBuilder.append(this.mLastBatteryTemperature);
        stringBuilder.append(" maxCV:");
        stringBuilder.append(this.mLastMaxChargingVoltage);
        stringBuilder.append(" maxCC:");
        stringBuilder.append(this.mLastMaxChargingCurrent);
        stringBuilder.append(" status:");
        stringBuilder.append(this.mLastBatteryStatus);
        stringBuilder.append(" health:");
        stringBuilder.append(this.mLastBatteryHealth);
        stringBuilder.append(" present:");
        stringBuilder.append(this.mLastBatteryPresent);
        stringBuilder.append(" level:");
        stringBuilder.append(this.mLastBatteryLevel);
        stringBuilder.append(" plug:");
        stringBuilder.append(this.mLastPlugType);
        stringBuilder.append(" invalidCharger:");
        stringBuilder.append(this.mLastInvalidCharger);
        stringBuilder.append(" chargeCntr:");
        stringBuilder.append(this.mLastChargeCounter);
        return stringBuilder.toString();
    }

    public void changeSwitch(boolean switchValue) {
        this.mBrSendControlDynamicSwitch = switchValue;
    }

    public java.util.HashMap<java.lang.String, java.lang.String> getStatisticsData() {
        java.util.HashMap<java.lang.String, java.lang.String> data = new java.util.HashMap();
        data.put("android.intent.action.BATTERY_CHANGED", getBatteryStatisticsData());
        data.put("android.net.wifi.STATE_CHANGE", getWifiStateChangeStatisticsData());
        return data;
    }

    public void resetStatisticsData() {
        synchronized (this.mBatteryStatLock) {
            this.mCountBatteryBrSkip = 0;
            this.mCountBatteryBrTotal = 0;
            this.mCountMainFactorChange = 0;
            this.mCountMaxCVBigChange = 0;
            this.mCountVoltageBigChange = 0;
            this.mCountAbnormalTemp = 0;
            this.mCountNormalTempBigChange = 0;
        }
        synchronized (this.mWifiStatLock) {
            this.mCountWifiStateChangeSkip = 0;
            this.mCountWifiStateChangeTotal = 0;
        }
    }

    private java.lang.String getBatteryStatisticsData() {
        java.lang.String stringBuilder;
        synchronized (this.mBatteryStatLock) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(this.mCountBatteryBrSkip);
            stringBuilder2.append(",");
            stringBuilder2.append(this.mCountBatteryBrTotal);
            stringBuilder2.append(",");
            stringBuilder2.append(this.mCountMainFactorChange);
            stringBuilder2.append(",");
            stringBuilder2.append(this.mCountMaxCVBigChange);
            stringBuilder2.append(",");
            stringBuilder2.append(this.mCountVoltageBigChange);
            stringBuilder2.append(",");
            stringBuilder2.append(this.mCountAbnormalTemp);
            stringBuilder2.append(",");
            stringBuilder2.append(this.mCountNormalTempBigChange);
            stringBuilder = stringBuilder2.toString();
        }
        return stringBuilder;
    }

    private java.lang.String getWifiStateChangeStatisticsData() {
        java.lang.String stringBuilder;
        synchronized (this.mWifiStatLock) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(this.mCountWifiStateChangeSkip);
            stringBuilder2.append(",");
            stringBuilder2.append(this.mCountWifiStateChangeTotal);
            stringBuilder2.append(",0,0,0,0,0");
            stringBuilder = stringBuilder2.toString();
        }
        return stringBuilder;
    }

    private java.lang.String getWifiStateChangeDebugData() {
        java.lang.String stringBuilder;
        synchronized (this.mWifiStatLock) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(this.mCountWifiStateChangeSkip);
            stringBuilder2.append(",");
            stringBuilder2.append(this.mCountWifiStateChangeTotal);
            stringBuilder = stringBuilder2.toString();
        }
        return stringBuilder;
    }

    public void dumpBRSendInfo(java.io.PrintWriter pw) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("battery br summary (skip,total,mainFactorChange,maxCVBigChange,volBigChange,abnormalTemp,normalTempBigChange): ");
        stringBuilder.append(getBatteryStatisticsData());
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("wifi.STATE_CHANGE br summary (skip,total): ");
        stringBuilder.append(getWifiStateChangeDebugData());
        pw.println(stringBuilder.toString());
    }

    /* JADX WARNING: Missing block: B:18:0x0107, code:
            return;
     */
    public void dumpBRSendConfig(java.io.PrintWriter r5) {
        /*
        r4 = this;
        r4.updateConfigData();
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r1 = "BrSend feature enable: ";
        r0.append(r1);
        r1 = 2;
        r1 = com.android.server.rms.iaware.srms.BroadcastExFeature.isFeatureEnabled(r1);
        r0.append(r1);
        r0 = r0.toString();
        r5.println(r0);
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r1 = "switch dynamic status: ";
        r0.append(r1);
        r1 = r4.mBrSendControlDynamicSwitch;
        if (r1 == 0) goto L_0x002e;
    L_0x002b:
        r1 = "on";
        goto L_0x0030;
    L_0x002e:
        r1 = "off";
    L_0x0030:
        r0.append(r1);
        r0 = r0.toString();
        r5.println(r0);
        r0 = r4.mConfigLock;
        monitor-enter(r0);
        r1 = r4.mControlledBrs;	 Catch:{ all -> 0x0108 }
        if (r1 == 0) goto L_0x0106;
    L_0x0041:
        r1 = r4.mControlledBrs;	 Catch:{ all -> 0x0108 }
        r1 = r1.iterator();	 Catch:{ all -> 0x0108 }
        if (r1 != 0) goto L_0x004b;
    L_0x0049:
        monitor-exit(r0);	 Catch:{ all -> 0x0108 }
        return;
    L_0x004b:
        r2 = r1.hasNext();	 Catch:{ all -> 0x0108 }
        if (r2 == 0) goto L_0x006c;
    L_0x0051:
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0108 }
        r2.<init>();	 Catch:{ all -> 0x0108 }
        r3 = "Controlled Br: ";
        r2.append(r3);	 Catch:{ all -> 0x0108 }
        r3 = r1.next();	 Catch:{ all -> 0x0108 }
        r3 = (java.lang.String) r3;	 Catch:{ all -> 0x0108 }
        r2.append(r3);	 Catch:{ all -> 0x0108 }
        r2 = r2.toString();	 Catch:{ all -> 0x0108 }
        r5.println(r2);	 Catch:{ all -> 0x0108 }
        goto L_0x004b;
    L_0x006c:
        r2 = "";
        r5.println(r2);	 Catch:{ all -> 0x0108 }
        r2 = "battery br send control configs:";
        r5.println(r2);	 Catch:{ all -> 0x0108 }
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0108 }
        r2.<init>();	 Catch:{ all -> 0x0108 }
        r3 = "normal temp low threshold: ";
        r2.append(r3);	 Catch:{ all -> 0x0108 }
        r3 = r4.mBatteryNormalTempLow;	 Catch:{ all -> 0x0108 }
        r2.append(r3);	 Catch:{ all -> 0x0108 }
        r2 = r2.toString();	 Catch:{ all -> 0x0108 }
        r5.println(r2);	 Catch:{ all -> 0x0108 }
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0108 }
        r2.<init>();	 Catch:{ all -> 0x0108 }
        r3 = "normal temp high threshold: ";
        r2.append(r3);	 Catch:{ all -> 0x0108 }
        r3 = r4.mBatteryNormalTempHigh;	 Catch:{ all -> 0x0108 }
        r2.append(r3);	 Catch:{ all -> 0x0108 }
        r2 = r2.toString();	 Catch:{ all -> 0x0108 }
        r5.println(r2);	 Catch:{ all -> 0x0108 }
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0108 }
        r2.<init>();	 Catch:{ all -> 0x0108 }
        r3 = "normal temp change lowest step: ";
        r2.append(r3);	 Catch:{ all -> 0x0108 }
        r3 = r4.mTempChangeLowestStep;	 Catch:{ all -> 0x0108 }
        r2.append(r3);	 Catch:{ all -> 0x0108 }
        r2 = r2.toString();	 Catch:{ all -> 0x0108 }
        r5.println(r2);	 Catch:{ all -> 0x0108 }
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0108 }
        r2.<init>();	 Catch:{ all -> 0x0108 }
        r3 = "voltage change lowest step: ";
        r2.append(r3);	 Catch:{ all -> 0x0108 }
        r3 = r4.mVolChangeLowestStep;	 Catch:{ all -> 0x0108 }
        r2.append(r3);	 Catch:{ all -> 0x0108 }
        r2 = r2.toString();	 Catch:{ all -> 0x0108 }
        r5.println(r2);	 Catch:{ all -> 0x0108 }
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0108 }
        r2.<init>();	 Catch:{ all -> 0x0108 }
        r3 = "max charging voltage change lowest step: ";
        r2.append(r3);	 Catch:{ all -> 0x0108 }
        r3 = r4.mMaxChargingVolChangeLowestStep;	 Catch:{ all -> 0x0108 }
        r2.append(r3);	 Catch:{ all -> 0x0108 }
        r2 = r2.toString();	 Catch:{ all -> 0x0108 }
        r5.println(r2);	 Catch:{ all -> 0x0108 }
        r2 = "";
        r5.println(r2);	 Catch:{ all -> 0x0108 }
        r2 = "wifi.STATE_CHANGE configs:";
        r5.println(r2);	 Catch:{ all -> 0x0108 }
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0108 }
        r2.<init>();	 Catch:{ all -> 0x0108 }
        r3 = "Skip Authenticating: ";
        r2.append(r3);	 Catch:{ all -> 0x0108 }
        r3 = r4.mSkipAuthenticating;	 Catch:{ all -> 0x0108 }
        r2.append(r3);	 Catch:{ all -> 0x0108 }
        r2 = r2.toString();	 Catch:{ all -> 0x0108 }
        r5.println(r2);	 Catch:{ all -> 0x0108 }
    L_0x0106:
        monitor-exit(r0);	 Catch:{ all -> 0x0108 }
        return;
    L_0x0108:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x0108 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.mtm.iaware.srms.AwareBroadcastSend.dumpBRSendConfig(java.io.PrintWriter):void");
    }
}
