package com.android.server.mtm.utils;

public final class AppStatusUtils {
    private static final java.lang.String TAG = "AppStatusUtils";
    private static volatile com.android.server.mtm.utils.AppStatusUtils instance;
    private final java.lang.String ADJTYPE_SERVICE = "service";
    private final long EXPIRE_TIME_NANOS = 10000000;
    private final java.lang.String FG_SERVICE = "fg-service";
    private final java.lang.String RECENT_TASK_ADJ_TYPE = "pers-top-activity";
    private final java.lang.String SYSTEMUI_PACKAGE_NAME = "com.android.systemui";
    private final java.lang.String TOP_ACTIVITY_ADJ_TYPE = "top-activity";
    private android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> mAllProcNeedSort = null;
    private android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.taskstatus.ProcessInfo> mAudioIn = null;
    private android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.taskstatus.ProcessInfo> mAudioOut = null;
    private java.util.Set<java.lang.String> mBlindPkg = new android.util.ArraySet();
    private int mCurrentUserId = 0;
    private android.util.ArraySet<java.lang.Integer> mForeGroundAssocPid = null;
    private android.util.ArrayMap<java.lang.Integer, java.util.ArrayList<java.lang.String>> mForeGroundUid = null;
    private java.util.List<java.lang.String> mGcmAppList = null;
    private final com.android.server.am.HwActivityManagerService mHwAMS = com.android.server.am.HwActivityManagerService.self();
    private final com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup mKeyBackgroupInstance = com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance();
    private java.util.Set<java.lang.Integer> mKeyPercepServicePid = null;
    private com.android.server.rms.iaware.appmng.AwareAppLruBase mPrevAmsBase = null;
    private com.android.server.rms.iaware.appmng.AwareAppLruBase mPrevAwareBase = null;
    private java.util.Set<java.lang.String> mRestrainedVisWinList = null;
    private com.android.server.mtm.taskstatus.ProcessInfo mSystemuiProcInfo = null;
    private volatile long mUpdateTime = -1;
    private java.util.Set<java.lang.String> mVisibleWindowList = null;
    private java.util.Set<java.lang.String> mWidgetList = null;
    private volatile java.util.Map<com.android.server.mtm.utils.AppStatusUtils.Status, java.util.function.Predicate<com.android.server.mtm.iaware.appmng.AwareProcessInfo>> predicates = new java.util.HashMap();

    public enum Status {
        NOT_IMPORTANT("not_important"),
        PERSIST("Persist"),
        TOP_ACTIVITY("TopActivity"),
        VISIBLE_APP("VisApp"),
        FOREGROUND("Fground"),
        VISIBLEWIN("VisWin"),
        WIDGET("Widget"),
        ASSOC_WITH_FG("FgAssoc"),
        KEYBACKGROUND("KeyBground"),
        BACKUP_APP("BackApp"),
        HEAVY_WEIGHT_APP("HeaWeiApp"),
        PREV_ONECLEAN("RecTask"),
        MUSIC_PLAY("Music"),
        SOUND_RECORD("Record"),
        GUIDE("Guide"),
        DOWN_UP_LOAD("Download"),
        KEY_SYS_SERVICE("KeySys"),
        HEALTH("Health"),
        PREVIOUS("LastUse"),
        SYSTEM_APP("SysApp"),
        NON_CURRENT_USER("non_cur_user"),
        LAUNCHER("Launcher"),
        INPUT_METHOD("InputMethed"),
        WALLPAPER("WallPaper"),
        FROZEN("Frozen"),
        BLUETOOTH("Btooth"),
        TOAST_WINDOW("ToastWin"),
        FOREGROUND_APP("FgApp"),
        BLIND("Blind"),
        MUSIC_INSTANT("MusicINS"),
        NONSYSTEMUSER("NonSystemUser"),
        GCM("gcm"),
        INSMALLSAMPLELIST("InSmallSampleList"),
        ACHSCRCHANGEDNUM("AchScrChangedNum"),
        SCREENRECORD("ScreenRecord"),
        CAMERARECORD("CameraRecord"),
        RESTRAINED_VIS_WIN("RestrainedVisWin"),
        OVERSEA_APP("OverseaApp"),
        DOWNLOAD_FREEZE("DownloadFreeze"),
        PROC_STATE_CACHED("PSCached"),
        REG_KEEP_ALIVER_APP("RegKeepAlive");
        
        private java.lang.String mDescription;

        private Status(java.lang.String description) {
            this.mDescription = description;
        }

        public java.lang.String description() {
            return this.mDescription;
        }
    }

    private AppStatusUtils() {
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.PERSIST, com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$pzX_iOvm521ZtH93faodknz7Hwg.INSTANCE);
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.TOP_ACTIVITY, com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$gYXvacvzzxawxrbmBjc_KJ5lztE.INSTANCE);
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.VISIBLE_APP, com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$7E2bYrJ-nbiYmh8toQkk1ZP4THU.INSTANCE);
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.FOREGROUND, com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$6urJlXXNXnVV2wx0LEBFOLgcMzM.INSTANCE);
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.VISIBLEWIN, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$BBdDVstlycCdsjB1Z_n37eOuPtQ(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.WIDGET, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$-wSMzBKXVrqfFy3yPgdKTMxl76I(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.ASSOC_WITH_FG, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$LXoeYUH3Tnmn3-9sdWH8-ypiQc8(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.KEYBACKGROUND, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$9m0_t0g7j2ozX3QSPiUIXp1uFPw(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.BACKUP_APP, com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$evEKtntBZDMPoH3rjBl76lj0yc4.INSTANCE);
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.HEAVY_WEIGHT_APP, com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$iUWENTOSCiKEf90R5ewWLgDRytY.INSTANCE);
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.PREV_ONECLEAN, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$I64CBBsc_em4fX-qTHLTCMvH9lk(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.MUSIC_PLAY, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$IDrZ1ChK8_0DKIr3ux1Rs4ykNYw(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.SOUND_RECORD, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$r6ymesnzOOuAjDdMCL0UBLamZjI(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.GUIDE, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$5Sv82n-q6SOV4zOWz-Ms5jVh-xE(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.DOWN_UP_LOAD, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$1OSXMZtkUQfJg_ieCG7p7IWxEBw(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.KEY_SYS_SERVICE, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$e5_Etqe5ZmGUkYQCLJdHewv4Vdw(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.HEALTH, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$w7JYeLL-m6PZn1Cbb77BFG7yIqI(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.PREVIOUS, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$M5AZQ16dAqNZO-0We02bFPDUwY8(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.SYSTEM_APP, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$VL_giPGf17yhPujz4nKOAFngil0(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.NON_CURRENT_USER, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$hgZani-4SDiLI40CvUoeevoHtQM(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.LAUNCHER, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$oEgbwoM2xNwwH--OcAJGPDhhdVk(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.INPUT_METHOD, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$mx3ag2ar_Lu7P1AFajNAyghXTfs(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.WALLPAPER, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$2jvPXACn924X7xPIa0HAz9UCqH4(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.FROZEN, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$hS4gtSjisBAzW0qB3LZZAc3oap4(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.BLUETOOTH, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$9Ux1hC1YzTJQz6-r0sBsBWqUpek(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.TOAST_WINDOW, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$fTaa-6uSdQMuZ-M5Gg7ICekdMUo(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.FOREGROUND_APP, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$6NjWgXZ6NTaoRAmdPki8abYLj6o(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.BLIND, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$lQ00MtwluoSi7S3gkjgMQp5i3dc(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.MUSIC_INSTANT, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$TlMtbV7aPPd-nnyuRLDck7Uywz4(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.NONSYSTEMUSER, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$xuQ6_nhCyJ0OCThhVRzWWw-V70k(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.GCM, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$9AhkQd7i_a2cxpyZ-OnFPZC9o18(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.INSMALLSAMPLELIST, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$jvMnBNmTGKB4E9xxLKXtvbnff60(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.ACHSCRCHANGEDNUM, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$l6TyHq-xAZS1jSUVNCgiuHMAWqg(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.SCREENRECORD, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$_izxbGuTXo6Xb6qC_wXWOICm56c(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.CAMERARECORD, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$F6QyQpW2rfN0QVP-5MrVZR5eAeY(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.RESTRAINED_VIS_WIN, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$Ug8kiYuBo8Lj0MRyuhHxqORp0To(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.OVERSEA_APP, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$trmeLsS860uRpLFTVj211qaRIjQ(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.DOWNLOAD_FREEZE, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$Ci9XXk4cIZ5GHuom6L0c-_P6fUE(this));
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.PROC_STATE_CACHED, com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$zeTic1YZ3MP4rMTOde-s0tYmSXc.INSTANCE);
        this.predicates.put(com.android.server.mtm.utils.AppStatusUtils.Status.REG_KEEP_ALIVER_APP, new com.android.server.mtm.utils.-$$Lambda$AppStatusUtils$WUNj4fhdruTKJ248w50w6P87wNE(this));
    }

    static /* synthetic */ boolean lambda$new$0(com.android.server.mtm.iaware.appmng.AwareProcessInfo param) {
        return param.mProcInfo.mCurAdj < 0;
    }

    static /* synthetic */ boolean lambda$new$1(com.android.server.mtm.iaware.appmng.AwareProcessInfo param) {
        return param.mProcInfo.mCurAdj == 0;
    }

    static /* synthetic */ boolean lambda$new$2(com.android.server.mtm.iaware.appmng.AwareProcessInfo param) {
        return param.mProcInfo.mCurAdj >= 100 && param.mProcInfo.mCurAdj < 200;
    }

    static /* synthetic */ boolean lambda$new$3(com.android.server.mtm.iaware.appmng.AwareProcessInfo param) {
        return param.mProcInfo.mCurAdj < 200;
    }

    static /* synthetic */ boolean lambda$new$8(com.android.server.mtm.iaware.appmng.AwareProcessInfo param) {
        return param.mProcInfo.mCurAdj == 300;
    }

    static /* synthetic */ boolean lambda$new$9(com.android.server.mtm.iaware.appmng.AwareProcessInfo param) {
        return param.mProcInfo.mCurAdj == 400;
    }

    static /* synthetic */ boolean lambda$new$38(com.android.server.mtm.iaware.appmng.AwareProcessInfo param) {
        return param.mProcInfo.mSetProcState > 13;
    }

    public static com.android.server.mtm.utils.AppStatusUtils getInstance() {
        if (instance == null) {
            synchronized (com.android.server.mtm.utils.AppStatusUtils.class) {
                if (instance == null) {
                    instance = new com.android.server.mtm.utils.AppStatusUtils();
                }
            }
        }
        return instance;
    }

    public boolean checkAppStatus(com.android.server.mtm.utils.AppStatusUtils.Status statusType, com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        if (awareProcInfo == null) {
            android.rms.iaware.AwareLog.e("AppStatusUtils", "null AwareProcessInfo input!");
            return false;
        } else if (awareProcInfo.mProcInfo == null) {
            android.rms.iaware.AwareLog.e("AppStatusUtils", "null ProcessInfo input!");
            return false;
        } else if (-1 == awareProcInfo.mProcInfo.mCurAdj) {
            android.rms.iaware.AwareLog.e("AppStatusUtils", "mCurAdj of ProcessInfo not set!");
            return false;
        } else {
            java.util.function.Predicate<com.android.server.mtm.iaware.appmng.AwareProcessInfo> func = (java.util.function.Predicate) this.predicates.get(statusType);
            if (func == null) {
                android.rms.iaware.AwareLog.e("AppStatusUtils", "error status type input!");
                return false;
            } else if (getNewProcesses()) {
                android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> tmpAllProcNeedSort = this.mAllProcNeedSort;
                if (tmpAllProcNeedSort != null) {
                    if (!tmpAllProcNeedSort.isEmpty()) {
                        com.android.server.mtm.iaware.appmng.AwareProcessInfo newAwareProcInfo = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) tmpAllProcNeedSort.get(java.lang.Integer.valueOf(awareProcInfo.mPid));
                        if (newAwareProcInfo != null) {
                            return func.test(newAwareProcInfo);
                        }
                        return func.test(awareProcInfo);
                    }
                }
                android.rms.iaware.AwareLog.e("AppStatusUtils", "mAllProcNeedSort is null");
                return false;
            } else {
                android.rms.iaware.AwareLog.e("AppStatusUtils", "update processes status failed!");
                return false;
            }
        }
    }

    private boolean checkSystemApp(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        int uid = awareProcInfo.mProcInfo.mUid;
        int tmpCurrentUserId = this.mCurrentUserId;
        if (uid <= 10000) {
            return true;
        }
        if (uid <= tmpCurrentUserId * 100000 || uid > (100000 * tmpCurrentUserId) + 10000) {
            return false;
        }
        return true;
    }

    private boolean checkNonCurrentUser(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        return com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().isCurrentUser(awareProcInfo.mProcInfo.mUid, this.mCurrentUserId) ^ 1;
    }

    private boolean checkPrevOneClean(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        com.android.server.mtm.taskstatus.ProcessInfo tmpSystemuiProcInfo = this.mSystemuiProcInfo;
        int tmpCurrentUserId = this.mCurrentUserId;
        if (tmpSystemuiProcInfo == null) {
            return false;
        }
        if (tmpCurrentUserId == 0) {
            if (!"pers-top-activity".equals(tmpSystemuiProcInfo.mAdjType)) {
                return false;
            }
        } else if (!"top-activity".equals(tmpSystemuiProcInfo.mAdjType)) {
            return false;
        }
        com.android.server.rms.iaware.appmng.AwareAppLruBase tmpAppLruBase = this.mPrevAmsBase;
        if (tmpAppLruBase == null) {
            return false;
        }
        java.util.ArrayList<java.lang.String> packageNames = awareProcInfo.mProcInfo.mPackageName;
        if (packageNames != null) {
            if (!packageNames.isEmpty()) {
                android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> allProcNeedSort = this.mAllProcNeedSort;
                if (allProcNeedSort != null) {
                    if (!allProcNeedSort.isEmpty()) {
                        if (awareProcInfo.mProcInfo.mUid != tmpAppLruBase.mUid) {
                            return false;
                        }
                        if (!com.android.server.rms.iaware.appmng.AwareAppAssociate.isDealAsPkgUid(awareProcInfo.mProcInfo.mUid)) {
                            return true;
                        }
                        com.android.server.mtm.iaware.appmng.AwareProcessInfo prevProcInfo = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) allProcNeedSort.get(java.lang.Integer.valueOf(tmpAppLruBase.mPid));
                        if (prevProcInfo == null) {
                            return false;
                        }
                        return isPkgIncludeForTgt(packageNames, prevProcInfo.mProcInfo.mPackageName);
                    }
                }
                android.rms.iaware.AwareLog.e("AppStatusUtils", "mAllProcNeedSort is null");
                return false;
            }
        }
        return false;
    }

    private boolean checkAssocWithFg(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        android.util.ArrayMap<java.lang.Integer, java.util.ArrayList<java.lang.String>> tmpForeGroundUid = this.mForeGroundUid;
        android.util.ArraySet<java.lang.Integer> tmpForeGroundAssocPid = this.mForeGroundAssocPid;
        if (tmpForeGroundUid == null) {
            return false;
        }
        if ((!tmpForeGroundUid.containsKey(java.lang.Integer.valueOf(awareProcInfo.mProcInfo.mUid)) && !tmpForeGroundAssocPid.contains(java.lang.Integer.valueOf(awareProcInfo.mProcInfo.mPid))) || awareProcInfo.mProcInfo.mForegroundActivities) {
            return false;
        }
        if (!com.android.server.rms.iaware.appmng.AwareAppAssociate.isDealAsPkgUid(awareProcInfo.mProcInfo.mUid)) {
            return true;
        }
        return isPkgIncludeForTgt(awareProcInfo.mProcInfo.mPackageName, (java.util.ArrayList) tmpForeGroundUid.get(java.lang.Integer.valueOf(awareProcInfo.mProcInfo.mUid)));
    }

    /* JADX WARNING: Removed duplicated region for block: B:25:0x004a A:{RETURN} */
    private boolean checkKeySysProc(com.android.server.mtm.iaware.appmng.AwareProcessInfo r10) {
        /*
        r9 = this;
        r0 = r10.mProcInfo;
        r1 = r0.mType;
        r2 = 0;
        r3 = 2;
        if (r1 == r3) goto L_0x0009;
    L_0x0008:
        return r2;
    L_0x0009:
        r1 = r0.mCurAdj;
        r3 = 500; // 0x1f4 float:7.0E-43 double:2.47E-321;
        r4 = 1;
        if (r1 != r3) goto L_0x0011;
    L_0x0010:
        return r4;
    L_0x0011:
        r1 = r10.mHasShownUi;
        if (r1 != 0) goto L_0x001f;
    L_0x0015:
        r5 = r0.mCreatedTime;
        r7 = -1;
        r1 = (r5 > r7 ? 1 : (r5 == r7 ? 0 : -1));
        if (r1 == 0) goto L_0x001f;
    L_0x001d:
        r1 = r4;
        goto L_0x0020;
    L_0x001f:
        r1 = r2;
    L_0x0020:
        r5 = android.os.SystemClock.elapsedRealtime();
        r7 = r0.mCreatedTime;
        r5 = r5 - r7;
        r3 = r0.mUid;
        r7 = 10000; // 0x2710 float:1.4013E-41 double:4.9407E-320;
        if (r3 >= r7) goto L_0x003f;
    L_0x002d:
        r3 = r0.mCurAdj;
        r7 = 800; // 0x320 float:1.121E-42 double:3.953E-321;
        if (r3 != r7) goto L_0x0034;
    L_0x0033:
        return r4;
    L_0x0034:
        if (r1 == 0) goto L_0x004a;
    L_0x0036:
        r7 = com.android.server.rms.iaware.appmng.AppMngConfig.getKeySysDecay();
        r3 = (r5 > r7 ? 1 : (r5 == r7 ? 0 : -1));
        if (r3 >= 0) goto L_0x004a;
    L_0x003e:
        return r4;
    L_0x003f:
        if (r1 == 0) goto L_0x004a;
    L_0x0041:
        r7 = com.android.server.rms.iaware.appmng.AppMngConfig.getSysDecay();
        r3 = (r5 > r7 ? 1 : (r5 == r7 ? 0 : -1));
        if (r3 >= 0) goto L_0x004a;
    L_0x0049:
        return r4;
    L_0x004a:
        return r2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.mtm.utils.AppStatusUtils.checkKeySysProc(com.android.server.mtm.iaware.appmng.AwareProcessInfo):boolean");
    }

    private boolean checkVisibleWindow(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        java.util.Set<java.lang.String> tmpVisibleWindowList = this.mVisibleWindowList;
        if (tmpVisibleWindowList == null || tmpVisibleWindowList.isEmpty()) {
            return false;
        }
        com.android.server.mtm.taskstatus.ProcessInfo procInfo = awareProcInfo.mProcInfo;
        if (procInfo.mPackageName == null) {
            return false;
        }
        java.util.Iterator it = procInfo.mPackageName.iterator();
        while (it.hasNext()) {
            if (tmpVisibleWindowList.contains((java.lang.String) it.next())) {
                return true;
            }
        }
        return false;
    }

    private boolean checkRestrainedVisWin(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        java.util.Set<java.lang.String> tmpRestrainedVisWinList = this.mRestrainedVisWinList;
        if (tmpRestrainedVisWinList == null || tmpRestrainedVisWinList.isEmpty()) {
            return false;
        }
        com.android.server.mtm.taskstatus.ProcessInfo procInfo = awareProcInfo.mProcInfo;
        if (procInfo.mPackageName == null) {
            return false;
        }
        java.util.Iterator it = procInfo.mPackageName.iterator();
        while (it.hasNext()) {
            if (tmpRestrainedVisWinList.contains((java.lang.String) it.next())) {
                return true;
            }
        }
        return false;
    }

    private boolean checkWidget(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        java.util.Set<java.lang.String> tmpWidgetList = this.mWidgetList;
        if (tmpWidgetList == null || tmpWidgetList.isEmpty()) {
            return false;
        }
        com.android.server.mtm.taskstatus.ProcessInfo procInfo = awareProcInfo.mProcInfo;
        if (procInfo.mPackageName == null) {
            return false;
        }
        java.util.Iterator it = procInfo.mPackageName.iterator();
        while (it.hasNext()) {
            if (tmpWidgetList.contains((java.lang.String) it.next())) {
                return true;
            }
        }
        return false;
    }

    private boolean checkSoundRecord(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.taskstatus.ProcessInfo> tmpAudioIn = this.mAudioIn;
        if (tmpAudioIn == null) {
            return false;
        }
        for (java.util.Map.Entry<java.lang.Integer, com.android.server.mtm.taskstatus.ProcessInfo> m : tmpAudioIn.entrySet()) {
            com.android.server.mtm.taskstatus.ProcessInfo info = (com.android.server.mtm.taskstatus.ProcessInfo) m.getValue();
            if (awareProcInfo.mProcInfo.mPid == info.mPid) {
                return true;
            }
            if (awareProcInfo.mProcInfo.mUid == info.mUid) {
                if (!com.android.server.rms.iaware.appmng.AwareAppAssociate.isDealAsPkgUid(awareProcInfo.mProcInfo.mUid) || isPkgIncludeForTgt(awareProcInfo.mProcInfo.mPackageName, info.mPackageName)) {
                    return true;
                }
            }
        }
        return false;
    }

    private boolean checkMusicPlay(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.taskstatus.ProcessInfo> tmpAudioOut = this.mAudioOut;
        if (tmpAudioOut == null) {
            return false;
        }
        for (java.util.Map.Entry<java.lang.Integer, com.android.server.mtm.taskstatus.ProcessInfo> m : tmpAudioOut.entrySet()) {
            com.android.server.mtm.taskstatus.ProcessInfo info = (com.android.server.mtm.taskstatus.ProcessInfo) m.getValue();
            if (awareProcInfo.mProcInfo.mUid == info.mUid) {
                if (!com.android.server.rms.iaware.appmng.AwareAppAssociate.isDealAsPkgUid(awareProcInfo.mProcInfo.mUid) || isPkgIncludeForTgt(awareProcInfo.mProcInfo.mPackageName, info.mPackageName)) {
                    return true;
                }
            }
        }
        return false;
    }

    private boolean checkKeyBackGround(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        com.android.server.mtm.taskstatus.ProcessInfo procInfo = awareProcInfo.mProcInfo;
        if (procInfo.mCurAdj != 200) {
            return false;
        }
        if (!"fg-service".equals(procInfo.mAdjType) && !"service".equals(procInfo.mAdjType)) {
            return true;
        }
        java.util.Set<java.lang.Integer> tmpKeyPercepServicePid = this.mKeyPercepServicePid;
        if (tmpKeyPercepServicePid != null && tmpKeyPercepServicePid.contains(java.lang.Integer.valueOf(procInfo.mPid))) {
            return true;
        }
        return false;
    }

    private boolean checkPrevious(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        if (awareProcInfo.mProcInfo.mCurAdj == 700) {
            return true;
        }
        if (awareProcInfo.mProcInfo.mCurAdj < 200) {
            return false;
        }
        java.util.ArrayList<java.lang.String> packageNames = awareProcInfo.mProcInfo.mPackageName;
        if (packageNames != null) {
            if (!packageNames.isEmpty()) {
                com.android.server.rms.iaware.appmng.AwareAppLruBase tmpAppLruBase = this.mPrevAwareBase;
                if (tmpAppLruBase == null) {
                    return false;
                }
                android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> allProcNeedSort = this.mAllProcNeedSort;
                if (allProcNeedSort != null) {
                    if (!allProcNeedSort.isEmpty()) {
                        if (awareProcInfo.mProcInfo.mUid != tmpAppLruBase.mUid) {
                            return false;
                        }
                        if (!com.android.server.rms.iaware.appmng.AwareAppAssociate.isDealAsPkgUid(awareProcInfo.mProcInfo.mUid)) {
                            return true;
                        }
                        com.android.server.mtm.iaware.appmng.AwareProcessInfo prevProcInfo = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) allProcNeedSort.get(java.lang.Integer.valueOf(tmpAppLruBase.mPid));
                        if (prevProcInfo == null) {
                            return false;
                        }
                        return isPkgIncludeForTgt(packageNames, prevProcInfo.mProcInfo.mPackageName);
                    }
                }
                android.rms.iaware.AwareLog.e("AppStatusUtils", "mAllProcNeedSort is null");
                return false;
            }
        }
        return false;
    }

    private boolean checkLauncher(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        return awareProcInfo.mProcInfo.mUid == com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getCurHomeProcessUid();
    }

    private java.lang.String getMainPkgName(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        java.util.ArrayList<java.lang.String> packageNames = awareProcInfo.mProcInfo.mPackageName;
        if (packageNames != null) {
            if (!packageNames.isEmpty()) {
                return (java.lang.String) packageNames.get(0);
            }
        }
        return null;
    }

    private boolean checkInputMethod(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        java.lang.String mainPackageName = getMainPkgName(awareProcInfo);
        if (mainPackageName == null || !mainPackageName.equals(com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getDefaultInputMethod())) {
            return false;
        }
        return true;
    }

    private boolean checkWallPaper(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        java.lang.String mainPackageName = getMainPkgName(awareProcInfo);
        if (mainPackageName == null || !mainPackageName.equals(com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getDefaultWallPaper())) {
            return false;
        }
        return true;
    }

    private boolean checkFrozen(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        return com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().isAppFrozen(awareProcInfo.mProcInfo.mUid);
    }

    private boolean checkBluetooth(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        return com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().isAppBluetooth(awareProcInfo.mProcInfo.mUid);
    }

    private boolean checkDownloadFrozen(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        return com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().isNotBeClean(getMainPkgName(awareProcInfo));
    }

    private boolean checkToastWindow(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        return com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().isToastWindow(awareProcInfo.mProcInfo.mPid);
    }

    private boolean checkKeyBackgroupByState(int state, com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        com.android.server.mtm.taskstatus.ProcessInfo procInfo = awareProcInfo.mProcInfo;
        if (this.mKeyBackgroupInstance == null) {
            return false;
        }
        return this.mKeyBackgroupInstance.checkKeyBackgroupByState(state, procInfo.mPid, procInfo.mUid, procInfo.mPackageName);
    }

    public boolean getNewProcesses() {
        if (android.os.SystemClock.elapsedRealtimeNanos() - this.mUpdateTime <= 10000000) {
            return true;
        }
        if (this.mHwAMS == null) {
            return false;
        }
        return updateNewProcesses();
    }

    /* JADX WARNING: Removed duplicated region for block: B:9:0x0024  */
    /* JADX WARNING: Removed duplicated region for block: B:8:0x0023 A:{RETURN} */
    private boolean updateNewProcesses() {
        /*
        r30 = this;
        r0 = r30;
        r1 = com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance();
        r1 = r1.getProcessInfoList();
        r2 = r0.mHwAMS;
        r2 = r2.getAllProcessBaseInfo();
        r3 = r1.isEmpty();
        r5 = 0;
        if (r3 != 0) goto L_0x0020;
    L_0x0017:
        r3 = r2.isEmpty();
        if (r3 == 0) goto L_0x001e;
    L_0x001d:
        goto L_0x0020;
    L_0x001e:
        r3 = r5;
        goto L_0x0021;
    L_0x0020:
        r3 = 1;
    L_0x0021:
        if (r3 == 0) goto L_0x0024;
    L_0x0023:
        return r5;
    L_0x0024:
        r5 = new android.util.ArrayMap;
        r5.<init>();
        r6 = new android.util.ArrayMap;
        r6.<init>();
        r7 = new android.util.ArraySet;
        r7.<init>();
        r8 = new android.util.ArrayMap;
        r8.<init>();
        r9 = new android.util.ArrayMap;
        r9.<init>();
        r10 = new java.util.HashSet;
        r10.<init>();
        r11 = new java.util.HashSet;
        r11.<init>();
        r12 = new android.util.ArraySet;
        r12.<init>();
        r13 = new android.util.ArrayMap;
        r13.<init>();
        r14 = com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance();
        r14 = r14.getCurUserId();
        r15 = 0;
        r4 = r1.iterator();
    L_0x005e:
        r16 = r4.hasNext();
        r17 = r1;
        if (r16 == 0) goto L_0x00e6;
    L_0x0066:
        r16 = r4.next();
        r1 = r16;
        r1 = (com.android.server.mtm.taskstatus.ProcessInfo) r1;
        if (r1 != 0) goto L_0x0074;
        r18 = r3;
        goto L_0x0085;
    L_0x0074:
        r18 = r3;
        r3 = r1.mPid;
        r3 = java.lang.Integer.valueOf(r3);
        r3 = r2.get(r3);
        r3 = (com.android.server.mtm.iaware.appmng.AwareProcessBaseInfo) r3;
        if (r3 != 0) goto L_0x008a;
    L_0x0085:
        r1 = r17;
        r3 = r18;
        goto L_0x005e;
    L_0x008a:
        r19 = r2;
        r2 = r3.mCurAdj;
        r1.mCurAdj = r2;
        r2 = r3.mSetProcState;
        r1.mSetProcState = r2;
        r2 = r3.mForegroundActivities;
        r1.mForegroundActivities = r2;
        r2 = r3.mAdjType;
        r1.mAdjType = r2;
        r2 = r3.mAppUid;
        r1.mAppUid = r2;
        r0.updateForeGroundUid(r1, r6, r7);
        r2 = new com.android.server.mtm.iaware.appmng.AwareProcessInfo;
        r20 = r4;
        r4 = r1.mPid;
        r2.<init>(r4, r1);
        r4 = r3.mHasShownUi;
        r2.mHasShownUi = r4;
        r4 = r1.mPid;
        r4 = java.lang.Integer.valueOf(r4);
        r5.put(r4, r2);
        r0.updateAudioIn(r2, r1, r8);
        r0.updateAudioOut(r2, r1, r9);
        r4 = r1.mCurAdj;
        r21 = r2;
        r2 = 200; // 0xc8 float:2.8E-43 double:9.9E-322;
        if (r4 >= r2) goto L_0x00d1;
    L_0x00c7:
        r2 = r1.mUid;
        r2 = java.lang.Integer.valueOf(r2);
        r12.add(r2);
        goto L_0x00d4;
    L_0x00d1:
        r0.updatePerceptibleApp(r1, r11, r13, r12);
    L_0x00d4:
        r2 = r0.isSystemUI(r1, r14);
        if (r2 == 0) goto L_0x00dc;
        r15 = r1;
    L_0x00dc:
        r1 = r17;
        r3 = r18;
        r2 = r19;
        r4 = r20;
        goto L_0x005e;
    L_0x00e6:
        r19 = r2;
        r18 = r3;
        r1 = 0;
        r2 = 0;
        r3 = r13.entrySet();
        r3 = r3.iterator();
    L_0x00f4:
        r4 = r3.hasNext();
        if (r4 == 0) goto L_0x019b;
    L_0x00fa:
        r4 = r3.next();
        r4 = (java.util.Map.Entry) r4;
        r16 = r4.getKey();
        r22 = r1;
        r1 = r16;
        r1 = (java.lang.Integer) r1;
        r1 = r1.intValue();
        r16 = r4.getValue();
        r23 = r2;
        r2 = r16;
        r2 = (java.lang.Integer) r2;
        r2 = r2.intValue();
        r24 = r3;
        r3 = java.lang.Integer.valueOf(r2);
        r3 = r12.contains(r3);
        if (r3 == 0) goto L_0x0135;
    L_0x0128:
        r3 = java.lang.Integer.valueOf(r1);
        r10.add(r3);
    L_0x0130:
        r25 = r2;
        r2 = 200; // 0xc8 float:2.8E-43 double:9.9E-322;
        goto L_0x0195;
    L_0x0135:
        r3 = java.lang.Integer.valueOf(r2);
        r3 = r11.contains(r3);
        if (r3 != 0) goto L_0x0147;
    L_0x013f:
        r3 = java.lang.Integer.valueOf(r1);
        r10.add(r3);
        goto L_0x0130;
    L_0x0147:
        r3 = new android.util.ArraySet;
        r3.<init>();
        r25 = r2;
        r2 = com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance();
        r2.getAssocClientListForPid(r1, r3);
        r2 = r3.iterator();
    L_0x0159:
        r16 = r2.hasNext();
        if (r16 == 0) goto L_0x0193;
    L_0x015f:
        r16 = r2.next();
        r26 = r2;
        r2 = r16;
        r2 = (java.lang.Integer) r2;
        r16 = r5.get(r2);
        r27 = r2;
        r2 = r16;
        r2 = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) r2;
        if (r2 != 0) goto L_0x0179;
        r2 = r26;
        goto L_0x0159;
    L_0x0179:
        r28 = r3;
        r3 = r2.mProcInfo;
        r3 = r3.mCurAdj;
        r29 = r2;
        r2 = 200; // 0xc8 float:2.8E-43 double:9.9E-322;
        if (r3 > r2) goto L_0x018d;
    L_0x0185:
        r3 = java.lang.Integer.valueOf(r1);
        r10.add(r3);
        goto L_0x0195;
        r2 = r26;
        r3 = r28;
        goto L_0x0159;
    L_0x0193:
        r2 = 200; // 0xc8 float:2.8E-43 double:9.9E-322;
    L_0x0195:
        r3 = r24;
        r2 = r25;
        goto L_0x00f4;
    L_0x019b:
        r22 = r1;
        r23 = r2;
        r1 = android.os.SystemClock.elapsedRealtimeNanos();
        r0.mUpdateTime = r1;
        r0.mCurrentUserId = r14;
        r0.mForeGroundUid = r6;
        r0.mForeGroundAssocPid = r7;
        r0.mAllProcNeedSort = r5;
        r0.mAudioIn = r8;
        r0.mAudioOut = r9;
        r0.mKeyPercepServicePid = r10;
        r1 = com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance();
        r1 = r1.getPreviousByAmsInfo();
        r0.mPrevAmsBase = r1;
        r1 = com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance();
        r1 = r1.getPreviousAppInfo();
        r0.mPrevAwareBase = r1;
        r0.mSystemuiProcInfo = r15;
        r30.updateVisibleWindowList();
        r30.updateWidgetList();
        r30.updateGcm();
        r1 = 1;
        return r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.mtm.utils.AppStatusUtils.updateNewProcesses():boolean");
    }

    private void updateGcm() {
        com.android.server.rms.algorithm.AwareUserHabit habit = com.android.server.rms.algorithm.AwareUserHabit.getInstance();
        if (habit != null) {
            java.util.List<java.lang.String> tmp = new java.util.ArrayList();
            java.util.List<java.lang.String> result = habit.getGCMAppList();
            if (result != null) {
                tmp.addAll(result);
            }
            this.mGcmAppList = tmp;
        }
    }

    private boolean isSystemUI(com.android.server.mtm.taskstatus.ProcessInfo procInfo, int currentUserId) {
        java.util.ArrayList<java.lang.String> packageNames = procInfo.mPackageName;
        if (packageNames != null) {
            if (!packageNames.isEmpty()) {
                if ("com.android.systemui".equals(packageNames.get(0)) && currentUserId == android.os.UserHandle.getUserId(procInfo.mUid)) {
                    return true;
                }
                return false;
            }
        }
        return false;
    }

    private void updateAudioOut(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo, com.android.server.mtm.taskstatus.ProcessInfo procInfo, android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.taskstatus.ProcessInfo> tmp_mAudioOut) {
        if (checkKeyBackgroupByState(2, awareProcInfo)) {
            tmp_mAudioOut.put(java.lang.Integer.valueOf(procInfo.mPid), procInfo);
        }
    }

    private void updateAudioIn(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo, com.android.server.mtm.taskstatus.ProcessInfo procInfo, android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.taskstatus.ProcessInfo> tmp_mAudioIn) {
        if (checkKeyBackgroupByState(1, awareProcInfo)) {
            tmp_mAudioIn.put(java.lang.Integer.valueOf(procInfo.mPid), procInfo);
        }
    }

    private void updatePerceptibleApp(com.android.server.mtm.taskstatus.ProcessInfo procInfo, java.util.Set<java.lang.Integer> tmp_fgServiceUid, android.util.ArrayMap<java.lang.Integer, java.lang.Integer> tmp_percepServicePid, android.util.ArraySet<java.lang.Integer> tmp_importUid) {
        if (procInfo.mCurAdj != 200) {
            return;
        }
        if ("fg-service".equals(procInfo.mAdjType)) {
            tmp_fgServiceUid.add(java.lang.Integer.valueOf(procInfo.mUid));
        } else if ("service".equals(procInfo.mAdjType)) {
            tmp_percepServicePid.put(java.lang.Integer.valueOf(procInfo.mPid), java.lang.Integer.valueOf(procInfo.mUid));
        } else {
            tmp_importUid.add(java.lang.Integer.valueOf(procInfo.mUid));
        }
    }

    private void updateForeGroundUid(com.android.server.mtm.taskstatus.ProcessInfo procInfo, android.util.ArrayMap<java.lang.Integer, java.util.ArrayList<java.lang.String>> tmp_mForeGroundUid, android.util.ArraySet<java.lang.Integer> tmp_mForeGroundAssocPid) {
        if (procInfo.mForegroundActivities) {
            com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getAssocProvider(procInfo.mPid, tmp_mForeGroundAssocPid);
            if (com.android.server.rms.iaware.appmng.AwareAppAssociate.isDealAsPkgUid(procInfo.mUid)) {
                tmp_mForeGroundUid.put(java.lang.Integer.valueOf(procInfo.mUid), procInfo.mPackageName);
            } else {
                tmp_mForeGroundUid.put(java.lang.Integer.valueOf(procInfo.mUid), null);
            }
        }
    }

    private void updateWidgetList() {
        this.mWidgetList = com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getWidgetsPkg();
    }

    private void updateVisibleWindowList() {
        java.util.Set<java.lang.Integer> visibleWindows = new android.util.ArraySet();
        java.util.Set<java.lang.Integer> restrainedVisWins = new android.util.ArraySet();
        java.util.Set<java.lang.String> tmpVisibleWindowList = new android.util.ArraySet();
        java.util.Set<java.lang.String> tmpRestrainedVisWinList = new android.util.ArraySet();
        android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> tmpAllProcNeedSort = this.mAllProcNeedSort;
        if (tmpAllProcNeedSort != null) {
            if (!tmpAllProcNeedSort.isEmpty()) {
                com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getVisibleWindows(visibleWindows, null);
                addVisibleWindowToList(visibleWindows, tmpVisibleWindowList, tmpAllProcNeedSort);
                this.mVisibleWindowList = tmpVisibleWindowList;
                com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getVisibleWindowsInRestriction(restrainedVisWins);
                addVisibleWindowToList(restrainedVisWins, tmpRestrainedVisWinList, tmpAllProcNeedSort);
                this.mRestrainedVisWinList = tmpRestrainedVisWinList;
                return;
            }
        }
        android.rms.iaware.AwareLog.e("AppStatusUtils", "mAllProcNeedSort is null");
    }

    private void addVisibleWindowToList(java.util.Set<java.lang.Integer> visibleWindows, java.util.Set<java.lang.String> visibleWindowList, android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> procNeedSort) {
        for (java.lang.Integer pid : visibleWindows) {
            com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) procNeedSort.get(pid);
            if (awareProcInfo != null) {
                if (awareProcInfo.mProcInfo != null) {
                    if (awareProcInfo.mProcInfo.mPackageName != null) {
                        visibleWindowList.addAll(awareProcInfo.mProcInfo.mPackageName);
                    }
                }
            }
        }
    }

    private boolean isPkgIncludeForTgt(java.util.ArrayList<java.lang.String> tgtPkg, java.util.ArrayList<java.lang.String> dstPkg) {
        if (!(tgtPkg == null || tgtPkg.isEmpty())) {
            if (dstPkg != null) {
                java.util.Iterator it = dstPkg.iterator();
                while (it.hasNext()) {
                    java.lang.String pkg = (java.lang.String) it.next();
                    if (pkg != null) {
                        if (tgtPkg.contains(pkg)) {
                            return true;
                        }
                    }
                }
                return false;
            }
        }
        return false;
    }

    public java.util.ArrayList<com.android.server.mtm.iaware.appmng.AwareProcessInfo> getAllProcNeedSort() {
        if (getNewProcesses()) {
            android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> tmpAllProcNeedSort = this.mAllProcNeedSort;
            if (tmpAllProcNeedSort != null) {
                if (!tmpAllProcNeedSort.isEmpty()) {
                    return new java.util.ArrayList(tmpAllProcNeedSort.values());
                }
            }
            android.rms.iaware.AwareLog.e("AppStatusUtils", "mAllProcNeedSort is null");
            return null;
        }
        android.rms.iaware.AwareLog.e("AppStatusUtils", "update processes status failed!");
        return null;
    }

    private boolean checkForeground(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        java.util.Set<java.lang.Integer> forePids = new android.util.ArraySet();
        com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getForeGroundApp(forePids);
        for (java.lang.Integer pid : forePids) {
            if (pid.equals(java.lang.Integer.valueOf(awareProcInfo.mPid))) {
                return true;
            }
        }
        return false;
    }

    private boolean checkBlind(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        com.android.server.mtm.taskstatus.ProcessInfo procInfo = awareProcInfo.mProcInfo;
        if (procInfo.mPackageName == null) {
            return false;
        }
        java.util.Iterator it = procInfo.mPackageName.iterator();
        while (it.hasNext()) {
            if (this.mBlindPkg.contains((java.lang.String) it.next())) {
                return true;
            }
        }
        return false;
    }

    private boolean checkMusicInstant(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        com.android.server.mtm.taskstatus.ProcessInfo procInfo = awareProcInfo.mProcInfo;
        if (this.mKeyBackgroupInstance != null) {
            if (procInfo != null) {
                return this.mKeyBackgroupInstance.checkAudioOutInstant(procInfo.mPid, procInfo.mUid, procInfo.mPackageName);
            }
        }
        return false;
    }

    private boolean checkNonSystemUser(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        if (awareProcInfo == null) {
            return false;
        }
        return com.android.server.mtm.iaware.appmng.AwareAppMngSort.getInstance().checkNonSystemUser(awareProcInfo);
    }

    private boolean checkInSmallSampleList(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        if (awareProcInfo == null) {
            return false;
        }
        return com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().isInSmallSampleList(awareProcInfo);
    }

    private boolean checkScreenChangedAcheive(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        if (awareProcInfo == null) {
            return false;
        }
        return com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().isAchScreenChangedNum(awareProcInfo);
    }

    private boolean checkScreenRecord(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        if (awareProcInfo == null) {
            return false;
        }
        return com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().isScreenRecord(awareProcInfo);
    }

    private boolean checkCameraRecord(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        if (awareProcInfo == null) {
            return false;
        }
        return com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().isCameraRecord(awareProcInfo);
    }

    public void updateBlind(java.util.Set<java.lang.String> blindPkgs) {
        if (blindPkgs == null) {
            this.mBlindPkg = new android.util.ArraySet();
        } else {
            this.mBlindPkg = blindPkgs;
        }
    }

    private boolean checkGcm(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        if (awareProcInfo != null) {
            if (awareProcInfo.mProcInfo != null) {
                if (this.mGcmAppList == null || awareProcInfo.mProcInfo.mPackageName == null) {
                    return false;
                }
                java.util.Iterator it = awareProcInfo.mProcInfo.mPackageName.iterator();
                while (it.hasNext()) {
                    if (this.mGcmAppList.contains((java.lang.String) it.next())) {
                        return true;
                    }
                }
                return false;
            }
        }
        return false;
    }

    private boolean checkOverseaApp(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        if (awareProcInfo != null) {
            if (awareProcInfo.mProcInfo != null) {
                boolean result = false;
                java.util.Iterator it = awareProcInfo.mProcInfo.mPackageName.iterator();
                while (it.hasNext()) {
                    if (android.rms.iaware.AppTypeRecoManager.getInstance().getAppWhereFrom((java.lang.String) it.next()) != 0) {
                        result = true;
                        break;
                    }
                }
                return result;
            }
        }
        return false;
    }

    private boolean checkIsRegKeepALive(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcInfo) {
        if (awareProcInfo != null) {
            if (awareProcInfo.mProcInfo != null) {
                return com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().isCurUserKeepALive(getMainPkgName(awareProcInfo), awareProcInfo.mProcInfo.mUid);
            }
        }
        return false;
    }
}
