package com.android.server.notch;

public class HwNotchScreenWhiteConfig {
    private static final boolean CHINA_AREA = android.os.SystemProperties.get("ro.config.hw_optb", "0").equals("156");
    private static final java.lang.String CURRENT_ROM_VERSION = android.os.SystemProperties.get("ro.build.version.incremental", "B001");
    public static final java.lang.String DISPLAY_NOTCH_STATUS = "display_notch_status";
    public static final int NOTCH_MODE_ALWAYS = 1;
    public static final int NOTCH_MODE_NEVER = 2;
    private static final int NOTCH_SCREEN_TYPE = 0;
    private static final java.lang.String NOTCH_SCREEN_WHITE_LIST = "notch_screen_whitelist.xml";
    private static final java.lang.String TAG = "HwNotchScreenWhiteConfig";
    private static final java.lang.String XML_ATTRIBUTE_NAME = "name";
    private static final java.lang.String XML_NONE_NOTCH_NAME = "none_notch_app";
    private static final java.lang.String XML_NONE_NOTCH_NAME_HIDE = "none_notch_app_hide";
    private static final java.lang.String XML_NONE_NOTCH_NAME_WITH_STATUSBAR = "none_notch_app_with_statusbar";
    private static final java.lang.String XML_NOTCH_APP_NAME = "notch_app";
    private static final java.lang.String XML_NOTCH_APP_NAME_HIDE = "notch_app_hide";
    private static final java.lang.String XML_NOTCH_SYSTEM_APP = "system_app";
    private static final java.lang.String XML_Notch_WhITE_LIST = "notchscreen_whitelist";
    private static com.android.server.notch.HwNotchScreenWhiteConfig hwNotchScreenWhiteConfig;
    private static final java.lang.Integer[] typeSupport = new java.lang.Integer[]{java.lang.Integer.valueOf(2009), java.lang.Integer.valueOf(2010), java.lang.Integer.valueOf(2023)};
    private java.util.Map<java.lang.String, java.lang.Integer> mAppUseNotchModeMap;
    private java.util.Map<java.lang.String, java.lang.Boolean> mInstalledAppVersionCode;
    private boolean mIsNotchSwitchOpen;
    private java.util.Map<java.lang.String, java.lang.Integer> mWhiteAppVersionCode;
    private java.util.List<java.lang.String> noneNotchAppInfos;
    private java.util.List<java.lang.String> noneNotchAppWithStatusbarInfos;
    private java.util.List<java.lang.String> noneNotchHideAppInfos;
    private java.util.List<java.lang.String> notchAppHideInfos;
    private java.util.List<java.lang.String> notchAppInfos;
    private java.util.List<java.lang.String> systemAppInfos;

    public static abstract class NotchSwitchListener {
        final android.database.ContentObserver mObserver = new android.database.ContentObserver(new android.os.Handler()) {
            public void onChange(boolean selfChange, android.net.Uri uri) {
                com.android.server.notch.HwNotchScreenWhiteConfig.NotchSwitchListener.this.onChange();
            }
        };

        public abstract void onChange();
    }

    private static class WhitelistUpdateThread extends java.lang.Thread {
        android.content.Context mContext = null;
        java.lang.String mFileName = null;

        protected WhitelistUpdateThread(android.content.Context context, java.lang.String fileName) {
            super("config update thread");
            this.mContext = context;
            this.mFileName = fileName;
        }

        public void run() {
            if (this.mFileName != null) {
                java.io.FileInputStream inputStream = null;
                android.os.ParcelFileDescriptor openFileDescriptor = null;
                try {
                    if (com.android.server.notch.HwNotchScreenWhiteConfig.CHINA_AREA) {
                        openFileDescriptor = this.mContext.getContentResolver().openFileDescriptor(android.net.Uri.parse(this.mFileName), "data/system");
                        java.io.FileDescriptor fileDescriptor = openFileDescriptor.getFileDescriptor();
                        if (fileDescriptor != null) {
                            inputStream = new java.io.FileInputStream(fileDescriptor);
                        }
                    } else {
                        inputStream = new java.io.FileInputStream(new java.io.File(this.mFileName));
                    }
                    java.io.File targetFileTemp = createFileForWrite();
                    if (!(targetFileTemp == null || inputStream == null)) {
                        parseConfigsToTargetFile(targetFileTemp, inputStream);
                    }
                } catch (java.io.FileNotFoundException e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("FileNotFoundException:");
                    stringBuilder.append(e);
                    android.util.Log.e("HwNotchScreenWhiteConfig", stringBuilder.toString());
                } catch (Throwable th) {
                    closeParcelFileDescriptor(null);
                    closeInputStream(null);
                }
                closeParcelFileDescriptor(openFileDescriptor);
                closeInputStream(inputStream);
            }
        }

        public static java.io.File createFileForWrite() {
            java.io.File dataSystemDirectory = android.os.Environment.getDataSystemDirectory();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("notch_screen_whitelist_");
            stringBuilder.append(com.android.server.notch.HwNotchScreenWhiteConfig.CURRENT_ROM_VERSION);
            stringBuilder.append(".xml");
            java.io.File file = new java.io.File(dataSystemDirectory, stringBuilder.toString());
            if (!file.exists() || file.delete()) {
                try {
                    if (file.createNewFile()) {
                        file.setReadable(true, false);
                        return file;
                    }
                    android.util.Log.e("HwNotchScreenWhiteConfig", "createFileForWrite createNewFile error!");
                    return null;
                } catch (java.io.IOException ioException) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("ioException: ");
                    stringBuilder2.append(ioException);
                    android.util.Log.e("HwNotchScreenWhiteConfig", stringBuilder2.toString());
                    return null;
                }
            }
            android.util.Log.e("HwNotchScreenWhiteConfig", "delete file error!");
            return null;
        }

        private void parseConfigsToTargetFile(java.io.File targetFile, java.io.FileInputStream inputStream) {
            java.lang.StringBuilder stringBuilder;
            java.io.BufferedReader reader = null;
            java.io.FileOutputStream outputStream = null;
            java.io.InputStreamReader inputStreamReader = null;
            java.lang.StringBuilder targetStringBuilder = new java.lang.StringBuilder();
            boolean recordStarted = true;
            try {
                inputStreamReader = new java.io.InputStreamReader(inputStream, "utf-8");
                reader = new java.io.BufferedReader(inputStreamReader);
                while (true) {
                    java.lang.String readLine = reader.readLine();
                    java.lang.String tempLineString = readLine;
                    if (readLine == null) {
                        break;
                    }
                    tempLineString = tempLineString.trim();
                    if (recordStarted) {
                        targetStringBuilder.append("<?xml version=\"1.0\" encoding=\"utf-8\"?>");
                        recordStarted = false;
                    } else {
                        targetStringBuilder.append("\n");
                        targetStringBuilder.append(tempLineString);
                    }
                }
                outputStream = new java.io.FileOutputStream(targetFile);
                byte[] outputString = targetStringBuilder.toString().getBytes("utf-8");
                outputStream.write(outputString, 0, outputString.length);
            } catch (java.io.IOException e) {
                deleteAbnormalXml(targetFile);
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("parseConfigsToTargetFile IOException :");
                stringBuilder.append(e);
                android.util.Log.e("HwNotchScreenWhiteConfig", stringBuilder.toString());
            } catch (java.lang.RuntimeException e2) {
                deleteAbnormalXml(targetFile);
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("parseConfigsToTargetFile RuntimeException :");
                stringBuilder.append(e2);
                android.util.Log.e("HwNotchScreenWhiteConfig", stringBuilder.toString());
            } catch (Throwable th) {
                closeBufferedReader(null);
                closeInputStreamReader(null);
                closeFileOutputStream(null);
                com.android.server.notch.HwNotchScreenWhiteConfig.getInstance().updateWhiteListData();
            }
            closeBufferedReader(reader);
            closeInputStreamReader(inputStreamReader);
            closeFileOutputStream(outputStream);
            com.android.server.notch.HwNotchScreenWhiteConfig.getInstance().updateWhiteListData();
        }

        private void deleteAbnormalXml(java.io.File file) {
            try {
                if (file.exists() && !file.delete()) {
                    android.util.Log.e("HwNotchScreenWhiteConfig", "delete abnormal xml error!");
                }
            } catch (java.lang.Exception e) {
                android.util.Log.e("HwNotchScreenWhiteConfig", "Delete the abnormal xml Fail!!!");
            }
        }

        private void closeBufferedReader(java.io.BufferedReader bufferedReader) {
            if (bufferedReader != null) {
                try {
                    bufferedReader.close();
                } catch (java.io.IOException e) {
                    android.util.Log.e("HwNotchScreenWhiteConfig", "closeBufferedReader error!");
                }
            }
        }

        private void closeInputStreamReader(java.io.InputStreamReader inputStreamReader) {
            if (inputStreamReader != null) {
                try {
                    inputStreamReader.close();
                } catch (java.io.IOException e) {
                    android.util.Log.e("HwNotchScreenWhiteConfig", "closeInputStreamReader error!");
                }
            }
        }

        private void closeInputStream(java.io.InputStream inputStream) {
            if (inputStream != null) {
                try {
                    inputStream.close();
                } catch (java.io.IOException e) {
                    android.util.Log.e("HwNotchScreenWhiteConfig", "closeInputStream error!");
                }
            }
        }

        private void closeFileOutputStream(java.io.FileOutputStream fileOutputStream) {
            if (fileOutputStream != null) {
                try {
                    fileOutputStream.close();
                } catch (java.io.IOException e) {
                    android.util.Log.e("HwNotchScreenWhiteConfig", "closeFileOutputStream error!");
                }
            }
        }

        private void closeParcelFileDescriptor(android.os.ParcelFileDescriptor openFileDescriptor) {
            if (openFileDescriptor != null) {
                try {
                    openFileDescriptor.close();
                } catch (java.io.IOException e) {
                    android.util.Log.e("HwNotchScreenWhiteConfig", "openFileDescriptor error!");
                }
            }
        }
    }

    public static com.android.server.notch.HwNotchScreenWhiteConfig getInstance() {
        if (hwNotchScreenWhiteConfig == null) {
            hwNotchScreenWhiteConfig = new com.android.server.notch.HwNotchScreenWhiteConfig();
        }
        return hwNotchScreenWhiteConfig;
    }

    private HwNotchScreenWhiteConfig() {
        initData();
    }

    public boolean notchSupportWindow(android.view.WindowManager.LayoutParams attrs) {
        return java.util.Arrays.asList(typeSupport).contains(java.lang.Integer.valueOf(attrs.type));
    }

    public void updateWhiteListData() {
        initData();
    }

    private void initData() {
        this.notchAppInfos = new java.util.ArrayList();
        this.noneNotchAppInfos = new java.util.ArrayList();
        this.notchAppHideInfos = new java.util.ArrayList();
        this.noneNotchHideAppInfos = new java.util.ArrayList();
        this.noneNotchAppWithStatusbarInfos = new java.util.ArrayList();
        this.systemAppInfos = new java.util.ArrayList();
        this.mWhiteAppVersionCode = new java.util.HashMap();
        this.mInstalledAppVersionCode = new java.util.HashMap();
        this.mAppUseNotchModeMap = new java.util.HashMap();
        loadNotchScreenWhiteList();
    }

    /* JADX WARNING: Removed duplicated region for block: B:27:0x0084 A:{Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072, all -> 0x006f }} */
    /* JADX WARNING: Removed duplicated region for block: B:94:? A:{SYNTHETIC, RETURN, ORIG_RETURN} */
    /* JADX WARNING: Removed duplicated region for block: B:63:0x014f A:{SYNTHETIC, Splitter: B:63:0x014f} */
    private void loadNotchScreenWhiteList() {
        /*
        r8 = this;
        r0 = 0;
        r1 = 0;
        r2 = 0;
        r3 = r2;
        r4 = new java.io.File;	 Catch:{ NoClassDefFoundError -> 0x0057, Exception -> 0x004e }
        r5 = android.os.Environment.getDataSystemDirectory();	 Catch:{ NoClassDefFoundError -> 0x0057, Exception -> 0x004e }
        r6 = new java.lang.StringBuilder;	 Catch:{ NoClassDefFoundError -> 0x0057, Exception -> 0x004e }
        r6.<init>();	 Catch:{ NoClassDefFoundError -> 0x0057, Exception -> 0x004e }
        r7 = "notch_screen_whitelist_";
        r6.append(r7);	 Catch:{ NoClassDefFoundError -> 0x0057, Exception -> 0x004e }
        r7 = CURRENT_ROM_VERSION;	 Catch:{ NoClassDefFoundError -> 0x0057, Exception -> 0x004e }
        r6.append(r7);	 Catch:{ NoClassDefFoundError -> 0x0057, Exception -> 0x004e }
        r7 = ".xml";
        r6.append(r7);	 Catch:{ NoClassDefFoundError -> 0x0057, Exception -> 0x004e }
        r6 = r6.toString();	 Catch:{ NoClassDefFoundError -> 0x0057, Exception -> 0x004e }
        r4.<init>(r5, r6);	 Catch:{ NoClassDefFoundError -> 0x0057, Exception -> 0x004e }
        r5 = r4.exists();	 Catch:{ NoClassDefFoundError -> 0x0057, Exception -> 0x004e }
        if (r5 == 0) goto L_0x0044;
    L_0x002b:
        r3 = r4;
        r5 = "HwNotchScreenWhiteConfig";
        r6 = new java.lang.StringBuilder;	 Catch:{ NoClassDefFoundError -> 0x0057, Exception -> 0x004e }
        r6.<init>();	 Catch:{ NoClassDefFoundError -> 0x0057, Exception -> 0x004e }
        r7 = "update new file:";
        r6.append(r7);	 Catch:{ NoClassDefFoundError -> 0x0057, Exception -> 0x004e }
        r6.append(r4);	 Catch:{ NoClassDefFoundError -> 0x0057, Exception -> 0x004e }
        r6 = r6.toString();	 Catch:{ NoClassDefFoundError -> 0x0057, Exception -> 0x004e }
        android.util.Log.i(r5, r6);	 Catch:{ NoClassDefFoundError -> 0x0057, Exception -> 0x004e }
        goto L_0x005f;
    L_0x0044:
        r5 = "xml/notch_screen_whitelist.xml";
        r6 = 0;
        r5 = huawei.cust.HwCfgFilePolicy.getCfgFile(r5, r6);	 Catch:{ NoClassDefFoundError -> 0x0057, Exception -> 0x004e }
        r3 = r5;
        goto L_0x005f;
    L_0x004e:
        r4 = move-exception;
        r5 = "HwNotchScreenWhiteConfig";
        r6 = "HwCfgFilePolicy get notch_screen_whitelist exception";
        android.util.Log.d(r5, r6);
        goto L_0x0060;
    L_0x0057:
        r4 = move-exception;
        r5 = "HwNotchScreenWhiteConfig";
        r6 = "HwCfgFilePolicy NoClassDefFoundError";
        android.util.Log.d(r5, r6);
    L_0x0060:
        if (r3 == 0) goto L_0x007b;
    L_0x0062:
        r4 = r3.exists();	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        if (r4 == 0) goto L_0x007b;
    L_0x0068:
        r4 = new java.io.FileInputStream;	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        r4.<init>(r3);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        r0 = r4;
        goto L_0x0082;
    L_0x006f:
        r2 = move-exception;
        goto L_0x0187;
    L_0x0072:
        r2 = move-exception;
        goto L_0x015c;
    L_0x0075:
        r2 = move-exception;
        goto L_0x016a;
    L_0x0078:
        r2 = move-exception;
        goto L_0x0178;
    L_0x007b:
        r4 = "HwNotchScreenWhiteConfig";
        r5 = "notch_screen_whitelist.xml is not exist";
        android.util.Slog.w(r4, r5);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
    L_0x0082:
        if (r0 == 0) goto L_0x014d;
    L_0x0084:
        r4 = android.util.Xml.newPullParser();	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        r1 = r4;
        r1.setInput(r0, r2);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        r4 = r1.next();	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
    L_0x0090:
        r5 = 1;
        if (r4 == r5) goto L_0x014d;
    L_0x0093:
        r5 = 2;
        if (r4 != r5) goto L_0x00b0;
    L_0x0096:
        r6 = "notch_app";
        r7 = r1.getName();	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        r6 = r6.equals(r7);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        if (r6 == 0) goto L_0x00b0;
    L_0x00a2:
        r5 = "name";
        r5 = r1.getAttributeValue(r2, r5);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        r8.addNotchAppInfo(r5);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        r8.getVersionCode(r1, r5);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        goto L_0x0146;
    L_0x00b0:
        if (r4 != r5) goto L_0x00cc;
    L_0x00b2:
        r6 = "notch_app_hide";
        r7 = r1.getName();	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        r6 = r6.equals(r7);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        if (r6 == 0) goto L_0x00cc;
    L_0x00be:
        r5 = "name";
        r5 = r1.getAttributeValue(r2, r5);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        r8.addNotchAppHideInfo(r5);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        r8.getVersionCode(r1, r5);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        goto L_0x0146;
    L_0x00cc:
        if (r4 != r5) goto L_0x00e7;
    L_0x00ce:
        r6 = "none_notch_app";
        r7 = r1.getName();	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        r6 = r6.equals(r7);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        if (r6 == 0) goto L_0x00e7;
    L_0x00da:
        r5 = "name";
        r5 = r1.getAttributeValue(r2, r5);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        r8.addNoneNotchAppInfo(r5);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        r8.getVersionCode(r1, r5);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        goto L_0x0146;
    L_0x00e7:
        if (r4 != r5) goto L_0x0102;
    L_0x00e9:
        r6 = "none_notch_app_with_statusbar";
        r7 = r1.getName();	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        r6 = r6.equals(r7);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        if (r6 == 0) goto L_0x0102;
    L_0x00f5:
        r5 = "name";
        r5 = r1.getAttributeValue(r2, r5);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        r8.addNoneNotchAppWithStatusbarInfo(r5);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        r8.getVersionCode(r1, r5);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        goto L_0x0146;
    L_0x0102:
        if (r4 != r5) goto L_0x011d;
    L_0x0104:
        r6 = "none_notch_app_hide";
        r7 = r1.getName();	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        r6 = r6.equals(r7);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        if (r6 == 0) goto L_0x011d;
    L_0x0110:
        r5 = "name";
        r5 = r1.getAttributeValue(r2, r5);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        r8.addNoneNotchAppHideInfo(r5);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        r8.getVersionCode(r1, r5);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        goto L_0x0146;
    L_0x011d:
        if (r4 != r5) goto L_0x0136;
    L_0x011f:
        r5 = "system_app";
        r6 = r1.getName();	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        r5 = r5.equals(r6);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        if (r5 == 0) goto L_0x0136;
    L_0x012c:
        r5 = "name";
        r5 = r1.getAttributeValue(r2, r5);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        r8.addSystemAppInfo(r5);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        goto L_0x0146;
    L_0x0136:
        r5 = 3;
        if (r4 != r5) goto L_0x0146;
    L_0x0139:
        r5 = "notchscreen_whitelist";
        r6 = r1.getName();	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        r5 = r5.equals(r6);	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        if (r5 == 0) goto L_0x0146;
    L_0x0145:
        goto L_0x014d;
    L_0x0146:
        r5 = r1.next();	 Catch:{ FileNotFoundException -> 0x0078, XmlPullParserException -> 0x0075, IOException -> 0x0072 }
        r4 = r5;
        goto L_0x0090;
    L_0x014d:
        if (r0 == 0) goto L_0x0186;
    L_0x014f:
        r0.close();	 Catch:{ IOException -> 0x0153 }
    L_0x0152:
        goto L_0x0186;
    L_0x0153:
        r2 = move-exception;
        r4 = "HwNotchScreenWhiteConfig";
        r5 = "load notch screen config: IO Exception while closing stream";
        android.util.Log.e(r4, r5, r2);
        goto L_0x0152;
        r4 = "HwNotchScreenWhiteConfig";
        r5 = "load notch screen config: ";
        android.util.Log.e(r4, r5, r2);	 Catch:{ all -> 0x006f }
        if (r0 == 0) goto L_0x0186;
    L_0x0166:
        r0.close();	 Catch:{ IOException -> 0x0153 }
        goto L_0x0152;
        r4 = "HwNotchScreenWhiteConfig";
        r5 = "load notch screen config: ";
        android.util.Log.e(r4, r5, r2);	 Catch:{ all -> 0x006f }
        if (r0 == 0) goto L_0x0186;
    L_0x0174:
        r0.close();	 Catch:{ IOException -> 0x0153 }
        goto L_0x0152;
        r4 = "HwNotchScreenWhiteConfig";
        r5 = "load notch screen config: ";
        android.util.Log.e(r4, r5, r2);	 Catch:{ all -> 0x006f }
        if (r0 == 0) goto L_0x0186;
    L_0x0182:
        r0.close();	 Catch:{ IOException -> 0x0153 }
        goto L_0x0152;
    L_0x0186:
        return;
    L_0x0187:
        if (r0 == 0) goto L_0x0195;
    L_0x0189:
        r0.close();	 Catch:{ IOException -> 0x018d }
        goto L_0x0195;
    L_0x018d:
        r4 = move-exception;
        r5 = "HwNotchScreenWhiteConfig";
        r6 = "load notch screen config: IO Exception while closing stream";
        android.util.Log.e(r5, r6, r4);
    L_0x0195:
        throw r2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.notch.HwNotchScreenWhiteConfig.loadNotchScreenWhiteList():void");
    }

    private void getVersionCode(org.xmlpull.v1.XmlPullParser xmlParser, java.lang.String className) {
        java.lang.String code = xmlParser.getAttributeValue(null, "versionCode");
        if (!android.text.TextUtils.isEmpty(code)) {
            if (!android.text.TextUtils.isEmpty(className)) {
                int versionCode = 0;
                java.lang.String packageName = className.split("/")[0].trim();
                try {
                    versionCode = java.lang.Integer.parseInt(code);
                } catch (java.lang.NumberFormatException e) {
                    android.util.Log.e("HwNotchScreenWhiteConfig", "NumberFormatException: ", e);
                }
                if (!this.mWhiteAppVersionCode.containsKey(packageName)) {
                    this.mWhiteAppVersionCode.put(packageName, java.lang.Integer.valueOf(versionCode));
                }
                if (versionCode != 0 && getVersionCodeForPackage(packageName) >= versionCode) {
                    this.mInstalledAppVersionCode.put(packageName, java.lang.Boolean.valueOf(true));
                }
            }
        }
    }

    private int getVersionCodeForPackage(java.lang.String packageName) {
        android.content.pm.PackageInfo pkgInfo = ((android.content.pm.PackageManagerInternal) com.android.server.LocalServices.getService(android.content.pm.PackageManagerInternal.class)).getPackageInfo(packageName, 786432, android.os.Binder.getCallingUid(), android.app.ActivityManager.getCurrentUser());
        if (pkgInfo != null) {
            return pkgInfo.versionCode;
        }
        return 0;
    }

    private boolean isAdaptationNotchScreen(java.lang.String packageName) {
        if (packageName != null && this.mInstalledAppVersionCode.containsKey(packageName)) {
            return ((java.lang.Boolean) this.mInstalledAppVersionCode.get(packageName)).booleanValue();
        }
        return false;
    }

    public void updateVersionCodeInNoch(java.lang.String packageName, java.lang.String flag, int updateVersionCode) {
        if (!(packageName == null || flag == null)) {
            if (this.mWhiteAppVersionCode.containsKey(packageName)) {
                if ("add".equals(flag)) {
                    int whiteAppVersionCode = ((java.lang.Integer) this.mWhiteAppVersionCode.get(packageName)).intValue();
                    if (whiteAppVersionCode != 0 && updateVersionCode >= whiteAppVersionCode) {
                        this.mInstalledAppVersionCode.put(packageName, java.lang.Boolean.valueOf(true));
                    }
                } else if ("removed".equals(flag) && this.mInstalledAppVersionCode.containsKey(packageName)) {
                    this.mInstalledAppVersionCode.remove(packageName);
                }
            }
        }
    }

    public boolean isNotchAppInfo(com.android.server.policy.WindowManagerPolicy.WindowState win) {
        java.lang.String appInfo = win.toString();
        int size = this.notchAppInfos.size();
        int i = 0;
        while (i < size) {
            if (appInfo != null && appInfo.contains((java.lang.CharSequence) this.notchAppInfos.get(i))) {
                return isAdaptationNotchScreen(win.getOwningPackage()) ^ 1;
            }
            i++;
        }
        return false;
    }

    public boolean isNoneNotchAppInfo(com.android.server.policy.WindowManagerPolicy.WindowState win) {
        java.lang.String appInfo = win.toString();
        int size = this.noneNotchAppInfos.size();
        int i = 0;
        while (i < size) {
            if (appInfo != null && appInfo.contains((java.lang.CharSequence) this.noneNotchAppInfos.get(i))) {
                return isAdaptationNotchScreen(win.getOwningPackage()) ^ 1;
            }
            i++;
        }
        return false;
    }

    public boolean isNotchAppHideInfo(com.android.server.policy.WindowManagerPolicy.WindowState win) {
        java.lang.String appInfo = win.toString();
        int size = this.notchAppHideInfos.size();
        int i = 0;
        while (i < size) {
            if (appInfo != null && appInfo.contains((java.lang.CharSequence) this.notchAppHideInfos.get(i))) {
                return isAdaptationNotchScreen(win.getOwningPackage()) ^ 1;
            }
            i++;
        }
        return false;
    }

    public boolean isNoneNotchAppHideInfo(com.android.server.policy.WindowManagerPolicy.WindowState win) {
        java.lang.String appInfo = win.toString();
        int size = this.noneNotchHideAppInfos.size();
        int i = 0;
        while (i < size) {
            if (appInfo != null && appInfo.contains((java.lang.CharSequence) this.noneNotchHideAppInfos.get(i))) {
                return isAdaptationNotchScreen(win.getOwningPackage()) ^ 1;
            }
            i++;
        }
        return false;
    }

    public boolean isNoneNotchAppWithStatusbarInfo(com.android.server.policy.WindowManagerPolicy.WindowState win) {
        java.lang.String appInfo = win.toString();
        int size = this.noneNotchAppWithStatusbarInfos.size();
        int i = 0;
        while (i < size) {
            if (appInfo != null && appInfo.contains((java.lang.CharSequence) this.noneNotchAppWithStatusbarInfos.get(i))) {
                return isAdaptationNotchScreen(win.getOwningPackage()) ^ 1;
            }
            i++;
        }
        return false;
    }

    public boolean isSystemAppInfo(java.lang.String systemInfo) {
        int size = this.systemAppInfos.size();
        int i = 0;
        while (i < size) {
            if (systemInfo != null && systemInfo.contains((java.lang.CharSequence) this.systemAppInfos.get(i))) {
                return true;
            }
            i++;
        }
        return false;
    }

    private void addNotchAppInfo(java.lang.String notchApp) {
        if (!this.notchAppInfos.contains(notchApp)) {
            this.notchAppInfos.add(notchApp);
        }
    }

    private void addNoneNotchAppInfo(java.lang.String noneNotchApp) {
        if (!this.noneNotchAppInfos.contains(noneNotchApp)) {
            this.noneNotchAppInfos.add(noneNotchApp);
        }
    }

    private void addNotchAppHideInfo(java.lang.String notchAppHide) {
        if (!this.notchAppHideInfos.contains(notchAppHide)) {
            this.notchAppHideInfos.add(notchAppHide);
        }
    }

    private void addNoneNotchAppHideInfo(java.lang.String noneNotchAppHide) {
        if (!this.noneNotchHideAppInfos.contains(noneNotchAppHide)) {
            this.noneNotchHideAppInfos.add(noneNotchAppHide);
        }
    }

    private void addNoneNotchAppWithStatusbarInfo(java.lang.String noneNotchAppWithStatusbar) {
        if (!this.noneNotchAppWithStatusbarInfos.contains(noneNotchAppWithStatusbar)) {
            this.noneNotchAppWithStatusbarInfos.add(noneNotchAppWithStatusbar);
        }
    }

    private void addSystemAppInfo(java.lang.String systemApp) {
        if (!this.systemAppInfos.contains(systemApp)) {
            this.systemAppInfos.add(systemApp);
        }
    }

    public static void registerNotchSwitchListener(android.content.Context context, com.android.server.notch.HwNotchScreenWhiteConfig.NotchSwitchListener listener) {
        context.getContentResolver().registerContentObserver(android.provider.Settings.Secure.getUriFor("display_notch_status"), true, listener.mObserver, -1);
    }

    public static void unregisterNotchSwitchListener(android.content.Context context, com.android.server.notch.HwNotchScreenWhiteConfig.NotchSwitchListener listener) {
        context.getContentResolver().unregisterContentObserver(listener.mObserver);
    }

    public void updateWhitelistByHot(android.content.Context context, java.lang.String fileName) {
        new com.android.server.notch.HwNotchScreenWhiteConfig.WhitelistUpdateThread(context, fileName).start();
    }

    public java.util.List<java.lang.String> getNotchSystemApps() {
        return this.systemAppInfos;
    }

    public void removeAppUseNotchMode(java.lang.String packageName) {
        if (packageName != null) {
            this.mAppUseNotchModeMap.remove(packageName);
        }
    }

    public void updateAppUseNotchMode(java.lang.String packageName, int mode) {
        if (packageName != null) {
            this.mAppUseNotchModeMap.put(packageName, java.lang.Integer.valueOf(mode));
        }
    }

    public int getAppUseNotchMode(java.lang.String packageName) {
        if (packageName != null) {
            if (!this.mIsNotchSwitchOpen) {
                if (this.mAppUseNotchModeMap.containsKey(packageName)) {
                    return ((java.lang.Integer) this.mAppUseNotchModeMap.get(packageName)).intValue();
                }
                return -1;
            }
        }
        return -1;
    }

    public void setNotchSwitchStatus(boolean isNotchSwitchOpen) {
        this.mIsNotchSwitchOpen = isNotchSwitchOpen;
    }
}
