package com.android.server.notification;

public class HwNotificationManagerService extends com.android.server.notification.NotificationManagerService {
    private static final java.lang.String BIND_ACTION = "com.huawei.recsys.action.THIRD_REQUEST_ENGINE";
    private static final long BIND_TIMEOUT = 10000;
    private static final java.lang.String BUSINESS_NAME = "notification";
    private static final java.lang.String CONTENTVIEW_REVERTING_FLAG = "HW_CONTENTVIEW_REVERTING_FLAG";
    private static final boolean CUST_DIALER_ENABLE = android.os.SystemProperties.get("ro.product.custom", "NULL").contains("docomo");
    private static final boolean DEBUG = true;
    private static final int EVENT_MARK_AS_GAME = 4;
    private static final int EVENT_MOVE_BACKGROUND = 2;
    private static final int EVENT_MOVE_FRONT = 1;
    private static final int EVENT_REPLACE_FRONT = 3;
    private static final boolean HWRIDEMODE_FEATURE_SUPPORTED = android.os.SystemProperties.getBoolean("ro.config.ride_mode", false);
    static final int INIT_CFG_DELAY = 10000;
    private static final java.lang.String KEY_SMART_NOTIFICATION_SWITCH = "smart_notification_switch";
    private static final java.lang.String NOTIFICATION_ACTION_ALLOW = "com.huawei.notificationmanager.notification.allow";
    private static final java.lang.String NOTIFICATION_ACTION_ALLOW_FORAPK = "com.huawei.notificationmanager.notification.allow.forAPK";
    private static final java.lang.String NOTIFICATION_ACTION_REFUSE = "com.huawei.notificationmanager.notification.refuse";
    private static final java.lang.String NOTIFICATION_ACTION_REFUSE_FORAPK = "com.huawei.notificationmanager.notification.refuse.forAPK";
    private static final java.lang.String NOTIFICATION_CENTER_ORIGIN_PKG = "hw_origin_sender_package_name";
    private static final java.lang.String NOTIFICATION_CENTER_PKG = "com.huawei.android.pushagent";
    static final int NOTIFICATION_CFG_REMIND = 0;
    private static final java.lang.String[] NOTIFICATION_NARROW_DISPLAY_APPS = new java.lang.String[]{"com.android.contacts"};
    private static final int NOTIFICATION_PRIORITY_MULTIPLIER = 10;
    private static final java.lang.String[] NOTIFICATION_WHITE_APPS_PACKAGE = new java.lang.String[]{"com.huawei.intelligent"};
    private static final int OPERATOR_QUERY = 1;
    private static final java.lang.String PACKAGE_NAME_HSM = "com.huawei.systemmanager";
    private static final java.lang.String RIDEMODE_NOTIFICATION_WHITE_LIST = "com.huawei.ridemode,com.huawei.sos,com.android.phone,com.android.server.telecom,com.android.incallui,com.android.deskclock,com.android.cellbroadcastreceiver";
    private static final java.lang.String RULE_NAME = "ongoingAndNormalRules";
    private static final java.lang.String SERVER_PAKAGE_NAME = "com.huawei.recsys";
    private static final int SMCS_NOTIFICATION_GET_NOTI = 1;
    static final java.lang.String TAG = "HwNotificationManagerService";
    private static final java.lang.String TYPE_COUNSELING_MESSAGE = "102";
    private static final java.lang.String TYPE_IGNORE = "0";
    private static final java.lang.String TYPE_INFORMATION = "3";
    private static final java.lang.String TYPE_MUSIC = "103";
    private static final java.lang.String TYPE_PROMOTION = "2";
    private static final java.lang.String TYPE_TOOLS = "107";
    private static final java.lang.String WHITELIST_LABLE = "200";
    private static final boolean mIsChina = "CN".equalsIgnoreCase(android.os.SystemProperties.get("ro.product.locale.region", ""));
    private static int sRemoveableFlag;
    private static int sUpdateRemovableFlag;
    final android.net.Uri URI_NOTIFICATION_CFG;
    private android.os.BatteryManagerInternal mBatteryManagerInternal;
    private java.util.List<java.lang.String> mBtwList;
    com.android.server.notification.HwNotificationManagerService.DBContentObserver mCfgDBObserver;
    java.util.Map<java.lang.String, java.lang.Integer> mCfgMap;
    private android.database.ContentObserver mContentObserver;
    android.content.Context mContext;
    private com.android.server.notification.HwCustZenModeHelper mCust;
    private android.content.BroadcastReceiver mHangButtonReceiver;
    private com.android.server.notification.HwNotificationManagerService.HwGameObserver mHwGameObserver;
    android.os.Handler mHwHandler;
    private final com.android.server.statusbar.HwStatusBarManagerService.HwNotificationDelegate mHwNotificationDelegate;
    private com.huawei.recsys.aidl.HwRecSysAidlInterface mHwRecSysAidlInterface;
    private java.lang.Object mLock;
    private java.util.ArrayList<com.android.server.notification.HwNotificationManagerService.NotificationContentViewRecord> mOriginContentViews;
    private android.os.Handler mRecHandler;
    private android.os.HandlerThread mRecHandlerThread;
    private android.util.ArrayMap<java.lang.String, java.lang.String> mRecognizeMap;
    private android.content.ServiceConnection mServiceConnection;
    private android.util.ArrayMap<java.lang.Integer, java.lang.Boolean> mSmartNtfSwitchMap;

    private class DBContentObserver extends android.database.ContentObserver {
        public DBContentObserver() {
            super(null);
        }

        public void onChange(boolean selfChange) {
            android.util.Slog.v("HwNotificationManagerService", "Notification db cfg changed");
            com.android.server.notification.HwNotificationManagerService.this.mHwHandler.post(new com.android.server.notification.HwNotificationManagerService.HwCfgLoadingRunnable(com.android.server.notification.HwNotificationManagerService.this, null));
        }
    }

    private class HwCfgLoadingRunnable implements java.lang.Runnable {
        private HwCfgLoadingRunnable() {
        }

        /* synthetic */ HwCfgLoadingRunnable(com.android.server.notification.HwNotificationManagerService x0, com.android.server.notification.HwNotificationManagerService.AnonymousClass1 x1) {
            this();
        }

        public void run() {
            new java.lang.Thread("HwCfgLoading") {
                public void run() {
                    com.android.server.notification.HwNotificationManagerService.HwCfgLoadingRunnable.this.load();
                }
            }.start();
        }

        /* JADX WARNING: Removed duplicated region for block: B:62:0x015c A:{Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c, all -> 0x0175 }} */
        /* JADX WARNING: Removed duplicated region for block: B:62:0x015c A:{Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c, all -> 0x0175 }} */
        /* JADX WARNING: Removed duplicated region for block: B:72:0x0178  */
        /* JADX WARNING: Removed duplicated region for block: B:72:0x0178  */
        /* JADX WARNING: Missing block: B:66:0x0167, code:
            if (r2 != null) goto L_0x0169;
     */
        private void load() {
            /*
            r18 = this;
            r1 = r18;
            r0 = "HwNotificationManagerService";
            r2 = "HwCfgLoadingRunnable: Starts ";
            android.util.Slog.v(r0, r2);
            r2 = 0;
            r0 = 0;
            r3 = r0;
            r0 = com.android.server.notification.HwNotificationManagerService.this;	 Catch:{ Exception -> 0x0021 }
            r0 = r0.mContext;	 Catch:{ Exception -> 0x0021 }
            r4 = "com.huawei.systemmanager";
            r5 = 0;
            r6 = new android.os.UserHandle;	 Catch:{ Exception -> 0x0021 }
            r7 = android.app.ActivityManager.getCurrentUser();	 Catch:{ Exception -> 0x0021 }
            r6.<init>(r7);	 Catch:{ Exception -> 0x0021 }
            r0 = r0.createPackageContextAsUser(r4, r5, r6);	 Catch:{ Exception -> 0x0021 }
            goto L_0x002a;
        L_0x0021:
            r0 = move-exception;
            r4 = "HwNotificationManagerService";
            r5 = "HwCfgLoadingRunnable : Fail to convert context";
            android.util.Slog.w(r4, r5);
            r0 = 0;
        L_0x002a:
            r3 = r0;
            if (r3 != 0) goto L_0x002e;
        L_0x002d:
            return;
        L_0x002e:
            r4 = r3.getContentResolver();	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            r0 = com.android.server.notification.HwNotificationManagerService.this;	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            r5 = r0.URI_NOTIFICATION_CFG;	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            r6 = 0;
            r7 = 0;
            r8 = 0;
            r9 = 0;
            r0 = r4.query(r5, r6, r7, r8, r9);	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            r2 = r0;
            if (r2 != 0) goto L_0x0064;
        L_0x0041:
            r0 = "HwNotificationManagerService";
            r4 = "HwCfgLoadingRunnable : Fail to get cfg from DB";
            android.util.Slog.w(r0, r4);	 Catch:{ RuntimeException -> 0x005f, Exception -> 0x005a, all -> 0x0055 }
            if (r2 == 0) goto L_0x004d;
        L_0x004a:
            r2.close();
        L_0x004d:
            r0 = "HwNotificationManagerService";
            r4 = "HwCfgLoadingRunnable: Ends. ";
            android.util.Slog.v(r0, r4);
            return;
        L_0x0055:
            r0 = move-exception;
            r17 = r3;
            goto L_0x0176;
        L_0x005a:
            r0 = move-exception;
            r17 = r3;
            goto L_0x0153;
        L_0x005f:
            r0 = move-exception;
            r17 = r3;
            goto L_0x0160;
        L_0x0064:
            r0 = new java.util.HashMap;	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            r0.<init>();	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            r4 = r0;
            r0 = new java.util.ArrayList;	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            r0.<init>();	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            r5 = r0;
            r0 = r2.getCount();	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            if (r0 <= 0) goto L_0x0109;
        L_0x0076:
            r0 = "packageName";
            r0 = r2.getColumnIndex(r0);	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            r6 = "sound_vibrate";
            r6 = r2.getColumnIndex(r6);	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            r7 = "channelid";
            r7 = r2.getColumnIndex(r7);	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            r8 = "lockscreencfg";
            r8 = r2.getColumnIndex(r8);	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            r9 = "channelimportance";
            r9 = r2.getColumnIndex(r9);	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            r10 = "channelbypassdnd";
            r10 = r2.getColumnIndex(r10);	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            r11 = "channeliconbadge";
            r11 = r2.getColumnIndex(r11);	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
        L_0x00a1:
            r12 = r2.moveToNext();	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            if (r12 == 0) goto L_0x0109;
        L_0x00a7:
            r12 = r2.getString(r0);	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            r13 = android.text.TextUtils.isEmpty(r12);	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            if (r13 == 0) goto L_0x00b7;
            r16 = r0;
            r17 = r3;
            goto L_0x0104;
        L_0x00b7:
            r13 = r2.getInt(r6);	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            r14 = r2.getString(r7);	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            r15 = com.android.server.notification.HwNotificationManagerService.this;	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            r15 = r15.pkgAndCidKey(r12, r14);	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            r16 = r0;
            r0 = "miscellaneous";
            r0 = r0.equals(r14);	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            if (r0 == 0) goto L_0x00fa;
        L_0x00cf:
            r0 = new com.android.server.notification.RankingHelper$NotificationSysMgrCfg;	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            r0.<init>();	 Catch:{ RuntimeException -> 0x015d, Exception -> 0x0150, all -> 0x014c }
            r17 = r3;
            r3 = android.app.ActivityManager.getCurrentUser();	 Catch:{ RuntimeException -> 0x014a, Exception -> 0x0148 }
            r0.smc_userId = r3;	 Catch:{ RuntimeException -> 0x014a, Exception -> 0x0148 }
            r0.smc_packageName = r12;	 Catch:{ RuntimeException -> 0x014a, Exception -> 0x0148 }
            r3 = r2.getInt(r8);	 Catch:{ RuntimeException -> 0x014a, Exception -> 0x0148 }
            r0.smc_visilibity = r3;	 Catch:{ RuntimeException -> 0x014a, Exception -> 0x0148 }
            r3 = r2.getInt(r9);	 Catch:{ RuntimeException -> 0x014a, Exception -> 0x0148 }
            r0.smc_importance = r3;	 Catch:{ RuntimeException -> 0x014a, Exception -> 0x0148 }
            r3 = r2.getInt(r10);	 Catch:{ RuntimeException -> 0x014a, Exception -> 0x0148 }
            r0.smc_bypassDND = r3;	 Catch:{ RuntimeException -> 0x014a, Exception -> 0x0148 }
            r3 = r2.getInt(r11);	 Catch:{ RuntimeException -> 0x014a, Exception -> 0x0148 }
            r0.smc_iconBadge = r3;	 Catch:{ RuntimeException -> 0x014a, Exception -> 0x0148 }
            r5.add(r0);	 Catch:{ RuntimeException -> 0x014a, Exception -> 0x0148 }
            goto L_0x00fc;
        L_0x00fa:
            r17 = r3;
        L_0x00fc:
            r0 = java.lang.Integer.valueOf(r13);	 Catch:{ RuntimeException -> 0x014a, Exception -> 0x0148 }
            r4.put(r15, r0);	 Catch:{ RuntimeException -> 0x014a, Exception -> 0x0148 }
        L_0x0104:
            r0 = r16;
            r3 = r17;
            goto L_0x00a1;
        L_0x0109:
            r17 = r3;
            r0 = com.android.server.notification.HwNotificationManagerService.this;	 Catch:{ RuntimeException -> 0x014a, Exception -> 0x0148 }
            r0.setSysMgrCfgMap(r5);	 Catch:{ RuntimeException -> 0x014a, Exception -> 0x0148 }
            r0 = com.android.server.notification.HwNotificationManagerService.this;	 Catch:{ RuntimeException -> 0x014a, Exception -> 0x0148 }
            r3 = r0.mCfgMap;	 Catch:{ RuntimeException -> 0x014a, Exception -> 0x0148 }
            monitor-enter(r3);	 Catch:{ RuntimeException -> 0x014a, Exception -> 0x0148 }
            r0 = com.android.server.notification.HwNotificationManagerService.this;	 Catch:{ all -> 0x0145 }
            r0 = r0.mCfgMap;	 Catch:{ all -> 0x0145 }
            r0.clear();	 Catch:{ all -> 0x0145 }
            r0 = com.android.server.notification.HwNotificationManagerService.this;	 Catch:{ all -> 0x0145 }
            r0 = r0.mCfgMap;	 Catch:{ all -> 0x0145 }
            r0.putAll(r4);	 Catch:{ all -> 0x0145 }
            r0 = "HwNotificationManagerService";
            r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0145 }
            r6.<init>();	 Catch:{ all -> 0x0145 }
            r7 = "HwCfgLoadingRunnable: get cfg size:";
            r6.append(r7);	 Catch:{ all -> 0x0145 }
            r7 = com.android.server.notification.HwNotificationManagerService.this;	 Catch:{ all -> 0x0145 }
            r7 = r7.mCfgMap;	 Catch:{ all -> 0x0145 }
            r7 = r7.size();	 Catch:{ all -> 0x0145 }
            r6.append(r7);	 Catch:{ all -> 0x0145 }
            r6 = r6.toString();	 Catch:{ all -> 0x0145 }
            android.util.Slog.v(r0, r6);	 Catch:{ all -> 0x0145 }
            monitor-exit(r3);	 Catch:{ all -> 0x0145 }
            if (r2 == 0) goto L_0x016c;
        L_0x0144:
            goto L_0x0169;
        L_0x0145:
            r0 = move-exception;
            monitor-exit(r3);	 Catch:{ all -> 0x0145 }
            throw r0;	 Catch:{ RuntimeException -> 0x014a, Exception -> 0x0148 }
        L_0x0148:
            r0 = move-exception;
            goto L_0x0153;
        L_0x014a:
            r0 = move-exception;
            goto L_0x0160;
        L_0x014c:
            r0 = move-exception;
            r17 = r3;
            goto L_0x0176;
        L_0x0150:
            r0 = move-exception;
            r17 = r3;
        L_0x0153:
            r3 = "HwNotificationManagerService";
            r4 = "HwCfgLoadingRunnable : Exception ";
            android.util.Slog.e(r3, r4, r0);	 Catch:{ all -> 0x0175 }
            if (r2 == 0) goto L_0x016c;
        L_0x015c:
            goto L_0x0169;
        L_0x015d:
            r0 = move-exception;
            r17 = r3;
        L_0x0160:
            r3 = "HwNotificationManagerService";
            r4 = "HwCfgLoadingRunnable : RuntimeException ";
            android.util.Slog.e(r3, r4, r0);	 Catch:{ all -> 0x0175 }
            if (r2 == 0) goto L_0x016c;
        L_0x0169:
            r2.close();
        L_0x016c:
            r0 = "HwNotificationManagerService";
            r3 = "HwCfgLoadingRunnable: Ends. ";
            android.util.Slog.v(r0, r3);
            return;
        L_0x0175:
            r0 = move-exception;
        L_0x0176:
            if (r2 == 0) goto L_0x017b;
        L_0x0178:
            r2.close();
        L_0x017b:
            r3 = "HwNotificationManagerService";
            r4 = "HwCfgLoadingRunnable: Ends. ";
            android.util.Slog.v(r3, r4);
            throw r0;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.notification.HwNotificationManagerService.HwCfgLoadingRunnable.load():void");
        }
    }

    private class HwGameObserver extends com.huawei.android.app.IGameObserver.Stub {
        private HwGameObserver() {
        }

        /* synthetic */ HwGameObserver(com.android.server.notification.HwNotificationManagerService x0, com.android.server.notification.HwNotificationManagerService.AnonymousClass1 x1) {
            this();
        }

        public void onGameListChanged() {
        }

        public void onGameStatusChanged(java.lang.String packageName, int event) {
            java.lang.StringBuilder stringBuilder;
            if (!(1 == event || 3 == event)) {
                if (4 != event) {
                    if (2 == event) {
                        com.android.server.notification.HwNotificationManagerService.this.mGameDndStatus = false;
                    }
                    com.android.server.notification.HwNotificationManagerService.this.updateNotificationInGameMode();
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("onGameStatusChanged event=");
                    stringBuilder.append(event);
                    stringBuilder.append(",mGameDndStatus=");
                    stringBuilder.append(com.android.server.notification.HwNotificationManagerService.this.mGameDndStatus);
                    android.util.Log.d("HwNotificationManagerService", stringBuilder.toString());
                }
            }
            com.android.server.notification.HwNotificationManagerService.this.mGameDndStatus = true;
            com.android.server.notification.HwNotificationManagerService.this.updateNotificationInGameMode();
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onGameStatusChanged event=");
            stringBuilder.append(event);
            stringBuilder.append(",mGameDndStatus=");
            stringBuilder.append(com.android.server.notification.HwNotificationManagerService.this.mGameDndStatus);
            android.util.Log.d("HwNotificationManagerService", stringBuilder.toString());
        }
    }

    private static final class NotificationContentViewRecord {
        final int id;
        final java.lang.String pkg;
        android.widget.RemoteViews rOldBigContentView;
        final java.lang.String tag;
        final int uid;
        final int userId;

        NotificationContentViewRecord(java.lang.String pkg, int uid, java.lang.String tag, int id, int userId, android.widget.RemoteViews rOldBigContentView) {
            this.pkg = pkg;
            this.tag = tag;
            this.uid = uid;
            this.id = id;
            this.userId = userId;
            this.rOldBigContentView = rOldBigContentView;
        }

        public final java.lang.String toString() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("NotificationContentViewRecord{");
            stringBuilder.append(java.lang.Integer.toHexString(java.lang.System.identityHashCode(this)));
            stringBuilder.append(" pkg=");
            stringBuilder.append(this.pkg);
            stringBuilder.append(" uid=");
            stringBuilder.append(this.uid);
            stringBuilder.append(" id=");
            stringBuilder.append(java.lang.Integer.toHexString(this.id));
            stringBuilder.append(" tag=");
            stringBuilder.append(this.tag);
            stringBuilder.append(" userId=");
            stringBuilder.append(java.lang.Integer.toHexString(this.userId));
            stringBuilder.append("}");
            return stringBuilder.toString();
        }
    }

    static {
        sRemoveableFlag = 0;
        sUpdateRemovableFlag = 0;
        sRemoveableFlag = getStaticIntFiled("com.huawei.android.content.pm.PackageParserEx", "PARSE_IS_REMOVABLE_PREINSTALLED_APK");
        sUpdateRemovableFlag = getStaticIntFiled("com.huawei.android.content.pm.PackageParserEx", "FLAG_UPDATED_REMOVEABLE_APP");
    }

    private com.android.server.statusbar.StatusBarManagerService getStatusBarManagerService() {
        return (com.android.server.statusbar.StatusBarManagerService) android.os.ServiceManager.getService("statusbar");
    }

    public void onStart() {
        super.onStart();
        this.mBatteryManagerInternal = (android.os.BatteryManagerInternal) getLocalService(android.os.BatteryManagerInternal.class);
    }

    public HwNotificationManagerService(android.content.Context context, com.android.server.statusbar.StatusBarManagerService statusBar, com.android.server.lights.LightsService lights) {
        super(context);
        this.mHwHandler = null;
        this.mCfgDBObserver = null;
        this.mCfgMap = new java.util.HashMap();
        this.URI_NOTIFICATION_CFG = android.net.Uri.parse("content://com.huawei.systemmanager.NotificationDBProvider/notificationCfg");
        this.mLock = new java.lang.Object();
        this.mRecognizeMap = new android.util.ArrayMap();
        this.mSmartNtfSwitchMap = new android.util.ArrayMap();
        this.mHwGameObserver = null;
        this.mCust = (com.android.server.notification.HwCustZenModeHelper) huawei.cust.HwCustUtils.createObj(com.android.server.notification.HwCustZenModeHelper.class, new java.lang.Object[0]);
        this.mBtwList = new java.util.ArrayList();
        this.mBtwList.add("2");
        this.mBtwList.add("3");
        this.mBtwList.add("102");
        this.mBtwList.add("107");
        this.mHwNotificationDelegate = new com.android.server.statusbar.HwStatusBarManagerService.HwNotificationDelegate() {
            public void onNotificationResidentClear(java.lang.String pkg, java.lang.String tag, int id, int userId) {
                com.android.server.notification.HwNotificationManagerService.this.cancelNotification(android.os.Binder.getCallingUid(), android.os.Binder.getCallingPid(), pkg, tag, id, 0, 0, true, userId, 2, null);
            }
        };
        this.mHangButtonReceiver = new android.content.BroadcastReceiver() {
            public void onReceive(android.content.Context context, android.content.Intent intent) {
                if (intent != null) {
                    if (intent.getAction() != null) {
                        java.lang.String action = intent.getAction();
                        java.lang.String pkg;
                        int uid;
                        if ("com.huawei.notificationmanager.notification.allow".equals(action)) {
                            pkg = intent.getStringExtra("pkgName");
                            uid = intent.getIntExtra("uid", -1);
                            if (!(pkg == null || uid == -1)) {
                                com.android.server.notification.HwNotificationManagerService.this.recoverNotificationContentView(pkg, uid);
                            }
                        } else if (action != null && action.equals("com.huawei.notificationmanager.notification.refuse")) {
                            pkg = intent.getStringExtra("pkgName");
                            uid = intent.getIntExtra("uid", -1);
                            if (!(pkg == null || uid == -1)) {
                                synchronized (com.android.server.notification.HwNotificationManagerService.this.mOriginContentViews) {
                                    java.util.Iterator<com.android.server.notification.HwNotificationManagerService.NotificationContentViewRecord> itor = com.android.server.notification.HwNotificationManagerService.this.mOriginContentViews.iterator();
                                    while (itor.hasNext()) {
                                        com.android.server.notification.HwNotificationManagerService.NotificationContentViewRecord cvr = (com.android.server.notification.HwNotificationManagerService.NotificationContentViewRecord) itor.next();
                                        if (cvr.pkg.equals(pkg) && cvr.uid == uid) {
                                            itor.remove();
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        };
        this.mOriginContentViews = new java.util.ArrayList();
        this.mServiceConnection = new android.content.ServiceConnection() {
            public void onServiceConnected(android.content.ComponentName name, android.os.IBinder service) {
                android.util.Log.i("HwNotificationManagerService", "onServiceConnected");
                com.android.server.notification.HwNotificationManagerService.this.mHwRecSysAidlInterface = com.huawei.recsys.aidl.HwRecSysAidlInterface.Stub.asInterface(service);
                synchronized (com.android.server.notification.HwNotificationManagerService.this.mLock) {
                    com.android.server.notification.HwNotificationManagerService.this.mLock.notifyAll();
                }
            }

            public void onServiceDisconnected(android.content.ComponentName name) {
                android.util.Log.i("HwNotificationManagerService", "onServiceDisConnected");
                com.android.server.notification.HwNotificationManagerService.this.mHwRecSysAidlInterface = null;
                synchronized (com.android.server.notification.HwNotificationManagerService.this.mLock) {
                    com.android.server.notification.HwNotificationManagerService.this.mLock.notifyAll();
                }
            }
        };
        this.mContentObserver = new android.database.ContentObserver(null) {
            public void onChange(boolean selfChange) {
                super.onChange(selfChange);
                com.android.server.notification.HwNotificationManagerService.this.mRecHandler.postAtFrontOfQueue(new java.lang.Runnable() {
                    public void run() {
                        int userId = android.app.ActivityManager.getCurrentUser();
                        boolean enable = android.provider.Settings.System.getIntForUser(com.android.server.notification.HwNotificationManagerService.this.mContext.getContentResolver(), "smart_notification_switch", com.android.server.notification.HwNotificationManagerService.mIsChina, userId) == 1;
                        boolean allUserClose = true;
                        synchronized (com.android.server.notification.HwNotificationManagerService.this.mSmartNtfSwitchMap) {
                            com.android.server.notification.HwNotificationManagerService.this.mSmartNtfSwitchMap.put(java.lang.Integer.valueOf(userId), java.lang.Boolean.valueOf(enable));
                            if (com.android.server.notification.HwNotificationManagerService.this.mSmartNtfSwitchMap.containsValue(java.lang.Boolean.valueOf(true))) {
                                allUserClose = false;
                            }
                        }
                        if (allUserClose) {
                            com.android.server.notification.HwNotificationManagerService.this.unBind();
                        } else {
                            com.android.server.notification.HwNotificationManagerService.this.bindRecSys();
                        }
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("switch change to: ");
                        stringBuilder.append(enable);
                        stringBuilder.append(",userId: ");
                        stringBuilder.append(userId);
                        stringBuilder.append(", allUserClose :");
                        stringBuilder.append(allUserClose);
                        android.util.Log.i("HwNotificationManagerService", stringBuilder.toString());
                    }
                });
            }
        };
        this.mContext = context;
    }

    public HwNotificationManagerService(android.content.Context context) {
        super(context);
        this.mHwHandler = null;
        this.mCfgDBObserver = null;
        this.mCfgMap = new java.util.HashMap();
        this.URI_NOTIFICATION_CFG = android.net.Uri.parse("content://com.huawei.systemmanager.NotificationDBProvider/notificationCfg");
        this.mLock = new java.lang.Object();
        this.mRecognizeMap = new android.util.ArrayMap();
        this.mSmartNtfSwitchMap = new android.util.ArrayMap();
        this.mHwGameObserver = null;
        this.mCust = (com.android.server.notification.HwCustZenModeHelper) huawei.cust.HwCustUtils.createObj(com.android.server.notification.HwCustZenModeHelper.class, new java.lang.Object[0]);
        this.mBtwList = new java.util.ArrayList();
        this.mBtwList.add("2");
        this.mBtwList.add("3");
        this.mBtwList.add("102");
        this.mBtwList.add("107");
        this.mHwNotificationDelegate = /* anonymous class already generated */;
        this.mHangButtonReceiver = /* anonymous class already generated */;
        this.mOriginContentViews = new java.util.ArrayList();
        this.mServiceConnection = /* anonymous class already generated */;
        this.mContentObserver = /* anonymous class already generated */;
        this.mContext = context;
        com.android.server.SystemServerInitThreadPool.get().submit(new com.android.server.notification.-$$Lambda$HwNotificationManagerService$ZCrKpb82-sziMOc51dwZrcRLjWI(this), "HwNotificationManagerService init");
    }

    private void init() {
        android.content.IntentFilter filter = new android.content.IntentFilter();
        filter.addAction("com.huawei.notificationmanager.notification.allow");
        filter.addAction("com.huawei.notificationmanager.notification.refuse");
        this.mContext.registerReceiverAsUser(this.mHangButtonReceiver, android.os.UserHandle.ALL, filter, "com.android.permission.system_manager_interface", null);
        com.android.server.statusbar.StatusBarManagerService sb = getStatusBarManagerService();
        if (sb instanceof com.android.server.statusbar.HwStatusBarManagerService) {
            ((com.android.server.statusbar.HwStatusBarManagerService) sb).setHwNotificationDelegate(this.mHwNotificationDelegate);
        }
        this.mHwHandler = new android.os.Handler(android.os.Looper.getMainLooper());
        this.mHwHandler.postDelayed(new com.android.server.notification.HwNotificationManagerService.HwCfgLoadingRunnable(this, null), 10000);
        this.mCfgDBObserver = new com.android.server.notification.HwNotificationManagerService.DBContentObserver();
        this.mContext.getContentResolver().registerContentObserver(this.URI_NOTIFICATION_CFG, true, this.mCfgDBObserver, android.app.ActivityManager.getCurrentUser());
        this.mRecHandlerThread = new android.os.HandlerThread("notification manager");
        this.mRecHandlerThread.start();
        this.mRecHandler = new android.os.Handler(this.mRecHandlerThread.getLooper());
        try {
            android.content.ContentResolver cr = this.mContext.getContentResolver();
            if (cr != null) {
                cr.registerContentObserver(android.provider.Settings.System.getUriFor("smart_notification_switch"), false, this.mContentObserver, -1);
            }
            this.mContentObserver.onChange(true);
        } catch (java.lang.Exception e) {
            android.util.Log.w("HwNotificationManagerService", "init failed", e);
        }
        registerHwGameObserver();
    }

    protected void handleGetNotifications(android.os.Parcel data, android.os.Parcel reply) {
        java.util.HashSet<java.lang.String> notificationPkgs = new java.util.HashSet();
        if (this.mContext.checkCallingPermission("huawei.permission.IBINDER_NOTIFICATION_SERVICE") != 0) {
            android.util.Slog.e("HwNotificationManagerService", "NotificationManagerService.handleGetNotifications: permissin deny");
            return;
        }
        getNotificationPkgs_hwHsm(notificationPkgs);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("NotificationManagerService.handleGetNotifications: got ");
        stringBuilder.append(notificationPkgs.size());
        stringBuilder.append(" pkgs");
        android.util.Slog.v("HwNotificationManagerService", stringBuilder.toString());
        reply.writeInt(notificationPkgs.size());
        java.util.Iterator<java.lang.String> it = notificationPkgs.iterator();
        while (it.hasNext()) {
            java.lang.String pkg = (java.lang.String) it.next();
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("NotificationManagerService.handleGetNotifications: reply ");
            stringBuilder.append(pkg);
            android.util.Slog.v("HwNotificationManagerService", stringBuilder.toString());
            reply.writeString(pkg);
        }
    }

    void getNotificationPkgs_hwHsm(java.util.HashSet<java.lang.String> notificationPkgs) {
        if (notificationPkgs != null) {
            if (notificationPkgs.size() > 0) {
                notificationPkgs.clear();
            }
            synchronized (this.mNotificationList) {
                int N = this.mNotificationList.size();
                if (N == 0) {
                    return;
                }
                for (int i = 0; i < N; i++) {
                    com.android.server.notification.NotificationRecord r = (com.android.server.notification.NotificationRecord) this.mNotificationList.get(i);
                    if (r != null) {
                        java.lang.String sPkg = r.sbn.getPackageName();
                        if (sPkg != null && sPkg.length() > 0) {
                            notificationPkgs.add(sPkg);
                        }
                    }
                }
            }
        }
    }

    private int indexOfContentViewLocked(java.lang.String pkg, java.lang.String tag, int id, int userId) {
        synchronized (this.mOriginContentViews) {
            java.util.ArrayList<com.android.server.notification.HwNotificationManagerService.NotificationContentViewRecord> list = this.mOriginContentViews;
            int len = list.size();
            for (int i = 0; i < len; i++) {
                com.android.server.notification.HwNotificationManagerService.NotificationContentViewRecord r = (com.android.server.notification.HwNotificationManagerService.NotificationContentViewRecord) list.get(i);
                if (userId == -1 || r.userId == -1 || r.userId == userId) {
                    if (r.id == id) {
                        if (tag == null) {
                            if (r.tag != null) {
                            }
                        } else if (!tag.equals(r.tag)) {
                        }
                        if (r.pkg.equals(pkg)) {
                            return i;
                        }
                    }
                }
            }
            return -1;
        }
    }

    private void recoverNotificationContentView(java.lang.String pkg, int uid) {
        java.lang.String str = pkg;
        synchronized (this.mOriginContentViews) {
            java.util.Iterator<com.android.server.notification.HwNotificationManagerService.NotificationContentViewRecord> itor = this.mOriginContentViews.iterator();
            while (itor.hasNext()) {
                com.android.server.notification.HwNotificationManagerService.NotificationContentViewRecord cvr = (com.android.server.notification.HwNotificationManagerService.NotificationContentViewRecord) itor.next();
                if (cvr.pkg.equals(str)) {
                    com.android.server.notification.NotificationRecord r = findNotificationByListLocked(this.mNotificationList, cvr.pkg, cvr.tag, cvr.id, cvr.userId);
                    if (r != null) {
                        r.sbn.getNotification().bigContentView = cvr.rOldBigContentView;
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("revertNotificationView enqueueNotificationInternal pkg=");
                        stringBuilder.append(str);
                        stringBuilder.append(" id=");
                        stringBuilder.append(r.sbn.getId());
                        stringBuilder.append(" userId=");
                        stringBuilder.append(r.sbn.getUserId());
                        android.util.Slog.d("HwNotificationManagerService", stringBuilder.toString());
                        r.sbn.getNotification().extras.putBoolean("HW_CONTENTVIEW_REVERTING_FLAG", true);
                        enqueueNotificationInternal(str, r.sbn.getOpPkg(), r.sbn.getUid(), r.sbn.getInitialPid(), r.sbn.getTag(), r.sbn.getId(), r.sbn.getNotification(), r.sbn.getUserId());
                        itor.remove();
                    } else {
                        android.util.Slog.w("HwNotificationManagerService", "Notification can't find in NotificationRecords");
                    }
                }
            }
        }
    }

    protected boolean isHwSoundAllow(java.lang.String pkg, java.lang.String channelId, int userId) {
        java.lang.Integer cfg;
        java.lang.String key = pkgAndCidKey(pkg, channelId);
        synchronized (this.mCfgMap) {
            cfg = (java.lang.Integer) this.mCfgMap.get(key);
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isHwSoundAllow pkg=");
        stringBuilder.append(pkg);
        stringBuilder.append(", channelId=");
        stringBuilder.append(channelId);
        stringBuilder.append(", userId=");
        stringBuilder.append(userId);
        stringBuilder.append(", cfg=");
        stringBuilder.append(cfg);
        android.util.Slog.v("HwNotificationManagerService", stringBuilder.toString());
        if (cfg != null) {
            return (cfg.intValue() & 1) != 0;
        } else {
            return true;
        }
    }

    protected boolean isHwVibrateAllow(java.lang.String pkg, java.lang.String channelId, int userId) {
        java.lang.Integer cfg;
        java.lang.String key = pkgAndCidKey(pkg, channelId);
        synchronized (this.mCfgMap) {
            cfg = (java.lang.Integer) this.mCfgMap.get(key);
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isHwVibrateAllow pkg=");
        stringBuilder.append(pkg);
        stringBuilder.append(", channelId=");
        stringBuilder.append(channelId);
        stringBuilder.append(", userId=");
        stringBuilder.append(userId);
        stringBuilder.append(", cfg=");
        stringBuilder.append(cfg);
        android.util.Slog.v("HwNotificationManagerService", stringBuilder.toString());
        if (cfg != null) {
            if ((cfg.intValue() & 2) == 0) {
                return false;
            }
        }
        return true;
    }

    private java.lang.String pkgAndCidKey(java.lang.String pkg, java.lang.String channelId) {
        java.lang.StringBuilder key = new java.lang.StringBuilder();
        key.append(pkg);
        key.append("_");
        key.append(channelId);
        return key.toString();
    }

    @java.lang.Deprecated
    protected int modifyScoreBySM(java.lang.String pkg, int callingUid, int origScore) {
        return origScore;
    }

    protected void detectNotifyBySM(int callingUid, java.lang.String pkg, android.app.Notification notification) {
        android.content.Intent intent = new android.content.Intent("com.huawei.notificationmanager.detectnotify");
        intent.putExtra("callerUid", callingUid);
        intent.putExtra("packageName", pkg);
        android.os.Bundle bundle = new android.os.Bundle();
        bundle.putParcelable("sendNotify", notification);
        intent.putExtra("notifyBundle", bundle);
    }

    protected void hwEnqueueNotificationWithTag(java.lang.String pkg, int uid, com.android.server.notification.NotificationRecord nr) {
        if (nr.sbn.getNotification().extras.getBoolean("HW_CONTENTVIEW_REVERTING_FLAG", false)) {
            nr.sbn.getNotification().extras.putBoolean("HW_CONTENTVIEW_REVERTING_FLAG", false);
        }
    }

    protected boolean inNonDisturbMode(java.lang.String pkg) {
        if (pkg == null) {
            return false;
        }
        return isWhiteApp(pkg);
    }

    private boolean isWhiteApp(java.lang.String pkg) {
        if (this.mCust != null && this.mCust.getWhiteApps(this.mContext) != null) {
            return java.util.Arrays.asList(this.mCust.getWhiteApps(this.mContext)).contains(pkg);
        }
        java.lang.String[] DEFAULT_WHITEAPP = new java.lang.String[]{"com.android.mms", "com.android.contacts"};
        if (this.mContext == null) {
            return false;
        }
        for (java.lang.String pkgname : DEFAULT_WHITEAPP) {
            if (pkgname.equals(pkg)) {
                return true;
            }
        }
        return false;
    }

    protected boolean isImportantNotification(java.lang.String pkg, android.app.Notification notification) {
        if (notification != null) {
            if (notification.priority >= 3) {
                if ((pkg.equals("com.android.phone") || pkg.equals("com.android.mms") || pkg.equals("com.android.contacts") || pkg.equals("com.android.server.telecom")) && notification.priority < 7) {
                    return true;
                }
                return false;
            }
        }
        return false;
    }

    protected boolean isMmsNotificationEnable(java.lang.String pkg) {
        if (pkg == null || (!pkg.equalsIgnoreCase("com.android.mms") && !pkg.equalsIgnoreCase("com.android.contacts"))) {
            return false;
        }
        return true;
    }

    protected void hwCancelNotification(java.lang.String pkg, java.lang.String tag, int id, int userId) {
        synchronized (this.mOriginContentViews) {
            int indexView = indexOfContentViewLocked(pkg, tag, id, userId);
            if (indexView >= 0) {
                this.mOriginContentViews.remove(indexView);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("hwCancelNotification: pkg = ");
                stringBuilder.append(pkg);
                stringBuilder.append(", id = ");
                stringBuilder.append(id);
                android.util.Slog.d("HwNotificationManagerService", stringBuilder.toString());
            }
        }
    }

    protected void updateLight(boolean enable, int ledOnMS, int ledOffMS) {
        this.mBatteryManagerInternal.updateBatteryLight(enable, ledOnMS, ledOffMS);
    }

    protected void handleUserSwitchEvents(int userId) {
        if (this.mCfgDBObserver != null) {
            this.mHwHandler.post(new com.android.server.notification.HwNotificationManagerService.HwCfgLoadingRunnable(this, null));
            this.mContext.getContentResolver().unregisterContentObserver(this.mCfgDBObserver);
            this.mContext.getContentResolver().registerContentObserver(this.URI_NOTIFICATION_CFG, true, this.mCfgDBObserver, android.app.ActivityManager.getCurrentUser());
        }
    }

    protected void stopPlaySound() {
        this.mSoundNotificationKey = null;
        long identity = android.os.Binder.clearCallingIdentity();
        try {
            android.media.IRingtonePlayer player = this.mAudioManager.getRingtonePlayer();
            if (player != null) {
                player.stopAsync();
            }
        } catch (android.os.RemoteException e) {
        } catch (Throwable th) {
            android.os.Binder.restoreCallingIdentity(identity);
        }
        android.os.Binder.restoreCallingIdentity(identity);
    }

    protected boolean isAFWUserId(int userId) {
        boolean temp = false;
        long token = android.os.Binder.clearCallingIdentity();
        try {
            android.content.pm.UserInfo userInfo = com.android.server.pm.UserManagerService.getInstance().getUserInfo(userId);
            if (userInfo != null) {
                boolean z;
                if (!userInfo.isManagedProfile()) {
                    if (!userInfo.isClonedProfile()) {
                        z = false;
                        temp = z;
                    }
                }
                z = true;
                temp = z;
            }
        } catch (java.lang.Exception e) {
        } catch (Throwable th) {
            android.os.Binder.restoreCallingIdentity(token);
        }
        android.os.Binder.restoreCallingIdentity(token);
        return temp;
    }

    protected void addHwExtraForNotification(android.app.Notification notification, java.lang.String pkg, int pid) {
        if (isIntentProtectedApp(pkg)) {
            notification.extras.putBoolean("com.huawei.isIntentProtectedApp", true);
        }
    }

    private boolean isIntentProtectedApp(java.lang.String pkg) {
        com.android.server.security.trustspace.TrustSpaceManagerInternal mTrustSpaceManagerInternal = (com.android.server.security.trustspace.TrustSpaceManagerInternal) com.android.server.LocalServices.getService(com.android.server.security.trustspace.TrustSpaceManagerInternal.class);
        if (mTrustSpaceManagerInternal != null) {
            return mTrustSpaceManagerInternal.isIntentProtectedApp(pkg);
        }
        android.util.Slog.e("HwNotificationManagerService", "TrustSpaceManagerInternal not find !");
        return false;
    }

    protected int getNCTargetAppUid(java.lang.String opPkg, java.lang.String pkg, int defaultUid, android.app.Notification notification) {
        int uid = defaultUid;
        if ("com.huawei.android.pushagent".equals(opPkg)) {
            android.os.Bundle bundle = notification.extras;
            if (bundle != null) {
                java.lang.String targetPkg = bundle.getString("hw_origin_sender_package_name");
                if (targetPkg != null && targetPkg.equals(pkg)) {
                    try {
                        android.content.pm.ApplicationInfo ai = android.app.AppGlobals.getPackageManager().getApplicationInfo(targetPkg, 0, android.os.UserHandle.getCallingUserId());
                        if (ai != null) {
                            uid = ai.uid;
                        }
                    } catch (java.lang.Exception e) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("Unknown package pkg:");
                        stringBuilder.append(targetPkg);
                        android.util.Slog.w("HwNotificationManagerService", stringBuilder.toString());
                    }
                }
            }
        }
        return uid;
    }

    protected java.lang.String getNCTargetAppPkg(java.lang.String opPkg, java.lang.String defaultPkg, android.app.Notification notification) {
        java.lang.String pkg = defaultPkg;
        if (!"com.huawei.android.pushagent".equals(opPkg)) {
            return pkg;
        }
        android.os.Bundle bundle = notification.extras;
        if (bundle == null) {
            return pkg;
        }
        java.lang.String targetPkg = bundle.getString("hw_origin_sender_package_name");
        if (targetPkg == null || !isVaildPkg(targetPkg)) {
            return pkg;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Notification Center targetPkg:");
        stringBuilder.append(targetPkg);
        android.util.Slog.v("HwNotificationManagerService", stringBuilder.toString());
        return targetPkg;
    }

    private boolean isVaildPkg(java.lang.String pkg) {
        try {
            if (android.app.AppGlobals.getPackageManager().getApplicationInfo(pkg, 0, android.os.UserHandle.getCallingUserId()) == null) {
                return false;
            }
            return true;
        } catch (android.os.RemoteException e) {
            return false;
        }
    }

    protected boolean isBlockRideModeNotification(java.lang.String pkg) {
        return HWRIDEMODE_FEATURE_SUPPORTED && android.os.SystemProperties.getBoolean("sys.ride_mode", false) && !"com.huawei.ridemode,com.huawei.sos,com.android.phone,com.android.server.telecom,com.android.incallui,com.android.deskclock,com.android.cellbroadcastreceiver".contains(pkg);
    }

    public void reportToIAware(java.lang.String pkg, int uid, int nid, boolean added) {
        if (pkg != null) {
            if (!pkg.isEmpty()) {
                android.rms.HwSysResManager resManager = android.rms.HwSysResManager.getInstance();
                if (resManager != null && resManager.isResourceNeeded(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_APPASSOC))) {
                    android.os.Bundle bundleArgs = new android.os.Bundle();
                    bundleArgs.putString("pkgname", pkg);
                    bundleArgs.putInt("tgtUid", uid);
                    bundleArgs.putInt("notification_id", nid);
                    bundleArgs.putInt("relationType", added ? 20 : 21);
                    android.rms.iaware.CollectData data = new android.rms.iaware.CollectData(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_APPASSOC), java.lang.System.currentTimeMillis(), bundleArgs);
                    long id = android.os.Binder.clearCallingIdentity();
                    resManager.reportData(data);
                    android.os.Binder.restoreCallingIdentity(id);
                }
            }
        }
    }

    protected boolean isFromPinNotification(android.app.Notification notification, java.lang.String pkg) {
        return isPkgInWhiteApp(pkg) && notification.extras.getBoolean("pin_notification");
    }

    private boolean isPkgInWhiteApp(java.lang.String pkg) {
        for (java.lang.String s : NOTIFICATION_WHITE_APPS_PACKAGE) {
            if (s.equals(pkg)) {
                return true;
            }
        }
        return false;
    }

    protected boolean isGameRunningForeground() {
        com.android.server.am.HwActivityManagerService mAms = com.android.server.am.HwActivityManagerService.self();
        if (mAms != null) {
            return mAms.isGameDndOn();
        }
        android.util.Slog.e("HwNotificationManagerService", "Canot obtain HwActivityManagerService , mAms is null");
        return false;
    }

    protected boolean isGameDndSwitchOn() {
        java.lang.String GAME_DND_MODE = "game_dnd_mode";
        if (android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "game_dnd_mode", 2) == 1) {
            return true;
        }
        return false;
    }

    protected boolean isPackageRequestNarrowNotification() {
        java.lang.String topPkg = getTopPkgName();
        for (java.lang.String pkg : NOTIFICATION_NARROW_DISPLAY_APPS) {
            if (pkg.equalsIgnoreCase(topPkg)) {
                return true;
            }
        }
        return false;
    }

    private java.lang.String getTopPkgName() {
        android.app.ActivityManager am = (android.app.ActivityManager) this.mContext.getSystemService("activity");
        java.util.List<android.app.ActivityManager.RunningTaskInfo> tasks = null;
        if (am != null) {
            tasks = am.getRunningTasks(1);
        }
        android.app.ActivityManager.RunningTaskInfo runningTaskInfo = null;
        if (!(tasks == null || tasks.isEmpty())) {
            runningTaskInfo = (android.app.ActivityManager.RunningTaskInfo) tasks.get(0);
        }
        if (runningTaskInfo != null) {
            return runningTaskInfo.topActivity.getPackageName();
        }
        return "";
    }

    private void registerHwGameObserver() {
        if (this.mHwGameObserver == null) {
            this.mHwGameObserver = new com.android.server.notification.HwNotificationManagerService.HwGameObserver(this, null);
        }
        com.android.server.am.HwActivityManagerService.self().registerGameObserver(this.mHwGameObserver);
    }

    private void updateNotificationInGameMode() {
        synchronized (this.mNotificationLock) {
            updateLightsLocked();
        }
    }

    public void bindRecSys() {
        this.mRecHandler.post(new java.lang.Runnable() {
            public void run() {
                com.android.server.notification.HwNotificationManagerService.this.bind();
            }
        });
    }

    private void bind() {
        if (this.mHwRecSysAidlInterface != null) {
            android.util.Log.d("HwNotificationManagerService", "bind: already binded");
            return;
        }
        try {
            android.util.Log.i("HwNotificationManagerService", "bind service: action=com.huawei.recsys.action.THIRD_REQUEST_ENGINE, pkg=com.huawei.recsys");
            android.content.Intent intent = new android.content.Intent();
            intent.setAction("com.huawei.recsys.action.THIRD_REQUEST_ENGINE");
            intent.setPackage("com.huawei.recsys");
            boolean ret = this.mContext.bindService(intent, this.mServiceConnection, 1);
            if (ret) {
                synchronized (this.mLock) {
                    this.mLock.wait(10000);
                }
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("bind service finish, ret=");
            stringBuilder.append(ret);
            android.util.Log.i("HwNotificationManagerService", stringBuilder.toString());
        } catch (java.lang.Exception e) {
            android.util.Log.e("HwNotificationManagerService", "bind service failed!", e);
        }
    }

    private void unBind() {
        if (this.mHwRecSysAidlInterface == null) {
            android.util.Log.d("HwNotificationManagerService", "unbind: already unbinded");
            return;
        }
        try {
            android.util.Log.i("HwNotificationManagerService", "unbind service");
            this.mContext.unbindService(this.mServiceConnection);
            android.util.Log.i("HwNotificationManagerService", "unbind service finish");
        } catch (java.lang.Exception e) {
            android.util.Log.e("HwNotificationManagerService", "unbind service failed!", e);
        }
        this.mHwRecSysAidlInterface = null;
    }

    /* JADX WARNING: Missing block: B:22:0x00aa, code:
            if (isSystemApp(r15, r12) == false) goto L_0x00c2;
     */
    /* JADX WARNING: Missing block: B:23:0x00ac, code:
            android.util.Log.i("HwNotificationManagerService", "recognize: system app");
            r2 = r1.mRecognizeMap;
     */
    /* JADX WARNING: Missing block: B:24:0x00b5, code:
            monitor-enter(r2);
     */
    /* JADX WARNING: Missing block: B:26:?, code:
            r1.mRecognizeMap.put(r8, "0");
     */
    /* JADX WARNING: Missing block: B:27:0x00bd, code:
            monitor-exit(r2);
     */
    /* JADX WARNING: Missing block: B:28:0x00be, code:
            return;
     */
    /* JADX WARNING: Missing block: B:33:0x00c4, code:
            if (r1.mHwRecSysAidlInterface == null) goto L_0x0194;
     */
    /* JADX WARNING: Missing block: B:36:0x00ce, code:
            r2 = r2;
            r19 = r8;
     */
    /* JADX WARNING: Missing block: B:38:?, code:
            r3 = r1.mHwRecSysAidlInterface.doNotificationCollect(new android.service.notification.StatusBarNotification(r15, r15, r10, r11, r12, r13, r14, r25, null, java.lang.System.currentTimeMillis()));
     */
    /* JADX WARNING: Missing block: B:39:0x00e9, code:
            if (r3 != null) goto L_0x00ec;
     */
    /* JADX WARNING: Missing block: B:40:0x00eb, code:
            return;
     */
    /* JADX WARNING: Missing block: B:42:0x00f2, code:
            if (r3.equals("0") == false) goto L_0x011d;
     */
    /* JADX WARNING: Missing block: B:43:0x00f4, code:
            r4 = r1.mRecognizeMap;
     */
    /* JADX WARNING: Missing block: B:44:0x00f6, code:
            monitor-enter(r4);
     */
    /* JADX WARNING: Missing block: B:49:?, code:
            r1.mRecognizeMap.put(r19, r3);
     */
    /* JADX WARNING: Missing block: B:50:0x00fe, code:
            monitor-exit(r4);
     */
    /* JADX WARNING: Missing block: B:52:?, code:
            r4 = new java.lang.StringBuilder();
            r4.append("recognize: just ignore type : ");
            r4.append(r3);
            android.util.Log.d("HwNotificationManagerService", r4.toString());
     */
    /* JADX WARNING: Missing block: B:53:0x0115, code:
            return;
     */
    /* JADX WARNING: Missing block: B:54:0x0116, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:55:0x0118, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:56:0x0119, code:
            r5 = r19;
     */
    /* JADX WARNING: Missing block: B:58:?, code:
            monitor-exit(r4);
     */
    /* JADX WARNING: Missing block: B:60:?, code:
            throw r0;
     */
    /* JADX WARNING: Missing block: B:61:0x011d, code:
            r5 = r19;
     */
    /* JADX WARNING: Missing block: B:62:0x0125, code:
            if (r3.equals("103") == false) goto L_0x0132;
     */
    /* JADX WARNING: Missing block: B:63:0x0127, code:
            r14.extras.putString("hw_type", "type_music");
     */
    /* JADX WARNING: Missing block: B:64:0x0132, code:
            r14.extras.putString("hw_type", r3);
     */
    /* JADX WARNING: Missing block: B:65:0x0139, code:
            r14.extras.putBoolean("hw_btw", r1.mBtwList.contains(r3));
            r0 = "HwNotificationManagerService";
            r4 = new java.lang.StringBuilder();
            r4.append("doNotificationCollect: pkg=");
            r4.append(r15);
            r4.append(", uid=");
     */
    /* JADX WARNING: Missing block: B:68:?, code:
            r4.append(r27);
            r4.append(", hw_type=");
            r4.append(r3);
            r4.append(", hw_btw=");
            r4.append(r1.mBtwList.contains(r3));
            android.util.Log.i(r0, r4.toString());
     */
    /* JADX WARNING: Missing block: B:69:0x017d, code:
            r0 = e;
     */
    /* JADX WARNING: Missing block: B:70:0x017f, code:
            r0 = e;
     */
    /* JADX WARNING: Missing block: B:71:0x0180, code:
            r6 = r27;
     */
    /* JADX WARNING: Missing block: B:72:0x0183, code:
            r0 = e;
     */
    /* JADX WARNING: Missing block: B:73:0x0184, code:
            r5 = r19;
            r6 = r27;
     */
    /* JADX WARNING: Missing block: B:74:0x0189, code:
            r0 = e;
     */
    /* JADX WARNING: Missing block: B:75:0x018a, code:
            r5 = r8;
            r6 = r12;
     */
    /* JADX WARNING: Missing block: B:76:0x018c, code:
            android.util.Log.e("HwNotificationManagerService", "doNotificationCollect failed", r0);
     */
    /* JADX WARNING: Missing block: B:77:0x0194, code:
            r5 = r8;
            r6 = r12;
     */
    /* JADX WARNING: Missing block: B:78:0x0196, code:
            return;
     */
    public void recognize(java.lang.String r22, int r23, android.app.Notification r24, android.os.UserHandle r25, java.lang.String r26, int r27, int r28) {
        /*
        r21 = this;
        r1 = r21;
        r14 = r24;
        r15 = r26;
        r12 = r27;
        r13 = r28;
        r0 = mIsChina;
        if (r0 != 0) goto L_0x0016;
    L_0x000e:
        r0 = "HwNotificationManagerService";
        r2 = "recognize: not in china";
        android.util.Log.i(r0, r2);
        return;
    L_0x0016:
        r0 = r21.isFeartureDisable();
        if (r0 == 0) goto L_0x0024;
    L_0x001c:
        r0 = "HwNotificationManagerService";
        r2 = "recognize: feature is disabled";
        android.util.Log.i(r0, r2);
        return;
    L_0x0024:
        r0 = "HwNotificationManagerService";
        r2 = new java.lang.StringBuilder;
        r2.<init>();
        r3 = "recognize: tag=";
        r2.append(r3);
        r11 = r22;
        r2.append(r11);
        r3 = ", id=";
        r2.append(r3);
        r10 = r23;
        r2.append(r10);
        r3 = ", user=";
        r2.append(r3);
        r9 = r25;
        r2.append(r9);
        r3 = ", pkg=";
        r2.append(r3);
        r2.append(r15);
        r3 = ", uid=";
        r2.append(r3);
        r2.append(r12);
        r3 = ", callingPid=";
        r2.append(r3);
        r2.append(r13);
        r2 = r2.toString();
        android.util.Log.i(r0, r2);
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r0.append(r15);
        r0.append(r13);
        r8 = r0.toString();
        r2 = r1.mRecognizeMap;
        monitor-enter(r2);
        r0 = "0";
        r3 = r1.mRecognizeMap;	 Catch:{ all -> 0x0197 }
        r3 = r3.get(r8);	 Catch:{ all -> 0x0197 }
        r0 = r0.equals(r3);	 Catch:{ all -> 0x0197 }
        if (r0 == 0) goto L_0x00a5;
    L_0x0088:
        r0 = "HwNotificationManagerService";
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00a0 }
        r3.<init>();	 Catch:{ all -> 0x00a0 }
        r4 = "Return ! recognize the app not in list : ";
        r3.append(r4);	 Catch:{ all -> 0x00a0 }
        r3.append(r15);	 Catch:{ all -> 0x00a0 }
        r3 = r3.toString();	 Catch:{ all -> 0x00a0 }
        android.util.Log.i(r0, r3);	 Catch:{ all -> 0x00a0 }
        monitor-exit(r2);	 Catch:{ all -> 0x00a0 }
        return;
    L_0x00a0:
        r0 = move-exception;
        r5 = r8;
        r6 = r12;
        goto L_0x019a;
    L_0x00a5:
        monitor-exit(r2);	 Catch:{ all -> 0x0197 }
        r0 = r1.isSystemApp(r15, r12);
        if (r0 == 0) goto L_0x00c2;
    L_0x00ac:
        r0 = "HwNotificationManagerService";
        r2 = "recognize: system app";
        android.util.Log.i(r0, r2);
        r2 = r1.mRecognizeMap;
        monitor-enter(r2);
        r0 = r1.mRecognizeMap;	 Catch:{ all -> 0x00bf }
        r3 = "0";
        r0.put(r8, r3);	 Catch:{ all -> 0x00bf }
        monitor-exit(r2);	 Catch:{ all -> 0x00bf }
        return;
    L_0x00bf:
        r0 = move-exception;
        monitor-exit(r2);	 Catch:{ all -> 0x00bf }
        throw r0;
    L_0x00c2:
        r0 = r1.mHwRecSysAidlInterface;
        if (r0 == 0) goto L_0x0194;
    L_0x00c6:
        r0 = new android.service.notification.StatusBarNotification;	 Catch:{ Exception -> 0x0189 }
        r16 = 0;
        r17 = java.lang.System.currentTimeMillis();	 Catch:{ Exception -> 0x0189 }
        r2 = r0;
        r3 = r15;
        r4 = r15;
        r5 = r10;
        r6 = r11;
        r7 = r12;
        r19 = r8;
        r8 = r13;
        r9 = r14;
        r10 = r25;
        r11 = r16;
        r12 = r17;
        r2.<init>(r3, r4, r5, r6, r7, r8, r9, r10, r11, r12);	 Catch:{ Exception -> 0x0183 }
        r2 = r0;
        r0 = r1.mHwRecSysAidlInterface;	 Catch:{ Exception -> 0x0183 }
        r0 = r0.doNotificationCollect(r2);	 Catch:{ Exception -> 0x0183 }
        r3 = r0;
        if (r3 != 0) goto L_0x00ec;
    L_0x00eb:
        return;
    L_0x00ec:
        r0 = "0";
        r0 = r3.equals(r0);	 Catch:{ Exception -> 0x0183 }
        if (r0 == 0) goto L_0x011d;
    L_0x00f4:
        r4 = r1.mRecognizeMap;	 Catch:{ Exception -> 0x0183 }
        monitor-enter(r4);	 Catch:{ Exception -> 0x0183 }
        r0 = r1.mRecognizeMap;	 Catch:{ all -> 0x0118 }
        r5 = r19;
        r0.put(r5, r3);	 Catch:{ all -> 0x0116 }
        monitor-exit(r4);	 Catch:{ all -> 0x0116 }
        r0 = "HwNotificationManagerService";
        r4 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x017f }
        r4.<init>();	 Catch:{ Exception -> 0x017f }
        r6 = "recognize: just ignore type : ";
        r4.append(r6);	 Catch:{ Exception -> 0x017f }
        r4.append(r3);	 Catch:{ Exception -> 0x017f }
        r4 = r4.toString();	 Catch:{ Exception -> 0x017f }
        android.util.Log.d(r0, r4);	 Catch:{ Exception -> 0x017f }
        return;
    L_0x0116:
        r0 = move-exception;
        goto L_0x011b;
    L_0x0118:
        r0 = move-exception;
        r5 = r19;
    L_0x011b:
        monitor-exit(r4);	 Catch:{ all -> 0x0116 }
        throw r0;	 Catch:{ Exception -> 0x017f }
    L_0x011d:
        r5 = r19;
        r0 = "103";
        r0 = r3.equals(r0);	 Catch:{ Exception -> 0x017f }
        if (r0 == 0) goto L_0x0132;
    L_0x0127:
        r0 = r14.extras;	 Catch:{ Exception -> 0x017f }
        r4 = "hw_type";
        r6 = "type_music";
        r0.putString(r4, r6);	 Catch:{ Exception -> 0x017f }
        goto L_0x0139;
    L_0x0132:
        r0 = r14.extras;	 Catch:{ Exception -> 0x017f }
        r4 = "hw_type";
        r0.putString(r4, r3);	 Catch:{ Exception -> 0x017f }
    L_0x0139:
        r0 = r14.extras;	 Catch:{ Exception -> 0x017f }
        r4 = "hw_btw";
        r6 = r1.mBtwList;	 Catch:{ Exception -> 0x017f }
        r6 = r6.contains(r3);	 Catch:{ Exception -> 0x017f }
        r0.putBoolean(r4, r6);	 Catch:{ Exception -> 0x017f }
        r0 = "HwNotificationManagerService";
        r4 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x017f }
        r4.<init>();	 Catch:{ Exception -> 0x017f }
        r6 = "doNotificationCollect: pkg=";
        r4.append(r6);	 Catch:{ Exception -> 0x017f }
        r4.append(r15);	 Catch:{ Exception -> 0x017f }
        r6 = ", uid=";
        r4.append(r6);	 Catch:{ Exception -> 0x017f }
        r6 = r27;
        r4.append(r6);	 Catch:{ Exception -> 0x017d }
        r7 = ", hw_type=";
        r4.append(r7);	 Catch:{ Exception -> 0x017d }
        r4.append(r3);	 Catch:{ Exception -> 0x017d }
        r7 = ", hw_btw=";
        r4.append(r7);	 Catch:{ Exception -> 0x017d }
        r7 = r1.mBtwList;	 Catch:{ Exception -> 0x017d }
        r7 = r7.contains(r3);	 Catch:{ Exception -> 0x017d }
        r4.append(r7);	 Catch:{ Exception -> 0x017d }
        r4 = r4.toString();	 Catch:{ Exception -> 0x017d }
        android.util.Log.i(r0, r4);	 Catch:{ Exception -> 0x017d }
        goto L_0x0196;
    L_0x017d:
        r0 = move-exception;
        goto L_0x018c;
    L_0x017f:
        r0 = move-exception;
        r6 = r27;
        goto L_0x018c;
    L_0x0183:
        r0 = move-exception;
        r5 = r19;
        r6 = r27;
        goto L_0x018c;
    L_0x0189:
        r0 = move-exception;
        r5 = r8;
        r6 = r12;
    L_0x018c:
        r2 = "HwNotificationManagerService";
        r3 = "doNotificationCollect failed";
        android.util.Log.e(r2, r3, r0);
        goto L_0x0196;
    L_0x0194:
        r5 = r8;
        r6 = r12;
    L_0x0196:
        return;
    L_0x0197:
        r0 = move-exception;
        r5 = r8;
        r6 = r12;
    L_0x019a:
        monitor-exit(r2);	 Catch:{ all -> 0x019c }
        throw r0;
    L_0x019c:
        r0 = move-exception;
        goto L_0x019a;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.notification.HwNotificationManagerService.recognize(java.lang.String, int, android.app.Notification, android.os.UserHandle, java.lang.String, int, int):void");
    }

    private boolean isSystemApp(java.lang.String pkg, int uid) {
        if ("android".equals(pkg)) {
            return true;
        }
        boolean z = false;
        try {
            android.content.pm.ApplicationInfo ai = android.app.AppGlobals.getPackageManager().getApplicationInfo(pkg, 0, android.os.UserHandle.getUserId(uid));
            if (ai == null) {
                return false;
            }
            if (ai.isSystemApp() && !isRemoveAblePreInstall(ai, pkg)) {
                z = true;
            }
            return z;
        } catch (android.os.RemoteException e) {
            return false;
        }
    }

    public boolean isRemoveAblePreInstall(android.content.pm.ApplicationInfo ai, java.lang.String pkg) {
        boolean z = false;
        boolean removeable = false;
        try {
            int hwFlags = ((java.lang.Integer) java.lang.Class.forName("android.content.pm.ApplicationInfo").getField("hwFlags").get(ai)).intValue();
            if ((sRemoveableFlag & hwFlags) == 0) {
                if ((sUpdateRemovableFlag & hwFlags) == 0) {
                    removeable = z;
                    return removeable;
                }
            }
            z = true;
            removeable = z;
        } catch (java.lang.ClassNotFoundException e) {
            e.printStackTrace();
        } catch (java.lang.NoSuchFieldException e2) {
            e2.printStackTrace();
        } catch (java.lang.IllegalAccessException e3) {
            e3.printStackTrace();
        } catch (java.lang.Exception e4) {
            e4.printStackTrace();
        }
        return removeable;
    }

    private static int getStaticIntFiled(java.lang.String clazzName, java.lang.String fieldName) {
        try {
            return java.lang.Class.forName(clazzName).getField(fieldName).getInt(null);
        } catch (java.lang.ClassNotFoundException e) {
            e.printStackTrace();
            return 0;
        } catch (java.lang.NoSuchFieldException e2) {
            e2.printStackTrace();
            return 0;
        } catch (java.lang.IllegalAccessException e3) {
            e3.printStackTrace();
            return 0;
        } catch (java.lang.Exception e4) {
            e4.printStackTrace();
            return 0;
        }
    }

    private boolean isFeartureDisable() {
        java.lang.Throwable th;
        long callingId = android.os.Binder.clearCallingIdentity();
        boolean isDisable = false;
        boolean isDisable2 = false;
        try {
            int userId = android.app.ActivityManager.getCurrentUser();
            synchronized (this.mSmartNtfSwitchMap) {
                try {
                    if (this.mSmartNtfSwitchMap.containsKey(java.lang.Integer.valueOf(userId)) && !((java.lang.Boolean) this.mSmartNtfSwitchMap.get(java.lang.Integer.valueOf(userId))).booleanValue()) {
                        isDisable = true;
                    }
                    try {
                    } catch (java.lang.Throwable th2) {
                        java.lang.Throwable th3 = th2;
                        isDisable2 = isDisable;
                        th = th3;
                    }
                } catch (Throwable th4) {
                    th = th4;
                    throw th;
                }
            }
            return isDisable;
        } finally {
            android.os.Binder.restoreCallingIdentity(callingId);
        }
    }

    protected boolean isNotificationDisable() {
        return android.hdm.HwDeviceManager.disallowOp(102);
    }

    public boolean isAllowToShow(java.lang.String pkg, android.content.pm.ActivityInfo topActivity) {
        boolean hsmCheck = true;
        boolean isNotTopApp = (topActivity == null || pkg == null || pkg.equals(topActivity.packageName)) ? false : true;
        if (!isNotTopApp) {
            return true;
        }
        int uid = android.os.Binder.getCallingUid();
        long restoreCurId = android.os.Binder.clearCallingIdentity();
        try {
            hsmCheck = com.android.server.security.hsm.HwAddViewHelper.getInstance(getContext()).addViewPermissionCheck(pkg, 2, uid);
            return hsmCheck;
        } finally {
            android.os.Binder.restoreCallingIdentity(restoreCurId);
        }
    }

    protected boolean isCustDialer(java.lang.String packageName) {
        return CUST_DIALER_ENABLE && "com.android.dialer".equals(packageName);
    }
}
