package com.android.server.notification;

public class HwZenModeFiltering {
    private static final java.lang.String EXTRA_NUMBER_IS_SMS = "com.huawei.hsm.number_type_sms";
    private static final java.lang.String KEY_ZEN_CALL_WHITE_LIST_ENABLED = "zen_call_white_list_enabled";
    private static final java.lang.String TAG = "HwZenModeFiltering";

    public static boolean matchesCallFilter(android.content.Context context, int zen, android.service.notification.ZenModeConfig config, android.os.UserHandle userHandle, android.os.Bundle extras, com.android.server.notification.ValidateNotificationPeople validator, int contactsTimeoutMs, float timeoutAffinity) {
        boolean whiteListMode = false;
        boolean isSms = extras.getBoolean("com.huawei.hsm.number_type_sms", false);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("matchesCallFilter, isSms:");
        stringBuilder.append(isSms);
        stringBuilder.append(",allow message:");
        stringBuilder.append(config.allowMessages);
        stringBuilder.append(",allow from:");
        stringBuilder.append(config.allowMessagesFrom);
        android.util.Slog.w("HwZenModeFiltering", stringBuilder.toString());
        if (!isSms) {
            if (android.provider.Settings.Secure.getInt(context.getContentResolver(), "zen_call_white_list_enabled", 0) != 0) {
                whiteListMode = true;
            }
            if (zen == 1 && whiteListMode) {
                return com.android.server.notification.ZenModeFiltering.isRepeatCall(context, zen, config, extras);
            }
            return com.android.server.notification.ZenModeFiltering.matchesCallFilter(context, zen, config, userHandle, extras, validator, contactsTimeoutMs, timeoutAffinity);
        } else if (zen == 2 || zen == 3) {
            return false;
        } else {
            if (zen == 1) {
                if (!config.allowMessages) {
                    return false;
                }
                if (validator != null) {
                    float contactAffinity = validator.getContactAffinity(userHandle, extras, contactsTimeoutMs, timeoutAffinity);
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("matchesCallFilter , affinit:");
                    stringBuilder.append(contactAffinity);
                    android.util.Slog.w("HwZenModeFiltering", stringBuilder.toString());
                    return audienceMatches(config.allowMessagesFrom, contactAffinity);
                }
            }
            return true;
        }
    }

    private static boolean audienceMatches(int source, float contactAffinity) {
        boolean z = false;
        switch (source) {
            case 0:
                return true;
            case 1:
                if (contactAffinity >= 0.5f) {
                    z = true;
                }
                return z;
            case 2:
                if (contactAffinity >= 1.0f) {
                    z = true;
                }
                return z;
            default:
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Encountered unknown source: ");
                stringBuilder.append(source);
                android.util.Slog.w("HwZenModeFiltering", stringBuilder.toString());
                return true;
        }
    }
}
