package com.android.server.pc;

public class BluetoothReminderDialog {
    private static final java.lang.String KEY_CLOSE_BLUETOOTH = "show-close-bluetooth-tip";
    private static final java.lang.String KEY_OPEN_BLUETOOTH = "show-open-bluetooth-tip";
    private static final int NOT_SHOW_TIP = 2;
    private static final int SHOW_TIP = 1;
    public static final java.lang.String TAG = "BluetoothReminderDialog";
    public static final int TYPE_CLOSE_BLUETOOTH = 1;
    public static final int TYPE_OPEN_BLUETOOTH = 2;
    private android.app.AlertDialog mReminderDialog = null;

    private android.app.AlertDialog createDialog(final android.content.Context context, final int type) {
        if (context == null) {
            return null;
        }
        android.content.res.Resources res = context.getResources();
        android.app.AlertDialog.Builder builder = new android.app.AlertDialog.Builder(context, 33947691);
        android.view.View view = android.view.LayoutInflater.from(builder.getContext()).inflate(34013290, null);
        final android.widget.CheckBox checkBox = (android.widget.CheckBox) view.findViewById(34603229);
        checkBox.setOnCheckedChangeListener(new android.widget.CompoundButton.OnCheckedChangeListener() {
            public void onCheckedChanged(android.widget.CompoundButton buttonView, boolean isChecked) {
                if (!checkBox.isChecked()) {
                    return;
                }
                if (type == 1) {
                    android.util.HwPCUtils.bdReport(context, 10032, "");
                } else if (type == 2) {
                    android.util.HwPCUtils.bdReport(context, 10035, "");
                }
            }
        });
        android.widget.TextView textView = (android.widget.TextView) view.findViewById(34603233);
        switch (type) {
            case 1:
                textView.setText(res.getString(33685690));
                builder.setTitle(res.getString(33685532));
                break;
            case 2:
                textView.setText(res.getString(33685914));
                builder.setTitle(res.getString(33685533));
                break;
            default:
                break;
        }
        builder.setView(view);
        builder.setPositiveButton(33685535, new android.content.DialogInterface.OnClickListener() {
            public void onClick(android.content.DialogInterface dialog, int which) {
                android.bluetooth.BluetoothAdapter bluetoothAdapter = android.bluetooth.BluetoothAdapter.getDefaultAdapter();
                if (bluetoothAdapter != null) {
                    if (type == 1) {
                        bluetoothAdapter.disable();
                        android.util.HwPCUtils.bdReport(context, 10033, "");
                    } else if (type == 2) {
                        bluetoothAdapter.enable();
                        android.util.HwPCUtils.bdReport(context, 10036, "");
                    }
                }
                if (checkBox.isChecked()) {
                    com.android.server.pc.BluetoothReminderDialog.this.updateSettingsData(type, context);
                }
            }
        });
        builder.setNegativeButton(33685531, new android.content.DialogInterface.OnClickListener() {
            public void onClick(android.content.DialogInterface dialog, int which) {
                if (checkBox.isChecked()) {
                    com.android.server.pc.BluetoothReminderDialog.this.updateSettingsData(type, context);
                }
                if (type == 1) {
                    android.util.HwPCUtils.bdReport(context, 10034, "");
                } else if (type == 2) {
                    android.util.HwPCUtils.bdReport(context, 10037, "");
                }
            }
        });
        android.app.AlertDialog dialog = builder.create();
        dialog.getWindow().setType(2008);
        return dialog;
    }

    public void dismissDialog() {
        if (this.mReminderDialog != null && this.mReminderDialog.isShowing()) {
            this.mReminderDialog.dismiss();
            this.mReminderDialog = null;
        }
    }

    public void showCloseBluetoothTip(android.content.Context context) {
        dismissDialog();
        if (context != null && isShowCloseBluetoothTip(context)) {
            this.mReminderDialog = createDialog(context, 1);
            this.mReminderDialog.show();
            this.mReminderDialog.getButton(-1).setText(33685535);
            this.mReminderDialog.getButton(-2).setText(33685531);
            android.util.HwPCUtils.log("BluetoothReminderDialog", "Close bluetooth tip is showing.");
        }
    }

    public void showOpenBluetoothTip(android.content.Context context) {
        dismissDialog();
        if (context != null && isShowOpenBluetoothTip(context)) {
            this.mReminderDialog = createDialog(context, 2);
            this.mReminderDialog.show();
            this.mReminderDialog.getButton(-1).setText(33685760);
            this.mReminderDialog.getButton(-2).setText(33685531);
            android.util.HwPCUtils.log("BluetoothReminderDialog", "Open bluetooth tip is showing.");
        }
    }

    private void updateSettingsData(int type, android.content.Context context) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("updateSettingsData , type = ");
        stringBuilder.append(type);
        android.util.HwPCUtils.log("BluetoothReminderDialog", stringBuilder.toString());
        switch (type) {
            case 1:
                android.provider.Settings.Secure.putInt(context.getContentResolver(), "show-close-bluetooth-tip", 2);
                return;
            case 2:
                android.provider.Settings.Secure.putInt(context.getContentResolver(), "show-open-bluetooth-tip", 2);
                return;
            default:
                return;
        }
    }

    private boolean isShowOpenBluetoothTip(android.content.Context context) {
        boolean z = false;
        if (context == null) {
            return false;
        }
        if (android.provider.Settings.Secure.getInt(context.getContentResolver(), "show-open-bluetooth-tip", 1) == 1) {
            z = true;
        }
        return z;
    }

    private boolean isShowCloseBluetoothTip(android.content.Context context) {
        boolean z = false;
        if (context == null) {
            return false;
        }
        if (android.provider.Settings.Secure.getInt(context.getContentResolver(), "show-close-bluetooth-tip", 1) == 1) {
            z = true;
        }
        return z;
    }
}
