package com.android.server.pc;

public class HwPCDataReporter {
    public static final int BAD_VIEWPORT_EVENT_ID = 907503008;
    public static final short E907503001_DEVICENAME_VARCHAR = (short) 6;
    public static final short E907503001_DISPLAYTYPE_INT = (short) 2;
    public static final short E907503001_DPI_INT = (short) 3;
    public static final short E907503001_EXCEPTIONTYPE_INT = (short) 1;
    public static final short E907503001_HEIGHT_INT = (short) 5;
    public static final short E907503001_SERVICENAME_VARCHAR = (short) 0;
    public static final short E907503001_WIDTH_INT = (short) 4;
    public static final short E907503002_DEVICENAME_VARCHAR = (short) 6;
    public static final short E907503002_DISPLAYID_INT = (short) 7;
    public static final short E907503002_DISPLAYTYPE_INT = (short) 2;
    public static final short E907503002_DPI_INT = (short) 3;
    public static final short E907503002_FAILUREREASON_INT = (short) 0;
    public static final short E907503002_HEIGHT_INT = (short) 5;
    public static final short E907503002_PROJECTMODE_INT = (short) 1;
    public static final short E907503002_WIDTH_INT = (short) 4;
    public static final short E907503003_DISPLAYID_INT = (short) 5;
    public static final short E907503003_DISPLAYTYPE_INT = (short) 1;
    public static final short E907503003_DPI_INT = (short) 2;
    public static final short E907503003_FAILUREREASON_INT = (short) 0;
    public static final short E907503003_HEIGHT_INT = (short) 4;
    public static final short E907503003_WIDTH_INT = (short) 3;
    public static final short E907503004_PACKAGENAME_VARCHAR = (short) 0;
    public static final short E907503004_PROCESSNAME_VARCHAR = (short) 1;
    public static final short E907503004_SOURCEDISPLAYID_INT = (short) 2;
    public static final short E907503004_TARGETDISPLAYID_INT = (short) 3;
    public static final short E907503007_EXCEPTIONTYPE_INT = (short) 0;
    public static final short E907503007_KEYCODE_INT = (short) 1;
    public static final short E907503007_PACKAGENAME_VARCHAR = (short) 2;
    public static final short E907503008_DEVICENAME_VARCHAR = (short) 5;
    public static final short E907503008_DISPLAYID_INT = (short) 4;
    public static final short E907503008_DISPLAYTYPE_INT = (short) 0;
    public static final short E907503008_DPI_INT = (short) 1;
    public static final short E907503008_HEIGHT_INT = (short) 3;
    public static final short E907503008_WIDTH_INT = (short) 2;
    public static final int FAIL_TO_CONNECT_EVENT_ID = 907503001;
    public static final int FAIL_TO_ENTER_PAD_PC_EVENT_ID = 907503003;
    public static final int FAIL_TO_ENTER_PAD_PC_REASON_INCALLING = 3;
    public static final int FAIL_TO_ENTER_PAD_PC_REASON_NOTCOMPLETED = 2;
    public static final int FAIL_TO_ENTER_PAD_PC_REASON_NOTFOUNDRESOURCE = 4;
    public static final int FAIL_TO_ENTER_PAD_PC_REASON_NOTINSCENE = 1;
    public static final int FAIL_TO_LIGHT_SCREEN_EVENT_ID = 907503007;
    public static final int FAIL_TO_LIGHT_SCREEN_REASON_APPNOTRESPONSE = 2;
    public static final int FAIL_TO_LIGHT_SCREEN_REASON_IOEXCEPTION = 3;
    public static final int FAIL_TO_LIGHT_SCREEN_REASON_KEYNOTRESPONSE = 1;
    public static final int FAIL_TO_SWITCH_EVENT_ID = 907503002;
    public static final int FAIL_TO_SWITCH_REASON_DISPLAY_READDED = 1;
    public static final int FAIL_TO_SWITCH_REASON_INCALLING = 4;
    public static final int FAIL_TO_SWITCH_REASON_NOPERMISSION = 2;
    public static final int FAIL_TO_SWITCH_REASON_NOTUSEROWNER = 3;
    public static final int KILL_PROCESS_EVENT_ID = 907503004;
    private static final java.lang.String TAG = "HwPCDataReporter";
    private static volatile com.android.server.pc.HwPCDataReporter mInstance = null;
    private static final java.lang.Object mLock = new java.lang.Object();
    private boolean mBadViewportHasReportOnce = false;
    private boolean mFailEnterPadHasReportOnce = false;
    private boolean mFailToConnHasReportOnce = false;
    private boolean mFailToLightHasReportOnce = false;
    private boolean mFailToSwitchHasReportOnce = false;
    private android.os.Handler mHandler = null;
    private android.os.HandlerThread mHandlerThread = null;

    private static class EventSender implements java.lang.Runnable {
        private int mEventId = 0;
        private java.lang.String mName = null;
        private java.util.Map<java.lang.Short, java.lang.Object> mParams = null;

        public void setParams(java.util.Map<java.lang.Short, java.lang.Object> params, java.lang.String name, int eventId) {
            this.mParams = params;
            this.mName = name;
            this.mEventId = eventId;
        }

        public void run() {
            if (this.mParams != null) {
                try {
                    android.util.IMonitor.EventStream eStream = android.util.IMonitor.openEventStream(this.mEventId);
                    int size = this.mParams.size();
                    java.lang.Short[] keyArray = new java.lang.Short[size];
                    this.mParams.keySet().toArray(keyArray);
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("send event, mEventId:");
                    stringBuilder.append(this.mEventId);
                    android.util.HwPCUtils.log("HwPCDataReporter", stringBuilder.toString());
                    for (int i = 0; i < size; i++) {
                        java.lang.Short key = keyArray[i];
                        java.lang.String value = this.mParams.get(key);
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("key:");
                        stringBuilder2.append(key);
                        stringBuilder2.append(" value:");
                        stringBuilder2.append(value);
                        android.util.HwPCUtils.log("HwPCDataReporter", stringBuilder2.toString());
                        if (value instanceof java.lang.Integer) {
                            eStream.setParam(key.shortValue(), ((java.lang.Integer) value).intValue());
                        } else if (value instanceof java.lang.String) {
                            eStream.setParam(key.shortValue(), value);
                        } else {
                            stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("error, not known value type, value:");
                            stringBuilder2.append(value);
                            android.util.HwPCUtils.log("HwPCDataReporter", stringBuilder2.toString());
                        }
                    }
                    android.util.IMonitor.sendEvent(eStream);
                    eStream.close();
                } catch (java.io.IOException e) {
                    java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append("fail to ");
                    stringBuilder3.append(this.mName);
                    stringBuilder3.append(" error message:");
                    stringBuilder3.append(e.getMessage());
                    android.util.HwPCUtils.log("HwPCDataReporter", stringBuilder3.toString());
                }
            }
        }
    }

    private HwPCDataReporter() {
    }

    public static com.android.server.pc.HwPCDataReporter getInstance() {
        if (mInstance == null) {
            synchronized (mLock) {
                if (mInstance == null) {
                    mInstance = new com.android.server.pc.HwPCDataReporter();
                }
            }
        }
        return mInstance;
    }

    private void resetStatus() {
        this.mFailToConnHasReportOnce = false;
        this.mFailToSwitchHasReportOnce = false;
        this.mFailEnterPadHasReportOnce = false;
        this.mFailToLightHasReportOnce = false;
        this.mBadViewportHasReportOnce = false;
    }

    public void startPCDisplay() {
        android.util.HwPCUtils.log("HwPCDataReporter", "startPCDisplay");
        this.mHandlerThread = new android.os.HandlerThread("PCDataReporterThread");
        this.mHandlerThread.start();
        this.mHandler = new android.os.Handler(this.mHandlerThread.getLooper());
        resetStatus();
    }

    public void stopPCDisplay() {
        android.util.HwPCUtils.log("HwPCDataReporter", "stopPCDisplay");
        resetStatus();
        if (this.mHandlerThread != null) {
            this.mHandlerThread.quit();
            this.mHandlerThread = null;
            this.mHandler = null;
        }
    }

    public void reportFailToConnEvent(int exceptionType, java.lang.String serviceName, android.view.DisplayInfo di) {
        if (this.mHandler == null) {
            android.util.HwPCUtils.log("HwPCDataReporter", "fail to reportFailToConnEvent, handler is null");
        } else if (this.mFailToConnHasReportOnce) {
            android.util.HwPCUtils.log("HwPCDataReporter", "mFailToConnHasReportOnce");
        } else if (di == null) {
            android.util.HwPCUtils.log("HwPCDataReporter", "not valid reportFailToConnEvent, displayInfo info is null");
        } else {
            android.util.HwPCUtils.log("HwPCDataReporter", "start reportFailToConnEvent");
            java.util.Map<java.lang.Short, java.lang.Object> eventParams = new java.util.HashMap();
            eventParams.put(java.lang.Short.valueOf((short) 0), serviceName);
            eventParams.put(java.lang.Short.valueOf((short) 1), java.lang.Integer.valueOf(exceptionType));
            eventParams.put(java.lang.Short.valueOf((short) 2), java.lang.Integer.valueOf(di.type));
            eventParams.put(java.lang.Short.valueOf((short) 3), java.lang.Integer.valueOf(di.logicalDensityDpi));
            eventParams.put(java.lang.Short.valueOf((short) 4), java.lang.Integer.valueOf(di.logicalWidth));
            eventParams.put(java.lang.Short.valueOf((short) 5), java.lang.Integer.valueOf(di.logicalHeight));
            eventParams.put(java.lang.Short.valueOf((short) 6), di.name);
            com.android.server.pc.HwPCDataReporter.EventSender sender = new com.android.server.pc.HwPCDataReporter.EventSender();
            sender.setParams(eventParams, "reportFailToConnEvent", 907503001);
            this.mHandler.post(sender);
            this.mFailToConnHasReportOnce = true;
        }
    }

    public void reportFailSwitchEvent(int reason, int projMode, android.view.DisplayInfo di) {
        if (this.mHandler == null) {
            android.util.HwPCUtils.log("HwPCDataReporter", "fail to reportFailSwitchEvent, handler is null");
        } else if (this.mFailToSwitchHasReportOnce) {
            android.util.HwPCUtils.log("HwPCDataReporter", "mFailToSwitchHasReportOnce");
        } else if (di == null) {
            android.util.HwPCUtils.log("HwPCDataReporter", "not valid reportFailSwitchEvent, displayInfo info is null");
        } else {
            android.util.HwPCUtils.log("HwPCDataReporter", "start reportFailSwitchEvent");
            java.util.Map<java.lang.Short, java.lang.Object> eventParams = new java.util.HashMap();
            eventParams.put(java.lang.Short.valueOf((short) 0), java.lang.Integer.valueOf(reason));
            eventParams.put(java.lang.Short.valueOf((short) 1), java.lang.Integer.valueOf(projMode));
            eventParams.put(java.lang.Short.valueOf((short) 2), java.lang.Integer.valueOf(di.type));
            eventParams.put(java.lang.Short.valueOf((short) 3), java.lang.Integer.valueOf(di.logicalDensityDpi));
            eventParams.put(java.lang.Short.valueOf((short) 4), java.lang.Integer.valueOf(di.logicalWidth));
            eventParams.put(java.lang.Short.valueOf((short) 5), java.lang.Integer.valueOf(di.logicalHeight));
            try {
                eventParams.put(java.lang.Short.valueOf((short) 7), java.lang.Integer.valueOf(java.lang.Integer.parseInt(di.uniqueId)));
            } catch (java.lang.NumberFormatException e) {
                android.util.HwPCUtils.log("HwPCDataReporter", "fail to convert uniqueId");
            }
            eventParams.put(java.lang.Short.valueOf((short) 6), di.name);
            com.android.server.pc.HwPCDataReporter.EventSender sender = new com.android.server.pc.HwPCDataReporter.EventSender();
            sender.setParams(eventParams, "reportFailToConnEvent", 907503002);
            this.mHandler.post(sender);
            this.mFailToSwitchHasReportOnce = true;
        }
    }

    public void reportFailEnterPadEvent(int reason, android.view.DisplayInfo di) {
        if (this.mHandler == null) {
            android.util.HwPCUtils.log("HwPCDataReporter", "fail to reportFailEnterPadEvent, handler is null");
        } else if (this.mFailEnterPadHasReportOnce) {
            android.util.HwPCUtils.log("HwPCDataReporter", "mFailEnterPadHasReportOnce");
        } else if (di == null) {
            android.util.HwPCUtils.log("HwPCDataReporter", "not valid reportFailEnterPadEvent, displayInfo info is null");
        } else {
            android.util.HwPCUtils.log("HwPCDataReporter", "start reportFailEnterPadEvent");
            java.util.Map<java.lang.Short, java.lang.Object> eventParams = new java.util.HashMap();
            eventParams.put(java.lang.Short.valueOf((short) 0), java.lang.Integer.valueOf(reason));
            eventParams.put(java.lang.Short.valueOf((short) 1), java.lang.Integer.valueOf(di.type));
            eventParams.put(java.lang.Short.valueOf((short) 2), java.lang.Integer.valueOf(di.logicalDensityDpi));
            eventParams.put(java.lang.Short.valueOf((short) 3), java.lang.Integer.valueOf(di.logicalWidth));
            eventParams.put(java.lang.Short.valueOf((short) 4), java.lang.Integer.valueOf(di.logicalHeight));
            try {
                eventParams.put(java.lang.Short.valueOf((short) 5), java.lang.Integer.valueOf(java.lang.Integer.parseInt(di.uniqueId)));
            } catch (java.lang.NumberFormatException e) {
                android.util.HwPCUtils.log("HwPCDataReporter", "fail to convert uniqueId");
            }
            com.android.server.pc.HwPCDataReporter.EventSender sender = new com.android.server.pc.HwPCDataReporter.EventSender();
            sender.setParams(eventParams, "reportFailToConnEvent", 907503003);
            this.mHandler.post(sender);
            this.mFailEnterPadHasReportOnce = true;
        }
    }

    public void reportKillProcessEvent(java.lang.String packageName, java.lang.String processName, int sourceDisplayId, int targetDisplayId) {
        if (this.mHandler == null) {
            android.util.HwPCUtils.log("HwPCDataReporter", "fail to reportKillProcessEvent, handler is null");
            return;
        }
        android.util.HwPCUtils.log("HwPCDataReporter", "start reportKillProcessEvent");
        java.util.Map<java.lang.Short, java.lang.Object> eventParams = new java.util.HashMap();
        eventParams.put(java.lang.Short.valueOf((short) 0), packageName);
        eventParams.put(java.lang.Short.valueOf((short) 1), processName);
        eventParams.put(java.lang.Short.valueOf((short) 2), java.lang.Integer.valueOf(sourceDisplayId));
        eventParams.put(java.lang.Short.valueOf((short) 3), java.lang.Integer.valueOf(targetDisplayId));
        com.android.server.pc.HwPCDataReporter.EventSender sender = new com.android.server.pc.HwPCDataReporter.EventSender();
        sender.setParams(eventParams, "reportFailToConnEvent", 907503004);
        this.mHandler.post(sender);
    }

    public void reportFailLightScreen(int exceptionType, int keyCode, java.lang.String packageName) {
        if (this.mHandler == null) {
            android.util.HwPCUtils.log("HwPCDataReporter", "fail to reportFailLightScreen, handler is null");
        } else if (this.mFailToLightHasReportOnce) {
            android.util.HwPCUtils.log("HwPCDataReporter", "mFailToLightHasReportOnce");
        } else {
            android.util.HwPCUtils.log("HwPCDataReporter", "start reportFailLightScreen");
            java.util.Map<java.lang.Short, java.lang.Object> eventParams = new java.util.HashMap();
            eventParams.put(java.lang.Short.valueOf((short) 0), java.lang.Integer.valueOf(exceptionType));
            eventParams.put(java.lang.Short.valueOf((short) 1), java.lang.Integer.valueOf(keyCode));
            eventParams.put(java.lang.Short.valueOf((short) 2), packageName);
            com.android.server.pc.HwPCDataReporter.EventSender sender = new com.android.server.pc.HwPCDataReporter.EventSender();
            sender.setParams(eventParams, "reportFailToConnEvent", 907503007);
            this.mHandler.post(sender);
            this.mFailToLightHasReportOnce = true;
        }
    }

    public void reportBadViewportEvent(android.view.DisplayInfo di) {
        if (this.mHandler == null) {
            android.util.HwPCUtils.log("HwPCDataReporter", "fail to reportBadViewportEvent, handler is null");
        } else if (this.mBadViewportHasReportOnce) {
            android.util.HwPCUtils.log("HwPCDataReporter", "mBadViewportHasReportOnce");
        } else if (di == null) {
            android.util.HwPCUtils.log("HwPCDataReporter", "not valid reportBadViewportEvent, displayInfo info is null");
        } else {
            android.util.HwPCUtils.log("HwPCDataReporter", "start reportBadViewportEvent");
            java.util.Map<java.lang.Short, java.lang.Object> eventParams = new java.util.HashMap();
            eventParams.put(java.lang.Short.valueOf((short) 0), java.lang.Integer.valueOf(di.type));
            eventParams.put(java.lang.Short.valueOf((short) 1), java.lang.Integer.valueOf(di.logicalDensityDpi));
            eventParams.put(java.lang.Short.valueOf((short) 2), java.lang.Integer.valueOf(di.logicalWidth));
            eventParams.put(java.lang.Short.valueOf((short) 3), java.lang.Integer.valueOf(di.logicalHeight));
            try {
                eventParams.put(java.lang.Short.valueOf((short) 4), java.lang.Integer.valueOf(java.lang.Integer.parseInt(di.uniqueId)));
            } catch (java.lang.NumberFormatException e) {
                android.util.HwPCUtils.log("HwPCDataReporter", "fail to convert uniqueId");
            }
            eventParams.put(java.lang.Short.valueOf((short) 5), di.name);
            com.android.server.pc.HwPCDataReporter.EventSender sender = new com.android.server.pc.HwPCDataReporter.EventSender();
            sender.setParams(eventParams, "reportFailToConnEvent", 907503008);
            this.mHandler.post(sender);
            this.mBadViewportHasReportOnce = true;
        }
    }
}
