package com.android.server.pc;

public final class HwPCMultiDisplaysManager {
    private static final java.lang.String DP_STATE_DEVPATH = "DEVPATH=/devices/virtual/hw_typec/typec";
    public static final int FIRST_DISPLAY = 0;
    public static final int SECOND_DISPLAY = 1;
    private static final java.lang.String TAG = "HwPCMultiDisplaysManager";
    private java.util.ArrayList<com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay> mCastingDisplays = new java.util.ArrayList();
    private android.content.Context mContext;
    private android.hardware.display.DisplayManager mDisplayManager;
    private final android.os.UEventObserver mDpObserver = new android.os.UEventObserver() {
        public void onUEvent(android.os.UEventObserver.UEvent event) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("DP state event = ");
            stringBuilder.append(event);
            android.util.HwPCUtils.log("HwPCMultiDisplaysManager", stringBuilder.toString());
            if (event != null) {
                java.lang.String DP_STATE = event.get("DP_STATE");
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("DP state DP_STATE: ");
                stringBuilder2.append(DP_STATE);
                stringBuilder2.append(", mDpState = ");
                stringBuilder2.append(com.android.server.pc.HwPCMultiDisplaysManager.this.mDpState);
                android.util.HwPCUtils.log("HwPCMultiDisplaysManager", stringBuilder2.toString());
                if ("ON".equals(DP_STATE) && !com.android.server.pc.HwPCMultiDisplaysManager.this.mDpState) {
                    com.android.server.pc.HwPCMultiDisplaysManager.this.mService.notifyDpState(true);
                } else if ("OFF".equals(DP_STATE) && com.android.server.pc.HwPCMultiDisplaysManager.this.mDpState) {
                    com.android.server.pc.HwPCMultiDisplaysManager.this.mService.notifyDpState(false);
                } else {
                    android.util.HwPCUtils.log("HwPCMultiDisplaysManager", "onUEvent wrong state");
                }
            }
        }
    };
    private boolean mDpState = false;
    private android.os.Handler mHandler;
    private boolean mInitialDpConnectAfterBoot = true;
    private com.android.server.pc.HwPCManagerService mService;

    public static class CastingDisplay {
        public int mDisplayId;
        public int mType;

        public CastingDisplay(int displayId, int type) {
            this.mDisplayId = displayId;
            this.mType = type;
        }
    }

    public HwPCMultiDisplaysManager(android.content.Context context, android.os.Handler handler, com.android.server.pc.HwPCManagerService service) {
        this.mContext = context;
        this.mHandler = handler;
        this.mService = service;
        this.mDisplayManager = (android.hardware.display.DisplayManager) this.mContext.getSystemService("display");
        com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay firstCastDisplay = new com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay(-1, 0);
        com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay secondCastDisplay = new com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay(-1, 0);
        this.mCastingDisplays.add(firstCastDisplay);
        this.mCastingDisplays.add(secondCastDisplay);
        this.mDpObserver.startObserving("DEVPATH=/devices/virtual/hw_typec/typec");
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("HwPCMultiDisplaysManager, mDpState = ");
        stringBuilder.append(this.mDpState);
        android.util.HwPCUtils.log("HwPCMultiDisplaysManager", stringBuilder.toString());
    }

    public boolean isExternalDisplay(int displayId) {
        return (displayId == -1 || displayId == 0) ? false : true;
    }

    public int getDisplayType(int displayid) {
        if (displayid != -1) {
            if (displayid != 0) {
                if (this.mDisplayManager == null) {
                    this.mDisplayManager = (android.hardware.display.DisplayManager) this.mContext.getSystemService("display");
                }
                if (this.mDisplayManager != null) {
                    android.view.Display display = this.mDisplayManager.getDisplay(displayid);
                    if (display != null) {
                        return display.getType();
                    }
                }
                return 0;
            }
        }
        return 0;
    }

    public com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay get1stDisplay() {
        return (com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(0);
    }

    public com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay get2ndDisplay() {
        return (com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(1);
    }

    public void notifyDpState(boolean dpState) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("notifyDpState dpState = ");
        stringBuilder.append(dpState);
        stringBuilder.append(", mDpState = ");
        stringBuilder.append(this.mDpState);
        android.util.HwPCUtils.log("HwPCMultiDisplaysManager", stringBuilder.toString());
        if (this.mDpState != dpState) {
            this.mDpState = dpState;
            if (!dpState) {
                if (((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(0)).mType == 2) {
                    ((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(0)).mType = 0;
                }
                if (((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(1)).mType == 2) {
                    ((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(1)).mType = 0;
                }
            }
        }
    }

    public void checkInitialDpConnectAfterBoot(int displayid) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("checkInitialDpConnectAfterBoot mInitialDpConnectAfterBoot = ");
        stringBuilder.append(this.mInitialDpConnectAfterBoot);
        android.util.HwPCUtils.log("HwPCMultiDisplaysManager", stringBuilder.toString());
        if (this.mInitialDpConnectAfterBoot && getDisplayType(displayid) == 2) {
            if (!this.mDpState) {
                this.mService.notifyDpState(true);
            }
            this.mInitialDpConnectAfterBoot = false;
        }
    }

    public boolean handleTwoDisplaysInDisplayAdded(int displayId) {
        int type = getDisplayType(displayId);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("handleTwoDisplaysInDisplayAdded type = ");
        stringBuilder.append(type);
        android.util.HwPCUtils.log("HwPCMultiDisplaysManager", stringBuilder.toString());
        if (displayId == ((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(0)).mDisplayId && type == ((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(0)).mType) {
            android.util.HwPCUtils.log("HwPCMultiDisplaysManager", "handleTwoDisplaysInDisplayAdded add the same display as 1st display");
            return true;
        } else if (displayId == ((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(1)).mDisplayId && type == ((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(1)).mType) {
            android.util.HwPCUtils.log("HwPCMultiDisplaysManager", "handleTwoDisplaysInDisplayAdded add the same display as 2nd display");
            return false;
        } else {
            boolean needContinueToHandleProjMode = false;
            if (type == 2) {
                if (isExternalDisplay(((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(0)).mDisplayId)) {
                    if (isExternalDisplay(((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(1)).mDisplayId)) {
                        android.util.HwPCUtils.log("HwPCMultiDisplaysManager", "unkown error during HDMI display added.");
                    } else {
                        if (((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(0)).mType != 3) {
                            if (((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(0)).mType != 5) {
                                android.util.HwPCUtils.log("HwPCMultiDisplaysManager", "adding HDMI display when HDMI display added, is onDisplayRemoved call lost ?");
                                needContinueToHandleProjMode = true;
                            }
                        }
                        ((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(1)).mDisplayId = displayId;
                        ((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(1)).mType = type;
                        android.util.HwPCUtils.log("HwPCMultiDisplaysManager", "adding HDMI display when WIFI display added.");
                    }
                    if (!needContinueToHandleProjMode) {
                        return false;
                    }
                }
            } else if (type == 3 || type == 5) {
                if (!isExternalDisplay(((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(0)).mDisplayId) && this.mDpState && ((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(0)).mType == 2) {
                    if (isExternalDisplay(((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(1)).mDisplayId)) {
                        android.util.HwPCUtils.log("HwPCMultiDisplaysManager", "unkown error during WIFI display added.");
                    } else {
                        ((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(1)).mDisplayId = displayId;
                        ((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(1)).mType = type;
                        android.util.HwPCUtils.log("HwPCMultiDisplaysManager", "adding WIFI display when HDMI display removed but DP still connected.");
                    }
                    return false;
                } else if (isExternalDisplay(((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(0)).mDisplayId) && !isExternalDisplay(((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(1)).mDisplayId)) {
                    if (((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(0)).mType == 2) {
                        ((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(1)).mDisplayId = displayId;
                        ((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(1)).mType = type;
                        android.util.HwPCUtils.log("HwPCMultiDisplaysManager", "adding WIFI display when HDMI display added.");
                    } else if (!this.mDpState) {
                        android.util.HwPCUtils.log("HwPCMultiDisplaysManager", "adding WIFI display when WIFI display added, is onDisplayRemoved call lost ?");
                        needContinueToHandleProjMode = true;
                    }
                    if (!needContinueToHandleProjMode) {
                        return false;
                    }
                }
            }
            return true;
        }
    }

    public boolean is4KHdmi1stDisplayRemoved(int displayId) {
        if (this.mDpState && displayId == ((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(0)).mDisplayId && ((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(0)).mType == 2) {
            return true;
        }
        return false;
    }

    public void handlelstDisplayInDisplayRemoved() {
        if (isExternalDisplay(((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(1)).mDisplayId)) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("handlelstDisplayInDisplayRemoved SECOND_DISPLAY.mDisplayId = ");
            stringBuilder.append(((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(1)).mDisplayId);
            android.util.HwPCUtils.log("HwPCMultiDisplaysManager", stringBuilder.toString());
            boolean z = false;
            ((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(0)).mDisplayId = ((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(1)).mDisplayId;
            ((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(1)).mDisplayId = -1;
            ((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(0)).mType = ((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(1)).mType;
            ((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(1)).mType = 0;
            android.util.HwPCUtils.setPhoneDisplayID(((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(0)).mDisplayId);
            android.provider.Settings.Secure.putInt(this.mContext.getContentResolver(), "selected-proj-mode", 0);
            android.provider.Settings.Global.putInt(this.mContext.getContentResolver(), "is_display_device_connected", 0);
            if (((com.android.server.pc.HwPCMultiDisplaysManager.CastingDisplay) this.mCastingDisplays.get(0)).mType == 3) {
                z = true;
            }
            android.util.HwPCUtils.setIsWifiMode(z);
            this.mService.mProjMode = android.util.HwPCUtils.ProjectionMode.PHONE_MODE;
            this.mHandler.removeMessages(1);
            android.os.Message msg = this.mHandler.obtainMessage(1);
            msg.obj = this.mService.mProjMode;
            this.mHandler.sendMessage(msg);
        }
    }
}
