package com.android.server.pc.decision;

public final class DecisionUtil {
    private static final java.lang.String AIRSHARING_DEVICE_LIST_CLASS = "com.huawei.android.airsharing.player.DeviceListActivity";
    private static final java.lang.String AIRSHARING_PKG = "com.huawei.android.airsharing";
    private static final java.lang.String CATEGORY_KEY = "category";
    private static java.lang.String ENTER_PROJECTION_EVENT = "com.huawei.desktop.intent.action.PcScreen";
    private static java.lang.String ENTER_PROJECTION_TYPE = "ENTER_PROJECTION_TYPE";
    private static final java.lang.String ID_KEY = "id";
    private static final int OPER_SUCCESS = 0;
    private static java.lang.String OP_TYPE_CANCEL = "cancel";
    private static java.lang.String OP_TYPE_GOTO = "goto";
    public static final java.lang.String PC_TARGET_ACTION = "com.huawei.desktop.intent.action.LMT_PcScreen";
    public static final java.lang.String RECOMMEND_FEATURE_ID = "SF-10045857_f001";
    private static java.lang.String REPORT_EVENT = "com.huawei.tips.intent.action.UE_DATA_USER_OPERATION";
    private static java.lang.String REPORT_TYPE = "REPORT_TYPE";
    private static final int STATE_OFF = 0;
    private static final int STATE_ON = 1;
    private static final java.lang.String TAG = com.android.server.pc.decision.DecisionUtil.class.getSimpleName();
    private static final java.lang.String WIRELESS_PROJECTION_STATE = "wireless_projection_state";
    private static java.util.concurrent.ConcurrentHashMap<java.lang.String, com.android.server.pc.decision.DecisionCallback> mCallbackList = new java.util.concurrent.ConcurrentHashMap();
    private static android.content.Context mContext;
    private static com.huawei.common.service.IDecision mDecisionApi = null;
    private static android.content.ServiceConnection mDecisionConnection = new android.content.ServiceConnection() {
        public void onServiceConnected(android.content.ComponentName name, android.os.IBinder service) {
            android.util.Log.d(com.android.server.pc.decision.DecisionUtil.TAG, "service connected.");
            com.android.server.pc.decision.DecisionUtil.mDecisionApi = com.huawei.common.service.IDecision.Stub.asInterface(service);
            if (com.android.server.pc.decision.DecisionUtil.REPORT_TYPE.equals(com.android.server.pc.decision.DecisionUtil.mType)) {
                java.util.Map extras = new android.util.ArrayMap();
                extras.put("feature_id", "SF-10045857_f001");
                extras.put("type", "dlg");
                extras.put("op", com.android.server.pc.decision.DecisionUtil.mOpType);
                com.android.server.pc.decision.DecisionUtil.executeEvent(com.android.server.pc.decision.DecisionUtil.REPORT_EVENT, extras);
            } else if (com.android.server.pc.decision.DecisionUtil.ENTER_PROJECTION_TYPE.equals(com.android.server.pc.decision.DecisionUtil.mType)) {
                com.android.server.pc.decision.DecisionUtil.executeEvent(com.android.server.pc.decision.DecisionUtil.ENTER_PROJECTION_EVENT);
            }
            if (com.android.server.pc.decision.DecisionUtil.mContext != null) {
                com.android.server.pc.decision.DecisionUtil.unbindService(com.android.server.pc.decision.DecisionUtil.mContext);
            }
        }

        public void onServiceDisconnected(android.content.ComponentName name) {
            com.android.server.pc.decision.DecisionUtil.mDecisionApi = null;
            android.util.Log.i(com.android.server.pc.decision.DecisionUtil.TAG, "service disconnect.");
        }
    };
    private static android.os.Handler mHander = null;
    private static java.lang.String mOpType = null;
    private static android.app.AlertDialog mRecommendDialog;
    private static java.lang.String mType = null;

    private static class NoUnderLineClickSpan extends android.text.style.ClickableSpan {
        private NoUnderLineClickSpan() {
        }

        /* synthetic */ NoUnderLineClickSpan(com.android.server.pc.decision.DecisionUtil.AnonymousClass1 x0) {
            this();
        }

        public void updateDrawState(android.text.TextPaint ds) {
            super.updateDrawState(ds);
            if (com.android.server.pc.decision.DecisionUtil.mContext != null) {
                ds.setColor(com.android.server.pc.decision.DecisionUtil.mContext.getColor(33882525));
                ds.setUnderlineText(false);
            }
        }

        public void onClick(android.view.View widget) {
            if (widget instanceof android.widget.TextView) {
                com.android.server.pc.decision.DecisionUtil.gotoPlayingSkills();
            }
        }
    }

    public static void bindService(android.content.Context context, java.lang.String type) {
        java.lang.String ACTION_PACKAGE_NAME = "com.huawei.recsys";
        java.lang.String ACTION_COMMON_SERVICE_NAME = "com.huawei.recsys.decision.action.BIND_DECISION_SERVICE";
        mType = type;
        mContext = context;
        if (context == null || mDecisionApi != null) {
            android.util.Log.i(TAG, "service already binded");
            return;
        }
        if (mHander == null) {
            mHander = new android.os.Handler(context.getMainLooper());
        }
        android.content.Intent actionService = new android.content.Intent("com.huawei.recsys.decision.action.BIND_DECISION_SERVICE");
        actionService.setPackage("com.huawei.recsys");
        try {
            context.bindService(actionService, mDecisionConnection, 1);
        } catch (java.lang.Exception e) {
            android.util.Log.e(TAG, e.getMessage());
        }
    }

    public static void unbindService(android.content.Context context) {
        if (context != null) {
            try {
                context.unbindService(mDecisionConnection);
            } catch (java.lang.Exception e) {
                android.util.Log.e(TAG, e.getMessage());
            }
            mDecisionApi = null;
        }
    }

    public static boolean executeEvent(java.lang.String eventName) {
        return executeEvent(eventName, null, null, null);
    }

    public static boolean executeEvent(java.lang.String eventName, java.util.Map<java.lang.String, java.lang.Object> extras) {
        return executeEvent(eventName, null, (java.util.Map) extras, null);
    }

    public static boolean executeEvent(java.lang.String eventName, com.android.server.pc.decision.DecisionCallback callback) {
        return executeEvent(eventName, null, null, callback);
    }

    public static boolean executeEvent(java.lang.String eventName, com.android.server.pc.decision.DecisionCallback callback, long timeout) {
        return executeEvent(eventName, null, null, callback, timeout);
    }

    public static boolean executeEvent(java.lang.String eventName, java.util.Map<java.lang.String, java.lang.Object> extras, com.android.server.pc.decision.DecisionCallback callback) {
        return executeEvent(eventName, null, (java.util.Map) extras, callback);
    }

    public static boolean executeEvent(java.lang.String eventName, java.util.Map<java.lang.String, java.lang.Object> extras, com.android.server.pc.decision.DecisionCallback callback, long timeout) {
        return executeEvent(eventName, null, extras, callback, timeout);
    }

    public static boolean executeEvent(java.lang.String eventName, java.lang.String dataId) {
        return executeEvent(eventName, dataId, null, null);
    }

    public static boolean executeEvent(java.lang.String eventName, java.lang.String dataId, java.util.Map<java.lang.String, java.lang.Object> extras) {
        return executeEvent(eventName, dataId, (java.util.Map) extras, null);
    }

    public static boolean executeEvent(java.lang.String eventName, java.lang.String dataId, com.android.server.pc.decision.DecisionCallback callback) {
        return executeEvent(eventName, dataId, null, callback);
    }

    public static boolean executeEvent(java.lang.String eventName, java.lang.String dataId, com.android.server.pc.decision.DecisionCallback callback, long timeout) {
        return executeEvent(eventName, dataId, null, callback, timeout);
    }

    public static boolean executeEvent(java.lang.String eventName, java.lang.String dataId, java.util.Map<java.lang.String, java.lang.Object> extras, com.android.server.pc.decision.DecisionCallback callback) {
        return executeEvent(eventName, dataId, extras, callback, -1);
    }

    public static boolean executeEvent(java.lang.String eventName, java.lang.String dataId, java.util.Map<java.lang.String, java.lang.Object> extras, com.android.server.pc.decision.DecisionCallback callback, long timeout) {
        if (mDecisionApi == null) {
            return false;
        }
        java.lang.String key;
        android.util.ArrayMap<java.lang.String, java.lang.Object> extra2 = new android.util.ArrayMap();
        if (extras != null) {
            extra2.putAll(extras);
        }
        extra2.put("id", dataId != null ? dataId : "");
        if (!(android.text.TextUtils.isEmpty(eventName) || eventName.equals(dataId))) {
            extra2.put("category", eventName);
        }
        if (callback != null) {
            key = callback.toString();
        } else {
            key = null;
        }
        final com.android.server.pc.decision.DecisionCallback innerCallback = new com.android.server.pc.decision.DecisionCallback() {
            public void onResult(java.util.Map result) throws android.os.RemoteException {
                if (key != null) {
                    com.android.server.pc.decision.DecisionUtil.mCallbackList.remove(key);
                }
                if (this.mReversed1 != null) {
                    try {
                        this.mReversed1.onResult(result);
                    } catch (java.lang.Exception e) {
                    }
                }
            }
        };
        innerCallback.setReversed1(callback);
        if (callback != null && timeout > 0) {
            mCallbackList.put(key, callback);
            mHander.postDelayed(new java.lang.Runnable() {
                public void run() {
                    com.android.server.pc.decision.DecisionCallback userCallback = (com.android.server.pc.decision.DecisionCallback) com.android.server.pc.decision.DecisionUtil.mCallbackList.remove(key);
                    if (userCallback != null) {
                        innerCallback.clearReversed1();
                        try {
                            userCallback.onTimeout();
                        } catch (java.lang.Exception e) {
                        }
                    }
                }
            }, timeout);
        }
        try {
            mDecisionApi.executeEvent(extra2, innerCallback);
            return true;
        } catch (java.lang.Exception e) {
            return false;
        }
    }

    public static boolean insertBusinessData(java.lang.String category) {
        return insertBusinessData(category, null, null);
    }

    public static boolean insertBusinessData(java.lang.String category, java.lang.String dataId) {
        return insertBusinessData(category, dataId, null);
    }

    public static boolean insertBusinessData(java.lang.String category, java.util.Map<java.lang.String, java.lang.Object> extras) {
        return insertBusinessData(category, null, extras);
    }

    public static boolean insertBusinessData(java.lang.String category, java.lang.String dataId, java.util.Map<java.lang.String, java.lang.Object> extras) {
        boolean z = false;
        if (mDecisionApi == null) {
            return false;
        }
        android.util.ArrayMap<java.lang.String, java.lang.Object> extra2 = new android.util.ArrayMap();
        if (extras != null) {
            extra2.putAll(extras);
        }
        extra2.put("id", dataId != null ? dataId : "");
        if (!(android.text.TextUtils.isEmpty(category) || category.equals(dataId))) {
            extra2.put("category", category);
        }
        try {
            if (mDecisionApi.insertBusinessData(extra2) == 0) {
                z = true;
            }
            return z;
        } catch (java.lang.Exception e) {
            return false;
        }
    }

    public static boolean removeBusinessData(java.lang.String category) {
        return removeBusinessData(category, null);
    }

    public static boolean removeBusinessData(java.lang.String category, java.lang.String dataId) {
        boolean z = false;
        if (mDecisionApi == null) {
            return false;
        }
        try {
            if (mDecisionApi.removeBusinessData(category, dataId) == 0) {
                z = true;
            }
            return z;
        } catch (java.lang.Exception e) {
            return false;
        }
    }

    public static void showPCRecommendDialog(android.content.Context context) {
        mContext = context;
        dismissPCRecommendDialog();
        android.app.AlertDialog.Builder builder = new android.app.AlertDialog.Builder(context, 33947691);
        android.view.View contentView = android.view.LayoutInflater.from(context).inflate(34013312, null);
        mRecommendDialog = builder.setPositiveButton(33686127, new android.content.DialogInterface.OnClickListener() {
            public void onClick(android.content.DialogInterface dialog, int id) {
                com.android.server.pc.decision.DecisionUtil.dismissPCRecommendDialog();
                com.android.server.pc.decision.DecisionUtil.startSearch(com.android.server.pc.decision.DecisionUtil.mContext);
                com.android.server.pc.decision.DecisionUtil.executeReportEvent(com.android.server.pc.decision.DecisionUtil.mContext, com.android.server.pc.decision.DecisionUtil.OP_TYPE_GOTO);
            }
        }).setNegativeButton(33686125, new android.content.DialogInterface.OnClickListener() {
            public void onClick(android.content.DialogInterface dialog, int which) {
                dialog.dismiss();
                com.android.server.pc.decision.DecisionUtil.executeReportEvent(com.android.server.pc.decision.DecisionUtil.mContext, com.android.server.pc.decision.DecisionUtil.OP_TYPE_CANCEL);
            }
        }).setView(contentView).create();
        android.widget.TextView tipTextView = (android.widget.TextView) contentView.findViewById(34603236);
        java.lang.String linkStr = context.getResources().getString(33686126);
        java.lang.String tmpInfo = context.getResources().getString(33686124);
        int start = tmpInfo.length();
        java.lang.StringBuilder agreeInfo = new java.lang.StringBuilder(tmpInfo);
        agreeInfo.append(linkStr);
        setClickableSpanForTextView(tipTextView, new com.android.server.pc.decision.DecisionUtil.NoUnderLineClickSpan(), agreeInfo.toString(), start, agreeInfo.length());
        mRecommendDialog.getWindow().setType(2008);
        mRecommendDialog.show();
    }

    private static void setClickableSpanForTextView(android.widget.TextView tv, android.text.style.ClickableSpan clickableSpan, java.lang.String text, int start, int end) {
        if (start >= 0 && start < end) {
            if (end <= text.length()) {
                android.text.SpannableString sp = new android.text.SpannableString(text);
                sp.setSpan(clickableSpan, start, end, 33);
                tv.setText(sp);
                tv.setMovementMethod(android.text.method.LinkMovementMethod.getInstance());
                tv.setFocusable(false);
                return;
            }
        }
        tv.setText(text);
    }

    public static void dismissPCRecommendDialog() {
        if (mRecommendDialog != null && mRecommendDialog.isShowing()) {
            mRecommendDialog.dismiss();
            mRecommendDialog = null;
        }
    }

    private static void gotoPlayingSkills() {
        if (mContext != null) {
            dismissPCRecommendDialog();
            android.content.Intent intent = new android.content.Intent("com.huawei.tips.JUMP_TO_TIPS");
            intent.addCategory("android.intent.category.DEFAULT");
            intent.setPackage("com.huawei.tips");
            intent.putExtra("featureID", "SF-10045857_f001");
            intent.setFlags(268435456);
            try {
                mContext.startActivity(intent);
            } catch (android.content.ActivityNotFoundException e) {
                android.util.HwPCUtils.log(TAG, "PlayingSkills app not found.");
            }
        }
    }

    public static void startSearch(android.content.Context context) {
        if (context != null) {
            if (android.provider.Settings.Secure.getInt(context.getContentResolver(), "wireless_projection_state", 0) == 0) {
                android.provider.Settings.Secure.putInt(context.getContentResolver(), "wireless_projection_state", 1);
            }
            try {
                android.content.Intent intent = new android.content.Intent("android.intent.action.MAIN");
                android.content.ComponentName componet = new android.content.ComponentName("com.huawei.android.airsharing", "com.huawei.android.airsharing.player.DeviceListActivity");
                intent.addCategory("android.intent.category.LAUNCHER");
                intent.setFlags(268435456);
                intent.setComponent(componet);
                context.startActivity(intent);
            } catch (android.content.ActivityNotFoundException e) {
                android.util.HwPCUtils.log(TAG, "Airsharing not found.");
            }
        }
    }

    private static void executeReportEvent(final android.content.Context context, java.lang.String type) {
        mOpType = type;
        new android.os.Handler().post(new java.lang.Runnable() {
            public void run() {
                com.android.server.pc.decision.DecisionUtil.bindService(context, com.android.server.pc.decision.DecisionUtil.REPORT_TYPE);
            }
        });
    }

    public static void executeEnterProjectionEvent(final android.content.Context context) {
        new android.os.Handler().post(new java.lang.Runnable() {
            public void run() {
                com.android.server.pc.decision.DecisionUtil.bindService(context, com.android.server.pc.decision.DecisionUtil.ENTER_PROJECTION_TYPE);
            }
        });
    }
}
