package com.android.server.pc.vassist;

public final class HwPCVAssistAppStarter {
    private static final java.lang.String APP_CENTER_SEARCH_ACTION = "com.huawei.appmarket.appmarket.intent.action.SearchActivity";
    private static final java.lang.String APP_CENTER_SEARCH_KEY_WORD = "keyWord";
    private static final java.lang.String HIAPP_PACKAGE_NAME = "com.huawei.appmarket";
    static final int RESULT_APP_START_FAILED = 41;
    static final int RESULT_APP_START_FAILED_PARAMS = 42;
    static final int RESULT_APP_START_SUCC = -40;
    static final int RESULT_APP_START_SUCC_IN_PHONE = -41;
    static final int RESULT_APP_START_SUCC_ON_EXT_DISPLAY = -42;
    static final int RESULT_APP_START_SUCC_SEARCH_IN_MARKET = -43;
    private static final java.lang.String TAG = "HwPCVAssistAppStarter";
    private static final java.lang.String UNICODE_EXTERNAL_FILE_MANAGER = "\\u6211\\u7684\\u6587\\u4ef6";
    private static final java.lang.String UNICODE_PHONE_FILE_MANAGER = "\\u6587\\u4ef6\\u7ba1\\u7406";
    private com.android.server.pc.vassist.HwPCVAssistCmdExecutor mCmdExecutor;
    private android.content.Context mContext;
    private com.android.server.pc.HwPCManagerService mService;

    public HwPCVAssistAppStarter(android.content.Context context, com.android.server.pc.vassist.HwPCVAssistCmdExecutor cmdExecutor, com.android.server.pc.HwPCManagerService service) {
        this.mContext = context;
        this.mCmdExecutor = cmdExecutor;
        this.mService = service;
    }

    private static java.lang.String string2Unicode(java.lang.String string) {
        java.lang.StringBuffer unicode = new java.lang.StringBuffer();
        int N = string.length();
        for (int i = 0; i < N; i++) {
            char c = string.charAt(i);
            unicode.append("\\u");
            unicode.append(java.lang.Integer.toHexString(c));
        }
        return unicode.toString();
    }

    private static android.content.Intent launchIntentForPhoneFileManager() {
        android.content.ComponentName component = new android.content.ComponentName("com.huawei.hidisk", "com.huawei.hidisk.filemanager.FileManager");
        android.content.Intent intent = new android.content.Intent("android.intent.action.MAIN", null);
        intent.setComponent(component);
        intent.setFlags(268435456);
        return intent;
    }

    private static android.content.Intent launchIntentForDesktopFileManager() {
        android.content.ComponentName component = new android.content.ComponentName("com.huawei.desktop.explorer", "com.huawei.filemanager.activities.MainActivity");
        android.content.Intent intent = new android.content.Intent("android.intent.action.VIEW", null);
        intent.setComponent(component);
        intent.setFlags(402653184);
        return intent;
    }

    private static android.content.Intent searchAppFromWeb(java.lang.String label) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("searchAppFromWeb: label = ");
        stringBuilder.append(label);
        android.util.HwPCUtils.log("HwPCVAssistAppStarter", stringBuilder.toString());
        if (label == null) {
            android.util.HwPCUtils.log("HwPCVAssistAppStarter", "Null input params");
            return null;
        }
        android.content.Intent intent = new android.content.Intent();
        intent.setAction("com.huawei.appmarket.appmarket.intent.action.SearchActivity");
        intent.addFlags(268468224);
        intent.putExtra("keyWord", label);
        intent.setPackage("com.huawei.appmarket");
        return intent;
    }

    private static boolean isApkSupportedInPCMode(android.content.Context context, java.lang.String pkg) {
        java.lang.StringBuilder stringBuilder;
        android.content.pm.PackageInfo packageInfo = null;
        try {
            packageInfo = context.getPackageManager().getPackageInfo(pkg, 0);
        } catch (android.content.pm.PackageManager.NameNotFoundException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("warning: ");
            stringBuilder.append(e.toString());
            android.util.HwPCUtils.log("HwPCVAssistAppStarter", stringBuilder.toString());
        }
        if (packageInfo != null) {
            if (packageInfo.applicationInfo != null) {
                android.content.pm.ApplicationInfo applicationInfo = packageInfo.applicationInfo;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("isApkSupportedInPCMode applicationInfo: ");
                stringBuilder.append(applicationInfo);
                android.util.HwPCUtils.log("HwPCVAssistAppStarter", stringBuilder.toString());
                if ((applicationInfo.flags & 1) != 0 && (applicationInfo.hwFlags & 33554432) == 0) {
                    if ((applicationInfo.hwFlags & 67108864) == 0) {
                        return false;
                    }
                }
                return true;
            }
        }
        return false;
    }

    public void startApp(com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd cmd) {
        com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd voiceCmd = cmd;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("startApp cmd = ");
        stringBuilder.append(voiceCmd);
        android.util.HwPCUtils.log("HwPCVAssistAppStarter", stringBuilder.toString());
        if (android.text.TextUtils.isEmpty(voiceCmd.pkgName) && android.text.TextUtils.isEmpty(voiceCmd.extra)) {
            android.util.HwPCUtils.log("HwPCVAssistAppStarter", "Category is null");
            replyResultForStartApp(42, true, voiceCmd);
            return;
        }
        android.util.HwPCUtils.bdReport(this.mContext, 10058, java.lang.String.format("{appName:%s, pkgName:%s}", new java.lang.Object[]{voiceCmd.pkgName, voiceCmd.extra}));
        boolean searchedInMarket = false;
        android.content.Intent intent = null;
        if (android.text.TextUtils.isEmpty(voiceCmd.pkgName) && !android.text.TextUtils.isEmpty(voiceCmd.extra)) {
            voiceCmd.pkgName = getPackageName(this.mContext, voiceCmd.extra);
            if (android.text.TextUtils.isEmpty(voiceCmd.pkgName)) {
                intent = searchAppFromWeb(voiceCmd.extra);
                if (intent == null) {
                    android.util.HwPCUtils.log("HwPCVAssistAppStarter", "cannot find this app in market");
                    replyResultForStartApp(42, true, voiceCmd);
                    return;
                }
                searchedInMarket = true;
                replyResultForStartApp(-43, true, voiceCmd);
            }
        } else if ("com.huawei.desktop.explorer".equals(voiceCmd.pkgName)) {
            intent = launchIntentForDesktopFileManager();
        } else if ("\\u6587\\u4ef6\\u7ba1\\u7406".equals(string2Unicode(voiceCmd.extra))) {
            intent = launchIntentForPhoneFileManager();
        } else {
            intent = this.mContext.getPackageManager().getLaunchIntentForPackage(voiceCmd.pkgName);
            if (intent == null) {
                intent = searchAppFromWeb(voiceCmd.extra);
                if (intent == null) {
                    android.util.HwPCUtils.log("HwPCVAssistAppStarter", "cannot find this app in market");
                    replyResultForStartApp(42, true, voiceCmd);
                    return;
                }
                searchedInMarket = true;
                replyResultForStartApp(-43, true, voiceCmd);
            }
        }
        boolean searchedInMarket2 = searchedInMarket;
        if (intent == null) {
            android.util.HwPCUtils.log("HwPCVAssistAppStarter", "wrong parameters");
            replyResultForStartApp(42, true, voiceCmd);
            return;
        }
        searchedInMarket = false;
        boolean isForceStartedOnExternal = false;
        if (!android.text.TextUtils.isEmpty(voiceCmd.pkgName) && !isApkSupportedInPCMode(this.mContext, voiceCmd.pkgName) && this.mService.getPackageSupportPcState(voiceCmd.pkgName) == -1 && voiceCmd.targetDisplay > 0) {
            voiceCmd.targetDisplay = 0;
            android.util.HwPCUtils.log("HwPCVAssistAppStarter", "startApp package is not supported in external display, ignore displayId.");
            searchedInMarket = true;
        }
        boolean isForceStartedInPhone = searchedInMarket;
        if ("com.huawei.desktop.explorer".equals(voiceCmd.pkgName) && voiceCmd.targetDisplay == 0) {
            voiceCmd.targetDisplay = voiceCmd.castingDisplay;
            isForceStartedOnExternal = true;
        }
        android.os.Bundle options = null;
        if (voiceCmd.targetDisplay != 0) {
            options = new android.os.Bundle();
            options.putInt("android.activity.launchDisplayId", voiceCmd.targetDisplay);
        }
        try {
            int result = android.app.ActivityManager.getService().startActivity(android.app.ActivityThread.currentActivityThread().getApplicationThread(), this.mContext.getBasePackageName(), intent, intent.resolveTypeIfNeeded(this.mContext.getContentResolver()), null, null, -1, 0, null, options);
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("startApp result = ");
            stringBuilder2.append(result);
            android.util.HwPCUtils.log("HwPCVAssistAppStarter", stringBuilder2.toString());
            if (!searchedInMarket2) {
                if (isForceStartedInPhone) {
                    if (result == 99 || result == 98 || !android.app.ActivityManager.isStartResultSuccessful(result)) {
                        replyResultForStartApp(result, false, voiceCmd);
                    } else {
                        replyResultForStartApp(-41, true, voiceCmd);
                    }
                } else if (isForceStartedOnExternal && android.app.ActivityManager.isStartResultSuccessful(result)) {
                    replyResultForStartApp(-42, true, voiceCmd);
                } else {
                    replyResultForStartApp(result, false, voiceCmd);
                }
            }
        } catch (android.os.RemoteException e) {
            replyResultForStartApp(1, false, voiceCmd);
            android.util.HwPCUtils.log("HwPCVAssistAppStarter", "startApp RemoteException");
        } catch (java.lang.Exception e2) {
            replyResultForStartApp(1, false, voiceCmd);
            android.util.HwPCUtils.log("HwPCVAssistAppStarter", "startApp other Exception");
        }
    }

    private void genJsonReplyForNormalResultSuccess(org.json.JSONObject obj) throws org.json.JSONException {
        obj.put("errorCode", 0);
        java.lang.String text = this.mCmdExecutor.getRandomResponseStr(this.mCmdExecutor.mAppStartSuccStrs);
        obj.put("responseText", text);
        obj.put("ttsText", text);
    }

    private void replyResultForStartApp(int errCode, boolean extResult, com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd cmd) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("replyResultForStartApp errCode = ");
        stringBuilder.append(errCode);
        stringBuilder.append(", extResult = ");
        stringBuilder.append(extResult);
        stringBuilder.append(", cmd = ");
        stringBuilder.append(cmd);
        android.util.HwPCUtils.log("HwPCVAssistAppStarter", stringBuilder.toString());
        org.json.JSONObject obj = new org.json.JSONObject();
        try {
            obj.put("isFinish", "true");
            java.lang.String responseStr;
            if (!extResult) {
                switch (errCode) {
                    case 0:
                    case 1:
                    case 2:
                    case 3:
                        genJsonReplyForNormalResultSuccess(obj);
                        break;
                    default:
                        switch (errCode) {
                            case 98:
                            case 99:
                                obj.put("errorCode", 0);
                                if (errCode == 98) {
                                    responseStr = this.mContext.getString(33686136);
                                } else {
                                    responseStr = this.mContext.getString(33686134);
                                }
                                responseStr = java.lang.String.format(responseStr, new java.lang.Object[]{cmd.extra});
                                obj.put("responseText", responseStr);
                                obj.put("ttsText", responseStr);
                                break;
                            default:
                                if (!android.app.ActivityManager.isStartResultSuccessful(errCode)) {
                                    obj.put("errorCode", 1);
                                    obj.put("responseText", this.mContext.getString(33686131));
                                    obj.put("ttsText", this.mContext.getString(33686131));
                                    break;
                                }
                                genJsonReplyForNormalResultSuccess(obj);
                                break;
                        }
                }
            }
            switch (errCode) {
                case -43:
                    obj.put("errorCode", 0);
                    responseStr = this.mContext.getString(33686141);
                    obj.put("responseText", responseStr);
                    obj.put("ttsText", responseStr);
                    break;
                case -42:
                case -41:
                    obj.put("errorCode", 0);
                    if (errCode == -41) {
                        responseStr = this.mContext.getString(33686155);
                    } else {
                        responseStr = this.mContext.getString(33686156);
                    }
                    responseStr = java.lang.String.format(responseStr, new java.lang.Object[]{cmd.extra});
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("replyResultForStartApp responseStr = ");
                    stringBuilder2.append(responseStr);
                    android.util.HwPCUtils.log("HwPCVAssistAppStarter", stringBuilder2.toString());
                    obj.put("responseText", responseStr);
                    obj.put("ttsText", responseStr);
                    break;
                default:
                    obj.put("errorCode", 1);
                    obj.put("responseText", this.mContext.getString(33686131));
                    obj.put("ttsText", this.mContext.getString(33686131));
                    break;
            }
        } catch (org.json.JSONException e) {
            android.util.HwPCUtils.log("HwPCVAssistAppStarter", "replyResultForStartApp JSONException occurred");
        }
        this.mCmdExecutor.replyResultToVAssist(obj, cmd);
    }

    public static java.lang.String getPackageName(android.content.Context context, java.lang.String appName) {
        if (context != null) {
            if (!android.text.TextUtils.isEmpty(appName)) {
                android.content.pm.PackageManager pm = context.getPackageManager();
                if (pm == null) {
                    android.util.HwPCUtils.log("HwPCVAssistAppStarter", "getPackageName PackageManager is invalid");
                    return null;
                }
                android.content.Intent intent = new android.content.Intent("android.intent.action.MAIN");
                if (!"\\u6211\\u7684\\u6587\\u4ef6".equals(string2Unicode(appName))) {
                    intent.addCategory("android.intent.category.LAUNCHER");
                }
                java.util.List<android.content.pm.ResolveInfo> listAppInfo = pm.queryIntentActivities(intent, null);
                if (listAppInfo == null) {
                    android.util.HwPCUtils.log("HwPCVAssistAppStarter", "getPackageName :error: listAppcations is null");
                    return null;
                }
                java.lang.String packageNameString = null;
                for (android.content.pm.ResolveInfo app : listAppInfo) {
                    java.lang.String appLabel = (java.lang.String) app.loadLabel(pm);
                    if (!android.text.TextUtils.isEmpty(appLabel)) {
                        if (android.text.TextUtils.equals(appLabel.toUpperCase(java.util.Locale.US), appName.toUpperCase(java.util.Locale.US))) {
                            packageNameString = app.activityInfo.packageName;
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("getPackageName packageName = ");
                            stringBuilder.append(packageNameString);
                            stringBuilder.append(", appLabel = ");
                            stringBuilder.append(appLabel);
                            android.util.HwPCUtils.log("HwPCVAssistAppStarter", stringBuilder.toString());
                            return packageNameString;
                        } else if (appLabel.toUpperCase(java.util.Locale.US).contains(appName.toUpperCase(java.util.Locale.US))) {
                            packageNameString = app.activityInfo.packageName;
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("getPackageName packageName = ");
                            stringBuilder2.append(packageNameString);
                            stringBuilder2.append(", appLabel = ");
                            stringBuilder2.append(appLabel);
                            android.util.HwPCUtils.log("HwPCVAssistAppStarter", stringBuilder2.toString());
                        }
                    }
                }
                listAppInfo.clear();
                return packageNameString;
            }
        }
        android.util.HwPCUtils.log("HwPCVAssistAppStarter", "getPackageName input params is invalid");
        return null;
    }
}
