package com.android.server.pc.vassist;

public final class HwPCVAssistCmdExecutor {
    private static final java.lang.String BROADCAST_NOTIFY_DESKTOP_MODE = "com.android.server.pc.action.desktop_mode";
    private static final java.lang.String BROADCAST_WPS_OPEN_DOC = "com.huawei.audio.assist.action_open";
    private static final java.lang.String BROADCAST_WPS_OPEN_DOC_RESULT = "com.huawei.audio.assist.action_open_result";
    private static final int CMD_BACK_APP = 5;
    private static final int CMD_CLOSE_APP = 1;
    private static final int CMD_FULL_SCREEN_APP = 4;
    private static final int CMD_INVALID = -1;
    private static final int CMD_MAX_APP = 3;
    private static final int CMD_MIN_APP = 2;
    private static final int CMD_NEXT_PAGE = 9;
    private static final int CMD_OPEN_DOC = 7;
    private static final int CMD_PREV_PAGE = 8;
    private static final int CMD_SHOW_HOME = 6;
    private static final int CMD_START_APP = 0;
    private static final int CMD_START_PLAY = 10;
    private static final int CMD_STOP_PLAY = 11;
    private static final java.lang.String COLUME_CMD_CLOUD = "contexts";
    private static final java.lang.String COLUME_CMD_TERMINAL = "command";
    private static final java.lang.String COLUME_CMD_UNWAKED = "wake";
    static final int FLAG_FROM_CLOUD = 0;
    static final int FLAG_FROM_TERMINAL = 1;
    static final int FLAG_FROM_UNWAKED = 2;
    static final int FLAG_LAST = 2;
    private static final int IDX_NEXT_PAGE = 4;
    private static final int IDX_NEXT_PAGE1 = 5;
    private static final int IDX_NEXT_PAGE2 = 6;
    private static final int IDX_NEXT_PAGE3 = 7;
    private static final int IDX_PLAY_PPT = 8;
    private static final int IDX_PLAY_PPT1 = 9;
    private static final int IDX_PREV_PAGE = 0;
    private static final int IDX_PREV_PAGE1 = 1;
    private static final int IDX_PREV_PAGE2 = 2;
    private static final int IDX_PREV_PAGE3 = 3;
    static final int ID_VASSIST_SERVICE = 272;
    private static final int INDEX_INITIATED = 0;
    private static final int INDEX_LAST_NEXT_PAGE = 7;
    private static final int INDEX_LAST_PREV_PAGE = 3;
    private static final int INDEX_LAST_START_PLAY = 9;
    private static final java.lang.String JSON_KEY_ACTION = "action";
    private static final java.lang.String JSON_KEY_CMD = "intent";
    private static final java.lang.String JSON_KEY_EXTRA = "ext";
    private static final java.lang.String JSON_KEY_LABEL = "label";
    private static final java.lang.String JSON_KEY_NAME = "name";
    private static final java.lang.String JSON_KEY_NUMBER = "number";
    private static final java.lang.String JSON_KEY_ORIG_VALUE = "origValue";
    private static final java.lang.String JSON_KEY_PAY_LOAD = "payload";
    private static final java.lang.String JSON_KEY_PKG_NAME = "packageName";
    private static final java.lang.String JSON_KEY_SLOTS = "slots";
    private static final java.lang.String JSON_KEY_SLOTS_APP = "targetApp";
    private static final java.lang.String JSON_KEY_SLOTS_SCREEN = "targetScreen";
    private static final java.lang.String JSON_KEY_SLOTS_SCREEN_EXT = "externalDisplay";
    private static final java.lang.String JSON_KEY_SLOTS_SCREEN_PHONE = "phone";
    private static final java.lang.String JSON_KEY_SLOTS_SEQ = "targetSeq";
    private static final java.lang.String JSON_KEY_SYNONYM_WORD = "synonymWord";
    private static final java.lang.String JSON_KEY_VALUE = "value";
    private static final int JSON_VALUE_DEFAULT_DISPLAY = 0;
    private static final int JSON_VALUE_EXT_DISPLAY = 1;
    private static final int MSG_DESKTOP_MODE_CHANGED = 3;
    private static final int MSG_INVALID = -1;
    private static final int MSG_LOAD_RES = 1;
    private static final int MSG_RESULT_OPEN_DOC = 2;
    private static final int MSG_VOICE_CMD = 0;
    private static final java.lang.String PERMISSION_BROADCAST_VASSIST_DESKTOP = "com.huawei.permission.VASSIST_DESKTOP";
    private static final java.lang.String PERMISSION_BROADCAST_VASSIST_DESKTOP_WPS = "com.huawei.permission.VASSIST_DESKTOP_WPS";
    static final int RESULT_CANNOT_DO_IT = 3;
    static final int RESULT_CANNOT_FOUND_APP = 4;
    static final int RESULT_FAILED = 1;
    static final int RESULT_MAX_FULLSC_CANNOT_LARGER = 6;
    static final int RESULT_MIN_MAX_FULLSC_NOT_OPERATION = 5;
    static final int RESULT_NOT_IN_DESKTOP_MODE = 2;
    static final int RESULT_OPEN_DOC_NOT_FOUND = 7;
    static final int RESULT_SUCCESS = 0;
    static final int RESULT_SUCCESS_BACK_SHOWHOME = -4;
    static final int RESULT_SUCCESS_CLOSE_APP = -2;
    static final int RESULT_SUCCESS_MIN_MAX_APP = -3;
    static final int RESULT_SUCCESS_PAGE_UP_DOWN_FULLSCN = -6;
    static final int RESULT_SUCCESS_START_OPEN = -1;
    static final int RESULT_SUCCESS_START_PLAY = -5;
    private static final java.lang.String[] SPECIAL_APPS_FOR_PAGE = new java.lang.String[]{"com.android.gallery3d", "cn.wps.moffice_eng", "com.kingsoft.moffice_pro_hw", "com.microsoft.office.officehub"};
    private static final java.lang.String[] SPECIAL_APPS_FOR_PPT = new java.lang.String[]{"cn.wps.moffice_eng", "com.kingsoft.moffice_pro_hw", "com.microsoft.office.officehub"};
    private static final java.lang.String TAG = "HwPCVAssistCmdExecutor";
    private com.android.server.am.HwActivityManagerService mAMS;
    final java.util.List<java.lang.String> mAppStartSuccStrs = new java.util.ArrayList();
    private com.android.server.pc.vassist.HwPCVAssistAppStarter mAppStarter;
    private volatile int mCastingDisplayId = -1;
    final java.util.List<java.lang.String> mCloseSuccResultStrs = new java.util.ArrayList();
    private android.content.Context mContext;
    private volatile boolean mDesktopMode = false;
    private com.android.server.pc.vassist.HwPCVAssistCmdExecutor.LocalHandler mHandler;
    private android.os.HandlerThread mHandlerThread;
    final java.util.List<java.lang.String> mNotConnDisplayResultStrs = new java.util.ArrayList();
    private com.android.server.pc.vassist.HwPCVAssistCmdExecutor.OpenDocResultReceiver mOpenDocResultReceiver;
    final java.util.List<java.lang.String> mOpenDocResultStrs = new java.util.ArrayList();
    private int mReplayCount = 0;
    private com.android.server.pc.HwPCManagerService mService;
    final java.util.List<java.lang.String> mStartPlayResultStrs = new java.util.ArrayList();
    private java.util.HashMap<java.lang.String, java.lang.Integer> mUnWakedStrs = new java.util.HashMap();
    private java.util.HashMap<java.lang.String, java.lang.Integer> mWakedCmdsMap = new java.util.HashMap();

    private class LocalHandler extends android.os.Handler {
        private com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd mVoiceCmd = null;

        public com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd getVoiceCmdForOpenDoc() {
            return this.mVoiceCmd;
        }

        public void setVoiceCmdForOpenDoc(com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd cmd) {
            this.mVoiceCmd = cmd;
        }

        public LocalHandler(android.os.Looper looper) {
            super(looper, null, true);
        }

        public void handleMessage(android.os.Message msg) {
            switch (msg.what) {
                case 0:
                    boolean desktopMode = com.android.server.pc.vassist.HwPCVAssistCmdExecutor.this.mDesktopMode;
                    int displayId = com.android.server.pc.vassist.HwPCVAssistCmdExecutor.this.mCastingDisplayId;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("MSG_VOICE_CMD displayId = ");
                    stringBuilder.append(displayId);
                    stringBuilder.append(", desktopMode = ");
                    stringBuilder.append(desktopMode);
                    android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
                    com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd voiceCmd = com.android.server.pc.vassist.HwPCVAssistCmdExecutor.this.resolveJsonCmd(msg, displayId);
                    if (voiceCmd == null) {
                        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "MSG_VOICE_CMD refuse to exec voice command");
                        return;
                    }
                    if (desktopMode) {
                        if (android.util.HwPCUtils.isValidExtDisplayId(displayId)) {
                            if (voiceCmd.cmd == -1) {
                                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "MSG_VOICE_CMD invalid cmd");
                                com.android.server.pc.vassist.HwPCVAssistCmdExecutor.this.replyResultToVAssist(3, voiceCmd);
                                return;
                            }
                            com.android.server.pc.vassist.HwPCVAssistCmdExecutor.this.execVoiceCmdImpl(voiceCmd);
                            return;
                        }
                    }
                    android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "MSG_VOICE_CMD is not in desktop mode or is invalid displayid, abort this command");
                    com.android.server.pc.vassist.HwPCVAssistCmdExecutor.this.replyResultToVAssist(2, voiceCmd);
                    return;
                case 1:
                    com.android.server.pc.vassist.HwPCVAssistCmdExecutor.this.loadStrings();
                    return;
                case 2:
                    com.android.server.pc.vassist.HwPCVAssistCmdExecutor.this.replyResultOfOpenDoc(msg);
                    return;
                default:
                    return;
            }
        }
    }

    private class OpenDocResultReceiver extends android.content.BroadcastReceiver {
        private OpenDocResultReceiver() {
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (intent == null) {
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "OpenDocReusltReceiver received a null intent");
                return;
            }
            if ("com.huawei.audio.assist.action_open_result".equals(intent.getAction())) {
                int result = intent.getIntExtra("result", 0);
                int sessionId = intent.getIntExtra("session_id", -1);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("receive: BROADCAST_WPS_OPEN_DOC_RESULT, result = ");
                stringBuilder.append(result);
                stringBuilder.append(", sessionId = ");
                stringBuilder.append(sessionId);
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
                com.android.server.pc.vassist.HwPCVAssistCmdExecutor.this.mHandler.removeMessages(2);
                android.os.Message msg = com.android.server.pc.vassist.HwPCVAssistCmdExecutor.this.mHandler.obtainMessage(2);
                msg.arg1 = result;
                msg.arg2 = sessionId;
                com.android.server.pc.vassist.HwPCVAssistCmdExecutor.this.mHandler.sendMessage(msg);
            }
        }
    }

    static class VoiceCmd {
        java.lang.String action;
        int castingDisplay = 0;
        int cmd = -1;
        java.lang.String extra;
        int flag;
        android.os.Messenger messenger;
        java.lang.String pkgName;
        int sessionId;
        int targetDisplay = 0;

        public java.lang.String toString() {
            java.lang.StringBuilder sb = new java.lang.StringBuilder(128);
            sb.append("cmd = ");
            sb.append(this.cmd);
            sb.append(", sessionId = ");
            sb.append(this.sessionId);
            sb.append(", pkgName = ");
            sb.append(this.pkgName);
            sb.append(", action = ");
            sb.append(this.action);
            sb.append(", extra = ");
            sb.append(this.extra);
            sb.append(", flag = ");
            sb.append(this.flag);
            sb.append(", targetDisplay = ");
            sb.append(this.targetDisplay);
            sb.append(", castingDisplay = ");
            sb.append(this.castingDisplay);
            return sb.toString();
        }
    }

    public static final class WindowStateData {
        public android.graphics.Rect bounds;
        public java.lang.String pkgName;
        public boolean topWinApp;

        public WindowStateData() {
            reset();
        }

        public void reset() {
            this.pkgName = null;
            this.topWinApp = true;
            this.bounds = null;
        }

        public java.lang.String toString() {
            java.lang.StringBuilder sb = new java.lang.StringBuilder(128);
            sb.append("pkgName = ");
            sb.append(this.pkgName);
            sb.append(", topWinApp = ");
            sb.append(this.topWinApp);
            sb.append(", bounds = ");
            sb.append(this.bounds);
            return sb.toString();
        }
    }

    public HwPCVAssistCmdExecutor(android.content.Context context, com.android.server.pc.HwPCManagerService service, com.android.server.am.HwActivityManagerService ams) {
        createLocalizedContext(context, java.util.Locale.SIMPLIFIED_CHINESE);
        this.mService = service;
        this.mAMS = ams;
        this.mHandlerThread = new android.os.HandlerThread("HwPCVAssistCmdExecutor", -2);
        this.mHandlerThread.start();
        this.mHandler = new com.android.server.pc.vassist.HwPCVAssistCmdExecutor.LocalHandler(this.mHandlerThread.getLooper());
        initCmdMap();
        this.mAppStarter = new com.android.server.pc.vassist.HwPCVAssistAppStarter(this.mContext, this, service);
        this.mHandler.sendMessage(this.mHandler.obtainMessage(1));
        this.mOpenDocResultReceiver = new com.android.server.pc.vassist.HwPCVAssistCmdExecutor.OpenDocResultReceiver();
        android.content.IntentFilter openDocResultFilter = new android.content.IntentFilter();
        openDocResultFilter.addAction("com.huawei.audio.assist.action_open_result");
        this.mContext.registerReceiver(this.mOpenDocResultReceiver, openDocResultFilter);
    }

    private void createLocalizedContext(android.content.Context context, java.util.Locale desiredLocale) {
        android.content.res.Configuration conf = new android.content.res.Configuration(context.getResources().getConfiguration());
        conf.setLocale(desiredLocale);
        this.mContext = context.createConfigurationContext(conf);
    }

    private void initCmdMap() {
        this.mWakedCmdsMap.put("startApp", java.lang.Integer.valueOf(0));
        this.mWakedCmdsMap.put("closeApp", java.lang.Integer.valueOf(1));
        this.mWakedCmdsMap.put("minApp", java.lang.Integer.valueOf(2));
        this.mWakedCmdsMap.put("maxApp", java.lang.Integer.valueOf(3));
        this.mWakedCmdsMap.put("fullscreenApp", java.lang.Integer.valueOf(4));
        this.mWakedCmdsMap.put("backApp", java.lang.Integer.valueOf(5));
        this.mWakedCmdsMap.put("showHome", java.lang.Integer.valueOf(6));
        this.mWakedCmdsMap.put("openDoc", java.lang.Integer.valueOf(7));
        this.mWakedCmdsMap.put("prevPage", java.lang.Integer.valueOf(8));
        this.mWakedCmdsMap.put("nextPage", java.lang.Integer.valueOf(9));
        this.mWakedCmdsMap.put("startPlay", java.lang.Integer.valueOf(10));
        this.mWakedCmdsMap.put("stopPlay", java.lang.Integer.valueOf(11));
    }

    private void loadStrings() {
        loadStringsForExecResults();
        loadStringsForUnWaked();
    }

    private void loadStringsForExecResults() {
        this.mAppStartSuccStrs.add(this.mContext.getString(33686158));
        this.mAppStartSuccStrs.add(this.mContext.getString(33686157));
        this.mCloseSuccResultStrs.add(this.mContext.getString(33686137));
        this.mCloseSuccResultStrs.add(this.mContext.getString(33686135));
        this.mStartPlayResultStrs.add(this.mContext.getString(33686147));
        this.mStartPlayResultStrs.add(this.mContext.getString(33686146));
        this.mOpenDocResultStrs.addAll(this.mAppStartSuccStrs);
        this.mNotConnDisplayResultStrs.add(this.mContext.getString(33686138));
        this.mNotConnDisplayResultStrs.add(this.mContext.getString(33686139));
    }

    private void loadStringsForUnWaked() {
        this.mUnWakedStrs.put(this.mContext.getString(33686151), java.lang.Integer.valueOf(0));
        this.mUnWakedStrs.put(this.mContext.getString(33686152), java.lang.Integer.valueOf(1));
        this.mUnWakedStrs.put(this.mContext.getString(33686153), java.lang.Integer.valueOf(2));
        this.mUnWakedStrs.put(this.mContext.getString(33686154), java.lang.Integer.valueOf(3));
        this.mUnWakedStrs.put(this.mContext.getString(33686142), java.lang.Integer.valueOf(4));
        this.mUnWakedStrs.put(this.mContext.getString(33686143), java.lang.Integer.valueOf(5));
        this.mUnWakedStrs.put(this.mContext.getString(33686144), java.lang.Integer.valueOf(6));
        this.mUnWakedStrs.put(this.mContext.getString(33686145), java.lang.Integer.valueOf(7));
        this.mUnWakedStrs.put(this.mContext.getString(33686149), java.lang.Integer.valueOf(8));
        this.mUnWakedStrs.put(this.mContext.getString(33686150), java.lang.Integer.valueOf(9));
    }

    public void execVoiceCmd(android.os.Message message) {
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "execVoiceCmd");
        this.mHandler.sendMessage(this.mHandler.obtainMessage(0, message));
    }

    private boolean isCmdConcernAppNotFound(com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd voiceCmd) {
        if (voiceCmd.cmd == 2 || voiceCmd.cmd == 3 || voiceCmd.cmd == 4) {
            return true;
        }
        return voiceCmd.cmd == 1;
    }

    /* JADX WARNING: Removed duplicated region for block: B:35:0x0118 A:{ExcHandler: org.json.JSONException (e org.json.JSONException), Splitter: B:1:0x0007} */
    /* JADX WARNING: Missing block: B:36:0x0119, code:
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "resolveSlotsOfCloud ParseException occurred");
     */
    private void resolveSlotsOfCloud(com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd r7, java.lang.String r8, org.json.JSONObject r9) {
        /*
        r6 = this;
        r0 = "HwPCVAssistCmdExecutor";
        r1 = "resolveSlotsOfCloud";
        android.util.HwPCUtils.log(r0, r1);
        r0 = "targetApp";
        r0 = r0.equals(r8);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        if (r0 == 0) goto L_0x0050;
    L_0x0010:
        r0 = "value";
        r0 = r9.opt(r0);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r0 = (org.json.JSONObject) r0;	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        if (r0 == 0) goto L_0x004e;
    L_0x001b:
        r1 = "synonymWord";
        r1 = r0.opt(r1);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r1 = java.lang.String.valueOf(r1);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r2 = r6.mAppStarter;	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r2 = r6.mContext;	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r2 = com.android.server.pc.vassist.HwPCVAssistAppStarter.getPackageName(r2, r1);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r7.pkgName = r2;	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r2 = r7.pkgName;	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r2 = android.text.TextUtils.isEmpty(r2);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        if (r2 == 0) goto L_0x0048;
    L_0x0038:
        r2 = r6.isCmdConcernAppNotFound(r7);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        if (r2 == 0) goto L_0x0048;
    L_0x003e:
        r2 = "HwPCVAssistCmdExecutor";
        r3 = "resolveSlotsOfCloud close special app but app not found.";
        android.util.HwPCUtils.log(r2, r3);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r7.extra = r1;	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        return;
    L_0x0048:
        r2 = r7.cmd;	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        if (r2 != 0) goto L_0x004e;
    L_0x004c:
        r7.extra = r1;	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
    L_0x004e:
        goto L_0x0117;
    L_0x0050:
        r0 = "targetScreen";
        r0 = r0.equals(r8);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        if (r0 == 0) goto L_0x00c3;
    L_0x0059:
        r0 = "origValue";
        r0 = r9.opt(r0);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r0 = (java.lang.String) r0;	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r1 = "HwPCVAssistCmdExecutor";
        r2 = new java.lang.StringBuilder;	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r2.<init>();	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r3 = "resolveSlotsOfCloud origValue = ";
        r2.append(r3);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r2.append(r0);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r2 = r2.toString();	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        android.util.HwPCUtils.log(r1, r2);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r1 = "value";
        r1 = r9.opt(r1);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r1 = java.lang.String.valueOf(r1);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r2 = "HwPCVAssistCmdExecutor";
        r3 = new java.lang.StringBuilder;	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r3.<init>();	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r4 = "resolveSlotsOfCloud value = ";
        r3.append(r4);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r3.append(r1);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r3 = r3.toString();	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        android.util.HwPCUtils.log(r2, r3);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r2 = "phone";
        r2 = r2.equals(r1);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r3 = 0;
        if (r2 == 0) goto L_0x00a4;
    L_0x00a1:
        r7.targetDisplay = r3;	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        goto L_0x00c2;
    L_0x00a4:
        r2 = android.text.TextUtils.isEmpty(r1);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        if (r2 != 0) goto L_0x00c2;
    L_0x00aa:
        r2 = new org.json.JSONObject;	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r2.<init>(r1);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r4 = "synonymWord";
        r4 = r2.opt(r4);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r4 = (java.lang.String) r4;	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r5 = "phone";
        r5 = r5.equals(r4);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        if (r5 == 0) goto L_0x00c2;
    L_0x00c0:
        r7.targetDisplay = r3;	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
    L_0x00c2:
        goto L_0x0117;
    L_0x00c3:
        r0 = "targetSeq";
        r0 = r0.equals(r8);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        if (r0 == 0) goto L_0x0117;
    L_0x00cc:
        r0 = "value";
        r0 = r9.opt(r0);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r0 = (org.json.JSONObject) r0;	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r1 = "HwPCVAssistCmdExecutor";
        r2 = new java.lang.StringBuilder;	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r2.<init>();	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r3 = "resolveSlotsOfCloud value = ";
        r2.append(r3);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r2.append(r0);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r2 = r2.toString();	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        android.util.HwPCUtils.log(r1, r2);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        if (r0 != 0) goto L_0x00f5;
    L_0x00ed:
        r1 = "HwPCVAssistCmdExecutor";
        r2 = "resolveSlotsOfCloud value = null";
        android.util.HwPCUtils.log(r1, r2);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        return;
    L_0x00f5:
        r1 = "number";
        r1 = r0.opt(r1);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r1 = (java.lang.String) r1;	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r7.extra = r1;	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r1 = "HwPCVAssistCmdExecutor";
        r2 = new java.lang.StringBuilder;	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r2.<init>();	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r3 = "resolveSlotsOfCloud extra = ";
        r2.append(r3);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r3 = r7.extra;	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r2.append(r3);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        r2 = r2.toString();	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
        android.util.HwPCUtils.log(r1, r2);	 Catch:{ JSONException -> 0x0118, JSONException -> 0x0118 }
    L_0x0117:
        goto L_0x0120;
    L_0x0118:
        r0 = move-exception;
        r1 = "HwPCVAssistCmdExecutor";
        r2 = "resolveSlotsOfCloud ParseException occurred";
        android.util.HwPCUtils.log(r1, r2);
    L_0x0120:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.pc.vassist.HwPCVAssistCmdExecutor.resolveSlotsOfCloud(com.android.server.pc.vassist.HwPCVAssistCmdExecutor$VoiceCmd, java.lang.String, org.json.JSONObject):void");
    }

    private com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd createVoiceCmdForCloud(com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd voiceCmd, android.os.Bundle bundle) {
        com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd voiceCmd2 = voiceCmd;
        java.lang.String jsonStr = bundle.getString("contexts");
        if (jsonStr == null) {
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "createVoiceCmdForCloud null command");
            return voiceCmd2;
        }
        java.lang.String cmd = null;
        java.lang.StringBuilder stringBuilder;
        try {
            org.json.JSONArray jsonA = new org.json.JSONArray(jsonStr);
            if (jsonA.length() <= 0) {
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "createVoiceCmdForCloud jsonA is empty");
                return voiceCmd2;
            }
            org.json.JSONObject jsonCmd = jsonA.getJSONObject(0);
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("createVoiceCmdForCloud jsonCmd = ");
            stringBuilder2.append(jsonCmd);
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder2.toString());
            if (jsonCmd == null) {
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "createVoiceCmdForCloud jsonCmd is empty");
                return voiceCmd2;
            }
            org.json.JSONObject jsonPayload = (org.json.JSONObject) jsonCmd.opt("payload");
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("createVoiceCmdForCloud jsonPayload = ");
            stringBuilder3.append(jsonPayload);
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder3.toString());
            if (jsonPayload == null) {
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "createVoiceCmdForCloud jsonPayload is empty");
                return voiceCmd2;
            }
            java.lang.Integer intCmd = (java.lang.Integer) this.mWakedCmdsMap.get((java.lang.String) jsonPayload.opt("intent"));
            stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("createVoiceCmdForCloud intCmd = ");
            stringBuilder3.append(intCmd);
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder3.toString());
            if (intCmd == null) {
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "createVoiceCmdForCloud command not found");
                return voiceCmd2;
            }
            java.lang.StringBuilder stringBuilder4;
            voiceCmd2.cmd = intCmd.intValue();
            org.json.JSONArray jsonArraySlots = (org.json.JSONArray) jsonPayload.opt("slots");
            int N_SLOTS = jsonArraySlots.length();
            if (N_SLOTS <= 0) {
                stringBuilder4 = new java.lang.StringBuilder();
                stringBuilder4.append("createVoiceCmdForCloud jsonArraySlots = ");
                stringBuilder4.append(jsonArraySlots);
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder4.toString());
            }
            int i = 0;
            while (true) {
                int i2 = i;
                if (i2 < N_SLOTS) {
                    org.json.JSONObject jsonObjSlots = jsonArraySlots.getJSONObject(i2);
                    stringBuilder = new java.lang.StringBuilder();
                    org.json.JSONArray jsonA2 = jsonA;
                    stringBuilder.append("createVoiceCmdForCloud jsonObjSlots = ");
                    stringBuilder.append(jsonObjSlots);
                    android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
                    java.lang.String name = (java.lang.String) jsonObjSlots.opt("name");
                    stringBuilder4 = new java.lang.StringBuilder();
                    stringBuilder4.append("createVoiceCmdForCloud name = ");
                    stringBuilder4.append(name);
                    android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder4.toString());
                    resolveSlotsOfCloud(voiceCmd2, name, jsonObjSlots);
                    i = i2 + 1;
                    jsonA = jsonA2;
                    android.os.Bundle bundle2 = bundle;
                } else {
                    java.lang.StringBuilder stringBuilder5 = new java.lang.StringBuilder();
                    stringBuilder5.append("createVoiceCmdForCloud voiceCmd = ");
                    stringBuilder5.append(voiceCmd2);
                    android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder5.toString());
                    return voiceCmd2;
                }
            }
        } catch (org.json.JSONException e) {
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "createVoiceCmdForCloud ParseException occurred");
            voiceCmd2.cmd = -1;
            return voiceCmd2;
        } catch (java.lang.Exception e2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("createVoiceCmdForCloud ");
            stringBuilder.append(e2.toString());
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
            voiceCmd2.cmd = -1;
            return voiceCmd2;
        }
    }

    private com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd createVoiceCmdForTerminal(com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd voiceCmd, android.os.Bundle bundle) {
        java.lang.String jsonStr = bundle.getString("command");
        if (jsonStr == null) {
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "createVoiceCmdForTerminal null command");
            return voiceCmd;
        }
        try {
            org.json.JSONObject json = new org.json.JSONObject(jsonStr);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("createVoiceCmdForTerminal json = ");
            stringBuilder.append(json);
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
            java.lang.String actionForTerminal = (java.lang.String) json.opt("action");
            java.lang.Integer intCmd = (java.lang.Integer) this.mWakedCmdsMap.get(actionForTerminal);
            if (intCmd == null) {
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "createVoiceCmdForTerminal command not found");
                return voiceCmd;
            } else if (intCmd.intValue() != 0) {
                return voiceCmd;
            } else {
                java.lang.String labelForTerminal = (java.lang.String) json.opt("label");
                int extraForTerminal = json.optInt("ext", 1);
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("createVoiceCmdForTerminal action = ");
                stringBuilder2.append(actionForTerminal);
                stringBuilder2.append(", label = ");
                stringBuilder2.append(labelForTerminal);
                stringBuilder2.append(", extra = ");
                stringBuilder2.append(extraForTerminal);
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder2.toString());
                voiceCmd.pkgName = com.android.server.pc.vassist.HwPCVAssistAppStarter.getPackageName(this.mContext, labelForTerminal);
                voiceCmd.extra = labelForTerminal;
                voiceCmd.cmd = intCmd.intValue();
                if (extraForTerminal == 0) {
                    voiceCmd.targetDisplay = 0;
                }
                return voiceCmd;
            }
        } catch (org.json.JSONException e) {
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "createVoiceCmdForTerminal ParseException occurred");
            return voiceCmd;
        }
    }

    private com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd createVoiceCmdForUnwaked(com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd voiceCmd, android.os.Bundle bundle) {
        java.lang.String cmdStr = bundle.getString("wake");
        if (cmdStr == null) {
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "createVoiceCmdForUnwaked null command");
            return voiceCmd;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("createVoiceCmdForUnwaked cmdStr = ");
        stringBuilder.append(cmdStr);
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
        java.lang.Integer intCmd = (java.lang.Integer) this.mUnWakedStrs.get(cmdStr);
        if (intCmd == null) {
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "createVoiceCmdForUnwaked command not found");
            return voiceCmd;
        }
        if (intCmd.intValue() >= 0 && intCmd.intValue() <= 3) {
            intCmd = java.lang.Integer.valueOf(8);
        } else if (intCmd.intValue() > 3 && intCmd.intValue() <= 7) {
            intCmd = java.lang.Integer.valueOf(9);
        } else if (intCmd.intValue() <= 7 || intCmd.intValue() > 9) {
            intCmd = java.lang.Integer.valueOf(-1);
        } else {
            intCmd = java.lang.Integer.valueOf(10);
        }
        if (intCmd.intValue() == -1) {
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "createVoiceCmdForUnwaked invalid command");
            return voiceCmd;
        }
        voiceCmd.cmd = intCmd.intValue();
        return voiceCmd;
    }

    private com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd resolveJsonCmd(android.os.Message msg, int castingDisplay) {
        android.os.Message message = msg.obj;
        android.os.Bundle bundle = message.getData();
        android.os.Messenger messenger = message.replyTo;
        if (messenger != null) {
            if (bundle != null) {
                int serviceId = message.what;
                int flag = message.arg1;
                int sessionId = message.arg2;
                com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd voiceCmd = new com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd();
                voiceCmd.flag = flag;
                voiceCmd.sessionId = serviceId;
                voiceCmd.messenger = messenger;
                voiceCmd.castingDisplay = castingDisplay;
                voiceCmd.targetDisplay = castingDisplay;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("resolveJsonCmd serviceId = ");
                stringBuilder.append(serviceId);
                stringBuilder.append(", flag = ");
                stringBuilder.append(flag);
                stringBuilder.append(", sessionId = ");
                stringBuilder.append(sessionId);
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
                if (serviceId == 272 && flag <= 2) {
                    if (sessionId >= 0) {
                        switch (flag) {
                            case 1:
                                return createVoiceCmdForTerminal(voiceCmd, bundle);
                            case 2:
                                return createVoiceCmdForUnwaked(voiceCmd, bundle);
                            default:
                                return createVoiceCmdForCloud(voiceCmd, bundle);
                        }
                    }
                }
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "resolveJsonCmd is not vassist service id or invalid flag or sessionId");
                return voiceCmd;
            }
        }
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "resolveJsonCmd messenger or data is null");
        return null;
    }

    public void execVoiceCmdImpl(com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd cmd) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("execVoiceCmdImpl cmd = ");
        stringBuilder.append(cmd);
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
        switch (cmd.cmd) {
            case 0:
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "CMD_START_APP");
                android.util.HwPCUtils.bdReport(this.mContext, 10059, "START_APP");
                this.mAppStarter.startApp(cmd);
                return;
            case 1:
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "CMD_CLOSE_APP");
                android.util.HwPCUtils.bdReport(this.mContext, 10059, "CLOSE_APP");
                closeApp(cmd);
                return;
            case 2:
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "CMD_MIN_APP");
                android.util.HwPCUtils.bdReport(this.mContext, 10059, "MIN_APP");
                minTask(cmd);
                return;
            case 3:
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "CMD_MAX_APP");
                android.util.HwPCUtils.bdReport(this.mContext, 10059, "MAX_APP");
                maxTask(cmd);
                return;
            case 4:
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "CMD_FULL_SCREEN_APP");
                android.util.HwPCUtils.bdReport(this.mContext, 10059, "FULL_SCREEN_APP");
                fullScreenTask(cmd);
                return;
            case 5:
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "CMD_BACK_APP");
                android.util.HwPCUtils.bdReport(this.mContext, 10059, "BACK_APP");
                backWindow(cmd);
                return;
            case 6:
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "CMD_SHOW_HOME");
                android.util.HwPCUtils.bdReport(this.mContext, 10059, "SHOW_HOME");
                this.mAMS.toggleHome();
                replyResultToVAssist(-4, cmd);
                return;
            case 7:
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "CMD_OPEN_DOC");
                android.util.HwPCUtils.bdReport(this.mContext, 10059, "OPEN_DOC");
                openDocByIndex(cmd);
                return;
            case 8:
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "CMD_PREV_PAGE");
                android.util.HwPCUtils.bdReport(this.mContext, 10059, "PREV_PAGE");
                pageUpDown(cmd);
                return;
            case 9:
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "CMD_NEXT_PAGE");
                android.util.HwPCUtils.bdReport(this.mContext, 10059, "NEXT_PAGE");
                pageUpDown(cmd);
                return;
            case 10:
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "CMD_START_PLAY");
                android.util.HwPCUtils.bdReport(this.mContext, 10059, "START_PLAY");
                startStopPlayPPT(cmd);
                return;
            case 11:
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "CMD_STOP_PLAY");
                android.util.HwPCUtils.bdReport(this.mContext, 10059, "STOP_PLAY");
                startStopPlayPPT(cmd);
                return;
            default:
                return;
        }
    }

    private boolean checkAppExists(com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd cmd) {
        if (android.text.TextUtils.isEmpty(cmd.extra) || !android.text.TextUtils.isEmpty(cmd.pkgName)) {
            return true;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("checkAppExists cannot found App ");
        stringBuilder.append(cmd.extra);
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
        return false;
    }

    private int getHandledTaskId(com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd cmd, int displayId) {
        return getHandledTaskId(cmd, displayId, false, false);
    }

    private int getHandledTaskId(com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd cmd, int displayId, boolean findInDefaultDisplay, boolean invisibleAlso) {
        java.lang.String packageName = cmd.pkgName;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getHandledTaskId packageName = ");
        stringBuilder.append(packageName);
        stringBuilder.append(", displayId = ");
        stringBuilder.append(displayId);
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
        boolean emptyPkg = android.text.TextUtils.isEmpty(cmd.pkgName);
        int taskId = com.huawei.android.app.HwActivityManager.getTopTaskIdInDisplay(displayId, cmd.pkgName, invisibleAlso);
        if (emptyPkg || taskId >= 0 || displayId == 0 || !findInDefaultDisplay) {
            return taskId;
        }
        return com.huawei.android.app.HwActivityManager.getTopTaskIdInDisplay(0, cmd.pkgName, invisibleAlso);
    }

    private void closeApp(com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd cmd) {
        if (checkAppExists(cmd)) {
            int taskId = getHandledTaskId(cmd, cmd.targetDisplay, true, true);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("closeApp taskId = ");
            stringBuilder.append(taskId);
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
            if (taskId < 0) {
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "closeApp invalid taskId");
            }
            this.mAMS.removeTask(taskId);
            this.mService.setFocusedPCDisplayId("CMD_CLOSE_APP");
            replyResultToVAssist(-2, cmd);
            return;
        }
        replyResultToVAssist(4, cmd);
    }

    private void minTask(com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd cmd) {
        if (checkAppExists(cmd)) {
            int taskId = getHandledTaskId(cmd, cmd.castingDisplay, true, true);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("minTask taskId = ");
            stringBuilder.append(taskId);
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
            if (taskId < 0) {
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "minTask invalid taskId");
                replyResultToVAssist(5, cmd);
                return;
            } else if (com.huawei.android.app.HwActivityManager.isTaskVisible(taskId)) {
                this.mAMS.moveTaskBackwards(taskId);
                this.mService.setFocusedPCDisplayId("CMD_MIN_APP");
                replyResultToVAssist(-3, cmd);
                return;
            } else {
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "minTask task is invisible already");
                replyResultToVAssist(-3, cmd);
                return;
            }
        }
        replyResultToVAssist(5, cmd);
    }

    private void maxTask(com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd cmd) {
        if (checkAppExists(cmd)) {
            int taskId = getHandledTaskId(cmd, cmd.castingDisplay);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("maxTask taskId = ");
            stringBuilder.append(taskId);
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
            if (taskId < 0) {
                replyResultToVAssist(5, cmd);
                return;
            } else if (com.huawei.android.app.HwActivityManager.isTaskSupportResize(taskId, false, true)) {
                this.mService.hwResizeTask(taskId, new android.graphics.Rect(0, 0, 0, 0));
                replyResultToVAssist(-3, cmd);
                this.mService.setFocusedPCDisplayId("CMD_MAX_APP");
                return;
            } else {
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "maxTask cannot larger");
                replyResultToVAssist(6, cmd);
                return;
            }
        }
        replyResultToVAssist(5, cmd);
    }

    private void fullScreenTask(com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd cmd) {
        if (checkAppExists(cmd)) {
            int taskId = getHandledTaskId(cmd, cmd.castingDisplay);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("fullScreenTask taskId = ");
            stringBuilder.append(taskId);
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
            if (taskId < 0) {
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "invalid taskid");
                replyResultToVAssist(5, cmd);
                return;
            } else if (!com.huawei.android.app.HwActivityManager.isTaskSupportResize(taskId, true, false)) {
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "maxTask cannot larger");
                replyResultToVAssist(6, cmd);
                return;
            } else if (com.huawei.android.app.HwActivityManager.isTaskVisible(taskId)) {
                this.mService.hwResizeTask(taskId, new android.graphics.Rect(-1, -1, -1, -1));
                this.mService.setFocusedPCDisplayId("CMD_FULL_SCREEN_APP");
                replyResultToVAssist(-6, cmd);
                return;
            } else {
                android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "minTask task is invisible already");
                replyResultToVAssist(5, cmd);
                return;
            }
        }
        replyResultToVAssist(5, cmd);
    }

    public static boolean specialAppFocused(int displayId, com.android.server.pc.vassist.HwPCVAssistCmdExecutor.WindowStateData outData, boolean forPPT, boolean ignoreLaserView) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("specialAppFocused displayId = ");
        stringBuilder.append(displayId);
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
        boolean z = false;
        if (ignoreLaserView || !com.huawei.android.view.HwWindowManager.hasLighterViewInPCCastMode()) {
            java.lang.String[] special_apps;
            android.os.Bundle outBundle = new android.os.Bundle();
            com.huawei.android.view.HwWindowManager.getCurrFocusedWinInExtDisplay(outBundle);
            java.lang.String focusableAppPkg = outBundle.getString("pkgName", null);
            boolean topWinApp = outBundle.getBoolean("isApp", false);
            android.graphics.Rect bounds = (android.graphics.Rect) outBundle.getParcelable("bounds");
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("specialAppFocused focusableAppPkg = ");
            stringBuilder2.append(focusableAppPkg);
            stringBuilder2.append(", topWinApp = ");
            stringBuilder2.append(topWinApp);
            stringBuilder2.append(", bounds = ");
            stringBuilder2.append(bounds);
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder2.toString());
            boolean topSpecialApp = false;
            if (forPPT) {
                special_apps = SPECIAL_APPS_FOR_PPT;
            } else {
                special_apps = SPECIAL_APPS_FOR_PAGE;
            }
            if (focusableAppPkg != null) {
                for (java.lang.CharSequence contains : special_apps) {
                    if (focusableAppPkg.contains(contains)) {
                        topSpecialApp = true;
                        break;
                    }
                }
            }
            if (outData != null) {
                outData.pkgName = focusableAppPkg;
                outData.topWinApp = topSpecialApp;
                outData.bounds = bounds;
            }
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("specialAppFocused topWinApp = ");
            stringBuilder3.append(topWinApp);
            stringBuilder3.append(", topSpecialApp = ");
            stringBuilder3.append(topSpecialApp);
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder3.toString());
            if (topWinApp && topSpecialApp) {
                z = true;
            }
            return z;
        }
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "specialAppFocused has laser lighter view");
        return false;
    }

    private boolean injectInputEventInternal(android.view.InputEvent event, int mode) {
        com.android.server.input.HwInputManagerService.HwInputManagerLocalService inputManager = (com.android.server.input.HwInputManagerService.HwInputManagerLocalService) com.android.server.LocalServices.getService(com.android.server.input.HwInputManagerService.HwInputManagerLocalService.class);
        if (inputManager != null) {
            return inputManager.injectInputEvent(event, mode);
        }
        return false;
    }

    private void sendEvent(int code, int metaState, int action) {
        long downTime = android.os.SystemClock.uptimeMillis();
        android.view.KeyEvent ev = new android.view.KeyEvent(downTime, downTime, action, code, 0, metaState, -1, 0, 4104, 257);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("send key event, code:");
        stringBuilder.append(code);
        stringBuilder.append(",metaState:");
        stringBuilder.append(metaState);
        stringBuilder.append(", isExternal = ");
        stringBuilder.append(ev.getHwFlags());
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
        injectInputEventInternal(ev, 0);
    }

    private void openDocByIndex(com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd cmd) {
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "openDocByIndex");
        if (specialAppFocused(cmd.castingDisplay, new com.android.server.pc.vassist.HwPCVAssistCmdExecutor.WindowStateData(), true, false)) {
            boolean hasNoException = true;
            int index = -1;
            if (!android.text.TextUtils.isEmpty(cmd.extra)) {
                try {
                    index = java.lang.Integer.parseInt(cmd.extra);
                } catch (java.lang.NumberFormatException e) {
                    hasNoException = false;
                    android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "openDocByIndex NumberFormatException ocurred.");
                }
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("index = ");
            stringBuilder.append(index);
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
            if (hasNoException) {
                this.mHandler.setVoiceCmdForOpenDoc(cmd);
                android.content.Intent intent = new android.content.Intent("com.huawei.audio.assist.action_open");
                intent.putExtra("file_index", index);
                intent.putExtra("session_id", cmd.sessionId);
                this.mContext.sendBroadcast(intent, "com.huawei.permission.VASSIST_DESKTOP");
            } else {
                replyResultToVAssist(5, cmd);
            }
            return;
        }
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "openDocByIndex special app not focused");
        replyResultToVAssist(3, cmd);
    }

    private void broadcastDesktopMode(boolean desktopMode) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("broadcastDesktopMode desktopMode = ");
        stringBuilder.append(desktopMode);
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
        android.content.Intent intent = new android.content.Intent("com.android.server.pc.action.desktop_mode");
        intent.putExtra("mode", desktopMode);
        this.mContext.sendBroadcast(intent, "com.huawei.permission.VASSIST_DESKTOP");
    }

    private void replyResultOfOpenDoc(android.os.Message msg) {
        int result = msg.arg1;
        int sessionId = msg.arg2;
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "replyResultOfOpenDoc");
        com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd cmd = this.mHandler.getVoiceCmdForOpenDoc();
        if (cmd != null) {
            if (sessionId == cmd.sessionId) {
                if (result <= 0) {
                    replyResultToVAssist(-1, cmd);
                } else {
                    replyResultToVAssist(7, cmd);
                }
                this.mHandler.setVoiceCmdForOpenDoc(null);
                return;
            }
        }
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "replyResultOfOpenDoc invalid reply from WPS");
    }

    private android.view.MotionEvent.PointerCoords getScollPoint(int displayId) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getScollPoint displayId = ");
        stringBuilder.append(displayId);
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
        android.view.MotionEvent.PointerCoords point = new android.view.MotionEvent.PointerCoords();
        point.x = -1.0f;
        point.y = -1.0f;
        android.hardware.display.DisplayManager dm = (android.hardware.display.DisplayManager) this.mContext.getSystemService("display");
        if (dm == null) {
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "getScollPoint dm  = null");
            return point;
        }
        android.view.Display display = dm.getDisplay(displayId);
        if (display == null) {
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "getScollPoint display  = null");
            return point;
        }
        android.view.DisplayInfo outDisplayInfo = new android.view.DisplayInfo();
        display.getDisplayInfo(outDisplayInfo);
        android.graphics.Rect bound = com.huawei.android.app.HwActivityManager.getPCTopTaskBounds(displayId);
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("getScollPoint bound = ");
        stringBuilder2.append(bound);
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder2.toString());
        if (bound == null) {
            point.x = ((float) outDisplayInfo.logicalWidth) / 2.0f;
            point.y = ((float) outDisplayInfo.logicalHeight) / 2.0f;
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("getScollPoint point.x = ");
            stringBuilder2.append(point.x);
            stringBuilder2.append(", point.y = ");
            stringBuilder2.append(point.y);
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder2.toString());
            return point;
        }
        if (bound.right > outDisplayInfo.logicalWidth) {
            bound.right = outDisplayInfo.logicalWidth;
        }
        if (bound.bottom > outDisplayInfo.logicalHeight) {
            bound.bottom = outDisplayInfo.logicalHeight;
        }
        point.x = ((float) (bound.left + bound.right)) / 2.0f;
        point.y = ((float) (bound.top + bound.bottom)) / 2.0f;
        stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("getScollPoint point.x = ");
        stringBuilder2.append(point.x);
        stringBuilder2.append(", point.y = ");
        stringBuilder2.append(point.y);
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder2.toString());
        if (point.x < 0.0f) {
            point.x = 0.0f;
        }
        return point;
    }

    private void pageUpDown(com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd voiceCmd) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("pageUpDown cmd = ");
        stringBuilder.append(voiceCmd.cmd);
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
        com.android.server.pc.vassist.HwPCVAssistCmdExecutor.WindowStateData wsd = new com.android.server.pc.vassist.HwPCVAssistCmdExecutor.WindowStateData();
        if (specialAppFocused(voiceCmd.castingDisplay, wsd, false, true)) {
            boolean pageDown = voiceCmd.cmd == 9;
            int keyCode;
            if (wsd.pkgName != null && wsd.pkgName.contains(SPECIAL_APPS_FOR_PAGE[2])) {
                keyCode = pageDown ? 93 : 92;
                sendEvent(keyCode, 0, 0);
                sendEvent(keyCode, 0, 1);
                replyResultToVAssist(-6, voiceCmd);
                return;
            } else if (wsd.topWinApp) {
                this.mService.setFocusedPCDisplayId("pageUpDown");
                android.view.MotionEvent.PointerCoords pointer = getScollPoint(voiceCmd.castingDisplay);
                if (pointer.x < 0.0f) {
                    android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "pageUpDown special app not focused");
                    replyResultToVAssist(3, voiceCmd);
                    return;
                }
                onScrollEvent(pointer.x, pointer.y, pageDown);
                replyResultToVAssist(-6, voiceCmd);
                return;
            } else {
                keyCode = pageDown ? 20 : 19;
                sendEvent(keyCode, 0, 0);
                sendEvent(keyCode, 0, 1);
                replyResultToVAssist(-6, voiceCmd);
                return;
            }
        }
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "pageUpDown special app not focused");
        replyResultToVAssist(3, voiceCmd);
    }

    private void onScrollEvent(float x, float y, boolean pageDown) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onScrollEvent x:");
        stringBuilder.append(x);
        stringBuilder.append(", y = ");
        stringBuilder.append(y);
        stringBuilder.append(", pageDown = ");
        stringBuilder.append(pageDown);
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
        injectInputEventInternal(com.android.server.pc.HwPCMkManager.obtainMotionEvent(com.android.server.pc.HwPCMkManager.obtainMouseEvent(8, 0, x, y, 0, 0), x, y, 8, 0, pageDown ? -1.0f : 1.0f, 0.0f), 0);
    }

    private void backWindow(com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd cmd) {
        int taskId = getHandledTaskId(cmd, cmd.targetDisplay);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("backWindow taskId = ");
        stringBuilder.append(taskId);
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
        if (taskId < 0) {
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "backWindow invalid taskid");
            replyResultToVAssist(5, cmd);
        } else if (com.huawei.android.app.HwActivityManager.isTaskVisible(taskId)) {
            sendEvent(4, 0, 0);
            sendEvent(4, 0, 1);
            replyResultToVAssist(-4, cmd);
        } else {
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "backWindow task is invisible already");
            replyResultToVAssist(5, cmd);
        }
    }

    private void startStopPlayPPT(com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd cmd) {
        boolean startPlay = cmd.cmd == 10;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("startStopPlayPPT startPlay = ");
        stringBuilder.append(startPlay);
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
        if (specialAppFocused(cmd.targetDisplay, new com.android.server.pc.vassist.HwPCVAssistCmdExecutor.WindowStateData(), true, false)) {
            int keyCode = startPlay ? 135 : 111;
            sendEvent(keyCode, 0, 0);
            sendEvent(keyCode, 0, 1);
            replyResultToVAssist(-5, cmd);
            return;
        }
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "pageUpDown special app not focused");
        replyResultToVAssist(3, cmd);
    }

    public void notifyDesktopModeChanged(boolean desktopMode, int displayId) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("notifyDesktopModeChanged desktopMode = ");
        stringBuilder.append(desktopMode);
        stringBuilder.append(", mDesktopMode = ");
        stringBuilder.append(this.mDesktopMode);
        stringBuilder.append(", displayId = ");
        stringBuilder.append(displayId);
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
        this.mDesktopMode = desktopMode;
        this.mCastingDisplayId = displayId;
        broadcastDesktopMode(desktopMode);
    }

    private int getResponseErrCode(int errCode) {
        if (errCode > 0) {
            return 1;
        }
        return 0;
    }

    public java.lang.String getRandomResponseStr(java.util.List<java.lang.String> list) {
        if (list == null) {
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "getRandomResponseStr list = null");
            return "";
        }
        int reportIndex = getRadomReportStringIndex(list.size());
        if (reportIndex < 0) {
            return (java.lang.String) list.get(0);
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getRandomResponseStr reportIndex = ");
        stringBuilder.append(reportIndex);
        stringBuilder.append(", size = ");
        stringBuilder.append(list.size());
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
        return (java.lang.String) list.get(reportIndex);
    }

    private java.lang.String getResponseMsg(int errCode) {
        switch (errCode) {
            case -6:
                return "";
            case -5:
                return getRandomResponseStr(this.mStartPlayResultStrs);
            case -4:
            case -3:
                return this.mContext.getString(33686148);
            case -2:
                return getRandomResponseStr(this.mCloseSuccResultStrs);
            case -1:
                return getRandomResponseStr(this.mAppStartSuccStrs);
            case 2:
                return getRandomResponseStr(this.mNotConnDisplayResultStrs);
            case 3:
                return this.mContext.getString(33686131);
            case 4:
                return this.mContext.getString(33686129);
            case 5:
                return this.mContext.getString(33686130);
            case 6:
                return this.mContext.getString(33686133);
            case 7:
                return this.mContext.getString(33686140);
            default:
                return this.mContext.getString(33686158);
        }
    }

    private void replyResultToVAssist(int errCode, com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd cmd) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("replyResultToVAssist errCode = ");
        stringBuilder.append(errCode);
        stringBuilder.append(", cmd = ");
        stringBuilder.append(cmd);
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
        if (cmd != null) {
            if (cmd.messenger != null) {
                try {
                    org.json.JSONObject obj = new org.json.JSONObject();
                    obj.put("errorCode", getResponseErrCode(errCode));
                    java.lang.String response = getResponseMsg(errCode);
                    obj.put("responseText", response);
                    obj.put("ttsText", response);
                    obj.put("isFinish", "true");
                    replyResultToVAssist(obj, cmd);
                } catch (org.json.JSONException e) {
                    android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "replyResultToVAssist JSONException occurred");
                }
                return;
            }
        }
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "replyResultToVAssist messenger = null, cannot reply to vassist");
    }

    public void replyResultToVAssist(org.json.JSONObject jObj, com.android.server.pc.vassist.HwPCVAssistCmdExecutor.VoiceCmd cmd) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("replyResultToVAssist jObj = ");
        stringBuilder.append(jObj);
        stringBuilder.append(", cmd = ");
        stringBuilder.append(cmd);
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
        if (cmd != null) {
            if (cmd.messenger != null) {
                android.os.Message msg = android.os.Message.obtain(null, 272, cmd.sessionId, cmd.flag);
                android.os.Bundle bundle = new android.os.Bundle();
                bundle.putString("serviceReply", jObj.toString());
                msg.setData(bundle);
                try {
                    cmd.messenger.send(msg);
                } catch (android.os.RemoteException e) {
                    android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "replyResultToVAssist exception occurred");
                }
                return;
            }
        }
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "replyResultToVAssist messenger = null, cannot reply to vassist");
    }

    public int getRadomReportStringIndex(int size) {
        if (size <= 0) {
            android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", "getResponseMsg size = 0");
            return -1;
        }
        if (this.mReplayCount == 2147483646) {
            this.mReplayCount = 0;
        }
        this.mReplayCount++;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getResponseMsg mReplayCount = ");
        stringBuilder.append(this.mReplayCount);
        stringBuilder.append(", size = ");
        stringBuilder.append(size);
        android.util.HwPCUtils.log("HwPCVAssistCmdExecutor", stringBuilder.toString());
        return this.mReplayCount % size;
    }
}
