package com.android.server.pc.whiltestrategy;

public class DefaultXmlFileAppStrategy implements com.android.server.pc.whiltestrategy.AppStrategy {
    private static final boolean COUNTRY_DEMO = "demo".equalsIgnoreCase(android.os.SystemProperties.get("ro.hw.country", ""));
    private static final java.lang.String FILE_HW_SUPPORT_PC_WHITELIST = "hw_pc_white_apps.xml";
    private static final java.lang.String FILE_POLICY_CLASS_NAME = "com.huawei.cust.HwCfgFilePolicy";
    private static final boolean IS_19_VERSION = android.os.SystemProperties.get("ro.product.model", "").contains("19");
    private static final boolean IS_TABLET = "tablet".equals(android.os.SystemProperties.get("ro.build.characteristics", ""));
    private static final java.lang.String METHOD_NAME_FOR_FILE = "getCfgFile";
    private static final java.lang.String PAD_FILE_HW_SUPPORT_PC_WHITELIST = "hw_pc_white_apps_pad.xml";
    private static final java.lang.String PAD_XML_ELEMENT_APP_GROUP_NORMAL = "hw_support_pc_apps";
    private static final java.lang.String PAD_XML_ELEMENT_APP_GROUP_WIFI = "hw_support_pc_apps_wifi";
    private static final java.lang.String TAG = "DefaultXmlFileAppStrategy";
    private static final boolean VENDOR_DEMO = "demo".equalsIgnoreCase(android.os.SystemProperties.get("ro.hw.vendor", ""));
    private static final java.lang.String XML_ATTRIBUTE_PACKAGE_NAME = "packageName";
    private static final java.lang.String XML_ATTRIBUTE_TYPE = "type";
    private static final java.lang.String XML_ELEMENT_APP_ITEM = "hw_support_pc_app";
    private static final java.lang.String XML_ELEMENT_SPECIAL_WINDOW_POLICY_APP_ITEM = "hw_special_window_policy_app";
    private static final java.lang.String XML_MUTI_RESUME_APP_ITEM = "hw_support_muti_resume_apps";
    java.util.List<java.lang.String> mMutiResumeAppList = null;
    private boolean mPadWifiVersion = false;
    java.util.List<android.util.Pair<java.lang.String, java.lang.Integer>> mSpecailWindowPolicyAppList = null;
    java.util.Map<java.lang.String, java.lang.Integer> mWhiteAppList = null;

    public DefaultXmlFileAppStrategy(android.content.Context context) {
        loadDefaultWhiteListFromXml(context);
    }

    public java.util.List<java.lang.String> getMutiResumeAppList() {
        return this.mMutiResumeAppList;
    }

    public java.util.List<android.util.Pair<java.lang.String, java.lang.Integer>> getSpecailWindowPolicyAppList() {
        return this.mSpecailWindowPolicyAppList;
    }

    public java.util.Map<java.lang.String, java.lang.Integer> getAppList(android.content.Context context) {
        return this.mWhiteAppList;
    }

    public int getAppState(java.lang.String packageName, android.content.Context context) {
        if (packageName != null) {
            if (this.mWhiteAppList != null) {
                if (this.mWhiteAppList.containsKey(packageName)) {
                    return 1;
                }
                return -1;
            }
        }
        return -1;
    }

    private static java.io.File getCfgFile(java.lang.String fileName, int type) throws java.lang.Exception, java.lang.NoClassDefFoundError {
        java.lang.Class<?> filePolicyClazz = java.lang.Class.forName("com.huawei.cust.HwCfgFilePolicy");
        return (java.io.File) filePolicyClazz.getMethod("getCfgFile", new java.lang.Class[]{java.lang.String.class, java.lang.Integer.TYPE}).invoke(filePolicyClazz, new java.lang.Object[]{fileName, java.lang.Integer.valueOf(type)});
    }

    private static java.io.File getCustomizedFileName(java.lang.String xmlName, int flag) {
        java.io.File file = null;
        try {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("xml/");
            stringBuilder.append(xmlName);
            file = getCfgFile(stringBuilder.toString(), flag);
        } catch (java.lang.NoClassDefFoundError e) {
            android.util.Log.e("DefaultXmlFileAppStrategy", "HwCfgFilePolicy NoClassDefFoundError");
        } catch (java.lang.Exception e2) {
            android.util.Log.e("DefaultXmlFileAppStrategy", "getCustomizedFileName get layout file exception");
        }
        return file;
    }

    /* JADX WARNING: Removed duplicated region for block: B:32:0x007e A:{SYNTHETIC, Splitter: B:32:0x007e} */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x006f  */
    private void loadDefaultWhiteListFromXml(android.content.Context r10) {
        /*
        r9 = this;
        r0 = android.util.HwPCUtils.enabledInPad();
        r1 = 0;
        if (r0 == 0) goto L_0x000e;
    L_0x0007:
        r0 = "hw_pc_white_apps_pad.xml";
        r0 = getCustomizedFileName(r0, r1);
        goto L_0x0014;
    L_0x000e:
        r0 = "hw_pc_white_apps.xml";
        r0 = getCustomizedFileName(r0, r1);
    L_0x0014:
        r1 = "DefaultXmlFileAppStrategy";
        r2 = new java.lang.StringBuilder;
        r2.<init>();
        r3 = " loadDefaultWhiteListFromXml path:";
        r2.append(r3);
        r2.append(r0);
        r2 = r2.toString();
        android.util.Log.i(r1, r2);
        r1 = 0;
        r2 = 0;
        r3 = r2;
        if (r0 == 0) goto L_0x0045;
    L_0x002f:
        r4 = r0.exists();	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        if (r4 == 0) goto L_0x0045;
    L_0x0035:
        r4 = new java.io.FileInputStream;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r4.<init>(r0);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r1 = r4;
        goto L_0x006d;
    L_0x003c:
        r2 = move-exception;
        goto L_0x018c;
    L_0x003f:
        r2 = move-exception;
        goto L_0x016f;
    L_0x0042:
        r2 = move-exception;
        goto L_0x017d;
    L_0x0045:
        if (r10 == 0) goto L_0x006d;
    L_0x0047:
        r4 = android.util.HwPCUtils.enabledInPad();	 Catch:{ Exception -> 0x0065 }
        if (r4 == 0) goto L_0x0059;
    L_0x004d:
        r4 = r10.getAssets();	 Catch:{ Exception -> 0x0065 }
        r5 = "hw_pc_white_apps_pad.xml";
        r4 = r4.open(r5);	 Catch:{ Exception -> 0x0065 }
        r1 = r4;
        goto L_0x0064;
    L_0x0059:
        r4 = r10.getAssets();	 Catch:{ Exception -> 0x0065 }
        r5 = "hw_pc_white_apps.xml";
        r4 = r4.open(r5);	 Catch:{ Exception -> 0x0065 }
        r1 = r4;
    L_0x0064:
        goto L_0x006d;
    L_0x0065:
        r4 = move-exception;
        r5 = "DefaultXmlFileAppStrategy";
        r6 = "loadDefaultXml";
        android.util.Log.e(r5, r6, r4);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
    L_0x006d:
        if (r1 != 0) goto L_0x007e;
    L_0x006f:
        if (r1 == 0) goto L_0x007d;
    L_0x0071:
        r1.close();	 Catch:{ IOException -> 0x0075 }
        goto L_0x007d;
    L_0x0075:
        r2 = move-exception;
        r4 = "DefaultXmlFileAppStrategy";
        r5 = "loadDefaultWhiteListFromXml:- IOE while closing stream";
        android.util.Log.e(r4, r5, r2);
    L_0x007d:
        return;
    L_0x007e:
        r4 = android.util.Xml.newPullParser();	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r3 = r4;
        r3.setInput(r1, r2);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2 = new java.util.LinkedHashMap;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2.<init>();	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r9.mWhiteAppList = r2;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2 = new java.util.ArrayList;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2.<init>();	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r9.mSpecailWindowPolicyAppList = r2;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2 = new java.util.ArrayList;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2.<init>();	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r9.mMutiResumeAppList = r2;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2 = android.util.HwPCUtils.enabledInPad();	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        if (r2 == 0) goto L_0x015d;
    L_0x00a1:
        r2 = r9.isPadWifiVersion(r10);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r9.mPadWifiVersion = r2;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r9.parserXMLforPad(r3);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2 = r9.isDemoVersion();	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        if (r2 == 0) goto L_0x0160;
    L_0x00b0:
        r2 = r9.mWhiteAppList;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r4 = "com.gameloft.android.GAND.GloftA8HU";
        r5 = 1;
        r6 = java.lang.Integer.valueOf(r5);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2.put(r4, r6);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2 = r9.mSpecailWindowPolicyAppList;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r4 = new android.util.Pair;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r6 = "com.gameloft.android.GAND.GloftA8HU";
        r7 = 6;
        r8 = java.lang.Integer.valueOf(r7);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r4.<init>(r6, r8);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2.add(r4);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2 = r9.mWhiteAppList;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r4 = "com.huawei.experience.toprand.cs.en";
        r6 = java.lang.Integer.valueOf(r5);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2.put(r4, r6);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2 = r9.mSpecailWindowPolicyAppList;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r4 = new android.util.Pair;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r6 = "com.huawei.experience.toprand.cs.en";
        r8 = java.lang.Integer.valueOf(r7);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r4.<init>(r6, r8);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2.add(r4);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2 = VENDOR_DEMO;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        if (r2 == 0) goto L_0x0107;
    L_0x00ec:
        r2 = r9.mWhiteAppList;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r4 = "com.huawei.experience.toprand.cs";
        r6 = java.lang.Integer.valueOf(r5);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2.put(r4, r6);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2 = r9.mSpecailWindowPolicyAppList;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r4 = new android.util.Pair;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r6 = "com.huawei.experience.toprand.cs";
        r8 = java.lang.Integer.valueOf(r7);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r4.<init>(r6, r8);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2.add(r4);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
    L_0x0107:
        r2 = r9.mWhiteAppList;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r4 = "com.huawei.retaildemo";
        r6 = java.lang.Integer.valueOf(r5);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2.put(r4, r6);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2 = r9.mSpecailWindowPolicyAppList;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r4 = new android.util.Pair;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r6 = "com.huawei.retaildemo";
        r8 = java.lang.Integer.valueOf(r7);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r4.<init>(r6, r8);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2.add(r4);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2 = IS_19_VERSION;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        if (r2 == 0) goto L_0x0160;
    L_0x0126:
        r2 = r9.mWhiteAppList;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r4 = "com.adsk.sketchbook";
        r6 = java.lang.Integer.valueOf(r5);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2.put(r4, r6);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2 = r9.mSpecailWindowPolicyAppList;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r4 = new android.util.Pair;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r6 = "com.adsk.sketchbook";
        r8 = java.lang.Integer.valueOf(r7);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r4.<init>(r6, r8);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2.add(r4);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2 = r9.mWhiteAppList;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r4 = "com.myscript.nebo.huawei";
        r5 = java.lang.Integer.valueOf(r5);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2.put(r4, r5);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2 = r9.mSpecailWindowPolicyAppList;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r4 = new android.util.Pair;	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r5 = "com.myscript.nebo.huawei";
        r6 = java.lang.Integer.valueOf(r7);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r4.<init>(r5, r6);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        r2.add(r4);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
        goto L_0x0160;
    L_0x015d:
        r9.parserXML(r3);	 Catch:{ FileNotFoundException -> 0x0042, XmlPullParserException -> 0x003f }
    L_0x0160:
        if (r1 == 0) goto L_0x018b;
    L_0x0162:
        r1.close();	 Catch:{ IOException -> 0x0166 }
    L_0x0165:
        goto L_0x018b;
    L_0x0166:
        r2 = move-exception;
        r4 = "DefaultXmlFileAppStrategy";
        r5 = "loadDefaultWhiteListFromXml:- IOE while closing stream";
        android.util.Log.e(r4, r5, r2);
        goto L_0x0165;
        r4 = "DefaultXmlFileAppStrategy";
        r5 = "loadDefaultXml";
        android.util.Log.e(r4, r5, r2);	 Catch:{ all -> 0x003c }
        if (r1 == 0) goto L_0x018b;
    L_0x0179:
        r1.close();	 Catch:{ IOException -> 0x0166 }
        goto L_0x0165;
        r4 = "DefaultXmlFileAppStrategy";
        r5 = "loadDefaultXml FileNotFoundException error";
        android.util.Log.e(r4, r5);	 Catch:{ all -> 0x003c }
        if (r1 == 0) goto L_0x018b;
    L_0x0187:
        r1.close();	 Catch:{ IOException -> 0x0166 }
        goto L_0x0165;
    L_0x018b:
        return;
    L_0x018c:
        if (r1 == 0) goto L_0x019a;
    L_0x018e:
        r1.close();	 Catch:{ IOException -> 0x0192 }
        goto L_0x019a;
    L_0x0192:
        r4 = move-exception;
        r5 = "DefaultXmlFileAppStrategy";
        r6 = "loadDefaultWhiteListFromXml:- IOE while closing stream";
        android.util.Log.e(r5, r6, r4);
    L_0x019a:
        throw r2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.pc.whiltestrategy.DefaultXmlFileAppStrategy.loadDefaultWhiteListFromXml(android.content.Context):void");
    }

    private void parserXML(org.xmlpull.v1.XmlPullParser parser) {
        try {
            int eventType = parser.getEventType();
            while (eventType != 1) {
                if (eventType != 0) {
                    switch (eventType) {
                        case 2:
                            java.lang.String pkgName;
                            if (!"hw_support_pc_app".equals(parser.getName())) {
                                if (!"hw_special_window_policy_app".equals(parser.getName())) {
                                    if ("hw_support_muti_resume_apps".equals(parser.getName())) {
                                        java.lang.String pkgName2 = parser.getAttributeValue(null, "packageName");
                                        if (pkgName2 != null) {
                                            this.mMutiResumeAppList.add(pkgName2.toLowerCase(java.util.Locale.getDefault()));
                                        }
                                        break;
                                    }
                                }
                                pkgName = parser.getAttributeValue(null, "packageName");
                                java.lang.Integer type = java.lang.Integer.valueOf(1);
                                try {
                                    type = java.lang.Integer.valueOf(parser.getAttributeValue(null, "type"));
                                } catch (java.lang.NumberFormatException e) {
                                    android.util.Log.e("DefaultXmlFileAppStrategy", "parserXML error", e);
                                }
                                if (pkgName != null) {
                                    this.mSpecailWindowPolicyAppList.add(new android.util.Pair(pkgName.toLowerCase(java.util.Locale.getDefault()), type));
                                }
                                break;
                            }
                            pkgName = parser.getAttributeValue(null, "packageName");
                            if (pkgName != null) {
                                this.mWhiteAppList.put(pkgName.toLowerCase(java.util.Locale.getDefault()), java.lang.Integer.valueOf(1));
                            }
                            break;
                            break;
                        case 3:
                            break;
                        default:
                            break;
                    }
                }
                eventType = parser.next();
            }
        } catch (java.lang.Exception e2) {
            android.util.Log.e("DefaultXmlFileAppStrategy", "parserXML", e2);
        }
    }

    private boolean isPadWifiVersion(android.content.Context context) {
        android.net.ConnectivityManager cm = (android.net.ConnectivityManager) context.getSystemService("connectivity");
        return (cm == null || cm.isNetworkSupported(0)) ? false : true;
    }

    private boolean isDemoVersion() {
        boolean z = IS_TABLET && (COUNTRY_DEMO || VENDOR_DEMO);
        return z;
    }

    private void parserXMLforPad(org.xmlpull.v1.XmlPullParser parser) {
        try {
            java.lang.String currentAppGroup = "";
            int eventType = parser.getEventType();
            while (eventType != 1) {
                if (eventType != 0) {
                    switch (eventType) {
                        case 2:
                            if (!"hw_support_pc_apps".equals(parser.getName())) {
                                if (!"hw_support_pc_apps_wifi".equals(parser.getName())) {
                                    java.lang.String pkgName;
                                    if (!"hw_support_pc_app".equals(parser.getName())) {
                                        if ("hw_special_window_policy_app".equals(parser.getName())) {
                                            pkgName = parser.getAttributeValue(null, "packageName");
                                            java.lang.Integer type = java.lang.Integer.valueOf(1);
                                            try {
                                                type = java.lang.Integer.valueOf(parser.getAttributeValue(null, "type"));
                                            } catch (java.lang.NumberFormatException e) {
                                                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                                stringBuilder.append("parserXML ");
                                                stringBuilder.append(e);
                                                android.util.HwPCUtils.log("DefaultXmlFileAppStrategy", stringBuilder.toString());
                                            }
                                            if (pkgName != null) {
                                                this.mSpecailWindowPolicyAppList.add(new android.util.Pair(pkgName.toLowerCase(java.util.Locale.getDefault()), type));
                                            }
                                            break;
                                        }
                                    } else if (!"hw_support_pc_apps_wifi".equals(currentAppGroup) || this.mPadWifiVersion) {
                                        if (!"hw_support_pc_apps".equals(currentAppGroup) || !this.mPadWifiVersion) {
                                            pkgName = parser.getAttributeValue(null, "packageName");
                                            if (pkgName != null) {
                                                this.mWhiteAppList.put(pkgName.toLowerCase(java.util.Locale.getDefault()), java.lang.Integer.valueOf(1));
                                            }
                                            break;
                                        }
                                        break;
                                    }
                                }
                            }
                            currentAppGroup = parser.getName();
                            break;
                        case 3:
                            break;
                        default:
                            break;
                    }
                }
                eventType = parser.next();
            }
        } catch (java.lang.Exception e2) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("parserXML ");
            stringBuilder2.append(e2);
            android.util.HwPCUtils.log("DefaultXmlFileAppStrategy", stringBuilder2.toString());
        }
    }
}
