package com.android.server.pc.whiltestrategy;

public class MetaDataAppStrategy implements com.android.server.pc.whiltestrategy.AppStrategy {
    private static final java.lang.String META_DATA_NAME = "supporthwpc";
    private static final java.lang.String TAG = "MetaDataAppStrategy";

    public java.util.Map<java.lang.String, java.lang.Integer> getAppList(android.content.Context context) {
        return getAllAppList(context);
    }

    public int getAppState(java.lang.String packageName, android.content.Context context) {
        if (context != null) {
            if (packageName != null) {
                try {
                    android.content.pm.ApplicationInfo info = context.getPackageManager().getApplicationInfo(packageName, 128);
                    if (!(info == null || info.packageName == null || info.metaData == null)) {
                        int state = info.metaData.getInt("supporthwpc", 0);
                        if (!(state == 0 || state == 1)) {
                            if (state != -1) {
                                android.util.Log.e("MetaDataAppStrategy", "meta data value is illegal!");
                            }
                        }
                        return state;
                    }
                } catch (android.content.pm.PackageManager.NameNotFoundException e) {
                    android.util.Log.e("MetaDataAppStrategy", "getAppState NameNotFoundException", e);
                }
                return 0;
            }
        }
        return -1;
    }

    private java.util.List<android.content.pm.ResolveInfo> getAllResolveInfos(android.content.Context context) {
        android.content.Intent AppIntent = new android.content.Intent("android.intent.action.MAIN", null);
        AppIntent.addCategory("android.intent.category.LAUNCHER");
        return context.getPackageManager().queryIntentActivities(AppIntent, 0);
    }

    private java.util.Map<java.lang.String, java.lang.Integer> getAllAppList(android.content.Context context) {
        java.util.List<android.content.pm.ResolveInfo> resolveInfos = getAllResolveInfos(context);
        java.util.Map<java.lang.String, java.lang.Integer> allAppSupportPCState = new java.util.HashMap();
        int length = resolveInfos.size();
        for (int i = 0; i < length; i++) {
            try {
                android.content.pm.ApplicationInfo appInfo = context.getPackageManager().getApplicationInfo(((android.content.pm.ResolveInfo) resolveInfos.get(i)).activityInfo.packageName, 128);
                if (!(appInfo == null || appInfo.packageName == null)) {
                    if (appInfo.metaData != null) {
                        int state = appInfo.metaData.getInt("supporthwpc", 0);
                        if (!(state == 0 || state == 1)) {
                            if (state != -1) {
                                allAppSupportPCState.put(appInfo.packageName, java.lang.Integer.valueOf(0));
                            }
                        }
                        allAppSupportPCState.put(appInfo.packageName, java.lang.Integer.valueOf(state));
                    } else {
                        allAppSupportPCState.put(appInfo.packageName, java.lang.Integer.valueOf(0));
                    }
                }
            } catch (android.content.pm.PackageManager.NameNotFoundException e) {
                android.util.Log.e("MetaDataAppStrategy", "get application erro!");
            }
        }
        return allAppSupportPCState;
    }
}
