package com.android.server.pc.whiltestrategy;

public class WhiteListAppStrategyManager {
    private static boolean DEBUG = true;
    private static final java.lang.String TAG = "DefaultXmlFileAppStrategy";
    private static volatile com.android.server.pc.whiltestrategy.WhiteListAppStrategyManager mInstance;
    private static final java.lang.Object mInstanceSync = new java.lang.Object();
    private android.content.Context mContext;
    private com.android.server.pc.whiltestrategy.AppStrategy mDefaultXmlFileAppStrategy;
    private com.android.server.pc.whiltestrategy.AppStrategy mMetaDataAppStategy = new com.android.server.pc.whiltestrategy.MetaDataAppStrategy();

    private WhiteListAppStrategyManager(android.content.Context context) {
        this.mContext = context;
        this.mDefaultXmlFileAppStrategy = new com.android.server.pc.whiltestrategy.DefaultXmlFileAppStrategy(context);
    }

    public static com.android.server.pc.whiltestrategy.WhiteListAppStrategyManager getInstance(android.content.Context context) {
        if (mInstance == null) {
            synchronized (mInstanceSync) {
                if (mInstance == null) {
                    mInstance = new com.android.server.pc.whiltestrategy.WhiteListAppStrategyManager(context);
                }
            }
        }
        return mInstance;
    }

    public java.util.List<java.lang.String> getAllSupportPcAppList() {
        if (this.mContext == null) {
            return null;
        }
        java.util.List<java.lang.String> supportPCAppList = new java.util.ArrayList();
        for (java.util.Map.Entry<java.lang.String, java.lang.Integer> entry : this.mDefaultXmlFileAppStrategy.getAppList(this.mContext).entrySet()) {
            java.lang.String key = (java.lang.String) entry.getKey();
            if (this.mMetaDataAppStategy.getAppState(key, this.mContext) == 0) {
                supportPCAppList.add(key);
                if (DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("support pc from white config:");
                    stringBuilder.append(key);
                    android.util.Log.i("DefaultXmlFileAppStrategy", stringBuilder.toString());
                }
            }
        }
        for (java.util.Map.Entry<java.lang.String, java.lang.Integer> entry2 : this.mMetaDataAppStategy.getAppList(this.mContext).entrySet()) {
            java.lang.String key2 = (java.lang.String) entry2.getKey();
            if (((java.lang.Integer) entry2.getValue()).intValue() == 1) {
                supportPCAppList.add(key2);
                if (DEBUG) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("support pc from metadata:");
                    stringBuilder2.append(key2);
                    android.util.Log.i("DefaultXmlFileAppStrategy", stringBuilder2.toString());
                }
            }
        }
        return supportPCAppList;
    }

    public int getAppSupportPCState(java.lang.String packageName) {
        if (this.mContext != null) {
            if (packageName != null) {
                int appStateFromWhite = this.mDefaultXmlFileAppStrategy.getAppState(packageName, null);
                int appStateFromMeta = this.mMetaDataAppStategy.getAppState(packageName, this.mContext);
                if (DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("getAppSupportPCState packageName:");
                    stringBuilder.append(packageName);
                    stringBuilder.append(" appStateFromWhite:");
                    stringBuilder.append(appStateFromWhite);
                    stringBuilder.append(" appStateFromMeta:");
                    stringBuilder.append(appStateFromMeta);
                    android.util.Log.i("DefaultXmlFileAppStrategy", stringBuilder.toString());
                }
                if (appStateFromMeta == 1) {
                    return 1;
                }
                if (appStateFromMeta == -1) {
                    return -1;
                }
                if (appStateFromMeta == 0 && appStateFromWhite == 1) {
                    return 1;
                }
                return (appStateFromMeta != 0 || appStateFromWhite == -1) ? -1 : -1;
            }
        }
        return -1;
    }

    public java.util.List<android.util.Pair<java.lang.String, java.lang.Integer>> getSpecailWindowPolicyAppList() {
        return ((com.android.server.pc.whiltestrategy.DefaultXmlFileAppStrategy) this.mDefaultXmlFileAppStrategy).getSpecailWindowPolicyAppList();
    }

    public java.util.List<java.lang.String> getMutiResumeAppList() {
        return ((com.android.server.pc.whiltestrategy.DefaultXmlFileAppStrategy) this.mDefaultXmlFileAppStrategy).getMutiResumeAppList();
    }
}
