package com.android.server.pm;

public class AntiMalComponentInfo implements android.os.Parcelable {
    public static final java.lang.String ANTIMAL_TYPE_MASK = "antimal_type_mask";
    static final int BIT_ANTIMAL_TYPE_ADD = 1;
    static final int BIT_ANTIMAL_TYPE_DELETE = 4;
    static final int BIT_ANTIMAL_TYPE_MODIFY = 2;
    static final int BIT_ANTIMAL_TYPE_NORMAL = 0;
    public static final android.os.Parcelable.Creator<com.android.server.pm.AntiMalComponentInfo> CREATOR = new android.os.Parcelable.Creator<com.android.server.pm.AntiMalComponentInfo>() {
        public com.android.server.pm.AntiMalComponentInfo createFromParcel(android.os.Parcel source) {
            return new com.android.server.pm.AntiMalComponentInfo(source);
        }

        public com.android.server.pm.AntiMalComponentInfo[] newArray(int size) {
            return new com.android.server.pm.AntiMalComponentInfo[size];
        }
    };
    private static final boolean HW_DEBUG;
    public static final java.lang.String NAME = "name";
    private static final java.lang.String TAG = "AntiMalComponentInfo";
    public static final java.lang.String VERIFY_STATUS = "verify_status";
    int mAntimalTypeMask;
    public final java.lang.String mName;
    int mVerifyStatus;

    public interface VerifyStatus {
        public static final int PARSE_WHITE_LIST_FAILED = 4;
        public static final int SIGN_FILE_NOT_EXIST = 2;
        public static final int VERIFY_FAILED = 3;
        public static final int VERIFY_SECCUSS = 0;
        public static final int WHITE_LIST_NOT_EXIST = 1;
    }

    static {
        boolean z;
        if (!android.util.Log.HWINFO) {
            if (!android.util.Log.HWModuleLog || !android.util.Log.isLoggable("AntiMalComponentInfo", 4)) {
                z = false;
                HW_DEBUG = z;
            }
        }
        z = true;
        HW_DEBUG = z;
    }

    public boolean isVerifyStatusValid() {
        if (HW_DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("isVerifyStatusValid name = ");
            stringBuilder.append(this.mName);
            stringBuilder.append(" mVerifyStatus = ");
            stringBuilder.append(this.mVerifyStatus);
            android.util.Log.d("AntiMalComponentInfo", stringBuilder.toString());
        }
        return this.mVerifyStatus == 0;
    }

    public boolean isNormal() {
        return this.mVerifyStatus == 0 && this.mAntimalTypeMask == 0;
    }

    private java.lang.String getComponentName(java.lang.String WhiteListPath) {
        if (android.text.TextUtils.isEmpty(WhiteListPath)) {
            return null;
        }
        int subBegin = 0;
        java.lang.String sub = "/";
        if (WhiteListPath.startsWith("/")) {
            subBegin = 1;
        }
        java.lang.String subPath = WhiteListPath.substring(subBegin, WhiteListPath.length());
        int index = subPath.indexOf("/");
        java.lang.String name = index > 0 ? subPath.substring(0, index + 1) : subPath;
        if (HW_DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getComponentName path = ");
            stringBuilder.append(name);
            stringBuilder.append("index = ");
            stringBuilder.append(index);
            android.util.Log.d("AntiMalComponentInfo", stringBuilder.toString());
        }
        return name;
    }

    public AntiMalComponentInfo(java.lang.String WhiteListPath) {
        this.mName = getComponentName(WhiteListPath);
    }

    public AntiMalComponentInfo(java.lang.String name, int verifyStatus, int antimalType) {
        this.mName = name;
        this.mVerifyStatus = verifyStatus;
        this.mAntimalTypeMask = antimalType;
    }

    public AntiMalComponentInfo(android.os.Parcel source) {
        if (source != null) {
            this.mName = source.readString();
            this.mVerifyStatus = source.readInt();
            this.mAntimalTypeMask = source.readInt();
            return;
        }
        this.mName = null;
        this.mVerifyStatus = 0;
        this.mAntimalTypeMask = 0;
    }

    public void setAntiMalStatus(int bitMask) {
        this.mAntimalTypeMask |= bitMask;
    }

    public void setVerifyStatus(int status) {
        this.mVerifyStatus = status;
    }

    public int getVerifyStatus() {
        return this.mVerifyStatus;
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(android.os.Parcel dest, int flags) {
        if (dest != null) {
            dest.writeString(this.mName);
            dest.writeInt(this.mVerifyStatus);
            dest.writeInt(this.mAntimalTypeMask);
        }
    }

    public java.lang.String toString() {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("ComponetName : ");
        stringBuilder.append(this.mName);
        stringBuilder.append(" Verify Status : ");
        stringBuilder.append(this.mVerifyStatus);
        stringBuilder.append(" Antimal Type mask : ");
        stringBuilder.append(this.mAntimalTypeMask);
        return stringBuilder.toString();
    }
}
