package com.android.server.pm;

public class AntiMalDataManager {
    private static final java.lang.String ANTIMAL_DATA_FILE = "AntiMalData.xml";
    private static final java.lang.String APPS = "apps";
    private static final java.lang.String BOOT_TIMES = "BootTimes";
    private static final java.lang.String COMPONENT = "component";
    private static final java.lang.String COUNTER = "counter";
    private static final java.lang.String FASTBOOT_STATUS = "ro.boot.flash.locked";
    private static final boolean HW_DEBUG;
    private static final int MAX_BOOT_TIMES = 10;
    private static final int OEMINFO_ENABLE_RETREAD = 163;
    private static final int OEMINFO_ENABLE_RETREAD_SIZE = 40;
    private static final java.lang.String STATUS = "status";
    private static final java.lang.String SYSTEM_CUST_STATUS_PRO = "ro.odm.sys.wp";
    private static final java.lang.String TAG = "AntiMalDataManager";
    private static final java.lang.String TAG_ITEM = "item";
    private boolean mAntiMalDataExist;
    private com.android.server.pm.AntiMalDataManager.Status mCurAntiMalStatus = new com.android.server.pm.AntiMalDataManager.Status();
    private java.util.ArrayList<com.android.server.security.securitydiagnose.AntiMalApkInfo> mCurApkInfoList = new java.util.ArrayList();
    private java.util.ArrayList<com.android.server.pm.AntiMalComponentInfo> mCurComponentList = new java.util.ArrayList();
    private com.android.server.pm.AntiMalDataManager.AntiMalCounter mCurCounter = new com.android.server.pm.AntiMalDataManager.AntiMalCounter();
    private long mDeviceFirstUseTime;
    private com.android.server.pm.AntiMalDataManager.Status mOldAntiMalStatus;
    private java.util.ArrayList<com.android.server.security.securitydiagnose.AntiMalApkInfo> mOldApkInfoList;
    private java.util.ArrayList<com.android.server.pm.AntiMalComponentInfo> mOldComponentList = new java.util.ArrayList();
    private com.android.server.pm.AntiMalDataManager.AntiMalCounter mOldCounter;
    private boolean mOtaBoot;

    private static class AntiMalCounter {
        int mAddCnt;
        int mBootCnt;
        int mDeleteCnt;
        int mModifiedCnt;

        public AntiMalCounter(int deleteCnt, int addCnt, int modifyCnt, int bootCnt) {
            this.mDeleteCnt = deleteCnt;
            this.mModifiedCnt = modifyCnt;
            this.mAddCnt = addCnt;
            this.mBootCnt = bootCnt;
        }

        public boolean equals(java.lang.Object in) {
            boolean z = false;
            if (in == null || !(in instanceof com.android.server.pm.AntiMalDataManager.AntiMalCounter)) {
                return false;
            }
            com.android.server.pm.AntiMalDataManager.AntiMalCounter other = (com.android.server.pm.AntiMalDataManager.AntiMalCounter) in;
            if (this.mAddCnt == other.mAddCnt && this.mDeleteCnt == other.mDeleteCnt && this.mModifiedCnt == other.mModifiedCnt) {
                z = true;
            }
            return z;
        }

        public java.lang.String toString() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Delete : ");
            stringBuilder.append(this.mDeleteCnt);
            stringBuilder.append(" Modify : ");
            stringBuilder.append(this.mModifiedCnt);
            stringBuilder.append(" Add : ");
            stringBuilder.append(this.mAddCnt);
            stringBuilder.append(" Boot time : ");
            stringBuilder.append(this.mBootCnt);
            return stringBuilder.toString();
        }

        public int hashCode() {
            return super.hashCode();
        }

        boolean hasAbnormalApks() {
            return (this.mDeleteCnt + this.mModifiedCnt) + this.mAddCnt > 0;
        }
    }

    private static class Status {
        int mCustSysStatus;
        java.lang.String mDeviceFirstUseTimeStr;
        int mFastbootStatus;
        int mRootStatus;
        int mSeLinuxStatus;
        java.lang.String mSecPatchVer;
        int mVerfybootStatus;

        private Status() {
        }

        public boolean equals(java.lang.Object in) {
            boolean z = false;
            if (in == null || !(in instanceof com.android.server.pm.AntiMalDataManager.Status)) {
                return false;
            }
            com.android.server.pm.AntiMalDataManager.Status other = (com.android.server.pm.AntiMalDataManager.Status) in;
            if (this.mRootStatus == other.mRootStatus && this.mFastbootStatus == other.mFastbootStatus && this.mVerfybootStatus == other.mVerfybootStatus && this.mSeLinuxStatus == other.mSeLinuxStatus && this.mCustSysStatus == other.mCustSysStatus) {
                z = true;
            }
            return z;
        }

        public java.lang.String toString() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Root Status : ");
            stringBuilder.append(this.mRootStatus);
            stringBuilder.append(" Fastboot Status : ");
            stringBuilder.append(this.mFastbootStatus);
            stringBuilder.append(" Verifyboot Status : ");
            stringBuilder.append(this.mVerfybootStatus);
            stringBuilder.append(" SeLinux Status : ");
            stringBuilder.append(this.mSeLinuxStatus);
            stringBuilder.append(" Cust System : ");
            stringBuilder.append(this.mCustSysStatus);
            stringBuilder.append(" FirstUseTime : ");
            stringBuilder.append(this.mDeviceFirstUseTimeStr);
            stringBuilder.append(" SecPatch Version : ");
            stringBuilder.append(this.mSecPatchVer);
            return stringBuilder.toString();
        }

        public int hashCode() {
            return super.hashCode();
        }
    }

    static {
        boolean z;
        if (!android.util.Log.HWINFO) {
            if (!android.util.Log.HWModuleLog || !android.util.Log.isLoggable("AntiMalDataManager", 4)) {
                z = false;
                HW_DEBUG = z;
            }
        }
        z = true;
        HW_DEBUG = z;
    }

    public void addAntiMalApkInfo(com.android.server.security.securitydiagnose.AntiMalApkInfo apkInfo) {
        if (apkInfo != null) {
            this.mCurApkInfoList.add(apkInfo);
        }
    }

    public void addComponentInfo(com.android.server.pm.AntiMalComponentInfo componentInfo) {
        if (componentInfo != null) {
            this.mCurComponentList.add(componentInfo);
        }
    }

    public android.os.Bundle getAntimalComponentInfo() {
        android.os.Bundle bundle = new android.os.Bundle();
        if (this.mCurComponentList.size() > 0) {
            bundle.putParcelableArrayList("antimal_component_list", this.mCurComponentList);
        } else {
            bundle.putParcelableArrayList("antimal_component_list", this.mOldComponentList);
        }
        return bundle;
    }

    com.android.server.pm.AntiMalComponentInfo getComponentByApkPath(java.lang.String apkPath) {
        if (android.text.TextUtils.isEmpty(apkPath)) {
            return null;
        }
        int list_size = this.mCurComponentList.size();
        for (int i = 0; i < list_size; i++) {
            if (apkPath.contains(((com.android.server.pm.AntiMalComponentInfo) this.mCurComponentList.get(i)).mName)) {
                return (com.android.server.pm.AntiMalComponentInfo) this.mCurComponentList.get(i);
            }
        }
        return null;
    }

    public java.util.ArrayList<com.android.server.security.securitydiagnose.AntiMalApkInfo> getOldApkInfoList() {
        return this.mOldApkInfoList;
    }

    public AntiMalDataManager(boolean isOtaBoot) {
        this.mOtaBoot = isOtaBoot;
        readOldAntiMalData();
        getDeviceFirstUseTime();
        getCurrentStatus();
    }

    private boolean isDataValid() {
        getCurCounter();
        return this.mCurCounter.hasAbnormalApks() && !antiMalDataEquals();
    }

    private boolean deviceStatusOK() {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("deviceStatusOK mDeviceFirstUseTime = ");
        stringBuilder.append(formatTime(this.mDeviceFirstUseTime));
        stringBuilder.append(" mBootCnt = ");
        stringBuilder.append(this.mCurCounter.mBootCnt);
        android.util.Log.i("AntiMalDataManager", stringBuilder.toString());
        return this.mDeviceFirstUseTime == 0 && this.mCurCounter.mBootCnt <= 10;
    }

    public boolean needReport() {
        return deviceStatusOK() && isDataValid();
    }

    public boolean needScanIllegalApks() {
        if (!(this.mOtaBoot || deviceStatusOK())) {
            if (this.mAntiMalDataExist) {
                return false;
            }
        }
        return true;
    }

    private boolean apkInfoListEquals() {
        boolean z = false;
        if (this.mOldApkInfoList == null) {
            if (HW_DEBUG) {
                android.util.Log.d("AntiMalDataManager", "apkInfoListEquals mOldApkInfoList is NULL!");
            }
            if (this.mCurApkInfoList.size() == 0) {
                z = true;
            }
            return z;
        } else if (this.mOldApkInfoList.size() != this.mCurApkInfoList.size()) {
            if (HW_DEBUG) {
                android.util.Log.d("AntiMalDataManager", "apkInfoListEquals size not equal!");
            }
            return false;
        } else if (this.mCurApkInfoList.size() == 0) {
            if (HW_DEBUG) {
                android.util.Log.d("AntiMalDataManager", "apkInfoListEquals size is 0");
            }
            return true;
        } else {
            com.android.server.security.securitydiagnose.AntiMalApkInfo[] sampleArry = new com.android.server.security.securitydiagnose.AntiMalApkInfo[this.mCurApkInfoList.size()];
            com.android.server.security.securitydiagnose.AntiMalApkInfo[] curApkInfoArry = (com.android.server.security.securitydiagnose.AntiMalApkInfo[]) this.mCurApkInfoList.toArray(sampleArry);
            com.android.server.security.securitydiagnose.AntiMalApkInfo[] oldApkInfoArry = (com.android.server.security.securitydiagnose.AntiMalApkInfo[]) this.mOldApkInfoList.toArray(sampleArry);
            java.util.Arrays.sort(curApkInfoArry);
            java.util.Arrays.sort(oldApkInfoArry);
            return java.util.Arrays.equals(oldApkInfoArry, curApkInfoArry);
        }
    }

    private boolean antiMalDataEquals() {
        boolean apkCntEqual = this.mCurCounter.equals(this.mOldCounter);
        boolean listEqual = apkInfoListEquals();
        if (HW_DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" apkCntEqual = ");
            stringBuilder.append(apkCntEqual);
            stringBuilder.append(" listEqual = ");
            stringBuilder.append(listEqual);
            android.util.Log.d("AntiMalDataManager", stringBuilder.toString());
        }
        return apkCntEqual && listEqual;
    }

    private int stringToInt(java.lang.String str) {
        if (str != null) {
            if (!str.isEmpty()) {
                return java.lang.Integer.parseInt(str);
            }
        }
        return 0;
    }

    private void getCurCounter() {
        int addCnt = 0;
        int modifyCnt = 0;
        int deleteCnt = 0;
        if (this.mCurApkInfoList.size() != 0) {
            synchronized (this.mCurApkInfoList) {
                java.util.Iterator it = this.mCurApkInfoList.iterator();
                while (it.hasNext()) {
                    com.android.server.security.securitydiagnose.AntiMalApkInfo ai = (com.android.server.security.securitydiagnose.AntiMalApkInfo) it.next();
                    if (ai != null) {
                        switch (ai.mType) {
                            case 1:
                                addCnt++;
                                break;
                            case 2:
                                modifyCnt++;
                                break;
                            case 3:
                                deleteCnt++;
                                break;
                            default:
                                break;
                        }
                    }
                }
            }
            this.mCurCounter.mAddCnt = addCnt;
            this.mCurCounter.mDeleteCnt = deleteCnt;
            this.mCurCounter.mModifiedCnt = modifyCnt;
            if (HW_DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("getCurCounter = ");
                stringBuilder.append(this.mCurCounter);
                android.util.Log.d("AntiMalDataManager", stringBuilder.toString());
            }
        }
    }

    private void getCurrentStatus() {
        int maskSysStatus = android.os.SystemProperties.getInt("persist.sys.root.status", 0);
        int i = 1;
        this.mCurAntiMalStatus.mRootStatus = maskSysStatus > 0 ? 1 : 0;
        int verStatusMask = maskSysStatus & 128;
        this.mCurAntiMalStatus.mVerfybootStatus = verStatusMask > 0 ? 1 : 0;
        int seLinuxMask = maskSysStatus & 8;
        com.android.server.pm.AntiMalDataManager.Status status = this.mCurAntiMalStatus;
        if (seLinuxMask <= 0) {
            i = 0;
        }
        status.mSeLinuxStatus = i;
        this.mCurAntiMalStatus.mFastbootStatus = getCurFastbootStatus();
        this.mCurAntiMalStatus.mCustSysStatus = android.os.SystemProperties.getBoolean("ro.odm.sys.wp", false);
        this.mCurAntiMalStatus.mDeviceFirstUseTimeStr = formatTime(this.mDeviceFirstUseTime);
        this.mCurAntiMalStatus.mSecPatchVer = getSecurePatchVersion();
        if (HW_DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getCurrentStatus AntiMalStatus = ");
            stringBuilder.append(this.mCurAntiMalStatus);
            android.util.Log.d("AntiMalDataManager", stringBuilder.toString());
        }
    }

    private int getCurFastbootStatus() {
        int status = android.os.SystemProperties.getInt("ro.boot.flash.locked", 1);
        if (HW_DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getCurFastbootStatus fastboot status = ");
            stringBuilder.append(status);
            android.util.Log.d("AntiMalDataManager", stringBuilder.toString());
        }
        return status;
    }

    private java.lang.String getSecurePatchVersion() {
        java.lang.String patch = android.os.Build.VERSION.SECURITY_PATCH;
        if (HW_DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getSecurePatchVersion patch = ");
            stringBuilder.append(patch);
            android.util.Log.d("AntiMalDataManager", stringBuilder.toString());
        }
        if (android.text.TextUtils.isEmpty(patch)) {
            return null;
        }
        return formatData(patch);
    }

    private void getDeviceFirstUseTime() {
        byte[] renewData = com.android.server.security.deviceusage.HwOEMInfoAdapter.getByteArrayFromOeminfo(163, 40);
        if (renewData != null) {
            if (renewData.length >= 40) {
                java.nio.ByteBuffer dataBuffer = java.nio.ByteBuffer.allocate(40);
                dataBuffer.order(java.nio.ByteOrder.LITTLE_ENDIAN);
                dataBuffer.clear();
                dataBuffer.put(renewData);
                this.mDeviceFirstUseTime = dataBuffer.getLong(32);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("mDeviceFirstUseTime = ");
                stringBuilder.append(formatTime(this.mDeviceFirstUseTime));
                android.util.Log.e("AntiMalDataManager", stringBuilder.toString());
                return;
            }
        }
        android.util.Log.d("AntiMalDataManager", "getDeviceFirstUseTime OEMINFO error!");
    }

    public android.os.Bundle collectData() {
        getCurCounter();
        android.os.Bundle antimalData = new android.os.Bundle();
        antimalData.putString("ET", getCurrentTime());
        antimalData.putInt("RSTAT", this.mCurAntiMalStatus.mRootStatus);
        antimalData.putInt("FSTAT", this.mCurAntiMalStatus.mFastbootStatus);
        antimalData.putInt("SSTAT", this.mCurAntiMalStatus.mVerfybootStatus);
        antimalData.putInt("SLSTAT", this.mCurAntiMalStatus.mSeLinuxStatus);
        antimalData.putInt("EWP", this.mCurAntiMalStatus.mCustSysStatus);
        antimalData.putString("FirstTime", this.mCurAntiMalStatus.mDeviceFirstUseTimeStr);
        antimalData.putString("SecVer", this.mCurAntiMalStatus.mSecPatchVer);
        antimalData.putInt("MalCount", this.mCurCounter.mAddCnt);
        antimalData.putInt("DelCount", this.mCurCounter.mDeleteCnt);
        antimalData.putInt("TamperCount", this.mCurCounter.mModifiedCnt);
        antimalData.putString("SecVer", null);
        if (this.mCurApkInfoList.size() > 0) {
            antimalData.putParcelableArrayList("Package", this.mCurApkInfoList);
        }
        return antimalData;
    }

    /* JADX WARNING: Removed duplicated region for block: B:14:0x0049 A:{SYNTHETIC, Splitter: B:14:0x0049} */
    /* JADX WARNING: Removed duplicated region for block: B:11:0x003e A:{Catch:{ IOException -> 0x00a3, XmlPullParserException -> 0x0088, Exception -> 0x006d, all -> 0x006b }} */
    private void readOldAntiMalData() {
        /*
        r10 = this;
        r0 = java.lang.System.currentTimeMillis();
        r2 = android.os.Environment.getDataDirectory();
        r3 = "system";
        r4 = "AntiMalData.xml";
        r3 = new java.lang.String[]{r3, r4};
        r2 = android.os.Environment.buildPath(r2, r3);
        r3 = r10.verifyAntimalFile(r2);
        if (r3 != 0) goto L_0x001c;
    L_0x001b:
        return;
    L_0x001c:
        r3 = 0;
        r4 = new java.io.FileInputStream;	 Catch:{ IOException -> 0x00a3, XmlPullParserException -> 0x0088, Exception -> 0x006d }
        r4.<init>(r2);	 Catch:{ IOException -> 0x00a3, XmlPullParserException -> 0x0088, Exception -> 0x006d }
        r3 = r4;
        r4 = android.util.Xml.newPullParser();	 Catch:{ IOException -> 0x00a3, XmlPullParserException -> 0x0088, Exception -> 0x006d }
        r5 = java.nio.charset.StandardCharsets.UTF_8;	 Catch:{ IOException -> 0x00a3, XmlPullParserException -> 0x0088, Exception -> 0x006d }
        r5 = r5.name();	 Catch:{ IOException -> 0x00a3, XmlPullParserException -> 0x0088, Exception -> 0x006d }
        r4.setInput(r3, r5);	 Catch:{ IOException -> 0x00a3, XmlPullParserException -> 0x0088, Exception -> 0x006d }
    L_0x0030:
        r5 = r4.next();	 Catch:{ IOException -> 0x00a3, XmlPullParserException -> 0x0088, Exception -> 0x006d }
        r6 = r5;
        r7 = 1;
        r8 = 2;
        if (r5 == r8) goto L_0x003c;
    L_0x0039:
        if (r6 == r7) goto L_0x003c;
    L_0x003b:
        goto L_0x0030;
    L_0x003c:
        if (r6 == r8) goto L_0x0049;
    L_0x003e:
        r5 = "AntiMalDataManager";
        r7 = "readAntiMalData NO start tag!";
        android.util.Log.e(r5, r7);	 Catch:{ IOException -> 0x00a3, XmlPullParserException -> 0x0088, Exception -> 0x006d }
        libcore.io.IoUtils.closeQuietly(r3);
        return;
    L_0x0049:
        r5 = r4.getDepth();	 Catch:{ IOException -> 0x00a3, XmlPullParserException -> 0x0088, Exception -> 0x006d }
    L_0x004d:
        r8 = r4.next();	 Catch:{ IOException -> 0x00a3, XmlPullParserException -> 0x0088, Exception -> 0x006d }
        r6 = r8;
        if (r8 == r7) goto L_0x00bd;
    L_0x0054:
        r8 = 3;
        if (r6 != r8) goto L_0x005d;
    L_0x0057:
        r9 = r4.getDepth();	 Catch:{ IOException -> 0x00a3, XmlPullParserException -> 0x0088, Exception -> 0x006d }
        if (r9 <= r5) goto L_0x00bd;
    L_0x005d:
        if (r6 == r8) goto L_0x004d;
    L_0x005f:
        r8 = 4;
        if (r6 != r8) goto L_0x0063;
    L_0x0062:
        goto L_0x004d;
    L_0x0063:
        r8 = r4.getName();	 Catch:{ IOException -> 0x00a3, XmlPullParserException -> 0x0088, Exception -> 0x006d }
        r10.readOldDataByTag(r4, r8);	 Catch:{ IOException -> 0x00a3, XmlPullParserException -> 0x0088, Exception -> 0x006d }
        goto L_0x004d;
    L_0x006b:
        r4 = move-exception;
        goto L_0x00e2;
    L_0x006d:
        r4 = move-exception;
        r5 = "AntiMalDataManager";
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x006b }
        r6.<init>();	 Catch:{ all -> 0x006b }
        r7 = "readAntiMalData Other exception :";
        r6.append(r7);	 Catch:{ all -> 0x006b }
        r6.append(r4);	 Catch:{ all -> 0x006b }
        r6 = r6.toString();	 Catch:{ all -> 0x006b }
        android.util.Log.e(r5, r6);	 Catch:{ all -> 0x006b }
        r10.printStackTraceForDebug(r4);	 Catch:{ all -> 0x006b }
        goto L_0x00bd;
    L_0x0088:
        r4 = move-exception;
        r5 = "AntiMalDataManager";
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x006b }
        r6.<init>();	 Catch:{ all -> 0x006b }
        r7 = "readAntiMalData XmlPullParserException: ";
        r6.append(r7);	 Catch:{ all -> 0x006b }
        r6.append(r4);	 Catch:{ all -> 0x006b }
        r6 = r6.toString();	 Catch:{ all -> 0x006b }
        android.util.Log.e(r5, r6);	 Catch:{ all -> 0x006b }
        r10.printStackTraceForDebug(r4);	 Catch:{ all -> 0x006b }
        goto L_0x00bd;
    L_0x00a3:
        r4 = move-exception;
        r5 = "AntiMalDataManager";
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x006b }
        r6.<init>();	 Catch:{ all -> 0x006b }
        r7 = "readAntiMalData IOException e: ";
        r6.append(r7);	 Catch:{ all -> 0x006b }
        r6.append(r4);	 Catch:{ all -> 0x006b }
        r6 = r6.toString();	 Catch:{ all -> 0x006b }
        android.util.Log.e(r5, r6);	 Catch:{ all -> 0x006b }
        r10.printStackTraceForDebug(r4);	 Catch:{ all -> 0x006b }
    L_0x00bd:
        libcore.io.IoUtils.closeQuietly(r3);
        r4 = HW_DEBUG;
        if (r4 == 0) goto L_0x00e1;
    L_0x00c5:
        r4 = java.lang.System.currentTimeMillis();
        r6 = "AntiMalDataManager";
        r7 = new java.lang.StringBuilder;
        r7.<init>();
        r8 = "readOldAntiMalData time = ";
        r7.append(r8);
        r8 = r4 - r0;
        r7.append(r8);
        r7 = r7.toString();
        android.util.Log.d(r6, r7);
    L_0x00e1:
        return;
    L_0x00e2:
        libcore.io.IoUtils.closeQuietly(r3);
        throw r4;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.pm.AntiMalDataManager.readOldAntiMalData():void");
    }

    private boolean verifyAntimalFile(java.io.File antimalFile) {
        if (antimalFile != null) {
            if (antimalFile.exists()) {
                this.mAntiMalDataExist = true;
                return true;
            }
        }
        android.util.Log.e("AntiMalDataManager", "readOldAntiMalData AntiMalData.xml File not exist!");
        this.mAntiMalDataExist = false;
        setBootCnt();
        return false;
    }

    private void printStackTraceForDebug(java.lang.Exception e) {
        if (HW_DEBUG) {
            e.printStackTrace();
        }
    }

    private void readOldDataByTag(org.xmlpull.v1.XmlPullParser parser, java.lang.String tagName) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
        if ("status".equals(tagName)) {
            readOldStatus(parser);
        } else if ("counter".equals(tagName)) {
            readOldCounter(parser);
        } else if ("apps".equals(tagName)) {
            readOldAntiMalApks(parser);
        } else if ("component".equals(tagName)) {
            readOldComponentInfo(parser);
        }
    }

    private void readOldStatus(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
        int outerDepth = parser.getDepth();
        while (true) {
            int next = parser.next();
            int type = next;
            if (next == 1) {
                return;
            }
            if (type == 3 && parser.getDepth() <= outerDepth) {
                return;
            }
            if (type != 3) {
                if (type != 4) {
                    if (parser.getName().equals("item")) {
                        this.mOldAntiMalStatus = new com.android.server.pm.AntiMalDataManager.Status();
                        java.lang.String rootStatusStr = parser.getAttributeValue(null, "RSTAT");
                        this.mOldAntiMalStatus.mRootStatus = stringToInt(rootStatusStr);
                        java.lang.String fastbootStatusStr = parser.getAttributeValue(null, "FSTAT");
                        this.mOldAntiMalStatus.mFastbootStatus = stringToInt(fastbootStatusStr);
                        java.lang.String systemStatusStr = parser.getAttributeValue(null, "SSTAT");
                        this.mOldAntiMalStatus.mVerfybootStatus = stringToInt(systemStatusStr);
                        java.lang.String seLinuxStatusStr = parser.getAttributeValue(null, "SLSTAT");
                        this.mOldAntiMalStatus.mSeLinuxStatus = stringToInt(seLinuxStatusStr);
                        java.lang.String custSystemStatusVer = parser.getAttributeValue(null, "EWP");
                        this.mOldAntiMalStatus.mCustSysStatus = stringToInt(custSystemStatusVer);
                        this.mOldAntiMalStatus.mDeviceFirstUseTimeStr = parser.getAttributeValue(null, "FirstTime");
                        this.mOldAntiMalStatus.mSecPatchVer = parser.getAttributeValue(null, "SecVer");
                        if (HW_DEBUG) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("readStatus = ");
                            stringBuilder.append(this.mOldAntiMalStatus);
                            android.util.Log.d("AntiMalDataManager", stringBuilder.toString());
                        }
                    }
                    com.android.internal.util.XmlUtils.skipCurrentTag(parser);
                }
            }
        }
    }

    private void readOldCounter(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
        int outerDepth = parser.getDepth();
        while (true) {
            int next = parser.next();
            int type = next;
            if (next == 1) {
                return;
            }
            if (type == 3 && parser.getDepth() <= outerDepth) {
                return;
            }
            if (type != 3) {
                if (type != 4) {
                    if ("item".equals(parser.getName())) {
                        this.mOldCounter = new com.android.server.pm.AntiMalDataManager.AntiMalCounter();
                        java.lang.String malCntStr = parser.getAttributeValue(null, "MalCount");
                        this.mOldCounter.mAddCnt = stringToInt(malCntStr);
                        java.lang.String deleteCntStr = parser.getAttributeValue(null, "DelCount");
                        this.mOldCounter.mDeleteCnt = stringToInt(deleteCntStr);
                        java.lang.String modifyCntStr = parser.getAttributeValue(null, "TamperCount");
                        this.mOldCounter.mModifiedCnt = stringToInt(modifyCntStr);
                        java.lang.String bootCntStr = parser.getAttributeValue(null, "BootTimes");
                        this.mOldCounter.mBootCnt = stringToInt(bootCntStr);
                        setBootCnt();
                        if (HW_DEBUG) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("readCounter = ");
                            stringBuilder.append(this.mOldCounter);
                            android.util.Log.d("AntiMalDataManager", stringBuilder.toString());
                        }
                    }
                }
            }
        }
    }

    private void setBootCnt() {
        com.android.server.pm.AntiMalDataManager.AntiMalCounter antiMalCounter = this.mCurCounter;
        int i = 1;
        if (this.mOldCounter != null) {
            com.android.server.pm.AntiMalDataManager.AntiMalCounter antiMalCounter2 = this.mOldCounter;
            i = 1 + antiMalCounter2.mBootCnt;
            antiMalCounter2.mBootCnt = i;
        }
        antiMalCounter.mBootCnt = i;
    }

    private void readOldAntiMalApks(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
        org.xmlpull.v1.XmlPullParser xmlPullParser = parser;
        int outerDepth = parser.getDepth();
        this.mOldApkInfoList = new java.util.ArrayList();
        while (true) {
            int next = parser.next();
            int type = next;
            if (next == 1) {
                return;
            }
            if (type == 3 && parser.getDepth() <= outerDepth) {
                return;
            }
            if (type != 3) {
                if (type != 4) {
                    if (parser.getName().equals("item")) {
                        java.lang.String typeStr = xmlPullParser.getAttributeValue(null, "type");
                        java.lang.String packageName = xmlPullParser.getAttributeValue(null, "PackageName");
                        java.lang.String apkName = xmlPullParser.getAttributeValue(null, "APKName");
                        java.lang.String apkPath = xmlPullParser.getAttributeValue(null, "path");
                        java.lang.String lastTime = xmlPullParser.getAttributeValue(null, "CreateTime");
                        java.lang.String str = packageName;
                        java.lang.String str2 = apkPath;
                        java.lang.String str3 = apkName;
                        java.lang.String str4 = lastTime;
                        com.android.server.security.securitydiagnose.AntiMalApkInfo api = new com.android.server.security.securitydiagnose.AntiMalApkInfo(str, str2, str3, stringToInt(typeStr), str4, null, stringToInt(xmlPullParser.getAttributeValue(null, "Ver")));
                        this.mOldApkInfoList.add(api);
                        if (HW_DEBUG) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("readAntiMalApks : AntiMalApkInfo : ");
                            stringBuilder.append(api);
                            android.util.Log.d("AntiMalDataManager", stringBuilder.toString());
                        }
                    }
                }
            }
        }
    }

    private void readOldComponentInfo(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
        int outerDepth = parser.getDepth();
        while (true) {
            int next = parser.next();
            int type = next;
            if (next == 1) {
                return;
            }
            if (type == 3 && parser.getDepth() <= outerDepth) {
                return;
            }
            if (type != 3) {
                if (type != 4) {
                    if (parser.getName().equals("item")) {
                        java.lang.String name = parser.getAttributeValue(null, "name");
                        java.lang.String verifyStatus = parser.getAttributeValue(null, "verify_status");
                        java.lang.String antimalTypeMask = parser.getAttributeValue(null, "antimal_type_mask");
                        if (!android.text.TextUtils.isEmpty(name)) {
                            com.android.server.pm.AntiMalComponentInfo acpi = new com.android.server.pm.AntiMalComponentInfo(name, stringToInt(verifyStatus), stringToInt(antimalTypeMask));
                            this.mOldComponentList.add(acpi);
                            if (HW_DEBUG) {
                                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("readOldComponentInfo AntiMalComponentInfo : ");
                                stringBuilder.append(acpi);
                                android.util.Log.d("AntiMalDataManager", stringBuilder.toString());
                            }
                        }
                    }
                }
            }
        }
    }

    public void writeAntiMalData() {
        java.lang.StringBuilder stringBuilder;
        java.io.FileOutputStream fos = null;
        try {
            fos = new java.io.FileOutputStream(android.os.Environment.buildPath(android.os.Environment.getDataDirectory(), new java.lang.String[]{"system", "AntiMalData.xml"}), false);
            org.xmlpull.v1.XmlSerializer out = new com.android.internal.util.FastXmlSerializer();
            out.setOutput(fos, java.nio.charset.StandardCharsets.UTF_8.name());
            out.startDocument(null, java.lang.Boolean.valueOf(true));
            out.startTag(null, "antimal");
            writeStatus(out);
            writeCounter(out);
            writeApkInfoList(out);
            writeComponentInfoList(out);
            out.endTag(null, "antimal");
            out.endDocument();
            fos.flush();
        } catch (java.io.IOException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("writeAntiMalData IOException: ");
            stringBuilder.append(e);
            android.util.Log.e("AntiMalDataManager", stringBuilder.toString());
            if (HW_DEBUG) {
                e.printStackTrace();
            }
        } catch (java.lang.Exception e2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("writeAntiMalData Other exception: ");
            stringBuilder.append(e2);
            android.util.Log.e("AntiMalDataManager", stringBuilder.toString());
            if (HW_DEBUG) {
                e2.printStackTrace();
            }
        } catch (Throwable th) {
            libcore.io.IoUtils.closeQuietly(fos);
        }
        libcore.io.IoUtils.closeQuietly(fos);
    }

    private void writeStatus(org.xmlpull.v1.XmlSerializer out) throws java.io.IOException, java.lang.IllegalArgumentException, java.lang.IllegalStateException {
        out.startTag(null, "status");
        out.startTag(null, "item");
        java.lang.StringBuffer stringBuffer = new java.lang.StringBuffer();
        stringBuffer.append(this.mCurAntiMalStatus.mRootStatus);
        out.attribute(null, "RSTAT", stringBuffer.toString());
        stringBuffer = new java.lang.StringBuffer();
        stringBuffer.append(this.mCurAntiMalStatus.mFastbootStatus);
        out.attribute(null, "FSTAT", stringBuffer.toString());
        stringBuffer = new java.lang.StringBuffer();
        stringBuffer.append(this.mCurAntiMalStatus.mVerfybootStatus);
        out.attribute(null, "SSTAT", stringBuffer.toString());
        stringBuffer = new java.lang.StringBuffer();
        stringBuffer.append(this.mCurAntiMalStatus.mSeLinuxStatus);
        out.attribute(null, "SLSTAT", stringBuffer.toString());
        stringBuffer = new java.lang.StringBuffer();
        stringBuffer.append(this.mCurAntiMalStatus.mCustSysStatus);
        out.attribute(null, "EWP", stringBuffer.toString());
        if (!android.text.TextUtils.isEmpty(this.mCurAntiMalStatus.mSecPatchVer)) {
            out.attribute(null, "SecVer", this.mCurAntiMalStatus.mSecPatchVer);
        }
        if (!android.text.TextUtils.isEmpty(this.mCurAntiMalStatus.mDeviceFirstUseTimeStr)) {
            out.attribute(null, "FirstTime", this.mCurAntiMalStatus.mDeviceFirstUseTimeStr);
        }
        out.endTag(null, "item");
        out.endTag(null, "status");
    }

    private void writeCounter(org.xmlpull.v1.XmlSerializer out) throws java.io.IOException, java.lang.IllegalArgumentException, java.lang.IllegalStateException {
        out.startTag(null, "counter");
        out.startTag(null, "item");
        java.lang.StringBuffer stringBuffer = new java.lang.StringBuffer();
        stringBuffer.append(this.mCurCounter.mBootCnt);
        out.attribute(null, "BootTimes", stringBuffer.toString());
        stringBuffer = new java.lang.StringBuffer();
        stringBuffer.append(this.mCurCounter.mAddCnt);
        out.attribute(null, "MalCount", stringBuffer.toString());
        stringBuffer = new java.lang.StringBuffer();
        stringBuffer.append(this.mCurCounter.mDeleteCnt);
        out.attribute(null, "DelCount", stringBuffer.toString());
        stringBuffer = new java.lang.StringBuffer();
        stringBuffer.append(this.mCurCounter.mModifiedCnt);
        out.attribute(null, "TamperCount", stringBuffer.toString());
        out.endTag(null, "item");
        out.endTag(null, "counter");
    }

    private void writeApkInfoList(org.xmlpull.v1.XmlSerializer out) throws java.io.IOException, java.lang.IllegalArgumentException, java.lang.IllegalStateException {
        out.startTag(null, "apps");
        int list_size = this.mCurApkInfoList.size();
        for (int i = 0; i < list_size; i++) {
            if (HW_DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("writeAntiMalData AntiMalApkInfo : ");
                stringBuilder.append(this.mCurApkInfoList.get(i));
                android.util.Log.d("AntiMalDataManager", stringBuilder.toString());
            }
            if (this.mCurApkInfoList.get(i) != null) {
                out.startTag(null, "item");
                java.lang.StringBuffer stringBuffer = new java.lang.StringBuffer();
                stringBuffer.append(((com.android.server.security.securitydiagnose.AntiMalApkInfo) this.mCurApkInfoList.get(i)).mType);
                out.attribute(null, "type", stringBuffer.toString());
                out.attribute(null, "PackageName", ((com.android.server.security.securitydiagnose.AntiMalApkInfo) this.mCurApkInfoList.get(i)).mPackageName);
                out.attribute(null, "APKName", ((com.android.server.security.securitydiagnose.AntiMalApkInfo) this.mCurApkInfoList.get(i)).mApkName);
                out.attribute(null, "path", ((com.android.server.security.securitydiagnose.AntiMalApkInfo) this.mCurApkInfoList.get(i)).mPath);
                out.attribute(null, "CreateTime", ((com.android.server.security.securitydiagnose.AntiMalApkInfo) this.mCurApkInfoList.get(i)).mLastModifyTime);
                stringBuffer = new java.lang.StringBuffer();
                stringBuffer.append(((com.android.server.security.securitydiagnose.AntiMalApkInfo) this.mCurApkInfoList.get(i)).mVersion);
                out.attribute(null, "Ver", stringBuffer.toString());
                out.endTag(null, "item");
            }
        }
        out.endTag(null, "apps");
    }

    private void writeComponentInfoList(org.xmlpull.v1.XmlSerializer out) throws java.io.IOException, java.lang.IllegalArgumentException, java.lang.IllegalStateException {
        out.startTag(null, "component");
        int list_size = this.mCurComponentList.size();
        for (int i = 0; i < list_size; i++) {
            if (HW_DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("writeComponentInfoList AntiMalComponentInfo : ");
                stringBuilder.append(this.mCurComponentList.get(i));
                android.util.Log.d("AntiMalDataManager", stringBuilder.toString());
            }
            if (this.mCurComponentList.get(i) != null) {
                out.startTag(null, "item");
                out.attribute(null, "name", ((com.android.server.pm.AntiMalComponentInfo) this.mCurComponentList.get(i)).mName);
                java.lang.StringBuffer stringBuffer = new java.lang.StringBuffer();
                stringBuffer.append(((com.android.server.pm.AntiMalComponentInfo) this.mCurComponentList.get(i)).mVerifyStatus);
                out.attribute(null, "verify_status", stringBuffer.toString());
                stringBuffer = new java.lang.StringBuffer();
                stringBuffer.append(((com.android.server.pm.AntiMalComponentInfo) this.mCurComponentList.get(i)).mAntimalTypeMask);
                out.attribute(null, "antimal_type_mask", stringBuffer.toString());
                out.endTag(null, "item");
            }
        }
        out.endTag(null, "component");
    }

    private java.lang.String formatTime(long minSecond) {
        return new java.text.SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new java.util.Date(minSecond));
    }

    private java.lang.String formatData(java.lang.String date) {
        if (android.text.TextUtils.isEmpty(date)) {
            return null;
        }
        java.lang.String patch = null;
        try {
            patch = android.text.format.DateFormat.format(android.text.format.DateFormat.getBestDateTimePattern(java.util.Locale.getDefault(), "dMMMMyyyy"), new java.text.SimpleDateFormat("yyyy-MM-dd").parse(date)).toString();
        } catch (java.lang.Exception e) {
            android.util.Log.e("AntiMalDataManager", "formatData ParseException!");
            if (HW_DEBUG) {
                e.printStackTrace();
            }
        }
        return patch;
    }

    private java.lang.String getCurrentTime() {
        return formatTime(java.lang.System.currentTimeMillis());
    }
}
