package com.android.server.pm;

public class AntiMalPreInstallReport {
    private static final int DEVICE_SECURE_DIAGNOSE_ID = 2;
    private static final boolean HW_DEBUG;
    private static final java.lang.String SECURITY_SERVICE = "securityserver";
    private static final java.lang.String TAG = "AntiMalPreInstallReport";
    private com.android.server.pm.AntiMalDataManager mDataManager;
    private com.android.server.pm.AntiMalPreInstallReport.ReportListener mListener;
    private java.lang.Thread mReportTask = new java.lang.Thread() {
        public void run() {
            com.android.server.pm.AntiMalPreInstallReport.this.sendAntimaComponentInfo();
            com.android.server.pm.AntiMalPreInstallReport.this.sendAntiMalData();
        }
    };

    interface ReportListener {
        void onReported();
    }

    static {
        boolean z;
        if (!android.util.Log.HWINFO) {
            if (!android.util.Log.HWModuleLog || !android.util.Log.isLoggable("AntiMalPreInstallReport", 4)) {
                z = false;
                HW_DEBUG = z;
            }
        }
        z = true;
        HW_DEBUG = z;
    }

    public AntiMalPreInstallReport(com.android.server.pm.AntiMalDataManager dataManager) {
        this.mDataManager = dataManager;
    }

    public void report(com.android.server.pm.AntiMalPreInstallReport.ReportListener listener) {
        this.mListener = listener;
        this.mReportTask.start();
    }

    private void sendAntimaComponentInfo() {
        android.os.Bundle bundle = this.mDataManager.getAntimalComponentInfo();
        try {
            huawei.android.security.IHwSecurityService secServie = huawei.android.security.IHwSecurityService.Stub.asInterface(android.os.ServiceManager.getService("securityserver"));
            if (secServie != null) {
                huawei.android.security.IHwSecurityDiagnosePlugin secDgnService = huawei.android.security.IHwSecurityDiagnosePlugin.Stub.asInterface(secServie.querySecurityInterface(2));
                if (secDgnService != null) {
                    secDgnService.sendComponentInfo(bundle);
                }
            }
        } catch (android.os.RemoteException re) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sendAntiMalData re:");
            stringBuilder.append(re);
            android.util.Log.e("AntiMalPreInstallReport", stringBuilder.toString());
        }
    }

    private void sendAntiMalData() {
        if (HW_DEBUG) {
            android.util.Log.d("AntiMalPreInstallReport", "sendAntiMalData begin!");
        }
        if (this.mDataManager.needReport()) {
            if (HW_DEBUG) {
                android.util.Log.d("AntiMalPreInstallReport", "sendAntiMalData Need send!");
            }
            android.os.Bundle bundle = this.mDataManager.collectData();
            try {
                huawei.android.security.IHwSecurityService secServie = huawei.android.security.IHwSecurityService.Stub.asInterface(android.os.ServiceManager.getService("securityserver"));
                if (secServie != null) {
                    huawei.android.security.IHwSecurityDiagnosePlugin secDgnService = huawei.android.security.IHwSecurityDiagnosePlugin.Stub.asInterface(secServie.querySecurityInterface(2));
                    if (secDgnService != null) {
                        secDgnService.report(100, bundle);
                    }
                }
            } catch (android.os.RemoteException re) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("sendAntiMalData re:");
                stringBuilder.append(re);
                android.util.Log.e("AntiMalPreInstallReport", stringBuilder.toString());
            }
        }
        if (this.mDataManager.needScanIllegalApks()) {
            this.mDataManager.writeAntiMalData();
        }
        onReported();
    }

    private void onReported() {
        if (this.mListener != null) {
            this.mListener.onReported();
        }
    }
}
