package com.android.server.pm.auth;

public class HwCertification {
    private static final java.util.List<java.lang.String> CERTIFICATE_TYPE_LIST = new java.util.ArrayList();
    private static final java.util.List<java.lang.String> HWCERT_KEY_LIST = new java.util.ArrayList();
    public static final java.lang.String IMEI_PREFIX = "IMEI/";
    public static final java.lang.String KEY_APK_HASH = "ApkHash";
    public static final java.lang.String KEY_CERTIFICATE = "Certificate";
    public static final java.lang.String KEY_DATE_FROM = "from";
    public static final java.lang.String KEY_DATE_TO = "to";
    public static final java.lang.String KEY_DEVELIOPER = "DeveloperKey";
    public static final java.lang.String KEY_DEVICE_IDS = "DeviceIds";
    public static final java.lang.String KEY_EXTENSION = "Extension";
    public static final java.lang.String KEY_PACKAGE_NAME = "PackageName";
    public static final java.lang.String KEY_PERMISSIONS = "Permissions";
    public static final java.lang.String KEY_SIGNATURE = "Signature";
    public static final java.lang.String KEY_VALID_PERIOD = "ValidPeriod";
    public static final java.lang.String KEY_VERSION = "Version";
    public static final java.lang.String MAC_PREFIX = "WIFIMAC/";
    public static final java.lang.String MEID_PREFIX = "MEID/";
    public static final java.lang.String PERMISSIONS_DEFAULT = "null";
    public static final int RESULT_DEFAULT = 0;
    public static final int RESULT_INVALID = -1;
    public static final int RESULT_MDM_WITHOUT_CERTIFICATE = 6;
    public static final int RESULT_MEDIA = 4;
    public static final int RESULT_NOT_MDM = 5;
    public static final int RESULT_PLATFORM = 1;
    public static final int RESULT_SHARED = 3;
    public static final int RESULT_TESTKEY = 2;
    public static final java.lang.String SIGNATURE_DEFAULT = "null";
    public static final java.lang.String SIGNATURE_MEDIA = "media";
    public static final java.lang.String SIGNATURE_PLATFORM = "platform";
    public static final java.lang.String SIGNATURE_SHARED = "shared";
    public static final java.lang.String SIGNATURE_TESTKEY = "testkey";
    private java.io.File mApkFile;
    private java.lang.String mApkHash;
    private java.lang.String mCertificate;
    public com.android.server.pm.auth.HwCertification.CertificationData mCertificationData = new com.android.server.pm.auth.HwCertification.CertificationData();
    private java.lang.String mDelveoperKey;
    private java.util.List<com.android.server.pm.auth.deviceid.DeviceId> mDeviceIds = new java.util.ArrayList();
    private java.lang.String mExtenstion;
    private java.util.Date mFromDate;
    private boolean mIsReleased;
    private java.lang.String mPackageName;
    private java.util.List<java.lang.String> mPermissions = new java.util.ArrayList();
    private java.security.PrivateKey mPriKey;
    private java.lang.String mSignature;
    private java.util.Date mToDate;
    private java.lang.String mVersion;
    private java.util.zip.ZipFile zfile;

    public static class CertificationData {
        public java.io.File mApkFile;
        public java.lang.String mApkHash;
        public java.lang.String mCertificate;
        public java.lang.String mDelveoperKey;
        public java.lang.String mDeviceIdsString;
        public java.lang.String mExtenstion;
        public boolean mIsReleased;
        public java.lang.String mPackageName;
        public java.lang.String mPeriodString;
        public java.lang.String mPermissionsString;
        public java.lang.String mSignature;
        public java.lang.String mVersion;
    }

    static {
        HWCERT_KEY_LIST.add("DeveloperKey");
        HWCERT_KEY_LIST.add("PackageName");
        HWCERT_KEY_LIST.add("Permissions");
        HWCERT_KEY_LIST.add("DeviceIds");
        HWCERT_KEY_LIST.add("ValidPeriod");
        HWCERT_KEY_LIST.add("ApkHash");
        HWCERT_KEY_LIST.add("Version");
        HWCERT_KEY_LIST.add("Certificate");
        HWCERT_KEY_LIST.add("Extension");
        HWCERT_KEY_LIST.add("Signature");
        CERTIFICATE_TYPE_LIST.add("testkey");
        CERTIFICATE_TYPE_LIST.add("platform");
        CERTIFICATE_TYPE_LIST.add("shared");
        CERTIFICATE_TYPE_LIST.add("media");
        CERTIFICATE_TYPE_LIST.add("null");
    }

    public java.io.File getApkFile() {
        return this.mApkFile;
    }

    public void setApkFile(java.io.File mApkFile) {
        this.mApkFile = mApkFile;
    }

    public java.security.PrivateKey getPriKey() {
        return this.mPriKey;
    }

    public void setPriKey(java.security.PrivateKey mPriKey) {
        this.mPriKey = mPriKey;
    }

    public java.lang.String getDelveoperKey() {
        return this.mDelveoperKey;
    }

    public void setDelveoperKey(java.lang.String mDelveoperKey) {
        this.mDelveoperKey = mDelveoperKey;
    }

    public java.lang.String getPackageName() {
        return this.mPackageName;
    }

    public void setPackageName(java.lang.String mPackageName) {
        this.mPackageName = mPackageName;
    }

    public java.util.List<java.lang.String> getPermissionList() {
        return this.mPermissions;
    }

    public void setPermissionList(java.util.List<java.lang.String> mPermissions) {
        this.mPermissions = mPermissions;
    }

    public java.util.List<com.android.server.pm.auth.deviceid.DeviceId> getDeviceIdList() {
        return this.mDeviceIds;
    }

    public void setDeviceIdList(java.util.List<com.android.server.pm.auth.deviceid.DeviceId> mDeviceIds) {
        this.mDeviceIds = mDeviceIds;
    }

    public java.util.Date getFromDate() {
        return this.mFromDate;
    }

    public void setFromDate(java.util.Date mFrameDate) {
        this.mFromDate = mFrameDate;
    }

    public java.util.Date getToDate() {
        return this.mToDate;
    }

    public void setToDate(java.util.Date mToDate) {
        this.mToDate = mToDate;
    }

    public java.lang.String getApkHash() {
        return this.mApkHash;
    }

    public void setApkHash(java.lang.String mApkHash) {
        this.mApkHash = mApkHash;
    }

    public java.lang.String getSignature() {
        return this.mSignature;
    }

    public void setSignature(java.lang.String mSignature) {
        this.mSignature = mSignature;
    }

    public java.lang.String getVersion() {
        return this.mVersion;
    }

    public void setVersion(java.lang.String mVersion) {
        this.mVersion = mVersion;
    }

    public java.lang.String getCertificate() {
        return this.mCertificate;
    }

    public void setCertificate(java.lang.String mCertificate) {
        this.mCertificate = mCertificate;
    }

    public java.lang.String getExtenstion() {
        return this.mExtenstion;
    }

    public void setExtenstion(java.lang.String mExtenstion) {
        this.mExtenstion = mExtenstion;
    }

    public boolean isReleased() {
        return this.mIsReleased;
    }

    public void setReleaseState(boolean isReleased) {
        this.mIsReleased = isReleased;
    }

    public static boolean isHwCertKeyContainsTag(java.lang.String keyTag) {
        return HWCERT_KEY_LIST.contains(keyTag);
    }

    public static boolean isContainsCertificateType(java.lang.String certificate) {
        return CERTIFICATE_TYPE_LIST.contains(certificate);
    }

    public void setZipFile(java.util.zip.ZipFile zipfile) {
        this.zfile = zipfile;
    }

    public java.util.zip.ZipFile getZipFile() {
        return this.zfile;
    }

    public void resetZipFile() {
        this.zfile = null;
    }
}
