package com.android.server.pm.auth.deviceid;

public class DeviceIdSection implements com.android.server.pm.auth.deviceid.DeviceId {
    private java.util.List<com.android.server.pm.auth.deviceid.DeviceIdSection.Section> mSections = new java.util.ArrayList();

    private static class Section {
        private java.lang.String mEndImei;
        private java.lang.String mStartImei;

        private Section() {
        }

        private java.lang.String pieceString() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(this.mStartImei);
            stringBuilder.append("-");
            stringBuilder.append(this.mEndImei);
            return stringBuilder.toString();
        }

        private void setStartImei(java.lang.String mStartImei) {
            this.mStartImei = mStartImei;
        }

        private void setLastImei(java.lang.String mLastImei) {
            this.mEndImei = mLastImei;
        }

        public boolean isBetweenSection(java.lang.String devId) {
            java.math.BigDecimal dev = new java.math.BigDecimal(devId);
            java.math.BigDecimal start = new java.math.BigDecimal(this.mStartImei);
            java.math.BigDecimal end = new java.math.BigDecimal(this.mEndImei);
            if (dev.compareTo(start) < 0 || dev.compareTo(end) > 0) {
                return false;
            }
            return true;
        }
    }

    public void addDeviceId(java.lang.String id) {
        if (id.indexOf("-") >= 0) {
            java.lang.String[] times = id.split("-");
            com.android.server.pm.auth.deviceid.DeviceIdSection.Section sp = new com.android.server.pm.auth.deviceid.DeviceIdSection.Section();
            sp.setStartImei(times[0]);
            sp.setLastImei(times[1]);
            this.mSections.add(sp);
            return;
        }
        throw new java.lang.IllegalArgumentException("can not find - in section deviceids");
    }

    public static boolean isType(java.lang.String ids) {
        if (!ids.startsWith("IMEI/") || ids.indexOf("-") <= 0) {
            return false;
        }
        return true;
    }

    @android.annotation.SuppressLint({"AvoidMethodInForLoop"})
    public void append(java.lang.StringBuffer sb) {
        sb.append("IMEI/");
        for (int i = 0; i < this.mSections.size(); i++) {
            if (i != 0) {
                sb.append(",");
            }
            sb.append(((com.android.server.pm.auth.deviceid.DeviceIdSection.Section) this.mSections.get(i)).pieceString());
        }
    }

    public boolean contain(java.lang.String devId) {
        for (com.android.server.pm.auth.deviceid.DeviceIdSection.Section section : this.mSections) {
            if (section.isBetweenSection(devId)) {
                return true;
            }
        }
        return false;
    }

    public boolean isEmpty() {
        return this.mSections.isEmpty();
    }
}
