package com.android.server.pm.auth.processor;

public class CertificateProcessor extends com.android.server.pm.auth.processor.BaseProcessor {
    public boolean readCert(java.lang.String line, com.android.server.pm.auth.HwCertification.CertificationData rawCert) {
        if (line != null) {
            if (!line.isEmpty()) {
                if (rawCert == null) {
                    com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "CF_RC cert is empty");
                    return false;
                } else if (line.startsWith("Certificate:")) {
                    rawCert.mCertificate = line.substring("Certificate".length() + 1);
                    if (com.android.server.pm.auth.util.HwAuthLogger.getHWFLOW()) {
                        com.android.server.pm.auth.util.HwAuthLogger.i("HwCertificationManager", "CF_RC ok");
                    }
                    return true;
                } else {
                    com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "CF_RC error");
                    return false;
                }
            }
        }
        com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "CF_RC line is empty");
        return false;
    }

    public boolean parserCert(com.android.server.pm.auth.HwCertification rawCert) {
        if (rawCert == null) {
            com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "CF_PC cert is null");
            return false;
        }
        com.android.server.pm.auth.HwCertification.CertificationData certData = rawCert.mCertificationData;
        java.lang.String certificate = certData.mCertificate;
        if (certificate != null) {
            if (!certificate.isEmpty()) {
                if (com.android.server.pm.auth.HwCertification.isContainsCertificateType(certificate)) {
                    rawCert.setCertificate(certData.mCertificate);
                    if (com.android.server.pm.auth.util.HwAuthLogger.getHWFLOW()) {
                        com.android.server.pm.auth.util.HwAuthLogger.i("HwCertificationManager", "CF_PC ok");
                    }
                    return true;
                }
                com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "CF_PC not in reasonable range");
                return false;
            }
        }
        com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "CF_PC is empty");
        return false;
    }

    public boolean verifyCert(android.content.pm.PackageParser.Package pkg, com.android.server.pm.auth.HwCertification cert) {
        if (pkg != null) {
            if (cert != null) {
                java.lang.String certificate = cert.getCertificate();
                if (certificate != null) {
                    if (!certificate.isEmpty()) {
                        if (cert.mCertificationData.mPermissionsString == null) {
                            com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "CF_VC permission is null");
                            return false;
                        } else if (certificate.equals("null") && cert.mCertificationData.mPermissionsString.equals("null")) {
                            com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "CF_VC permission is not allowed");
                            return false;
                        } else {
                            if (com.android.server.pm.auth.util.HwAuthLogger.getHWFLOW()) {
                                com.android.server.pm.auth.util.HwAuthLogger.i("HwCertificationManager", "CF_VC ok");
                            }
                            return true;
                        }
                    }
                }
                com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "CF_VC is empty");
                return false;
            }
        }
        com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "CF_VC error or package is null");
        return false;
    }

    public boolean parseXmlTag(java.lang.String tag, org.xmlpull.v1.XmlPullParser parser, com.android.server.pm.auth.HwCertification cert) {
        if ("Certificate".equals(tag)) {
            cert.mCertificationData.mCertificate = parser.getAttributeValue(null, "value");
            if (com.android.server.pm.auth.util.HwAuthLogger.getHWFLOW()) {
                com.android.server.pm.auth.util.HwAuthLogger.i("HwCertificationManager", "CF_PX ok");
            }
            return true;
        }
        com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "CF_PX error");
        return false;
    }
}
