package com.android.server.pm.auth.processor;

public class DeveloperKeyProcessor extends com.android.server.pm.auth.processor.BaseProcessor {
    public boolean readCert(java.lang.String line, com.android.server.pm.auth.HwCertification.CertificationData rawCert) {
        if (line != null) {
            if (!line.isEmpty()) {
                if (!line.startsWith("DeveloperKey")) {
                    return false;
                }
                java.lang.String devKey = line.substring("DeveloperKey".length() + 1);
                if (devKey != null) {
                    if (!devKey.isEmpty()) {
                        rawCert.mDelveoperKey = devKey;
                        return true;
                    }
                }
                com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "DK_RC is empty");
                return false;
            }
        }
        return false;
    }

    public boolean parserCert(com.android.server.pm.auth.HwCertification rawCert) {
        com.android.server.pm.auth.HwCertification.CertificationData certData = rawCert.mCertificationData;
        if (certData.mDelveoperKey == null || certData.mDelveoperKey.isEmpty()) {
            com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "DK_PC error");
            return false;
        }
        rawCert.setDelveoperKey(certData.mDelveoperKey);
        return true;
    }

    public boolean verifyCert(android.content.pm.PackageParser.Package pkg, com.android.server.pm.auth.HwCertification cert) {
        if (com.android.server.pm.auth.util.HwAuthLogger.getHWFLOW()) {
            com.android.server.pm.auth.util.HwAuthLogger.i("HwCertificationManager", "DK_VC start");
        }
        java.lang.String keyFromCert = cert.getDelveoperKey();
        if (keyFromCert != null) {
            if (!keyFromCert.isEmpty()) {
                if (pkg.mSigningDetails.signatures[0] == null) {
                    return false;
                }
                if (keyFromCert.equals(pkg.mSigningDetails.signatures[0].toCharsString())) {
                    if (com.android.server.pm.auth.util.HwAuthLogger.getHWDEBUG()) {
                        com.android.server.pm.auth.util.HwAuthLogger.d("HwCertificationManager", "DK_VC ok");
                    }
                    return true;
                }
                com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "DK_VC not same");
                return false;
            }
        }
        return false;
    }

    public boolean parseXmlTag(java.lang.String tag, org.xmlpull.v1.XmlPullParser parser, com.android.server.pm.auth.HwCertification cert) {
        if (!"DeveloperKey".equals(tag)) {
            return false;
        }
        cert.mCertificationData.mDelveoperKey = parser.getAttributeValue(null, "value");
        return true;
    }
}
