package com.android.server.pm.auth.processor;

public class DeviceIdProcessor extends com.android.server.pm.auth.processor.BaseProcessor {
    private static final int FIRST_SLOT = 0;
    private static final int SECOND_SLOT = 1;

    public boolean readCert(java.lang.String line, com.android.server.pm.auth.HwCertification.CertificationData rawCert) {
        if (line != null) {
            if (!line.isEmpty()) {
                if (!line.startsWith("DeviceIds")) {
                    return false;
                }
                java.lang.String key = line.substring("DeviceIds".length() + 1);
                if (key != null) {
                    if (!key.isEmpty()) {
                        rawCert.mDeviceIdsString = key;
                        return true;
                    }
                }
                com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "DI_RC is empty");
                return false;
            }
        }
        return false;
    }

    @android.annotation.SuppressLint({"AvoidMethodInForLoop", "AvoidInHardConnectInString", "PreferForInArrayList"})
    public boolean parserCert(com.android.server.pm.auth.HwCertification rawCert) {
        com.android.server.pm.auth.HwCertification hwCertification = rawCert;
        com.android.server.pm.auth.HwCertification.CertificationData certData = hwCertification.mCertificationData;
        java.lang.String deviceids = certData.mDeviceIdsString;
        java.lang.String str;
        if (deviceids == null || deviceids.isEmpty()) {
            str = deviceids;
            boolean z = false;
            com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "DI_PC line is null");
            return z;
        } else if ("*".equals(deviceids)) {
            hwCertification.setReleaseState(true);
            return true;
        } else {
            java.lang.String imeiListReg = "IMEI/\\d+";
            java.lang.String oneDevReg = new java.lang.StringBuilder();
            oneDevReg.append(imeiListReg);
            oneDevReg.append("|");
            oneDevReg.append("WIFIMAC/[\\w&&[^_]]+");
            oneDevReg.append("|");
            oneDevReg.append("IMEI/\\d+-\\d+");
            oneDevReg.append("|");
            oneDevReg.append("MEID/[0-9a-fA-F]{14}");
            oneDevReg = oneDevReg.toString();
            java.lang.String devRegGroup = new java.lang.StringBuilder();
            devRegGroup.append("(");
            devRegGroup.append(oneDevReg);
            devRegGroup.append(")");
            devRegGroup = devRegGroup.toString();
            java.lang.String totalRegex = new java.lang.StringBuilder();
            totalRegex.append(devRegGroup);
            totalRegex.append("(,");
            totalRegex.append(devRegGroup);
            totalRegex.append(")*");
            if (deviceids.matches(totalRegex.toString())) {
                java.lang.String imeiListReg2;
                java.lang.String[] ids = deviceids.split(",");
                int length = ids.length;
                int i = 0;
                while (i < length) {
                    com.android.server.pm.auth.HwCertification.CertificationData certData2;
                    java.lang.String id = ids[i];
                    if (com.android.server.pm.auth.deviceid.DeviceIdSection.isType(id)) {
                        com.android.server.pm.auth.deviceid.DeviceIdSection dev = new com.android.server.pm.auth.deviceid.DeviceIdSection();
                        dev.addDeviceId(id.substring("IMEI/".length()));
                        rawCert.getDeviceIdList().add(dev);
                    } else if (com.android.server.pm.auth.deviceid.DeviceIdList.isType(id)) {
                        com.android.server.pm.auth.deviceid.DeviceIdList dev2 = new com.android.server.pm.auth.deviceid.DeviceIdList();
                        dev2.addDeviceId(id.substring("IMEI/".length()));
                        rawCert.getDeviceIdList().add(dev2);
                    } else {
                        if (com.android.server.pm.auth.deviceid.DeviceIdMac.isType(id)) {
                            com.android.server.pm.auth.deviceid.DeviceIdMac dev3 = new com.android.server.pm.auth.deviceid.DeviceIdMac();
                            java.lang.String rawMac = id.substring("WIFIMAC/".length());
                            if (rawMac.length() % 2 != 0) {
                                com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "DI_PC length error");
                                return false;
                            }
                            certData2 = certData;
                            certData = new java.lang.StringBuffer();
                            int i2 = 0;
                            while (true) {
                                str = deviceids;
                                imeiListReg2 = imeiListReg;
                                int i3 = i2;
                                if (i3 >= rawMac.length()) {
                                    break;
                                }
                                certData.append(rawMac.substring(i3, i3 + 2));
                                if (i3 != rawMac.length() - 2) {
                                    certData.append(":");
                                }
                                i2 = i3 + 2;
                                deviceids = str;
                                imeiListReg = imeiListReg2;
                            }
                            dev3.addDeviceId(certData.toString());
                            rawCert.getDeviceIdList().add(dev3);
                        } else {
                            certData2 = certData;
                            str = deviceids;
                            imeiListReg2 = imeiListReg;
                            if (com.android.server.pm.auth.deviceid.DeviceIdMeid.isType(id) != null) {
                                certData = new com.android.server.pm.auth.deviceid.DeviceIdMeid();
                                certData.addDeviceId(id.substring("MEID/".length()));
                                rawCert.getDeviceIdList().add(certData);
                            } else {
                                com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "DI_PC irregular");
                                return null;
                            }
                        }
                        i++;
                        certData = certData2;
                        deviceids = str;
                        imeiListReg = imeiListReg2;
                    }
                    certData2 = certData;
                    str = deviceids;
                    imeiListReg2 = imeiListReg;
                    i++;
                    certData = certData2;
                    deviceids = str;
                    imeiListReg = imeiListReg2;
                }
                str = deviceids;
                imeiListReg2 = imeiListReg;
                return true;
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("DI_PC irregular id :");
            stringBuilder.append(deviceids);
            com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", stringBuilder.toString());
            return false;
        }
    }

    public boolean verifyCert(android.content.pm.PackageParser.Package pkg, com.android.server.pm.auth.HwCertification cert) {
        if (com.android.server.pm.auth.util.HwAuthLogger.getHWFLOW()) {
            com.android.server.pm.auth.util.HwAuthLogger.i("HwCertificationManager", "DI_VC start");
        }
        if (!com.android.server.pm.auth.HwCertificationManager.getIntance().isSystemReady()) {
            com.android.server.pm.auth.util.HwAuthLogger.w("HwCertificationManager", "DI_VC ignore ids");
            return true;
        } else if (cert.isReleased()) {
            if (com.android.server.pm.auth.util.HwAuthLogger.getHWFLOW()) {
                com.android.server.pm.auth.util.HwAuthLogger.i("HwCertificationManager", "DI_VC ok released cert");
            }
            return true;
        } else {
            java.util.List<com.android.server.pm.auth.deviceid.DeviceId> devIds = cert.getDeviceIdList();
            if (devIds != null) {
                if (!devIds.isEmpty()) {
                    android.content.Context context = com.android.server.pm.auth.HwCertificationManager.getIntance().getContext();
                    if (context == null) {
                        com.android.server.pm.auth.util.HwAuthLogger.w("HwCertificationManager", "context is null");
                        return false;
                    }
                    boolean hasImei = true;
                    java.util.ArrayList<java.lang.String> imeList = getImeis(context);
                    if (imeList == null || imeList.isEmpty()) {
                        hasImei = false;
                        com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "there is no imei on this phone.");
                    }
                    if (verifyDevId(hasImei, devIds, imeList, context)) {
                        return true;
                    }
                    com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "DI_VC error not in list");
                    return false;
                }
            }
            return false;
        }
    }

    private boolean verifyDevId(boolean hasImei, java.util.List<com.android.server.pm.auth.deviceid.DeviceId> devIds, java.util.ArrayList<java.lang.String> imeList, android.content.Context context) {
        java.lang.String meid = getMeid(context);
        java.lang.String wifiMac = getWifiMac(context);
        for (com.android.server.pm.auth.deviceid.DeviceId dev : devIds) {
            if (verifyImie(hasImei, dev, imeList) || verifyMac(dev, wifiMac) || verifyMeid(dev, meid)) {
                return true;
            }
        }
        return false;
    }

    @android.annotation.SuppressLint({"PreferForInArrayList"})
    private boolean verifyImie(boolean hasImei, com.android.server.pm.auth.deviceid.DeviceId dev, java.util.ArrayList<java.lang.String> imeList) {
        if (hasImei && ((dev instanceof com.android.server.pm.auth.deviceid.DeviceIdSection) || (dev instanceof com.android.server.pm.auth.deviceid.DeviceIdList))) {
            java.util.Iterator it = imeList.iterator();
            while (it.hasNext()) {
                if (dev.contain((java.lang.String) it.next())) {
                    if (com.android.server.pm.auth.util.HwAuthLogger.getHWDEBUG()) {
                        com.android.server.pm.auth.util.HwAuthLogger.w("HwCertificationManager", "DI_VC imei ok debuge cert");
                    }
                    return true;
                }
            }
        }
        return false;
    }

    private boolean verifyMac(com.android.server.pm.auth.deviceid.DeviceId dev, java.lang.String wifiMac) {
        if (!(dev instanceof com.android.server.pm.auth.deviceid.DeviceIdMac) || !dev.contain(wifiMac)) {
            return false;
        }
        if (com.android.server.pm.auth.util.HwAuthLogger.getHWDEBUG()) {
            com.android.server.pm.auth.util.HwAuthLogger.w("HwCertificationManager", "DI_VC wifimack ok debuge cert");
        }
        return true;
    }

    private boolean verifyMeid(com.android.server.pm.auth.deviceid.DeviceId dev, java.lang.String meid) {
        if (!(dev instanceof com.android.server.pm.auth.deviceid.DeviceIdMeid) || android.text.TextUtils.isEmpty(meid) || !dev.contain(meid)) {
            return false;
        }
        com.android.server.pm.auth.util.HwAuthLogger.w("HwCertificationManager", "DI_VC meid ok debuge cert");
        return true;
    }

    private java.util.ArrayList<java.lang.String> getImeis(android.content.Context context) {
        android.telephony.TelephonyManager telephony = (android.telephony.TelephonyManager) context.getSystemService("phone");
        if (telephony == null) {
            com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "failed to get telephony imei.");
            return null;
        }
        java.util.ArrayList<java.lang.String> imeiList = new java.util.ArrayList();
        java.lang.String imei = "";
        java.lang.String secondImei = "";
        if (com.android.server.pm.auth.util.Utils.isMultiSimEnabled()) {
            addImeiInList(telephony.getImei(0), telephony.getImei(1), imeiList);
        } else if (!com.android.server.pm.auth.util.Utils.isCDMAPhone(telephony.getCurrentPhoneType()) || telephony.getLteOnCdmaMode() == 1) {
            imei = telephony.getImei();
            if (!android.text.TextUtils.isEmpty(imei)) {
                imeiList.add(imei);
            }
        } else {
            com.android.server.pm.auth.util.HwAuthLogger.w("HwCertificationManager", "cdma phone, there is no imei.");
        }
        return imeiList;
    }

    private void addImeiInList(java.lang.String imei, java.lang.String secondImei, java.util.ArrayList<java.lang.String> imeiList) {
        if (imeiList == null) {
            com.android.server.pm.auth.util.HwAuthLogger.w("HwCertificationManager", "list is null, can't add imeis");
            return;
        }
        if (!android.text.TextUtils.isEmpty(imei)) {
            imeiList.add(imei);
        }
        if (!(android.text.TextUtils.isEmpty(secondImei) || imeiList.contains(secondImei))) {
            imeiList.add(secondImei);
        }
    }

    private java.lang.String getMeid(android.content.Context context) {
        android.telephony.HwTelephonyManager hwTelephonyManager = android.telephony.HwTelephonyManager.getDefault();
        android.telephony.TelephonyManager telephony = (android.telephony.TelephonyManager) context.getSystemService("phone");
        if (hwTelephonyManager != null) {
            if (telephony != null) {
                java.lang.String meid = "";
                if (com.android.server.pm.auth.util.Utils.isMultiSimEnabled()) {
                    meid = hwTelephonyManager.getMeid(0);
                    if (android.text.TextUtils.isEmpty(meid)) {
                        meid = hwTelephonyManager.getMeid(1);
                    }
                } else if (com.android.server.pm.auth.util.Utils.isCDMAPhone(telephony.getCurrentPhoneType())) {
                    meid = hwTelephonyManager.getMeid();
                } else {
                    com.android.server.pm.auth.util.HwAuthLogger.w("HwCertificationManager", "not cdma phone, can not get meid.");
                }
                if (meid != null) {
                    meid = meid.toLowerCase(java.util.Locale.US);
                }
                return meid;
            }
        }
        com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "failed to get hwTelephonyManager meid.");
        return null;
    }

    private java.lang.String getWifiMac(android.content.Context context) {
        android.net.wifi.WifiManager wifi = (android.net.wifi.WifiManager) context.getSystemService("wifi");
        android.net.wifi.WifiInfo info = null;
        if (wifi != null) {
            info = wifi.getConnectionInfo();
        }
        if (info == null) {
            com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "WifiInfo == null");
            return "";
        }
        return info.getMacAddress() == null ? "" : info.getMacAddress();
    }

    public boolean parseXmlTag(java.lang.String tag, org.xmlpull.v1.XmlPullParser parser, com.android.server.pm.auth.HwCertification cert) {
        if (!"DeviceIds".equals(tag)) {
            return false;
        }
        cert.mCertificationData.mDeviceIdsString = parser.getAttributeValue(null, "value");
        return true;
    }
}
