package com.android.server.pm.auth.processor;

public class ExtenstionProcessor extends com.android.server.pm.auth.processor.BaseProcessor {
    public boolean readCert(java.lang.String line, com.android.server.pm.auth.HwCertification.CertificationData rawCert) {
        if (line != null) {
            if (!line.isEmpty()) {
                if (rawCert == null) {
                    com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "ET_RC is empty");
                    return false;
                } else if (line.startsWith("Extension:")) {
                    rawCert.mExtenstion = line.substring("Extension".length() + 1);
                    if (com.android.server.pm.auth.util.HwAuthLogger.getHWFLOW()) {
                        com.android.server.pm.auth.util.HwAuthLogger.i("HwCertificationManager", "ET_RC ok");
                    }
                    return true;
                } else {
                    com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "ET_RC error");
                    return false;
                }
            }
        }
        com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "ET_RC line is null");
        return false;
    }

    public boolean parserCert(com.android.server.pm.auth.HwCertification rawCert) {
        if (rawCert == null) {
            com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "ET_PC error cert is null");
            return false;
        }
        com.android.server.pm.auth.HwCertification.CertificationData certData = rawCert.mCertificationData;
        java.lang.String extenstion = certData.mExtenstion;
        if (extenstion != null) {
            if (!extenstion.isEmpty()) {
                rawCert.setExtenstion(certData.mExtenstion);
                if (com.android.server.pm.auth.util.HwAuthLogger.getHWFLOW()) {
                    com.android.server.pm.auth.util.HwAuthLogger.i("HwCertificationManager", "ET_PC ok");
                }
                return true;
            }
        }
        com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "ET_PC error is null");
        return false;
    }

    public boolean verifyCert(android.content.pm.PackageParser.Package pkg, com.android.server.pm.auth.HwCertification cert) {
        if (pkg != null) {
            if (cert != null) {
                java.lang.String extenstion = cert.getExtenstion();
                if (extenstion != null) {
                    if (!extenstion.isEmpty()) {
                        if (com.android.server.pm.auth.util.HwAuthLogger.getHWFLOW()) {
                            com.android.server.pm.auth.util.HwAuthLogger.i("HwCertificationManager", "ET_VC ok");
                        }
                        return true;
                    }
                }
                com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "ET_VC is empty");
                return false;
            }
        }
        com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "ET_VC error package or cert is null");
        return false;
    }

    public boolean parseXmlTag(java.lang.String tag, org.xmlpull.v1.XmlPullParser parser, com.android.server.pm.auth.HwCertification cert) {
        if ("Extension".equals(tag)) {
            cert.mCertificationData.mExtenstion = parser.getAttributeValue(null, "value");
            if (com.android.server.pm.auth.util.HwAuthLogger.getHWFLOW()) {
                com.android.server.pm.auth.util.HwAuthLogger.i("HwCertificationManager", "ET_PX ok");
            }
            return true;
        }
        com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "ET_PX error");
        return false;
    }
}
