package com.android.server.pm.auth.processor;

public class PackageNameProcessor extends com.android.server.pm.auth.processor.BaseProcessor {
    public boolean readCert(java.lang.String line, com.android.server.pm.auth.HwCertification.CertificationData rawCert) {
        if (line != null) {
            if (!line.isEmpty()) {
                if (!line.startsWith("PackageName")) {
                    return false;
                }
                java.lang.String key = line.substring("PackageName".length() + 1);
                if (key != null) {
                    if (!key.isEmpty()) {
                        rawCert.mPackageName = key;
                        return true;
                    }
                }
                com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "PN_RC is empty");
                return false;
            }
        }
        return false;
    }

    public boolean parserCert(com.android.server.pm.auth.HwCertification rawCert) {
        com.android.server.pm.auth.HwCertification.CertificationData certData = rawCert.mCertificationData;
        if (certData.mPackageName == null || certData.mPackageName.isEmpty()) {
            com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "PN_PC error");
            return false;
        }
        rawCert.setPackageName(certData.mPackageName);
        return true;
    }

    public boolean verifyCert(android.content.pm.PackageParser.Package pkg, com.android.server.pm.auth.HwCertification cert) {
        if (com.android.server.pm.auth.util.HwAuthLogger.getHWFLOW()) {
            com.android.server.pm.auth.util.HwAuthLogger.i("HwCertificationManager", "PN_PC start");
        }
        java.lang.String pkgName = cert.getPackageName();
        if (pkgName != null) {
            if (!pkgName.isEmpty()) {
                java.lang.String realPkgName = pkg.packageName;
                if (pkgName.equals(realPkgName)) {
                    if (com.android.server.pm.auth.util.HwAuthLogger.getHWDEBUG()) {
                        com.android.server.pm.auth.util.HwAuthLogger.d("HwCertificationManager", "PN_PC ok");
                    }
                    return true;
                }
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("PN_PC error rn is :");
                stringBuilder.append(realPkgName);
                stringBuilder.append("pkgName in HUAWEI.CER is");
                stringBuilder.append(pkgName);
                com.android.server.pm.auth.util.HwAuthLogger.w("HwCertificationManager", stringBuilder.toString());
                return false;
            }
        }
        return false;
    }

    public boolean parseXmlTag(java.lang.String tag, org.xmlpull.v1.XmlPullParser parser, com.android.server.pm.auth.HwCertification cert) {
        if (!"PackageName".equals(tag)) {
            return false;
        }
        cert.mCertificationData.mPackageName = parser.getAttributeValue(null, "value");
        return true;
    }
}
