package com.android.server.pm.auth.processor;

public class PermissionProcessor extends com.android.server.pm.auth.processor.BaseProcessor {
    public boolean readCert(java.lang.String line, com.android.server.pm.auth.HwCertification.CertificationData rawCert) {
        if (line != null) {
            if (!line.isEmpty()) {
                if (!line.startsWith("Permissions")) {
                    return false;
                }
                java.lang.String key = line.substring("Permissions".length() + 1);
                if (key != null) {
                    if (!key.isEmpty()) {
                        rawCert.mPermissionsString = key;
                        return true;
                    }
                }
                com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "PM_RC empty");
                return false;
            }
        }
        return false;
    }

    public boolean parserCert(com.android.server.pm.auth.HwCertification rawCert) {
        java.lang.String[] permissions = rawCert.mCertificationData.mPermissionsString.split(",");
        int i = 0;
        if (permissions != null) {
            if (permissions.length != 0) {
                int length = permissions.length;
                while (i < length) {
                    rawCert.getPermissionList().add(permissions[i]);
                    i++;
                }
                return true;
            }
        }
        return false;
    }

    public boolean verifyCert(android.content.pm.PackageParser.Package pkg, com.android.server.pm.auth.HwCertification cert) {
        if (com.android.server.pm.auth.util.HwAuthLogger.getHWFLOW()) {
            com.android.server.pm.auth.util.HwAuthLogger.i("HwCertificationManager", "PM_VC start");
        }
        if (com.android.server.pm.auth.util.HwAuthLogger.getHWFLOW()) {
            com.android.server.pm.auth.util.HwAuthLogger.i("HwCertificationManager", "PM_VC ok");
        }
        return true;
    }

    public boolean parseXmlTag(java.lang.String tag, org.xmlpull.v1.XmlPullParser parser, com.android.server.pm.auth.HwCertification cert) {
        if (!"Permissions".equals(tag)) {
            return false;
        }
        cert.mCertificationData.mPermissionsString = parser.getAttributeValue(null, "value");
        return true;
    }
}
