package com.android.server.pm.auth.processor;

public class VersionProcessor extends com.android.server.pm.auth.processor.BaseProcessor {
    public boolean readCert(java.lang.String line, com.android.server.pm.auth.HwCertification.CertificationData rawCert) {
        if (line != null) {
            if (!line.isEmpty()) {
                if (rawCert == null) {
                    com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "VPR_RC cert is null");
                    return false;
                } else if (line.startsWith("Version:")) {
                    rawCert.mVersion = line.substring("Version".length() + 1);
                    if (com.android.server.pm.auth.util.HwAuthLogger.getHWFLOW()) {
                        com.android.server.pm.auth.util.HwAuthLogger.i("HwCertificationManager", "VPR_RC ok");
                    }
                    return true;
                } else {
                    com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "VPR_RC error");
                    return false;
                }
            }
        }
        com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "VPR_RC line is empty");
        return false;
    }

    public boolean parserCert(com.android.server.pm.auth.HwCertification rawCert) {
        if (rawCert == null) {
            com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "VPR_PC error cert is null");
            return false;
        }
        com.android.server.pm.auth.HwCertification.CertificationData certData = rawCert.mCertificationData;
        java.lang.String version = certData.mVersion;
        if (version != null) {
            if (!version.isEmpty()) {
                rawCert.setVersion(certData.mVersion);
                if (com.android.server.pm.auth.util.HwAuthLogger.getHWFLOW()) {
                    com.android.server.pm.auth.util.HwAuthLogger.i("HwCertificationManager", "VPR_RC ok");
                }
                return true;
            }
        }
        com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "VPR_PC error is empty");
        return false;
    }

    public boolean verifyCert(android.content.pm.PackageParser.Package pkg, com.android.server.pm.auth.HwCertification cert) {
        if (pkg != null) {
            if (cert != null) {
                java.lang.String version = cert.getVersion();
                if (version != null) {
                    if (!version.isEmpty()) {
                        if (com.android.server.pm.auth.util.HwAuthLogger.getHWFLOW()) {
                            com.android.server.pm.auth.util.HwAuthLogger.i("HwCertificationManager", "VPR_VC ok");
                        }
                        return true;
                    }
                }
                com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "VPR_VC error is empty");
                return false;
            }
        }
        com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "VPR_VC error package or cert is null");
        return false;
    }

    public boolean parseXmlTag(java.lang.String tag, org.xmlpull.v1.XmlPullParser parser, com.android.server.pm.auth.HwCertification cert) {
        if ("Version".equals(tag)) {
            cert.mCertificationData.mVersion = parser.getAttributeValue(null, "value");
            if (com.android.server.pm.auth.util.HwAuthLogger.getHWFLOW()) {
                com.android.server.pm.auth.util.HwAuthLogger.i("HwCertificationManager", "VPR_PX ok");
            }
            return true;
        }
        com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "VPR_PX error");
        return false;
    }
}
