package com.android.server.pm.auth.util;

public class CryptionUtils {
    public static final java.lang.String TAG = "HwCertificationManager";

    public static byte[] sha256(byte[] data) throws java.security.NoSuchAlgorithmException {
        java.security.MessageDigest md = java.security.MessageDigest.getInstance("SHA-256");
        md.update(data);
        return md.digest();
    }

    public static byte[] sign(byte[] content, java.security.PrivateKey privateKey) throws java.security.NoSuchAlgorithmException, java.security.InvalidKeyException, java.security.SignatureException {
        java.security.Signature sign = java.security.Signature.getInstance("SHA256withRSA");
        sign.initSign(privateKey);
        sign.update(content);
        return sign.sign();
    }

    public static boolean verify(byte[] content, java.security.PublicKey publicKey, byte[] signData) throws java.security.NoSuchAlgorithmException, java.security.InvalidKeyException, java.security.SignatureException, java.io.IOException {
        java.security.Signature sign = java.security.Signature.getInstance("SHA256withRSA");
        sign.initVerify(publicKey);
        sign.update(content);
        return sign.verify(signData);
    }

    public static java.security.PublicKey getPublicKey(java.lang.String key) {
        try {
            return java.security.KeyFactory.getInstance("RSA").generatePublic(new java.security.spec.X509EncodedKeySpec(com.android.server.pm.auth.util.Utils.stringToBytes(key)));
        } catch (java.lang.Exception e) {
            com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "get pk failed");
            return null;
        }
    }

    public static java.security.PublicKey getPublicKey(byte[] key) {
        try {
            return java.security.KeyFactory.getInstance("RSA").generatePublic(new java.security.spec.X509EncodedKeySpec(key));
        } catch (java.lang.Exception e) {
            com.android.server.pm.auth.util.HwAuthLogger.e("HwCertificationManager", "get pk failed");
            return null;
        }
    }
}
