package com.android.server.pm.permission;

public class DefaultAppPermission {
    java.util.ArrayList<com.android.server.pm.permission.DefaultAppPermission.DefaultPermissionGroup> mGrantedGroups = new java.util.ArrayList();
    java.util.ArrayList<com.android.server.pm.permission.DefaultAppPermission.DefaultPermissionSingle> mGrantedSingles = new java.util.ArrayList();
    java.lang.String mPackageName;
    boolean mTrust;

    public static class DefaultPermissionGroup {
        boolean mGrant;
        java.lang.String mName;
        boolean mSystemFixed;

        public DefaultPermissionGroup(java.lang.String name) {
            this(name, true, true);
        }

        public DefaultPermissionGroup(java.lang.String name, boolean grant, boolean fixed) {
            this.mName = name;
            this.mGrant = grant;
            this.mSystemFixed = fixed;
        }

        public java.lang.String toString() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Group ");
            stringBuilder.append(this.mName);
            stringBuilder.append(" grant:");
            stringBuilder.append(this.mGrant);
            stringBuilder.append(" fixed:");
            stringBuilder.append(this.mSystemFixed);
            return stringBuilder.toString();
        }
    }

    public static class DefaultPermissionSingle {
        boolean mGrant;
        java.lang.String mName;
        boolean mSystemFixed;

        public DefaultPermissionSingle(java.lang.String name) {
            this(name, true, true);
        }

        public DefaultPermissionSingle(java.lang.String name, boolean grant, boolean fixed) {
            this.mName = name;
            this.mGrant = grant;
            this.mSystemFixed = fixed;
        }

        public java.lang.String toString() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Single Permission ");
            stringBuilder.append(this.mName);
            stringBuilder.append(" grant:");
            stringBuilder.append(this.mGrant);
            stringBuilder.append(" fixed:");
            stringBuilder.append(this.mSystemFixed);
            return stringBuilder.toString();
        }
    }

    public java.lang.String toString() {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Permission for ");
        stringBuilder.append(this.mPackageName);
        stringBuilder.append(", mTrust:");
        stringBuilder.append(this.mTrust);
        return stringBuilder.toString();
    }
}
