package com.android.server.pm.permission;

public class DefaultPermissionPolicyParser {
    private static final java.lang.String CONFIG_ATTR_FIXED = "systemFixed";
    private static final java.lang.String CONFIG_ATTR_GRANT = "grant";
    private static final java.lang.String CONFIG_ATTR_NAME = "name";
    private static final java.lang.String CONFIG_ATTR_TRUST = "trust";
    private static final java.lang.String CONFIG_TAG_PERM_GROUP = "PermissionGroup";
    private static final java.lang.String CONFIG_TAG_PERM_SINGLE = "Permission";
    private static final java.lang.String CONFIG_TAG_PKG = "Package";
    private static final java.lang.String CONFIG_TAG_POLICY = "DefaultPermissionPolicy";
    private static final java.lang.String FILE_NAME = "permission_grant_policy.xml";
    private static final java.lang.String FILE_NAME_OVERSEA = "permission_grant_policy_oversea.xml";
    private static final java.lang.String FILE_NAME_THIRDPARTY = "permission_grant_policy_thirdparty.xml";
    private static final java.lang.String FILE_NAME_THIRDPARTY_COTA_NOREBOOT = "/data/cota/live_update/work/xml/permission_grant_policy_thirdparty.xml";
    public static final boolean IS_ATT;
    public static final boolean IS_SINGLE_PERMISSION = android.os.SystemProperties.getBoolean("ro.config.single_permission", false);
    private static final java.lang.String TAG = "DefaultPermissionPolicyParser";

    static {
        boolean z = android.os.SystemProperties.get("ro.config.hw_opta", "0").equals("07") && android.os.SystemProperties.get("ro.config.hw_optb", "0").equals("840");
        IS_ATT = z;
    }

    public static java.util.Map<java.lang.String, com.android.server.pm.permission.DefaultAppPermission> parseConfig(android.content.Context context) {
        java.util.HashMap<java.lang.String, com.android.server.pm.permission.DefaultAppPermission> map = new java.util.HashMap();
        getValueFromXml(map, context, null);
        getValueFromXml(map, context, "permission_grant_policy_thirdparty.xml");
        return map;
    }

    public static java.util.Map<java.lang.String, com.android.server.pm.permission.DefaultAppPermission> parseCustConfig(android.content.Context context) {
        java.util.HashMap<java.lang.String, com.android.server.pm.permission.DefaultAppPermission> map = new java.util.HashMap();
        getValueFromXml(map, context, "permission_grant_policy_thirdparty.xml");
        return map;
    }

    private static java.lang.String getFileName() {
        if ("factory".equals(android.os.SystemProperties.get("ro.runmode", "normal"))) {
            return "permission_grant_policy.xml";
        }
        return isGlobalVersion() ? "permission_grant_policy_oversea.xml" : "permission_grant_policy.xml";
    }

    private static boolean isGlobalVersion() {
        if ("zh".equals(android.os.SystemProperties.get("ro.product.locale.language"))) {
            if ("CN".equals(android.os.SystemProperties.get("ro.product.locale.region"))) {
                return false;
            }
        }
        return true;
    }

    private static void getValueFromXml(java.util.HashMap<java.lang.String, com.android.server.pm.permission.DefaultAppPermission> configMap, android.content.Context context, java.lang.String thirdpartyFile) {
        java.io.InputStream fileInputStream = null;
        java.lang.String fileName;
        if (thirdpartyFile == null) {
            try {
                fileName = getFileName();
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Default permission policy file:");
                stringBuilder.append(fileName);
                android.util.Slog.i("", stringBuilder.toString());
                fileInputStream = context.getAssets().open(fileName);
            } catch (java.lang.NullPointerException e) {
                android.util.Slog.e("DefaultPermissionPolicyParser", "parseRootElement NullPointerException");
                if (fileInputStream != null) {
                    fileInputStream.close();
                }
            } catch (java.lang.NumberFormatException e2) {
                android.util.Slog.e("DefaultPermissionPolicyParser", "parseRootElement NumberFormatException");
                if (fileInputStream != null) {
                    fileInputStream.close();
                }
            } catch (java.io.IOException e3) {
                android.util.Slog.e("DefaultPermissionPolicyParser", "parseRootElement IOException");
                if (fileInputStream != null) {
                    fileInputStream.close();
                }
            } catch (java.lang.IndexOutOfBoundsException e4) {
                android.util.Slog.e("DefaultPermissionPolicyParser", "parseRootElement IndexOutOfBoundsException");
                if (fileInputStream != null) {
                    fileInputStream.close();
                }
            } catch (com.huawei.android.util.NoExtAPIException e5) {
                android.util.Slog.e("DefaultPermissionPolicyParser", "parseRootElement NoExtAPIException");
                if (fileInputStream != null) {
                    fileInputStream.close();
                }
            } catch (java.lang.NoClassDefFoundError e6) {
                android.util.Slog.e("DefaultPermissionPolicyParser", "parseRootElement NoClassDefFoundError");
                if (fileInputStream != null) {
                    fileInputStream.close();
                }
            } catch (java.lang.Exception e7) {
                android.util.Slog.e("DefaultPermissionPolicyParser", "parseRootElement other Exception ");
                if (fileInputStream != null) {
                    fileInputStream.close();
                }
            } catch (Throwable th) {
                if (fileInputStream != null) {
                    try {
                        fileInputStream.close();
                    } catch (java.io.IOException e8) {
                        android.util.Slog.e("DefaultPermissionPolicyParser", "parseRootElement IOException in finally");
                    }
                }
            }
        } else {
            java.io.File file;
            fileName = java.lang.String.format("/xml/%s", new java.lang.Object[]{thirdpartyFile});
            java.io.File cotaFileTemp = new java.io.File("/data/cota/live_update/work/xml/permission_grant_policy_thirdparty.xml");
            if (cotaFileTemp.exists()) {
                file = cotaFileTemp;
            } else {
                file = huawei.cust.HwCfgFilePolicy.getCfgFile(fileName, 0);
            }
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("permission_grant_policy_thirdparty.xml is = ");
            stringBuilder2.append(file);
            android.util.Slog.i("DefaultPermissionPolicyParser", stringBuilder2.toString());
            if (file == null) {
                android.util.Slog.i("", "permission_grant_policy_thirdparty not exist");
                if (fileInputStream != null) {
                    try {
                        fileInputStream.close();
                    } catch (java.io.IOException e9) {
                        android.util.Slog.e("DefaultPermissionPolicyParser", "parseRootElement IOException in finally");
                    }
                }
                return;
            }
            fileInputStream = new java.io.FileInputStream(file);
        }
        parseRootElement(configMap, fileInputStream);
        if (fileInputStream != null) {
            try {
                fileInputStream.close();
            } catch (java.io.IOException e10) {
                android.util.Slog.e("DefaultPermissionPolicyParser", "parseRootElement IOException in finally");
            }
        }
    }

    @android.annotation.SuppressLint({"AvoidMethodInForLoop"})
    private static void parseRootElement(java.util.HashMap<java.lang.String, com.android.server.pm.permission.DefaultAppPermission> configMap, java.io.InputStream is) throws java.io.IOException, javax.xml.parsers.ParserConfigurationException, org.xml.sax.SAXException {
        try {
            org.w3c.dom.NodeList policies = javax.xml.parsers.DocumentBuilderFactory.newInstance().newDocumentBuilder().parse(is).getChildNodes();
            for (int i = 0; i < policies.getLength(); i++) {
                org.w3c.dom.Node policy = policies.item(i);
                if ("DefaultPermissionPolicy".equals(policy.getNodeName())) {
                    parsePolicyElement(policy, configMap);
                }
            }
        } catch (javax.xml.parsers.ParserConfigurationException e) {
            android.util.Slog.e("DefaultPermissionPolicyParser", "parseRootElement ParserConfigurationException");
        } catch (org.xml.sax.SAXException e2) {
            android.util.Slog.e("DefaultPermissionPolicyParser", "parseRootElement.SAXException");
        } catch (java.io.IOException e3) {
            android.util.Slog.e("DefaultPermissionPolicyParser", "parseRootElement.IOException");
        }
    }

    @android.annotation.SuppressLint({"AvoidMethodInForLoop"})
    private static void parsePolicyElement(org.w3c.dom.Node policy, java.util.HashMap<java.lang.String, com.android.server.pm.permission.DefaultAppPermission> configMap) {
        org.w3c.dom.NodeList packages = policy.getChildNodes();
        for (int i = 0; i < packages.getLength(); i++) {
            org.w3c.dom.Node pkg = packages.item(i);
            if ("Package".endsWith(pkg.getNodeName())) {
                org.w3c.dom.NamedNodeMap attrs = pkg.getAttributes();
                java.lang.String pkgName = getAttrs(attrs, "name");
                if (pkgName != null) {
                    com.android.server.pm.permission.DefaultAppPermission appPermission = new com.android.server.pm.permission.DefaultAppPermission();
                    appPermission.mPackageName = pkgName;
                    java.lang.String trust = getAttrs(attrs, "trust");
                    if (!IS_ATT) {
                        if (!IS_SINGLE_PERMISSION) {
                            if (trust == null || !"true".equals(trust)) {
                                appPermission.mTrust = false;
                                appPermission.mGrantedGroups = parsePackageElement(pkg, configMap);
                            } else {
                                appPermission.mTrust = true;
                            }
                            configMap.put(pkgName, appPermission);
                        }
                    }
                    if (trust == null || !"true".equals(trust)) {
                        appPermission.mTrust = false;
                        parsePackageElement(pkg, configMap, appPermission);
                    } else {
                        appPermission.mTrust = true;
                        configMap.put(pkgName, appPermission);
                    }
                }
            }
        }
    }

    private static java.lang.String getAttrs(org.w3c.dom.NamedNodeMap attrMap, java.lang.String attrName) {
        org.w3c.dom.Node res = attrMap.getNamedItem(attrName);
        if (res != null) {
            return res.getNodeValue();
        }
        return null;
    }

    @android.annotation.SuppressLint({"AvoidMethodInForLoop"})
    private static java.util.ArrayList<com.android.server.pm.permission.DefaultAppPermission.DefaultPermissionGroup> parsePackageElement(org.w3c.dom.Node pkg, java.util.HashMap<java.lang.String, com.android.server.pm.permission.DefaultAppPermission> hashMap) {
        java.util.ArrayList<com.android.server.pm.permission.DefaultAppPermission.DefaultPermissionGroup> groupsList = new java.util.ArrayList();
        org.w3c.dom.NodeList permissGroups = pkg.getChildNodes();
        for (int i = 0; i < permissGroups.getLength(); i++) {
            org.w3c.dom.Node group = permissGroups.item(i);
            if ("PermissionGroup".equals(group.getNodeName())) {
                org.w3c.dom.NamedNodeMap attrs = group.getAttributes();
                java.lang.String permissionName = getAttrs(attrs, "name");
                if (permissionName != null) {
                    groupsList.add(new com.android.server.pm.permission.DefaultAppPermission.DefaultPermissionGroup(permissionName, "false".equals(getAttrs(attrs, "grant")) ^ 1, "false".equals(getAttrs(attrs, "systemFixed")) ^ 1));
                }
            }
        }
        return groupsList;
    }

    @android.annotation.SuppressLint({"AvoidMethodInForLoop"})
    private static void parsePackageElement(org.w3c.dom.Node pkg, java.util.HashMap<java.lang.String, com.android.server.pm.permission.DefaultAppPermission> configMap, com.android.server.pm.permission.DefaultAppPermission appPermission) {
        java.util.ArrayList<com.android.server.pm.permission.DefaultAppPermission.DefaultPermissionGroup> groupsList = new java.util.ArrayList();
        java.util.ArrayList<com.android.server.pm.permission.DefaultAppPermission.DefaultPermissionSingle> singlesList = new java.util.ArrayList();
        org.w3c.dom.NodeList permissGroups = pkg.getChildNodes();
        for (int i = 0; i < permissGroups.getLength(); i++) {
            org.w3c.dom.Node group = permissGroups.item(i);
            if ("PermissionGroup".equals(group.getNodeName()) || "Permission".equals(group.getNodeName())) {
                org.w3c.dom.NamedNodeMap attrs = group.getAttributes();
                java.lang.String permissionName = getAttrs(attrs, "name");
                if (permissionName != null) {
                    java.lang.String grant = getAttrs(attrs, "grant");
                    java.lang.String fixed = getAttrs(attrs, "systemFixed");
                    if ("PermissionGroup".equals(group.getNodeName())) {
                        groupsList.add(new com.android.server.pm.permission.DefaultAppPermission.DefaultPermissionGroup(permissionName, "false".equals(grant) ^ 1, "false".equals(fixed) ^ 1));
                    } else if ("Permission".equals(group.getNodeName())) {
                        singlesList.add(new com.android.server.pm.permission.DefaultAppPermission.DefaultPermissionSingle(permissionName, "false".equals(grant) ^ 1, "false".equals(fixed) ^ 1));
                    }
                }
            }
        }
        appPermission.mGrantedGroups = groupsList;
        appPermission.mGrantedSingles = singlesList;
        configMap.put(appPermission.mPackageName, appPermission);
    }
}
