package com.android.server.policy;

public class EasyWakeUpManager extends huawei.android.app.IEasyWakeUpManager.Stub implements com.android.server.policy.EasyWakeUpView.EasyWakeUpCallback, android.hardware.SensorEventListener {
    private static final java.lang.String[] APP_START_LATTER = new java.lang.String[]{"com.android.browser;com.android.browser.BrowserActivity", "com.android.systemui;com.android.systemui.flashlight.FlashlightActivity"};
    private static final java.lang.String CAMERA_PACKAGE_NAME = "com.huawei.camera";
    private static final java.lang.String CONSTANTS_USER = "root";
    private static int COVER_SCREEN_KEYCODE = -1;
    public static final boolean DEBUG = false;
    public static final boolean DEBUG_POWER = false;
    private static int DOUBLE_TOUCH_KEYCODE = -1;
    private static final int D_INT = 4;
    private static final java.lang.String EASYWAKEUP = "easywakeup";
    private static final java.lang.String EASYWAKEUP_SHOWNAVIBAR_ACTION = "com.huawei.android.easywakeup.SHOWNAVIBAR";
    private static java.lang.String EASYWAKE_DATA_PATH = "/sys/devices/platform/huawei_touch/touch_gesture_wakeup_position";
    private static final java.lang.String EASYWAKE_ENABLE_FLAG = "persist.sys.easyflag";
    private static final java.lang.String EASYWAKE_ENABLE_SURPPORT_FLAG = "persist.sys.surpport.easyflag";
    private static int FLICK_DOWN_KEYCODE = -1;
    private static int FLICK_LEFT_KEYCODE = -1;
    private static int FLICK_RIGHT_KEYCODE = -1;
    private static int FLICK_UP_KEYCODE = -1;
    private static final android.content.Intent INSECURE_CAMERA_INTENT = new android.content.Intent("android.media.action.STILL_IMAGE_CAMERA").addFlags(268435456).addFlags(536870912).addFlags(67108864).setPackage("com.huawei.camera");
    private static final java.lang.String KEY_EASYWAKE_GESTURE = "com.huawei.easywakeup.gesture";
    private static final java.lang.String KEY_EASYWAKE_POSITION = "com.huawei.easywakeup.position";
    private static final java.lang.String[] KEY_WAKEUP = new java.lang.String[]{"persist.sys.easywakeup.up", "persist.sys.easywakeup.down", "persist.sys.easywakeup.left", "persist.sys.easywakeup.right", "persist.sys.easywakeup.o", "persist.sys.easywakeup.c", "persist.sys.easywakeup.e", "persist.sys.easywakeup.m", "persist.sys.easywakeup.w", "persist.sys.easywakeup.v", "persist.sys.easywakeup.s"};
    private static int LETTER_C_KEYCODE = -1;
    private static int LETTER_E_KEYCODE = -1;
    private static int LETTER_M_KEYCODE = -1;
    private static int LETTER_W_KEYCODE = -1;
    static final int MAX_ANIMATETIME = 10000;
    private static int MAX_KEYCODE = -1;
    private static int MAX_TIMES_CHECK_KEYGUARD = 10;
    private static int MIN_KEYCODE = -1;
    private static final java.lang.String NAME_APP_BROWSER = "com.android.browser;com.android.browser.BrowserActivity";
    private static final java.lang.String NAME_APP_CAMERA = "com.huawei.camera;com.huawei.camera";
    private static final java.lang.String NAME_APP_FLASHLIGHT = "com.android.systemui;com.android.systemui.flashlight.FlashlightActivity";
    private static final android.content.Intent SECURE_CAMERA_INTENT = new android.content.Intent("android.media.action.STILL_IMAGE_CAMERA_SECURE").addFlags(8388608).addFlags(268435456).addFlags(536870912).addFlags(67108864).setPackage("com.huawei.camera");
    private static int SENSOR_CHECK_TIMES = 6;
    private static final int SENSOR_DELAY_SECOND = 1000000;
    private static float SENSOR_FAR = 5.0f;
    private static float SENSOR_NEAR = 0.0f;
    private static long SENSOR_WATCH_TIME = 50;
    private static final java.lang.String STARTFLG = "startflg";
    private static java.lang.String TAG = "EasyWakeUpManager";
    private static final int TP_ENABLE = 1;
    private static final int TP_HAL_DEATH_COOKIE = 1001;
    private static final int TP_STOP = 0;
    private static java.lang.String WAKEUP_GESTURE_STATUS_PATH = "/sys/devices/platform/huawei_touch/easy_wakeup_gesture";
    private static com.android.server.policy.EasyWakeUpManager mEasywakeupmanager;
    private java.lang.Runnable mAnimateRunable = new java.lang.Runnable() {
        public void run() {
            com.android.server.policy.EasyWakeUpManager.this.mIsAnimate = false;
        }
    };
    private final android.content.BroadcastReceiver mBroadcastReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (intent == null) {
                android.util.Log.w(com.android.server.policy.EasyWakeUpManager.TAG, "onReceive, the intent is null!");
                return;
            }
            if ("com.huawei.android.cover.STATE".equals(intent.getAction())) {
                com.android.server.policy.EasyWakeUpManager.this.mCoverOpen = intent.getBooleanExtra("coverOpen", true);
                if (!com.android.server.policy.EasyWakeUpManager.this.mCoverOpen) {
                    com.android.server.policy.EasyWakeUpManager.this.turnOffSensorListener();
                }
            }
        }
    };
    private android.content.Context mContext;
    private android.cover.CoverManager mCoverManager;
    private boolean mCoverOpen = true;
    private com.android.server.policy.EasyWakeUpManager.EasyWakeUpAnimationCallback mEasyWakeUpAnimationCallback;
    private com.android.server.policy.EasyWakeUpView mEasyWakeUpView = null;
    private android.os.Handler mHandler;
    private boolean mIsAnimate = false;
    private com.android.server.policy.keyguard.KeyguardServiceDelegate mKeyguardDelegate;
    private final java.lang.Object mLock = new java.lang.Object();
    private android.os.PowerManager mPowerManager = null;
    private boolean mPowerOptimizeSwitchOn = false;
    private vendor.huawei.hardware.tp.V1_0.ITouchscreen mProxy = null;
    private android.hardware.SensorManager mSensorManager = null;
    private boolean mSensorUnRegisted = false;
    private float mSensorVaule = -1.0f;
    private boolean mSensorforHandleKey = false;
    private boolean mSensorforHandleTp = false;
    private final com.android.server.policy.EasyWakeUpManager.ServiceNotification mServiceNotification = new com.android.server.policy.EasyWakeUpManager.ServiceNotification();
    private boolean mSuccessProcessEasyWakeUp = true;
    private int mTPWakeupGestureStatus = 0;
    private android.os.Vibrator mVibrator;
    private boolean mVibratorFirs = true;
    private boolean mViewActive = false;
    private int mWakeIndex = 0;
    private android.view.WindowManager mWindowManager = null;
    private com.android.internal.widget.LockPatternUtils mlockpatternutils;

    public interface EasyWakeUpAnimationCallback {
        void afterTrackAnimation();
    }

    final class ServiceNotification extends android.hidl.manager.V1_0.IServiceNotification.Stub {
        ServiceNotification() {
        }

        public void onRegistration(java.lang.String fqName, java.lang.String name, boolean preexisting) {
            java.lang.String access$100 = com.android.server.policy.EasyWakeUpManager.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("tp hal service started ");
            stringBuilder.append(fqName);
            stringBuilder.append(" ");
            stringBuilder.append(name);
            android.util.Log.e(access$100, stringBuilder.toString());
            com.android.server.policy.EasyWakeUpManager.this.connectToProxy();
        }
    }

    final class DeathRecipient implements android.os.IHwBinder.DeathRecipient {
        DeathRecipient() {
        }

        public void serviceDied(long cookie) {
            if (cookie == 1001) {
                java.lang.String access$100 = com.android.server.policy.EasyWakeUpManager.TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("tp hal service died cookie: ");
                stringBuilder.append(cookie);
                android.util.Log.e(access$100, stringBuilder.toString());
                synchronized (com.android.server.policy.EasyWakeUpManager.this.mLock) {
                    com.android.server.policy.EasyWakeUpManager.this.mProxy = null;
                }
            }
        }
    }

    public static com.android.server.policy.EasyWakeUpManager getInstance(android.content.Context context, android.os.Handler handler, com.android.server.policy.keyguard.KeyguardServiceDelegate mKeyguardDelegate) {
        com.android.server.policy.EasyWakeUpManager easyWakeUpManager;
        synchronized (com.android.server.policy.EasyWakeUpManager.class) {
            if (mEasywakeupmanager == null) {
                mEasywakeupmanager = new com.android.server.policy.EasyWakeUpManager(context, handler, mKeyguardDelegate);
            }
            easyWakeUpManager = mEasywakeupmanager;
        }
        return easyWakeUpManager;
    }

    public EasyWakeUpManager(android.content.Context context, android.os.Handler handler, com.android.server.policy.keyguard.KeyguardServiceDelegate keyguardDelegate) {
        this.mContext = context;
        this.mKeyguardDelegate = keyguardDelegate;
        this.mHandler = handler;
        this.mlockpatternutils = new com.android.internal.widget.LockPatternUtils(context);
        this.mSensorManager = (android.hardware.SensorManager) this.mContext.getSystemService("sensor");
        this.mCoverManager = new android.cover.CoverManager();
        android.content.IntentFilter filter = new android.content.IntentFilter();
        filter.addAction("com.huawei.android.cover.STATE");
        this.mContext.registerReceiver(this.mBroadcastReceiver, filter);
        try {
            this.mPowerManager = (android.os.PowerManager) this.mContext.getSystemService("power");
            this.mWindowManager = (android.view.WindowManager) context.getSystemService("window");
            this.mVibrator = (android.os.Vibrator) this.mContext.getSystemService("vibrator");
        } catch (java.lang.Exception e) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(TAG);
            stringBuilder.append(" Error when constructor ");
            android.util.Log.e(str, stringBuilder.toString());
        }
        try {
            if (!android.hidl.manager.V1_0.IServiceManager.getService().registerForNotifications("vendor.huawei.hardware.tp@1.0::ITouchscreen", "", this.mServiceNotification)) {
                android.util.Log.e(TAG, "Failed to register service start notification");
            }
            connectToProxy();
        } catch (android.os.RemoteException e2) {
            android.util.Log.e(TAG, "Failed to register service start notification", e2);
        }
    }

    private void connectToProxy() {
        synchronized (this.mLock) {
            if (this.mProxy != null) {
                android.util.Log.i(TAG, "mProxy has registered, donnot regitster again");
                return;
            }
            try {
                this.mProxy = vendor.huawei.hardware.tp.V1_0.ITouchscreen.getService();
                if (this.mProxy != null) {
                    this.mProxy.linkToDeath(new com.android.server.policy.EasyWakeUpManager.DeathRecipient(), 1001);
                }
            } catch (java.util.NoSuchElementException e) {
                android.util.Log.e(TAG, "connectToProxy: tp hal service not found. Did the service fail to start?", e);
            } catch (android.os.RemoteException e2) {
                android.util.Log.e(TAG, "connectToProxy: tp hal service not responding", e2);
            }
        }
    }

    private void setEasyWeakupGestureReportEnableHal(boolean enable) {
        synchronized (this.mLock) {
            if (this.mProxy == null) {
                android.util.Log.e(TAG, "mProxy is null, return");
                return;
            }
            try {
                this.mProxy.hwTsSetEasyWeakupGestureReportEnable(enable);
            } catch (android.os.RemoteException e) {
                android.util.Log.e(TAG, "Failed to set glove mode:", e);
            }
        }
    }

    private void setEasyWakeupGestureHal(int status) {
        synchronized (this.mLock) {
            if (this.mProxy == null) {
                android.util.Log.e(TAG, "mProxy is null, return");
                return;
            }
            try {
                this.mProxy.hwTsSetEasyWeakupGesture(status);
            } catch (android.os.RemoteException e) {
                android.util.Log.e(TAG, "Failed to set glove mode:", e);
            }
        }
    }

    private int getWakeupIndex(int keyCode) {
        if (keyCode == FLICK_UP_KEYCODE) {
            return 0;
        }
        if (keyCode == FLICK_DOWN_KEYCODE) {
            return 1;
        }
        if (keyCode == FLICK_LEFT_KEYCODE) {
            return 2;
        }
        if (keyCode == FLICK_RIGHT_KEYCODE) {
            return 3;
        }
        if (keyCode == DOUBLE_TOUCH_KEYCODE) {
            return -1;
        }
        if (keyCode == LETTER_C_KEYCODE) {
            return 5;
        }
        if (keyCode == LETTER_E_KEYCODE) {
            return 6;
        }
        if (keyCode == LETTER_M_KEYCODE) {
            return 7;
        }
        if (keyCode == LETTER_W_KEYCODE) {
            return 8;
        }
        return -2;
    }

    private void processCoverScreenKeyCode(boolean hapticFeedback) {
        if (this.mPowerManager != null && this.mPowerManager.isScreenOn() && this.mVibratorFirs) {
            if (this.mVibrator != null && hapticFeedback) {
                this.mVibrator.vibrate(50);
            }
            this.mHandler.postDelayed(new java.lang.Runnable() {
                public void run() {
                    if (com.android.server.policy.EasyWakeUpManager.this.mPowerManager.isScreenOn()) {
                        com.android.server.policy.EasyWakeUpManager.this.mPowerManager.goToSleep(android.os.SystemClock.uptimeMillis());
                    }
                    com.android.server.policy.EasyWakeUpManager.this.mVibratorFirs = true;
                }
            }, 100);
            this.mVibratorFirs = false;
        }
    }

    public boolean processEasyWakeUp(int keyCode) {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(TAG);
        stringBuilder.append(" processEasyWakeUp and the keyCode from driver is : ");
        stringBuilder.append(keyCode);
        android.util.Log.v(str, stringBuilder.toString());
        boolean hapticFeedback = android.provider.Settings.System.getInt(this.mContext.getContentResolver(), "haptic_feedback_enabled", 1) != 0;
        if (COVER_SCREEN_KEYCODE == keyCode) {
            processCoverScreenKeyCode(hapticFeedback);
            return false;
        }
        int wakeIndex = getWakeupIndex(keyCode);
        if (wakeIndex == -2) {
            return false;
        }
        java.lang.StringBuilder stringBuilder2;
        if (!this.mViewActive) {
            if (this.mPowerManager == null || !this.mPowerManager.isScreenOn()) {
                if (this.mPowerManager != null) {
                    this.mPowerManager.newWakeLock(1, "").acquire(1000);
                }
                if (this.mVibrator != null && hapticFeedback) {
                    this.mVibrator.vibrate(50);
                }
                this.mWakeIndex = wakeIndex;
                if (wakeIndex == -1) {
                    java.lang.String str2 = TAG;
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append(TAG);
                    stringBuilder2.append(" processEasyWakeUp and wakeup for double click screen");
                    android.util.Log.v(str2, stringBuilder2.toString());
                    this.mPowerManager.wakeUp(android.os.SystemClock.uptimeMillis());
                    return true;
                }
                unLockScreen(this.mlockpatternutils.isLockScreenDisabled(0), false);
                java.lang.String str3 = TAG;
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append(TAG);
                stringBuilder3.append(" easywakeup  processEasyWakeUp and startTrackAnimation start");
                android.util.Log.v(str3, stringBuilder3.toString());
                startTrackAnimation(wakeIndex);
                str3 = android.provider.Settings.System.getString(this.mContext.getContentResolver(), KEY_WAKEUP[this.mWakeIndex]);
                if (!(str3 == null || checkAppNeedStart(str3))) {
                    startActivity(str3);
                }
                return true;
            }
        }
        java.lang.String str4 = TAG;
        stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append(TAG);
        stringBuilder2.append(" processEasyWakeUp return false for mViewActive is : ");
        stringBuilder2.append(this.mViewActive);
        android.util.Log.v(str4, stringBuilder2.toString());
        return false;
    }

    private boolean checkAppNeedStart(java.lang.String startInfo) {
        for (java.lang.String equals : APP_START_LATTER) {
            if (equals.equals(startInfo)) {
                return true;
            }
        }
        return false;
    }

    public boolean setEasyWakeUpFlag(int flag) {
        this.mContext.enforceCallingPermission("android.permission.EASY_WAKE_UP", "set EasyWakeUp Flag");
        setGestureValue(com.android.server.policy.EasyWakeUpXmlParse.getDriverGesturePath(), flag);
        return true;
    }

    private void unLockScreen(boolean keyguardable, boolean keyguardsecure) {
        if (!keyguardable) {
            android.util.Log.w(TAG, "EasyWakeUpManager dismiss keyguard");
            this.mKeyguardDelegate.dismiss(null, null);
        }
    }

    private android.content.Intent getCameraIntent() {
        return INSECURE_CAMERA_INTENT;
    }

    private boolean checkAppNeedStartCamera(java.lang.String startInfo) {
        return startInfo.equals("com.huawei.camera;com.huawei.camera");
    }

    private void startActivity(java.lang.String startInfo) {
        java.lang.String[] startInfos = startInfo.split(";");
        if (startInfos != null && startInfos.length == 2) {
            android.content.Intent intent = new android.content.Intent("android.intent.action.MAIN");
            intent.addCategory("android.intent.category.LAUNCHER");
            intent.setClassName(startInfos[0], startInfos[1]);
            intent.putExtra("startflg", "easywakeup");
            intent.addFlags(805306368);
            try {
                if (checkAppNeedStartCamera(startInfo)) {
                    this.mContext.startActivity(getCameraIntent());
                } else {
                    this.mContext.startActivity(intent);
                }
            } catch (java.lang.Exception ex) {
                ex.printStackTrace();
            }
        }
    }

    public void startEasyWakeUpActivity() {
        try {
            android.app.KeyguardManager keyguardManager = (android.app.KeyguardManager) this.mContext.getSystemService("keyguard");
            int times = 0;
            if (keyguardManager != null) {
                while (keyguardManager.inKeyguardRestrictedInputMode() && times < MAX_TIMES_CHECK_KEYGUARD) {
                    java.lang.Thread.sleep(50);
                    times++;
                }
                if (keyguardManager.inKeyguardRestrictedInputMode()) {
                    this.mKeyguardDelegate.dismiss(null, null);
                }
            }
        } catch (java.lang.Exception e) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(TAG);
            stringBuilder.append(" Error on Thread sleep");
            android.util.Log.e(str, stringBuilder.toString());
        }
        if (this.mWakeIndex >= 0) {
            java.lang.String startInfo = android.provider.Settings.System.getString(this.mContext.getContentResolver(), KEY_WAKEUP[this.mWakeIndex]);
            if (startInfo != null && checkAppNeedStart(startInfo)) {
                startActivity(startInfo);
            }
            this.mViewActive = false;
        }
    }

    private java.util.ArrayList<android.graphics.Point> getFlickTouchPointData(int wakeIndex) {
        java.util.ArrayList<android.graphics.Point> dataList = new java.util.ArrayList();
        int disX = this.mContext.getResources().getDisplayMetrics().widthPixels;
        int disY = this.mContext.getResources().getDisplayMetrics().heightPixels;
        if (this.mContext.getResources().getConfiguration().orientation == 2) {
            int tmp = disX;
            disX = disY;
            disY = tmp;
        }
        switch (wakeIndex) {
            case 0:
                dataList.add(new android.graphics.Point(disX / 2, disY));
                dataList.add(new android.graphics.Point(disX / 2, 0));
                break;
            case 1:
                dataList.add(new android.graphics.Point(disX / 2, 0));
                dataList.add(new android.graphics.Point(disX / 2, disY));
                break;
            case 2:
                dataList.add(new android.graphics.Point(disX, disY / 2));
                dataList.add(new android.graphics.Point(0, disY / 2));
                break;
            case 3:
                dataList.add(new android.graphics.Point(0, disY / 2));
                dataList.add(new android.graphics.Point(disX, disY / 2));
                break;
            default:
                break;
        }
        return dataList;
    }

    private boolean startTrackAnimation(final int wakeIndex) {
        this.mHandler.post(new java.lang.Runnable() {
            public void run() {
                com.android.server.policy.EasyWakeUpManager.this.mPowerManager.newWakeLock(1, "").acquire(10000);
                java.util.ArrayList<android.graphics.Point> pointList = com.android.server.policy.EasyWakeUpManager.this.getTouchPointData(wakeIndex);
                if (!checkPointList(pointList, wakeIndex)) {
                    if (wakeIndex < 4) {
                        pointList = com.android.server.policy.EasyWakeUpManager.this.getFlickTouchPointData(wakeIndex);
                        if (pointList == null || pointList.size() < 2) {
                            com.android.server.policy.EasyWakeUpManager.this.mSuccessProcessEasyWakeUp = false;
                            return;
                        }
                    }
                    com.android.server.policy.EasyWakeUpManager.this.mIsAnimate = false;
                    return;
                }
                android.view.WindowManager.LayoutParams lp = new android.view.WindowManager.LayoutParams(-1, -1);
                lp.type = 2010;
                lp.flags = 1280;
                lp.privateFlags |= Integer.MIN_VALUE;
                lp.format = -1;
                lp.setTitle("EasyWakeUp");
                lp.screenOrientation = 1;
                if (!(com.android.server.policy.EasyWakeUpManager.this.mViewActive || com.android.server.policy.EasyWakeUpManager.this.mWindowManager == null)) {
                    if (com.android.server.policy.EasyWakeUpManager.this.mEasyWakeUpView == null) {
                        com.android.server.policy.EasyWakeUpManager.this.mEasyWakeUpView = new com.android.server.policy.EasyWakeUpView(com.android.server.policy.EasyWakeUpManager.this.mContext, com.android.server.policy.EasyWakeUpManager.this.mWakeIndex);
                        com.android.server.policy.EasyWakeUpManager.this.mEasyWakeUpView.setEasyWakeUpCallback(com.android.server.policy.EasyWakeUpManager.this);
                        if (com.android.server.policy.EasyWakeUpManager.this.mPowerManager != null) {
                            com.android.server.policy.EasyWakeUpManager.this.mEasyWakeUpView.setPowerManager(com.android.server.policy.EasyWakeUpManager.this.mPowerManager);
                        }
                    }
                    try {
                        com.android.server.policy.EasyWakeUpManager.this.mWindowManager.addView(com.android.server.policy.EasyWakeUpManager.this.mEasyWakeUpView, lp);
                        com.android.server.policy.EasyWakeUpManager.this.mViewActive = true;
                    } catch (java.lang.Exception e) {
                        java.lang.String access$100 = com.android.server.policy.EasyWakeUpManager.TAG;
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("windoe add err = ");
                        stringBuilder.append(e);
                        android.util.Log.e(access$100, stringBuilder.toString());
                        com.android.server.policy.EasyWakeUpManager.this.mSuccessProcessEasyWakeUp = false;
                        com.android.server.policy.EasyWakeUpManager.this.mIsAnimate = false;
                        return;
                    }
                }
                com.android.server.policy.EasyWakeUpManager.this.mEasyWakeUpView.startTrackAnimation(pointList, wakeIndex);
            }

            private boolean checkPointList(java.util.ArrayList<android.graphics.Point> pointList, int wakeIndex) {
                if (pointList == null) {
                    return false;
                }
                boolean checkResult;
                if (wakeIndex >= 4 && pointList.size() == 6) {
                    checkResult = true;
                } else if (wakeIndex >= 4 || pointList.size() != 2) {
                    checkResult = false;
                } else {
                    checkResult = true;
                }
                return checkResult;
            }
        });
        return true;
    }

    private void sendBroadcast() {
        android.util.Log.d(TAG, "sendBroadcast showNaviBar");
        this.mContext.sendBroadcastAsUser(new android.content.Intent("com.huawei.android.easywakeup.SHOWNAVIBAR"), android.os.UserHandle.ALL, "com.huawei.easywakeup.permission.RECV_EASYWAKEUP_SHOWNAVIBAR");
    }

    public void disappearTrackAnimation() {
        this.mHandler.post(new java.lang.Runnable() {
            public void run() {
                com.android.server.policy.EasyWakeUpManager.this.removeEasyWakeUpView();
                if (com.android.server.policy.EasyWakeUpManager.this.mEasyWakeUpAnimationCallback != null) {
                    com.android.server.policy.EasyWakeUpManager.this.mEasyWakeUpAnimationCallback.afterTrackAnimation();
                }
                com.android.server.policy.EasyWakeUpManager.this.startEasyWakeUpActivity();
                com.android.server.policy.EasyWakeUpManager.this.sendBroadcast();
            }
        });
    }

    private void removeEasyWakeUpView() {
        if (this.mViewActive && this.mEasyWakeUpView != null && this.mWindowManager != null) {
            this.mWindowManager.removeView(this.mEasyWakeUpView);
            this.mEasyWakeUpView = null;
            this.mViewActive = false;
        }
    }

    private java.util.ArrayList<android.graphics.Point> getTouchPointData(int wakeIndex) {
        java.util.ArrayList<android.graphics.Point> dataList;
        java.io.FileNotFoundException e;
        java.lang.String str;
        java.lang.StringBuilder stringBuilder;
        java.io.IOException e2;
        java.lang.String str2;
        java.lang.StringBuilder stringBuilder2;
        if (wakeIndex >= 0) {
            if (wakeIndex <= 8) {
                int len = 2;
                if (wakeIndex >= 4) {
                    len = 6;
                }
                java.io.RandomAccessFile indexFile = null;
                dataList = new java.util.ArrayList();
                try {
                    indexFile = new java.io.RandomAccessFile(EASYWAKE_DATA_PATH, "r");
                    java.lang.String data = indexFile.readLine();
                    int index = 0;
                    for (int i = 0; i < len; i++) {
                        index += 4;
                        index += 4;
                        dataList.add(new android.graphics.Point(java.lang.Integer.parseInt(data.substring(index, index + 4), 16), java.lang.Integer.parseInt(data.substring(index, index + 4), 16)));
                    }
                    try {
                        indexFile.close();
                    } catch (java.io.FileNotFoundException e3) {
                        e = e3;
                        str = TAG;
                        stringBuilder = new java.lang.StringBuilder();
                    } catch (java.io.IOException e4) {
                        e2 = e4;
                        str = TAG;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append(TAG);
                        stringBuilder.append(" getTouchPointData Exception for IOException while close file");
                        android.util.Log.d(str, stringBuilder.toString());
                        e2.printStackTrace();
                        return dataList;
                    }
                } catch (java.lang.Exception e5) {
                    str = TAG;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(TAG);
                    stringBuilder.append(" getTouchPointData Exception for IOException while read file");
                    android.util.Log.d(str, stringBuilder.toString());
                    e5.printStackTrace();
                    if (indexFile != null) {
                        try {
                            indexFile.close();
                        } catch (java.io.FileNotFoundException e6) {
                            e = e6;
                            str = TAG;
                            stringBuilder = new java.lang.StringBuilder();
                        } catch (java.io.IOException e7) {
                            e2 = e7;
                            str = TAG;
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append(TAG);
                            stringBuilder.append(" getTouchPointData Exception for IOException while close file");
                            android.util.Log.d(str, stringBuilder.toString());
                            e2.printStackTrace();
                            return dataList;
                        }
                    }
                } catch (Throwable th) {
                    if (indexFile != null) {
                        try {
                            indexFile.close();
                        } catch (java.io.FileNotFoundException e8) {
                            str2 = TAG;
                            stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append(TAG);
                            stringBuilder2.append(" getTouchPointData  the file(NODE for driver) is not be found while close file");
                            android.util.Log.d(str2, stringBuilder2.toString());
                            e8.printStackTrace();
                        } catch (java.io.IOException e9) {
                            str2 = TAG;
                            stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append(TAG);
                            stringBuilder2.append(" getTouchPointData Exception for IOException while close file");
                            android.util.Log.d(str2, stringBuilder2.toString());
                            e9.printStackTrace();
                        }
                    }
                }
                return dataList;
            }
        }
        return null;
        stringBuilder.append(TAG);
        stringBuilder.append(" getTouchPointData  the file(NODE for driver) is not be found while close file");
        android.util.Log.d(str, stringBuilder.toString());
        e.printStackTrace();
        return dataList;
    }

    public void saveTouchPointNodePath() {
        android.provider.Settings.Secure.putInt(this.mContext.getContentResolver(), "persist.sys.surpport.easyflag", com.android.server.policy.EasyWakeUpXmlParse.getDefaultSupportValueFromCust());
        android.provider.Settings.Secure.putString(this.mContext.getContentResolver(), "com.huawei.easywakeup.position", com.android.server.policy.EasyWakeUpXmlParse.getDriverPostionPath());
        java.lang.String gesturePath = com.android.server.policy.EasyWakeUpXmlParse.getDriverGesturePath();
        android.provider.Settings.Secure.putString(this.mContext.getContentResolver(), "com.huawei.easywakeup.gesture", gesturePath);
        saveParsedItemsToDb();
        int flag = getFlagValue();
        if (flag != 0) {
            setGestureValue(gesturePath, setCemwValuesForDriver(flag));
        } else {
            setFlagValue(com.android.server.policy.EasyWakeUpXmlParse.getDefaultValueFromCust());
            saveParsedItemsToDb();
        }
        readDBItems();
    }

    private int getIndexFrmoDB(java.lang.String str) {
        try {
            return android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), str);
        } catch (java.lang.Exception e) {
            e.printStackTrace();
            return -1;
        }
    }

    private int setCemwValuesForDriver(int allValue) {
        int value = allValue;
        int allIndex = getIndexFrmoDB("EasyWakeUp_Letter_ALL_index");
        int cIndex = getIndexFrmoDB("EasyWakeUp_Letter_C_index");
        int eIndex = getIndexFrmoDB("EasyWakeUp_Letter_E_index");
        int mIndex = getIndexFrmoDB("EasyWakeUp_Letter_M_index");
        int wIndex = getIndexFrmoDB("EasyWakeUp_Letter_W_index");
        int flickAllIndex = getIndexFrmoDB("EasyWakeUp_Flick_ALL_index");
        int upIndex = getIndexFrmoDB("EasyWakeUp_Flick_Up_index");
        int downIndex = getIndexFrmoDB("EasyWakeUp_Flick_Down_index");
        int leftIndex = getIndexFrmoDB("EasyWakeUp_Flick_left_index");
        int rightIndex = getIndexFrmoDB("EasyWakeUp_Flick_Right_index");
        if (((1 << allIndex) & allValue) == 0) {
            value = (~((((1 << cIndex) | (1 << eIndex)) | (1 << mIndex)) | (1 << wIndex))) & allValue;
        }
        if (((1 << flickAllIndex) & allValue) != 0) {
            return value;
        }
        int rightDisable = 1 << rightIndex;
        return value & (~((((1 << upIndex) | (1 << downIndex)) | (1 << leftIndex)) | rightDisable));
    }

    public void setGestureValue(java.lang.String path, int flag) {
        java.io.FileOutputStream file = null;
        try {
            file = new java.io.FileOutputStream(new java.io.File(path));
            file.write(java.lang.String.valueOf(flag).getBytes(java.nio.charset.Charset.forName("UTF-8")));
            try {
                file.close();
            } catch (java.io.IOException e) {
                android.util.Log.i(TAG, "Closing outputstream: ", e);
            }
        } catch (java.lang.Exception e2) {
            android.util.Log.i(TAG, "set gesture to file: error", e2);
            if (file != null) {
                file.close();
            }
        } catch (Throwable th) {
            if (file != null) {
                try {
                    file.close();
                } catch (java.io.IOException e3) {
                    android.util.Log.i(TAG, "Closing outputstream: ", e3);
                }
            }
        }
    }

    private void setFlagValue(int flag) {
        try {
            android.provider.Settings.Secure.putInt(this.mContext.getContentResolver(), "persist.sys.easyflag", flag);
        } catch (java.lang.Exception e) {
            android.util.Log.i(TAG, "set flag in settings: error");
        }
    }

    private int getFlagValue() {
        try {
            return android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "persist.sys.easyflag");
        } catch (java.lang.Exception e) {
            android.util.Log.i(TAG, "get flag from settings: error");
            return 0;
        }
    }

    private boolean isCalling() {
        android.telephony.TelephonyManager telephonyManager = (android.telephony.TelephonyManager) this.mContext.getSystemService("phone");
        boolean z = false;
        if (telephonyManager == null) {
            return false;
        }
        if (telephonyManager.getCallState() != 0) {
            z = true;
        }
        return z;
    }

    private boolean processSensorChange() {
        turnOffSensorListener();
        this.mSensorforHandleKey = true;
        this.mSensorManager.registerListener(this, this.mSensorManager.getDefaultSensor(8), 0);
        this.mSensorUnRegisted = false;
        int i = 0;
        while (i < SENSOR_CHECK_TIMES) {
            try {
                java.lang.Thread.sleep(SENSOR_WATCH_TIME);
                if (this.mSensorVaule != -1.0f) {
                    break;
                }
                i++;
            } catch (java.lang.InterruptedException e) {
                android.util.Log.i(TAG, "thread sleep InterruptedException");
            }
        }
        this.mSensorManager.unregisterListener(this);
        this.mSensorforHandleKey = false;
        this.mSensorUnRegisted = true;
        if (this.mSensorVaule < SENSOR_FAR) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("do nothing for easywakeup because of PROXIMITY is ");
            stringBuilder.append(this.mSensorVaule);
            android.util.Log.e(str, stringBuilder.toString());
            turnOnSensorListener();
            setEasyWeakupGestureReportEnableHal(true);
            this.mSensorVaule = -1.0f;
            return true;
        }
        this.mSensorVaule = -1.0f;
        return false;
    }

    private void handleWakeUpKeyInternal(int code) {
        if (this.mSensorManager == null || code == COVER_SCREEN_KEYCODE || !processSensorChange()) {
            if (code != DOUBLE_TOUCH_KEYCODE) {
                if (isCalling()) {
                    android.util.Log.e(TAG, " do nothing because Calling !");
                    setEasyWeakupGestureReportEnableHal(true);
                    return;
                } else if (code != COVER_SCREEN_KEYCODE) {
                    this.mIsAnimate = true;
                    this.mHandler.postDelayed(this.mAnimateRunable, 10000);
                }
            }
            this.mEasyWakeUpAnimationCallback = new com.android.server.policy.EasyWakeUpManager.EasyWakeUpAnimationCallback() {
                public void afterTrackAnimation() {
                    if (com.android.server.policy.EasyWakeUpManager.this.mHandler.hasCallbacks(com.android.server.policy.EasyWakeUpManager.this.mAnimateRunable)) {
                        com.android.server.policy.EasyWakeUpManager.this.mHandler.removeCallbacks(com.android.server.policy.EasyWakeUpManager.this.mAnimateRunable);
                    }
                    com.android.server.policy.EasyWakeUpManager.this.mIsAnimate = false;
                }
            };
            this.mSuccessProcessEasyWakeUp = true;
            if (processEasyWakeUp(code) && !this.mSuccessProcessEasyWakeUp) {
                android.util.Log.i(TAG, " write flick node 1 to driver because of fail EasyWakeUp");
                setEasyWeakupGestureReportEnableHal(true);
            }
        }
    }

    public boolean handleWakeUpKey(android.view.KeyEvent event, int mScreenOffReason) {
        if (!this.mIsAnimate || this.mEasyWakeUpView == null) {
            int code = event.getKeyCode();
            if (event.getAction() != 0 || code < MIN_KEYCODE || code > MAX_KEYCODE) {
                return false;
            }
            if (code != COVER_SCREEN_KEYCODE && this.mPowerManager != null && this.mPowerManager.isScreenOn()) {
                return false;
            }
            if (mScreenOffReason == 6) {
                setEasyWeakupGestureReportEnableHal(true);
                android.util.Log.e(TAG, " Off screen beacuse sensor !");
                return true;
            }
            handleWakeUpKeyInternal(code);
            return true;
        }
        android.util.Log.e(TAG, "easywakeup is animate !");
        return true;
    }

    public void onAccuracyChanged(android.hardware.Sensor arg0, int arg1) {
    }

    public void onSensorChanged(android.hardware.SensorEvent arg0) {
        float[] its = arg0.values;
        if (its != null && arg0.sensor.getType() == 8 && its.length > 0) {
            this.mSensorVaule = its[0];
        }
        if (this.mSensorforHandleTp && !this.mSensorforHandleKey) {
            int tmpWakeupEnable;
            if (this.mSensorVaule < SENSOR_FAR) {
                tmpWakeupEnable = 0;
            } else {
                tmpWakeupEnable = 1;
            }
            if (this.mTPWakeupGestureStatus != tmpWakeupEnable) {
                this.mTPWakeupGestureStatus = tmpWakeupEnable;
                setEasyWakeupGestureHal(this.mTPWakeupGestureStatus);
            }
        }
    }

    private void readDBItems() {
        COVER_SCREEN_KEYCODE = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "Cover_Screen_Keycode", -1);
        DOUBLE_TOUCH_KEYCODE = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "Double_Touch_Keycode", -1);
        FLICK_UP_KEYCODE = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "EasyWakeUp_Flick_Up_Keycode", -1);
        FLICK_DOWN_KEYCODE = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "EasyWakeUp_Flick_Down_Keycode", -1);
        FLICK_LEFT_KEYCODE = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "EasyWakeUp_Flick_left_Keycode", -1);
        FLICK_RIGHT_KEYCODE = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "EasyWakeUp_Flick_Right_Keycode", -1);
        LETTER_C_KEYCODE = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "EasyWakeUp_Letter_C_Keycode", -1);
        LETTER_E_KEYCODE = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "EasyWakeUp_Letter_E_Keycode", -1);
        LETTER_M_KEYCODE = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "EasyWakeUp_Letter_M_Keycode", -1);
        LETTER_W_KEYCODE = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "EasyWakeUp_Letter_W_Keycode", -1);
        MAX_KEYCODE = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "maxKeycode", -1);
        MIN_KEYCODE = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "minKeyCode", -1);
        EASYWAKE_DATA_PATH = android.provider.Settings.Secure.getString(this.mContext.getContentResolver(), "com.huawei.easywakeup.position");
        SENSOR_NEAR = android.provider.Settings.Secure.getFloat(this.mContext.getContentResolver(), "sensor_near", 0.0f);
        SENSOR_FAR = android.provider.Settings.Secure.getFloat(this.mContext.getContentResolver(), "sensor_far", 5.0f);
        SENSOR_WATCH_TIME = android.provider.Settings.Secure.getLong(this.mContext.getContentResolver(), "sensor_watch_time", 50);
        SENSOR_CHECK_TIMES = android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "sensor_check_times", 6);
        boolean z = true;
        if (android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "power_optimize", 0) != 1) {
            z = false;
        }
        this.mPowerOptimizeSwitchOn = z;
    }

    private void saveParsedItemsToDb() {
        setDBValue("Cover_Screen_index", com.android.server.policy.EasyWakeUpXmlParse.getCoverScreenIndex());
        setDBValue("Double_Touch_index", com.android.server.policy.EasyWakeUpXmlParse.getDoubleTouchIndex());
        setDBValue("EasyWakeUp_Flick_ALL_index", com.android.server.policy.EasyWakeUpXmlParse.getFlickAllIndex());
        setDBValue("EasyWakeUp_Flick_Up_index", com.android.server.policy.EasyWakeUpXmlParse.getFlickUpIndex());
        setDBValue("EasyWakeUp_Flick_Down_index", com.android.server.policy.EasyWakeUpXmlParse.getFlickDownEIndex());
        setDBValue("EasyWakeUp_Flick_left_index", com.android.server.policy.EasyWakeUpXmlParse.getFlickLeftIndex());
        setDBValue("EasyWakeUp_Flick_Right_index", com.android.server.policy.EasyWakeUpXmlParse.getFlickRightIndex());
        setDBValue("EasyWakeUp_Letter_ALL_index", com.android.server.policy.EasyWakeUpXmlParse.getLetterAllIndex());
        setDBValue("EasyWakeUp_Letter_C_index", com.android.server.policy.EasyWakeUpXmlParse.getLetterCIndex());
        setDBValue("EasyWakeUp_Letter_E_index", com.android.server.policy.EasyWakeUpXmlParse.getLetterEIndex());
        setDBValue("EasyWakeUp_Letter_M_index", com.android.server.policy.EasyWakeUpXmlParse.getLetterMIndex());
        setDBValue("EasyWakeUp_Letter_W_index", com.android.server.policy.EasyWakeUpXmlParse.getLetterWIndex());
        setDBValue("Cover_Screen_Keycode", com.android.server.policy.EasyWakeUpXmlParse.getKeyCodeByString("Cover_Screen"));
        setDBValue("Double_Touch_Keycode", com.android.server.policy.EasyWakeUpXmlParse.getKeyCodeByString("Double_Touch"));
        setDBValue("EasyWakeUp_Flick_Up_Keycode", com.android.server.policy.EasyWakeUpXmlParse.getKeyCodeByString("EasyWakeUp_Flick_Up"));
        setDBValue("EasyWakeUp_Flick_Down_Keycode", com.android.server.policy.EasyWakeUpXmlParse.getKeyCodeByString("EasyWakeUp_Flick_Down"));
        setDBValue("EasyWakeUp_Flick_left_Keycode", com.android.server.policy.EasyWakeUpXmlParse.getKeyCodeByString("EasyWakeUp_Flick_left"));
        setDBValue("EasyWakeUp_Flick_Right_Keycode", com.android.server.policy.EasyWakeUpXmlParse.getKeyCodeByString("EasyWakeUp_Flick_Right"));
        setDBValue("EasyWakeUp_Letter_C_Keycode", com.android.server.policy.EasyWakeUpXmlParse.getKeyCodeByString("EasyWakeUp_Letter_C"));
        setDBValue("EasyWakeUp_Letter_E_Keycode", com.android.server.policy.EasyWakeUpXmlParse.getKeyCodeByString("EasyWakeUp_Letter_E"));
        setDBValue("EasyWakeUp_Letter_M_Keycode", com.android.server.policy.EasyWakeUpXmlParse.getKeyCodeByString("EasyWakeUp_Letter_M"));
        setDBValue("EasyWakeUp_Letter_W_Keycode", com.android.server.policy.EasyWakeUpXmlParse.getKeyCodeByString("EasyWakeUp_Letter_W"));
        setDBValue("maxKeycode", com.android.server.policy.EasyWakeUpXmlParse.getKeyCodeByString("maxKeyCode"));
        setDBValue("minKeyCode", com.android.server.policy.EasyWakeUpXmlParse.getKeyCodeByString("minKeyCode"));
        setDBValue("DriverFileLength", com.android.server.policy.EasyWakeUpXmlParse.getDriverFileLength());
        android.provider.Settings.Secure.putFloat(this.mContext.getContentResolver(), "sensor_near", com.android.server.policy.EasyWakeUpXmlParse.getSensorNearValue());
        android.provider.Settings.Secure.putFloat(this.mContext.getContentResolver(), "sensor_far", com.android.server.policy.EasyWakeUpXmlParse.getSensorFarValue());
        android.provider.Settings.Secure.putLong(this.mContext.getContentResolver(), "sensor_watch_time", com.android.server.policy.EasyWakeUpXmlParse.getSensorWatchTime());
        setDBValue("sensor_check_times", com.android.server.policy.EasyWakeUpXmlParse.getSensorCheckTimes());
        setDBValue("power_optimize", com.android.server.policy.EasyWakeUpXmlParse.getPowerOptimizeState());
    }

    private void setDBValue(java.lang.String str, int value) {
        try {
            android.provider.Settings.Secure.putInt(this.mContext.getContentResolver(), str, value);
        } catch (java.lang.Exception e) {
            java.lang.String str2 = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("set flag in settings: error str= ");
            stringBuilder.append(str);
            android.util.Log.i(str2, stringBuilder.toString());
        }
    }

    private boolean isEasyWakeupEnabledByKernel() {
        java.lang.String readLine;
        java.io.BufferedReader reader = null;
        boolean result = false;
        try {
            reader = new java.io.BufferedReader(new java.io.InputStreamReader(new java.io.FileInputStream(WAKEUP_GESTURE_STATUS_PATH), java.nio.charset.Charset.defaultCharset()));
            readLine = reader.readLine();
            java.lang.String line = readLine;
            if (!(readLine == null || java.lang.Integer.parseInt(line.trim().replaceAll("^0[x|X]", ""), 16) == 0)) {
                result = true;
            }
            try {
                reader.close();
            } catch (java.lang.Exception e) {
                e.printStackTrace();
            }
        } catch (java.io.FileNotFoundException e2) {
            e2.printStackTrace();
            if (reader != null) {
                reader.close();
            }
        } catch (java.io.IOException e3) {
            e3.printStackTrace();
            if (reader != null) {
                reader.close();
            }
        } catch (Throwable th) {
            if (reader != null) {
                try {
                    reader.close();
                } catch (java.lang.Exception e4) {
                    e4.printStackTrace();
                }
            }
        }
        readLine = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isEasyWakeupEnabledByKernel ");
        stringBuilder.append(result);
        android.util.Log.e(readLine, stringBuilder.toString());
        return result;
    }

    public void turnOnSensorListener() {
        if (this.mCoverManager != null) {
            this.mCoverOpen = this.mCoverManager.isCoverOpen();
        }
        boolean tpEnabledByKernel = isEasyWakeupEnabledByKernel();
        if (this.mCoverOpen && tpEnabledByKernel && this.mPowerOptimizeSwitchOn) {
            this.mSensorManager.registerListener(this, this.mSensorManager.getDefaultSensor(8), 1000000);
            this.mSensorforHandleTp = true;
        } else {
            this.mSensorforHandleTp = false;
        }
        this.mSensorUnRegisted = false;
        this.mTPWakeupGestureStatus = 0;
    }

    public void turnOffSensorListener() {
        if (!this.mSensorUnRegisted && (this.mSensorforHandleTp || this.mSensorforHandleKey)) {
            this.mSensorManager.unregisterListener(this);
        }
        this.mSensorforHandleTp = false;
        this.mSensorUnRegisted = true;
    }
}
