package com.android.server.policy;

public class EasyWakeUpView extends android.widget.FrameLayout {
    private static int[] BITMAP_SET = new int[10];
    private static final boolean DEBUG = false;
    private static java.lang.String TAG = "EasyWakeUpView";
    public static final int WAKEUP_INDEX_DOUBLE_CLICK = -1;
    public static final int WAKEUP_INDEX_INVALID = -2;
    public static final int WAKEUP_INDEX_LETTER_C = 5;
    public static final int WAKEUP_INDEX_LETTER_E = 6;
    public static final int WAKEUP_INDEX_LETTER_M = 7;
    public static final int WAKEUP_INDEX_LETTER_O = 4;
    public static final int WAKEUP_INDEX_LETTER_W = 8;
    public static final int WAKEUP_INDEX_SLIP_DOWN = 1;
    public static final int WAKEUP_INDEX_SLIP_LEFT = 2;
    public static final int WAKEUP_INDEX_SLIP_RIGHT = 3;
    public static final int WAKEUP_INDEX_SLIP_UP = 0;
    boolean isfirst;
    private com.android.server.policy.EasyWakeUpView.GIFFrameView mGifFrameView;
    private android.os.PowerManager mPowerManager;
    private android.os.PowerManager.WakeLock mWakeLock;
    private com.android.server.policy.EasyWakeUpView.EasyWakeUpCallback mWakeUpCallback;

    public interface EasyWakeUpCallback {
        void disappearTrackAnimation();
    }

    public class GIFFrameView extends android.view.View {
        private int Index = 0;
        private android.graphics.Bitmap bitmap = null;
        private android.graphics.Point center;
        private int mIndex = 0;
        private java.util.ArrayList<android.graphics.Point> paramList;

        public void setParamList(java.util.ArrayList<android.graphics.Point> paramList) {
            this.paramList = paramList;
        }

        public GIFFrameView(android.content.Context context, int index) {
            super(context);
            this.mIndex = index;
        }

        public void setCenter(android.graphics.Point center) {
            this.center = center;
        }

        protected void onDraw(android.graphics.Canvas canvas) {
            if (com.android.server.policy.EasyWakeUpView.this.mWakeLock.isHeld()) {
                com.android.server.policy.EasyWakeUpView.this.mWakeLock.release();
            }
            canvas.save();
            loadBitmap();
            if (this.bitmap == null) {
                this.Index = 0;
                com.android.server.policy.EasyWakeUpView.this.isfirst = true;
            } else if (com.android.server.policy.EasyWakeUpView.this.isfirst) {
                canvas.drawColor(-16777216);
                postDelayed(new java.lang.Runnable() {
                    public void run() {
                        android.util.Log.e(com.android.server.policy.EasyWakeUpView.TAG, "wake up draw start!");
                        com.android.server.policy.EasyWakeUpView.this.mPowerManager.wakeUp(android.os.SystemClock.uptimeMillis());
                        com.android.server.policy.EasyWakeUpView.GIFFrameView.this.invalidate();
                    }
                }, 32);
                com.android.server.policy.EasyWakeUpView.this.isfirst = false;
            } else {
                android.graphics.Paint Paint = new android.graphics.Paint();
                int bitmapwidth = this.bitmap.getWidth();
                int bitmapheight = this.bitmap.getHeight();
                if (this.Index < 20) {
                    int x = (this.Index % 5) * (bitmapwidth / 5);
                    int y = (this.Index / 5) * (bitmapheight / 4);
                    android.graphics.Rect src = new android.graphics.Rect(x, y, (bitmapwidth / 5) + x, (bitmapheight / 4) + y);
                    java.lang.String access$100 = com.android.server.policy.EasyWakeUpView.TAG;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("wake up draw   Index = ");
                    stringBuilder.append(this.Index);
                    stringBuilder.append("; Screen = ");
                    stringBuilder.append(com.android.server.policy.EasyWakeUpView.this.mPowerManager.isScreenOn());
                    android.util.Log.e(access$100, stringBuilder.toString());
                    this.Index++;
                    canvas.drawBitmap(this.bitmap, src, drawImage(canvas, bitmapwidth, bitmapheight, null), Paint);
                    canvas.restore();
                    invalidate();
                    return;
                }
                this.Index = 0;
                android.util.Log.e(com.android.server.policy.EasyWakeUpView.TAG, "wake up draw end!");
                stopFrameAnimation();
                this.bitmap.recycle();
                this.bitmap = null;
                com.android.server.policy.EasyWakeUpView.this.isfirst = true;
            }
        }

        private android.graphics.Rect drawImage(android.graphics.Canvas canvas, int bitmapwidth, int bitmapheight, android.graphics.Rect dst) {
            switch (this.mIndex) {
                case 0:
                case 1:
                case 2:
                case 3:
                    return drawLineToRotate(canvas, this.mIndex, bitmapwidth, bitmapheight);
                case 4:
                case 5:
                case 6:
                case 7:
                case 8:
                    return drawLetterToRotate(canvas, this.mIndex);
                default:
                    return dst;
            }
        }

        private void loadBitmap() {
            if (this.bitmap == null) {
                android.graphics.BitmapFactory.Options options = new android.graphics.BitmapFactory.Options();
                options.inJustDecodeBounds = true;
                android.graphics.BitmapFactory.decodeResource(getResources(), com.android.server.policy.EasyWakeUpView.BITMAP_SET[this.mIndex], options);
                int imageWidth = options.outWidth;
                int imageHeight = options.outHeight;
                options.inJustDecodeBounds = false;
                options.inSampleSize = 3;
                this.bitmap = android.graphics.BitmapFactory.decodeResource(getResources(), com.android.server.policy.EasyWakeUpView.BITMAP_SET[this.mIndex], options);
            }
        }

        private android.graphics.Rect drawLetterToRotate(android.graphics.Canvas canvas, int mindex) {
            float mRotate = 0.0f;
            float angle;
            switch (mindex) {
                case 4:
                case 6:
                    mRotate = 0.0f;
                    break;
                case 5:
                    angle = (float) java.lang.Math.toDegrees(java.lang.Math.atan((double) ((-((float) (((android.graphics.Point) this.paramList.get(1)).x - ((android.graphics.Point) this.paramList.get(0)).x))) / ((float) (((android.graphics.Point) this.paramList.get(1)).y - ((android.graphics.Point) this.paramList.get(0)).y)))));
                    if (angle < 0.0f) {
                        angle += 360.0f;
                    }
                    mRotate = angle % 360.0f;
                    break;
                case 7:
                case 8:
                    angle = (float) java.lang.Math.toDegrees(java.lang.Math.atan((double) (((float) (((android.graphics.Point) this.paramList.get(1)).y - ((android.graphics.Point) this.paramList.get(0)).y)) / ((float) (((android.graphics.Point) this.paramList.get(1)).x - ((android.graphics.Point) this.paramList.get(0)).x)))));
                    if (angle < 0.0f) {
                        angle += 360.0f;
                    }
                    mRotate = angle % 360.0f;
                    break;
                default:
                    break;
            }
            android.graphics.Rect dst = new android.graphics.Rect(((android.graphics.Point) this.paramList.get(3)).x - this.center.x, ((android.graphics.Point) this.paramList.get(2)).y - this.center.y, ((android.graphics.Point) this.paramList.get(5)).x - this.center.x, ((android.graphics.Point) this.paramList.get(4)).y - this.center.y);
            canvas.translate((float) this.center.x, (float) this.center.y);
            dst.left = (dst.left * 3) / 2;
            dst.top = (dst.top * 3) / 2;
            dst.right = (dst.right * 3) / 2;
            dst.bottom = (dst.bottom * 3) / 2;
            canvas.rotate(mRotate);
            return dst;
        }

        private android.graphics.Rect drawLineToRotate(android.graphics.Canvas canvas, int mindex, int bitmapwidth, int bitmapheight) {
            android.graphics.Canvas canvas2 = canvas;
            android.graphics.Rect dst = null;
            float dx = (float) (((android.graphics.Point) this.paramList.get(1)).x - ((android.graphics.Point) this.paramList.get(0)).x);
            float dy = (float) (((android.graphics.Point) this.paramList.get(1)).y - ((android.graphics.Point) this.paramList.get(0)).y);
            float angle = (float) java.lang.Math.toDegrees(java.lang.Math.atan((double) (dy / dx)));
            switch (mindex) {
                case 0:
                    if (dx > 0.0f) {
                        dst = new android.graphics.Rect((((android.graphics.Point) this.paramList.get(0)).x - (bitmapwidth / 10)) - this.center.x, ((android.graphics.Point) this.paramList.get(1)).y - this.center.y, (((android.graphics.Point) this.paramList.get(1)).x + (bitmapwidth / 10)) - this.center.x, ((android.graphics.Point) this.paramList.get(0)).y - this.center.y);
                    } else {
                        dst = new android.graphics.Rect((((android.graphics.Point) this.paramList.get(1)).x - (bitmapwidth / 10)) - this.center.x, ((android.graphics.Point) this.paramList.get(1)).y - this.center.y, (((android.graphics.Point) this.paramList.get(0)).x + (bitmapwidth / 10)) - this.center.x, ((android.graphics.Point) this.paramList.get(0)).y - this.center.y);
                    }
                    if (angle <= 0.0f) {
                        angle += 90.0f;
                        break;
                    }
                    angle -= 90.0f;
                    break;
                case 1:
                    if (angle > 0.0f) {
                        angle -= 90.0f;
                    } else {
                        angle = 90.0f + angle;
                    }
                    if (dx <= 0.0f) {
                        dst = new android.graphics.Rect((((android.graphics.Point) this.paramList.get(1)).x - (bitmapwidth / 10)) - this.center.x, ((android.graphics.Point) this.paramList.get(0)).y - this.center.y, (((android.graphics.Point) this.paramList.get(0)).x + (bitmapwidth / 10)) - this.center.x, ((android.graphics.Point) this.paramList.get(1)).y - this.center.y);
                        break;
                    }
                    dst = new android.graphics.Rect((((android.graphics.Point) this.paramList.get(0)).x - (bitmapwidth / 10)) - this.center.x, ((android.graphics.Point) this.paramList.get(0)).y - this.center.y, (((android.graphics.Point) this.paramList.get(1)).x + (bitmapwidth / 10)) - this.center.x, ((android.graphics.Point) this.paramList.get(1)).y - this.center.y);
                    break;
                case 2:
                    if (angle < 0.0f) {
                        angle += 360.0f;
                    }
                    if (dy <= 0.0f) {
                        dst = new android.graphics.Rect(((android.graphics.Point) this.paramList.get(1)).x - this.center.x, (((android.graphics.Point) this.paramList.get(1)).y - (bitmapheight / 8)) - this.center.y, ((android.graphics.Point) this.paramList.get(0)).x - this.center.x, (((android.graphics.Point) this.paramList.get(0)).y + (bitmapheight / 8)) - this.center.y);
                        break;
                    }
                    dst = new android.graphics.Rect(((android.graphics.Point) this.paramList.get(1)).x - this.center.x, (((android.graphics.Point) this.paramList.get(0)).y - (bitmapheight / 8)) - this.center.y, ((android.graphics.Point) this.paramList.get(0)).x - this.center.x, (((android.graphics.Point) this.paramList.get(1)).y + (bitmapheight / 8)) - this.center.y);
                    break;
                case 3:
                    if (angle < 0.0f) {
                        angle += 360.0f;
                    }
                    if (dy <= 0.0f) {
                        dst = new android.graphics.Rect(((android.graphics.Point) this.paramList.get(0)).x - this.center.x, (((android.graphics.Point) this.paramList.get(1)).y - (bitmapheight / 8)) - this.center.y, ((android.graphics.Point) this.paramList.get(1)).x - this.center.x, (((android.graphics.Point) this.paramList.get(0)).y + (bitmapheight / 8)) - this.center.y);
                        break;
                    }
                    dst = new android.graphics.Rect(((android.graphics.Point) this.paramList.get(0)).x - this.center.x, (((android.graphics.Point) this.paramList.get(0)).y - (bitmapheight / 8)) - this.center.y, ((android.graphics.Point) this.paramList.get(1)).x - this.center.x, (((android.graphics.Point) this.paramList.get(1)).y + (bitmapheight / 8)) - this.center.y);
                    break;
                default:
                    break;
            }
            float mRotate = angle % 360.0f;
            canvas2.translate((float) this.center.x, (float) this.center.y);
            canvas2.rotate(mRotate);
            return dst;
        }

        public void stopFrameAnimation() {
            if (com.android.server.policy.EasyWakeUpView.this.mWakeUpCallback != null) {
                com.android.server.policy.EasyWakeUpView.this.mWakeUpCallback.disappearTrackAnimation();
            }
        }
    }

    static {
        BITMAP_SET[0] = 33751255;
        BITMAP_SET[1] = 33751252;
        BITMAP_SET[2] = 33751253;
        BITMAP_SET[3] = 33751254;
        BITMAP_SET[4] = 33751250;
        BITMAP_SET[5] = 33751247;
        BITMAP_SET[6] = 33751248;
        BITMAP_SET[7] = 33751249;
        BITMAP_SET[8] = 33751251;
    }

    public EasyWakeUpView(android.content.Context paramContext, int index) {
        this(paramContext, null, index);
    }

    public EasyWakeUpView(android.content.Context paramContext, android.util.AttributeSet paramAttributeSet, int index) {
        this(paramContext, paramAttributeSet, 0, index);
    }

    public EasyWakeUpView(android.content.Context paramContext, android.util.AttributeSet paramAttributeSet, int paramInt, int index) {
        super(paramContext, paramAttributeSet, paramInt);
        this.mPowerManager = null;
        this.mGifFrameView = null;
        this.mWakeLock = null;
        this.isfirst = true;
        setBackgroundColor(-16777216);
        this.mGifFrameView = new com.android.server.policy.EasyWakeUpView.GIFFrameView(paramContext, index);
    }

    public void setPowerManager(android.os.PowerManager powerManager) {
        this.mPowerManager = powerManager;
    }

    public void setEasyWakeUpCallback(com.android.server.policy.EasyWakeUpView.EasyWakeUpCallback callback) {
        this.mWakeUpCallback = callback;
    }

    public void startTrackAnimation(java.util.ArrayList<android.graphics.Point> localList, int index) {
        java.lang.String str;
        java.lang.StringBuilder stringBuilder;
        if (localList == null) {
            str = TAG;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(TAG);
            stringBuilder.append(" startTrackAnimation and return false for the localList is Null");
            android.util.Log.v(str, stringBuilder.toString());
        } else if (localList.size() < 2) {
            str = TAG;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(TAG);
            stringBuilder.append(" startTrackAnimation and return false for  the size of pointList is less than 2");
            android.util.Log.v(str, stringBuilder.toString());
        } else {
            removeAllViews();
            this.mWakeLock = this.mPowerManager.newWakeLock(536870913, "");
            this.mWakeLock.acquire();
            addCharView_Up(localList, index);
        }
    }

    private void addCharView_Up(java.util.ArrayList<android.graphics.Point> paramList, int index) {
        this.mGifFrameView.setCenter(getCenter(paramList, index));
        this.mGifFrameView.setParamList(paramList);
        addView(this.mGifFrameView, new android.widget.FrameLayout.LayoutParams(-1, -1));
    }

    private android.graphics.Point getCenter(java.util.ArrayList<android.graphics.Point> pointList, int index) {
        android.graphics.Point center = new android.graphics.Point();
        if (index >= 0 && index <= 3) {
            center.x = (((android.graphics.Point) pointList.get(1)).x + ((android.graphics.Point) pointList.get(0)).x) / 2;
            center.y = (((android.graphics.Point) pointList.get(1)).y + ((android.graphics.Point) pointList.get(0)).y) / 2;
        } else if (index >= 4) {
            center.x = (((android.graphics.Point) pointList.get(3)).x + ((android.graphics.Point) pointList.get(5)).x) / 2;
            center.y = (((android.graphics.Point) pointList.get(2)).y + ((android.graphics.Point) pointList.get(4)).y) / 2;
        }
        return center;
    }

    private int maxInt(int x, int y) {
        return x > y ? x : y;
    }

    private int minInt(int x, int y) {
        return x > y ? y : x;
    }

    public boolean onInterceptTouchEvent(android.view.MotionEvent ev) {
        return true;
    }

    public boolean onTouchEvent(android.view.MotionEvent event) {
        return true;
    }
}
