package com.android.server.policy;

public class HWExtMotionRotationProcessorEx implements com.android.server.policy.IHWExtMotionRotationProcessor {
    private static final int MOTION_VALUES_LEN = 2;
    private com.huawei.hwextdevice.HWExtDeviceEventListener mHWEDListener = new com.huawei.hwextdevice.HWExtDeviceEventListener() {
        public void onDeviceDataChanged(com.huawei.hwextdevice.HWExtDeviceEvent hwextDeviceEvent) {
            float[] deviceValues = hwextDeviceEvent.getDeviceValues();
            if (deviceValues == null) {
                android.util.Log.e("HWEMRP", "onDeviceDataChanged  deviceValues is null ");
            } else if (deviceValues.length >= 2) {
                int proposedRotation = (int) deviceValues[1];
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("onDeviceDataChanged  proposedRotation:");
                stringBuilder.append(proposedRotation);
                android.util.Log.d("HWEMRP", stringBuilder.toString());
                int oldProposedRotation = com.android.server.policy.HWExtMotionRotationProcessorEx.this.mProposedRotation;
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("onDeviceDataChanged  oldProposedRotation:");
                stringBuilder2.append(oldProposedRotation);
                android.util.Log.d("HWEMRP", stringBuilder2.toString());
                com.android.server.policy.HWExtMotionRotationProcessorEx.this.mProposedRotation = proposedRotation;
                if (proposedRotation != oldProposedRotation && proposedRotation >= 0) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("notifyProposedRotation: ");
                    stringBuilder2.append(com.android.server.policy.HWExtMotionRotationProcessorEx.this.mProposedRotation);
                    android.util.Log.d("HWEMRP", stringBuilder2.toString());
                    com.android.server.policy.HWExtMotionRotationProcessorEx.this.mWOLPxy.setCurrentOrientation(com.android.server.policy.HWExtMotionRotationProcessorEx.this.mProposedRotation);
                    com.android.server.policy.HWExtMotionRotationProcessorEx.this.mWOLPxy.notifyProposedRotation(com.android.server.policy.HWExtMotionRotationProcessorEx.this.mProposedRotation);
                }
            }
        }
    };
    private com.huawei.hwextdevice.HWExtDeviceManager mHWEDManager = null;
    private com.huawei.hwextdevice.devices.HWExtMotion mHWExtMotion = null;
    private int mProposedRotation = (android.os.SystemProperties.getInt("ro.panel.hw_orientation", 0) / 90);
    private com.android.server.policy.IHWExtMotionRotationProcessor.WindowOrientationListenerProxy mWOLPxy = null;

    public HWExtMotionRotationProcessorEx(com.android.server.policy.IHWExtMotionRotationProcessor.WindowOrientationListenerProxy wolPxy) {
        this.mWOLPxy = wolPxy;
        initProcessor();
    }

    public void enableMotionRotation(android.os.Handler handler) {
        if (this.mHWEDManager != null) {
            this.mHWEDManager.registerDeviceListener(this.mHWEDListener, this.mHWExtMotion, handler);
            android.util.Log.d("HWEMRP", "registerDeviceListener  mHWEDListener");
            return;
        }
        android.util.Log.e("HWEMRP", "enableMotionRotation  mHWEDManager is null ");
    }

    public void disableMotionRotation() {
        if (this.mHWEDManager != null) {
            this.mHWEDManager.unregisterDeviceListener(this.mHWEDListener, this.mHWExtMotion);
        } else {
            android.util.Log.e("HWEMRP", "disableMotionRotation  mHWEDManager is null ");
        }
    }

    public int getProposedRotation() {
        return this.mProposedRotation;
    }

    private void destroy() {
        if (this.mHWEDManager != null) {
            if (this.mHWExtMotion == null) {
                this.mHWExtMotion = null;
            }
            try {
                this.mHWEDManager.dispose();
                this.mHWEDManager = null;
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("destroy  error : ");
                stringBuilder.append(e);
                android.util.Log.e("HWEMRP", stringBuilder.toString());
            }
        }
    }

    private void initProcessor() {
        this.mHWEDManager = com.huawei.hwextdevice.HWExtDeviceManager.getInstance(null);
        this.mHWExtMotion = new com.huawei.hwextdevice.devices.HWExtMotion(700);
    }
}
