package com.android.server.policy;

public class HwPolicyFactoryImpl implements com.android.server.policy.HwPolicyFactory.Factory {
    private static final java.lang.String ACTION_HWSYSTEMMANAGER_SHUTDOWN_LIMIT_POWERMODE = "huawei.intent.action.HWSYSTEMMANAGER_SHUTDOWN_LIMIT_POWERMODE";
    private static final java.lang.String ACTION_HWSYSTEMMANAGER_START_SUPER_POWERMODE = "huawei.intent.action.HWSYSTEMMANAGER_START_SUPER_POWERMODE";
    private static final java.lang.String ACTION_USE_POWER_GENIE_CHANGE_MODE = "huawei.intent.action.PG_EXTREME_MODE_ENABLE_ACTION";
    private static final java.lang.String TAG = "HwPolicyFactoryImpl";
    private static android.app.Dialog mExitDialog;
    private boolean isScroll = false;
    private android.os.IBinder mAwareService = null;
    huawei.com.android.server.policy.BootMessageActions mBootMessageActions;
    huawei.com.android.server.policy.HwGlobalActions mHwGlobalActions;
    private com.android.internal.globalactions.ToggleAction mUltraPowerSaveOn;
    private com.android.internal.globalactions.ToggleAction.State mUltraPowerState = com.android.internal.globalactions.ToggleAction.State.Off;

    public void addUltraPowerSaveImpl(java.util.ArrayList mItems, android.content.Context context) {
        if (android.provider.Settings.Global.getInt(context.getContentResolver(), "device_provisioned", -1) != 0) {
            final android.content.Context context2 = context;
            this.mUltraPowerSaveOn = new com.android.internal.globalactions.ToggleAction(33751437, 33751436, 33685710, 33685711, 33685712) {
                public void onToggle(boolean on) {
                    com.android.server.policy.HwPolicyFactoryImpl.this.changeUltraPowerSaveSetting(on, context2);
                }

                public boolean showDuringKeyguard() {
                    return true;
                }

                public boolean showBeforeProvisioning() {
                    return true;
                }
            };
            mItems.add(this.mUltraPowerSaveOn);
            this.mUltraPowerState = android.os.SystemProperties.getBoolean("sys.super_power_save", false) ? com.android.internal.globalactions.ToggleAction.State.On : com.android.internal.globalactions.ToggleAction.State.Off;
            this.mUltraPowerSaveOn.updateState(this.mUltraPowerState);
        }
    }

    private void changeUltraPowerSaveSetting(boolean on, android.content.Context context) {
        if (on) {
            context.sendBroadcast(new android.content.Intent("huawei.intent.action.HWSYSTEMMANAGER_START_SUPER_POWERMODE"));
        } else {
            showExitDialog(context);
        }
    }

    private void sendExitLimitPowerModeBroadcast(android.content.Context context) {
        android.os.SystemProperties.set("sys.super_power_save", "false");
        android.content.Intent intent = new android.content.Intent("huawei.intent.action.HWSYSTEMMANAGER_SHUTDOWN_LIMIT_POWERMODE");
        intent.putExtra("shutdomn_limit_powermode", 0);
        context.sendBroadcast(intent);
        android.content.Intent callPowerGenieIntent = new android.content.Intent("huawei.intent.action.PG_EXTREME_MODE_ENABLE_ACTION");
        callPowerGenieIntent.putExtra("enable", false);
        context.sendBroadcast(callPowerGenieIntent);
    }

    private void showExitDialog(android.content.Context context) {
        android.view.ContextThemeWrapper themeContext = new android.view.ContextThemeWrapper(context, context.getResources().getIdentifier("androidhwext:style/Theme.Emui.Dialog.Alert", null, null));
        if (mExitDialog != null) {
            mExitDialog.dismiss();
        }
        mExitDialog = createExitDialog(themeContext);
        mExitDialog.getWindow().setType(2009);
        mExitDialog.show();
    }

    private android.app.Dialog createExitDialog(final android.content.Context context) {
        return new android.app.AlertDialog.Builder(context).setTitle(33685708).setMessage(33685709).setPositiveButton(33685707, new android.content.DialogInterface.OnClickListener() {
            public void onClick(android.content.DialogInterface arg0, int arg1) {
                com.android.server.policy.HwPolicyFactoryImpl.this.sendExitLimitPowerModeBroadcast(context);
                if (com.android.server.policy.HwPolicyFactoryImpl.mExitDialog != null) {
                    com.android.server.policy.HwPolicyFactoryImpl.mExitDialog.dismiss();
                }
            }
        }).setNegativeButton(17039360, null).create();
    }

    public void addRebootMenu(java.util.ArrayList<com.android.internal.globalactions.Action> items) {
        items.add(new com.android.internal.globalactions.ToggleAction(33751040, 33751040, 33685515, 33685516, 33685516) {
            public void onToggle(boolean on) {
                try {
                    android.os.IPowerManager pm = android.os.IPowerManager.Stub.asInterface(android.os.ServiceManager.getService("power"));
                    if (pm != null) {
                        pm.reboot(true, "huawei_reboot", false);
                    }
                } catch (android.os.RemoteException e) {
                    android.util.Log.e("HwPolicyFactoryImpl", "PowerManager service died!", e);
                }
            }

            public boolean showDuringKeyguard() {
                return true;
            }

            public boolean showBeforeProvisioning() {
                return true;
            }
        });
    }

    public com.android.server.policy.WindowManagerPolicy getHwPhoneWindowManager() {
        return new com.android.server.policy.HwPhoneWindowManager();
    }

    public android.view.Window getHwPhoneWindow(android.content.Context context) {
        return new com.android.internal.policy.HwPhoneWindow(context);
    }

    public com.android.internal.policy.PhoneLayoutInflater getHwPhoneLayoutInflater(android.content.Context context) {
        return new com.android.internal.policy.HwPhoneLayoutInflater(context);
    }

    public void showHwGlobalActionsFragment(android.content.Context tContext, com.android.server.policy.WindowManagerPolicy.WindowManagerFuncs tWindowManagerFuncs, android.os.PowerManager powerManager, boolean keyguardShowing, boolean keyguardSecure, boolean isDeviceProvisioned) {
        if (this.mHwGlobalActions == null) {
            this.mHwGlobalActions = new huawei.com.android.server.policy.HwGlobalActions(tContext, tWindowManagerFuncs);
        }
        this.mHwGlobalActions.showDialog(keyguardShowing, keyguardSecure, isDeviceProvisioned);
        if (keyguardShowing) {
            powerManager.userActivity(android.os.SystemClock.uptimeMillis(), false);
        }
    }

    public void showBootMessage(android.content.Context tContext, int curr, int total) {
        if (this.mBootMessageActions == null) {
            this.mBootMessageActions = new huawei.com.android.server.policy.BootMessageActions(tContext);
        }
        this.mBootMessageActions.showBootMessage(curr, total);
    }

    public void hideBootMessage() {
        if (this.mBootMessageActions != null) {
            this.mBootMessageActions.hideBootMessage();
        }
    }

    public boolean isHwGlobalActionsShowing() {
        return this.mHwGlobalActions != null && this.mHwGlobalActions.isHwGlobalActionsShowing();
    }

    public boolean isHwFastShutdownEnable() {
        return this.mHwGlobalActions != null && this.mHwGlobalActions.isHwFastShutdownEnable();
    }

    public boolean ifUseHwGlobalActions() {
        return true;
    }

    public void reportToAware(int code, int duration) {
        if (com.android.server.rms.iaware.appmng.AwareSceneRecognize.isEnable()) {
            if (code != 15007) {
                if (code == 15009) {
                    this.isScroll = false;
                } else if (code == 85007) {
                    if (this.isScroll) {
                        this.isScroll = false;
                    } else {
                        return;
                    }
                }
            } else if (!this.isScroll) {
                this.isScroll = true;
            } else {
                return;
            }
            if (this.mAwareService == null) {
                this.mAwareService = android.os.ServiceManager.getService("hwsysresmanager");
            }
            if (this.mAwareService != null) {
                android.os.Parcel data = android.os.Parcel.obtain();
                android.os.Parcel reply = android.os.Parcel.obtain();
                try {
                    data.writeInterfaceToken("android.rms.IHwSysResManager");
                    data.writeInt(duration);
                    this.mAwareService.transact(code, data, reply, 0);
                    reply.readException();
                } catch (android.os.RemoteException e) {
                    android.util.Log.e("HwPolicyFactoryImpl", "mAwareService ontransact failed");
                } catch (Throwable th) {
                    data.recycle();
                    reply.recycle();
                }
                data.recycle();
                reply.recycle();
            } else {
                android.util.Log.e("HwPolicyFactoryImpl", "mAwareService is not start");
            }
            return;
        }
        android.util.Log.w("HwPolicyFactoryImpl", "mAware is disable");
    }
}
