package com.android.server.policy;

public class SearchPanelView extends android.widget.FrameLayout {
    private static final java.lang.String ACTION_SINGLE_BUTTON_KEYEVENT = "com.android.huawei.SINGLE_BUTTON_ACTION_KEYEVENT";
    public static final android.view.animation.Interpolator ALPHA_OUT = new android.view.animation.PathInterpolator(0.0f, 0.0f, 0.8f, 1.0f);
    private static java.lang.String ASSISTANT_ACTION = "com.huawei.action.VOICE_ASSISTANT";
    private static java.lang.String ASSISTANT_ACTIVITY_NAME = "com.huawei.vassistant.ui.main.VAssistantActivity";
    private static final java.lang.String ASSISTANT_ICON_METADATA_NAME = "com.android.systemui.action_assist_icon";
    private static final int AXIS_MOVE_FROM_INSIDE = 0;
    private static final int AXIS_MOVE_FROM_OUTSIDE = 1;
    private static final int AXIS_TOUCH_DATA_VALID = 1;
    private static final java.lang.String EVENT_POINTER_COUNT = "pointer_count";
    private static final java.lang.String EVENT_X = "event_x";
    private static final java.lang.String EVENT_Y = "event_y";
    private static final java.lang.String FINGER_PRINT_ACTION_KEYEVENT = "com.android.huawei.FINGER_PRINT_ACTION_KEYEVENT";
    protected static final java.lang.String HW_ASSISTANT_PACKAGE_NAME = "com.huawei.vassistant";
    public static final java.lang.String INTENT_KEY = "keycode";
    private static final int KEYCODE_START_VASSISTANT = 9999;
    private static final int MSG_HIDE_SEARCH_VIEW = 2;
    private static final int MSG_MOVE_EVENT = 5;
    private static final int MSG_SHOW_SEARCH_VIEW = 1;
    private static final int MSG_START_ABORT_ANIMATION = 3;
    private static final int MSG_START_EXIT_ANIMATION = 4;
    private static final java.lang.String TAG = com.android.server.policy.SearchPanelView.class.getSimpleName();
    private static final boolean mIsChina = "CN".equalsIgnoreCase(android.os.SystemProperties.get("ro.product.locale.region", ""));
    private static android.content.ComponentName sVAssistantComponentName = null;
    private java.lang.Boolean isLandScapeProduct;
    private boolean mAdded;
    private com.android.internal.app.AssistUtils mAssistUtils;
    private com.android.server.policy.SearchPanelCircleView mCircle;
    private android.content.Context mContext;
    private boolean mDraggedFarEnough;
    private boolean mDragging;
    private float mEffctiveStartTouch;
    private android.os.Handler mHandler;
    private java.lang.Boolean mHasHwAssist;
    private boolean mIsCollapseStatusBar;
    private boolean mIsFromOutScreen;
    private boolean mIsTouchDataValid;
    private boolean mLaunchPending;
    private boolean mLaunching;
    private android.widget.ImageView mLogo;
    private int mNavigationBarHeight;
    private boolean mNeedShowSearchPanel;
    private boolean mRotationReady;
    private android.view.View mScrim;
    private boolean mShowing;
    private float mStartDrag;
    private float mStartTouch;
    private float mStartX;
    private float mStartY;
    private int mThreshold;

    public SearchPanelView(android.content.Context context, android.util.AttributeSet attrs) {
        this(context, attrs, 0);
    }

    public SearchPanelView(android.content.Context context, android.util.AttributeSet attrs, int defStyle) {
        super(context, attrs, defStyle);
        boolean z = true;
        this.mIsFromOutScreen = true;
        this.mHasHwAssist = null;
        if (android.os.SystemProperties.getInt("ro.panel.hw_orientation", 0) != 90) {
            z = false;
        }
        this.isLandScapeProduct = java.lang.Boolean.valueOf(z);
        this.mNeedShowSearchPanel = false;
        this.mRotationReady = false;
        this.mIsCollapseStatusBar = false;
        this.mContext = context;
        this.mThreshold = context.getResources().getDimensionPixelSize(34472148);
        this.mNavigationBarHeight = context.getResources().getDimensionPixelSize(17105186);
        this.mAssistUtils = new com.android.internal.app.AssistUtils(context);
    }

    protected void onFinishInflate() {
        super.onFinishInflate();
        this.mCircle = (com.android.server.policy.SearchPanelCircleView) findViewById(34603139);
        this.mLogo = (android.widget.ImageView) findViewById(34603140);
        this.mScrim = findViewById(34603141);
        maybeSwapSearchIcon();
    }

    private android.content.ComponentName getAssistInfo() {
        if (this.mAssistUtils != null) {
            return this.mAssistUtils.getAssistComponentForUser(-2);
        }
        return null;
    }

    private void maybeSwapSearchIcon() {
        if (hasHwAssist()) {
            replaceDrawable(this.mLogo, getVAssistantComponentName(), "com.android.systemui.action_assist_icon");
            return;
        }
        android.content.Intent intent = ((android.app.SearchManager) this.mContext.getSystemService("search")).getAssistIntent(false);
        if (intent != null) {
            replaceDrawable(this.mLogo, intent.getComponent(), "com.android.systemui.action_assist_icon");
        } else {
            this.mLogo.setImageDrawable(null);
        }
    }

    public void replaceDrawable(android.widget.ImageView imageView, android.content.ComponentName component, java.lang.String name) {
        java.lang.String str;
        java.lang.StringBuilder stringBuilder;
        if (component != null) {
            try {
                android.content.pm.PackageManager packageManager = this.mContext.getPackageManager();
                android.os.Bundle metaData = packageManager.getActivityInfo(component, 128).metaData;
                if (metaData != null) {
                    int iconResId = metaData.getInt(name);
                    if (iconResId != 0) {
                        imageView.setImageDrawable(packageManager.getResourcesForActivity(component).getDrawable(iconResId));
                    }
                }
            } catch (android.content.pm.PackageManager.NameNotFoundException e) {
                str = TAG;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Failed to swap drawable; ");
                stringBuilder.append(component.flattenToShortString());
                stringBuilder.append(" not found");
                android.util.Log.w(str, stringBuilder.toString(), e);
            } catch (android.content.res.Resources.NotFoundException nfe) {
                str = TAG;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Failed to swap drawable from ");
                stringBuilder.append(component.flattenToShortString());
                android.util.Log.w(str, stringBuilder.toString(), nfe);
            }
        }
    }

    private android.content.ComponentName getVAssistantComponentName() {
        if (sVAssistantComponentName != null) {
            return sVAssistantComponentName;
        }
        sVAssistantComponentName = new android.content.ComponentName("com.huawei.vassistant", ASSISTANT_ACTIVITY_NAME);
        android.content.pm.PackageManager packageManager = this.mContext.getPackageManager();
        if (packageManager == null) {
            android.util.Log.w(TAG, "packageManager is null");
            return sVAssistantComponentName;
        }
        java.util.List<android.content.pm.ResolveInfo> resolveInfos = packageManager.queryIntentActivities(new android.content.Intent(ASSISTANT_ACTION), 65536);
        if (resolveInfos != null) {
            if (resolveInfos.size() != 0) {
                android.content.pm.ComponentInfo info = ((android.content.pm.ResolveInfo) resolveInfos.get(0)).activityInfo;
                if (info == null) {
                    android.util.Log.w(TAG, "activityInfo is null");
                    return sVAssistantComponentName;
                }
                sVAssistantComponentName = new android.content.ComponentName(info.packageName, info.name);
                return sVAssistantComponentName;
            }
        }
        android.util.Log.w(TAG, "resolveInfos is null");
        return sVAssistantComponentName;
    }

    public boolean dispatchHoverEvent(android.view.MotionEvent event) {
        int x = (int) event.getX();
        int y = (int) event.getY();
        if (x < 0 || x >= getWidth() || y < 0 || y >= getHeight()) {
            return true;
        }
        return super.dispatchHoverEvent(event);
    }

    public boolean handleGesture(android.view.MotionEvent event) {
        if (isNotReady(event)) {
            return false;
        }
        if (!this.mIsTouchDataValid && 1 == ((int) event.getAxisValue(37))) {
            android.util.Log.d(TAG, " mIsTouchDataValid:true");
            this.mIsTouchDataValid = true;
        }
        if (this.mIsTouchDataValid) {
            this.mIsFromOutScreen = ((int) event.getAxisValue(36)) != 0;
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" mIsFromOutScreen:");
            stringBuilder.append(this.mIsFromOutScreen);
            android.util.Log.d(str, stringBuilder.toString());
        }
        switch (event.getActionMasked()) {
            case 0:
                if (this.isLandScapeProduct.booleanValue()) {
                    this.mStartTouch = event.getY();
                } else {
                    this.mStartTouch = this.mCircle.isLand() ? event.getX() : event.getY();
                }
                this.mEffctiveStartTouch = this.mCircle.isLand() ? event.getY() : event.getX();
                this.mDragging = false;
                this.mDraggedFarEnough = false;
                this.mCircle.reset();
                this.mStartX = this.mCircle.isLand() ? event.getY() : event.getX();
                this.mStartY = this.mCircle.isLand() ? event.getX() : event.getY();
                this.mNeedShowSearchPanel = false;
                this.mRotationReady = false;
                break;
            case 1:
            case 3:
                if (this.mIsFromOutScreen) {
                    float lastTouch;
                    if (this.isLandScapeProduct.booleanValue()) {
                        lastTouch = event.getY();
                    } else {
                        lastTouch = this.mCircle.isLand() ? event.getX() : event.getY();
                    }
                    java.lang.String str2 = TAG;
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("lastTouch is:");
                    stringBuilder2.append(lastTouch);
                    stringBuilder2.append("mDraggedFarEnough=");
                    stringBuilder2.append(this.mDraggedFarEnough);
                    stringBuilder2.append(",mRotationReady=");
                    stringBuilder2.append(this.mRotationReady);
                    android.util.Log.d(str2, stringBuilder2.toString());
                    if (java.lang.Math.abs(this.mStartTouch - lastTouch) <= ((float) this.mThreshold)) {
                        android.util.Log.d(TAG, "Not Far Enough 1");
                    } else if (!mIsChina && hasHwAssist()) {
                        if (this.mRotationReady) {
                            startVoiceAssist();
                        }
                        this.mIsFromOutScreen = true;
                        return true;
                    }
                    if (this.mDraggedFarEnough) {
                        processDraggedEvent();
                    } else {
                        abortAnimation();
                        android.util.Log.d(TAG, "Not Far Enough 2");
                    }
                    this.mIsCollapseStatusBar = false;
                    this.mIsFromOutScreen = true;
                    break;
                }
                return true;
            case 2:
                move(event);
                break;
            default:
                break;
        }
        return true;
    }

    private int getRotationBetweenPoints(float eventX, float eventY) {
        double rotationDegree = 0.0d;
        try {
            float endX = this.mCircle.isLand() ? eventY : eventX;
            float endY = this.mCircle.isLand() ? eventX : eventY;
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("endX = ");
            stringBuilder.append(endX);
            stringBuilder.append(" endY = ");
            stringBuilder.append(endY);
            android.util.Log.d(str, stringBuilder.toString());
            if (this.mStartX != endX && this.mStartY > endY) {
                double distanceX = (double) java.lang.Math.abs(this.mStartX - endX);
                double distanceY = (double) java.lang.Math.abs(this.mStartY - endY);
                java.lang.String str2 = TAG;
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append(" distanceX = ");
                stringBuilder2.append(distanceX);
                stringBuilder2.append(" distanceY = ");
                stringBuilder2.append(distanceY);
                android.util.Log.d(str2, stringBuilder2.toString());
                rotationDegree = (java.lang.Math.atan(distanceY / distanceX) / 3.141592653589793d) * 180.0d;
            }
            str = TAG;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getRotationBetweenPoints rotationDegree = ");
            stringBuilder.append(rotationDegree);
            android.util.Log.d(str, stringBuilder.toString());
            return (int) rotationDegree;
        } catch (java.lang.IllegalArgumentException e) {
            java.lang.String str3 = TAG;
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("getRotationBetweenPoints exception, ");
            stringBuilder3.append(e);
            android.util.Log.w(str3, stringBuilder3.toString());
            return 0;
        }
    }

    private boolean isNotReady(android.view.MotionEvent event) {
        if (this.mLaunching || this.mLaunchPending || this.mCircle == null) {
            return true;
        }
        return event.getPointerCount() > 1;
    }

    private void processDraggedEvent() {
        if (this.mCircle.isAnimationRunning(true)) {
            this.mLaunchPending = true;
            this.mCircle.setAnimatingOut(true);
            this.mCircle.performOnAnimationFinished(new java.lang.Runnable() {
                public void run() {
                    com.android.server.policy.SearchPanelView.this.exitAnimation();
                }
            });
            return;
        }
        exitAnimation();
    }

    private void onMove(android.os.Bundle bundle) {
        if (bundle == null) {
            android.util.Log.w(TAG, "onMove return because the event is null");
        } else if (bundle.getInt("pointer_count") == 0) {
            android.util.Log.w(TAG, "onMove return because the pointer count is 0, it will crash if go on.");
        } else {
            float currentEventX = bundle.getFloat("event_x");
            float currentEventY = bundle.getFloat("event_y");
            try {
                float currentTouch;
                if (this.isLandScapeProduct.booleanValue()) {
                    currentTouch = currentEventY;
                } else {
                    currentTouch = this.mCircle.isLand() ? currentEventX : currentEventY;
                }
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("onMove showSearchPanelView:");
                stringBuilder.append(this.mIsFromOutScreen);
                android.util.Log.d(str, stringBuilder.toString());
                boolean z = true;
                if (java.lang.Math.abs(this.mStartTouch - currentTouch) > ((float) this.mNavigationBarHeight) && !isShowing()) {
                    if (!this.mIsCollapseStatusBar) {
                        collapseStatusBar(this.mContext);
                        this.mIsCollapseStatusBar = true;
                    }
                    if (this.mIsFromOutScreen) {
                        int rotationDegree;
                        if (mIsChina) {
                            if (this.isLandScapeProduct.booleanValue()) {
                                showSearchPanelView();
                            } else if (!this.mNeedShowSearchPanel) {
                                this.mNeedShowSearchPanel = true;
                                rotationDegree = getRotationBetweenPoints(currentEventX, currentEventY);
                                if (rotationDegree >= 70 && rotationDegree <= 90) {
                                    showSearchPanelView();
                                }
                            }
                        } else if (!this.mNeedShowSearchPanel) {
                            this.mNeedShowSearchPanel = true;
                            rotationDegree = getRotationBetweenPoints(currentEventX, currentEventY);
                            if (rotationDegree >= 70 && rotationDegree <= 90) {
                                this.mRotationReady = true;
                            }
                        }
                    }
                }
                if (getVisibility() == 0 && !this.mDragging && (!this.mCircle.isAnimationRunning(true) || java.lang.Math.abs(this.mStartTouch - currentTouch) > ((float) this.mThreshold))) {
                    this.mStartDrag = currentTouch;
                    this.mDragging = true;
                }
                if (this.mDragging) {
                    this.mCircle.setDragDistance(this.mStartDrag > currentTouch ? this.mStartDrag - currentTouch : 0.0f);
                    if (java.lang.Math.abs(this.mStartTouch - currentTouch) <= ((float) this.mThreshold)) {
                        z = false;
                    }
                    this.mDraggedFarEnough = z;
                    this.mCircle.setDraggedFarEnough(this.mDraggedFarEnough);
                }
            } catch (java.lang.IllegalArgumentException e) {
                java.lang.String str2 = TAG;
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("onMove return because there is an IllegalArgumentException, ");
                stringBuilder2.append(e);
                android.util.Log.w(str2, stringBuilder2.toString());
            }
        }
    }

    public void show(boolean show, boolean animate) {
        this.mShowing = show;
        if (show) {
            maybeSwapSearchIcon();
            if (getVisibility() != 0) {
                setVisibility(0);
                if (animate) {
                    startEnterAnimation();
                    notifyTrikeyEvent(9999);
                } else {
                    this.mScrim.setAlpha(1.0f);
                }
            }
            setFocusable(true);
            setFocusableInTouchMode(true);
            requestFocus();
        } else if (animate) {
            startAbortAnimation();
        } else {
            setVisibility(4);
        }
    }

    private void notifyTrikeyEvent(int keyCode) {
        android.content.ContentResolver resolver = this.mContext.getContentResolver();
        int isShowNaviGuide = android.provider.Settings.System.getIntForUser(resolver, "systemui_tips_already_shown", 0, android.app.ActivityManager.getCurrentUser());
        boolean aiEnable = huawei.android.provider.FrontFingerPrintSettings.isSingleNavBarAIEnable(resolver);
        boolean aiNavEnable = huawei.android.provider.FrontFingerPrintSettings.isSingleVirtualNavbarEnable(resolver);
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isShowNaviGuide:");
        stringBuilder.append(isShowNaviGuide);
        stringBuilder.append(", aiEnable:");
        stringBuilder.append(aiEnable);
        stringBuilder.append(", aiNavEnable:");
        stringBuilder.append(aiNavEnable);
        android.util.Log.d(str, stringBuilder.toString());
        android.content.Intent intent;
        if (aiNavEnable && !aiEnable && !huawei.android.provider.FrontFingerPrintSettings.isChinaArea()) {
            intent = new android.content.Intent("com.android.huawei.SINGLE_BUTTON_ACTION_KEYEVENT");
            intent.putExtra("keycode", keyCode);
            intent.setPackage("com.android.systemui");
            intent.addFlags(268435456);
            this.mContext.sendBroadcast(intent, "android.permission.STATUS_BAR");
        } else if (isShowNaviGuide == 0 && !huawei.android.provider.FrontFingerPrintSettings.isNaviBarEnabled(resolver)) {
            intent = new android.content.Intent("com.android.huawei.FINGER_PRINT_ACTION_KEYEVENT");
            intent.putExtra("keycode", keyCode);
            intent.setPackage("com.android.systemui");
            intent.addFlags(268435456);
            this.mContext.sendBroadcast(intent, "android.permission.STATUS_BAR");
        }
    }

    private void startEnterAnimation() {
        this.mCircle.startEnterAnimation();
        this.mScrim.setAlpha(1.0f);
    }

    private void startAbortAnimation() {
        this.mCircle.startAbortAnimation(new java.lang.Runnable() {
            public void run() {
                com.android.server.policy.SearchPanelView.this.mCircle.setAnimatingOut(false);
                com.android.server.policy.SearchPanelView.this.setVisibility(4);
            }
        });
        this.mCircle.setAnimatingOut(true);
        this.mScrim.setAlpha(0.0f);
    }

    private void startExitAnimation() {
        this.mLaunchPending = false;
        if (!this.mLaunching) {
            if (getVisibility() == 0) {
                this.mLaunching = true;
                startVoiceAssist();
                this.mCircle.setAnimatingOut(true);
                this.mCircle.startExitAnimation(new java.lang.Runnable() {
                    public void run() {
                        com.android.server.policy.SearchPanelView.this.mLaunching = false;
                        com.android.server.policy.SearchPanelView.this.mCircle.setAnimatingOut(false);
                        com.android.server.policy.SearchPanelView.this.setVisibility(4);
                    }
                });
                this.mScrim.animate().alpha(0.0f).setDuration(300).setStartDelay(0).setInterpolator(ALPHA_OUT);
            }
        }
    }

    private void startVoiceAssist() {
        try {
            notifyTrikeyEvent(9999);
            if (huawei.android.provider.FrontFingerPrintSettings.isSingleVirtualNavbarEnable(this.mContext.getContentResolver())) {
                android.util.Flog.bdReport(this.mContext, 11, "{type:singleVirturalBar}");
            } else {
                android.util.Flog.bdReport(this.mContext, 11, "{type:NoVirturalBar}");
            }
            ((com.android.server.statusbar.StatusBarManagerInternal) com.android.server.LocalServices.getService(com.android.server.statusbar.StatusBarManagerInternal.class)).startAssist(new android.os.Bundle());
        } catch (java.lang.Exception exp) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("startVoiceAssist error:");
            stringBuilder.append(exp.getMessage());
            android.util.Log.e(str, stringBuilder.toString());
        }
    }

    public void hide(boolean animate) {
        if (animate) {
            startAbortAnimation();
        } else {
            setVisibility(4);
        }
    }

    public boolean isShowing() {
        return getVisibility() == 0 && !this.mCircle.isAnimatingOut();
    }

    public void initUI(android.os.Looper looper) {
        initHandler(looper);
    }

    private void initHandler(android.os.Looper looper) {
        this.mHandler = new android.os.Handler(looper) {
            public void handleMessage(android.os.Message msg) {
                switch (msg.what) {
                    case 1:
                        com.android.server.policy.SearchPanelView.this.show(true, true);
                        return;
                    case 2:
                        com.android.server.policy.SearchPanelView.this.hide(true);
                        return;
                    case 3:
                        com.android.server.policy.SearchPanelView.this.startAbortAnimation();
                        return;
                    case 4:
                        com.android.server.policy.SearchPanelView.this.startExitAnimation();
                        return;
                    case 5:
                        com.android.server.policy.SearchPanelView.this.onMove(msg.getData());
                        return;
                    default:
                        return;
                }
            }
        };
    }

    public void showSearchPanelView() {
        if (hasHwAssist() && this.mHandler != null) {
            this.mHandler.sendEmptyMessage(1);
        }
    }

    public void hideSearchPanelView() {
        if (this.mHandler != null) {
            this.mHandler.sendEmptyMessage(2);
        }
    }

    public boolean isInContentArea(int x, int y) {
        return true;
    }

    public void abortAnimation() {
        if (this.mHandler != null) {
            this.mHandler.sendEmptyMessage(3);
        }
    }

    public void exitAnimation() {
        if (this.mHandler != null) {
            this.mHandler.sendEmptyMessage(4);
        }
    }

    public void move(android.view.MotionEvent event) {
        if (this.mHandler != null) {
            android.os.Message msg = this.mHandler.obtainMessage();
            msg.what = 5;
            android.os.Bundle bundle = new android.os.Bundle();
            bundle.putFloat("event_x", event.getX());
            bundle.putFloat("event_y", event.getY());
            bundle.putInt("pointer_count", event.getPointerCount());
            msg.setData(bundle);
            this.mHandler.sendMessage(msg);
        }
    }

    public static final void collapseStatusBar(android.content.Context context) {
        java.lang.String str;
        java.lang.StringBuilder stringBuilder;
        java.lang.Object sbservice = context.getSystemService("statusbar");
        try {
            java.lang.reflect.Method collapse;
            java.lang.Class<?> statusBarManager = java.lang.Class.forName("android.app.StatusBarManager");
            if (android.os.Build.VERSION.SDK_INT >= 17) {
                collapse = statusBarManager.getMethod("collapsePanels", new java.lang.Class[0]);
            } else {
                collapse = statusBarManager.getMethod("collapse", new java.lang.Class[0]);
            }
            collapse.invoke(sbservice, new java.lang.Object[0]);
        } catch (java.lang.ClassNotFoundException ce) {
            str = TAG;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Class not found for StatusBarManager:");
            stringBuilder.append(ce.getMessage());
            android.util.Log.w(str, stringBuilder.toString());
        } catch (java.lang.NoSuchMethodException me) {
            str = TAG;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Method not found for collapse:");
            stringBuilder.append(me.getMessage());
            android.util.Log.w(str, stringBuilder.toString());
        } catch (java.lang.RuntimeException re) {
            re.printStackTrace();
        } catch (java.lang.Exception e) {
            e.printStackTrace();
        }
    }

    public boolean hasHwAssist() {
        if (mIsChina) {
            if (this.mHasHwAssist == null) {
                try {
                    this.mContext.getPackageManager().getPackageInfo("com.huawei.vassistant", 128);
                    this.mHasHwAssist = java.lang.Boolean.valueOf(true);
                } catch (android.content.pm.PackageManager.NameNotFoundException e) {
                    this.mHasHwAssist = java.lang.Boolean.valueOf(false);
                } catch (java.lang.Exception exp) {
                    this.mHasHwAssist = java.lang.Boolean.valueOf(false);
                    exp.printStackTrace();
                }
            }
            return this.mHasHwAssist.booleanValue();
        } else if (getAssistInfo() != null) {
            return true;
        } else {
            android.util.Log.w(TAG, "startAssist::assistComponent is null, return");
            return false;
        }
    }
}
