package com.android.server.rms.algorithm;

public class AwareUserHabit {
    private static final int ACTIVITIES_CHANGED_MESSAGE_DELAY = 300;
    private static final int ALL_DEVICE_PAY_NUM = 3;
    private static final java.lang.String APP_STATUS = "app_status";
    private static final java.lang.String DEFAULT_PKG_NAME = "com.huawei.android.launcher";
    private static final int FOREGROUND_ACTIVITIES_CHANGED = 1;
    private static final int HIGH_DEVICE_BUSINESS_NUM = 5;
    private static final int HIGH_DEVICE_EMAIL_NUM = 2;
    private static final int HIGH_DEVICE_IM_NUM = 3;
    private static final int LOAD_APPTYPE_MESSAGE_DELAY = 20000;
    private static final int LOW_DEVICE_BUSINESS_NUM = 3;
    private static final int LOW_DEVICE_EMAIL_NUM = 1;
    private static final int LOW_DEVICE_IM_NUM = 2;
    private static final long ONE_MINUTE = 60000;
    private static final java.lang.String REPORT_DYNAMIC_TOPN_KEY = "dynamicTopN";
    private static final int REPORT_MESSAGE = 2;
    private static final java.lang.String REPORT_SMALL_SAMPLE_LIST_KEY = "SmallSampleList";
    private static final java.lang.String REPORT_SORT_KEY = "predictSorted";
    private static final java.lang.String REPORT_SWITCHOFF_KEY = "predictV2Off";
    private static final int SCREEN_STATE_CHANGED = 4;
    private static final long SREEN_OFF_SORT_THRESHOLD = 1800000;
    private static final long STAY_IN_BACKGROUND_ONE_DAYS = 86400000;
    private static final java.lang.String TAG = "AwareUserHabit";
    private static final int TOPN = 5;
    private static final int UID_VALUE = 10000;
    private static final int UNINSTALL_CHECK_HABIT_PROTECT_LIST = 3;
    private static final java.lang.String UNINSTALL_PKGNAME = "uninstall_pkgName";
    public static final int USERHABIT_INSTALL_APP = 1;
    public static final java.lang.String USERHABIT_INSTALL_APP_UPDATE = "install_app_update";
    public static final java.lang.String USERHABIT_PACKAGE_NAME = "package_name";
    public static final int USERHABIT_PRECOG_INITIALIZED = 6;
    public static final int USERHABIT_SCREEN_OFF = 7;
    public static final int USERHABIT_TRAIN_COMPLETED = 3;
    public static final java.lang.String USERHABIT_UID = "uid";
    public static final int USERHABIT_UNINSTALL_APP = 2;
    public static final int USERHABIT_UPDATE_CONFIG = 4;
    public static final int USERHABIT_USER_SWITCH = 5;
    private static final java.lang.String VISIBLE_ADJ_TYPE = "visible";
    private static com.android.server.rms.algorithm.AwareUserHabit mAwareUserHabit = null;
    private static boolean mEnabled = false;
    private java.lang.String mAppMngLastPkgName = "com.huawei.android.launcher";
    private final java.util.concurrent.atomic.AtomicInteger mAppTypeLoadCount = new java.util.concurrent.atomic.AtomicInteger(2);
    private com.android.server.rms.algorithm.AwareHSMListHandler mAwareHSMListHandler = null;
    private com.android.server.rms.algorithm.AwareUserHabitAlgorithm mAwareUserHabitAlgorithm = null;
    private com.android.server.rms.algorithm.AwareUserHabitRadar mAwareUserHabitRadar = null;
    private android.content.Context mContext = null;
    private java.lang.String mCurPkgName = "com.huawei.android.launcher";
    private int mDynamicTopN = 5;
    private int mEmailCount = 1;
    private long mFeatureStartTime = 0;
    final android.os.Handler mHandler = new com.android.server.rms.algorithm.AwareUserHabit.UserHabitHandler(com.android.internal.os.BackgroundThread.get().getLooper());
    private long mHighEndDeviceStayInBgTime = 432000000;
    private com.android.server.am.HwActivityManagerService mHwAMS = null;
    private int mImCount = 2;
    private boolean mIsFirstTime = true;
    private boolean mIsLowEnd = false;
    private boolean mIsNewAlgorithmSwitched = false;
    private java.lang.String mLastAppPkgName = "com.huawei.android.launcher";
    private long mLastSortTime = 0;
    private boolean mLauncherIsVisible = false;
    private long mLowEndDeviceStayInBgTime = 172800000;
    private int mLruCount = 1;
    private int mMostUsedCount = 1;
    private final java.lang.Object mPredictLock = new java.lang.Object();
    private com.android.server.rms.algorithm.AwareUserHabit.UserHabitProcessObserver mProcessObserver = new com.android.server.rms.algorithm.AwareUserHabit.UserHabitProcessObserver();
    private final java.util.concurrent.atomic.AtomicInteger mUserId = new java.util.concurrent.atomic.AtomicInteger(0);
    private android.app.IUserSwitchObserver mUserSwitchObserver = new android.app.IUserSwitchObserver.Stub() {
        public void onUserSwitching(int newUserId, android.os.IRemoteCallback reply) {
            if (reply != null) {
                try {
                    reply.sendResult(null);
                } catch (android.os.RemoteException e) {
                    android.rms.iaware.AwareLog.e("AwareUserHabit", "RemoteException onUserSwitching");
                }
            }
        }

        public void onUserSwitchComplete(int newUserId) throws android.os.RemoteException {
            com.android.server.rms.algorithm.AwareUserHabit.this.mUserId.set(newUserId);
            com.android.server.rms.algorithm.AwareUserHabit.this.setUserId(newUserId);
            if (newUserId != 0) {
                com.android.server.rms.algorithm.AwareUserHabit.this.mIsNewAlgorithmSwitched = false;
            }
            android.os.Message msg = com.android.server.rms.algorithm.AwareUserHabit.this.mHandler.obtainMessage();
            msg.what = 2;
            msg.arg1 = 5;
            com.android.server.rms.algorithm.AwareUserHabit.this.mHandler.sendMessage(msg);
        }

        public void onForegroundProfileSwitch(int newProfileId) {
        }

        public void onLockedBootComplete(int newUserId) {
        }
    };
    private java.util.LinkedHashMap<java.lang.String, java.lang.Integer> mUserTrackListVer2 = new java.util.LinkedHashMap();

    private class UserHabitHandler extends android.os.Handler {
        public UserHabitHandler(android.os.Looper looper) {
            super(looper);
        }

        public void handleMessage(android.os.Message msg) {
            int i = msg.what;
            if (i != 4) {
                switch (i) {
                    case 1:
                        java.lang.String pkgName = com.android.server.mtm.utils.InnerUtils.getAwarePkgName(msg.arg1);
                        handleActivityChangedEvent(msg, pkgName);
                        if (!msg.getData().getBoolean("app_status")) {
                            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().reportAppChangeToBackground(pkgName, android.os.SystemClock.elapsedRealtime());
                        }
                        return;
                    case 2:
                        handleReportMessage(msg);
                        return;
                    default:
                        return;
                }
            }
            handleScreenState(msg);
        }

        private void handleScreenState(android.os.Message msg) {
            if (com.android.server.rms.algorithm.AwareUserHabit.this.mAwareUserHabitAlgorithm != null && msg.arg1 == 7 && java.lang.Math.abs(java.lang.System.currentTimeMillis() - com.android.server.rms.algorithm.AwareUserHabit.this.mLastSortTime) > 1800000) {
                com.android.server.rms.algorithm.AwareUserHabit.this.mAwareUserHabitAlgorithm.sortUsageCount();
                com.android.server.rms.algorithm.AwareUserHabit.this.mLastSortTime = java.lang.System.currentTimeMillis();
            }
        }

        private void handleActivityChangedEvent(android.os.Message msg, java.lang.String pkgName) {
            if (com.android.server.rms.algorithm.AwareUserHabit.this.mAwareUserHabitAlgorithm != null) {
                if (pkgName != null) {
                    if (com.android.server.rms.algorithm.AwareUserHabit.this.mIsFirstTime) {
                        com.android.server.rms.algorithm.AwareUserHabit.this.mAwareUserHabitAlgorithm.init();
                        com.android.server.rms.algorithm.AwareUserHabit.this.mIsFirstTime = false;
                        com.android.server.rms.iaware.appmng.AwareDefaultConfigList.getInstance().fillMostFrequentUsedApp(com.android.server.rms.algorithm.AwareUserHabit.this.getMostFrequentUsedApp(com.android.server.rms.iaware.appmng.AppMngConfig.getAdjCustTopN(), -1));
                        android.rms.iaware.LogIAware.report(2032, "userhabit inited");
                        android.rms.iaware.AwareLog.i("AwareUserHabit", "report first data loading finished");
                    }
                    long time = android.os.SystemClock.elapsedRealtime();
                    boolean isForeground = msg.getData().getBoolean("app_status");
                    int homePkgPid = com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getCurHomeProcessPid();
                    com.android.server.mtm.iaware.appmng.AwareProcessBaseInfo baseInfo = com.android.server.rms.algorithm.AwareUserHabit.this.mHwAMS != null ? com.android.server.rms.algorithm.AwareUserHabit.this.mHwAMS.getProcessBaseInfo(homePkgPid) : null;
                    if (isForeground) {
                        com.android.server.rms.algorithm.AwareUserHabit.this.triggerUserTrackPredict(pkgName, com.android.server.rms.algorithm.AwareUserHabit.this.getLruCache(), time);
                        com.android.server.rms.algorithm.AwareUserHabit.this.mAwareUserHabitAlgorithm.foregroundUpdateHabitProtectList(pkgName);
                        com.android.server.rms.algorithm.AwareUserHabit.this.mAwareUserHabitAlgorithm.updateAppUsage(pkgName);
                        if (!(homePkgPid == msg.arg1 || baseInfo == null || !"visible".equals(baseInfo.mAdjType))) {
                            com.android.server.rms.algorithm.AwareUserHabit.this.mLauncherIsVisible = true;
                        }
                    } else {
                        if (com.android.server.rms.algorithm.AwareUserHabit.this.mLauncherIsVisible && homePkgPid != msg.arg1 && baseInfo != null && baseInfo.mCurAdj == 0) {
                            java.lang.String homePkgName = com.android.server.mtm.utils.InnerUtils.getAwarePkgName(homePkgPid);
                            if (homePkgName != null) {
                                com.android.server.rms.algorithm.AwareUserHabit.this.triggerUserTrackPredict(homePkgName, com.android.server.rms.algorithm.AwareUserHabit.this.getLruCache(), time);
                            }
                        }
                        com.android.server.rms.algorithm.AwareUserHabit.this.mLauncherIsVisible = false;
                        com.android.server.rms.algorithm.AwareUserHabit.this.mAwareUserHabitAlgorithm.backgroundActivityChangedEvent(pkgName, java.lang.Long.valueOf(time));
                    }
                    com.android.server.rms.algorithm.AwareUserHabit.this.mAwareUserHabitAlgorithm.addPkgToLru(pkgName, time);
                }
            }
        }

        private void handleReportMessage(android.os.Message msg) {
            if (com.android.server.rms.algorithm.AwareUserHabit.this.mAwareUserHabitAlgorithm != null) {
                int eventId = msg.arg1;
                android.os.Bundle args = msg.getData();
                java.lang.String pkgName;
                switch (eventId) {
                    case 1:
                        pkgName = args.getString("package_name");
                        if (pkgName != null) {
                            com.android.server.rms.algorithm.AwareUserHabit.this.mAwareUserHabitAlgorithm.removeFilterPkg(pkgName);
                            break;
                        }
                        break;
                    case 2:
                        pkgName = args.getString("package_name");
                        if (pkgName != null) {
                            com.android.server.rms.algorithm.AwareUserHabit.this.mAwareUserHabitAlgorithm.removePkgFromLru(pkgName);
                            com.android.server.rms.algorithm.AwareUserHabit.this.mAwareUserHabitAlgorithm.addFilterPkg(pkgName);
                            com.android.server.rms.algorithm.AwareUserHabit.this.mAwareUserHabitAlgorithm.uninstallUpdateHabitProtectList(pkgName);
                            break;
                        }
                        break;
                    case 3:
                    case 5:
                        com.android.server.rms.algorithm.AwareUserHabit.this.mAwareUserHabitAlgorithm.reloadDataInfo();
                        if (3 == eventId) {
                            com.android.server.rms.algorithm.AwareUserHabit.this.mAwareUserHabitAlgorithm.trainedUpdateHabitProtectList();
                        } else {
                            com.android.server.rms.algorithm.AwareUserHabit.this.mAwareUserHabitAlgorithm.clearLruCache();
                            com.android.server.rms.algorithm.AwareUserHabit.this.mAwareUserHabitAlgorithm.initHabitProtectList();
                            com.android.server.rms.algorithm.AwareUserHabit.this.mAwareUserHabitAlgorithm.clearHabitProtectApps();
                            com.android.server.rms.algorithm.AwareUserHabit.this.mLastSortTime = java.lang.System.currentTimeMillis();
                        }
                        com.android.server.rms.iaware.appmng.AwareDefaultConfigList.getInstance().fillMostFrequentUsedApp(com.android.server.rms.algorithm.AwareUserHabit.this.getMostFrequentUsedApp(com.android.server.rms.iaware.appmng.AppMngConfig.getAdjCustTopN(), -1));
                        android.rms.iaware.LogIAware.report(2032, "train completed");
                        android.rms.iaware.AwareLog.i("AwareUserHabit", "report train completed and data loading finished");
                        break;
                    case 4:
                        android.rms.iaware.AwareLog.i("AwareUserHabit", "reloadFilterPkg");
                        com.android.server.rms.algorithm.AwareUserHabit.this.mAwareUserHabitAlgorithm.reloadFilterPkg();
                        com.android.server.rms.algorithm.AwareUserHabit.this.updateHabitConfig();
                        break;
                    case 6:
                        android.rms.iaware.AwareLog.i("AwareUserHabit", "AwareUserHabit load precog pkg type info");
                        if (!android.rms.iaware.AppTypeRecoManager.getInstance().loadInstalledAppTypeInfo()) {
                            if (com.android.server.rms.algorithm.AwareUserHabit.this.mAppTypeLoadCount.get() < 0) {
                                android.rms.iaware.AwareLog.e("AwareUserHabit", "AwareUserHabit precog service is error");
                                break;
                            }
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("AwareUserHabit send load precog pkg message again mAppTypeLoadCount=");
                            stringBuilder.append(com.android.server.rms.algorithm.AwareUserHabit.this.mAppTypeLoadCount.get() - 1);
                            android.rms.iaware.AwareLog.i("AwareUserHabit", stringBuilder.toString());
                            com.android.server.rms.algorithm.AwareUserHabit.this.sendLoadAppTypeMessage();
                            com.android.server.rms.algorithm.AwareUserHabit.this.mAppTypeLoadCount.decrementAndGet();
                            break;
                        }
                        android.rms.iaware.AwareLog.i("AwareUserHabit", "AwareUserHabit load precog pkg OK ");
                        break;
                    default:
                        break;
                }
            }
        }
    }

    class UserHabitProcessObserver extends android.app.IProcessObserver.Stub {
        UserHabitProcessObserver() {
        }

        public void onForegroundActivitiesChanged(int pid, int uid, boolean foregroundActivities) {
            android.os.Message msg = com.android.server.rms.algorithm.AwareUserHabit.this.mHandler.obtainMessage();
            msg.what = 1;
            msg.getData().putBoolean("app_status", foregroundActivities);
            msg.arg1 = pid;
            com.android.server.rms.algorithm.AwareUserHabit.this.mHandler.sendMessageDelayed(msg, 300);
        }

        public void onProcessDied(int pid, int uid) {
        }
    }

    private AwareUserHabit(android.content.Context context) {
        this.mContext = context;
    }

    public static synchronized com.android.server.rms.algorithm.AwareUserHabit getInstance(android.content.Context context) {
        com.android.server.rms.algorithm.AwareUserHabit awareUserHabit;
        synchronized (com.android.server.rms.algorithm.AwareUserHabit.class) {
            if (mAwareUserHabit == null) {
                mAwareUserHabit = new com.android.server.rms.algorithm.AwareUserHabit(context);
                if (mEnabled) {
                    mAwareUserHabit.init();
                }
            }
            awareUserHabit = mAwareUserHabit;
        }
        return awareUserHabit;
    }

    public static synchronized com.android.server.rms.algorithm.AwareUserHabit getInstance() {
        com.android.server.rms.algorithm.AwareUserHabit awareUserHabit;
        synchronized (com.android.server.rms.algorithm.AwareUserHabit.class) {
            awareUserHabit = mAwareUserHabit;
        }
        return awareUserHabit;
    }

    public static void enable() {
        android.rms.iaware.AwareLog.i("AwareUserHabit", "AwareUserHabit enable is called");
        if (!mEnabled) {
            com.android.server.rms.algorithm.AwareUserHabit habit = getInstance();
            if (habit != null) {
                habit.init();
            } else {
                android.rms.iaware.AwareLog.i("AwareUserHabit", "user habit is not ready");
            }
            mEnabled = true;
        }
    }

    public static void disable() {
        android.rms.iaware.AwareLog.i("AwareUserHabit", "AwareUserHabit disable is called");
        if (mEnabled) {
            com.android.server.rms.algorithm.AwareUserHabit habit = getInstance();
            if (habit != null) {
                habit.deinit();
            } else {
                android.rms.iaware.AwareLog.i("AwareUserHabit", "user habit is not ready");
            }
        }
        mEnabled = false;
    }

    public boolean isEnable() {
        return mEnabled;
    }

    public void setLowEndFlag(boolean flag) {
        synchronized (this) {
            this.mIsLowEnd = flag;
        }
    }

    public java.util.List<java.lang.String> getLRUAppList(int lruCount) {
        return this.mAwareUserHabitAlgorithm.getForceProtectAppsFromLRU(com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getDefaultHomePackages(), lruCount);
    }

    private void deinit() {
        unregisterObserver();
        if (this.mAwareUserHabitAlgorithm != null) {
            this.mAwareUserHabitAlgorithm.deinit();
            this.mIsFirstTime = true;
        }
        if (this.mAwareHSMListHandler != null) {
            this.mAwareHSMListHandler.deinit();
        }
        android.rms.iaware.AppTypeRecoManager.getInstance().deinit();
        android.rms.iaware.AwareLog.d("AwareUserHabit", "AwareUserHabit deinit finished");
    }

    private void init() {
        if (this.mContext != null) {
            if (this.mAwareUserHabitAlgorithm == null) {
                this.mAwareUserHabitAlgorithm = new com.android.server.rms.algorithm.AwareUserHabitAlgorithm(this.mContext);
            }
            this.mHwAMS = com.android.server.am.HwActivityManagerService.self();
            this.mAwareUserHabitAlgorithm.initHabitProtectList();
            android.rms.iaware.AppTypeRecoManager.getInstance().init(this.mContext);
            registerObserver();
            this.mFeatureStartTime = java.lang.System.currentTimeMillis();
            if (this.mAwareUserHabitRadar == null) {
                this.mAwareUserHabitRadar = new com.android.server.rms.algorithm.AwareUserHabitRadar(this.mFeatureStartTime);
            }
            if (this.mAwareHSMListHandler == null) {
                this.mAwareHSMListHandler = new com.android.server.rms.algorithm.AwareHSMListHandler(this.mContext);
            }
            this.mAwareHSMListHandler.init();
            updateHabitConfig();
            sendLoadAppTypeMessage();
            this.mLastSortTime = java.lang.System.currentTimeMillis();
            android.rms.iaware.AwareLog.d("AwareUserHabit", "AwareUserHabit init finished");
        }
    }

    private void sendLoadAppTypeMessage() {
        android.os.Message msg = this.mHandler.obtainMessage();
        msg.what = 2;
        msg.arg1 = 6;
        this.mHandler.sendMessageDelayed(msg, 20000);
    }

    private void triggerUserTrackPredict(java.lang.String pkgName, java.util.Map<java.lang.String, java.lang.Long> lruCache, long curTime) {
        if (!this.mIsNewAlgorithmSwitched) {
            synchronized (this.mPredictLock) {
                if (this.mAwareUserHabitAlgorithm != null) {
                    this.mAppMngLastPkgName = this.mAwareUserHabitAlgorithm.getLastPkgNameExcludeLauncher(pkgName, com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getDefaultHomePackages());
                    if (!(this.mAwareUserHabitAlgorithm.containsFilterPkg(pkgName) || this.mAwareUserHabitAlgorithm.containsFilter2Pkg(pkgName))) {
                        this.mLastAppPkgName = pkgName;
                    }
                    this.mCurPkgName = pkgName;
                    this.mAwareUserHabitAlgorithm.triggerUserTrackPredict(this.mLastAppPkgName, lruCache, curTime, pkgName);
                }
            }
        }
    }

    public java.util.Map<java.lang.String, java.lang.String> getUserTrackAppSortDumpInfo() {
        if (this.mIsNewAlgorithmSwitched) {
            java.util.LinkedHashMap<java.lang.String, java.lang.String> result = new java.util.LinkedHashMap();
            for (java.util.Map.Entry<java.lang.String, java.lang.Integer> entry : getUserTrackListVer2().entrySet()) {
                result.put((java.lang.String) entry.getKey(), java.lang.String.valueOf(entry.getValue()));
            }
            return result;
        }
        java.util.Map<java.lang.String, java.lang.String> dumpInfo = null;
        synchronized (this.mPredictLock) {
            if (this.mAwareUserHabitAlgorithm != null) {
                dumpInfo = this.mAwareUserHabitAlgorithm.getUserTrackPredictDumpInfo(this.mLastAppPkgName, getLruCache(), android.os.SystemClock.elapsedRealtime(), this.mCurPkgName);
            }
        }
        return dumpInfo;
    }

    public java.util.Set<java.lang.String> getAllProtectApps() {
        if (this.mAwareHSMListHandler == null) {
            return null;
        }
        return this.mAwareHSMListHandler.getAllProtectSet();
    }

    public java.util.Set<java.lang.String> getAllUnProtectApps() {
        if (this.mAwareHSMListHandler == null) {
            return null;
        }
        return this.mAwareHSMListHandler.getAllUnProtectSet();
    }

    /* JADX WARNING: Missing block: B:15:0x0037, code:
            r0 = r1.mAwareUserHabitAlgorithm.getForceProtectAppsFromHabitProtect(r8, r9, r6);
            r5.addAll(r0);
            r6.addAll(r0);
            r11 = r1.mAwareUserHabitAlgorithm.getMostFrequentUsedApp(r10, -1, r6);
     */
    /* JADX WARNING: Missing block: B:16:0x004a, code:
            if (r11 == null) goto L_0x0058;
     */
    /* JADX WARNING: Missing block: B:18:0x0050, code:
            if (r11.size() <= 0) goto L_0x0058;
     */
    /* JADX WARNING: Missing block: B:19:0x0052, code:
            r5.addAll(r11);
            r6.addAll(r11);
     */
    /* JADX WARNING: Missing block: B:20:0x0058, code:
            r13 = r1.mAwareUserHabitAlgorithm.getForceProtectAppsFromLRU(com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getDefaultHomePackages(), r7);
     */
    /* JADX WARNING: Missing block: B:21:0x0066, code:
            if (r13 == null) goto L_0x0088;
     */
    /* JADX WARNING: Missing block: B:23:0x006c, code:
            if (r13.size() <= 0) goto L_0x0088;
     */
    /* JADX WARNING: Missing block: B:24:0x006e, code:
            r14 = r13.iterator();
     */
    /* JADX WARNING: Missing block: B:26:0x0076, code:
            if (r14.hasNext() == false) goto L_0x0088;
     */
    /* JADX WARNING: Missing block: B:27:0x0078, code:
            r15 = (java.lang.String) r14.next();
     */
    /* JADX WARNING: Missing block: B:28:0x0082, code:
            if (r6.contains(r15) != false) goto L_0x0087;
     */
    /* JADX WARNING: Missing block: B:29:0x0084, code:
            r5.add(r15);
     */
    /* JADX WARNING: Missing block: B:31:0x0088, code:
            r15 = new java.lang.StringBuilder();
            r17 = r0;
            r15.append("getForceProtectApps spend time:");
            r20 = r6;
            r21 = r7;
            r15.append(java.lang.System.currentTimeMillis() - r3);
            r15.append(" ms result:");
            r15.append(r5);
            android.rms.iaware.AwareLog.d("AwareUserHabit", r15.toString());
     */
    /* JADX WARNING: Missing block: B:32:0x00b2, code:
            return r5;
     */
    public java.util.List<java.lang.String> getForceProtectApps(int r23) {
        /*
        r22 = this;
        r1 = r22;
        r0 = "AwareUserHabit";
        r2 = "getForceProtectApps is called";
        android.rms.iaware.AwareLog.i(r0, r2);
        if (r23 <= 0) goto L_0x00c0;
    L_0x000b:
        r0 = r1.mAwareHSMListHandler;
        if (r0 == 0) goto L_0x00c0;
    L_0x000f:
        r0 = r1.mAwareUserHabitAlgorithm;
        if (r0 != 0) goto L_0x0015;
    L_0x0013:
        goto L_0x00c0;
    L_0x0015:
        r3 = java.lang.System.currentTimeMillis();
        r0 = new java.util.ArrayList;
        r0.<init>();
        r5 = r0;
        r0 = r1.mAwareHSMListHandler;
        r6 = r0.getUnProtectSet();
        r7 = 0;
        r8 = 0;
        r9 = 0;
        r10 = 0;
        monitor-enter(r22);
        r0 = r1.mLruCount;	 Catch:{ all -> 0x00b9 }
        r7 = r0;
        r0 = r1.mEmailCount;	 Catch:{ all -> 0x00b3 }
        r8 = r0;
        r0 = r1.mImCount;	 Catch:{ all -> 0x00b3 }
        r9 = r0;
        r0 = r1.mMostUsedCount;	 Catch:{ all -> 0x00b3 }
        r10 = r0;
        monitor-exit(r22);	 Catch:{ all -> 0x00b3 }
        r0 = r1.mAwareUserHabitAlgorithm;
        r0 = r0.getForceProtectAppsFromHabitProtect(r8, r9, r6);
        r5.addAll(r0);
        r6.addAll(r0);
        r11 = r1.mAwareUserHabitAlgorithm;
        r12 = -1;
        r11 = r11.getMostFrequentUsedApp(r10, r12, r6);
        if (r11 == 0) goto L_0x0058;
    L_0x004c:
        r12 = r11.size();
        if (r12 <= 0) goto L_0x0058;
    L_0x0052:
        r5.addAll(r11);
        r6.addAll(r11);
    L_0x0058:
        r12 = com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance();
        r12 = r12.getDefaultHomePackages();
        r13 = r1.mAwareUserHabitAlgorithm;
        r13 = r13.getForceProtectAppsFromLRU(r12, r7);
        if (r13 == 0) goto L_0x0088;
    L_0x0068:
        r14 = r13.size();
        if (r14 <= 0) goto L_0x0088;
    L_0x006e:
        r14 = r13.iterator();
    L_0x0072:
        r15 = r14.hasNext();
        if (r15 == 0) goto L_0x0088;
    L_0x0078:
        r15 = r14.next();
        r15 = (java.lang.String) r15;
        r16 = r6.contains(r15);
        if (r16 != 0) goto L_0x0087;
    L_0x0084:
        r5.add(r15);
    L_0x0087:
        goto L_0x0072;
    L_0x0088:
        r14 = "AwareUserHabit";
        r15 = new java.lang.StringBuilder;
        r15.<init>();
        r17 = r0;
        r0 = "getForceProtectApps spend time:";
        r15.append(r0);
        r18 = java.lang.System.currentTimeMillis();
        r20 = r6;
        r21 = r7;
        r6 = r18 - r3;
        r15.append(r6);
        r0 = " ms result:";
        r15.append(r0);
        r15.append(r5);
        r0 = r15.toString();
        android.rms.iaware.AwareLog.d(r14, r0);
        return r5;
    L_0x00b3:
        r0 = move-exception;
        r20 = r6;
        r21 = r7;
        goto L_0x00bc;
    L_0x00b9:
        r0 = move-exception;
        r20 = r6;
    L_0x00bc:
        monitor-exit(r22);	 Catch:{ all -> 0x00be }
        throw r0;
    L_0x00be:
        r0 = move-exception;
        goto L_0x00bc;
    L_0x00c0:
        r0 = 0;
        return r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.algorithm.AwareUserHabit.getForceProtectApps(int):java.util.List<java.lang.String>");
    }

    private void updateHabitConfig() {
        java.util.Map<java.lang.String, java.lang.Integer> config = com.android.server.rms.algorithm.utils.IAwareHabitUtils.getConfigFromCMS("AppManagement", "HabitConfig");
        if (config != null) {
            synchronized (this) {
                if (config.containsKey("lruCount")) {
                    this.mLruCount = ((java.lang.Integer) config.get("lruCount")).intValue();
                }
                if (config.containsKey("emailCount")) {
                    this.mEmailCount = ((java.lang.Integer) config.get("emailCount")).intValue();
                }
                if (config.containsKey("imCount")) {
                    this.mImCount = ((java.lang.Integer) config.get("imCount")).intValue();
                }
                if (config.containsKey("mostUsedCount")) {
                    this.mMostUsedCount = ((java.lang.Integer) config.get("mostUsedCount")).intValue();
                }
                if (config.containsKey("lowEnd")) {
                    this.mLowEndDeviceStayInBgTime = ((long) ((java.lang.Integer) config.get("lowEnd")).intValue()) * 60000;
                }
                if (config.containsKey("highEnd")) {
                    this.mHighEndDeviceStayInBgTime = ((long) ((java.lang.Integer) config.get("highEnd")).intValue()) * 60000;
                }
            }
        }
    }

    public java.util.LinkedHashMap<java.lang.String, java.lang.Long> getLruCache() {
        if (this.mAwareUserHabitAlgorithm != null) {
            return this.mAwareUserHabitAlgorithm.getLruCache();
        }
        return null;
    }

    public java.util.Set<java.lang.String> getBackgroundApps(long duringTime) {
        if (duringTime <= 0) {
            return null;
        }
        java.util.LinkedHashMap<java.lang.String, java.lang.Long> lru = getLruCache();
        if (lru == null) {
            return null;
        }
        duringTime *= 1000;
        android.util.ArraySet<java.lang.String> result = new android.util.ArraySet();
        java.util.ArrayList<java.lang.String> pkgList = new java.util.ArrayList(lru.keySet());
        long now = android.os.SystemClock.elapsedRealtime();
        for (int i = pkgList.size() - 1; i >= 0; i--) {
            java.lang.String pkg = (java.lang.String) pkgList.get(i);
            if (now - ((java.lang.Long) lru.get(pkg)).longValue() > duringTime) {
                break;
            }
            result.add(pkg);
        }
        return result;
    }

    public java.lang.String getLastPkgName() {
        return this.mAppMngLastPkgName;
    }

    /* JADX WARNING: Missing block: B:40:0x0150, code:
            return r19;
     */
    /* JADX WARNING: Missing block: B:44:0x0157, code:
            return null;
     */
    public synchronized java.util.List<java.lang.String> recognizeLongTimeRunningApps() {
        /*
        r24 = this;
        r1 = r24;
        monitor-enter(r24);
        r0 = "AwareUserHabit";
        r2 = "recognizeLongTimeRunningApps is called";
        android.rms.iaware.AwareLog.i(r0, r2);	 Catch:{ all -> 0x0158 }
        r0 = new java.util.ArrayList;	 Catch:{ all -> 0x0158 }
        r0.<init>();	 Catch:{ all -> 0x0158 }
        r2 = new android.util.ArrayMap;	 Catch:{ all -> 0x0158 }
        r2.<init>();	 Catch:{ all -> 0x0158 }
        r1.getRunningPidInfo(r0, r2);	 Catch:{ all -> 0x0158 }
        r3 = r1.mHighEndDeviceStayInBgTime;	 Catch:{ all -> 0x0158 }
        r5 = r1.mIsLowEnd;	 Catch:{ all -> 0x0158 }
        if (r5 == 0) goto L_0x0020;
    L_0x001d:
        r5 = r1.mLowEndDeviceStayInBgTime;	 Catch:{ all -> 0x0158 }
        r3 = r5;
    L_0x0020:
        r5 = "AwareUserHabit";
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0158 }
        r6.<init>();	 Catch:{ all -> 0x0158 }
        r7 = "stayInBackgroudTime=";
        r6.append(r7);	 Catch:{ all -> 0x0158 }
        r6.append(r3);	 Catch:{ all -> 0x0158 }
        r6 = r6.toString();	 Catch:{ all -> 0x0158 }
        android.rms.iaware.AwareLog.i(r5, r6);	 Catch:{ all -> 0x0158 }
        r5 = r1.getLongTimeRunningPkgs(r0, r3);	 Catch:{ all -> 0x0158 }
        if (r5 == 0) goto L_0x0151;
    L_0x003d:
        r7 = r5.isEmpty();	 Catch:{ all -> 0x0158 }
        if (r7 == 0) goto L_0x0049;
    L_0x0043:
        r21 = r0;
        r22 = r2;
        goto L_0x0155;
    L_0x0049:
        r7 = new android.util.ArraySet;	 Catch:{ all -> 0x0158 }
        r7.<init>();	 Catch:{ all -> 0x0158 }
        r8 = r0.size();	 Catch:{ all -> 0x0158 }
        r10 = 0;
    L_0x0053:
        if (r10 >= r8) goto L_0x00e6;
    L_0x0055:
        r11 = new android.util.ArraySet;	 Catch:{ all -> 0x0158 }
        r11.<init>();	 Catch:{ all -> 0x0158 }
        r12 = com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance();	 Catch:{ all -> 0x0158 }
        r13 = r0.get(r10);	 Catch:{ all -> 0x0158 }
        r13 = (java.lang.Integer) r13;	 Catch:{ all -> 0x0158 }
        r13 = r13.intValue();	 Catch:{ all -> 0x0158 }
        r12.getAssocListForPid(r13, r11);	 Catch:{ all -> 0x0158 }
        r12 = r11.size();	 Catch:{ all -> 0x0158 }
        r13 = 0;
    L_0x0070:
        if (r13 >= r12) goto L_0x00de;
    L_0x0072:
        r14 = r11.valueAt(r13);	 Catch:{ all -> 0x0158 }
        r14 = (java.lang.Integer) r14;	 Catch:{ all -> 0x0158 }
        r14 = r14.intValue();	 Catch:{ all -> 0x0158 }
        r15 = java.lang.Integer.valueOf(r14);	 Catch:{ all -> 0x0158 }
        r15 = r2.containsKey(r15);	 Catch:{ all -> 0x0158 }
        if (r15 == 0) goto L_0x00d3;
    L_0x0086:
        r15 = java.lang.Integer.valueOf(r14);	 Catch:{ all -> 0x0158 }
        r15 = r2.get(r15);	 Catch:{ all -> 0x0158 }
        r15 = (java.util.ArrayList) r15;	 Catch:{ all -> 0x0158 }
        r16 = r15.size();	 Catch:{ all -> 0x0158 }
        r17 = r16;
        r16 = 0;
    L_0x0098:
        r18 = r16;
        r6 = r17;
        r9 = r18;
        if (r9 >= r6) goto L_0x00d3;
    L_0x00a0:
        r16 = r15.get(r9);	 Catch:{ all -> 0x0158 }
        r16 = (java.lang.String) r16;	 Catch:{ all -> 0x0158 }
        r20 = r16;
        r21 = r0;
        r0 = "AwareUserHabit";
        r22 = r2;
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0158 }
        r2.<init>();	 Catch:{ all -> 0x0158 }
        r23 = r6;
        r6 = "strong associate app:";
        r2.append(r6);	 Catch:{ all -> 0x0158 }
        r6 = r20;
        r2.append(r6);	 Catch:{ all -> 0x0158 }
        r2 = r2.toString();	 Catch:{ all -> 0x0158 }
        android.rms.iaware.AwareLog.d(r0, r2);	 Catch:{ all -> 0x0158 }
        r5.remove(r6);	 Catch:{ all -> 0x0158 }
        r16 = r9 + 1;
        r0 = r21;
        r2 = r22;
        r17 = r23;
        goto L_0x0098;
    L_0x00d3:
        r21 = r0;
        r22 = r2;
        r13 = r13 + 1;
        r0 = r21;
        r2 = r22;
        goto L_0x0070;
    L_0x00de:
        r21 = r0;
        r22 = r2;
        r10 = r10 + 1;
        goto L_0x0053;
    L_0x00e6:
        r21 = r0;
        r22 = r2;
        r0 = r5.entrySet();	 Catch:{ all -> 0x0158 }
        r0 = r0.iterator();	 Catch:{ all -> 0x0158 }
    L_0x00f2:
        r2 = r0.hasNext();	 Catch:{ all -> 0x0158 }
        if (r2 == 0) goto L_0x011b;
    L_0x00f8:
        r2 = r0.next();	 Catch:{ all -> 0x0158 }
        r2 = (java.util.Map.Entry) r2;	 Catch:{ all -> 0x0158 }
        r6 = r2.getKey();	 Catch:{ all -> 0x0158 }
        r6 = (java.lang.String) r6;	 Catch:{ all -> 0x0158 }
        r9 = android.os.SystemClock.elapsedRealtime();	 Catch:{ all -> 0x0158 }
        r11 = r2.getValue();	 Catch:{ all -> 0x0158 }
        r11 = (java.lang.Long) r11;	 Catch:{ all -> 0x0158 }
        r11 = r11.longValue();	 Catch:{ all -> 0x0158 }
        r9 = r9 - r11;
        r11 = (r9 > r3 ? 1 : (r9 == r3 ? 0 : -1));
        if (r11 < 0) goto L_0x011a;
    L_0x0117:
        r7.add(r6);	 Catch:{ all -> 0x0158 }
    L_0x011a:
        goto L_0x00f2;
    L_0x011b:
        r2 = r7.size();	 Catch:{ all -> 0x0158 }
        if (r2 <= 0) goto L_0x0143;
    L_0x0121:
        r6 = r1.mAwareUserHabitRadar;	 Catch:{ all -> 0x0158 }
        if (r6 == 0) goto L_0x0143;
    L_0x0125:
        r6 = r1.mAwareUserHabitRadar;	 Catch:{ all -> 0x0158 }
        r9 = "habit_kill";
        r10 = 0;
        r6.insertStatisticData(r9, r10, r2);	 Catch:{ all -> 0x0158 }
        r6 = "AwareUserHabit";
        r9 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0158 }
        r9.<init>();	 Catch:{ all -> 0x0158 }
        r10 = "recognizeLongTimeRunningApps  num:";
        r9.append(r10);	 Catch:{ all -> 0x0158 }
        r9.append(r2);	 Catch:{ all -> 0x0158 }
        r9 = r9.toString();	 Catch:{ all -> 0x0158 }
        android.rms.iaware.AwareLog.d(r6, r9);	 Catch:{ all -> 0x0158 }
    L_0x0143:
        if (r2 <= 0) goto L_0x014d;
    L_0x0145:
        r6 = new java.util.ArrayList;	 Catch:{ all -> 0x0158 }
        r6.<init>(r7);	 Catch:{ all -> 0x0158 }
        r19 = r6;
        goto L_0x014f;
    L_0x014d:
        r19 = 0;
    L_0x014f:
        monitor-exit(r24);
        return r19;
    L_0x0151:
        r21 = r0;
        r22 = r2;
    L_0x0155:
        monitor-exit(r24);
        r0 = 0;
        return r0;
    L_0x0158:
        r0 = move-exception;
        monitor-exit(r24);
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.algorithm.AwareUserHabit.recognizeLongTimeRunningApps():java.util.List<java.lang.String>");
    }

    private java.util.Map<java.lang.String, java.lang.Long> getLongTimeRunningPkgs(java.util.List<java.lang.Integer> pidList, long bgtime) {
        if (this.mAwareUserHabitAlgorithm != null) {
            if (this.mAwareHSMListHandler != null) {
                java.util.Map<java.lang.String, java.lang.Long> lruPkgMap = this.mAwareUserHabitAlgorithm.getLongTimePkgsFromLru(bgtime);
                if (lruPkgMap == null) {
                    return null;
                }
                java.util.Map<java.lang.String, java.lang.Long> ltrPkgs = new android.util.ArrayMap();
                java.util.List<java.lang.Integer> rulist = new java.util.ArrayList();
                java.util.Set<java.lang.String> filterSet = this.mAwareHSMListHandler.getProtectSet();
                android.rms.iaware.AppTypeRecoManager recomanger = android.rms.iaware.AppTypeRecoManager.getInstance();
                int pidListSize = pidList.size();
                for (int i = 0; i < pidListSize; i++) {
                    java.lang.String pkg = com.android.server.mtm.utils.InnerUtils.getAwarePkgName(((java.lang.Integer) pidList.get(i)).intValue());
                    if (filterSet.contains(pkg)) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("hsm filter set pkg:");
                        stringBuilder.append(pkg);
                        android.rms.iaware.AwareLog.d("AwareUserHabit", stringBuilder.toString());
                    } else if (pkg == null || !lruPkgMap.containsKey(pkg)) {
                        rulist.add((java.lang.Integer) pidList.get(i));
                    } else {
                        int type = recomanger.getAppType(pkg);
                        if (!(5 == type || 2 == type || 310 == type || 301 == type)) {
                            ltrPkgs.put(pkg, (java.lang.Long) lruPkgMap.get(pkg));
                        }
                    }
                }
                pidList.clear();
                pidList.addAll(rulist);
                return ltrPkgs;
            }
        }
        return null;
    }

    private void getRunningPidInfo(java.util.List<java.lang.Integer> pidList, java.util.Map<java.lang.Integer, java.util.ArrayList<java.lang.String>> pidToPkgMap) {
        java.util.ArrayList<com.android.server.mtm.taskstatus.ProcessInfo> procList = com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance().getProcessInfoList();
        int procListSize = procList.size();
        for (int i = 0; i < procListSize; i++) {
            com.android.server.mtm.taskstatus.ProcessInfo process = (com.android.server.mtm.taskstatus.ProcessInfo) procList.get(i);
            if (process != null && android.os.UserHandle.getAppId(process.mAppUid) > 10000) {
                int pid = java.lang.Integer.valueOf(process.mPid).intValue();
                java.util.ArrayList<java.lang.String> plist = new java.util.ArrayList();
                plist.addAll(process.mPackageName);
                pidToPkgMap.put(java.lang.Integer.valueOf(pid), plist);
                pidList.add(java.lang.Integer.valueOf(pid));
            }
        }
    }

    public java.util.List<java.lang.String> getMostFrequentUsedApp(int n, int minCount) {
        android.rms.iaware.AwareLog.i("AwareUserHabit", "getMostFrequentUsedApp is called");
        if (this.mAwareUserHabitAlgorithm == null || n <= 0) {
            return null;
        }
        return this.mAwareUserHabitAlgorithm.getMostFrequentUsedApp(n, minCount, null);
    }

    public java.util.List<java.lang.String> getMostFreqAppByType(int appType, int appNum) {
        if (this.mAwareUserHabitAlgorithm == null) {
            return null;
        }
        if (appNum == -1) {
            int i = 3;
            int i2 = 2;
            if (appType == 0) {
                if (this.mIsLowEnd) {
                    i = 2;
                }
                appNum = i;
            } else if (1 == appType) {
                if (this.mIsLowEnd) {
                    i2 = 1;
                }
                appNum = i2;
            } else if (11 == appType) {
                if (!this.mIsLowEnd) {
                    i = 5;
                }
                appNum = i;
            } else if (34 == appType) {
                appNum = 3;
            }
        }
        if (appNum <= 0) {
            return null;
        }
        return this.mAwareUserHabitAlgorithm.getMostFreqAppByType(appType, appNum);
    }

    public java.util.List<java.lang.String> getHabitProtectList(int emailCount, int imCount) {
        if (imCount > 0 && emailCount > 0) {
            if (this.mAwareUserHabitAlgorithm != null) {
                return this.mAwareUserHabitAlgorithm.getHabitProtectList(emailCount, imCount);
            }
        }
        return null;
    }

    public java.util.List<java.lang.String> getHabitProtectListAll(int emailCount, int imCount) {
        if (imCount > 0 && emailCount > 0) {
            if (this.mAwareUserHabitAlgorithm != null) {
                return this.mAwareUserHabitAlgorithm.getHabitProtectAppsAll(emailCount, imCount);
            }
        }
        return null;
    }

    public java.util.List<java.lang.String> getTopN(int n) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getTopN is called n:");
        stringBuilder.append(n);
        android.rms.iaware.AwareLog.d("AwareUserHabit", stringBuilder.toString());
        if (n <= 0) {
            return null;
        }
        java.util.List<java.lang.String> list = null;
        if (this.mIsNewAlgorithmSwitched) {
            n = this.mDynamicTopN > n ? n : this.mDynamicTopN;
            list = new java.util.ArrayList(n);
            synchronized (this.mUserTrackListVer2) {
                java.util.Iterator it = new java.util.ArrayList(this.mUserTrackListVer2.entrySet()).iterator();
                while (it.hasNext()) {
                    java.util.Map.Entry<java.lang.String, java.lang.Integer> entry = (java.util.Map.Entry) it.next();
                    if (n == 0) {
                        break;
                    }
                    list.add((java.lang.String) entry.getKey());
                    n--;
                }
            }
        } else if (this.mAwareUserHabitAlgorithm != null) {
            list = this.mAwareUserHabitAlgorithm.getTopN(n);
        }
        return list;
    }

    public java.util.Set<java.lang.String> getFilterApp() {
        if (this.mAwareUserHabitAlgorithm != null) {
            return this.mAwareUserHabitAlgorithm.getFilterApp();
        }
        return null;
    }

    public java.util.Map<java.lang.Integer, java.lang.Integer> getTopList(java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> appProcesses) {
        android.rms.iaware.AwareLog.i("AwareUserHabit", "getTopList is called");
        if (appProcesses == null) {
            return null;
        }
        return getUserTopList(appProcesses);
    }

    private java.util.Map<java.lang.Integer, java.lang.Integer> getUserTopList(java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> appProcesses) {
        java.util.List<java.util.Map.Entry<java.lang.Integer, java.lang.Integer>> list = new java.util.ArrayList();
        android.util.ArrayMap<java.lang.Integer, java.lang.Integer> map = new android.util.ArrayMap();
        sortPidByPkgs(list, appProcesses);
        int listSize = list.size();
        for (int i = 0; i < listSize; i++) {
            java.util.Map.Entry<java.lang.Integer, java.lang.Integer> entry = (java.util.Map.Entry) list.get(i);
            map.put(java.lang.Integer.valueOf(((java.lang.Integer) entry.getKey()).intValue()), java.lang.Integer.valueOf(((java.lang.Integer) entry.getValue()).intValue()));
        }
        return map;
    }

    public void reportHabitData(android.os.Bundle bdl) {
        if (bdl != null) {
            int topN = bdl.getInt("dynamicTopN", -1);
            if (topN >= 0) {
                this.mDynamicTopN = topN;
            }
            java.util.List<java.lang.String> sortedAppList = bdl.getStringArrayList("predictSorted");
            if (sortedAppList != null) {
                setTopList(sortedAppList);
                return;
            }
            java.util.List<java.lang.String> smallSampleList = bdl.getStringArrayList("SmallSampleList");
            if (smallSampleList != null) {
                com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().setSmallSampleList(smallSampleList);
                return;
            }
            if (bdl.getBoolean("predictV2Off", false)) {
                this.mIsNewAlgorithmSwitched = false;
            }
        }
    }

    private void setTopList(java.util.List<java.lang.String> topList) {
        if (topList != null) {
            synchronized (this.mUserTrackListVer2) {
                this.mUserTrackListVer2.clear();
                int topListSize = topList.size();
                for (int i = 0; i < topListSize; i++) {
                    this.mUserTrackListVer2.put((java.lang.String) topList.get(i), java.lang.Integer.valueOf(i + 1));
                }
            }
            this.mIsNewAlgorithmSwitched = true;
        }
    }

    private java.util.Map<java.lang.String, java.lang.Integer> getUserTrackListVer2() {
        java.util.LinkedHashMap<java.lang.String, java.lang.Integer> result = new java.util.LinkedHashMap();
        synchronized (this.mUserTrackListVer2) {
            result.putAll(this.mUserTrackListVer2);
        }
        return result;
    }

    public java.util.Map<java.lang.String, java.lang.Integer> getAllTopList() {
        if (this.mIsNewAlgorithmSwitched) {
            return getUserTrackListVer2();
        }
        return this.mAwareUserHabitAlgorithm.getUserTrackList();
    }

    private void sortPidByPkgs(java.util.List<java.util.Map.Entry<java.lang.Integer, java.lang.Integer>> list, java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> appProcesses) {
        if (this.mAwareUserHabitAlgorithm != null) {
            java.util.Map<java.lang.String, java.lang.Integer> result;
            if (this.mIsNewAlgorithmSwitched) {
                result = getUserTrackListVer2();
            } else {
                result = this.mAwareUserHabitAlgorithm.getUserTrackList();
            }
            for (java.util.Map.Entry<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessInfo> entry : appProcesses.entrySet()) {
                com.android.server.mtm.iaware.appmng.AwareProcessInfo info = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) entry.getValue();
                if (this.mUserId.get() == android.os.UserHandle.getUserId(info.mProcInfo.mUid)) {
                    java.util.ArrayList<java.lang.String> pkgList = info.mProcInfo.mPackageName;
                    int pid = info.mPid;
                    int j = 0;
                    if (pkgList.size() != 1) {
                        int index = -1;
                        int pkgListSize = pkgList.size();
                        while (j < pkgListSize) {
                            if (result.containsKey(pkgList.get(j))) {
                                if (index == -1) {
                                    index = ((java.lang.Integer) result.get(pkgList.get(j))).intValue();
                                } else {
                                    int order = ((java.lang.Integer) result.get(pkgList.get(j))).intValue();
                                    if (order < index) {
                                        index = order;
                                    }
                                }
                            }
                            j++;
                        }
                        if (index != -1) {
                            list.add(new java.util.AbstractMap.SimpleEntry(java.lang.Integer.valueOf(pid), java.lang.Integer.valueOf(index)));
                        }
                    } else if (result.containsKey(pkgList.get(0))) {
                        list.add(new java.util.AbstractMap.SimpleEntry(java.lang.Integer.valueOf(pid), result.get(pkgList.get(0))));
                    }
                }
            }
        }
    }

    public void report(int eventId, android.os.Bundle args) {
        if (mEnabled) {
            if (args != null) {
                android.os.Message msg = this.mHandler.obtainMessage();
                msg.what = 2;
                msg.arg1 = eventId;
                msg.setData(args);
                this.mHandler.sendMessage(msg);
            }
        }
    }

    public void reportScreenState(int state) {
        if (state == android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_OFF.ordinal()) {
            android.os.Message msg = this.mHandler.obtainMessage();
            msg.what = 4;
            msg.arg1 = 7;
            this.mHandler.sendMessage(msg);
        }
    }

    private void registerObserver() {
        try {
            android.app.ActivityManagerNative.getDefault().registerProcessObserver(this.mProcessObserver);
        } catch (android.os.RemoteException e) {
            android.rms.iaware.AwareLog.d("AwareUserHabit", "AwareUserHabit register process observer failed");
        }
        try {
            android.app.ActivityManagerNative.getDefault().registerUserSwitchObserver(this.mUserSwitchObserver, "AwareUserHabit");
        } catch (android.os.RemoteException e2) {
            android.rms.iaware.AwareLog.e("AwareUserHabit", "AwareUserHabit registerUserSwitchObserver failed!");
        }
    }

    private void unregisterObserver() {
        try {
            android.app.ActivityManagerNative.getDefault().unregisterProcessObserver(this.mProcessObserver);
        } catch (android.os.RemoteException e) {
            android.rms.iaware.AwareLog.d("AwareUserHabit", "AwareUserHabit unregister process observer failed");
        }
        try {
            android.app.ActivityManagerNative.getDefault().unregisterUserSwitchObserver(this.mUserSwitchObserver);
        } catch (android.os.RemoteException e2) {
            android.rms.iaware.AwareLog.e("AwareUserHabit", "AwareUserHabit unregisterProcessObserver failed!");
        }
    }

    private void setUserId(int userId) {
        if (this.mAwareHSMListHandler != null) {
            this.mAwareHSMListHandler.setUserId(userId);
        }
        if (this.mAwareUserHabitAlgorithm != null) {
            this.mAwareUserHabitAlgorithm.setUserId(userId);
        }
    }

    public void registHabitProtectListChangeListener(com.android.server.rms.algorithm.AwareUserHabitAlgorithm.HabitProtectListChangeListener listener) {
        if (this.mAwareUserHabitAlgorithm != null) {
            this.mAwareUserHabitAlgorithm.registHabitProtectListChangeListener(listener);
        }
    }

    public void unregistHabitProtectListChangeListener(com.android.server.rms.algorithm.AwareUserHabitAlgorithm.HabitProtectListChangeListener listener) {
        if (this.mAwareUserHabitAlgorithm != null) {
            this.mAwareUserHabitAlgorithm.unregistHabitProtectListChangeListener(listener);
        }
    }

    public java.util.List<java.lang.String> queryHabitProtectAppList(int imCount, int emailCount) {
        if (this.mAwareUserHabitAlgorithm != null) {
            return this.mAwareUserHabitAlgorithm.queryHabitProtectAppList(imCount, emailCount);
        }
        return null;
    }

    public java.util.List<java.lang.String> getGCMAppList() {
        if (this.mAwareUserHabitAlgorithm != null) {
            return this.mAwareUserHabitAlgorithm.getGCMAppsList();
        }
        return null;
    }

    public void dumpHabitProtectList(java.io.PrintWriter pw) {
        if (this.mAwareUserHabitAlgorithm != null) {
            this.mAwareUserHabitAlgorithm.dumpHabitProtectList(pw);
        }
    }

    public java.util.ArrayList<android.rms.iaware.StatisticsData> getStatisticsData() {
        java.util.ArrayList<android.rms.iaware.StatisticsData> tempList = new java.util.ArrayList();
        if (this.mAwareUserHabitRadar != null) {
            java.util.ArrayList<android.rms.iaware.StatisticsData> list = this.mAwareUserHabitRadar.getStatisticsData();
            if (list != null) {
                tempList.addAll(list);
            }
        }
        return tempList;
    }
}
