package com.android.server.rms.algorithm;

class AwareUserHabitRadar {
    static final int APPMNG_FEATURE_ID = android.rms.iaware.AwareConstant.FeatureType.getFeatureId(android.rms.iaware.AwareConstant.FeatureType.FEATURE_APPMNG);
    static final int STATISTIC_DATA_TYPE = 1;
    static final java.lang.String SUBTYPE_HABIT_KILL = "habit_kill";
    static final java.lang.String SUBTYPE_HABIT_PREDICT = "habit-predict";
    private long mStartTime = 0;
    private java.util.ArrayList<android.rms.iaware.StatisticsData> mStatisticsData = new java.util.ArrayList();

    protected AwareUserHabitRadar() {
    }

    protected AwareUserHabitRadar(long startTime) {
        this.mStartTime = startTime;
    }

    protected java.util.ArrayList<android.rms.iaware.StatisticsData> getStatisticsData() {
        synchronized (this.mStatisticsData) {
            if (this.mStatisticsData.isEmpty()) {
                return null;
            }
            java.util.ArrayList<android.rms.iaware.StatisticsData> tempList = new java.util.ArrayList();
            int size = this.mStatisticsData.size();
            for (int i = 0; i < size; i++) {
                android.rms.iaware.StatisticsData tempSd = (android.rms.iaware.StatisticsData) this.mStatisticsData.get(i);
                tempList.add(new android.rms.iaware.StatisticsData(tempSd.getFeatureId(), tempSd.getType(), tempSd.getSubType(), tempSd.getOccurCount(), tempSd.getTotalTime(), tempSd.getEffect(), tempSd.getStartTime(), tempSd.getEndTime()));
            }
            clearArrayList();
            return tempList;
        }
    }

    protected void insertStatisticData(java.lang.String subtype, int exetime, int effect) {
        java.lang.Throwable th;
        synchronized (this.mStatisticsData) {
            try {
                int size = this.mStatisticsData.size();
                long now = java.lang.System.currentTimeMillis();
                for (int i = 0; i < size; i++) {
                    android.rms.iaware.StatisticsData data = (android.rms.iaware.StatisticsData) this.mStatisticsData.get(i);
                    if (data.getSubType().equals(subtype)) {
                        data.setTotalTime(data.getTotalTime() + exetime);
                        data.setOccurCount(data.getOccurCount() + 1);
                        data.setEffect(data.getEffect() + effect);
                        data.setEndTime(now);
                        return;
                    }
                }
                this.mStatisticsData.add(new android.rms.iaware.StatisticsData(APPMNG_FEATURE_ID, 1, subtype, 1, exetime, effect, this.mStartTime, now));
            } catch (Throwable th2) {
                th = th2;
                throw th;
            }
        }
    }

    private void clearArrayList() {
        synchronized (this.mStatisticsData) {
            if (this.mStatisticsData.isEmpty()) {
                return;
            }
            java.util.Iterator<android.rms.iaware.StatisticsData> it = this.mStatisticsData.iterator();
            long now = java.lang.System.currentTimeMillis();
            while (it.hasNext()) {
                android.rms.iaware.StatisticsData tempSd = (android.rms.iaware.StatisticsData) it.next();
                tempSd.setOccurCount(0);
                tempSd.setTotalTime(0);
                tempSd.setEffect(0);
                tempSd.setStartTime(now);
                tempSd.setEndTime(now);
            }
        }
    }
}
