package com.android.server.rms.collector;

public final class ProcMemInfoReader {
    private static final java.lang.String TAG = "RMS.ProcMemInfoReader";

    public long getProcessPss(java.lang.String procName) {
        return getProcessPssByPID(getPidForProcName(new java.lang.String[]{procName}));
    }

    public long getProcessPssByPID(int pid) {
        if (pid <= 0) {
            return 0;
        }
        try {
            return android.os.Process.getPss(pid) / 1024;
        } catch (java.lang.Exception e) {
            android.util.Log.w("RMS.ProcMemInfoReader", e);
            return 0;
        } catch (Throwable th) {
            return 0;
        }
    }

    public int getPidForProcName(java.lang.String[] procName) {
        int pid = 0;
        if (procName == null) {
            return pid;
        }
        try {
            int[] pids = android.os.Process.getPidsForCommands(procName);
            if (pids == null || pids.length <= 0) {
                return pid;
            }
            return pids[0];
        } catch (java.lang.Exception e) {
            android.util.Log.w("RMS.ProcMemInfoReader", e);
            return pid;
        } catch (Throwable th) {
            return pid;
        }
    }
}
