package com.android.server.rms.config;

public final class HwConfigReader {
    private static java.lang.String CONFIG_CLOUD_UPDATE_FILEPATH = "/data/system/iaware/iaware_srms_config.xml";
    private static java.lang.String CONFIG_CUST_FILEPATH = "/data/cust/xml/HwResourceManager.xml";
    private static java.lang.String CONFIG_DEFAULT_FILEPATH = "/system/etc/HwResourceManager.xml";
    private static final boolean DEBGU_XML_PARSE = android.rms.utils.Utils.DEBUG;
    public static final int FILE_LOCATION_CLOUD = 0;
    public static final int FILE_LOCATION_LOCAL = 1;
    private static final java.lang.String TAG = "RMS.HwConfigReader";
    private static final java.lang.String XML_ATTR_BETA_COUNT_INTERVAL = "beta_count_interval";
    private static final java.lang.String XML_ATTR_CONTENT = "content";
    private static final java.lang.String XML_ATTR_COUNT_INTERVAL = "count_interval";
    private static final java.lang.String XML_ATTR_ID = "id";
    private static final java.lang.String XML_ATTR_IS_COUNT = "isCount";
    private static final java.lang.String XML_ATTR_LOOP_INTERVAL = "loop_interval";
    private static final java.lang.String XML_ATTR_NAME = "name";
    private static final java.lang.String XML_ATTR_NORMAL = "normal";
    private static final java.lang.String XML_ATTR_RES_MAX_PEROID = "resource_max_peroid";
    private static final java.lang.String XML_ATTR_RES_STRATEGY = "resource_strategy";
    private static final java.lang.String XML_ATTR_RES_THRESHOLD = "resource_threshold";
    private static final java.lang.String XML_ATTR_SAMPLE_BASE_PEROID = "base_peroid";
    private static final java.lang.String XML_ATTR_SAMPLE_CYCLE_NUM = "cycle_num";
    private static final java.lang.String XML_ATTR_SAVE_INTERVAL = "save_interval";
    private static final java.lang.String XML_ATTR_TOTAL_LOOP_INTERVAL = "total_loop_interval";
    private static final java.lang.String XML_ATTR_URGENT = "urgent";
    private static final java.lang.String XML_ATTR_VALUE = "value";
    private static final java.lang.String XML_ATTR_WARNING = "warning";
    private static final java.lang.String XML_ATTR__MAX_KEEP_FILES = "max_keep_files";
    private static final java.lang.String XML_TAG_GROUP = "group";
    private static final java.lang.String XML_TAG_LEVEL = "level";
    private static final java.lang.String XML_TAG_RESOURCE = "resource";
    private static final java.lang.String XML_TAG_STATISTIC = "statistic";
    private static final java.lang.String XML_TAG_SUBTYPE = "subType";
    private static final java.lang.String XML_TAG_WHITELIST = "whitelist";
    private int mBetaCountInterval = -1;
    private java.util.ArrayList<java.lang.Integer> mCountGroupID = new java.util.ArrayList();
    private int mCountInterval = -1;
    private java.util.HashMap<java.lang.Integer, com.android.server.rms.config.HwConfigReader.Group> mDynamicGoups = new java.util.HashMap();
    private java.util.HashMap<java.lang.Integer, com.android.server.rms.config.HwConfigReader.Group> mGoups = new java.util.HashMap();
    private int mMaxKeepFiles = -1;
    private int mSampleBasePeriod = -1;
    private int mSaveInterval = -1;

    private static class Group {
        public final int mID;
        public final boolean mIsCount;
        public final java.lang.String mName;
        private final java.util.HashMap<java.lang.Integer, android.rms.config.ResourceConfig> mResConfigs = new java.util.HashMap();
        public final int mSampleCycleNum;
        private final java.util.HashMap<java.lang.Integer, com.android.server.rms.config.HwConfigReader.SubType> mSubTypes = new java.util.HashMap();
        private final java.util.HashMap<java.lang.Integer, com.android.server.rms.config.HwConfigReader.WhiteList> mWhiteLists = new java.util.HashMap();

        Group(int id, java.lang.String name, int sampleCycleNum, boolean isCount) {
            this.mID = id;
            this.mName = name;
            this.mSampleCycleNum = sampleCycleNum;
            this.mIsCount = isCount;
        }

        public void addSubTypeItem(int id, com.android.server.rms.config.HwConfigReader.SubType subType) {
            if (this.mSubTypes != null) {
                this.mSubTypes.put(java.lang.Integer.valueOf(id), subType);
            }
        }

        public void addResConfigItem(int id, android.rms.config.ResourceConfig config) {
            if (this.mResConfigs != null) {
                this.mResConfigs.put(java.lang.Integer.valueOf(id), config);
            }
        }

        public void setWhiteList(java.lang.Integer type, com.android.server.rms.config.HwConfigReader.WhiteList whiteList) {
            this.mWhiteLists.put(type, whiteList);
        }

        public java.util.HashMap<java.lang.Integer, com.android.server.rms.config.HwConfigReader.SubType> getSubTypes() {
            return this.mSubTypes;
        }

        public java.util.HashMap<java.lang.Integer, android.rms.config.ResourceConfig> getResConfigs() {
            return this.mResConfigs;
        }

        public java.lang.String getWhiteList() {
            return getWhiteList(java.lang.Integer.valueOf(0));
        }

        public java.lang.String getWhiteList(java.lang.Integer type) {
            com.android.server.rms.config.HwConfigReader.WhiteList whiteList = (com.android.server.rms.config.HwConfigReader.WhiteList) this.mWhiteLists.get(type);
            if (whiteList != null) {
                return whiteList.getWhiteList();
            }
            return "";
        }
    }

    private static class SubType {
        public final int mID;
        private final java.util.ArrayList<java.lang.Integer> mLevels = new java.util.ArrayList();
        public final int mLoopInterval;
        public final java.lang.String mName;
        public final int mNormalThreshold;
        public final int mResourceMaxPeroid;
        public final int mResourceStrategy;
        public final int mResourceThreshold;
        public final int mTotalLoopInterval;
        public final int mUrgentThreshold;
        public final int mWarningThreshold;

        SubType(int id, java.lang.String name, int resourceThreshold, int resourceStrategy, int resourceMaxPeroid, int loopInterval, int normalThreshold, int warningThreshold, int urgentThreshold, int totalLoopInterval) {
            this.mID = id;
            this.mName = name;
            this.mResourceThreshold = resourceThreshold;
            this.mResourceStrategy = resourceStrategy;
            this.mResourceMaxPeroid = resourceMaxPeroid;
            this.mLoopInterval = loopInterval;
            this.mNormalThreshold = normalThreshold;
            this.mWarningThreshold = warningThreshold;
            this.mUrgentThreshold = urgentThreshold;
            this.mTotalLoopInterval = totalLoopInterval;
        }

        public void addItem(int level) {
            this.mLevels.add(java.lang.Integer.valueOf(level));
        }

        public java.util.ArrayList<java.lang.Integer> getLevels() {
            return this.mLevels;
        }
    }

    private static class WhiteList {
        private final java.lang.String mContent;
        private final java.lang.String mName;

        WhiteList(java.lang.String name, java.lang.String content) {
            this.mName = name;
            this.mContent = content;
        }

        public java.lang.String getWhiteList() {
            return this.mContent;
        }

        public java.lang.String getWhiteListName() {
            return this.mName;
        }
    }

    public boolean updateResConfig(android.content.Context context) {
        this.mDynamicGoups.clear();
        boolean isLoadSuccess = parseConfig(context, 0);
        if (android.rms.utils.Utils.DEBUG || android.util.Log.HWLog) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("updateResConfig() isLoadSuccess:");
            stringBuilder.append(isLoadSuccess);
            android.util.Log.d("RMS.HwConfigReader", stringBuilder.toString());
        }
        return isLoadSuccess;
    }

    public boolean loadResConfig(android.content.Context context) {
        boolean isDynamicLoadSuccess = parseConfig(context, 0);
        boolean isStaticLoadSuccess = parseConfig(context, 1);
        if (android.rms.utils.Utils.DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("loadResConfig dynamicLoad:");
            stringBuilder.append(isDynamicLoadSuccess);
            stringBuilder.append(", staticLoad:");
            stringBuilder.append(isStaticLoadSuccess);
            android.util.Log.d("RMS.HwConfigReader", stringBuilder.toString());
        }
        if (!isDynamicLoadSuccess) {
            if (!isStaticLoadSuccess) {
                return false;
            }
        }
        return true;
    }

    public boolean parseConfig(android.content.Context context, int fileLocation) {
        if (context == null) {
            android.util.Log.e("RMS.HwConfigReader", "Context is null while parsing config file of RMS");
            return false;
        }
        java.io.File fileForParse;
        if (fileLocation == 0) {
            fileForParse = new java.io.File(CONFIG_CLOUD_UPDATE_FILEPATH);
        } else {
            fileForParse = new java.io.File(CONFIG_CUST_FILEPATH);
        }
        java.io.InputStream is = null;
        com.android.server.rms.config.HwConfigReader.Group group = null;
        com.android.server.rms.config.HwConfigReader.SubType subType = null;
        boolean ret = true;
        try {
            if (fileForParse.exists()) {
                is = new java.io.FileInputStream(fileForParse);
            } else if (fileLocation != 0) {
                is = new java.io.FileInputStream(new java.io.File(CONFIG_DEFAULT_FILEPATH));
            }
            is = android.rms.iaware.IAwareDecrypt.decryptInputStream(context, is);
            if (is == null) {
                ret = false;
            }
            if (ret) {
                org.xmlpull.v1.XmlPullParser parser = android.util.Xml.newPullParser();
                parser.setInput(is, null);
                com.android.internal.util.XmlUtils.beginDocument(parser, "resource");
                while (true) {
                    com.android.internal.util.XmlUtils.nextElement(parser);
                    java.lang.String element = parser.getName();
                    if (DEBGU_XML_PARSE) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("[res count] element:");
                        stringBuilder.append(element);
                        android.util.Log.d("RMS.HwConfigReader", stringBuilder.toString());
                    }
                    if (element == null) {
                        break;
                    }
                    if ("statistic".equals(element)) {
                        parseNodeStatistic(parser, fileLocation);
                    }
                    int level;
                    if ("group".equals(element)) {
                        group = parseNodeGroup(parser, fileLocation);
                    } else if ("subType".equals(element)) {
                        subType = parseNodeSubType(parser, group);
                    } else if ("level".equals(element)) {
                        level = com.android.internal.util.XmlUtils.readIntAttribute(parser, "value", 0);
                        if (subType != null) {
                            subType.addItem(level);
                        }
                        if (DEBGU_XML_PARSE) {
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("[res count] level: ");
                            stringBuilder2.append(level);
                            android.util.Log.d("RMS.HwConfigReader", stringBuilder2.toString());
                        }
                    } else if ("whitelist".equals(element)) {
                        level = com.android.internal.util.XmlUtils.readIntAttribute(parser, "id", 0);
                        java.lang.String name = com.android.internal.util.XmlUtils.readStringAttribute(parser, "name");
                        java.lang.String content = com.android.internal.util.XmlUtils.readStringAttribute(parser, "content");
                        if (name == null) {
                            name = "";
                        }
                        if (!(content == null || group == null)) {
                            group.setWhiteList(java.lang.Integer.valueOf(level), new com.android.server.rms.config.HwConfigReader.WhiteList(name, content));
                        }
                    }
                }
            }
            if (is != null) {
                try {
                    is.close();
                } catch (java.io.IOException e) {
                }
            }
            if (android.rms.utils.Utils.DEBUG) {
                dump();
            }
            return ret;
        } catch (java.lang.Exception e2) {
            android.util.Log.e("RMS.HwConfigReader", "[res count] read xml failed.", e2);
            if (is != null) {
                try {
                    is.close();
                } catch (java.io.IOException e3) {
                }
            }
            return false;
        } catch (Throwable th) {
            if (is != null) {
                try {
                    is.close();
                } catch (java.io.IOException e4) {
                }
            }
        }
    }

    private void parseNodeStatistic(org.xmlpull.v1.XmlPullParser parser, int fileLocation) {
        if (fileLocation != 0) {
            this.mSampleBasePeriod = com.android.internal.util.XmlUtils.readIntAttribute(parser, "base_peroid", -1);
            this.mSaveInterval = com.android.internal.util.XmlUtils.readIntAttribute(parser, "save_interval", -1);
            this.mCountInterval = com.android.internal.util.XmlUtils.readIntAttribute(parser, "count_interval", -1);
            this.mBetaCountInterval = com.android.internal.util.XmlUtils.readIntAttribute(parser, "beta_count_interval", this.mCountInterval);
            this.mMaxKeepFiles = com.android.internal.util.XmlUtils.readIntAttribute(parser, "max_keep_files", -1);
            if (DEBGU_XML_PARSE) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("[res count] save intervel:");
                stringBuilder.append(this.mSaveInterval);
                stringBuilder.append(" count intervel(minutes):");
                stringBuilder.append(this.mCountInterval);
                stringBuilder.append(" sample base period:");
                stringBuilder.append(this.mSampleBasePeriod);
                stringBuilder.append(" Beta Count Interval (minutes):");
                stringBuilder.append(this.mBetaCountInterval);
                stringBuilder.append(" max keep files:");
                stringBuilder.append(this.mMaxKeepFiles);
                android.util.Log.d("RMS.HwConfigReader", stringBuilder.toString());
            }
        }
    }

    private com.android.server.rms.config.HwConfigReader.Group parseNodeGroup(org.xmlpull.v1.XmlPullParser parser, int fileLocation) {
        int id = com.android.internal.util.XmlUtils.readIntAttribute(parser, "id", -1);
        java.lang.String name = com.android.internal.util.XmlUtils.readStringAttribute(parser, "name");
        int cycleNum = com.android.internal.util.XmlUtils.readIntAttribute(parser, "cycle_num", -1);
        boolean isCount = com.android.internal.util.XmlUtils.readBooleanAttribute(parser, "isCount", false);
        com.android.server.rms.config.HwConfigReader.Group group = new com.android.server.rms.config.HwConfigReader.Group(id, name, cycleNum, isCount);
        if (fileLocation == 0) {
            this.mDynamicGoups.put(java.lang.Integer.valueOf(id), group);
        } else {
            this.mGoups.put(java.lang.Integer.valueOf(id), group);
        }
        if (isCount && fileLocation == 1) {
            this.mCountGroupID.add(java.lang.Integer.valueOf(id));
        }
        if (DEBGU_XML_PARSE) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("[res count] group: ");
            stringBuilder.append(id);
            stringBuilder.append(" name: ");
            stringBuilder.append(name);
            stringBuilder.append(" cycle_num: ");
            stringBuilder.append(cycleNum);
            stringBuilder.append(" isCount: ");
            stringBuilder.append(isCount);
            android.util.Log.d("RMS.HwConfigReader", stringBuilder.toString());
        }
        return group;
    }

    private com.android.server.rms.config.HwConfigReader.SubType parseNodeSubType(org.xmlpull.v1.XmlPullParser parser, com.android.server.rms.config.HwConfigReader.Group group) {
        org.xmlpull.v1.XmlPullParser xmlPullParser = parser;
        com.android.server.rms.config.HwConfigReader.Group group2 = group;
        int id = com.android.internal.util.XmlUtils.readIntAttribute(xmlPullParser, "id", -1);
        java.lang.String name = com.android.internal.util.XmlUtils.readStringAttribute(xmlPullParser, "name");
        int resourceThreshold = com.android.internal.util.XmlUtils.readIntAttribute(xmlPullParser, "resource_threshold", -1);
        int resourceStrategy = com.android.internal.util.XmlUtils.readIntAttribute(xmlPullParser, "resource_strategy", -1);
        int resourceMaxPeroid = com.android.internal.util.XmlUtils.readIntAttribute(xmlPullParser, "resource_max_peroid", -1);
        int loopInterval = com.android.internal.util.XmlUtils.readIntAttribute(xmlPullParser, "loop_interval", -1);
        int normalThreshold = com.android.internal.util.XmlUtils.readIntAttribute(xmlPullParser, "normal", -1);
        int warningThreshold = com.android.internal.util.XmlUtils.readIntAttribute(xmlPullParser, "warning", -1);
        int urgentThreshold = com.android.internal.util.XmlUtils.readIntAttribute(xmlPullParser, "urgent", -1);
        int totalLoopInterval = com.android.internal.util.XmlUtils.readIntAttribute(xmlPullParser, "total_loop_interval", -1);
        int urgentThreshold2 = urgentThreshold;
        int warningThreshold2 = warningThreshold;
        int normalThreshold2 = normalThreshold;
        int loopInterval2 = loopInterval;
        int resourceMaxPeroid2 = resourceMaxPeroid;
        int resourceStrategy2 = resourceStrategy;
        int resourceThreshold2 = resourceThreshold;
        com.android.server.rms.config.HwConfigReader.SubType subType = new com.android.server.rms.config.HwConfigReader.SubType(id, name, resourceThreshold, resourceStrategy, resourceMaxPeroid, loopInterval, normalThreshold2, warningThreshold2, urgentThreshold2, totalLoopInterval);
        if (group2 != null) {
            group2.addSubTypeItem(id, subType);
        }
        com.android.server.rms.config.HwConfigReader.SubType subType2 = subType;
        android.rms.config.ResourceConfig config = new android.rms.config.ResourceConfig(id, resourceThreshold2, resourceStrategy2, resourceMaxPeroid2, loopInterval2, name, normalThreshold2, warningThreshold2, urgentThreshold2, totalLoopInterval);
        if (group2 != null) {
            group2.addResConfigItem(id, config);
        }
        if (DEBGU_XML_PARSE) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("[res count] subType: ");
            stringBuilder.append(id);
            stringBuilder.append(" name: ");
            stringBuilder.append(name);
            stringBuilder.append(" resourceThreshold: ");
            stringBuilder.append(resourceThreshold2);
            stringBuilder.append(" resourceStrategy: ");
            stringBuilder.append(resourceStrategy2);
            stringBuilder.append(" resourceMaxPeroid: ");
            stringBuilder.append(resourceMaxPeroid2);
            stringBuilder.append(" loopInterval: ");
            stringBuilder.append(loopInterval2);
            stringBuilder.append(" normalThreshold: ");
            stringBuilder.append(normalThreshold2);
            stringBuilder.append(" warningThreshold: ");
            stringBuilder.append(warningThreshold2);
            stringBuilder.append(" urgentThreshold: ");
            stringBuilder.append(urgentThreshold2);
            stringBuilder.append(" totalLoopInterval: ");
            stringBuilder.append(totalLoopInterval);
            android.util.Log.d("RMS.HwConfigReader", stringBuilder.toString());
        } else {
            resourceMaxPeroid = warningThreshold2;
            loopInterval = normalThreshold2;
            normalThreshold = loopInterval2;
            warningThreshold = resourceMaxPeroid2;
            urgentThreshold = resourceStrategy2;
            int i = resourceThreshold2;
        }
        return subType2;
    }

    private void dump() {
        android.util.Log.d("RMS.HwConfigReader", "[res count] ====== dump reource manage config xml ======");
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("[res count] sample base period (ms) : ");
        stringBuilder.append(this.mSampleBasePeriod);
        stringBuilder.append(" save interval (minutes):");
        stringBuilder.append(this.mSaveInterval);
        stringBuilder.append(" count intervel (minutes):");
        stringBuilder.append(this.mCountInterval);
        stringBuilder.append(" Beta Count Interval (minutes):");
        stringBuilder.append(this.mBetaCountInterval);
        stringBuilder.append(" max keep files:");
        stringBuilder.append(this.mMaxKeepFiles);
        android.util.Log.d("RMS.HwConfigReader", stringBuilder.toString());
        for (java.util.Map.Entry gEntry : this.mGoups.entrySet()) {
            com.android.server.rms.config.HwConfigReader.Group g = (com.android.server.rms.config.HwConfigReader.Group) gEntry.getValue();
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("[res count] gourp id: ");
            stringBuilder2.append(g.mID);
            stringBuilder2.append(" name: ");
            stringBuilder2.append(g.mName);
            stringBuilder2.append(" sampleCycleNum: ");
            stringBuilder2.append(g.mSampleCycleNum);
            stringBuilder2.append(" isCount: ");
            stringBuilder2.append(g.mIsCount);
            stringBuilder2.append(" whitelist:");
            stringBuilder2.append(g.getWhiteList());
            android.util.Log.d("RMS.HwConfigReader", stringBuilder2.toString());
            for (java.util.Map.Entry sEntry : g.getSubTypes().entrySet()) {
                com.android.server.rms.config.HwConfigReader.SubType s = (com.android.server.rms.config.HwConfigReader.SubType) sEntry.getValue();
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("[res count] subType id: ");
                stringBuilder3.append(s.mID);
                stringBuilder3.append(" name: ");
                stringBuilder3.append(s.mName);
                stringBuilder3.append(" ResourceThreshold: ");
                stringBuilder3.append(s.mResourceThreshold);
                stringBuilder3.append(" ResourceStrategy: ");
                stringBuilder3.append(s.mResourceStrategy);
                stringBuilder3.append(" ResourceMaxPeroid: ");
                stringBuilder3.append(s.mResourceMaxPeroid);
                stringBuilder3.append(" totalLoopInterval: ");
                stringBuilder3.append(s.mTotalLoopInterval);
                stringBuilder3.append(" LoopInterval: ");
                stringBuilder3.append(s.mLoopInterval);
                stringBuilder3.append(" NormalThreshold: ");
                stringBuilder3.append(s.mNormalThreshold);
                stringBuilder3.append(" WarningThreshold: ");
                stringBuilder3.append(s.mWarningThreshold);
                stringBuilder3.append(" UrgentThreshold: ");
                stringBuilder3.append(s.mUrgentThreshold);
                stringBuilder3.append(" Levles: ");
                stringBuilder3.append(s.getLevels());
                android.util.Log.d("RMS.HwConfigReader", stringBuilder3.toString());
            }
        }
        java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
        stringBuilder4.append("[res count] the IDs of the group which need to count: ");
        stringBuilder4.append(getCountGroupID());
        android.util.Log.d("RMS.HwConfigReader", stringBuilder4.toString());
    }

    public int getGroupNum() {
        if (this.mGoups != null) {
            return this.mGoups.size();
        }
        return 0;
    }

    public java.lang.String getGroupName(int groupID) {
        java.lang.String name = "";
        try {
            return ((com.android.server.rms.config.HwConfigReader.Group) this.mGoups.get(java.lang.Integer.valueOf(groupID))).mName;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("[res count] can't get the group name: ");
            stringBuilder.append(groupID);
            android.util.Log.e("RMS.HwConfigReader", stringBuilder.toString(), e);
            return name;
        }
    }

    public boolean isCount(int groupID) {
        try {
            return ((com.android.server.rms.config.HwConfigReader.Group) this.mGoups.get(java.lang.Integer.valueOf(groupID))).mIsCount;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("[res count] can't get the group isCount: ");
            stringBuilder.append(groupID);
            android.util.Log.e("RMS.HwConfigReader", stringBuilder.toString(), e);
            return false;
        }
    }

    public int getGroupSampleCycleNum(int groupID) {
        try {
            return ((com.android.server.rms.config.HwConfigReader.Group) this.mGoups.get(java.lang.Integer.valueOf(groupID))).mSampleCycleNum;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("[res count] can't get the Group Sample Cycle Num: ");
            stringBuilder.append(groupID);
            android.util.Log.e("RMS.HwConfigReader", stringBuilder.toString(), e);
            return -1;
        }
    }

    public java.lang.String getWhiteList(int groupID) {
        return getWhiteList(groupID, 0);
    }

    public java.lang.String getWhiteList(int groupID, int type) {
        java.lang.String tempWhiteListDynamic;
        java.lang.String whiteList = "";
        java.lang.String whiteListDynamic = "";
        java.lang.String whiteListStatic = "";
        if (!(this.mDynamicGoups.size() == 0 || this.mDynamicGoups.get(java.lang.Integer.valueOf(groupID)) == null)) {
            tempWhiteListDynamic = ((com.android.server.rms.config.HwConfigReader.Group) this.mDynamicGoups.get(java.lang.Integer.valueOf(groupID))).getWhiteList(java.lang.Integer.valueOf(type));
            if (tempWhiteListDynamic != null) {
                whiteListDynamic = tempWhiteListDynamic;
                if (groupID == 32 && ((type == 3 || type == 4) && !whiteListDynamic.isEmpty())) {
                    if (android.rms.utils.Utils.DEBUG) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("getWhiteList  id:");
                        stringBuilder.append(groupID);
                        stringBuilder.append(", dynamicList:");
                        stringBuilder.append(whiteListDynamic);
                        stringBuilder.append(", staticList:");
                        stringBuilder.append(whiteListStatic);
                        stringBuilder.append(", type:");
                        stringBuilder.append(type);
                        android.util.Log.d("RMS.HwConfigReader", stringBuilder.toString());
                    }
                    return whiteListDynamic;
                }
            }
        }
        if (!(this.mGoups.size() == 0 || this.mGoups.get(java.lang.Integer.valueOf(groupID)) == null)) {
            tempWhiteListDynamic = ((com.android.server.rms.config.HwConfigReader.Group) this.mGoups.get(java.lang.Integer.valueOf(groupID))).getWhiteList(java.lang.Integer.valueOf(type));
            if (tempWhiteListDynamic != null) {
                whiteListStatic = tempWhiteListDynamic;
            }
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append(whiteListDynamic);
        stringBuilder2.append(";");
        stringBuilder2.append(whiteListStatic);
        whiteList = stringBuilder2.toString();
        if (android.rms.utils.Utils.DEBUG) {
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("getWhiteList  id:");
            stringBuilder3.append(groupID);
            stringBuilder3.append(", dynamicList:");
            stringBuilder3.append(whiteListDynamic);
            stringBuilder3.append(", staticList:");
            stringBuilder3.append(whiteListStatic);
            stringBuilder3.append(", mergeResult:");
            stringBuilder3.append(whiteList);
            android.util.Log.d("RMS.HwConfigReader", stringBuilder3.toString());
        }
        return whiteList;
    }

    public android.rms.config.ResourceConfig getResConfig(int groupID, int subType) {
        try {
            return (android.rms.config.ResourceConfig) ((com.android.server.rms.config.HwConfigReader.Group) this.mGoups.get(java.lang.Integer.valueOf(groupID))).getResConfigs().get(java.lang.Integer.valueOf(subType));
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("[res count] can't get the res config, group: ");
            stringBuilder.append(groupID);
            stringBuilder.append(" subType: ");
            stringBuilder.append(subType);
            android.util.Log.e("RMS.HwConfigReader", stringBuilder.toString(), e);
            return null;
        }
    }

    public int getSubTypeNum(int groupID) {
        try {
            return ((com.android.server.rms.config.HwConfigReader.Group) this.mGoups.get(java.lang.Integer.valueOf(groupID))).getSubTypes().size();
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("[res count] can't get the subType num, group: ");
            stringBuilder.append(groupID);
            android.util.Log.e("RMS.HwConfigReader", stringBuilder.toString(), e);
            return 0;
        }
    }

    public java.lang.String getSubTypeName(int groupID, int subType) {
        java.lang.String name = "";
        try {
            return ((com.android.server.rms.config.HwConfigReader.SubType) ((com.android.server.rms.config.HwConfigReader.Group) this.mGoups.get(java.lang.Integer.valueOf(groupID))).getSubTypes().get(java.lang.Integer.valueOf(subType))).mName;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("[res count] can't get the subType name, group: ");
            stringBuilder.append(groupID);
            stringBuilder.append(" subType: ");
            stringBuilder.append(subType);
            android.util.Log.e("RMS.HwConfigReader", stringBuilder.toString(), e);
            return name;
        }
    }

    public int getResourceThreshold(int groupID, int subType) {
        try {
            return ((com.android.server.rms.config.HwConfigReader.SubType) ((com.android.server.rms.config.HwConfigReader.Group) this.mGoups.get(java.lang.Integer.valueOf(groupID))).getSubTypes().get(java.lang.Integer.valueOf(subType))).mResourceThreshold;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("[res count] can't get the subType ResourceThreshold, group: ");
            stringBuilder.append(groupID);
            stringBuilder.append(" subType: ");
            stringBuilder.append(subType);
            android.util.Log.e("RMS.HwConfigReader", stringBuilder.toString(), e);
            return -1;
        }
    }

    public int getResourceStrategy(int groupID, int subType) {
        try {
            return ((com.android.server.rms.config.HwConfigReader.SubType) ((com.android.server.rms.config.HwConfigReader.Group) this.mGoups.get(java.lang.Integer.valueOf(groupID))).getSubTypes().get(java.lang.Integer.valueOf(subType))).mResourceStrategy;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("[res count] can't get the subType ResourceStrategy, group: ");
            stringBuilder.append(groupID);
            stringBuilder.append(" subType: ");
            stringBuilder.append(subType);
            android.util.Log.e("RMS.HwConfigReader", stringBuilder.toString(), e);
            return -1;
        }
    }

    public int getResourceMaxPeroid(int groupID, int subType) {
        try {
            return ((com.android.server.rms.config.HwConfigReader.SubType) ((com.android.server.rms.config.HwConfigReader.Group) this.mGoups.get(java.lang.Integer.valueOf(groupID))).getSubTypes().get(java.lang.Integer.valueOf(subType))).mResourceMaxPeroid;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("[res count] can't get the subType ResourceMaxPeroid, group: ");
            stringBuilder.append(groupID);
            stringBuilder.append(" subType: ");
            stringBuilder.append(subType);
            android.util.Log.e("RMS.HwConfigReader", stringBuilder.toString(), e);
            return -1;
        }
    }

    public int getTotalLoopInterval(int groupID, int subType) {
        try {
            return ((com.android.server.rms.config.HwConfigReader.SubType) ((com.android.server.rms.config.HwConfigReader.Group) this.mGoups.get(java.lang.Integer.valueOf(groupID))).getSubTypes().get(java.lang.Integer.valueOf(subType))).mTotalLoopInterval;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("[res count] can't get the subType TotalLoopInterval, group: ");
            stringBuilder.append(groupID);
            stringBuilder.append(" subType: ");
            stringBuilder.append(subType);
            android.util.Log.e("RMS.HwConfigReader", stringBuilder.toString(), e);
            return -1;
        }
    }

    public int getLoopInterval(int groupID, int subType) {
        try {
            return ((com.android.server.rms.config.HwConfigReader.SubType) ((com.android.server.rms.config.HwConfigReader.Group) this.mGoups.get(java.lang.Integer.valueOf(groupID))).getSubTypes().get(java.lang.Integer.valueOf(subType))).mLoopInterval;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("[res count] can't get the subType LoopInterval, group: ");
            stringBuilder.append(groupID);
            stringBuilder.append(" subType: ");
            stringBuilder.append(subType);
            android.util.Log.e("RMS.HwConfigReader", stringBuilder.toString(), e);
            return -1;
        }
    }

    public int getNormalThreshold(int groupID, int subType) {
        try {
            return ((com.android.server.rms.config.HwConfigReader.SubType) ((com.android.server.rms.config.HwConfigReader.Group) this.mGoups.get(java.lang.Integer.valueOf(groupID))).getSubTypes().get(java.lang.Integer.valueOf(subType))).mNormalThreshold;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("[res count] can't get the subType NormalThreshold, group: ");
            stringBuilder.append(groupID);
            stringBuilder.append(" subType: ");
            stringBuilder.append(subType);
            android.util.Log.e("RMS.HwConfigReader", stringBuilder.toString(), e);
            return -1;
        }
    }

    public int getWarningThreshold(int groupID, int subType) {
        try {
            return ((com.android.server.rms.config.HwConfigReader.SubType) ((com.android.server.rms.config.HwConfigReader.Group) this.mGoups.get(java.lang.Integer.valueOf(groupID))).getSubTypes().get(java.lang.Integer.valueOf(subType))).mWarningThreshold;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("[res count] can't get the subType WarningThreshold, group: ");
            stringBuilder.append(groupID);
            stringBuilder.append(" subType: ");
            stringBuilder.append(subType);
            android.util.Log.e("RMS.HwConfigReader", stringBuilder.toString(), e);
            return -1;
        }
    }

    public int getUrgentThreshold(int groupID, int subType) {
        try {
            return ((com.android.server.rms.config.HwConfigReader.SubType) ((com.android.server.rms.config.HwConfigReader.Group) this.mGoups.get(java.lang.Integer.valueOf(groupID))).getSubTypes().get(java.lang.Integer.valueOf(subType))).mUrgentThreshold;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("[res count] can't get the subType UrgentThreshold, group: ");
            stringBuilder.append(groupID);
            stringBuilder.append(" subType: ");
            stringBuilder.append(subType);
            android.util.Log.e("RMS.HwConfigReader", stringBuilder.toString(), e);
            return -1;
        }
    }

    public java.util.ArrayList<java.lang.Integer> getSubTypeLevels(int groupID, int subType) {
        try {
            return ((com.android.server.rms.config.HwConfigReader.SubType) ((com.android.server.rms.config.HwConfigReader.Group) this.mGoups.get(java.lang.Integer.valueOf(groupID))).getSubTypes().get(java.lang.Integer.valueOf(subType))).getLevels();
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("[res count] can't get the subType levels, group: ");
            stringBuilder.append(groupID);
            stringBuilder.append(" subType: ");
            stringBuilder.append(subType);
            android.util.Log.e("RMS.HwConfigReader", stringBuilder.toString(), e);
            return null;
        }
    }

    public java.util.ArrayList<java.lang.Integer> getCountGroupID() {
        return this.mCountGroupID;
    }

    public int getSaveInterval() {
        return this.mSaveInterval;
    }

    public int getCountInterval(boolean isBetaUser) {
        return isBetaUser ? this.mBetaCountInterval : this.mCountInterval;
    }

    public int getSampleBasePeriod() {
        return this.mSampleBasePeriod;
    }

    public int getMaxKeepFiles() {
        return this.mMaxKeepFiles;
    }
}
