package com.android.server.rms.dump;

public final class DumpAlarmManager {
    public static final java.lang.String TAG = "DumpAlarmManager";
    private static volatile java.util.Map<java.lang.String, java.util.function.Consumer<com.android.server.rms.dump.DumpAlarmManager.Params>> consumers = new java.util.HashMap();

    static class Params {
        public java.lang.String[] args;
        public android.content.Context context;
        public java.io.PrintWriter pw;

        public Params(android.content.Context context, java.io.PrintWriter pw, java.lang.String[] args) {
            this.context = context;
            this.pw = pw;
            this.args = args;
        }
    }

    public static final void dump(android.content.Context context, java.io.PrintWriter pw, java.lang.String[] args) {
        if (pw != null) {
            if (args != null && args.length >= 2) {
                if (args[1] != null) {
                    java.lang.String cmd = args[1];
                    synchronized (com.android.server.rms.dump.DumpAlarmManager.class) {
                        if (consumers.isEmpty()) {
                            consumers.put("delay", com.android.server.rms.dump.-$$Lambda$DumpAlarmManager$sTyRBtkgkC1zrLkNBktCJFPBVgI.INSTANCE);
                            consumers.put("bigData", com.android.server.rms.dump.-$$Lambda$DumpAlarmManager$6WCcZOOF0NyNxY14ThrN_Sa9_K8.INSTANCE);
                            consumers.put("debugLog", com.android.server.rms.dump.-$$Lambda$DumpAlarmManager$yU5hWyGyhPsIICiAzmBOdnA7mnA.INSTANCE);
                            consumers.put("debug", com.android.server.rms.dump.-$$Lambda$DumpAlarmManager$TAuUJte3WTeURAu60wUGpaASTRk.INSTANCE);
                            consumers.put("param", com.android.server.rms.dump.-$$Lambda$DumpAlarmManager$cgr-s9dHL-55EiLtqSDRMXo9OSo.INSTANCE);
                        }
                        java.util.function.Consumer<com.android.server.rms.dump.DumpAlarmManager.Params> func = (java.util.function.Consumer) consumers.get(cmd);
                        if (func == null) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("  Bad command: ");
                            stringBuilder.append(cmd);
                            pw.println(stringBuilder.toString());
                            return;
                        }
                        try {
                            func.accept(new com.android.server.rms.dump.DumpAlarmManager.Params(context, pw, args));
                        } catch (java.lang.Exception e) {
                            pw.println("  Bad command:");
                            pw.println(e.toString());
                        }
                    }
                }
            }
            pw.println("  Bad command");
            return;
        }
        return;
    }

    private static void setDebugSwitch(android.content.Context mContext, java.io.PrintWriter pw, java.lang.String[] args) {
        if (pw != null) {
            if ("on".equals(args[2])) {
                com.android.server.rms.iaware.appmng.AwareWakeUpManager.getInstance().setDebugSwitch(true);
                pw.println("  debug on");
            } else {
                com.android.server.rms.iaware.appmng.AwareWakeUpManager.getInstance().setDebugSwitch(false);
                pw.println("  debug off");
            }
        }
    }

    private static void dumpDebugLog(android.content.Context mContext, java.io.PrintWriter pw, java.lang.String[] args) {
        if (pw != null) {
            com.android.server.rms.iaware.appmng.AwareWakeUpManager.getInstance().dumpDebugLog(pw);
        }
    }

    private static void delay(android.content.Context mContext, java.io.PrintWriter pw, java.lang.String[] args) {
        if (pw != null) {
            if (args != null) {
                if (args.length >= 6) {
                    int userId = java.lang.Integer.parseInt(args[2]);
                    java.lang.String pkg = args[3];
                    java.lang.String tag = args[4];
                    long delay = java.lang.Long.parseLong(args[5]);
                    com.android.server.rms.iaware.appmng.AwareWakeUpManager.getInstance().setDebugParam(userId, pkg, tag, delay);
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("  delay alarm set user:");
                    stringBuilder.append(userId);
                    stringBuilder.append(" pkg:");
                    stringBuilder.append(pkg);
                    stringBuilder.append(" tag:");
                    stringBuilder.append(tag);
                    stringBuilder.append(" delay:");
                    stringBuilder.append(delay);
                    pw.println(stringBuilder.toString());
                    return;
                }
            }
            pw.println("  delay parameter error!");
        }
    }

    private static void dumpBigData(android.content.Context mContext, java.io.PrintWriter pw, java.lang.String[] args) {
        if (pw != null) {
            pw.println(com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.getInstance().saveBigData(false));
        }
    }
}
