package com.android.server.rms.dump;

public final class DumpAppAssociate {
    public static final java.lang.String TAG = "DumpAppAssociate";

    private static final boolean dumpIntelligentRecg(java.io.PrintWriter pw, android.content.Context context, java.lang.String[] args) {
        if (!android.rms.utils.Utils.scanArgs(args, "intlrecg")) {
            return false;
        }
        com.android.server.rms.dump.DumpIntelligentRecg.dumpIntelligentRecg(pw, context, args);
        return true;
    }

    private static final boolean dumpBaseDump(com.android.server.rms.iaware.appmng.AwareAppAssociate assoc, java.io.PrintWriter pw, java.lang.String arg) {
        if ("enable".equals(arg)) {
            com.android.server.rms.iaware.appmng.AwareAppAssociate.enable();
            return true;
        } else if ("disable".equals(arg)) {
            com.android.server.rms.iaware.appmng.AwareAppAssociate.disable();
            return true;
        } else if (arg.equals("enable_log")) {
            com.android.server.rms.iaware.appmng.AwareAppAssociate.enableDebug();
            return true;
        } else if (arg.equals("disable_log")) {
            com.android.server.rms.iaware.appmng.AwareAppAssociate.disableDebug();
            return true;
        } else if (arg.equals("enable_record")) {
            com.android.server.rms.iaware.appmng.AwareAppAssociate.enableRecord();
            return true;
        } else if (arg.equals("disable_record")) {
            com.android.server.rms.iaware.appmng.AwareAppAssociate.disableRecord();
            return true;
        } else if (arg.equals("-home")) {
            assoc.dumpHome(pw);
            return true;
        } else if (arg.equals("-prev")) {
            assoc.dumpPrev(pw);
            return true;
        } else if (arg.equals("-w")) {
            assoc.dumpWidget(pw);
            return true;
        } else if (arg.equals("-vw")) {
            assoc.dumpVisibleWindow(pw);
            return true;
        } else if (!arg.equals("-pkgProc")) {
            return false;
        } else {
            assoc.dumpPkgProc(pw);
            return true;
        }
    }

    private static final void dumpAssocDump(boolean acquire, com.android.server.rms.iaware.appmng.AwareAppAssociate assoc, java.lang.String pid, java.io.PrintWriter pw) {
        if (pid == null) {
            assoc.dump(pw);
        } else {
            java.lang.StringBuilder stringBuilder;
            try {
                int tmp = java.lang.Integer.parseInt(pid);
                if (acquire) {
                    android.util.ArraySet<java.lang.Integer> strong = new android.util.ArraySet();
                    assoc.getAssocListForPid(tmp, strong);
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("strong:");
                    stringBuilder.append(strong);
                    stringBuilder.append("\n");
                    pw.print(stringBuilder.toString());
                } else {
                    assoc.dumpPid(tmp, pw);
                }
            } catch (java.lang.NumberFormatException e) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Bad pid:");
                stringBuilder.append(pid);
                pw.println(stringBuilder.toString());
            }
        }
    }

    public static final void dumpAppAssociate(java.io.PrintWriter pw, android.content.Context context, java.lang.String[] args) {
        java.lang.String pid = null;
        boolean hasPid = false;
        boolean record = false;
        boolean acquire = false;
        com.android.server.rms.iaware.appmng.AwareAppAssociate assoc = com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance();
        if (assoc == null) {
            pw.print("Can not getInstance of AwareAppAssociate");
        } else if (!dumpIntelligentRecg(pw, context, args)) {
            if (args != null) {
                for (java.lang.String arg : args) {
                    if (arg != null) {
                        if (!dumpBaseDump(assoc, pw, arg)) {
                            if (arg.equals("-p")) {
                                hasPid = true;
                            } else if (arg.equals("-r")) {
                                record = true;
                            } else if (arg.equals("-f")) {
                                assoc.dumpFore(pw);
                                return;
                            } else if (arg.equals("-fr")) {
                                assoc.dumpRecentFore(pw);
                                return;
                            } else if (arg.equals("-a")) {
                                acquire = true;
                            } else if (hasPid) {
                                pid = arg;
                                break;
                            }
                        } else {
                            return;
                        }
                    }
                }
            }
            if (record) {
                assoc.dumpRecord(pw);
            } else {
                dumpAssocDump(acquire, assoc, pid, pw);
            }
        }
    }
}
