package com.android.server.rms.dump;

public final class DumpAppKeyBackgroup {
    private static final java.lang.String TAG = "DumpAppKeyBackgroup";
    private static java.lang.String event = null;
    private static boolean hasCheckType = false;
    private static boolean hasEvent = false;
    private static boolean hasFakeEvent = false;
    private static boolean hasPid = false;
    private static boolean hasPkgName = false;
    private static boolean hasState = false;
    private static boolean hasUid = false;
    private static java.lang.String pid = null;
    private static java.lang.String pkg = null;
    private static java.lang.String state = null;
    private static java.lang.String uid = null;

    public static final void dumpAppImportance(java.io.PrintWriter pw, android.content.Context context, java.lang.String[] args) {
        if (!initArgs(context, args)) {
            try {
                if (hasFakeEvent && hasState && hasEvent && event != null && state != null) {
                    com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance().dumpFakeEvent(pw, java.lang.Integer.parseInt(state), java.lang.Integer.parseInt(event), pid == null ? 0 : java.lang.Integer.parseInt(pid), pkg, uid == null ? 0 : java.lang.Integer.parseInt(uid));
                    return;
                }
                if (hasPid && hasState && pid != null && state != null) {
                    com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance().dumpCheckStateByPid(pw, context, java.lang.Integer.parseInt(state), java.lang.Integer.parseInt(pid));
                }
                if (hasPkgName && hasState && pkg != null && state != null) {
                    com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance().dumpCheckStateByPkg(pw, context, java.lang.Integer.parseInt(state), pkg);
                }
                if (hasCheckType && pkg != null) {
                    com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance().dumpCheckPkgType(pw, context, pkg);
                }
                if (hasPid && hasUid && pid != null && uid != null) {
                    com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance().dumpCheckKeyBackGroup(pw, java.lang.Integer.parseInt(pid), java.lang.Integer.parseInt(uid));
                }
                com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance().dump(pw);
            } catch (java.lang.NumberFormatException e) {
                pw.println("dump args is illegal!");
            }
        }
    }

    private static boolean initArgs(android.content.Context context, java.lang.String[] args) {
        hasPid = false;
        hasUid = false;
        hasState = false;
        hasCheckType = false;
        hasPkgName = false;
        hasEvent = false;
        hasFakeEvent = false;
        pid = null;
        state = null;
        pkg = null;
        uid = null;
        event = null;
        if (args != null) {
            int length = args.length;
            int i = 0;
            while (i < length) {
                java.lang.String arg = args[i];
                if ("enable".equals(arg)) {
                    com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.enable(context);
                    return true;
                } else if ("disable".equals(arg)) {
                    com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.disable();
                    return true;
                } else if ("enable_log".equals(arg)) {
                    com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.enableDebug();
                    return true;
                } else if ("disable_log".equals(arg)) {
                    com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.disableDebug();
                    return true;
                } else {
                    initVaules(arg);
                    if ("--fake-event".equals(arg)) {
                        hasFakeEvent = true;
                    }
                    if (arg.equals("-p")) {
                        hasPid = true;
                    }
                    if (arg.equals("-u")) {
                        hasUid = true;
                    }
                    if (arg.equals("-s")) {
                        hasState = true;
                    }
                    if (arg.equals("-n")) {
                        hasPkgName = true;
                    }
                    if (arg.equals("-t")) {
                        hasCheckType = true;
                    }
                    if (arg.equals("-e")) {
                        hasEvent = true;
                    }
                    i++;
                }
            }
        }
        return false;
    }

    private static void initVaules(java.lang.String arg) {
        if (hasPid && pid == null) {
            pid = arg;
        }
        if (hasUid && uid == null) {
            uid = arg;
        }
        if (hasState && state == null) {
            state = arg;
        }
        if (hasEvent && event == null) {
            event = arg;
        }
        if (hasPkgName && pkg == null) {
            pkg = arg;
        }
        if (hasCheckType && pkg == null) {
            pkg = arg;
        }
    }
}
