package com.android.server.rms.dump;

public class DumpAppResource {
    private static final java.lang.String TAG = "RMS.DumpAppResource";

    public static final int getPolicyType(android.content.Context context, java.lang.String[] args) {
        int policy = 0;
        if (args.length == 2) {
            if (args[1] != null) {
                android.rms.HwSysResource sysResource = android.rms.HwSysResImpl.getResource(18);
                java.lang.String pkg = args[1];
                if (sysResource != null) {
                    policy = sysResource.queryPkgPolicy(0, 0, pkg);
                }
                if (android.rms.utils.Utils.HWFLOW) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("getPolicyType pkg ");
                    stringBuilder.append(pkg);
                    stringBuilder.append(" policy ");
                    stringBuilder.append(policy);
                    android.util.Log.i("RMS.DumpAppResource", stringBuilder.toString());
                }
                return policy;
            }
        }
        android.util.Log.e("RMS.DumpAppResource", "please input correct package name for AppResource dump!");
        return 0;
    }

    public static final void dumpDispatchAQV(android.content.Context context, java.lang.String[] args) {
        int uid = 100000;
        if (args.length == 2) {
            if (args[1] != null) {
                java.lang.String pkg = args[1];
                try {
                    android.content.pm.ApplicationInfo ai = context.getPackageManager().getApplicationInfo(pkg, 0);
                    if (ai != null) {
                        uid = ai.uid;
                    }
                    com.android.server.rms.HwSysResManagerService.self().dispatchProcessDiedOverload(pkg, uid);
                } catch (android.content.pm.PackageManager.NameNotFoundException e) {
                    android.util.Log.e("RMS.DumpAppResource", "dumpAppResource: get application info error!");
                }
                return;
            }
        }
        android.util.Log.e("RMS.DumpAppResource", "please input correct package name for AppResource dump!");
    }
}
