package com.android.server.rms.dump;

public class DumpAppUsageTime {
    private static final java.lang.String TAG = "RMS.DumpAppUsageTime";
    private static final com.android.server.rms.record.AppUsageTime mDump = com.android.server.rms.record.AppUsageTime.self();

    private static final boolean checkInputArgs(android.content.Context context, java.lang.String[] args) {
        if (args.length == 2) {
            if (args[1] != null) {
                try {
                    if (context.getPackageManager().getApplicationInfo(args[1], 0) != null) {
                        return true;
                    }
                    android.util.Log.e("RMS.DumpAppUsageTime", "There is not such an application, please check the package name carefully!!!");
                    return false;
                } catch (android.content.pm.PackageManager.NameNotFoundException e) {
                    android.util.Log.e("RMS.DumpAppUsageTime", "getApplicationInfo failed. Please check the package name carefully!!!");
                    return false;
                }
            }
        }
        android.util.Log.e("RMS.DumpAppUsageTime", "please input correct package name for AppUsageTime dump!");
        return false;
    }

    public static final void dumpGetUsageTime(android.content.Context context, java.lang.String[] args) {
        if (checkInputArgs(context, args)) {
            java.lang.String pkg = args[1];
            long time = mDump.getRealUsageTimeLocked(pkg) / 1000;
            if (android.rms.utils.Utils.HWFLOW) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("pkg ");
                stringBuilder.append(pkg);
                stringBuilder.append(", usageTime is ");
                stringBuilder.append(time);
                stringBuilder.append("s");
                android.util.Log.i("RMS.DumpAppUsageTime", stringBuilder.toString());
            }
        }
    }

    public static final void dumpIsHistoryInstalledApp(android.content.Context context, java.lang.String[] args) {
        if (checkInputArgs(context, args)) {
            java.lang.String pkg = args[1];
            java.lang.StringBuilder stringBuilder;
            if (mDump.isHistoryInstalledApp(pkg)) {
                if (android.rms.utils.Utils.HWFLOW) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("pkg ");
                    stringBuilder.append(pkg);
                    stringBuilder.append(" is a history installed application");
                    android.util.Log.i("RMS.DumpAppUsageTime", stringBuilder.toString());
                }
            } else if (android.rms.utils.Utils.HWFLOW) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("pkg ");
                stringBuilder.append(pkg);
                stringBuilder.append(" is not a history installed application");
                android.util.Log.i("RMS.DumpAppUsageTime", stringBuilder.toString());
            }
        }
    }

    public static final void dumpRecordedAppUsageInfo() {
        mDump.dumpInfo(false);
    }
}
