package com.android.server.rms.dump;

public final class DumpAwareUserHabit {
    private static final int MINCOUNT = 3;
    private static final java.lang.String TAG = "AwareUserHabit";
    private static final int TOPMAX = 10000;
    private static final int TOPN = 5;

    public static final void dumpAwareUserHabit(java.io.PrintWriter pw, java.lang.String[] args) {
        java.io.PrintWriter printWriter = pw;
        java.lang.String[] strArr = args;
        if (printWriter != null) {
            if (strArr != null) {
                com.android.server.rms.algorithm.AwareUserHabit userHabit = com.android.server.rms.algorithm.AwareUserHabit.getInstance();
                if (userHabit == null) {
                    printWriter.println("user habit is not ready");
                } else if (userHabit.isEnable()) {
                    int length = strArr.length;
                    boolean isGetAppType = false;
                    boolean isGetAppListByType = false;
                    boolean isGetPGProtectList = false;
                    int isGetPGProtectList2 = 0;
                    while (isGetPGProtectList2 < length) {
                        java.lang.String arg = strArr[isGetPGProtectList2];
                        java.util.List<java.lang.String> result;
                        if (isGetPGProtectList) {
                            length = 0;
                            try {
                                length = userHabit.getForceProtectApps(java.lang.Integer.parseInt(arg));
                                if (length == 0 || length.size() <= 0) {
                                    printWriter.println("invald input value or not used data");
                                } else {
                                    printWriter.println(length.toString());
                                }
                                return;
                            } catch (java.lang.NumberFormatException e) {
                                java.lang.NumberFormatException numberFormatException = e;
                                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("Bad input value: ");
                                stringBuilder.append(arg);
                                printWriter.println(stringBuilder.toString());
                                return;
                            }
                        } else if ("userTrack".equals(arg)) {
                            java.util.Map<java.lang.String, java.lang.String> result2 = userHabit.getUserTrackAppSortDumpInfo();
                            if (result2 != null) {
                                printWriter.println(result2.toString());
                            } else {
                                printWriter.println("result is null");
                            }
                            return;
                        } else if ("habitProtectList".equals(arg)) {
                            userHabit.dumpHabitProtectList(printWriter);
                            return;
                        } else if ("getHabitProtectList".equals(arg)) {
                            result = userHabit.getHabitProtectList(10000, 10000);
                            if (result != null) {
                                printWriter.println(result.toString());
                            } else {
                                printWriter.println("result is null");
                            }
                            return;
                        } else if ("getHabitProtectListAll".equals(arg)) {
                            result = userHabit.getHabitProtectListAll(10000, 10000);
                            if (result != null) {
                                printWriter.println(result.toString());
                            } else {
                                printWriter.println("result is null");
                            }
                            return;
                        } else if ("getMostUsed".equals(arg)) {
                            result = userHabit.getMostFrequentUsedApp(5, 3);
                            if (result != null) {
                                printWriter.println(result.toString());
                            } else {
                                printWriter.println("result is null");
                            }
                            return;
                        } else if ("getTopN".equals(arg)) {
                            result = userHabit.getTopN(5);
                            if (result != null) {
                                printWriter.println(result.toString());
                            } else {
                                printWriter.println("result is null");
                            }
                            return;
                        } else if ("getAllTopList".equals(arg)) {
                            java.util.Map<java.lang.String, java.lang.Integer> result3 = userHabit.getAllTopList();
                            if (result3 != null) {
                                printWriter.println(result3.toString());
                            } else {
                                printWriter.println("result is null");
                            }
                            return;
                        } else if ("getLastPkgName".equals(arg)) {
                            printWriter.println(userHabit.getLastPkgName());
                            return;
                        } else {
                            if ("PGProtectList".equals(arg)) {
                                isGetPGProtectList = true;
                            } else if ("getLongTimeRunningApps".equals(arg)) {
                                result = userHabit.recognizeLongTimeRunningApps();
                                if (result != null) {
                                    printWriter.println(result);
                                } else {
                                    printWriter.println("all the apps are used recently");
                                }
                                return;
                            } else if ("getLruCache".equals(arg)) {
                                java.util.LinkedHashMap<java.lang.String, java.lang.Long> result4 = userHabit.getLruCache();
                                if (result4 != null) {
                                    long now;
                                    long now2 = android.os.SystemClock.elapsedRealtime();
                                    java.lang.StringBuffer s = new java.lang.StringBuffer();
                                    s.append("pkgName:      backgroundTime:\n");
                                    for (java.util.Map.Entry entry : result4.entrySet()) {
                                        now = now2;
                                        now2 = (now2 - ((java.lang.Long) entry.getValue()).longValue()) / 1000;
                                        s.append((java.lang.String) entry.getKey());
                                        java.util.LinkedHashMap<java.lang.String, java.lang.Long> result5 = result4;
                                        s.append("    ");
                                        s.append(java.lang.String.valueOf(now2));
                                        s.append("s \n");
                                        now2 = now;
                                        result4 = result5;
                                    }
                                    now = now2;
                                    printWriter.println(s.toString());
                                } else {
                                    printWriter.println("result is null");
                                }
                                return;
                            } else if ("getClockTypeAppList".equals(arg)) {
                                printWriter.println(android.rms.iaware.AppTypeRecoManager.getInstance().getAlarmApps());
                                return;
                            } else if ("getFilterApp".equals(arg)) {
                                java.util.Set<java.lang.String> result6 = userHabit.getFilterApp();
                                if (result6 != null) {
                                    printWriter.println(result6);
                                } else {
                                    printWriter.println("result is null");
                                }
                                return;
                            } else if ("getGCMAppList".equals(arg)) {
                                result = userHabit.getGCMAppList();
                                if (result != null) {
                                    printWriter.println(result);
                                } else {
                                    printWriter.println("result is null");
                                }
                                return;
                            } else if ("getAppListByType".equals(arg)) {
                                isGetAppListByType = true;
                            } else {
                                if (isGetAppListByType) {
                                    printgetAppListByType(printWriter, arg);
                                }
                                if ("getAppType".equals(arg)) {
                                    isGetAppType = true;
                                } else if (isGetAppType) {
                                    isGetPGProtectList2 = android.rms.iaware.AppTypeRecoManager.getInstance().getAppType(arg);
                                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                    stringBuilder2.append("pkgname:");
                                    stringBuilder2.append(arg);
                                    stringBuilder2.append(" type:");
                                    stringBuilder2.append(isGetPGProtectList2);
                                    printWriter.println(stringBuilder2.toString());
                                    return;
                                } else if ("getMostFreqAppByType".equals(arg)) {
                                    printGetMostFreqAppByType(userHabit, printWriter, strArr);
                                    return;
                                }
                            }
                            isGetPGProtectList2++;
                        }
                    }
                } else {
                    printWriter.println("user habit is not enable");
                }
            }
        }
    }

    private static void printgetAppListByType(java.io.PrintWriter pw, java.lang.String arg) {
        try {
            java.util.Set<java.lang.String> result = android.rms.iaware.AppTypeRecoManager.getInstance().getAppsByType(java.lang.Integer.parseInt(arg));
            if (result.size() > 0) {
                pw.println(result.toString());
            } else {
                pw.println("invald input value or not used data");
            }
        } catch (java.lang.NumberFormatException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Bad input value: ");
            stringBuilder.append(arg);
            pw.println(stringBuilder.toString());
        }
    }

    private static void printGetMostFreqAppByType(com.android.server.rms.algorithm.AwareUserHabit userHabit, java.io.PrintWriter pw, java.lang.String[] args) {
        java.lang.StringBuilder stringBuilder;
        int appType = 0;
        int appNum = -1;
        if (args.length > 2) {
            try {
                appType = java.lang.Integer.parseInt(args[args.length - 2]);
                try {
                    appNum = java.lang.Integer.parseInt(args[args.length - 1]);
                } catch (java.lang.NumberFormatException e) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("Bad input value param2: ");
                    stringBuilder.append(java.util.Arrays.toString(args));
                    pw.println(stringBuilder.toString());
                    return;
                }
            } catch (java.lang.NumberFormatException e2) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Bad input value param1: ");
                stringBuilder.append(java.util.Arrays.toString(args));
                pw.println(stringBuilder.toString());
                return;
            }
        }
        java.util.List<java.lang.String> result = userHabit.getMostFreqAppByType(appType, appNum);
        if (result != null) {
            pw.println(result.toString());
        }
    }
}
