package com.android.server.rms.dump;

public final class DumpCase {
    public static final boolean dump(android.content.Context context, java.io.PrintWriter pw, java.lang.String[] args) {
        if (!android.rms.utils.Utils.DEBUG) {
            return false;
        }
        if (android.rms.utils.Utils.scanArgs(args, "--dump-ProcessShrinker")) {
            com.android.server.rms.dump.DumpShrinker.dumpProcessShrinker();
            return true;
        } else if (android.rms.utils.Utils.scanArgs(args, "--dump-SystemShrinker")) {
            com.android.server.rms.dump.DumpShrinker.dumpSystemShrinker();
            return true;
        } else if (android.rms.utils.Utils.scanArgs(args, "--dump-DownloadScene")) {
            com.android.server.rms.dump.DumpScene.dumpDownloadScene(context);
            return true;
        } else if (android.rms.utils.Utils.scanArgs(args, "--dump-MediaScene")) {
            com.android.server.rms.dump.DumpScene.dumpMediaScene(context);
            return true;
        } else if (android.rms.utils.Utils.scanArgs(args, "--dump-NonIdleScene")) {
            com.android.server.rms.dump.DumpScene.dumpNonIdleScene(context);
            return true;
        } else if (android.rms.utils.Utils.scanArgs(args, "--dump-PhoneScene")) {
            com.android.server.rms.dump.DumpScene.dumpPhoneScene(context);
            return true;
        } else if (android.rms.utils.Utils.scanArgs(args, "--dump-HwConfigReader")) {
            com.android.server.rms.dump.DumpHwConfigReader.dumpConfigReader(pw, context);
            return true;
        } else if (android.rms.utils.Utils.scanArgs(args, "--dump-NotificationWhiteList")) {
            com.android.server.rms.dump.DumpResource.dumpNotificationWhiteList(context);
            return true;
        } else if (android.rms.utils.Utils.scanArgs(args, "--dump-ContentObserver")) {
            com.android.server.rms.dump.DumpResource.dumpContentObserver(context, args);
            return true;
        } else if (android.rms.utils.Utils.scanArgs(args, "--dump-ActivityResource")) {
            com.android.server.rms.dump.DumpActivityResource.dumpActivity(context, args);
            return true;
        } else if (android.rms.utils.Utils.scanArgs(args, "--dump-AppAssociate")) {
            com.android.server.rms.dump.DumpAppAssociate.dumpAppAssociate(pw, context, args);
            return true;
        } else if (android.rms.utils.Utils.scanArgs(args, "--dump-AppImportance")) {
            com.android.server.rms.dump.DumpAppKeyBackgroup.dumpAppImportance(pw, context, args);
            return true;
        } else if (android.rms.utils.Utils.scanArgs(args, "--dump-AppWhitelist")) {
            com.android.server.rms.dump.DumpAppWhiteList.dumpAppWhiteList(pw, context, args);
            return true;
        } else if (android.rms.utils.Utils.scanArgs(args, "--dump-AwareUserHabit")) {
            com.android.server.rms.dump.DumpAwareUserHabit.dumpAwareUserHabit(pw, args);
            return true;
        } else if (android.rms.utils.Utils.scanArgs(args, "--dump-AppUsageTime-getUsageTime")) {
            com.android.server.rms.dump.DumpAppUsageTime.dumpGetUsageTime(context, args);
            return true;
        } else if (android.rms.utils.Utils.scanArgs(args, "--dump-AppUsageTime-historyApp")) {
            com.android.server.rms.dump.DumpAppUsageTime.dumpIsHistoryInstalledApp(context, args);
            return true;
        } else if (android.rms.utils.Utils.scanArgs(args, "--dump-AppUsageTime-dumpRecorded")) {
            com.android.server.rms.dump.DumpAppUsageTime.dumpRecordedAppUsageInfo();
            return true;
        } else if (android.rms.utils.Utils.scanArgs(args, "--dump-AppResource-getPolicyType")) {
            com.android.server.rms.dump.DumpAppResource.getPolicyType(context, args);
            return true;
        } else if (android.rms.utils.Utils.scanArgs(args, "--dump-AppResource-dumpDispatchAQV")) {
            com.android.server.rms.dump.DumpAppResource.dumpDispatchAQV(context, args);
            return true;
        } else if (android.rms.utils.Utils.scanArgs(args, "--dump-AlarmManager")) {
            com.android.server.rms.dump.DumpAlarmManager.dump(context, pw, args);
            return true;
        } else if (!android.rms.utils.Utils.scanArgs(args, "--dump-ActivityManagerService")) {
            return false;
        } else {
            com.android.server.rms.dump.DumpActivityManagerService.lockAms(context, pw, args);
            return true;
        }
    }
}
