package com.android.server.rms.dump;

public final class DumpHwConfigReader extends junit.framework.Assert {
    private static int[] groupIDs = new int[]{10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24};
    private static com.android.server.rms.config.HwConfigReader mConfig;

    public static final void dumpConfigReader(java.io.PrintWriter pw, android.content.Context context) {
        java.lang.StringBuilder stringBuilder;
        mConfig = new com.android.server.rms.config.HwConfigReader();
        mConfig.loadResConfig(context);
        try {
            dumpGetGroupNum();
            pw.println("<I> getGroupNum --pass");
        } catch (junit.framework.AssertionFailedError e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("<I> getGroupNum --fail ");
            stringBuilder.append(e);
            pw.println(stringBuilder.toString());
        }
        try {
            dumpGetGroupName();
            pw.println("<I> getGroupName --pass");
        } catch (junit.framework.AssertionFailedError e2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("<I> getGroupName --fail ");
            stringBuilder.append(e2);
            pw.println(stringBuilder.toString());
        }
        try {
            dumpIsCount();
            pw.println("<I> isCount --pass");
        } catch (junit.framework.AssertionFailedError e22) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("<I> isCount --fail ");
            stringBuilder.append(e22);
            pw.println(stringBuilder.toString());
        }
        try {
            dumpGetGroupSampleCycleNum();
            pw.println("<I> getGroupSampleCycleNum --pass");
        } catch (junit.framework.AssertionFailedError e222) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("<I> getGroupSampleCycleNum --fail ");
            stringBuilder.append(e222);
            pw.println(stringBuilder.toString());
        }
        try {
            dumpGetResConfig();
            pw.println("<I> getResConfig --pass");
            pw.println("<I> getSubTypeName --pass");
            pw.println("<I> getResourceThreshold --pass");
            pw.println("<I> getResourceStrategy --pass");
            pw.println("<I> getResourceMaxPeroid --pass");
            pw.println("<I> getLoopInterval --pass");
            pw.println("<I> getNormalThreshold --pass");
            pw.println("<I> getWarningThreshold --pass");
            pw.println("<I> getUrgentThreshold --pass");
        } catch (junit.framework.AssertionFailedError e2222) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("<I> getResConfig --fail ");
            stringBuilder.append(e2222);
            pw.println(stringBuilder.toString());
        }
        try {
            dumpGetSubTypeNum();
            pw.println("<I> getSubTypeNum --pass");
        } catch (junit.framework.AssertionFailedError e22222) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("<I> getSubTypeNum --fail ");
            stringBuilder.append(e22222);
            pw.println(stringBuilder.toString());
        }
        try {
            dumpGetSubTypeLevels();
            pw.println("<I> getSubTypeLevels --pass");
        } catch (junit.framework.AssertionFailedError e222222) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("<I> getSubTypeLevels --fail ");
            stringBuilder.append(e222222);
            pw.println(stringBuilder.toString());
        }
        try {
            dumpCountGroupID();
            pw.println("<I> getCountGroupID --pass");
        } catch (junit.framework.AssertionFailedError e2222222) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("<I> getCountGroupID --fail ");
            stringBuilder.append(e2222222);
            pw.println(stringBuilder.toString());
        }
        try {
            dumpGetSaveInterval();
            pw.println("<I> getSaveInterval --pass");
        } catch (junit.framework.AssertionFailedError e22222222) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("<I> getSaveInterval --fail ");
            stringBuilder.append(e22222222);
            pw.println(stringBuilder.toString());
        }
        try {
            dumpGetCountInterval();
            pw.println("<I> getCountInterval --pass");
        } catch (junit.framework.AssertionFailedError e222222222) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("<I> getCountInterval --fail ");
            stringBuilder.append(e222222222);
            pw.println(stringBuilder.toString());
        }
        try {
            dumpGetSampleBasePeriod();
            pw.println("<I> getSampleBasePeriod --pass");
        } catch (junit.framework.AssertionFailedError e2222222222) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("<I> getSampleBasePeriod --fail ");
            stringBuilder.append(e2222222222);
            pw.println(stringBuilder.toString());
        }
        try {
            dumpGetMaxKeepFiles();
            pw.println("<I> getMaxKeepFiles --pass");
        } catch (junit.framework.AssertionFailedError e22222222222) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("<I> getMaxKeepFiles --fail ");
            stringBuilder.append(e22222222222);
            pw.println(stringBuilder.toString());
        }
        try {
            dumpGetWhiteList();
            pw.println("<I> getWhiteList --pass");
        } catch (junit.framework.AssertionFailedError e222222222222) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("<I> getWhiteList --fail ");
            stringBuilder.append(e222222222222);
            pw.println(stringBuilder.toString());
        }
    }

    private static final void dumpGetGroupNum() {
        assertEquals(21, mConfig.getGroupNum());
    }

    private static final void dumpGetGroupName() {
        java.lang.String[] expect = new java.lang.String[]{"NOTIFICATION", "BROADCAST", "RECEIVER", "ALARM", "APPOPS", "PIDS", "CURSOR", "APPSERVICE", "APP", "CPU", "IO", "SCHEDGROUP", "ANR", "DELAY", "FRAMELOST"};
        for (int i = 0; i < groupIDs.length; i++) {
            assertEquals(expect[i], mConfig.getGroupName(groupIDs[i]));
        }
    }

    private static final void dumpIsCount() {
        boolean[] expect = new boolean[]{false, false, false, false, false, false, false, false, false, false, false, false, false, false, false};
        for (int i = 0; i < groupIDs.length; i++) {
            assertEquals(expect[i], mConfig.isCount(groupIDs[i]));
        }
    }

    private static final void dumpGetGroupSampleCycleNum() {
        int[] expect = new int[]{-1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1};
        for (int i = 0; i < groupIDs.length; i++) {
            assertEquals(expect[i], mConfig.getGroupSampleCycleNum(groupIDs[i]));
        }
    }

    private static final void dumpGetResConfig() {
        int i;
        int i2 = 4;
        android.rms.config.ResourceConfig[] expect = new android.rms.config.ResourceConfig[]{new android.rms.config.ResourceConfig(0, 20, 2, 0, 1000, "APP_THIRDPARTY", 30, 40, 50, 0), new android.rms.config.ResourceConfig(1, 50, 2, 3, 1000, "APP_HW", 30, 40, 50, 0), new android.rms.config.ResourceConfig(2, 200, 2, 1, 1000, "APP_SYS", 30, 40, 50, 0), new android.rms.config.ResourceConfig(3, 300, 2, 2, 1000, "APP_TOTAL", 30, 40, 50, 0)};
        for (int i3 = 0; i3 < 4; i3++) {
            assertResConfigEquals("dump NOTIFICATION", expect[i3], mConfig.getResConfig(groupIDs[0], i3));
            assertSubTypeAttrEquals("dump NOTIFICATION", expect[i3], groupIDs[0], i3);
        }
        android.rms.config.ResourceConfig[] expect1 = new android.rms.config.ResourceConfig[]{new android.rms.config.ResourceConfig(0, 30, 2, 3, 1000, "APP_THIRDPARTY", 30, 40, 50, 0), new android.rms.config.ResourceConfig(1, 500, 2, 3, 1000, "APP_HW", 30, 40, 50, 0), new android.rms.config.ResourceConfig(2, 800, 1, 5, 1000, "APP_SYS", 30, 40, 50, 0), new android.rms.config.ResourceConfig(3, 1000, 1, 5, 1000, "APP_TOTAL", 30, 40, 50, 0)};
        for (int i4 = 0; i4 < 4; i4++) {
            assertResConfigEquals("dump BROADCAST", expect1[i4], mConfig.getResConfig(groupIDs[1], i4));
            assertSubTypeAttrEquals("dump BROADCAST", expect1[i4], groupIDs[1], i4);
        }
        android.rms.config.ResourceConfig[] expect2 = new android.rms.config.ResourceConfig[]{new android.rms.config.ResourceConfig(0, 200, 2, 0, 1000, "APP_THIRDPARTY", 30, 40, 50, 0), new android.rms.config.ResourceConfig(1, 500, 2, 0, 1000, "APP_HW", 30, 40, 50, 0), new android.rms.config.ResourceConfig(2, 1000, 1, 0, 0, "APP_SYS", 30, 40, 50, 0), new android.rms.config.ResourceConfig(3, 3000, 2, 0, 0, "APP_TOTAL", 30, 40, 50, 0)};
        for (int i5 = 0; i5 < 4; i5++) {
            assertResConfigEquals("dump RECEIVER", expect2[i5], mConfig.getResConfig(groupIDs[2], i5));
            assertSubTypeAttrEquals("dump RECEIVER", expect2[i5], groupIDs[2], i5);
        }
        android.rms.config.ResourceConfig[] expect3 = new android.rms.config.ResourceConfig[]{new android.rms.config.ResourceConfig(0, 50, 1, 0, 5000, "APP_THIRDPARTY", 30, 40, 50, 0), new android.rms.config.ResourceConfig(1, 100, 1, 0, 5000, "APP_HW", 30, 40, 50, 0), new android.rms.config.ResourceConfig(2, 200, 1, 0, 5000, "APP_SYS", 30, 40, 50, 0), new android.rms.config.ResourceConfig(3, 800, 1, 0, 5000, "APP_TOTAL", 30, 40, 50, 0)};
        for (int i6 = 0; i6 < 4; i6++) {
            assertResConfigEquals("dump ALARM", expect3[i6], mConfig.getResConfig(groupIDs[3], i6));
            assertSubTypeAttrEquals("dump ALARM", expect3[i6], groupIDs[3], i6);
        }
        android.rms.config.ResourceConfig[] expect4 = new android.rms.config.ResourceConfig[]{new android.rms.config.ResourceConfig(0, 200, 1, 0, 0, "APP_THIRDPARTY", -1, -1, -1, 0)};
        for (int i7 = 0; i7 < 1; i7++) {
            assertResConfigEquals("dump APPOPS", expect4[i7], mConfig.getResConfig(groupIDs[4], i7));
            assertSubTypeAttrEquals("dump APPOPS", expect4[i7], groupIDs[4], i7);
        }
        android.rms.config.ResourceConfig[] expect6 = new android.rms.config.ResourceConfig[]{new android.rms.config.ResourceConfig(0, 300, 500, 0, 0, "APP_THIRDPARTY", 30, 40, 50, 0)};
        for (int i8 = 0; i8 < 1; i8++) {
            assertResConfigEquals("dump PIDS", expect6[i8], mConfig.getResConfig(groupIDs[6], i8));
            assertSubTypeAttrEquals("dump PIDS", expect6[i8], groupIDs[5], i8);
        }
        android.rms.config.ResourceConfig[] expect7 = new android.rms.config.ResourceConfig[]{new android.rms.config.ResourceConfig(0, 50, 2, 0, 60000, "APP_THIRDPARTY", 30, 40, 50, 0), new android.rms.config.ResourceConfig(1, 50, 2, 0, 60000, "APP_HW", 30, 40, 50, 0), new android.rms.config.ResourceConfig(2, 200, 1, 0, 60000, "APP_SYS", 30, 40, 50, 0), new android.rms.config.ResourceConfig(3, 1000, 1, 0, 60000, "APP_TOTAL", 30, 40, 50, 0)};
        for (int i9 = 0; i9 < 4; i9++) {
            assertResConfigEquals("dump CURSOR", expect7[i9], mConfig.getResConfig(groupIDs[7], i9));
            assertSubTypeAttrEquals("dump CURSOR", expect7[i9], groupIDs[6], i9);
        }
        android.rms.config.ResourceConfig[] expect8 = new android.rms.config.ResourceConfig[]{new android.rms.config.ResourceConfig(0, 1, 2, 10, 2000, "APP_THIRDPARTY", 30, 40, 50, 0), new android.rms.config.ResourceConfig(1, 1, 2, 10, 2000, "APP_HW", 30, 40, 50, 0), new android.rms.config.ResourceConfig(2, 1, 2, 10, 2000, "APP_SYS", 30, 40, 50, 0), new android.rms.config.ResourceConfig(3, 1, 2, 10, 2000, "APP_TOTAL", 30, 40, 50, 0)};
        for (i = 0; i < 4; i++) {
            assertResConfigEquals("dump APPSERVICE", expect8[i], mConfig.getResConfig(groupIDs[8], i));
            assertSubTypeAttrEquals("dump APPSERVICE", expect8[i], groupIDs[7], i);
        }
        android.rms.config.ResourceConfig[] expect9 = new android.rms.config.ResourceConfig[]{new android.rms.config.ResourceConfig(0, 1, 2, 10, 2000, "APP_THIRDPARTY", 30, 40, 50, 0), new android.rms.config.ResourceConfig(1, 1, 2, 10, 2000, "APP_HW", 30, 40, 50, 0), new android.rms.config.ResourceConfig(2, 1, 2, 10, 2000, "APP_SYS", 30, 40, 50, 0), new android.rms.config.ResourceConfig(3, 1, 2, 10, 2000, "APP_TOTAL", 30, 40, 50, 0)};
        i = 0;
        while (i < i2) {
            assertResConfigEquals("dump APP", expect9[i], mConfig.getResConfig(groupIDs[9], i));
            assertSubTypeAttrEquals("dump APP", expect9[i], groupIDs[8], i);
            i++;
            i2 = 4;
        }
        assertEquals("dump CPU", null, mConfig.getResConfig(groupIDs[9], 0));
        assertEquals("dump IO", null, mConfig.getResConfig(groupIDs[10], 0));
        assertEquals("dump SCHEDGROUP", null, mConfig.getResConfig(groupIDs[11], 0));
        assertEquals("dump ANR", null, mConfig.getResConfig(groupIDs[12], 0));
        assertEquals("dump DELAY", null, mConfig.getResConfig(groupIDs[13], 0));
        assertEquals("dump FRAMELOST", null, mConfig.getResConfig(groupIDs[14], 0));
    }

    private static final void assertResConfigEquals(java.lang.String info, android.rms.config.ResourceConfig expect, android.rms.config.ResourceConfig actual) {
        assertEquals(info, expect.getResourceID(), actual.getResourceID());
        assertEquals(info, expect.getResourceThreshold(), actual.getResourceThreshold());
        assertEquals(info, expect.getResourceStrategy(), actual.getResourceStrategy());
        assertEquals(info, expect.getResourceMaxPeroid(), actual.getResourceMaxPeroid());
        assertEquals(info, expect.getLoopInterval(), actual.getLoopInterval());
        assertEquals(info, expect.getResouceName(), actual.getResouceName());
        assertEquals(info, expect.getResouceNormalThreshold(), actual.getResouceNormalThreshold());
        assertEquals(info, expect.getResouceWarningThreshold(), actual.getResouceWarningThreshold());
        assertEquals(info, expect.getResouceUrgentThreshold(), actual.getResouceUrgentThreshold());
    }

    private static final void assertSubTypeAttrEquals(java.lang.String info, android.rms.config.ResourceConfig expect, int groupID, int subType) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("dump getSubTypeName ");
        stringBuilder.append(info);
        assertEquals(stringBuilder.toString(), expect.getResouceName(), mConfig.getSubTypeName(groupID, subType));
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("dump getResourceThreshold ");
        stringBuilder.append(info);
        assertEquals(stringBuilder.toString(), expect.getResourceThreshold(), mConfig.getResourceThreshold(groupID, subType));
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("dump getResourceStrategy ");
        stringBuilder.append(info);
        assertEquals(stringBuilder.toString(), expect.getResourceStrategy(), mConfig.getResourceStrategy(groupID, subType));
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("dump getResourceMaxPeroid ");
        stringBuilder.append(info);
        assertEquals(stringBuilder.toString(), expect.getResourceMaxPeroid(), mConfig.getResourceMaxPeroid(groupID, subType));
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("dump getLoopInterval ");
        stringBuilder.append(info);
        assertEquals(stringBuilder.toString(), expect.getLoopInterval(), mConfig.getLoopInterval(groupID, subType));
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("dump getNormalThreshold ");
        stringBuilder.append(info);
        assertEquals(stringBuilder.toString(), expect.getResouceNormalThreshold(), mConfig.getNormalThreshold(groupID, subType));
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("dump getWarningThreshold ");
        stringBuilder.append(info);
        assertEquals(stringBuilder.toString(), expect.getResouceWarningThreshold(), mConfig.getWarningThreshold(groupID, subType));
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("dump getUrgentThreshold ");
        stringBuilder.append(info);
        assertEquals(stringBuilder.toString(), expect.getResouceUrgentThreshold(), mConfig.getUrgentThreshold(groupID, subType));
    }

    private static final void dumpGetSubTypeNum() {
        int[] expect = new int[]{4, 4, 4, 4, 4, 1, 4, 4, 4, 0, 0, 0, 0, 0, 0};
        for (int i = 0; i < expect.length; i++) {
            assertEquals(expect[i], mConfig.getSubTypeNum(groupIDs[i]));
        }
    }

    private static final void dumpGetSubTypeLevels() {
        int i;
        for (i = 0; i < 4; i++) {
            assertEquals("dump NOTIFICATION", 0, mConfig.getSubTypeLevels(groupIDs[0], i).size());
        }
        for (i = 0; i < 4; i++) {
            assertEquals("dump BROADCAST", 0, mConfig.getSubTypeLevels(groupIDs[1], i).size());
        }
        for (i = 0; i < 4; i++) {
            assertEquals("dump RECEIVER", 0, mConfig.getSubTypeLevels(groupIDs[2], i).size());
        }
        for (i = 0; i < 4; i++) {
            assertEquals("dump ALARM", 0, mConfig.getSubTypeLevels(groupIDs[3], i).size());
        }
        for (i = 0; i < 1; i++) {
            assertEquals("dump APPOPS", 0, mConfig.getSubTypeLevels(groupIDs[4], i).size());
        }
        for (i = 0; i < 1; i++) {
            assertEquals("dump PIDS", 0, mConfig.getSubTypeLevels(groupIDs[5], i).size());
        }
        for (i = 0; i < 4; i++) {
            assertEquals("dump CURSOR", 0, mConfig.getSubTypeLevels(groupIDs[6], i).size());
        }
        for (i = 0; i < 4; i++) {
            assertEquals("dump APPSERVICE", 0, mConfig.getSubTypeLevels(groupIDs[7], i).size());
        }
        for (i = 0; i < 4; i++) {
            assertEquals("dump APPSERVICE", 0, mConfig.getSubTypeLevels(groupIDs[8], i).size());
        }
        assertEquals("dump CPU", null, mConfig.getSubTypeLevels(groupIDs[9], 0));
        assertEquals("dump IO", null, mConfig.getSubTypeLevels(groupIDs[10], 0));
        assertEquals("dump SCHEDGROUP", null, mConfig.getSubTypeLevels(groupIDs[11], 0));
        assertEquals("dump ANR", null, mConfig.getSubTypeLevels(groupIDs[12], 0));
        assertEquals("dump DELAY", null, mConfig.getSubTypeLevels(groupIDs[13], 0));
        assertEquals("dump FRAMELOST", null, mConfig.getSubTypeLevels(groupIDs[14], 0));
    }

    private static final void dumpCountGroupID() {
        int[] group = new int[]{26, 27, 28};
        assertEquals("group num ", 3, mConfig.getCountGroupID().size());
        for (int i = 0; i < 3; i++) {
            assertEquals(group[i], ((java.lang.Integer) mConfig.getCountGroupID().get(i)).intValue());
        }
    }

    private static final void dumpGetSaveInterval() {
        assertEquals(30, mConfig.getSaveInterval());
    }

    private static final void dumpGetCountInterval() {
        assertEquals(10080, mConfig.getCountInterval(false));
        assertEquals(1440, mConfig.getCountInterval(true));
    }

    private static final void dumpGetSampleBasePeriod() {
        assertEquals(60000, mConfig.getSampleBasePeriod());
    }

    private static final void dumpGetMaxKeepFiles() {
        assertEquals(10, mConfig.getMaxKeepFiles());
    }

    private static final void dumpGetWhiteList() {
        java.lang.String[] expect = new java.lang.String[]{null, null, null, null, null, null, null, null, null, null, null, null, null, null, null};
        for (int i = 0; i < groupIDs.length; i++) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("case ");
            stringBuilder.append(i);
            assertEquals(stringBuilder.toString(), expect[i], mConfig.getWhiteList(groupIDs[i]));
        }
    }
}
