package com.android.server.rms.iaware;

class AwareAmsMonitorCallback extends com.huawei.android.app.IHwDAMonitorCallback.Stub {
    private static final java.lang.String ACTIVITY_DESTROYED = "DESTROYED";
    private static final java.lang.String ACTIVITY_RESUME = "RESUMED";
    private static final int ACTIVITY_STATE_INFO_LENGTH = 5;
    private static final java.lang.String ACTIVITY_STOPPED = "STOPPED";
    private static final int FOREGROUND_INFO_LENGTH = 3;
    private static final java.lang.String TAG = "AwareDAMonitorCallback";

    AwareAmsMonitorCallback() {
    }

    public int getActivityImportCount() {
        return 2;
    }

    public java.lang.String getRecentTask() {
        return "com.android.systemui/.recents.RecentsActivity";
    }

    public int isCPUConfigWhiteList(java.lang.String processName) {
        return com.android.server.rms.iaware.cpu.CPUResourceConfigControl.getInstance().isWhiteList(processName);
    }

    public int getCPUConfigGroupBG() {
        return 1;
    }

    public int getFirstDevSchedEventId() {
        return 2100;
    }

    public void notifyActivityState(java.lang.String activityInfo) {
        java.lang.StringBuilder stringBuilder;
        int uid;
        int i;
        int i2;
        java.lang.String str = activityInfo;
        android.rms.HwSysResManager resManager = android.rms.HwSysResManager.getInstance();
        if (resManager == null || !resManager.isResourceNeeded(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RES_APP))) {
            return;
        }
        if (isInvalidStr(activityInfo)) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("invalid str. activityInfo : ");
            stringBuilder2.append(str);
            android.rms.iaware.AwareLog.e("AwareDAMonitorCallback", stringBuilder2.toString());
            return;
        }
        java.lang.String[] info = str.split("#");
        if (5 != info.length) {
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("info error. activityInfo : ");
            stringBuilder3.append(str);
            android.rms.iaware.AwareLog.e("AwareDAMonitorCallback", stringBuilder3.toString());
            return;
        }
        int event = -1;
        java.lang.String packageName;
        java.lang.String activityName;
        try {
            int pid;
            packageName = info[0];
            try {
                activityName = info[1];
            } catch (java.lang.NumberFormatException e) {
                activityName = null;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("NumberFormatException, noteActivityInfo : ");
                stringBuilder.append(str);
                android.rms.iaware.AwareLog.e("AwareDAMonitorCallback", stringBuilder.toString());
            } catch (java.lang.ArrayIndexOutOfBoundsException e2) {
                activityName = null;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("ArrayIndexOutOfBoundsException, noteActivityInfo : ");
                stringBuilder.append(str);
                android.rms.iaware.AwareLog.e("AwareDAMonitorCallback", stringBuilder.toString());
            }
            try {
                uid = java.lang.Integer.parseInt(info[2]);
            } catch (java.lang.NumberFormatException e3) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("NumberFormatException, noteActivityInfo : ");
                stringBuilder.append(str);
                android.rms.iaware.AwareLog.e("AwareDAMonitorCallback", stringBuilder.toString());
            } catch (java.lang.ArrayIndexOutOfBoundsException e4) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("ArrayIndexOutOfBoundsException, noteActivityInfo : ");
                stringBuilder.append(str);
                android.rms.iaware.AwareLog.e("AwareDAMonitorCallback", stringBuilder.toString());
            }
            try {
                pid = java.lang.Integer.parseInt(info[3]);
            } catch (java.lang.NumberFormatException e5) {
                i = uid;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("NumberFormatException, noteActivityInfo : ");
                stringBuilder.append(str);
                android.rms.iaware.AwareLog.e("AwareDAMonitorCallback", stringBuilder.toString());
            } catch (java.lang.ArrayIndexOutOfBoundsException e6) {
                i = uid;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("ArrayIndexOutOfBoundsException, noteActivityInfo : ");
                stringBuilder.append(str);
                android.rms.iaware.AwareLog.e("AwareDAMonitorCallback", stringBuilder.toString());
            }
            try {
                java.lang.String state = info[4];
                if (isInvalidActivityInfo(packageName, activityName, state, uid, pid)) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("invalid activity info, activityInfo : ");
                    stringBuilder.append(str);
                    android.rms.iaware.AwareLog.e("AwareDAMonitorCallback", stringBuilder.toString());
                    return;
                }
                java.lang.String packageName2;
                if ("RESUMED".equals(state)) {
                    packageName2 = 15019;
                } else {
                    if ("STOPPED".equals(state) == null) {
                        if ("DESTROYED".equals(state) == null) {
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("state out of control, state : ");
                            stringBuilder.append(state);
                            android.rms.iaware.AwareLog.e("AwareDAMonitorCallback", stringBuilder.toString());
                            return;
                        }
                    }
                    int packageName22 = 85019;
                }
                android.rms.iaware.DataContract.Apps.Builder builder = android.rms.iaware.DataContract.Apps.builder();
                builder.addEvent(packageName22);
                builder.addCalledApp(packageName, null, activityName, pid, uid);
                java.lang.String activityName2 = builder.build();
                java.lang.String state2 = android.os.Binder.clearCallingIdentity();
                resManager.reportData(activityName2);
                android.os.Binder.restoreCallingIdentity(state2);
            } catch (java.lang.NumberFormatException e7) {
                i = uid;
                i2 = pid;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("NumberFormatException, noteActivityInfo : ");
                stringBuilder.append(str);
                android.rms.iaware.AwareLog.e("AwareDAMonitorCallback", stringBuilder.toString());
            } catch (java.lang.ArrayIndexOutOfBoundsException e8) {
                i = uid;
                i2 = pid;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("ArrayIndexOutOfBoundsException, noteActivityInfo : ");
                stringBuilder.append(str);
                android.rms.iaware.AwareLog.e("AwareDAMonitorCallback", stringBuilder.toString());
            }
        } catch (java.lang.NumberFormatException e9) {
            packageName = null;
            activityName = null;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("NumberFormatException, noteActivityInfo : ");
            stringBuilder.append(str);
            android.rms.iaware.AwareLog.e("AwareDAMonitorCallback", stringBuilder.toString());
        } catch (java.lang.ArrayIndexOutOfBoundsException e10) {
            packageName = null;
            activityName = null;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("ArrayIndexOutOfBoundsException, noteActivityInfo : ");
            stringBuilder.append(str);
            android.rms.iaware.AwareLog.e("AwareDAMonitorCallback", stringBuilder.toString());
        }
    }

    public void notifyAppToTop(java.lang.String msg) {
        java.lang.StringBuilder stringBuilder;
        if (msg == null) {
            android.rms.iaware.AwareLog.e("AwareDAMonitorCallback", "notifyForeGroundChange, msg is null, error!");
            return;
        }
        android.rms.HwSysResManager resManager = android.rms.HwSysResManager.getInstance();
        if (resManager != null && resManager.isResourceNeeded(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RES_APP))) {
            java.lang.String[] info = msg.split("#");
            if (3 != info.length) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("info error. msg : ");
                stringBuilder2.append(msg);
                android.rms.iaware.AwareLog.e("AwareDAMonitorCallback", stringBuilder2.toString());
                return;
            }
            int pid;
            try {
                int uid;
                pid = java.lang.Integer.parseInt(info[0]);
                try {
                    uid = java.lang.Integer.parseInt(info[1]);
                } catch (java.lang.NumberFormatException e) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("NumberFormatException, msg : ");
                    stringBuilder.append(msg);
                    android.rms.iaware.AwareLog.e("AwareDAMonitorCallback", stringBuilder.toString());
                }
                try {
                    java.lang.String processName = info[2];
                    java.lang.String processName2 = android.rms.iaware.DataContract.Apps.builder();
                    processName2.addEvent(15020);
                    processName2.addCalledApp(null, processName, null, pid, uid);
                    android.rms.iaware.CollectData appsData = processName2.build();
                    long id = android.os.Binder.clearCallingIdentity();
                    resManager.reportData(appsData);
                    android.os.Binder.restoreCallingIdentity(id);
                } catch (java.lang.NumberFormatException e2) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("NumberFormatException, msg : ");
                    stringBuilder.append(msg);
                    android.rms.iaware.AwareLog.e("AwareDAMonitorCallback", stringBuilder.toString());
                }
            } catch (java.lang.NumberFormatException e3) {
                pid = -1;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("NumberFormatException, msg : ");
                stringBuilder.append(msg);
                android.rms.iaware.AwareLog.e("AwareDAMonitorCallback", stringBuilder.toString());
            }
        }
    }

    private boolean isInvalidStr(java.lang.String str) {
        if (str != null) {
            if (!str.trim().isEmpty()) {
                return false;
            }
        }
        return true;
    }

    private boolean isInvalidActivityInfo(java.lang.String packageName, java.lang.String activityName, java.lang.String state, int uid, int pid) {
        if (!(packageName == null || activityName == null || state == null || uid <= 1000)) {
            if (pid >= 0) {
                return false;
            }
        }
        return true;
    }

    public int DAMonitorReport(int tag, java.lang.String msg) {
        if (2100 == tag) {
            notifyAppToTop(msg);
        }
        return android.rms.iaware.LogIAware.report(tag, msg);
    }

    public void reportScreenRecord(int uid, int pid, int status) {
        android.rms.HwSysResManager resManager = android.rms.HwSysResManager.getInstance();
        if (resManager != null && resManager.isResourceNeeded(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_APPASSOC))) {
            int reportStatus;
            if (status == 0) {
                reportStatus = 26;
            } else {
                reportStatus = 25;
            }
            android.os.Bundle bundleArgs = new android.os.Bundle();
            bundleArgs.putInt("callUid", uid);
            bundleArgs.putInt("callPid", pid);
            bundleArgs.putInt("relationType", reportStatus);
            android.rms.iaware.CollectData data = new android.rms.iaware.CollectData(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_APPASSOC), java.lang.System.currentTimeMillis(), bundleArgs);
            long origId = android.os.Binder.clearCallingIdentity();
            android.rms.HwSysResManager.getInstance().reportData(data);
            android.os.Binder.restoreCallingIdentity(origId);
        }
    }

    public void reportCamera(int uid, int status) {
        if (uid > 0) {
            if (uid != 1000) {
                android.rms.HwSysResManager resManager = android.rms.HwSysResManager.getInstance();
                if (resManager != null && resManager.isResourceNeeded(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_APPASSOC))) {
                    int reportStatus;
                    if (status == 0) {
                        reportStatus = 31;
                    } else {
                        reportStatus = 30;
                    }
                    android.os.Bundle bundleArgs = new android.os.Bundle();
                    bundleArgs.putInt("callUid", uid);
                    bundleArgs.putInt("relationType", reportStatus);
                    android.rms.iaware.CollectData data = new android.rms.iaware.CollectData(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_APPASSOC), java.lang.System.currentTimeMillis(), bundleArgs);
                    long origId = android.os.Binder.clearCallingIdentity();
                    android.rms.HwSysResManager.getInstance().reportData(data);
                    android.os.Binder.restoreCallingIdentity(origId);
                }
            }
        }
    }

    public void notifyProcessGroupChangeCpu(int pid, int uid, int grp) {
        com.android.server.rms.iaware.cpu.CPUKeyBackground.getInstance().notifyProcessGroupChange(pid, uid, grp);
    }

    public void setVipThread(int pid, int renderThreadTid, boolean isSet) {
        java.util.ArrayList<java.lang.Integer> tidStrs = new java.util.ArrayList();
        tidStrs.add(java.lang.Integer.valueOf(pid));
        tidStrs.add(java.lang.Integer.valueOf(renderThreadTid));
        com.android.server.rms.iaware.cpu.CPUVipThread.getInstance().setAppVipThread(pid, tidStrs, isSet);
    }

    public void notifyAppEventToIaware(int type, java.lang.String packageName) {
        com.android.server.rms.iaware.cpu.CPUFeatureAMSCommunicator.getInstance().setTopAppToBoost(type, packageName);
    }

    public void onPointerEvent(int action) {
        if (action == 0 || action == 1) {
            android.rms.HwSysResManager resManager = android.rms.HwSysResManager.getInstance();
            if (resManager != null && resManager.isResourceNeeded(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RES_INPUT))) {
                android.rms.iaware.DataContract.Input.Builder builder = android.rms.iaware.DataContract.Input.builder();
                if (action == 0) {
                    builder.addEvent(10001);
                } else {
                    builder.addEvent(80001);
                }
                android.rms.iaware.CollectData appsData = builder.build();
                long id = android.os.Binder.clearCallingIdentity();
                resManager.reportData(appsData);
                android.os.Binder.restoreCallingIdentity(id);
            }
        }
    }

    public void noteActivityStart(java.lang.String packageName, java.lang.String processName, java.lang.String activityName, int pid, int uid, boolean started) {
        android.rms.HwSysResManager resManager = android.rms.HwSysResManager.getInstance();
        if (resManager != null && resManager.isResourceNeeded(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RES_APP))) {
            int i;
            android.rms.iaware.DataContract.Apps.Builder builder = android.rms.iaware.DataContract.Apps.builder();
            if (started) {
                i = 15005;
            } else {
                i = 85005;
            }
            builder.addEvent(i);
            builder.addCalledApp(packageName, processName, activityName, pid, uid);
            android.rms.iaware.CollectData appsData = builder.build();
            long id = android.os.Binder.clearCallingIdentity();
            resManager.reportData(appsData);
            android.os.Binder.restoreCallingIdentity(id);
        }
    }

    public void addPssToMap(java.lang.String procName, int uid, int pid, int procState, long pss, long now, boolean test) {
        com.android.server.rms.memrepair.ProcStateStatisData.getInstance().addPssToMap(procName, uid, pid, procState, pss, now, test);
    }

    public void reportAppDiedMsg(int userId, java.lang.String processName, java.lang.String reason) {
        if (!(processName == null || processName.contains(":"))) {
            if (reason != null) {
                java.lang.StringBuffer stringBuffer = new java.lang.StringBuffer();
                stringBuffer.append(processName);
                stringBuffer.append("#");
                stringBuffer.append(java.lang.String.valueOf(userId));
                stringBuffer.append("#");
                stringBuffer.append(reason);
                android.rms.iaware.LogIAware.report(2031, stringBuffer.toString());
            }
        }
    }

    public int killProcessGroupForQuickKill(int uid, int pid) {
        return com.android.server.rms.iaware.memory.utils.MemoryUtils.killProcessGroupForQuickKill(uid, pid);
    }

    public void noteProcessStart(java.lang.String packageName, java.lang.String processName, int pid, int uid, boolean started, java.lang.String launcherMode, java.lang.String reason) {
        android.rms.HwSysResManager resManager = android.rms.HwSysResManager.getInstance();
        if (resManager != null && resManager.isResourceNeeded(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RES_APP))) {
            int i;
            android.rms.iaware.DataContract.Apps.Builder builder = android.rms.iaware.DataContract.Apps.builder();
            if (started) {
                i = 15001;
            } else {
                i = 85001;
            }
            builder.addEvent(i);
            builder.addLaunchCalledApp(packageName, processName, launcherMode, reason, pid, uid);
            android.rms.iaware.CollectData appsData = builder.build();
            long id = android.os.Binder.clearCallingIdentity();
            resManager.reportData(appsData);
            android.os.Binder.restoreCallingIdentity(id);
        }
    }

    public void onWakefulnessChanged(int wakefulness) {
        com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.self().onWakefulnessChanged(wakefulness);
    }

    public void recognizeFakeActivity(java.lang.String compName, boolean isScreenOn, int pid, int uid) {
        com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.self().recognizeFakeActivity(compName, isScreenOn, pid, uid);
    }

    public void notifyProcessGroupChange(int pid, int uid) {
        android.app.mtm.MultiTaskManager handler = android.app.mtm.MultiTaskManager.getInstance();
        if (handler != null) {
            handler.notifyProcessGroupChange(pid, uid);
        }
    }

    public void notifyProcessStatusChange(java.lang.String pkg, java.lang.String process, java.lang.String hostingType, int pid, int uid) {
        android.app.mtm.MultiTaskManager handler = android.app.mtm.MultiTaskManager.getInstance();
        if (handler != null) {
            handler.notifyProcessStatusChange(pkg, process, hostingType, pid, uid);
        }
    }

    public void notifyProcessWillDie(boolean byForceStop, boolean crashed, boolean byAnr, java.lang.String packageName, int pid, int uid) {
        com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.self().notifyProcessWillDie(byForceStop, crashed, byAnr, packageName, pid, uid);
    }

    public void notifyProcessDied(int pid, int uid) {
        android.app.mtm.MultiTaskManager handler = android.app.mtm.MultiTaskManager.getInstance();
        if (handler != null) {
            handler.notifyProcessDiedChange(pid, uid);
        }
    }

    public int resetAppMngOomAdj(int maxAdj, java.lang.String packageName) {
        if (maxAdj > 260 && com.android.server.mtm.iaware.appmng.AwareAppMngSort.checkAppMngEnable() && com.android.server.rms.iaware.appmng.AwareDefaultConfigList.getInstance().isAppMngOomAdjCustomized(packageName)) {
            return 260;
        }
        return maxAdj;
    }

    public boolean isResourceNeeded(java.lang.String resourceid) {
        android.rms.HwSysResManager resManager = android.rms.HwSysResManager.getInstance();
        if (resManager == null) {
            return false;
        }
        return resManager.isResourceNeeded(getReousrceId(resourceid));
    }

    private int getReousrceId(java.lang.String resourceid) {
        if (resourceid == null) {
            return android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_INVALIDE_TYPE);
        }
        if (resourceid.equals("RESOURCE_APPASSOC")) {
            return android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_APPASSOC);
        }
        return android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_INVALIDE_TYPE);
    }

    public void reportData(java.lang.String resourceid, long timestamp, android.os.Bundle args) {
        android.rms.HwSysResManager resManager = android.rms.HwSysResManager.getInstance();
        if (resManager != null && args != null) {
            android.rms.iaware.CollectData data = new android.rms.iaware.CollectData(getReousrceId(resourceid), timestamp, args);
            long id = android.os.Binder.clearCallingIdentity();
            resManager.reportData(data);
            android.os.Binder.restoreCallingIdentity(id);
        }
    }

    public boolean isExcludedInBGCheck(java.lang.String pkg, java.lang.String action) {
        return com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().isExcludedInBGCheck(pkg, action);
    }

    public void noteActivityDisplayedStart(java.lang.String componentName, int uid, int pid) {
        if (componentName != null) {
            if (pid > 0) {
                android.rms.HwSysResManager resManager = android.rms.HwSysResManager.getInstance();
                if (resManager != null && resManager.isResourceNeeded(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RES_APP))) {
                    android.rms.iaware.DataContract.Apps.Builder builder = android.rms.iaware.DataContract.Apps.builder();
                    builder.addEvent(15013);
                    builder.addActivityDisplayedInfoWithUid(componentName, uid, pid, 0);
                    android.rms.iaware.CollectData appsData = builder.build();
                    long id = android.os.Binder.clearCallingIdentity();
                    resManager.reportData(appsData);
                    android.os.Binder.restoreCallingIdentity(id);
                }
            }
        }
    }
}
