package com.android.server.rms.iaware;

public class RFeatureManager implements com.android.server.rms.iaware.IRDataRegister {
    private static final java.lang.String CUST_PATH_DIR = "/data/cust/xml";
    private static final int FEATURE_MAX_DUMP_SIZE = 5;
    public static final int FEATURE_STATUS_DISABLE = 0;
    public static final int FEATURE_STATUS_ENABLE = 1;
    private static final java.lang.String FEATURE_SWITCH_FILE_NAME = "iAwareFeatureSwitch.xml";
    private static int IAWARE_VERSION_DEFAULT = 1;
    private static java.lang.String KEY_IAWARE_VERSION = "iAwareVersion";
    private static final int MSG_CONFIG_UPDATE = 3;
    private static final int MSG_ENABLE_DISABLE_FEATURE = 1;
    private static final int MSG_INIT_FEATURE = 0;
    private static final int MSG_REPORT_DATA = 2;
    private static final int MSG_REPORT_DATA_CALLBACK = 4;
    private static final int MSG_UPDATE_ARG_CONFIG = 0;
    private static final int MSG_UPDATE_ARG_CUST_CONFIG = 1;
    private static final java.lang.String TAG = "RFeatureManager";
    private static final int UNKNOWN_FEATURE_STATUS = -1;
    private static final java.lang.String USER_HABIT_RECV_TRAIN_COMPLETED_PERMISSION = "com.huawei.iaware.userhabit.USERHABIT_PERMISSION";
    private static final java.lang.String USER_HABIT_TRAIN_COMPLETED_ACTION = "com.huawei.iaware.userhabit.TRAIN_COMPLETED";
    private static final java.lang.String XML_TAG_FEATURE_ID = "featureid";
    private static final java.lang.String XML_TAG_FEATURE_SWITCH = "switch";
    private static final java.lang.String XML_TAG_ITEM = "item";
    private static final java.lang.String mAPPMngFeatureName = "com.android.server.rms.iaware.feature.APPMngFeature";
    private static final android.rms.iaware.AwareConstant.FeatureType mAPPMngFeatureType = android.rms.iaware.AwareConstant.FeatureType.FEATURE_APPMNG;
    private com.android.server.rms.iaware.AwareAWSIMonitorCallback mAwsiCallback = null;
    private android.content.Context mContext = null;
    private final java.lang.String[] mFeatureNames = new java.lang.String[]{"com.android.server.rms.iaware.feature.AppRecgFeature", "com.android.server.rms.iaware.cpu.CPUFeature", "com.android.server.rms.iaware.srms.ResourceFeature", "com.android.server.rms.iaware.feature.APPHiberFeature", "com.android.server.rms.iaware.feature.MemoryFeature", "com.android.server.rms.iaware.feature.IOFeature", "com.android.server.rms.iaware.srms.BroadcastFeature", "com.android.server.rms.iaware.feature.VsyncFeature", "com.android.server.rms.iaware.feature.MemoryFeature2", "com.android.server.rms.iaware.srms.AppStartupFeature", "com.android.server.rms.iaware.feature.AppFakeFeature", "com.android.server.rms.iaware.feature.NetworkFeature", "com.android.server.rms.iaware.feature.APPFreezeFeature", "com.android.server.rms.iaware.feature.APPIoLimitFeature", "com.android.server.rms.iaware.srms.AppCleanupFeature", "com.android.server.rms.iaware.feature.DevSchedFeatureRT", "com.android.server.rms.iaware.feature.AlarmManagerFeature", "com.android.server.rms.iaware.feature.BlitParallelFeature", "com.android.server.rms.iaware.srms.BroadcastExFeature", "com.android.server.rms.iaware.feature.SysLoadFeature", "com.android.server.rms.iaware.feature.AppQuickStartFeature", "com.android.server.rms.iaware.feature.NetworkTcpNodelayFeature", "com.android.server.rms.iaware.feature.StartWindowFeature", "com.android.server.rms.iaware.feature.PreloadResourceFeature"};
    private final android.rms.iaware.AwareConstant.FeatureType[] mFeatureTypes = new android.rms.iaware.AwareConstant.FeatureType[]{android.rms.iaware.AwareConstant.FeatureType.FEATURE_INTELLI_REC, android.rms.iaware.AwareConstant.FeatureType.FEATURE_CPU, android.rms.iaware.AwareConstant.FeatureType.FEATURE_RESOURCE, android.rms.iaware.AwareConstant.FeatureType.FEATURE_APPHIBER, android.rms.iaware.AwareConstant.FeatureType.FEATURE_MEMORY, android.rms.iaware.AwareConstant.FeatureType.FEATURE_IO, android.rms.iaware.AwareConstant.FeatureType.FEATURE_BROADCAST, android.rms.iaware.AwareConstant.FeatureType.FEATURE_VSYNC, android.rms.iaware.AwareConstant.FeatureType.FEATURE_MEMORY2, android.rms.iaware.AwareConstant.FeatureType.FEATURE_APPSTARTUP, android.rms.iaware.AwareConstant.FeatureType.FEATURE_RECG_FAKEACTIVITY, android.rms.iaware.AwareConstant.FeatureType.FEATURE_NETWORK_TCP, android.rms.iaware.AwareConstant.FeatureType.FEATURE_APPFREEZE, android.rms.iaware.AwareConstant.FeatureType.FEATURE_IO_LIMIT, android.rms.iaware.AwareConstant.FeatureType.FEATURE_APPCLEANUP, android.rms.iaware.AwareConstant.FeatureType.FEATURE_DEVSCHED, android.rms.iaware.AwareConstant.FeatureType.FEATURE_ALARM_MANAGER, android.rms.iaware.AwareConstant.FeatureType.FEATURE_BLIT_PARALLEL, android.rms.iaware.AwareConstant.FeatureType.FEATURE_BROADCASTEX, android.rms.iaware.AwareConstant.FeatureType.FEATURE_SYSLOAD, android.rms.iaware.AwareConstant.FeatureType.FEATURE_APP_QUICKSTART, android.rms.iaware.AwareConstant.FeatureType.FEATURE_NETWORK_TCP_NODELAY, android.rms.iaware.AwareConstant.FeatureType.FEATURE_STARTWINDOW, android.rms.iaware.AwareConstant.FeatureType.PRELOADRESOURCE};
    private boolean mIAwareEnabled = false;
    private int mIAwareVersion = IAWARE_VERSION_DEFAULT;
    private org.xmlpull.v1.XmlPullParser mParser = null;
    private com.android.server.rms.iaware.RFeatureManager.IAwareDeviceStateReceiver mReceiver = null;
    private boolean mRegisterAWMSuccess = false;
    private boolean mRegisterWMSuccess = false;
    private java.util.Map<android.rms.iaware.AwareConstant.FeatureType, com.android.server.rms.iaware.RFeatureManager.FeatureWrapper> mRegisteredFeatures = null;
    private com.android.server.rms.iaware.RFeatureManager.ReportedDataHandler mReportedDataHandler;
    private java.util.Map<android.rms.iaware.AwareConstant.ResourceType, java.util.ArrayList<android.rms.iaware.AwareConstant.FeatureType>> mSubscribeDataMap = null;
    private final int mSubscribedFeatureTypeNum;
    private final android.rms.iaware.AwareConstant.FeatureType[] mSubscribedFeatureTypes;
    private int mWMRetryTime = 50;
    private com.android.server.rms.iaware.AwareWmsMonitorCallback mWmsCallback = null;

    private class CallbackRegistration implements java.lang.Runnable {
        private CallbackRegistration() {
        }

        /* JADX WARNING: Removed duplicated region for block: B:9:0x002b  */
        public void run() {
            /*
            r6 = this;
            r0 = 200; // 0xc8 float:2.8E-43 double:9.9E-322;
            r2 = com.android.server.rms.iaware.RFeatureManager.this;
            r3 = com.android.server.rms.iaware.RFeatureManager.this;
            r3 = r3.mRegisterWMSuccess;
            r4 = 1;
            r5 = 0;
            if (r3 != 0) goto L_0x001d;
        L_0x000e:
            r3 = com.android.server.rms.iaware.RFeatureManager.this;
            r3 = r3.mWmsCallback;
            r3 = com.huawei.android.view.HwWindowManager.registerWMMonitorCallback(r3);
            if (r3 == 0) goto L_0x001b;
        L_0x001a:
            goto L_0x001d;
        L_0x001b:
            r3 = r5;
            goto L_0x001e;
        L_0x001d:
            r3 = r4;
        L_0x001e:
            r2.mRegisterWMSuccess = r3;
            r2 = com.android.server.rms.iaware.RFeatureManager.this;
            r3 = com.android.server.rms.iaware.RFeatureManager.this;
            r3 = r3.mRegisterAWMSuccess;
            if (r3 != 0) goto L_0x003a;
        L_0x002b:
            r3 = com.android.server.rms.iaware.RFeatureManager.this;
            r3 = r3.mAwsiCallback;
            r3 = android.appwidget.HwAppWidgetManager.registerAWSIMonitorCallback(r3);
            if (r3 == 0) goto L_0x0038;
        L_0x0037:
            goto L_0x003a;
        L_0x0038:
            r4 = r5;
        L_0x003a:
            r2.mRegisterAWMSuccess = r4;
            r2 = com.android.server.rms.iaware.RFeatureManager.this;
            r2 = r2.mRegisterAWMSuccess;
            if (r2 == 0) goto L_0x004d;
        L_0x0045:
            r2 = com.android.server.rms.iaware.RFeatureManager.this;
            r2 = r2.mRegisterWMSuccess;
            if (r2 != 0) goto L_0x0060;
        L_0x004d:
            r2 = com.android.server.rms.iaware.RFeatureManager.this;
            r2 = r2.mWMRetryTime = r2.mWMRetryTime - 1;
            if (r2 <= 0) goto L_0x0060;
        L_0x0055:
            r2 = com.android.server.rms.iaware.RFeatureManager.this;
            r2 = r2.mReportedDataHandler;
            r3 = 200; // 0xc8 float:2.8E-43 double:9.9E-322;
            r2.postDelayed(r6, r3);
        L_0x0060:
            return;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.RFeatureManager.CallbackRegistration.run():void");
        }
    }

    private static class FeatureWrapper {
        private boolean mFeatureEnabled;
        private com.android.server.rms.iaware.feature.RFeature mFeatureInstance;
        private int mFeatureVersion;

        public FeatureWrapper(com.android.server.rms.iaware.feature.RFeature instance, boolean status, int version) {
            this.mFeatureInstance = instance;
            this.mFeatureEnabled = status;
            this.mFeatureVersion = version;
        }

        public void setFeatureEnabled(boolean enable) {
            this.mFeatureEnabled = enable;
        }

        public boolean getFeatureEnabled() {
            return this.mFeatureEnabled;
        }

        public int getFeatureVersion() {
            return this.mFeatureVersion;
        }

        public com.android.server.rms.iaware.feature.RFeature getFeatureInstance() {
            return this.mFeatureInstance;
        }
    }

    private class IAwareDeviceStateReceiver extends android.content.BroadcastReceiver {
        private IAwareDeviceStateReceiver() {
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (context != null) {
                if (intent != null) {
                    java.lang.String action = intent.getAction();
                    int resIDHabitStat;
                    long curtime;
                    java.lang.String pkgName;
                    android.os.Bundle bdl;
                    if ("android.intent.action.SCREEN_ON".equals(action)) {
                        com.android.server.rms.iaware.RFeatureManager.this.reportData(new android.rms.iaware.CollectData(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_ON), java.lang.System.currentTimeMillis(), action));
                    } else if ("android.intent.action.SCREEN_OFF".equals(action)) {
                        com.android.server.rms.iaware.RFeatureManager.this.reportData(new android.rms.iaware.CollectData(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_OFF), java.lang.System.currentTimeMillis(), action));
                    } else if ("android.intent.action.BOOT_COMPLETED".equals(action)) {
                        com.android.server.rms.iaware.RFeatureManager.this.reportData(new android.rms.iaware.CollectData(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_BOOT_COMPLETED), java.lang.System.currentTimeMillis(), action));
                    } else if ("android.intent.action.PACKAGE_REMOVED".equals(action)) {
                        if (intent.getData() != null) {
                            resIDHabitStat = android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_USERHABIT);
                            curtime = java.lang.System.currentTimeMillis();
                            pkgName = intent.getData().getSchemeSpecificPart();
                            int uid = intent.getIntExtra("android.intent.extra.UID", -1);
                            android.os.Bundle bdl2 = new android.os.Bundle();
                            bdl2.putString("package_name", pkgName);
                            bdl2.putInt("uid", uid);
                            bdl2.putInt("install_app_update", 2);
                            com.android.server.rms.iaware.RFeatureManager.this.reportData(new android.rms.iaware.CollectData(resIDHabitStat, curtime, bdl2));
                        } else {
                            return;
                        }
                    } else if ("android.intent.action.PACKAGE_ADDED".equals(action)) {
                        if (intent.getData() != null) {
                            resIDHabitStat = android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_USERHABIT);
                            curtime = java.lang.System.currentTimeMillis();
                            pkgName = intent.getData().getSchemeSpecificPart();
                            bdl = new android.os.Bundle();
                            bdl.putString("package_name", pkgName);
                            bdl.putInt("install_app_update", 1);
                            com.android.server.rms.iaware.RFeatureManager.this.reportData(new android.rms.iaware.CollectData(resIDHabitStat, curtime, bdl));
                        } else {
                            return;
                        }
                    } else if ("com.huawei.iaware.userhabit.TRAIN_COMPLETED".equals(action)) {
                        resIDHabitStat = android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_USERHABIT);
                        curtime = java.lang.System.currentTimeMillis();
                        android.os.Bundle bdl3 = new android.os.Bundle();
                        bdl3.putInt("install_app_update", 3);
                        com.android.server.rms.iaware.RFeatureManager.this.reportData(new android.rms.iaware.CollectData(resIDHabitStat, curtime, bdl3));
                    } else if ("android.intent.action.USER_PRESENT".equals(action)) {
                        com.android.server.rms.iaware.RFeatureManager.this.reportData(new android.rms.iaware.CollectData(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_USER_PRESENT), java.lang.System.currentTimeMillis(), action));
                    } else if ("android.intent.action.USER_REMOVED".equals(action)) {
                        resIDHabitStat = android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_APPASSOC);
                        curtime = java.lang.System.currentTimeMillis();
                        int userId = intent.getIntExtra("android.intent.extra.user_handle", -10000);
                        bdl = new android.os.Bundle();
                        bdl.putInt("relationType", 29);
                        bdl.putInt("userid", userId);
                        com.android.server.rms.iaware.RFeatureManager.this.reportData(new android.rms.iaware.CollectData(resIDHabitStat, curtime, bdl));
                    } else if ("android.intent.action.ACTION_SHUTDOWN".equals(action)) {
                        com.android.server.rms.iaware.RFeatureManager.this.reportData(new android.rms.iaware.CollectData(android.rms.iaware.AwareConstant.ResourceType.getReousrceId(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SHUTDOWN), java.lang.System.currentTimeMillis(), action));
                    }
                    return;
                }
            }
            android.rms.iaware.AwareLog.e("RFeatureManager", "BroadcastReceiver error parameters!");
        }
    }

    private final class ReportedDataHandler extends android.os.Handler {
        public ReportedDataHandler(android.os.Looper looper) {
            super(looper);
        }

        public void handleMessage(android.os.Message msg) {
            java.lang.StringBuilder stringBuilder;
            android.os.IBinder awareservice;
            switch (msg.what) {
                case 0:
                    registerFeatures(msg.getData());
                    awareservice = android.rms.iaware.IAwareCMSManager.getICMSManager();
                    if (awareservice == null) {
                        android.rms.iaware.AwareLog.e("RFeatureManager", "get IAwareCMSService failed.");
                        break;
                    }
                    try {
                        com.android.server.rms.iaware.RFeatureManager.this.mIAwareEnabled = android.rms.iaware.IAwareCMSManager.isIAwareEnabled(awareservice);
                        if (com.android.server.rms.iaware.RFeatureManager.this.mIAwareEnabled) {
                            registerAPPMngFeature(1);
                        } else {
                            registerAPPMngFeature(0);
                        }
                        if (com.android.server.rms.iaware.RFeatureManager.this.mIAwareEnabled && com.android.server.rms.iaware.RFeatureManager.this.mReceiver == null) {
                            com.android.server.rms.iaware.RFeatureManager.this.mReceiver = new com.android.server.rms.iaware.RFeatureManager.IAwareDeviceStateReceiver();
                            com.android.server.rms.iaware.RFeatureManager.this.registerRDABroadcastReceiver();
                            android.rms.iaware.AwareLog.d("RFeatureManager", "register RDA broadcast Receiver");
                        }
                    } catch (android.os.RemoteException e) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("call isIAwareEnabled failed.");
                        stringBuilder.append(e.getMessage());
                        android.rms.iaware.AwareLog.e("RFeatureManager", stringBuilder.toString());
                    }
                    break;
                case 1:
                    android.rms.iaware.AwareConstant.FeatureType featureType = android.rms.iaware.AwareConstant.FeatureType.getFeatureType(msg.arg2);
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("handler message featureType:");
                    stringBuilder2.append(featureType.name());
                    stringBuilder2.append("  status:");
                    stringBuilder2.append(msg.arg1);
                    android.rms.iaware.AwareLog.d("RFeatureManager", stringBuilder2.toString());
                    if (com.android.server.rms.iaware.RFeatureManager.this.mRegisteredFeatures.containsKey(featureType)) {
                        boolean status = msg.arg1 == 1;
                        com.android.server.rms.iaware.RFeatureManager.FeatureWrapper feature = (com.android.server.rms.iaware.RFeatureManager.FeatureWrapper) com.android.server.rms.iaware.RFeatureManager.this.mRegisteredFeatures.get(featureType);
                        if (feature != null) {
                            if (feature.getFeatureInstance() != null) {
                                if (feature.getFeatureEnabled() != status) {
                                    controlFeature(feature.getFeatureInstance(), status, feature.getFeatureVersion(), featureType, false);
                                    feature.setFeatureEnabled(status);
                                    awareservice = android.rms.iaware.IAwareCMSManager.getICMSManager();
                                    if (awareservice != null) {
                                        try {
                                            com.android.server.rms.iaware.RFeatureManager.this.mIAwareEnabled = android.rms.iaware.IAwareCMSManager.isIAwareEnabled(awareservice);
                                            if (com.android.server.rms.iaware.RFeatureManager.this.mIAwareEnabled && com.android.server.rms.iaware.RFeatureManager.this.mReceiver == null) {
                                                enableAPPMngFeature(true);
                                                com.android.server.rms.iaware.RFeatureManager.this.mReceiver = new com.android.server.rms.iaware.RFeatureManager.IAwareDeviceStateReceiver();
                                                com.android.server.rms.iaware.RFeatureManager.this.registerRDABroadcastReceiver();
                                                android.rms.iaware.AwareLog.d("RFeatureManager", "register RDA broadcast Receiver");
                                            } else if (!(com.android.server.rms.iaware.RFeatureManager.this.mIAwareEnabled || com.android.server.rms.iaware.RFeatureManager.this.mReceiver == null)) {
                                                enableAPPMngFeature(false);
                                                com.android.server.rms.iaware.RFeatureManager.this.mContext.unregisterReceiver(com.android.server.rms.iaware.RFeatureManager.this.mReceiver);
                                                android.rms.iaware.AwareLog.d("RFeatureManager", "unregister RDA broadcast Receiver");
                                                com.android.server.rms.iaware.RFeatureManager.this.mReceiver = null;
                                                com.android.server.rms.iaware.RFeatureManager.this.mReportedDataHandler.removeMessages(2);
                                                android.rms.iaware.IAwaredConnection.getInstance().destroy();
                                            }
                                        } catch (android.os.RemoteException e2) {
                                            stringBuilder = new java.lang.StringBuilder();
                                            stringBuilder.append("call isIAwareEnabled failed.");
                                            stringBuilder.append(e2.getMessage());
                                            android.rms.iaware.AwareLog.e("RFeatureManager", stringBuilder.toString());
                                        }
                                    } else {
                                        android.rms.iaware.AwareLog.e("RFeatureManager", "get IAwareCMSService failed.");
                                    }
                                    break;
                                }
                                return;
                            }
                        }
                        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                        stringBuilder3.append("handleMessage ENABLE_DISABLE_FEATURE feature null: ");
                        stringBuilder3.append(featureType.name());
                        android.rms.iaware.AwareLog.e("RFeatureManager", stringBuilder3.toString());
                        return;
                    }
                    break;
                case 2:
                    deliveryDataToFeatures(msg.obj, null);
                    break;
                case 3:
                    notifyUpdate(msg.arg1);
                    break;
                case 4:
                    com.android.internal.os.SomeArgs args = msg.obj;
                    android.rms.iaware.CollectData collectData = args.arg1;
                    android.rms.iaware.IReportDataCallback callback = args.arg2;
                    args.recycle();
                    deliveryDataToFeatures(collectData, callback);
                    break;
                default:
                    break;
            }
        }

        private void enableAPPMngFeature(boolean enabled) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Enable APPMng Feature enable = ");
            stringBuilder.append(enabled);
            android.rms.iaware.AwareLog.d("RFeatureManager", stringBuilder.toString());
            com.android.server.rms.iaware.RFeatureManager.FeatureWrapper feature = (com.android.server.rms.iaware.RFeatureManager.FeatureWrapper) com.android.server.rms.iaware.RFeatureManager.this.mRegisteredFeatures.get(com.android.server.rms.iaware.RFeatureManager.mAPPMngFeatureType);
            if (feature != null) {
                if (feature.getFeatureInstance() != null) {
                    if (feature.getFeatureEnabled() != enabled) {
                        if (enabled) {
                            feature.getFeatureInstance().enable();
                        } else {
                            feature.getFeatureInstance().disable();
                        }
                        feature.setFeatureEnabled(enabled);
                        return;
                    }
                    return;
                }
            }
            android.rms.iaware.AwareLog.e("RFeatureManager", "enableAPPMngFeature feature null!");
        }

        private void registerFeatures(android.os.Bundle bundle) {
            int featureNum = com.android.server.rms.iaware.RFeatureManager.this.mFeatureNames.length;
            if (featureNum == 0) {
                android.rms.iaware.AwareLog.e("RFeatureManager", "There is no feature will be registered.");
                return;
            }
            com.android.server.rms.iaware.RFeatureManager.this.mIAwareVersion = getIAwareVersion(bundle);
            com.android.server.rms.iaware.RFeatureManager.FeatureWrapper wrapper = null;
            for (int index = 0; index < featureNum; index++) {
                int[] featureInfo = com.android.server.rms.iaware.RFeatureManager.this.getFeatureInfoFromBundle(bundle, com.android.server.rms.iaware.RFeatureManager.this.mFeatureTypes[index].name());
                wrapper = createFeatureWrapper(com.android.server.rms.iaware.RFeatureManager.this.mFeatureNames[index], com.android.server.rms.iaware.RFeatureManager.this.mFeatureTypes[index], featureInfo[0], featureInfo[1]);
                if (wrapper != null) {
                    com.android.server.rms.iaware.RFeatureManager.this.mRegisteredFeatures.put(com.android.server.rms.iaware.RFeatureManager.this.mFeatureTypes[index], wrapper);
                }
            }
        }

        private int getIAwareVersion(android.os.Bundle bundle) {
            if (bundle == null) {
                return com.android.server.rms.iaware.RFeatureManager.IAWARE_VERSION_DEFAULT;
            }
            return bundle.getInt(com.android.server.rms.iaware.RFeatureManager.KEY_IAWARE_VERSION, com.android.server.rms.iaware.RFeatureManager.IAWARE_VERSION_DEFAULT);
        }

        private void registerAPPMngFeature(int featureStatus) {
            com.android.server.rms.iaware.RFeatureManager.FeatureWrapper wrapper = createFeatureWrapper("com.android.server.rms.iaware.feature.APPMngFeature", com.android.server.rms.iaware.RFeatureManager.mAPPMngFeatureType, featureStatus, com.android.server.rms.iaware.RFeatureManager.IAWARE_VERSION_DEFAULT);
            if (wrapper != null) {
                com.android.server.rms.iaware.RFeatureManager.this.mRegisteredFeatures.put(com.android.server.rms.iaware.RFeatureManager.mAPPMngFeatureType, wrapper);
            }
        }

        private void controlFeature(com.android.server.rms.iaware.feature.RFeature feature, boolean enable, int version, android.rms.iaware.AwareConstant.FeatureType featureType, boolean isInit) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("iAware2.0: feature id is ");
            stringBuilder.append(featureType.ordinal());
            android.rms.iaware.AwareLog.d("RFeatureManager", stringBuilder.toString());
            boolean useOld = version <= com.android.server.rms.iaware.RFeatureManager.IAWARE_VERSION_DEFAULT;
            if (isInit && useOld) {
                android.rms.iaware.AwareLog.d("RFeatureManager", "iAware2.0: controlFeature use default init!");
                iAware1InitFeature(feature, enable, featureType);
                return;
            }
            newControlFeature(feature, enable, version);
        }

        private void iAware1InitFeature(com.android.server.rms.iaware.feature.RFeature feature, boolean enable, android.rms.iaware.AwareConstant.FeatureType featureType) {
            if (enable) {
                feature.enable();
            } else if (featureType == android.rms.iaware.AwareConstant.FeatureType.FEATURE_RESOURCE) {
                feature.disable();
            }
        }

        private void newControlFeature(com.android.server.rms.iaware.feature.RFeature feature, boolean enable, int version) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("iAware2.0: newControlFeature feature version is ");
            stringBuilder.append(version);
            android.rms.iaware.AwareLog.d("RFeatureManager", stringBuilder.toString());
            if (!enable) {
                android.rms.iaware.AwareLog.d("RFeatureManager", "iAware2.0: disable!");
                feature.disable();
            } else if (version > com.android.server.rms.iaware.RFeatureManager.IAWARE_VERSION_DEFAULT) {
                int realVersion = java.lang.Math.min(com.android.server.rms.iaware.RFeatureManager.this.mIAwareVersion, version);
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("iAware2.0: use enable Ex! realVersion is ");
                stringBuilder2.append(realVersion);
                android.rms.iaware.AwareLog.d("RFeatureManager", stringBuilder2.toString());
                feature.enableFeatureEx(realVersion);
            } else {
                android.rms.iaware.AwareLog.d("RFeatureManager", "iAware2.0: use old enable!");
                feature.enable();
            }
        }

        private com.android.server.rms.iaware.RFeatureManager.FeatureWrapper createFeatureWrapper(java.lang.String featureName, android.rms.iaware.AwareConstant.FeatureType featureType, int featureStatus, int featureVersion) {
            int i;
            android.rms.iaware.AwareConstant.FeatureType featureType2 = featureType;
            int i2 = featureStatus;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("createFeatureWrapper name = ");
            java.lang.String str = featureName;
            stringBuilder.append(str);
            stringBuilder.append(" type = ");
            stringBuilder.append(featureType2);
            android.rms.iaware.AwareLog.d("RFeatureManager", stringBuilder.toString());
            try {
                java.lang.reflect.Constructor<?>[] featureConstructor = java.lang.Class.forName(str).getConstructors();
                try {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("createFeatureWrapper constructor = ");
                    boolean z = false;
                    stringBuilder2.append(featureConstructor[0].getName());
                    android.rms.iaware.AwareLog.d("RFeatureManager", stringBuilder2.toString());
                    com.android.server.rms.iaware.feature.RFeature feature = (com.android.server.rms.iaware.feature.RFeature) featureConstructor[0].newInstance(new java.lang.Object[]{com.android.server.rms.iaware.RFeatureManager.this.mContext, featureType2, com.android.server.rms.iaware.RFeatureManager.this});
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("createFeatureWrapper featureStatus = ");
                    stringBuilder.append(i2);
                    android.rms.iaware.AwareLog.d("RFeatureManager", stringBuilder.toString());
                    if (i2 == 1) {
                        z = true;
                    }
                    boolean status = z;
                    controlFeature(feature, status, featureVersion, featureType2, true);
                    return new com.android.server.rms.iaware.RFeatureManager.FeatureWrapper(feature, status, featureVersion);
                } catch (java.lang.IllegalArgumentException e) {
                    i = featureVersion;
                    android.rms.iaware.AwareLog.e("RFeatureManager", "createFeatureWrapper newInstance IllegalArgumentException");
                    return null;
                } catch (java.lang.IllegalAccessException e2) {
                    i = featureVersion;
                    android.rms.iaware.AwareLog.e("RFeatureManager", "createFeatureWrapper newInstance IllegalAccessException");
                    return null;
                } catch (java.lang.InstantiationException e3) {
                    i = featureVersion;
                    android.rms.iaware.AwareLog.e("RFeatureManager", "createFeatureWrapper newInstance InstantiationException");
                    return null;
                } catch (java.lang.reflect.InvocationTargetException e4) {
                    i = featureVersion;
                    android.rms.iaware.AwareLog.e("RFeatureManager", "createFeatureWrapper newInstance InvocationTargetException");
                    return null;
                }
            } catch (java.lang.ClassNotFoundException err) {
                i = featureVersion;
                java.lang.ClassNotFoundException classNotFoundException = err;
                android.rms.iaware.AwareLog.e("RFeatureManager", "createFeatureWrapper forName ClassNotFoundException");
                return null;
            }
        }

        /* JADX WARNING: Missing block: B:19:0x004e, code:
            r3 = 0;
     */
        /* JADX WARNING: Missing block: B:20:0x004f, code:
            if (r3 >= r2) goto L_0x0087;
     */
        /* JADX WARNING: Missing block: B:21:0x0051, code:
            r5 = (com.android.server.rms.iaware.RFeatureManager.FeatureWrapper) com.android.server.rms.iaware.RFeatureManager.access$1100(r10.this$0).get(com.android.server.rms.iaware.RFeatureManager.access$2100(r10.this$0)[r3]);
     */
        /* JADX WARNING: Missing block: B:22:0x0065, code:
            if (r5 == null) goto L_0x0084;
     */
        /* JADX WARNING: Missing block: B:24:0x006b, code:
            if (r5.getFeatureInstance() == null) goto L_0x0084;
     */
        /* JADX WARNING: Missing block: B:26:0x0071, code:
            if (r5.getFeatureEnabled() == false) goto L_0x0084;
     */
        /* JADX WARNING: Missing block: B:27:0x0073, code:
            if (r12 != null) goto L_0x007d;
     */
        /* JADX WARNING: Missing block: B:28:0x0075, code:
            r5.getFeatureInstance().reportData(r11);
     */
        /* JADX WARNING: Missing block: B:29:0x007d, code:
            r5.getFeatureInstance().reportDataWithCallback(r11, r12);
     */
        /* JADX WARNING: Missing block: B:30:0x0084, code:
            r3 = r3 + 1;
     */
        /* JADX WARNING: Missing block: B:31:0x0087, code:
            return;
     */
        private void deliveryDataToFeatures(android.rms.iaware.CollectData r11, android.rms.iaware.IReportDataCallback r12) {
            /*
            r10 = this;
            r0 = r11.getResId();
            r1 = android.rms.iaware.AwareConstant.ResourceType.getResourceType(r0);
            r2 = 0;
            r3 = 0;
            r4 = com.android.server.rms.iaware.RFeatureManager.this;
            r4 = r4.mSubscribeDataMap;
            monitor-enter(r4);
            r5 = com.android.server.rms.iaware.RFeatureManager.this;	 Catch:{ all -> 0x00ad }
            r5 = r5.mSubscribeDataMap;	 Catch:{ all -> 0x00ad }
            r5 = r5.get(r1);	 Catch:{ all -> 0x00ad }
            r5 = (java.util.List) r5;	 Catch:{ all -> 0x00ad }
            if (r5 == 0) goto L_0x0091;
        L_0x001f:
            r6 = r5.size();	 Catch:{ all -> 0x00ad }
            r2 = r6;
            r6 = com.android.server.rms.iaware.RFeatureManager.this;	 Catch:{ all -> 0x00ad }
            r6 = r6.mSubscribedFeatureTypeNum;	 Catch:{ all -> 0x00ad }
            if (r2 >= r6) goto L_0x0088;
        L_0x002c:
            r6 = r5.iterator();	 Catch:{ all -> 0x00ad }
        L_0x0030:
            r7 = r6.hasNext();	 Catch:{ all -> 0x00ad }
            if (r7 == 0) goto L_0x004d;
        L_0x0036:
            r7 = r6.next();	 Catch:{ all -> 0x00ad }
            r7 = (android.rms.iaware.AwareConstant.FeatureType) r7;	 Catch:{ all -> 0x00ad }
            r8 = com.android.server.rms.iaware.RFeatureManager.this;	 Catch:{ all -> 0x00ad }
            r8 = r8.mSubscribedFeatureTypes;	 Catch:{ all -> 0x00ad }
            r9 = r3 + 1;
            r8[r3] = r7;	 Catch:{ all -> 0x0049 }
            r3 = r9;
            goto L_0x0030;
        L_0x0049:
            r3 = move-exception;
            r5 = r3;
            r3 = r9;
            goto L_0x00ae;
        L_0x004d:
            monitor-exit(r4);	 Catch:{ all -> 0x00ad }
            r3 = 0;
        L_0x004f:
            if (r3 >= r2) goto L_0x0087;
        L_0x0051:
            r4 = com.android.server.rms.iaware.RFeatureManager.this;
            r4 = r4.mSubscribedFeatureTypes;
            r4 = r4[r3];
            r5 = com.android.server.rms.iaware.RFeatureManager.this;
            r5 = r5.mRegisteredFeatures;
            r5 = r5.get(r4);
            r5 = (com.android.server.rms.iaware.RFeatureManager.FeatureWrapper) r5;
            if (r5 == 0) goto L_0x0084;
        L_0x0067:
            r6 = r5.getFeatureInstance();
            if (r6 == 0) goto L_0x0084;
        L_0x006d:
            r6 = r5.getFeatureEnabled();
            if (r6 == 0) goto L_0x0084;
        L_0x0073:
            if (r12 != 0) goto L_0x007d;
        L_0x0075:
            r6 = r5.getFeatureInstance();
            r6.reportData(r11);
            goto L_0x0084;
        L_0x007d:
            r6 = r5.getFeatureInstance();
            r6.reportDataWithCallback(r11, r12);
        L_0x0084:
            r3 = r3 + 1;
            goto L_0x004f;
        L_0x0087:
            return;
        L_0x0088:
            r6 = "RFeatureManager";
            r7 = "deliveryDataToFeatures subscribed too much features!";
            android.rms.iaware.AwareLog.e(r6, r7);	 Catch:{ all -> 0x00ad }
            monitor-exit(r4);	 Catch:{ all -> 0x00ad }
            return;
        L_0x0091:
            r6 = "RFeatureManager";
            r7 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00ad }
            r7.<init>();	 Catch:{ all -> 0x00ad }
            r8 = "deliveryDataToFeatures no subscribed features resType = ";
            r7.append(r8);	 Catch:{ all -> 0x00ad }
            r8 = r1.name();	 Catch:{ all -> 0x00ad }
            r7.append(r8);	 Catch:{ all -> 0x00ad }
            r7 = r7.toString();	 Catch:{ all -> 0x00ad }
            android.rms.iaware.AwareLog.d(r6, r7);	 Catch:{ all -> 0x00ad }
            monitor-exit(r4);	 Catch:{ all -> 0x00ad }
            return;
        L_0x00ad:
            r5 = move-exception;
        L_0x00ae:
            monitor-exit(r4);	 Catch:{ all -> 0x00ad }
            throw r5;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.RFeatureManager.ReportedDataHandler.deliveryDataToFeatures(android.rms.iaware.CollectData, android.rms.iaware.IReportDataCallback):void");
        }

        private void notifyUpdate(int type) {
            if (type == 0) {
                notifyConfigUpdate();
            } else if (type == 1) {
                notifyCustConfigUpdate();
            } else {
                android.rms.iaware.AwareLog.w("RFeatureManager", "notify type wrong!");
            }
        }

        private void notifyConfigUpdate() {
            android.rms.iaware.AwareLog.d("RFeatureManager", "notifyConfigUpdate");
            for (com.android.server.rms.iaware.RFeatureManager.FeatureWrapper feature : com.android.server.rms.iaware.RFeatureManager.this.mRegisteredFeatures.values()) {
                if (feature != null) {
                    if (feature.getFeatureInstance() != null) {
                        if (!feature.getFeatureInstance().configUpdate()) {
                            android.rms.iaware.AwareLog.e("RFeatureManager", "notifyConfigUpdate return false");
                        }
                    }
                }
                android.rms.iaware.AwareLog.e("RFeatureManager", "notifyConfigUpdate feature null!");
            }
        }

        private void notifyCustConfigUpdate() {
            android.rms.iaware.AwareLog.d("RFeatureManager", "notifyCustConfigUpdate");
            for (com.android.server.rms.iaware.RFeatureManager.FeatureWrapper feature : com.android.server.rms.iaware.RFeatureManager.this.mRegisteredFeatures.values()) {
                if (feature != null) {
                    if (feature.getFeatureInstance() != null) {
                        boolean notifyResult = feature.getFeatureInstance().custConfigUpdate();
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append(feature.getFeatureInstance());
                        stringBuilder.append(" notifyCustConfigUpdate return ");
                        stringBuilder.append(notifyResult);
                        android.rms.iaware.AwareLog.d("RFeatureManager", stringBuilder.toString());
                    }
                }
                android.rms.iaware.AwareLog.e("RFeatureManager", "notifyCustConfigUpdate feature null!");
            }
        }
    }

    public boolean subscribeData(android.rms.iaware.AwareConstant.ResourceType resType, android.rms.iaware.AwareConstant.FeatureType featureType) {
        if (resType != null) {
            if (featureType != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("subscribeData resType = ");
                stringBuilder.append(resType.name());
                stringBuilder.append(" featureType = ");
                stringBuilder.append(featureType.name());
                android.rms.iaware.AwareLog.d("RFeatureManager", stringBuilder.toString());
                synchronized (this.mSubscribeDataMap) {
                    java.util.ArrayList<android.rms.iaware.AwareConstant.FeatureType> currlist = (java.util.ArrayList) this.mSubscribeDataMap.get(resType);
                    if (currlist == null) {
                        currlist = new java.util.ArrayList();
                        this.mSubscribeDataMap.put(resType, currlist);
                    }
                    if (!currlist.contains(featureType)) {
                        currlist.add(featureType);
                    }
                }
                return true;
            }
        }
        android.rms.iaware.AwareLog.e("RFeatureManager", "subscribeData: error parameters!");
        return false;
    }

    public boolean unSubscribeData(android.rms.iaware.AwareConstant.ResourceType resType, android.rms.iaware.AwareConstant.FeatureType featureType) {
        if (resType != null) {
            if (featureType != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("unSubscribeData resType = ");
                stringBuilder.append(resType.name());
                stringBuilder.append(" featureType = ");
                stringBuilder.append(featureType.name());
                android.rms.iaware.AwareLog.d("RFeatureManager", stringBuilder.toString());
                synchronized (this.mSubscribeDataMap) {
                    java.util.List<android.rms.iaware.AwareConstant.FeatureType> currlist = (java.util.List) this.mSubscribeDataMap.get(resType);
                    if (currlist != null) {
                        currlist.remove(featureType);
                        if (currlist.size() == 0) {
                            this.mSubscribeDataMap.remove(resType);
                        }
                    }
                }
                return true;
            }
        }
        android.rms.iaware.AwareLog.e("RFeatureManager", "unSubscribeData: error parameters!");
        return false;
    }

    public android.rms.iaware.AwareConstant.FeatureType[] getFeatureTypes() {
        return (android.rms.iaware.AwareConstant.FeatureType[]) this.mFeatureTypes.clone();
    }

    public int getFeatureStatus(int featureid) {
        android.rms.iaware.AwareConstant.FeatureType type = android.rms.iaware.AwareConstant.FeatureType.getFeatureType(featureid);
        if (type == android.rms.iaware.AwareConstant.FeatureType.FEATURE_INVALIDE_TYPE) {
            android.rms.iaware.AwareLog.e("RFeatureManager", "getFeatureStatus invalid feature type");
            return 0;
        }
        com.android.server.rms.iaware.RFeatureManager.FeatureWrapper wrapper = (com.android.server.rms.iaware.RFeatureManager.FeatureWrapper) this.mRegisteredFeatures.get(type);
        if (wrapper == null) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getFeatureStatus feature wrapper null, featureid = ");
            stringBuilder.append(featureid);
            android.rms.iaware.AwareLog.e("RFeatureManager", stringBuilder.toString());
            return 0;
        } else if (wrapper.getFeatureEnabled()) {
            return 1;
        } else {
            return 0;
        }
    }

    public void enableFeature(int type) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("enableFeature type = ");
        stringBuilder.append(type);
        android.rms.iaware.AwareLog.d("RFeatureManager", stringBuilder.toString());
        android.os.Message enableMessage = android.os.Message.obtain();
        enableMessage.what = 1;
        enableMessage.arg1 = 1;
        enableMessage.arg2 = type;
        this.mReportedDataHandler.sendMessage(enableMessage);
    }

    public void disableFeature(int type) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("disableFeature type = ");
        stringBuilder.append(type);
        android.rms.iaware.AwareLog.d("RFeatureManager", stringBuilder.toString());
        android.os.Message disableMessage = android.os.Message.obtain();
        disableMessage.what = 1;
        disableMessage.arg1 = 0;
        disableMessage.arg2 = type;
        this.mReportedDataHandler.sendMessage(disableMessage);
    }

    public void reportData(android.rms.iaware.CollectData data) {
        android.os.Message dataMessage = android.os.Message.obtain();
        dataMessage.what = 2;
        dataMessage.obj = data;
        this.mReportedDataHandler.sendMessage(dataMessage);
    }

    public void reportDataWithCallback(android.rms.iaware.CollectData data, android.rms.iaware.IReportDataCallback callback) {
        android.rms.iaware.AwareLog.d("RFeatureManager", "reportDataWithCallback");
        android.os.Message dataMessage = android.os.Message.obtain();
        dataMessage.what = 4;
        com.android.internal.os.SomeArgs args = com.android.internal.os.SomeArgs.obtain();
        args.arg1 = data;
        args.arg2 = callback;
        dataMessage.obj = args;
        this.mReportedDataHandler.sendMessage(dataMessage);
    }

    public void init(android.os.Bundle bundle) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("init bundle = ");
        stringBuilder.append(bundle);
        android.rms.iaware.AwareLog.d("RFeatureManager", stringBuilder.toString());
        android.os.Message initMessage = android.os.Message.obtain();
        initMessage.what = 0;
        initMessage.setData(bundle);
        this.mReportedDataHandler.sendMessage(initMessage);
    }

    public boolean isResourceNeeded(android.rms.iaware.AwareConstant.ResourceType resourceType) {
        return this.mIAwareEnabled;
    }

    public int isFeatureEnabled(int featureId) {
        if (android.rms.iaware.AwareConstant.FeatureType.getFeatureType(featureId) != android.rms.iaware.AwareConstant.FeatureType.FEATURE_INVALIDE_TYPE) {
            return parseFeatureSwitchFormCustFile(featureId);
        }
        android.rms.iaware.AwareLog.e("RFeatureManager", "Enabling error feature id!");
        return -1;
    }

    public boolean configUpdate() {
        android.rms.iaware.AwareLog.d("RFeatureManager", "configUpdate ");
        android.os.Message msg = android.os.Message.obtain();
        msg.what = 3;
        msg.arg1 = 0;
        return this.mReportedDataHandler.sendMessage(msg);
    }

    public boolean custConfigUpdate() {
        android.rms.iaware.AwareLog.d("RFeatureManager", "custConfigUpdate ");
        android.os.Message msg = android.os.Message.obtain();
        msg.what = 3;
        msg.arg1 = 1;
        return this.mReportedDataHandler.sendMessage(msg);
    }

    public int getDumpData(int time, java.util.List<android.rms.iaware.DumpData> dumpData) {
        android.rms.iaware.AwareLog.d("RFeatureManager", "getDumpData");
        for (com.android.server.rms.iaware.RFeatureManager.FeatureWrapper v : this.mRegisteredFeatures.values()) {
            if (v != null) {
                if (v.getFeatureInstance() != null) {
                    java.util.ArrayList<android.rms.iaware.DumpData> featureDumpData = v.getFeatureInstance().getDumpData(time);
                    if (featureDumpData != null) {
                        int dumpDataSize = featureDumpData.size();
                        int index = 0;
                        if (dumpDataSize > 5) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("RDA getDumpData more than 5 items, size = ");
                            stringBuilder.append(dumpDataSize);
                            stringBuilder.append(" , id = ");
                            stringBuilder.append(((android.rms.iaware.DumpData) featureDumpData.get(0)).getFeatureId());
                            android.rms.iaware.AwareLog.e("RFeatureManager", stringBuilder.toString());
                            dumpDataSize = 5;
                        }
                        while (true) {
                            int index2 = index;
                            if (index2 >= dumpDataSize) {
                                break;
                            }
                            dumpData.add((android.rms.iaware.DumpData) featureDumpData.get(index2));
                            index = index2 + 1;
                        }
                    }
                }
            }
            android.rms.iaware.AwareLog.e("RFeatureManager", "getDumpData feature null!");
        }
        return dumpData.size();
    }

    public int getStatisticsData(java.util.List<android.rms.iaware.StatisticsData> statisticsData) {
        android.rms.iaware.AwareLog.d("RFeatureManager", "getStatisticsData");
        for (com.android.server.rms.iaware.RFeatureManager.FeatureWrapper v : this.mRegisteredFeatures.values()) {
            if (v != null) {
                if (v.getFeatureInstance() != null) {
                    java.util.ArrayList<android.rms.iaware.StatisticsData> featureStatisticsData = v.getFeatureInstance().getStatisticsData();
                    if (featureStatisticsData != null) {
                        statisticsData.addAll(featureStatisticsData);
                    }
                }
            }
            android.rms.iaware.AwareLog.e("RFeatureManager", "getStatisticsData feature null!");
        }
        return statisticsData.size();
    }

    public java.lang.String saveBigData(int featureId, boolean clear) {
        android.rms.iaware.AwareLog.d("RFeatureManager", "rt saveBigData");
        com.android.server.rms.iaware.RFeatureManager.FeatureWrapper fw = (com.android.server.rms.iaware.RFeatureManager.FeatureWrapper) this.mRegisteredFeatures.get(android.rms.iaware.AwareConstant.FeatureType.getFeatureType(featureId));
        if (fw == null) {
            android.rms.iaware.AwareLog.d("RFeatureManager", "null FeatureWrapper");
            return null;
        }
        com.android.server.rms.iaware.feature.RFeature v = fw.getFeatureInstance();
        if (v != null) {
            return v.saveBigData(clear);
        }
        android.rms.iaware.AwareLog.d("RFeatureManager", "null RFeature");
        return null;
    }

    public java.lang.String fetchBigDataByVersion(int iawareVer, int featureId, boolean beta, boolean clear) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("fetchBigDataByVersion iVer = ");
        stringBuilder.append(iawareVer);
        stringBuilder.append(", fId = ");
        stringBuilder.append(featureId);
        stringBuilder.append(", beta = ");
        stringBuilder.append(beta);
        android.rms.iaware.AwareLog.d("RFeatureManager", stringBuilder.toString());
        com.android.server.rms.iaware.RFeatureManager.FeatureWrapper featureWrapper = (com.android.server.rms.iaware.RFeatureManager.FeatureWrapper) this.mRegisteredFeatures.get(android.rms.iaware.AwareConstant.FeatureType.getFeatureType(featureId));
        com.android.server.rms.iaware.feature.RFeature feature = featureWrapper != null ? featureWrapper.getFeatureInstance() : null;
        if (feature != null) {
            return feature.getBigDataByVersion(iawareVer, beta, clear);
        }
        return null;
    }

    public java.lang.String fetchDFTDataByVersion(int iawareVer, int featureId, boolean beta, boolean clear, boolean betaEncode) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("fetchDFTDataByVersion iVer = ");
        stringBuilder.append(iawareVer);
        stringBuilder.append(", fId = ");
        stringBuilder.append(featureId);
        stringBuilder.append(", beta = ");
        stringBuilder.append(beta);
        stringBuilder.append(", betaEncode=");
        stringBuilder.append(betaEncode);
        android.rms.iaware.AwareLog.d("RFeatureManager", stringBuilder.toString());
        com.android.server.rms.iaware.RFeatureManager.FeatureWrapper featureWrapper = (com.android.server.rms.iaware.RFeatureManager.FeatureWrapper) this.mRegisteredFeatures.get(android.rms.iaware.AwareConstant.FeatureType.getFeatureType(featureId));
        com.android.server.rms.iaware.feature.RFeature feature = featureWrapper != null ? featureWrapper.getFeatureInstance() : null;
        if (feature != null) {
            return feature.getDFTDataByVersion(iawareVer, beta, clear, betaEncode);
        }
        return null;
    }

    public RFeatureManager(android.content.Context context, android.os.HandlerThread handlerThread) {
        android.rms.iaware.AwareLog.d("RFeatureManager", "RFeatureManager created");
        this.mContext = context;
        this.mRegisteredFeatures = new java.util.HashMap();
        this.mSubscribeDataMap = new java.util.HashMap();
        this.mReportedDataHandler = new com.android.server.rms.iaware.RFeatureManager.ReportedDataHandler(handlerThread.getLooper());
        this.mSubscribedFeatureTypeNum = this.mFeatureTypes.length + 1;
        this.mSubscribedFeatureTypes = new android.rms.iaware.AwareConstant.FeatureType[this.mSubscribedFeatureTypeNum];
        this.mParser = android.util.Xml.newPullParser();
        com.huawei.android.app.HwActivityManager.registerDAMonitorCallback(new com.android.server.rms.iaware.AwareAmsMonitorCallback());
        this.mWmsCallback = new com.android.server.rms.iaware.AwareWmsMonitorCallback();
        this.mAwsiCallback = new com.android.server.rms.iaware.AwareAWSIMonitorCallback();
        this.mReportedDataHandler.post(new com.android.server.rms.iaware.RFeatureManager.CallbackRegistration());
        com.huawei.android.os.HwPowerManager.registerPowerMonitorCallback(new com.android.server.rms.iaware.AwarePowerMonitorCallback());
    }

    public com.android.server.rms.iaware.feature.RFeature getRegisteredFeature(android.rms.iaware.AwareConstant.FeatureType type) {
        if (!this.mRegisteredFeatures.containsKey(type)) {
            return null;
        }
        com.android.server.rms.iaware.RFeatureManager.FeatureWrapper feature = (com.android.server.rms.iaware.RFeatureManager.FeatureWrapper) this.mRegisteredFeatures.get(type);
        if (feature != null) {
            return feature.getFeatureInstance();
        }
        android.rms.iaware.AwareLog.e("RFeatureManager", "getRegisteredFeature feature null!");
        return null;
    }

    private void registerRDABroadcastReceiver() {
        android.content.IntentFilter deviceStates = new android.content.IntentFilter();
        deviceStates.addAction("android.intent.action.SCREEN_ON");
        deviceStates.addAction("android.intent.action.SCREEN_OFF");
        deviceStates.setPriority(1000);
        this.mContext.registerReceiverAsUser(this.mReceiver, android.os.UserHandle.ALL, deviceStates, null, null);
        android.content.IntentFilter bootStates = new android.content.IntentFilter();
        bootStates.addAction("android.intent.action.BOOT_COMPLETED");
        this.mContext.registerReceiverAsUser(this.mReceiver, android.os.UserHandle.ALL, bootStates, null, null);
        android.content.IntentFilter appStates = new android.content.IntentFilter();
        appStates.addAction("android.intent.action.PACKAGE_ADDED");
        appStates.addAction("android.intent.action.PACKAGE_REMOVED");
        appStates.addDataScheme("package");
        this.mContext.registerReceiverAsUser(this.mReceiver, android.os.UserHandle.ALL, appStates, null, null);
        android.content.IntentFilter completedTrain = new android.content.IntentFilter();
        completedTrain.addAction("com.huawei.iaware.userhabit.TRAIN_COMPLETED");
        this.mContext.registerReceiverAsUser(this.mReceiver, android.os.UserHandle.ALL, completedTrain, "com.huawei.iaware.userhabit.USERHABIT_PERMISSION", null);
        android.content.IntentFilter presentFilter = new android.content.IntentFilter();
        presentFilter.addAction("android.intent.action.USER_PRESENT");
        this.mContext.registerReceiverAsUser(this.mReceiver, android.os.UserHandle.ALL, presentFilter, null, null);
        android.content.IntentFilter userFilter = new android.content.IntentFilter();
        userFilter.addAction("android.intent.action.USER_REMOVED");
        this.mContext.registerReceiverAsUser(this.mReceiver, android.os.UserHandle.ALL, userFilter, null, null);
        this.mContext.registerReceiverAsUser(this.mReceiver, android.os.UserHandle.ALL, new android.content.IntentFilter("android.intent.action.ACTION_SHUTDOWN"), null, null);
    }

    public int[] getFeatureInfoFromBundle(android.os.Bundle bundle, java.lang.String key) {
        int[] info = bundle.getIntArray(key);
        if (info != null) {
            if (info.length == 2) {
                return info;
            }
        }
        return new int[]{0, IAWARE_VERSION_DEFAULT};
    }

    private int parseFeatureSwitchFormCustFile(int featureId) {
        java.lang.StringBuilder stringBuilder;
        java.io.InputStream is = null;
        org.xmlpull.v1.XmlPullParser parser = null;
        try {
            java.io.File custConfigFile = loadCustFeatureSwitchFile();
            if (custConfigFile.exists()) {
                is = new java.io.FileInputStream(custConfigFile);
                parser = this.mParser;
                parser.setInput(is, java.nio.charset.StandardCharsets.UTF_8.name());
            }
            if (parser == null) {
                if (is != null) {
                    try {
                        is.close();
                    } catch (java.io.IOException e) {
                        android.rms.iaware.AwareLog.e("RFeatureManager", "close file input stream fail!!");
                    }
                }
                return -1;
            }
            boolean enterItemTag = false;
            java.util.Map<java.lang.String, java.lang.String> configItem = null;
            for (int eventType = parser.getEventType(); eventType != 1; eventType = parser.next()) {
                java.lang.String tagName = parser.getName();
                if (eventType == 2) {
                    if ("item".equals(tagName)) {
                        enterItemTag = true;
                        configItem = new java.util.HashMap();
                    } else if (tagName != null && enterItemTag) {
                        java.lang.String value = parser.nextText();
                        if (configItem != null) {
                            configItem.put(tagName, value);
                        }
                    }
                } else if (eventType == 3 && "item".equals(tagName)) {
                    android.rms.iaware.AwareLog.d("RFeatureManager", "exit item");
                    enterItemTag = false;
                    if (configItem != null && ((java.lang.String) configItem.get("featureid")).equals(java.lang.Integer.toString(featureId))) {
                        int parseInt = java.lang.Integer.parseInt((java.lang.String) configItem.get("switch"));
                        if (is != null) {
                            try {
                                is.close();
                            } catch (java.io.IOException e2) {
                                android.rms.iaware.AwareLog.e("RFeatureManager", "close file input stream fail!!");
                            }
                        }
                        return parseInt;
                    }
                }
            }
            if (is != null) {
                try {
                    is.close();
                } catch (java.io.IOException e3) {
                    android.rms.iaware.AwareLog.e("RFeatureManager", "close file input stream fail!!");
                }
            }
            return -1;
        } catch (java.io.IOException ioe) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("read xml failed, error:");
            stringBuilder.append(ioe.getMessage());
            android.rms.iaware.AwareLog.e("RFeatureManager", stringBuilder.toString());
            if (is != null) {
                try {
                    is.close();
                } catch (java.io.IOException e4) {
                    android.rms.iaware.AwareLog.e("RFeatureManager", "close file input stream fail!!");
                }
            }
            return -1;
        } catch (java.lang.Exception e5) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("read xml failed, error:");
            stringBuilder.append(e5.getMessage());
            android.rms.iaware.AwareLog.e("RFeatureManager", stringBuilder.toString());
            if (is != null) {
                try {
                    is.close();
                } catch (java.io.IOException e6) {
                    android.rms.iaware.AwareLog.e("RFeatureManager", "close file input stream fail!!");
                }
            }
            return -1;
        } catch (Throwable th) {
            if (is != null) {
                try {
                    is.close();
                } catch (java.io.IOException e7) {
                    android.rms.iaware.AwareLog.e("RFeatureManager", "close file input stream fail!!");
                }
            }
        }
    }

    java.io.File loadCustFeatureSwitchFile() {
        try {
            java.io.File cfg = huawei.cust.HwCfgFilePolicy.getCfgFile("xml/iAwareFeatureSwitch.xml", 0);
            if (cfg != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("cust switch file path is ");
                stringBuilder.append(cfg.getAbsolutePath());
                android.rms.iaware.AwareLog.d("RFeatureManager", stringBuilder.toString());
                return cfg;
            }
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("/data/cust/xml");
            stringBuilder2.append(java.io.File.separator);
            stringBuilder2.append("iAwareFeatureSwitch.xml");
            return new java.io.File(stringBuilder2.toString());
        } catch (java.lang.NoClassDefFoundError e) {
            android.rms.iaware.AwareLog.e("RFeatureManager", "loadCustFeatureSwitchFile NoClassDefFoundError : HwCfgFilePolicy ");
        }
    }
}
