package com.android.server.rms.iaware.appmng;

public class AlarmManagerDumpRadar {
    public static final int EVENT_CONTROLED = 2;
    public static final int EVENT_OVERLOAD = 1;
    public static final int EVENT_WAKEUP = 0;
    private static final int MSG_ALARM_EVENT = 1;
    private static final java.lang.String TAG = "AlarmManagerDumpRadar";
    private static final int USER_OTHER = 1;
    private static final boolean isBetaUser = (android.rms.iaware.AwareConstant.CURRENT_USER_TYPE == 3);
    private static volatile com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar mAlarmManagerDumpRadar;
    private java.util.HashMap<java.lang.Integer, java.util.HashMap<java.lang.String, com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.PackageInfo>> mAlarmWakeupInfo = new java.util.HashMap();
    private long mCleanupTime = java.lang.System.currentTimeMillis();
    private android.os.Handler mHandler;
    private long mLastCheckTime = java.lang.System.currentTimeMillis();
    private java.util.concurrent.atomic.AtomicInteger mSystemWakeupCount = new java.util.concurrent.atomic.AtomicInteger(0);
    private java.util.concurrent.atomic.AtomicInteger mSystemWakeupOverloadCount = new java.util.concurrent.atomic.AtomicInteger(0);

    private final class AlarmRadarHandler extends android.os.Handler {
        protected AlarmRadarHandler(android.os.Looper looper) {
            super(looper, null, true);
        }

        public void handleMessage(android.os.Message msg) {
            if (msg.what == 1) {
                com.android.internal.os.SomeArgs args = msg.obj;
                java.lang.String pkg = args.arg1;
                java.lang.String tag = args.arg2;
                com.android.server.rms.iaware.appmng.AwareWakeUpManager.ControlType policy = args.arg3;
                com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.this.handleAlarmEvent(args.argi1, args.argi2, pkg, tag, policy);
            }
        }
    }

    protected static class PackageInfo {
        protected int mOverloadCount = 0;
        protected java.lang.String mPkg;
        protected java.util.HashMap<java.lang.String, com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.TagInfo> mTagMap = new java.util.HashMap();
        protected int mWakeupCount = 0;

        protected PackageInfo(java.lang.String pkg) {
            this.mPkg = pkg;
        }
    }

    protected static class TagInfo {
        protected int mDecideOverloadCount = 0;
        protected int mExtendCount = 0;
        protected int mMuteCount = 0;
        protected int mOverloadCount = 0;
        protected int mPerceptibleCount = 0;
        protected java.lang.String mTag;
        protected int mTopNCount = 0;
        protected int mUnknownCount = 0;
        protected int mWakeupCount = 0;
        protected int mWhiteListCount = 0;

        protected TagInfo(java.lang.String tag) {
            this.mTag = tag;
        }
    }

    public static com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar getInstance() {
        if (mAlarmManagerDumpRadar == null) {
            synchronized (com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.class) {
                if (mAlarmManagerDumpRadar == null) {
                    mAlarmManagerDumpRadar = new com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar();
                }
            }
        }
        return mAlarmManagerDumpRadar;
    }

    public void setHandler(android.os.Handler handler) {
        if (handler != null) {
            this.mHandler = new com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.AlarmRadarHandler(handler.getLooper());
        }
    }

    public java.lang.String saveBigData(boolean clear) {
        java.lang.StringBuilder data = new java.lang.StringBuilder();
        data.append("\n[iAwareAlarmManager_Start]");
        data.append("\nstartTime: ");
        data.append(java.lang.String.valueOf(this.mCleanupTime));
        data.append("\n");
        org.json.JSONObject bigData = new org.json.JSONObject();
        long currentTime = java.lang.System.currentTimeMillis();
        synchronized (com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.class) {
            try {
                org.json.JSONArray sysTitle;
                org.json.JSONArray pkgTitle;
                org.json.JSONArray tagTitle;
                org.json.JSONObject title = new org.json.JSONObject();
                org.json.JSONArray sysTitle2 = new org.json.JSONArray();
                sysTitle2.put("wakeup_count");
                sysTitle2.put("overload_count");
                title.put("sys", sysTitle2);
                org.json.JSONArray pkgTitle2 = new org.json.JSONArray();
                pkgTitle2.put("userid");
                pkgTitle2.put("wakeup_count");
                pkgTitle2.put("overload_count");
                title.put("pkg", pkgTitle2);
                org.json.JSONArray tagTitle2 = new org.json.JSONArray();
                tagTitle2.put("wakeup_count");
                tagTitle2.put("overload_count");
                tagTitle2.put("extend_count");
                tagTitle2.put("mute_count");
                tagTitle2.put("perceptible");
                tagTitle2.put("unknown");
                tagTitle2.put("topn");
                tagTitle2.put("decide_overload");
                tagTitle2.put("white_list");
                title.put("tag", tagTitle2);
                bigData.put("title", title);
                org.json.JSONArray systemData = new org.json.JSONArray();
                systemData.put(this.mSystemWakeupCount);
                systemData.put(this.mSystemWakeupOverloadCount);
                bigData.put("sys", systemData);
                org.json.JSONArray alarmData = new org.json.JSONArray();
                for (java.util.Map.Entry<java.lang.Integer, java.util.HashMap<java.lang.String, com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.PackageInfo>> userEntry : this.mAlarmWakeupInfo.entrySet()) {
                    for (java.util.Map.Entry<java.lang.String, com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.PackageInfo> pkgEntry : ((java.util.HashMap) userEntry.getValue()).entrySet()) {
                        com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.PackageInfo packageInfo;
                        org.json.JSONObject title2 = title;
                        title = new org.json.JSONObject();
                        sysTitle = sysTitle2;
                        sysTitle2 = new org.json.JSONArray();
                        com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.PackageInfo packageInfo2 = (com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.PackageInfo) pkgEntry.getValue();
                        pkgTitle = pkgTitle2;
                        sysTitle2.put(userEntry.getKey());
                        tagTitle = tagTitle2;
                        com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.PackageInfo packageInfo3 = packageInfo2;
                        sysTitle2.put(packageInfo3.mWakeupCount);
                        sysTitle2.put(packageInfo3.mOverloadCount);
                        title.put(packageInfo3.mPkg, sysTitle2);
                        java.util.Iterator it = packageInfo3.mTagMap.entrySet().iterator();
                        while (it.hasNext()) {
                            org.json.JSONArray pkgData = sysTitle2;
                            java.util.Map.Entry<java.lang.String, com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.TagInfo> pkgData2 = (java.util.Map.Entry) it.next();
                            com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.TagInfo tagInfo = (com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.TagInfo) pkgData2.getValue();
                            java.util.Map.Entry<java.lang.String, com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.TagInfo> tagEntry = pkgData2;
                            sysTitle2 = new org.json.JSONArray();
                            packageInfo = packageInfo3;
                            java.util.Iterator it2 = it;
                            com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.TagInfo tagInfo2 = tagInfo;
                            sysTitle2.put(tagInfo2.mWakeupCount);
                            sysTitle2.put(tagInfo2.mOverloadCount);
                            sysTitle2.put(tagInfo2.mExtendCount);
                            sysTitle2.put(tagInfo2.mMuteCount);
                            sysTitle2.put(tagInfo2.mPerceptibleCount);
                            sysTitle2.put(tagInfo2.mUnknownCount);
                            sysTitle2.put(tagInfo2.mTopNCount);
                            sysTitle2.put(tagInfo2.mDecideOverloadCount);
                            sysTitle2.put(tagInfo2.mWhiteListCount);
                            title.put(tagInfo2.mTag, sysTitle2);
                            sysTitle2 = pkgData;
                            packageInfo3 = packageInfo;
                            it = it2;
                        }
                        packageInfo = packageInfo3;
                        alarmData.put(title);
                        title = title2;
                        sysTitle2 = sysTitle;
                        pkgTitle2 = pkgTitle;
                        tagTitle2 = tagTitle;
                    }
                    sysTitle = sysTitle2;
                    pkgTitle = pkgTitle2;
                    tagTitle = tagTitle2;
                }
                sysTitle = sysTitle2;
                pkgTitle = pkgTitle2;
                tagTitle = tagTitle2;
                bigData.put("alarm", alarmData);
            } catch (org.json.JSONException e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("saveBigdata failed! catch JSONException e :");
                stringBuilder.append(e.toString());
                android.rms.iaware.AwareLog.e("AlarmManagerDumpRadar", stringBuilder.toString());
            }
            if (!com.android.server.rms.iaware.appmng.AwareWakeUpManager.getInstance().isDebugMode() && clear) {
                this.mAlarmWakeupInfo = new java.util.HashMap();
                this.mSystemWakeupOverloadCount.set(0);
                this.mSystemWakeupCount.set(0);
                this.mCleanupTime = currentTime;
            }
        }
        data.append(bigData.toString());
        data.append("\nendTime: ");
        data.append(java.lang.String.valueOf(currentTime));
        data.append("\n[iAwareAlarmManager_End]");
        return data.toString();
    }

    public void reportSystemEvent(int type) {
        if (isBetaUser && !com.android.server.rms.iaware.appmng.AwareWakeUpManager.getInstance().isScreenOn()) {
            if (this.mHandler != null) {
                switch (type) {
                    case 0:
                        this.mSystemWakeupCount.incrementAndGet();
                        break;
                    case 1:
                        this.mSystemWakeupOverloadCount.incrementAndGet();
                        break;
                    default:
                        break;
                }
            }
        }
    }

    public void reportAlarmEvent(int type, int uid, java.lang.String pkg, java.lang.String tag, com.android.server.rms.iaware.appmng.AwareWakeUpManager.ControlType policy) {
        if (isBetaUser && !com.android.server.rms.iaware.appmng.AwareWakeUpManager.getInstance().isScreenOn()) {
            if (this.mHandler != null) {
                android.os.Message msg = this.mHandler.obtainMessage();
                msg.what = 1;
                com.android.internal.os.SomeArgs args = com.android.internal.os.SomeArgs.obtain();
                args.arg1 = pkg;
                args.arg2 = tag;
                args.arg3 = policy;
                args.argi1 = type;
                args.argi2 = uid;
                msg.obj = args;
                this.mHandler.sendMessage(msg);
            }
        }
    }

    private void handleAlarmEvent(int type, int uid, java.lang.String pkg, java.lang.String tag, com.android.server.rms.iaware.appmng.AwareWakeUpManager.ControlType policy) {
        int userId = android.os.UserHandle.getUserId(uid);
        if (userId != 0) {
            userId = 1;
        }
        synchronized (com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.class) {
            java.util.HashMap<java.lang.String, com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.PackageInfo> packageInfos = (java.util.HashMap) this.mAlarmWakeupInfo.get(java.lang.Integer.valueOf(userId));
            if (packageInfos == null) {
                packageInfos = new java.util.HashMap();
            }
            com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.PackageInfo packageInfo = (com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.PackageInfo) packageInfos.get(pkg);
            if (packageInfo == null) {
                packageInfo = new com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.PackageInfo(pkg);
            }
            com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.TagInfo tagInfo = null;
            if (tag != null) {
                tagInfo = (com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.TagInfo) packageInfo.mTagMap.get(tag);
                if (tagInfo == null) {
                    tagInfo = new com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.TagInfo(tag);
                }
            }
            updateData(type, packageInfo, tagInfo, policy);
            if (tagInfo != null) {
                packageInfo.mTagMap.put(tag, tagInfo);
            }
            packageInfos.put(pkg, packageInfo);
            this.mAlarmWakeupInfo.put(java.lang.Integer.valueOf(userId), packageInfos);
        }
    }

    private void updateData(int type, com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.PackageInfo packageInfo, com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.TagInfo tagInfo, com.android.server.rms.iaware.appmng.AwareWakeUpManager.ControlType policy) {
        switch (type) {
            case 0:
                packageInfo.mWakeupCount++;
                if (tagInfo != null) {
                    tagInfo.mWakeupCount++;
                    break;
                }
                break;
            case 1:
                if (tagInfo == null) {
                    packageInfo.mOverloadCount++;
                    break;
                } else {
                    tagInfo.mOverloadCount++;
                    break;
                }
            case 2:
                if (tagInfo != null) {
                    switch (policy) {
                        case PERCEPTIBLE:
                            tagInfo.mPerceptibleCount++;
                            break;
                        case UNKNOWN:
                            tagInfo.mUnknownCount++;
                            break;
                        case EXTEND:
                            tagInfo.mExtendCount++;
                            break;
                        case EXTEND_TOPN:
                            tagInfo.mTopNCount++;
                            break;
                        case EXTEND_AND_MUTE:
                            tagInfo.mMuteCount++;
                            break;
                        case DECIDE_OVERLOAD:
                            tagInfo.mDecideOverloadCount++;
                            break;
                        case IMPORTANT:
                            tagInfo.mWhiteListCount++;
                            break;
                        default:
                            break;
                    }
                }
                return;
            default:
                break;
        }
    }
}
