package com.android.server.rms.iaware.appmng;

public final class AwareAppAssociate {
    public static final int ASSOC_DECAY_MIN_TIME = 120000;
    public static final int ASSOC_REPORT_MIN_TIME = 60000;
    public static final int CLEAN_LEVEL = 0;
    private static boolean DEBUG = false;
    public static final int FIRST_START_TIMES = 1;
    private static final int FIVE_SECONDS = 5000;
    private static final java.lang.String INTERNALAPP_PKGNAME = "com.huawei.android.internal.app";
    private static final int MSG_CHECK_RECENT_FORE = 3;
    private static final int MSG_CLEAN = 2;
    private static final int MSG_CLEAR_BAKUP_VISWIN = 4;
    private static final int MSG_INIT = 1;
    public static final int MS_TO_SEC = 1000;
    private static final int ONE_SECOND = 1000;
    private static final int RECENT_TIME_INTERVAL = 10000;
    private static boolean RECORD = false;
    private static final long REINIT_TIME = 2000;
    public static final int RESTART_MAX_INTERVAL = 300;
    public static final int RESTART_MAX_TIMES = 30;
    private static final int SMCS_APP_WIDGET_SERVICE_GET_BY_USERID = 2;
    private static final java.lang.String SYSTEM = "system";
    private static final java.lang.String TAG = "RMS.AwareAppAssociate";
    private static final int VISIBLEWINDOWS_ADD_WINDOW = 4;
    private static final int VISIBLEWINDOWS_CACHE_CHANGE_MODE = 3;
    private static final int VISIBLEWINDOWS_CACHE_CLR = 2;
    private static final int VISIBLEWINDOWS_CACHE_DEL = 1;
    private static final int VISIBLEWINDOWS_CACHE_UPDATE = 0;
    private static final int VISIBLEWINDOWS_REMOVE_WINDOW = 5;
    private static final int WIDGET_INVISIBLE = 0;
    private static final int WIDGET_VISIBLE = 1;
    private static com.android.server.rms.iaware.appmng.AwareAppAssociate mAwareAppAssociate = null;
    private static boolean mEnabled = false;
    private final com.android.server.rms.iaware.appmng.AwareAppLruBase mAmsPrevBase;
    private final android.util.ArrayMap<java.lang.Integer, com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord> mAssocRecordMap;
    private android.util.ArrayMap<java.lang.Integer, com.android.server.rms.iaware.appmng.AwareAppAssociate.ProcessData> mBgRecentForcePids;
    private final android.util.ArraySet<com.android.server.rms.iaware.appmng.AwareAppAssociate.IAwareVisibleCallback> mCallbacks;
    private int mCurSwitchUser;
    private int mCurUserId;
    private android.util.ArrayMap<java.lang.Integer, java.lang.Integer> mForePids;
    private com.android.server.rms.iaware.appmng.AwareAppAssociate.AppAssocHandler mHandler;
    private java.util.ArrayList<java.lang.String> mHomePackageList;
    private int mHomeProcessPid;
    private int mHomeProcessUid;
    private com.android.server.am.HwActivityManagerService mHwAMS;
    private java.util.concurrent.atomic.AtomicBoolean mIsInitialized;
    private android.util.LruCache<java.lang.Integer, com.android.server.rms.iaware.appmng.AwareAppLruBase> mLruCache;
    private com.android.server.mtm.MultiTaskManagerService mMtmService;
    private int mMyPid;
    private final com.android.server.rms.iaware.appmng.AwareAppLruBase mPrevNonHomeBase;
    private final com.android.internal.app.ProcessMap<com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord> mProcInfoMap;
    private java.util.Map<java.lang.Integer, java.util.Map<java.lang.String, java.util.Map<java.lang.String, com.android.server.rms.iaware.appmng.AwareAppAssociate.LaunchData>>> mProcLaunchMap;
    private final android.util.ArrayMap<java.lang.Integer, com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord> mProcPidMap;
    private final android.util.ArrayMap<java.lang.String, android.util.ArraySet<java.lang.Integer>> mProcPkgMap;
    private final android.util.ArrayMap<java.lang.Integer, android.util.ArraySet<java.lang.Integer>> mProcUidMap;
    private android.app.IProcessObserver mProcessObserver;
    private final com.android.server.rms.iaware.appmng.AwareAppLruBase mRecentTaskPrevBase;
    private boolean mScreenOff;
    android.app.IUserSwitchObserver mUserSwitchObserver;
    private android.util.ArraySet<java.lang.Integer> mVisWinDurScreenOff;
    private android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo> mVisibleWindows;
    private android.util.ArrayMap<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo> mVisibleWindowsCache;
    private android.util.ArrayMap<java.lang.Integer, android.util.ArrayMap<java.lang.Integer, com.android.server.rms.iaware.appmng.AwareAppAssociate.Widget>> mWidgets;

    private class AppAssocHandler extends android.os.Handler {
        public AppAssocHandler(android.os.Looper looper) {
            super(looper);
        }

        public void handleMessage(android.os.Message msg) {
            if (com.android.server.rms.iaware.appmng.AwareAppAssociate.DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("handleMessage message ");
                stringBuilder.append(msg.what);
                android.rms.iaware.AwareLog.e("RMS.AwareAppAssociate", stringBuilder.toString());
            }
            if (msg.what == 1) {
                com.android.server.rms.iaware.appmng.AwareAppAssociate.this.initialize();
            } else if (msg.what == 2) {
                java.util.HashMap<java.lang.String, java.lang.String> cleanMsg = msg.obj;
                java.lang.String pkg = (java.lang.String) cleanMsg.get("pkg");
                java.lang.String proc = (java.lang.String) cleanMsg.get("proc");
                try {
                    int userId = java.lang.Integer.parseInt((java.lang.String) cleanMsg.get("userId"));
                    if (userId >= 0) {
                        if (com.android.server.rms.iaware.appmng.AwareAppAssociate.this.mMtmService != null) {
                            com.android.server.mtm.iaware.appmng.appclean.CrashClean crashClean = new com.android.server.mtm.iaware.appmng.appclean.CrashClean(userId, 0, pkg, com.android.server.rms.iaware.appmng.AwareAppAssociate.this.mMtmService.context());
                            if (com.android.server.rms.iaware.appmng.AwareAppAssociate.DEBUG) {
                                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append("Pkg:");
                                stringBuilder2.append(pkg);
                                stringBuilder2.append(" will be cleaned due to high-freq-restart of proc:");
                                stringBuilder2.append(proc);
                                android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder2.toString());
                            }
                            crashClean.clean();
                            return;
                        }
                    }
                    android.rms.iaware.AwareLog.e("RMS.AwareAppAssociate", "MSG_CLEAN, userId or mMtmService error!");
                } catch (java.lang.NumberFormatException e) {
                    android.rms.iaware.AwareLog.e("RMS.AwareAppAssociate", "MSG_CLEAN, userId format error!");
                }
            } else {
                if (msg.what == 3) {
                    com.android.server.rms.iaware.appmng.AwareAppAssociate.this.checkRecentForce();
                } else if (msg.what == 4) {
                    com.android.server.rms.iaware.appmng.AwareAppAssociate.this.clearRemoveVisWinDurScreenOff();
                }
            }
        }
    }

    private static final class AssocBaseRecord {
        public boolean isStrong = true;
        public java.util.HashSet<java.lang.String> mComponents = new java.util.HashSet();
        public long miniTime;
        public int pid;
        public android.util.ArraySet<java.lang.String> pkgList = new android.util.ArraySet();
        public java.lang.String processName;
        public int uid;

        public AssocBaseRecord(java.lang.String name, int uid, int pid) {
            this.processName = name;
            this.uid = uid;
            this.pid = pid;
            this.miniTime = android.os.SystemClock.elapsedRealtime();
        }
    }

    private final class AssocPidRecord {
        public final com.android.internal.app.ProcessMap<com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord> mAssocBindService = new com.android.internal.app.ProcessMap();
        public final com.android.internal.app.ProcessMap<com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord> mAssocProvider = new com.android.internal.app.ProcessMap();
        public int pid;
        public java.lang.String processName;
        public int uid;

        public AssocPidRecord(int pid, int uid, java.lang.String name) {
            this.pid = pid;
            this.uid = uid;
            this.processName = name;
        }

        public com.android.internal.app.ProcessMap<com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord> getMap(int type) {
            switch (type) {
                case 1:
                case 3:
                    return this.mAssocBindService;
                case 2:
                    return this.mAssocProvider;
                default:
                    return null;
            }
        }

        public boolean isEmpty() {
            return this.mAssocBindService.getMap().isEmpty() && this.mAssocProvider.getMap().isEmpty();
        }

        public int size() {
            return this.mAssocBindService.getMap().size() + this.mAssocProvider.getMap().size();
        }

        public java.lang.String toString() {
            int i;
            java.lang.StringBuilder sb = new java.lang.StringBuilder();
            sb.append("Pid:");
            sb.append(this.pid);
            sb.append(",Uid:");
            sb.append(this.uid);
            sb.append(",ProcessName:");
            sb.append(this.processName);
            sb.append("\n");
            java.lang.String sameUid = com.android.server.rms.iaware.appmng.AwareAppAssociate.this.sameUid(this.pid);
            if (sameUid != null) {
                sb.append(sameUid);
            }
            int NP = this.mAssocBindService.getMap().size();
            boolean flag = true;
            int i2 = 0;
            while (i2 < NP) {
                android.util.SparseArray<com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord> brs = (android.util.SparseArray) this.mAssocBindService.getMap().valueAt(i2);
                int NB = brs.size();
                boolean flag2 = flag;
                int j = 0;
                while (j < NB) {
                    com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord br = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) brs.valueAt(j);
                    if (flag2) {
                        sb.append("    [BindService] depend on:\n");
                        flag2 = false;
                    }
                    java.util.Iterator it = br.mComponents.iterator();
                    while (it.hasNext()) {
                        java.lang.String component = (java.lang.String) it.next();
                        sb.append("        Pid:");
                        sb.append(br.pid);
                        sb.append(",Uid:");
                        sb.append(br.uid);
                        sb.append(",ProcessName:");
                        sb.append(br.processName);
                        sb.append(",Time:");
                        int j2 = j;
                        sb.append(android.os.SystemClock.elapsedRealtime() - br.miniTime);
                        sb.append(",Component:");
                        sb.append(component);
                        sb.append("\n");
                        j = j2;
                    }
                    j++;
                }
                i2++;
                flag = flag2;
            }
            NP = this.mAssocProvider.getMap().size();
            boolean flag3 = true;
            i2 = 0;
            while (i2 < NP) {
                android.util.SparseArray<com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord> brs2 = (android.util.SparseArray) this.mAssocProvider.getMap().valueAt(i2);
                int NB2 = brs2.size();
                boolean flag4 = flag3;
                for (int j3 = 0; j3 < NB2; j3++) {
                    com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord br2 = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) brs2.valueAt(j3);
                    if (flag4) {
                        sb.append("    [Provider] depend on:\n");
                        flag4 = false;
                    }
                    java.util.Iterator it2 = br2.mComponents.iterator();
                    while (it2.hasNext()) {
                        java.lang.String component2 = (java.lang.String) it2.next();
                        java.lang.String sameUid2 = sameUid;
                        i = NP;
                        if (android.os.SystemClock.elapsedRealtime() - br2.miniTime < 120000) {
                            sb.append("        Pid:");
                            sb.append(br2.pid);
                            sb.append(",Uid:");
                            sb.append(br2.uid);
                            sb.append(",ProcessName:");
                            sb.append(br2.processName);
                            sb.append(",Time:");
                            sb.append(android.os.SystemClock.elapsedRealtime() - br2.miniTime);
                            sb.append(",Component:");
                            sb.append(component2);
                            sb.append(",Strong:");
                            sb.append(br2.isStrong);
                            sb.append("\n");
                        }
                        sameUid = sameUid2;
                        NP = i;
                    }
                    i = NP;
                }
                i = NP;
                i2++;
                flag3 = flag4;
            }
            i = NP;
            return sb.toString();
        }
    }

    public interface IAwareVisibleCallback {
        void onVisibleWindowsChanged(int i, int i2, int i3);
    }

    private static class LaunchData {
        private long mFirstTime;
        private int mLaunchTimes;

        /* synthetic */ LaunchData(int x0, long x1, com.android.server.rms.iaware.appmng.AwareAppAssociate.AnonymousClass1 x2) {
            this(x0, x1);
        }

        private LaunchData(int launchTimes, long firstTime) {
            this.mLaunchTimes = launchTimes;
            this.mFirstTime = firstTime;
        }

        private com.android.server.rms.iaware.appmng.AwareAppAssociate.LaunchData increase() {
            this.mLaunchTimes++;
            return this;
        }

        private long getFirstTime() {
            return this.mFirstTime;
        }

        private int getLaunchTimes() {
            return this.mLaunchTimes;
        }
    }

    private static class ProcessData {
        private long mTimeStamp;
        private int mUid;

        /* synthetic */ ProcessData(int x0, long x1, com.android.server.rms.iaware.appmng.AwareAppAssociate.AnonymousClass1 x2) {
            this(x0, x1);
        }

        private ProcessData(int uid, long timeStamp) {
            this.mUid = uid;
            this.mTimeStamp = timeStamp;
        }
    }

    private static final class Widget {
        int appWidgetId;
        boolean isVisible = false;
        java.lang.String pkgName = "";

        public Widget(int appWidgetId, java.lang.String pkgName, boolean isVisible) {
            this.appWidgetId = appWidgetId;
            this.pkgName = pkgName;
            this.isVisible = isVisible;
        }
    }

    private void checkRecentForce() {
        int removeCount = 0;
        long curTime = android.os.SystemClock.elapsedRealtime();
        synchronized (this.mBgRecentForcePids) {
            for (int i = this.mBgRecentForcePids.size() - 1; i >= 0; i--) {
                if (curTime - ((com.android.server.rms.iaware.appmng.AwareAppAssociate.ProcessData) this.mBgRecentForcePids.valueAt(i)).mTimeStamp > 10000) {
                    this.mBgRecentForcePids.removeAt(i);
                    removeCount++;
                }
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("checkRecentForce removeCount: ");
        stringBuilder.append(removeCount);
        android.rms.iaware.AwareLog.d("RMS.AwareAppAssociate", stringBuilder.toString());
    }

    private void registerProcessObserver() {
        try {
            android.app.ActivityManagerNative.getDefault().registerProcessObserver(this.mProcessObserver);
        } catch (android.os.RemoteException e) {
            android.rms.iaware.AwareLog.d("RMS.AwareAppAssociate", "register process observer failed");
        }
    }

    private void unregisterProcessObserver() {
        try {
            android.app.ActivityManagerNative.getDefault().unregisterProcessObserver(this.mProcessObserver);
        } catch (android.os.RemoteException e) {
            android.rms.iaware.AwareLog.d("RMS.AwareAppAssociate", "unregister process observer failed");
        }
    }

    private java.util.LinkedHashMap<java.lang.Integer, com.android.server.rms.iaware.appmng.AwareAppLruBase> getActivityLruCache() {
        java.util.LinkedHashMap<java.lang.Integer, com.android.server.rms.iaware.appmng.AwareAppLruBase> lru = null;
        synchronized (this.mLruCache) {
            java.util.Map<java.lang.Integer, com.android.server.rms.iaware.appmng.AwareAppLruBase> tmp = this.mLruCache.snapshot();
            if (tmp instanceof java.util.LinkedHashMap) {
                lru = (java.util.LinkedHashMap) tmp;
            }
        }
        return lru;
    }

    private boolean updateActivityLruCache(int pid, int uid) {
        int i = pid;
        int i2 = uid;
        long timeNow = android.os.SystemClock.elapsedRealtime();
        synchronized (this.mLruCache) {
            if (this.mLruCache.size() == 0) {
                this.mLruCache.put(java.lang.Integer.valueOf(uid), new com.android.server.rms.iaware.appmng.AwareAppLruBase(i, i2, timeNow));
                return false;
            }
            java.util.LinkedHashMap<java.lang.Integer, com.android.server.rms.iaware.appmng.AwareAppLruBase> lru = getActivityLruCache();
            if (lru == null) {
                return false;
            }
            java.util.ArrayList list = new java.util.ArrayList(lru.keySet());
            if (list.size() < 1) {
                return false;
            }
            int prevUid = ((java.lang.Integer) list.get(list.size() - 1)).intValue();
            com.android.server.rms.iaware.appmng.AwareAppLruBase lruBase = (com.android.server.rms.iaware.appmng.AwareAppLruBase) lru.get(java.lang.Integer.valueOf(prevUid));
            if (lruBase == null) {
                return false;
            } else if (prevUid == i2) {
                android.util.LruCache lruCache = this.mLruCache;
                android.util.LruCache lruCache2 = lruCache;
                lruCache2.put(java.lang.Integer.valueOf(prevUid), new com.android.server.rms.iaware.appmng.AwareAppLruBase(i, prevUid, lruBase.mTime));
                return false;
            } else {
                int prevUid2 = prevUid;
                com.android.server.rms.iaware.appmng.AwareAppLruBase lruBase2 = lruBase;
                if (isSystemDialogProc(lruBase.mPid, prevUid, lruBase.mTime, timeNow)) {
                    this.mLruCache.remove(java.lang.Integer.valueOf(prevUid2));
                } else {
                    this.mLruCache.put(java.lang.Integer.valueOf(prevUid2), new com.android.server.rms.iaware.appmng.AwareAppLruBase(lruBase2.mPid, prevUid2, timeNow));
                }
                this.mLruCache.put(java.lang.Integer.valueOf(uid), new com.android.server.rms.iaware.appmng.AwareAppLruBase(i, i2, timeNow));
                return true;
            }
        }
    }

    private void updatePrevApp(int pid, int uid) {
        if (updateActivityLruCache(pid, uid)) {
            java.util.LinkedHashMap<java.lang.Integer, com.android.server.rms.iaware.appmng.AwareAppLruBase> lru = getActivityLruCache();
            if (lru != null) {
                java.util.List<java.lang.Integer> list = new java.util.ArrayList(lru.keySet());
                int listSize = list.size();
                if (listSize >= 2) {
                    int prevUid = ((java.lang.Integer) list.get(listSize - 2)).intValue();
                    if (prevUid != this.mHomeProcessUid) {
                        com.android.server.rms.iaware.appmng.AwareAppLruBase.copyLruBaseInfo((com.android.server.rms.iaware.appmng.AwareAppLruBase) lru.get(java.lang.Integer.valueOf(prevUid)), this.mPrevNonHomeBase);
                    } else if (listSize < 3) {
                        this.mPrevNonHomeBase.setInitValue();
                    } else {
                        com.android.server.rms.iaware.appmng.AwareAppLruBase.copyLruBaseInfo((com.android.server.rms.iaware.appmng.AwareAppLruBase) lru.get(java.lang.Integer.valueOf(((java.lang.Integer) list.get(listSize - 3)).intValue())), this.mPrevNonHomeBase);
                    }
                }
            }
        }
    }

    private void updatePreviousAppInfo(int pid, int uid, boolean foregroundActivities, java.util.Map<java.lang.Integer, java.lang.Integer> forePids) {
        if (this.mHwAMS != null) {
            if (foregroundActivities) {
                if (isForgroundPid(pid)) {
                    updatePrevApp(pid, uid);
                }
            } else if (forePids != null) {
                if (!(forePids.containsValue(java.lang.Integer.valueOf(uid)) || pid == this.mHomeProcessPid)) {
                    this.mRecentTaskPrevBase.setValue(pid, uid, android.os.SystemClock.elapsedRealtime());
                }
                for (java.util.Map.Entry<java.lang.Integer, java.lang.Integer> m : forePids.entrySet()) {
                    java.lang.Integer forePid = (java.lang.Integer) m.getKey();
                    if (isForgroundPid(forePid.intValue())) {
                        updatePrevApp(forePid.intValue(), ((java.lang.Integer) m.getValue()).intValue());
                        return;
                    }
                }
            }
        }
    }

    /* JADX WARNING: Missing block: B:21:0x0038, code:
            return false;
     */
    private boolean isSystemDialogProc(int r6, int r7, long r8, long r10) {
        /*
        r5 = this;
        r0 = android.os.UserHandle.getAppId(r7);
        r1 = 0;
        r2 = 1000; // 0x3e8 float:1.401E-42 double:4.94E-321;
        if (r0 == r2) goto L_0x000a;
    L_0x0009:
        return r1;
    L_0x000a:
        monitor-enter(r5);
        r0 = r5.mProcPidMap;	 Catch:{ all -> 0x0039 }
        r2 = java.lang.Integer.valueOf(r6);	 Catch:{ all -> 0x0039 }
        r0 = r0.get(r2);	 Catch:{ all -> 0x0039 }
        r0 = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) r0;	 Catch:{ all -> 0x0039 }
        if (r0 == 0) goto L_0x0037;
    L_0x0019:
        r2 = r0.pkgList;	 Catch:{ all -> 0x0039 }
        if (r2 != 0) goto L_0x001e;
    L_0x001d:
        goto L_0x0037;
    L_0x001e:
        r2 = r0.pkgList;	 Catch:{ all -> 0x0039 }
        r2 = r2.size();	 Catch:{ all -> 0x0039 }
        r3 = 1;
        if (r2 == r3) goto L_0x0029;
    L_0x0027:
        monitor-exit(r5);	 Catch:{ all -> 0x0039 }
        return r1;
    L_0x0029:
        r2 = r0.pkgList;	 Catch:{ all -> 0x0039 }
        r4 = "com.huawei.android.internal.app";
        r2 = r2.contains(r4);	 Catch:{ all -> 0x0039 }
        if (r2 == 0) goto L_0x0035;
    L_0x0033:
        monitor-exit(r5);	 Catch:{ all -> 0x0039 }
        return r3;
    L_0x0035:
        monitor-exit(r5);	 Catch:{ all -> 0x0039 }
        return r1;
    L_0x0037:
        monitor-exit(r5);	 Catch:{ all -> 0x0039 }
        return r1;
    L_0x0039:
        r0 = move-exception;
        monitor-exit(r5);	 Catch:{ all -> 0x0039 }
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.appmng.AwareAppAssociate.isSystemDialogProc(int, int, long, long):boolean");
    }

    private boolean isForgroundPid(int pid) {
        if (this.mHwAMS.getProcessBaseInfo(pid).mCurAdj == 0) {
            return true;
        }
        return false;
    }

    public static boolean isDealAsPkgUid(int uid) {
        int appId = android.os.UserHandle.getAppId(uid);
        return appId >= 1000 && appId <= 1001;
    }

    private AwareAppAssociate() {
        this.mMyPid = android.os.Process.myPid();
        this.mIsInitialized = new java.util.concurrent.atomic.AtomicBoolean(false);
        this.mHandler = null;
        this.mForePids = new android.util.ArrayMap();
        this.mLruCache = new android.util.LruCache(4);
        this.mProcLaunchMap = new java.util.HashMap();
        this.mPrevNonHomeBase = new com.android.server.rms.iaware.appmng.AwareAppLruBase();
        this.mRecentTaskPrevBase = new com.android.server.rms.iaware.appmng.AwareAppLruBase();
        this.mAmsPrevBase = new com.android.server.rms.iaware.appmng.AwareAppLruBase();
        this.mCurUserId = 0;
        this.mCurSwitchUser = 0;
        this.mVisibleWindows = new android.util.ArrayMap();
        this.mVisibleWindowsCache = new android.util.ArrayMap();
        this.mWidgets = new android.util.ArrayMap();
        this.mHomeProcessPid = 0;
        this.mHomeProcessUid = 0;
        this.mHomePackageList = new java.util.ArrayList();
        this.mAssocRecordMap = new android.util.ArrayMap();
        this.mProcInfoMap = new com.android.internal.app.ProcessMap();
        this.mProcPidMap = new android.util.ArrayMap();
        this.mProcUidMap = new android.util.ArrayMap();
        this.mProcPkgMap = new android.util.ArrayMap();
        this.mCallbacks = new android.util.ArraySet();
        this.mVisWinDurScreenOff = new android.util.ArraySet();
        this.mScreenOff = false;
        this.mBgRecentForcePids = new android.util.ArrayMap();
        this.mProcessObserver = new android.app.IProcessObserver.Stub() {
            public void onForegroundActivitiesChanged(int pid, int uid, boolean foregroundActivities) {
                if (com.android.server.rms.iaware.appmng.AwareAppAssociate.DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("Pid:");
                    stringBuilder.append(pid);
                    stringBuilder.append(",Uid:");
                    stringBuilder.append(uid);
                    stringBuilder.append(" come to foreground.");
                    stringBuilder.append(foregroundActivities);
                    android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder.toString());
                }
                android.util.ArrayMap<java.lang.Integer, java.lang.Integer> forePidsBak = new android.util.ArrayMap();
                synchronized (com.android.server.rms.iaware.appmng.AwareAppAssociate.this.mForePids) {
                    if (foregroundActivities) {
                        try {
                            com.android.server.rms.iaware.appmng.AwareAppAssociate.this.mForePids.put(java.lang.Integer.valueOf(pid), java.lang.Integer.valueOf(uid));
                            forePidsBak.putAll(com.android.server.rms.iaware.appmng.AwareAppAssociate.this.mForePids);
                        } catch (Throwable th) {
                            while (true) {
                            }
                        }
                    } else {
                        com.android.server.rms.iaware.appmng.AwareAppAssociate.this.mForePids.remove(java.lang.Integer.valueOf(pid));
                        forePidsBak.putAll(com.android.server.rms.iaware.appmng.AwareAppAssociate.this.mForePids);
                    }
                }
                synchronized (com.android.server.rms.iaware.appmng.AwareAppAssociate.this.mBgRecentForcePids) {
                    if (foregroundActivities) {
                        try {
                            com.android.server.rms.iaware.appmng.AwareAppAssociate.this.mBgRecentForcePids.remove(java.lang.Integer.valueOf(pid));
                        } catch (Throwable th2) {
                            while (true) {
                            }
                        }
                    } else {
                        com.android.server.rms.iaware.appmng.AwareAppAssociate.this.mBgRecentForcePids.put(java.lang.Integer.valueOf(pid), new com.android.server.rms.iaware.appmng.AwareAppAssociate.ProcessData(uid, android.os.SystemClock.elapsedRealtime(), null));
                        if (com.android.server.rms.iaware.appmng.AwareAppAssociate.this.mHandler != null) {
                            com.android.server.rms.iaware.appmng.AwareAppAssociate.this.mHandler.sendEmptyMessageDelayed(3, 10000);
                        }
                    }
                }
                com.android.server.rms.iaware.appmng.AwareAppAssociate.this.updatePreviousAppInfo(pid, uid, foregroundActivities, forePidsBak);
            }

            public void onProcessDied(int pid, int uid) {
                synchronized (com.android.server.rms.iaware.appmng.AwareAppAssociate.this.mForePids) {
                    com.android.server.rms.iaware.appmng.AwareAppAssociate.this.mForePids.remove(java.lang.Integer.valueOf(pid));
                }
                synchronized (com.android.server.rms.iaware.appmng.AwareAppAssociate.this.mBgRecentForcePids) {
                    com.android.server.rms.iaware.appmng.AwareAppAssociate.this.mBgRecentForcePids.remove(java.lang.Integer.valueOf(pid));
                }
                try {
                    com.android.server.rms.iaware.appmng.AwareAppAssociate.this.removeDiedProcessRelation(pid, uid);
                } catch (java.lang.NullPointerException e) {
                    android.rms.iaware.AwareLog.d("RMS.AwareAppAssociate", "remove died processrelation failed caused by null pointer");
                } catch (java.lang.Exception e2) {
                    android.rms.iaware.AwareLog.d("RMS.AwareAppAssociate", "remove died processrelation failed");
                }
                com.android.server.rms.iaware.appmng.AwareAppAssociate.this.removeDiedRecordProc(uid, pid);
                com.huawei.android.app.HwActivityManager.reportProcessDied(pid);
            }
        };
        this.mUserSwitchObserver = new android.app.IUserSwitchObserver.Stub() {
            public void onUserSwitching(int newUserId, android.os.IRemoteCallback reply) {
                if (reply != null) {
                    try {
                        reply.sendResult(null);
                        com.android.server.rms.iaware.appmng.AwareAppAssociate.this.mCurSwitchUser = newUserId;
                    } catch (android.os.RemoteException e) {
                        android.rms.iaware.AwareLog.e("RMS.AwareAppAssociate", "RemoteException onUserSwitching");
                    }
                }
            }

            public void onUserSwitchComplete(int newUserId) throws android.os.RemoteException {
                long startTime = java.lang.System.currentTimeMillis();
                com.android.server.rms.iaware.appmng.AwareAppAssociate.this.checkAndInitWidgetObj(newUserId);
                com.android.server.rms.iaware.appmng.AwareAppAssociate.this.mCurUserId = newUserId;
                com.android.server.rms.iaware.appmng.AwareAppAssociate.this.mCurSwitchUser = newUserId;
                com.android.server.rms.iaware.appmng.AwareAppAssociate.this.updateWidgets(com.android.server.rms.iaware.appmng.AwareAppAssociate.this.mCurUserId);
                com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().initUserSwitch(newUserId);
                com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.self().initUserSwitch(newUserId);
                if (newUserId == 0) {
                    com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().updateWidget(com.android.server.rms.iaware.appmng.AwareAppAssociate.this.getWidgetsPkg(newUserId), null);
                }
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("onUserSwitchComplete cost: ");
                stringBuilder.append(java.lang.System.currentTimeMillis() - startTime);
                android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder.toString());
            }

            public void onForegroundProfileSwitch(int newProfileId) {
            }

            public void onLockedBootComplete(int newUserId) {
            }
        };
        this.mHwAMS = com.android.server.am.HwActivityManagerService.self();
        this.mHandler = new com.android.server.rms.iaware.appmng.AwareAppAssociate.AppAssocHandler(com.android.internal.os.BackgroundThread.get().getLooper());
    }

    public static synchronized com.android.server.rms.iaware.appmng.AwareAppAssociate getInstance() {
        com.android.server.rms.iaware.appmng.AwareAppAssociate awareAppAssociate;
        synchronized (com.android.server.rms.iaware.appmng.AwareAppAssociate.class) {
            if (mAwareAppAssociate == null) {
                mAwareAppAssociate = new com.android.server.rms.iaware.appmng.AwareAppAssociate();
            }
            awareAppAssociate = mAwareAppAssociate;
        }
        return awareAppAssociate;
    }

    public void getVisibleWindowsInRestriction(java.util.Set<java.lang.Integer> windowPids) {
        if (mEnabled) {
            if (windowPids != null) {
                synchronized (this.mVisibleWindows) {
                    for (java.util.Map.Entry<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo> window : this.mVisibleWindows.entrySet()) {
                        com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo winInfo = (com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo) window.getValue();
                        if (winInfo.mInRestriction && !winInfo.isEvil()) {
                            windowPids.add((java.lang.Integer) window.getKey());
                        }
                    }
                }
                if (DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("WindowPids in restriction:");
                    stringBuilder.append(windowPids);
                    android.rms.iaware.AwareLog.d("RMS.AwareAppAssociate", stringBuilder.toString());
                }
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:52:0x007f A:{SYNTHETIC} */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x0076  */
    public void getVisibleWindows(java.util.Set<java.lang.Integer> r9, java.util.Set<java.lang.Integer> r10) {
        /*
        r8 = this;
        r0 = mEnabled;
        if (r0 != 0) goto L_0x0005;
    L_0x0004:
        return;
    L_0x0005:
        if (r9 != 0) goto L_0x0008;
    L_0x0007:
        return;
    L_0x0008:
        r0 = r8.mVisibleWindows;
        monitor-enter(r0);
        r1 = r8.mVisibleWindows;	 Catch:{ all -> 0x00bf }
        r1 = r1.entrySet();	 Catch:{ all -> 0x00bf }
        r1 = r1.iterator();	 Catch:{ all -> 0x00bf }
    L_0x0015:
        r2 = r1.hasNext();	 Catch:{ all -> 0x00bf }
        if (r2 == 0) goto L_0x0080;
    L_0x001b:
        r2 = r1.next();	 Catch:{ all -> 0x00bf }
        r2 = (java.util.Map.Entry) r2;	 Catch:{ all -> 0x00bf }
        r3 = r2.getValue();	 Catch:{ all -> 0x00bf }
        r3 = (com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo) r3;	 Catch:{ all -> 0x00bf }
        r4 = r3.mMode;	 Catch:{ all -> 0x00bf }
        if (r4 == 0) goto L_0x0033;
    L_0x002b:
        r4 = r3.mMode;	 Catch:{ all -> 0x00bf }
        r5 = 3;
        if (r4 != r5) goto L_0x0031;
    L_0x0030:
        goto L_0x0033;
    L_0x0031:
        r4 = 0;
        goto L_0x0034;
    L_0x0033:
        r4 = 1;
    L_0x0034:
        r5 = "RMS.AwareAppAssociate";
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00bf }
        r6.<init>();	 Catch:{ all -> 0x00bf }
        r7 = "[getVisibleWindows]:";
        r6.append(r7);	 Catch:{ all -> 0x00bf }
        r7 = r2.getKey();	 Catch:{ all -> 0x00bf }
        r6.append(r7);	 Catch:{ all -> 0x00bf }
        r7 = " [allowedWindow]:";
        r6.append(r7);	 Catch:{ all -> 0x00bf }
        r6.append(r4);	 Catch:{ all -> 0x00bf }
        r7 = " isEvil:";
        r6.append(r7);	 Catch:{ all -> 0x00bf }
        r7 = r3.isEvil();	 Catch:{ all -> 0x00bf }
        r6.append(r7);	 Catch:{ all -> 0x00bf }
        r6 = r6.toString();	 Catch:{ all -> 0x00bf }
        android.rms.iaware.AwareLog.i(r5, r6);	 Catch:{ all -> 0x00bf }
        if (r4 == 0) goto L_0x0074;
    L_0x0064:
        r5 = r3.isEvil();	 Catch:{ all -> 0x00bf }
        if (r5 != 0) goto L_0x0074;
    L_0x006a:
        r5 = r2.getKey();	 Catch:{ all -> 0x00bf }
        r5 = (java.lang.Integer) r5;	 Catch:{ all -> 0x00bf }
        r9.add(r5);	 Catch:{ all -> 0x00bf }
        goto L_0x007f;
    L_0x0074:
        if (r10 == 0) goto L_0x007f;
    L_0x0076:
        r5 = r2.getKey();	 Catch:{ all -> 0x00bf }
        r5 = (java.lang.Integer) r5;	 Catch:{ all -> 0x00bf }
        r10.add(r5);	 Catch:{ all -> 0x00bf }
    L_0x007f:
        goto L_0x0015;
    L_0x0080:
        monitor-exit(r0);	 Catch:{ all -> 0x00bf }
        r1 = r8.mVisWinDurScreenOff;
        monitor-enter(r1);
        r0 = r8.mVisWinDurScreenOff;	 Catch:{ all -> 0x00bc }
        r0 = r0.isEmpty();	 Catch:{ all -> 0x00bc }
        if (r0 != 0) goto L_0x0091;
    L_0x008c:
        r0 = r8.mVisWinDurScreenOff;	 Catch:{ all -> 0x00bc }
        r9.addAll(r0);	 Catch:{ all -> 0x00bc }
    L_0x0091:
        monitor-exit(r1);	 Catch:{ all -> 0x00bc }
        r0 = DEBUG;
        if (r0 == 0) goto L_0x00b4;
    L_0x0096:
        r0 = "RMS.AwareAppAssociate";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "WindowPids:";
        r1.append(r2);
        r1.append(r9);
        r2 = ", evilPids:";
        r1.append(r2);
        r1.append(r10);
        r1 = r1.toString();
        android.rms.iaware.AwareLog.d(r0, r1);
    L_0x00b4:
        r0 = RECORD;
        if (r0 == 0) goto L_0x00bb;
    L_0x00b8:
        r8.recordWindowDetail(r9);
    L_0x00bb:
        return;
    L_0x00bc:
        r0 = move-exception;
        monitor-exit(r1);	 Catch:{ all -> 0x00bc }
        throw r0;
    L_0x00bf:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x00bf }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.appmng.AwareAppAssociate.getVisibleWindows(java.util.Set, java.util.Set):void");
    }

    public boolean isVisibleWindows(int userid, java.lang.String pkg) {
        if (!mEnabled || pkg == null) {
            return true;
        }
        synchronized (this.mVisibleWindows) {
            for (java.util.Map.Entry<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo> window : this.mVisibleWindows.entrySet()) {
                com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo winInfo = (com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo) window.getValue();
                boolean allowedWindow = isAllowedAlertWindowOps(winInfo);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("[isVisibleWindows]:");
                stringBuilder.append(window.getKey());
                stringBuilder.append(" pkg:");
                stringBuilder.append(pkg);
                stringBuilder.append(" [allowedWindow]:");
                stringBuilder.append(allowedWindow);
                stringBuilder.append(" isEvil:");
                stringBuilder.append(winInfo.isEvil());
                android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder.toString());
                if (pkg.equals(winInfo.mPkg) && ((userid == -1 || userid == android.os.UserHandle.getUserId(winInfo.mUid)) && allowedWindow && !winInfo.isEvil())) {
                    return true;
                }
            }
            return false;
        }
    }

    public boolean hasWindow(int uid) {
        synchronized (this.mVisibleWindows) {
            for (java.util.Map.Entry<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo> window : this.mVisibleWindows.entrySet()) {
                if (uid == ((com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo) window.getValue()).mUid) {
                    return true;
                }
            }
            return false;
        }
    }

    private boolean isAllowedAlertWindowOps(com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo winInfo) {
        if (winInfo.mMode != 0) {
            if (winInfo.mMode != 3) {
                return false;
            }
        }
        return true;
    }

    public boolean isEvilAlertWindow(int window, int code) {
        if (!mEnabled) {
            return false;
        }
        boolean result;
        synchronized (this.mVisibleWindows) {
            com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo winInfo = (com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo) this.mVisibleWindows.get(java.lang.Integer.valueOf(window));
            if (winInfo == null || (isAllowedAlertWindowOps(winInfo) && !winInfo.isEvil(code))) {
                result = false;
            } else {
                result = true;
            }
        }
        return result;
    }

    private void updateWidgets(int userId) {
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("updateWidgets, userId: ");
            stringBuilder.append(userId);
            android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder.toString());
        }
        android.os.IBinder service = android.os.ServiceManager.getService("appwidget");
        if (service != null) {
            android.util.ArrayMap<java.lang.Integer, com.android.server.rms.iaware.appmng.AwareAppAssociate.Widget> widgets = new android.util.ArrayMap();
            android.os.Parcel data = android.os.Parcel.obtain();
            android.os.Parcel reply = android.os.Parcel.obtain();
            data.writeInt(2);
            data.writeInt(userId);
            try {
                service.transact(1599297111, data, reply, 0);
                int size = reply.readInt();
                if (DEBUG) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("updateWidgets, transact finish, widgets size: ");
                    stringBuilder2.append(size);
                    android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder2.toString());
                }
                for (int i = 0; i < size; i++) {
                    int id = reply.readInt();
                    java.lang.String pkg = reply.readString();
                    boolean visibleB = true;
                    if (reply.readInt() != 1) {
                        visibleB = false;
                    }
                    if (pkg != null && pkg.length() > 0) {
                        widgets.put(java.lang.Integer.valueOf(id), new com.android.server.rms.iaware.appmng.AwareAppAssociate.Widget(id, pkg, visibleB));
                    }
                    if (DEBUG) {
                        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                        stringBuilder3.append("updateWidgets, widget: ");
                        stringBuilder3.append(id);
                        stringBuilder3.append(", ");
                        stringBuilder3.append(pkg);
                        stringBuilder3.append(", ");
                        stringBuilder3.append(visibleB);
                        android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder3.toString());
                    }
                }
            } catch (android.os.RemoteException e) {
                android.rms.iaware.AwareLog.e("RMS.AwareAppAssociate", "getWidgetsPkg, transact error!");
            } catch (Throwable th) {
                reply.recycle();
                data.recycle();
            }
            reply.recycle();
            data.recycle();
            synchronized (this.mWidgets) {
                this.mWidgets.put(java.lang.Integer.valueOf(userId), widgets);
            }
        }
    }

    public java.util.Set<java.lang.String> getWidgetsPkg() {
        return getWidgetsPkg(this.mCurUserId);
    }

    public java.util.Set<java.lang.String> getWidgetsPkg(int userId) {
        if (!mEnabled) {
            return null;
        }
        android.util.ArraySet<java.lang.String> widgets = new android.util.ArraySet();
        synchronized (this.mWidgets) {
            android.util.ArrayMap<java.lang.Integer, com.android.server.rms.iaware.appmng.AwareAppAssociate.Widget> widgetMap = (android.util.ArrayMap) this.mWidgets.get(java.lang.Integer.valueOf(userId));
            if (widgetMap != null) {
                for (java.util.Map.Entry<java.lang.Integer, com.android.server.rms.iaware.appmng.AwareAppAssociate.Widget> entry : widgetMap.entrySet()) {
                    com.android.server.rms.iaware.appmng.AwareAppAssociate.Widget widget = (com.android.server.rms.iaware.appmng.AwareAppAssociate.Widget) entry.getValue();
                    if (widget.isVisible) {
                        widgets.add(widget.pkgName);
                    }
                    if (DEBUG) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("getWidgetsPkg:");
                        stringBuilder.append(widget.appWidgetId);
                        stringBuilder.append(", ");
                        stringBuilder.append(widget.pkgName);
                        stringBuilder.append(", ");
                        stringBuilder.append(widget.isVisible);
                        android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder.toString());
                    }
                }
            }
        }
        return widgets;
    }

    public void getForeGroundApp(java.util.Set<java.lang.Integer> forePids) {
        if (mEnabled && forePids != null) {
            synchronized (this.mForePids) {
                forePids.addAll(this.mForePids.keySet());
            }
        }
    }

    public boolean isForeGroundApp(int uid) {
        if (!mEnabled) {
            return false;
        }
        synchronized (this.mForePids) {
            for (java.util.Map.Entry<java.lang.Integer, java.lang.Integer> map : this.mForePids.entrySet()) {
                if (uid == ((java.lang.Integer) map.getValue()).intValue()) {
                    return true;
                }
            }
            return false;
        }
    }

    public boolean isRecentFgApp(int uid) {
        if (!mEnabled) {
            return false;
        }
        synchronized (this.mBgRecentForcePids) {
            for (java.util.Map.Entry<java.lang.Integer, com.android.server.rms.iaware.appmng.AwareAppAssociate.ProcessData> map : this.mBgRecentForcePids.entrySet()) {
                com.android.server.rms.iaware.appmng.AwareAppAssociate.ProcessData data = (com.android.server.rms.iaware.appmng.AwareAppAssociate.ProcessData) map.getValue();
                if (data != null && data.mUid == uid) {
                    return true;
                }
            }
            return false;
        }
    }

    public void getAssocListForPid(int pid, java.util.Set<java.lang.Integer> strong) {
        if (mEnabled && pid > 0) {
            if (strong != null) {
                getStrongAssoc(pid, strong);
                if (DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("[");
                    stringBuilder.append(pid);
                    stringBuilder.append("]strongList:");
                    stringBuilder.append(strong);
                    android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder.toString());
                }
                if (RECORD) {
                    recordAssocDetail(pid);
                }
            }
        }
    }

    public void getAssocClientListForPid(int pid, java.util.Set<java.lang.Integer> strong) {
        if (mEnabled && pid > 0) {
            if (strong != null) {
                getStrongAssocClient(pid, strong);
                if (DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("[");
                    stringBuilder.append(pid);
                    stringBuilder.append("]strongList:");
                    stringBuilder.append(strong);
                    android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder.toString());
                }
                if (RECORD) {
                    recordAssocDetail(pid);
                }
            }
        }
    }

    private void getStrongAssocClient(int pid, java.util.Set<java.lang.Integer> strong) {
        if (pid > 0) {
            if (strong != null) {
                synchronized (this) {
                    for (java.util.Map.Entry<java.lang.Integer, com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord> map : this.mAssocRecordMap.entrySet()) {
                        int clientPid = ((java.lang.Integer) map.getKey()).intValue();
                        com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord record = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord) map.getValue();
                        int NP = record.mAssocBindService.getMap().size();
                        for (int i = 0; i < NP; i++) {
                            android.util.SparseArray<com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord> brs = (android.util.SparseArray) record.mAssocBindService.getMap().valueAt(i);
                            int NB = brs.size();
                            for (int j = 0; j < NB; j++) {
                                com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord br = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) brs.valueAt(j);
                                if (br != null && br.pid == pid) {
                                    strong.add(java.lang.Integer.valueOf(clientPid));
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    public void getAssocClientListForUid(int uid, java.util.Set<java.lang.String> strong) {
        if (mEnabled && uid > 0) {
            if (strong != null) {
                synchronized (this) {
                    for (java.util.Map.Entry<java.lang.Integer, com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord> map : this.mAssocRecordMap.entrySet()) {
                        com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord record = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord) map.getValue();
                        if (android.os.UserHandle.getAppId(record.uid) >= 10000) {
                            int NP = record.mAssocBindService.getMap().size();
                            boolean bfound = false;
                            for (int i = 0; i < NP; i++) {
                                android.util.SparseArray<com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord> brs = (android.util.SparseArray) record.mAssocBindService.getMap().valueAt(i);
                                int NB = brs.size();
                                for (int j = 0; j < NB; j++) {
                                    com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord br = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) brs.valueAt(j);
                                    if (br != null && br.uid == uid) {
                                        strong.addAll(getPackageNameForUid(record.uid, record.pid));
                                        bfound = true;
                                        break;
                                    }
                                }
                                if (bfound) {
                                    break;
                                }
                            }
                        }
                    }
                }
                if (DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("[");
                    stringBuilder.append(uid);
                    stringBuilder.append("]strongList:");
                    stringBuilder.append(strong);
                    android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder.toString());
                }
            }
        }
    }

    public void report(int eventId, android.os.Bundle bundleArgs) {
        int i = eventId;
        android.os.Bundle bundle = bundleArgs;
        if (mEnabled) {
            java.lang.StringBuilder stringBuilder;
            if (DEBUG) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("eventId: ");
                stringBuilder.append(i);
                android.rms.iaware.AwareLog.d("RMS.AwareAppAssociate", stringBuilder.toString());
            }
            if (bundle != null) {
                if (!this.mIsInitialized.get()) {
                    initialize();
                }
                int callerPid;
                switch (i) {
                    case 1:
                    case 2:
                        callerPid = bundle.getInt("callPid");
                        addProcessRelation(callerPid, bundle.getInt("callUid"), bundle.getString("callProcName"), bundle.getInt("tgtUid"), bundle.getString("tgtProcName"), bundle.getString("compName"), i);
                        break;
                    case 3:
                        callerPid = bundle.getInt("callPid");
                        removeProcessRelation(callerPid, bundle.getInt("callUid"), bundle.getString("callProcName"), bundle.getInt("tgtUid"), bundle.getString("tgtProcName"), bundle.getString("compName"), i);
                        break;
                    case 4:
                        updateProcessRelation(bundle.getInt("callPid"), bundle.getInt("callUid"), bundle.getString("callProcName"), bundle.getStringArrayList("pkgname"));
                        break;
                    case 5:
                        addWidget(bundle.getInt("userid"), bundle.getInt("widgetId", -1), bundle.getString("widget"), bundle.getBundle("widgetOpt"));
                        break;
                    case 6:
                        removeWidget(bundle.getInt("userid"), bundle.getInt("widgetId", -1), bundle.getString("widget"));
                        break;
                    case 7:
                        clearWidget();
                        break;
                    case 8:
                        addWindow(bundle.getInt("window"), bundle.getInt("windowmode"), bundle.getInt("hashcode"), bundle.getInt("width"), bundle.getInt("height"), bundle.getFloat("alpha"), bundle.getString("pkgname"), bundle.getInt("uid"));
                        break;
                    case 9:
                        removeWindow(bundle.getInt("window"), bundle.getInt("hashcode"));
                        break;
                    case 10:
                        updateWindowOps(bundle.getString("pkgname"));
                        break;
                    case 11:
                        reportHome(bundle.getInt("pid"), bundle.getInt("tgtUid"), bundle.getStringArrayList("pkgname"));
                        break;
                    case 12:
                        reportPrevInfo(bundle.getInt("pid"), bundle.getInt("tgtUid"));
                        break;
                    default:
                        switch (i) {
                            case 24:
                                updateWidgetOptions(bundle.getInt("userid"), bundle.getInt("widgetId", -1), bundle.getString("widget"), bundle.getBundle("widgetOpt"));
                                break;
                            case 25:
                                com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().addScreenRecord(bundle.getInt("callUid"), bundle.getInt("callPid"));
                                break;
                            case 26:
                                com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().removeScreenRecord(bundle.getInt("callUid"), bundle.getInt("callPid"));
                                break;
                            case 27:
                                updateWindow(bundle.getInt("window"), bundle.getInt("windowmode"), bundle.getInt("hashcode"), bundle.getInt("width"), bundle.getInt("height"), bundle.getFloat("alpha"));
                                break;
                            default:
                                switch (i) {
                                    case 30:
                                        com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().addCamera(bundle.getInt("callUid"));
                                        break;
                                    case 31:
                                        com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().removeCamera(bundle.getInt("callUid"));
                                        break;
                                    case 32:
                                        updateWidgetFlush(bundle.getInt("userid"), bundle.getString("widget"));
                                        break;
                                    case 33:
                                        com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().reportGoogleConn(bundle.getBoolean("gms_conn"));
                                        break;
                                    default:
                                        if (DEBUG) {
                                            stringBuilder = new java.lang.StringBuilder();
                                            stringBuilder.append("Unknown EventID: ");
                                            stringBuilder.append(i);
                                            android.rms.iaware.AwareLog.e("RMS.AwareAppAssociate", stringBuilder.toString());
                                            break;
                                        }
                                        break;
                                }
                        }
                }
                return;
            }
            return;
        }
        if (DEBUG) {
            android.rms.iaware.AwareLog.d("RMS.AwareAppAssociate", "AwareAppAssociate feature disabled!");
        }
    }

    private void getStrongAssoc(int pid, java.util.Set<java.lang.Integer> strong) {
        java.util.Set<java.lang.Integer> set = strong;
        if (pid > 0) {
            if (set != null) {
                synchronized (this) {
                    long curElapse = android.os.SystemClock.elapsedRealtime();
                    com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord record = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord) this.mAssocRecordMap.get(java.lang.Integer.valueOf(pid));
                    if (record == null) {
                        return;
                    }
                    android.util.SparseArray<com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord> brs;
                    int NB;
                    int NP = record.mAssocBindService.getMap().size();
                    com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord br = null;
                    int targetPid = 0;
                    int i = 0;
                    while (i < NP) {
                        brs = (android.util.SparseArray) record.mAssocBindService.getMap().valueAt(i);
                        NB = brs.size();
                        int targetPid2 = targetPid;
                        for (targetPid = 0; targetPid < NB; targetPid++) {
                            br = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) brs.valueAt(targetPid);
                            targetPid2 = br.pid;
                            if (targetPid2 != 0) {
                                set.add(java.lang.Integer.valueOf(targetPid2));
                            }
                        }
                        i++;
                        targetPid = targetPid2;
                    }
                    i = record.mAssocProvider.getMap().size();
                    NP = targetPid;
                    targetPid = 0;
                    while (targetPid < i) {
                        brs = (android.util.SparseArray) record.mAssocProvider.getMap().valueAt(targetPid);
                        NB = brs.size();
                        com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord br2 = br;
                        int targetPid3 = NP;
                        for (NP = 0; NP < NB; NP++) {
                            br2 = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) brs.valueAt(NP);
                            targetPid3 = br2.pid;
                            if (targetPid3 != 0 && br2.isStrong && curElapse - br2.miniTime < 120000) {
                                set.add(java.lang.Integer.valueOf(targetPid3));
                            }
                        }
                        targetPid++;
                        NP = targetPid3;
                        br = br2;
                    }
                }
            }
        }
    }

    public void getAssocProvider(int pid, java.util.Set<java.lang.Integer> assocProvider) {
        java.util.Set<java.lang.Integer> set = assocProvider;
        if (pid > 0) {
            if (set != null) {
                synchronized (this) {
                    long curElapse = android.os.SystemClock.elapsedRealtime();
                    com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord record = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord) this.mAssocRecordMap.get(java.lang.Integer.valueOf(pid));
                    if (record == null) {
                        return;
                    }
                    com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord br = null;
                    int NP = record.mAssocProvider.getMap().size();
                    int targetPid = 0;
                    int i = 0;
                    while (i < NP) {
                        android.util.SparseArray<com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord> brs = (android.util.SparseArray) record.mAssocProvider.getMap().valueAt(i);
                        int NB = brs.size();
                        com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord br2 = br;
                        for (int j = 0; j < NB; j++) {
                            br2 = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) brs.valueAt(j);
                            targetPid = br2.pid;
                            if (targetPid != 0 && br2.isStrong && curElapse - br2.miniTime < 120000) {
                                set.add(java.lang.Integer.valueOf(targetPid));
                            }
                        }
                        i++;
                        br = br2;
                    }
                }
            }
        }
    }

    private void addWidget(int userId, int widgetId, java.lang.String pkgName, android.os.Bundle options) {
        if (pkgName != null) {
            if (DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("addWidget, userId:");
                stringBuilder.append(userId);
                stringBuilder.append(", widgetId: ");
                stringBuilder.append(widgetId);
                stringBuilder.append(", pkg:");
                stringBuilder.append(pkgName);
                stringBuilder.append(", vis: ");
                stringBuilder.append(isWidgetVisible(options));
                android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder.toString());
            }
            synchronized (this.mWidgets) {
                checkAndInitWidgetObj(userId);
                if (!((android.util.ArrayMap) this.mWidgets.get(java.lang.Integer.valueOf(userId))).containsKey(java.lang.Integer.valueOf(widgetId))) {
                    ((android.util.ArrayMap) this.mWidgets.get(java.lang.Integer.valueOf(userId))).put(java.lang.Integer.valueOf(widgetId), new com.android.server.rms.iaware.appmng.AwareAppAssociate.Widget(widgetId, pkgName, isWidgetVisible(options)));
                }
            }
            if (userId == 0) {
                com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().updateWidget(getWidgetsPkg(userId), pkgName);
            }
        }
    }

    private void removeWidget(int userId, int widgetId, java.lang.String pkgName) {
        if (pkgName != null) {
            if (DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("removeWidget, userId:");
                stringBuilder.append(userId);
                stringBuilder.append(", widgetId: ");
                stringBuilder.append(widgetId);
                stringBuilder.append(", pkg:");
                stringBuilder.append(pkgName);
                android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder.toString());
            }
            synchronized (this.mWidgets) {
                checkAndInitWidgetObj(userId);
                ((android.util.ArrayMap) this.mWidgets.get(java.lang.Integer.valueOf(userId))).remove(java.lang.Integer.valueOf(widgetId));
            }
            if (userId == 0) {
                com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().updateWidget(getWidgetsPkg(userId), pkgName);
            }
        }
    }

    private void updateWidgetOptions(int userId, int widgetId, java.lang.String pkgName, android.os.Bundle options) {
        if (widgetId >= 0) {
            if (pkgName != null) {
                if (DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("updateWidgetOptions, userId:");
                    stringBuilder.append(userId);
                    stringBuilder.append(", widgetId: ");
                    stringBuilder.append(widgetId);
                    stringBuilder.append(", pkg:");
                    stringBuilder.append(pkgName);
                    stringBuilder.append(", options: ");
                    stringBuilder.append(options);
                    android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder.toString());
                }
                boolean visible = isWidgetVisible(options);
                synchronized (this.mWidgets) {
                    checkAndInitWidgetObj(userId);
                    android.util.ArrayMap<java.lang.Integer, com.android.server.rms.iaware.appmng.AwareAppAssociate.Widget> widgetMap = (android.util.ArrayMap) this.mWidgets.get(java.lang.Integer.valueOf(userId));
                    if (widgetMap.get(java.lang.Integer.valueOf(widgetId)) != null) {
                        ((com.android.server.rms.iaware.appmng.AwareAppAssociate.Widget) widgetMap.get(java.lang.Integer.valueOf(widgetId))).isVisible = visible;
                    } else {
                        widgetMap.put(java.lang.Integer.valueOf(widgetId), new com.android.server.rms.iaware.appmng.AwareAppAssociate.Widget(widgetId, pkgName, visible));
                    }
                    if (userId == 0) {
                        com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().updateWidget(getWidgetsPkg(userId), pkgName);
                    }
                }
            }
        }
    }

    private void updateWidgetFlush(int userId, java.lang.String pkgName) {
        com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().widgetTrigUpdate(pkgName);
    }

    public boolean isWidgetVisible(android.os.Bundle options) {
        boolean visible = true;
        if (options == null) {
            return false;
        }
        int maxHeight = options.getInt("appWidgetMaxHeight");
        int maxWidth = options.getInt("appWidgetMaxWidth");
        int minHeight = options.getInt("appWidgetMinHeight");
        int minWidth = options.getInt("appWidgetMinWidth");
        if (maxHeight == 0 && maxWidth == 0 && minHeight == 0 && minWidth == 0) {
            visible = false;
        }
        return visible;
    }

    private void clearWidget() {
        if (DEBUG) {
            android.rms.iaware.AwareLog.d("RMS.AwareAppAssociate", "clearWidget");
        }
        synchronized (this.mWidgets) {
            for (java.util.Map.Entry<java.lang.Integer, android.util.ArrayMap<java.lang.Integer, com.android.server.rms.iaware.appmng.AwareAppAssociate.Widget>> m : this.mWidgets.entrySet()) {
                android.util.ArrayMap<java.lang.Integer, com.android.server.rms.iaware.appmng.AwareAppAssociate.Widget> userWdigets = (android.util.ArrayMap) m.getValue();
                if (userWdigets != null) {
                    userWdigets.clear();
                }
            }
        }
        com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().updateWidget(getWidgetsPkg(0), null);
    }

    /* JADX WARNING: Removed duplicated region for block: B:28:0x0116  */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x00de  */
    private void initVisibleWindows() {
        /*
        r25 = this;
        r9 = r25;
        r0 = 24;
        r10 = com.huawei.android.view.HwWindowManager.getVisibleWindows(r0);
        if (r10 != 0) goto L_0x0012;
    L_0x000a:
        r0 = "RMS.AwareAppAssociate";
        r1 = "Catch null when initVisibleWindows.";
        android.rms.iaware.AwareLog.w(r0, r1);
        return;
    L_0x0012:
        r11 = r9.mVisibleWindows;
        monitor-enter(r11);
        r0 = r9.mVisibleWindows;	 Catch:{ all -> 0x0142 }
        r0.clear();	 Catch:{ all -> 0x0142 }
        r2 = 2;
        r3 = -1;
        r4 = -1;
        r5 = 0;
        r6 = -1;
        r7 = -1;
        r8 = 0;
        r1 = r9;
        r1.updateVisibleWindowsCache(r2, r3, r4, r5, r6, r7, r8);	 Catch:{ all -> 0x0142 }
        r0 = r10.iterator();	 Catch:{ all -> 0x0142 }
    L_0x0029:
        r1 = r0.hasNext();	 Catch:{ all -> 0x0142 }
        if (r1 == 0) goto L_0x0140;
    L_0x002f:
        r1 = r0.next();	 Catch:{ all -> 0x0142 }
        r1 = (android.os.Bundle) r1;	 Catch:{ all -> 0x0142 }
        r12 = r1;
        r1 = "window_pid";
        r1 = r12.getInt(r1);	 Catch:{ all -> 0x0142 }
        r13 = r1;
        r1 = "window_value";
        r1 = r12.getInt(r1);	 Catch:{ all -> 0x0142 }
        r14 = r1;
        r1 = "window_state";
        r1 = r12.getInt(r1);	 Catch:{ all -> 0x0142 }
        r15 = r1;
        r1 = "window_width";
        r1 = r12.getInt(r1);	 Catch:{ all -> 0x0142 }
        r8 = r1;
        r1 = "window_height";
        r1 = r12.getInt(r1);	 Catch:{ all -> 0x0142 }
        r7 = r1;
        r1 = "window_alpha";
        r1 = r12.getFloat(r1);	 Catch:{ all -> 0x0142 }
        r16 = r1;
        r1 = "window_hidden";
        r1 = r12.getBoolean(r1);	 Catch:{ all -> 0x0142 }
        r17 = r1;
        r1 = "window_package";
        r1 = r12.getString(r1);	 Catch:{ all -> 0x0142 }
        r6 = r1;
        r1 = "window_uid";
        r1 = r12.getInt(r1);	 Catch:{ all -> 0x0142 }
        r5 = r1;
        r1 = DEBUG;	 Catch:{ all -> 0x0142 }
        if (r1 == 0) goto L_0x00ba;
    L_0x0084:
        r1 = "RMS.AwareAppAssociate";
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0142 }
        r2.<init>();	 Catch:{ all -> 0x0142 }
        r3 = "initVisibleWindows pid:";
        r2.append(r3);	 Catch:{ all -> 0x0142 }
        r2.append(r13);	 Catch:{ all -> 0x0142 }
        r3 = " mode:";
        r2.append(r3);	 Catch:{ all -> 0x0142 }
        r2.append(r14);	 Catch:{ all -> 0x0142 }
        r3 = " code:";
        r2.append(r3);	 Catch:{ all -> 0x0142 }
        r2.append(r15);	 Catch:{ all -> 0x0142 }
        r3 = " width:";
        r2.append(r3);	 Catch:{ all -> 0x0142 }
        r2.append(r8);	 Catch:{ all -> 0x0142 }
        r3 = " height:";
        r2.append(r3);	 Catch:{ all -> 0x0142 }
        r2.append(r7);	 Catch:{ all -> 0x0142 }
        r2 = r2.toString();	 Catch:{ all -> 0x0142 }
        android.rms.iaware.AwareLog.i(r1, r2);	 Catch:{ all -> 0x0142 }
    L_0x00ba:
        r1 = com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo.getMinWindowWidth();	 Catch:{ all -> 0x0142 }
        if (r8 == r1) goto L_0x00ce;
    L_0x00c0:
        r1 = com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo.getMinWindowHeight();	 Catch:{ all -> 0x0142 }
        if (r7 == r1) goto L_0x00ce;
    L_0x00c6:
        r1 = 0;
        r1 = (r16 > r1 ? 1 : (r16 == r1 ? 0 : -1));
        if (r1 != 0) goto L_0x00cc;
    L_0x00cb:
        goto L_0x00ce;
    L_0x00cc:
        r1 = 0;
        goto L_0x00cf;
    L_0x00ce:
        r1 = 1;
    L_0x00cf:
        r4 = r1;
        r1 = r9.mVisibleWindows;	 Catch:{ all -> 0x0142 }
        r2 = java.lang.Integer.valueOf(r13);	 Catch:{ all -> 0x0142 }
        r1 = r1.get(r2);	 Catch:{ all -> 0x0142 }
        r1 = (com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo) r1;	 Catch:{ all -> 0x0142 }
        if (r1 != 0) goto L_0x0116;
    L_0x00de:
        r2 = new com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo;	 Catch:{ all -> 0x0142 }
        r2.<init>(r14, r6, r5);	 Catch:{ all -> 0x0142 }
        r3 = r2;
        r1 = r9.mVisibleWindows;	 Catch:{ all -> 0x0142 }
        r2 = java.lang.Integer.valueOf(r13);	 Catch:{ all -> 0x0142 }
        r1.put(r2, r3);	 Catch:{ all -> 0x0142 }
        r2 = 0;
        r18 = -1;
        r19 = 0;
        r1 = r9;
        r20 = r3;
        r3 = r13;
        r21 = r4;
        r4 = r14;
        r22 = r5;
        r5 = r6;
        r23 = r6;
        r6 = r22;
        r24 = r7;
        r7 = r18;
        r18 = r8;
        r8 = r19;
        r1.updateVisibleWindowsCache(r2, r3, r4, r5, r6, r7, r8);	 Catch:{ all -> 0x0142 }
        r8 = r21;
        if (r8 != 0) goto L_0x0113;
    L_0x010f:
        r1 = 2;
        r9.notifyVisibleWindowsChange(r1, r13, r14);	 Catch:{ all -> 0x0142 }
    L_0x0113:
        r7 = r20;
        goto L_0x0120;
    L_0x0116:
        r22 = r5;
        r23 = r6;
        r24 = r7;
        r18 = r8;
        r8 = r4;
        r7 = r1;
    L_0x0120:
        r1 = java.lang.Integer.valueOf(r15);	 Catch:{ all -> 0x0142 }
        r7.addWindow(r1, r8);	 Catch:{ all -> 0x0142 }
        r2 = 4;
        r4 = -1;
        r5 = 0;
        r6 = -1;
        r1 = java.lang.Integer.valueOf(r15);	 Catch:{ all -> 0x0142 }
        r19 = r1.intValue();	 Catch:{ all -> 0x0142 }
        r1 = r9;
        r3 = r13;
        r20 = r7;
        r7 = r19;
        r19 = r8;
        r1.updateVisibleWindowsCache(r2, r3, r4, r5, r6, r7, r8);	 Catch:{ all -> 0x0142 }
        goto L_0x0029;
    L_0x0140:
        monitor-exit(r11);	 Catch:{ all -> 0x0142 }
        return;
    L_0x0142:
        r0 = move-exception;
        monitor-exit(r11);	 Catch:{ all -> 0x0142 }
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.appmng.AwareAppAssociate.initVisibleWindows():void");
    }

    private void deinitVisibleWindows() {
        synchronized (this.mVisibleWindows) {
            this.mVisibleWindows.clear();
            notifyVisibleWindowsChange(0, -1, -1);
            updateVisibleWindowsCache(2, -1, -1, null, -1, -1, false);
        }
    }

    private void addWindow(int window, int mode, int code, int width, int height, float alpha, java.lang.String pkg, int uid) {
        java.lang.Throwable th;
        int i = window;
        int i2 = mode;
        int i3 = code;
        int i4 = width;
        int i5 = height;
        float f = alpha;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("[addWindow]:");
        stringBuilder.append(i);
        stringBuilder.append(" [mode]:");
        stringBuilder.append(i2);
        stringBuilder.append(" [code]:");
        stringBuilder.append(i3);
        stringBuilder.append(" width:");
        stringBuilder.append(i4);
        stringBuilder.append(" height:");
        stringBuilder.append(i5);
        stringBuilder.append(" alpha:");
        stringBuilder.append(f);
        android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder.toString());
        if (i > 0) {
            android.util.ArrayMap arrayMap = this.mVisibleWindows;
            synchronized (arrayMap) {
                android.util.ArrayMap arrayMap2;
                try {
                    boolean isEvil;
                    com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo winInfo = (com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo) this.mVisibleWindows.get(java.lang.Integer.valueOf(window));
                    boolean z = (i4 <= com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo.getMinWindowWidth() && i4 > 0) || ((i5 <= com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo.getMinWindowHeight() && i5 > 0) || f == 0.0f);
                    boolean isEvil2 = z;
                    if (winInfo == null) {
                        java.lang.String str = pkg;
                        winInfo = new com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo(i2, str, uid);
                        this.mVisibleWindows.put(java.lang.Integer.valueOf(window), winInfo);
                        boolean isEvil3 = isEvil2;
                        arrayMap2 = arrayMap;
                        try {
                            updateVisibleWindowsCache(0, i, i2, str, uid, -1, false);
                            isEvil = isEvil3;
                            if (!isEvil) {
                                notifyVisibleWindowsChange(2, i, i2);
                            }
                        } catch (Throwable th2) {
                            th = th2;
                            throw th;
                        }
                    }
                    arrayMap2 = arrayMap;
                    isEvil = isEvil2;
                    winInfo.addWindow(java.lang.Integer.valueOf(code), isEvil);
                    boolean isEvil4 = isEvil;
                    updateVisibleWindowsCache(4, i, -1, null, -1, java.lang.Integer.valueOf(code).intValue(), isEvil);
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("[addWindow]:");
                    stringBuilder2.append(i);
                    stringBuilder2.append(" [mode]:");
                    stringBuilder2.append(i2);
                    stringBuilder2.append(" [code]:");
                    stringBuilder2.append(i3);
                    stringBuilder2.append(" isEvil:");
                    stringBuilder2.append(isEvil4);
                    android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder2.toString());
                    if (DEBUG) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("[addVisibleWindows]:");
                        stringBuilder.append(i);
                        stringBuilder.append(" [mode]:");
                        stringBuilder.append(i2);
                        stringBuilder.append(" [code]:");
                        stringBuilder.append(i3);
                        android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder.toString());
                    }
                } catch (Throwable th3) {
                    th = th3;
                    arrayMap2 = arrayMap;
                    throw th;
                }
            }
        }
    }

    /* JADX WARNING: Missing block: B:10:0x0034, code:
            return;
     */
    /* JADX WARNING: Missing block: B:18:0x0086, code:
            if (r11 == false) goto L_0x009f;
     */
    /* JADX WARNING: Missing block: B:20:0x008a, code:
            if (r16.mScreenOff == false) goto L_0x009f;
     */
    /* JADX WARNING: Missing block: B:21:0x008c, code:
            if (r12 != false) goto L_0x009f;
     */
    /* JADX WARNING: Missing block: B:22:0x008e, code:
            r1 = r16.mVisWinDurScreenOff;
     */
    /* JADX WARNING: Missing block: B:23:0x0090, code:
            monitor-enter(r1);
     */
    /* JADX WARNING: Missing block: B:25:?, code:
            r16.mVisWinDurScreenOff.add(java.lang.Integer.valueOf(r10));
     */
    /* JADX WARNING: Missing block: B:26:0x009a, code:
            monitor-exit(r1);
     */
    /* JADX WARNING: Missing block: B:32:0x00a1, code:
            if (DEBUG == false) goto L_0x00c4;
     */
    /* JADX WARNING: Missing block: B:33:0x00a3, code:
            r1 = new java.lang.StringBuilder();
            r1.append("[removeVisibleWindows]:");
            r1.append(r10);
            r1.append(" [code]:");
            r1.append(r16);
            android.rms.iaware.AwareLog.d("RMS.AwareAppAssociate", r1.toString());
     */
    /* JADX WARNING: Missing block: B:34:0x00c4, code:
            r2 = r16;
     */
    /* JADX WARNING: Missing block: B:35:0x00c6, code:
            return;
     */
    private void removeWindow(int r15, int r16) {
        /*
        r14 = this;
        r9 = r14;
        r10 = r15;
        if (r10 > 0) goto L_0x0005;
    L_0x0004:
        return;
    L_0x0005:
        r11 = 0;
        r12 = 0;
        r13 = r9.mVisibleWindows;
        monitor-enter(r13);
        r0 = r9.mVisibleWindows;	 Catch:{ all -> 0x00c7 }
        r1 = java.lang.Integer.valueOf(r10);	 Catch:{ all -> 0x00c7 }
        r0 = r0.get(r1);	 Catch:{ all -> 0x00c7 }
        r0 = (com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo) r0;	 Catch:{ all -> 0x00c7 }
        if (r0 != 0) goto L_0x0035;
    L_0x0018:
        r1 = r9.mVisibleWindows;	 Catch:{ all -> 0x00c7 }
        r2 = java.lang.Integer.valueOf(r10);	 Catch:{ all -> 0x00c7 }
        r1.remove(r2);	 Catch:{ all -> 0x00c7 }
        r2 = 1;
        r1 = java.lang.Integer.valueOf(r10);	 Catch:{ all -> 0x00c7 }
        r3 = r1.intValue();	 Catch:{ all -> 0x00c7 }
        r4 = -1;
        r5 = 0;
        r6 = -1;
        r7 = -1;
        r8 = 0;
        r1 = r9;
        r1.updateVisibleWindowsCache(r2, r3, r4, r5, r6, r7, r8);	 Catch:{ all -> 0x00c7 }
        monitor-exit(r13);	 Catch:{ all -> 0x00c7 }
        return;
    L_0x0035:
        r1 = r0.isEvil();	 Catch:{ all -> 0x00c7 }
        r12 = r1;
        r1 = java.lang.Integer.valueOf(r16);	 Catch:{ all -> 0x00c7 }
        r0.removeWindow(r1);	 Catch:{ all -> 0x00c7 }
        r2 = 5;
        r1 = java.lang.Integer.valueOf(r10);	 Catch:{ all -> 0x00c7 }
        r3 = r1.intValue();	 Catch:{ all -> 0x00c7 }
        r4 = -1;
        r5 = 0;
        r6 = -1;
        r1 = java.lang.Integer.valueOf(r16);	 Catch:{ all -> 0x00c7 }
        r7 = r1.intValue();	 Catch:{ all -> 0x00c7 }
        r8 = 0;
        r1 = r9;
        r1.updateVisibleWindowsCache(r2, r3, r4, r5, r6, r7, r8);	 Catch:{ all -> 0x00c7 }
        r1 = r0.mWindows;	 Catch:{ all -> 0x00c7 }
        r1 = r1.size();	 Catch:{ all -> 0x00c7 }
        if (r1 != 0) goto L_0x0085;
    L_0x0062:
        r1 = r9.mVisibleWindows;	 Catch:{ all -> 0x00c7 }
        r2 = java.lang.Integer.valueOf(r10);	 Catch:{ all -> 0x00c7 }
        r1.remove(r2);	 Catch:{ all -> 0x00c7 }
        r2 = 1;
        r1 = java.lang.Integer.valueOf(r10);	 Catch:{ all -> 0x00c7 }
        r3 = r1.intValue();	 Catch:{ all -> 0x00c7 }
        r4 = -1;
        r5 = 0;
        r6 = -1;
        r7 = -1;
        r8 = 0;
        r1 = r9;
        r1.updateVisibleWindowsCache(r2, r3, r4, r5, r6, r7, r8);	 Catch:{ all -> 0x00c7 }
        if (r12 != 0) goto L_0x0084;
    L_0x007f:
        r1 = 1;
        r2 = -1;
        r9.notifyVisibleWindowsChange(r1, r10, r2);	 Catch:{ all -> 0x00c7 }
    L_0x0084:
        r11 = 1;
    L_0x0085:
        monitor-exit(r13);	 Catch:{ all -> 0x00c7 }
        if (r11 == 0) goto L_0x009f;
    L_0x0088:
        r0 = r9.mScreenOff;
        if (r0 == 0) goto L_0x009f;
    L_0x008c:
        if (r12 != 0) goto L_0x009f;
    L_0x008e:
        r1 = r9.mVisWinDurScreenOff;
        monitor-enter(r1);
        r0 = r9.mVisWinDurScreenOff;	 Catch:{ all -> 0x009c }
        r2 = java.lang.Integer.valueOf(r10);	 Catch:{ all -> 0x009c }
        r0.add(r2);	 Catch:{ all -> 0x009c }
        monitor-exit(r1);	 Catch:{ all -> 0x009c }
        goto L_0x009f;
    L_0x009c:
        r0 = move-exception;
        monitor-exit(r1);	 Catch:{ all -> 0x009c }
        throw r0;
    L_0x009f:
        r0 = DEBUG;
        if (r0 == 0) goto L_0x00c4;
    L_0x00a3:
        r0 = "RMS.AwareAppAssociate";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "[removeVisibleWindows]:";
        r1.append(r2);
        r1.append(r10);
        r2 = " [code]:";
        r1.append(r2);
        r2 = r16;
        r1.append(r2);
        r1 = r1.toString();
        android.rms.iaware.AwareLog.d(r0, r1);
        goto L_0x00c6;
    L_0x00c4:
        r2 = r16;
    L_0x00c6:
        return;
    L_0x00c7:
        r0 = move-exception;
        r2 = r16;
    L_0x00ca:
        monitor-exit(r13);	 Catch:{ all -> 0x00cc }
        throw r0;
    L_0x00cc:
        r0 = move-exception;
        goto L_0x00ca;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.appmng.AwareAppAssociate.removeWindow(int, int):void");
    }

    private void updateWindowOpsList() {
        synchronized (this.mVisibleWindows) {
            for (java.util.Map.Entry<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo> window : this.mVisibleWindows.entrySet()) {
                com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo winInfo = (com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo) window.getValue();
                int mode = ((android.app.AppOpsManager) this.mMtmService.context().getSystemService("appops")).checkOpNoThrow(24, winInfo.mUid, winInfo.mPkg);
                winInfo.mInRestriction = isInRestriction(winInfo.mMode, mode);
                winInfo.mMode = mode;
                updateVisibleWindowsCache(3, ((java.lang.Integer) window.getKey()).intValue(), mode, null, -1, -1, false);
            }
        }
    }

    private boolean isInRestriction(int oldmode, int newmode) {
        boolean allowedOld;
        if (oldmode != 0) {
            if (oldmode != 3) {
                allowedOld = false;
                return allowedOld && newmode == 1;
            }
        }
        allowedOld = true;
        if (!allowedOld) {
        }
    }

    private void updateWindowOps(java.lang.String pkgName) {
        java.lang.String str = pkgName;
        if (this.mMtmService != null) {
            if (DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("updateWindowOps pkg:");
                stringBuilder.append(str);
                android.rms.iaware.AwareLog.d("RMS.AwareAppAssociate", stringBuilder.toString());
            }
            if (str == null) {
                updateWindowOpsList();
                return;
            }
            synchronized (this) {
                synchronized (this.mVisibleWindows) {
                    for (java.util.Map.Entry<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo> window : this.mVisibleWindows.entrySet()) {
                        int pid = ((java.lang.Integer) window.getKey()).intValue();
                        com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo winInfo = (com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo) window.getValue();
                        com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord record = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) this.mProcPidMap.get(java.lang.Integer.valueOf(pid));
                        if (!(record == null || record.pkgList == null)) {
                            if (winInfo != null) {
                                if (record.pkgList.contains(str)) {
                                    android.app.AppOpsManager mAppOps = (android.app.AppOpsManager) this.mMtmService.context().getSystemService("appops");
                                    int mode = mAppOps.checkOpNoThrow(24, record.uid, str);
                                    winInfo.mMode = mode;
                                    int mode2 = mode;
                                    updateVisibleWindowsCache(3, pid, mode, null, -1, -1, 0);
                                    if (!winInfo.isEvil()) {
                                        notifyVisibleWindowsChange(2, pid, mode2);
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:28:0x00d6  */
    private void updateWindow(int r19, int r20, int r21, int r22, int r23, float r24) {
        /*
        r18 = this;
        r9 = r18;
        r10 = r19;
        r11 = r20;
        r12 = r21;
        r13 = r22;
        r14 = r23;
        r15 = r24;
        r0 = "RMS.AwareAppAssociate";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "[updateWindow]:";
        r1.append(r2);
        r1.append(r10);
        r2 = " [mode]:";
        r1.append(r2);
        r1.append(r11);
        r2 = " [code]:";
        r1.append(r2);
        r1.append(r12);
        r2 = " width:";
        r1.append(r2);
        r1.append(r13);
        r2 = " height:";
        r1.append(r2);
        r1.append(r14);
        r2 = " alpha:";
        r1.append(r2);
        r1.append(r15);
        r1 = r1.toString();
        android.rms.iaware.AwareLog.i(r0, r1);
        if (r10 > 0) goto L_0x004f;
    L_0x004e:
        return;
    L_0x004f:
        r8 = r9.mVisibleWindows;
        monitor-enter(r8);
        r0 = r9.mVisibleWindows;	 Catch:{ all -> 0x00fd }
        r1 = java.lang.Integer.valueOf(r19);	 Catch:{ all -> 0x00fd }
        r0 = r0.get(r1);	 Catch:{ all -> 0x00fd }
        r0 = (com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo) r0;	 Catch:{ all -> 0x00fd }
        r1 = com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo.getMinWindowWidth();	 Catch:{ all -> 0x00fd }
        if (r13 <= r1) goto L_0x0072;
    L_0x0064:
        r1 = com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo.getMinWindowHeight();	 Catch:{ all -> 0x00fd }
        if (r14 <= r1) goto L_0x0072;
    L_0x006a:
        r1 = 0;
        r1 = (r15 > r1 ? 1 : (r15 == r1 ? 0 : -1));
        if (r1 != 0) goto L_0x0070;
    L_0x006f:
        goto L_0x0072;
    L_0x0070:
        r1 = 0;
        goto L_0x0073;
    L_0x0072:
        r1 = 1;
    L_0x0073:
        r7 = r1;
        if (r0 == 0) goto L_0x009d;
    L_0x0076:
        r1 = r0.containsWindow(r12);	 Catch:{ all -> 0x00fd }
        if (r1 == 0) goto L_0x009d;
    L_0x007c:
        r1 = java.lang.Integer.valueOf(r21);	 Catch:{ all -> 0x00fd }
        r0.addWindow(r1, r7);	 Catch:{ all -> 0x00fd }
        r2 = 4;
        r4 = -1;
        r5 = 0;
        r6 = -1;
        r1 = java.lang.Integer.valueOf(r21);	 Catch:{ all -> 0x00fd }
        r16 = r1.intValue();	 Catch:{ all -> 0x00fd }
        r1 = r9;
        r3 = r10;
        r17 = r7;
        r7 = r16;
        r16 = r8;
        r8 = r17;
        r1.updateVisibleWindowsCache(r2, r3, r4, r5, r6, r7, r8);	 Catch:{ all -> 0x0102 }
        goto L_0x00a1;
    L_0x009d:
        r17 = r7;
        r16 = r8;
    L_0x00a1:
        r1 = "RMS.AwareAppAssociate";
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0102 }
        r2.<init>();	 Catch:{ all -> 0x0102 }
        r3 = "[updateWindow]:";
        r2.append(r3);	 Catch:{ all -> 0x0102 }
        r2.append(r10);	 Catch:{ all -> 0x0102 }
        r3 = " [mode]:";
        r2.append(r3);	 Catch:{ all -> 0x0102 }
        r2.append(r11);	 Catch:{ all -> 0x0102 }
        r3 = " [code]:";
        r2.append(r3);	 Catch:{ all -> 0x0102 }
        r2.append(r12);	 Catch:{ all -> 0x0102 }
        r3 = " isEvil:";
        r2.append(r3);	 Catch:{ all -> 0x0102 }
        r3 = r17;
        r2.append(r3);	 Catch:{ all -> 0x0102 }
        r2 = r2.toString();	 Catch:{ all -> 0x0102 }
        android.rms.iaware.AwareLog.i(r1, r2);	 Catch:{ all -> 0x0102 }
        monitor-exit(r16);	 Catch:{ all -> 0x0102 }
        r0 = DEBUG;
        if (r0 == 0) goto L_0x00fc;
    L_0x00d6:
        r0 = "RMS.AwareAppAssociate";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "[updateWindow]:";
        r1.append(r2);
        r1.append(r10);
        r2 = " [mode]:";
        r1.append(r2);
        r1.append(r11);
        r2 = " [code]:";
        r1.append(r2);
        r1.append(r12);
        r1 = r1.toString();
        android.rms.iaware.AwareLog.i(r0, r1);
    L_0x00fc:
        return;
    L_0x00fd:
        r0 = move-exception;
        r16 = r8;
    L_0x0100:
        monitor-exit(r16);	 Catch:{ all -> 0x0102 }
        throw r0;
    L_0x0102:
        r0 = move-exception;
        goto L_0x0100;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.appmng.AwareAppAssociate.updateWindow(int, int, int, int, int, float):void");
    }

    private void reportHome(int pid, int uid, java.util.ArrayList<java.lang.String> pkgname) {
        this.mHomeProcessPid = pid;
        this.mHomeProcessUid = uid;
        synchronized (this.mHomePackageList) {
            this.mHomePackageList.clear();
            if (pkgname != null && pkgname.size() > 0) {
                this.mHomePackageList.addAll(pkgname);
            }
        }
    }

    private void reportPrevInfo(int pid, int uid) {
        this.mAmsPrevBase.setValue(pid, uid, android.os.SystemClock.elapsedRealtime());
    }

    public java.util.List<java.lang.String> getDefaultHomePackages() {
        java.util.ArrayList<java.lang.String> pkgs = new java.util.ArrayList();
        synchronized (this.mHomePackageList) {
            pkgs.addAll(this.mHomePackageList);
        }
        return pkgs;
    }

    public int getCurHomeProcessPid() {
        return this.mHomeProcessPid;
    }

    public int getCurHomeProcessUid() {
        return this.mHomeProcessUid;
    }

    public com.android.server.rms.iaware.appmng.AwareAppLruBase getRecentTaskPrevInfo() {
        return new com.android.server.rms.iaware.appmng.AwareAppLruBase(this.mRecentTaskPrevBase.mPid, this.mRecentTaskPrevBase.mUid, this.mRecentTaskPrevBase.mTime);
    }

    public com.android.server.rms.iaware.appmng.AwareAppLruBase getPreviousAppInfo() {
        return new com.android.server.rms.iaware.appmng.AwareAppLruBase(this.mPrevNonHomeBase.mPid, this.mPrevNonHomeBase.mUid, this.mPrevNonHomeBase.mTime);
    }

    public com.android.server.rms.iaware.appmng.AwareAppLruBase getPreviousByAmsInfo() {
        return new com.android.server.rms.iaware.appmng.AwareAppLruBase(this.mAmsPrevBase.mPid, this.mAmsPrevBase.mUid, this.mAmsPrevBase.mTime);
    }

    private boolean checkType(int type) {
        switch (type) {
            case 1:
                return true;
            case 2:
                return true;
            case 3:
                return true;
            default:
                return false;
        }
    }

    private java.lang.String typeToString(int type) {
        switch (type) {
            case 1:
                return "ADD_ASSOC_BINDSERVICE";
            case 2:
                return "ADD_ASSOC_PROVIDER";
            case 3:
                return "DEL_ASSOC_BINDSERVICE";
            case 4:
                return "APP_ASSOC_PROCESSUPDATE";
            default:
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("[Error type]");
                stringBuilder.append(type);
                return stringBuilder.toString();
        }
    }

    /* JADX WARNING: Missing block: B:38:0x00e9, code:
            return;
     */
    /* JADX WARNING: Missing block: B:48:0x011a, code:
            return;
     */
    private void addProcessRelation(int r9, int r10, java.lang.String r11, int r12, java.lang.String r13, java.lang.String r14, int r15) {
        /*
        r8 = this;
        r0 = r8.checkType(r15);
        if (r0 != 0) goto L_0x0007;
    L_0x0006:
        return;
    L_0x0007:
        if (r10 != r12) goto L_0x0028;
    L_0x0009:
        r0 = DEBUG;
        if (r0 == 0) goto L_0x0027;
    L_0x000d:
        r0 = "RMS.AwareAppAssociate";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = r8.typeToString(r15);
        r1.append(r2);
        r2 = " in the same UID.Pass.";
        r1.append(r2);
        r1 = r1.toString();
        android.rms.iaware.AwareLog.i(r0, r1);
    L_0x0027:
        return;
    L_0x0028:
        if (r9 <= 0) goto L_0x0166;
    L_0x002a:
        if (r10 <= 0) goto L_0x0166;
    L_0x002c:
        if (r12 > 0) goto L_0x0030;
    L_0x002e:
        goto L_0x0166;
    L_0x0030:
        if (r11 == 0) goto L_0x0147;
    L_0x0032:
        if (r13 != 0) goto L_0x0036;
    L_0x0034:
        goto L_0x0147;
    L_0x0036:
        if (r14 != 0) goto L_0x003a;
    L_0x0038:
        r14 = "NULL";
    L_0x003a:
        r0 = r14;
        r14 = DEBUG;
        if (r14 == 0) goto L_0x0089;
    L_0x003f:
        r14 = "RMS.AwareAppAssociate";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = r8.typeToString(r15);
        r1.append(r2);
        r2 = ". Caller[Pid:";
        r1.append(r2);
        r1.append(r9);
        r2 = "][Uid:";
        r1.append(r2);
        r1.append(r10);
        r2 = "][Name:";
        r1.append(r2);
        r1.append(r11);
        r2 = "] Target[Uid:";
        r1.append(r2);
        r1.append(r12);
        r2 = "][pName:";
        r1.append(r2);
        r1.append(r13);
        r2 = "][hash:";
        r1.append(r2);
        r1.append(r0);
        r2 = "]";
        r1.append(r2);
        r1 = r1.toString();
        android.rms.iaware.AwareLog.i(r14, r1);
    L_0x0089:
        r14 = 0;
        r1 = 1000; // 0x3e8 float:1.401E-42 double:4.94E-321;
        if (r12 != r1) goto L_0x0098;
    L_0x008e:
        r1 = "system";
        r1 = r13.equals(r1);
        if (r1 == 0) goto L_0x0098;
    L_0x0097:
        return;
    L_0x0098:
        monitor-enter(r8);
        r1 = r8.mProcInfoMap;	 Catch:{ all -> 0x0144 }
        r1 = r1.get(r13, r12);	 Catch:{ all -> 0x0144 }
        r1 = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) r1;	 Catch:{ all -> 0x0144 }
        if (r1 == 0) goto L_0x00a6;
    L_0x00a3:
        r2 = r1.pid;	 Catch:{ all -> 0x0144 }
        r14 = r2;
    L_0x00a6:
        r2 = r8.mAssocRecordMap;	 Catch:{ all -> 0x0144 }
        r3 = java.lang.Integer.valueOf(r9);	 Catch:{ all -> 0x0144 }
        r2 = r2.get(r3);	 Catch:{ all -> 0x0144 }
        r2 = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord) r2;	 Catch:{ all -> 0x0144 }
        r3 = 0;
        r4 = 0;
        if (r2 != 0) goto L_0x00f8;
    L_0x00b6:
        r5 = new com.android.server.rms.iaware.appmng.AwareAppAssociate$AssocPidRecord;	 Catch:{ all -> 0x0144 }
        r5.<init>(r9, r10, r11);	 Catch:{ all -> 0x0144 }
        r2 = r5;
        r5 = new com.android.server.rms.iaware.appmng.AwareAppAssociate$AssocBaseRecord;	 Catch:{ all -> 0x0144 }
        r5.<init>(r13, r12, r14);	 Catch:{ all -> 0x0144 }
        r3 = r5;
        r5 = r3.mComponents;	 Catch:{ all -> 0x0144 }
        r5.add(r0);	 Catch:{ all -> 0x0144 }
        r5 = r2.getMap(r15);	 Catch:{ all -> 0x0144 }
        r4 = r5;
        if (r4 != 0) goto L_0x00ea;
    L_0x00ce:
        r5 = DEBUG;	 Catch:{ all -> 0x0144 }
        if (r5 == 0) goto L_0x00e8;
    L_0x00d2:
        r5 = "RMS.AwareAppAssociate";
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0144 }
        r6.<init>();	 Catch:{ all -> 0x0144 }
        r7 = "Error type:";
        r6.append(r7);	 Catch:{ all -> 0x0144 }
        r6.append(r15);	 Catch:{ all -> 0x0144 }
        r6 = r6.toString();	 Catch:{ all -> 0x0144 }
        android.rms.iaware.AwareLog.e(r5, r6);	 Catch:{ all -> 0x0144 }
    L_0x00e8:
        monitor-exit(r8);	 Catch:{ all -> 0x0144 }
        return;
    L_0x00ea:
        r4.put(r13, r12, r3);	 Catch:{ all -> 0x0144 }
        r5 = r8.mAssocRecordMap;	 Catch:{ all -> 0x0144 }
        r6 = java.lang.Integer.valueOf(r9);	 Catch:{ all -> 0x0144 }
        r5.put(r6, r2);	 Catch:{ all -> 0x0144 }
        monitor-exit(r8);	 Catch:{ all -> 0x0144 }
        return;
    L_0x00f8:
        r5 = r2.getMap(r15);	 Catch:{ all -> 0x0144 }
        r4 = r5;
        if (r4 != 0) goto L_0x011b;
    L_0x00ff:
        r5 = DEBUG;	 Catch:{ all -> 0x0144 }
        if (r5 == 0) goto L_0x0119;
    L_0x0103:
        r5 = "RMS.AwareAppAssociate";
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0144 }
        r6.<init>();	 Catch:{ all -> 0x0144 }
        r7 = "Error type:";
        r6.append(r7);	 Catch:{ all -> 0x0144 }
        r6.append(r15);	 Catch:{ all -> 0x0144 }
        r6 = r6.toString();	 Catch:{ all -> 0x0144 }
        android.rms.iaware.AwareLog.e(r5, r6);	 Catch:{ all -> 0x0144 }
    L_0x0119:
        monitor-exit(r8);	 Catch:{ all -> 0x0144 }
        return;
    L_0x011b:
        r5 = r4.get(r13, r12);	 Catch:{ all -> 0x0144 }
        r5 = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) r5;	 Catch:{ all -> 0x0144 }
        r3 = r5;
        if (r3 != 0) goto L_0x0134;
    L_0x0124:
        r5 = new com.android.server.rms.iaware.appmng.AwareAppAssociate$AssocBaseRecord;	 Catch:{ all -> 0x0144 }
        r5.<init>(r13, r12, r14);	 Catch:{ all -> 0x0144 }
        r3 = r5;
        r5 = r3.mComponents;	 Catch:{ all -> 0x0144 }
        r5.add(r0);	 Catch:{ all -> 0x0144 }
        r4.put(r13, r12, r3);	 Catch:{ all -> 0x0144 }
        monitor-exit(r8);	 Catch:{ all -> 0x0144 }
        return;
    L_0x0134:
        r5 = android.os.SystemClock.elapsedRealtime();	 Catch:{ all -> 0x0144 }
        r3.miniTime = r5;	 Catch:{ all -> 0x0144 }
        r5 = 1;
        r3.isStrong = r5;	 Catch:{ all -> 0x0144 }
        r5 = r3.mComponents;	 Catch:{ all -> 0x0144 }
        r5.add(r0);	 Catch:{ all -> 0x0144 }
        monitor-exit(r8);	 Catch:{ all -> 0x0144 }
        return;
    L_0x0144:
        r1 = move-exception;
        monitor-exit(r8);	 Catch:{ all -> 0x0144 }
        throw r1;
    L_0x0147:
        r0 = DEBUG;
        if (r0 == 0) goto L_0x0165;
    L_0x014b:
        r0 = "RMS.AwareAppAssociate";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = r8.typeToString(r15);
        r1.append(r2);
        r2 = " with wrong callerName or targetName";
        r1.append(r2);
        r1 = r1.toString();
        android.rms.iaware.AwareLog.i(r0, r1);
    L_0x0165:
        return;
    L_0x0166:
        r0 = DEBUG;
        if (r0 == 0) goto L_0x0184;
    L_0x016a:
        r0 = "RMS.AwareAppAssociate";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = r8.typeToString(r15);
        r1.append(r2);
        r2 = " with wrong pid or uid";
        r1.append(r2);
        r1 = r1.toString();
        android.rms.iaware.AwareLog.i(r0, r1);
    L_0x0184:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.appmng.AwareAppAssociate.addProcessRelation(int, int, java.lang.String, int, java.lang.String, java.lang.String, int):void");
    }

    /* JADX WARNING: Missing block: B:35:0x00c8, code:
            return;
     */
    /* JADX WARNING: Missing block: B:46:0x00fb, code:
            return;
     */
    private void removeProcessRelation(int r6, int r7, java.lang.String r8, int r9, java.lang.String r10, java.lang.String r11, int r12) {
        /*
        r5 = this;
        r0 = r5.checkType(r12);
        if (r0 != 0) goto L_0x0007;
    L_0x0006:
        return;
    L_0x0007:
        if (r7 != r9) goto L_0x0028;
    L_0x0009:
        r0 = DEBUG;
        if (r0 == 0) goto L_0x0027;
    L_0x000d:
        r0 = "RMS.AwareAppAssociate";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = r5.typeToString(r12);
        r1.append(r2);
        r2 = " in the same UID.Pass.";
        r1.append(r2);
        r1 = r1.toString();
        android.rms.iaware.AwareLog.i(r0, r1);
    L_0x0027:
        return;
    L_0x0028:
        if (r6 <= 0) goto L_0x00ff;
    L_0x002a:
        if (r7 <= 0) goto L_0x00ff;
    L_0x002c:
        if (r9 > 0) goto L_0x0030;
    L_0x002e:
        goto L_0x00ff;
    L_0x0030:
        if (r10 != 0) goto L_0x0051;
    L_0x0032:
        r0 = DEBUG;
        if (r0 == 0) goto L_0x0050;
    L_0x0036:
        r0 = "RMS.AwareAppAssociate";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = r5.typeToString(r12);
        r1.append(r2);
        r2 = " with wrong targetName";
        r1.append(r2);
        r1 = r1.toString();
        android.rms.iaware.AwareLog.i(r0, r1);
    L_0x0050:
        return;
    L_0x0051:
        r0 = DEBUG;
        if (r0 == 0) goto L_0x008f;
    L_0x0055:
        r0 = "RMS.AwareAppAssociate";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = r5.typeToString(r12);
        r1.append(r2);
        r2 = ". Caller[Pid:";
        r1.append(r2);
        r1.append(r6);
        r2 = "] target[";
        r1.append(r2);
        r1.append(r9);
        r2 = ":";
        r1.append(r2);
        r1.append(r10);
        r2 = ":";
        r1.append(r2);
        r1.append(r11);
        r2 = "]";
        r1.append(r2);
        r1 = r1.toString();
        android.rms.iaware.AwareLog.i(r0, r1);
    L_0x008f:
        if (r11 != 0) goto L_0x0093;
    L_0x0091:
        r11 = "NULL";
    L_0x0093:
        r0 = r11;
        monitor-enter(r5);
        r11 = r5.mAssocRecordMap;	 Catch:{ all -> 0x00fc }
        r1 = java.lang.Integer.valueOf(r6);	 Catch:{ all -> 0x00fc }
        r11 = r11.get(r1);	 Catch:{ all -> 0x00fc }
        r11 = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord) r11;	 Catch:{ all -> 0x00fc }
        if (r11 != 0) goto L_0x00a5;
    L_0x00a3:
        monitor-exit(r5);	 Catch:{ all -> 0x00fc }
        return;
    L_0x00a5:
        r1 = 0;
        r2 = r11.getMap(r12);	 Catch:{ all -> 0x00fc }
        r1 = r2;
        if (r1 != 0) goto L_0x00c9;
    L_0x00ad:
        r2 = DEBUG;	 Catch:{ all -> 0x00fc }
        if (r2 == 0) goto L_0x00c7;
    L_0x00b1:
        r2 = "RMS.AwareAppAssociate";
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00fc }
        r3.<init>();	 Catch:{ all -> 0x00fc }
        r4 = "Error type:";
        r3.append(r4);	 Catch:{ all -> 0x00fc }
        r3.append(r12);	 Catch:{ all -> 0x00fc }
        r3 = r3.toString();	 Catch:{ all -> 0x00fc }
        android.rms.iaware.AwareLog.e(r2, r3);	 Catch:{ all -> 0x00fc }
    L_0x00c7:
        monitor-exit(r5);	 Catch:{ all -> 0x00fc }
        return;
    L_0x00c9:
        r2 = r1.get(r10, r9);	 Catch:{ all -> 0x00fc }
        r2 = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) r2;	 Catch:{ all -> 0x00fc }
        if (r2 == 0) goto L_0x00fa;
    L_0x00d1:
        r3 = r2.mComponents;	 Catch:{ all -> 0x00fc }
        r3 = r3.contains(r0);	 Catch:{ all -> 0x00fc }
        if (r3 == 0) goto L_0x00fa;
    L_0x00d9:
        r3 = r2.mComponents;	 Catch:{ all -> 0x00fc }
        r3.remove(r0);	 Catch:{ all -> 0x00fc }
        r3 = r2.mComponents;	 Catch:{ all -> 0x00fc }
        r3 = r3.isEmpty();	 Catch:{ all -> 0x00fc }
        if (r3 == 0) goto L_0x00fa;
    L_0x00e6:
        r1.remove(r10, r9);	 Catch:{ all -> 0x00fc }
        r3 = r11.isEmpty();	 Catch:{ all -> 0x00fc }
        if (r3 == 0) goto L_0x00fa;
    L_0x00ef:
        r3 = r5.mAssocRecordMap;	 Catch:{ all -> 0x00fc }
        r4 = r11.pid;	 Catch:{ all -> 0x00fc }
        r4 = java.lang.Integer.valueOf(r4);	 Catch:{ all -> 0x00fc }
        r3.remove(r4);	 Catch:{ all -> 0x00fc }
    L_0x00fa:
        monitor-exit(r5);	 Catch:{ all -> 0x00fc }
        return;
    L_0x00fc:
        r11 = move-exception;
        monitor-exit(r5);	 Catch:{ all -> 0x00fc }
        throw r11;
    L_0x00ff:
        r0 = DEBUG;
        if (r0 == 0) goto L_0x011d;
    L_0x0103:
        r0 = "RMS.AwareAppAssociate";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = r5.typeToString(r12);
        r1.append(r2);
        r2 = " with wrong pid or uid";
        r1.append(r2);
        r1 = r1.toString();
        android.rms.iaware.AwareLog.i(r0, r1);
    L_0x011d:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.appmng.AwareAppAssociate.removeProcessRelation(int, int, java.lang.String, int, java.lang.String, java.lang.String, int):void");
    }

    private void removeDiedProcessRelation(int pid, int uid) {
        if (pid > 0) {
            if (uid > 0) {
                if (DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("remove died. Pid:");
                    stringBuilder.append(pid);
                    stringBuilder.append(" Uid:");
                    stringBuilder.append(uid);
                    android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder.toString());
                }
                synchronized (this) {
                    com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord br = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) this.mProcPidMap.remove(java.lang.Integer.valueOf(pid));
                    if (br != null) {
                        this.mProcInfoMap.remove(br.processName, br.uid);
                        if (br.pkgList != null) {
                            java.util.Iterator it = br.pkgList.iterator();
                            while (it.hasNext()) {
                                java.lang.String pkg = (java.lang.String) it.next();
                                synchronized (this.mProcPkgMap) {
                                    android.util.ArraySet<java.lang.Integer> pids = (android.util.ArraySet) this.mProcPkgMap.get(pkg);
                                    if (pids != null && pids.contains(java.lang.Integer.valueOf(pid))) {
                                        pids.remove(java.lang.Integer.valueOf(pid));
                                        if (pids.isEmpty()) {
                                            this.mProcPkgMap.remove(pkg);
                                        }
                                    }
                                }
                            }
                        }
                    }
                    android.util.ArraySet<java.lang.Integer> pids2 = (android.util.ArraySet) this.mProcUidMap.get(java.lang.Integer.valueOf(uid));
                    if (pids2 != null && pids2.contains(java.lang.Integer.valueOf(pid))) {
                        pids2.remove(java.lang.Integer.valueOf(pid));
                        if (pids2.isEmpty()) {
                            this.mProcUidMap.remove(java.lang.Integer.valueOf(uid));
                        }
                    }
                    java.util.Iterator<java.util.Map.Entry<java.lang.Integer, com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord>> it2 = this.mAssocRecordMap.entrySet().iterator();
                    while (it2.hasNext()) {
                        com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord record = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord) ((java.util.Map.Entry) it2.next()).getValue();
                        if (record.pid == pid) {
                            it2.remove();
                        } else {
                            if (br != null) {
                                record.mAssocBindService.remove(br.processName, br.uid);
                                record.mAssocProvider.remove(br.processName, br.uid);
                            }
                            if (record.isEmpty()) {
                                it2.remove();
                            }
                        }
                    }
                }
                return;
            }
        }
        if (DEBUG) {
            android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", "removeDiedProcessRelation with wrong pid or uid");
        }
    }

    private void removeDiedRecordProc(int uid, int pid) {
        if (uid <= 0) {
            android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", "removeDiedRecodrProc with wrong pid or uid");
        } else {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().removeDiedScreenProc(uid, pid);
        }
    }

    private void updateProcLaunchData(int uid, java.lang.String proc, java.util.ArrayList<java.lang.String> pkgList) {
        if (com.android.server.rms.iaware.srms.AppCleanupFeature.isAppCleanEnable() && android.os.UserHandle.getAppId(uid) >= 10000 && !android.os.UserHandle.isIsolated(uid)) {
            if (DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("updateProcLaunchData, proc: ");
                stringBuilder.append(proc);
                stringBuilder.append(", uid: ");
                stringBuilder.append(uid);
                stringBuilder.append(", pkgList: ");
                stringBuilder.append(pkgList);
                android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder.toString());
            }
            synchronized (this.mProcLaunchMap) {
                int userId = android.os.UserHandle.getUserId(uid);
                java.util.Map<java.lang.String, java.util.Map<java.lang.String, com.android.server.rms.iaware.appmng.AwareAppAssociate.LaunchData>> pkgMap = (java.util.Map) this.mProcLaunchMap.get(java.lang.Integer.valueOf(userId));
                if (pkgMap == null) {
                    pkgMap = new java.util.HashMap();
                    this.mProcLaunchMap.put(java.lang.Integer.valueOf(userId), pkgMap);
                }
                java.util.Iterator it = pkgList.iterator();
                while (it.hasNext()) {
                    java.lang.String pkg = (java.lang.String) it.next();
                    if (pkg != null) {
                        java.util.Map<java.lang.String, com.android.server.rms.iaware.appmng.AwareAppAssociate.LaunchData> procMap = (java.util.Map) pkgMap.get(pkg);
                        if (procMap == null) {
                            procMap = new java.util.HashMap();
                            pkgMap.put(pkg, procMap);
                        }
                        com.android.server.rms.iaware.appmng.AwareAppAssociate.LaunchData launchData = (com.android.server.rms.iaware.appmng.AwareAppAssociate.LaunchData) procMap.get(proc);
                        java.lang.StringBuilder stringBuilder2;
                        if (launchData != null) {
                            procMap.put(proc, launchData.increase());
                            if (DEBUG) {
                                stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append("updateProcLaunchData, pkg: ");
                                stringBuilder2.append(pkg);
                                stringBuilder2.append(", launcTimes: ");
                                stringBuilder2.append(launchData.getLaunchTimes());
                                android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder2.toString());
                            }
                            if (launchData.getLaunchTimes() >= 30) {
                                if (android.os.SystemClock.elapsedRealtime() - launchData.getFirstTime() <= 300000) {
                                    java.util.Map<java.lang.String, java.lang.String> cleanMsg = new java.util.HashMap();
                                    cleanMsg.put("proc", proc);
                                    cleanMsg.put("pkg", pkg);
                                    java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                                    stringBuilder3.append("");
                                    stringBuilder3.append(userId);
                                    cleanMsg.put("userId", stringBuilder3.toString());
                                    android.os.Message msg = this.mHandler.obtainMessage();
                                    msg.what = 2;
                                    msg.obj = cleanMsg;
                                    this.mHandler.sendMessage(msg);
                                }
                                pkgMap.remove(pkg);
                            }
                        } else {
                            launchData = new com.android.server.rms.iaware.appmng.AwareAppAssociate.LaunchData(1, android.os.SystemClock.elapsedRealtime(), null);
                            procMap.put(proc, launchData);
                            if (DEBUG) {
                                stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append("updateProcLaunchData, pkg: ");
                                stringBuilder2.append(pkg);
                                stringBuilder2.append(", launcTimes: ");
                                stringBuilder2.append(launchData.getLaunchTimes());
                                android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder2.toString());
                            }
                        }
                    }
                }
            }
        }
    }

    private void updateProcessRelation(int pid, int uid, java.lang.String name, java.util.ArrayList<java.lang.String> pkgList) {
        if (pid > 0) {
            if (uid > 0) {
                if (name != null) {
                    if (pkgList != null) {
                        if (DEBUG) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("update relation. Pid:");
                            stringBuilder.append(pid);
                            stringBuilder.append(" Uid:");
                            stringBuilder.append(uid);
                            stringBuilder.append(",ProcessName:");
                            stringBuilder.append(name);
                            android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder.toString());
                        }
                        updateProcLaunchData(uid, name, pkgList);
                        synchronized (this) {
                            com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord br;
                            java.util.Iterator<java.util.Map.Entry<java.lang.Integer, com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord>> it = this.mAssocRecordMap.entrySet().iterator();
                            while (it.hasNext()) {
                                com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord record = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord) ((java.util.Map.Entry) it.next()).getValue();
                                if (record.pid == pid) {
                                    it.remove();
                                } else {
                                    br = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) record.mAssocBindService.get(name, uid);
                                    if (br != null) {
                                        br.pid = pid;
                                    }
                                    br = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) record.mAssocProvider.get(name, uid);
                                    if (br != null) {
                                        br.pid = pid;
                                    }
                                }
                            }
                            br = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) this.mProcPidMap.get(java.lang.Integer.valueOf(pid));
                            if (br == null) {
                                br = new com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord(name, uid, pid);
                                br.pkgList.addAll(pkgList);
                                this.mProcPidMap.put(java.lang.Integer.valueOf(pid), br);
                            } else {
                                br.processName = name;
                                br.uid = uid;
                                br.pid = pid;
                                br.pkgList.addAll(pkgList);
                            }
                            br = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) this.mProcInfoMap.get(name, uid);
                            if (br == null) {
                                this.mProcInfoMap.put(name, uid, new com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord(name, uid, pid));
                            } else {
                                br.pid = pid;
                            }
                            android.util.ArraySet<java.lang.Integer> pids = (android.util.ArraySet) this.mProcUidMap.get(java.lang.Integer.valueOf(uid));
                            if (pids == null) {
                                pids = new android.util.ArraySet();
                                pids.add(java.lang.Integer.valueOf(pid));
                                this.mProcUidMap.put(java.lang.Integer.valueOf(uid), pids);
                            } else {
                                pids.add(java.lang.Integer.valueOf(pid));
                            }
                            int listSize = pkgList.size();
                            for (int i = 0; i < listSize; i++) {
                                java.lang.String pkg = (java.lang.String) pkgList.get(i);
                                synchronized (this.mProcPkgMap) {
                                    pids = (android.util.ArraySet) this.mProcPkgMap.get(pkg);
                                    if (pids == null) {
                                        pids = new android.util.ArraySet();
                                        pids.add(java.lang.Integer.valueOf(pid));
                                        this.mProcPkgMap.put(pkg, pids);
                                    } else {
                                        pids.add(java.lang.Integer.valueOf(pid));
                                    }
                                }
                            }
                        }
                        return;
                    }
                }
                if (DEBUG) {
                    android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", "updateProcessRelation with wrong name");
                }
                return;
            }
        }
        if (DEBUG) {
            android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", "updateProcessRelation with wrong pid or uid");
        }
    }

    private void checkAndInitWidgetObj(int userId) {
        synchronized (this.mWidgets) {
            if (this.mWidgets.get(java.lang.Integer.valueOf(userId)) == null) {
                this.mWidgets.put(java.lang.Integer.valueOf(userId), new android.util.ArrayMap());
            }
        }
    }

    public int getCurUserId() {
        return this.mCurUserId;
    }

    public int getCurSwitchUser() {
        return this.mCurSwitchUser;
    }

    private void initSwitchUser() {
        try {
            android.content.pm.UserInfo currentUser = android.app.ActivityManagerNative.getDefault().getCurrentUser();
            if (currentUser != null) {
                checkAndInitWidgetObj(currentUser.id);
                this.mCurUserId = currentUser.id;
                this.mCurSwitchUser = currentUser.id;
            }
            android.app.ActivityManagerNative.getDefault().registerUserSwitchObserver(this.mUserSwitchObserver, "RMS.AwareAppAssociate");
        } catch (android.os.RemoteException e) {
            android.rms.iaware.AwareLog.d("RMS.AwareAppAssociate", "Activity manager not running, initSwitchUser error!");
        }
    }

    private void deInitSwitchUser() {
        try {
            android.app.ActivityManagerNative.getDefault().unregisterUserSwitchObserver(this.mUserSwitchObserver);
        } catch (android.os.RemoteException e) {
            android.rms.iaware.AwareLog.d("RMS.AwareAppAssociate", "Activity manager not running, deInitSwitchUser error!");
        }
    }

    private void initialize() {
        if (!this.mIsInitialized.get()) {
            if (this.mMtmService == null) {
                this.mMtmService = com.android.server.mtm.MultiTaskManagerService.self();
            }
            if (isUserUnlocked()) {
                if (this.mMtmService != null) {
                    initAssoc();
                    registerProcessObserver();
                    this.mIsInitialized.set(true);
                } else if (DEBUG) {
                    android.rms.iaware.AwareLog.w("RMS.AwareAppAssociate", "MultiTaskManagerService has not been started.");
                }
                return;
            }
            if (this.mHandler.hasMessages(1)) {
                this.mHandler.removeMessages(1);
            }
            this.mHandler.sendEmptyMessageDelayed(1, 2000);
        }
    }

    private boolean isUserUnlocked() {
        if (this.mMtmService == null) {
            return false;
        }
        android.os.UserManager userManager = (android.os.UserManager) this.mMtmService.context().getSystemService("user");
        if (userManager == null) {
            return false;
        }
        return userManager.isUserUnlocked();
    }

    private synchronized void deInitialize() {
        if (this.mIsInitialized.get()) {
            unregisterProcessObserver();
            if (this.mMtmService != null) {
                this.mMtmService = null;
            }
            com.huawei.android.app.HwActivityManager.reportAssocDisable();
            deinitVisibleWindows();
            clearWidget();
            deinitAssoc();
            this.mIsInitialized.set(false);
        }
    }

    private void initAssoc() {
        if (this.mHwAMS != null) {
            synchronized (this) {
                com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord br = new com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord("system", 1000, this.mMyPid);
                this.mProcPidMap.put(java.lang.Integer.valueOf(this.mMyPid), br);
                this.mProcInfoMap.put("system", 1000, br);
                android.util.ArraySet<java.lang.Integer> pids = new android.util.ArraySet();
                pids.add(java.lang.Integer.valueOf(this.mMyPid));
                this.mProcUidMap.put(java.lang.Integer.valueOf(1000), pids);
            }
            initSwitchUser();
            initVisibleWindows();
            updateWidgets(this.mCurUserId);
            if (this.mCurUserId == 0) {
                com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().updateWidget(getWidgetsPkg(this.mCurUserId), null);
            }
            android.util.ArrayMap<java.lang.Integer, java.lang.Integer> forePids = new android.util.ArrayMap();
            this.mHwAMS.reportAssocEnable(forePids);
            synchronized (this.mForePids) {
                this.mForePids.clear();
                this.mForePids.putAll(forePids);
            }
            synchronized (this.mBgRecentForcePids) {
                this.mBgRecentForcePids.clear();
            }
        }
    }

    private void deinitAssoc() {
        synchronized (this.mForePids) {
            this.mForePids.clear();
        }
        synchronized (this.mBgRecentForcePids) {
            this.mBgRecentForcePids.clear();
        }
        synchronized (this) {
            this.mAssocRecordMap.clear();
            this.mProcInfoMap.getMap().clear();
            this.mProcPidMap.clear();
            this.mProcUidMap.clear();
            synchronized (this.mProcPkgMap) {
                this.mProcPkgMap.clear();
            }
        }
        deInitSwitchUser();
    }

    public void getPidsByUid(int uid, java.util.Set<java.lang.Integer> pids) {
        if (mEnabled && uid > 0) {
            if (pids != null) {
                synchronized (this) {
                    android.util.ArraySet<java.lang.Integer> procPids = (android.util.ArraySet) this.mProcUidMap.get(java.lang.Integer.valueOf(uid));
                    if (procPids != null) {
                        pids.addAll(procPids);
                    }
                }
            }
        }
    }

    private java.lang.String sameUid(int pid) {
        java.lang.StringBuilder sb = new java.lang.StringBuilder();
        boolean flag = true;
        synchronized (this) {
            com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord br = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) this.mProcPidMap.get(java.lang.Integer.valueOf(pid));
            if (br == null) {
                return null;
            }
            android.util.ArraySet<java.lang.Integer> pids = (android.util.ArraySet) this.mProcUidMap.get(java.lang.Integer.valueOf(br.uid));
            if (pids == null) {
                return null;
            }
            java.util.Iterator it = pids.iterator();
            while (it.hasNext()) {
                int tmp = ((java.lang.Integer) it.next()).intValue();
                if (tmp != pid) {
                    if (flag) {
                        sb.append("    [SameUID] depend on:\n");
                        flag = false;
                    }
                    br = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) this.mProcPidMap.get(java.lang.Integer.valueOf(tmp));
                    if (br != null) {
                        sb.append("        Pid:");
                        sb.append(br.pid);
                        sb.append(",Uid:");
                        sb.append(br.uid);
                        sb.append(",ProcessName:");
                        sb.append(br.processName);
                        sb.append("\n");
                    }
                }
            }
            return sb.toString();
        }
    }

    /* JADX WARNING: Missing block: B:10:0x0020, code:
            return r0;
     */
    /* JADX WARNING: Missing block: B:30:0x005f, code:
            return r0;
     */
    private java.util.Set<java.lang.String> getPackageNameForUid(int r7, int r8) {
        /*
        r6 = this;
        r0 = new android.util.ArraySet;
        r0.<init>();
        monitor-enter(r6);
        if (r8 == 0) goto L_0x0023;
    L_0x0008:
        r1 = r6.mProcPidMap;	 Catch:{ all -> 0x0021 }
        r2 = java.lang.Integer.valueOf(r8);	 Catch:{ all -> 0x0021 }
        r1 = r1.get(r2);	 Catch:{ all -> 0x0021 }
        r1 = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) r1;	 Catch:{ all -> 0x0021 }
        if (r1 == 0) goto L_0x001f;
    L_0x0016:
        r2 = r1.pkgList;	 Catch:{ all -> 0x0021 }
        if (r2 == 0) goto L_0x001f;
    L_0x001a:
        r2 = r1.pkgList;	 Catch:{ all -> 0x0021 }
        r0.addAll(r2);	 Catch:{ all -> 0x0021 }
    L_0x001f:
        monitor-exit(r6);	 Catch:{ all -> 0x0021 }
        return r0;
    L_0x0021:
        r1 = move-exception;
        goto L_0x0060;
    L_0x0023:
        r1 = r6.mProcUidMap;	 Catch:{ all -> 0x0021 }
        r2 = java.lang.Integer.valueOf(r7);	 Catch:{ all -> 0x0021 }
        r1 = r1.get(r2);	 Catch:{ all -> 0x0021 }
        r1 = (android.util.ArraySet) r1;	 Catch:{ all -> 0x0021 }
        if (r1 == 0) goto L_0x005e;
    L_0x0031:
        r2 = r1.isEmpty();	 Catch:{ all -> 0x0021 }
        if (r2 == 0) goto L_0x0038;
    L_0x0037:
        goto L_0x005e;
    L_0x0038:
        r2 = r1.iterator();	 Catch:{ all -> 0x0021 }
    L_0x003c:
        r3 = r2.hasNext();	 Catch:{ all -> 0x0021 }
        if (r3 == 0) goto L_0x005c;
    L_0x0042:
        r3 = r2.next();	 Catch:{ all -> 0x0021 }
        r3 = (java.lang.Integer) r3;	 Catch:{ all -> 0x0021 }
        r4 = r6.mProcPidMap;	 Catch:{ all -> 0x0021 }
        r4 = r4.get(r3);	 Catch:{ all -> 0x0021 }
        r4 = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) r4;	 Catch:{ all -> 0x0021 }
        if (r4 == 0) goto L_0x005b;
    L_0x0052:
        r5 = r4.pkgList;	 Catch:{ all -> 0x0021 }
        if (r5 == 0) goto L_0x005b;
    L_0x0056:
        r5 = r4.pkgList;	 Catch:{ all -> 0x0021 }
        r0.addAll(r5);	 Catch:{ all -> 0x0021 }
    L_0x005b:
        goto L_0x003c;
    L_0x005c:
        monitor-exit(r6);	 Catch:{ all -> 0x0021 }
        return r0;
    L_0x005e:
        monitor-exit(r6);	 Catch:{ all -> 0x0021 }
        return r0;
    L_0x0060:
        monitor-exit(r6);	 Catch:{ all -> 0x0021 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.appmng.AwareAppAssociate.getPackageNameForUid(int, int):java.util.Set<java.lang.String>");
    }

    public void dump(java.io.PrintWriter pw) {
        if (pw != null) {
            if (mEnabled) {
                synchronized (this) {
                    int listSize = this.mAssocRecordMap.size();
                    for (int s = 0; s < listSize; s++) {
                        com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord record = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord) this.mAssocRecordMap.valueAt(s);
                        if (record != null) {
                            pw.println(record);
                        }
                    }
                }
                dumpWidget(pw);
                dumpVisibleWindow(pw);
                return;
            }
            pw.println("AwareAppAssociate feature disabled.");
        }
    }

    public void dumpFore(java.io.PrintWriter pw) {
        if (pw != null) {
            if (mEnabled) {
                android.util.ArraySet<java.lang.Integer> tmp = new android.util.ArraySet();
                synchronized (this.mForePids) {
                    tmp.addAll(this.mForePids.keySet());
                }
                java.util.Iterator it = tmp.iterator();
                while (it.hasNext()) {
                    dumpPid(((java.lang.Integer) it.next()).intValue(), pw);
                }
                return;
            }
            pw.println("AwareAppAssociate feature disabled.");
        }
    }

    public void dumpRecentFore(java.io.PrintWriter pw) {
        if (pw != null) {
            if (mEnabled) {
                android.util.ArraySet<java.lang.Integer> tmp = new android.util.ArraySet();
                synchronized (this.mBgRecentForcePids) {
                    tmp.addAll(this.mBgRecentForcePids.keySet());
                }
                java.util.Iterator it = tmp.iterator();
                while (it.hasNext()) {
                    dumpPid(((java.lang.Integer) it.next()).intValue(), pw);
                }
                return;
            }
            pw.println("AwareAppAssociate feature disabled.");
        }
    }

    public void dumpPkgProc(java.io.PrintWriter pw) {
        if (pw != null) {
            if (mEnabled) {
                java.lang.StringBuilder stringBuilder;
                synchronized (this.mProcPkgMap) {
                    for (java.lang.String pkg : this.mProcPkgMap.keySet()) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append(pkg);
                        stringBuilder.append(":");
                        stringBuilder.append(this.mProcPkgMap.get(pkg));
                        pw.println(stringBuilder.toString());
                    }
                }
                pw.println("proc launch data:");
                synchronized (this.mProcLaunchMap) {
                    for (java.util.Map.Entry<java.lang.Integer, java.util.Map<java.lang.String, java.util.Map<java.lang.String, com.android.server.rms.iaware.appmng.AwareAppAssociate.LaunchData>>> uidEntry : this.mProcLaunchMap.entrySet()) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("  userId: ");
                        stringBuilder.append(uidEntry.getKey());
                        pw.println(stringBuilder.toString());
                        java.util.Map<java.lang.String, java.util.Map<java.lang.String, com.android.server.rms.iaware.appmng.AwareAppAssociate.LaunchData>> pkgMap = (java.util.Map) uidEntry.getValue();
                        if (pkgMap != null) {
                            for (java.util.Map.Entry<java.lang.String, java.util.Map<java.lang.String, com.android.server.rms.iaware.appmng.AwareAppAssociate.LaunchData>> pkgEntry : pkgMap.entrySet()) {
                                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append("    pkg: ");
                                stringBuilder2.append((java.lang.String) pkgEntry.getKey());
                                pw.println(stringBuilder2.toString());
                                java.util.Map<java.lang.String, com.android.server.rms.iaware.appmng.AwareAppAssociate.LaunchData> procMap = (java.util.Map) pkgEntry.getValue();
                                if (procMap != null) {
                                    for (java.util.Map.Entry<java.lang.String, com.android.server.rms.iaware.appmng.AwareAppAssociate.LaunchData> procEntry : procMap.entrySet()) {
                                        com.android.server.rms.iaware.appmng.AwareAppAssociate.LaunchData lData = (com.android.server.rms.iaware.appmng.AwareAppAssociate.LaunchData) procEntry.getValue();
                                        if (lData != null) {
                                            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                                            stringBuilder3.append("      proc: ");
                                            stringBuilder3.append((java.lang.String) procEntry.getKey());
                                            stringBuilder3.append(", launchTime: ");
                                            stringBuilder3.append(lData.getLaunchTimes());
                                            pw.println(stringBuilder3.toString());
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
                return;
            }
            pw.println("AwareAppAssociate feature disabled.");
        }
    }

    public void dumpPid(int pid, java.io.PrintWriter pw) {
        if (pw != null) {
            if (mEnabled) {
                synchronized (this) {
                    com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord record = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord) this.mAssocRecordMap.get(java.lang.Integer.valueOf(pid));
                    if (record != null) {
                        pw.println(record);
                    } else {
                        com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord br = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) this.mProcPidMap.get(java.lang.Integer.valueOf(pid));
                        if (br != null) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("Pid:");
                            stringBuilder.append(br.pid);
                            stringBuilder.append(",Uid:");
                            stringBuilder.append(br.uid);
                            stringBuilder.append(",ProcessName:");
                            stringBuilder.append(br.processName);
                            pw.println(stringBuilder.toString());
                        }
                        pw.println(sameUid(pid));
                    }
                }
                return;
            }
            pw.println("AwareAppAssociate feature disabled.");
        }
    }

    public void dumpVisibleWindow(java.io.PrintWriter pw) {
        if (pw != null) {
            if (mEnabled) {
                android.util.ArraySet<java.lang.Integer> windows = new android.util.ArraySet();
                android.util.ArraySet<java.lang.Integer> windowsEvil = new android.util.ArraySet();
                getVisibleWindows(windows, windowsEvil);
                boolean flag = true;
                pw.println("");
                synchronized (this) {
                    com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord br;
                    java.lang.StringBuilder stringBuilder;
                    java.util.Iterator it = windows.iterator();
                    while (it.hasNext()) {
                        br = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) this.mProcPidMap.get(java.lang.Integer.valueOf(((java.lang.Integer) it.next()).intValue()));
                        if (br != null) {
                            if (flag) {
                                pw.println("[WindowList] :");
                                flag = false;
                            }
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("    Pid:");
                            stringBuilder.append(br.pid);
                            stringBuilder.append(",Uid:");
                            stringBuilder.append(br.uid);
                            stringBuilder.append(",ProcessName:");
                            stringBuilder.append(br.processName);
                            stringBuilder.append(",PkgList:");
                            stringBuilder.append(br.pkgList);
                            pw.println(stringBuilder.toString());
                        }
                    }
                    flag = true;
                    it = windowsEvil.iterator();
                    while (it.hasNext()) {
                        br = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) this.mProcPidMap.get(java.lang.Integer.valueOf(((java.lang.Integer) it.next()).intValue()));
                        if (br != null) {
                            if (flag) {
                                pw.println("[WindowEvilList] :");
                                flag = false;
                            }
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("    Pid:");
                            stringBuilder.append(br.pid);
                            stringBuilder.append(",Uid:");
                            stringBuilder.append(br.uid);
                            stringBuilder.append(",ProcessName:");
                            stringBuilder.append(br.processName);
                            stringBuilder.append(",PkgList:");
                            stringBuilder.append(br.pkgList);
                            pw.println(stringBuilder.toString());
                        }
                    }
                }
                android.util.ArraySet<java.lang.Integer> windowsClean = new android.util.ArraySet();
                getVisibleWindowsInRestriction(windowsClean);
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("[WindowList in restriction] :");
                stringBuilder2.append(windowsClean);
                pw.println(stringBuilder2.toString());
                return;
            }
            pw.println("AwareAppAssociate feature disabled.");
        }
    }

    public void dumpWidget(java.io.PrintWriter pw) {
        if (pw != null) {
            if (mEnabled) {
                java.util.Set<java.lang.String> widgets = getWidgetsPkg();
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("[Widgets] : ");
                stringBuilder.append(widgets.size());
                pw.println(stringBuilder.toString());
                for (java.lang.String w : widgets) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("    ");
                    stringBuilder2.append(w);
                    pw.println(stringBuilder2.toString());
                }
                return;
            }
            pw.println("AwareAppAssociate feature disabled.");
        }
    }

    public void dumpHome(java.io.PrintWriter pw) {
        if (pw != null) {
            if (mEnabled) {
                synchronized (this) {
                    com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord br = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) this.mProcPidMap.get(java.lang.Integer.valueOf(this.mHomeProcessPid));
                    if (br != null) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("[Home]Pid:");
                        stringBuilder.append(this.mHomeProcessPid);
                        stringBuilder.append(",Uid:");
                        stringBuilder.append(br.uid);
                        stringBuilder.append(",ProcessName:");
                        stringBuilder.append(br.processName);
                        stringBuilder.append(",pkg:");
                        stringBuilder.append(br.pkgList);
                        pw.println(stringBuilder.toString());
                    }
                }
                return;
            }
            pw.println("AwareAppAssociate feature disabled.");
        }
    }

    public void dumpPrev(java.io.PrintWriter pw) {
        if (pw != null) {
            if (mEnabled) {
                java.lang.StringBuilder stringBuilder;
                int i = 0;
                java.util.Set<java.lang.String> pkgList = getPackageNameForUid(this.mPrevNonHomeBase.mUid, isDealAsPkgUid(this.mPrevNonHomeBase.mUid) ? this.mPrevNonHomeBase.mPid : 0);
                java.lang.String eclipseTime = "";
                if (this.mPrevNonHomeBase.mUid == 0) {
                    eclipseTime = " none";
                } else {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(" ");
                    stringBuilder.append((android.os.SystemClock.elapsedRealtime() - this.mPrevNonHomeBase.mTime) / 1000);
                    eclipseTime = stringBuilder.toString();
                }
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("[Prev Non Home] Uid:");
                stringBuilder.append(this.mPrevNonHomeBase.mUid);
                stringBuilder.append(",pid:");
                stringBuilder.append(this.mPrevNonHomeBase.mPid);
                stringBuilder.append(",pkg:");
                stringBuilder.append(pkgList);
                stringBuilder.append(",eclipse(s):");
                stringBuilder.append(eclipseTime);
                pw.println(stringBuilder.toString());
                boolean isRecentTaskShow = false;
                synchronized (this.mForePids) {
                    if (this.mForePids.isEmpty()) {
                        isRecentTaskShow = true;
                    }
                }
                if (isRecentTaskShow) {
                    pkgList = getPackageNameForUid(this.mRecentTaskPrevBase.mUid, isDealAsPkgUid(this.mRecentTaskPrevBase.mUid) ? this.mRecentTaskPrevBase.mPid : 0);
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("[Prev Recent Task] Uid:");
                    stringBuilder2.append(this.mRecentTaskPrevBase.mUid);
                    stringBuilder2.append(",pid:");
                    stringBuilder2.append(this.mRecentTaskPrevBase.mPid);
                    stringBuilder2.append(",pkg:");
                    stringBuilder2.append(pkgList);
                    pw.println(stringBuilder2.toString());
                } else {
                    pw.println("[Prev Recent Task] Uid: None");
                }
                if (isDealAsPkgUid(this.mAmsPrevBase.mUid)) {
                    i = this.mAmsPrevBase.mPid;
                }
                java.util.Set<java.lang.String> pkgList2 = getPackageNameForUid(this.mAmsPrevBase.mUid, i);
                if (this.mAmsPrevBase.mUid == 0) {
                    pkgList = " none";
                } else {
                    pkgList = new java.lang.StringBuilder();
                    pkgList.append(" ");
                    pkgList.append((android.os.SystemClock.elapsedRealtime() - this.mAmsPrevBase.mTime) / 1000);
                    pkgList = pkgList.toString();
                }
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("[Prev By Ams] Uid:");
                stringBuilder3.append(this.mAmsPrevBase.mUid);
                stringBuilder3.append(",pid:");
                stringBuilder3.append(this.mAmsPrevBase.mPid);
                stringBuilder3.append(",pkg:");
                stringBuilder3.append(pkgList2);
                stringBuilder3.append(",eclipse(s):");
                stringBuilder3.append(pkgList);
                pw.println(stringBuilder3.toString());
                return;
            }
            pw.println("AwareAppAssociate feature disabled.");
        }
    }

    public void dumpRecord(java.io.PrintWriter pw) {
        java.lang.Throwable th;
        java.io.PrintWriter printWriter = pw;
        if (printWriter != null) {
            if (mEnabled) {
                java.util.Set<java.lang.String> widgets = getWidgetsPkg();
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Widget Size: ");
                stringBuilder.append(widgets.size());
                printWriter.println(stringBuilder.toString());
                android.util.ArraySet<java.lang.Integer> windows = new android.util.ArraySet();
                android.util.ArraySet<java.lang.Integer> windowsEvil = new android.util.ArraySet();
                getVisibleWindows(windows, windowsEvil);
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Window Size: ");
                stringBuilder.append(windows.size());
                stringBuilder.append(", EvilWindow Size: ");
                stringBuilder.append(windowsEvil.size());
                printWriter.println(stringBuilder.toString());
                synchronized (this) {
                    java.util.Set<java.lang.String> widgets2;
                    android.util.ArraySet<java.lang.Integer> windows2;
                    android.util.ArraySet<java.lang.Integer> windowsEvil2;
                    try {
                        int pidSize = this.mAssocRecordMap.size();
                        int compSize = 0;
                        int pidsize = 0;
                        int s = 0;
                        while (s < pidSize) {
                            int providerSize = 0;
                            int providerSizeAll = 0;
                            int sameuid = 0;
                            try {
                                int bindSizeAll;
                                int bindSize;
                                int i;
                                int NB;
                                int curpiduidsize;
                                int pidsize2;
                                com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord record = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord) this.mAssocRecordMap.valueAt(s);
                                widgets2 = widgets;
                                try {
                                    int NP;
                                    int NP2 = record.mAssocBindService.getMap().size();
                                    windows2 = windows;
                                    bindSizeAll = 0;
                                    bindSize = 0;
                                    i = 0;
                                    while (i < NP2) {
                                        NP = NP2;
                                        try {
                                            NP2 = (android.util.SparseArray) record.mAssocBindService.getMap().valueAt(i);
                                            windowsEvil2 = windowsEvil;
                                            NB = NP2.size();
                                            bindSize += NB;
                                            int bindSizeAll2 = bindSizeAll;
                                            bindSizeAll = 0;
                                            while (bindSizeAll < NB) {
                                                bindSizeAll2 += ((com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) NP2.valueAt(bindSizeAll)).mComponents.size();
                                                bindSizeAll++;
                                                NP2 = NP2;
                                                NB = NB;
                                            }
                                            i++;
                                            NP2 = NP;
                                            bindSizeAll = bindSizeAll2;
                                            windowsEvil = windowsEvil2;
                                        } catch (Throwable th2) {
                                            th = th2;
                                            while (true) {
                                                break;
                                            }
                                            throw th;
                                        }
                                    }
                                    NP = NP2;
                                    windowsEvil2 = windowsEvil;
                                    NP2 = record.mAssocProvider.getMap().size();
                                    NB = 0;
                                    while (NB < NP2) {
                                        android.util.SparseArray<com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord> brs = (android.util.SparseArray) record.mAssocProvider.getMap().valueAt(NB);
                                        int NP3 = NP2;
                                        NP2 = brs.size();
                                        providerSize += NP2;
                                        NP = providerSizeAll;
                                        providerSizeAll = 0;
                                        while (providerSizeAll < NP2) {
                                            NP += ((com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) brs.valueAt(providerSizeAll)).mComponents.size();
                                            providerSizeAll++;
                                            NP2 = NP2;
                                            brs = brs;
                                        }
                                        NB++;
                                        providerSizeAll = NP;
                                        NP2 = NP3;
                                    }
                                    android.util.ArraySet<java.lang.Integer> pids = (android.util.ArraySet) this.mProcUidMap.get(java.lang.Integer.valueOf(record.uid));
                                    if (pids != null) {
                                        sameuid = pids.size() - 1;
                                    }
                                    NB = bindSize + providerSize;
                                    i = bindSizeAll + providerSizeAll;
                                    curpiduidsize = NB + sameuid;
                                    compSize += i;
                                    pidsize2 = pidsize + NB;
                                } catch (Throwable th3) {
                                    th = th3;
                                    windows2 = windows;
                                    windowsEvil2 = windowsEvil;
                                    s = pidsize;
                                    pidsize = compSize;
                                    while (true) {
                                        break;
                                    }
                                    throw th;
                                }
                                try {
                                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                    stringBuilder2.append("[");
                                    stringBuilder2.append(record.uid);
                                    stringBuilder2.append("][");
                                    stringBuilder2.append(record.processName);
                                    stringBuilder2.append("]: bind[");
                                    stringBuilder2.append(bindSize);
                                    stringBuilder2.append("-");
                                    stringBuilder2.append(bindSizeAll);
                                    stringBuilder2.append("]provider[");
                                    stringBuilder2.append(providerSize);
                                    stringBuilder2.append("-");
                                    stringBuilder2.append(providerSizeAll);
                                    stringBuilder2.append("]SameUID[");
                                    stringBuilder2.append(sameuid);
                                    stringBuilder2.append("]pids:[");
                                    stringBuilder2.append(NB);
                                    stringBuilder2.append("]comps:[");
                                    stringBuilder2.append(i);
                                    stringBuilder2.append("]piduids:[");
                                    stringBuilder2.append(curpiduidsize);
                                    stringBuilder2.append("]");
                                    printWriter.println(stringBuilder2.toString());
                                    s++;
                                    widgets = widgets2;
                                    windows = windows2;
                                    windowsEvil = windowsEvil2;
                                    pidsize = pidsize2;
                                } catch (Throwable th4) {
                                    th = th4;
                                    pidsize = compSize;
                                    s = pidsize2;
                                    while (true) {
                                        break;
                                    }
                                    throw th;
                                }
                            } catch (Throwable th5) {
                                th = th5;
                                widgets2 = widgets;
                                windows2 = windows;
                                windowsEvil2 = windowsEvil;
                                s = pidsize;
                                pidsize = compSize;
                                while (true) {
                                    break;
                                }
                                throw th;
                            }
                        }
                        widgets2 = widgets;
                        windows2 = windows;
                        windowsEvil2 = windowsEvil;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("PidRecord Size: ");
                        stringBuilder.append(pidSize);
                        stringBuilder.append(" ");
                        stringBuilder.append(pidsize);
                        stringBuilder.append(" ");
                        stringBuilder.append(compSize);
                        printWriter.println(stringBuilder.toString());
                        return;
                    } catch (Throwable th6) {
                        th = th6;
                        widgets2 = widgets;
                        windows2 = windows;
                        windowsEvil2 = windowsEvil;
                        while (true) {
                            break;
                        }
                        throw th;
                    }
                }
            }
            printWriter.println("AwareAppAssociate feature disabled.");
        }
    }

    private void recordWindowDetail(java.util.Set<java.lang.Integer> list) {
        if (list != null) {
            if (!list.isEmpty()) {
                synchronized (this) {
                    for (java.lang.Integer pid : list) {
                        com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord br = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) this.mProcPidMap.get(java.lang.Integer.valueOf(pid.intValue()));
                        if (br != null) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("[Window]Pid:");
                            stringBuilder.append(br.pid);
                            stringBuilder.append(",Uid:");
                            stringBuilder.append(br.uid);
                            stringBuilder.append(",ProcessName:");
                            stringBuilder.append(br.processName);
                            android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder.toString());
                        }
                    }
                }
            }
        }
    }

    private void recordAssocDetail(int pid) {
        synchronized (this) {
            com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord record = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocPidRecord) this.mAssocRecordMap.get(java.lang.Integer.valueOf(pid));
            if (record != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("");
                stringBuilder.append(record);
                android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder.toString());
            } else {
                java.lang.StringBuilder stringBuilder2;
                com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord br = (com.android.server.rms.iaware.appmng.AwareAppAssociate.AssocBaseRecord) this.mProcPidMap.get(java.lang.Integer.valueOf(pid));
                if (br != null) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("Pid:");
                    stringBuilder2.append(br.pid);
                    stringBuilder2.append(",Uid:");
                    stringBuilder2.append(br.uid);
                    stringBuilder2.append(",ProcessName:");
                    stringBuilder2.append(br.processName);
                    android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder2.toString());
                }
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("");
                stringBuilder2.append(sameUid(pid));
                android.rms.iaware.AwareLog.i("RMS.AwareAppAssociate", stringBuilder2.toString());
            }
        }
    }

    public static void enable() {
        mEnabled = true;
        if (mAwareAppAssociate != null) {
            mAwareAppAssociate.initialize();
        }
    }

    public static void disable() {
        mEnabled = false;
        if (mAwareAppAssociate != null) {
            mAwareAppAssociate.deInitialize();
        }
    }

    public static void enableDebug() {
        DEBUG = true;
    }

    public static void disableDebug() {
        DEBUG = false;
    }

    public static void enableRecord() {
        RECORD = true;
    }

    public static void disableRecord() {
        RECORD = false;
    }

    public boolean isPkgHasProc(java.lang.String pkg) {
        boolean z = true;
        if (!mEnabled) {
            return true;
        }
        synchronized (this.mProcPkgMap) {
            if (this.mProcPkgMap.get(pkg) == null) {
                z = false;
            }
        }
        return z;
    }

    public void registerVisibleCallback(com.android.server.rms.iaware.appmng.AwareAppAssociate.IAwareVisibleCallback callback) {
        if (callback != null) {
            synchronized (this.mCallbacks) {
                if (!this.mCallbacks.contains(callback)) {
                    this.mCallbacks.add(callback);
                }
            }
        }
    }

    public void unregisterVisibleCallback(com.android.server.rms.iaware.appmng.AwareAppAssociate.IAwareVisibleCallback callback) {
        if (callback != null) {
            synchronized (this.mCallbacks) {
                if (this.mCallbacks.contains(callback)) {
                    this.mCallbacks.remove(callback);
                }
            }
        }
    }

    public void notifyVisibleWindowsChange(int type, int window, int mode) {
        synchronized (this.mCallbacks) {
            if (this.mCallbacks.isEmpty()) {
                return;
            }
            int callbackSize = this.mCallbacks.size();
            for (int i = 0; i < callbackSize; i++) {
                ((com.android.server.rms.iaware.appmng.AwareAppAssociate.IAwareVisibleCallback) this.mCallbacks.valueAt(i)).onVisibleWindowsChanged(type, window, mode);
            }
        }
    }

    public void screenStateChange(boolean screenOff) {
        this.mScreenOff = screenOff;
        if (screenOff && this.mHandler != null) {
            this.mHandler.removeMessages(4);
        }
    }

    private void clearRemoveVisWinDurScreenOff() {
        synchronized (this.mVisWinDurScreenOff) {
            if (!this.mVisWinDurScreenOff.isEmpty()) {
                this.mVisWinDurScreenOff.clear();
            }
        }
    }

    public void checkBakUpVisWin() {
        if (this.mHandler != null) {
            this.mHandler.removeMessages(4);
            this.mHandler.sendEmptyMessageDelayed(4, 5000);
        }
    }

    private void updateVisibleWindowsCache(int type, int pid, int mode, java.lang.String pkg, int uid, int code, boolean evil) {
        com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo winInfo;
        switch (type) {
            case 0:
                com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo winInfoCache = new com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo(mode, pkg, uid);
                synchronized (this.mVisibleWindowsCache) {
                    this.mVisibleWindowsCache.put(java.lang.Integer.valueOf(pid), winInfoCache);
                }
                return;
            case 1:
                synchronized (this.mVisibleWindowsCache) {
                    this.mVisibleWindowsCache.remove(java.lang.Integer.valueOf(pid));
                }
                return;
            case 2:
                synchronized (this.mVisibleWindowsCache) {
                    this.mVisibleWindowsCache.clear();
                }
                return;
            case 3:
                synchronized (this.mVisibleWindowsCache) {
                    winInfo = (com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo) this.mVisibleWindowsCache.get(java.lang.Integer.valueOf(pid));
                    if (winInfo != null) {
                        winInfo.mMode = mode;
                    }
                }
                return;
            case 4:
                synchronized (this.mVisibleWindowsCache) {
                    winInfo = (com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo) this.mVisibleWindowsCache.get(java.lang.Integer.valueOf(pid));
                    if (winInfo != null) {
                        winInfo.addWindow(java.lang.Integer.valueOf(code), evil);
                    }
                }
                return;
            case 5:
                synchronized (this.mVisibleWindowsCache) {
                    winInfo = (com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo) this.mVisibleWindowsCache.get(java.lang.Integer.valueOf(pid));
                    if (winInfo != null) {
                        winInfo.removeWindow(java.lang.Integer.valueOf(code));
                    }
                }
                return;
            default:
                return;
        }
    }

    /* JADX WARNING: Missing block: B:21:0x0030, code:
            return false;
     */
    public boolean isVisibleWindow(int r7) {
        /*
        r6 = this;
        r0 = mEnabled;
        r1 = 0;
        if (r0 != 0) goto L_0x0006;
    L_0x0005:
        return r1;
    L_0x0006:
        r0 = r6.mVisibleWindowsCache;
        monitor-enter(r0);
        r2 = r6.mVisibleWindowsCache;	 Catch:{ all -> 0x0031 }
        r3 = java.lang.Integer.valueOf(r7);	 Catch:{ all -> 0x0031 }
        r2 = r2.get(r3);	 Catch:{ all -> 0x0031 }
        r2 = (com.android.server.mtm.iaware.appmng.AwareProcessWindowInfo) r2;	 Catch:{ all -> 0x0031 }
        if (r2 == 0) goto L_0x002f;
    L_0x0017:
        r3 = r2.mMode;	 Catch:{ all -> 0x0031 }
        r4 = 1;
        if (r3 == 0) goto L_0x0024;
    L_0x001c:
        r3 = r2.mMode;	 Catch:{ all -> 0x0031 }
        r5 = 3;
        if (r3 != r5) goto L_0x0022;
    L_0x0021:
        goto L_0x0024;
    L_0x0022:
        r3 = r1;
        goto L_0x0025;
    L_0x0024:
        r3 = r4;
    L_0x0025:
        if (r3 == 0) goto L_0x002f;
    L_0x0027:
        r5 = r2.isEvil();	 Catch:{ all -> 0x0031 }
        if (r5 != 0) goto L_0x002f;
    L_0x002d:
        monitor-exit(r0);	 Catch:{ all -> 0x0031 }
        return r4;
    L_0x002f:
        monitor-exit(r0);	 Catch:{ all -> 0x0031 }
        return r1;
    L_0x0031:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x0031 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.appmng.AwareAppAssociate.isVisibleWindow(int):boolean");
    }
}
