package com.android.server.rms.iaware.appmng;

public class AwareAppKeyBackgroup {
    private static final java.lang.String[] APPTYPESTRING = new java.lang.String[]{"TYPE_UNKNOW", "TYPE_LAUNCHER", "TYPE_SMS", "TYPE_EMAIL", "TYPE_INPUTMETHOD", "TYPE_GAME", "TYPE_BROWSER", "TYPE_EBOOK", "TYPE_VIDEO", "TYPE_SCRLOCK", "TYPE_CLOCK", "TYPE_IM", "TYPE_MUSIC"};
    private static final java.lang.String CALL_APP_PKG = "com.android.incallui";
    private static boolean DEBUG = false;
    private static final long DECAY_TIME = 60000;
    private static final long DECAY_UPLOAD_DL_TIME = 10000;
    public static final int EVENT_TYPE_ENTER = 1;
    public static final int EVENT_TYPE_EXIT = 2;
    private static final java.lang.String HUAWEI_AMAP_APP_PKG = "com.amap.android.ams";
    private static final int MSG_APP_PROCESSDIED = 2;
    private static final int MSG_ASSOCIATE_CHECK = 4;
    private static final int MSG_PGSDK_INIT = 3;
    private static final int MSG_REMOVE_DECAY_STATE = 1;
    private static final long PGSDK_REINIT_TIME = 2000;
    private static final int PID_INVALID = -1;
    private static final java.lang.String[] STATESTRING = new java.lang.String[]{"STATE_NULL", "STATE_AUDIO_IN", "STATE_AUDIO_OUT", "STATE_GPS", "STATE_SENSOR", "STATE_UPLOAD_DL"};
    public static final int STATE_ALL = 100;
    public static final int STATE_AUDIO_IN = 1;
    public static final int STATE_AUDIO_OUT = 2;
    public static final int STATE_GPS = 3;
    public static final int STATE_IMEMAIL = 99;
    public static final int STATE_KEY_BG = 0;
    public static final int STATE_KEY_BG_INVALID = -1;
    public static final int STATE_NAT_TIMEOUT = 11;
    public static final int STATE_SENSOR = 4;
    private static final int STATE_SIZE = STATESTRING.length;
    public static final int STATE_UPLOAD_DL = 5;
    private static final java.lang.String TAG = "AwareAppKeyBackgroup";
    private static final int TYPE_SIZE = APPTYPESTRING.length;
    private static final java.lang.String WECHAT_APP_PKG = "com.tencent.mm";
    private static com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup sInstance = null;
    private int mAmapAppUid;
    private com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.AppKeyHandler mAppKeyHandler;
    private final android.util.ArraySet<java.lang.Integer> mAudioCacheUids;
    android.telephony.PhoneStateListener mCallStateListener;
    private final android.util.ArrayMap<com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.IAwareStateCallback, android.util.ArraySet<java.lang.Integer>> mCallbacks;
    private android.content.Context mContext;
    private final android.util.SparseArray<com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.SensorRecord> mHistorySensorRecords;
    private com.android.server.am.HwActivityManagerService mHwAMS;
    private boolean mIsAbroadArea;
    private java.util.concurrent.atomic.AtomicBoolean mIsInitialized;
    private java.util.concurrent.atomic.AtomicBoolean mIsInitializing;
    private final android.util.ArraySet<java.lang.Integer> mKeyBackgroupPids;
    private final android.util.ArraySet<java.lang.String> mKeyBackgroupPkgs;
    private final android.util.ArraySet<java.lang.Integer> mKeyBackgroupUids;
    private java.util.concurrent.atomic.AtomicBoolean mLastSetting;
    private int mNatTimeout;
    private com.huawei.pgmng.plug.PGSdk mPGSdk;
    private android.content.pm.PackageManager mPM;
    private com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.AwareABGProcessObserver mProcessObserver;
    private final java.util.ArrayList<android.util.ArraySet<java.lang.Integer>> mScenePidArray;
    private final java.util.ArrayList<android.util.ArraySet<java.lang.String>> mScenePkgArray;
    private final java.util.ArrayList<android.util.ArraySet<java.lang.Integer>> mSceneUidArray;
    private final java.util.List<com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DecayInfo> mStateEventDecayInfos;
    private com.huawei.pgmng.plug.PGSdk.Sink mStateRecognitionListener;

    private class AppKeyHandler extends android.os.Handler {
        public AppKeyHandler(android.os.Looper looper) {
            super(looper);
        }

        public void handleMessage(android.os.Message msg) {
            android.os.Message message = msg;
            if (com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("handleMessage message ");
                stringBuilder.append(message.what);
                android.rms.iaware.AwareLog.e("AwareAppKeyBackgroup", stringBuilder.toString());
            }
            if (message.what == 3) {
                com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this.doInitialize();
            } else if (com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this.mIsInitialized.get()) {
                com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DecayInfo decayInfo = message.obj instanceof com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DecayInfo ? (com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DecayInfo) message.obj : null;
                int i = message.what;
                if (i != 4) {
                    switch (i) {
                        case 1:
                            if (decayInfo != null) {
                                if (com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DEBUG) {
                                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                    stringBuilder2.append("Update state ");
                                    stringBuilder2.append(decayInfo.getStateType());
                                    stringBuilder2.append(" uid : ");
                                    stringBuilder2.append(decayInfo.getUid());
                                    android.rms.iaware.AwareLog.d("AwareAppKeyBackgroup", stringBuilder2.toString());
                                }
                                com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this.updateSceneState(decayInfo.getStateType(), decayInfo.getEventType(), decayInfo.getPid(), decayInfo.getPkg(), decayInfo.getUid());
                                com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this.removeDecayInfo(decayInfo.getStateType(), decayInfo.getEventType(), decayInfo.getPid(), decayInfo.getPkg(), decayInfo.getUid());
                                if (decayInfo.getStateType() == 2) {
                                    com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this.updateAudioCache(decayInfo.getPid(), decayInfo.getUid());
                                    break;
                                }
                            }
                            return;
                            break;
                        case 2:
                            int pid = message.arg1;
                            int uid = message.arg2;
                            com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this.updateSceneArrayProcessDied(uid, pid);
                            if (com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this.getStateEventDecayInfosSize() > 0) {
                                i = 1;
                                while (true) {
                                    int i2 = i;
                                    if (i2 >= com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.STATE_SIZE) {
                                        break;
                                    }
                                    com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this.removeDecayForProcessDied(i2, 2, i2 == 2 ? pid : 0, null, uid);
                                    i = i2 + 1;
                                }
                            }
                            break;
                        default:
                            break;
                    }
                } else if (decayInfo != null && decayInfo.getStateType() == 3) {
                    com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this.checkHuaweiAmapApp(decayInfo.getStateType(), decayInfo.getEventType(), decayInfo.getUid());
                }
            }
        }
    }

    class AwareABGProcessObserver extends android.app.IProcessObserver.Stub {
        AwareABGProcessObserver() {
        }

        public void onForegroundActivitiesChanged(int pid, int uid, boolean foregroundActivities) {
        }

        public void onProcessDied(int pid, int uid) {
            synchronized (com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this) {
                boolean isKbgPid = com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this.mKeyBackgroupPids.contains(java.lang.Integer.valueOf(pid));
                boolean isKbgUid = com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this.mKeyBackgroupUids.contains(java.lang.Integer.valueOf(uid));
                if (isKbgPid || isKbgUid) {
                    if (com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DEBUG) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("onProcessDied pid ");
                        stringBuilder.append(pid);
                        stringBuilder.append(" uid ");
                        stringBuilder.append(uid);
                        android.rms.iaware.AwareLog.d("AwareAppKeyBackgroup", stringBuilder.toString());
                    }
                    android.os.Message observerMsg = com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this.mAppKeyHandler.obtainMessage();
                    observerMsg.arg1 = pid;
                    observerMsg.arg2 = uid;
                    observerMsg.what = 2;
                    com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this.mAppKeyHandler.sendMessage(observerMsg);
                    return;
                }
            }
        }
    }

    static class DecayInfo {
        private int mEventType;
        private int mPid;
        private java.lang.String mPkg;
        private int mStateType;
        private int mUid;

        public DecayInfo(int stateType, int eventType, int pid, java.lang.String pkg, int uid) {
            this.mStateType = stateType;
            this.mEventType = eventType;
            this.mPid = pid;
            this.mUid = uid;
            this.mPkg = pkg;
        }

        public int hashCode() {
            return super.hashCode();
        }

        public boolean equals(java.lang.Object obj) {
            boolean z = false;
            if (obj == null) {
                return false;
            }
            if (this == obj) {
                return true;
            }
            if (getClass() != obj.getClass()) {
                return false;
            }
            com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DecayInfo other = (com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DecayInfo) obj;
            if (other.getStateType() == this.mStateType && other.getEventType() == this.mEventType && other.getPid() == this.mPid && other.getUid() == this.mUid) {
                z = true;
            }
            return z;
        }

        public int getStateType() {
            return this.mStateType;
        }

        public int getEventType() {
            return this.mEventType;
        }

        public int getPid() {
            return this.mPid;
        }

        public int getUid() {
            return this.mUid;
        }

        public java.lang.String getPkg() {
            return this.mPkg;
        }

        public java.lang.String toString() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("{");
            stringBuilder.append(com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.stateToString(this.mStateType));
            stringBuilder.append(",");
            stringBuilder.append(this.mPid);
            stringBuilder.append(",");
            stringBuilder.append(this.mUid);
            stringBuilder.append("}");
            return stringBuilder.toString();
        }
    }

    public interface IAwareStateCallback {
        void onStateChanged(int i, int i2, int i3, int i4);
    }

    private class SensorRecord {
        private final android.util.ArrayMap<java.lang.Integer, java.lang.Integer> mHandles = new android.util.ArrayMap();
        private int mUid;

        public SensorRecord(int uid, int handle) {
            this.mUid = uid;
            addSensor(handle);
        }

        public boolean hasSensor() {
            return this.mHandles.size() > 0;
        }

        public void addSensor(int handle) {
            if (!hasSensor()) {
                com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this.updateAppSensorState(true, this.mUid, 0);
            }
            java.lang.Integer count = (java.lang.Integer) this.mHandles.get(java.lang.Integer.valueOf(handle));
            if (count == null) {
                this.mHandles.put(java.lang.Integer.valueOf(handle), java.lang.Integer.valueOf(1));
            } else {
                this.mHandles.put(java.lang.Integer.valueOf(handle), java.lang.Integer.valueOf(count.intValue() + 1));
            }
            if (com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("addSensor,mHandles:");
                stringBuilder.append(this.mHandles);
                android.rms.iaware.AwareLog.i("AwareAppKeyBackgroup", stringBuilder.toString());
            }
        }

        public void removeSensor(java.lang.Integer handle) {
            java.lang.Integer count = (java.lang.Integer) this.mHandles.get(handle);
            if (count != null) {
                int value = count.intValue() - 1;
                if (value <= 0) {
                    this.mHandles.remove(handle);
                } else {
                    this.mHandles.put(handle, java.lang.Integer.valueOf(value));
                }
            }
            if (com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("removeSensor,mHandles:");
                stringBuilder.append(this.mHandles);
                android.rms.iaware.AwareLog.i("AwareAppKeyBackgroup", stringBuilder.toString());
            }
            if (!hasSensor()) {
                com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this.updateAppSensorState(false, this.mUid, 0);
            }
        }
    }

    private static java.lang.String stateToString(int state) {
        if (state >= 0) {
            if (state < STATE_SIZE) {
                return STATESTRING[state];
            }
        }
        return "STATE_NULL";
    }

    private static java.lang.String typeToString(int type) {
        if (type >= 0) {
            if (type < TYPE_SIZE) {
                return APPTYPESTRING[type];
            }
        }
        return "TYPE_UNKNOW";
    }

    private boolean checkCallingPermission() {
        int pid = android.os.Binder.getCallingPid();
        int uid = android.os.Binder.getCallingUid();
        if (!(pid == android.os.Process.myPid() || uid == 0)) {
            if (uid != 1000) {
                return false;
            }
        }
        return true;
    }

    private int getAppTypeFromHabit(int uid) {
        if (this.mContext == null) {
            return -1;
        }
        if (this.mPM == null) {
            this.mPM = this.mContext.getPackageManager();
            if (this.mPM == null) {
                android.rms.iaware.AwareLog.e("AwareAppKeyBackgroup", "Failed to get PackageManager");
                return -1;
            }
        }
        java.lang.String[] pkgNames = this.mPM.getPackagesForUid(uid);
        if (pkgNames == null) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Failed to get package name for uid: ");
            stringBuilder.append(uid);
            android.rms.iaware.AwareLog.e("AwareAppKeyBackgroup", stringBuilder.toString());
            return -1;
        }
        for (java.lang.String pkgName : pkgNames) {
            int type = android.rms.iaware.AppTypeRecoManager.getInstance().getAppType(pkgName);
            if (type != -1) {
                return type;
            }
        }
        return -1;
    }

    private boolean isNaviOrSportApp(int uid) {
        int type = getAppTypeFromHabit(uid);
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getAppTypeFromHabit uid ");
            stringBuilder.append(uid);
            stringBuilder.append(" type : ");
            stringBuilder.append(type);
            android.rms.iaware.AwareLog.d("AwareAppKeyBackgroup", stringBuilder.toString());
        }
        boolean z = true;
        if (type != -1) {
            switch (type) {
                case 2:
                case 3:
                    break;
                default:
                    if (type <= 255) {
                        z = false;
                    }
                    return z;
            }
        }
        return true;
    }

    private boolean shouldFilter(int stateType, int uid) {
        return (stateType == 3 || stateType == 4) && !isNaviOrSportApp(uid);
    }

    private void registerProcessObserver() {
        try {
            android.app.ActivityManagerNative.getDefault().registerProcessObserver(this.mProcessObserver);
        } catch (android.os.RemoteException e) {
            android.rms.iaware.AwareLog.d("AwareAppKeyBackgroup", "AwareAppKeyBackgroup register process observer failed");
        }
    }

    private void unregisterProcessObserver() {
        try {
            android.app.ActivityManagerNative.getDefault().unregisterProcessObserver(this.mProcessObserver);
        } catch (android.os.RemoteException e) {
            android.rms.iaware.AwareLog.d("AwareAppKeyBackgroup", "AwareAppKeyBackgroup unregister process observer failed");
        }
    }

    protected void registerCallStateListener(android.content.Context cxt) {
        if (cxt != null) {
            ((android.telephony.TelephonyManager) cxt.getSystemService("phone")).listen(this.mCallStateListener, 32);
        }
    }

    protected void unregisterCallStateListener(android.content.Context cxt) {
        if (cxt != null) {
            ((android.telephony.TelephonyManager) cxt.getSystemService("phone")).listen(this.mCallStateListener, 0);
        }
    }

    private final void updateCallState(int state) {
        if (this.mIsInitialized.get()) {
            int eventType = state == 0 ? 2 : 1;
            synchronized (this) {
                updateSceneArrayLocked(2, eventType, 0, "com.android.incallui", 0);
            }
            if (eventType == 2) {
                synchronized (this.mAudioCacheUids) {
                    this.mAudioCacheUids.clear();
                }
            }
        }
    }

    private AwareAppKeyBackgroup() {
        this.mIsInitialized = new java.util.concurrent.atomic.AtomicBoolean(false);
        this.mLastSetting = new java.util.concurrent.atomic.AtomicBoolean(false);
        this.mIsInitializing = new java.util.concurrent.atomic.AtomicBoolean(false);
        this.mPGSdk = null;
        this.mContext = null;
        this.mHwAMS = null;
        this.mPM = null;
        this.mProcessObserver = new com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.AwareABGProcessObserver();
        this.mIsAbroadArea = false;
        this.mAmapAppUid = 0;
        this.mScenePidArray = new java.util.ArrayList();
        this.mSceneUidArray = new java.util.ArrayList();
        this.mScenePkgArray = new java.util.ArrayList();
        this.mKeyBackgroupPids = new android.util.ArraySet();
        this.mKeyBackgroupUids = new android.util.ArraySet();
        this.mKeyBackgroupPkgs = new android.util.ArraySet();
        this.mStateEventDecayInfos = new java.util.ArrayList();
        this.mCallbacks = new android.util.ArrayMap();
        this.mHistorySensorRecords = new android.util.SparseArray();
        this.mAudioCacheUids = new android.util.ArraySet();
        this.mNatTimeout = 0;
        this.mStateRecognitionListener = new com.huawei.pgmng.plug.PGSdk.Sink() {
            public void onStateChanged(int stateType, int eventType, int pid, java.lang.String pkg, int uid) {
                if (!com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this.mIsInitialized.get() || !com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this.checkCallingPermission() || pid == android.os.Process.myPid()) {
                    return;
                }
                if (stateType == 11) {
                    com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this.setNatTimeout(pid);
                } else if (!com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this.shouldFilter(stateType, uid)) {
                    if (stateType == 4) {
                        com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup awareAppKeyBackgroup = com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this;
                        boolean z = true;
                        if (eventType != 1) {
                            z = false;
                        }
                        awareAppKeyBackgroup.handleSensorEvent(uid, pid, z);
                        return;
                    }
                    long timeStamp = 0;
                    if (com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DEBUG) {
                        android.rms.iaware.AwareLog.d("AwareAppKeyBackgroup", "PGSdk Sink onStateChanged");
                        timeStamp = android.os.SystemClock.currentTimeMicro();
                    }
                    if (!com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this.isStateChangedDecay(stateType, eventType, pid, pkg, uid)) {
                        com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this.updateSceneState(stateType, eventType, pid, pkg, uid);
                        com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this.checkAssociateApp(stateType, eventType, pid, pkg, uid);
                        if (com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DEBUG) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("Update Scene state using ");
                            stringBuilder.append(android.os.SystemClock.currentTimeMicro() - timeStamp);
                            stringBuilder.append(" us");
                            android.rms.iaware.AwareLog.d("AwareAppKeyBackgroup", stringBuilder.toString());
                        }
                    }
                }
            }
        };
        this.mCallStateListener = new android.telephony.PhoneStateListener() {
            public void onCallStateChanged(int state, java.lang.String incomingNumber) {
                if (com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("onCallStateChanged state :");
                    stringBuilder.append(state);
                    android.rms.iaware.AwareLog.d("AwareAppKeyBackgroup", stringBuilder.toString());
                }
                com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.this.updateCallState(state);
            }
        };
        this.mAppKeyHandler = new com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.AppKeyHandler(com.android.internal.os.BackgroundThread.get().getLooper());
        this.mHwAMS = com.android.server.am.HwActivityManagerService.self();
    }

    public void registerStateCallback(com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.IAwareStateCallback callback, int stateType) {
        if (callback != null) {
            synchronized (this.mCallbacks) {
                android.util.ArraySet<java.lang.Integer> states = (android.util.ArraySet) this.mCallbacks.get(callback);
                if (states == null) {
                    states = new android.util.ArraySet();
                    states.add(java.lang.Integer.valueOf(stateType));
                    this.mCallbacks.put(callback, states);
                } else {
                    states.add(java.lang.Integer.valueOf(stateType));
                }
            }
        }
    }

    public void unregisterStateCallback(com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.IAwareStateCallback callback, int stateType) {
        if (callback != null) {
            synchronized (this.mCallbacks) {
                android.util.ArraySet<java.lang.Integer> states = (android.util.ArraySet) this.mCallbacks.get(callback);
                if (states != null) {
                    states.remove(java.lang.Integer.valueOf(stateType));
                    if (states.size() == 0) {
                        this.mCallbacks.remove(callback);
                    }
                }
            }
        }
    }

    private void notifyStateChange(int stateType, int eventType, int pid, int uid) {
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("keyBackgroup onStateChanged e:");
            stringBuilder.append(eventType);
            stringBuilder.append(" pid:");
            stringBuilder.append(pid);
            stringBuilder.append(" uid:");
            stringBuilder.append(uid);
            android.rms.iaware.AwareLog.d("AwareAppKeyBackgroup", stringBuilder.toString());
        }
        synchronized (this.mCallbacks) {
            if (this.mCallbacks.isEmpty()) {
                return;
            }
            for (java.util.Map.Entry<com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.IAwareStateCallback, android.util.ArraySet<java.lang.Integer>> m : this.mCallbacks.entrySet()) {
                com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.IAwareStateCallback callback = (com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.IAwareStateCallback) m.getKey();
                android.util.ArraySet<java.lang.Integer> states = (android.util.ArraySet) m.getValue();
                if (states != null && (states.contains(java.lang.Integer.valueOf(stateType)) || states.contains(java.lang.Integer.valueOf(100)))) {
                    callback.onStateChanged(stateType, eventType, pid == -1 ? 0 : pid, uid);
                }
            }
        }
    }

    private void initialize(android.content.Context context) {
        this.mLastSetting.set(true);
        if (!this.mIsInitialized.get() && !this.mIsInitializing.get()) {
            this.mContext = context;
            this.mIsAbroadArea = com.android.server.rms.iaware.appmng.AwareDefaultConfigList.isAbroadArea();
            registerProcessObserver();
            registerCallStateListener(this.mContext);
            if (this.mAppKeyHandler.hasMessages(3)) {
                this.mAppKeyHandler.removeMessages(3);
            }
            this.mAppKeyHandler.sendEmptyMessage(3);
        }
    }

    private void doInitialize() {
        this.mIsInitializing.set(true);
        synchronized (this) {
            if (this.mScenePidArray.isEmpty()) {
                for (int i = 0; i < STATE_SIZE; i++) {
                    this.mScenePidArray.add(new android.util.ArraySet());
                    this.mSceneUidArray.add(new android.util.ArraySet());
                    this.mScenePkgArray.add(new android.util.ArraySet());
                }
            }
        }
        if (ensureInitialize()) {
            this.mIsInitializing.set(false);
            checkLastSetting();
            return;
        }
        if (this.mAppKeyHandler.hasMessages(3)) {
            this.mAppKeyHandler.removeMessages(3);
        }
        this.mAppKeyHandler.sendEmptyMessageDelayed(3, 2000);
    }

    private boolean ensureInitialize() {
        if (!this.mIsInitialized.get()) {
            this.mPGSdk = com.huawei.pgmng.plug.PGSdk.getInstance();
            if (this.mPGSdk == null) {
                return this.mIsInitialized.get();
            }
            try {
                this.mPGSdk.enableStateEvent(this.mStateRecognitionListener, 1);
                this.mPGSdk.enableStateEvent(this.mStateRecognitionListener, 2);
                this.mPGSdk.enableStateEvent(this.mStateRecognitionListener, 3);
                this.mPGSdk.enableStateEvent(this.mStateRecognitionListener, 4);
                this.mPGSdk.enableStateEvent(this.mStateRecognitionListener, 5);
                this.mPGSdk.enableStateEvent(this.mStateRecognitionListener, 11);
                resumeAppStates(this.mContext);
                this.mIsInitialized.set(true);
            } catch (android.os.RemoteException e) {
                android.rms.iaware.AwareLog.e("AwareAppKeyBackgroup", "PG Exception e: initialize pgdskd error!");
            }
        }
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("AwareAppKeyBackgroup ensureInitialize:");
            stringBuilder.append(this.mIsInitialized.get());
            android.rms.iaware.AwareLog.d("AwareAppKeyBackgroup", stringBuilder.toString());
        }
        return this.mIsInitialized.get();
    }

    private void deInitialize() {
        unregisterProcessObserver();
        unregisterCallStateListener(this.mContext);
        this.mLastSetting.set(false);
        if (!this.mIsInitialized.get()) {
            this.mAppKeyHandler.removeMessages(3);
        } else if (this.mPGSdk != null) {
            try {
                this.mPGSdk.disableStateEvent(this.mStateRecognitionListener, 1);
                this.mPGSdk.disableStateEvent(this.mStateRecognitionListener, 2);
                this.mPGSdk.disableStateEvent(this.mStateRecognitionListener, 3);
                this.mPGSdk.disableStateEvent(this.mStateRecognitionListener, 4);
                this.mPGSdk.disableStateEvent(this.mStateRecognitionListener, 5);
                this.mPGSdk.disableStateEvent(this.mStateRecognitionListener, 11);
                synchronized (this) {
                    this.mScenePidArray.clear();
                    this.mScenePkgArray.clear();
                    this.mSceneUidArray.clear();
                    this.mKeyBackgroupPids.clear();
                    this.mKeyBackgroupUids.clear();
                    this.mKeyBackgroupPkgs.clear();
                    this.mHistorySensorRecords.clear();
                }
                synchronized (this.mStateEventDecayInfos) {
                    this.mStateEventDecayInfos.clear();
                }
                synchronized (this.mAudioCacheUids) {
                    this.mAudioCacheUids.clear();
                }
            } catch (android.os.RemoteException e) {
                try {
                    android.rms.iaware.AwareLog.e("AwareAppKeyBackgroup", "PG Exception e: deinitialize pgsdk error!");
                    synchronized (this) {
                        this.mScenePidArray.clear();
                        this.mScenePkgArray.clear();
                        this.mSceneUidArray.clear();
                        this.mKeyBackgroupPids.clear();
                        this.mKeyBackgroupUids.clear();
                        this.mKeyBackgroupPkgs.clear();
                        this.mHistorySensorRecords.clear();
                        synchronized (this.mStateEventDecayInfos) {
                            this.mStateEventDecayInfos.clear();
                            synchronized (this.mAudioCacheUids) {
                                this.mAudioCacheUids.clear();
                            }
                        }
                    }
                } catch (Throwable th) {
                    synchronized (this) {
                        this.mScenePidArray.clear();
                        this.mScenePkgArray.clear();
                        this.mSceneUidArray.clear();
                        this.mKeyBackgroupPids.clear();
                        this.mKeyBackgroupUids.clear();
                        this.mKeyBackgroupPkgs.clear();
                        this.mHistorySensorRecords.clear();
                        synchronized (this.mStateEventDecayInfos) {
                            this.mStateEventDecayInfos.clear();
                            synchronized (this.mAudioCacheUids) {
                                this.mAudioCacheUids.clear();
                                this.mAppKeyHandler.removeCallbacksAndMessages(null);
                                this.mIsInitialized.set(false);
                            }
                        }
                    }
                }
            }
            this.mAppKeyHandler.removeCallbacksAndMessages(null);
            this.mIsInitialized.set(false);
            checkLastSetting();
        } else {
            return;
        }
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("PGFeature deInitialize:");
            stringBuilder.append(this.mIsInitialized.get());
            android.rms.iaware.AwareLog.d("AwareAppKeyBackgroup", stringBuilder.toString());
        }
    }

    private void checkLastSetting() {
        if (!(this.mContext == null || this.mIsInitialized.get() == this.mLastSetting.get())) {
            if (this.mLastSetting.get()) {
                getInstance().initialize(this.mContext);
            } else {
                getInstance().deInitialize();
            }
        }
    }

    public static void enable(android.content.Context context) {
        if (DEBUG) {
            android.rms.iaware.AwareLog.d("AwareAppKeyBackgroup", "KeyBackGroup Feature enable!!!");
        }
        getInstance().initialize(context);
    }

    public static void disable() {
        if (DEBUG) {
            android.rms.iaware.AwareLog.d("AwareAppKeyBackgroup", "KeyBackGroup Feature disable!!!");
        }
        getInstance().deInitialize();
    }

    public static void enableDebug() {
        DEBUG = true;
    }

    public static void disableDebug() {
        DEBUG = false;
    }

    public static com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup getInstance() {
        com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup awareAppKeyBackgroup;
        synchronized (com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.class) {
            if (sInstance == null) {
                sInstance = new com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup();
            }
            awareAppKeyBackgroup = sInstance;
        }
        return awareAppKeyBackgroup;
    }

    /* JADX WARNING: Removed duplicated region for block: B:49:0x00ea  */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x00ce  */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x00ce  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x00ea  */
    private void resumeAppStates(android.content.Context r24) {
        /*
        r23 = this;
        r7 = r23;
        r8 = r24;
        if (r8 != 0) goto L_0x0007;
    L_0x0006:
        return;
    L_0x0007:
        r0 = com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance();
        r9 = r0.getProcessInfoList();
        r0 = 0;
        r2 = DEBUG;
        if (r2 == 0) goto L_0x0019;
    L_0x0015:
        r0 = android.os.SystemClock.currentTimeMicro();
    L_0x0019:
        r10 = r0;
        r0 = 0;
        r1 = r9.size();
        r12 = r0;
    L_0x0020:
        r13 = r1;
        if (r12 >= r13) goto L_0x0112;
    L_0x0023:
        r0 = r9.get(r12);
        r14 = r0;
        r14 = (com.android.server.mtm.taskstatus.ProcessInfo) r14;
        if (r14 != 0) goto L_0x002e;
    L_0x002c:
        goto L_0x010d;
    L_0x002e:
        r15 = r14.mPid;
        r6 = r14.mUid;
        r5 = r14.mPackageName;
        r0 = 1;
    L_0x0035:
        r4 = r0;
        r0 = 5;
        if (r4 > r0) goto L_0x010d;
    L_0x0039:
        r0 = r7.shouldFilter(r4, r6);
        if (r0 == 0) goto L_0x0048;
        r18 = r4;
        r22 = r5;
        r17 = r6;
        goto L_0x0105;
    L_0x0048:
        r0 = 2;
        r16 = 0;
        if (r4 > r0) goto L_0x0082;
    L_0x004d:
        r1 = r16;
        r0 = r7.mPGSdk;	 Catch:{ RemoteException -> 0x0057 }
        r0 = r0.checkStateByPid(r8, r15, r4);	 Catch:{ RemoteException -> 0x0057 }
        r1 = r0;
        goto L_0x0060;
    L_0x0057:
        r0 = move-exception;
        r2 = "AwareAppKeyBackgroup";
        r3 = "checkStateByPid occur exception.";
        android.rms.iaware.AwareLog.e(r2, r3);
        r0 = r1;
    L_0x0060:
        if (r0 == 0) goto L_0x0074;
    L_0x0062:
        r3 = 1;
        r16 = 0;
        r1 = r7;
        r2 = r4;
        r17 = r4;
        r4 = r15;
        r18 = r5;
        r5 = r16;
        r19 = r6;
        r1.updateSceneState(r2, r3, r4, r5, r6);
        goto L_0x007a;
    L_0x0074:
        r17 = r4;
        r18 = r5;
        r19 = r6;
    L_0x007a:
        r22 = r18;
        r18 = r17;
        r17 = r19;
        goto L_0x0105;
    L_0x0082:
        r17 = r4;
        r18 = r5;
        r19 = r6;
        r0 = 4;
        r6 = r17;
        if (r6 != r0) goto L_0x009a;
    L_0x008d:
        r5 = r19;
        r7.initAppSensorState(r8, r5);
        r17 = r5;
        r22 = r18;
        r18 = r6;
        goto L_0x0105;
    L_0x009a:
        r5 = r19;
        r0 = 0;
        r4 = r18;
        r1 = r4.size();
        r3 = r0;
    L_0x00a4:
        r2 = r1;
        if (r3 >= r2) goto L_0x00ff;
    L_0x00a7:
        r1 = r16;
        r0 = r7.mPGSdk;	 Catch:{ RemoteException -> 0x00c0 }
        r17 = r4.get(r3);	 Catch:{ RemoteException -> 0x00c0 }
        r20 = r1;
        r1 = r17;
        r1 = (java.lang.String) r1;	 Catch:{ RemoteException -> 0x00be }
        r0 = r0.checkStateByPkg(r8, r1, r6);	 Catch:{ RemoteException -> 0x00be }
        r1 = r0;
        r20 = r1;
        goto L_0x00cc;
    L_0x00be:
        r0 = move-exception;
        goto L_0x00c3;
    L_0x00c0:
        r0 = move-exception;
        r20 = r1;
    L_0x00c3:
        r1 = "AwareAppKeyBackgroup";
        r21 = r0;
        r0 = "checkStateByPkg occur exception.";
        android.rms.iaware.AwareLog.e(r1, r0);
    L_0x00cc:
        if (r20 == 0) goto L_0x00ea;
    L_0x00ce:
        r0 = 1;
        r17 = 0;
        r18 = 0;
        r1 = r7;
        r19 = r2;
        r2 = r6;
        r21 = r3;
        r3 = r0;
        r22 = r4;
        r4 = r17;
        r17 = r5;
        r5 = r18;
        r18 = r6;
        r6 = r17;
        r1.updateSceneState(r2, r3, r4, r5, r6);
        goto L_0x00f4;
    L_0x00ea:
        r19 = r2;
        r21 = r3;
        r22 = r4;
        r17 = r5;
        r18 = r6;
    L_0x00f4:
        r3 = r21 + 1;
        r5 = r17;
        r6 = r18;
        r1 = r19;
        r4 = r22;
        goto L_0x00a4;
    L_0x00ff:
        r22 = r4;
        r17 = r5;
        r18 = r6;
    L_0x0105:
        r0 = r18 + 1;
        r6 = r17;
        r5 = r22;
        goto L_0x0035;
    L_0x010d:
        r12 = r12 + 1;
        r1 = r13;
        goto L_0x0020;
    L_0x0112:
        r0 = DEBUG;
        if (r0 == 0) goto L_0x0136;
    L_0x0116:
        r0 = "AwareAppKeyBackgroup";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "resumeAppStates done using ";
        r1.append(r2);
        r2 = android.os.SystemClock.currentTimeMicro();
        r2 = r2 - r10;
        r1.append(r2);
        r2 = " us";
        r1.append(r2);
        r1 = r1.toString();
        android.rms.iaware.AwareLog.d(r0, r1);
    L_0x0136:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.resumeAppStates(android.content.Context):void");
    }

    private boolean isStateChangedDecay(int stateType, int eventType, int pid, java.lang.String pkg, int uid) {
        if (this.mContext == null) {
            return false;
        }
        if (!isNeedDecay(stateType, eventType)) {
            checkStateChangedDecay(stateType, eventType, pid, pkg, uid);
            return false;
        } else if (!isAppAlive(this.mContext, uid)) {
            return false;
        } else {
            sendDecayMesssage(1, addDecayInfo(stateType, eventType, pid, pkg, uid), stateType == 5 ? 10000 : 60000);
            return true;
        }
    }

    private boolean isNeedDecay(int stateType, int eventType) {
        return (stateType == 2 || stateType == 5) && eventType == 2;
    }

    private void checkStateChangedDecay(int stateType, int eventType, int pid, java.lang.String pkg, int uid) {
        if (isNeedCheckDecay(stateType, eventType)) {
            com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DecayInfo decayInfo = removeDecayInfo(stateType, 2, pid, pkg, uid);
            if (decayInfo != null) {
                if (DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("checkStateChangedDecay start has message 1 ? ");
                    stringBuilder.append(this.mAppKeyHandler.hasMessages(1, decayInfo));
                    stringBuilder.append(" decayinfo");
                    stringBuilder.append(decayInfo);
                    stringBuilder.append(" size ");
                    stringBuilder.append(getStateEventDecayInfosSize());
                    android.rms.iaware.AwareLog.d("AwareAppKeyBackgroup", stringBuilder.toString());
                }
                this.mAppKeyHandler.removeMessages(1, decayInfo);
            }
        }
    }

    private boolean isNeedCheckDecay(int stateType, int eventType) {
        return (stateType == 2 || stateType == 5) && eventType == 1 && getStateEventDecayInfosSize() > 0;
    }

    private com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DecayInfo getDecayInfo(int stateType, int eventType, int pid, java.lang.String pkg, int uid) {
        synchronized (this.mStateEventDecayInfos) {
            for (com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DecayInfo info : this.mStateEventDecayInfos) {
                if (info.getStateType() == stateType && info.getEventType() == eventType && info.getPid() == pid && info.getUid() == uid) {
                    return info;
                }
            }
            return null;
        }
    }

    private boolean existDecayInfo(int stateType, int eventType, int pid, java.lang.String pkg, int uid) {
        synchronized (this.mStateEventDecayInfos) {
            for (com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DecayInfo info : this.mStateEventDecayInfos) {
                if (info.getStateType() == stateType && info.getEventType() == eventType && info.getPid() == pid && info.getUid() == uid) {
                    return true;
                }
            }
            return false;
        }
    }

    private com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DecayInfo addDecayInfo(int stateType, int eventType, int pid, java.lang.String pkg, int uid) {
        com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DecayInfo decayInfo;
        synchronized (this.mStateEventDecayInfos) {
            decayInfo = getDecayInfo(stateType, eventType, pid, pkg, uid);
            if (decayInfo == null) {
                decayInfo = new com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DecayInfo(stateType, eventType, pid, pkg, uid);
                this.mStateEventDecayInfos.add(decayInfo);
            }
        }
        return decayInfo;
    }

    private com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DecayInfo removeDecayInfo(int stateType, int eventType, int pid, java.lang.String pkg, int uid) {
        synchronized (this.mStateEventDecayInfos) {
            com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DecayInfo decayInfo = getDecayInfo(stateType, eventType, pid, pkg, uid);
            if (decayInfo != null) {
                this.mStateEventDecayInfos.remove(decayInfo);
                return decayInfo;
            }
            return null;
        }
    }

    private int getStateEventDecayInfosSize() {
        int size;
        synchronized (this.mStateEventDecayInfos) {
            size = this.mStateEventDecayInfos.size();
        }
        return size;
    }

    private java.util.List<com.android.server.mtm.taskstatus.ProcessInfo> getProcessesByUid(int uid) {
        java.util.ArrayList<com.android.server.mtm.taskstatus.ProcessInfo> procList = com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance().getProcessInfoList();
        if (procList.isEmpty()) {
            return null;
        }
        java.util.List<com.android.server.mtm.taskstatus.ProcessInfo> procs = new java.util.ArrayList();
        int size = procList.size();
        for (int i = 0; i < size; i++) {
            com.android.server.mtm.taskstatus.ProcessInfo info = (com.android.server.mtm.taskstatus.ProcessInfo) procList.get(i);
            if (info != null && uid == info.mUid) {
                procs.add(info);
            }
        }
        return procs;
    }

    private boolean isInCalling() {
        if (checkKeyBackgroupByState(2, 0, 0, "com.android.incallui")) {
            return true;
        }
        java.util.ArrayList<com.android.server.mtm.taskstatus.ProcessInfo> procList = com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance().getProcessInfoList();
        if (procList.isEmpty()) {
            return false;
        }
        int i = 0;
        int size = procList.size();
        while (i < size) {
            if (procList.get(i) != null && ((com.android.server.mtm.taskstatus.ProcessInfo) procList.get(i)).mPackageName != null && ((com.android.server.mtm.taskstatus.ProcessInfo) procList.get(i)).mPackageName.contains("com.tencent.mm") && checkKeyBackgroupByState(2, ((com.android.server.mtm.taskstatus.ProcessInfo) procList.get(i)).mPid, ((com.android.server.mtm.taskstatus.ProcessInfo) procList.get(i)).mUid, "com.tencent.mm")) {
                return true;
            }
            i++;
        }
        return false;
    }

    private void updateAudioCache(int pid, int uid) {
        boolean iscalling = isInCalling();
        synchronized (this.mAudioCacheUids) {
            if (iscalling) {
                try {
                    this.mAudioCacheUids.add(java.lang.Integer.valueOf(uid));
                } catch (Throwable th) {
                }
            } else {
                this.mAudioCacheUids.clear();
            }
        }
    }

    public boolean isAudioCache(int uid) {
        if (!this.mIsInitialized.get()) {
            return false;
        }
        boolean contains;
        synchronized (this.mAudioCacheUids) {
            contains = this.mAudioCacheUids.contains(java.lang.Integer.valueOf(uid));
        }
        return contains;
    }

    private boolean isAppAlive(android.content.Context cxt, int uid) {
        if (cxt == null) {
            return false;
        }
        java.util.Map<java.lang.Integer, com.android.server.mtm.iaware.appmng.AwareProcessBaseInfo> baseInfos = this.mHwAMS != null ? this.mHwAMS.getAllProcessBaseInfo() : null;
        if (baseInfos != null) {
            if (!baseInfos.isEmpty()) {
                for (java.util.Map.Entry entry : baseInfos.entrySet()) {
                    com.android.server.mtm.iaware.appmng.AwareProcessBaseInfo valueInfo = (com.android.server.mtm.iaware.appmng.AwareProcessBaseInfo) entry.getValue();
                    if (valueInfo != null) {
                        if (valueInfo.copy().mUid == uid) {
                            return true;
                        }
                    }
                }
                return false;
            }
        }
        return false;
    }

    private void checkAssociateApp(int stateType, int eventType, int pid, java.lang.String pkg, int uid) {
        if (stateType == 3) {
            sendDecayMesssage(4, new com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DecayInfo(stateType, eventType, pid, pkg, uid), 0);
        }
    }

    private void checkHuaweiAmapApp(int stateType, int eventType, int uid) {
        if (this.mAmapAppUid == 0) {
            this.mAmapAppUid = getUidByPkg("com.amap.android.ams");
        }
        if (this.mAmapAppUid > 0 && this.mAmapAppUid == uid) {
            java.util.Set<java.lang.String> strong = new android.util.ArraySet();
            if (eventType == 1) {
                com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getAssocClientListForUid(uid, strong);
                if (strong.isEmpty()) {
                    return;
                }
            }
            synchronized (this) {
                updateGPSPkgArrayLocked(stateType, eventType, strong);
            }
        }
    }

    private int getUidByPkg(java.lang.String pkg) {
        java.util.ArrayList<com.android.server.mtm.taskstatus.ProcessInfo> procList = com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance().getProcessInfoList();
        if (procList.isEmpty()) {
            return 0;
        }
        int size = procList.size();
        for (int i = 0; i < size; i++) {
            com.android.server.mtm.taskstatus.ProcessInfo info = (com.android.server.mtm.taskstatus.ProcessInfo) procList.get(i);
            if (info != null && info.mPackageName != null && info.mPackageName.contains(pkg)) {
                return info.mUid;
            }
        }
        return 0;
    }

    private void updateGPSPkgArrayLocked(int stateType, int eventType, java.util.Set<java.lang.String> pkgs) {
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("updateGPSPkgArrayLocked eventType : ");
            stringBuilder.append(eventType);
            stringBuilder.append(" pkgs : ");
            stringBuilder.append(pkgs);
            android.rms.iaware.AwareLog.d("AwareAppKeyBackgroup", stringBuilder.toString());
        }
        if (!this.mScenePkgArray.isEmpty()) {
            if (eventType != 1) {
                ((android.util.ArraySet) this.mScenePkgArray.get(stateType)).clear();
            } else if (this.mIsAbroadArea) {
                ((android.util.ArraySet) this.mScenePkgArray.get(stateType)).addAll(pkgs);
            } else {
                for (java.lang.String pkg : pkgs) {
                    if (android.rms.iaware.AppTypeRecoManager.getInstance().getAppType(pkg) == 3) {
                        ((android.util.ArraySet) this.mScenePkgArray.get(stateType)).add(pkg);
                    }
                }
            }
        }
    }

    private void removeDecayForProcessDied(int stateType, int eventType, int pid, java.lang.String pkg, int uid) {
        if (!isNeedDecay(stateType, eventType) || !existDecayInfo(stateType, eventType, pid, pkg, uid)) {
            return;
        }
        if (pid != 0 || !isAppAlive(this.mContext, uid)) {
            com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DecayInfo decayInfo = removeDecayInfo(stateType, eventType, pid, pkg, uid);
            if (decayInfo != null) {
                updateSceneState(decayInfo.getStateType(), decayInfo.getEventType(), decayInfo.getPid(), decayInfo.getPkg(), decayInfo.getUid());
                this.mAppKeyHandler.removeMessages(1, decayInfo);
            }
        }
    }

    public boolean checkIsKeyBackgroupInternal(int pid, int uid) {
        if (!this.mIsInitialized.get()) {
            return false;
        }
        synchronized (this) {
            if (this.mKeyBackgroupPids.contains(java.lang.Integer.valueOf(pid))) {
                return true;
            } else if (this.mKeyBackgroupUids.contains(java.lang.Integer.valueOf(uid))) {
                return true;
            } else {
                return false;
            }
        }
    }

    /* JADX WARNING: Missing block: B:12:0x001d, code:
            monitor-enter(r4);
     */
    /* JADX WARNING: Missing block: B:15:0x0028, code:
            if (r4.mKeyBackgroupPids.contains(java.lang.Integer.valueOf(r5)) == false) goto L_0x0030;
     */
    /* JADX WARNING: Missing block: B:16:0x002a, code:
            r0 = getKeyBackgroupTypeByPidLocked(r5);
     */
    /* JADX WARNING: Missing block: B:17:0x002e, code:
            monitor-exit(r4);
     */
    /* JADX WARNING: Missing block: B:18:0x002f, code:
            return r0;
     */
    /* JADX WARNING: Missing block: B:20:0x003a, code:
            if (r4.mKeyBackgroupUids.contains(java.lang.Integer.valueOf(r6)) == false) goto L_0x0042;
     */
    /* JADX WARNING: Missing block: B:21:0x003c, code:
            r0 = getKeyBackgroupTypeByUidLocked(r6);
     */
    /* JADX WARNING: Missing block: B:22:0x0040, code:
            monitor-exit(r4);
     */
    /* JADX WARNING: Missing block: B:23:0x0041, code:
            return r0;
     */
    /* JADX WARNING: Missing block: B:24:0x0042, code:
            if (r7 != null) goto L_0x0046;
     */
    /* JADX WARNING: Missing block: B:25:0x0044, code:
            monitor-exit(r4);
     */
    /* JADX WARNING: Missing block: B:26:0x0045, code:
            return -1;
     */
    /* JADX WARNING: Missing block: B:27:0x0046, code:
            r0 = getKeyBackgroupTypeByPkgsLocked(r7);
     */
    /* JADX WARNING: Missing block: B:28:0x004a, code:
            monitor-exit(r4);
     */
    /* JADX WARNING: Missing block: B:29:0x004b, code:
            return r0;
     */
    public int getKeyBackgroupTypeInternal(int r5, int r6, java.util.List<java.lang.String> r7) {
        /*
        r4 = this;
        r0 = r4.mIsInitialized;
        r0 = r0.get();
        r1 = -1;
        if (r0 != 0) goto L_0x000a;
    L_0x0009:
        return r1;
    L_0x000a:
        r0 = r4.mAudioCacheUids;
        monitor-enter(r0);
        r2 = r4.mAudioCacheUids;	 Catch:{ all -> 0x004f }
        r3 = java.lang.Integer.valueOf(r6);	 Catch:{ all -> 0x004f }
        r2 = r2.contains(r3);	 Catch:{ all -> 0x004f }
        if (r2 == 0) goto L_0x001c;
    L_0x0019:
        r1 = 2;
        monitor-exit(r0);	 Catch:{ all -> 0x004f }
        return r1;
    L_0x001c:
        monitor-exit(r0);	 Catch:{ all -> 0x004f }
        monitor-enter(r4);
        r0 = r4.mKeyBackgroupPids;	 Catch:{ all -> 0x004c }
        r2 = java.lang.Integer.valueOf(r5);	 Catch:{ all -> 0x004c }
        r0 = r0.contains(r2);	 Catch:{ all -> 0x004c }
        if (r0 == 0) goto L_0x0030;
    L_0x002a:
        r0 = r4.getKeyBackgroupTypeByPidLocked(r5);	 Catch:{ all -> 0x004c }
        monitor-exit(r4);	 Catch:{ all -> 0x004c }
        return r0;
    L_0x0030:
        r0 = r4.mKeyBackgroupUids;	 Catch:{ all -> 0x004c }
        r2 = java.lang.Integer.valueOf(r6);	 Catch:{ all -> 0x004c }
        r0 = r0.contains(r2);	 Catch:{ all -> 0x004c }
        if (r0 == 0) goto L_0x0042;
    L_0x003c:
        r0 = r4.getKeyBackgroupTypeByUidLocked(r6);	 Catch:{ all -> 0x004c }
        monitor-exit(r4);	 Catch:{ all -> 0x004c }
        return r0;
    L_0x0042:
        if (r7 != 0) goto L_0x0046;
    L_0x0044:
        monitor-exit(r4);	 Catch:{ all -> 0x004c }
        return r1;
    L_0x0046:
        r0 = r4.getKeyBackgroupTypeByPkgsLocked(r7);	 Catch:{ all -> 0x004c }
        monitor-exit(r4);	 Catch:{ all -> 0x004c }
        return r0;
    L_0x004c:
        r0 = move-exception;
        monitor-exit(r4);	 Catch:{ all -> 0x004c }
        throw r0;
    L_0x004f:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x004f }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getKeyBackgroupTypeInternal(int, int, java.util.List):int");
    }

    public boolean checkIsKeyBackgroup(int pid, int uid) {
        if (!this.mIsInitialized.get()) {
            return false;
        }
        if (com.android.server.rms.iaware.appmng.AwareDefaultConfigList.getInstance().getKeyHabitAppList().contains(com.android.server.mtm.utils.InnerUtils.getAwarePkgName(pid))) {
            return true;
        }
        return checkIsKeyBackgroupInternal(pid, uid);
    }

    /* JADX WARNING: Missing block: B:15:0x0022, code:
            monitor-enter(r6);
     */
    /* JADX WARNING: Missing block: B:18:0x0029, code:
            if (r6.mSceneUidArray.isEmpty() == false) goto L_0x002d;
     */
    /* JADX WARNING: Missing block: B:19:0x002b, code:
            monitor-exit(r6);
     */
    /* JADX WARNING: Missing block: B:20:0x002c, code:
            return false;
     */
    /* JADX WARNING: Missing block: B:22:0x003d, code:
            if (((android.util.ArraySet) r6.mSceneUidArray.get(r7)).contains(java.lang.Integer.valueOf(r9)) == false) goto L_0x0041;
     */
    /* JADX WARNING: Missing block: B:23:0x003f, code:
            monitor-exit(r6);
     */
    /* JADX WARNING: Missing block: B:24:0x0040, code:
            return true;
     */
    /* JADX WARNING: Missing block: B:26:0x0051, code:
            if (((android.util.ArraySet) r6.mScenePidArray.get(r7)).contains(java.lang.Integer.valueOf(r8)) == false) goto L_0x0055;
     */
    /* JADX WARNING: Missing block: B:27:0x0053, code:
            monitor-exit(r6);
     */
    /* JADX WARNING: Missing block: B:28:0x0054, code:
            return true;
     */
    /* JADX WARNING: Missing block: B:29:0x0055, code:
            if (r10 == null) goto L_0x0084;
     */
    /* JADX WARNING: Missing block: B:31:0x005b, code:
            if (r10.isEmpty() == false) goto L_0x005e;
     */
    /* JADX WARNING: Missing block: B:33:0x005e, code:
            r0 = (android.util.ArraySet) r6.mScenePkgArray.get(r7);
            r2 = r10.iterator();
     */
    /* JADX WARNING: Missing block: B:35:0x006e, code:
            if (r2.hasNext() == false) goto L_0x0082;
     */
    /* JADX WARNING: Missing block: B:36:0x0070, code:
            r4 = (java.lang.String) r2.next();
     */
    /* JADX WARNING: Missing block: B:37:0x0076, code:
            if (r4 != null) goto L_0x0079;
     */
    /* JADX WARNING: Missing block: B:40:0x007d, code:
            if (r0.contains(r4) == false) goto L_0x0081;
     */
    /* JADX WARNING: Missing block: B:41:0x007f, code:
            monitor-exit(r6);
     */
    /* JADX WARNING: Missing block: B:42:0x0080, code:
            return true;
     */
    /* JADX WARNING: Missing block: B:44:0x0082, code:
            monitor-exit(r6);
     */
    /* JADX WARNING: Missing block: B:45:0x0083, code:
            return false;
     */
    /* JADX WARNING: Missing block: B:46:0x0084, code:
            monitor-exit(r6);
     */
    /* JADX WARNING: Missing block: B:47:0x0085, code:
            return false;
     */
    public boolean checkKeyBackgroupByState(int r7, int r8, int r9, java.util.List<java.lang.String> r10) {
        /*
        r6 = this;
        r0 = r6.mIsInitialized;
        r0 = r0.get();
        r1 = 0;
        if (r0 != 0) goto L_0x000a;
    L_0x0009:
        return r1;
    L_0x000a:
        r0 = r6.mAudioCacheUids;
        monitor-enter(r0);
        r2 = 2;
        r3 = 1;
        if (r2 != r7) goto L_0x0021;
    L_0x0011:
        r2 = r6.mAudioCacheUids;	 Catch:{ all -> 0x001f }
        r4 = java.lang.Integer.valueOf(r9);	 Catch:{ all -> 0x001f }
        r2 = r2.contains(r4);	 Catch:{ all -> 0x001f }
        if (r2 == 0) goto L_0x0021;
    L_0x001d:
        monitor-exit(r0);	 Catch:{ all -> 0x001f }
        return r3;
    L_0x001f:
        r1 = move-exception;
        goto L_0x0089;
    L_0x0021:
        monitor-exit(r0);	 Catch:{ all -> 0x001f }
        monitor-enter(r6);
        r0 = r6.mSceneUidArray;	 Catch:{ all -> 0x0086 }
        r0 = r0.isEmpty();	 Catch:{ all -> 0x0086 }
        if (r0 == 0) goto L_0x002d;
    L_0x002b:
        monitor-exit(r6);	 Catch:{ all -> 0x0086 }
        return r1;
    L_0x002d:
        r0 = r6.mSceneUidArray;	 Catch:{ all -> 0x0086 }
        r0 = r0.get(r7);	 Catch:{ all -> 0x0086 }
        r0 = (android.util.ArraySet) r0;	 Catch:{ all -> 0x0086 }
        r2 = java.lang.Integer.valueOf(r9);	 Catch:{ all -> 0x0086 }
        r0 = r0.contains(r2);	 Catch:{ all -> 0x0086 }
        if (r0 == 0) goto L_0x0041;
    L_0x003f:
        monitor-exit(r6);	 Catch:{ all -> 0x0086 }
        return r3;
    L_0x0041:
        r0 = r6.mScenePidArray;	 Catch:{ all -> 0x0086 }
        r0 = r0.get(r7);	 Catch:{ all -> 0x0086 }
        r0 = (android.util.ArraySet) r0;	 Catch:{ all -> 0x0086 }
        r2 = java.lang.Integer.valueOf(r8);	 Catch:{ all -> 0x0086 }
        r0 = r0.contains(r2);	 Catch:{ all -> 0x0086 }
        if (r0 == 0) goto L_0x0055;
    L_0x0053:
        monitor-exit(r6);	 Catch:{ all -> 0x0086 }
        return r3;
    L_0x0055:
        if (r10 == 0) goto L_0x0084;
    L_0x0057:
        r0 = r10.isEmpty();	 Catch:{ all -> 0x0086 }
        if (r0 == 0) goto L_0x005e;
    L_0x005d:
        goto L_0x0084;
    L_0x005e:
        r0 = r6.mScenePkgArray;	 Catch:{ all -> 0x0086 }
        r0 = r0.get(r7);	 Catch:{ all -> 0x0086 }
        r0 = (android.util.ArraySet) r0;	 Catch:{ all -> 0x0086 }
        r2 = r10.iterator();	 Catch:{ all -> 0x0086 }
    L_0x006a:
        r4 = r2.hasNext();	 Catch:{ all -> 0x0086 }
        if (r4 == 0) goto L_0x0082;
    L_0x0070:
        r4 = r2.next();	 Catch:{ all -> 0x0086 }
        r4 = (java.lang.String) r4;	 Catch:{ all -> 0x0086 }
        if (r4 != 0) goto L_0x0079;
    L_0x0078:
        goto L_0x006a;
    L_0x0079:
        r5 = r0.contains(r4);	 Catch:{ all -> 0x0086 }
        if (r5 == 0) goto L_0x0081;
    L_0x007f:
        monitor-exit(r6);	 Catch:{ all -> 0x0086 }
        return r3;
    L_0x0081:
        goto L_0x006a;
    L_0x0082:
        monitor-exit(r6);	 Catch:{ all -> 0x0086 }
        return r1;
    L_0x0084:
        monitor-exit(r6);	 Catch:{ all -> 0x0086 }
        return r1;
    L_0x0086:
        r0 = move-exception;
        monitor-exit(r6);	 Catch:{ all -> 0x0086 }
        throw r0;
    L_0x0089:
        monitor-exit(r0);	 Catch:{ all -> 0x001f }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.checkKeyBackgroupByState(int, int, int, java.util.List):boolean");
    }

    private boolean checkKeyBackgroupByState(int state, int pid, int uid, java.lang.String pkg) {
        if (!this.mIsInitialized.get()) {
            return false;
        }
        synchronized (this) {
            if (this.mSceneUidArray.isEmpty()) {
                return false;
            } else if (((android.util.ArraySet) this.mSceneUidArray.get(state)).contains(java.lang.Integer.valueOf(uid))) {
                return true;
            } else if (((android.util.ArraySet) this.mScenePidArray.get(state)).contains(java.lang.Integer.valueOf(pid))) {
                return true;
            } else if (((android.util.ArraySet) this.mScenePkgArray.get(state)).contains(pkg)) {
                return true;
            } else {
                return false;
            }
        }
    }

    private void updateSceneArrayProcessDied(int uid, int pid) {
        synchronized (this) {
            boolean appAlive = isAppAlive(this.mContext, uid);
            int size = this.mScenePidArray.size();
            for (int i = 1; i < size; i++) {
                if (((android.util.ArraySet) this.mScenePidArray.get(i)).contains(java.lang.Integer.valueOf(pid))) {
                    ((android.util.ArraySet) this.mSceneUidArray.get(i)).remove(java.lang.Integer.valueOf(uid));
                    ((android.util.ArraySet) this.mScenePidArray.get(i)).remove(java.lang.Integer.valueOf(pid));
                    this.mKeyBackgroupUids.remove(java.lang.Integer.valueOf(pid));
                } else if (!(uid == 0 || appAlive)) {
                    ((android.util.ArraySet) this.mSceneUidArray.get(i)).remove(java.lang.Integer.valueOf(uid));
                }
            }
            updateKbgUidsArrayLocked();
        }
    }

    private void updateScenePidArrayForInvalidPid(int uid) {
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("updateScenePidArrayForInvalidPid uid ");
            stringBuilder.append(uid);
            android.rms.iaware.AwareLog.d("AwareAppKeyBackgroup", stringBuilder.toString());
        }
        java.util.List<com.android.server.mtm.taskstatus.ProcessInfo> procs = getProcessesByUid(uid);
        if (procs != null) {
            if (!procs.isEmpty()) {
                for (com.android.server.mtm.taskstatus.ProcessInfo info : procs) {
                    if (info != null) {
                        if (DEBUG) {
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("updateScenePidArrayForInvalidPid pid ");
                            stringBuilder2.append(info.mPid);
                            android.rms.iaware.AwareLog.d("AwareAppKeyBackgroup", stringBuilder2.toString());
                        }
                        synchronized (this) {
                            int size = this.mScenePidArray.size();
                            for (int i = 1; i < size; i++) {
                                ((android.util.ArraySet) this.mScenePidArray.get(i)).remove(java.lang.Integer.valueOf(info.mPid));
                            }
                            this.mKeyBackgroupUids.remove(java.lang.Integer.valueOf(info.mPid));
                        }
                    }
                }
            }
        }
    }

    private void updateKbgUidsArrayLocked() {
        this.mKeyBackgroupUids.clear();
        int size = this.mSceneUidArray.size();
        for (int i = 0; i < size; i++) {
            this.mKeyBackgroupUids.addAll((android.util.ArraySet) this.mSceneUidArray.get(i));
        }
    }

    private void updateSceneArrayLocked(int stateType, int eventType, int pid, java.lang.String pkg, int uid) {
        if (!this.mSceneUidArray.isEmpty()) {
            if (eventType == 1) {
                if (pid != 0) {
                    ((android.util.ArraySet) this.mScenePidArray.get(stateType)).add(java.lang.Integer.valueOf(pid));
                }
                if (uid != 0) {
                    ((android.util.ArraySet) this.mSceneUidArray.get(stateType)).add(java.lang.Integer.valueOf(uid));
                }
                if (!(pkg == null || pkg.isEmpty())) {
                    ((android.util.ArraySet) this.mScenePkgArray.get(stateType)).add(pkg);
                }
            } else if (eventType == 2) {
                if (pid != 0) {
                    ((android.util.ArraySet) this.mScenePidArray.get(stateType)).remove(java.lang.Integer.valueOf(pid));
                }
                if (uid != 0) {
                    ((android.util.ArraySet) this.mSceneUidArray.get(stateType)).remove(java.lang.Integer.valueOf(uid));
                }
                if (!(pkg == null || pkg.isEmpty())) {
                    ((android.util.ArraySet) this.mScenePkgArray.get(stateType)).remove(pkg);
                }
            }
        }
    }

    private void updateSceneState(int stateType, int eventType, int pid, java.lang.String pkg, int uid) {
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("state type: ");
            stringBuilder.append(stateType);
            stringBuilder.append(" eventType:");
            stringBuilder.append(eventType);
            stringBuilder.append(" pid:");
            stringBuilder.append(pid);
            stringBuilder.append(" uid:");
            stringBuilder.append(uid);
            stringBuilder.append(" pkg:");
            stringBuilder.append(pkg);
            android.rms.iaware.AwareLog.d("AwareAppKeyBackgroup", stringBuilder.toString());
        }
        if (stateType >= 1) {
            if (stateType < STATE_SIZE) {
                int realpid = pid;
                if (pid == -1) {
                    updateScenePidArrayForInvalidPid(uid);
                    realpid = 0;
                }
                notifyStateChange(stateType, eventType, realpid, uid);
                synchronized (this) {
                    updateSceneArrayLocked(stateType, eventType, realpid, pkg, uid);
                    if (eventType == 1 && !this.mKeyBackgroupUids.contains(java.lang.Integer.valueOf(uid))) {
                        notifyStateChange(0, eventType, realpid, uid);
                    }
                    this.mKeyBackgroupPids.clear();
                    this.mKeyBackgroupUids.clear();
                    this.mKeyBackgroupPkgs.clear();
                    int size = this.mScenePidArray.size();
                    for (int i = 0; i < size; i++) {
                        this.mKeyBackgroupPids.addAll((android.util.ArraySet) this.mScenePidArray.get(i));
                        this.mKeyBackgroupUids.addAll((android.util.ArraySet) this.mSceneUidArray.get(i));
                        this.mKeyBackgroupPkgs.addAll((android.util.ArraySet) this.mScenePkgArray.get(i));
                    }
                    if (eventType == 2 && !this.mKeyBackgroupUids.contains(java.lang.Integer.valueOf(uid))) {
                        notifyStateChange(0, eventType, realpid, uid);
                    }
                    if (DEBUG && this.mScenePidArray.size() > stateType) {
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("stateChanged ");
                        stringBuilder2.append(stateToString(stateType));
                        stringBuilder2.append(" mPids:");
                        stringBuilder2.append(this.mScenePidArray.get(stateType));
                        android.rms.iaware.AwareLog.d("AwareAppKeyBackgroup", stringBuilder2.toString());
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("stateChanged ");
                        stringBuilder2.append(stateToString(stateType));
                        stringBuilder2.append(" mUids:");
                        stringBuilder2.append(this.mSceneUidArray.get(stateType));
                        android.rms.iaware.AwareLog.d("AwareAppKeyBackgroup", stringBuilder2.toString());
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("stateChanged ");
                        stringBuilder2.append(stateToString(stateType));
                        stringBuilder2.append(" mPkgs:");
                        stringBuilder2.append(this.mScenePkgArray.get(stateType));
                        android.rms.iaware.AwareLog.d("AwareAppKeyBackgroup", stringBuilder2.toString());
                    }
                }
            }
        }
    }

    public void dump(java.io.PrintWriter pw) {
        if (pw != null) {
            if (this.mIsInitialized.get()) {
                pw.println("dump Important State Apps start --------");
                synchronized (this) {
                    int size = this.mScenePidArray.size();
                    for (int i = 1; i < size; i++) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("State[");
                        stringBuilder.append(stateToString(i));
                        stringBuilder.append("] Pids:");
                        stringBuilder.append(this.mScenePidArray.get(i));
                        pw.println(stringBuilder.toString());
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("State[");
                        stringBuilder.append(stateToString(i));
                        stringBuilder.append("] Uids:");
                        stringBuilder.append(this.mSceneUidArray.get(i));
                        pw.println(stringBuilder.toString());
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("State[");
                        stringBuilder.append(stateToString(i));
                        stringBuilder.append("] Pkgs:");
                        stringBuilder.append(this.mScenePkgArray.get(i));
                        pw.println(stringBuilder.toString());
                    }
                }
                synchronized (this.mAudioCacheUids) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("State[AUDIO CACHE] Uids:");
                    stringBuilder2.append(this.mAudioCacheUids);
                    pw.println(stringBuilder2.toString());
                }
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("nat timeout:");
                stringBuilder3.append(this.mNatTimeout);
                pw.println(stringBuilder3.toString());
                pw.println("dump Important State Apps end-----------");
                return;
            }
            pw.println("KeyBackGroup feature not enabled.");
        }
    }

    public void dumpCheckStateByPid(java.io.PrintWriter pw, android.content.Context context, int state, int pid) {
        if (pw != null) {
            if (this.mPGSdk != null) {
                if (this.mIsInitialized.get()) {
                    pw.println("----------------------------------------");
                    boolean result = false;
                    try {
                        result = this.mPGSdk.checkStateByPid(context, pid, state);
                    } catch (android.os.RemoteException e) {
                        android.rms.iaware.AwareLog.e("AwareAppKeyBackgroup", "dumpCheckStateByPid occur exception.");
                    }
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("CheckState Pid:");
                    stringBuilder.append(pid);
                    pw.println(stringBuilder.toString());
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("state:");
                    stringBuilder.append(stateToString(state));
                    pw.println(stringBuilder.toString());
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("result:");
                    stringBuilder.append(result);
                    pw.println(stringBuilder.toString());
                    pw.println("----------------------------------------");
                    return;
                }
            }
            pw.println("KeyBackGroup feature not enabled.");
        }
    }

    public void dumpCheckStateByPkg(java.io.PrintWriter pw, android.content.Context context, int state, java.lang.String pkg) {
        if (!(pw == null || pkg == null)) {
            if (context != null) {
                if (this.mPGSdk != null) {
                    if (this.mIsInitialized.get()) {
                        pw.println("----------------------------------------");
                        boolean result = false;
                        try {
                            result = this.mPGSdk.checkStateByPkg(context, pkg, state);
                        } catch (android.os.RemoteException e) {
                            android.rms.iaware.AwareLog.e("AwareAppKeyBackgroup", "dumpCheckStateByPkg occur exception.");
                        }
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("CheckState Package:");
                        stringBuilder.append(pkg);
                        pw.println(stringBuilder.toString());
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("state:");
                        stringBuilder.append(stateToString(state));
                        pw.println(stringBuilder.toString());
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("result:");
                        stringBuilder.append(result);
                        pw.println(stringBuilder.toString());
                        pw.println("----------------------------------------");
                        return;
                    }
                }
                pw.println("KeyBackGroup feature not enabled.");
            }
        }
    }

    public void dumpCheckPkgType(java.io.PrintWriter pw, android.content.Context context, java.lang.String pkg) {
        if (!(pw == null || pkg == null)) {
            if (context != null) {
                if (this.mPGSdk != null) {
                    if (this.mIsInitialized.get()) {
                        int type = 0;
                        pw.println("----------------------------------------");
                        try {
                            type = this.mPGSdk.getPkgType(context, pkg);
                        } catch (android.os.RemoteException e) {
                            android.rms.iaware.AwareLog.e("AwareAppKeyBackgroup", "getAppType occur exception.");
                        }
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("CheckType Package:");
                        stringBuilder.append(pkg);
                        pw.println(stringBuilder.toString());
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("type:");
                        stringBuilder.append(typeToString(type));
                        pw.println(stringBuilder.toString());
                        pw.println("----------------------------------------");
                        return;
                    }
                }
                pw.println("KeyBackGroup feature not enabled.");
            }
        }
    }

    public void dumpFakeEvent(java.io.PrintWriter pw, int stateType, int eventType, int pid, java.lang.String pkg, int uid) {
        if (pw != null) {
            if (pkg != null) {
                if (this.mPGSdk != null) {
                    if (this.mIsInitialized.get()) {
                        pw.println("----------------------------------------");
                        getInstance().updateSceneState(stateType, eventType, pid, pkg, uid);
                        pw.println("Send fake event success!");
                        pw.println("----------------------------------------");
                        return;
                    }
                }
                pw.println("KeyBackGroup feature not enabled.");
            }
        }
    }

    public void dumpCheckKeyBackGroup(java.io.PrintWriter pw, int pid, int uid) {
        if (pw != null) {
            if (this.mIsInitialized.get()) {
                pw.println("dump CheckKeyBackGroup State start --------");
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Check Pid:");
                stringBuilder.append(pid);
                pw.println(stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Check Uid:");
                stringBuilder.append(uid);
                pw.println(stringBuilder.toString());
                boolean result = checkIsKeyBackgroup(pid, uid);
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("result:");
                stringBuilder2.append(result);
                pw.println(stringBuilder2.toString());
                pw.println("dump CheckKeyBackGroup State end-----------");
                return;
            }
            pw.println("KeyBackGroup feature not enabled.");
        }
    }

    private int getKeyBackgroupTypeByPidLocked(int pid) {
        if (this.mScenePidArray.isEmpty()) {
            return -1;
        }
        if (((android.util.ArraySet) this.mScenePidArray.get(2)).contains(java.lang.Integer.valueOf(pid))) {
            return 2;
        }
        if (((android.util.ArraySet) this.mScenePidArray.get(1)).contains(java.lang.Integer.valueOf(pid))) {
            return 1;
        }
        if (((android.util.ArraySet) this.mScenePidArray.get(3)).contains(java.lang.Integer.valueOf(pid))) {
            return 3;
        }
        if (((android.util.ArraySet) this.mScenePidArray.get(5)).contains(java.lang.Integer.valueOf(pid))) {
            return 5;
        }
        if (((android.util.ArraySet) this.mScenePidArray.get(4)).contains(java.lang.Integer.valueOf(pid))) {
            return 4;
        }
        return -1;
    }

    private int getKeyBackgroupTypeByUidLocked(int uid) {
        if (this.mSceneUidArray.isEmpty()) {
            return -1;
        }
        if (((android.util.ArraySet) this.mSceneUidArray.get(2)).contains(java.lang.Integer.valueOf(uid))) {
            return 2;
        }
        if (((android.util.ArraySet) this.mSceneUidArray.get(1)).contains(java.lang.Integer.valueOf(uid))) {
            return 1;
        }
        if (((android.util.ArraySet) this.mSceneUidArray.get(3)).contains(java.lang.Integer.valueOf(uid))) {
            return 3;
        }
        if (((android.util.ArraySet) this.mSceneUidArray.get(5)).contains(java.lang.Integer.valueOf(uid))) {
            return 5;
        }
        if (((android.util.ArraySet) this.mSceneUidArray.get(4)).contains(java.lang.Integer.valueOf(uid))) {
            return 4;
        }
        return -1;
    }

    private int getKeyBackgroupTypeByPkgsLocked(java.util.List<java.lang.String> pkgs) {
        if (this.mScenePkgArray.isEmpty()) {
            return -1;
        }
        for (java.lang.String pkg : pkgs) {
            if (((android.util.ArraySet) this.mScenePkgArray.get(2)).contains(pkg)) {
                return 2;
            }
            if (((android.util.ArraySet) this.mScenePkgArray.get(1)).contains(pkg)) {
                return 1;
            }
            if (((android.util.ArraySet) this.mScenePkgArray.get(3)).contains(pkg)) {
                return 3;
            }
            if (((android.util.ArraySet) this.mScenePkgArray.get(5)).contains(pkg)) {
                return 5;
            }
            if (((android.util.ArraySet) this.mScenePkgArray.get(4)).contains(pkg)) {
                return 4;
            }
        }
        return -1;
    }

    private void handleSensorEvent(int uid, int sensor, boolean enable) {
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sensor:");
            stringBuilder.append(sensor);
            stringBuilder.append(" enable:");
            stringBuilder.append(enable);
            stringBuilder.append(" uid:");
            stringBuilder.append(uid);
            android.rms.iaware.AwareLog.i("AwareAppKeyBackgroup", stringBuilder.toString());
        }
        synchronized (this) {
            com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.SensorRecord se = (com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.SensorRecord) this.mHistorySensorRecords.get(uid);
            if (enable) {
                if (se == null) {
                    this.mHistorySensorRecords.put(uid, new com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.SensorRecord(uid, sensor));
                } else {
                    se.addSensor(sensor);
                }
            } else if (se != null && se.hasSensor()) {
                se.removeSensor(java.lang.Integer.valueOf(sensor));
            }
        }
    }

    /* JADX WARNING: Missing block: B:12:0x0030, code:
            return;
     */
    /* JADX WARNING: Missing block: B:15:?, code:
            r0 = r7.mPGSdk.getSensorInfoByUid(r8, r9);
     */
    /* JADX WARNING: Missing block: B:16:0x0038, code:
            if (r0 == null) goto L_0x0099;
     */
    /* JADX WARNING: Missing block: B:17:0x003a, code:
            r1 = r0.entrySet().iterator();
     */
    /* JADX WARNING: Missing block: B:19:0x0046, code:
            if (r1.hasNext() == false) goto L_0x006d;
     */
    /* JADX WARNING: Missing block: B:20:0x0048, code:
            r2 = (java.util.Map.Entry) r1.next();
            r3 = java.lang.Integer.parseInt((java.lang.String) r2.getKey());
            r4 = java.lang.Integer.parseInt((java.lang.String) r2.getValue());
            r6 = 1;
     */
    /* JADX WARNING: Missing block: B:21:0x0064, code:
            if (r6 > r4) goto L_0x006c;
     */
    /* JADX WARNING: Missing block: B:22:0x0066, code:
            handleSensorEvent(r9, r3, true);
            r6 = r6 + 1;
     */
    /* JADX WARNING: Missing block: B:25:0x006f, code:
            if (DEBUG == false) goto L_0x0099;
     */
    /* JADX WARNING: Missing block: B:26:0x0071, code:
            r3 = new java.lang.StringBuilder();
            r3.append("getSensorInfoByUid sensor handles ");
            r3.append(r0);
            android.rms.iaware.AwareLog.d("AwareAppKeyBackgroup", r3.toString());
     */
    /* JADX WARNING: Missing block: B:28:0x0089, code:
            android.rms.iaware.AwareLog.e("AwareAppKeyBackgroup", "integer parse error!");
     */
    /* JADX WARNING: Missing block: B:30:0x0092, code:
            android.rms.iaware.AwareLog.e("AwareAppKeyBackgroup", "error, PG crash!");
     */
    private void initAppSensorState(android.content.Context r8, int r9) {
        /*
        r7 = this;
        r0 = r7.mPGSdk;
        if (r0 != 0) goto L_0x000c;
    L_0x0004:
        r0 = "AwareAppKeyBackgroup";
        r1 = "KeyBackGroup feature not enabled.";
        android.rms.iaware.AwareLog.e(r0, r1);
        return;
    L_0x000c:
        monitor-enter(r7);
        r0 = r7.mHistorySensorRecords;	 Catch:{ all -> 0x009b }
        r0 = r0.get(r9);	 Catch:{ all -> 0x009b }
        if (r0 == 0) goto L_0x0031;
    L_0x0015:
        r0 = DEBUG;	 Catch:{ all -> 0x009b }
        if (r0 == 0) goto L_0x002f;
    L_0x0019:
        r0 = "AwareAppKeyBackgroup";
        r1 = new java.lang.StringBuilder;	 Catch:{ all -> 0x009b }
        r1.<init>();	 Catch:{ all -> 0x009b }
        r2 = "History Sensor Records has uid ";
        r1.append(r2);	 Catch:{ all -> 0x009b }
        r1.append(r9);	 Catch:{ all -> 0x009b }
        r1 = r1.toString();	 Catch:{ all -> 0x009b }
        android.rms.iaware.AwareLog.d(r0, r1);	 Catch:{ all -> 0x009b }
    L_0x002f:
        monitor-exit(r7);	 Catch:{ all -> 0x009b }
        return;
    L_0x0031:
        monitor-exit(r7);	 Catch:{ all -> 0x009b }
        r0 = r7.mPGSdk;	 Catch:{ RemoteException -> 0x0091, NumberFormatException -> 0x0088 }
        r0 = r0.getSensorInfoByUid(r8, r9);	 Catch:{ RemoteException -> 0x0091, NumberFormatException -> 0x0088 }
        if (r0 == 0) goto L_0x0099;
    L_0x003a:
        r1 = r0.entrySet();	 Catch:{ RemoteException -> 0x0091, NumberFormatException -> 0x0088 }
        r1 = r1.iterator();	 Catch:{ RemoteException -> 0x0091, NumberFormatException -> 0x0088 }
    L_0x0042:
        r2 = r1.hasNext();	 Catch:{ RemoteException -> 0x0091, NumberFormatException -> 0x0088 }
        if (r2 == 0) goto L_0x006d;
    L_0x0048:
        r2 = r1.next();	 Catch:{ RemoteException -> 0x0091, NumberFormatException -> 0x0088 }
        r2 = (java.util.Map.Entry) r2;	 Catch:{ RemoteException -> 0x0091, NumberFormatException -> 0x0088 }
        r3 = r2.getKey();	 Catch:{ RemoteException -> 0x0091, NumberFormatException -> 0x0088 }
        r3 = (java.lang.String) r3;	 Catch:{ RemoteException -> 0x0091, NumberFormatException -> 0x0088 }
        r3 = java.lang.Integer.parseInt(r3);	 Catch:{ RemoteException -> 0x0091, NumberFormatException -> 0x0088 }
        r4 = r2.getValue();	 Catch:{ RemoteException -> 0x0091, NumberFormatException -> 0x0088 }
        r4 = (java.lang.String) r4;	 Catch:{ RemoteException -> 0x0091, NumberFormatException -> 0x0088 }
        r4 = java.lang.Integer.parseInt(r4);	 Catch:{ RemoteException -> 0x0091, NumberFormatException -> 0x0088 }
        r5 = 1;
        r6 = r5;
    L_0x0064:
        if (r6 > r4) goto L_0x006c;
    L_0x0066:
        r7.handleSensorEvent(r9, r3, r5);	 Catch:{ RemoteException -> 0x0091, NumberFormatException -> 0x0088 }
        r6 = r6 + 1;
        goto L_0x0064;
    L_0x006c:
        goto L_0x0042;
    L_0x006d:
        r2 = DEBUG;	 Catch:{ RemoteException -> 0x0091, NumberFormatException -> 0x0088 }
        if (r2 == 0) goto L_0x0099;
    L_0x0071:
        r2 = "AwareAppKeyBackgroup";
        r3 = new java.lang.StringBuilder;	 Catch:{ RemoteException -> 0x0091, NumberFormatException -> 0x0088 }
        r3.<init>();	 Catch:{ RemoteException -> 0x0091, NumberFormatException -> 0x0088 }
        r4 = "getSensorInfoByUid sensor handles ";
        r3.append(r4);	 Catch:{ RemoteException -> 0x0091, NumberFormatException -> 0x0088 }
        r3.append(r0);	 Catch:{ RemoteException -> 0x0091, NumberFormatException -> 0x0088 }
        r3 = r3.toString();	 Catch:{ RemoteException -> 0x0091, NumberFormatException -> 0x0088 }
        android.rms.iaware.AwareLog.d(r2, r3);	 Catch:{ RemoteException -> 0x0091, NumberFormatException -> 0x0088 }
        goto L_0x0099;
    L_0x0088:
        r0 = move-exception;
        r1 = "AwareAppKeyBackgroup";
        r2 = "integer parse error!";
        android.rms.iaware.AwareLog.e(r1, r2);
        goto L_0x009a;
    L_0x0091:
        r0 = move-exception;
        r1 = "AwareAppKeyBackgroup";
        r2 = "error, PG crash!";
        android.rms.iaware.AwareLog.e(r1, r2);
    L_0x009a:
        return;
    L_0x009b:
        r0 = move-exception;
        monitor-exit(r7);	 Catch:{ all -> 0x009b }
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.initAppSensorState(android.content.Context, int):void");
    }

    private void updateAppSensorState(boolean sensorStart, int uid, int pid) {
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("updateAppSensorState :");
            stringBuilder.append(uid);
            stringBuilder.append(" pid ");
            stringBuilder.append(pid);
            android.rms.iaware.AwareLog.i("AwareAppKeyBackgroup", stringBuilder.toString());
        }
        updateSceneState(4, sensorStart ? 1 : 2, pid, null, uid);
    }

    private void sendDecayMesssage(int message, com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DecayInfo decayInfo, long delayT) {
        if (this.mAppKeyHandler.hasMessages(message, decayInfo)) {
            this.mAppKeyHandler.removeMessages(message, decayInfo);
        }
        android.os.Message observerMsg = this.mAppKeyHandler.obtainMessage();
        observerMsg.what = message;
        observerMsg.obj = decayInfo;
        this.mAppKeyHandler.sendMessageDelayed(observerMsg, delayT);
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sendDecayMesssage end ");
            stringBuilder.append(message);
            stringBuilder.append(" decayinfo ");
            stringBuilder.append(decayInfo);
            android.rms.iaware.AwareLog.d("AwareAppKeyBackgroup", stringBuilder.toString());
        }
    }

    /* JADX WARNING: Missing block: B:21:0x004e, code:
            if (r3 != false) goto L_0x005a;
     */
    /* JADX WARNING: Missing block: B:22:0x0050, code:
            if (r4 == false) goto L_0x0053;
     */
    /* JADX WARNING: Missing block: B:24:0x0053, code:
            r14 = r16;
            r13 = r17;
     */
    /* JADX WARNING: Missing block: B:25:0x0057, code:
            r7 = r5;
            r9 = r6;
     */
    /* JADX WARNING: Missing block: B:26:0x005a, code:
            r8 = r1.mStateEventDecayInfos;
     */
    /* JADX WARNING: Missing block: B:27:0x005c, code:
            monitor-enter(r8);
     */
    /* JADX WARNING: Missing block: B:29:?, code:
            r9 = r1.mStateEventDecayInfos.iterator();
     */
    /* JADX WARNING: Missing block: B:31:0x0067, code:
            if (r9.hasNext() == false) goto L_0x009d;
     */
    /* JADX WARNING: Missing block: B:32:0x0069, code:
            r10 = (com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DecayInfo) r9.next();
     */
    /* JADX WARNING: Missing block: B:33:0x0073, code:
            if (r10.getStateType() != 2) goto L_0x0098;
     */
    /* JADX WARNING: Missing block: B:35:0x0079, code:
            if (r10.getEventType() == 2) goto L_0x007c;
     */
    /* JADX WARNING: Missing block: B:37:0x007c, code:
            r11 = r10.getUid();
            r12 = r10.getPid();
     */
    /* JADX WARNING: Missing block: B:39:0x0086, code:
            if (r11 != r17) goto L_0x008d;
     */
    /* JADX WARNING: Missing block: B:40:0x0088, code:
            r5 = true;
     */
    /* JADX WARNING: Missing block: B:41:0x008a, code:
            if (r12 != -1) goto L_0x008d;
     */
    /* JADX WARNING: Missing block: B:42:0x008c, code:
            r6 = true;
     */
    /* JADX WARNING: Missing block: B:44:0x008f, code:
            if (r12 != r16) goto L_0x0092;
     */
    /* JADX WARNING: Missing block: B:45:0x0091, code:
            r6 = true;
     */
    /* JADX WARNING: Missing block: B:46:0x0092, code:
            if (r5 == false) goto L_0x0097;
     */
    /* JADX WARNING: Missing block: B:47:0x0094, code:
            if (r6 == false) goto L_0x0097;
     */
    /* JADX WARNING: Missing block: B:50:0x0098, code:
            r14 = r16;
            r13 = r17;
     */
    /* JADX WARNING: Missing block: B:51:0x009d, code:
            r14 = r16;
            r13 = r17;
     */
    /* JADX WARNING: Missing block: B:53:?, code:
            monitor-exit(r8);
     */
    /* JADX WARNING: Missing block: B:54:0x00a2, code:
            if (r3 == false) goto L_0x00a6;
     */
    /* JADX WARNING: Missing block: B:55:0x00a4, code:
            if (r5 == false) goto L_0x00aa;
     */
    /* JADX WARNING: Missing block: B:56:0x00a6, code:
            if (r4 == false) goto L_0x0057;
     */
    /* JADX WARNING: Missing block: B:57:0x00a8, code:
            if (r6 != false) goto L_0x0057;
     */
    /* JADX WARNING: Missing block: B:58:0x00aa, code:
            return true;
     */
    /* JADX WARNING: Missing block: B:59:0x00ab, code:
            r10 = isInCalling();
            r11 = r1.mAudioCacheUids;
     */
    /* JADX WARNING: Missing block: B:60:0x00b1, code:
            monitor-enter(r11);
     */
    /* JADX WARNING: Missing block: B:61:0x00b2, code:
            if (r10 == false) goto L_0x00c4;
     */
    /* JADX WARNING: Missing block: B:62:0x00b4, code:
            if (r7 != false) goto L_0x00c2;
     */
    /* JADX WARNING: Missing block: B:65:0x00c0, code:
            if (r1.mAudioCacheUids.contains(java.lang.Integer.valueOf(r17)) == false) goto L_0x00c4;
     */
    /* JADX WARNING: Missing block: B:66:0x00c2, code:
            monitor-exit(r11);
     */
    /* JADX WARNING: Missing block: B:67:0x00c3, code:
            return true;
     */
    /* JADX WARNING: Missing block: B:68:0x00c4, code:
            monitor-exit(r11);
     */
    /* JADX WARNING: Missing block: B:69:0x00c5, code:
            return false;
     */
    /* JADX WARNING: Missing block: B:73:0x00c9, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:74:0x00ca, code:
            r14 = r16;
            r13 = r17;
     */
    /* JADX WARNING: Missing block: B:76:?, code:
            monitor-exit(r8);
     */
    /* JADX WARNING: Missing block: B:77:0x00cf, code:
            throw r0;
     */
    /* JADX WARNING: Missing block: B:78:0x00d0, code:
            r0 = th;
     */
    public boolean checkAudioOutInstant(int r16, int r17, java.util.List<java.lang.String> r18) {
        /*
        r15 = this;
        r1 = r15;
        r0 = r1.mIsInitialized;
        r0 = r0.get();
        r2 = 0;
        if (r0 == 0) goto L_0x00db;
    L_0x000a:
        if (r18 == 0) goto L_0x00db;
    L_0x000c:
        r0 = r18.isEmpty();
        if (r0 == 0) goto L_0x0014;
    L_0x0012:
        goto L_0x00db;
    L_0x0014:
        r3 = 0;
        r4 = 0;
        r5 = 0;
        r6 = 0;
        monitor-enter(r15);
        r0 = r1.mSceneUidArray;	 Catch:{ all -> 0x00d2 }
        r0 = r0.isEmpty();	 Catch:{ all -> 0x00d2 }
        if (r0 == 0) goto L_0x0023;
    L_0x0021:
        monitor-exit(r15);	 Catch:{ all -> 0x00d2 }
        return r2;
    L_0x0023:
        r0 = r1.mSceneUidArray;	 Catch:{ all -> 0x00d2 }
        r7 = 2;
        r0 = r0.get(r7);	 Catch:{ all -> 0x00d2 }
        r0 = (android.util.ArraySet) r0;	 Catch:{ all -> 0x00d2 }
        r8 = java.lang.Integer.valueOf(r17);	 Catch:{ all -> 0x00d2 }
        r0 = r0.contains(r8);	 Catch:{ all -> 0x00d2 }
        if (r0 == 0) goto L_0x0038;
    L_0x0036:
        r0 = 1;
        r3 = r0;
    L_0x0038:
        r0 = r1.mScenePidArray;	 Catch:{ all -> 0x00d2 }
        r0 = r0.get(r7);	 Catch:{ all -> 0x00d2 }
        r0 = (android.util.ArraySet) r0;	 Catch:{ all -> 0x00d2 }
        r8 = java.lang.Integer.valueOf(r16);	 Catch:{ all -> 0x00d2 }
        r0 = r0.contains(r8);	 Catch:{ all -> 0x00d2 }
        if (r0 == 0) goto L_0x004c;
    L_0x004a:
        r0 = 1;
        r4 = r0;
    L_0x004c:
        monitor-exit(r15);	 Catch:{ all -> 0x00d2 }
        r0 = 1;
        if (r3 != 0) goto L_0x005a;
    L_0x0050:
        if (r4 == 0) goto L_0x0053;
    L_0x0052:
        goto L_0x005a;
    L_0x0053:
        r14 = r16;
        r13 = r17;
    L_0x0057:
        r7 = r5;
        r9 = r6;
        goto L_0x00ab;
    L_0x005a:
        r8 = r1.mStateEventDecayInfos;
        monitor-enter(r8);
        r9 = r1.mStateEventDecayInfos;	 Catch:{ all -> 0x00c9 }
        r9 = r9.iterator();	 Catch:{ all -> 0x00c9 }
    L_0x0063:
        r10 = r9.hasNext();	 Catch:{ all -> 0x00c9 }
        if (r10 == 0) goto L_0x009d;
    L_0x0069:
        r10 = r9.next();	 Catch:{ all -> 0x00c9 }
        r10 = (com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.DecayInfo) r10;	 Catch:{ all -> 0x00c9 }
        r11 = r10.getStateType();	 Catch:{ all -> 0x00c9 }
        if (r11 != r7) goto L_0x0098;
    L_0x0075:
        r11 = r10.getEventType();	 Catch:{ all -> 0x00c9 }
        if (r11 == r7) goto L_0x007c;
    L_0x007b:
        goto L_0x0098;
    L_0x007c:
        r11 = r10.getUid();	 Catch:{ all -> 0x00c9 }
        r12 = r10.getPid();	 Catch:{ all -> 0x00c9 }
        r13 = r17;
        if (r11 != r13) goto L_0x008d;
    L_0x0088:
        r5 = 1;
        r14 = -1;
        if (r12 != r14) goto L_0x008d;
    L_0x008c:
        r6 = 1;
    L_0x008d:
        r14 = r16;
        if (r12 != r14) goto L_0x0092;
    L_0x0091:
        r6 = 1;
    L_0x0092:
        if (r5 == 0) goto L_0x0097;
    L_0x0094:
        if (r6 == 0) goto L_0x0097;
    L_0x0096:
        goto L_0x00a1;
    L_0x0097:
        goto L_0x0063;
    L_0x0098:
        r14 = r16;
        r13 = r17;
        goto L_0x0063;
    L_0x009d:
        r14 = r16;
        r13 = r17;
    L_0x00a1:
        monitor-exit(r8);	 Catch:{ all -> 0x00d0 }
        if (r3 == 0) goto L_0x00a6;
    L_0x00a4:
        if (r5 == 0) goto L_0x00aa;
    L_0x00a6:
        if (r4 == 0) goto L_0x0057;
    L_0x00a8:
        if (r6 != 0) goto L_0x0057;
    L_0x00aa:
        return r0;
    L_0x00ab:
        r10 = r1.isInCalling();
        r11 = r1.mAudioCacheUids;
        monitor-enter(r11);
        if (r10 == 0) goto L_0x00c4;
    L_0x00b4:
        if (r7 != 0) goto L_0x00c2;
    L_0x00b6:
        r5 = r1.mAudioCacheUids;	 Catch:{ all -> 0x00c6 }
        r6 = java.lang.Integer.valueOf(r17);	 Catch:{ all -> 0x00c6 }
        r5 = r5.contains(r6);	 Catch:{ all -> 0x00c6 }
        if (r5 == 0) goto L_0x00c4;
    L_0x00c2:
        monitor-exit(r11);	 Catch:{ all -> 0x00c6 }
        return r0;
    L_0x00c4:
        monitor-exit(r11);	 Catch:{ all -> 0x00c6 }
        return r2;
    L_0x00c6:
        r0 = move-exception;
        monitor-exit(r11);	 Catch:{ all -> 0x00c6 }
        throw r0;
    L_0x00c9:
        r0 = move-exception;
        r14 = r16;
        r13 = r17;
    L_0x00ce:
        monitor-exit(r8);	 Catch:{ all -> 0x00d0 }
        throw r0;
    L_0x00d0:
        r0 = move-exception;
        goto L_0x00ce;
    L_0x00d2:
        r0 = move-exception;
        r14 = r16;
        r13 = r17;
    L_0x00d7:
        monitor-exit(r15);	 Catch:{ all -> 0x00d9 }
        throw r0;
    L_0x00d9:
        r0 = move-exception;
        goto L_0x00d7;
    L_0x00db:
        r14 = r16;
        r13 = r17;
        return r2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.checkAudioOutInstant(int, int, java.util.List):boolean");
    }

    private void setNatTimeout(int natTime) {
        this.mNatTimeout = natTime;
        com.android.server.rms.iaware.appmng.AwareWakeUpManager.getInstance().setIntervalOverload(natTime);
    }
}
