package com.android.server.rms.iaware.appmng;

public class AwareAppMngDFX {
    public static final int APPLICATION_STARTTYPE_COLD = 10;
    public static final int APPLICATION_STARTTYPE_TOTAL = 11;
    private static final java.lang.String APPSTATIS_COLDHOTSTARTCOUNT = ",\n\"ColdHotStartCount\":";
    private static final java.lang.String APPSTATIS_END = "\n}\n[iAwareAPPStatis_End]";
    private static final java.lang.String APPSTATIS_START = "[iAwareAPPStatis_Start]\n{\n\"APPKilledReason\":";
    public static final int KILL_REASON_BIGMEMFORCESTOP = 1;
    public static final int KILL_REASON_BIGMEMKILL = 0;
    public static final int KILL_REASON_LOWMEMFORCESTOP = 3;
    public static final int KILL_REASON_LOWMEMKILL = 2;
    private static final int MAX_TRACK_NUM = 1000;
    private static final java.lang.String TAG = "AwareAppMngDFX";
    private static com.android.server.rms.iaware.appmng.AwareAppMngDFX sInstance;
    private android.util.ArrayMap<java.lang.String, com.android.server.rms.iaware.appmng.AwareAppMngDfxData> mAwareAppMngDfxData = new android.util.ArrayMap();
    private android.util.ArrayMap<java.lang.String, com.android.server.rms.iaware.appmng.AwareAppMngDfxData> mDfxAppStartData = new android.util.ArrayMap();

    public static synchronized com.android.server.rms.iaware.appmng.AwareAppMngDFX getInstance() {
        com.android.server.rms.iaware.appmng.AwareAppMngDFX awareAppMngDFX;
        synchronized (com.android.server.rms.iaware.appmng.AwareAppMngDFX.class) {
            if (sInstance == null) {
                sInstance = new com.android.server.rms.iaware.appmng.AwareAppMngDFX();
            }
            awareAppMngDFX = sInstance;
        }
        return awareAppMngDFX;
    }

    private AwareAppMngDFX() {
        init();
    }

    private void init() {
    }

    private boolean isBetaUser() {
        return android.rms.iaware.AwareConstant.CURRENT_USER_TYPE == 3;
    }

    private void clearArrayList() {
        synchronized (this.mAwareAppMngDfxData) {
            if (!this.mAwareAppMngDfxData.isEmpty()) {
                this.mAwareAppMngDfxData.clear();
            }
        }
        synchronized (this.mDfxAppStartData) {
            if (this.mDfxAppStartData.isEmpty()) {
                return;
            }
            this.mDfxAppStartData.clear();
        }
    }

    public void trackeAppStartInfo(java.lang.String packageName, java.lang.String processName, int type) {
        if (isBetaUser() && com.android.server.mtm.iaware.appmng.AwareAppMngSort.checkAppMngEnable()) {
            if (packageName != null) {
                synchronized (this.mDfxAppStartData) {
                    if (this.mDfxAppStartData.size() >= 1000) {
                        android.rms.iaware.AwareLog.i("AwareAppMngDFX", "tracker app start info exceeded limited size");
                        return;
                    }
                    com.android.server.rms.iaware.appmng.AwareAppMngDfxData temp = new com.android.server.rms.iaware.appmng.AwareAppMngDfxData(packageName, processName);
                    com.android.server.rms.iaware.appmng.AwareAppMngDfxData find = (com.android.server.rms.iaware.appmng.AwareAppMngDfxData) this.mDfxAppStartData.get(temp.getKey());
                    if (find == null) {
                        find = temp;
                        this.mDfxAppStartData.put(find.getKey(), find);
                    }
                    find.trackeAppStartInfo(type);
                }
            }
        }
    }

    private void addTrackeKillInfo(com.android.server.mtm.iaware.appmng.AwareProcessInfo processInfo, boolean cleanRes, int type) {
        if (processInfo != null) {
            synchronized (this.mAwareAppMngDfxData) {
                if (this.mAwareAppMngDfxData.size() >= 1000) {
                    android.rms.iaware.AwareLog.i("AwareAppMngDFX", "tracker kill info exceeded limited size");
                    return;
                }
                com.android.server.rms.iaware.appmng.AwareAppMngDfxData awareAppMngDfxData = new com.android.server.rms.iaware.appmng.AwareAppMngDfxData(processInfo.mProcInfo.mPackageName, processInfo.mProcInfo.mProcessName, processInfo.mSubClassRate, processInfo.mClassRate, processInfo.getRestartFlag(), cleanRes);
                awareAppMngDfxData = (com.android.server.rms.iaware.appmng.AwareAppMngDfxData) this.mAwareAppMngDfxData.get(awareAppMngDfxData.getKey());
                if (awareAppMngDfxData == null) {
                    awareAppMngDfxData = awareAppMngDfxData;
                    this.mAwareAppMngDfxData.put(awareAppMngDfxData.getKey(), awareAppMngDfxData);
                }
                awareAppMngDfxData.addTrackeKillInfo(type);
            }
        }
    }

    private int getType(boolean cleanRes, boolean quickKillAction) {
        if (quickKillAction) {
            if (cleanRes) {
                return 1;
            }
            return 0;
        } else if (cleanRes) {
            return 3;
        } else {
            return 2;
        }
    }

    public void trackeKillInfo(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> list, boolean cleanRes, boolean quickKillAction) {
        if (isBetaUser() && com.android.server.mtm.iaware.appmng.AwareAppMngSort.checkAppMngEnable() && list != null) {
            if (!list.isEmpty()) {
                int type = getType(cleanRes, quickKillAction);
                for (com.android.server.mtm.iaware.appmng.AwareProcessInfo info : list) {
                    if (info != null) {
                        addTrackeKillInfo(info, cleanRes, type);
                    }
                }
            }
        }
    }

    public java.lang.String getAppMngDfxData(boolean clear) {
        if (isBetaUser()) {
            if (com.android.server.mtm.iaware.appmng.AwareAppMngSort.checkAppMngEnable()) {
                java.lang.StringBuffer buf = new java.lang.StringBuffer();
                buf.append("[iAwareAPPStatis_Start]\n{\n\"APPKilledReason\":");
                buf.append(makeKillInfoJson().toString());
                buf.append(",\n\"ColdHotStartCount\":");
                buf.append(makeStartAppInfoJson().toString());
                buf.append("\n}\n[iAwareAPPStatis_End]");
                java.lang.String result = buf.toString();
                if (clear) {
                    clearArrayList();
                }
                return result;
            }
        }
        return null;
    }

    private org.json.JSONArray makeKillInfoJson() {
        org.json.JSONArray json;
        synchronized (this.mAwareAppMngDfxData) {
            json = new org.json.JSONArray();
            for (java.util.Map.Entry<java.lang.String, com.android.server.rms.iaware.appmng.AwareAppMngDfxData> m : this.mAwareAppMngDfxData.entrySet()) {
                com.android.server.rms.iaware.appmng.AwareAppMngDfxData data = (com.android.server.rms.iaware.appmng.AwareAppMngDfxData) m.getValue();
                if (data != null) {
                    json.put(data.makeJson(true));
                }
            }
        }
        return json;
    }

    private org.json.JSONArray makeStartAppInfoJson() {
        org.json.JSONArray json;
        synchronized (this.mDfxAppStartData) {
            json = new org.json.JSONArray();
            for (java.util.Map.Entry<java.lang.String, com.android.server.rms.iaware.appmng.AwareAppMngDfxData> m : this.mDfxAppStartData.entrySet()) {
                com.android.server.rms.iaware.appmng.AwareAppMngDfxData data = (com.android.server.rms.iaware.appmng.AwareAppMngDfxData) m.getValue();
                if (data != null) {
                    json.put(data.makeJson(false));
                }
            }
        }
        return json;
    }
}
