package com.android.server.rms.iaware.appmng;

public class AwareDefaultConfigList {
    private static final java.lang.String ADJCUSTTOP_CNT_KEY = "ADJCUSTTOP_CNT";
    private static final java.lang.String ALARM_CHK_KEY = "ALM";
    public static final java.lang.String APPMNG_2G_CFG_KEY = "APPMNG_2G_CFG";
    public static final java.lang.String APPMNG_3G_CFG_KEY = "APPMNG_3G_CFG";
    public static final java.lang.String APPMNG_4G_CFG_KEY = "APPMNG_4G_CFG";
    private static final int APPMNG_BADAPP_TYPE = 7;
    private static final int APPMNG_CFG_ADJ_2G_TYPE = 4;
    private static final int APPMNG_CFG_ADJ_3G_TYPE = 3;
    private static final int APPMNG_CFG_ADJ_TYPE = 2;
    private static final int APPMNG_CFG_WHITE_TYPE = 1;
    private static final int APPMNG_LOWEND_PROTECTED_ID = 5;
    private static final int APPMNG_RESTARTAPP_TYPE = 6;
    private static final int BG_DECAY_TWO_HOUR_MASK = 4;
    private static final java.lang.String BG_DELAY_KEY = "BGDCY";
    private static boolean DEBUG = false;
    public static final int GROUP_ID_FORBIDSTOP = 1;
    public static final int GROUP_ID_NOSPEC = 0;
    public static final int GROUP_ID_SHORTAGESTOP = 2;
    private static final int HABIT_PROT_MAX_CNT = 10000;
    public static final int HW_PERCEPTIBLE_APP_ADJ = 260;
    private static final java.lang.String IM_CNT_KEY = "IM_CNT";
    private static final java.lang.String KEYPROC_DECAY_KEY = "KEYPROC_DECAY";
    private static final java.lang.String KILL_MORE_KEY = "KM";
    private static final int KILL_MORE_MASK = 2;
    private static final java.lang.String LOWEND_KEY = "LOW";
    private static final int LOW_END_MASK = 1;
    private static final int MASK_CLEANRES = 1;
    private static final int MASK_FREQUENTLYUSED = 4;
    private static final int MASK_GROUP = 3840;
    private static final int MASK_RESTART = 2;
    private static final int MEM_OPT_FOR_3G = android.os.SystemProperties.getInt("sys.iaware.mem_opt", 0);
    private static final java.lang.String MEM_THRD_KEY = "MEM_THRD";
    private static final java.lang.String PG_PROTECT_KEY = "PROT";
    private static final java.lang.String RESTART_KEY = "RESTART";
    private static final java.lang.String SCREEN_CHANGED_KEY = "screenChanged";
    private static final java.lang.String SEPARATOR = "#";
    private static final java.lang.String SMART_CLEAN_INTERVAL_KEY = "smartCleanInterval";
    private static final java.lang.String SYSPROC_DECAY_KEY = "SYSPROC_DECAY";
    private static final java.lang.String TAG = "AwareDefaultConfigList";
    private static final java.lang.String TOPN_CNT_KEY = "TOPN_CNT";
    private static com.android.server.rms.iaware.appmng.AwareDefaultConfigList sInstance = null;
    private final android.util.ArraySet<java.lang.String> mAdjustAdjList = new android.util.ArraySet();
    private final java.util.ArrayList<java.lang.String> mAllHabitAppList = new java.util.ArrayList();
    private final android.util.ArraySet<java.lang.String> mAwareProtectList = new android.util.ArraySet();
    private final android.util.ArrayMap<java.lang.String, com.android.server.rms.iaware.appmng.AwareDefaultConfigList.PackageConfigItem> mAwareProtectMap = new android.util.ArrayMap();
    private final android.util.ArraySet<java.lang.String> mBadAppList = new android.util.ArraySet();
    private int mCfgAdjTypeId = 4;
    private android.content.Context mContext;
    private boolean mEnabled = false;
    private final android.util.ArraySet<java.lang.String> mHabitFrequentUsed = new android.util.ArraySet();
    private com.android.server.rms.algorithm.AwareUserHabitAlgorithm.HabitProtectListChangeListener mHabitListener = new com.android.server.rms.algorithm.AwareUserHabitAlgorithm.HabitProtectListChangeListener() {
        public void onListChanged() {
            com.android.server.rms.iaware.appmng.AwareDefaultConfigList.this.setHabitWhiteList();
        }
    };
    private boolean mHasReadXml = false;
    private final java.util.ArrayList<java.lang.String> mKeyHabitAppList = new java.util.ArrayList();
    private boolean mLowEnd = false;
    private final android.util.ArraySet<java.lang.String> mRestartAppList = new android.util.ArraySet();
    private android.rms.IUpdateWhiteListCallback mUpdateWhiteListCallback = new android.rms.IUpdateWhiteListCallback.Stub() {
        public void update() throws android.os.RemoteException {
            if (com.android.server.rms.iaware.appmng.AwareDefaultConfigList.DEBUG) {
                android.rms.iaware.AwareLog.d("AwareDefaultConfigList", "IUpdateWhiteListCallback update whiteList.");
            }
            synchronized (com.android.server.rms.iaware.appmng.AwareDefaultConfigList.this) {
                com.android.server.rms.iaware.appmng.AwareDefaultConfigList.this.mHasReadXml = false;
                com.android.server.rms.iaware.appmng.AwareDefaultConfigList.this.mAwareProtectList.clear();
            }
            com.android.server.rms.iaware.appmng.AwareDefaultConfigList.this.setStaticXmlWhiteList();
        }
    };

    static class AppMngCfgXml {
        int mAdjCustTopN = 0;
        boolean mAlarmChk = true;
        long mBgDecay = 7200;
        int mImCnt = 0;
        long mKeyDecay = 0;
        boolean mKillMore = false;
        boolean mLowEnd = false;
        long mMemThrd = 0;
        boolean mPgProtect = false;
        boolean mRestart = true;
        int mScreenChanged = 30;
        int mSmartCleanInterval = 600;
        long mSysDecay = 0;
        int mTopNCnt = 0;

        AppMngCfgXml() {
        }
    }

    public static class ProcessConfigItem {
        public boolean mFrequentlyUsed;
        public int mGroupId;
        public java.lang.String mName;
        public boolean mResCleanAllow;
        public boolean mRestartFlag;

        private ProcessConfigItem() {
        }

        public ProcessConfigItem(java.lang.String name, int value) {
            this.mName = name;
            boolean z = false;
            this.mResCleanAllow = (value & 1) != 0;
            this.mRestartFlag = (value & 2) != 0;
            if ((value & 4) != 0) {
                z = true;
            }
            this.mFrequentlyUsed = z;
            this.mGroupId = ((value & 3840) >> 8) & 15;
        }

        public com.android.server.rms.iaware.appmng.AwareDefaultConfigList.ProcessConfigItem copy() {
            com.android.server.rms.iaware.appmng.AwareDefaultConfigList.ProcessConfigItem dst = new com.android.server.rms.iaware.appmng.AwareDefaultConfigList.ProcessConfigItem();
            dst.mName = this.mName;
            dst.mResCleanAllow = this.mResCleanAllow;
            dst.mRestartFlag = this.mRestartFlag;
            dst.mFrequentlyUsed = this.mFrequentlyUsed;
            dst.mGroupId = this.mGroupId;
            return dst;
        }
    }

    public static class PackageConfigItem extends com.android.server.rms.iaware.appmng.AwareDefaultConfigList.ProcessConfigItem {
        android.util.ArrayMap<java.lang.String, com.android.server.rms.iaware.appmng.AwareDefaultConfigList.ProcessConfigItem> mProcessMap = new android.util.ArrayMap();

        public PackageConfigItem(java.lang.String name, int value) {
            super(name, value);
        }

        public void add(com.android.server.rms.iaware.appmng.AwareDefaultConfigList.ProcessConfigItem item) {
            if (item != null) {
                this.mProcessMap.put(item.mName, item);
            }
        }

        public boolean isEmpty() {
            return this.mProcessMap.isEmpty();
        }

        public com.android.server.rms.iaware.appmng.AwareDefaultConfigList.ProcessConfigItem getItem(java.lang.String processName) {
            return (com.android.server.rms.iaware.appmng.AwareDefaultConfigList.ProcessConfigItem) this.mProcessMap.get(processName);
        }
    }

    private AwareDefaultConfigList() {
    }

    private void initialize(android.content.Context context) {
        this.mContext = context;
        this.mEnabled = true;
        setAllWhiteList();
        startObserver();
        if (this.mLowEnd) {
            com.android.server.rms.algorithm.AwareUserHabit usrhabit = com.android.server.rms.algorithm.AwareUserHabit.getInstance();
            if (usrhabit != null) {
                usrhabit.setLowEndFlag(true);
            }
        }
    }

    private void deInitialize() {
        com.android.server.rms.algorithm.AwareUserHabit habitInstance = com.android.server.rms.algorithm.AwareUserHabit.getInstance();
        if (habitInstance != null) {
            habitInstance.unregistHabitProtectListChangeListener(this.mHabitListener);
        }
        this.mEnabled = false;
        synchronized (this) {
            this.mHasReadXml = false;
            this.mAwareProtectList.clear();
            this.mAwareProtectMap.clear();
            this.mKeyHabitAppList.clear();
            this.mAllHabitAppList.clear();
        }
        synchronized (this.mAdjustAdjList) {
            this.mAdjustAdjList.clear();
        }
        synchronized (this.mRestartAppList) {
            this.mRestartAppList.clear();
        }
        synchronized (this.mBadAppList) {
            this.mBadAppList.clear();
        }
        synchronized (this.mHabitFrequentUsed) {
            this.mHabitFrequentUsed.clear();
        }
    }

    public static void enable(android.content.Context context) {
        if (DEBUG) {
            android.rms.iaware.AwareLog.d("AwareDefaultConfigList", "WhiteList Feature enable!!!");
        }
        getInstance().initialize(context);
    }

    public static void disable() {
        if (DEBUG) {
            android.rms.iaware.AwareLog.d("AwareDefaultConfigList", "WhiteList Feature disable!!!");
        }
        getInstance().deInitialize();
    }

    private void startObserver() {
        if (DEBUG) {
            android.rms.iaware.AwareLog.d("AwareDefaultConfigList", "WhiteList Feature startObserver!!!");
        }
        startXmlObserver();
        startHabitObserver();
    }

    public static void enableDebug() {
        DEBUG = true;
    }

    public static void disableDebug() {
        DEBUG = false;
    }

    public static com.android.server.rms.iaware.appmng.AwareDefaultConfigList getInstance() {
        com.android.server.rms.iaware.appmng.AwareDefaultConfigList awareDefaultConfigList;
        synchronized (com.android.server.rms.iaware.appmng.AwareDefaultConfigList.class) {
            if (sInstance == null) {
                sInstance = new com.android.server.rms.iaware.appmng.AwareDefaultConfigList();
            }
            awareDefaultConfigList = sInstance;
        }
        return awareDefaultConfigList;
    }

    private void setAllWhiteList() {
        setStaticXmlWhiteList();
        setHabitWhiteList();
    }

    /* JADX WARNING: Missing block: B:7:0x0008, code:
            updateAppMngCfgFromRMS(28);
            updateAdjWhiteListFromRMS(28);
            updateRestartAppListFromRMS(28);
            updateBadAppListFromRMS(28);
            r0 = getWhiteListFromRMS(28);
     */
    /* JADX WARNING: Missing block: B:8:0x001a, code:
            if (r0 != null) goto L_0x001d;
     */
    /* JADX WARNING: Missing block: B:9:0x001c, code:
            return;
     */
    /* JADX WARNING: Missing block: B:10:0x001d, code:
            monitor-enter(r2);
     */
    /* JADX WARNING: Missing block: B:12:?, code:
            r2.mAwareProtectList.addAll(r0);
            parseAwareProtectList();
            r2.mHasReadXml = true;
     */
    /* JADX WARNING: Missing block: B:13:0x0029, code:
            monitor-exit(r2);
     */
    /* JADX WARNING: Missing block: B:14:0x002a, code:
            return;
     */
    private void setStaticXmlWhiteList() {
        /*
        r2 = this;
        monitor-enter(r2);
        r0 = r2.mHasReadXml;	 Catch:{ all -> 0x002e }
        if (r0 == 0) goto L_0x0007;
    L_0x0005:
        monitor-exit(r2);	 Catch:{ all -> 0x002e }
        return;
    L_0x0007:
        monitor-exit(r2);	 Catch:{ all -> 0x002e }
        r0 = 28;
        r2.updateAppMngCfgFromRMS(r0);
        r2.updateAdjWhiteListFromRMS(r0);
        r2.updateRestartAppListFromRMS(r0);
        r2.updateBadAppListFromRMS(r0);
        r0 = r2.getWhiteListFromRMS(r0);
        if (r0 != 0) goto L_0x001d;
    L_0x001c:
        return;
    L_0x001d:
        monitor-enter(r2);
        r1 = r2.mAwareProtectList;	 Catch:{ all -> 0x002b }
        r1.addAll(r0);	 Catch:{ all -> 0x002b }
        r2.parseAwareProtectList();	 Catch:{ all -> 0x002b }
        r1 = 1;
        r2.mHasReadXml = r1;	 Catch:{ all -> 0x002b }
        monitor-exit(r2);	 Catch:{ all -> 0x002b }
        return;
    L_0x002b:
        r1 = move-exception;
        monitor-exit(r2);	 Catch:{ all -> 0x002b }
        throw r1;
    L_0x002e:
        r0 = move-exception;
        monitor-exit(r2);	 Catch:{ all -> 0x002e }
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.appmng.AwareDefaultConfigList.setStaticXmlWhiteList():void");
    }

    private java.util.List<java.lang.String> getGcmAppList(com.android.server.rms.algorithm.AwareUserHabit habitInstance) {
        java.util.List<java.lang.String> gcmList = habitInstance.getGCMAppList();
        if (gcmList != null) {
            if (!com.android.server.rms.iaware.appmng.AppMngConfig.getAbroadFlag()) {
                java.util.List<java.lang.String> gcmListFilter = new java.util.ArrayList();
                for (java.lang.String pkg : gcmList) {
                    if (isNeedGcmByAppType(android.rms.iaware.AppTypeRecoManager.getInstance().getAppType(pkg))) {
                        gcmListFilter.add(pkg);
                    }
                }
                return gcmListFilter;
            }
        }
        return gcmList;
    }

    private boolean isNeedGcmByAppType(int appType) {
        boolean z = true;
        if (appType != 255) {
            switch (appType) {
                case -1:
                case 0:
                case 1:
                    break;
                default:
                    if (appType <= 255) {
                        z = false;
                    }
                    return z;
            }
        }
        return true;
    }

    private void setHabitWhiteList() {
        com.android.server.rms.algorithm.AwareUserHabit habitInstance = com.android.server.rms.algorithm.AwareUserHabit.getInstance();
        if (habitInstance != null) {
            java.util.List<java.lang.String> habitProtectList;
            java.util.List<java.lang.String> gcmList = getGcmAppList(habitInstance);
            java.util.List<java.lang.String> habitProtectListAll = habitInstance.getHabitProtectListAll(10000, 10000);
            if (DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("AllHabitListChangeListener onListChanged list:");
                stringBuilder.append(habitProtectListAll);
                android.rms.iaware.AwareLog.i("AwareDefaultConfigList", stringBuilder.toString());
            }
            if (habitProtectListAll != null) {
                if (gcmList != null) {
                    habitProtectListAll.addAll(gcmList);
                }
                updateAllImCache(habitProtectListAll);
            }
            if (this.mLowEnd) {
                habitProtectList = com.android.server.rms.iaware.appmng.AppMngConfig.getImCnt() / 2;
                habitProtectList = habitInstance.queryHabitProtectAppList(com.android.server.rms.iaware.appmng.AppMngConfig.getImCnt() - habitProtectList, habitProtectList);
            } else {
                habitProtectList = habitInstance.getHabitProtectList(10000, 10000);
            }
            java.util.List<java.lang.String> keyImList = new java.util.ArrayList();
            if (habitProtectList != null) {
                keyImList.addAll(habitProtectList);
            }
            if (!(gcmList == null || this.mLowEnd)) {
                keyImList.addAll(gcmList);
            }
            if (DEBUG) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("HabitListChangeListener onListChanged list:");
                stringBuilder2.append(keyImList);
                android.rms.iaware.AwareLog.i("AwareDefaultConfigList", stringBuilder2.toString());
            }
            updateKeyImCache(keyImList);
        }
    }

    private android.util.ArraySet<java.lang.String> getWhiteListFromRMS(int rmsGroupId) {
        java.lang.String str;
        android.util.ArraySet<java.lang.String> whiteList = new android.util.ArraySet();
        android.rms.HwSysResManager resManager = android.rms.HwSysResManager.getInstance();
        int i = 0;
        if (this.mLowEnd) {
            str = resManager.getWhiteList(rmsGroupId, 5);
        } else {
            str = resManager.getWhiteList(rmsGroupId, 0);
        }
        if (str == null) {
            if (DEBUG) {
                android.rms.iaware.AwareLog.e("AwareDefaultConfigList", "getWhiteListFromRMS failed because null whiteList!");
            }
            return null;
        }
        java.lang.String[] contentArray = str.split(";");
        int length = contentArray.length;
        while (i < length) {
            java.lang.String content = contentArray[i].trim();
            if (!content.isEmpty()) {
                whiteList.add(content);
            }
            i++;
        }
        return whiteList;
    }

    private void updateAppMngCfgFromRMS(int rmsGroupId) {
        android.rms.HwSysResManager resManager = android.rms.HwSysResManager.getInstance();
        int i = 1;
        java.lang.String str = resManager.getWhiteList(rmsGroupId, 1);
        android.rms.HwSysResManager resManager2;
        if (str == null || !str.contains("{")) {
        } else if (str.contains("}")) {
            com.android.server.rms.iaware.appmng.AwareDefaultConfigList.AppMngCfgXml cfg2G = new com.android.server.rms.iaware.appmng.AwareDefaultConfigList.AppMngCfgXml();
            com.android.server.rms.iaware.appmng.AwareDefaultConfigList.AppMngCfgXml cfg3G = new com.android.server.rms.iaware.appmng.AwareDefaultConfigList.AppMngCfgXml();
            com.android.server.rms.iaware.appmng.AwareDefaultConfigList.AppMngCfgXml cfg4G = new com.android.server.rms.iaware.appmng.AwareDefaultConfigList.AppMngCfgXml();
            com.android.server.rms.iaware.appmng.AwareDefaultConfigList.AppMngCfgXml cfgCur = null;
            java.lang.String[] contentArray = str.split("\\}");
            int length = contentArray.length;
            int i2 = 0;
            int i3 = 0;
            while (i3 < length) {
                java.lang.String content = contentArray[i3];
                if (content != null) {
                    java.lang.String[] contentArraySplit = content.split("\\{");
                    if (contentArraySplit.length > i) {
                        java.lang.String keyString = contentArraySplit[i2];
                        java.lang.String valueString = contentArraySplit[i];
                        if (keyString == null) {
                            resManager2 = resManager;
                        } else if (valueString != null) {
                            keyString = keyString.trim();
                            valueString = valueString.trim();
                            if (keyString.contains("APPMNG_2G_CFG")) {
                                resManager2 = resManager;
                                if (cfg2G.mMemThrd == 0) {
                                    setAppMngCfg(valueString, cfg2G);
                                }
                            } else {
                                resManager2 = resManager;
                            }
                            if (keyString.contains("APPMNG_3G_CFG") != null && cfg3G.mMemThrd == 0) {
                                setAppMngCfg(valueString, cfg3G);
                            } else if (keyString.contains("APPMNG_4G_CFG") != null && cfg4G.mMemThrd == 0) {
                                setAppMngCfg(valueString, cfg4G);
                            }
                        }
                        i3++;
                        resManager = resManager2;
                        i = 1;
                        i2 = 0;
                    }
                }
                resManager2 = resManager;
                i3++;
                resManager = resManager2;
                i = 1;
                i2 = 0;
            }
            resManager = com.android.server.rms.iaware.appmng.AppMngConfig.getMemorySize();
            if (cfg2G.mMemThrd != 0 && resManager < cfg2G.mMemThrd) {
                cfgCur = cfg2G;
                this.mCfgAdjTypeId = 4;
            } else if (cfg3G.mMemThrd != 0 && resManager < cfg3G.mMemThrd) {
                cfgCur = cfg3G;
                if ((MEM_OPT_FOR_3G & 1) != 0) {
                    cfgCur.mLowEnd = true;
                }
                if ((MEM_OPT_FOR_3G & 2) != 0) {
                    cfgCur.mKillMore = true;
                }
                if ((MEM_OPT_FOR_3G & 4) != 0) {
                    cfgCur.mBgDecay = 120;
                }
                this.mCfgAdjTypeId = 3;
            } else if (cfg4G.mMemThrd != 0) {
                cfgCur = cfg4G;
                this.mCfgAdjTypeId = 2;
            }
            if (cfgCur != null) {
                this.mLowEnd = cfgCur.mLowEnd;
                boolean restartFlag = cfgCur.mRestart;
                com.android.server.rms.iaware.appmng.AppMngConfig.setAbroadFlag(isAbroadArea());
                com.android.server.rms.iaware.appmng.AppMngConfig.setRestartFlag(restartFlag);
                com.android.server.rms.iaware.appmng.AppMngConfig.setTopN(cfgCur.mTopNCnt);
                com.android.server.rms.iaware.appmng.AppMngConfig.setImCnt(cfgCur.mImCnt);
                com.android.server.rms.iaware.appmng.AppMngConfig.setSysDecay(cfgCur.mSysDecay);
                com.android.server.rms.iaware.appmng.AppMngConfig.setKeySysDecay(cfgCur.mKeyDecay);
                com.android.server.rms.iaware.appmng.AppMngConfig.setAdjCustTopN(cfgCur.mAdjCustTopN);
                com.android.server.rms.iaware.appmng.AppMngConfig.setBgDecay(cfgCur.mBgDecay);
                com.android.server.rms.iaware.appmng.AppMngConfig.setPgProtectFlag(cfgCur.mPgProtect);
                com.android.server.rms.iaware.appmng.AppMngConfig.setAlarmChkFlag(cfgCur.mAlarmChk);
                com.android.server.rms.iaware.appmng.AppMngConfig.setKillMoreFlag(cfgCur.mKillMore);
                com.android.server.rms.iaware.appmng.AppMngConfig.setScreenChangedThreshold(cfgCur.mScreenChanged);
                com.android.server.rms.iaware.appmng.AppMngConfig.setSmartCleanInterval(cfgCur.mSmartCleanInterval);
            }
        } else {
            resManager2 = resManager;
        }
    }

    public boolean isLowEnd() {
        return this.mLowEnd;
    }

    private void updateAdjWhiteListFromRMS(int rmsGroupId) {
        java.util.Set<java.lang.String> adjList = updateListFromRMS(rmsGroupId, this.mCfgAdjTypeId);
        if (adjList != null) {
            synchronized (this.mAdjustAdjList) {
                this.mAdjustAdjList.clear();
                this.mAdjustAdjList.addAll(adjList);
            }
        }
    }

    private void updateRestartAppListFromRMS(int rmsGroupId) {
        java.util.Set<java.lang.String> adjList = updateListFromRMS(rmsGroupId, 6);
        if (adjList != null) {
            synchronized (this.mRestartAppList) {
                this.mRestartAppList.clear();
                this.mRestartAppList.addAll(adjList);
            }
        }
    }

    private void updateBadAppListFromRMS(int rmsGroupId) {
        java.util.Set<java.lang.String> adjList = updateListFromRMS(rmsGroupId, 7);
        if (adjList != null) {
            synchronized (this.mBadAppList) {
                this.mBadAppList.clear();
                this.mBadAppList.addAll(adjList);
            }
        }
    }

    private java.util.Set<java.lang.String> updateListFromRMS(int rmsGroupId, int whiteListType) {
        java.lang.String str = android.rms.HwSysResManager.getInstance().getWhiteList(rmsGroupId, whiteListType);
        if (str == null) {
            if (DEBUG) {
                android.rms.iaware.AwareLog.e("AwareDefaultConfigList", "updateAdjWhiteListFromRMS failed because null whiteList!");
            }
            return null;
        }
        android.util.ArraySet<java.lang.String> adjList = new android.util.ArraySet();
        int i = 0;
        java.lang.String[] contentArray = str.split("#")[0].split(";");
        int length = contentArray.length;
        while (i < length) {
            java.lang.String content = contentArray[i].trim();
            if (!content.isEmpty()) {
                adjList.add(content);
            }
            i++;
        }
        return adjList;
    }

    private void setCfgParam(com.android.server.rms.iaware.appmng.AwareDefaultConfigList.AppMngCfgXml cfg2G, java.lang.String cfgType, int value) {
        if ("MEM_THRD".equals(cfgType)) {
            cfg2G.mMemThrd = (long) value;
        } else if ("TOPN_CNT".equals(cfgType)) {
            cfg2G.mTopNCnt = value;
        } else if ("IM_CNT".equals(cfgType)) {
            cfg2G.mImCnt = value;
        } else if ("SYSPROC_DECAY".equals(cfgType)) {
            cfg2G.mSysDecay = (long) value;
        } else if ("KEYPROC_DECAY".equals(cfgType)) {
            cfg2G.mKeyDecay = (long) value;
        } else if ("ADJCUSTTOP_CNT".equals(cfgType)) {
            cfg2G.mAdjCustTopN = value;
        } else {
            boolean z = false;
            if ("RESTART".equals(cfgType)) {
                if (value != 0) {
                    z = true;
                }
                cfg2G.mRestart = z;
            } else if ("BGDCY".equals(cfgType)) {
                cfg2G.mBgDecay = (long) value;
            } else if ("PROT".equals(cfgType)) {
                if (value != 0) {
                    z = true;
                }
                cfg2G.mPgProtect = z;
            } else if ("ALM".equals(cfgType)) {
                if (value != 0) {
                    z = true;
                }
                cfg2G.mAlarmChk = z;
            } else if ("KM".equals(cfgType)) {
                if (value != 0) {
                    z = true;
                }
                cfg2G.mKillMore = z;
            } else if ("LOW".equals(cfgType)) {
                if (value != 0) {
                    z = true;
                }
                cfg2G.mLowEnd = z;
            } else if ("screenChanged".equals(cfgType)) {
                cfg2G.mScreenChanged = value;
            } else if ("smartCleanInterval".equals(cfgType)) {
                cfg2G.mSmartCleanInterval = value;
            }
        }
    }

    private void setAppMngCfg(java.lang.String str, com.android.server.rms.iaware.appmng.AwareDefaultConfigList.AppMngCfgXml cfg2G) {
        if (str != null) {
            if (cfg2G != null) {
                for (java.lang.String content : str.split(";")) {
                    if (content != null) {
                        java.lang.String[] names = content.trim().split(":");
                        if (names.length > 1) {
                            java.lang.String cfgType = names[0];
                            java.lang.String cfgValue = names[1];
                            if (cfgType != null) {
                                if (cfgValue != null) {
                                    cfgType = cfgType.trim();
                                    int value = 0;
                                    try {
                                        value = java.lang.Integer.parseInt(cfgValue.trim(), 10);
                                    } catch (java.lang.NumberFormatException e) {
                                        android.rms.iaware.AwareLog.e("AwareDefaultConfigList", "parseInt error");
                                    }
                                    setCfgParam(cfg2G, cfgType, value);
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    private void parseAwareProtectList() {
        synchronized (this) {
            if (this.mAwareProtectList == null) {
                return;
            }
            this.mAwareProtectMap.clear();
            int value = 0;
            java.util.Iterator it = this.mAwareProtectList.iterator();
            while (it.hasNext()) {
                java.lang.String str = (java.lang.String) it.next();
                if (str != null && str.contains("{")) {
                    if (str.contains("}")) {
                        int startIdx = str.indexOf("{");
                        int endIdx = str.indexOf("}");
                        if (startIdx + 1 >= endIdx) {
                            continue;
                        } else if (startIdx + 1 < str.length()) {
                            java.lang.String pkgName = str.substring(0, startIdx);
                            try {
                                value = java.lang.Integer.parseInt(str.substring(startIdx + 1, endIdx), 16);
                            } catch (java.lang.NumberFormatException e) {
                                android.rms.iaware.AwareLog.e("AwareDefaultConfigList", "parseInt error");
                            }
                            java.lang.String[] names = pkgName.split("#");
                            pkgName = names[0];
                            java.lang.String processName = names.length > 1 ? names[1] : null;
                            if (!pkgName.isEmpty()) {
                                com.android.server.rms.iaware.appmng.AwareDefaultConfigList.PackageConfigItem item = (com.android.server.rms.iaware.appmng.AwareDefaultConfigList.PackageConfigItem) this.mAwareProtectMap.get(pkgName);
                                if (item == null) {
                                    item = new com.android.server.rms.iaware.appmng.AwareDefaultConfigList.PackageConfigItem(pkgName, value);
                                    this.mAwareProtectMap.put(pkgName, item);
                                    if (DEBUG) {
                                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                        stringBuilder.append("pkgName:");
                                        stringBuilder.append(pkgName);
                                        stringBuilder.append(" mGroupId:");
                                        stringBuilder.append(item.mGroupId);
                                        stringBuilder.append(" restart:");
                                        stringBuilder.append(item.mRestartFlag);
                                        stringBuilder.append(" clean:");
                                        stringBuilder.append(item.mResCleanAllow);
                                        stringBuilder.append(" frequently used:");
                                        stringBuilder.append(item.mFrequentlyUsed);
                                        android.rms.iaware.AwareLog.i("AwareDefaultConfigList", stringBuilder.toString());
                                    }
                                }
                                if (processName != null) {
                                    com.android.server.rms.iaware.appmng.AwareDefaultConfigList.ProcessConfigItem dItem = new com.android.server.rms.iaware.appmng.AwareDefaultConfigList.ProcessConfigItem(processName, value);
                                    item.add(dItem);
                                    if (DEBUG) {
                                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                        stringBuilder2.append("processName:");
                                        stringBuilder2.append(processName);
                                        stringBuilder2.append(" mGroupId:");
                                        stringBuilder2.append(dItem.mGroupId);
                                        stringBuilder2.append(" restart:");
                                        stringBuilder2.append(dItem.mRestartFlag);
                                        stringBuilder2.append(" clean:");
                                        stringBuilder2.append(dItem.mResCleanAllow);
                                        stringBuilder2.append(" frequently used:");
                                        stringBuilder2.append(item.mFrequentlyUsed);
                                        android.rms.iaware.AwareLog.i("AwareDefaultConfigList", stringBuilder2.toString());
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    private void startHabitObserver() {
        setHabitWhiteList();
        com.android.server.rms.algorithm.AwareUserHabit habitInstance = com.android.server.rms.algorithm.AwareUserHabit.getInstance();
        if (habitInstance != null) {
            habitInstance.registHabitProtectListChangeListener(this.mHabitListener);
        }
    }

    private void startXmlObserver() {
        android.rms.HwSysResManager.getInstance().registerResourceCallback(this.mUpdateWhiteListCallback);
    }

    public java.util.Map<java.lang.String, com.android.server.rms.iaware.appmng.AwareDefaultConfigList.PackageConfigItem> getAwareProtectMap() {
        if (!this.mEnabled) {
            return null;
        }
        android.util.ArrayMap<java.lang.String, com.android.server.rms.iaware.appmng.AwareDefaultConfigList.PackageConfigItem> map = new android.util.ArrayMap();
        setStaticXmlWhiteList();
        synchronized (this) {
            map.putAll(this.mAwareProtectMap);
        }
        return map;
    }

    public java.util.List<java.lang.String> getKeyHabitAppList() {
        java.util.List<java.lang.String> list = new java.util.ArrayList();
        if (!this.mEnabled) {
            return list;
        }
        synchronized (this) {
            list.addAll(this.mKeyHabitAppList);
        }
        return list;
    }

    public java.util.List<java.lang.String> getAllHabitAppList() {
        java.util.List<java.lang.String> list = new java.util.ArrayList();
        if (!this.mEnabled) {
            return list;
        }
        synchronized (this) {
            list.addAll(this.mAllHabitAppList);
        }
        return list;
    }

    public void updateKeyImCache(java.util.List<java.lang.String> list) {
        if (list != null) {
            synchronized (this) {
                this.mKeyHabitAppList.clear();
                int maxCnt = 0;
                for (java.lang.String pkgName : list) {
                    if (pkgName != null) {
                        this.mKeyHabitAppList.add(pkgName);
                        maxCnt++;
                        if (maxCnt >= com.android.server.rms.iaware.appmng.AppMngConfig.getImCnt()) {
                            break;
                        }
                    }
                }
            }
        }
    }

    public void updateAllImCache(java.util.List<java.lang.String> list) {
        if (list != null) {
            synchronized (this) {
                this.mAllHabitAppList.clear();
                for (java.lang.String pkgName : list) {
                    if (pkgName != null) {
                        this.mAllHabitAppList.add(pkgName);
                    }
                }
            }
        }
    }

    public void dump(java.io.FileDescriptor fd, java.io.PrintWriter pw) {
        if (pw != null) {
            if (this.mEnabled) {
                java.util.Iterator it;
                java.util.Iterator it2;
                int size;
                int i;
                pw.println("dump iAware Protect WhiteList Apps start --------");
                synchronized (this) {
                    it = this.mAwareProtectList.iterator();
                    while (it.hasNext()) {
                        pw.println((java.lang.String) it.next());
                    }
                }
                pw.println("dump iAware Protect WhiteList Apps end-----------");
                pw.println("dump iAware Adjust Adj Apps start --------");
                synchronized (this.mAdjustAdjList) {
                    it2 = this.mAdjustAdjList.iterator();
                    while (it2.hasNext()) {
                        pw.println((java.lang.String) it2.next());
                    }
                }
                pw.println("dump iAware Adjust Adj Apps end-----------");
                pw.println("dump User Habit Frequent Used start-----------");
                synchronized (this.mHabitFrequentUsed) {
                    it = this.mHabitFrequentUsed.iterator();
                    while (it.hasNext()) {
                        pw.println((java.lang.String) it.next());
                    }
                }
                pw.println("dump User Habit Frequent Used end-----------");
                pw.println("dump User Habit WhiteList Apps start ------------");
                synchronized (this) {
                    size = this.mKeyHabitAppList.size();
                    for (i = 0; i < size; i++) {
                        pw.println((java.lang.String) this.mKeyHabitAppList.get(i));
                    }
                }
                pw.println("dump User Habit WhiteList Apps end --------------");
                pw.println("dump User All Habit WhiteList Apps start ------------");
                synchronized (this) {
                    size = this.mAllHabitAppList.size();
                    for (i = 0; i < size; i++) {
                        pw.println((java.lang.String) this.mAllHabitAppList.get(i));
                    }
                }
                pw.println("dump User All Habit WhiteList Apps end --------------");
                pw.println("dump iAware Restart Apps start --------");
                synchronized (this.mRestartAppList) {
                    it2 = this.mRestartAppList.iterator();
                    while (it2.hasNext()) {
                        pw.println((java.lang.String) it2.next());
                    }
                }
                pw.println("dump iAware Restart Apps end-----------");
                pw.println("dump iAware Bad Apps start --------");
                synchronized (this.mBadAppList) {
                    it = this.mBadAppList.iterator();
                    while (it.hasNext()) {
                        pw.println((java.lang.String) it.next());
                    }
                }
                pw.println("dump iAware Bad Apps end-----------");
                pw.println("dump AppMng Config start ------------");
                dumpCfg(pw);
                pw.println("dump AppMng Configs end ------------");
                return;
            }
            pw.println("WhiteList feature not enabled.");
        }
    }

    private void dumpCfg(java.io.PrintWriter pw) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("memMB:");
        stringBuilder.append(com.android.server.rms.iaware.appmng.AppMngConfig.getMemorySize());
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("topN:");
        stringBuilder.append(com.android.server.rms.iaware.appmng.AppMngConfig.getTopN());
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("imCnt:");
        stringBuilder.append(com.android.server.rms.iaware.appmng.AppMngConfig.getImCnt());
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("sysDecay:");
        stringBuilder.append(com.android.server.rms.iaware.appmng.AppMngConfig.getSysDecay());
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("keySysDecay:");
        stringBuilder.append(com.android.server.rms.iaware.appmng.AppMngConfig.getKeySysDecay());
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("adjCustTopN:");
        stringBuilder.append(com.android.server.rms.iaware.appmng.AppMngConfig.getAdjCustTopN());
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("restart:");
        stringBuilder.append(com.android.server.rms.iaware.appmng.AppMngConfig.getRestartFlag());
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("abroad:");
        stringBuilder.append(com.android.server.rms.iaware.appmng.AppMngConfig.getAbroadFlag());
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("bgDecayMinute:");
        stringBuilder.append(com.android.server.rms.iaware.appmng.AppMngConfig.getBgDecay());
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("pgProtectEn:");
        stringBuilder.append(com.android.server.rms.iaware.appmng.AppMngConfig.getPgProtectFlag());
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("alarmChk:");
        stringBuilder.append(com.android.server.rms.iaware.appmng.AppMngConfig.getAlarmCheckFlag());
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("killMore:");
        stringBuilder.append(com.android.server.rms.iaware.appmng.AppMngConfig.getKillMoreFlag());
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("lowEnd:");
        stringBuilder.append(this.mLowEnd);
        pw.println(stringBuilder.toString());
    }

    public void fillMostFrequentUsedApp(java.util.List<java.lang.String> list) {
        if (this.mEnabled) {
            java.util.List<java.lang.String> listHabit = new java.util.ArrayList();
            if (list != null) {
                listHabit.addAll(list);
            }
            java.util.List<java.lang.String> setAdjPkg = new java.util.ArrayList();
            setAdjPkg.addAll(listHabit);
            synchronized (this.mAdjustAdjList) {
                setAdjPkg.addAll(this.mAdjustAdjList);
            }
            com.huawei.android.app.HwActivityManager.setAndRestoreMaxAdjIfNeed(setAdjPkg);
            synchronized (this.mHabitFrequentUsed) {
                this.mHabitFrequentUsed.clear();
                this.mHabitFrequentUsed.addAll(listHabit);
            }
        }
    }

    /* JADX WARNING: Missing block: B:13:0x0018, code:
            r2 = r4.mHabitFrequentUsed;
     */
    /* JADX WARNING: Missing block: B:14:0x001a, code:
            monitor-enter(r2);
     */
    /* JADX WARNING: Missing block: B:17:0x0021, code:
            if (r4.mHabitFrequentUsed.contains(r5) == false) goto L_0x0025;
     */
    /* JADX WARNING: Missing block: B:18:0x0023, code:
            monitor-exit(r2);
     */
    /* JADX WARNING: Missing block: B:19:0x0024, code:
            return true;
     */
    /* JADX WARNING: Missing block: B:20:0x0025, code:
            monitor-exit(r2);
     */
    /* JADX WARNING: Missing block: B:21:0x0026, code:
            return false;
     */
    public boolean isAppMngOomAdjCustomized(java.lang.String r5) {
        /*
        r4 = this;
        r0 = r4.mEnabled;
        r1 = 0;
        if (r0 != 0) goto L_0x0006;
    L_0x0005:
        return r1;
    L_0x0006:
        if (r5 != 0) goto L_0x0009;
    L_0x0008:
        return r1;
    L_0x0009:
        r0 = r4.mAdjustAdjList;
        monitor-enter(r0);
        r2 = r4.mAdjustAdjList;	 Catch:{ all -> 0x002a }
        r2 = r2.contains(r5);	 Catch:{ all -> 0x002a }
        r3 = 1;
        if (r2 == 0) goto L_0x0017;
    L_0x0015:
        monitor-exit(r0);	 Catch:{ all -> 0x002a }
        return r3;
    L_0x0017:
        monitor-exit(r0);	 Catch:{ all -> 0x002a }
        r2 = r4.mHabitFrequentUsed;
        monitor-enter(r2);
        r0 = r4.mHabitFrequentUsed;	 Catch:{ all -> 0x0027 }
        r0 = r0.contains(r5);	 Catch:{ all -> 0x0027 }
        if (r0 == 0) goto L_0x0025;
    L_0x0023:
        monitor-exit(r2);	 Catch:{ all -> 0x0027 }
        return r3;
    L_0x0025:
        monitor-exit(r2);	 Catch:{ all -> 0x0027 }
        return r1;
    L_0x0027:
        r0 = move-exception;
        monitor-exit(r2);	 Catch:{ all -> 0x0027 }
        throw r0;
    L_0x002a:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x002a }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.appmng.AwareDefaultConfigList.isAppMngOomAdjCustomized(java.lang.String):boolean");
    }

    public java.util.Set<java.lang.String> getRestartAppList() {
        android.util.ArraySet arraySet;
        synchronized (this.mRestartAppList) {
            arraySet = new android.util.ArraySet(this.mRestartAppList);
        }
        return arraySet;
    }

    public java.util.Set<java.lang.String> getBadAppList() {
        android.util.ArraySet arraySet;
        synchronized (this.mBadAppList) {
            arraySet = new android.util.ArraySet(this.mBadAppList);
        }
        return arraySet;
    }

    public static boolean isAbroadArea() {
        return android.os.SystemProperties.get("ro.config.hw_optb", "0").equals("156") ^ 1;
    }
}
