package com.android.server.rms.iaware.appmng;

public final class AwareSceneRecognize {
    private static boolean DEBUG = true;
    private static final java.lang.String DEFAULT_CONFIG = "AppFreeze";
    private static final java.lang.String DEFAULT_FEATURE = "AppMng";
    private static final int DEFAULT_INVAILD_UID = -1;
    private static final java.lang.String KEY_PACKAGENAME = "packageName";
    private static final java.lang.String KEY_UID = "uid";
    private static final int MSG_CAMERA_SHOT = 105;
    private static final int MSG_GALLERY_SCALE = 108;
    private static final int MSG_PROXIMITY_SENSOR = 106;
    private static final int MSG_SKIPPED_FRAME = 107;
    private static final int MSG_STOP_ACTIVITY = 104;
    private static final int MSG_STOP_FLING = 102;
    private static final int MSG_STOP_SCROLL = 101;
    public static final int SCENE_RECONGNIZE_CAMERA_SHOT = 8;
    public static final int SCENE_RECONGNIZE_DEFAULT = 1;
    public static final int SCENE_RECONGNIZE_EVENT_BEGIN = 1;
    public static final int SCENE_RECONGNIZE_EVENT_END = 0;
    public static final int SCENE_RECONGNIZE_GALLERY_SCALE = 64;
    public static final int SCENE_RECONGNIZE_PROXIMITY_SENSOR = 16;
    public static final int SCENE_RECONGNIZE_SKIPPED_FRAME = 32;
    public static final int SCENE_RECONGNIZE_SLIPPING = 2;
    public static final int SCENE_RECONGNIZE_START_ACTIVITY = 4;
    private static final long START_TIME_OUT = 3000;
    private static final long STOP_SCROLL_DELAY = 100;
    private static final java.lang.String TAG = "RMS.AwareSceneRecognize";
    private static com.android.server.rms.iaware.appmng.AwareSceneRecognize mAwareSceneRecognize = null;
    private static boolean mEnabled = false;
    private final android.util.ArrayMap<com.android.server.rms.iaware.appmng.AwareSceneRecognize.IAwareSceneRecCallback, java.lang.Integer> mCallbacks = new android.util.ArrayMap();
    private android.os.Handler mHandler = new com.android.server.rms.iaware.appmng.AwareSceneRecognize.SceneRecHandler();
    private java.util.concurrent.atomic.AtomicBoolean mIsActivityStarting = new java.util.concurrent.atomic.AtomicBoolean(false);
    private java.util.concurrent.atomic.AtomicBoolean mIsFling = new java.util.concurrent.atomic.AtomicBoolean(false);
    private java.util.concurrent.atomic.AtomicBoolean mIsInitialized = new java.util.concurrent.atomic.AtomicBoolean(false);
    private java.util.concurrent.atomic.AtomicBoolean mIsScroll = new java.util.concurrent.atomic.AtomicBoolean(false);
    private java.lang.String mLastStartPkg = "";
    private java.util.Map<java.lang.Integer, java.lang.String> mValidApp = new android.util.ArrayMap();

    public interface IAwareSceneRecCallback {
        void onStateChanged(int i, int i2, java.lang.String str);
    }

    private class SceneRecHandler extends android.os.Handler {
        public void handleMessage(android.os.Message msg) {
            if (com.android.server.rms.iaware.appmng.AwareSceneRecognize.DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("handleMessage message ");
                stringBuilder.append(msg.what);
                stringBuilder.append(", isScroll=");
                stringBuilder.append(com.android.server.rms.iaware.appmng.AwareSceneRecognize.this.mIsScroll.get());
                stringBuilder.append(", isFling=");
                stringBuilder.append(com.android.server.rms.iaware.appmng.AwareSceneRecognize.this.mIsFling.get());
                android.rms.iaware.AwareLog.d("RMS.AwareSceneRecognize", stringBuilder.toString());
            }
            int i = msg.what;
            if (i == 15005) {
                com.android.server.rms.iaware.appmng.AwareSceneRecognize.this.handleActivityBegin(msg);
            } else if (i != 85005) {
                switch (i) {
                    case 101:
                        if (!com.android.server.rms.iaware.appmng.AwareSceneRecognize.this.mIsFling.get() && com.android.server.rms.iaware.appmng.AwareSceneRecognize.this.mIsScroll.get()) {
                            com.android.server.rms.iaware.appmng.AwareSceneRecognize.this.mIsScroll.set(false);
                            com.android.server.rms.iaware.appmng.AwareSceneRecognize.this.notifyStateChange(2, 0, null);
                            return;
                        }
                        return;
                    case 102:
                        com.android.server.rms.iaware.appmng.AwareSceneRecognize.this.handleStopFling();
                        return;
                    default:
                        switch (i) {
                            case 104:
                                com.android.server.rms.iaware.appmng.AwareSceneRecognize.this.handleActivityStartingFinish(com.android.server.rms.iaware.appmng.AwareSceneRecognize.this.mLastStartPkg);
                                return;
                            case 105:
                                com.android.server.rms.iaware.appmng.AwareSceneRecognize.this.hanldeCameraOperation(msg);
                                return;
                            case 106:
                                com.android.server.rms.iaware.appmng.AwareSceneRecognize.this.handleProximitySensor(msg);
                                return;
                            case 107:
                                com.android.server.rms.iaware.appmng.AwareSceneRecognize.this.handleSkippedFrame(msg);
                                return;
                            case 108:
                                com.android.server.rms.iaware.appmng.AwareSceneRecognize.this.handleGalleryOperation(msg);
                                return;
                            default:
                                return;
                        }
                }
            } else {
                com.android.server.rms.iaware.appmng.AwareSceneRecognize.this.handleActivityFinish(msg);
            }
        }
    }

    private AwareSceneRecognize() {
    }

    private void initialize() {
        if (!this.mIsInitialized.get()) {
            loadConfig();
            this.mIsInitialized.set(true);
        }
    }

    private void loadConfig() {
        android.rms.iaware.AwareConfig awareconfig = getConfig();
        if (awareconfig == null) {
            android.rms.iaware.AwareLog.e("RMS.AwareSceneRecognize", "config is null");
            return;
        }
        java.util.List<android.rms.iaware.AwareConfig.Item> itemList = awareconfig.getConfigList();
        if (itemList == null) {
            android.rms.iaware.AwareLog.e("RMS.AwareSceneRecognize", "config has no items");
            return;
        }
        android.rms.iaware.AwareConfig.Item item = null;
        if (itemList.size() > 0) {
            item = (android.rms.iaware.AwareConfig.Item) itemList.get(0);
        }
        if (item == null) {
            android.rms.iaware.AwareLog.e("RMS.AwareSceneRecognize", "config has no item");
            return;
        }
        java.util.List<android.rms.iaware.AwareConfig.SubItem> subItems = item.getSubItemList();
        if (subItems != null) {
            if (!subItems.isEmpty()) {
                android.rms.iaware.AwareConfig.SubItem subitem = (android.rms.iaware.AwareConfig.SubItem) subItems.get(0);
                if (subitem != null && "packageName".equals(subitem.getName())) {
                    java.lang.String pkg = subitem.getValue();
                    if (pkg != null) {
                        if (!"".equals(pkg.trim())) {
                            initValidAppInfo(pkg.trim());
                        }
                    }
                    android.rms.iaware.AwareLog.e("RMS.AwareSceneRecognize", "get the valid pkg failed from config");
                    return;
                }
                return;
            }
        }
        android.rms.iaware.AwareLog.e("RMS.AwareSceneRecognize", "config has no sub item");
    }

    private void initValidAppInfo(java.lang.String pkgInfo) {
        com.android.server.mtm.MultiTaskManagerService mMtmService = com.android.server.mtm.MultiTaskManagerService.self();
        if (mMtmService == null) {
            android.rms.iaware.AwareLog.e("RMS.AwareSceneRecognize", "get mtm services failed");
            return;
        }
        android.content.pm.PackageManager pm = mMtmService.context().getPackageManager();
        if (pm != null) {
            if (pkgInfo.contains(",")) {
                for (java.lang.String pkg : pkgInfo.split(",")) {
                    java.lang.String pkg2 = pkg2.trim();
                    if (!"".equals(pkg2)) {
                        int uid = getUIDByPackageName(pkg2, pm);
                        if (uid != -1) {
                            this.mValidApp.put(java.lang.Integer.valueOf(uid), pkg2);
                        }
                    }
                }
            } else {
                int uid2 = getUIDByPackageName(pkgInfo, pm);
                if (uid2 != -1) {
                    this.mValidApp.put(java.lang.Integer.valueOf(uid2), pkgInfo);
                }
            }
        }
    }

    private int getUIDByPackageName(java.lang.String pkg, android.content.pm.PackageManager pm) {
        int uid = -1;
        try {
            android.content.pm.ApplicationInfo appInfo = pm.getApplicationInfo(pkg, 1);
            if (appInfo != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("curCameraUID=");
                stringBuilder.append(appInfo.uid);
                stringBuilder.append(", mPackageName=");
                stringBuilder.append(pkg);
                android.rms.iaware.AwareLog.i("RMS.AwareSceneRecognize", stringBuilder.toString());
                uid = appInfo.uid;
            }
        } catch (android.content.pm.PackageManager.NameNotFoundException e) {
            android.rms.iaware.AwareLog.e("RMS.AwareSceneRecognize", "get the camera uid faied");
        }
        return uid;
    }

    private android.rms.iaware.AwareConfig getConfig() {
        android.rms.iaware.AwareConfig configList = null;
        try {
            android.os.IBinder awareservice = android.rms.iaware.IAwareCMSManager.getICMSManager();
            if (awareservice != null) {
                configList = android.rms.iaware.IAwareCMSManager.getConfig(awareservice, "AppMng", "AppFreeze");
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("configList:");
                stringBuilder.append(configList);
                android.rms.iaware.AwareLog.d("RMS.AwareSceneRecognize", stringBuilder.toString());
            } else {
                android.rms.iaware.AwareLog.e("RMS.AwareSceneRecognize", "can not find service IAwareCMSService.");
            }
        } catch (android.os.RemoteException e) {
            android.rms.iaware.AwareLog.e("RMS.AwareSceneRecognize", "AppMngFeature getConfig RemoteException");
        }
        return configList;
    }

    private synchronized void deInitialize() {
        if (this.mIsInitialized.get()) {
            synchronized (this.mCallbacks) {
                this.mCallbacks.clear();
            }
            this.mIsInitialized.set(false);
        }
    }

    public static synchronized com.android.server.rms.iaware.appmng.AwareSceneRecognize getInstance() {
        com.android.server.rms.iaware.appmng.AwareSceneRecognize awareSceneRecognize;
        synchronized (com.android.server.rms.iaware.appmng.AwareSceneRecognize.class) {
            if (mAwareSceneRecognize == null) {
                mAwareSceneRecognize = new com.android.server.rms.iaware.appmng.AwareSceneRecognize();
            }
            awareSceneRecognize = mAwareSceneRecognize;
        }
        return awareSceneRecognize;
    }

    public void registerStateCallback(com.android.server.rms.iaware.appmng.AwareSceneRecognize.IAwareSceneRecCallback callback, int stateType) {
        if (callback != null) {
            synchronized (this.mCallbacks) {
                java.lang.Integer states = (java.lang.Integer) this.mCallbacks.get(callback);
                if (states == null) {
                    this.mCallbacks.put(callback, java.lang.Integer.valueOf(stateType));
                } else {
                    this.mCallbacks.put(callback, java.lang.Integer.valueOf(states.intValue() | stateType));
                }
            }
        }
    }

    public void unregisterStateCallback(com.android.server.rms.iaware.appmng.AwareSceneRecognize.IAwareSceneRecCallback callback) {
        if (callback != null) {
            synchronized (this.mCallbacks) {
                this.mCallbacks.remove(callback);
            }
        }
    }

    private void notifyStateChange(int sceneType, int eventType, java.lang.String pkgName) {
        if (DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("SceneRec sceneType :");
            stringBuilder.append(sceneType);
            stringBuilder.append(", eventType:");
            stringBuilder.append(eventType);
            stringBuilder.append(", pkg=");
            stringBuilder.append(pkgName);
            android.rms.iaware.AwareLog.d("RMS.AwareSceneRecognize", stringBuilder.toString());
        }
        synchronized (this.mCallbacks) {
            if (this.mCallbacks.isEmpty()) {
                return;
            }
            for (java.util.Map.Entry<com.android.server.rms.iaware.appmng.AwareSceneRecognize.IAwareSceneRecCallback, java.lang.Integer> m : this.mCallbacks.entrySet()) {
                com.android.server.rms.iaware.appmng.AwareSceneRecognize.IAwareSceneRecCallback callback = (com.android.server.rms.iaware.appmng.AwareSceneRecognize.IAwareSceneRecCallback) m.getKey();
                int state = ((java.lang.Integer) m.getValue()).intValue();
                if (1 == state || (state & sceneType) != 0) {
                    callback.onStateChanged(sceneType, eventType, pkgName);
                }
            }
        }
    }

    public void report(int eventId, android.os.Bundle bundleArgs) {
        if (mEnabled) {
            java.lang.StringBuilder stringBuilder;
            if (DEBUG) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("eventId: ");
                stringBuilder.append(eventId);
                android.rms.iaware.AwareLog.d("RMS.AwareSceneRecognize", stringBuilder.toString());
            }
            if (bundleArgs != null) {
                if (!this.mIsInitialized.get()) {
                    initialize();
                }
                if (eventId == 23) {
                    handleProximityEvent(bundleArgs);
                } else if (eventId != 15014) {
                    switch (eventId) {
                        case 13:
                            handleStartScroll();
                            break;
                        case 14:
                            handleStopScroll();
                            break;
                        case 15:
                            handleFling(bundleArgs.getInt("scroll_duration"));
                            break;
                        default:
                            switch (eventId) {
                                case 15011:
                                    android.os.Message msg = new android.os.Message();
                                    msg.what = 105;
                                    msg.setData(bundleArgs);
                                    this.mHandler.sendMessage(msg);
                                    break;
                                case 15012:
                                    handleSkippedFrameEvent(bundleArgs);
                                    break;
                                default:
                                    stringBuilder = new java.lang.StringBuilder();
                                    stringBuilder.append("Unknown EventID: ");
                                    stringBuilder.append(eventId);
                                    android.rms.iaware.AwareLog.e("RMS.AwareSceneRecognize", stringBuilder.toString());
                                    break;
                            }
                    }
                } else {
                    handleGalleryEvent(bundleArgs);
                }
                return;
            }
            return;
        }
        if (DEBUG) {
            android.rms.iaware.AwareLog.d("RMS.AwareSceneRecognize", "AwareSceneRecognize feature disabled!");
        }
    }

    public void reportActivityStart(android.rms.iaware.CollectData data) {
        if (mEnabled) {
            if (!this.mIsInitialized.get()) {
                initialize();
            }
            if (data != null) {
                java.lang.String eventData = data.getData();
                com.android.server.rms.iaware.memory.data.content.AttrSegments.Builder builder = new com.android.server.rms.iaware.memory.data.content.AttrSegments.Builder();
                builder.addCollectData(eventData);
                com.android.server.rms.iaware.memory.data.content.AttrSegments attrSegments = builder.build();
                if (attrSegments.isValid()) {
                    android.util.ArrayMap<java.lang.String, java.lang.String> appInfo = attrSegments.getSegment("calledApp");
                    if (appInfo == null) {
                        android.rms.iaware.AwareLog.d("RMS.AwareSceneRecognize", "appInfo is NULL");
                        return;
                    }
                    int eventId = attrSegments.getEvent().intValue();
                    if (15005 == eventId || 85005 == eventId) {
                        java.lang.String pkgName = (java.lang.String) appInfo.get("packageName");
                        android.os.Message msg = this.mHandler.obtainMessage();
                        msg.what = eventId;
                        android.os.Bundle bundle = new android.os.Bundle();
                        bundle.putString("packageName", pkgName);
                        msg.setData(bundle);
                        this.mHandler.sendMessage(msg);
                    }
                    return;
                }
                android.rms.iaware.AwareLog.e("RMS.AwareSceneRecognize", "Invalid collectData, or event");
                return;
            }
            return;
        }
        if (DEBUG) {
            android.rms.iaware.AwareLog.d("RMS.AwareSceneRecognize", "AwareSceneRecognize feature disabled!");
        }
    }

    private void sendMessage(int what, long delay) {
        this.mHandler.sendEmptyMessageDelayed(what, delay);
    }

    private void handleStartScroll() {
        if (!this.mIsScroll.get()) {
            this.mIsScroll.set(true);
            if (!this.mIsFling.get()) {
                notifyStateChange(2, 1, null);
            }
            this.mIsFling.set(false);
            this.mHandler.removeMessages(102);
        }
    }

    private void handleStopScroll() {
        sendMessage(101, 100);
    }

    private void handleFling(int duration) {
        this.mIsFling.set(true);
        if (this.mIsScroll.get()) {
            this.mIsScroll.set(false);
        }
        sendMessage(102, (long) duration);
    }

    private void handleProximityEvent(android.os.Bundle bundleArgs) {
        android.os.Message msg = new android.os.Message();
        msg.what = 106;
        msg.setData(bundleArgs);
        this.mHandler.sendMessage(msg);
    }

    private void handleSkippedFrameEvent(android.os.Bundle bundleArgs) {
        android.os.Message msg = new android.os.Message();
        msg.what = 107;
        msg.setData(bundleArgs);
        this.mHandler.sendMessage(msg);
    }

    private void handleGalleryEvent(android.os.Bundle bundleArgs) {
        android.os.Message msg = new android.os.Message();
        msg.what = 108;
        msg.setData(bundleArgs);
        this.mHandler.sendMessage(msg);
    }

    private void handleStartActivity(java.lang.String pkgName) {
        if (pkgName != null) {
            if (!"".equals(pkgName.trim())) {
                com.android.server.rms.iaware.appmng.AwareAppAssociate assc = com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance();
                if (assc == null) {
                    android.rms.iaware.AwareLog.d("RMS.AwareSceneRecognize", "the aware assoc is not started");
                    return;
                }
                java.util.List<java.lang.String> homePkg = assc.getDefaultHomePackages();
                if (this.mLastStartPkg.equals(pkgName) && homePkg.contains(pkgName)) {
                    if (DEBUG) {
                        android.rms.iaware.AwareLog.d("RMS.AwareSceneRecognize", "current is home, no need restart home process, so filter it");
                    }
                    return;
                }
                this.mIsActivityStarting.set(true);
                notifyStateChange(4, 1, pkgName);
                if (this.mHandler.hasMessages(104)) {
                    this.mHandler.removeMessages(104);
                }
                this.mHandler.sendEmptyMessageDelayed(104, 3000);
                this.mLastStartPkg = pkgName;
                return;
            }
        }
        if (DEBUG) {
            android.rms.iaware.AwareLog.d("RMS.AwareSceneRecognize", "current start pkgName is null or empty");
        }
    }

    private void handleActivityStartingFinish(java.lang.String pkg) {
        if (this.mIsActivityStarting.get()) {
            notifyStateChange(4, 0, pkg);
            this.mIsActivityStarting.set(false);
        }
        if (this.mHandler.hasMessages(104)) {
            this.mHandler.removeMessages(104);
        }
    }

    private void hanldeCameraOperation(android.os.Message msg) {
        android.os.Bundle bundle = msg.getData();
        if (bundle != null) {
            int uid = bundle.getInt("uid", -1) % 100000;
            if (uid != -1) {
                if (this.mValidApp.containsKey(java.lang.Integer.valueOf(uid))) {
                    notifyStateChange(8, 1, (java.lang.String) this.mValidApp.get(java.lang.Integer.valueOf(uid)));
                    return;
                }
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("the data is not report by camera, dataUID=");
            stringBuilder.append(uid);
            android.rms.iaware.AwareLog.i("RMS.AwareSceneRecognize", stringBuilder.toString());
        }
    }

    private void handleGalleryOperation(android.os.Message msg) {
        android.os.Bundle bundle = msg.getData();
        if (bundle != null) {
            int uid = bundle.getInt("uid", -1) % 100000;
            if (uid != -1) {
                if (this.mValidApp.containsKey(java.lang.Integer.valueOf(uid))) {
                    notifyStateChange(64, 1, (java.lang.String) this.mValidApp.get(java.lang.Integer.valueOf(uid)));
                    return;
                }
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("the data is not report by gallery, dataUID=");
            stringBuilder.append(uid);
            stringBuilder.append(", pkg name: ");
            stringBuilder.append((java.lang.String) this.mValidApp.get(java.lang.Integer.valueOf(uid)));
            android.rms.iaware.AwareLog.i("RMS.AwareSceneRecognize", stringBuilder.toString());
        }
    }

    private void handleProximitySensor(android.os.Message msg) {
        android.os.Bundle bundle = msg.getData();
        if (bundle != null) {
            notifyStateChange(16, bundle.getInt("positive"), null);
        }
    }

    private void handleSkippedFrame(android.os.Message msg) {
        if (msg.getData() != null) {
            notifyStateChange(32, 1, null);
        }
    }

    private void handleActivityBegin(android.os.Message msg) {
        android.os.Bundle data = msg.getData();
        if (data != null) {
            handleStartActivity(data.getString("packageName"));
        }
    }

    private void handleActivityFinish(android.os.Message msg) {
        android.os.Bundle data = msg.getData();
        if (data != null) {
            handleActivityStartingFinish(data.getString("packageName"));
        }
    }

    private void handleStopFling() {
        this.mIsFling.set(false);
        if (!this.mIsScroll.get()) {
            notifyStateChange(2, 0, null);
        }
    }

    public static boolean isEnable() {
        return mEnabled;
    }

    public static void enable() {
        mEnabled = true;
        if (mAwareSceneRecognize != null) {
            mAwareSceneRecognize.initialize();
        }
    }

    public static void disable() {
        mEnabled = false;
        if (mAwareSceneRecognize != null) {
            mAwareSceneRecognize.deInitialize();
        }
    }

    public static void enableDebug() {
        DEBUG = true;
    }

    public static void disableDebug() {
        DEBUG = false;
    }
}
