package com.android.server.rms.iaware.appmng;

public class AwareWakeUpManager {
    private static final int ALARMTAGLENGTH = 2;
    private static final long BUFFER_TIME = 10000;
    private static final int CONTROL_PARAM_LENGTH = 7;
    private static final int DEFAULT_TOPN = -1;
    private static final int INDEX_PACKAGE_NAME = 0;
    private static final int MIN_WHITE_LIST_LENGTH = 1;
    private static final int MSG_ALARM_WAKEUP = 1;
    private static final int MSG_SYS_WAKEUP = 2;
    private static final int NAT_DETECT_START = -1;
    private static final java.lang.String SEPARATOR = "\\|";
    private static final java.lang.String TAG = "AwareWakeUpManager";
    private static final java.lang.String TAG_CONTROL_PARAM = "control_param";
    private static final java.lang.String TAG_WHITE_LIST = "white_list";
    private static volatile com.android.server.rms.iaware.appmng.AwareWakeUpManager mAwareWakeUpManager;
    private java.util.HashMap<java.lang.Integer, java.util.HashMap<java.lang.String, com.android.server.rms.iaware.appmng.AwareWakeUpManager.PackageControlPolicy>> mAlarmControlPolicy = new java.util.HashMap();
    private java.util.HashMap<java.lang.Integer, java.util.HashMap<java.lang.String, com.android.server.rms.iaware.appmng.AwareWakeUpManager.PackageWakeupInfo>> mAlarmWakeupInfo = new java.util.HashMap();
    private java.lang.Long mDebugDelay = java.lang.Long.valueOf(0);
    private java.util.List<java.lang.String> mDebugLog = new java.util.ArrayList();
    private java.lang.String mDebugPkg = "";
    private java.lang.String mDebugTag = "";
    private int mDebugUserId = -1;
    private boolean mHWPushNatDetecting = false;
    private android.os.Handler mHandler;
    private long mIntervalOverload = this.mIntervalOverloadDefault;
    private long mIntervalOverloadDefault = 600000;
    private long mIntervalWakeup = 1000;
    private long mIntervalWindowLength = 600000;
    private boolean mIsDebugMode = false;
    private boolean mIsInit = false;
    private java.util.concurrent.atomic.AtomicBoolean mIsScreenOn = new java.util.concurrent.atomic.AtomicBoolean(true);
    private java.util.ArrayList<java.util.ArrayList<com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo>> mLastRecentWakeupAlarm = new java.util.ArrayList();
    private long mLastSysWakeup = 0;
    private long mNatTime = 300000;
    private android.util.ArraySet<java.lang.String> mPushTags = new android.util.ArraySet();
    private com.android.server.mtm.iaware.appmng.appstart.datamgr.SystemUnremoveUidCache mSystemUnremoveUidCache;
    private android.util.ArraySet<com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo> mSystemWakeupQueue = new android.util.ArraySet();
    private java.util.List<java.lang.Long> mSystemWakeupTimeQueue = new java.util.ArrayList();
    private int mThresholdPkgOverload = 4;
    private int mThresholdSysOverload = 6;
    private int mThresholdTagOverload = 3;
    private java.util.HashMap<java.lang.String, android.util.ArraySet<java.lang.String>> mWhiteList = new java.util.HashMap();

    public enum ControlType {
        DO_NOTHING,
        IMPORTANT,
        UNKNOWN,
        PERCEPTIBLE,
        EXTEND {
            protected void apply(com.android.server.AlarmManagerService.Alarm alarm) {
                com.android.server.rms.iaware.appmng.AwareWakeUpManager.getInstance().extend(alarm);
            }
        },
        EXTEND_TOPN {
            protected void apply(com.android.server.AlarmManagerService.Alarm alarm) {
                com.android.server.rms.iaware.appmng.AwareWakeUpManager.getInstance().extend(alarm);
            }
        },
        EXTEND_AND_MUTE {
            protected void apply(com.android.server.AlarmManagerService.Alarm alarm) {
                com.android.server.rms.iaware.appmng.AwareWakeUpManager.getInstance().extend(alarm);
                com.android.server.rms.iaware.appmng.AwareWakeUpManager.getInstance().mute(alarm);
            }
        },
        DECIDE_OVERLOAD {
            protected void apply(com.android.server.AlarmManagerService.Alarm alarm) {
                com.android.server.rms.iaware.appmng.AwareWakeUpManager.getInstance().extend(alarm);
                com.android.server.rms.iaware.appmng.AwareWakeUpManager.getInstance().mute(alarm);
            }
        };

        protected void apply(com.android.server.AlarmManagerService.Alarm alarm) {
        }
    }

    protected class PackageControlPolicy {
        protected java.lang.String mPkg;
        protected java.util.HashMap<java.lang.String, com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagControlPolicy> mTagPolicyMap = new java.util.HashMap();
        protected int mUid;

        protected PackageControlPolicy(int uid, java.lang.String pkg) {
            this.mUid = uid;
            this.mPkg = pkg;
        }

        protected void overload(java.lang.String tag) {
            if (tag == null) {
                java.util.HashMap<java.lang.String, com.android.server.rms.iaware.appmng.AwareWakeUpManager.PackageWakeupInfo> packageWakeupInfos = (java.util.HashMap) com.android.server.rms.iaware.appmng.AwareWakeUpManager.this.mAlarmWakeupInfo.get(java.lang.Integer.valueOf(android.os.UserHandle.getUserId(this.mUid)));
                if (packageWakeupInfos != null) {
                    com.android.server.rms.iaware.appmng.AwareWakeUpManager.PackageWakeupInfo packageWakeupInfo = (com.android.server.rms.iaware.appmng.AwareWakeUpManager.PackageWakeupInfo) packageWakeupInfos.get(this.mPkg);
                    if (packageWakeupInfo != null) {
                        for (java.util.Map.Entry<java.lang.String, com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo> entry : packageWakeupInfo.mWakeUpMap.entrySet()) {
                            tagOverload(((com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo) entry.getValue()).mTag);
                        }
                        return;
                    }
                    return;
                }
                return;
            }
            tagOverload(tag);
        }

        private void tagOverload(java.lang.String tag) {
            com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagControlPolicy tagPolicy = (com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagControlPolicy) this.mTagPolicyMap.get(tag);
            if (tagPolicy == null) {
                tagPolicy = new com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagControlPolicy(this.mUid, this.mPkg, tag);
            }
            tagPolicy.overload();
            this.mTagPolicyMap.put(tag, tagPolicy);
        }

        protected void apply(com.android.server.AlarmManagerService.Alarm alarm) {
            com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagControlPolicy tagPolicy = (com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagControlPolicy) this.mTagPolicyMap.get(alarm.statsTag);
            if (tagPolicy != null) {
                tagPolicy.apply(alarm);
            }
        }
    }

    protected class PackageWakeupInfo {
        protected long mLastWakeUp = 0;
        protected java.lang.String mPkg;
        protected int mUid;
        protected java.util.HashMap<java.lang.String, com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo> mWakeUpMap = new java.util.HashMap();
        protected java.util.List<java.lang.Long> mWakeUpQueue = new java.util.ArrayList();

        protected PackageWakeupInfo(int uid, java.lang.String pkg) {
            this.mUid = uid;
            this.mPkg = pkg;
        }

        protected void wakeUp(java.lang.String tag, long currentTime) {
            com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo tagInfo = (com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo) this.mWakeUpMap.get(tag);
            if (tagInfo == null) {
                tagInfo = new com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo(this.mUid, this.mPkg, tag, currentTime);
            }
            if (currentTime != this.mLastWakeUp) {
                this.mWakeUpQueue.add(java.lang.Long.valueOf(currentTime));
            }
            this.mLastWakeUp = currentTime;
            if (this.mWakeUpQueue.size() >= com.android.server.rms.iaware.appmng.AwareWakeUpManager.this.mThresholdPkgOverload && currentTime - ((java.lang.Long) this.mWakeUpQueue.remove(0)).longValue() < com.android.server.rms.iaware.appmng.AwareWakeUpManager.this.mIntervalOverload) {
                com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.getInstance().reportAlarmEvent(1, this.mUid, this.mPkg, null, null);
                if (!com.android.server.rms.iaware.appmng.AwareWakeUpManager.this.isSystemUnRemoveApp(this.mUid)) {
                    com.android.server.rms.iaware.appmng.AwareWakeUpManager.this.reportAlarmOverload(this.mUid, this.mPkg, null);
                }
                if (com.android.server.rms.iaware.appmng.AwareWakeUpManager.this.mIsDebugMode) {
                    com.android.server.rms.iaware.appmng.AwareWakeUpManager awareWakeUpManager = com.android.server.rms.iaware.appmng.AwareWakeUpManager.this;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("EVENT_PKG_OVERLOAD uid = ");
                    stringBuilder.append(this.mUid);
                    stringBuilder.append(", pkg = ");
                    stringBuilder.append(this.mPkg);
                    awareWakeUpManager.debugLog(stringBuilder.toString());
                }
                this.mWakeUpQueue.clear();
            }
            tagInfo.wakeUp(currentTime);
            this.mWakeUpMap.put(tag, tagInfo);
        }

        protected com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo get(java.lang.String tag) {
            return (com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo) this.mWakeUpMap.get(tag);
        }
    }

    protected class TagControlPolicy {
        protected java.lang.String mPkg;
        protected com.android.server.rms.iaware.appmng.AwareWakeUpManager.ControlType mPolicy = com.android.server.rms.iaware.appmng.AwareWakeUpManager.ControlType.DO_NOTHING;
        protected java.lang.String mTag;
        protected int mUid;

        protected TagControlPolicy(int uid, java.lang.String pkg, java.lang.String tag) {
            this.mUid = uid;
            this.mPkg = pkg;
            this.mTag = tag;
        }

        protected void overload() {
            if (com.android.server.rms.iaware.appmng.AwareWakeUpManager.this.isInWhiteList(this.mPkg, this.mTag)) {
                this.mPolicy = com.android.server.rms.iaware.appmng.AwareWakeUpManager.ControlType.IMPORTANT;
            }
            this.mPolicy = com.android.server.rms.iaware.appmng.AwareWakeUpManager.this.increaseControlLevel(this.mUid, this.mPkg, this.mTag, this.mPolicy);
        }

        protected void apply(com.android.server.AlarmManagerService.Alarm alarm) {
            this.mPolicy.apply(alarm);
        }
    }

    protected class TagWakeupInfo {
        protected long mLastWakeUp = 0;
        protected java.lang.String mPkg;
        protected java.lang.String mTag;
        protected int mUid;
        protected java.util.List<java.lang.Long> mWakeUpQueue = new java.util.ArrayList();

        protected TagWakeupInfo(int uid, java.lang.String pkg, java.lang.String tag, long currentTime) {
            this.mUid = uid;
            this.mPkg = pkg;
            this.mTag = tag;
            this.mLastWakeUp = currentTime;
            this.mWakeUpQueue.add(java.lang.Long.valueOf(currentTime));
        }

        protected void wakeUp(long currentTime) {
            if (this.mLastWakeUp != currentTime) {
                this.mWakeUpQueue.add(java.lang.Long.valueOf(currentTime));
            }
            if (this.mWakeUpQueue.size() >= com.android.server.rms.iaware.appmng.AwareWakeUpManager.this.mThresholdTagOverload && currentTime - ((java.lang.Long) this.mWakeUpQueue.remove(0)).longValue() < com.android.server.rms.iaware.appmng.AwareWakeUpManager.this.mIntervalOverload) {
                com.android.server.rms.iaware.appmng.AwareWakeUpManager.this.reportAlarmOverload(this.mUid, this.mPkg, this.mTag);
                com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.getInstance().reportAlarmEvent(1, this.mUid, this.mPkg, this.mTag, null);
                if (com.android.server.rms.iaware.appmng.AwareWakeUpManager.this.mIsDebugMode) {
                    com.android.server.rms.iaware.appmng.AwareWakeUpManager awareWakeUpManager = com.android.server.rms.iaware.appmng.AwareWakeUpManager.this;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("EVENT_TAG_OVERLOAD uid = ");
                    stringBuilder.append(this.mUid);
                    stringBuilder.append(", pkg = ");
                    stringBuilder.append(this.mPkg);
                    stringBuilder.append(", tag = ");
                    stringBuilder.append(this.mTag);
                    awareWakeUpManager.debugLog(stringBuilder.toString());
                }
                this.mWakeUpQueue.clear();
            }
            this.mLastWakeUp = currentTime;
        }
    }

    private final class WakeUpHandler extends android.os.Handler {
        public WakeUpHandler(android.os.Looper looper) {
            super(looper, null, true);
        }

        public void handleMessage(android.os.Message msg) {
            switch (msg.what) {
                case 1:
                    com.android.internal.os.SomeArgs args = msg.obj;
                    com.android.server.rms.iaware.appmng.AwareWakeUpManager.this.handleWakeupAlarm(args.arg1, ((java.lang.Long) args.arg2).longValue());
                    return;
                case 2:
                    com.android.server.rms.iaware.appmng.AwareWakeUpManager.this.handleWakeupSystem(((java.lang.Long) msg.obj).longValue());
                    return;
                default:
                    return;
            }
        }
    }

    private AwareWakeUpManager() {
        this.mPushTags.add("com.huawei.intent.action.PUSH");
        this.mPushTags.add("com.huawei.android.push.intent.HEARTBEAT_RSP_TIMEOUT");
    }

    /* JADX WARNING: Missing block: B:18:0x0041, code:
            if (r3 != 0) goto L_0x004d;
     */
    /* JADX WARNING: Missing block: B:20:0x0045, code:
            if (r1.mIsDebugMode == false) goto L_0x004c;
     */
    /* JADX WARNING: Missing block: B:21:0x0047, code:
            debugLog("ERROR overload without wakeup");
     */
    /* JADX WARNING: Missing block: B:22:0x004c, code:
            return;
     */
    /* JADX WARNING: Missing block: B:24:0x0053, code:
            if (r1.mNatTime <= r1.mIntervalWindowLength) goto L_0x0058;
     */
    /* JADX WARNING: Missing block: B:25:0x0055, code:
            r7 = r1.mIntervalWindowLength;
     */
    /* JADX WARNING: Missing block: B:26:0x0058, code:
            r7 = r1.mNatTime;
     */
    /* JADX WARNING: Missing block: B:27:0x005a, code:
            r9 = (r3 + r7) - r2.whenElapsed;
            r11 = r2.windowLength;
            r19 = android.os.SystemClock.elapsedRealtime();
     */
    /* JADX WARNING: Missing block: B:28:0x0067, code:
            if (r11 >= 0) goto L_0x007a;
     */
    /* JADX WARNING: Missing block: B:29:0x0069, code:
            r11 = com.android.server.AlarmManagerService.maxTriggerTime(r19, r2.whenElapsed, r2.repeatInterval) - r2.whenElapsed;
     */
    /* JADX WARNING: Missing block: B:31:0x007c, code:
            if (r11 >= r9) goto L_0x0083;
     */
    /* JADX WARNING: Missing block: B:32:0x007e, code:
            r2.maxWhenElapsed = r2.whenElapsed + r9;
     */
    /* JADX WARNING: Missing block: B:34:0x0085, code:
            if (r1.mIsDebugMode == false) goto L_0x00cb;
     */
    /* JADX WARNING: Missing block: B:35:0x0087, code:
            r0 = new java.lang.StringBuilder();
            r0.append("EVENT_EXTEND tag = ");
            r0.append(r2.statsTag);
            r0.append(", when = ");
            r0.append(r2.whenElapsed);
            r0.append(", maxWhen = ");
            r0.append(r2.maxWhenElapsed);
            r0.append(", orignWindow = ");
            r0.append(r2.windowLength);
            r0.append(", androidWindow = ");
            r0.append(r11);
            r0.append(", window = ");
            r0.append(r9);
            debugLog(r0.toString());
     */
    /* JADX WARNING: Missing block: B:36:0x00cb, code:
            return;
     */
    protected void extend(com.android.server.AlarmManagerService.Alarm r22) {
        /*
        r21 = this;
        r1 = r21;
        r2 = r22;
        r3 = 0;
        r5 = r1.mAlarmWakeupInfo;
        monitor-enter(r5);
        r0 = r1.mAlarmWakeupInfo;	 Catch:{ all -> 0x00cc }
        r6 = r2.uid;	 Catch:{ all -> 0x00cc }
        r6 = android.os.UserHandle.getUserId(r6);	 Catch:{ all -> 0x00cc }
        r6 = java.lang.Integer.valueOf(r6);	 Catch:{ all -> 0x00cc }
        r0 = r0.get(r6);	 Catch:{ all -> 0x00cc }
        r0 = (java.util.HashMap) r0;	 Catch:{ all -> 0x00cc }
        if (r0 != 0) goto L_0x001f;
    L_0x001d:
        monitor-exit(r5);	 Catch:{ all -> 0x00cc }
        return;
    L_0x001f:
        r6 = r2.packageName;	 Catch:{ all -> 0x00cc }
        r6 = r0.get(r6);	 Catch:{ all -> 0x00cc }
        r6 = (com.android.server.rms.iaware.appmng.AwareWakeUpManager.PackageWakeupInfo) r6;	 Catch:{ all -> 0x00cc }
        if (r6 != 0) goto L_0x002b;
    L_0x0029:
        monitor-exit(r5);	 Catch:{ all -> 0x00cc }
        return;
    L_0x002b:
        r7 = r6.mWakeUpMap;	 Catch:{ all -> 0x00cc }
        r8 = r2.statsTag;	 Catch:{ all -> 0x00cc }
        r7 = r7.get(r8);	 Catch:{ all -> 0x00cc }
        r7 = (com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo) r7;	 Catch:{ all -> 0x00cc }
        if (r7 != 0) goto L_0x0039;
    L_0x0037:
        monitor-exit(r5);	 Catch:{ all -> 0x00cc }
        return;
    L_0x0039:
        r8 = r7.mLastWakeUp;	 Catch:{ all -> 0x00cc }
        r3 = r8;
        monitor-exit(r5);	 Catch:{ all -> 0x00cc }
        r5 = 0;
        r0 = (r3 > r5 ? 1 : (r3 == r5 ? 0 : -1));
        if (r0 != 0) goto L_0x004d;
    L_0x0043:
        r0 = r1.mIsDebugMode;
        if (r0 == 0) goto L_0x004c;
    L_0x0047:
        r0 = "ERROR overload without wakeup";
        r1.debugLog(r0);
    L_0x004c:
        return;
    L_0x004d:
        r7 = r1.mNatTime;
        r9 = r1.mIntervalWindowLength;
        r0 = (r7 > r9 ? 1 : (r7 == r9 ? 0 : -1));
        if (r0 <= 0) goto L_0x0058;
    L_0x0055:
        r7 = r1.mIntervalWindowLength;
        goto L_0x005a;
    L_0x0058:
        r7 = r1.mNatTime;
    L_0x005a:
        r9 = r3 + r7;
        r11 = r2.whenElapsed;
        r9 = r9 - r11;
        r11 = r2.windowLength;
        r19 = android.os.SystemClock.elapsedRealtime();
        r0 = (r11 > r5 ? 1 : (r11 == r5 ? 0 : -1));
        if (r0 >= 0) goto L_0x007a;
    L_0x0069:
        r5 = r2.whenElapsed;
        r13 = r2.repeatInterval;
        r17 = r13;
        r13 = r19;
        r15 = r5;
        r5 = com.android.server.AlarmManagerService.maxTriggerTime(r13, r15, r17);
        r13 = r2.whenElapsed;
        r11 = r5 - r13;
    L_0x007a:
        r0 = (r11 > r9 ? 1 : (r11 == r9 ? 0 : -1));
        if (r0 >= 0) goto L_0x0083;
    L_0x007e:
        r5 = r2.whenElapsed;
        r5 = r5 + r9;
        r2.maxWhenElapsed = r5;
    L_0x0083:
        r0 = r1.mIsDebugMode;
        if (r0 == 0) goto L_0x00cb;
    L_0x0087:
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r5 = "EVENT_EXTEND tag = ";
        r0.append(r5);
        r5 = r2.statsTag;
        r0.append(r5);
        r5 = ", when = ";
        r0.append(r5);
        r5 = r2.whenElapsed;
        r0.append(r5);
        r5 = ", maxWhen = ";
        r0.append(r5);
        r5 = r2.maxWhenElapsed;
        r0.append(r5);
        r5 = ", orignWindow = ";
        r0.append(r5);
        r5 = r2.windowLength;
        r0.append(r5);
        r5 = ", androidWindow = ";
        r0.append(r5);
        r0.append(r11);
        r5 = ", window = ";
        r0.append(r5);
        r0.append(r9);
        r0 = r0.toString();
        r1.debugLog(r0);
    L_0x00cb:
        return;
    L_0x00cc:
        r0 = move-exception;
        monitor-exit(r5);	 Catch:{ all -> 0x00cc }
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.appmng.AwareWakeUpManager.extend(com.android.server.AlarmManagerService$Alarm):void");
    }

    protected void mute(com.android.server.AlarmManagerService.Alarm alarm) {
        alarm.wakeup = false;
        if (this.mIsDebugMode) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("EVENT_MUTE tag = ");
            stringBuilder.append(alarm.statsTag);
            debugLog(stringBuilder.toString());
        }
    }

    private com.android.server.rms.iaware.appmng.AwareWakeUpManager.ControlType increaseControlLevel(int uid, java.lang.String pkg, java.lang.String tag, com.android.server.rms.iaware.appmng.AwareWakeUpManager.ControlType policy) {
        int alarmType;
        switch (policy) {
            case DO_NOTHING:
            case UNKNOWN:
            case PERCEPTIBLE:
                alarmType = getAlarmType(uid, pkg, tag);
                if (alarmType != 4) {
                    if (alarmType != 3) {
                        policy = com.android.server.rms.iaware.appmng.AwareWakeUpManager.ControlType.UNKNOWN;
                        break;
                    }
                    policy = com.android.server.rms.iaware.appmng.AwareWakeUpManager.ControlType.PERCEPTIBLE;
                    break;
                }
                policy = com.android.server.rms.iaware.appmng.AwareWakeUpManager.ControlType.EXTEND;
                break;
            case EXTEND:
            case EXTEND_TOPN:
                alarmType = getAlarmType(uid, pkg, tag);
                if (alarmType != 4) {
                    if (alarmType != 3) {
                        policy = com.android.server.rms.iaware.appmng.AwareWakeUpManager.ControlType.UNKNOWN;
                        break;
                    }
                    policy = com.android.server.rms.iaware.appmng.AwareWakeUpManager.ControlType.PERCEPTIBLE;
                    break;
                } else if (!isTopImEmail(pkg)) {
                    policy = com.android.server.rms.iaware.appmng.AwareWakeUpManager.ControlType.EXTEND_AND_MUTE;
                    break;
                } else {
                    policy = com.android.server.rms.iaware.appmng.AwareWakeUpManager.ControlType.EXTEND_TOPN;
                    break;
                }
            case EXTEND_AND_MUTE:
            case DECIDE_OVERLOAD:
                policy = com.android.server.rms.iaware.appmng.AwareWakeUpManager.ControlType.DECIDE_OVERLOAD;
                break;
            default:
                break;
        }
        com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.getInstance().reportAlarmEvent(2, uid, pkg, tag, policy);
        if (this.mIsDebugMode) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("EVENT_CONTROLED uid = ");
            stringBuilder.append(uid);
            stringBuilder.append(", pkg = ");
            stringBuilder.append(pkg);
            stringBuilder.append(", tag = ");
            stringBuilder.append(tag);
            stringBuilder.append(", policy = ");
            stringBuilder.append(policy);
            debugLog(stringBuilder.toString());
        }
        java.lang.StringBuilder stringBuilder2;
        if (policy.ordinal() > com.android.server.rms.iaware.appmng.AwareWakeUpManager.ControlType.PERCEPTIBLE.ordinal()) {
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("alarm overload uid = ");
            stringBuilder2.append(uid);
            stringBuilder2.append(", pkg = ");
            stringBuilder2.append(pkg);
            stringBuilder2.append(", tag = ");
            stringBuilder2.append(tag);
            stringBuilder2.append(", policy = ");
            stringBuilder2.append(policy);
            android.rms.iaware.AwareLog.i("AwareWakeUpManager", stringBuilder2.toString());
        } else {
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("alarm overload but not control uid = ");
            stringBuilder2.append(uid);
            stringBuilder2.append(", pkg = ");
            stringBuilder2.append(pkg);
            stringBuilder2.append(", tag = ");
            stringBuilder2.append(tag);
            stringBuilder2.append(", policy = ");
            stringBuilder2.append(policy);
            android.rms.iaware.AwareLog.i("AwareWakeUpManager", stringBuilder2.toString());
        }
        return policy;
    }

    public static com.android.server.rms.iaware.appmng.AwareWakeUpManager getInstance() {
        if (mAwareWakeUpManager == null) {
            synchronized (com.android.server.rms.iaware.appmng.AwareWakeUpManager.class) {
                if (mAwareWakeUpManager == null) {
                    mAwareWakeUpManager = new com.android.server.rms.iaware.appmng.AwareWakeUpManager();
                }
            }
        }
        return mAwareWakeUpManager;
    }

    public void init(android.os.Handler handler, android.content.Context context) {
        if (handler != null) {
            if (context != null) {
                this.mHandler = new com.android.server.rms.iaware.appmng.AwareWakeUpManager.WakeUpHandler(handler.getLooper());
                this.mSystemUnremoveUidCache = com.android.server.mtm.iaware.appmng.appstart.datamgr.SystemUnremoveUidCache.getInstance(context);
                com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.getInstance().setHandler(handler);
                com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().updateRule(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_ALARM, context);
                updateWhiteList();
                updateControlParam();
                com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().updateRule(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.BROADCAST, context);
                this.mIsInit = true;
            }
        }
    }

    private boolean isTopImEmail(java.lang.String pkg) {
        if (!com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().isAppMngSpecTypeFreqTopN(pkg, 1, -1)) {
            if (!com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().isAppMngSpecTypeFreqTopN(pkg, 0, -1)) {
                return false;
            }
        }
        return true;
    }

    private int getAlarmType(int uid, java.lang.String pkg, java.lang.String tag) {
        java.lang.String[] strs = tag.split(":");
        if (strs.length != 2) {
            return -1;
        }
        return com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().getAlarmActionType(uid, pkg, strs[1]);
    }

    public void reportWakeupSystem(java.lang.String reason) {
        if (com.android.server.rms.iaware.feature.AlarmManagerFeature.isEnable() && this.mIsInit && !this.mIsScreenOn.get() && reason != null) {
            if (reason.contains("RTC")) {
                long currentTime = android.os.SystemClock.elapsedRealtime();
                android.os.Message msg = this.mHandler.obtainMessage();
                msg.what = 2;
                msg.obj = java.lang.Long.valueOf(currentTime);
                this.mHandler.sendMessage(msg);
            }
        }
    }

    private void handleWakeupSystem(long wakeupTime) {
        synchronized (this.mAlarmWakeupInfo) {
            java.util.Iterator lruIter = this.mLastRecentWakeupAlarm.iterator();
            while (lruIter.hasNext()) {
                java.util.ArrayList<com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo> alarmList = (java.util.ArrayList) lruIter.next();
                if (wakeupTime - ((com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo) alarmList.get(0)).mLastWakeUp < this.mIntervalWakeup) {
                    recordWakeupAlarmLocked(alarmList);
                    recordWakeupSystemLocked(wakeupTime);
                    wakeupTime = 0;
                    break;
                }
            }
            this.mLastRecentWakeupAlarm = new java.util.ArrayList();
            this.mLastSysWakeup = wakeupTime;
        }
    }

    private void recordWakeupSystemLocked(long wakeupTime) {
        com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.getInstance().reportSystemEvent(0);
        this.mSystemWakeupTimeQueue.add(java.lang.Long.valueOf(wakeupTime));
        if (this.mSystemWakeupTimeQueue.size() >= this.mThresholdSysOverload && wakeupTime - ((java.lang.Long) this.mSystemWakeupTimeQueue.remove(0)).longValue() < this.mIntervalOverload) {
            com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.getInstance().reportSystemEvent(1);
            if (this.mIsDebugMode) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("EVENT_OVERLOAD_SYSTEM at ");
                stringBuilder.append(wakeupTime);
                debugLog(stringBuilder.toString());
            }
            java.util.Iterator it = this.mSystemWakeupQueue.iterator();
            while (it.hasNext()) {
                com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo tagInfo = (com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo) it.next();
                if (!isSystemUnRemoveApp(tagInfo.mUid)) {
                    reportAlarmOverload(tagInfo.mUid, tagInfo.mPkg, tagInfo.mTag);
                }
            }
            this.mSystemWakeupQueue.clear();
            this.mSystemWakeupTimeQueue.clear();
        }
        if (this.mIsDebugMode) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("EVENT_WAKEUP_SYSTEM at ");
            stringBuilder2.append(wakeupTime);
            debugLog(stringBuilder2.toString());
        }
    }

    public void reportWakeupAlarms(java.util.ArrayList<com.android.server.AlarmManagerService.Alarm> alarms) {
        if (com.android.server.rms.iaware.feature.AlarmManagerFeature.isEnable() && !this.mIsScreenOn.get() && this.mIsInit && alarms != null) {
            if (!alarms.isEmpty()) {
                android.os.Message msg = this.mHandler.obtainMessage();
                msg.what = 1;
                com.android.internal.os.SomeArgs args = com.android.internal.os.SomeArgs.obtain();
                args.arg1 = alarms;
                args.arg2 = java.lang.Long.valueOf(android.os.SystemClock.elapsedRealtime());
                msg.obj = args;
                this.mHandler.sendMessage(msg);
            }
        }
    }

    private void handleWakeupAlarm(java.util.ArrayList<com.android.server.AlarmManagerService.Alarm> alarms, long wakeupTime) {
        synchronized (this.mAlarmWakeupInfo) {
            java.util.ArrayList<com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo> alarmList = new java.util.ArrayList();
            int size = alarms.size();
            for (int i = 0; i < size; i++) {
                alarmList.add(new com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo(((com.android.server.AlarmManagerService.Alarm) alarms.get(i)).uid, ((com.android.server.AlarmManagerService.Alarm) alarms.get(i)).packageName, ((com.android.server.AlarmManagerService.Alarm) alarms.get(i)).statsTag, wakeupTime));
            }
            if (wakeupTime - this.mLastSysWakeup < this.mIntervalWakeup) {
                recordWakeupAlarmLocked(alarmList);
                recordWakeupSystemLocked(this.mLastSysWakeup);
                this.mLastRecentWakeupAlarm = new java.util.ArrayList();
                this.mLastSysWakeup = 0;
                return;
            }
            java.util.Iterator lruIter = this.mLastRecentWakeupAlarm.iterator();
            while (lruIter.hasNext()) {
                alarmList = (java.util.ArrayList) lruIter.next();
                if (wakeupTime - ((com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo) alarmList.get(0)).mLastWakeUp <= this.mIntervalWakeup) {
                    break;
                }
                lruIter.remove();
            }
            this.mLastRecentWakeupAlarm.add(alarmList);
        }
    }

    private void recordWakeupAlarmLocked(java.util.ArrayList<com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo> alarms) {
        java.util.ArrayList<com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo> arrayList = alarms;
        long wakeupTime = ((com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo) arrayList.get(0)).mLastWakeUp;
        int size = alarms.size();
        for (int i = 0; i < size; i++) {
            com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo alarm = (com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo) arrayList.get(i);
            int uid = alarm.mUid;
            int userId = android.os.UserHandle.getUserId(uid);
            java.lang.String pkg = alarm.mPkg;
            java.lang.String tag = alarm.mTag;
            if (this.mIsDebugMode) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("EVENT_WAKEUP uid = ");
                stringBuilder.append(uid);
                stringBuilder.append(", pkg = ");
                stringBuilder.append(pkg);
                stringBuilder.append(", tag = ");
                stringBuilder.append(tag);
                stringBuilder.append(" at ");
                stringBuilder.append(wakeupTime);
                debugLog(stringBuilder.toString());
            }
            java.util.HashMap<java.lang.String, com.android.server.rms.iaware.appmng.AwareWakeUpManager.PackageWakeupInfo> packageInfos = (java.util.HashMap) this.mAlarmWakeupInfo.get(java.lang.Integer.valueOf(userId));
            if (packageInfos == null) {
                packageInfos = new java.util.HashMap();
            }
            java.util.HashMap<java.lang.String, com.android.server.rms.iaware.appmng.AwareWakeUpManager.PackageWakeupInfo> packageInfos2 = packageInfos;
            com.android.server.rms.iaware.appmng.AwareWakeUpManager.PackageWakeupInfo packageInfo = (com.android.server.rms.iaware.appmng.AwareWakeUpManager.PackageWakeupInfo) packageInfos2.get(pkg);
            if (packageInfo == null) {
                packageInfo = new com.android.server.rms.iaware.appmng.AwareWakeUpManager.PackageWakeupInfo(uid, pkg);
            }
            com.android.server.rms.iaware.appmng.AwareWakeUpManager.PackageWakeupInfo packageInfo2 = packageInfo;
            packageInfo2.wakeUp(tag, wakeupTime);
            packageInfos2.put(pkg, packageInfo2);
            this.mAlarmWakeupInfo.put(java.lang.Integer.valueOf(userId), packageInfos2);
            this.mSystemWakeupQueue.add((com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo) packageInfo2.mWakeUpMap.get(tag));
            com.android.server.rms.iaware.appmng.AlarmManagerDumpRadar.getInstance().reportAlarmEvent(0, uid, pkg, tag, null);
        }
        java.util.Iterator wakeupIter = this.mSystemWakeupQueue.iterator();
        while (wakeupIter.hasNext()) {
            if (wakeupTime - ((com.android.server.rms.iaware.appmng.AwareWakeUpManager.TagWakeupInfo) wakeupIter.next()).mLastWakeUp > this.mIntervalOverload) {
                wakeupIter.remove();
            }
        }
    }

    private void reportAlarmOverload(int uid, java.lang.String pkg, java.lang.String tag) {
        int userId = android.os.UserHandle.getUserId(uid);
        synchronized (this.mAlarmWakeupInfo) {
            java.util.HashMap<java.lang.String, com.android.server.rms.iaware.appmng.AwareWakeUpManager.PackageControlPolicy> packageControlPolices = (java.util.HashMap) this.mAlarmControlPolicy.get(java.lang.Integer.valueOf(userId));
            if (packageControlPolices == null) {
                packageControlPolices = new java.util.HashMap();
            }
            com.android.server.rms.iaware.appmng.AwareWakeUpManager.PackageControlPolicy packagePolicy = (com.android.server.rms.iaware.appmng.AwareWakeUpManager.PackageControlPolicy) packageControlPolices.get(pkg);
            if (packagePolicy == null) {
                packagePolicy = new com.android.server.rms.iaware.appmng.AwareWakeUpManager.PackageControlPolicy(uid, pkg);
            }
            packagePolicy.overload(tag);
            packageControlPolices.put(pkg, packagePolicy);
            this.mAlarmControlPolicy.put(java.lang.Integer.valueOf(userId), packageControlPolices);
        }
    }

    public void modifyAlarmIfOverload(com.android.server.AlarmManagerService.Alarm alarm) {
        if (com.android.server.rms.iaware.feature.AlarmManagerFeature.isEnable()) {
            if (alarm != null) {
                int userId = android.os.UserHandle.getUserId(alarm.uid);
                if (this.mIsDebugMode && userId == this.mDebugUserId && this.mDebugPkg.equals(alarm.packageName) && (this.mDebugTag.equals(alarm.statsTag) || "all".equals(this.mDebugTag))) {
                    alarm.whenElapsed += this.mDebugDelay.longValue();
                    alarm.maxWhenElapsed += this.mDebugDelay.longValue();
                } else if (this.mIsScreenOn.get()) {
                    boolean z;
                    if (alarm.type != 2) {
                        if (alarm.type != 0) {
                            z = false;
                            alarm.wakeup = z;
                        }
                    }
                    z = true;
                    alarm.wakeup = z;
                } else {
                    android.util.ArraySet<java.lang.String> pushTags = this.mPushTags;
                    if (!this.mHWPushNatDetecting || !pushTags.contains(alarm.statsTag)) {
                        synchronized (this.mAlarmWakeupInfo) {
                            java.util.HashMap<java.lang.String, com.android.server.rms.iaware.appmng.AwareWakeUpManager.PackageControlPolicy> packageControlPolices = (java.util.HashMap) this.mAlarmControlPolicy.get(java.lang.Integer.valueOf(userId));
                            if (packageControlPolices == null) {
                                return;
                            }
                            com.android.server.rms.iaware.appmng.AwareWakeUpManager.PackageControlPolicy packagePolicy = (com.android.server.rms.iaware.appmng.AwareWakeUpManager.PackageControlPolicy) packageControlPolices.get(alarm.packageName);
                            if (packagePolicy == null) {
                                return;
                            }
                            packagePolicy.apply(alarm);
                        }
                    }
                }
            }
        }
    }

    public void screenOn() {
        this.mIsScreenOn.set(true);
        if (this.mIsDebugMode) {
            debugLog("EVENT_SCREEN_ON");
        }
        synchronized (this.mAlarmWakeupInfo) {
            this.mAlarmWakeupInfo.clear();
            this.mSystemWakeupQueue.clear();
            this.mSystemWakeupTimeQueue.clear();
            this.mLastRecentWakeupAlarm.clear();
            this.mAlarmControlPolicy.clear();
        }
    }

    public void screenOff() {
        this.mIsScreenOn.set(false);
        if (this.mIsDebugMode) {
            debugLog("EVENT_SCREEN_OFF");
        }
    }

    public void setDebugSwitch(boolean isDebugMode) {
        this.mIsDebugMode = isDebugMode;
        if (!this.mIsDebugMode) {
            synchronized (this.mDebugLog) {
                this.mDebugLog.clear();
            }
        }
    }

    public void setDebugParam(int userId, java.lang.String pkg, java.lang.String tag, long delay) {
        this.mIsDebugMode = true;
        this.mDebugUserId = userId;
        this.mDebugPkg = pkg;
        this.mDebugTag = tag;
        this.mDebugDelay = java.lang.Long.valueOf(delay);
    }

    public void dumpDebugLog(java.io.PrintWriter pw) {
        if (this.mIsDebugMode) {
            synchronized (this.mDebugLog) {
                int size = this.mDebugLog.size();
                for (int i = 0; i < size; i++) {
                    pw.println((java.lang.String) this.mDebugLog.get(i));
                }
            }
            return;
        }
        pw.println("debug mod off");
    }

    private java.lang.String getCurTime() {
        return new java.text.SimpleDateFormat("yyyyMMdd-HH-mm-ss-SSS").format(new java.util.Date());
    }

    private boolean isSystemUnRemoveApp(int uid) {
        uid = android.os.UserHandle.getAppId(uid);
        if ((uid <= 0 || uid >= 10000) && !this.mSystemUnremoveUidCache.checkUidExist(uid)) {
            return false;
        }
        return true;
    }

    public boolean isDebugMode() {
        return this.mIsDebugMode;
    }

    public boolean isScreenOn() {
        return this.mIsScreenOn.get();
    }

    public void updateWhiteList() {
        java.util.ArrayList<java.lang.String> configList = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getRawConfig(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_ALARM.getDesc(), "white_list");
        if (configList != null) {
            java.util.HashMap<java.lang.String, android.util.ArraySet<java.lang.String>> whiteList = new java.util.HashMap();
            int i = 0;
            int size = configList.size();
            while (i < size) {
                java.lang.String rawConfig = (java.lang.String) configList.get(i);
                if (rawConfig != null) {
                    java.lang.String[] config = rawConfig.split("\\|");
                    int j = 1;
                    if (config.length < 1) {
                        android.rms.iaware.AwareLog.e("AwareWakeUpManager", "format error in alarm manager config");
                        return;
                    }
                    android.util.ArraySet<java.lang.String> tagList = new android.util.ArraySet();
                    while (j < config.length) {
                        tagList.add(config[j]);
                        j++;
                    }
                    whiteList.put(config[0], tagList);
                    i++;
                } else {
                    return;
                }
            }
            this.mWhiteList = whiteList;
        }
    }

    private boolean isInWhiteList(java.lang.String pkg, java.lang.String tag) {
        android.util.ArraySet<java.lang.String> tagList = (android.util.ArraySet) this.mWhiteList.get(pkg);
        if (tagList == null) {
            return false;
        }
        if (tagList.isEmpty() || tagList.contains(tag)) {
            return true;
        }
        return false;
    }

    public void updateControlParam() {
        java.util.ArrayList<java.lang.String> controlParam = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getRawConfig(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_ALARM.getDesc(), "control_param");
        java.util.ArrayList<java.lang.String> arrayList;
        if (controlParam == null) {
        } else if (controlParam.size() != 7) {
            arrayList = controlParam;
        } else {
            java.lang.String rawPushTags = "";
            int i = 0;
            int i2;
            try {
                int thresholdSysOverload = java.lang.Integer.parseInt((java.lang.String) controlParam.get(0));
                try {
                    int thresholdPkgOverload = java.lang.Integer.parseInt((java.lang.String) controlParam.get(1));
                    int thresholdTagOverload = java.lang.Integer.parseInt((java.lang.String) controlParam.get(2));
                    long intervalOverload = java.lang.Long.parseLong((java.lang.String) controlParam.get(3));
                    long intervalWakeup = java.lang.Long.parseLong((java.lang.String) controlParam.get(4));
                    long intervalWindowLength = java.lang.Long.parseLong((java.lang.String) controlParam.get(5));
                    rawPushTags = (java.lang.String) controlParam.get(6);
                    if (rawPushTags == null) {
                        i2 = thresholdSysOverload;
                    } else if ("".equals(rawPushTags)) {
                        arrayList = controlParam;
                        i2 = thresholdSysOverload;
                    } else {
                        java.lang.String[] pushTagString = rawPushTags.split("\\|");
                        android.util.ArraySet<java.lang.String> pushTags = new android.util.ArraySet();
                        while (i < pushTagString.length) {
                            if (pushTagString[i] != null) {
                                arrayList = controlParam;
                                if (!pushTagString[i].equals("")) {
                                    pushTags.add(pushTagString[i]);
                                }
                            } else {
                                arrayList = controlParam;
                            }
                            i++;
                            controlParam = arrayList;
                        }
                        this.mThresholdSysOverload = thresholdSysOverload;
                        this.mThresholdPkgOverload = thresholdPkgOverload;
                        this.mThresholdTagOverload = thresholdTagOverload;
                        this.mIntervalOverloadDefault = intervalOverload;
                        this.mIntervalOverload = computeIntervalOverload(this.mNatTime, intervalOverload);
                        this.mIntervalWakeup = intervalWakeup;
                        this.mIntervalWindowLength = intervalWindowLength;
                        this.mPushTags = pushTags;
                        return;
                    }
                    android.rms.iaware.AwareLog.e("AwareWakeUpManager", "invalid push tags");
                } catch (java.lang.NumberFormatException e) {
                    arrayList = controlParam;
                    i2 = thresholdSysOverload;
                    android.rms.iaware.AwareLog.e("AwareWakeUpManager", "control param in wrong format");
                }
            } catch (java.lang.NumberFormatException e2) {
                arrayList = controlParam;
                i2 = 0;
                android.rms.iaware.AwareLog.e("AwareWakeUpManager", "control param in wrong format");
            }
        }
    }

    public void setIntervalOverload(int time) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("nat time changed : ");
        stringBuilder.append(time);
        android.rms.iaware.AwareLog.i("AwareWakeUpManager", stringBuilder.toString());
        if (time == -1) {
            this.mHWPushNatDetecting = true;
        } else {
            this.mHWPushNatDetecting = false;
        }
        if (time > 0) {
            this.mNatTime = (long) time;
            this.mIntervalOverload = computeIntervalOverload((long) time, this.mIntervalOverloadDefault);
        }
    }

    private long computeIntervalOverload(long natTime, long interval) {
        long maxInterval = 2 * natTime;
        return (interval > maxInterval ? maxInterval : interval) - 10000;
    }

    public void dumpParam(java.io.PrintWriter pw) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("thresholdSysOverload : ");
        stringBuilder.append(this.mThresholdSysOverload);
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("thresholdPkgOverload : ");
        stringBuilder.append(this.mThresholdPkgOverload);
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("thresholdTagOverload : ");
        stringBuilder.append(this.mThresholdTagOverload);
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("intervalOverloadDefault : ");
        stringBuilder.append(this.mIntervalOverloadDefault);
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("intervalOverload : ");
        stringBuilder.append(this.mIntervalOverload);
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("intervalWakeup : ");
        stringBuilder.append(this.mIntervalWakeup);
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("intervalWindowLength : ");
        stringBuilder.append(this.mIntervalWindowLength);
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("natTime : ");
        stringBuilder.append(this.mNatTime);
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("pushNatDetecting : ");
        stringBuilder.append(this.mHWPushNatDetecting);
        pw.println(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("pushTags : ");
        stringBuilder.append(this.mPushTags);
        pw.println(stringBuilder.toString());
    }

    private void debugLog(java.lang.String log) {
        synchronized (this.mDebugLog) {
            java.util.List list = this.mDebugLog;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(getCurTime());
            stringBuilder.append(": ");
            stringBuilder.append(log);
            list.add(stringBuilder.toString());
        }
    }
}
