package com.android.server.rms.iaware.appmng;

public class FreezeDataManager {
    private static final int DEFAULT_IM_COUNT = -1;
    private static final int MAX_IM_COUNT = 5;
    private static final java.lang.String TAG = "FreezeDataManager";
    private static com.android.server.rms.iaware.appmng.FreezeDataManager mInstance;
    private static final java.lang.Object mLock = new java.lang.Object();

    private FreezeDataManager() {
    }

    public static com.android.server.rms.iaware.appmng.FreezeDataManager getInstance() {
        com.android.server.rms.iaware.appmng.FreezeDataManager freezeDataManager;
        synchronized (mLock) {
            if (mInstance == null) {
                mInstance = new com.android.server.rms.iaware.appmng.FreezeDataManager();
            }
            freezeDataManager = mInstance;
        }
        return freezeDataManager;
    }

    public java.util.List<java.lang.String> getFrequentIM(int count) {
        return updateHabitImEmail(count);
    }

    private java.util.List<java.lang.String> updateHabitImEmail(int count) {
        if (count >= -1) {
            if (count != 0) {
                int maxCount = count;
                if (maxCount > 5) {
                    maxCount = 5;
                }
                if (com.android.server.rms.algorithm.AwareUserHabit.getInstance() != null) {
                    if (com.android.server.rms.algorithm.AwareUserHabit.getInstance().isEnable()) {
                        java.util.List<java.lang.String> freqTopIMList = com.android.server.rms.algorithm.AwareUserHabit.getInstance().getMostFreqAppByType(0, maxCount);
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("freqTopIMList is ");
                        stringBuilder.append(freqTopIMList);
                        android.rms.iaware.AwareLog.d("FreezeDataManager", stringBuilder.toString());
                        return freqTopIMList == null ? new java.util.ArrayList() : freqTopIMList;
                    }
                }
                return null;
            }
        }
        return null;
    }
}
