package com.android.server.rms.iaware.cpu;

class CPUAppStartOnFire {
    private static final int RESET_ON_FIRE_DELAYED = 10000;
    private static final java.lang.String TAG = "CPUAppStartOnFire";
    private static com.android.server.rms.iaware.cpu.CPUAppStartOnFire sInstance;
    private static final java.lang.Object syncObject = new java.lang.Object();
    private com.android.server.rms.iaware.cpu.CPUFeature.CPUFeatureHandler mCPUFeatureHandler;
    private java.util.concurrent.atomic.AtomicBoolean mIsFeatureEnable = new java.util.concurrent.atomic.AtomicBoolean(false);

    private CPUAppStartOnFire() {
    }

    public static com.android.server.rms.iaware.cpu.CPUAppStartOnFire getInstance() {
        com.android.server.rms.iaware.cpu.CPUAppStartOnFire cPUAppStartOnFire;
        synchronized (syncObject) {
            if (sInstance == null) {
                sInstance = new com.android.server.rms.iaware.cpu.CPUAppStartOnFire();
            }
            cPUAppStartOnFire = sInstance;
        }
        return cPUAppStartOnFire;
    }

    public void enable(com.android.server.rms.iaware.cpu.CPUFeature.CPUFeatureHandler handler) {
        if (this.mIsFeatureEnable.get()) {
            android.rms.iaware.AwareLog.e("CPUAppStartOnFire", "CPUAppStartOnFire has already enable!");
            return;
        }
        this.mCPUFeatureHandler = handler;
        this.mIsFeatureEnable.set(true);
    }

    public void disable() {
        if (this.mIsFeatureEnable.get()) {
            this.mIsFeatureEnable.set(false);
        } else {
            android.rms.iaware.AwareLog.e("CPUAppStartOnFire", "CPUAppStartOnFire has already disable!");
        }
    }

    public void setOnFire() {
        if (this.mIsFeatureEnable.get() && this.mCPUFeatureHandler != null) {
            android.iawareperf.UniPerf.getInstance().uniPerfEvent(4121, "", new int[]{0});
            this.mCPUFeatureHandler.removeMessages(154);
            this.mCPUFeatureHandler.sendEmptyMessageDelayed(154, 10000);
        }
    }

    public void resetOnFire() {
        android.iawareperf.UniPerf.getInstance().uniPerfEvent(4121, "", new int[]{-1});
    }
}
