package com.android.server.rms.iaware.cpu;

/* compiled from: CPUXmlConfiguration */
class CPUCustBaseConfig {
    public static final java.lang.String CPUCONFIG_GAP_IDENTIFIER = ";";
    public static final java.lang.String CPUCONFIG_INVALID_STR = "#";
    private static final java.lang.String CPU_FEATURE = "CPU";
    public static final int IAWARED_SEND_MAXLEN = 512;
    protected static final java.lang.String ITEM_BG = "bg";
    protected static final java.lang.String ITEM_BOOST = "boost";
    protected static final java.lang.String ITEM_BOOST_BY_EACH_FLING = "boost_by_each_fling";
    protected static final java.lang.String ITEM_ENABLE_SKIPPED_FRAME = "enable_skipped_frame";
    protected static final java.lang.String ITEM_FG = "fg";
    protected static final java.lang.String ITEM_FLING_BOOST_DURATION = "boost_duration";
    protected static final java.lang.String ITEM_GO_HISPEED_LOAD_B = "go_hispeed_load_b";
    protected static final java.lang.String ITEM_GO_HISPEED_LOAD_L = "go_hispeed_load_l";
    protected static final java.lang.String ITEM_HISPEED_FREQ_B = "hispeed_freq_b";
    protected static final java.lang.String ITEM_HISPEED_FREQ_L = "hispeed_freq_l";
    protected static final java.lang.String ITEM_KEYBG = "key_bg";
    protected static final java.lang.String ITEM_SYSBG = "sys_bg";
    protected static final java.lang.String ITEM_TABOOST = "ta_boost";
    protected static final java.lang.String ITEM_TARGET_LOAD_FREQ_B = "target_load_freq_b";
    protected static final java.lang.String ITEM_TARGET_LOAD_FREQ_L = "target_load_freq_l";
    protected static final java.lang.String ITEM_TOP_APP = "top_app";
    private static final java.lang.String TAG = "CPUCustBaseConfig";
    public static final java.lang.String[] mCpusetItemIndex = new java.lang.String[]{"fg", "bg", "key_bg", "sys_bg", "ta_boost", "boost", "top_app"};
    public static final java.lang.String[] mInteractiveItemIndex = new java.lang.String[]{"go_hispeed_load_l", "hispeed_freq_l", "target_load_freq_l", "go_hispeed_load_b", "hispeed_freq_b", "target_load_freq_b"};

    CPUCustBaseConfig() {
    }

    protected void setConfig(com.android.server.rms.iaware.cpu.CPUFeature feature) {
    }

    protected java.util.List<android.rms.iaware.AwareConfig.Item> getItemList(java.lang.String configName) {
        android.rms.iaware.AwareConfig awareConfig = com.android.server.rms.iaware.cpu.CPUResourceConfigControl.getInstance().getAwareCustConfig("CPU", configName);
        if (awareConfig == null) {
            return null;
        }
        return awareConfig.getConfigList();
    }

    protected java.util.List<android.rms.iaware.AwareConfig.SubItem> getSubItem(android.rms.iaware.AwareConfig.Item item) {
        if (item == null) {
            return null;
        }
        return item.getSubItemList();
    }

    protected void obtainConfigInfo(java.lang.String configName, java.util.Map<java.lang.String, java.lang.String> item2PropMap, java.util.Map<java.lang.String, com.android.server.rms.iaware.cpu.CPUPropInfoItem> outInfoMap) {
        outInfoMap.clear();
        java.util.List<android.rms.iaware.AwareConfig.Item> awareConfigItemList = getItemList(configName);
        if (awareConfigItemList != null) {
            for (android.rms.iaware.AwareConfig.Item item : awareConfigItemList) {
                java.util.List<android.rms.iaware.AwareConfig.SubItem> subItemList = getSubItem(item);
                if (subItemList != null) {
                    for (android.rms.iaware.AwareConfig.SubItem subItem : subItemList) {
                        java.lang.String itemName = subItem.getName();
                        java.lang.String itemValue = subItem.getValue();
                        if (itemName != null) {
                            if (itemValue != null) {
                                java.lang.String propName = (java.lang.String) item2PropMap.get(itemName);
                                if (propName != null) {
                                    outInfoMap.put(itemName, new com.android.server.rms.iaware.cpu.CPUPropInfoItem(propName, itemValue));
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    protected void applyConfig(java.util.Map<java.lang.String, com.android.server.rms.iaware.cpu.CPUPropInfoItem> infoMap) {
        for (java.util.Map.Entry<java.lang.String, com.android.server.rms.iaware.cpu.CPUPropInfoItem> entry : infoMap.entrySet()) {
            com.android.server.rms.iaware.cpu.CPUPropInfoItem item = (com.android.server.rms.iaware.cpu.CPUPropInfoItem) entry.getValue();
            try {
                android.os.SystemProperties.set(item.mProp, item.mValue);
            } catch (java.lang.IllegalArgumentException e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("applyConfig failed, name:");
                stringBuilder.append(item.mProp);
                stringBuilder.append(" value:");
                stringBuilder.append(item.mValue);
                stringBuilder.append(" ");
                stringBuilder.append(e.toString());
                android.rms.iaware.AwareLog.e("CPUCustBaseConfig", stringBuilder.toString());
            }
        }
    }
}
