package com.android.server.rms.iaware.cpu;

public class CPUFeature extends com.android.server.rms.iaware.feature.RFeature {
    private static final int BASE_VERSION = 1;
    private static final int BIGDATA_RECORD_PERIOD = 600;
    private static final int CONNECT_VR_DELAYED = 3000;
    private static final int CYCLE_MAX_NUM = 5;
    private static final int MSG_BASE_VALUE = 100;
    public static final int MSG_BINDER_THREAD_CREATE = 151;
    public static final int MSG_BOOST_KILL_SWITCH = 107;
    public static final int MSG_CPUCTL_SUBSWITCH = 140;
    public static final int MSG_CPUFEATURE_OFF = 114;
    public static final int MSG_ENABLE_EAS = 145;
    public static final int MSG_ENTER_GAME_SCENE = 147;
    public static final int MSG_EXIT_GAME_SCENE = 148;
    public static final int MSG_GAME_SCENE_LEVEL = 157;
    public static final int MSG_MOVETO_BACKGROUND = 105;
    public static final int MSG_MOVETO_K_BACKGROUND = 104;
    public static final int MSG_PROCESS_GROUP_CHANGE = 106;
    public static final int MSG_RESET_BOOST_CPUS = 136;
    public static final int MSG_RESET_ON_FIRE = 154;
    public static final int MSG_RESET_TOP_APP_CPUSET = 117;
    public static final int MSG_RESET_VIP_THREAD = 144;
    public static final int MSG_SCREEN_OFF = 102;
    public static final int MSG_SCREEN_ON = 101;
    public static final int MSG_SET_BG_UIDS = 142;
    public static final int MSG_SET_BOOST_CPUS = 135;
    public static final int MSG_SET_CPUCONFIG = 124;
    public static final int MSG_SET_CPUSETCONFIG_SCREENOFF = 127;
    public static final int MSG_SET_CPUSETCONFIG_SCREENON = 126;
    public static final int MSG_SET_CPUSETCONFIG_VR = 125;
    public static final int MSG_SET_FG_CGROUP = 139;
    public static final int MSG_SET_FG_UIDS = 141;
    public static final int MSG_SET_LIMIT_CGROUP = 137;
    public static final int MSG_SET_THREAD_TO_TA = 146;
    public static final int MSG_SET_TOP_APP_CPUSET = 116;
    public static final int MSG_SET_VIP_THREAD = 143;
    public static final int MSG_SET_VIP_THREAD_PARAMS = 150;
    public static final int MSG_THREAD_BOOST = 115;
    public static final int MSG_UNIPERF_BOOST_OFF = 119;
    public static final int MSG_UNIPERF_BOOST_OFF_SEND = 120;
    public static final int MSG_UNIPERF_BOOST_ON = 118;
    public static final int MSG_VIP_THREAD_DYM_GRAN = 2;
    public static final int MSG_VIP_THREAD_MIGRATION = 3;
    public static final int MSG_VIP_THREAD_SCHED_DELAY = 1;
    private static final int MSG_VR_CONNECT = 134;
    public static final int MSG_VR_OFF = 123;
    public static final int MSG_VR_ON = 122;
    private static final int SCREEN_OFF_DELAYED = 5000;
    public static final int SEND_BYTE_NULL = -1;
    public static final int SEND_RETRY_TIME = 2;
    public static final int SEND_RETRY_TIME_OUT = -2;
    public static final int SEND_SUCCESS = 1;
    private static final int SWITCH_APP_START_ON_FIRE = 131072;
    private static final int SWITCH_APP_WARMCOLD_START = 524288;
    public static final int SWITCH_CPUCTL_FG_DETECT = 1024;
    private static final int SWITCH_EAS_MODE = 8192;
    private static final int SWITCH_GAME_SCENE = 16384;
    public static final int SWITCH_NET_MANAGE = 512;
    private static final int SWITCH_ON_DEMAND_BOOST = 262144;
    public static final int SWITCH_THREAD_BOOST = 16;
    public static final int SWITCH_TOPAPP_BOOST = 32;
    public static final int SWITCH_VIP_MODE = 2048;
    public static final int SWITCH_VR_MODE = 256;
    private static final java.lang.String TAG = "CPUFeature";
    private static boolean mCPUSetEnable;
    private com.android.server.rms.iaware.cpu.CPUFeature.CPUFeatureHandler mCPUFeatureHandler = new com.android.server.rms.iaware.cpu.CPUFeature.CPUFeatureHandler();
    private com.android.server.rms.iaware.cpu.CPUFreqInteractive mCPUFreqInteractive;
    private com.android.server.rms.iaware.cpu.CPUGameFreq mCPUGameFreq;
    private com.android.server.rms.iaware.cpu.CPUNetLink mCPUNetLink;
    private com.android.server.rms.iaware.cpu.CPUProcessInherit mCPUProcessInherit = null;
    private com.android.server.rms.iaware.cpu.CPUXmlConfiguration mCPUXmlConfiguration;
    private int mCycleNum = 0;
    private int mFeatureFlag = 0;
    private android.service.vr.IVrManager mVRManager = null;
    private final android.service.vr.IVrStateCallbacks mVrStateCallback = new android.service.vr.IVrStateCallbacks.Stub() {
        public void onVrStateChanged(boolean enable) throws android.os.RemoteException {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("vr state change:");
            stringBuilder.append(enable);
            android.rms.iaware.AwareLog.d("CPUFeature", stringBuilder.toString());
            com.android.server.rms.iaware.cpu.CPUFeature.this.processVRConnected(enable);
        }
    };

    public class CPUFeatureHandler extends android.os.Handler {
        public void handleMessage(android.os.Message msg) {
            super.handleMessage(msg);
            switch (msg.what) {
                case 101:
                    com.android.server.rms.iaware.cpu.CPUFeature.this.doScreenOn();
                    com.android.server.rms.iaware.cpu.SchedLevelBoost.getInstance().onScreenStateChanged(true);
                    return;
                case 102:
                    com.android.server.rms.iaware.cpu.SchedLevelBoost.getInstance().onScreenStateChanged(false);
                    com.android.server.rms.iaware.cpu.CPUFeature.this.doScreenOff();
                    com.android.server.rms.iaware.cpu.CPUGameScene.getInstance().setScreenOffScene();
                    return;
                case 134:
                    com.android.server.rms.iaware.cpu.CPUFeature.this.connectVRListner();
                    return;
                case 135:
                    com.android.server.rms.iaware.cpu.CPUFeature.this.sendPacketByMsgCode(135);
                    return;
                case 136:
                    com.android.server.rms.iaware.cpu.CPUFeature.this.sendPacketByMsgCode(136);
                    return;
                case 140:
                    com.android.server.rms.iaware.cpu.CPUFeature.this.doSendCpuCtlSwitchMsg();
                    return;
                case 143:
                    com.android.server.rms.iaware.cpu.CPUFeature.this.doVipThreadSet(msg);
                    return;
                case 144:
                    com.android.server.rms.iaware.cpu.CPUFeature.this.doVipThreadSet(msg);
                    return;
                case 147:
                    com.android.server.rms.iaware.cpu.CPUGameScene.getInstance().setGameScene();
                    return;
                case 148:
                    com.android.server.rms.iaware.cpu.CPUGameScene.getInstance().resetGameScene();
                    return;
                case 154:
                    com.android.server.rms.iaware.cpu.CPUAppStartOnFire.getInstance().resetOnFire();
                    return;
                default:
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("error msg what = ");
                    stringBuilder.append(msg.what);
                    android.rms.iaware.AwareLog.e("CPUFeature", stringBuilder.toString());
                    return;
            }
        }
    }

    private boolean isFeatureEnable(int f) {
        return mCPUSetEnable && (this.mFeatureFlag & f) != 0;
    }

    public CPUFeature(android.content.Context context, android.rms.iaware.AwareConstant.FeatureType type, com.android.server.rms.iaware.IRDataRegister dataRegister) {
        super(context, type, dataRegister);
        this.mCPUFreqInteractive = new com.android.server.rms.iaware.cpu.CPUFreqInteractive(context);
        this.mCPUGameFreq = new com.android.server.rms.iaware.cpu.CPUGameFreq();
    }

    public java.util.ArrayList<android.rms.iaware.DumpData> getDumpData(int time) {
        return null;
    }

    public java.util.ArrayList<android.rms.iaware.StatisticsData> getStatisticsData() {
        return null;
    }

    public boolean custConfigUpdate() {
        if (android.iawareperf.UniPerf.getInstance().uniPerfEvent(20230, "", new int[0]) == 0) {
            return true;
        }
        android.rms.iaware.AwareLog.d("CPUFeature", "fail to update uniperf config.");
        return false;
    }

    public boolean reportData(android.rms.iaware.CollectData data) {
        if (!mCPUSetEnable) {
            return false;
        }
        if (data == null) {
            android.rms.iaware.AwareLog.e("CPUFeature", "reportData: data is null!");
            return false;
        }
        int resId = data.getResId();
        if (resId == android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_ON.ordinal()) {
            android.iawareperf.UniPerf.getInstance().uniPerfEvent(20226, "", new int[]{1});
            removeScreenMessages();
            this.mCPUFeatureHandler.sendEmptyMessageDelayed(101, 0);
        } else if (resId == android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_OFF.ordinal()) {
            android.iawareperf.UniPerf.getInstance().uniPerfEvent(20226, "", new int[]{0});
            removeScreenMessages();
            this.mCPUFeatureHandler.sendEmptyMessageDelayed(102, 5000);
        } else if (resId == android.rms.iaware.AwareConstant.ResourceType.RESOURCE_GAME_BOOST.ordinal()) {
            this.mCPUGameFreq.gameFreq(data.getBundle(), isFeatureEnable(8192));
        } else if (resId == android.rms.iaware.AwareConstant.ResourceType.RESOURCE_NET_MANAGE.ordinal()) {
            android.os.Bundle bundle = data.getBundle();
            if (bundle != null) {
                int enable = bundle.getInt("enbale", 0);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("reportData: RESOURCE_NET_MANAGE = ");
                stringBuilder.append(enable);
                android.rms.iaware.AwareLog.d("CPUFeature", stringBuilder.toString());
                com.android.server.rms.iaware.cpu.NetManager.getInstance().sendMsgToNetMng(enable, 0, 12);
            }
        }
        return true;
    }

    private void subscribeResourceTypes() {
        this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_ON, this.mFeatureType);
        this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_OFF, this.mFeatureType);
        this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_GAME_BOOST, this.mFeatureType);
        this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_NET_MANAGE, this.mFeatureType);
    }

    private void unsubscribeResourceTypes() {
        this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_ON, this.mFeatureType);
        this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_OFF, this.mFeatureType);
        this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_GAME_BOOST, this.mFeatureType);
        this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_NET_MANAGE, this.mFeatureType);
    }

    private void enableVRMode() {
        if (isFeatureEnable(256)) {
            connectVRListner();
        }
    }

    private void enableGameScene() {
        if (isFeatureEnable(16384)) {
            com.android.server.rms.iaware.cpu.CPUGameScene.getInstance().enable(this.mCPUFeatureHandler);
        }
    }

    private void enableVipThread() {
        if (isFeatureEnable(2048)) {
            com.android.server.rms.iaware.cpu.CPUVipThread.getInstance().start(this);
            com.android.server.rms.iaware.cpu.CPUVipThread.getInstance().setHandler(this.mCPUFeatureHandler);
            enableVipCgroupControl();
        }
    }

    private void notifyCpusetSwitch(boolean enable) {
        com.huawei.android.app.HwActivityManager.setCpusetSwitch(enable);
    }

    private void notifyWarmColdSwitch(boolean enable) {
        com.huawei.android.app.HwActivityManager.setWarmColdSwitch(enable);
    }

    private void enableCPUHighFgControl() {
        if (isFeatureEnable(1024)) {
            com.android.server.rms.iaware.cpu.CPUHighFgControl.getInstance().start(this);
            handleSendMsg(140);
        }
    }

    private void enableVipCgroupControl() {
        com.android.server.rms.iaware.cpu.VipCgroupControl.getInstance().enable(this);
    }

    private void enableCPUNetLink() {
        if ((isFeatureEnable(1024) || isFeatureEnable(2048) || isFeatureEnable(16)) && this.mCPUNetLink == null) {
            this.mCPUNetLink = new com.android.server.rms.iaware.cpu.CPUNetLink();
            this.mCPUNetLink.start();
        }
    }

    private void getEasSwitch() {
        if (isFeatureEnable(8192)) {
            sendPacketByMsgCode(145);
        }
    }

    private void enableNetManager() {
        if (isFeatureEnable(512)) {
            com.android.server.rms.iaware.cpu.NetManager.getInstance().enable(this);
        }
    }

    private void sendSubSwitchToUniperf() {
        android.iawareperf.UniPerf.getInstance().uniPerfEvent(20225, "", new int[]{this.mFeatureFlag});
    }

    private void enableAppStartOnFire() {
        if (isFeatureEnable(131072)) {
            com.android.server.rms.iaware.cpu.CPUAppStartOnFire.getInstance().enable(this.mCPUFeatureHandler);
        }
    }

    public boolean enable() {
        if (mCPUSetEnable) {
            android.rms.iaware.AwareLog.e("CPUFeature", "cpuset has already enabled!");
            return true;
        }
        if (this.mCPUXmlConfiguration == null) {
            this.mCPUXmlConfiguration = new com.android.server.rms.iaware.cpu.CPUXmlConfiguration();
        }
        this.mCPUXmlConfiguration.startSetProperty(this);
        setEnable(true);
        notifyCpusetSwitch(true);
        com.android.server.rms.iaware.cpu.CPUKeyBackground.getInstance().start(this);
        setBoostKillSwitch(true);
        com.android.server.rms.iaware.cpu.CPUPowerMode.getInstance().enable(this.mContext);
        try {
            this.mFeatureFlag = java.lang.Integer.parseInt(android.os.SystemProperties.get("persist.sys.cpuset.subswitch", "0"));
        } catch (java.lang.IllegalArgumentException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("enable parseInt catch exception msg = ");
            stringBuilder.append(e.getMessage());
            android.rms.iaware.AwareLog.e("CPUFeature", stringBuilder.toString());
        }
        notifyWarmColdSwitch(isFeatureEnable(524288));
        if (isFeatureEnable(16)) {
            com.android.server.rms.iaware.cpu.CpuThreadBoost.getInstance().start(this, this.mCPUFeatureHandler);
        }
        if (this.mCPUProcessInherit == null) {
            this.mCPUProcessInherit = new com.android.server.rms.iaware.cpu.CPUProcessInherit();
        }
        this.mCPUProcessInherit.registerPorcessObserver();
        subscribeResourceTypes();
        if (isScreenOn()) {
            doScreenOn();
        }
        if (isFeatureEnable(16) || isFeatureEnable(16384)) {
            this.mCPUFreqInteractive.startGameStateMoniter();
        }
        com.android.server.rms.iaware.cpu.CPUResourceConfigControl.getInstance().enable();
        com.android.server.rms.iaware.cpu.CPUFeatureAMSCommunicator.getInstance().start(this);
        com.android.server.rms.iaware.cpu.CPUFeatureAMSCommunicator.getInstance().setTopAppBoostEnable(isFeatureEnable(32));
        com.android.server.rms.iaware.cpu.CPUFeatureAMSCommunicator.getInstance().setOnDemandBoostEnable(isFeatureEnable(262144));
        if (isFeatureEnable(262144)) {
            sendOnDemandBoostParams();
        }
        enableVRMode();
        android.rms.iaware.AwareLog.d("CPUFeature", "CPUFeature enabled");
        return true;
    }

    public boolean enableFeatureEx(int realVersion) {
        if (realVersion >= 1) {
            enable();
        }
        if (realVersion >= 2) {
            getEasSwitch();
            enableCPUNetLink();
            enableCPUHighFgControl();
            enableVipThread();
            enableNetManager();
            enableGameScene();
            sendSubSwitchToUniperf();
            enableAppStartOnFire();
        }
        return true;
    }

    private void disableCPUHighFgControl() {
        if (isFeatureEnable(1024)) {
            com.android.server.rms.iaware.cpu.CPUHighFgControl.getInstance().stop();
            handleSendMsg(140);
        }
    }

    private void disableVipThread() {
        if (isFeatureEnable(2048)) {
            com.android.server.rms.iaware.cpu.CPUVipThread.getInstance().stop();
            disableVipCgroupControl();
        }
    }

    private void disableVipCgroupControl() {
        com.android.server.rms.iaware.cpu.VipCgroupControl.getInstance().disable();
    }

    private void disableCPUNetLink() {
        if (this.mCPUNetLink != null) {
            this.mCPUNetLink.stop();
            this.mCPUNetLink = null;
        }
    }

    private void disableNetManager() {
        if (isFeatureEnable(512)) {
            com.android.server.rms.iaware.cpu.NetManager.getInstance().disable();
        }
    }

    private void disableGameScene() {
        if (isFeatureEnable(16384)) {
            com.android.server.rms.iaware.cpu.CPUGameScene.getInstance().disable();
        }
    }

    private void disableAppStartOnFire() {
        if (isFeatureEnable(131072)) {
            com.android.server.rms.iaware.cpu.CPUAppStartOnFire.getInstance().disable();
        }
    }

    public boolean disable() {
        if (mCPUSetEnable) {
            if (isFeatureEnable(16) || isFeatureEnable(16384)) {
                this.mCPUFreqInteractive.stopGameStateMoniter();
            }
            com.android.server.rms.iaware.cpu.CPUFeatureAMSCommunicator.getInstance().setTopAppBoostEnable(false);
            com.android.server.rms.iaware.cpu.CPUFeatureAMSCommunicator.getInstance().setOnDemandBoostEnable(false);
            com.android.server.rms.iaware.cpu.CPUFeatureAMSCommunicator.getInstance().stop();
            android.rms.iaware.AwareLog.d("CPUFeature", "CPUFeature destroyed");
            com.android.server.rms.iaware.cpu.CPUKeyBackground.getInstance().destroy();
            if (isFeatureEnable(16)) {
                com.android.server.rms.iaware.cpu.CpuThreadBoost.getInstance().stop();
            }
            disableCPUHighFgControl();
            disableNetManager();
            com.android.server.rms.iaware.cpu.CPUPowerMode.getInstance().disable();
            disableVipThread();
            disableCPUNetLink();
            setBoostKillSwitch(false);
            if (this.mCPUProcessInherit != null) {
                this.mCPUProcessInherit.unregisterPorcessObserver();
            }
            doFeatureOff();
            disableAppStartOnFire();
            setEnable(false);
            notifyCpusetSwitch(false);
            notifyWarmColdSwitch(false);
            unsubscribeResourceTypes();
            if (isFeatureEnable(256)) {
                callUnRegisterVRListener();
                this.mCPUFeatureHandler.removeMessages(134);
            }
            com.android.server.rms.iaware.cpu.CPUResourceConfigControl.getInstance().disable();
            disableGameScene();
            return true;
        }
        android.rms.iaware.AwareLog.e("CPUFeature", "cpuset has already disabled!");
        return true;
    }

    private void setEnable(boolean enable) {
        try {
            android.os.SystemProperties.set("persist.sys.cpuset.enable", enable ? "1" : "0");
            mCPUSetEnable = enable;
        } catch (java.lang.Exception e) {
            android.rms.iaware.AwareLog.e("CPUFeature", "setEnable catch exception!");
        }
    }

    public static boolean isCpusetEnable() {
        return mCPUSetEnable;
    }

    private int doScreenOn() {
        android.rms.iaware.AwareLog.d("CPUFeature", "get screen on event");
        sendPacketByMsgCode(101);
        return 0;
    }

    private int doScreenOff() {
        android.rms.iaware.AwareLog.d("CPUFeature", "get screen off event");
        sendPacketByMsgCode(102);
        return 0;
    }

    private int doFeatureOff() {
        sendPacketByMsgCode(114);
        return 0;
    }

    public synchronized int sendPacket(java.nio.ByteBuffer buffer) {
        if (buffer == null) {
            return -1;
        }
        int retry = 2;
        do {
            if (android.rms.iaware.IAwaredConnection.getInstance().sendPacket(buffer.array(), 0, buffer.position())) {
                return 1;
            }
            retry--;
        } while (retry > 0);
        return -2;
    }

    private boolean isScreenOn() {
        return ((android.os.PowerManager) this.mContext.getSystemService("power")).isInteractive();
    }

    private void removeScreenMessages() {
        this.mCPUFeatureHandler.removeMessages(101);
        this.mCPUFeatureHandler.removeMessages(102);
    }

    private int setBoostKillSwitch(boolean isEnable) {
        if (!isCpusetEnable()) {
            return 0;
        }
        java.nio.ByteBuffer buffer = java.nio.ByteBuffer.allocate(8);
        buffer.putInt(107);
        buffer.putInt(isEnable);
        int resCode = sendPacket(buffer);
        if (resCode != 1) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setBoostKillSwitch sendPacket failed, isEnable:");
            stringBuilder.append(isEnable);
            stringBuilder.append(",send error code:");
            stringBuilder.append(resCode);
            android.rms.iaware.AwareLog.e("CPUFeature", stringBuilder.toString());
        }
        return 0;
    }

    private void sendPacketByMsgCode(int msg) {
        java.nio.ByteBuffer buffer = java.nio.ByteBuffer.allocate(4);
        buffer.putInt(msg);
        int resCode = sendPacket(buffer);
        if (resCode != 1) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sendPacketByMsgCode sendPacket failed, msg:");
            stringBuilder.append(msg);
            stringBuilder.append(",send error code:");
            stringBuilder.append(resCode);
            android.rms.iaware.AwareLog.e("CPUFeature", stringBuilder.toString());
        }
    }

    private void processVRConnected(boolean enable) {
        if (enable) {
            if (isFeatureEnable(32)) {
                com.android.server.rms.iaware.cpu.CPUFeatureAMSCommunicator.getInstance().stop();
            }
            sendPacketByMsgCode(122);
            return;
        }
        if (isFeatureEnable(32)) {
            com.android.server.rms.iaware.cpu.CPUFeatureAMSCommunicator.getInstance().start(this);
        }
        if (isScreenOn()) {
            sendPacketByMsgCode(123);
        }
    }

    private void connectVRListner() {
        this.mVRManager = android.service.vr.IVrManager.Stub.asInterface(android.os.ServiceManager.getService("vrmanager"));
        if (this.mVRManager != null || this.mCycleNum >= 5) {
            this.mCycleNum = 0;
            callRegisterVRListener();
            return;
        }
        this.mCycleNum++;
        this.mCPUFeatureHandler.removeMessages(134);
        this.mCPUFeatureHandler.sendEmptyMessageDelayed(134, 3000);
    }

    private void callRegisterVRListener() {
        if (this.mVRManager != null) {
            try {
                this.mVRManager.registerListener(this.mVrStateCallback);
            } catch (android.os.RemoteException e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("failed to register vr mode state listner:");
                stringBuilder.append(e);
                android.rms.iaware.AwareLog.e("CPUFeature", stringBuilder.toString());
            }
        }
    }

    private void callUnRegisterVRListener() {
        if (this.mVRManager != null) {
            try {
                this.mVRManager.unregisterListener(this.mVrStateCallback);
            } catch (android.os.RemoteException e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("failed to unregister vr mode state listner:");
                stringBuilder.append(e);
                android.rms.iaware.AwareLog.e("CPUFeature", stringBuilder.toString());
            }
        }
    }

    private void doSendCpuCtlSwitchMsg() {
        sendPacketByMsgValueCode(140, isFeatureEnable(1024));
    }

    private void handleSendMsg(int msg) {
        this.mCPUFeatureHandler.removeMessages(msg);
        this.mCPUFeatureHandler.sendEmptyMessage(msg);
    }

    private void sendPacketByMsgValueCode(int msg, int value) {
        java.nio.ByteBuffer buffer = java.nio.ByteBuffer.allocate(8);
        buffer.putInt(msg);
        buffer.putInt(value);
        int resCode = sendPacket(buffer);
        if (resCode != 1) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sendPacketByMsgPidCode sendPacket failed, msg, value:");
            stringBuilder.append(msg);
            stringBuilder.append(value);
            stringBuilder.append(", send error code:");
            stringBuilder.append(resCode);
            android.rms.iaware.AwareLog.e("CPUFeature", stringBuilder.toString());
        }
    }

    private void doVipThreadSet(android.os.Message msg) {
        int msgId = msg.what;
        int pid = msg.arg1;
        if (msg.obj != null) {
            if (pid > 0) {
                com.android.server.rms.iaware.cpu.CPUVipThread.getInstance().sendPacket(pid, msg.obj, msgId);
            }
        }
    }

    private void sendOnDemandBoostParams() {
        java.lang.StringBuilder stringBuilder;
        try {
            vendor.huawei.hardware.iawareperfpolicy.V1_0.IPerfPolicy perfPolicy = vendor.huawei.hardware.iawareperfpolicy.V1_0.IPerfPolicy.getService("perfpolicy");
            if (perfPolicy != null) {
                int coldstartDuration = com.android.server.rms.iaware.cpu.OnDemandBoost.getInstance().getColdStartDuration();
                int winswitchDuration = com.android.server.rms.iaware.cpu.OnDemandBoost.getInstance().getWindowSwitchDuration();
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("sendOnDemandBoostParams coldstartDuration =  ");
                stringBuilder2.append(coldstartDuration);
                stringBuilder2.append(" winswitchDuration = ");
                stringBuilder2.append(winswitchDuration);
                android.rms.iaware.AwareLog.d("CPUFeature", stringBuilder2.toString());
                perfPolicy.setOnDemandBoostPolicy("cold", coldstartDuration);
                perfPolicy.setOnDemandBoostPolicy("winswitch", winswitchDuration);
            }
        } catch (android.os.RemoteException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sendOnDemandBoostParams catch RemoteException = ");
            stringBuilder.append(e.getMessage());
            android.rms.iaware.AwareLog.e("CPUFeature", stringBuilder.toString());
        } catch (java.util.NoSuchElementException e2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sendOnDemandBoostParams catch NoSuchElementException = ");
            stringBuilder.append(e2.getMessage());
            android.rms.iaware.AwareLog.e("CPUFeature", stringBuilder.toString());
        }
    }
}
