package com.android.server.rms.iaware.cpu;

class CPUFreqInteractive {
    private static final java.lang.String TAG = "CPUFreqInteractive";
    private com.android.server.rms.iaware.cpu.CPUAppRecogMngProxy mCPUAppRecogMngProxy;
    private com.huawei.pgmng.plug.PGSdk.Sink mFreqInteractiveSink = new com.android.server.rms.iaware.cpu.CPUFreqInteractive.FreqInteractiveSink();

    private class FreqInteractiveSink implements com.huawei.pgmng.plug.PGSdk.Sink {
        private FreqInteractiveSink() {
        }

        public void onStateChanged(int stateType, int eventType, int pid, java.lang.String pkg, int uid) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onStateChanged stateType = ");
            stringBuilder.append(stateType);
            stringBuilder.append(" eventType = ");
            stringBuilder.append(eventType);
            stringBuilder.append(" pid = ");
            stringBuilder.append(pid);
            stringBuilder.append(" pkg = ");
            stringBuilder.append(pkg);
            android.rms.iaware.AwareLog.d("CPUFreqInteractive", stringBuilder.toString());
            if (com.android.server.rms.iaware.cpu.CPUFreqInteractive.this.mCPUAppRecogMngProxy.isGameType(stateType)) {
                if (eventType == 1) {
                    com.android.server.rms.iaware.cpu.CpuThreadBoost.getInstance().resetBoostCpus();
                    com.android.server.rms.iaware.cpu.CPUGameScene.getInstance().enterGameSceneMsg();
                    com.android.server.rms.iaware.sysload.SysLoadManager.getInstance().enterGameSceneMsg();
                } else if (eventType == 2) {
                    com.android.server.rms.iaware.cpu.CpuThreadBoost.getInstance().setBoostCpus();
                    com.android.server.rms.iaware.cpu.CPUGameScene.getInstance().exitGameSceneMsg();
                    com.android.server.rms.iaware.sysload.SysLoadManager.getInstance().exitGameSceneMsg();
                }
            } else if (!com.android.server.rms.iaware.cpu.CPUFreqInteractive.this.mCPUAppRecogMngProxy.isVideoType(stateType)) {
            } else {
                if (stateType == 10015) {
                    com.android.server.rms.iaware.cpu.CpuThreadBoost.getInstance().resetBoostCpus();
                } else if (stateType == 10016) {
                    com.android.server.rms.iaware.cpu.CpuThreadBoost.getInstance().setBoostCpus();
                }
            }
        }
    }

    public CPUFreqInteractive(android.content.Context context) {
        this.mCPUAppRecogMngProxy = new com.android.server.rms.iaware.cpu.CPUAppRecogMngProxy(context);
    }

    public void startGameStateMoniter() {
        this.mCPUAppRecogMngProxy.register(this.mFreqInteractiveSink);
    }

    public void stopGameStateMoniter() {
        this.mCPUAppRecogMngProxy.unregister(this.mFreqInteractiveSink);
    }
}
