package com.android.server.rms.iaware.cpu;

class CPUGameScene {
    private static final int GAME_SCENE_DELAYED = 3000;
    private static final java.lang.String TAG = "CPUGameScene";
    private static com.android.server.rms.iaware.cpu.CPUGameScene sInstance;
    private static java.lang.Object syncObject = new java.lang.Object();
    private com.android.server.rms.iaware.cpu.CPUFeature.CPUFeatureHandler mCPUFeatureHandler;
    private java.util.concurrent.atomic.AtomicBoolean mIsFeatureEnable = new java.util.concurrent.atomic.AtomicBoolean(false);
    private java.util.concurrent.atomic.AtomicBoolean mSetGameScene = new java.util.concurrent.atomic.AtomicBoolean(false);

    private CPUGameScene() {
    }

    public static com.android.server.rms.iaware.cpu.CPUGameScene getInstance() {
        com.android.server.rms.iaware.cpu.CPUGameScene cPUGameScene;
        synchronized (syncObject) {
            if (sInstance == null) {
                sInstance = new com.android.server.rms.iaware.cpu.CPUGameScene();
            }
            cPUGameScene = sInstance;
        }
        return cPUGameScene;
    }

    public void enable(com.android.server.rms.iaware.cpu.CPUFeature.CPUFeatureHandler handler) {
        if (this.mIsFeatureEnable.get()) {
            android.rms.iaware.AwareLog.e("CPUGameScene", "CPUGameScene has already enable!");
            return;
        }
        this.mCPUFeatureHandler = handler;
        this.mIsFeatureEnable.set(true);
    }

    public void disable() {
        if (this.mIsFeatureEnable.get()) {
            this.mIsFeatureEnable.set(false);
        } else {
            android.rms.iaware.AwareLog.e("CPUGameScene", "CPUGameScene has already disable!");
        }
    }

    public void enterGameSceneMsg() {
        if (this.mIsFeatureEnable.get() && this.mCPUFeatureHandler != null) {
            this.mCPUFeatureHandler.removeMessages(147);
            this.mCPUFeatureHandler.sendEmptyMessageDelayed(147, 3000);
        }
    }

    public void exitGameSceneMsg() {
        if (this.mIsFeatureEnable.get() && this.mCPUFeatureHandler != null) {
            this.mCPUFeatureHandler.removeMessages(148);
            if (this.mSetGameScene.get()) {
                this.mCPUFeatureHandler.sendEmptyMessageDelayed(148, 0);
            } else {
                this.mCPUFeatureHandler.sendEmptyMessageDelayed(148, 3000);
            }
        }
    }

    public void setGameScene() {
        android.iawareperf.UniPerf.getInstance().uniPerfEvent(4120, "", new int[]{0});
        this.mSetGameScene.set(true);
    }

    public void resetGameScene() {
        android.iawareperf.UniPerf.getInstance().uniPerfEvent(4120, "", new int[]{-1});
        this.mSetGameScene.set(false);
    }

    public boolean isGameScene() {
        return this.mSetGameScene.get();
    }

    public void setScreenOffScene() {
        if (this.mIsFeatureEnable.get() && this.mSetGameScene.get()) {
            resetGameScene();
        }
    }
}
