package com.android.server.rms.iaware.cpu;

public class CPUKeyBackground {
    private static final java.lang.String GRP_BACKGROUND = "/background";
    public static final java.lang.String GRP_KEY_BACKGROUND = "/key-background";
    private static final java.lang.String KEY_BUNDLE_GRP = "KEY_GRP";
    private static final java.lang.String KEY_BUNDLE_PID = "KEY_PID";
    private static final java.lang.String KEY_BUNDLE_UID = "KEY_UID";
    private static final java.lang.String TAG = "CPUKeyBackground";
    private static com.android.server.rms.iaware.cpu.CPUKeyBackground sInstance;
    private com.android.server.rms.iaware.cpu.CPUKeyBackground.AwareStateCallback mAwareStateCallback;
    private com.android.server.rms.iaware.cpu.CPUFeature mCPUFeatureInstance;
    private com.android.server.rms.iaware.cpu.CPUKeyBackground.KeyBackgroundHandler mKeyBackgroundHandler;

    private class KeyBackgroundHandler extends android.os.Handler {
        private KeyBackgroundHandler() {
        }

        public void handleMessage(android.os.Message msg) {
            super.handleMessage(msg);
            switch (msg.what) {
                case 104:
                    com.android.server.rms.iaware.cpu.CPUKeyBackground.this.doKBackground(104, msg.arg1);
                    break;
                case 105:
                    com.android.server.rms.iaware.cpu.CPUKeyBackground.this.doKBackground(105, msg.arg1);
                    break;
                case 106:
                    android.os.Bundle bundle = msg.getData();
                    if (bundle != null) {
                        int pid = bundle.getInt("KEY_PID");
                        int uid = bundle.getInt("KEY_UID");
                        if (bundle.getInt("KEY_GRP") == 0) {
                            com.android.server.rms.iaware.cpu.CPUKeyBackground.this.checkKeyBackgroundAndSendMsg(pid, uid);
                            break;
                        }
                    }
                    android.rms.iaware.AwareLog.e("CPUKeyBackground", "handleMessage inavlid params null bundle!");
                    return;
                    break;
                default:
                    break;
            }
        }
    }

    private class AwareStateCallback implements com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.IAwareStateCallback {
        private AwareStateCallback() {
        }

        public void onStateChanged(int stateType, int eventType, int pid, int uid) {
            if (stateType == 5) {
                com.android.server.rms.iaware.cpu.NetManager.getInstance().sendMsgToNetMng(uid, eventType, 3);
            } else if (stateType == 2) {
                com.android.server.rms.iaware.cpu.NetManager.getInstance().sendMsgToNetMng(uid, eventType, 4);
            }
            if (stateType == 0 && com.android.server.rms.iaware.cpu.CPUFeature.isCpusetEnable()) {
                java.lang.String pkgName = com.android.server.rms.iaware.cpu.CPUKeyBackground.this.getAppPkgName(pid, uid);
                if (!com.android.server.rms.iaware.cpu.CPUKeyBackground.this.checkIsNativeKeyBackgroupApp(pkgName)) {
                    if (com.android.server.rms.iaware.cpu.CPUKeyBackground.this.isProtectPackage(pkgName)) {
                        if (1 == eventType) {
                            com.android.server.rms.iaware.cpu.CPUKeyBackground.this.setProcessGroupByUid(uid);
                        }
                    } else if (1 == eventType) {
                        com.android.server.rms.iaware.cpu.CPUKeyBackground.this.sendMessagesByUid(104, uid, "/background");
                    } else if (2 == eventType) {
                        com.android.server.rms.iaware.cpu.CPUKeyBackground.this.sendMessagesByUid(105, uid, "/key-background");
                    }
                }
            }
        }
    }

    private CPUKeyBackground() {
    }

    public static synchronized com.android.server.rms.iaware.cpu.CPUKeyBackground getInstance() {
        com.android.server.rms.iaware.cpu.CPUKeyBackground cPUKeyBackground;
        synchronized (com.android.server.rms.iaware.cpu.CPUKeyBackground.class) {
            if (sInstance == null) {
                sInstance = new com.android.server.rms.iaware.cpu.CPUKeyBackground();
            }
            cPUKeyBackground = sInstance;
        }
        return cPUKeyBackground;
    }

    public void start(com.android.server.rms.iaware.cpu.CPUFeature feature) {
        initHandler();
        this.mCPUFeatureInstance = feature;
        registerStateCallback();
    }

    private void registerStateCallback() {
        if (this.mAwareStateCallback == null) {
            this.mAwareStateCallback = new com.android.server.rms.iaware.cpu.CPUKeyBackground.AwareStateCallback();
            com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance().registerStateCallback(this.mAwareStateCallback, 0);
            com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance().registerStateCallback(this.mAwareStateCallback, 5);
            com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance().registerStateCallback(this.mAwareStateCallback, 2);
        }
    }

    public void destroy() {
        unregisterStateCallback();
    }

    private void unregisterStateCallback() {
        if (this.mAwareStateCallback != null) {
            com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance().unregisterStateCallback(this.mAwareStateCallback, 0);
            com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance().unregisterStateCallback(this.mAwareStateCallback, 5);
            com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance().unregisterStateCallback(this.mAwareStateCallback, 2);
            this.mAwareStateCallback = null;
        }
    }

    private void initHandler() {
        if (this.mKeyBackgroundHandler == null) {
            this.mKeyBackgroundHandler = new com.android.server.rms.iaware.cpu.CPUKeyBackground.KeyBackgroundHandler();
        }
    }

    private void checkKeyBackgroundAndSendMsg(int pid, int uid) {
        boolean isKeyBG = com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance().checkIsKeyBackgroup(pid, uid);
        if (isProtectPackage(getAppPkgName(pid, uid)) && isKeyBG) {
            setProcessGroup(pid, -1);
            return;
        }
        if (isKeyBG && this.mKeyBackgroundHandler != null) {
            android.os.Message msg = this.mKeyBackgroundHandler.obtainMessage(104);
            msg.arg1 = pid;
            this.mKeyBackgroundHandler.sendMessage(msg);
        }
    }

    public void sendSwitchGroupMessage(int pid, int messgaeId) {
        if (this.mKeyBackgroundHandler != null) {
            android.os.Message msg = this.mKeyBackgroundHandler.obtainMessage(messgaeId);
            msg.arg1 = pid;
            this.mKeyBackgroundHandler.sendMessage(msg);
        }
    }

    private void closeBufferedReader(java.io.BufferedReader br) {
        if (br != null) {
            try {
                br.close();
            } catch (java.io.IOException e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("closeBufferedReader exception ");
                stringBuilder.append(e.getMessage());
                android.rms.iaware.AwareLog.e("CPUKeyBackground", stringBuilder.toString());
            }
        }
    }

    private void closeInputStreamReader(java.io.InputStreamReader isr) {
        if (isr != null) {
            try {
                isr.close();
            } catch (java.io.IOException e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("closeInputStreamReader exception ");
                stringBuilder.append(e.getMessage());
                android.rms.iaware.AwareLog.e("CPUKeyBackground", stringBuilder.toString());
            }
        }
    }

    private void closeFileInputStream(java.io.FileInputStream fis) {
        if (fis != null) {
            try {
                fis.close();
            } catch (java.io.IOException e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("closeFileInputStream exception ");
                stringBuilder.append(e.getMessage());
                android.rms.iaware.AwareLog.e("CPUKeyBackground", stringBuilder.toString());
            }
        }
    }

    private void moveForkToBackground(int uid, int pid) {
        java.lang.StringBuilder stringBuilder;
        if (this.mKeyBackgroundHandler != null) {
            java.lang.StringBuilder strPath = new java.lang.StringBuilder();
            strPath.append("/acct/uid_");
            strPath.append(uid);
            strPath.append("/pid_");
            strPath.append(pid);
            strPath.append("/cgroup.procs");
            java.io.FileInputStream fis = null;
            java.io.InputStreamReader isr = null;
            java.io.BufferedReader br = null;
            try {
                fis = new java.io.FileInputStream(strPath.toString());
                isr = new java.io.InputStreamReader(fis, "UTF-8");
                br = new java.io.BufferedReader(isr);
                java.lang.String line = "";
                while (true) {
                    java.lang.String readLine = br.readLine();
                    line = readLine;
                    if (readLine == null) {
                        break;
                    }
                    int heriPid = java.lang.Integer.parseInt(line.trim());
                    if (heriPid != pid) {
                        if (checkIsTargetGroup(heriPid, "/key-background")) {
                            android.os.Message msg = this.mKeyBackgroundHandler.obtainMessage(105);
                            msg.arg1 = heriPid;
                            this.mKeyBackgroundHandler.sendMessage(msg);
                        }
                    }
                }
            } catch (java.lang.NumberFormatException e) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("NumberFormatException ");
                stringBuilder.append(e.getMessage());
                android.rms.iaware.AwareLog.e("CPUKeyBackground", stringBuilder.toString());
            } catch (java.io.FileNotFoundException e2) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("FileNotFoundException ");
                stringBuilder.append(e2.getMessage());
                android.rms.iaware.AwareLog.e("CPUKeyBackground", stringBuilder.toString());
            } catch (java.io.UnsupportedEncodingException e3) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("UnsupportedEncodingException ");
                stringBuilder.append(e3.getMessage());
                android.rms.iaware.AwareLog.e("CPUKeyBackground", stringBuilder.toString());
            } catch (java.io.IOException e4) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("IOException ");
                stringBuilder.append(e4.getMessage());
                android.rms.iaware.AwareLog.e("CPUKeyBackground", stringBuilder.toString());
            } catch (Throwable th) {
                closeBufferedReader(null);
                closeInputStreamReader(null);
                closeFileInputStream(null);
            }
            closeBufferedReader(br);
            closeInputStreamReader(isr);
            closeFileInputStream(fis);
        }
    }

    private void sendMessagesByUid(int code, int uid, java.lang.String grp) {
        java.util.List<com.android.server.mtm.taskstatus.ProcessInfo> procs = getProcessesByUid(uid);
        if (!procs.isEmpty()) {
            if (this.mKeyBackgroundHandler != null) {
                int procsSize = procs.size();
                for (int i = 0; i < procsSize; i++) {
                    com.android.server.mtm.taskstatus.ProcessInfo info = (com.android.server.mtm.taskstatus.ProcessInfo) procs.get(i);
                    if (info != null && checkIsTargetGroup(info.mPid, grp)) {
                        android.os.Message msg = this.mKeyBackgroundHandler.obtainMessage(code);
                        msg.arg1 = info.mPid;
                        this.mKeyBackgroundHandler.sendMessage(msg);
                        if (105 == code) {
                            moveForkToBackground(uid, info.mPid);
                        }
                    }
                }
            }
        }
    }

    private java.lang.String getAppPkgName(int pid, int uid) {
        if (pid > 0) {
            return com.android.server.mtm.utils.InnerUtils.getAwarePkgName(pid);
        }
        return com.android.server.mtm.utils.InnerUtils.getPackageNameByUid(uid);
    }

    private boolean checkIsNativeKeyBackgroupApp(java.lang.String pkgName) {
        if (pkgName != null && com.android.server.rms.iaware.appmng.AwareDefaultConfigList.getInstance().getKeyHabitAppList().contains(pkgName)) {
            return true;
        }
        return false;
    }

    private java.util.List<com.android.server.mtm.taskstatus.ProcessInfo> getProcessesByUid(int uid) {
        java.util.List<com.android.server.mtm.taskstatus.ProcessInfo> procs = new java.util.ArrayList();
        java.util.ArrayList<com.android.server.mtm.taskstatus.ProcessInfo> procList = com.android.server.mtm.taskstatus.ProcessInfoCollector.getInstance().getProcessInfoList();
        if (procList.isEmpty()) {
            android.rms.iaware.AwareLog.e("CPUKeyBackground", "getProcessesByUid procList is null!");
            return procs;
        }
        int procListSize = procList.size();
        for (int i = 0; i < procListSize; i++) {
            com.android.server.mtm.taskstatus.ProcessInfo info = (com.android.server.mtm.taskstatus.ProcessInfo) procList.get(i);
            if (info != null && uid == info.mUid) {
                procs.add(info);
            }
        }
        return procs;
    }

    public void notifyProcessGroupChange(int pid, int uid, int grp) {
        if (com.android.server.rms.iaware.cpu.CPUFeature.isCpusetEnable()) {
            if (this.mKeyBackgroundHandler != null) {
                android.os.Message msg = this.mKeyBackgroundHandler.obtainMessage(106);
                android.os.Bundle bundle = new android.os.Bundle();
                bundle.putInt("KEY_PID", pid);
                bundle.putInt("KEY_UID", uid);
                bundle.putInt("KEY_GRP", grp);
                msg.setData(bundle);
                this.mKeyBackgroundHandler.sendMessage(msg);
            }
        }
    }

    private int doKBackground(int msg, int pid) {
        if (!com.android.server.rms.iaware.cpu.CPUFeature.isCpusetEnable()) {
            return 0;
        }
        if (this.mCPUFeatureInstance == null) {
            android.rms.iaware.AwareLog.e("CPUKeyBackground", "doKBackground mCPUFeatureInstance = null!");
            return -1;
        }
        java.nio.ByteBuffer buffer = java.nio.ByteBuffer.allocate(8);
        buffer.putInt(msg);
        buffer.putInt(pid);
        int resCode = this.mCPUFeatureInstance.sendPacket(buffer);
        if (resCode != 1) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("doKBackground sendPacked failed, send error code:");
            stringBuilder.append(resCode);
            android.rms.iaware.AwareLog.e("CPUKeyBackground", stringBuilder.toString());
        }
        return 0;
    }

    public boolean checkIsTargetGroup(int pid, java.lang.String grp) {
        java.lang.StringBuilder stringBuilder;
        if (grp == null) {
            android.rms.iaware.AwareLog.e("CPUKeyBackground", "checkIsTargetGroup invalid params");
            return false;
        }
        java.lang.String filePath = new java.lang.StringBuilder();
        filePath.append("/proc/");
        filePath.append(pid);
        filePath.append("/cpuset");
        java.io.File file = new java.io.File(filePath.toString());
        java.io.FileInputStream inputStream = null;
        java.lang.StringBuilder sb = new java.lang.StringBuilder();
        int temp = 0;
        try {
            inputStream = new java.io.FileInputStream(file);
            while (true) {
                int read = inputStream.read();
                temp = read;
                if (read == -1) {
                    break;
                }
                char ch = (char) temp;
                if (!(ch == 10 || ch == 13)) {
                    sb.append(ch);
                }
            }
            try {
                inputStream.close();
            } catch (java.io.IOException e) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("checkIsTargetGroup close catch IOException msg = ");
                stringBuilder.append(e.getMessage());
                android.rms.iaware.AwareLog.e("CPUKeyBackground", stringBuilder.toString());
            }
            if (sb.length() == 0) {
                android.rms.iaware.AwareLog.e("CPUKeyBackground", "checkIsTargetGroup read fail");
                return false;
            } else if (grp.equals(sb.toString())) {
                return true;
            } else {
                return false;
            }
        } catch (java.io.IOException e2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("checkIsTargetGroup read catch IOException msg = ");
            stringBuilder.append(e2.getMessage());
            android.rms.iaware.AwareLog.e("CPUKeyBackground", stringBuilder.toString());
            if (inputStream != null) {
                try {
                    inputStream.close();
                } catch (java.io.IOException e3) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("checkIsTargetGroup close catch IOException msg = ");
                    stringBuilder2.append(e3.getMessage());
                    android.rms.iaware.AwareLog.e("CPUKeyBackground", stringBuilder2.toString());
                }
            }
            return false;
        } catch (Throwable th) {
            if (inputStream != null) {
                try {
                    inputStream.close();
                } catch (java.io.IOException e22) {
                    java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append("checkIsTargetGroup close catch IOException msg = ");
                    stringBuilder3.append(e22.getMessage());
                    android.rms.iaware.AwareLog.e("CPUKeyBackground", stringBuilder3.toString());
                }
            }
        }
    }

    private boolean isProtectPackage(java.lang.String pkgName) {
        if (pkgName != null) {
            if (pkgName.contains("com.hicloud.android.clone")) {
                return true;
            }
        }
        return false;
    }

    private void setProcessGroupByUid(int uid) {
        java.util.List<com.android.server.mtm.taskstatus.ProcessInfo> procs = getProcessesByUid(uid);
        int procsSize = procs.size();
        for (int i = 0; i < procsSize; i++) {
            com.android.server.mtm.taskstatus.ProcessInfo info = (com.android.server.mtm.taskstatus.ProcessInfo) procs.get(i);
            if (info != null && checkIsTargetGroup(info.mPid, "/background")) {
                setProcessGroup(info.mPid, -1);
            }
        }
    }

    private void setProcessGroup(int pid, int schedGroup) {
        java.lang.StringBuilder stringBuilder;
        try {
            android.os.Process.setProcessGroup(pid, schedGroup);
        } catch (java.lang.IllegalArgumentException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setProcessGroup pid ");
            stringBuilder.append(pid);
            stringBuilder.append(e.getMessage());
            android.rms.iaware.AwareLog.e("CPUKeyBackground", stringBuilder.toString());
        } catch (java.lang.SecurityException e2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setProcessGroup pid ");
            stringBuilder.append(pid);
            stringBuilder.append(e2.getMessage());
            android.rms.iaware.AwareLog.e("CPUKeyBackground", stringBuilder.toString());
        } catch (java.lang.RuntimeException e3) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setProcessGroup pid ");
            stringBuilder.append(pid);
            stringBuilder.append(e3.getMessage());
            android.rms.iaware.AwareLog.e("CPUKeyBackground", stringBuilder.toString());
        }
    }
}
