package com.android.server.rms.iaware.cpu;

/* compiled from: CPUXmlConfiguration */
class CPUVipParaConfig extends com.android.server.rms.iaware.cpu.CPUCustBaseConfig {
    private static final java.lang.String CONFIG_VIP = "vip_thread_param";
    private static final java.lang.String CONFIG_VIP_DYM_GRAN = "vip_max_dynamic_granularity";
    private static final java.lang.String CONFIG_VIP_MIGRATION = "vip_min_migration_delay";
    private static final java.lang.String CONFIG_VIP_SCHED_DELAY = "vip_min_sched_delay_granularity";
    private static final java.lang.String TAG = "CPUVipParaConfig";
    private com.android.server.rms.iaware.cpu.CPUFeature mCPUFeatureInstance;
    private java.util.Map<java.lang.String, java.lang.Integer> mVipThreadParams = new android.util.ArrayMap();
    private java.util.Map<java.lang.String, java.lang.Integer> mVipThreadParamsOrder = new android.util.ArrayMap();

    public CPUVipParaConfig() {
        init();
    }

    public void setConfig(com.android.server.rms.iaware.cpu.CPUFeature feature) {
        if (feature != null) {
            this.mCPUFeatureInstance = feature;
            int size = this.mVipThreadParams.size();
            java.nio.ByteBuffer buffer = java.nio.ByteBuffer.allocate(((2 * size) * 4) + 8);
            buffer.putInt(150);
            buffer.putInt(size);
            for (java.util.Map.Entry<java.lang.String, java.lang.Integer> e : this.mVipThreadParams.entrySet()) {
                java.lang.Integer msgId = (java.lang.Integer) this.mVipThreadParamsOrder.get(e.getKey());
                if (msgId != null) {
                    buffer.putInt(msgId.intValue());
                    buffer.putInt(((java.lang.Integer) e.getValue()).intValue());
                } else {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("find a unknown params:");
                    stringBuilder.append((java.lang.String) e.getKey());
                    stringBuilder.append(", return directly");
                    android.rms.iaware.AwareLog.e("CPUVipParaConfig", stringBuilder.toString());
                    return;
                }
            }
            int resCode = this.mCPUFeatureInstance.sendPacket(buffer);
            if (resCode != 1) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("sendConfig sendPacket failed, send error code:");
                stringBuilder2.append(resCode);
                android.rms.iaware.AwareLog.e("CPUVipParaConfig", stringBuilder2.toString());
            }
        }
    }

    private void init() {
        obtainVipThreadParams();
        this.mVipThreadParamsOrder.put("vip_min_sched_delay_granularity", java.lang.Integer.valueOf(1));
        this.mVipThreadParamsOrder.put("vip_max_dynamic_granularity", java.lang.Integer.valueOf(2));
        this.mVipThreadParamsOrder.put("vip_min_migration_delay", java.lang.Integer.valueOf(3));
    }

    private void obtainVipThreadParams() {
        java.util.List<android.rms.iaware.AwareConfig.Item> awareConfigItemList = getItemList("vip_thread_param");
        if (awareConfigItemList != null) {
            this.mVipThreadParams.clear();
            for (android.rms.iaware.AwareConfig.Item item : awareConfigItemList) {
                java.util.List<android.rms.iaware.AwareConfig.SubItem> subItemList = getSubItem(item);
                if (subItemList != null) {
                    for (android.rms.iaware.AwareConfig.SubItem subItem : subItemList) {
                        java.lang.String itemName = subItem.getName();
                        java.lang.String tempItemValue = subItem.getValue();
                        if (itemName != null) {
                            if (tempItemValue != null) {
                                try {
                                    this.mVipThreadParams.put(itemName, java.lang.Integer.valueOf(java.lang.Integer.parseInt(tempItemValue)));
                                } catch (java.lang.NumberFormatException e) {
                                    android.rms.iaware.AwareLog.e("CPUVipParaConfig", "itemValue string to int error!");
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}
