package com.android.server.rms.iaware.cpu;

/* compiled from: CPUXmlConfiguration */
class CPUXMLUtility {
    private static final java.lang.String TAG = "CPUXMLUtility";

    CPUXMLUtility() {
    }

    public static java.nio.ByteBuffer getConfigInfo(java.util.Map<java.lang.String, com.android.server.rms.iaware.cpu.CPUPropInfoItem> infoMap, java.lang.String[] itemIndex, int msg) {
        if (itemIndex == null) {
            return null;
        }
        byte[] cpusetInfoBytes = getFormatedStrBytes(infoMap, itemIndex);
        if (cpusetInfoBytes.length == 0) {
            return null;
        }
        int totalLen = 12 + cpusetInfoBytes.length;
        if (totalLen > 512) {
            return null;
        }
        java.nio.ByteBuffer buffer = java.nio.ByteBuffer.allocate(totalLen);
        buffer.putInt(124);
        buffer.putInt(msg);
        buffer.putInt(cpusetInfoBytes.length);
        buffer.put(cpusetInfoBytes);
        return buffer;
    }

    private static byte[] getFormatedStrBytes(java.util.Map<java.lang.String, com.android.server.rms.iaware.cpu.CPUPropInfoItem> infoMap, java.lang.String[] itemIndex) {
        java.lang.StringBuffer sb = new java.lang.StringBuffer();
        for (java.lang.String itemName : itemIndex) {
            com.android.server.rms.iaware.cpu.CPUPropInfoItem itemValue = (com.android.server.rms.iaware.cpu.CPUPropInfoItem) infoMap.get(itemName);
            if (itemValue == null) {
                sb.append("#");
                sb.append(";");
            } else {
                sb.append(itemValue.mValue);
                sb.append(";");
            }
        }
        try {
            return sb.toString().getBytes("UTF-8");
        } catch (java.io.UnsupportedEncodingException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("UnsupportedEncodingException ");
            stringBuilder.append(e.toString());
            android.rms.iaware.AwareLog.e("CPUXMLUtility", stringBuilder.toString());
            return new byte[0];
        }
    }
}
