package com.android.server.rms.iaware.cpu;

/* compiled from: CPUXmlConfiguration */
class CpuCtlLimitConfig extends com.android.server.rms.iaware.cpu.CPUCustBaseConfig {
    private static final java.lang.String CONFIG_CPUCTL_FG = "cpuctl_limit";
    private static final java.lang.String TAG = "CpuCtlLimitConfig";
    private java.util.Map<java.lang.String, java.lang.Integer> mCpuCtlFGValueMap = new android.util.ArrayMap();

    public CpuCtlLimitConfig() {
        init();
    }

    public void setConfig(com.android.server.rms.iaware.cpu.CPUFeature feature) {
    }

    private void init() {
        obtainCpuCtlForegroundArray("cpuctl_limit");
    }

    public java.util.Map<java.lang.String, java.lang.Integer> getCpuCtlFGValueMap() {
        java.util.Map<java.lang.String, java.lang.Integer> tempCpuCtlFGValueMap = new android.util.ArrayMap();
        for (java.util.Map.Entry<java.lang.String, java.lang.Integer> e : this.mCpuCtlFGValueMap.entrySet()) {
            tempCpuCtlFGValueMap.put((java.lang.String) e.getKey(), (java.lang.Integer) e.getValue());
        }
        return tempCpuCtlFGValueMap;
    }

    private void obtainCpuCtlForegroundArray(java.lang.String configName) {
        java.util.List<android.rms.iaware.AwareConfig.Item> awareConfigItemList = getItemList(configName);
        if (awareConfigItemList != null) {
            this.mCpuCtlFGValueMap.clear();
            for (android.rms.iaware.AwareConfig.Item item : awareConfigItemList) {
                java.util.List<android.rms.iaware.AwareConfig.SubItem> subItemList = getSubItem(item);
                if (subItemList != null) {
                    for (android.rms.iaware.AwareConfig.SubItem subItem : subItemList) {
                        java.lang.String itemName = subItem.getName();
                        java.lang.String tempItemValue = subItem.getValue();
                        if (itemName != null) {
                            if (tempItemValue != null) {
                                try {
                                    this.mCpuCtlFGValueMap.put(itemName, java.lang.Integer.valueOf(java.lang.Integer.parseInt(tempItemValue)));
                                } catch (java.lang.NumberFormatException e) {
                                    android.rms.iaware.AwareLog.e("CpuCtlLimitConfig", "itemValue string to int error!");
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}
