package com.android.server.rms.iaware.cpu;

/* compiled from: CPUXmlConfiguration */
class CpusetScreenConfig extends com.android.server.rms.iaware.cpu.CPUCustBaseConfig {
    private static final java.lang.String CONFIG_CPUSCREEN_OFF = "cpuset_screen_off";
    private static final java.lang.String CONFIG_CPUSCREEN_ON = "cpuset_screen_on";
    private static final java.lang.String TAG = "CpusetScreenConfig";
    private com.android.server.rms.iaware.cpu.CPUFeature mCPUFeatureInstance;
    private java.util.Map<java.lang.String, java.lang.String> mItem2PropMapScreenOFF = new android.util.ArrayMap();
    private java.util.Map<java.lang.String, java.lang.String> mItem2PropMapScreenOn = new android.util.ArrayMap();
    private java.util.Map<java.lang.String, com.android.server.rms.iaware.cpu.CPUPropInfoItem> mOffInfoMap = new android.util.ArrayMap();
    private java.util.Map<java.lang.String, com.android.server.rms.iaware.cpu.CPUPropInfoItem> mOnInfoMap = new android.util.ArrayMap();

    public CpusetScreenConfig() {
        init();
    }

    public void setConfig(com.android.server.rms.iaware.cpu.CPUFeature feature) {
        this.mCPUFeatureInstance = feature;
        if (this.mCPUFeatureInstance == null) {
            android.rms.iaware.AwareLog.e("CpusetScreenConfig", "CPUFeature is null");
            return;
        }
        sendScreenConfig(this.mOnInfoMap, mCpusetItemIndex, 126);
        sendScreenConfig(this.mOffInfoMap, mCpusetItemIndex, 127);
    }

    private void init() {
        this.mItem2PropMapScreenOn.put("fg", "persist.sys.cpuset.fg_on");
        this.mItem2PropMapScreenOn.put("bg", "persist.sys.cpuset.bg_on");
        this.mItem2PropMapScreenOn.put("key_bg", "persist.sys.cpuset.keybg_on");
        this.mItem2PropMapScreenOn.put("sys_bg", "persist.sys.cpuset.sysbg_on");
        this.mItem2PropMapScreenOn.put("ta_boost", "persist.sys.cpuset.ta_boost_on");
        this.mItem2PropMapScreenOn.put("boost", "persist.sys.cpuset.boost_on");
        this.mItem2PropMapScreenOn.put("top_app", "persist.sys.cpuset.topapp_on");
        this.mItem2PropMapScreenOFF.put("fg", "persist.sys.cpuset.fg_off");
        this.mItem2PropMapScreenOFF.put("bg", "persist.sys.cpuset.bg_off");
        this.mItem2PropMapScreenOFF.put("key_bg", "persist.sys.cpuset.keybg_off");
        this.mItem2PropMapScreenOFF.put("sys_bg", "persist.sys.cpuset.sysbg_off");
        this.mItem2PropMapScreenOFF.put("ta_boost", "persist.sys.cpuset.ta_boost_off");
        this.mItem2PropMapScreenOFF.put("boost", "persist.sys.cpuset.boost_off");
        this.mItem2PropMapScreenOFF.put("top_app", "persist.sys.cpuset.topapp_off");
        obtainConfigInfo("cpuset_screen_off", this.mItem2PropMapScreenOFF, this.mOffInfoMap);
        obtainConfigInfo("cpuset_screen_on", this.mItem2PropMapScreenOn, this.mOnInfoMap);
    }

    private void sendScreenConfig(java.util.Map<java.lang.String, com.android.server.rms.iaware.cpu.CPUPropInfoItem> infoMap, java.lang.String[] itemIndex, int msg) {
        if (infoMap.isEmpty()) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("you don't set the xml, msg:");
            stringBuilder.append(msg);
            android.rms.iaware.AwareLog.d("CpusetScreenConfig", stringBuilder.toString());
            return;
        }
        int resCode = this.mCPUFeatureInstance.sendPacket(com.android.server.rms.iaware.cpu.CPUXMLUtility.getConfigInfo(infoMap, itemIndex, msg));
        if (resCode != 1) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("sendConfig sendPacket failed, msg:");
            stringBuilder2.append(msg);
            stringBuilder2.append(",send error code:");
            stringBuilder2.append(resCode);
            android.rms.iaware.AwareLog.e("CpusetScreenConfig", stringBuilder2.toString());
        }
    }
}
