package com.android.server.rms.iaware.cpu;

/* compiled from: CPUXmlConfiguration */
class GameLevelMapConfig extends com.android.server.rms.iaware.cpu.CPUCustBaseConfig {
    private static final java.lang.String GAME_ENTER_CONFIG_NAME = "game_enter_level_map";
    private static final java.lang.String GAME_SCENE_CONFIG_NAME = "game_scene_level_map";
    private static final java.lang.String LEVEL = "level";
    private static final java.lang.String TAG = "GameLevelMapConfig";
    private static final java.lang.String TYPE = "type";

    GameLevelMapConfig() {
    }

    public void setConfig(com.android.server.rms.iaware.cpu.CPUFeature feature) {
        loadConfig("game_scene_level_map");
        loadConfig("game_enter_level_map");
    }

    private void loadConfig(java.lang.String configName) {
        com.android.server.rms.iaware.cpu.GameLevelMapConfig gameLevelMapConfig = this;
        java.lang.String str = configName;
        java.util.List<android.rms.iaware.AwareConfig.Item> awareConfigItemList = getItemList(configName);
        if (awareConfigItemList == null) {
            android.rms.iaware.AwareLog.w("GameLevelMapConfig", "loadConfig config prop is null!");
            return;
        }
        int size = awareConfigItemList.size();
        int i = 0;
        while (i < size) {
            java.util.List<android.rms.iaware.AwareConfig.Item> awareConfigItemList2;
            android.rms.iaware.AwareConfig.Item item = (android.rms.iaware.AwareConfig.Item) awareConfigItemList.get(i);
            if (item == null) {
                android.rms.iaware.AwareLog.w("GameLevelMapConfig", "can not find game level item");
            } else {
                java.util.Map<java.lang.String, java.lang.String> itemProps = item.getProperties();
                if (itemProps == null) {
                    android.rms.iaware.AwareLog.w("GameLevelMapConfig", "can not find game level property");
                } else {
                    java.lang.String levelType = (java.lang.String) itemProps.get("type");
                    java.util.List<android.rms.iaware.AwareConfig.SubItem> subItemList = gameLevelMapConfig.getSubItem(item);
                    if (subItemList == null) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("get subItem failed type:");
                        stringBuilder.append(levelType);
                        android.rms.iaware.AwareLog.w("GameLevelMapConfig", stringBuilder.toString());
                    } else {
                        java.util.Map<java.lang.Integer, com.android.server.rms.iaware.cpu.IAwareMode.LevelCmdId> levelMap = new android.util.ArrayMap();
                        for (android.rms.iaware.AwareConfig.SubItem subItem : subItemList) {
                            java.util.Map<java.lang.String, java.lang.String> subItemProps = subItem.getProperties();
                            if (subItemProps != null) {
                                int level = gameLevelMapConfig.parseInt((java.lang.String) subItemProps.get("level"));
                                if (level != -1) {
                                    com.android.server.rms.iaware.cpu.IAwareMode.LevelCmdId cmdId = gameLevelMapConfig.parseLevel(subItem.getValue());
                                    if (cmdId == null) {
                                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                        awareConfigItemList2 = awareConfigItemList;
                                        stringBuilder2.append("get level failed:");
                                        stringBuilder2.append(subItem.getValue());
                                        android.rms.iaware.AwareLog.w("GameLevelMapConfig", stringBuilder2.toString());
                                        awareConfigItemList = awareConfigItemList2;
                                    } else {
                                        awareConfigItemList2 = awareConfigItemList;
                                        levelMap.put(java.lang.Integer.valueOf(level), cmdId);
                                    }
                                    gameLevelMapConfig = this;
                                }
                            }
                        }
                        awareConfigItemList2 = awareConfigItemList;
                        if ("game_scene_level_map".equals(str)) {
                            com.android.server.rms.iaware.cpu.IAwareMode.getInstance().initLevelMap(0, levelType, levelMap);
                        } else if ("game_enter_level_map".equals(str)) {
                            com.android.server.rms.iaware.cpu.IAwareMode.getInstance().initLevelMap(1, levelType, levelMap);
                        }
                        i++;
                        awareConfigItemList = awareConfigItemList2;
                        gameLevelMapConfig = this;
                    }
                }
            }
            awareConfigItemList2 = awareConfigItemList;
            i++;
            awareConfigItemList = awareConfigItemList2;
            gameLevelMapConfig = this;
        }
    }

    private com.android.server.rms.iaware.cpu.IAwareMode.LevelCmdId parseLevel(java.lang.String levelStr) {
        if (levelStr == null) {
            return null;
        }
        java.lang.String[] strParts = levelStr.split(",");
        if (strParts.length != 2) {
            return null;
        }
        com.android.server.rms.iaware.cpu.IAwareMode.LevelCmdId cmdid = new com.android.server.rms.iaware.cpu.IAwareMode.LevelCmdId();
        int longtermCmdId = parseInt(strParts[0]);
        int i = -1;
        cmdid.mLongTermCmdId = longtermCmdId < -1 ? -1 : longtermCmdId;
        int boostCmdId = parseInt(strParts[1]);
        if (boostCmdId >= -1) {
            i = boostCmdId;
        }
        cmdid.mBoostCmdId = i;
        return cmdid;
    }

    private int parseInt(java.lang.String intStr) {
        try {
            return java.lang.Integer.parseInt(intStr);
        } catch (java.lang.NumberFormatException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("parse level failed:");
            stringBuilder.append(intStr);
            android.rms.iaware.AwareLog.e("GameLevelMapConfig", stringBuilder.toString());
            return -1;
        }
    }
}
