package com.android.server.rms.iaware.cpu;

public class NetManager {
    private static final int BASE_VISIBLE_EVENT_ID = 0;
    public static final int DELAY_TIME = 1000;
    public static final int INVALID_MODE = -1;
    public static final int INVALID_PID = -1;
    private static final int INVALID_UID = -1;
    public static final int INVALID_WINDOWTYPE = -1;
    private static final java.lang.String MODE_STR = "mode";
    public static final int MSG_APP_AUDIO = 4;
    public static final int MSG_APP_BACKGROUND = 1;
    public static final int MSG_APP_DIED = 2;
    public static final int MSG_APP_DOWNLOAD = 3;
    public static final int MSG_APP_FOREGROUND = 0;
    private static final int MSG_APP_TOAST = 11;
    private static final int MSG_APP_VISIBLE = 5;
    private static final int MSG_NET_BASE = 0;
    public static final int MSG_NET_GAME_ENABLE = 12;
    private static final java.lang.String PATH_UID_INFO = "/acct/uid_";
    private static final java.lang.String PID_STR = "pid";
    private static final java.lang.String TAG = "NetManager";
    public static final int TOAST_WINDOW_ADD = 5;
    public static final int TOAST_WINDOW_CLR = 3;
    public static final int TOAST_WINDOW_DEL = 4;
    private static final int TOAST_WIN_TYPE = 2;
    private static final java.lang.String TYPE_STR = "type";
    public static final int VISIBLE_WINDOW_CLR = 0;
    public static final int VISIBLE_WINDOW_DEL = 1;
    public static final int VISIBLE_WINDOW_UPDATE = 2;
    private static final int VISIBLE_WIN_TYPE = 1;
    private static com.android.server.rms.iaware.cpu.NetManager sInstance;
    private static final java.lang.Object sLock = new java.lang.Object();
    private android.util.ArraySet<java.lang.Integer> mAudioUidSet = new android.util.ArraySet();
    private com.android.server.rms.iaware.cpu.NetManager.AwareToastCallback mAwareToastCallback;
    private com.android.server.rms.iaware.cpu.NetManager.AwareVisibleCallback mAwareVisibleCallback;
    private android.util.SparseArray<java.util.List<java.lang.Integer>> mBgUidPidArray = new android.util.SparseArray();
    private android.util.ArraySet<java.lang.Integer> mBgUidSet = new android.util.ArraySet();
    private com.android.server.rms.iaware.cpu.CPUFeature mCPUFeatureInstance = null;
    private android.util.ArraySet<java.lang.Integer> mDownloadUidSet = new android.util.ArraySet();
    private boolean mEnable = false;
    private android.util.SparseArray<java.util.List<java.lang.Integer>> mFgUidPidArray = new android.util.SparseArray();
    private android.util.ArraySet<java.lang.Integer> mFgUidSet = new android.util.ArraySet();
    private android.net.wifi.HwInnerWifiManagerImpl mHwInnerWifiManagerImpl;
    private com.android.server.rms.iaware.cpu.NetManager.NetManagerHandler mNetManagerHandler = new com.android.server.rms.iaware.cpu.NetManager.NetManagerHandler();
    private boolean mUidCanset = false;
    private android.util.SparseIntArray mVisiblePidArray = new android.util.SparseIntArray();

    public class NetManagerHandler extends android.os.Handler {
        public void handleMessage(android.os.Message msg) {
            super.handleMessage(msg);
            int i = msg.what;
            switch (i) {
                case 0:
                    com.android.server.rms.iaware.cpu.NetManager.this.onProcessAppForeground(msg.arg1, msg.arg2, true);
                    return;
                case 1:
                    com.android.server.rms.iaware.cpu.NetManager.this.onProcessAppForeground(msg.arg1, msg.arg2, false);
                    return;
                case 2:
                    com.android.server.rms.iaware.cpu.NetManager.this.onProcessDied(msg.arg1, msg.arg2);
                    return;
                case 3:
                    com.android.server.rms.iaware.cpu.NetManager.this.appendDownloadAppUid(msg.arg1, msg.arg2);
                    return;
                case 4:
                    com.android.server.rms.iaware.cpu.NetManager.this.appendAudioAppUid(msg.arg1, msg.arg2);
                    return;
                case 5:
                    android.os.Bundle visData = msg.getData();
                    com.android.server.rms.iaware.cpu.NetManager.this.appendVisiblePid(visData.getInt("type"), visData.getInt("pid"), visData.getInt("mode"), 1);
                    return;
                default:
                    switch (i) {
                        case 11:
                            com.android.server.rms.iaware.cpu.NetManager.this.appendVisiblePid(msg.arg1, msg.arg2, -1, 2);
                            return;
                        case 12:
                            if (1 == msg.arg1) {
                                com.android.server.rms.iaware.cpu.NetManager.this.start();
                                return;
                            } else {
                                com.android.server.rms.iaware.cpu.NetManager.this.stop();
                                return;
                            }
                        default:
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("error msg what = ");
                            stringBuilder.append(msg.what);
                            android.rms.iaware.AwareLog.e("NetManager", stringBuilder.toString());
                            return;
                    }
            }
        }
    }

    private class AwareToastCallback implements com.android.server.rms.iaware.appmng.AwareIntelligentRecg.IAwareToastCallback {
        private AwareToastCallback() {
        }

        public void onToastWindowsChanged(int type, int pid) {
            if (com.android.server.rms.iaware.cpu.NetManager.this.mEnable) {
                android.os.Message msg = com.android.server.rms.iaware.cpu.NetManager.this.mNetManagerHandler.obtainMessage();
                msg.what = 11;
                msg.arg1 = type;
                msg.arg2 = pid;
                com.android.server.rms.iaware.cpu.NetManager.this.mNetManagerHandler.sendMessage(msg);
            }
        }
    }

    private class AwareVisibleCallback implements com.android.server.rms.iaware.appmng.AwareAppAssociate.IAwareVisibleCallback {
        private AwareVisibleCallback() {
        }

        public void onVisibleWindowsChanged(int type, int pid, int mode) {
            if (com.android.server.rms.iaware.cpu.NetManager.this.mEnable) {
                android.os.Message msg = com.android.server.rms.iaware.cpu.NetManager.this.mNetManagerHandler.obtainMessage();
                msg.what = 5;
                android.os.Bundle data = new android.os.Bundle();
                data.putInt("type", type);
                data.putInt("pid", pid);
                data.putInt("mode", mode);
                msg.setData(data);
                com.android.server.rms.iaware.cpu.NetManager.this.mNetManagerHandler.sendMessage(msg);
            }
        }
    }

    private NetManager() {
    }

    public static com.android.server.rms.iaware.cpu.NetManager getInstance() {
        com.android.server.rms.iaware.cpu.NetManager netManager;
        synchronized (sLock) {
            if (sInstance == null) {
                sInstance = new com.android.server.rms.iaware.cpu.NetManager();
            }
            netManager = sInstance;
        }
        return netManager;
    }

    public void enable(com.android.server.rms.iaware.cpu.CPUFeature feature) {
        this.mEnable = true;
        this.mCPUFeatureInstance = feature;
        registerVisibleCallback();
        registerToastCallback();
    }

    public void disable() {
        unregisterVisibleCallback();
        unregisterToastCallback();
        this.mEnable = false;
        removeAllMsg();
        this.mBgUidSet.clear();
        this.mBgUidPidArray.clear();
        this.mFgUidSet.clear();
        this.mFgUidPidArray.clear();
        this.mDownloadUidSet.clear();
        this.mVisiblePidArray.clear();
        this.mAudioUidSet.clear();
    }

    private void start() {
        this.mUidCanset = true;
        android.rms.iaware.AwareLog.d("NetManager", "NetManager start!");
        sendUids(this.mFgUidSet, 141);
        sendUids(this.mBgUidSet, 142);
    }

    private void stop() {
        android.rms.iaware.AwareLog.d("NetManager", "NetManager stop!");
        android.util.ArraySet<java.lang.Integer> resetUids = new android.util.ArraySet();
        resetUids.add(java.lang.Integer.valueOf(-1));
        sendUids(resetUids, 141);
        sendUids(resetUids, 142);
        this.mUidCanset = false;
    }

    private void registerVisibleCallback() {
        if (this.mAwareVisibleCallback == null) {
            this.mAwareVisibleCallback = new com.android.server.rms.iaware.cpu.NetManager.AwareVisibleCallback();
        }
        com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().registerVisibleCallback(this.mAwareVisibleCallback);
    }

    private void unregisterVisibleCallback() {
        if (this.mAwareVisibleCallback != null) {
            com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().unregisterVisibleCallback(this.mAwareVisibleCallback);
            this.mAwareVisibleCallback = null;
        }
    }

    private void registerToastCallback() {
        if (this.mAwareToastCallback == null) {
            this.mAwareToastCallback = new com.android.server.rms.iaware.cpu.NetManager.AwareToastCallback();
        }
        com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().registerToastCallback(this.mAwareToastCallback);
    }

    private void unregisterToastCallback() {
        if (this.mAwareToastCallback != null) {
            com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().unregisterToastCallback(this.mAwareToastCallback);
            this.mAwareToastCallback = null;
        }
    }

    private boolean isAppUid(int userUid) {
        if (android.os.UserHandle.getAppId(userUid) >= 10000) {
            return true;
        }
        return false;
    }

    private boolean addFgPidUidMap(int pid, int uid) {
        java.util.List<java.lang.Integer> listPid = (java.util.List) this.mFgUidPidArray.get(uid);
        if (listPid == null) {
            java.util.List<java.lang.Integer> pidList = new java.util.ArrayList();
            pidList.add(java.lang.Integer.valueOf(pid));
            this.mFgUidPidArray.put(uid, pidList);
            this.mFgUidSet.add(java.lang.Integer.valueOf(uid));
            return true;
        }
        if (!this.mFgUidSet.contains(java.lang.Integer.valueOf(uid))) {
            android.rms.iaware.AwareLog.e("NetManager", "addFgPidUidMap and uidset dont have same uid key");
        }
        if (listPid.contains(java.lang.Integer.valueOf(pid))) {
            return false;
        }
        listPid.add(java.lang.Integer.valueOf(pid));
        this.mFgUidPidArray.put(uid, listPid);
        return false;
    }

    private boolean addBgPidUidMap(int pid, int uid) {
        java.util.List<java.lang.Integer> listPid = (java.util.List) this.mBgUidPidArray.get(uid);
        if (listPid == null) {
            java.util.List<java.lang.Integer> pidList = new java.util.ArrayList();
            pidList.add(java.lang.Integer.valueOf(pid));
            this.mBgUidPidArray.put(uid, pidList);
            return true;
        } else if (listPid.contains(java.lang.Integer.valueOf(pid))) {
            return false;
        } else {
            listPid.add(java.lang.Integer.valueOf(pid));
            this.mBgUidPidArray.put(uid, listPid);
            return false;
        }
    }

    private boolean removeFgPidUidMap(int pid, int uid) {
        boolean resultUidSet = false;
        java.util.List<java.lang.Integer> listPid = (java.util.List) this.mFgUidPidArray.get(uid);
        if ((pid == 0 || pid == -1) && listPid != null) {
            this.mFgUidPidArray.remove(uid);
            this.mFgUidSet.remove(java.lang.Integer.valueOf(uid));
            resultUidSet = true;
        }
        if (listPid == null) {
            return resultUidSet;
        }
        if (listPid.contains(java.lang.Integer.valueOf(pid))) {
            listPid.remove(java.lang.Integer.valueOf(pid));
        }
        if (listPid.size() != 0) {
            return resultUidSet;
        }
        if (!this.mFgUidSet.contains(java.lang.Integer.valueOf(uid))) {
            android.rms.iaware.AwareLog.e("NetManager", "removeFgPidUidMap and uidset dont have same uid key");
        }
        this.mFgUidSet.remove(java.lang.Integer.valueOf(uid));
        this.mFgUidPidArray.remove(uid);
        return true;
    }

    private boolean removeBgPidUidMap(int pid, int uid) {
        boolean resultUidSet = false;
        java.util.List<java.lang.Integer> listPid = (java.util.List) this.mBgUidPidArray.get(uid);
        if ((pid == 0 || pid == -1) && listPid != null) {
            this.mBgUidPidArray.remove(uid);
            resultUidSet = true;
        }
        if (listPid == null) {
            return resultUidSet;
        }
        if (listPid.contains(java.lang.Integer.valueOf(pid))) {
            listPid.remove(java.lang.Integer.valueOf(pid));
        }
        if (listPid.size() != 0) {
            return resultUidSet;
        }
        this.mBgUidPidArray.remove(uid);
        return true;
    }

    private void onProcessAppForeground(int pid, int uid, boolean isFg) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("ProcessAppForeground uid:");
        stringBuilder.append(uid);
        stringBuilder.append(", isFg:");
        stringBuilder.append(isFg);
        android.rms.iaware.AwareLog.d("NetManager", stringBuilder.toString());
        if (isAppUid(uid)) {
            if (isFg) {
                removeBgUid(uid);
                removeBgPidUidMap(pid, uid);
                if (addFgPidUidMap(pid, uid)) {
                    sendUids(this.mFgUidSet, 141);
                }
            } else {
                if (this.mHwInnerWifiManagerImpl == null) {
                    this.mHwInnerWifiManagerImpl = (android.net.wifi.HwInnerWifiManagerImpl) android.net.wifi.HwInnerWifiManagerImpl.getDefault();
                }
                if (this.mHwInnerWifiManagerImpl.isBgLimitAllowed(uid)) {
                    if (removeFgPidUidMap(pid, uid)) {
                        sendUids(this.mFgUidSet, 141);
                    }
                    addBgUid(uid);
                    addBgPidUidMap(pid, uid);
                }
            }
        }
    }

    private void onProcessDied(int pid, int uid) {
        if (isAppUid(uid)) {
            if (removeFgPidUidMap(pid, uid)) {
                sendUids(this.mFgUidSet, 141);
            }
            removeBgPidUidMap(pid, uid);
            if (this.mBgUidPidArray.get(uid) == null && this.mBgUidSet.contains(java.lang.Integer.valueOf(uid))) {
                this.mBgUidSet.remove(java.lang.Integer.valueOf(uid));
                sendUids(this.mBgUidSet, 142);
            }
            if (deleteVisiblePid(pid, -1)) {
                onVisiblePidsDeleted();
            }
            android.util.ArraySet<java.lang.Integer> pidSet = new android.util.ArraySet();
            getPidsByUid(uid, pidSet);
            if (pidSet.isEmpty()) {
                this.mAudioUidSet.remove(java.lang.Integer.valueOf(uid));
                this.mDownloadUidSet.remove(java.lang.Integer.valueOf(uid));
            }
        }
    }

    private void appendDownloadAppUid(int uid, int eventType) {
        if (isAppUid(uid)) {
            java.lang.StringBuilder stringBuilder;
            if (eventType == 1) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("uid:");
                stringBuilder.append(uid);
                stringBuilder.append(" enters download");
                android.rms.iaware.AwareLog.d("NetManager", stringBuilder.toString());
                this.mDownloadUidSet.add(java.lang.Integer.valueOf(uid));
                addBgUid(uid);
            } else if (eventType == 2) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("uid:");
                stringBuilder.append(uid);
                stringBuilder.append(" exits download");
                android.rms.iaware.AwareLog.d("NetManager", stringBuilder.toString());
                this.mDownloadUidSet.remove(java.lang.Integer.valueOf(uid));
                removeBgUid(uid);
            }
        }
    }

    private void appendAudioAppUid(int uid, int eventType) {
        if (isAppUid(uid)) {
            java.lang.StringBuilder stringBuilder;
            if (eventType == 1) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("uid:");
                stringBuilder.append(uid);
                stringBuilder.append(" enters audio out");
                android.rms.iaware.AwareLog.d("NetManager", stringBuilder.toString());
                this.mAudioUidSet.add(java.lang.Integer.valueOf(uid));
                removeBgUid(uid);
            } else if (eventType == 2 && this.mAudioUidSet.contains(java.lang.Integer.valueOf(uid))) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("uid:");
                stringBuilder.append(uid);
                stringBuilder.append(" exits audio out");
                android.rms.iaware.AwareLog.d("NetManager", stringBuilder.toString());
                this.mAudioUidSet.remove(java.lang.Integer.valueOf(uid));
                addBgUid(uid);
            }
        }
    }

    private void appendVisiblePid(int msg, int pid, int mode, int winType) {
        java.lang.StringBuilder stringBuilder;
        if (!(msg == 0 || msg == 1 || msg == 3)) {
            if (msg != 4) {
                if ((msg == 2 || msg == 5) && addVisiblePid(pid, mode, winType)) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("appendVisiblePid add pid:");
                    stringBuilder.append(pid);
                    stringBuilder.append(" to visible window");
                    android.rms.iaware.AwareLog.d("NetManager", stringBuilder.toString());
                    onVisiblePidsAdded();
                    return;
                }
            }
        }
        if (deleteVisiblePid(pid, winType)) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("appendVisiblePid delete pid:");
            stringBuilder.append(pid);
            stringBuilder.append(" from visible window");
            android.rms.iaware.AwareLog.d("NetManager", stringBuilder.toString());
            onVisiblePidsDeleted();
        }
    }

    private boolean addVisiblePid(int pid, int mode, int winType) {
        int value = this.mVisiblePidArray.get(pid, -1);
        if (value != -1) {
            if (value != 1 || isVisibleAllowed(mode)) {
                value = addType(value, winType);
            } else {
                value = clearType(value, winType);
            }
            if (value == 0) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("appendVisiblePid delete pid:");
                stringBuilder.append(pid);
                stringBuilder.append(" from visible window");
                android.rms.iaware.AwareLog.d("NetManager", stringBuilder.toString());
                this.mVisiblePidArray.delete(pid);
                onVisiblePidsDeleted();
                return false;
            }
            this.mVisiblePidArray.put(pid, value);
            return false;
        } else if (winType != 1) {
            this.mVisiblePidArray.put(pid, winType);
            return true;
        } else if (!isVisibleAllowed(mode)) {
            return false;
        } else {
            this.mVisiblePidArray.put(pid, winType);
            return true;
        }
    }

    private boolean isVisibleAllowed(int mode) {
        if (mode != 0) {
            if (mode != 3) {
                return false;
            }
        }
        return true;
    }

    private int clearType(int value, int winType) {
        return (~winType) & value;
    }

    private int addType(int value, int winType) {
        return value | winType;
    }

    private boolean deleteVisiblePid(int pid, int winType) {
        boolean isDeleted = false;
        if (winType == -1 && this.mVisiblePidArray.get(pid, -1) != -1) {
            this.mVisiblePidArray.delete(pid);
            isDeleted = true;
        }
        android.util.SparseIntArray tempArray = new android.util.SparseIntArray();
        int size = this.mVisiblePidArray.size();
        for (int i = 0; i < size; i++) {
            int visPid = this.mVisiblePidArray.keyAt(i);
            int value = this.mVisiblePidArray.valueAt(i);
            if (pid != -1) {
                if (pid != visPid) {
                    tempArray.put(this.mVisiblePidArray.keyAt(i), value);
                }
            }
            value = clearType(value, winType);
            if (value == 0) {
                isDeleted = true;
            } else {
                tempArray.put(this.mVisiblePidArray.keyAt(i), value);
            }
        }
        this.mVisiblePidArray = tempArray;
        return isDeleted;
    }

    private void onVisiblePidsDeleted() {
        int dlNum = this.mDownloadUidSet.size();
        for (int i = 0; i < dlNum; i++) {
            addBgUid(((java.lang.Integer) this.mDownloadUidSet.valueAt(i)).intValue());
        }
    }

    private void onVisiblePidsAdded() {
        int bgNum = this.mBgUidSet.size();
        for (int i = 0; i < bgNum; i++) {
            int uid = ((java.lang.Integer) this.mBgUidSet.valueAt(i)).intValue();
            if (isVisible(uid)) {
                removeBgUid(uid);
                return;
            }
        }
    }

    private void addBgUid(int uid) {
        if (!this.mBgUidSet.contains(java.lang.Integer.valueOf(uid)) && !this.mFgUidSet.contains(java.lang.Integer.valueOf(uid)) && !this.mAudioUidSet.contains(java.lang.Integer.valueOf(uid)) && this.mDownloadUidSet.contains(java.lang.Integer.valueOf(uid)) && !isVisible(uid)) {
            this.mBgUidSet.add(java.lang.Integer.valueOf(uid));
            sendUids(this.mBgUidSet, 142);
        }
    }

    private void removeBgUid(int uid) {
        if (this.mBgUidSet.contains(java.lang.Integer.valueOf(uid))) {
            this.mBgUidSet.remove(java.lang.Integer.valueOf(uid));
            sendUids(this.mBgUidSet, 142);
        }
    }

    private boolean isVisible(int uid) {
        android.util.ArraySet<java.lang.Integer> pidSet = new android.util.ArraySet();
        getPidsByUid(uid, pidSet);
        if (pidSet.size() < 1) {
            android.rms.iaware.AwareLog.e("NetManager", "getPidsByUid is null!");
            return true;
        }
        int size = this.mVisiblePidArray.size();
        for (int i = 0; i < size; i++) {
            if (pidSet.contains(java.lang.Integer.valueOf(this.mVisiblePidArray.keyAt(i)))) {
                return true;
            }
        }
        return false;
    }

    private void getPidsByUid(int uid, java.util.Set<java.lang.Integer> pidSet) {
        java.lang.StringBuilder str = new java.lang.StringBuilder();
        str.append("/acct/uid_");
        str.append(uid);
        java.io.File[] files = new java.io.File(str.toString()).listFiles();
        if (files == null) {
            android.rms.iaware.AwareLog.e("NetManager", "files null ");
            return;
        }
        for (java.io.File dir : files) {
            if (dir.isDirectory() && -1 != dir.getName().indexOf("pid_")) {
                java.lang.String[] a = dir.getName().split("_");
                if (a.length > 1) {
                    try {
                        pidSet.add(java.lang.Integer.valueOf(java.lang.Integer.parseInt(a[1])));
                    } catch (java.lang.NumberFormatException e) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("NumberFormatException ");
                        stringBuilder.append(e.getMessage());
                        android.rms.iaware.AwareLog.e("NetManager", stringBuilder.toString());
                    }
                }
            }
        }
    }

    private void sendUids(android.util.ArraySet<java.lang.Integer> uids, int msg) {
        if (this.mUidCanset) {
            java.nio.ByteBuffer buffer;
            int size = uids.size();
            if (size == 0) {
                buffer = java.nio.ByteBuffer.allocate(12);
                buffer.putInt(msg);
                buffer.putInt(1);
                buffer.putInt(-1);
            } else {
                buffer = java.nio.ByteBuffer.allocate((size + 2) * 4);
                buffer.putInt(msg);
                buffer.putInt(size);
                for (int i = 0; i < size; i++) {
                    buffer.putInt(((java.lang.Integer) uids.valueAt(i)).intValue());
                }
            }
            if (this.mCPUFeatureInstance != null) {
                this.mCPUFeatureInstance.sendPacket(buffer);
            }
        }
    }

    void sendMsgToNetMng(int arg1, int arg2, int msgCode) {
        if (this.mEnable) {
            android.os.Message msg = this.mNetManagerHandler.obtainMessage();
            msg.what = msgCode;
            msg.arg1 = arg1;
            msg.arg2 = arg2;
            this.mNetManagerHandler.sendMessage(msg);
        }
    }

    void sendMsgToNetMng(int arg1, int arg2, int msgCode, int delay) {
        if (this.mEnable) {
            android.os.Message msg = this.mNetManagerHandler.obtainMessage();
            msg.what = msgCode;
            msg.arg1 = arg1;
            msg.arg2 = arg2;
            this.mNetManagerHandler.sendMessageDelayed(msg, (long) delay);
        }
    }

    private void removeAllMsg() {
        this.mNetManagerHandler.removeMessages(4);
        this.mNetManagerHandler.removeMessages(1);
        this.mNetManagerHandler.removeMessages(2);
        this.mNetManagerHandler.removeMessages(3);
        this.mNetManagerHandler.removeMessages(0);
        this.mNetManagerHandler.removeMessages(5);
        this.mNetManagerHandler.removeMessages(11);
    }
}
