package com.android.server.rms.iaware.cpu;

/* compiled from: CPUXmlConfiguration */
class OnDemandBoostConfig extends com.android.server.rms.iaware.cpu.CPUCustBaseConfig {
    private static final java.lang.String ON_DEMAND_BOOST_CONFIG_NAME = "on_demand_boost";
    private static final java.lang.String TAG = "OnDemandBoostConfig";
    private java.util.Map<java.lang.String, java.lang.Integer> mOnDemandParaMap = new android.util.ArrayMap();

    OnDemandBoostConfig() {
    }

    public void setConfig(com.android.server.rms.iaware.cpu.CPUFeature feature) {
        loadConfig("on_demand_boost");
    }

    private void loadConfig(java.lang.String configName) {
        java.util.List<android.rms.iaware.AwareConfig.Item> awareConfigItemList = getItemList(configName);
        if (awareConfigItemList == null) {
            android.rms.iaware.AwareLog.w("OnDemandBoostConfig", "loadConfig config prop is null!");
            return;
        }
        for (android.rms.iaware.AwareConfig.Item item : awareConfigItemList) {
            java.util.List<android.rms.iaware.AwareConfig.SubItem> subItemList = getSubItem(item);
            if (subItemList != null) {
                for (android.rms.iaware.AwareConfig.SubItem subItem : subItemList) {
                    java.lang.String itemName = subItem.getName();
                    java.lang.String tempItemValue = subItem.getValue();
                    if (itemName != null) {
                        if (tempItemValue != null) {
                            try {
                                this.mOnDemandParaMap.put(itemName, java.lang.Integer.valueOf(java.lang.Integer.parseInt(tempItemValue)));
                            } catch (java.lang.NumberFormatException e) {
                                android.rms.iaware.AwareLog.e("OnDemandBoostConfig", "itemValue string to int error!");
                            }
                        }
                    }
                }
            }
        }
        com.android.server.rms.iaware.cpu.OnDemandBoost.getInstance().setParams(this.mOnDemandParaMap);
    }
}
