package com.android.server.rms.iaware.cpu;

public class SchedLevelBoost {
    private static final java.lang.String TAG = "SchedLevelBoost";
    private static com.android.server.rms.iaware.cpu.SchedLevelBoost sInstance;
    private static java.lang.Object sObject = new java.lang.Object();
    private int mEasCmdId;
    private android.util.SparseArray<com.android.server.rms.iaware.cpu.SchedLevelBoost.AppInfo> mFgAppMap = new android.util.SparseArray();
    private int mFreqCmdId;
    public java.util.concurrent.atomic.AtomicBoolean mIsLcpuLimited = new java.util.concurrent.atomic.AtomicBoolean(false);
    private java.util.concurrent.atomic.AtomicBoolean mIsScreenOn = new java.util.concurrent.atomic.AtomicBoolean(true);
    private java.util.Set<java.lang.String> mWhiteList = new android.util.ArraySet();

    static class AppInfo {
        boolean isWhiteList;
        int pid;
        int uid;

        public AppInfo(int pid, int uid, boolean isWhiteList) {
            this.pid = pid;
            this.uid = uid;
            this.isWhiteList = isWhiteList;
        }
    }

    private SchedLevelBoost() {
    }

    public static com.android.server.rms.iaware.cpu.SchedLevelBoost getInstance() {
        com.android.server.rms.iaware.cpu.SchedLevelBoost schedLevelBoost;
        synchronized (sObject) {
            if (sInstance == null) {
                sInstance = new com.android.server.rms.iaware.cpu.SchedLevelBoost();
            }
            schedLevelBoost = sInstance;
        }
        return schedLevelBoost;
    }

    public void setParams(java.lang.String strEasCmdId, java.lang.String strFreqCmdId) {
        this.mEasCmdId = parseInt(strEasCmdId);
        this.mFreqCmdId = parseInt(strFreqCmdId);
    }

    private int parseInt(java.lang.String strValue) {
        int value = -1;
        if (strValue == null) {
            android.rms.iaware.AwareLog.e("SchedLevelBoost", "parseInt strValue is null!");
            return -1;
        }
        try {
            value = java.lang.Integer.parseInt(strValue);
        } catch (java.lang.NumberFormatException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("parseInt catch NumberFormatException, strVlue = ");
            stringBuilder.append(strValue);
            android.rms.iaware.AwareLog.e("SchedLevelBoost", stringBuilder.toString());
        }
        return value;
    }

    public void addItem(java.lang.String pkgName) {
        if (pkgName == null) {
            android.rms.iaware.AwareLog.w("SchedLevelBoost", "addItem pkgName is null!");
        } else {
            this.mWhiteList.add(pkgName);
        }
    }

    private boolean isWhiteList(java.lang.String pkgName) {
        if (pkgName != null) {
            return this.mWhiteList.contains(pkgName);
        }
        android.rms.iaware.AwareLog.w("SchedLevelBoost", "isWhiteList pkgName is null!");
        return false;
    }

    private boolean empty() {
        return this.mWhiteList.isEmpty();
    }

    public void onFgActivitiesChanged(int pid, int uid, boolean fg) {
        if (empty()) {
            android.rms.iaware.AwareLog.w("SchedLevelBoost", "onFgActivitiesChanged config not set!");
            return;
        }
        if (fg) {
            addFgProc(pid, uid);
        } else {
            removeFgProc(pid, uid);
        }
    }

    public void onProcessDied(int pid, int uid) {
        if (empty()) {
            android.rms.iaware.AwareLog.w("SchedLevelBoost", "onProcessDied config not set!");
        } else {
            removeFgProc(pid, uid);
        }
    }

    private void addFgProc(int pid, int uid) {
        synchronized (this.mFgAppMap) {
            boolean isWhiteList = isWhiteList(com.android.server.mtm.utils.InnerUtils.getAwarePkgName(pid));
            if (isWhiteList && this.mIsScreenOn.get()) {
                enterSchedLevelBoost();
            }
            this.mFgAppMap.put(pid, new com.android.server.rms.iaware.cpu.SchedLevelBoost.AppInfo(pid, uid, isWhiteList));
        }
    }

    /* JADX WARNING: Missing block: B:18:0x0031, code:
            return;
     */
    /* JADX WARNING: Missing block: B:20:0x0033, code:
            return;
     */
    private void removeFgProc(int r4, int r5) {
        /*
        r3 = this;
        r0 = r3.mFgAppMap;
        monitor-enter(r0);
        r1 = r3.mFgAppMap;	 Catch:{ all -> 0x0034 }
        r1 = r1.get(r4);	 Catch:{ all -> 0x0034 }
        r1 = (com.android.server.rms.iaware.cpu.SchedLevelBoost.AppInfo) r1;	 Catch:{ all -> 0x0034 }
        if (r1 == 0) goto L_0x0032;
    L_0x000d:
        r2 = r1.pid;	 Catch:{ all -> 0x0034 }
        if (r4 != r2) goto L_0x0032;
    L_0x0011:
        r2 = r1.uid;	 Catch:{ all -> 0x0034 }
        if (r5 == r2) goto L_0x0016;
    L_0x0015:
        goto L_0x0032;
    L_0x0016:
        r2 = r3.mFgAppMap;	 Catch:{ all -> 0x0034 }
        r2.remove(r4);	 Catch:{ all -> 0x0034 }
        r2 = r1.isWhiteList;	 Catch:{ all -> 0x0034 }
        if (r2 == 0) goto L_0x0030;
    L_0x001f:
        r2 = r3.mIsScreenOn;	 Catch:{ all -> 0x0034 }
        r2 = r2.get();	 Catch:{ all -> 0x0034 }
        if (r2 == 0) goto L_0x0030;
    L_0x0027:
        r2 = r3.isLastWhiteList();	 Catch:{ all -> 0x0034 }
        if (r2 != 0) goto L_0x0030;
    L_0x002d:
        r3.exitSchedLevelBoost();	 Catch:{ all -> 0x0034 }
    L_0x0030:
        monitor-exit(r0);	 Catch:{ all -> 0x0034 }
        return;
    L_0x0032:
        monitor-exit(r0);	 Catch:{ all -> 0x0034 }
        return;
    L_0x0034:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x0034 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.cpu.SchedLevelBoost.removeFgProc(int, int):void");
    }

    /* JADX WARNING: Missing block: B:14:0x0027, code:
            return;
     */
    public void onScreenStateChanged(boolean r4) {
        /*
        r3 = this;
        r0 = r3.mFgAppMap;
        monitor-enter(r0);
        r1 = r3.mIsScreenOn;	 Catch:{ all -> 0x0028 }
        r1.set(r4);	 Catch:{ all -> 0x0028 }
        r1 = r3.empty();	 Catch:{ all -> 0x0028 }
        if (r1 == 0) goto L_0x0017;
    L_0x000e:
        r1 = "SchedLevelBoost";
        r2 = "onScreenStateChanged config not set!";
        android.rms.iaware.AwareLog.w(r1, r2);	 Catch:{ all -> 0x0028 }
        monitor-exit(r0);	 Catch:{ all -> 0x0028 }
        return;
    L_0x0017:
        r1 = r3.isLastWhiteList();	 Catch:{ all -> 0x0028 }
        if (r1 == 0) goto L_0x0026;
    L_0x001d:
        if (r4 == 0) goto L_0x0023;
    L_0x001f:
        r3.enterSchedLevelBoost();	 Catch:{ all -> 0x0028 }
        goto L_0x0026;
    L_0x0023:
        r3.exitSchedLevelBoost();	 Catch:{ all -> 0x0028 }
    L_0x0026:
        monitor-exit(r0);	 Catch:{ all -> 0x0028 }
        return;
    L_0x0028:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x0028 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.cpu.SchedLevelBoost.onScreenStateChanged(boolean):void");
    }

    private boolean isLastWhiteList() {
        synchronized (this.mFgAppMap) {
            int size = this.mFgAppMap.size();
            for (int i = 0; i < size; i++) {
                com.android.server.rms.iaware.cpu.SchedLevelBoost.AppInfo info = (com.android.server.rms.iaware.cpu.SchedLevelBoost.AppInfo) this.mFgAppMap.valueAt(i);
                if (info != null) {
                    if (info.isWhiteList) {
                        return true;
                    }
                }
            }
            return false;
        }
    }

    public void enterSchedLevelBoost() {
        android.rms.iaware.AwareLog.d("SchedLevelBoost", "enterSchedLevelBoost!");
        this.mIsLcpuLimited.set(true);
        doSchedLevelBoost(true);
    }

    private void exitSchedLevelBoost() {
        android.rms.iaware.AwareLog.d("SchedLevelBoost", "exitSchedLevelBoost!");
        this.mIsLcpuLimited.set(false);
        doSchedLevelBoost(false);
    }

    private void doSchedLevelBoost(boolean enter) {
        android.iawareperf.UniPerf instance;
        int i;
        java.lang.String str;
        int i2 = -1;
        if (this.mFreqCmdId > 0) {
            instance = android.iawareperf.UniPerf.getInstance();
            i = this.mFreqCmdId;
            str = "";
            int[] iArr = new int[1];
            iArr[0] = enter ? 0 : -1;
            instance.uniPerfEvent(i, str, iArr);
        }
        if (this.mEasCmdId > 0) {
            instance = android.iawareperf.UniPerf.getInstance();
            i = this.mEasCmdId;
            str = "";
            int[] iArr2 = new int[1];
            if (enter) {
                i2 = 0;
            }
            iArr2[0] = i2;
            instance.uniPerfEvent(i, str, iArr2);
        }
    }
}
