package com.android.server.rms.iaware.cpu;

/* compiled from: CPUXmlConfiguration */
class SchedLevelBoostConfig extends com.android.server.rms.iaware.cpu.CPUCustBaseConfig {
    private static final java.lang.String CONFIG_NAME = "sched_level_boost";
    private static final java.lang.String ITEM_PARAM_CHANGE_PROP = "sched_level_change";
    private static final java.lang.String ITEM_PROP_NAME = "type";
    private static final java.lang.String ITEM_WHITELIST_PROP = "WhiteList";
    private static final java.lang.String SUBITEM_PARAM_EAS_CMDID_TAG = "eas_cmdid";
    private static final java.lang.String SUBITEM_PARAM_FREQ_CMDID_TAG = "freq_cmdid";
    private static final java.lang.String SUBITEM_WHITE_TAG = "pkg";
    private static final java.lang.String TAG = "SchedLevelBoostConfig";

    SchedLevelBoostConfig() {
    }

    public void setConfig(com.android.server.rms.iaware.cpu.CPUFeature feature) {
        loadConfig();
    }

    private void loadConfig() {
        android.rms.iaware.AwareLog.i("SchedLevelBoostConfig", "loadConfig begin");
        java.util.List<android.rms.iaware.AwareConfig.Item> awareConfigItemList = getItemList("sched_level_boost");
        if (awareConfigItemList == null) {
            android.rms.iaware.AwareLog.w("SchedLevelBoostConfig", "loadConfig config prop is null!");
            return;
        }
        int size = awareConfigItemList.size();
        for (int i = 0; i < size; i++) {
            android.rms.iaware.AwareConfig.Item item = (android.rms.iaware.AwareConfig.Item) awareConfigItemList.get(i);
            if (item == null) {
                android.rms.iaware.AwareLog.w("SchedLevelBoostConfig", "loadConfig item is null!");
            } else {
                java.util.Map<java.lang.String, java.lang.String> properties = item.getProperties();
                if (properties == null) {
                    android.rms.iaware.AwareLog.w("SchedLevelBoostConfig", "loadConfig properties is null!");
                } else {
                    java.lang.String itemProp = (java.lang.String) properties.get("type");
                    if (itemProp == null) {
                        android.rms.iaware.AwareLog.w("SchedLevelBoostConfig", "loadConfig itemprop is null!");
                    } else {
                        java.util.List<android.rms.iaware.AwareConfig.SubItem> subItemList = item.getSubItemList();
                        if (subItemList == null) {
                            android.rms.iaware.AwareLog.w("SchedLevelBoostConfig", "loadConfig subItemList is null!");
                        } else if ("WhiteList".equals(itemProp)) {
                            parseWhiteList(subItemList);
                        } else if ("sched_level_change".equals(itemProp)) {
                            parseParams(subItemList);
                        }
                    }
                }
            }
        }
    }

    private void parseWhiteList(java.util.List<android.rms.iaware.AwareConfig.SubItem> subItemList) {
        int subItemSize = subItemList.size();
        for (int i = 0; i < subItemSize; i++) {
            android.rms.iaware.AwareConfig.SubItem subItem = (android.rms.iaware.AwareConfig.SubItem) subItemList.get(i);
            if (subItem == null) {
                android.rms.iaware.AwareLog.w("SchedLevelBoostConfig", "parseWhiteList SubItem is null!");
            } else {
                if ("pkg".equals(subItem.getName())) {
                    com.android.server.rms.iaware.cpu.SchedLevelBoost.getInstance().addItem(subItem.getValue());
                }
            }
        }
    }

    private void parseParams(java.util.List<android.rms.iaware.AwareConfig.SubItem> subItemList) {
        int subItemSize = subItemList.size();
        java.lang.String strEasCmdId = null;
        java.lang.String strFreqCmdId = null;
        for (int i = 0; i < subItemSize; i++) {
            android.rms.iaware.AwareConfig.SubItem subItem = (android.rms.iaware.AwareConfig.SubItem) subItemList.get(i);
            if (subItem == null) {
                android.rms.iaware.AwareLog.w("SchedLevelBoostConfig", "parseParams SubItem is null!");
            } else {
                java.lang.String itemTag = subItem.getName();
                if ("eas_cmdid".equals(itemTag)) {
                    strEasCmdId = subItem.getValue();
                } else if ("freq_cmdid".equals(itemTag)) {
                    strFreqCmdId = subItem.getValue();
                }
            }
        }
        com.android.server.rms.iaware.cpu.SchedLevelBoost.getInstance().setParams(strEasCmdId, strFreqCmdId);
    }
}
