package com.android.server.rms.iaware.cpu;

/* compiled from: CPUXmlConfiguration */
class SpecialAppStartConfig extends com.android.server.rms.iaware.cpu.CPUCustBaseConfig {
    private static final java.lang.String CMDID = "cmdid";
    private static final java.lang.String PKG_NAME = "pkgName";
    private static final java.lang.String SPECIAL_APP_CONFIG_NAME = "special_app_start";
    private static final java.lang.String TAG = "SpecialAppStartConfig";

    SpecialAppStartConfig() {
    }

    public void setConfig(com.android.server.rms.iaware.cpu.CPUFeature feature) {
        loadConfig("special_app_start");
    }

    private void loadConfig(java.lang.String configName) {
        java.util.List<android.rms.iaware.AwareConfig.Item> awareConfigItemList = getItemList(configName);
        if (awareConfigItemList == null) {
            android.rms.iaware.AwareLog.w("SpecialAppStartConfig", "config property is null!");
            return;
        }
        int size = awareConfigItemList.size();
        for (int i = 0; i < size; i++) {
            android.rms.iaware.AwareConfig.Item item = (android.rms.iaware.AwareConfig.Item) awareConfigItemList.get(i);
            if (item == null) {
                android.rms.iaware.AwareLog.w("SpecialAppStartConfig", "can not find special app item!");
            } else {
                java.util.Map<java.lang.String, java.lang.String> itemProps = item.getProperties();
                if (itemProps == null) {
                    android.rms.iaware.AwareLog.w("SpecialAppStartConfig", "can not find pkgName property!");
                } else {
                    int cmdId = -1;
                    java.lang.String pkgName = (java.lang.String) itemProps.get("pkgName");
                    if (pkgName == null) {
                        android.rms.iaware.AwareLog.w("SpecialAppStartConfig", "pkgName is null!");
                    } else {
                        java.util.List<android.rms.iaware.AwareConfig.SubItem> subItemList = getSubItem(item);
                        if (subItemList == null) {
                            android.rms.iaware.AwareLog.w("SpecialAppStartConfig", "get subItem failed!");
                        } else {
                            for (android.rms.iaware.AwareConfig.SubItem subItem : subItemList) {
                                java.lang.String itemName = subItem.getName();
                                java.lang.String itemValue = subItem.getValue();
                                if (itemName != null) {
                                    if (itemValue != null) {
                                        if ("cmdid".equals(itemName)) {
                                            cmdId = parseInt(itemValue);
                                            break;
                                        }
                                    }
                                }
                            }
                            com.android.server.rms.iaware.cpu.CPUFeatureAMSCommunicator.getInstance().updateSpecilaAppMap(pkgName, cmdId);
                        }
                    }
                }
            }
        }
    }

    private int parseInt(java.lang.String intStr) {
        try {
            return java.lang.Integer.parseInt(intStr);
        } catch (java.lang.NumberFormatException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("parse cmdId failed:");
            stringBuilder.append(intStr);
            android.rms.iaware.AwareLog.e("SpecialAppStartConfig", stringBuilder.toString());
            return -1;
        }
    }
}
