package com.android.server.rms.iaware.cpu;

public class VipCgroupControl {
    private static final java.lang.String TAG = "VipCgroupControl";
    private static com.android.server.rms.iaware.cpu.VipCgroupControl sInstance;
    private com.android.server.rms.iaware.cpu.CPUFeature mCPUFeatureInstance;
    private boolean mEnable;

    private VipCgroupControl() {
    }

    public void enable(com.android.server.rms.iaware.cpu.CPUFeature cPUFeature) {
        this.mCPUFeatureInstance = cPUFeature;
        this.mEnable = true;
    }

    public void disable() {
        this.mEnable = false;
    }

    public static synchronized com.android.server.rms.iaware.cpu.VipCgroupControl getInstance() {
        com.android.server.rms.iaware.cpu.VipCgroupControl vipCgroupControl;
        synchronized (com.android.server.rms.iaware.cpu.VipCgroupControl.class) {
            if (sInstance == null) {
                sInstance = new com.android.server.rms.iaware.cpu.VipCgroupControl();
            }
            vipCgroupControl = sInstance;
        }
        return vipCgroupControl;
    }

    public void notifyForkChange(int tid, int tgid) {
        if (this.mEnable && !isVip(tid, tgid)) {
            moveThreadToTa(tid);
        }
    }

    private void moveThreadToTa(int tid) {
        java.nio.ByteBuffer buffer = java.nio.ByteBuffer.allocate(8);
        buffer.putInt(146);
        buffer.putInt(tid);
        if (this.mCPUFeatureInstance != null) {
            this.mCPUFeatureInstance.sendPacket(buffer);
        }
    }

    private boolean isVip(int tid, int tgid) {
        java.lang.String path = new java.lang.StringBuilder();
        path.append("/proc/");
        path.append(tgid);
        path.append("/task/");
        path.append(tid);
        path.append("/static_vip");
        java.lang.String vip = getFileString(path.toString());
        if (vip == null || "1".equals(vip)) {
            return true;
        }
        return false;
    }

    private java.lang.String getFileString(java.lang.String path) {
        java.lang.StringBuilder stringBuilder;
        java.io.File file = new java.io.File(path);
        java.io.FileInputStream inputStream = null;
        java.lang.StringBuilder sb = new java.lang.StringBuilder();
        try {
            inputStream = new java.io.FileInputStream(file);
            while (true) {
                int read = inputStream.read();
                int temp = read;
                if (read == -1) {
                    break;
                }
                char ch = (char) temp;
                if (!(ch == 10 || ch == 13)) {
                    sb.append(ch);
                }
            }
            try {
                inputStream.close();
            } catch (java.io.IOException e) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("checkIsTargetGroup close catch IOException msg = ");
                stringBuilder.append(e.getMessage());
                android.rms.iaware.AwareLog.e("VipCgroupControl", stringBuilder.toString());
            }
            if (sb.length() != 0) {
                return sb.toString();
            }
            android.rms.iaware.AwareLog.e("VipCgroupControl", "checkIsTargetGroup read fail");
            return null;
        } catch (java.io.IOException e2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("checkIsTargetGroup read catch IOException msg = ");
            stringBuilder.append(e2.getMessage());
            android.rms.iaware.AwareLog.d("VipCgroupControl", stringBuilder.toString());
            if (inputStream != null) {
                try {
                    inputStream.close();
                } catch (java.io.IOException e3) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("checkIsTargetGroup close catch IOException msg = ");
                    stringBuilder2.append(e3.getMessage());
                    android.rms.iaware.AwareLog.e("VipCgroupControl", stringBuilder2.toString());
                }
            }
            return null;
        } catch (Throwable th) {
            if (inputStream != null) {
                try {
                    inputStream.close();
                } catch (java.io.IOException e22) {
                    java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append("checkIsTargetGroup close catch IOException msg = ");
                    stringBuilder3.append(e22.getMessage());
                    android.rms.iaware.AwareLog.e("VipCgroupControl", stringBuilder3.toString());
                }
            }
        }
    }
}
