package com.android.server.rms.iaware.cpu;

/* compiled from: CPUXmlConfiguration */
class VirtualRealityConfig extends com.android.server.rms.iaware.cpu.CPUCustBaseConfig {
    private static final java.lang.String CONFIG_VR = "cpuset_VR";
    private static final java.lang.String TAG = "VirtualRealityConfig";
    private com.android.server.rms.iaware.cpu.CPUFeature mCPUFeatureInstance;
    private java.util.Map<java.lang.String, com.android.server.rms.iaware.cpu.CPUPropInfoItem> mVRInfoMap = new android.util.ArrayMap();
    private java.util.Map<java.lang.String, java.lang.String> mVRItem2PropMap = new android.util.ArrayMap();

    public VirtualRealityConfig() {
        init();
    }

    public void setConfig(com.android.server.rms.iaware.cpu.CPUFeature feature) {
        this.mCPUFeatureInstance = feature;
        if (this.mCPUFeatureInstance == null) {
            android.rms.iaware.AwareLog.e("VirtualRealityConfig", "CPUFeatureInstance is null");
        } else if (this.mVRInfoMap.isEmpty()) {
            android.rms.iaware.AwareLog.w("VirtualRealityConfig", "you don set vr config in xml");
        } else {
            int resCode = this.mCPUFeatureInstance.sendPacket(com.android.server.rms.iaware.cpu.CPUXMLUtility.getConfigInfo(this.mVRInfoMap, mCpusetItemIndex, 125));
            if (resCode != 1) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("sendConfig sendPacket failed, msg:,send error code:");
                stringBuilder.append(resCode);
                android.rms.iaware.AwareLog.e("VirtualRealityConfig", stringBuilder.toString());
            }
        }
    }

    private void init() {
        this.mVRItem2PropMap.put("fg", "vr_fg");
        this.mVRItem2PropMap.put("bg", "vr_bg");
        this.mVRItem2PropMap.put("key_bg", "vr_keybg");
        this.mVRItem2PropMap.put("sys_bg", "vr_sysbg");
        this.mVRItem2PropMap.put("ta_boost", "vr_taboost");
        this.mVRItem2PropMap.put("boost", "vr_boost");
        this.mVRItem2PropMap.put("top_app", "vr_top_app");
        obtainConfigInfo("cpuset_VR", this.mVRItem2PropMap, this.mVRInfoMap);
    }
}
