package com.android.server.rms.iaware.dev;

public class BLESchedFeatureRT extends com.android.server.rms.iaware.dev.DevSchedFeatureBase {
    private static final int BLE_MODE_FIRST = -1;
    private static final int BLE_MODE_LAST = 3;
    private static final int BLE_MODE_LOW = 1;
    private static final int BLE_MODE_NORAML = 2;
    private static final int BLE_MODE_STOP = 0;
    private static final java.lang.String DEVICE_NAME = "ble_iconnect_nearby";
    private static final int INVALID_MODE = -2;
    private static final java.lang.String ITEM_MODE = "mode";
    private static final java.lang.String TAG = "BLESchedFeatureRT";
    private static final java.util.List<java.lang.String> mExceptAppList = new java.util.ArrayList();
    private static final java.util.List<com.android.server.rms.iaware.dev.SceneInfo> mSceneList = new java.util.ArrayList();
    private java.util.concurrent.atomic.AtomicBoolean mBleEnable = new java.util.concurrent.atomic.AtomicBoolean(false);
    private final android.content.BroadcastReceiver mBleReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if (intent == null) {
                android.rms.iaware.AwareLog.e("BLESchedFeatureRT", "intent is null");
                return;
            }
            java.lang.String action = intent.getAction();
            if (action == null) {
                android.rms.iaware.AwareLog.e("BLESchedFeatureRT", "action is null");
                return;
            }
            if (action.equals("android.bluetooth.adapter.action.BLE_STATE_CHANGED")) {
                int newState = intent.getIntExtra("android.bluetooth.adapter.extra.STATE", 10);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("newState: ");
                stringBuilder.append(newState);
                android.rms.iaware.AwareLog.d("BLESchedFeatureRT", stringBuilder.toString());
                if (10 == newState) {
                    com.android.server.rms.iaware.dev.BLESchedFeatureRT.this.mBleEnable.set(false);
                    com.android.server.rms.iaware.dev.BLESchedFeatureRT.this.removeBleControl();
                } else if (12 == newState) {
                    com.android.server.rms.iaware.dev.BLESchedFeatureRT.this.mBleEnable.set(true);
                }
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("mBleEnable: ");
                stringBuilder2.append(com.android.server.rms.iaware.dev.BLESchedFeatureRT.this.mBleEnable.get());
                android.rms.iaware.AwareLog.d("BLESchedFeatureRT", stringBuilder2.toString());
            }
        }
    };
    private android.content.Context mContext;
    private final com.android.server.rms.iaware.dev.DevXmlConfig mDevXmlConfig = new com.android.server.rms.iaware.dev.DevXmlConfig();

    public BLESchedFeatureRT(android.content.Context context, java.lang.String name) {
        super(context);
        this.mContext = context;
        readCustConfig();
        init();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("create ");
        stringBuilder.append(name);
        stringBuilder.append("BLESchedFeatureRT success");
        android.rms.iaware.AwareLog.d("BLESchedFeatureRT", stringBuilder.toString());
    }

    private void init() {
        if (this.mContext == null) {
            android.rms.iaware.AwareLog.e("BLESchedFeatureRT", "mContext is null, error!");
            return;
        }
        this.mContext.registerReceiver(this.mBleReceiver, new android.content.IntentFilter("android.bluetooth.adapter.action.BLE_STATE_CHANGED"));
        android.bluetooth.BluetoothManager bleManager = (android.bluetooth.BluetoothManager) this.mContext.getSystemService("bluetooth");
        if (bleManager == null) {
            android.rms.iaware.AwareLog.e("BLESchedFeatureRT", "bleManager is null, error!");
            return;
        }
        android.bluetooth.BluetoothAdapter bleAdapter = bleManager.getAdapter();
        if (bleAdapter == null) {
            android.rms.iaware.AwareLog.e("BLESchedFeatureRT", "bleAdapter is null, error!");
        } else {
            this.mBleEnable.set(bleAdapter.isEnabled());
        }
    }

    private void readCustConfig() {
        this.mDevXmlConfig.readSceneInfos("ble_iconnect_nearby", mSceneList);
        this.mDevXmlConfig.readExceptApps("ble_iconnect_nearby", mExceptAppList);
        this.mDeviceId = this.mDevXmlConfig.readDeviceId("ble_iconnect_nearby");
    }

    public boolean handleResAppData(long timestamp, int event, com.android.server.rms.iaware.memory.data.content.AttrSegments attrSegments) {
        if (event != 15020) {
            return false;
        }
        if (!this.mBleEnable.get()) {
            android.rms.iaware.AwareLog.d("BLESchedFeatureRT", "ble off, return!");
            return false;
        } else if (com.android.server.rms.iaware.dev.DevSchedFeatureBase.ScreenState.ScreenOff == mScreenState) {
            android.rms.iaware.AwareLog.d("BLESchedFeatureRT", "screen off, return!");
            return false;
        } else {
            handleAppToTopEvent(attrSegments, event);
            return true;
        }
    }

    public boolean handScreenStateChange(com.android.server.rms.iaware.dev.DevSchedFeatureBase.ScreenState state) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mScreenState : ");
        stringBuilder.append(mScreenState);
        android.rms.iaware.AwareLog.d("BLESchedFeatureRT", stringBuilder.toString());
        if (state == com.android.server.rms.iaware.dev.DevSchedFeatureBase.ScreenState.ScreenOff) {
            removeBleControl();
        } else if (state == com.android.server.rms.iaware.dev.DevSchedFeatureBase.ScreenState.ScreenOn) {
            sendCurrentDeviceMode();
        }
        return true;
    }

    private void handleAppToTopEvent(com.android.server.rms.iaware.memory.data.content.AttrSegments attrSegments, int event) {
        if (attrSegments != null) {
            if (attrSegments.isValid()) {
                android.util.ArrayMap<java.lang.String, java.lang.String> appInfo = attrSegments.getSegment("calledApp");
                if (appInfo == null) {
                    android.rms.iaware.AwareLog.i("BLESchedFeatureRT", "appInfo is NULL");
                    return;
                }
                try {
                    handleTopApp((java.lang.String) appInfo.get("processName"), java.lang.Integer.parseInt((java.lang.String) appInfo.get("uid")), java.lang.Integer.parseInt((java.lang.String) appInfo.get("pid")));
                    return;
                } catch (java.lang.NumberFormatException e) {
                    android.rms.iaware.AwareLog.e("BLESchedFeatureRT", "get uid or pid fail, happend NumberFormatException");
                    return;
                }
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("attrSegments is Illegal, attrSegments is ");
        stringBuilder.append(attrSegments);
        android.rms.iaware.AwareLog.e("BLESchedFeatureRT", stringBuilder.toString());
    }

    private void handleTopApp(java.lang.String processName, int uid, int pid) {
        java.lang.StringBuilder stringBuilder;
        if (processName != null) {
            if (pid >= 0) {
                if (mExceptAppList.contains(processName)) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(processName);
                    stringBuilder.append(" in exceptList, out of control.");
                    android.rms.iaware.AwareLog.i("BLESchedFeatureRT", stringBuilder.toString());
                    return;
                }
                com.android.server.rms.iaware.dev.SceneInfo scene = com.android.server.rms.iaware.dev.DevSchedUtil.getSceneInfo(15020, mSceneList);
                if (scene == null) {
                    android.rms.iaware.AwareLog.i("BLESchedFeatureRT", "no EVENT_APP_TO_TOP object.");
                    return;
                }
                int index = scene.isMatch(new java.lang.Object[]{processName, java.lang.Integer.valueOf(uid), java.lang.Integer.valueOf(pid)});
                if (index >= 0) {
                    java.lang.StringBuilder stringBuilder2;
                    int mode = getMode(scene, index);
                    if (mode > -1) {
                        if (mode < 3) {
                            com.android.server.rms.iaware.dev.DevSchedCallbackManager.getInstance().sendDeviceMode(this.mDeviceId, processName, uid, mode, null);
                            stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("sendDeviceMode,  packageName:");
                            stringBuilder2.append(processName);
                            stringBuilder2.append(", uid:");
                            stringBuilder2.append(uid);
                            stringBuilder2.append(", mode:");
                            stringBuilder2.append(mode);
                            android.rms.iaware.AwareLog.d("BLESchedFeatureRT", stringBuilder2.toString());
                        }
                    }
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("getMode error! mode:");
                    stringBuilder2.append(mode);
                    android.rms.iaware.AwareLog.e("BLESchedFeatureRT", stringBuilder2.toString());
                    return;
                }
                removeBleControl();
                return;
            }
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("invalid appinfo, processName :");
        stringBuilder.append(processName);
        stringBuilder.append(", uid :");
        stringBuilder.append(uid);
        stringBuilder.append(", pid :");
        stringBuilder.append(pid);
        android.rms.iaware.AwareLog.i("BLESchedFeatureRT", stringBuilder.toString());
    }

    private int getMode(com.android.server.rms.iaware.dev.SceneInfo scene, int index) {
        if (scene == null) {
            android.rms.iaware.AwareLog.e("BLESchedFeatureRT", "scene is null, error!");
            return -2;
        }
        java.lang.String modeOrg = scene.getRuleItemValue("mode", index);
        if (modeOrg == null) {
            android.rms.iaware.AwareLog.e("BLESchedFeatureRT", "mode is null, error!");
            return -2;
        }
        int mode = -2;
        try {
            return java.lang.Integer.parseInt(modeOrg.trim());
        } catch (java.lang.NumberFormatException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mode is not Integer, error, mode:");
            stringBuilder.append(modeOrg);
            android.rms.iaware.AwareLog.e("BLESchedFeatureRT", stringBuilder.toString());
            return -2;
        }
    }

    public void sendCurrentDeviceMode() {
        if (!this.mBleEnable.get()) {
            android.rms.iaware.AwareLog.d("BLESchedFeatureRT", "ble off, return!");
        } else if (com.android.server.rms.iaware.dev.DevSchedFeatureBase.ScreenState.ScreenOff == mScreenState) {
            android.rms.iaware.AwareLog.d("BLESchedFeatureRT", "screen off, return!");
        } else {
            java.lang.String topApp = com.android.server.rms.iaware.dev.DevSchedUtil.getTopFrontApp(this.mContext);
            if (topApp == null) {
                android.rms.iaware.AwareLog.i("BLESchedFeatureRT", "topApp is null.");
                return;
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sendCurrentDeviceMode, topApp:");
            stringBuilder.append(topApp);
            android.rms.iaware.AwareLog.d("BLESchedFeatureRT", stringBuilder.toString());
            handleTopApp(topApp, com.android.server.rms.iaware.dev.DevSchedUtil.getUidByPkgName(topApp), 0);
        }
    }

    public boolean handleUpdateCustConfig() {
        removeBleControl();
        clearCacheInfo();
        readCustConfig();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("ble cust config update completed, mDeviceId:");
        stringBuilder.append(this.mDeviceId);
        stringBuilder.append(", mSceneList :");
        stringBuilder.append(mSceneList);
        stringBuilder.append(", mExceptAppList :");
        stringBuilder.append(mExceptAppList);
        android.rms.iaware.AwareLog.d("BLESchedFeatureRT", stringBuilder.toString());
        return true;
    }

    private void removeBleControl() {
        com.android.server.rms.iaware.dev.DevSchedCallbackManager.getInstance().sendDeviceMode(this.mDeviceId, null, 0, 2, null);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("removeBleControl,  mDeviceId:");
        stringBuilder.append(this.mDeviceId);
        android.rms.iaware.AwareLog.d("BLESchedFeatureRT", stringBuilder.toString());
    }

    private void clearCacheInfo() {
        mSceneList.clear();
        mExceptAppList.clear();
    }

    public boolean handlerNaviStatus(boolean isInNavi) {
        return true;
    }
}
