package com.android.server.rms.iaware.dev;

public class DevSchedUtil {
    public static final int INVALID_UID = -1;

    public static boolean isInvalidAppInfo(java.lang.String processName, int uid, int pid) {
        if (processName != null && pid >= 0) {
            if (uid > 1000) {
                return false;
            }
        }
        return true;
    }

    public static com.android.server.rms.iaware.dev.SceneInfo getSceneInfo(int sceneId, java.util.List<com.android.server.rms.iaware.dev.SceneInfo> sceneList) {
        if (!(sceneList == null || sceneList.size() == 0)) {
            if (-1 != sceneId) {
                for (com.android.server.rms.iaware.dev.SceneInfo scene : sceneList) {
                    if (scene != null) {
                        if (scene.getSceneId() == sceneId) {
                            return scene;
                        }
                    }
                }
                return null;
            }
        }
        return null;
    }

    public static java.lang.String getTopFrontApp(android.content.Context context) {
        if (context == null) {
            return null;
        }
        com.huawei.pgmng.plug.PGSdk pgsdk = com.huawei.pgmng.plug.PGSdk.getInstance();
        if (pgsdk == null) {
            return null;
        }
        try {
            return pgsdk.getTopFrontApp(context);
        } catch (android.os.RemoteException e) {
            return null;
        }
    }

    public static int getUidByPkgName(java.lang.String pkgName) {
        if (pkgName != null) {
            if (!pkgName.isEmpty()) {
                try {
                    android.content.pm.ApplicationInfo ai = android.app.AppGlobals.getPackageManager().getApplicationInfo(pkgName, 0, android.app.ActivityManager.getCurrentUser());
                    if (ai != null) {
                        return ai.uid;
                    }
                    return -1;
                } catch (android.os.RemoteException e) {
                    return -1;
                }
            }
        }
        return -1;
    }
}
