package com.android.server.rms.iaware.dev;

public class DevXmlConfig {
    private static final java.lang.String ATTR_IGNORE_APP = "ignore_app";
    private static final java.lang.String ATTR_TYPE = "switch";
    private static final java.lang.String CONFIG_SUBSWITCH = "sub_switch";
    private static final java.lang.String DEV_FEATURE_NAME = "DevSchedFeature";
    public static final int INVALID_DEVICE_ID = -1;
    private static final java.lang.String ITEM_DEVICE_ID = "dev_id";
    private static final java.lang.String ITEM_EXCEPT_NAME = "name";
    public static final java.lang.String ITEM_SCENE_ID = "scene_id";
    public static final java.lang.String ITEM_SCENE_NAME = "scenename";
    private static final java.lang.String ITEM_TYPE = "type";
    private static final java.lang.String TAG = "DevXmlConfig";
    private static android.os.IBinder mCmsManager;

    public boolean readDevStrategy(java.util.Map<java.lang.Integer, com.android.server.rms.iaware.dev.SceneInfo> sceneMap, java.lang.String configName, java.util.Map<java.lang.String, java.util.ArrayList<java.lang.String>> sceneRullMap) {
        java.util.Map<java.lang.String, java.util.ArrayList<java.lang.String>> map = sceneRullMap;
        if (!(sceneMap == null || configName == null)) {
            if (map != null) {
                java.util.List<android.rms.iaware.AwareConfig.Item> awareConfigItemList = getItemList(configName);
                if (awareConfigItemList == null) {
                    android.rms.iaware.AwareLog.e("DevXmlConfig", "NetLocationSchedFeature read strategy config error!");
                    return false;
                }
                for (android.rms.iaware.AwareConfig.Item item : awareConfigItemList) {
                    if (item == null) {
                        android.rms.iaware.AwareLog.e("DevXmlConfig", "NetLocationSchedFeature item null");
                        return false;
                    }
                    java.util.Map<java.lang.String, java.lang.String> configPropertries = item.getProperties();
                    if (configPropertries != null) {
                        if (!configPropertries.isEmpty()) {
                            java.lang.String sceneName = (java.lang.String) configPropertries.get("scenename");
                            if (sceneName != null) {
                                if (!sceneName.isEmpty()) {
                                    java.util.ArrayList<java.lang.String> ruleList = (java.util.ArrayList) map.get(sceneName);
                                    if (ruleList != null) {
                                        if (!ruleList.isEmpty()) {
                                            try {
                                                if (!createMapLocal(item, sceneName, java.lang.Integer.parseInt((java.lang.String) configPropertries.get("scene_id")), sceneMap, ruleList)) {
                                                    return false;
                                                }
                                            } catch (java.lang.NumberFormatException e) {
                                                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                                stringBuilder.append(" NumberFormatException, sceneid is ");
                                                stringBuilder.append((java.lang.String) configPropertries.get("scene_id"));
                                                android.rms.iaware.AwareLog.e("DevXmlConfig", stringBuilder.toString());
                                                return false;
                                            }
                                        }
                                    }
                                    android.rms.iaware.AwareLog.e("DevXmlConfig", "NetLocationSchedFeature ruleList null");
                                    return false;
                                }
                            }
                            android.rms.iaware.AwareLog.e("DevXmlConfig", "NetLocationSchedFeature sceneName null");
                            return false;
                        }
                    }
                    android.rms.iaware.AwareLog.e("DevXmlConfig", "NetLocationSchedFeature configPropertries null");
                    return false;
                }
                return true;
            }
        }
        android.rms.iaware.AwareLog.e("DevXmlConfig", "NetLocationSchedFeature para null");
        return false;
    }

    private boolean createMapLocal(android.rms.iaware.AwareConfig.Item item, java.lang.String sceneName, int sceneId, java.util.Map<java.lang.Integer, com.android.server.rms.iaware.dev.SceneInfo> sceneMap, java.util.List<java.lang.String> ruleList) {
        com.android.server.rms.iaware.dev.SceneInfo sceneObj = new com.android.server.rms.iaware.dev.SceneInfo(sceneName, sceneId);
        java.util.List<android.rms.iaware.AwareConfig.SubItem> subItemList = item.getSubItemList();
        if (subItemList != null) {
            if (subItemList.size() != 0) {
                if (sceneObj.fillSceneInfo(subItemList, ruleList)) {
                    sceneMap.put(java.lang.Integer.valueOf(sceneId), sceneObj);
                    return true;
                }
                android.rms.iaware.AwareLog.e("DevXmlConfig", "NetLocationSchedFeature fillSceneInfo error");
                return false;
            }
        }
        android.rms.iaware.AwareLog.e("DevXmlConfig", "NetLocationSchedFeature subItemList is null");
        return false;
    }

    public static void loadSubFeatureSwitch(java.util.Map<java.lang.String, java.lang.String> subFeatureSwitch) {
        if (subFeatureSwitch != null) {
            java.util.List<android.rms.iaware.AwareConfig.Item> itemList = getItemList("sub_switch");
            if (itemList != null) {
                for (android.rms.iaware.AwareConfig.Item item : itemList) {
                    if (item != null) {
                        java.util.Map<java.lang.String, java.lang.String> configPropertries = item.getProperties();
                        if (configPropertries != null) {
                            java.lang.String itemType = (java.lang.String) configPropertries.get("type");
                            if (itemType != null) {
                                if (itemType.equals("switch")) {
                                    parseSubSwitchFromSubItem(item, subFeatureSwitch);
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    public static java.util.List<android.rms.iaware.AwareConfig.Item> getItemList(java.lang.String configName) {
        if (configName == null) {
            android.rms.iaware.AwareLog.e("DevXmlConfig", "configName is null");
            return null;
        }
        if (mCmsManager == null) {
            mCmsManager = android.rms.iaware.IAwareCMSManager.getICMSManager();
        }
        android.rms.iaware.AwareConfig awareConfig = null;
        try {
            if (mCmsManager != null) {
                awareConfig = android.rms.iaware.IAwareCMSManager.getCustConfig(mCmsManager, "DevSchedFeature", configName);
                android.rms.iaware.AwareLog.d("DevXmlConfig", "DevXmlBaseConfiguration");
            }
            if (awareConfig == null) {
                return null;
            }
            return awareConfig.getConfigList();
        } catch (android.os.RemoteException e) {
            android.rms.iaware.AwareLog.e("DevXmlConfig", "awareConfig is null");
            return null;
        }
    }

    private static void parseSubSwitchFromSubItem(android.rms.iaware.AwareConfig.Item item, java.util.Map<java.lang.String, java.lang.String> subFeatureSwitch) {
        if (item != null) {
            if (subFeatureSwitch != null) {
                java.util.List<android.rms.iaware.AwareConfig.SubItem> subItemList = item.getSubItemList();
                if (subItemList == null) {
                    android.rms.iaware.AwareLog.e("DevXmlConfig", "can not get subswitch config subitem");
                    return;
                }
                for (android.rms.iaware.AwareConfig.SubItem subItem : subItemList) {
                    java.lang.String itemName = subItem.getName();
                    if (itemName != null) {
                        if (!itemName.isEmpty()) {
                            java.lang.String itemValue = subItem.getValue();
                            if (itemValue != null) {
                                subFeatureSwitch.put(itemName.trim(), itemValue.trim());
                            }
                        }
                    }
                    return;
                }
            }
        }
    }

    public void readSceneInfos(java.lang.String deviceName, java.util.List<com.android.server.rms.iaware.dev.SceneInfo> sceneList) {
        if (sceneList != null) {
            sceneList.clear();
            java.util.List<android.rms.iaware.AwareConfig.Item> awareConfigItemList = getItemList(deviceName);
            if (awareConfigItemList == null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("get ");
                stringBuilder.append(deviceName);
                stringBuilder.append(" sceneinfo error!");
                android.rms.iaware.AwareLog.e("DevXmlConfig", stringBuilder.toString());
                return;
            }
            for (android.rms.iaware.AwareConfig.Item item : awareConfigItemList) {
                if (item != null) {
                    java.util.Map<java.lang.String, java.lang.String> configPropertries = item.getProperties();
                    if (configPropertries != null) {
                        if (configPropertries.get("scenename") != null) {
                            sceneList.add(new com.android.server.rms.iaware.dev.SceneInfo(item));
                        }
                    }
                }
            }
        }
    }

    public void readExceptApps(java.lang.String deviceName, java.util.List<java.lang.String> exceptList) {
        if (exceptList != null) {
            exceptList.clear();
            java.util.List<android.rms.iaware.AwareConfig.Item> awareConfigItemList = getItemList(deviceName);
            if (awareConfigItemList == null) {
                android.rms.iaware.AwareLog.e("DevXmlConfig", "get except apps config error!");
                return;
            }
            for (android.rms.iaware.AwareConfig.Item item : awareConfigItemList) {
                if (item != null) {
                    java.util.Map<java.lang.String, java.lang.String> configPropertries = item.getProperties();
                    if (configPropertries != null) {
                        java.lang.String name = (java.lang.String) configPropertries.get("name");
                        if (name != null) {
                            if ("ignore_app".equals(name)) {
                                java.util.List<android.rms.iaware.AwareConfig.SubItem> subItemList = item.getSubItemList();
                                if (subItemList != null) {
                                    for (android.rms.iaware.AwareConfig.SubItem subItem : subItemList) {
                                        java.lang.String pkgName = subItem.getValue();
                                        if (!(pkgName == null || pkgName.isEmpty())) {
                                            exceptList.add(pkgName.trim());
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    public int readDeviceId(java.lang.String deviceName) {
        java.util.List<android.rms.iaware.AwareConfig.Item> awareConfigItemList = getItemList(deviceName);
        if (awareConfigItemList == null) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("get ");
            stringBuilder.append(deviceName);
            stringBuilder.append(" device id error!");
            android.rms.iaware.AwareLog.e("DevXmlConfig", stringBuilder.toString());
            return -1;
        }
        for (android.rms.iaware.AwareConfig.Item item : awareConfigItemList) {
            if (item != null) {
                java.util.Map<java.lang.String, java.lang.String> configPropertries = item.getProperties();
                if (configPropertries != null) {
                    java.lang.String devIdOrg = (java.lang.String) configPropertries.get("dev_id");
                    if (devIdOrg != null) {
                        try {
                            return java.lang.Integer.parseInt(devIdOrg.trim());
                        } catch (java.lang.NumberFormatException e) {
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("NumberFormatException, device id :");
                            stringBuilder2.append(devIdOrg);
                            android.rms.iaware.AwareLog.e("DevXmlConfig", stringBuilder2.toString());
                        }
                    }
                }
            }
        }
        return -1;
    }
}
