package com.android.server.rms.iaware.dev;

public class GpsActivityInfo {
    private static final java.lang.String TAG = "GpsActivityInfo";
    private final java.util.List<java.lang.String> mActivityNameList = new java.util.ArrayList();
    private int mMode = -1;
    private java.lang.String mPackageName;

    public GpsActivityInfo(java.lang.String packageName, int mode) {
        this.mPackageName = packageName;
        this.mMode = mode;
    }

    public boolean loadActivitys(java.lang.String activitys) {
        int i = 0;
        if (activitys != null) {
            if (!activitys.trim().isEmpty()) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("loadActivitys, activitys : ");
                stringBuilder.append(activitys);
                android.rms.iaware.AwareLog.d("GpsActivityInfo", stringBuilder.toString());
                java.lang.String[] activityArray = activitys.split(",");
                int length = activityArray.length;
                while (i < length) {
                    java.lang.String activityName = activityArray[i];
                    if (activityName != null) {
                        activityName = activityName.trim();
                        if (!activityName.isEmpty()) {
                            this.mActivityNameList.add(activityName);
                        }
                    }
                    i++;
                }
                return true;
            }
        }
        return false;
    }

    public boolean isMatch(java.lang.String packageName, java.lang.String activityName) {
        if (packageName != null) {
            if (activityName != null) {
                if (packageName.equals(this.mPackageName) && this.mActivityNameList.contains(activityName)) {
                    return true;
                }
                return false;
            }
        }
        return false;
    }

    public int getLocationMode() {
        return this.mMode;
    }

    public java.lang.String toString() {
        java.lang.StringBuilder s = new java.lang.StringBuilder();
        s.append("GpsActivityInfo, packageName :");
        s.append(this.mPackageName);
        s.append(", mode : ");
        s.append(this.mMode);
        s.append(", mActivityNameList : [ ");
        s.append(this.mActivityNameList.toString());
        s.append(" ]");
        return s.toString();
    }
}
