package com.android.server.rms.iaware.dev;

public class GpsSchedFeatureRT extends com.android.server.rms.iaware.dev.DevSchedFeatureBase {
    private static final java.lang.String ACTIVITY_SCENE_NAME = "Activity_Start";
    private static final java.lang.String ATTR_RULE_ACTIVITY_IN = "Activity_In";
    private static final java.lang.String CONFIG_GPS_STRATEGY = "gps_strategy";
    private static final java.lang.String FEATURE_TITLE = "DevSchedFeature";
    public static final java.lang.String GPS_SPLIT_SYMBOL = ",";
    private static final java.lang.String ITEM_GPS_MODE = "mode";
    private static final java.lang.String ITEM_PACKAGE_NAME = "package_name";
    private static final java.lang.String ITEM_RULE = "rule";
    private static final java.lang.String ITEM_SCENE_NAME = "scenename";
    private static final java.lang.String TAG = "GpsSchedFeatureRT";
    private final java.util.List<com.android.server.rms.iaware.dev.GpsActivityInfo> mActivityInfoList = new java.util.ArrayList();
    private java.lang.String mCurrentActivityName;
    private java.lang.String mCurrentPackageName;

    public GpsSchedFeatureRT(android.content.Context context, java.lang.String name) {
        super(context);
        loadGpsActivityInfo(this.mActivityInfoList);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("create ");
        stringBuilder.append(name);
        stringBuilder.append("GpsSchedFeatureRT success");
        android.rms.iaware.AwareLog.d("GpsSchedFeatureRT", stringBuilder.toString());
    }

    public boolean handleResAppData(long timestamp, int event, com.android.server.rms.iaware.memory.data.content.AttrSegments attrSegments) {
        if (event != 15019 && event != 85019) {
            return false;
        }
        handleActivityEvent(event, attrSegments);
        return true;
    }

    private void handleActivityEvent(int event, com.android.server.rms.iaware.memory.data.content.AttrSegments attrSegments) {
        int i = event;
        if (attrSegments.isValid()) {
            android.util.ArrayMap<java.lang.String, java.lang.String> appInfo = attrSegments.getSegment("calledApp");
            if (appInfo == null) {
                android.rms.iaware.AwareLog.i("GpsSchedFeatureRT", "appInfo is NULL");
                return;
            }
            java.lang.String packageName = (java.lang.String) appInfo.get("packageName");
            java.lang.String activityName = (java.lang.String) appInfo.get("activityName");
            if (15019 == i) {
                this.mCurrentPackageName = packageName;
                this.mCurrentActivityName = activityName;
            }
            int pid = -1;
            int uid;
            try {
                uid = java.lang.Integer.parseInt((java.lang.String) appInfo.get("uid"));
                try {
                    int pid2 = java.lang.Integer.parseInt((java.lang.String) appInfo.get("pid"));
                    java.lang.StringBuilder stringBuilder;
                    if (inInvalidActivityInfo(packageName, activityName, uid, pid2)) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("isInvalidActivityInfo, packageName: ");
                        stringBuilder.append(packageName);
                        stringBuilder.append(", activityName: ");
                        stringBuilder.append(activityName);
                        stringBuilder.append(", uid: ");
                        stringBuilder.append(uid);
                        stringBuilder.append(", pid:");
                        stringBuilder.append(pid2);
                        android.rms.iaware.AwareLog.i("GpsSchedFeatureRT", stringBuilder.toString());
                        return;
                    }
                    com.android.server.rms.iaware.dev.GpsActivityInfo devActivityInfo = queryActivityInfo(packageName, activityName);
                    if (devActivityInfo != null) {
                        int mode = devActivityInfo.getLocationMode();
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("activity match success, packageName : ");
                        stringBuilder.append(packageName);
                        stringBuilder.append(", activityName : ");
                        stringBuilder.append(activityName);
                        stringBuilder.append(", mode : ");
                        stringBuilder.append(mode);
                        stringBuilder.append(", event : ");
                        stringBuilder.append(i);
                        stringBuilder.append(", uid is ");
                        stringBuilder.append(uid);
                        stringBuilder.append(", pid is ");
                        stringBuilder.append(pid2);
                        android.rms.iaware.AwareLog.d("GpsSchedFeatureRT", stringBuilder.toString());
                        reportActivityStateToNRT(i, packageName, activityName, uid, pid2, mode);
                    }
                } catch (java.lang.NumberFormatException e) {
                    android.rms.iaware.AwareLog.e("GpsSchedFeatureRT", "get uid fail, happend NumberFormatException");
                }
            } catch (java.lang.NumberFormatException e2) {
                uid = -1;
                android.rms.iaware.AwareLog.e("GpsSchedFeatureRT", "get uid fail, happend NumberFormatException");
            }
        }
    }

    private boolean inInvalidActivityInfo(java.lang.String packageName, java.lang.String activityName, int uid, int pid) {
        if (!(packageName == null || activityName == null || uid <= 1000)) {
            if (pid >= 0) {
                return false;
            }
        }
        return true;
    }

    private com.android.server.rms.iaware.dev.GpsActivityInfo queryActivityInfo(java.lang.String packageName, java.lang.String activityName) {
        if (packageName != null) {
            if (activityName != null) {
                int size = this.mActivityInfoList.size();
                for (int index = 0; index < size; index++) {
                    com.android.server.rms.iaware.dev.GpsActivityInfo devActivityInfo = (com.android.server.rms.iaware.dev.GpsActivityInfo) this.mActivityInfoList.get(index);
                    if (devActivityInfo == null) {
                        return null;
                    }
                    if (devActivityInfo.isMatch(packageName, activityName)) {
                        return devActivityInfo;
                    }
                }
                return null;
            }
        }
        return null;
    }

    private void reportActivityStateToNRT(int event, java.lang.String packageName, java.lang.String activityName, int uid, int pid, int mode) {
        java.lang.StringBuilder stringBuilder;
        if (packageName != null) {
            if (activityName != null) {
                if (15019 == event) {
                    reportActivityState(packageName, activityName, uid, pid, mode, true);
                } else if (85019 == event) {
                    if (!packageName.equals(this.mCurrentPackageName) || queryActivityInfo(this.mCurrentPackageName, this.mCurrentActivityName) == null) {
                        reportActivityState(packageName, activityName, uid, pid, mode, false);
                    } else {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("switch control activity ");
                        stringBuilder.append(activityName);
                        stringBuilder.append(" to control activity ");
                        stringBuilder.append(this.mCurrentActivityName);
                        stringBuilder.append(", do not remove activity control. package name : ");
                        stringBuilder.append(packageName);
                        android.rms.iaware.AwareLog.d("GpsSchedFeatureRT", stringBuilder.toString());
                        return;
                    }
                }
                return;
            }
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("input param error, packageName is");
        stringBuilder.append(packageName);
        stringBuilder.append(", activityName is ");
        stringBuilder.append(activityName);
        android.rms.iaware.AwareLog.e("GpsSchedFeatureRT", stringBuilder.toString());
    }

    private void reportActivityState(java.lang.String packageName, java.lang.String activityName, int uid, int pid, int mode, boolean in) {
        java.lang.StringBuffer stringBuffer = new java.lang.StringBuffer();
        stringBuffer.append("DevSchedFeature");
        stringBuffer.append("#");
        stringBuffer.append(packageName);
        stringBuffer.append("#");
        stringBuffer.append(activityName);
        stringBuffer.append("#");
        stringBuffer.append(uid);
        stringBuffer.append("#");
        stringBuffer.append(pid);
        stringBuffer.append("#");
        stringBuffer.append(mode);
        android.rms.iaware.LogIAware.report(in ? 2104 : 2105, stringBuffer.toString());
    }

    public boolean handleUpdateCustConfig() {
        android.rms.iaware.LogIAware.report(2106, "");
        loadGpsActivityInfo(this.mActivityInfoList);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("update cust config success, mActivityInfoList is ");
        stringBuilder.append(this.mActivityInfoList);
        android.rms.iaware.AwareLog.d("GpsSchedFeatureRT", stringBuilder.toString());
        return true;
    }

    private void loadGpsActivityInfo(java.util.List<com.android.server.rms.iaware.dev.GpsActivityInfo> activityInfoList) {
        if (activityInfoList != null) {
            activityInfoList.clear();
            java.util.List<android.rms.iaware.AwareConfig.Item> itemList = com.android.server.rms.iaware.dev.DevXmlConfig.getItemList("gps_strategy");
            if (itemList == null) {
                android.rms.iaware.AwareLog.e("GpsSchedFeatureRT", "parse gps strategy config error!");
                return;
            }
            for (android.rms.iaware.AwareConfig.Item item : itemList) {
                if (item != null) {
                    java.util.Map<java.lang.String, java.lang.String> configPropertries = item.getProperties();
                    if (configPropertries != null) {
                        if ("Activity_Start".equals((java.lang.String) configPropertries.get("scenename"))) {
                            java.util.List<android.rms.iaware.AwareConfig.SubItem> subItemList = item.getSubItemList();
                            if (subItemList != null) {
                                if (subItemList.size() != 0) {
                                    parseSubItemList(subItemList, activityInfoList);
                                }
                            }
                            android.rms.iaware.AwareLog.e("GpsSchedFeatureRT", " subItemList is null");
                        }
                    }
                }
            }
        }
    }

    private void parseSubItemList(java.util.List<android.rms.iaware.AwareConfig.SubItem> subItemList, java.util.List<com.android.server.rms.iaware.dev.GpsActivityInfo> activityInfoList) {
        if (subItemList != null) {
            if (activityInfoList != null) {
                for (android.rms.iaware.AwareConfig.SubItem subItem : subItemList) {
                    if (subItem != null) {
                        java.util.Map<java.lang.String, java.lang.String> properties = subItem.getProperties();
                        if (properties != null) {
                            if ("Activity_In".equals((java.lang.String) properties.get("rule"))) {
                                java.lang.String packageName = (java.lang.String) properties.get("package_name");
                                if (packageName != null) {
                                    try {
                                        com.android.server.rms.iaware.dev.GpsActivityInfo devActivityInfo = new com.android.server.rms.iaware.dev.GpsActivityInfo(packageName, java.lang.Integer.parseInt((java.lang.String) properties.get("mode")));
                                        if (devActivityInfo.loadActivitys(subItem.getValue())) {
                                            activityInfoList.add(devActivityInfo);
                                        }
                                    } catch (java.lang.NumberFormatException e) {
                                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                        stringBuilder.append("NumberFormatException, mode is not number! String mode is ");
                                        stringBuilder.append((java.lang.String) properties.get("mode"));
                                        android.rms.iaware.AwareLog.e("GpsSchedFeatureRT", stringBuilder.toString());
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    public boolean handlerNaviStatus(boolean isInNavi) {
        return true;
    }

    public java.lang.String toString() {
        java.lang.StringBuilder s = new java.lang.StringBuilder();
        s.append("GpsSchedFeatureRT : ");
        s.append(", GpsActivityInfo num : ");
        s.append(this.mActivityInfoList.size());
        s.append(", GpsActivityInfo : ");
        s.append(this.mActivityInfoList.toString());
        return s.toString();
    }
}
