package com.android.server.rms.iaware.dev;

public class PhoneStatusRecong {
    private static final long CALL_BACK_INTERVAL_DEFAULT_VALUE = 86400000000000L;
    private static final int DEBUG_TRUE = 1;
    private static final long MIN_RETRY_TIME = 5000;
    private static final int MSG_CONNECT_MSDP = 0;
    private static final java.lang.String TAG = "PhoneStatusRecong";
    private static com.android.server.rms.iaware.dev.PhoneStatusRecong sPhoneStatusRecong;
    private android.content.Context mContext = null;
    private final java.util.List<com.android.server.rms.iaware.dev.PhoneStatusRecong.CurrentStatus> mCurrentStatus = new java.util.ArrayList();
    private long mCurrentStatusEnterTime = android.os.SystemClock.elapsedRealtime();
    private com.huawei.msdp.devicestatus.HwMSDPDeviceStatus mDevMSDPDeviceStatus;
    private boolean mIsConnected = false;
    private boolean mIsDebug = false;
    private boolean mIsStatusValid = true;
    private com.android.server.rms.iaware.dev.PhoneStatusRecong.PhoneStatusHandler mPhoneStatusHandler = new com.android.server.rms.iaware.dev.PhoneStatusRecong.PhoneStatusHandler();
    private long mRecordTime = 0;

    public static class CurrentStatus {
        private int mPhoneStatus;
        private long mTimestamp;

        public CurrentStatus(int phoneStatus, long timestamp) {
            this.mPhoneStatus = phoneStatus;
            this.mTimestamp = timestamp;
        }

        public int getPhoneStatus() {
            return this.mPhoneStatus;
        }

        public void setPhoneStatus(int phoneStatus) {
            this.mPhoneStatus = phoneStatus;
        }

        public long getTimestamp() {
            return this.mTimestamp;
        }

        public void setTimestamp(long timestamp) {
            this.mTimestamp = timestamp;
        }

        public java.lang.String toString() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("CurrentStatus[ mPhoneStatus:");
            stringBuilder.append(this.mPhoneStatus);
            stringBuilder.append(", mTimestamp:");
            stringBuilder.append(this.mTimestamp);
            stringBuilder.append("]");
            return stringBuilder.toString();
        }
    }

    private class PhoneStatusHandler extends android.os.Handler {
        private PhoneStatusHandler() {
        }

        public void handleMessage(android.os.Message msg) {
            if (msg == null) {
                android.rms.iaware.AwareLog.d("PhoneStatusRecong", "msg is null, error");
                return;
            }
            if (msg.what == 0) {
                com.android.server.rms.iaware.dev.PhoneStatusRecong.this.connectService(com.android.server.rms.iaware.dev.PhoneStatusRecong.this.mContext);
            }
        }
    }

    private static class DevMSDPDeviceStatusChangedCallBack implements com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangedCallBack {
        private DevMSDPDeviceStatusChangedCallBack() {
        }

        public void onDeviceStatusChanged(com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent hwMSDPDeviceStatusChangeEvent) {
            android.rms.iaware.AwareLog.d("PhoneStatusRecong", "onDeviceStatusChanged");
        }
    }

    private class DevMSDPDeviceStatusServiceConnection implements com.huawei.msdp.devicestatus.HwMSDPDeviceStatusServiceConnection {
        private DevMSDPDeviceStatusServiceConnection() {
        }

        public void onServiceConnected() {
            android.rms.iaware.AwareLog.d("PhoneStatusRecong", "onServiceConnected()");
            com.android.server.rms.iaware.dev.PhoneStatusRecong.this.mIsConnected = com.android.server.rms.iaware.dev.PhoneStatusRecong.this.getSupportedDeviceStatus();
            if (com.android.server.rms.iaware.dev.PhoneStatusRecong.this.mIsConnected && !com.android.server.rms.iaware.dev.PhoneStatusRecong.this.enableDeviceStatusEvent("msdp.devicestatus_type_still_status", 1, 86400000000000L)) {
                android.rms.iaware.AwareLog.e("PhoneStatusRecong", "enable error");
                com.android.server.rms.iaware.dev.PhoneStatusRecong.this.mIsConnected = false;
            }
        }

        public void onServiceDisconnected() {
            synchronized (com.android.server.rms.iaware.dev.PhoneStatusRecong.this.mCurrentStatus) {
                com.android.server.rms.iaware.dev.PhoneStatusRecong.this.mCurrentStatus.clear();
            }
            android.rms.iaware.AwareLog.d("PhoneStatusRecong", "onServiceDisconnected() and clear cache");
            com.android.server.rms.iaware.dev.PhoneStatusRecong.this.mIsConnected = false;
        }
    }

    public static synchronized com.android.server.rms.iaware.dev.PhoneStatusRecong getInstance() {
        com.android.server.rms.iaware.dev.PhoneStatusRecong phoneStatusRecong;
        synchronized (com.android.server.rms.iaware.dev.PhoneStatusRecong.class) {
            if (sPhoneStatusRecong == null) {
                sPhoneStatusRecong = new com.android.server.rms.iaware.dev.PhoneStatusRecong();
            }
            phoneStatusRecong = sPhoneStatusRecong;
        }
        return phoneStatusRecong;
    }

    public void connectService(android.content.Context context) {
        if (context != null) {
            this.mContext = context;
            this.mDevMSDPDeviceStatus = new com.huawei.msdp.devicestatus.HwMSDPDeviceStatus(context);
            android.rms.iaware.AwareLog.d("PhoneStatusRecong", "connectService");
            this.mDevMSDPDeviceStatus.connectService(new com.android.server.rms.iaware.dev.PhoneStatusRecong.DevMSDPDeviceStatusChangedCallBack(), new com.android.server.rms.iaware.dev.PhoneStatusRecong.DevMSDPDeviceStatusServiceConnection());
        }
    }

    public void disconnectService() {
        if (this.mDevMSDPDeviceStatus != null && this.mIsConnected) {
            disableDeviceStatusEvent("msdp.devicestatus_type_still_status", 1);
            this.mDevMSDPDeviceStatus.disconnectService();
        }
    }

    private boolean enableDeviceStatusEvent(java.lang.String deviceStatus, int eventType, long reportLatencyNs) {
        if (this.mDevMSDPDeviceStatus != null) {
            return this.mDevMSDPDeviceStatus.enableDeviceStatusEvent(deviceStatus, eventType, reportLatencyNs);
        }
        return false;
    }

    private boolean disableDeviceStatusEvent(java.lang.String deviceStatus, int eventType) {
        if (this.mDevMSDPDeviceStatus != null) {
            return this.mDevMSDPDeviceStatus.disableDeviceStatusEvent(deviceStatus, eventType);
        }
        return false;
    }

    /* JADX WARNING: Missing block: B:9:0x002c, code:
            return null;
     */
    /* JADX WARNING: Missing block: B:12:0x0030, code:
            if (r9.mDevMSDPDeviceStatus == null) goto L_0x0039;
     */
    /* JADX WARNING: Missing block: B:14:0x0038, code:
            return r9.mDevMSDPDeviceStatus.getCurrentDeviceStatus();
     */
    /* JADX WARNING: Missing block: B:15:0x0039, code:
            return null;
     */
    private com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent getCurrentDeviceStatus() {
        /*
        r9 = this;
        r0 = r9.mCurrentStatus;
        monitor-enter(r0);
        r1 = r9.mIsConnected;	 Catch:{ all -> 0x003a }
        r2 = 0;
        if (r1 != 0) goto L_0x002d;
    L_0x0008:
        r1 = r9.mCurrentStatus;	 Catch:{ all -> 0x003a }
        r1.clear();	 Catch:{ all -> 0x003a }
        r3 = android.os.SystemClock.elapsedRealtime();	 Catch:{ all -> 0x003a }
        r5 = r9.mRecordTime;	 Catch:{ all -> 0x003a }
        r5 = r3 - r5;
        r7 = 5000; // 0x1388 float:7.006E-42 double:2.4703E-320;
        r1 = (r5 > r7 ? 1 : (r5 == r7 ? 0 : -1));
        if (r1 < 0) goto L_0x002b;
    L_0x001b:
        r9.mRecordTime = r3;	 Catch:{ all -> 0x003a }
        r1 = r9.mPhoneStatusHandler;	 Catch:{ all -> 0x003a }
        r1 = r1.obtainMessage();	 Catch:{ all -> 0x003a }
        r5 = 0;
        r1.what = r5;	 Catch:{ all -> 0x003a }
        r5 = r9.mPhoneStatusHandler;	 Catch:{ all -> 0x003a }
        r5.sendMessage(r1);	 Catch:{ all -> 0x003a }
    L_0x002b:
        monitor-exit(r0);	 Catch:{ all -> 0x003a }
        return r2;
    L_0x002d:
        monitor-exit(r0);	 Catch:{ all -> 0x003a }
        r0 = r9.mDevMSDPDeviceStatus;
        if (r0 == 0) goto L_0x0039;
    L_0x0032:
        r0 = r9.mDevMSDPDeviceStatus;
        r0 = r0.getCurrentDeviceStatus();
        return r0;
    L_0x0039:
        return r2;
    L_0x003a:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x003a }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.dev.PhoneStatusRecong.getCurrentDeviceStatus():com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent");
    }

    public void getDeviceStatus() {
        com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent status = getCurrentDeviceStatus();
        if (status == null) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("status is null, error! mIsConnected is ");
            stringBuilder.append(this.mIsConnected);
            android.rms.iaware.AwareLog.e("PhoneStatusRecong", stringBuilder.toString());
            this.mIsStatusValid = false;
            return;
        }
        java.lang.Iterable<com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEvent> statusList = status.getDeviceStatusRecognitionEvents();
        if (statusList == null) {
            this.mIsStatusValid = false;
            return;
        }
        this.mIsStatusValid = true;
        synchronized (this.mCurrentStatus) {
            this.mCurrentStatus.clear();
            for (com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEvent event : statusList) {
                if (event != null) {
                    long currentStatusEnterTime = event.getmTimestampNs();
                    java.lang.String currentStatus = event.getmDeviceStatus();
                    setPhoneStatus(currentStatus, currentStatusEnterTime);
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("Current status :");
                    stringBuilder2.append(currentStatus);
                    stringBuilder2.append(", current time :");
                    stringBuilder2.append(currentStatusEnterTime);
                    android.rms.iaware.AwareLog.d("PhoneStatusRecong", stringBuilder2.toString());
                }
            }
        }
    }

    private void setPhoneStatus(java.lang.String currentStatus, long currentStatusEnterTime) {
        if (currentStatus != null) {
            com.android.server.rms.iaware.dev.PhoneStatusRecong.CurrentStatus curState = new com.android.server.rms.iaware.dev.PhoneStatusRecong.CurrentStatus(0, currentStatusEnterTime);
            int i = -1;
            switch (currentStatus.hashCode()) {
                case -1773012506:
                    if (currentStatus.equals("android.msdp.device_status.type.unknown")) {
                        i = 6;
                        break;
                    }
                    break;
                case -734839525:
                    if (currentStatus.equals("android.msdp.device_status.high_still")) {
                        i = 0;
                        break;
                    }
                    break;
                case -703279893:
                    if (currentStatus.equals("android.msdp.movement_of_fast_walking")) {
                        i = 4;
                        break;
                    }
                    break;
                case -662314917:
                    if (currentStatus.equals("android.msdp.movement_of_other")) {
                        i = 5;
                        break;
                    }
                    break;
                case 300619368:
                    if (currentStatus.equals("android.msdp.device_status.coarse_still")) {
                        i = 1;
                        break;
                    }
                    break;
                case 605414195:
                    if (currentStatus.equals("android.msdp.device_status.fine_still")) {
                        i = 2;
                        break;
                    }
                    break;
                case 1435500548:
                    if (currentStatus.equals("android.msdp.movement_of_walking")) {
                        i = 3;
                        break;
                    }
                    break;
                default:
                    break;
            }
            switch (i) {
                case 0:
                    curState.setPhoneStatus(1);
                    break;
                case 1:
                    curState.setPhoneStatus(2);
                    break;
                case 2:
                    curState.setPhoneStatus(3);
                    break;
                case 3:
                    curState.setPhoneStatus(4);
                    break;
                case 4:
                    curState.setPhoneStatus(5);
                    break;
                case 5:
                    curState.setPhoneStatus(6);
                    break;
                case 6:
                    curState.setPhoneStatus(0);
                    break;
                default:
                    curState.setPhoneStatus(0);
                    break;
            }
            this.mCurrentStatus.add(curState);
        }
    }

    public java.util.List<com.android.server.rms.iaware.dev.PhoneStatusRecong.CurrentStatus> getCurrentStatus() {
        synchronized (this.mCurrentStatus) {
            if (this.mIsDebug) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("getCurrentStatus debug is ");
                stringBuilder.append(this.mCurrentStatus);
                android.rms.iaware.AwareLog.d("PhoneStatusRecong", stringBuilder.toString());
                java.util.List list = this.mCurrentStatus;
                return list;
            }
            if (!this.mIsStatusValid && this.mCurrentStatus.size() == 0) {
                this.mCurrentStatus.add(new com.android.server.rms.iaware.dev.PhoneStatusRecong.CurrentStatus(0, android.os.SystemClock.elapsedRealtime()));
            }
            java.util.ArrayList arrayList = new java.util.ArrayList(this.mCurrentStatus);
            return arrayList;
        }
    }

    public final boolean doDumpsys(java.lang.String[] args) {
        if (args == null) {
            android.rms.iaware.AwareLog.e("PhoneStatusRecong", "args is null ,error!");
            return false;
        }
        java.lang.StringBuilder stringBuilder;
        try {
            synchronized (this.mCurrentStatus) {
                this.mCurrentStatus.clear();
                for (int i = 2; i < args.length; i += 2) {
                    this.mCurrentStatus.add(new com.android.server.rms.iaware.dev.PhoneStatusRecong.CurrentStatus(parseInt(args[i]), parseLong(args[i + 1]).longValue()));
                }
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("set mCurrentStatus ");
                stringBuilder.append(this.mCurrentStatus);
                android.rms.iaware.AwareLog.d("PhoneStatusRecong", stringBuilder.toString());
            }
            return true;
        } catch (java.lang.ArrayIndexOutOfBoundsException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("ArrayIndexOutOfBoundsException, args.length : ");
            stringBuilder.append(args.length);
            android.rms.iaware.AwareLog.e("PhoneStatusRecong", stringBuilder.toString());
            return false;
        }
    }

    private int parseInt(java.lang.String str) {
        int value = 0;
        if (str != null) {
            if (str.length() != 0) {
                try {
                    value = java.lang.Integer.parseInt(str);
                } catch (java.lang.NumberFormatException e) {
                    android.rms.iaware.AwareLog.e("PhoneStatusRecong", "parseInt NumberFormatException");
                }
                return value;
            }
        }
        return 0;
    }

    private java.lang.Long parseLong(java.lang.String str) {
        long value = this.mCurrentStatusEnterTime;
        if (str != null) {
            if (str.length() != 0) {
                try {
                    value = java.lang.Long.parseLong(str);
                } catch (java.lang.NumberFormatException e) {
                    android.rms.iaware.AwareLog.e("PhoneStatusRecong", "parseLong NumberFormatException");
                }
                return java.lang.Long.valueOf(value);
            }
        }
        return java.lang.Long.valueOf(value);
    }

    public boolean getSupportedDeviceStatus() {
        if (this.mDevMSDPDeviceStatus != null) {
            java.lang.String[] status = this.mDevMSDPDeviceStatus.getSupportedDeviceStatus();
            if (status != null && status.length > 0) {
                android.rms.iaware.AwareLog.d("PhoneStatusRecong", "getSupportedDeviceStatus ok");
                return true;
            }
        }
        return false;
    }
}
