package com.android.server.rms.iaware.dev;

public class RuleAllow extends com.android.server.rms.iaware.dev.RuleBase {
    private static final int MATCH_PARAM_NUM = 2;
    private static final java.lang.String MODE = "mode";
    private static final java.lang.String PRIO = "prio";
    private static final java.lang.String SPLIT_SYMBOL = ",";
    private static final java.lang.String TAG = "RuleAllow";
    private final java.util.List<java.lang.Integer> mTypeList = new java.util.ArrayList();

    public boolean fillRuleInfo(android.rms.iaware.AwareConfig.SubItem subItem) {
        if (subItem == null) {
            return false;
        }
        java.util.Map<java.lang.String, java.lang.String> properties = subItem.getProperties();
        if (properties != null) {
            if (!properties.isEmpty()) {
                try {
                    this.mMode = java.lang.Long.parseLong((java.lang.String) properties.get("mode"));
                    this.mPriority = java.lang.Integer.parseInt((java.lang.String) properties.get("prio"));
                    if (this.mMode >= 0) {
                        if (this.mPriority >= 0) {
                            java.lang.String typeStr = subItem.getValue();
                            if (typeStr != null) {
                                if (!typeStr.trim().isEmpty()) {
                                    if (transStringToInteger(typeStr)) {
                                        return true;
                                    }
                                    android.rms.iaware.AwareLog.e("RuleAllow", "WifiSchedFeature transStringToInteger error");
                                    return false;
                                }
                            }
                            android.rms.iaware.AwareLog.e("RuleAllow", "WifiSchedFeature typeStr null");
                            return true;
                        }
                    }
                    android.rms.iaware.AwareLog.e("RuleAllow", "WifiSchedFeature mode or prio error");
                    return false;
                } catch (java.lang.NumberFormatException e) {
                    android.rms.iaware.AwareLog.e("RuleAllow", "NumberFormatException, mode is not number");
                    return false;
                }
            }
        }
        android.rms.iaware.AwareLog.e("RuleAllow", "WifiSchedFeature properties null");
        return false;
    }

    private boolean transStringToInteger(java.lang.String typeStr) {
        java.lang.String[] infoStr = typeStr.split(",");
        int i = 0;
        while (i < infoStr.length) {
            try {
                if (infoStr[i] != null) {
                    if (!infoStr[i].trim().isEmpty()) {
                        this.mTypeList.add(java.lang.Integer.valueOf(java.lang.Integer.parseInt(infoStr[i].trim())));
                    }
                }
                i++;
            } catch (java.lang.NumberFormatException e) {
                android.rms.iaware.AwareLog.e("RuleAllow", "transScenceInfoToInteger occur exception, NumberFormatException !!");
                return false;
            }
        }
        return true;
    }

    public boolean isMatch(java.lang.Object... obj) {
        if (obj != null) {
            if (obj.length >= 2) {
                try {
                    java.lang.Object typeObj = obj[1];
                    if (typeObj != null && (typeObj instanceof java.lang.Integer) && this.mTypeList.contains(typeObj)) {
                        return true;
                    }
                    return false;
                } catch (java.lang.ArrayIndexOutOfBoundsException e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("ArrayIndexOutOfBoundsException, length is ");
                    stringBuilder.append(obj.length);
                    android.rms.iaware.AwareLog.e("RuleAllow", stringBuilder.toString());
                    return false;
                }
            }
        }
        return false;
    }

    public java.lang.String toString() {
        java.lang.StringBuilder s = new java.lang.StringBuilder();
        s.append("RuleAllow, mode : ");
        s.append(this.mMode);
        s.append("mTypeList : ");
        s.append(this.mTypeList.toString());
        return s.toString();
    }
}
