package com.android.server.rms.iaware.dev;

public class RuleIsHome extends com.android.server.rms.iaware.dev.RuleBase {
    private static final int MATCH_PARAM_NUM = 1;
    private static final java.lang.String TAG = "RuleIsHome";

    public boolean fillRuleInfo(android.rms.iaware.AwareConfig.SubItem subItem) {
        if (subItem == null) {
            return false;
        }
        java.util.Map<java.lang.String, java.lang.String> properties = subItem.getProperties();
        if (properties == null) {
            return false;
        }
        this.mItemValue.putAll(properties);
        return true;
    }

    public boolean isMatch(java.lang.Object... obj) {
        if (obj != null) {
            if (obj.length >= 1) {
                java.lang.Object processName = obj[0];
                if (processName == null) {
                    android.rms.iaware.AwareLog.e("RuleIsHome", "procssName is null, error!");
                    return false;
                } else if (processName instanceof java.lang.String) {
                    com.android.server.am.HwActivityManagerService hwAMS = com.android.server.am.HwActivityManagerService.self();
                    if (hwAMS == null) {
                        android.rms.iaware.AwareLog.e("RuleIsHome", "hwAMS is null, fatal error!");
                        return false;
                    }
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("input processName :");
                    stringBuilder.append((java.lang.String) processName);
                    android.rms.iaware.AwareLog.d("RuleIsHome", stringBuilder.toString());
                    return hwAMS.isLauncher((java.lang.String) processName);
                } else {
                    android.rms.iaware.AwareLog.e("RuleIsHome", "procssName is not String, error!");
                    return false;
                }
            }
        }
        android.rms.iaware.AwareLog.e("RuleIsHome", "invalid input params, error!");
        return false;
    }

    public java.lang.String toString() {
        java.lang.StringBuilder s = new java.lang.StringBuilder();
        s.append("RuleIsHome, mItemValue : [ ");
        s.append(this.mItemValue);
        s.append(" ]");
        return s.toString();
    }
}
