package com.android.server.rms.iaware.dev;

public class RuleNotAllow extends com.android.server.rms.iaware.dev.RuleBase {
    private static final int MATCH_PARAM_NUM = 2;
    private static final java.lang.String MODE = "mode";
    private static final java.lang.String PRIO = "prio";
    private static final java.lang.String SPLIT_SYMBOL = ",";
    private static final java.lang.String TAG = "RuleNotAllow";
    private final java.util.List<java.lang.String> mNotAllowList = new java.util.ArrayList();

    public boolean fillRuleInfo(android.rms.iaware.AwareConfig.SubItem subItem) {
        int i = 0;
        if (subItem == null) {
            return false;
        }
        java.util.Map<java.lang.String, java.lang.String> properties = subItem.getProperties();
        if (properties != null) {
            if (!properties.isEmpty()) {
                try {
                    this.mMode = java.lang.Long.parseLong((java.lang.String) properties.get("mode"));
                    this.mPriority = java.lang.Integer.parseInt((java.lang.String) properties.get("prio"));
                    if (this.mMode == -1) {
                        if (this.mPriority >= 0) {
                            java.lang.String pkgStr = subItem.getValue();
                            if (pkgStr != null) {
                                if (!pkgStr.trim().isEmpty()) {
                                    java.lang.String[] infoStr = pkgStr.split(",");
                                    while (i < infoStr.length) {
                                        if (infoStr[i] != null) {
                                            if (!infoStr[i].trim().isEmpty()) {
                                                this.mNotAllowList.add(infoStr[i].trim());
                                            }
                                        }
                                        i++;
                                    }
                                    return true;
                                }
                            }
                            android.rms.iaware.AwareLog.e("RuleNotAllow", "WifiSchedFeature pkgStr null");
                            return true;
                        }
                    }
                    android.rms.iaware.AwareLog.e("RuleNotAllow", "WifiSchedFeature mode or prio error");
                    return false;
                } catch (java.lang.NumberFormatException e) {
                    android.rms.iaware.AwareLog.e("RuleNotAllow", "NumberFormatException, mode is not number");
                    return false;
                }
            }
        }
        android.rms.iaware.AwareLog.e("RuleNotAllow", "WifiSchedFeature properties null");
        return false;
    }

    public boolean isMatch(java.lang.Object... obj) {
        if (obj != null) {
            if (obj.length >= 2) {
                try {
                    java.lang.Object typeObj = obj[0];
                    if (typeObj != null && (typeObj instanceof java.lang.String) && this.mNotAllowList.contains(typeObj)) {
                        return true;
                    }
                    return false;
                } catch (java.lang.ArrayIndexOutOfBoundsException e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("ArrayIndexOutOfBoundsException, length is ");
                    stringBuilder.append(obj.length);
                    android.rms.iaware.AwareLog.e("RuleNotAllow", stringBuilder.toString());
                    return false;
                }
            }
        }
        return false;
    }

    public java.lang.String toString() {
        java.lang.StringBuilder s = new java.lang.StringBuilder();
        s.append("RuleNotAllow, mode : ");
        s.append(this.mMode);
        return s.toString();
    }
}
