package com.android.server.rms.iaware.dev;

public class RulePreRecog extends com.android.server.rms.iaware.dev.RuleBase {
    private static final int MATCH_PARAM_NUM = 1;
    private static final java.lang.String SPLIT_SYMBOL = ",";
    private static final java.lang.String TAG = "RulePreRecog";
    private final java.util.List<java.lang.Integer> mValueList = new java.util.ArrayList();

    public boolean fillRuleInfo(android.rms.iaware.AwareConfig.SubItem subItem) {
        if (subItem == null) {
            return false;
        }
        java.util.Map<java.lang.String, java.lang.String> properties = subItem.getProperties();
        if (properties == null) {
            return false;
        }
        this.mItemValue.putAll(properties);
        java.lang.String typeStr = subItem.getValue();
        if (typeStr != null) {
            if (!typeStr.trim().isEmpty()) {
                java.util.List<java.lang.Integer> typeList = transStringToInteger(typeStr);
                if (typeList == null) {
                    return false;
                }
                this.mValueList.addAll(typeList);
                return true;
            }
        }
        return false;
    }

    private java.util.List<java.lang.Integer> transStringToInteger(java.lang.String typeStr) {
        if (typeStr == null) {
            android.rms.iaware.AwareLog.e("RulePreRecog", "value is null, error!");
            return null;
        }
        java.lang.String[] infoStr = typeStr.split(",");
        java.util.List<java.lang.Integer> valueList = new java.util.ArrayList();
        int i = 0;
        while (i < infoStr.length) {
            try {
                if (infoStr[i] != null) {
                    if (!infoStr[i].trim().isEmpty()) {
                        valueList.add(java.lang.Integer.valueOf(java.lang.Integer.parseInt(infoStr[i].trim())));
                        i++;
                    }
                }
                return null;
            } catch (java.lang.NumberFormatException e) {
                android.rms.iaware.AwareLog.e("RulePreRecog", "transScenceInfoToInteger occur exception, NumberFormatException !!");
                return null;
            }
        }
        return valueList;
    }

    public boolean isMatch(java.lang.Object... obj) {
        if (obj != null) {
            if (obj.length >= 1) {
                java.lang.Object processName = obj[0];
                if (processName == null || !(processName instanceof java.lang.String)) {
                    return false;
                }
                int appRecoType = android.rms.iaware.AppTypeRecoManager.getInstance().getAppType((java.lang.String) processName);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append((java.lang.String) processName);
                stringBuilder.append(" appRecoType is ");
                stringBuilder.append(appRecoType);
                android.rms.iaware.AwareLog.d("RulePreRecog", stringBuilder.toString());
                return this.mValueList.contains(java.lang.Integer.valueOf(appRecoType));
            }
        }
        return false;
    }

    public java.lang.String toString() {
        java.lang.StringBuilder s = new java.lang.StringBuilder();
        s.append("RulePreRecog, mItemValue : [ ");
        s.append(this.mItemValue);
        s.append(" ]");
        s.append(", TypeToMode : [ ");
        s.append(this.mValueList.toString());
        s.append(" ]");
        return s.toString();
    }
}
