package com.android.server.rms.iaware.dev;

public class ScreenOnWakelockSchedFeatureRT extends com.android.server.rms.iaware.dev.DevSchedFeatureBase {
    private static final java.lang.String CONFIG_IGNORE_WAKELOCK = "ignoreWakelock";
    private static final java.lang.String CONFIG_SCREENON_WAKELOCK = "screenOnWakelock";
    private static final java.lang.String ITEM_APP = "app";
    private static final java.lang.String ITEM_TAG = "tag";
    private static final java.lang.String TAG = "ScreenOnWakelockSchedFeatureRT";
    private static final java.lang.String TYPE_KEYWORD = "type";
    private android.content.Context mContext;
    private java.util.List<com.android.server.rms.iaware.dev.ScreenOnWakelockSchedFeatureRT.WakelockIgnoreInfo> mIgnoreWakelockList = new java.util.ArrayList();

    private static class WakelockIgnoreInfo {
        public java.lang.String mPkgName;
        public java.lang.String mTag;

        public WakelockIgnoreInfo(java.lang.String pkgName, java.lang.String tag) {
            this.mPkgName = pkgName;
            this.mTag = tag;
        }
    }

    public ScreenOnWakelockSchedFeatureRT(android.content.Context context, java.lang.String name) {
        super(context);
        this.mContext = context;
        loadScreenOnWakelockConfig();
    }

    public boolean handleUpdateCustConfig() {
        android.rms.iaware.AwareLog.d("ScreenOnWakelockSchedFeatureRT", "handleUpdateCustConfig!");
        this.mIgnoreWakelockList.clear();
        loadScreenOnWakelockConfig();
        return true;
    }

    public boolean handlerNaviStatus(boolean isInNavi) {
        return true;
    }

    private void parseSubItemList(java.util.List<android.rms.iaware.AwareConfig.SubItem> subItemList) {
        if (subItemList != null) {
            for (android.rms.iaware.AwareConfig.SubItem subItem : subItemList) {
                if (subItem != null) {
                    java.util.Map<java.lang.String, java.lang.String> properties = subItem.getProperties();
                    if (properties != null) {
                        java.lang.String app = (java.lang.String) properties.get("app");
                        if (app != null) {
                            if (!"".equals(app)) {
                                java.lang.String tag = (java.lang.String) properties.get("tag");
                                if (tag != null) {
                                    if (!"".equals(tag)) {
                                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                        stringBuilder.append("add wakelock ignore app ");
                                        stringBuilder.append(app);
                                        stringBuilder.append(" tag ");
                                        stringBuilder.append(tag);
                                        android.rms.iaware.AwareLog.d("ScreenOnWakelockSchedFeatureRT", stringBuilder.toString());
                                        this.mIgnoreWakelockList.add(new com.android.server.rms.iaware.dev.ScreenOnWakelockSchedFeatureRT.WakelockIgnoreInfo(app, tag));
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    private void loadScreenOnWakelockConfig() {
        java.util.List<android.rms.iaware.AwareConfig.Item> itemList = com.android.server.rms.iaware.dev.DevXmlConfig.getItemList("screenOnWakelock");
        if (itemList == null) {
            android.rms.iaware.AwareLog.i("ScreenOnWakelockSchedFeatureRT", "parse wakelock config error!");
            return;
        }
        for (android.rms.iaware.AwareConfig.Item item : itemList) {
            if (item != null) {
                java.util.Map<java.lang.String, java.lang.String> configPropertries = item.getProperties();
                if (configPropertries != null) {
                    if ("ignoreWakelock".equals((java.lang.String) configPropertries.get("type"))) {
                        java.util.List<android.rms.iaware.AwareConfig.SubItem> subItemList = item.getSubItemList();
                        if (subItemList != null) {
                            if (subItemList.size() != 0) {
                                parseSubItemList(subItemList);
                            }
                        }
                    }
                }
            }
        }
    }

    private boolean isIgnoreWakelock(java.lang.String pkgName, java.lang.String tag) {
        for (com.android.server.rms.iaware.dev.ScreenOnWakelockSchedFeatureRT.WakelockIgnoreInfo info : this.mIgnoreWakelockList) {
            if (info != null) {
                if (pkgName.equals(info.mPkgName) && ("*".equals(info.mTag) || tag.equals(info.mTag))) {
                    return true;
                }
            }
        }
        return false;
    }

    public boolean isAwarePreventWakelockScreenOn(java.lang.String pkgName, java.lang.String tag) {
        if (pkgName != null) {
            if (tag != null) {
                if (isIgnoreWakelock(pkgName, tag)) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("isAwarePreventWakelockScreenOn: pkg ");
                    stringBuilder.append(pkgName);
                    stringBuilder.append(" tag ");
                    stringBuilder.append(tag);
                    stringBuilder.append(" match ignore list");
                    android.rms.iaware.AwareLog.d("ScreenOnWakelockSchedFeatureRT", stringBuilder.toString());
                    return false;
                }
                int appAttr = android.rms.iaware.AppTypeRecoManager.getInstance().getAppAttribute(pkgName);
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("isAwarePreventWakelockScreenOn: get pkg ");
                stringBuilder2.append(pkgName);
                stringBuilder2.append(" tag ");
                stringBuilder2.append(tag);
                stringBuilder2.append(" APPAttribute ");
                stringBuilder2.append(appAttr);
                android.rms.iaware.AwareLog.d("ScreenOnWakelockSchedFeatureRT", stringBuilder2.toString());
                if (appAttr != -1 && (appAttr & 8) == 8) {
                    return true;
                }
                return false;
            }
        }
        android.rms.iaware.AwareLog.e("ScreenOnWakelockSchedFeatureRT", "isAwarePreventWakelockScreenOn: pkgName or tag is null!");
        return false;
    }
}
