package com.android.server.rms.iaware.feature;

public class APPHiberFeature extends com.android.server.rms.iaware.feature.RFeature {
    private static final java.lang.String TAG = "AppHiber_Feature";
    private com.android.server.rms.iaware.hiber.AppHibernateTask mAppHibernateTask;
    private com.android.server.rms.iaware.hiber.listener.ReportDataDispatch mReportDataDispatch;
    private final java.util.concurrent.atomic.AtomicBoolean mRunning = new java.util.concurrent.atomic.AtomicBoolean(false);

    public APPHiberFeature(android.content.Context context, android.rms.iaware.AwareConstant.FeatureType type, com.android.server.rms.iaware.IRDataRegister dataRegister) {
        super(context, type, dataRegister);
        if (this.mContext != null) {
            if (this.mIRDataRegister != null) {
                this.mReportDataDispatch = com.android.server.rms.iaware.hiber.listener.ReportDataDispatch.getInstance();
                this.mAppHibernateTask = com.android.server.rms.iaware.hiber.AppHibernateTask.getInstance();
                this.mAppHibernateTask.initBeforeCreate(context);
                return;
            }
        }
        android.rms.iaware.AwareLog.w("AppHiber_Feature", "mContext OR mIRDataRegister  is Null.");
    }

    public boolean reportData(android.rms.iaware.CollectData data) {
        boolean z = false;
        if (data == null) {
            android.rms.iaware.AwareLog.w("AppHiber_Feature", "data is null");
            return false;
        }
        int retInt = 0;
        if (this.mRunning.get()) {
            retInt = this.mReportDataDispatch.reportData(data);
        }
        if (retInt == 0) {
            z = true;
        }
        return z;
    }

    public boolean enable() {
        if (this.mContext != null) {
            if (this.mIRDataRegister != null) {
                this.mReportDataDispatch.start();
                this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RES_APP, this.mFeatureType);
                this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_ON, this.mFeatureType);
                this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_OFF, this.mFeatureType);
                this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RES_INPUT, this.mFeatureType);
                this.mAppHibernateTask.create();
                this.mRunning.set(true);
                return true;
            }
        }
        android.rms.iaware.AwareLog.w("AppHiber_Feature", "mContext OR mIRDataRegister  is Null.");
        return false;
    }

    public boolean disable() {
        if (this.mContext != null) {
            if (this.mIRDataRegister != null) {
                this.mAppHibernateTask.destory();
                this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RES_APP, this.mFeatureType);
                this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_ON, this.mFeatureType);
                this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_OFF, this.mFeatureType);
                this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RES_INPUT, this.mFeatureType);
                this.mReportDataDispatch.stop();
                this.mRunning.set(false);
                return true;
            }
        }
        android.rms.iaware.AwareLog.w("AppHiber_Feature", "mContext OR mIRDataRegister  is Null.");
        return false;
    }

    public java.util.ArrayList<android.rms.iaware.DumpData> getDumpData(int time) {
        if (this.mRunning.get()) {
            return this.mAppHibernateTask.getDumpData(time);
        }
        return null;
    }

    public java.util.ArrayList<android.rms.iaware.StatisticsData> getStatisticsData() {
        if (this.mRunning.get()) {
            return this.mAppHibernateTask.getStatisticsData();
        }
        return null;
    }
}
