package com.android.server.rms.iaware.feature;

public class APPMngFeature extends com.android.server.rms.iaware.feature.RFeature {
    private static final java.lang.String TAG = "APPMngFeature";
    private static java.util.concurrent.atomic.AtomicBoolean mIsInitialized = new java.util.concurrent.atomic.AtomicBoolean(false);

    public APPMngFeature(android.content.Context context, android.rms.iaware.AwareConstant.FeatureType type, com.android.server.rms.iaware.IRDataRegister dataRegister) {
        super(context, type, dataRegister);
        initConfig();
    }

    public boolean reportData(android.rms.iaware.CollectData data) {
        if (data == null) {
            return false;
        }
        android.os.Bundle bundle;
        if (data.getResId() == android.rms.iaware.AwareConstant.ResourceType.RESOURCE_APPASSOC.ordinal()) {
            bundle = data.getBundle();
            if (bundle == null) {
                return false;
            }
            if (isIAwareIIFeature(bundle)) {
                com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().report(bundle.getInt("relationType"), bundle);
            } else {
                com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().report(bundle.getInt("relationType"), bundle);
            }
            return true;
        } else if (data.getResId() == android.rms.iaware.AwareConstant.ResourceType.RESOURCE_USERHABIT.ordinal()) {
            return handleResourceUserHabit(data);
        } else {
            com.android.server.rms.iaware.appmng.AwareSceneRecognize sceneRec;
            if (data.getResId() == android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCENE_REC.ordinal()) {
                bundle = data.getBundle();
                if (bundle == null) {
                    return false;
                }
                sceneRec = com.android.server.rms.iaware.appmng.AwareSceneRecognize.getInstance();
                if (sceneRec != null) {
                    sceneRec.report(bundle.getInt("relationType"), bundle);
                }
                return true;
            } else if (data.getResId() == android.rms.iaware.AwareConstant.ResourceType.RES_APP.ordinal()) {
                sceneRec = com.android.server.rms.iaware.appmng.AwareSceneRecognize.getInstance();
                if (sceneRec != null) {
                    sceneRec.reportActivityStart(data);
                }
                return true;
            } else if (data.getResId() == android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_OFF.ordinal()) {
                com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().reportScreenChangedTime(android.os.SystemClock.elapsedRealtime());
                com.android.server.rms.algorithm.AwareUserHabit habit = com.android.server.rms.algorithm.AwareUserHabit.getInstance();
                if (habit != null) {
                    habit.reportScreenState(data.getResId());
                }
                com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().report(90011, new android.os.Bundle());
                return true;
            } else if (data.getResId() != android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_ON.ordinal()) {
                return false;
            } else {
                com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().report(20011, new android.os.Bundle());
                return true;
            }
        }
    }

    private boolean handleResourceUserHabit(android.rms.iaware.CollectData data) {
        android.os.Bundle bundle = data.getBundle();
        if (bundle == null) {
            return false;
        }
        com.android.server.rms.algorithm.AwareUserHabit habit = com.android.server.rms.algorithm.AwareUserHabit.getInstance();
        if (habit != null) {
            habit.report(bundle.getInt("install_app_update"), bundle);
        }
        com.android.server.rms.iaware.appmng.AwareIntelligentRecg intlRecg = com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance();
        if (intlRecg != null) {
            intlRecg.reportAppUpdate(bundle.getInt("install_app_update"), bundle);
        }
        com.android.server.rms.iaware.appmng.AwareFakeActivityRecg recgFakeActivity = com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.self();
        if (recgFakeActivity != null) {
            recgFakeActivity.reportAppUpdate(bundle.getInt("install_app_update"), bundle);
        }
        return true;
    }

    public boolean enable() {
        if (this.mIRDataRegister == null) {
            return false;
        }
        this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_APPASSOC, this.mFeatureType);
        this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_USERHABIT, this.mFeatureType);
        this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCENE_REC, this.mFeatureType);
        this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RES_APP, this.mFeatureType);
        this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_OFF, this.mFeatureType);
        this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_ON, this.mFeatureType);
        com.android.server.mtm.iaware.appmng.AwareAppMngSort.enable();
        com.android.server.rms.iaware.appmng.AwareAppAssociate.enable();
        com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.enable(this.mContext);
        com.android.server.rms.algorithm.AwareUserHabit.enable();
        com.android.server.rms.iaware.appmng.AwareDefaultConfigList.enable(this.mContext);
        return true;
    }

    public boolean disable() {
        if (this.mIRDataRegister == null) {
            return false;
        }
        this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_APPASSOC, this.mFeatureType);
        this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_USERHABIT, this.mFeatureType);
        this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCENE_REC, this.mFeatureType);
        this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RES_APP, this.mFeatureType);
        this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_OFF, this.mFeatureType);
        this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_ON, this.mFeatureType);
        com.android.server.mtm.iaware.appmng.AwareAppMngSort.disable();
        com.android.server.rms.iaware.appmng.AwareAppAssociate.disable();
        com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.disable();
        com.android.server.rms.iaware.appmng.AwareDefaultConfigList.disable();
        com.android.server.rms.algorithm.AwareUserHabit.disable();
        return true;
    }

    public java.lang.String saveBigData(boolean clear) {
        if (com.android.server.mtm.iaware.appmng.AwareAppMngSort.checkAppMngEnable()) {
            return com.android.server.rms.iaware.appmng.AwareAppMngDFX.getInstance().getAppMngDfxData(clear);
        }
        return null;
    }

    public boolean configUpdate() {
        return updateHabitConfig();
    }

    private boolean updateHabitConfig() {
        android.os.Bundle bdl = new android.os.Bundle();
        bdl.putInt("install_app_update", 4);
        com.android.server.rms.algorithm.AwareUserHabit habit = com.android.server.rms.algorithm.AwareUserHabit.getInstance();
        if (habit == null) {
            return false;
        }
        habit.report(4, bdl);
        return true;
    }

    private void initConfig() {
        if (!mIsInitialized.get()) {
            mIsInitialized.set(true);
            com.android.server.rms.iaware.appmng.AppMngConfig.init();
            com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().updateRule(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_CLEAN, this.mContext);
        }
    }

    private boolean isIAwareIIFeature(android.os.Bundle bundle) {
        boolean z = true;
        switch (bundle.getInt("relationType")) {
            case 8:
            case 9:
            case 27:
                if (bundle.getInt("windowtype") != 45) {
                    z = false;
                }
                return z;
            case 17:
            case 19:
            case 20:
            case 22:
            case 28:
            case 29:
                return true;
            default:
                return false;
        }
    }
}
