package com.android.server.rms.iaware.feature;

public class AppFakeFeature extends com.android.server.rms.iaware.feature.RFeature {
    private static final int BASE_VERSION = 1;
    private static final int MIN_VERSION = 2;
    private static final java.lang.String TAG = "AppFakeFeature";
    private int mIAwareVersion = 1;

    public AppFakeFeature(android.content.Context context, android.rms.iaware.AwareConstant.FeatureType type, com.android.server.rms.iaware.IRDataRegister dataRegister) {
        super(context, type, dataRegister);
    }

    public boolean reportData(android.rms.iaware.CollectData data) {
        return false;
    }

    public java.lang.String getBigDataByVersion(int iawareVer, boolean forBeta, boolean clearData) {
        if (iawareVer >= 2) {
            return com.android.server.rms.iaware.srms.SRMSDumpRadar.getInstance().getFakeBigData(forBeta, clearData);
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("bigdata is not support, iawareVer=");
        stringBuilder.append(iawareVer);
        android.rms.iaware.AwareLog.e("AppFakeFeature", stringBuilder.toString());
        return null;
    }

    public boolean enable() {
        return false;
    }

    public boolean disable() {
        if (this.mIAwareVersion < 2) {
            return false;
        }
        com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.commDisable();
        return true;
    }

    public boolean enableFeatureEx(int realVersion) {
        this.mIAwareVersion = realVersion;
        if (realVersion < 2) {
            return false;
        }
        android.rms.iaware.AwareLog.i("AppFakeFeature", "AppFakeFeature enableFeatureEx");
        com.android.server.rms.iaware.appmng.AwareFakeActivityRecg.commEnable();
        return true;
    }
}
