package com.android.server.rms.iaware.feature;

public class BlitParallelFeature extends com.android.server.rms.iaware.feature.RFeature {
    private static final int BASE_VERSION = 3;
    private static final java.lang.String TAG = "BlitParallelFeature";

    public BlitParallelFeature(android.content.Context context, android.rms.iaware.AwareConstant.FeatureType type, com.android.server.rms.iaware.IRDataRegister dataRegister) {
        super(context, type, dataRegister);
    }

    public boolean reportData(android.rms.iaware.CollectData data) {
        return false;
    }

    public boolean enable() {
        android.rms.iaware.AwareLog.i("BlitParallelFeature", "enable failed! feature based on IAware2.0, enable() method should not be called!");
        return false;
    }

    public boolean disable() {
        android.rms.iaware.AwareLog.i("BlitParallelFeature", "disable iaware BlitParallel feature!");
        android.os.SystemProperties.set("persist.sys.iaware.blitparallel", "false");
        return true;
    }

    public boolean enableFeatureEx(int realVersion) {
        if (realVersion < 3) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("enableFeatureEx failed, realVersion: ");
            stringBuilder.append(realVersion);
            stringBuilder.append(", blitparallel baseVersion: ");
            stringBuilder.append(3);
            android.rms.iaware.AwareLog.i("BlitParallelFeature", stringBuilder.toString());
            android.os.SystemProperties.set("persist.sys.iaware.blitparallel", "false");
            return false;
        }
        android.rms.iaware.AwareLog.i("BlitParallelFeature", "enableFeatureEx iaware blitparallel feature!");
        android.os.SystemProperties.set("persist.sys.iaware.blitparallel", "true");
        return true;
    }
}
