package com.android.server.rms.iaware.feature;

public class DevSchedFeatureRT extends com.android.server.rms.iaware.feature.RFeature {
    private static final int BASE_VERSION2 = 2;
    private static final int BASE_VERSION3 = 3;
    private static final java.lang.String BLE_FEATURE = "ble";
    private static final java.lang.String DISABLE_VALUE = "0";
    private static final int DUMP_WIFI_ARG_LENGTH = 4;
    public static final int DUMP_WIFI_ARG_LENGTH_STEP = 2;
    private static final java.lang.String ENABLE_VALUE = "1";
    private static final java.lang.String GPS_FEATURE = "gps";
    private static final java.lang.String LCD_FEATURE = "lcd";
    private static final java.lang.String MODEM_FEATURE = "modem";
    private static final int MSG_NAVI_STATUS = 4;
    private static final int MSG_REPORT_DATA = 1;
    private static final int MSG_UPDATE_CONFIG = 2;
    private static final java.lang.String TAG = "DevSchedFeatureRT";
    private static final java.lang.String WAKELOCK_FEATURE = "wakelock";
    private static final java.lang.String WIFI_DUMPSYS_PARAM = "--test-dev-wifi";
    private static final java.lang.String WIFI_FEATURE = "wifi";
    private static final java.util.concurrent.atomic.AtomicBoolean mRunning = new java.util.concurrent.atomic.AtomicBoolean(false);
    private static final java.util.Map<java.lang.String, java.lang.Class<?>> mSubFeatureObj = new android.util.ArrayMap();
    private static final java.util.Map<java.lang.String, com.android.server.rms.iaware.dev.DevSchedFeatureBase> mSubFeatureObjMap = new android.util.ArrayMap();
    private com.android.server.rms.iaware.feature.DevSchedFeatureRT.AwareStateCallback mAwareStateCallback = null;
    private android.content.Context mContext = null;
    private com.android.server.rms.iaware.feature.DevSchedFeatureRT.DevSchedHandler mDevSchedHandler = null;
    private final java.util.Map<java.lang.String, java.lang.String> mSubFeatureSwitch = new android.util.ArrayMap();

    private class DevSchedHandler extends android.os.Handler {
        private DevSchedHandler() {
        }

        public void handleMessage(android.os.Message msg) {
            if (!com.android.server.rms.iaware.feature.DevSchedFeatureRT.mRunning.get()) {
                android.rms.iaware.AwareLog.i("DevSchedFeatureRT", "DevSchedHandler, feature mRunning is false, return!");
            } else if (msg == null) {
                android.rms.iaware.AwareLog.e("DevSchedFeatureRT", "DevSchedHandler, msg is null, error!");
            } else {
                int i = msg.what;
                if (i != 4) {
                    switch (i) {
                        case 1:
                            if (msg.obj instanceof android.rms.iaware.CollectData) {
                                com.android.server.rms.iaware.feature.DevSchedFeatureRT.this.handlerReportData(msg.obj);
                                break;
                            }
                            return;
                        case 2:
                            com.android.server.rms.iaware.feature.DevSchedFeatureRT.this.handlerUpdateCustConfig();
                            break;
                        default:
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("DevSchedHandler, default branch, msg.what is ");
                            stringBuilder.append(msg.what);
                            android.rms.iaware.AwareLog.i("DevSchedFeatureRT", stringBuilder.toString());
                            return;
                    }
                }
                com.android.server.rms.iaware.feature.DevSchedFeatureRT.this.handlerNaviStatus(msg.arg1);
            }
        }
    }

    private class AwareStateCallback implements com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.IAwareStateCallback {
        private AwareStateCallback() {
        }

        public void onStateChanged(int stateType, int eventType, int pid, int uid) {
            if (com.android.server.rms.iaware.feature.DevSchedFeatureRT.mRunning.get()) {
                if (com.android.server.rms.iaware.feature.DevSchedFeatureRT.this.mDevSchedHandler != null) {
                    if (stateType == 3) {
                        android.os.Message msg = android.os.Message.obtain();
                        msg.what = 4;
                        msg.arg1 = eventType;
                        com.android.server.rms.iaware.feature.DevSchedFeatureRT.this.mDevSchedHandler.sendMessage(msg);
                        return;
                    }
                    return;
                }
            }
            android.rms.iaware.AwareLog.i("DevSchedFeatureRT", "DevSchedHandler, feature mRunning is false, return!");
        }
    }

    static {
        mSubFeatureObj.put("gps", com.android.server.rms.iaware.dev.GpsSchedFeatureRT.class);
        mSubFeatureObj.put("lcd", com.android.server.rms.iaware.dev.LCDSchedFeatureRT.class);
    }

    public DevSchedFeatureRT(android.content.Context context, android.rms.iaware.AwareConstant.FeatureType featureType, com.android.server.rms.iaware.IRDataRegister dataRegister) {
        super(context, featureType, dataRegister);
        this.mContext = context;
        this.mDevSchedHandler = new com.android.server.rms.iaware.feature.DevSchedFeatureRT.DevSchedHandler();
        android.rms.iaware.AwareLog.d("DevSchedFeatureRT", "create DevSchedFeatureRT success.");
    }

    public boolean enableFeatureEx(int realVersion) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("enableFeatureEx realVersion=");
        stringBuilder.append(realVersion);
        android.rms.iaware.AwareLog.d("DevSchedFeatureRT", stringBuilder.toString());
        if (realVersion >= 3) {
            enableIAware3();
        } else if (realVersion >= 2) {
            enableIAware2();
        } else {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("enableFeatureEx failed, realVersion: ");
            stringBuilder.append(realVersion);
            android.rms.iaware.AwareLog.i("DevSchedFeatureRT", stringBuilder.toString());
            return false;
        }
        mRunning.set(true);
        return true;
    }

    private void enableIAware2() {
        com.android.server.rms.iaware.dev.DevXmlConfig.loadSubFeatureSwitch(this.mSubFeatureSwitch);
        createEnabledSubFeature(mSubFeatureObjMap);
        com.android.server.rms.iaware.dev.PhoneStatusRecong.getInstance().connectService(this.mContext);
        subscribleEvents();
        registerStateCallback();
        android.rms.iaware.AwareLog.d("DevSchedFeatureRT", "enableIAware2 SUCCESS");
    }

    private void enableIAware3() {
        mSubFeatureObj.put("wifi", com.android.server.rms.iaware.dev.NetLocationSchedFeatureRT.class);
        mSubFeatureObj.put("modem", com.android.server.rms.iaware.dev.NetLocationSchedFeatureRT.class);
        mSubFeatureObj.put("ble", com.android.server.rms.iaware.dev.BLESchedFeatureRT.class);
        mSubFeatureObj.put("wakelock", com.android.server.rms.iaware.dev.ScreenOnWakelockSchedFeatureRT.class);
        enableIAware2();
        android.rms.iaware.AwareLog.d("DevSchedFeatureRT", "enableIAware3 SUCCESS");
    }

    public boolean enable() {
        android.rms.iaware.AwareLog.d("DevSchedFeatureRT", "DevSchedFeatureRT, enable.");
        return false;
    }

    public boolean disable() {
        android.rms.iaware.AwareLog.d("DevSchedFeatureRT", "DevSchedFeatureRT, disable.");
        mRunning.set(false);
        unregisterStateCallback();
        unSubscribeEvents();
        com.android.server.rms.iaware.dev.PhoneStatusRecong.getInstance().disconnectService();
        return true;
    }

    public boolean reportData(android.rms.iaware.CollectData data) {
        android.os.Message msg = android.os.Message.obtain();
        msg.what = 1;
        msg.obj = data;
        this.mDevSchedHandler.sendMessage(msg);
        return true;
    }

    public boolean custConfigUpdate() {
        this.mDevSchedHandler.sendEmptyMessage(2);
        return true;
    }

    private void subscribleEvents() {
        if (this.mIRDataRegister != null) {
            this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RES_APP, this.mFeatureType);
            this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_ON, this.mFeatureType);
            this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_OFF, this.mFeatureType);
        }
    }

    private void unSubscribeEvents() {
        if (this.mIRDataRegister != null) {
            this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RES_APP, this.mFeatureType);
            this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_ON, this.mFeatureType);
            this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_OFF, this.mFeatureType);
        }
    }

    private void createEnabledSubFeature(java.util.Map<java.lang.String, com.android.server.rms.iaware.dev.DevSchedFeatureBase> subFeatureObjMap) {
        if (subFeatureObjMap != null) {
            subFeatureObjMap.clear();
            if (mSubFeatureObj.size() != 0) {
                for (java.util.Map.Entry<java.lang.String, java.lang.Class<?>> entry : mSubFeatureObj.entrySet()) {
                    if (entry != null) {
                        java.lang.String subFeature = (java.lang.String) entry.getKey();
                        if (subFeature != null) {
                            if (isSubFeatureEnable(subFeature)) {
                                java.lang.Class<?> classObj = (java.lang.Class) entry.getValue();
                                if (classObj != null) {
                                    try {
                                        subFeatureObjMap.put(subFeature, (com.android.server.rms.iaware.dev.DevSchedFeatureBase) classObj.getConstructors()[0].newInstance(new java.lang.Object[]{this.mContext, subFeature}));
                                    } catch (java.lang.IllegalArgumentException e) {
                                        android.rms.iaware.AwareLog.e("DevSchedFeatureRT", "createEnabledSubFeature IllegalArgumentException");
                                    } catch (java.lang.IllegalAccessException e2) {
                                        android.rms.iaware.AwareLog.e("DevSchedFeatureRT", "createEnabledSubFeature IllegalAccessException");
                                    } catch (java.lang.InstantiationException e3) {
                                        android.rms.iaware.AwareLog.e("DevSchedFeatureRT", "createEnabledSubFeature InstantiationException");
                                    } catch (java.lang.reflect.InvocationTargetException e4) {
                                        android.rms.iaware.AwareLog.e("DevSchedFeatureRT", "createEnabledSubFeature InvocationTargetException");
                                    } catch (java.lang.ArrayIndexOutOfBoundsException e5) {
                                        android.rms.iaware.AwareLog.e("DevSchedFeatureRT", "createEnabledSubFeature ArrayIndexOutOfBoundsException");
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    private boolean isSubFeatureEnable(java.lang.String subFeature) {
        if (subFeature != null) {
            if (!subFeature.isEmpty()) {
                if ("1".equals((java.lang.String) this.mSubFeatureSwitch.get(subFeature))) {
                    return true;
                }
                return false;
            }
        }
        return false;
    }

    private void handlerReportData(android.rms.iaware.CollectData data) {
        if (data != null) {
            long timestamp = data.getTimeStamp();
            android.rms.iaware.AwareConstant.ResourceType type = android.rms.iaware.AwareConstant.ResourceType.getResourceType(data.getResId());
            if (type == android.rms.iaware.AwareConstant.ResourceType.RES_APP) {
                java.lang.String eventData = data.getData();
                com.android.server.rms.iaware.memory.data.content.AttrSegments.Builder builder = new com.android.server.rms.iaware.memory.data.content.AttrSegments.Builder();
                builder.addCollectData(eventData);
                com.android.server.rms.iaware.memory.data.content.AttrSegments attrSegments = builder.build();
                if (attrSegments.isValid()) {
                    for (com.android.server.rms.iaware.dev.DevSchedFeatureBase subFeatureObj : mSubFeatureObjMap.values()) {
                        if (subFeatureObj != null) {
                            subFeatureObj.handleResAppData(timestamp, attrSegments.getEvent().intValue(), attrSegments);
                        }
                    }
                } else {
                    android.rms.iaware.AwareLog.e("DevSchedFeatureRT", "Invalid collectData, or event");
                }
            } else if (type == android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_ON || type == android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_OFF) {
                com.android.server.rms.iaware.dev.DevSchedFeatureBase.setScreenState(type == android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_ON ? com.android.server.rms.iaware.dev.DevSchedFeatureBase.ScreenState.ScreenOn : com.android.server.rms.iaware.dev.DevSchedFeatureBase.ScreenState.ScreenOff);
                for (com.android.server.rms.iaware.dev.DevSchedFeatureBase subFeatureObj2 : mSubFeatureObjMap.values()) {
                    if (subFeatureObj2 != null) {
                        subFeatureObj2.handScreenStateChange(type == android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_ON ? com.android.server.rms.iaware.dev.DevSchedFeatureBase.ScreenState.ScreenOn : com.android.server.rms.iaware.dev.DevSchedFeatureBase.ScreenState.ScreenOff);
                    }
                }
            }
        }
    }

    private void handlerUpdateCustConfig() {
        for (com.android.server.rms.iaware.dev.DevSchedFeatureBase subFeatureObj : mSubFeatureObjMap.values()) {
            if (subFeatureObj != null) {
                subFeatureObj.handleUpdateCustConfig();
            }
        }
    }

    private void handlerNaviStatus(int eventType) {
        boolean isInNavi = true;
        if (1 != eventType) {
            isInNavi = false;
        }
        for (com.android.server.rms.iaware.dev.DevSchedFeatureBase subFeatureObj : mSubFeatureObjMap.values()) {
            if (subFeatureObj != null) {
                subFeatureObj.handlerNaviStatus(isInNavi);
            }
        }
    }

    public static android.rms.iaware.NetLocationStrategy getNetLocationStrategy(java.lang.String pkgName, int uid, int type) {
        if (mRunning.get()) {
            java.lang.String feature;
            switch (type) {
                case 1:
                    feature = "wifi";
                    break;
                case 2:
                    feature = "modem";
                    break;
                default:
                    android.rms.iaware.AwareLog.i("DevSchedFeatureRT", "getNetLocationStrategy, Wrong Location type, return!");
                    return null;
            }
            com.android.server.rms.iaware.dev.DevSchedFeatureBase netLocationFeature = (com.android.server.rms.iaware.dev.DevSchedFeatureBase) mSubFeatureObjMap.get(feature);
            java.lang.StringBuilder stringBuilder;
            if (netLocationFeature == null) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("netLocationFeature is null. feature:");
                stringBuilder.append(feature);
                android.rms.iaware.AwareLog.i("DevSchedFeatureRT", stringBuilder.toString());
                return null;
            } else if (netLocationFeature instanceof com.android.server.rms.iaware.dev.NetLocationSchedFeatureRT) {
                return ((com.android.server.rms.iaware.dev.NetLocationSchedFeatureRT) netLocationFeature).getNetLocationStrategy(pkgName, uid);
            } else {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("netLocationFeature is not obj of NetLocationSchedFeatureRT, wifiFeature : ");
                stringBuilder.append(netLocationFeature.getClass().getName());
                android.rms.iaware.AwareLog.i("DevSchedFeatureRT", stringBuilder.toString());
                return null;
            }
        }
        android.rms.iaware.AwareLog.i("DevSchedFeatureRT", "getNetLocationStrategy, mRunning is false, return!");
        return null;
    }

    public static boolean isAwarePreventWakelockScreenOn(java.lang.String pkgName, java.lang.String tag) {
        if (mRunning.get()) {
            com.android.server.rms.iaware.dev.DevSchedFeatureBase wakelockFeature = (com.android.server.rms.iaware.dev.DevSchedFeatureBase) mSubFeatureObjMap.get("wakelock");
            if (wakelockFeature == null) {
                android.rms.iaware.AwareLog.i("DevSchedFeatureRT", "wakelockFeature is null.");
                return false;
            } else if (wakelockFeature instanceof com.android.server.rms.iaware.dev.ScreenOnWakelockSchedFeatureRT) {
                return ((com.android.server.rms.iaware.dev.ScreenOnWakelockSchedFeatureRT) wakelockFeature).isAwarePreventWakelockScreenOn(pkgName, tag);
            } else {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("wakelockFeature is not obj of ScreenOnWakelockSchedFeatureRT, wakelockFeature : ");
                stringBuilder.append(wakelockFeature.getClass().getName());
                android.rms.iaware.AwareLog.i("DevSchedFeatureRT", stringBuilder.toString());
                return false;
            }
        }
        android.rms.iaware.AwareLog.i("DevSchedFeatureRT", "isAwarePreventWakelockScreenOn, mRunning is false, return!");
        return false;
    }

    public static int getAppTypeForLCD(java.lang.String pkgName) {
        if (mRunning.get()) {
            com.android.server.rms.iaware.dev.DevSchedFeatureBase lcdFeature = (com.android.server.rms.iaware.dev.DevSchedFeatureBase) mSubFeatureObjMap.get("lcd");
            if (lcdFeature == null) {
                android.rms.iaware.AwareLog.i("DevSchedFeatureRT", "lcdFeature is null.");
                return 255;
            } else if (lcdFeature instanceof com.android.server.rms.iaware.dev.LCDSchedFeatureRT) {
                return ((com.android.server.rms.iaware.dev.LCDSchedFeatureRT) lcdFeature).getAppType(pkgName);
            } else {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("lcdFeature is not obj of LCDSchedFeatureRT, lcdFeature : ");
                stringBuilder.append(lcdFeature.getClass().getName());
                android.rms.iaware.AwareLog.i("DevSchedFeatureRT", stringBuilder.toString());
                return 255;
            }
        }
        android.rms.iaware.AwareLog.i("DevSchedFeatureRT", "getAppTypeForLCD, mRunning is false, return!");
        return 255;
    }

    public static final boolean doDumpsys(com.android.server.rms.iaware.feature.RFeature feature, java.io.FileDescriptor fd, java.io.PrintWriter pw, java.lang.String[] args) {
        if (mRunning.get()) {
            boolean isValidParam = args != null && args.length > 0 && feature != null && (feature instanceof com.android.server.rms.iaware.feature.DevSchedFeatureRT);
            if (!isValidParam) {
                return false;
            }
            if ("--test-dev-wifi".equals(args[0])) {
                doDumpsysWifi(args);
            }
            return true;
        }
        android.rms.iaware.AwareLog.i("DevSchedFeatureRT", "doDumpsys, mRunning is false, return!");
        return false;
    }

    private static void doDumpsysWifi(java.lang.String[] args) {
        if (args == null) {
            return;
        }
        if (args.length == 4 || args.length == 6) {
            com.android.server.rms.iaware.dev.PhoneStatusRecong.getInstance().doDumpsys(args);
        }
    }

    private void registerStateCallback() {
        if (this.mAwareStateCallback == null) {
            this.mAwareStateCallback = new com.android.server.rms.iaware.feature.DevSchedFeatureRT.AwareStateCallback();
            com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance().registerStateCallback(this.mAwareStateCallback, 3);
        }
    }

    private void unregisterStateCallback() {
        if (this.mAwareStateCallback != null) {
            com.android.server.rms.iaware.appmng.AwareAppKeyBackgroup.getInstance().unregisterStateCallback(this.mAwareStateCallback, 3);
            this.mAwareStateCallback = null;
        }
    }

    public static void registerDevModeMethod(int deviceId, android.rms.iaware.IDeviceSettingCallback callback, android.os.Bundle args) {
        if (mRunning.get()) {
            com.android.server.rms.iaware.dev.DevSchedCallbackManager.getInstance().registerDevModeMethod(deviceId, callback, args);
        } else {
            android.rms.iaware.AwareLog.i("DevSchedFeatureRT", "registerDevModeMethod, mRunning is false, return!");
        }
    }

    public static void unregisterDevModeMethod(int deviceId, android.rms.iaware.IDeviceSettingCallback callback, android.os.Bundle args) {
        if (mRunning.get()) {
            com.android.server.rms.iaware.dev.DevSchedCallbackManager.getInstance().unregisterDevModeMethod(deviceId, callback, args);
        } else {
            android.rms.iaware.AwareLog.i("DevSchedFeatureRT", "unregisterDevModeMethod, mRunning is false, return!");
        }
    }

    public static boolean checkDeviceIdAvailable(int deviceId) {
        if (!mRunning.get()) {
            android.rms.iaware.AwareLog.i("DevSchedFeatureRT", "checkDeviceIdAvailable, mRunning is false, return!");
            return false;
        } else if (getDeviceObjById(deviceId) == null) {
            return false;
        } else {
            return true;
        }
    }

    public static void sendCurrentDeviceMode(int deviceId) {
        if (mRunning.get()) {
            com.android.server.rms.iaware.dev.DevSchedFeatureBase deviceObj = getDeviceObjById(deviceId);
            if (deviceObj == null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("sendCurrentDeviceMode, no deviceObj for deviceId:");
                stringBuilder.append(deviceId);
                android.rms.iaware.AwareLog.i("DevSchedFeatureRT", stringBuilder.toString());
                return;
            }
            deviceObj.sendCurrentDeviceMode();
            return;
        }
        android.rms.iaware.AwareLog.i("DevSchedFeatureRT", "sendCurrentDeviceMode, mRunning is false, return!");
    }

    private static com.android.server.rms.iaware.dev.DevSchedFeatureBase getDeviceObjById(int deviceId) {
        if (-1 == deviceId) {
            return null;
        }
        for (com.android.server.rms.iaware.dev.DevSchedFeatureBase subFeatureObj : mSubFeatureObjMap.values()) {
            if (subFeatureObj != null) {
                if (subFeatureObj.getDeviceId() == deviceId) {
                    return subFeatureObj;
                }
            }
        }
        return null;
    }
}
