package com.android.server.rms.iaware.feature;

public class IOFeature extends com.android.server.rms.iaware.feature.RFeature {
    private static final int DISABLE_IOFEATUE = 0;
    private static final int ENABLE_IOFEATUE = 1;
    private static final int MSB_IO_BASE_VALUE = 200;
    private static final int MSG_IO_SWITCH = 201;
    private static final java.lang.String TAG = "IOFeature";

    public IOFeature(android.content.Context context, android.rms.iaware.AwareConstant.FeatureType type, com.android.server.rms.iaware.IRDataRegister dataRegister) {
        super(context, type, dataRegister);
    }

    public boolean reportData(android.rms.iaware.CollectData data) {
        return false;
    }

    public boolean enable() {
        setIOSwitch(true);
        android.rms.iaware.AwareLog.d("IOFeature", "IOFeature enabled");
        return true;
    }

    public boolean disable() {
        setIOSwitch(false);
        android.rms.iaware.AwareLog.d("IOFeature", "IOFeature  disable");
        return true;
    }

    private void sendPacket(java.nio.ByteBuffer buffer) {
        if (buffer == null) {
            android.rms.iaware.AwareLog.e("IOFeature", "sendPacket ByteBuffer null!");
        } else {
            android.rms.iaware.IAwaredConnection.getInstance().sendPacket(buffer.array(), 0, buffer.position());
        }
    }

    private void setIOSwitch(boolean isEnable) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setIOSwitch switch = ");
        stringBuilder.append(isEnable);
        android.rms.iaware.AwareLog.d("IOFeature", stringBuilder.toString());
        java.nio.ByteBuffer buffer = java.nio.ByteBuffer.allocate(8);
        buffer.putInt(201);
        buffer.putInt(isEnable);
        sendPacket(buffer);
    }
}
