package com.android.server.rms.iaware.feature;

public class IOLimitFeature {
    private static final int MAX_TRANSFER_NUM = 30;
    static final int MSG_IO_BASE_VALUE = 200;
    static final int MSG_IO_LIMIT_REMOVE_ALL = 213;
    static final int MSG_IO_LIMIT_REMOVE_TASK = 212;
    static final int MSG_IO_LIMIT_SET_TASK = 211;
    static final int MSG_IO_LIMIT_SWITCHING = 210;
    private static final int NUMBER_OF_INT = 80;
    private static final int SIZE_OF_INT = 4;
    private static final java.lang.String TAG = "IoLimit";
    private static com.android.server.rms.iaware.feature.IOLimitFeature mInstance = null;
    private final java.lang.Object lock = new java.lang.Object();

    public static com.android.server.rms.iaware.feature.IOLimitFeature getInstance() {
        synchronized (com.android.server.rms.iaware.feature.IOLimitFeature.class) {
            com.android.server.rms.iaware.feature.IOLimitFeature iOLimitFeature;
            if (mInstance == null) {
                mInstance = new com.android.server.rms.iaware.feature.IOLimitFeature();
                iOLimitFeature = mInstance;
                return iOLimitFeature;
            }
            iOLimitFeature = mInstance;
            return iOLimitFeature;
        }
    }

    public boolean enable(com.android.server.rms.iaware.feature.IOLimitGroup groupType) {
        return setIoLimitSwitch(groupType, 1);
    }

    public boolean disable(com.android.server.rms.iaware.feature.IOLimitGroup groupType) {
        return setIoLimitSwitch(groupType, 0);
    }

    public boolean setIoLimitTaskList(com.android.server.rms.iaware.feature.IOLimitGroup groupType, java.util.Map<java.lang.Integer, java.lang.Integer> pidList) {
        if (pidList != null) {
            if (!pidList.isEmpty()) {
                boolean res = true;
                int index = 0;
                int mapsize = pidList.size();
                java.util.Map<java.lang.Integer, java.lang.Integer> pidSend = new java.util.HashMap();
                java.util.Iterator keyValuePairs = pidList.entrySet().iterator();
                for (int i = 0; i < mapsize; i++) {
                    java.util.Map.Entry<java.lang.Integer, java.lang.Integer> entry = (java.util.Map.Entry) keyValuePairs.next();
                    pidSend.put((java.lang.Integer) entry.getKey(), (java.lang.Integer) entry.getValue());
                    index++;
                    if (30 == index) {
                        res &= set2Daemon(groupType, pidSend);
                        index = 0;
                        pidSend.clear();
                    }
                }
                return res & set2Daemon(groupType, pidSend);
            }
        }
        return true;
    }

    public boolean removeIoLimitTaskList(java.util.ArrayList<java.lang.Integer> pidList) {
        if (pidList != null) {
            if (!pidList.isEmpty()) {
                boolean res = true;
                int index = 0;
                java.util.ArrayList<java.lang.Integer> pidSend = new java.util.ArrayList();
                int size = pidList.size();
                for (int i = 0; i < size; i++) {
                    index++;
                    pidSend.add((java.lang.Integer) pidList.get(i));
                    if (30 == index) {
                        res &= removeFromDaemon(pidSend);
                        index = 0;
                        pidSend.clear();
                    }
                }
                return res & removeFromDaemon(pidSend);
            }
        }
        return true;
    }

    private boolean set2Daemon(com.android.server.rms.iaware.feature.IOLimitGroup groupType, java.util.Map<java.lang.Integer, java.lang.Integer> pidList) {
        if (pidList != null) {
            if (!pidList.isEmpty()) {
                int gtype = getGroupTypeCode(groupType);
                int size = pidList.size();
                java.nio.ByteBuffer buffer = java.nio.ByteBuffer.allocate(320);
                buffer.putInt(211);
                buffer.putInt(gtype);
                buffer.putInt(size);
                java.util.Iterator keyValuePairs = pidList.entrySet().iterator();
                for (int i = 0; i < size; i++) {
                    java.util.Map.Entry<java.lang.Integer, java.lang.Integer> entry = (java.util.Map.Entry) keyValuePairs.next();
                    java.lang.Integer value = (java.lang.Integer) entry.getValue();
                    buffer.putInt(((java.lang.Integer) entry.getKey()).intValue());
                    buffer.putInt(value.intValue());
                }
                boolean res = sendPacket(buffer.array());
                if (!res) {
                    android.rms.iaware.AwareLog.e("IoLimit", "Failed to set task");
                }
                return res;
            }
        }
        return true;
    }

    public boolean setIoLimitTaskList(com.android.server.rms.iaware.feature.IOLimitGroup groupType, java.util.Map<java.lang.Integer, java.lang.Integer> pidList, boolean removeExisted) {
        boolean ioLimitTaskList;
        synchronized (this.lock) {
            if (removeExisted) {
                try {
                    removeOneGroupPID(groupType);
                } catch (Throwable th) {
                }
            }
            ioLimitTaskList = setIoLimitTaskList(groupType, pidList);
        }
        return ioLimitTaskList;
    }

    private boolean removeFromDaemon(java.util.ArrayList<java.lang.Integer> pidList) {
        if (pidList != null) {
            if (!pidList.isEmpty()) {
                int size = pidList.size();
                java.nio.ByteBuffer buffer = java.nio.ByteBuffer.allocate(320);
                buffer.putInt(212);
                buffer.putInt(size);
                for (int i = 0; i < size; i++) {
                    buffer.putInt(((java.lang.Integer) pidList.get(i)).intValue());
                }
                boolean res = sendPacket(buffer.array());
                if (!res) {
                    android.rms.iaware.AwareLog.e("IoLimit", "Failed to remove task");
                }
                return res;
            }
        }
        return true;
    }

    private boolean sendPacket(byte[] msg) {
        return android.rms.iaware.IAwaredConnection.getInstance().sendPacket(msg);
    }

    public boolean removeIoLimitTask(int pid) {
        java.util.ArrayList<java.lang.Integer> pidList = new java.util.ArrayList();
        pidList.add(java.lang.Integer.valueOf(pid));
        return removeIoLimitTaskList(pidList);
    }

    private boolean setIoLimitSwitch(com.android.server.rms.iaware.feature.IOLimitGroup groupType, int policy) {
        int gtype = getGroupTypeCode(groupType);
        java.nio.ByteBuffer buffer = java.nio.ByteBuffer.allocate(320);
        buffer.putInt(210);
        buffer.putInt(gtype);
        buffer.putInt(policy);
        boolean res = sendPacket(buffer.array());
        if (!res) {
            android.rms.iaware.AwareLog.e("IoLimit", "Failed to set switch");
        }
        return res;
    }

    public boolean removeOneGroupPID(com.android.server.rms.iaware.feature.IOLimitGroup groupType) {
        int gtype = getGroupTypeCode(groupType);
        java.nio.ByteBuffer buffer = java.nio.ByteBuffer.allocate(320);
        buffer.putInt(213);
        buffer.putInt(gtype);
        boolean res = sendPacket(buffer.array());
        if (!res) {
            android.rms.iaware.AwareLog.e("IoLimit", "Failed to set switch");
        }
        return res;
    }

    private int getGroupTypeCode(com.android.server.rms.iaware.feature.IOLimitGroup groupType) {
        switch (groupType) {
            case LIGHT:
                return 0;
            case HEAVY:
                return 1;
            default:
                return 0;
        }
    }
}
