package com.android.server.rms.iaware.feature;

public class NetworkFeature extends com.android.server.rms.iaware.feature.RFeature {
    private static final int BASE_VERSION = 2;
    private static final int DISABLE_NetworkFEATUE = 0;
    private static final int ENABLE_NetworkFEATUE = 1;
    private static final int MSG_NET_BASE_VALUE = 400;
    private static final int MSG_NET_TCP_SWITCH = 401;
    private static final java.lang.String TAG = "NetworkFeature";

    public NetworkFeature(android.content.Context context, android.rms.iaware.AwareConstant.FeatureType type, com.android.server.rms.iaware.IRDataRegister dataRegister) {
        super(context, type, dataRegister);
    }

    public boolean reportData(android.rms.iaware.CollectData data) {
        return false;
    }

    public boolean enable() {
        return false;
    }

    public boolean disable() {
        setNetworkSwitch(false);
        android.rms.iaware.AwareLog.d("NetworkFeature", "NetworkFeature  disable");
        return true;
    }

    public boolean enableFeatureEx(int realVersion) {
        if (realVersion < 2) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("enableFeatureEx failed, realVersion: ");
            stringBuilder.append(realVersion);
            stringBuilder.append(", vsyncfirst baseVersion: ");
            stringBuilder.append(2);
            android.rms.iaware.AwareLog.i("NetworkFeature", stringBuilder.toString());
            return false;
        }
        android.rms.iaware.AwareLog.i("NetworkFeature", "enableFeatureEx iaware network feature!");
        setNetworkSwitch(true);
        return true;
    }

    private void sendPacket(java.nio.ByteBuffer buffer) {
        if (buffer == null) {
            android.rms.iaware.AwareLog.e("NetworkFeature", "sendPacket ByteBuffer null!");
        } else {
            android.rms.iaware.IAwaredConnection.getInstance().sendPacket(buffer.array(), 0, buffer.position());
        }
    }

    private void setNetworkSwitch(boolean isEnable) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setNetworkSwitch switch = ");
        stringBuilder.append(isEnable);
        android.rms.iaware.AwareLog.d("NetworkFeature", stringBuilder.toString());
        java.nio.ByteBuffer buffer = java.nio.ByteBuffer.allocate(8);
        buffer.putInt(401);
        buffer.putInt(isEnable);
        sendPacket(buffer);
    }
}
