package com.android.server.rms.iaware.feature;

public class NetworkTcpNodelayFeature extends com.android.server.rms.iaware.feature.RFeature {
    private static final int BASE_VERSION = 3;
    private static final int DISABLE_NetworkTcpNodelayFEATUE = 0;
    private static final int ENABLE_NetworkTcpNodelayFEATUE = 1;
    private static final int MSG_NET_BASE_VALUE = 400;
    private static final int MSG_NET_TCP_NODELAY_SWITCH = 402;
    private static final java.lang.String TAG = "NetworkTcpNodelayFeature";

    public NetworkTcpNodelayFeature(android.content.Context context, android.rms.iaware.AwareConstant.FeatureType type, com.android.server.rms.iaware.IRDataRegister dataRegister) {
        super(context, type, dataRegister);
    }

    public boolean reportData(android.rms.iaware.CollectData data) {
        return false;
    }

    public boolean enable() {
        return false;
    }

    public boolean disable() {
        setNetworkTcpNodelaySwitch(false);
        android.rms.iaware.AwareLog.d("NetworkTcpNodelayFeature", "NetworkTcpNodelayFeature  disable");
        return true;
    }

    public boolean enableFeatureEx(int realVersion) {
        if (realVersion < 3) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("enableFeatureEx failed, realVersion: ");
            stringBuilder.append(realVersion);
            stringBuilder.append(", vsyncfirst baseVersion: ");
            stringBuilder.append(3);
            android.rms.iaware.AwareLog.i("NetworkTcpNodelayFeature", stringBuilder.toString());
            return false;
        }
        android.rms.iaware.AwareLog.i("NetworkTcpNodelayFeature", "enableFeatureEx iaware network tcp nodelay feature!");
        setNetworkTcpNodelaySwitch(true);
        return true;
    }

    private void sendPacket(java.nio.ByteBuffer buffer) {
        if (buffer == null) {
            android.rms.iaware.AwareLog.e("NetworkTcpNodelayFeature", "sendPacket ByteBuffer null!");
        } else {
            android.rms.iaware.IAwaredConnection.getInstance().sendPacket(buffer.array(), 0, buffer.position());
        }
    }

    private void setNetworkTcpNodelaySwitch(boolean isEnable) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setNetworkTcpNodelaySwitch switch = ");
        stringBuilder.append(isEnable);
        android.rms.iaware.AwareLog.d("NetworkTcpNodelayFeature", stringBuilder.toString());
        java.nio.ByteBuffer buffer = java.nio.ByteBuffer.allocate(8);
        buffer.putInt(402);
        buffer.putInt(isEnable);
        sendPacket(buffer);
    }
}
