package com.android.server.rms.iaware.feature;

public class PreloadResourceFeature extends com.android.server.rms.iaware.feature.RFeature {
    private static final int BASE_VERSION = 3;
    private static final java.lang.String TAG = "PreloadResourceFeature";

    public PreloadResourceFeature(android.content.Context context, android.rms.iaware.AwareConstant.FeatureType type, com.android.server.rms.iaware.IRDataRegister dataRegister) {
        super(context, type, dataRegister);
    }

    public boolean enable() {
        return false;
    }

    public boolean enableFeatureEx(int realVersion) {
        if (realVersion < 3) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("enableFeatureEx failed, realVersion: ");
            stringBuilder.append(realVersion);
            stringBuilder.append(", baseVersion: ");
            stringBuilder.append(3);
            android.rms.iaware.AwareLog.i("PreloadResourceFeature", stringBuilder.toString());
            return false;
        }
        com.android.server.rms.iaware.appmng.AwareAppPreloadResourceManager.getInstance().enable();
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("enableFeatureEx realVersion=");
        stringBuilder2.append(realVersion);
        android.rms.iaware.AwareLog.d("PreloadResourceFeature", stringBuilder2.toString());
        return true;
    }

    public boolean disable() {
        com.android.server.rms.iaware.appmng.AwareAppPreloadResourceManager.getInstance().disable();
        android.rms.iaware.AwareLog.d("PreloadResourceFeature", "PreloadResourceFeature  disable");
        return true;
    }

    public boolean reportData(android.rms.iaware.CollectData data) {
        return false;
    }
}
