package com.android.server.rms.iaware.feature;

public class SysLoadFeature extends com.android.server.rms.iaware.feature.RFeature {
    private static final java.lang.String TAG = "AwareSysLoad_SysLoadFeature";
    private final java.util.concurrent.atomic.AtomicBoolean mRunning = new java.util.concurrent.atomic.AtomicBoolean(false);

    public SysLoadFeature(android.content.Context context, android.rms.iaware.AwareConstant.FeatureType featureType, com.android.server.rms.iaware.IRDataRegister dataRegister) {
        super(context, featureType, dataRegister);
        this.mContext = context;
    }

    public boolean enable() {
        return false;
    }

    public boolean enableFeatureEx(int realVersion) {
        subscribleEvents();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("enableFeatureEx realVersion=");
        stringBuilder.append(realVersion);
        android.rms.iaware.AwareLog.d("AwareSysLoad_SysLoadFeature", stringBuilder.toString());
        if (realVersion >= 3) {
            com.android.server.rms.iaware.sysload.SysLoadManager.getInstance().setContext(this.mContext);
            com.android.server.rms.iaware.sysload.SysLoadManager.getInstance().enable();
            this.mRunning.set(true);
        }
        return true;
    }

    public boolean disable() {
        com.android.server.rms.iaware.sysload.SysLoadManager.getInstance().disable();
        this.mRunning.set(false);
        return true;
    }

    private void subscribleEvents() {
        if (this.mIRDataRegister != null) {
            this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SYSLOAD, this.mFeatureType);
        }
    }

    public boolean reportData(android.rms.iaware.CollectData data) {
        if (!this.mRunning.get()) {
            return false;
        }
        com.android.server.rms.iaware.sysload.SysLoadManager.getInstance().reportData(data);
        return true;
    }

    public boolean configUpdate() {
        return true;
    }
}
