package com.android.server.rms.iaware.hiber;

class AppHiberRadar {
    private static int APPHIBER_FEATURE_ID = android.rms.iaware.AwareConstant.FeatureType.getFeatureId(android.rms.iaware.AwareConstant.FeatureType.FEATURE_APPHIBER);
    private static final int MAX_RECORD_LEN = 5;
    private static java.lang.String STATISTIC_SUBTYPE = "apphibernation";
    private static int STATISTIC_TYPE_EXEC = 2;
    private static final java.lang.String TAG = "AppHiber_Radar";
    private static com.android.server.rms.iaware.hiber.AppHiberRadar mInstance;
    private java.util.ArrayList<android.rms.iaware.DumpData> mDumpData = new java.util.ArrayList();
    private android.rms.iaware.StatisticsData mStatisticsData = new android.rms.iaware.StatisticsData(APPHIBER_FEATURE_ID, STATISTIC_TYPE_EXEC, STATISTIC_SUBTYPE, 0, 0, 0, 0, 0);

    AppHiberRadar() {
    }

    protected static synchronized com.android.server.rms.iaware.hiber.AppHiberRadar getInstance() {
        com.android.server.rms.iaware.hiber.AppHiberRadar appHiberRadar;
        synchronized (com.android.server.rms.iaware.hiber.AppHiberRadar.class) {
            if (mInstance == null) {
                mInstance = new com.android.server.rms.iaware.hiber.AppHiberRadar();
            }
            appHiberRadar = mInstance;
        }
        return appHiberRadar;
    }

    protected void parseData(android.os.Parcel recvMsgParcel, int dumpId) {
        int len = recvMsgParcel.readInt();
        if (len <= 0) {
            android.rms.iaware.AwareLog.w("AppHiber_Radar", "recvMsgParcel len <= 0");
            return;
        }
        if (len > 5) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("len = ");
            stringBuilder.append(len);
            stringBuilder.append(" out of range, set ");
            stringBuilder.append(5);
            stringBuilder.append(" as default.");
            android.rms.iaware.AwareLog.d("AppHiber_Radar", stringBuilder.toString());
            len = 5;
        }
        switch (dumpId) {
            case 1:
                refreshDumpList(len, recvMsgParcel);
                break;
            case 2:
                refreshStatistics(recvMsgParcel);
                break;
            default:
                android.rms.iaware.AwareLog.w("AppHiber_Radar", "dump Id invalid....");
                break;
        }
    }

    private void refreshDumpList(int dataLen, android.os.Parcel dataContent) {
        java.util.ArrayList<android.rms.iaware.DumpData> dumpDataList = new java.util.ArrayList();
        for (int i = 0; i < dataLen; i++) {
            dumpDataList.add((android.rms.iaware.DumpData) android.rms.iaware.DumpData.CREATOR.createFromParcel(dataContent));
        }
        if (!dumpDataList.isEmpty()) {
            synchronized (this.mDumpData) {
                this.mDumpData.clear();
                this.mDumpData.addAll(dumpDataList);
            }
        }
    }

    private void refreshStatistics(android.os.Parcel dataContent) {
        android.rms.iaware.StatisticsData statisticsData = (android.rms.iaware.StatisticsData) android.rms.iaware.StatisticsData.CREATOR.createFromParcel(dataContent);
        if (statisticsData != null) {
            synchronized (this.mStatisticsData) {
                this.mStatisticsData.setOccurCount(this.mStatisticsData.getOccurCount() + statisticsData.getOccurCount());
                this.mStatisticsData.setTotalTime(this.mStatisticsData.getTotalTime() + statisticsData.getTotalTime());
                this.mStatisticsData.setEffect(this.mStatisticsData.getEffect() + statisticsData.getEffect());
                this.mStatisticsData.setStartTime(this.mStatisticsData.getStartTime() + statisticsData.getStartTime());
                this.mStatisticsData.setEndTime(this.mStatisticsData.getEndTime() + statisticsData.getEndTime());
            }
        }
    }

    protected java.util.ArrayList<android.rms.iaware.DumpData> getDumpData(int time) {
        synchronized (this.mDumpData) {
            if (this.mDumpData.isEmpty()) {
                return null;
            }
            java.util.ArrayList<android.rms.iaware.DumpData> data = new java.util.ArrayList(this.mDumpData);
            this.mDumpData.clear();
            return data;
        }
    }

    protected java.util.ArrayList<android.rms.iaware.StatisticsData> getStatisticsData() {
        java.util.ArrayList<android.rms.iaware.StatisticsData> retList = new java.util.ArrayList();
        synchronized (this.mStatisticsData) {
            retList.add(new android.rms.iaware.StatisticsData(this.mStatisticsData.getFeatureId(), this.mStatisticsData.getType(), this.mStatisticsData.getSubType(), this.mStatisticsData.getOccurCount(), this.mStatisticsData.getTotalTime(), this.mStatisticsData.getEffect(), this.mStatisticsData.getStartTime(), this.mStatisticsData.getEndTime()));
            this.mStatisticsData.setOccurCount(0);
            this.mStatisticsData.setTotalTime(0);
            this.mStatisticsData.setEffect(0);
            this.mStatisticsData.setStartTime(0);
            this.mStatisticsData.setEndTime(0);
        }
        return retList.isEmpty() ? null : retList;
    }
}
