package com.android.server.rms.iaware.hiber;

class AppHibernateMgr {
    private static final int CMD_HEAD_LEN = 8;
    private static final long FLUSH_TIMEOUT = 2000;
    private static final int RECV_BYTE_BUFFER_LENTH = 10240;
    private static final int RECV_BYTE_DUMP_BYTE_LENTH = 10240;
    private static final int RECV_BYTE_RECLIAM_BYTE_LENTH = 256;
    private static final java.lang.String TAG = "AppHiber_Mgr";
    private static final int VAL_PARCELABLE_INT = 4;
    private static com.android.server.rms.iaware.hiber.AppHibernateMgr mInstance;
    private android.net.LocalSocket mAppHiberSocket;
    private java.io.InputStream mInputStream;
    private java.io.OutputStream mOutputStream;
    private final java.util.concurrent.Semaphore sendSemaphore = new java.util.concurrent.Semaphore(1);

    AppHibernateMgr() {
    }

    protected static synchronized com.android.server.rms.iaware.hiber.AppHibernateMgr getInstance() {
        com.android.server.rms.iaware.hiber.AppHibernateMgr appHibernateMgr;
        synchronized (com.android.server.rms.iaware.hiber.AppHibernateMgr.class) {
            if (mInstance == null) {
                mInstance = new com.android.server.rms.iaware.hiber.AppHibernateMgr();
            }
            appHibernateMgr = mInstance;
        }
        return appHibernateMgr;
    }

    protected int doHiberFrzApi(java.lang.String pkgName, int[] pidArray, int frz_state) {
        if (pkgName != null) {
            if (!pkgName.trim().isEmpty()) {
                if (pidArray != null) {
                    if (pidArray.length > 0) {
                        return sendPacket(creatMsg(new com.android.server.rms.iaware.hiber.bean.HiberBean(1, pkgName, pidArray, frz_state)));
                    }
                }
                return -1;
            }
        }
        return -1;
    }

    protected int[] doHiberReclaimApi() {
        if (startHiberFail()) {
            android.rms.iaware.AwareLog.w("AppHiber_Mgr", "HiberManagerService  is not Started!");
            return com.android.server.rms.iaware.hiber.constant.AppHibernateCst.EMPTY_INT_ARRAY;
        }
        int ret = sendPacket(creatMsg(new com.android.server.rms.iaware.hiber.bean.HiberBean(2, null, null, 1024)));
        int[] retData = com.android.server.rms.iaware.hiber.constant.AppHibernateCst.EMPTY_INT_ARRAY;
        if (ret == 0) {
            retData = recvPacket(256);
        }
        return retData;
    }

    protected int doHiberDumpApi(int dumpId) {
        if (dumpId != 1 && dumpId != 2) {
            return -1;
        }
        if (startHiberFail()) {
            android.rms.iaware.AwareLog.w("AppHiber_Mgr", "HiberManagerService  is not Started!");
            return -1;
        }
        int ret = sendPacket(creatMsg(new com.android.server.rms.iaware.hiber.bean.HiberBean(4, null, null, dumpId)));
        if (ret == 0) {
            recvPacket(10240);
        }
        return ret;
    }

    protected int notifyHiberStop() {
        int ret = doHiberSwitch(0);
        destroySocket();
        return ret;
    }

    protected int notifyHiberStart() {
        return doHiberSwitch(1);
    }

    private boolean startHiberFail() {
        if (-1 == doHiberSwitch(1)) {
            return true;
        }
        return false;
    }

    private int doHiberSwitch(int switchId) {
        if (switchId == 0 || switchId == 1) {
            return sendPacket(creatMsg(new com.android.server.rms.iaware.hiber.bean.HiberBean(3, null, null, switchId)));
        }
        return -1;
    }

    private java.nio.ByteBuffer creatMsg(com.android.server.rms.iaware.hiber.bean.HiberBean hiberBean) {
        android.os.Parcel _data = android.os.Parcel.obtain();
        hiberBean.writeToParcel(_data, hiberBean.func_Id);
        byte[] msgBody = _data.marshall();
        _data.recycle();
        if (msgBody == null) {
            android.rms.iaware.AwareLog.w("AppHiber_Mgr", "null == msgBody");
            return null;
        }
        int msgBodyLen = msgBody.length;
        if (msgBodyLen <= 0) {
            android.rms.iaware.AwareLog.w("AppHiber_Mgr", "msgBodyLen <= 0");
            return null;
        }
        java.nio.ByteBuffer buffer = java.nio.ByteBuffer.allocate(8 + msgBodyLen);
        try {
            buffer.putInt(380);
            buffer.putInt(msgBodyLen);
            buffer.put(msgBody);
        } catch (java.nio.BufferOverflowException e) {
            android.rms.iaware.AwareLog.e("AppHiber_Mgr", "creatMsg happened  BufferOverflowException ");
            buffer = null;
        } catch (java.nio.ReadOnlyBufferException e2) {
            android.rms.iaware.AwareLog.e("AppHiber_Mgr", "creatMsg happened  ReadOnlyBufferException ");
            buffer = null;
        }
        return buffer;
    }

    private void createSocket() {
        if (this.mAppHiberSocket == null) {
            try {
                this.mAppHiberSocket = new android.net.LocalSocket(3);
                this.mAppHiberSocket.connect(new android.net.LocalSocketAddress("iawared", android.net.LocalSocketAddress.Namespace.RESERVED));
                this.mOutputStream = this.mAppHiberSocket.getOutputStream();
                this.mInputStream = this.mAppHiberSocket.getInputStream();
                this.mAppHiberSocket.setReceiveBufferSize(10240);
                android.rms.iaware.AwareLog.d("AppHiber_Mgr", "createSocket   Success!");
            } catch (java.io.IOException e) {
                android.rms.iaware.AwareLog.e("AppHiber_Mgr", "createSocket happend IOException");
                destroySocket();
            }
        }
    }

    private void destroySocket() {
        closeStream();
        closeSocket();
    }

    private void closeSocket() {
        if (this.mAppHiberSocket != null) {
            try {
                this.mAppHiberSocket.close();
            } catch (java.io.IOException e) {
                android.rms.iaware.AwareLog.e("AppHiber_Mgr", "closeSocket   failed! happend IOException");
            } catch (Throwable th) {
                this.mAppHiberSocket = null;
            }
            this.mAppHiberSocket = null;
        }
    }

    private void closeStream() {
        if (this.mOutputStream != null) {
            try {
                this.mOutputStream.close();
            } catch (java.io.IOException e) {
                android.rms.iaware.AwareLog.e("AppHiber_Mgr", "mOutputStream close failed! happend IOException");
            } catch (Throwable th) {
                this.mOutputStream = null;
            }
            this.mOutputStream = null;
        }
        if (this.mInputStream != null) {
            try {
                this.mInputStream.close();
            } catch (java.io.IOException e2) {
                android.rms.iaware.AwareLog.e("AppHiber_Mgr", "mInputStream close failed! happend IOException");
            } catch (Throwable th2) {
                this.mInputStream = null;
            }
            this.mInputStream = null;
        }
    }

    private int sendPacket(java.nio.ByteBuffer buffer) {
        if (buffer == null) {
            android.rms.iaware.AwareLog.w("AppHiber_Mgr", "sendPacket ByteBuffer is null!");
            return -1;
        }
        int retValue = -1;
        try {
            this.sendSemaphore.acquire();
            android.rms.iaware.AwareLog.d("AppHiber_Mgr", "sendPacket sendSemaphore : acquire");
            if (this.mAppHiberSocket == null) {
                createSocket();
            }
            if (this.mOutputStream != null) {
                try {
                    this.mOutputStream.write(buffer.array(), 0, buffer.position());
                    flush(2000);
                    retValue = 0;
                } catch (java.io.IOException e) {
                    android.rms.iaware.AwareLog.e("AppHiber_Mgr", "mOutputStream write failed! happend IOException");
                    destroySocket();
                }
            }
            this.sendSemaphore.release();
            android.rms.iaware.AwareLog.d("AppHiber_Mgr", "sendPacket sendSemaphore : release");
            return retValue;
        } catch (java.lang.InterruptedException e2) {
            android.rms.iaware.AwareLog.e("AppHiber_Mgr", " sendPacket  happend InterruptedException");
            return -1;
        }
    }

    private void flush(long millis) throws java.io.IOException {
        java.io.FileDescriptor myFd = this.mAppHiberSocket.getFileDescriptor();
        if (myFd != null) {
            long start = android.os.SystemClock.uptimeMillis();
            android.system.Int32Ref pending = new android.system.Int32Ref(0);
            while (true) {
                try {
                    android.system.Os.ioctlInt(myFd, android.system.OsConstants.TIOCOUTQ, pending);
                    if (pending.value > 0) {
                        if (android.os.SystemClock.uptimeMillis() - start < millis) {
                            int left = pending.value;
                            if (left <= 1000) {
                                try {
                                    java.lang.Thread.sleep(0, 10);
                                } catch (java.lang.InterruptedException e) {
                                    return;
                                }
                            } else if (left <= 5000) {
                                java.lang.Thread.sleep(0, 500);
                            } else {
                                java.lang.Thread.sleep(1);
                            }
                        } else {
                            android.rms.iaware.AwareLog.e("AppHiber_Mgr", "Socket flush timed out !!!");
                            throw new java.io.IOException("flush timeout");
                        }
                    }
                    return;
                } catch (android.system.ErrnoException e2) {
                    throw e2.rethrowAsIOException();
                }
            }
        }
        throw new java.io.IOException("socket closed");
    }

    private int[] recvPacket(int byteSize) {
        if (this.mInputStream == null) {
            return com.android.server.rms.iaware.hiber.constant.AppHibernateCst.EMPTY_INT_ARRAY;
        }
        byte[] recvByte = new byte[byteSize];
        int readlen = -1;
        try {
            java.util.Arrays.fill(recvByte, (byte) 0);
            readlen = this.mInputStream.read(recvByte);
        } catch (java.io.IOException e) {
            android.rms.iaware.AwareLog.e("AppHiber_Mgr", " mInputStream write failed happend IOException!");
            destroySocket();
        }
        int[] ret = com.android.server.rms.iaware.hiber.constant.AppHibernateCst.EMPTY_INT_ARRAY;
        if (readlen > 0) {
            ret = parseData(recvByte);
        }
        return ret;
    }

    private int[] parseData(byte[] buf) {
        int[] retArray = com.android.server.rms.iaware.hiber.constant.AppHibernateCst.EMPTY_INT_ARRAY;
        if (buf != null) {
            if (buf.length != 0) {
                android.os.Parcel recvMsgParcel = android.os.Parcel.obtain();
                recvMsgParcel.unmarshall(buf, 0, buf.length);
                recvMsgParcel.setDataPosition(0);
                int func_Id = recvMsgParcel.readInt();
                if (4 == func_Id) {
                    com.android.server.rms.iaware.hiber.AppHiberRadar.getInstance().parseData(recvMsgParcel, recvMsgParcel.readInt());
                } else if (2 == func_Id) {
                    retArray = parseRecliamRes(recvMsgParcel);
                } else {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(func_Id);
                    stringBuilder.append(" is not HIBER_MANAGER_CMD_DUMP/_RECLAIM, Neglect!");
                    android.rms.iaware.AwareLog.i("AppHiber_Mgr", stringBuilder.toString());
                }
                recvMsgParcel.recycle();
                return retArray;
            }
        }
        android.rms.iaware.AwareLog.w("AppHiber_Mgr", "null == buf");
        return retArray;
    }

    private int[] parseRecliamRes(android.os.Parcel recvMsgParcel) {
        int len = recvMsgParcel.readInt();
        if (len == 0) {
            return com.android.server.rms.iaware.hiber.constant.AppHibernateCst.EMPTY_INT_ARRAY;
        }
        int effectNum = (recvMsgParcel.dataSize() - recvMsgParcel.dataPosition()) / 4;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("reclaim part success, be interrupted process number = ");
        stringBuilder.append(len);
        stringBuilder.append(" (, max effectNum = ");
        stringBuilder.append(effectNum);
        stringBuilder.append(")");
        android.rms.iaware.AwareLog.i("AppHiber_Mgr", stringBuilder.toString());
        if (len > effectNum) {
            len = effectNum;
        }
        int[] retArray = new int[len];
        for (int i = 0; i < len; i++) {
            retArray[i] = recvMsgParcel.readInt();
        }
        return retArray;
    }
}
