package com.android.server.rms.iaware.hiber;

public final class AppHibernateTask {
    private static final com.android.server.rms.iaware.hiber.bean.AbsAppInfo INVALID_ABSAPPINFO = new com.android.server.rms.iaware.hiber.bean.AbsAppInfo(-1, "");
    private static final java.lang.String TAG_PG = "AppHiber_Task";
    private static com.android.server.rms.iaware.hiber.AppHibernateTask mAppHibernateTask = null;
    private static final java.lang.Object mLock = new java.lang.Object();
    private android.util.ArraySet<com.android.server.rms.iaware.hiber.bean.AbsAppInfo> frzHashSet = new android.util.ArraySet();
    private final java.util.concurrent.Semaphore frzSemaphore = new java.util.concurrent.Semaphore(1);
    private com.android.server.rms.iaware.hiber.AppHibernateMgr mAppHiberMgr = com.android.server.rms.iaware.hiber.AppHibernateMgr.getInstance();
    private android.content.Context mContext;
    private com.android.server.rms.iaware.memory.utils.CpuReader mCpuReader = com.android.server.rms.iaware.memory.utils.CpuReader.getInstance();
    private com.android.server.rms.iaware.hiber.bean.AbsAppInfo mCurFrontAbsApp = INVALID_ABSAPPINFO;
    private android.os.Handler mHiberEventHandler = new com.android.server.rms.iaware.hiber.AppHibernateTask.HiberHanldler(com.android.internal.os.BackgroundThread.get().getLooper());
    private final java.util.concurrent.atomic.AtomicBoolean mIsScreenOff = new java.util.concurrent.atomic.AtomicBoolean(false);
    private int mLastInputEvent = 0;
    private long mLastInputTime = 0;
    private long mLastResEventTime = 0;
    private com.huawei.pgmng.plug.PGSdk mPGSdk = null;
    private android.util.ArrayMap<com.android.server.rms.iaware.hiber.bean.AbsAppInfo, android.util.ArraySet<com.android.server.rms.iaware.hiber.bean.HiberAppInfo>> mReclaimedRecordMap = new android.util.ArrayMap();
    private com.android.server.rms.iaware.hiber.bean.AbsAppInfo mReclaimingApp = INVALID_ABSAPPINFO;
    private final java.util.concurrent.atomic.AtomicBoolean mRunning = new java.util.concurrent.atomic.AtomicBoolean(false);
    private com.huawei.pgmng.plug.PGSdk.Sink mStateRecognitionListener = new com.huawei.pgmng.plug.PGSdk.Sink() {
        public void onStateChanged(int stateType, int eventType, int pid, java.lang.String pkg, int uid) {
            java.lang.String str;
            java.lang.String str2 = "AppHiber_Task";
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onStateChanged    Enter  ");
            if (eventType == 1) {
                str = "FRZ CallBK: ";
            } else {
                str = "THW CallBK: ";
            }
            stringBuilder.append(str);
            stringBuilder.append(", pkg[");
            stringBuilder.append(pkg);
            stringBuilder.append("], uid= ");
            stringBuilder.append(uid);
            stringBuilder.append(", pid= ");
            stringBuilder.append(pid);
            android.rms.iaware.AwareLog.d(str2, stringBuilder.toString());
            if (stateType != 6) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("stateType");
                stringBuilder.append(stateType);
                stringBuilder.append(" != STATE_HIBERNATE, return");
                android.rms.iaware.AwareLog.i("AppHiber_Task", stringBuilder.toString());
            } else if (com.android.server.rms.iaware.hiber.util.AppHiberUtil.isStrEmpty(pkg)) {
                android.rms.iaware.AwareLog.i("AppHiber_Task", "null == pkg || pkg.trim().isEmpty()");
            } else if (com.android.server.rms.iaware.hiber.util.AppHiberUtil.illegalUid(uid)) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("uid = ");
                stringBuilder.append(uid);
                stringBuilder.append(" not in the range of [10000,+)");
                android.rms.iaware.AwareLog.i("AppHiber_Task", stringBuilder.toString());
            } else {
                com.android.server.rms.iaware.hiber.bean.AbsAppInfo keyVlaue = new com.android.server.rms.iaware.hiber.bean.AbsAppInfo(uid, pkg);
                if (1 == eventType) {
                    synchronized (com.android.server.rms.iaware.hiber.AppHibernateTask.this.frzHashSet) {
                        com.android.server.rms.iaware.hiber.AppHibernateTask.this.frzHashSet.add(keyVlaue);
                    }
                    com.android.server.rms.iaware.hiber.AppHibernateTask.this.sendMsgToHiberEventHandler(eventType, 0);
                } else if (2 == eventType) {
                    synchronized (com.android.server.rms.iaware.hiber.AppHibernateTask.this.frzHashSet) {
                        com.android.server.rms.iaware.hiber.AppHibernateTask.this.frzHashSet.remove(keyVlaue);
                    }
                    com.android.server.rms.iaware.hiber.AppHibernateTask.this.unFrozenInterrupt(keyVlaue, false);
                } else {
                    android.rms.iaware.AwareLog.i("AppHiber_Task", "eventType is not frozen/thawed, Neglect!");
                }
            }
        }
    };

    final class HiberHanldler extends android.os.Handler {
        public HiberHanldler(android.os.Looper looper) {
            super(looper);
        }

        public void handleMessage(android.os.Message msg) {
            if (msg == null) {
                android.rms.iaware.AwareLog.w("AppHiber_Task", "null == msg");
                return;
            }
            int i = msg.what;
            if (i == 1) {
                com.android.server.rms.iaware.hiber.AppHibernateTask.this.frozenInhandleMsg();
            } else if (i != 90005) {
                switch (i) {
                    case 90001:
                        com.android.server.rms.iaware.hiber.AppHibernateTask.this.createInhandleMsg();
                        break;
                    case 90002:
                        com.android.server.rms.iaware.hiber.AppHibernateTask.this.destoryInhandleMsg();
                        break;
                    default:
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("msg.what = ");
                        stringBuilder.append(msg.what);
                        stringBuilder.append("  is Invalid !");
                        android.rms.iaware.AwareLog.w("AppHiber_Task", stringBuilder.toString());
                        break;
                }
            } else {
                com.android.server.rms.iaware.hiber.AppHibernateTask.this.getPGSdk();
            }
        }
    }

    public static com.android.server.rms.iaware.hiber.AppHibernateTask getInstance() {
        com.android.server.rms.iaware.hiber.AppHibernateTask appHibernateTask;
        synchronized (mLock) {
            if (mAppHibernateTask == null) {
                mAppHibernateTask = new com.android.server.rms.iaware.hiber.AppHibernateTask();
            }
            appHibernateTask = mAppHibernateTask;
        }
        return appHibernateTask;
    }

    private AppHibernateTask() {
    }

    public void initBeforeCreate(android.content.Context context) {
        this.mContext = context;
    }

    public void create() {
        android.rms.iaware.AwareLog.d("AppHiber_Task", "create  Enter");
        sendMsgToHiberEventHandler(90001, 0);
    }

    public void destory() {
        android.rms.iaware.AwareLog.d("AppHiber_Task", "destory  Enter");
        sendMsgToHiberEventHandler(90002, 0);
    }

    public int interruptReclaim(int uid, java.lang.String pkgName, long timestamp) {
        if (this.mRunning.get()) {
            if (!com.android.server.rms.iaware.hiber.util.AppHiberUtil.illegalUid(uid)) {
                if (!com.android.server.rms.iaware.hiber.util.AppHiberUtil.isStrEmpty(pkgName)) {
                    com.android.server.rms.iaware.hiber.bean.AbsAppInfo targetApp = new com.android.server.rms.iaware.hiber.bean.AbsAppInfo(uid, pkgName);
                    setResAppEventData(targetApp, timestamp);
                    return unFrozenInterrupt(targetApp, true);
                }
            }
            return -1;
        }
        android.rms.iaware.AwareLog.w("AppHiber_Task", "interruptReclaim     failed  , because AppHibernateTask is not  enable");
        return -1;
    }

    public void setScreenState(int screenState) {
        if (this.mRunning.get()) {
            if (screenState == 90011) {
                this.mIsScreenOff.set(true);
            } else if (screenState == 20011) {
                this.mIsScreenOff.set(false);
            } else {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(screenState);
                stringBuilder.append(" is not EVENT_SCREEN_OFF/ON, Neglect!");
                android.rms.iaware.AwareLog.i("AppHiber_Task", stringBuilder.toString());
            }
            return;
        }
        android.rms.iaware.AwareLog.w("AppHiber_Task", "setScreenState     failed  , because AppHibernateTask is not  enable");
    }

    public java.util.ArrayList<android.rms.iaware.DumpData> getDumpData(int time) {
        try {
            this.frzSemaphore.acquire();
            android.rms.iaware.AwareLog.d("AppHiber_Task", "getDumpData frzSemaphore : acquire");
            if (this.mRunning.get()) {
                this.mAppHiberMgr.doHiberDumpApi(1);
            }
            this.frzSemaphore.release();
            android.rms.iaware.AwareLog.d("AppHiber_Task", "getDumpData frzSemaphore : release");
            return com.android.server.rms.iaware.hiber.AppHiberRadar.getInstance().getDumpData(time);
        } catch (java.lang.InterruptedException e) {
            android.rms.iaware.AwareLog.e("AppHiber_Task", "getDumpData happened InterruptedException");
            return null;
        }
    }

    public java.util.ArrayList<android.rms.iaware.StatisticsData> getStatisticsData() {
        try {
            this.frzSemaphore.acquire();
            android.rms.iaware.AwareLog.d("AppHiber_Task", "getStatisticsData frzSemaphore : acquire");
            if (this.mRunning.get()) {
                this.mAppHiberMgr.doHiberDumpApi(2);
            }
            this.frzSemaphore.release();
            android.rms.iaware.AwareLog.d("AppHiber_Task", "getStatisticsData frzSemaphore : release");
            return com.android.server.rms.iaware.hiber.AppHiberRadar.getInstance().getStatisticsData();
        } catch (java.lang.InterruptedException e) {
            android.rms.iaware.AwareLog.e("AppHiber_Task", "getStatisticsData happened InterruptedException");
            return null;
        }
    }

    public boolean isAppHiberEnabled() {
        return this.mRunning.get();
    }

    public int reclaimApp(com.android.server.mtm.iaware.appmng.AwareProcessInfo awareProcessInfo) {
        if (awareProcessInfo == null) {
            android.rms.iaware.AwareLog.i("AppHiber_Task", "recliamApps     refused, because awareProcessInfo is Null");
            return com.android.server.rms.iaware.hiber.constant.EReclaimResult.OTHER_ERR.getValue();
        } else if (this.mIsScreenOff.get()) {
            android.rms.iaware.AwareLog.i("AppHiber_Task", "recliamApps     refused, because Screen   Off ");
            return com.android.server.rms.iaware.hiber.constant.EReclaimResult.OTHER_ERR.getValue();
        } else {
            android.util.ArraySet<com.android.server.rms.iaware.hiber.bean.HiberAppInfo> currentList = new android.util.ArraySet();
            com.android.server.mtm.taskstatus.ProcessInfo process = awareProcessInfo.mProcInfo;
            if (com.android.server.rms.iaware.hiber.util.AppHiberUtil.illegalProcessInfo(process)) {
                return com.android.server.rms.iaware.hiber.constant.EReclaimResult.OTHER_ERR.getValue();
            }
            int tmpUid = process.mUid;
            java.lang.String tmpPkgName = (java.lang.String) process.mPackageName.get(0);
            if (com.android.server.rms.iaware.hiber.util.AppHiberUtil.isStrEmpty(tmpPkgName)) {
                android.rms.iaware.AwareLog.d("AppHiber_Task", "the awareProcessInfo.mProcInfo.mPackageName is empty, Illeagal! Return.");
                return com.android.server.rms.iaware.hiber.constant.EReclaimResult.OTHER_ERR.getValue();
            }
            currentList.add(new com.android.server.rms.iaware.hiber.bean.HiberAppInfo(process.mUid, tmpPkgName, process.mPid, process.mProcessName));
            try {
                this.frzSemaphore.acquire();
                android.rms.iaware.AwareLog.d("AppHiber_Task", "reclaimApp frzSemaphore : acquire");
                int retValue = com.android.server.rms.iaware.hiber.constant.EReclaimResult.OTHER_ERR.getValue();
                if (this.mRunning.get()) {
                    retValue = analysisAPBInfo(new com.android.server.rms.iaware.hiber.bean.AbsAppInfo(tmpUid, tmpPkgName), currentList);
                }
                this.frzSemaphore.release();
                android.rms.iaware.AwareLog.d("AppHiber_Task", "reclaimApp frzSemaphore : release");
                return retValue;
            } catch (java.lang.InterruptedException e) {
                android.rms.iaware.AwareLog.e("AppHiber_Task", "reclaimApp happened InterruptedException");
                return com.android.server.rms.iaware.hiber.constant.EReclaimResult.OTHER_ERR.getValue();
            }
        }
    }

    private void sendMsgToHiberEventHandler(int eventType, long delay) {
        if (this.mHiberEventHandler == null) {
            android.rms.iaware.AwareLog.e("AppHiber_Task", "sendMsgToHiberEventHandler     exit  , because  NULL == mHiberEventHandler");
            return;
        }
        android.os.Message msg;
        if (eventType != 90001) {
            if (eventType != 90002) {
                if (eventType == 90005) {
                    this.mHiberEventHandler.removeMessages(90005);
                } else if (eventType == 1) {
                    this.mHiberEventHandler.removeMessages(1);
                    synchronized (this.frzHashSet) {
                        if (this.frzHashSet.isEmpty()) {
                            android.rms.iaware.AwareLog.i("AppHiber_Task", "frzHashSet  is null, no need to request reclaim");
                            return;
                        }
                    }
                } else {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("eventType=");
                    stringBuilder.append(eventType);
                    stringBuilder.append(" is not the legal msgWhat, Neglect!");
                    android.rms.iaware.AwareLog.i("AppHiber_Task", stringBuilder.toString());
                    return;
                }
                msg = this.mHiberEventHandler.obtainMessage();
                msg.what = eventType;
                this.mHiberEventHandler.sendMessageDelayed(msg, delay);
            }
        }
        removeAllMsgFromHiberEventHandler();
        msg = this.mHiberEventHandler.obtainMessage();
        msg.what = eventType;
        this.mHiberEventHandler.sendMessageDelayed(msg, delay);
    }

    private void removeAllMsgFromHiberEventHandler() {
        if (this.mHiberEventHandler == null) {
            android.rms.iaware.AwareLog.w("AppHiber_Task", "null == mHiberEventHandler");
            return;
        }
        this.mHiberEventHandler.removeMessages(90001);
        removeAllMsgFromHiberEventHandlerExcpCreate();
    }

    private void removeAllMsgFromHiberEventHandlerExcpCreate() {
        if (this.mHiberEventHandler != null) {
            this.mHiberEventHandler.removeMessages(90002);
            this.mHiberEventHandler.removeMessages(1);
            this.mHiberEventHandler.removeMessages(90005);
        }
    }

    private void createInhandleMsg() {
        if (this.mRunning.get()) {
            android.rms.iaware.AwareLog.d("AppHiber_Task", "AppHiberTask has been Created!");
            return;
        }
        this.mAppHiberMgr.notifyHiberStart();
        getPGSdk();
        this.mRunning.set(true);
    }

    private void destoryInhandleMsg() {
        if (this.mRunning.get()) {
            try {
                this.frzSemaphore.acquire();
                android.rms.iaware.AwareLog.d("AppHiber_Task", "destoryInhandleMsg frzSemaphore : acquire");
                this.mRunning.set(false);
                callPGunRegisterListener();
                this.mPGSdk = null;
                removeAllMsgFromHiberEventHandlerExcpCreate();
                clearLocalData();
                this.mAppHiberMgr.notifyHiberStop();
                this.frzSemaphore.release();
                android.rms.iaware.AwareLog.d("AppHiber_Task", "destoryInhandleMsg frzSemaphore : release");
                return;
            } catch (java.lang.InterruptedException e) {
                android.rms.iaware.AwareLog.e("AppHiber_Task", "destoryInhandleMsg happened InterruptedException");
                return;
            }
        }
        android.rms.iaware.AwareLog.d("AppHiber_Task", "AppHiberTask has been Destroyed!");
    }

    private int frozenInhandleMsg() {
        if (this.mIsScreenOff.get()) {
            android.rms.iaware.AwareLog.i("AppHiber_Task", " Screen   Off  State, frozenInhandleMsg Return");
            return -1;
        } else if (!com.android.server.rms.iaware.memory.utils.MemoryReader.isZramOK()) {
            android.rms.iaware.AwareLog.i("AppHiber_Task", " Zram Space may be full, frozenInhandleMsg Return");
            return -1;
        } else if (isInteracting()) {
            android.rms.iaware.AwareLog.i("AppHiber_Task", "at the moment: Interactioning, frozenInhandleMsg delay 10 s");
            sendMsgToHiberEventHandler(1, 10000);
            return -1;
        } else if (isCpuLoadHeavy()) {
            android.rms.iaware.AwareLog.i("AppHiber_Task", "at the moment: CpuLoad is heavy, frozenInhandleMsg delay 1 min");
            sendMsgToHiberEventHandler(1, 60000);
            return -1;
        } else {
            int retValue = -1;
            long delayTime = 5000;
            if (this.frzSemaphore.tryAcquire()) {
                android.rms.iaware.AwareLog.d("AppHiber_Task", "frozenInhandleMsg frzSemaphore : tryAcquire");
                com.android.server.rms.iaware.hiber.bean.AbsAppInfo targetApp = null;
                synchronized (this.frzHashSet) {
                    if (!this.frzHashSet.isEmpty()) {
                        targetApp = (com.android.server.rms.iaware.hiber.bean.AbsAppInfo) this.frzHashSet.iterator().next();
                        this.frzHashSet.remove(targetApp);
                    }
                }
                retValue = analysisAPBInfo(targetApp, com.android.server.rms.iaware.hiber.util.AppHiberUtil.getHiberProcInfoListByAbsAppInfo(this.mContext, targetApp));
                if (!(!com.android.server.rms.iaware.feature.MemoryFeature2.isUpMemoryFeature.get() || com.android.server.rms.iaware.memory.utils.MemoryConstant.getConfigGmcSwitch() == 0 || targetApp == null)) {
                    com.android.server.rms.iaware.memory.action.GpuCompressAction.doGmc(targetApp.mUid);
                }
                this.frzSemaphore.release();
                android.rms.iaware.AwareLog.d("AppHiber_Task", "frozenInhandleMsg frzSemaphore : release");
                delayTime = 0;
            }
            sendMsgToHiberEventHandler(1, delayTime);
            return retValue;
        }
    }

    private int unFrozenInterrupt(com.android.server.rms.iaware.hiber.bean.AbsAppInfo keyValue, boolean needRmv) {
        android.util.ArraySet<com.android.server.rms.iaware.hiber.bean.HiberAppInfo> tmpSet;
        synchronized (this.mReclaimedRecordMap) {
            tmpSet = (android.util.ArraySet) this.mReclaimedRecordMap.get(keyValue);
        }
        if (tmpSet == null) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("[uid = ");
            stringBuilder.append(keyValue.mUid);
            stringBuilder.append(", pkg = ");
            stringBuilder.append(keyValue.mPkgName);
            stringBuilder.append("] not in relaimedMap");
            android.rms.iaware.AwareLog.d("AppHiber_Task", stringBuilder.toString());
            return 0;
        }
        int retValue = 0;
        if (!this.mIsScreenOff.get() && keyValue.equals(this.mReclaimingApp)) {
            retValue = this.mAppHiberMgr.doHiberFrzApi(keyValue.mPkgName, com.android.server.rms.iaware.hiber.util.AppHiberUtil.getPidsFromList(tmpSet), 0);
        }
        if (needRmv) {
            synchronized (this.mReclaimedRecordMap) {
                this.mReclaimedRecordMap.remove(keyValue);
            }
        }
        return retValue;
    }

    private int analysisAPBInfo(com.android.server.rms.iaware.hiber.bean.AbsAppInfo keyValue, android.util.ArraySet<com.android.server.rms.iaware.hiber.bean.HiberAppInfo> currentChildList) {
        if (!com.android.server.rms.iaware.hiber.util.AppHiberUtil.illegalAbsAppInfo(keyValue)) {
            if (!com.android.server.rms.iaware.hiber.util.AppHiberUtil.illegalHiberAppInfoArraySet(currentChildList)) {
                android.util.ArraySet<com.android.server.rms.iaware.hiber.bean.HiberAppInfo> hisChildList;
                int[] pidArray;
                synchronized (this.mReclaimedRecordMap) {
                    hisChildList = (android.util.ArraySet) this.mReclaimedRecordMap.get(keyValue);
                    pidArray = com.android.server.rms.iaware.hiber.util.AppHiberUtil.getDiffPidArray(hisChildList, currentChildList);
                }
                if (pidArray.length == 0) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(keyValue.mPkgName);
                    stringBuilder.append("  has no diff pid for reclaim! analysisAPBInfo Return");
                    android.rms.iaware.AwareLog.d("AppHiber_Task", stringBuilder.toString());
                    return com.android.server.rms.iaware.hiber.constant.EReclaimResult.HAS_BEEN_RECLAIMED.getValue();
                }
                int cmdRet = this.mAppHiberMgr.doHiberFrzApi(keyValue.mPkgName, pidArray, 1);
                if (-1 == cmdRet) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append(keyValue.mPkgName);
                    stringBuilder2.append("  send to native err! analysisAPBInfo Return");
                    android.rms.iaware.AwareLog.d("AppHiber_Task", stringBuilder2.toString());
                    return com.android.server.rms.iaware.hiber.constant.EReclaimResult.SEND_PRO_TO_NATIVE_ERR.getValue();
                }
                java.lang.StringBuilder stringBuilder3;
                if (!com.android.server.rms.iaware.hiber.util.AppHiberUtil.illegalHiberAppInfoArraySet(hisChildList)) {
                    currentChildList.addAll(hisChildList);
                }
                synchronized (this.mReclaimedRecordMap) {
                    android.util.ArraySet<com.android.server.rms.iaware.hiber.bean.HiberAppInfo> validReclaimedSet = new android.util.ArraySet();
                    validReclaimedSet.addAll(currentChildList);
                    this.mReclaimedRecordMap.put(keyValue, validReclaimedSet);
                }
                int[] failArray = com.android.server.rms.iaware.hiber.constant.AppHibernateCst.EMPTY_INT_ARRAY;
                int i = 0;
                if (isTopFrontApp(keyValue)) {
                    this.mAppHiberMgr.doHiberFrzApi(keyValue.mPkgName, pidArray, 0);
                    failArray = pidArray;
                    stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append(keyValue.mPkgName);
                    stringBuilder3.append("  is Front, stop reclaim.");
                    android.rms.iaware.AwareLog.i("AppHiber_Task", stringBuilder3.toString());
                } else {
                    this.mReclaimingApp = keyValue;
                    failArray = this.mAppHiberMgr.doHiberReclaimApi();
                    this.mReclaimingApp = INVALID_ABSAPPINFO;
                }
                if (failArray.length > 0) {
                    java.util.List<com.android.server.rms.iaware.hiber.bean.HiberAppInfo> tmpList = new java.util.ArrayList();
                    int length = failArray.length;
                    while (i < length) {
                        int pid = failArray[i];
                        java.util.Iterator it = currentChildList.iterator();
                        while (it.hasNext()) {
                            com.android.server.rms.iaware.hiber.bean.HiberAppInfo aware = (com.android.server.rms.iaware.hiber.bean.HiberAppInfo) it.next();
                            if (aware.mPid == pid) {
                                tmpList.add(aware);
                                break;
                            }
                        }
                        i++;
                    }
                    currentChildList.removeAll(tmpList);
                    stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append("reclaim ");
                    stringBuilder3.append(java.util.Arrays.toString(pidArray));
                    stringBuilder3.append(", be interrupted ");
                    stringBuilder3.append(java.util.Arrays.toString(failArray));
                    android.rms.iaware.AwareLog.i("AppHiber_Task", stringBuilder3.toString());
                    synchronized (this.mReclaimedRecordMap) {
                        if (this.mReclaimedRecordMap.containsKey(keyValue)) {
                            if (com.android.server.rms.iaware.hiber.util.AppHiberUtil.illegalHiberAppInfoArraySet(currentChildList)) {
                                this.mReclaimedRecordMap.remove(keyValue);
                            } else {
                                this.mReclaimedRecordMap.put(keyValue, currentChildList);
                            }
                        }
                    }
                    cmdRet = com.android.server.rms.iaware.hiber.constant.EReclaimResult.RECLAIM_BE_INTERRUPT.getValue();
                }
                return cmdRet;
            }
        }
        synchronized (this.mReclaimedRecordMap) {
            this.mReclaimedRecordMap.remove(keyValue);
        }
        return com.android.server.rms.iaware.hiber.constant.EReclaimResult.OTHER_ERR.getValue();
    }

    private void clearLocalData() {
        synchronized (this.mReclaimedRecordMap) {
            this.mReclaimedRecordMap.clear();
        }
        synchronized (this.frzHashSet) {
            this.frzHashSet.clear();
        }
        this.mLastInputEvent = 0;
        this.mLastInputTime = 0;
        this.mLastResEventTime = 0;
        this.mReclaimingApp = INVALID_ABSAPPINFO;
        this.mCurFrontAbsApp = INVALID_ABSAPPINFO;
    }

    private void callPGregisterListener() {
        if (this.mPGSdk != null) {
            try {
                this.mPGSdk.enableStateEvent(this.mStateRecognitionListener, 6);
            } catch (android.os.RemoteException e) {
                this.mPGSdk = null;
                android.rms.iaware.AwareLog.e("AppHiber_Task", "mPGSdk registerSink && enableStateEvent happend RemoteException ");
            }
        }
    }

    private void callPGunRegisterListener() {
        if (this.mPGSdk != null) {
            try {
                this.mPGSdk.disableStateEvent(this.mStateRecognitionListener, 6);
            } catch (android.os.RemoteException e) {
                android.rms.iaware.AwareLog.e("AppHiber_Task", "callPG unRegisterListener  happend RemoteException ");
            }
        }
    }

    private java.lang.String callPGGetTopFrontApp() {
        if (this.mPGSdk == null) {
            return null;
        }
        try {
            return this.mPGSdk.getTopFrontApp(this.mContext);
        } catch (android.os.RemoteException e) {
            android.rms.iaware.AwareLog.e("AppHiber_Task", "callPG getTopFrontApp  happend RemoteException ");
            return null;
        }
    }

    private boolean getPGSdk() {
        if (this.mPGSdk != null) {
            return true;
        }
        this.mPGSdk = com.huawei.pgmng.plug.PGSdk.getInstance();
        if (this.mPGSdk != null) {
            callPGregisterListener();
        }
        if (this.mPGSdk != null) {
            return true;
        }
        sendMsgToHiberEventHandler(90005, 60000);
        return false;
    }

    public int setLastInputEventData(int lastInputEvent, long lastInputTime) {
        if (this.mRunning.get()) {
            this.mLastInputEvent = lastInputEvent;
            this.mLastInputTime = lastInputTime;
            if (this.mLastInputEvent == 10001) {
                foreceInterruptReclaim();
            }
            return 0;
        }
        android.rms.iaware.AwareLog.w("AppHiber_Task", "setLastInputEventData     failed  , because AppHibernateTask is not  enable");
        return -1;
    }

    private int foreceInterruptReclaim() {
        if (com.android.server.rms.iaware.hiber.util.AppHiberUtil.illegalAbsAppInfo(this.mReclaimingApp)) {
            return -1;
        }
        return unFrozenInterrupt(this.mReclaimingApp, false);
    }

    private boolean isInteracting() {
        if (this.mLastInputEvent == 10001) {
            return true;
        }
        if (this.mLastInputEvent == 80001) {
            return android.os.SystemClock.uptimeMillis() - this.mLastInputTime < 4000;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mLastInputEvent=");
        stringBuilder.append(this.mLastInputEvent);
        stringBuilder.append(" is not EVENT_TOUCH_DOWN/UP, Neglect!");
        android.rms.iaware.AwareLog.i("AppHiber_Task", stringBuilder.toString());
        return false;
    }

    private boolean isCpuLoadHeavy() {
        return this.mCpuReader.getCpuPercent() > com.android.server.rms.iaware.memory.utils.MemoryConstant.getNormalThresHold();
    }

    public android.util.ArrayMap<java.lang.Integer, com.android.server.rms.iaware.hiber.bean.HiberAppInfo> getRelaimedRecord() {
        if (this.mRunning.get()) {
            synchronized (this.mReclaimedRecordMap) {
                if (this.mReclaimedRecordMap.isEmpty()) {
                    android.rms.iaware.AwareLog.i("AppHiber_Task", "current  reclaimed record is Empty");
                    return null;
                }
                android.util.ArrayMap<java.lang.Integer, com.android.server.rms.iaware.hiber.bean.HiberAppInfo> returnMap = new android.util.ArrayMap();
                for (java.util.Map.Entry<com.android.server.rms.iaware.hiber.bean.AbsAppInfo, android.util.ArraySet<com.android.server.rms.iaware.hiber.bean.HiberAppInfo>> entry : this.mReclaimedRecordMap.entrySet()) {
                    java.util.Iterator it = ((android.util.ArraySet) entry.getValue()).iterator();
                    while (it.hasNext()) {
                        com.android.server.rms.iaware.hiber.bean.HiberAppInfo appinfo = (com.android.server.rms.iaware.hiber.bean.HiberAppInfo) it.next();
                        returnMap.put(java.lang.Integer.valueOf(appinfo.mPid), appinfo);
                    }
                }
                return returnMap;
            }
        }
        android.rms.iaware.AwareLog.w("AppHiber_Task", "getRelaimedList     failed  , because AppHibernateTask is not  enable");
        return null;
    }

    private void setResAppEventData(com.android.server.rms.iaware.hiber.bean.AbsAppInfo keyValue, long lastEventTime) {
        if (!keyValue.equals(this.mCurFrontAbsApp)) {
            this.mCurFrontAbsApp = keyValue;
            this.mLastResEventTime = lastEventTime;
        }
    }

    private boolean isTopFrontApp(com.android.server.rms.iaware.hiber.bean.AbsAppInfo keyValue) {
        if (com.android.server.rms.iaware.hiber.util.AppHiberUtil.illegalAbsAppInfo(this.mCurFrontAbsApp) || android.os.SystemClock.uptimeMillis() - this.mLastResEventTime >= 500) {
            return com.android.server.rms.iaware.hiber.util.AppHiberUtil.isTheSameAppUnderMultiUser(callPGGetTopFrontApp(), keyValue);
        }
        return keyValue.equals(this.mCurFrontAbsApp);
    }
}
