package com.android.server.rms.iaware.hiber.listener;

class ResAppHandler extends com.android.server.rms.iaware.hiber.listener.AbsDataHandler {
    private static com.android.server.rms.iaware.hiber.listener.ResAppHandler mDataHandle = null;

    protected static synchronized com.android.server.rms.iaware.hiber.listener.ResAppHandler getInstance() {
        com.android.server.rms.iaware.hiber.listener.ResAppHandler resAppHandler;
        synchronized (com.android.server.rms.iaware.hiber.listener.ResAppHandler.class) {
            if (mDataHandle == null) {
                mDataHandle = new com.android.server.rms.iaware.hiber.listener.ResAppHandler();
            }
            resAppHandler = mDataHandle;
        }
        return resAppHandler;
    }

    private ResAppHandler() {
    }

    protected int reportData(long timestamp, int event, com.android.server.rms.iaware.memory.data.content.AttrSegments attrSegments) {
        if (this.mAppHibernateTask == null) {
            return -1;
        }
        android.util.ArrayMap<java.lang.String, java.lang.String> appInfo = attrSegments.getSegment("calledApp");
        if (appInfo == null) {
            android.rms.iaware.AwareLog.w("AppHiber_AbsDataHandler", "appInfo is NULL");
            return -1;
        }
        int retValue = -1;
        if (15005 == event) {
            try {
                retValue = this.mAppHibernateTask.interruptReclaim(java.lang.Integer.parseInt((java.lang.String) appInfo.get("uid")), (java.lang.String) appInfo.get("packageName"), timestamp);
            } catch (java.lang.NumberFormatException e) {
                android.rms.iaware.AwareLog.e("AppHiber_AbsDataHandler", "get uid fail, happend NumberFormatException");
            }
        }
        return retValue;
    }
}
