package com.android.server.rms.iaware.hiber.util;

public class AppHiberUtil {
    private static final int SINGLE_ONE = 1;

    public static android.util.ArraySet<com.android.server.rms.iaware.hiber.bean.HiberAppInfo> getHiberProcInfoListByAbsAppInfo(android.content.Context cxt, com.android.server.rms.iaware.hiber.bean.AbsAppInfo appInfo) {
        if (cxt != null) {
            if (appInfo != null) {
                java.util.List<android.app.ActivityManager.RunningAppProcessInfo> listTmp = ((android.app.ActivityManager) cxt.getSystemService("activity")).getRunningAppProcesses();
                if (listTmp != null) {
                    if (!listTmp.isEmpty()) {
                        android.util.ArraySet<com.android.server.rms.iaware.hiber.bean.HiberAppInfo> HiberProcInfoList = new android.util.ArraySet();
                        for (android.app.ActivityManager.RunningAppProcessInfo app : listTmp) {
                            if (appInfo.mUid == app.uid) {
                                if (app.pkgList != null) {
                                    for (java.lang.String str : app.pkgList) {
                                        if (appInfo.mPkgName.equals(str)) {
                                            HiberProcInfoList.add(new com.android.server.rms.iaware.hiber.bean.HiberAppInfo(app.uid, str, app.pid, app.processName));
                                            break;
                                        }
                                    }
                                }
                            }
                        }
                        if (HiberProcInfoList.isEmpty()) {
                            HiberProcInfoList = null;
                        }
                        return HiberProcInfoList;
                    }
                }
                return null;
            }
        }
        return null;
    }

    public static boolean illegalHiberAppInfoArraySet(android.util.ArraySet<com.android.server.rms.iaware.hiber.bean.HiberAppInfo> tmp) {
        if (tmp != null) {
            if (!tmp.isEmpty()) {
                return false;
            }
        }
        return true;
    }

    public static boolean illegalProcessInfo(com.android.server.mtm.taskstatus.ProcessInfo process) {
        if (!(process == null || process.mPackageName == null)) {
            if (1 == process.mPackageName.size()) {
                return false;
            }
        }
        return true;
    }

    public static boolean illegalUid(int uid) {
        if (uid < 10000) {
            return true;
        }
        return false;
    }

    public static boolean isStrEmpty(java.lang.String str) {
        if (str != null) {
            if (!str.trim().isEmpty()) {
                return false;
            }
        }
        return true;
    }

    private static boolean isSameProc(com.android.server.rms.iaware.hiber.bean.HiberAppInfo curProcess, com.android.server.rms.iaware.hiber.bean.HiberAppInfo hisProcess) {
        return curProcess.mPid == hisProcess.mPid && curProcess.mUid == hisProcess.mUid;
    }

    private static int[] intLitToArray(java.util.List<java.lang.Integer> pidList) {
        if (pidList != null) {
            if (!pidList.isEmpty()) {
                int size = pidList.size();
                int[] pidArray = new int[size];
                for (int i = 0; i < size; i++) {
                    pidArray[i] = ((java.lang.Integer) pidList.get(i)).intValue();
                }
                return pidArray;
            }
        }
        return com.android.server.rms.iaware.hiber.constant.AppHibernateCst.EMPTY_INT_ARRAY;
    }

    public static int[] getPidsFromList(android.util.ArraySet<com.android.server.rms.iaware.hiber.bean.HiberAppInfo> currentChildList) {
        java.util.List<java.lang.Integer> pidList = new java.util.ArrayList();
        java.util.Iterator it = currentChildList.iterator();
        while (it.hasNext()) {
            com.android.server.rms.iaware.hiber.bean.HiberAppInfo curProcess = (com.android.server.rms.iaware.hiber.bean.HiberAppInfo) it.next();
            if (curProcess != null) {
                pidList.add(java.lang.Integer.valueOf(curProcess.mPid));
            }
        }
        return intLitToArray(pidList);
    }

    /* JADX WARNING: Removed duplicated region for block: B:20:0x0059  */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x004f  */
    public static int[] getDiffPidArray(android.util.ArraySet<com.android.server.rms.iaware.hiber.bean.HiberAppInfo> r13, android.util.ArraySet<com.android.server.rms.iaware.hiber.bean.HiberAppInfo> r14) {
        /*
        r0 = illegalHiberAppInfoArraySet(r13);
        if (r0 == 0) goto L_0x000b;
    L_0x0006:
        r1 = getPidsFromList(r14);
        return r1;
    L_0x000b:
        r1 = new java.util.ArrayList;
        r1.<init>();
        r2 = 0;
        r4 = r14.iterator();
    L_0x0016:
        r5 = r4.hasNext();
        if (r5 == 0) goto L_0x005c;
    L_0x001c:
        r5 = r4.next();
        r5 = (com.android.server.rms.iaware.hiber.bean.HiberAppInfo) r5;
        r6 = 1;
        r7 = r13.iterator();
    L_0x0027:
        r8 = r7.hasNext();
        if (r8 == 0) goto L_0x004d;
    L_0x002d:
        r8 = r7.next();
        r8 = (com.android.server.rms.iaware.hiber.bean.HiberAppInfo) r8;
        r9 = isSameProc(r5, r8);
        if (r9 == 0) goto L_0x004c;
    L_0x0039:
        r2 = r8.mReclaimTime;
        r9 = android.os.SystemClock.uptimeMillis();
        r9 = r9 - r2;
        r11 = 600000; // 0x927c0 float:8.40779E-40 double:2.964394E-318;
        r7 = (r9 > r11 ? 1 : (r9 == r11 ? 0 : -1));
        if (r7 < 0) goto L_0x0049;
    L_0x0047:
        r7 = 1;
        goto L_0x004a;
    L_0x0049:
        r7 = 0;
    L_0x004a:
        r6 = r7;
        goto L_0x004d;
    L_0x004c:
        goto L_0x0027;
    L_0x004d:
        if (r6 == 0) goto L_0x0059;
    L_0x004f:
        r7 = r5.mPid;
        r7 = java.lang.Integer.valueOf(r7);
        r1.add(r7);
        goto L_0x005b;
    L_0x0059:
        r5.mReclaimTime = r2;
    L_0x005b:
        goto L_0x0016;
    L_0x005c:
        r4 = intLitToArray(r1);
        return r4;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.hiber.util.AppHiberUtil.getDiffPidArray(android.util.ArraySet, android.util.ArraySet):int[]");
    }

    public static boolean illegalAbsAppInfo(com.android.server.rms.iaware.hiber.bean.AbsAppInfo absApp) {
        if (!(absApp == null || illegalUid(absApp.mUid))) {
            if (!isStrEmpty(absApp.mPkgName)) {
                return false;
            }
        }
        return true;
    }

    public static boolean isTheSameAppUnderMultiUser(java.lang.String curPkg, com.android.server.rms.iaware.hiber.bean.AbsAppInfo srcApp) {
        boolean z = false;
        if (!isStrEmpty(curPkg)) {
            if (srcApp != null) {
                if (!curPkg.equals(srcApp.mPkgName)) {
                    return false;
                }
                int sysUserId = 0;
                android.content.pm.ApplicationInfo appInfo = null;
                android.content.pm.UserInfo ui = null;
                try {
                    ui = android.app.ActivityManagerNative.getDefault().getCurrentUser();
                } catch (android.os.RemoteException e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("Couldn't get current user ID; guessing it's ");
                    stringBuilder.append(0);
                    android.rms.iaware.AwareLog.e("AppHiber_Util", stringBuilder.toString());
                }
                if (ui != null) {
                    sysUserId = ui.id;
                }
                if (android.os.UserHandle.getUserId(srcApp.mUid) != sysUserId) {
                    return false;
                }
                try {
                    appInfo = android.app.AppGlobals.getPackageManager().getApplicationInfo(curPkg, 0, sysUserId);
                } catch (android.os.RemoteException e2) {
                    android.rms.iaware.AwareLog.e("AppHiber_Util", "getApplicationInfo RemoteException");
                }
                if (appInfo != null && appInfo.uid == srcApp.mUid) {
                    z = true;
                }
                return z;
            }
        }
        return false;
    }
}
