package com.android.server.rms.iaware.memory.action;

public abstract class Action {
    protected android.content.Context mContext;
    protected java.util.concurrent.atomic.AtomicBoolean mInterrupt = new java.util.concurrent.atomic.AtomicBoolean(false);

    public abstract int execute(android.os.Bundle bundle);

    public abstract void reset();

    public Action(android.content.Context context) {
        this.mContext = context;
    }

    public void interrupt(boolean interrupted) {
        this.mInterrupt.set(interrupted);
    }

    public boolean reqInterrupt(android.os.Bundle extras) {
        return false;
    }

    public boolean canBeExecuted() {
        return true;
    }

    public int getLastExecFailCount() {
        return 0;
    }
}
