package com.android.server.rms.iaware.memory.action;

public class GpuCompressAction extends com.android.server.rms.iaware.memory.action.Action {
    private static final int MAX_PID_COUNT_GMC = 5;
    private static final int MIN_GMC_UID = 10000;
    private static final java.lang.String TAG = "AwareMem_GMC";
    private static java.util.Map<java.lang.Integer, com.android.server.rms.iaware.memory.action.GpuCompressAction.GmcStat> hasGMCMap = new android.util.ArrayMap();
    private int mGmcCount = 0;

    private static class GmcStat {
        public int mPid = 0;
        public long mTime = 0;

        public GmcStat(int pid) {
            this.mPid = pid;
            this.mTime = android.os.SystemClock.elapsedRealtime();
        }
    }

    public GpuCompressAction(android.content.Context context) {
        super(context);
    }

    public static void removeUidFromGMCMap(int uid) {
        int pid = 0;
        long time = 0;
        synchronized (hasGMCMap) {
            if (hasGMCMap.containsKey(java.lang.Integer.valueOf(uid))) {
                com.android.server.rms.iaware.memory.action.GpuCompressAction.GmcStat gs = (com.android.server.rms.iaware.memory.action.GpuCompressAction.GmcStat) hasGMCMap.get(java.lang.Integer.valueOf(uid));
                pid = gs.mPid;
                time = gs.mTime;
                hasGMCMap.remove(java.lang.Integer.valueOf(uid));
            }
        }
        if (pid > 0) {
            com.android.server.rms.iaware.memory.utils.MemoryUtils.setReclaimGPUMemory(false, pid);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("decompress gpu memory, uid:");
            stringBuilder.append(uid);
            stringBuilder.append(" proc:");
            stringBuilder.append(pid);
            stringBuilder.append(" time:");
            stringBuilder.append(time);
            android.rms.iaware.AwareLog.d("AwareMem_GMC", stringBuilder.toString());
        }
    }

    public static void doGmc(int uid) {
        long startTime = android.os.SystemClock.elapsedRealtime();
        if (uid >= 10000) {
            java.util.List<java.lang.String> pids = com.huawei.android.app.HwActivityManager.getPidWithUiFromUid(uid);
            java.lang.StringBuilder stringBuilder;
            if (pids.size() == 0) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("this uid:");
                stringBuilder.append(uid);
                stringBuilder.append(" has no UI.");
                android.rms.iaware.AwareLog.d("AwareMem_GMC", stringBuilder.toString());
                return;
            }
            for (java.lang.String pid : pids) {
                try {
                    int intPid = java.lang.Integer.parseInt(pid);
                    synchronized (hasGMCMap) {
                        if (hasGMCMap.containsKey(java.lang.Integer.valueOf(uid))) {
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("this uid ");
                            stringBuilder2.append(uid);
                            stringBuilder2.append(" has compressed gpu memory.");
                            android.rms.iaware.AwareLog.d("AwareMem_GMC", stringBuilder2.toString());
                        } else {
                            hasGMCMap.put(java.lang.Integer.valueOf(uid), new com.android.server.rms.iaware.memory.action.GpuCompressAction.GmcStat(intPid));
                            com.android.server.rms.iaware.memory.utils.MemoryUtils.setReclaimGPUMemory(true, intPid);
                            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                            stringBuilder3.append("compress gpu memory from hiber req, uid:");
                            stringBuilder3.append(uid);
                            stringBuilder3.append(" pid:");
                            stringBuilder3.append(pid);
                            android.rms.iaware.AwareLog.d("AwareMem_GMC", stringBuilder3.toString());
                        }
                    }
                } catch (java.lang.NumberFormatException e) {
                }
            }
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("do gmc uid:");
            stringBuilder.append(uid);
            stringBuilder.append(" used time:");
            stringBuilder.append(android.os.SystemClock.elapsedRealtime() - startTime);
            android.rms.iaware.AwareLog.d("AwareMem_GMC", stringBuilder.toString());
        }
    }

    private void generatePidList(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procsGroups, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> waitForCompressPidList) {
        if (procsGroups != null) {
            if (waitForCompressPidList != null) {
                for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo blockInfo : procsGroups) {
                    if (blockInfo != null) {
                        if (blockInfo.mUid >= 10000) {
                            java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> processList = blockInfo.getProcessList();
                            if (processList != null) {
                                synchronized (hasGMCMap) {
                                    if (hasGMCMap.containsKey(java.lang.Integer.valueOf(blockInfo.mUid))) {
                                    } else {
                                        for (com.android.server.mtm.iaware.appmng.AwareProcessInfo proc : processList) {
                                            if (proc != null) {
                                                if (proc.mProcInfo != null) {
                                                    if (proc.mHasShownUi && proc.mProcInfo.mCurAdj > 0) {
                                                        waitForCompressPidList.add(proc);
                                                        hasGMCMap.put(java.lang.Integer.valueOf(blockInfo.mUid), new com.android.server.rms.iaware.memory.action.GpuCompressAction.GmcStat(proc.mPid));
                                                        this.mGmcCount--;
                                                        if (this.mGmcCount <= 0) {
                                                            return;
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                            java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> list = processList;
                        }
                    }
                }
            }
        }
    }

    public int execute(android.os.Bundle extras) {
        if (extras == null) {
            android.rms.iaware.AwareLog.w("AwareMem_GMC", "gmc not action for extras null");
            return -1;
        }
        if (com.android.server.rms.iaware.feature.MemoryFeature2.isUpMemoryFeature.get()) {
            if (com.android.server.rms.iaware.memory.utils.MemoryConstant.getConfigGmcSwitch() != 0) {
                long availableRam = com.android.server.rms.iaware.memory.utils.MemoryReader.getInstance().getMemAvailable();
                if (availableRam > com.android.server.rms.iaware.memory.utils.MemoryConstant.getGpuMemoryLimit()) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("gmc can not action for available mem:");
                    stringBuilder.append(availableRam);
                    stringBuilder.append(" > gmc limit:");
                    stringBuilder.append(com.android.server.rms.iaware.memory.utils.MemoryConstant.getGpuMemoryLimit());
                    android.rms.iaware.AwareLog.d("AwareMem_GMC", stringBuilder.toString());
                    return 0;
                }
                long start = android.os.SystemClock.elapsedRealtime();
                this.mGmcCount = 5;
                com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy policy = com.android.server.rms.iaware.memory.utils.MemoryUtils.getAppMngSortPolicy(1, 3);
                if (policy == null) {
                    android.rms.iaware.AwareLog.w("AwareMem_GMC", "getAppMngSortPolicy null policy!");
                    return -1;
                }
                java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> waitForCompressPidList = new java.util.ArrayList();
                generatePidList(com.android.server.rms.iaware.memory.utils.MemoryUtils.getAppMngProcGroup(policy, 2), waitForCompressPidList);
                if (this.mGmcCount > 0) {
                    generatePidList(com.android.server.rms.iaware.memory.utils.MemoryUtils.getAppMngProcGroup(policy, 1), waitForCompressPidList);
                }
                doCompress(waitForCompressPidList);
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("compress gpu memory use time:");
                stringBuilder2.append(android.os.SystemClock.elapsedRealtime() - start);
                android.rms.iaware.AwareLog.d("AwareMem_GMC", stringBuilder2.toString());
                return 0;
            }
        }
        android.rms.iaware.AwareLog.d("AwareMem_GMC", "gmc can not action for not iaware2.0 or gmc function is close");
        return 0;
    }

    private boolean doCompress(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> waitForCompressPidList) {
        boolean ret = false;
        if (waitForCompressPidList == null) {
            return false;
        }
        for (com.android.server.mtm.iaware.appmng.AwareProcessInfo pinfo : waitForCompressPidList) {
            if (pinfo != null) {
                if (pinfo.mProcInfo != null) {
                    if (pinfo.mProcInfo.mCurAdj > 0) {
                        ret = true;
                        com.android.server.rms.iaware.memory.utils.MemoryUtils.setReclaimGPUMemory(true, pinfo.mPid);
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("compress gpu memory, pid:");
                        stringBuilder.append(pinfo.mPid);
                        stringBuilder.append(" proc:");
                        stringBuilder.append(pinfo.mProcInfo.mProcessName);
                        android.rms.iaware.AwareLog.d("AwareMem_GMC", stringBuilder.toString());
                    }
                }
            }
        }
        return ret;
    }

    public void reset() {
    }
}
