package com.android.server.rms.iaware.memory.action;

public class KillAction extends com.android.server.rms.iaware.memory.action.Action {
    private static final int MAX_PROCESS_KILL_COUNT = 5;
    private static final long MIN_LEVEL2_CLEAN_INTERVAL = 300000;
    private static final java.lang.String TAG = "AwareMem_Kill";
    private final boolean MEM_EMERG_KILL = android.os.SystemProperties.getBoolean("persist.iaware.mem_emerg_kill", false);
    private int mInvaildKillCount = 0;
    private long mLastExecTime = 0;
    private int mLastKillZeroCount = 0;
    private long mLastLevel2ExecTime = 0;

    public KillAction(android.content.Context context) {
        super(context);
    }

    public int execute(android.os.Bundle extras) {
        android.os.Bundle bundle = extras;
        if (bundle == null) {
            android.rms.iaware.AwareLog.e("AwareMem_Kill", "null extras!");
            return -1;
        }
        int maxKillCount = 5;
        long availableRam = com.android.server.rms.iaware.memory.utils.MemoryReader.getInstance().getMemAvailable();
        if (availableRam <= 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("execute faild to read availableRam =");
            stringBuilder.append(availableRam);
            android.rms.iaware.AwareLog.e("AwareMem_Kill", stringBuilder.toString());
            return -1;
        }
        boolean invaildKill = false;
        long emergWater = com.android.server.rms.iaware.memory.utils.MemoryConstant.getEmergencyMemory();
        long normalWater = com.android.server.rms.iaware.memory.utils.MemoryConstant.getMiddleWater();
        if (availableRam < normalWater) {
            maxKillCount = (int) (((long) 5) + (1 + ((normalWater - availableRam) / 20480)));
            invaildKill = true;
        }
        int memCleanLevel = 0;
        if (getInvaildKillCount() > 3 && com.android.server.rms.iaware.appmng.AppMngConfig.getKillMoreFlag()) {
            memCleanLevel = 1;
        }
        com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy policy = getAwareAppMngSortPolicy(memCleanLevel);
        if (policy == null) {
            android.rms.iaware.AwareLog.w("AwareMem_Kill", "getAppMngSortPolicy null policy!");
            return -1;
        } else if (this.mInterrupt.get()) {
            this.mLastKillZeroCount++;
            this.mInvaildKillCount++;
            return -1;
        } else {
            boolean invaildKill2;
            int maxKillCount2;
            int killedCount = 0;
            java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procGroups = com.android.server.rms.iaware.memory.utils.MemoryUtils.getAppMngProcGroup(policy, 2);
            int maxKillCount3 = maxKillCount;
            long now = android.os.SystemClock.elapsedRealtime();
            if (procGroups == null || procGroups.isEmpty()) {
                invaildKill2 = invaildKill;
                maxKillCount2 = maxKillCount3;
                long j = normalWater;
                android.rms.iaware.AwareLog.w("AwareMem_Kill", "empty group list!");
                this.mLastKillZeroCount++;
            } else {
                updateGroupList(procGroups, false);
                maxKillCount2 = maxKillCount3;
                killedCount = execKillGroup(bundle, procGroups, maxKillCount2);
                this.mLastExecTime = now;
                if (killedCount > 0) {
                    invaildKill2 = invaildKill;
                    this.mLastKillZeroCount = false;
                    if (killedCount >= 5) {
                        invaildKill2 = false;
                    }
                } else {
                    invaildKill2 = invaildKill;
                    this.mLastKillZeroCount++;
                }
            }
            if (invaildKill2) {
                this.mInvaildKillCount++;
            } else {
                this.mInvaildKillCount = 0;
            }
            if (this.MEM_EMERG_KILL && availableRam <= emergWater && maxKillCount2 - killedCount > 0 && now - this.mLastLevel2ExecTime > 300000) {
                killedCount += excuteEmergKill(bundle, maxKillCount2 - killedCount);
            }
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("execute: killing count=");
            stringBuilder2.append(killedCount);
            android.rms.iaware.AwareLog.i("AwareMem_Kill", stringBuilder2.toString());
            return killedCount > 0 ? 0 : -1;
        }
    }

    private int excuteEmergKill(android.os.Bundle extras, int maxKillCount) {
        com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy policy = getAwareAppMngSortPolicy(2);
        if (policy == null) {
            android.rms.iaware.AwareLog.w("AwareMem_Kill", "getAppMngSortPolicy level2 null policy!");
            return 0;
        }
        int killedCount = 0;
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procGroups = com.android.server.rms.iaware.memory.utils.MemoryUtils.getAppMngProcGroup(policy, 2);
        if (!(procGroups == null || procGroups.isEmpty())) {
            updateGroupList(procGroups, true);
            killedCount = execKillGroup(extras, procGroups, maxKillCount);
            this.mLastExecTime = android.os.SystemClock.elapsedRealtime();
            this.mLastLevel2ExecTime = android.os.SystemClock.elapsedRealtime();
            if (killedCount > 0) {
                this.mLastKillZeroCount = 0;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("execute: killing emerg count=");
        stringBuilder.append(killedCount);
        android.rms.iaware.AwareLog.i("AwareMem_Kill", stringBuilder.toString());
        return killedCount;
    }

    private com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy getAwareAppMngSortPolicy(int memCleanLevel) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("request grouplist level=");
        stringBuilder.append(memCleanLevel);
        android.rms.iaware.AwareLog.i("AwareMem_Kill", stringBuilder.toString());
        return com.android.server.rms.iaware.memory.utils.MemoryUtils.getAppMngSortPolicy(2, 3, memCleanLevel);
    }

    public int getInvaildKillCount() {
        return this.mInvaildKillCount;
    }

    public void reset() {
        this.mLastExecTime = 0;
        this.mLastKillZeroCount = 0;
        this.mInvaildKillCount = 0;
    }

    public boolean canBeExecuted() {
        long availableRam = com.android.server.rms.iaware.memory.utils.MemoryReader.getInstance().getMemAvailable();
        java.lang.StringBuilder stringBuilder;
        if (availableRam <= 0) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("canBeExecuted read availableRam err!");
            stringBuilder.append(availableRam);
            android.rms.iaware.AwareLog.i("AwareMem_Kill", stringBuilder.toString());
            return false;
        }
        long maxStep = 3 * (com.android.server.rms.iaware.memory.utils.MemoryConstant.getIdleMemory() - com.android.server.rms.iaware.memory.utils.MemoryConstant.getEmergencyMemory());
        if (maxStep <= 0) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Idle <= Emergency Memory! getIdleMemory=");
            stringBuilder.append(com.android.server.rms.iaware.memory.utils.MemoryConstant.getIdleMemory());
            stringBuilder.append(",getEmergencyMemory=");
            stringBuilder.append(com.android.server.rms.iaware.memory.utils.MemoryConstant.getEmergencyMemory());
            android.rms.iaware.AwareLog.w("AwareMem_Kill", stringBuilder.toString());
            return false;
        }
        long curStep = availableRam - com.android.server.rms.iaware.memory.utils.MemoryConstant.getEmergencyMemory();
        long interval = ((curStep * curStep) * 10000) / ((100 * maxStep) * 1024);
        if (interval <= android.os.SystemClock.elapsedRealtime() - this.mLastExecTime) {
            return true;
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("canBeExecuted waiting next operation, real interval=");
        stringBuilder2.append(interval);
        android.rms.iaware.AwareLog.i("AwareMem_Kill", stringBuilder2.toString());
        return false;
    }

    public int getLastExecFailCount() {
        return this.mLastKillZeroCount;
    }

    private int execKillGroup(android.os.Bundle extras, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procGroups, int maxKillCount) {
        int i;
        com.android.server.rms.iaware.memory.action.KillAction killAction = this;
        android.os.Bundle bundle = extras;
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> list = procGroups;
        int i2 = 0;
        if (!(bundle == null || list == null)) {
            int i3 = 1;
            if (procGroups.size() >= 1) {
                if (killAction.mContext != null) {
                    int position;
                    int exeTime;
                    int exeTime2 = 0;
                    int killedPids = 0;
                    long reqMem = bundle.getLong("reqMem");
                    int position2 = procGroups.size() - 1;
                    while (reqMem > 0 && position2 >= 0) {
                        if (killAction.mInterrupt.get()) {
                            android.rms.iaware.AwareLog.w("AwareMem_Kill", "execKillGroup: mInterrupt, return");
                            i = maxKillCount;
                            position = position2;
                            break;
                        }
                        com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo procGroup = (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) list.get(position2);
                        if (procGroup == null) {
                            android.rms.iaware.AwareLog.w("AwareMem_Kill", "execKillGroup: null procGroup");
                            position2--;
                        } else {
                            com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo procGroup2;
                            java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> procs = procGroup.getProcessList();
                            java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> list2;
                            if (procs == null) {
                                i = maxKillCount;
                                list2 = procs;
                                position = position2;
                                procGroup2 = procGroup;
                            } else if (procs.size() < i3) {
                                i = maxKillCount;
                                list2 = procs;
                                position = position2;
                                procGroup2 = procGroup;
                            } else {
                                java.util.List<java.lang.Integer> pids;
                                java.util.List<java.lang.Integer> list3;
                                long j;
                                com.android.server.mtm.iaware.appmng.AwareProcessInfo currentProcess = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) procs.get(i2);
                                java.lang.String processName = currentProcess.mProcInfo != null ? currentProcess.mProcInfo.mProcessName : null;
                                long beginTime = java.lang.System.currentTimeMillis();
                                java.util.List<java.lang.Integer> pids2 = com.android.server.mtm.taskstatus.ProcessCleaner.getInstance(killAction.mContext).killProcessesSameUidExt(procGroup, killAction.mInterrupt, false, false, "LowMem");
                                java.lang.String processName2 = processName;
                                i2 = (int) (java.lang.System.currentTimeMillis() - beginTime);
                                if (pids2 != null) {
                                    i3 = killedPids + pids2.size();
                                    list2 = procs;
                                    pids = pids2;
                                    killedPids = i2;
                                    position = position2;
                                    exeTime = i2;
                                    i2 = procGroup;
                                    killAction.insertDumpAndStatisticData(bundle, procGroup, pids2, beginTime, killedPids, reqMem);
                                    reqMem -= 20480 * ((long) pids.size());
                                    com.android.server.rms.iaware.memory.utils.EventTracker instance = com.android.server.rms.iaware.memory.utils.EventTracker.getInstance();
                                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                    stringBuilder.append("uid:");
                                    stringBuilder.append(i2.mUid);
                                    stringBuilder.append(", proc:");
                                    stringBuilder.append(processName2);
                                    instance.trackEvent(1002, 0, 0, stringBuilder.toString());
                                    com.android.server.rms.iaware.memory.utils.PackageTracker.getInstance().trackKillEvent(i2.mUid, list2);
                                    if (i3 >= maxKillCount) {
                                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                        stringBuilder2.append("execKillGroup: Had killed process count=");
                                        stringBuilder2.append(i3);
                                        stringBuilder2.append(", return");
                                        android.rms.iaware.AwareLog.i("AwareMem_Kill", stringBuilder2.toString());
                                        list3 = pids;
                                        j = beginTime;
                                        break;
                                    }
                                    killedPids = i3;
                                } else {
                                    pids = pids2;
                                    list2 = procs;
                                    position = position2;
                                    exeTime = i2;
                                    java.lang.String processName3 = processName2;
                                    currentProcess = maxKillCount;
                                    procGroup2 = procGroup;
                                    com.android.server.rms.iaware.memory.utils.EventTracker instance2 = com.android.server.rms.iaware.memory.utils.EventTracker.getInstance();
                                    java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                                    stringBuilder3.append("uid:");
                                    stringBuilder3.append(procGroup2.mUid);
                                    stringBuilder3.append(", proc:");
                                    stringBuilder3.append(processName3);
                                    stringBuilder3.append(" fail ");
                                    instance2.trackEvent(1002, 0, 0, stringBuilder3.toString());
                                }
                                position2 = position - 1;
                                list3 = pids;
                                j = beginTime;
                                exeTime2 = exeTime;
                                killAction = this;
                                bundle = extras;
                                i2 = 0;
                                i3 = 1;
                            }
                            java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                            stringBuilder4.append("execKillGroup: null process list. uid:");
                            stringBuilder4.append(procGroup2.mUid);
                            stringBuilder4.append(", position:");
                            stringBuilder4.append(position);
                            android.rms.iaware.AwareLog.w("AwareMem_Kill", stringBuilder4.toString());
                            position2 = position - 1;
                            killAction = this;
                            bundle = extras;
                            i2 = 0;
                            i3 = 1;
                        }
                    }
                    i = maxKillCount;
                    position = position2;
                    exeTime = exeTime2;
                    i3 = killedPids;
                    com.android.server.rms.iaware.srms.AppCleanupDumpRadar.getInstance().reportMemoryData(list, position);
                    return i3;
                }
            }
        }
        i = maxKillCount;
        android.rms.iaware.AwareLog.w("AwareMem_Kill", "execKillGroup: null procGroups");
        return 0;
    }

    private void updateGroupList(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procGroups, boolean retained) {
        if (com.android.server.rms.iaware.memory.utils.PackageTracker.getInstance().isEnabled()) {
            if (procGroups != null) {
                java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> highFrequencyProcGroups = new java.util.ArrayList();
                int oldSize = procGroups.size();
                int i = procGroups.size();
                while (true) {
                    i--;
                    if (i < 0) {
                        break;
                    }
                    java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> processList = ((com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) procGroups.get(i)).mProcessList;
                    int uid = ((com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) procGroups.get(i)).mUid;
                    for (java.lang.String packageName : getPackageList(processList)) {
                        java.lang.StringBuilder stringBuilder;
                        if (uid < 10000 && processList.get(0) != null && ((com.android.server.mtm.iaware.appmng.AwareProcessInfo) processList.get(0)).mProcInfo != null) {
                            java.lang.String firstProcessname = ((com.android.server.mtm.iaware.appmng.AwareProcessInfo) processList.get(0)).mProcInfo.mProcessName;
                            if (com.android.server.rms.iaware.memory.utils.PackageTracker.getInstance().isProcessCriticalFrequency(packageName, firstProcessname, uid)) {
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("updateGroupList process: not kill critical frequent=");
                                stringBuilder.append(firstProcessname);
                                stringBuilder.append(", uid=");
                                stringBuilder.append(uid);
                                android.rms.iaware.AwareLog.w("AwareMem_Kill", stringBuilder.toString());
                                if (retained) {
                                    highFrequencyProcGroups.add((com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) procGroups.get(i));
                                }
                                procGroups.remove(i);
                            } else if (com.android.server.rms.iaware.memory.utils.PackageTracker.getInstance().isProcessHighFrequency(packageName, firstProcessname, uid)) {
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("updateGroupList process: move high frequent=");
                                stringBuilder.append(firstProcessname);
                                stringBuilder.append(", uid=");
                                stringBuilder.append(uid);
                                android.rms.iaware.AwareLog.w("AwareMem_Kill", stringBuilder.toString());
                                highFrequencyProcGroups.add((com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) procGroups.get(i));
                                procGroups.remove(i);
                                break;
                            }
                        } else if (uid < 10000) {
                            continue;
                        } else if (com.android.server.rms.iaware.memory.utils.PackageTracker.getInstance().isPackageCriticalFrequency(packageName, uid)) {
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("updateGroupList package: not kill critical frequent=");
                            stringBuilder.append(packageName);
                            stringBuilder.append(", uid=");
                            stringBuilder.append(uid);
                            android.rms.iaware.AwareLog.w("AwareMem_Kill", stringBuilder.toString());
                            if (retained) {
                                highFrequencyProcGroups.add((com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) procGroups.get(i));
                            }
                            procGroups.remove(i);
                        } else if (com.android.server.rms.iaware.memory.utils.PackageTracker.getInstance().isPackageHighFrequency(packageName, uid)) {
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("updateGroupList package: move high frequent=");
                            stringBuilder.append(packageName);
                            stringBuilder.append(", uid=");
                            stringBuilder.append(uid);
                            android.rms.iaware.AwareLog.w("AwareMem_Kill", stringBuilder.toString());
                            highFrequencyProcGroups.add((com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) procGroups.get(i));
                            procGroups.remove(i);
                            break;
                        }
                    }
                }
                for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo info : highFrequencyProcGroups) {
                    procGroups.add(0, info);
                }
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("updateGroupList: oldSize=");
                stringBuilder2.append(oldSize);
                stringBuilder2.append(", newSize=");
                stringBuilder2.append(procGroups.size());
                android.rms.iaware.AwareLog.d("AwareMem_Kill", stringBuilder2.toString());
            }
        }
    }

    @android.annotation.SuppressLint({"PreferForInArrayList"})
    private java.util.List<java.lang.String> getPackageList(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> procInfoList) {
        java.util.List<java.lang.String> packageList = new java.util.ArrayList();
        if (procInfoList == null) {
            return packageList;
        }
        for (com.android.server.mtm.iaware.appmng.AwareProcessInfo info : procInfoList) {
            if (info.mProcInfo != null) {
                if (info.mProcInfo.mPackageName != null) {
                    java.util.Iterator it = info.mProcInfo.mPackageName.iterator();
                    while (it.hasNext()) {
                        java.lang.String packageName = (java.lang.String) it.next();
                        if (!packageList.contains(packageName)) {
                            packageList.add(packageName);
                        }
                    }
                }
            }
        }
        return packageList;
    }

    private void insertDumpAndStatisticData(android.os.Bundle extras, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo procGroup, java.util.List<java.lang.Integer> pids, long beginTime, int exeTime, long reqMem) {
        android.os.Bundle bundle = extras;
        com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo awareProcessBlockInfo = procGroup;
        java.util.List<java.lang.Integer> list = pids;
        if (!(bundle == null || awareProcessBlockInfo == null)) {
            if (list != null) {
                java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> procs = procGroup.getProcessList();
                java.lang.String appName = bundle.getString("appName");
                int event = bundle.getInt("event");
                long timeStamp = bundle.getLong("timeStamp");
                int cpuLoad = bundle.getInt("cpuLoad");
                boolean cpuBusy = bundle.getBoolean("cpuBusy");
                int effect = (20480 * pids.size()) / 1024;
                java.lang.StringBuilder reasonSB = new java.lang.StringBuilder("[");
                reasonSB.append(appName);
                reasonSB.append(",");
                reasonSB.append(event);
                reasonSB.append(",");
                reasonSB.append(timeStamp);
                reasonSB.append("],[");
                reasonSB.append(cpuLoad);
                reasonSB.append(",");
                reasonSB.append(cpuBusy);
                reasonSB.append("],[");
                reasonSB.append(reqMem / 1024);
                reasonSB.append(",");
                reasonSB.append(effect);
                reasonSB = reasonSB.append("]");
                java.lang.StringBuilder operationSB = new java.lang.StringBuilder("Kill [");
                operationSB.append(awareProcessBlockInfo.mUid);
                operationSB.append(",");
                java.util.List<java.lang.String> packages = getPackageList(procs);
                operationSB.append(packages);
                operationSB.append(",");
                operationSB.append(list);
                operationSB.append("]");
                com.android.server.rms.iaware.memory.utils.EventTracker.getInstance().insertDumpData(beginTime, operationSB.toString(), exeTime, reasonSB.toString());
                com.android.server.rms.iaware.memory.utils.EventTracker.getInstance().insertStatisticData("Kill", exeTime, effect);
                return;
            }
        }
        int i = exeTime;
        android.rms.iaware.AwareLog.w("AwareMem_Kill", "insertDumpAndStatisticData: null procGroups");
    }
}
