package com.android.server.rms.iaware.memory.action;

public class QuickKillAction extends com.android.server.rms.iaware.memory.action.Action {
    private static final java.lang.String TAG = "AwareMem_QuickKill";
    private final boolean MEM_EMERG_KILL = android.os.SystemProperties.getBoolean("persist.iaware.mem_emerg_kill", false);
    private com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy mPolicy;
    private long mReqMem = 0;

    public QuickKillAction(android.content.Context context) {
        super(context);
    }

    public int execute(android.os.Bundle extras) {
        if (extras == null) {
            android.rms.iaware.AwareLog.e("AwareMem_QuickKill", "execQuickKillGroup: null extras");
            return -1;
        }
        this.mReqMem = extras.getLong("reqMem");
        if (this.mReqMem > 0) {
            return execQuickKillGroup(extras, getAwareAppMngProcGroup(null));
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("QuickKillAction exit cause reqMem is negative: ");
        stringBuilder.append(this.mReqMem);
        android.rms.iaware.AwareLog.d("AwareMem_QuickKill", stringBuilder.toString());
        return -1;
    }

    private java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> getAwareAppMngProcGroup(int memCleanLevel) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("grouplist level=");
        stringBuilder.append(memCleanLevel);
        android.rms.iaware.AwareLog.i("AwareMem_QuickKill", stringBuilder.toString());
        this.mPolicy = com.android.server.rms.iaware.memory.utils.MemoryUtils.getAppMngSortPolicy(2, 3, memCleanLevel);
        if (this.mPolicy != null) {
            return com.android.server.rms.iaware.memory.utils.MemoryUtils.getAppMngProcGroup(this.mPolicy, 2);
        }
        android.rms.iaware.AwareLog.w("AwareMem_QuickKill", "getAppMngSortPolicy null policy!");
        return null;
    }

    public void reset() {
    }

    private int execKillProcess(android.os.Bundle extras, int needKillNum, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procGroups) {
        com.android.server.rms.iaware.memory.action.QuickKillAction quickKillAction = this;
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> list = procGroups;
        if (list == null) {
            android.rms.iaware.AwareLog.w("AwareMem_QuickKill", "execKillProcess parameter procGroups NULL");
            return needKillNum;
        }
        int appUid;
        long reqMem = quickKillAction.mReqMem;
        int processName = 1;
        int position = procGroups.size() - 1;
        java.lang.String processName2 = null;
        android.os.Bundle bundle = extras;
        int appUid2 = bundle.getInt("appUid");
        int needKillNum2 = needKillNum;
        long reqMem2 = reqMem;
        int position2 = position;
        while (needKillNum2 > 0 && position2 >= 0) {
            com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo procGroup = (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) list.get(position2);
            if (procGroup == null) {
                position2--;
            } else {
                boolean z;
                com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo procGroup2;
                java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> procs = procGroup.getProcessList();
                java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> list2;
                if (procs == null) {
                    list2 = procs;
                    z = processName;
                    appUid = appUid2;
                    procGroup2 = procGroup;
                } else if (procs.size() < processName) {
                    list2 = procs;
                    z = processName;
                    appUid = appUid2;
                    procGroup2 = procGroup;
                } else {
                    com.android.server.mtm.iaware.appmng.AwareProcessInfo currentProcess = (com.android.server.mtm.iaware.appmng.AwareProcessInfo) procs.get(0);
                    if (!(currentProcess == null || currentProcess.mProcInfo == null)) {
                        processName2 = currentProcess.mProcInfo.mProcessName;
                    }
                    java.lang.String processName3 = processName2;
                    java.lang.StringBuilder stringBuilder;
                    if (appUid2 == procGroup.mUid) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("execKillProcess: uid ");
                        stringBuilder.append(procGroup.mUid);
                        stringBuilder.append(processName3);
                        stringBuilder.append(" is launching,should not be killed, position:");
                        stringBuilder.append(position2);
                        android.rms.iaware.AwareLog.i("AwareMem_QuickKill", stringBuilder.toString());
                        position2--;
                        processName2 = processName3;
                        processName = 1;
                    } else {
                        java.util.List<java.lang.Integer> pids;
                        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> procs2 = procs;
                        long beginTime = java.lang.System.currentTimeMillis();
                        java.util.List<java.lang.Integer> pids2 = com.android.server.mtm.taskstatus.ProcessCleaner.getInstance(quickKillAction.mContext).killProcessesSameUidExt(procGroup, true, "LowMemQuick");
                        int exeTime = (int) (java.lang.System.currentTimeMillis() - beginTime);
                        int exeTime2;
                        if (pids2 != null) {
                            int needKillNum3 = needKillNum2 - pids2.size();
                            java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> procs3 = procs2;
                            exeTime2 = exeTime;
                            list2 = procs3;
                            appUid = appUid2;
                            appUid2 = procGroup;
                            pids = pids2;
                            z = true;
                            quickKillAction.insertDumpAndStatisticData(bundle, procGroup, pids2, beginTime, exeTime2, reqMem2);
                            reqMem2 -= 20480 * ((long) pids.size());
                            com.android.server.rms.iaware.memory.utils.EventTracker instance = com.android.server.rms.iaware.memory.utils.EventTracker.getInstance();
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("QuickKill,uid:");
                            stringBuilder2.append(appUid2.mUid);
                            stringBuilder2.append(", processName:");
                            stringBuilder2.append(processName3);
                            instance.trackEvent(1002, 0, 0, stringBuilder2.toString());
                            com.android.server.rms.iaware.memory.utils.PackageTracker.getInstance().trackKillEvent(appUid2.mUid, list2);
                            needKillNum2 = needKillNum3;
                        } else {
                            pids = pids2;
                            z = true;
                            appUid = appUid2;
                            list2 = procs2;
                            exeTime2 = exeTime;
                            appUid2 = procGroup;
                            com.android.server.rms.iaware.memory.utils.EventTracker instance2 = com.android.server.rms.iaware.memory.utils.EventTracker.getInstance();
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("QuickKill,uid:");
                            stringBuilder.append(appUid2.mUid);
                            stringBuilder.append(", processName:");
                            stringBuilder.append(processName3);
                            stringBuilder.append(" failed!");
                            instance2.trackEvent(1002, 0, 0, stringBuilder.toString());
                        }
                        position2--;
                        processName2 = processName3;
                        pids2 = pids;
                        long j = beginTime;
                        appUid2 = appUid;
                        processName = z;
                        quickKillAction = this;
                        bundle = extras;
                    }
                }
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("execKillProcess: null process list. uid:");
                stringBuilder3.append(procGroup2.mUid);
                stringBuilder3.append(", position:");
                stringBuilder3.append(position2);
                android.rms.iaware.AwareLog.w("AwareMem_QuickKill", stringBuilder3.toString());
                position2--;
                appUid2 = appUid;
                processName = z;
                quickKillAction = this;
                bundle = extras;
            }
        }
        appUid = appUid2;
        com.android.server.rms.iaware.srms.AppCleanupDumpRadar.getInstance().reportMemoryData(list, position2);
        return needKillNum2;
    }

    private int execQuickKillGroup(android.os.Bundle extras, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procGroups) {
        int needKillNum = (int) ((this.mReqMem / 20480) + 4);
        if (this.mContext == null) {
            android.rms.iaware.AwareLog.e("AwareMem_QuickKill", "execQuickKillGroup: mContext = NULL!");
            return -1;
        }
        if (procGroups != null) {
            if (procGroups.size() >= 1) {
                java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procGroupsLevel1;
                java.lang.StringBuilder stringBuilder;
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("getProcessActionGroup:");
                stringBuilder2.append(procGroups.size());
                stringBuilder2.append(" needKillNum:");
                stringBuilder2.append(needKillNum);
                android.rms.iaware.AwareLog.d("AwareMem_QuickKill", stringBuilder2.toString());
                needKillNum = execKillProcess(extras, needKillNum, procGroups);
                if (needKillNum > 0) {
                    android.rms.iaware.AwareLog.d("AwareMem_QuickKill", "get getProcessActionGroup1");
                    procGroupsLevel1 = getAwareAppMngProcGroup(1);
                    if (procGroupsLevel1 != null) {
                        needKillNum = execKillProcess(extras, needKillNum, procGroupsLevel1);
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("getProcessActionGroup1:");
                        stringBuilder.append(procGroupsLevel1.size());
                        stringBuilder.append(" needKillNum:");
                        stringBuilder.append(needKillNum);
                        android.rms.iaware.AwareLog.d("AwareMem_QuickKill", stringBuilder.toString());
                    }
                }
                if (this.MEM_EMERG_KILL && needKillNum > 0) {
                    android.rms.iaware.AwareLog.d("AwareMem_QuickKill", "get getProcessActionGroup2");
                    procGroupsLevel1 = getAwareAppMngProcGroup(2);
                    if (procGroupsLevel1 != null) {
                        needKillNum = execKillProcess(extras, needKillNum, procGroupsLevel1);
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("getProcessActionGroup2:");
                        stringBuilder.append(procGroupsLevel1.size());
                        stringBuilder.append(" needKillNum:");
                        stringBuilder.append(needKillNum);
                        android.rms.iaware.AwareLog.d("AwareMem_QuickKill", stringBuilder.toString());
                    }
                }
                if (this.MEM_EMERG_KILL && needKillNum > 0) {
                    android.rms.iaware.AwareLog.d("AwareMem_QuickKill", "get getProcessActionGroup3");
                    procGroupsLevel1 = getAwareAppMngProcGroup(3);
                    if (procGroupsLevel1 != null) {
                        needKillNum = execKillProcess(extras, needKillNum, procGroupsLevel1);
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("getProcessActionGroup3:");
                        stringBuilder.append(procGroupsLevel1.size());
                        stringBuilder.append(" needKillNum:");
                        stringBuilder.append(needKillNum);
                        android.rms.iaware.AwareLog.d("AwareMem_QuickKill", stringBuilder.toString());
                    }
                }
                return 0;
            }
        }
        android.rms.iaware.AwareLog.d("AwareMem_QuickKill", "getProcessActionGroup:null!");
        return -1;
    }

    private void insertDumpAndStatisticData(android.os.Bundle extras, com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo procGroup, java.util.List<java.lang.Integer> pids, long beginTime, int exeTime, long reqMem) {
        android.os.Bundle bundle = extras;
        com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo awareProcessBlockInfo = procGroup;
        java.util.List<java.lang.Integer> list = pids;
        if (!(bundle == null || awareProcessBlockInfo == null)) {
            if (list != null) {
                java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> procs = procGroup.getProcessList();
                java.lang.String appName = bundle.getString("appName");
                int event = bundle.getInt("event");
                long timeStamp = bundle.getLong("timeStamp");
                int cpuLoad = bundle.getInt("cpuLoad");
                boolean cpuBusy = bundle.getBoolean("cpuBusy");
                int effect = (20480 * pids.size()) / 1024;
                java.lang.StringBuilder reasonSB = new java.lang.StringBuilder("[");
                reasonSB.append(appName);
                reasonSB.append(",");
                reasonSB.append(event);
                reasonSB.append(",");
                reasonSB.append(timeStamp);
                reasonSB.append("],[");
                reasonSB.append(cpuLoad);
                reasonSB.append(",");
                reasonSB.append(cpuBusy);
                reasonSB.append("],[");
                reasonSB.append(reqMem / 1024);
                reasonSB.append(",");
                reasonSB.append(effect);
                reasonSB = reasonSB.append("]");
                java.lang.StringBuilder operationSB = new java.lang.StringBuilder("QuickKill [");
                operationSB.append(awareProcessBlockInfo.mUid);
                operationSB.append(",");
                for (com.android.server.mtm.iaware.appmng.AwareProcessInfo info : procs) {
                    if (info.mProcInfo != null) {
                        if (info.mProcInfo.mPackageName != null) {
                            operationSB.append(info.mProcInfo.mPackageName);
                            operationSB.append(",");
                        }
                    }
                    bundle = extras;
                    awareProcessBlockInfo = procGroup;
                }
                operationSB.append(list);
                operationSB.append("]");
                com.android.server.rms.iaware.memory.utils.EventTracker.getInstance().insertDumpData(beginTime, operationSB.toString(), exeTime, reasonSB.toString());
                com.android.server.rms.iaware.memory.utils.EventTracker.getInstance().insertStatisticData("QuickKill", exeTime, effect);
                return;
            }
        }
        int i = exeTime;
        android.rms.iaware.AwareLog.e("AwareMem_QuickKill", "insertDumpAndStatisticData: null procGroups");
    }
}
