package com.android.server.rms.iaware.memory.action;

public class ReclaimAction extends com.android.server.rms.iaware.memory.action.Action {
    private static final int BASE_RECLAIM_GAP = 2000;
    private static final int DEFAULT_RECLAIM_RATE = 30;
    private static final int MAX_RECLAIM_CNT = 3;
    private static final int MAX_RECLAIM_GAP = 1800000;
    private static final int MAX_RECLAIM_TIME = 1000;
    private static final int MIN_RECLAIM_UID = 10000;
    private static final java.lang.String TAG = "AwareMem_Reclaim";
    private int mEmptyLoopCount = 0;
    private long mLastReclaimTime = 0;
    private long mReclaimGap = 2000;

    private static class ReclaimState {
        public long mBeginTime;
        public java.lang.String mReasonCommon;
        public int mReclaimedProc;
        public long mRequestMemory;

        ReclaimState(android.os.Bundle extras) {
            java.lang.String appName = extras.getString("appName");
            if (appName != null && appName.length() > 64) {
                appName = appName.substring(0, 63);
            }
            int event = extras.getInt("event");
            long timeStamp = extras.getLong("timeStamp");
            int cpuLoad = extras.getInt("cpuLoad");
            boolean cpuBusy = extras.getBoolean("cpuBusy");
            java.lang.StringBuffer buffer = new java.lang.StringBuffer(128);
            buffer.append("[");
            buffer.append(appName);
            buffer.append(",");
            buffer.append(event);
            buffer.append(",");
            buffer.append(timeStamp);
            buffer.append("],[");
            buffer.append(cpuLoad);
            buffer.append(",");
            buffer.append(cpuBusy);
            buffer.append("],[");
            this.mReasonCommon = buffer.toString();
            this.mRequestMemory = extras.getLong("reqMem");
            this.mReclaimedProc = 0;
            this.mBeginTime = java.lang.System.currentTimeMillis();
        }
    }

    public ReclaimAction(android.content.Context context) {
        super(context);
    }

    public boolean reqInterrupt(android.os.Bundle extras) {
        this.mInterrupt.set(true);
        return true;
    }

    private java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> generateCompressList(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procsGroups) {
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> list = null;
        if (procsGroups != null) {
            if (!procsGroups.isEmpty()) {
                java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> compressList = new java.util.ArrayList();
                android.util.ArrayMap<java.lang.Integer, com.android.server.rms.iaware.hiber.bean.HiberAppInfo> historyMap = com.android.server.rms.iaware.hiber.AppHibernateTask.getInstance().getRelaimedRecord();
                for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo blockInfo : procsGroups) {
                    if (blockInfo != null) {
                        if (blockInfo.mUid >= 10000) {
                            java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> processList = blockInfo.getProcessList();
                            if (processList != null) {
                                for (com.android.server.mtm.iaware.appmng.AwareProcessInfo proc : processList) {
                                    if (!(proc == null || proc.mProcInfo == null)) {
                                        if (android.os.Process.myPid() != proc.mPid) {
                                            com.android.server.mtm.taskstatus.ProcessInfo currentProcInfo = proc.mProcInfo;
                                            if (currentProcInfo.mProcessName != null) {
                                                if (!currentProcInfo.mProcessName.contains("launcher")) {
                                                    if (currentProcInfo.mPackageName != null) {
                                                        if (1 == currentProcInfo.mPackageName.size()) {
                                                            com.android.server.rms.iaware.hiber.bean.HiberAppInfo historyHiberAppInfo = historyMap == null ? null : (com.android.server.rms.iaware.hiber.bean.HiberAppInfo) historyMap.get(java.lang.Integer.valueOf(currentProcInfo.mPid));
                                                            if (historyHiberAppInfo == null || currentProcInfo.mUid != historyHiberAppInfo.mUid || !currentProcInfo.mProcessName.equals(historyHiberAppInfo.mProcessName) || android.os.SystemClock.uptimeMillis() - historyHiberAppInfo.mReclaimTime >= 600000) {
                                                                compressList.add(proc);
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
                if (!compressList.isEmpty()) {
                    list = compressList;
                }
                return list;
            }
        }
        android.rms.iaware.AwareLog.w("AwareMem_Reclaim", "generateCompressList procsGroups error!");
        return null;
    }

    public int execute(android.os.Bundle extras) {
        if (extras == null) {
            android.rms.iaware.AwareLog.w("AwareMem_Reclaim", "null extras!");
            return -1;
        }
        com.android.server.rms.iaware.memory.action.ReclaimAction.ReclaimState state = new com.android.server.rms.iaware.memory.action.ReclaimAction.ReclaimState(extras);
        com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy policy = com.android.server.rms.iaware.memory.utils.MemoryUtils.getAppMngSortPolicy(1, 3);
        if (policy == null) {
            android.rms.iaware.AwareLog.w("AwareMem_Reclaim", "getAppMngSortPolicy null policy!");
            return -1;
        }
        if (3 == reclaimProcessGroup(policy, 2, state)) {
            reclaimProcessGroup(policy, 1, state);
        }
        if (this.mInterrupt.get()) {
            return 0;
        }
        updateReclaimGap(state.mReclaimedProc);
        this.mLastReclaimTime = android.os.SystemClock.elapsedRealtime();
        this.mEmptyLoopCount = state.mReclaimedProc == 0 ? this.mEmptyLoopCount + 1 : 0;
        return 0;
    }

    private int reclaimProcessGroup(com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy policy, int groupId, com.android.server.rms.iaware.memory.action.ReclaimAction.ReclaimState state) {
        com.android.server.rms.iaware.memory.action.ReclaimAction reclaimAction = this;
        com.android.server.rms.iaware.memory.action.ReclaimAction.ReclaimState reclaimState = state;
        int ret = 0;
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procsGroups = com.android.server.rms.iaware.memory.utils.MemoryUtils.getAppMngProcGroup(policy, groupId);
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> compressList = reclaimAction.generateCompressList(procsGroups);
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> list;
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> list2;
        if (compressList == null) {
            list = compressList;
        } else if (compressList.isEmpty()) {
            list2 = procsGroups;
            list = compressList;
        } else {
            int ret2;
            for (com.android.server.mtm.iaware.appmng.AwareProcessInfo proc : compressList) {
                if (reclaimAction.mInterrupt.get()) {
                    android.rms.iaware.AwareLog.d("AwareMem_Reclaim", "Interrupted, return");
                    return -1;
                }
                if (proc == null) {
                    ret2 = ret;
                    list2 = procsGroups;
                    list = compressList;
                } else if (proc.mProcInfo == null) {
                    ret2 = ret;
                    list2 = procsGroups;
                    list = compressList;
                } else {
                    java.lang.String procName = proc.mProcInfo.mProcessName;
                    long uss = com.android.server.rms.iaware.memory.utils.MemoryReader.getPssForPid(proc.mPid);
                    if (uss <= 0) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        ret2 = ret;
                        stringBuilder.append("getPssForPid error skip! procName=");
                        stringBuilder.append(procName);
                        android.rms.iaware.AwareLog.w("AwareMem_Reclaim", stringBuilder.toString());
                        ret = ret2;
                    } else {
                        long beginTime = java.lang.System.currentTimeMillis();
                        ret = com.android.server.rms.iaware.hiber.AppHibernateTask.getInstance().reclaimApp(proc);
                        long endTime = java.lang.System.currentTimeMillis();
                        int ret3;
                        if (ret < 0) {
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            ret3 = ret;
                            stringBuilder2.append("call hiber reclaimApp error skip! procName=");
                            stringBuilder2.append(procName);
                            android.rms.iaware.AwareLog.d("AwareMem_Reclaim", stringBuilder2.toString());
                            ret = ret3;
                        } else {
                            ret3 = ret;
                            java.lang.String operation = new java.lang.StringBuilder();
                            operation.append("Reclaim [");
                            operation.append(proc.mPid);
                            operation.append(",");
                            operation.append(procName);
                            operation.append("]");
                            operation = operation.toString();
                            long effect = (70 * uss) / 100;
                            ret = new java.lang.StringBuilder();
                            ret.append(reclaimState.mReasonCommon);
                            list2 = procsGroups;
                            ret.append(reclaimState.mRequestMemory / 1024);
                            ret.append(",");
                            ret.append(effect / 1024);
                            ret.append("]");
                            ret = ret.toString();
                            int exeTime = (int) (endTime - beginTime);
                            com.android.server.rms.iaware.memory.utils.EventTracker.getInstance().insertDumpData(beginTime, operation, exeTime, ret);
                            list = compressList;
                            com.android.server.rms.iaware.memory.utils.EventTracker.getInstance().insertStatisticData("Reclaim", exeTime, (int) (effect / 1024));
                            reclaimState.mReclaimedProc++;
                            reclaimState.mRequestMemory -= effect;
                            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                            stringBuilder3.append("reclaimed ");
                            stringBuilder3.append(procName);
                            stringBuilder3.append("(");
                            stringBuilder3.append(proc.mPid);
                            stringBuilder3.append(") get ");
                            stringBuilder3.append(effect);
                            stringBuilder3.append(" kb memory");
                            android.rms.iaware.AwareLog.d("AwareMem_Reclaim", stringBuilder3.toString());
                            if (1000 > endTime - reclaimState.mBeginTime && reclaimState.mRequestMemory > 0) {
                                if (3 > reclaimState.mReclaimedProc) {
                                    java.lang.String str = operation;
                                    java.lang.Object obj = ret;
                                    ret = ret3;
                                    procsGroups = list2;
                                    compressList = list;
                                }
                            }
                            return 0;
                        }
                    }
                    reclaimAction = this;
                }
                android.rms.iaware.AwareLog.w("AwareMem_Reclaim", "proc error skip!");
                ret = ret2;
                procsGroups = list2;
                compressList = list;
                reclaimAction = this;
            }
            ret2 = ret;
            list2 = procsGroups;
            list = compressList;
            return 3;
        }
        java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
        stringBuilder4.append("reclaim process group ");
        stringBuilder4.append(groupId);
        stringBuilder4.append(" err!");
        android.rms.iaware.AwareLog.i("AwareMem_Reclaim", stringBuilder4.toString());
        return 3;
    }

    public void reset() {
        this.mLastReclaimTime = 0;
        this.mEmptyLoopCount = 0;
        this.mReclaimGap = 2000;
    }

    public boolean canBeExecuted() {
        if (!com.android.server.rms.iaware.hiber.AppHibernateTask.getInstance().isAppHiberEnabled()) {
            android.rms.iaware.AwareLog.i("AwareMem_Reclaim", "canBeExecuted hibernation is not running!");
            this.mReclaimGap = 1800000;
            return false;
        } else if (android.os.SystemClock.elapsedRealtime() - this.mLastReclaimTime < this.mReclaimGap) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("canBeExecuted waiting next operation, interval=");
            stringBuilder.append(this.mReclaimGap);
            android.rms.iaware.AwareLog.i("AwareMem_Reclaim", stringBuilder.toString());
            return false;
        } else if (com.android.server.rms.iaware.memory.utils.MemoryReader.isZramOK()) {
            return true;
        } else {
            android.rms.iaware.AwareLog.i("AwareMem_Reclaim", "canBeExecuted no zram space!");
            updateReclaimGap(0);
            return false;
        }
    }

    public int getLastExecFailCount() {
        return this.mEmptyLoopCount;
    }

    private void updateReclaimGap(int nReclaimed) {
        long j;
        if (nReclaimed == 0) {
            this.mReclaimGap *= 2;
            j = 1800000;
            if (this.mReclaimGap <= 1800000) {
                j = this.mReclaimGap;
            }
            this.mReclaimGap = j;
        } else {
            long availableRam = com.android.server.rms.iaware.memory.utils.MemoryReader.getInstance().getMemAvailable();
            j = 0;
            if (availableRam > 0) {
                long maxStep = com.android.server.rms.iaware.memory.utils.MemoryConstant.getIdleMemory() - com.android.server.rms.iaware.memory.utils.MemoryConstant.getCriticalMemory();
                if (maxStep <= 0) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("Idle <= Emergency Memory! getIdleMemory=");
                    stringBuilder.append(com.android.server.rms.iaware.memory.utils.MemoryConstant.getIdleMemory());
                    stringBuilder.append(",getEmergencyMemory=");
                    stringBuilder.append(com.android.server.rms.iaware.memory.utils.MemoryConstant.getEmergencyMemory());
                    android.rms.iaware.AwareLog.w("AwareMem_Reclaim", stringBuilder.toString());
                    return;
                }
                long interval = (8000 * (availableRam - com.android.server.rms.iaware.memory.utils.MemoryConstant.getCriticalMemory())) / maxStep;
                if (interval >= 0) {
                    j = interval;
                }
                this.mReclaimGap = 2000 + j;
            } else {
                this.mReclaimGap = 2000;
            }
        }
    }
}
