package com.android.server.rms.iaware.memory.data.content;

public class AttrSegments {
    private static final java.lang.String TAG = "AwareMem_AttrSegm";
    private java.lang.Integer mEvent;
    private android.util.ArrayMap<java.lang.String, android.util.ArrayMap<java.lang.String, java.lang.String>> mSegments;

    public static final class Builder {
        private java.lang.String[] collectList = null;
        private java.lang.Integer event = null;

        public void addCollectData(java.lang.String collectData) {
            try {
                this.collectList = android.rms.iaware.DataNormalizer.getCollectArray(collectData);
                this.event = com.android.server.rms.iaware.memory.data.content.AttrSegments.parseEvent(this.collectList);
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(" Fail to parse collectData=");
                stringBuilder.append(collectData);
                android.rms.iaware.AwareLog.e("AwareMem_AttrSegm", stringBuilder.toString());
                this.collectList = null;
                this.event = null;
            }
        }

        public com.android.server.rms.iaware.memory.data.content.AttrSegments build() {
            com.android.server.rms.iaware.memory.data.content.AttrSegments segments = new com.android.server.rms.iaware.memory.data.content.AttrSegments();
            if (this.collectList != null && this.collectList.length >= 1) {
                if (this.event != null) {
                    int length = this.collectList.length;
                    for (int i = 1; i < length; i++) {
                        java.lang.String[] collects = android.rms.iaware.DataNormalizer.parseCollect(this.collectList[i]);
                        if (collects != null) {
                            java.lang.String[] conditionArray = android.rms.iaware.DataNormalizer.getConditionArray(collects[1]);
                            if (conditionArray != null) {
                                android.util.ArrayMap<java.lang.String, android.util.ArrayMap<java.lang.String, java.lang.String>> segmentMap = segments.getSegmentMap();
                                android.util.ArrayMap<java.lang.String, java.lang.String> conditionMap = (android.util.ArrayMap) segmentMap.get(collects[0]);
                                if (conditionMap == null) {
                                    conditionMap = new android.util.ArrayMap();
                                    segmentMap.put(collects[0], conditionMap);
                                }
                                for (java.lang.String[] conditions : conditionArray) {
                                    java.lang.String[] conditions2 = android.rms.iaware.DataNormalizer.parseCondition(conditions2);
                                    if (conditions2 != null) {
                                        conditionMap.put(conditions2[0], conditions2[1]);
                                    }
                                }
                            }
                        }
                    }
                    segments.mEvent = this.event;
                    return segments;
                }
            }
            android.rms.iaware.AwareLog.e("AwareMem_AttrSegm", " Invalid collectData, or event");
            return segments;
        }
    }

    private AttrSegments() {
        this.mEvent = null;
        this.mSegments = new android.util.ArrayMap();
    }

    public boolean isValid() {
        return this.mEvent != null;
    }

    public java.lang.Integer getEvent() {
        return this.mEvent;
    }

    public android.util.ArrayMap<java.lang.String, java.lang.String> getSegment(java.lang.String key) {
        return (android.util.ArrayMap) this.mSegments.get(key);
    }

    private android.util.ArrayMap<java.lang.String, android.util.ArrayMap<java.lang.String, java.lang.String>> getSegmentMap() {
        return this.mSegments;
    }

    private static java.lang.Integer parseEvent(java.lang.String[] collectList) {
        java.lang.Integer eventId = null;
        if (collectList != null) {
            if (collectList.length >= 1) {
                java.lang.String[] collects = android.rms.iaware.DataNormalizer.parseCollect(collectList[0]);
                if (collects != null) {
                    if (collects.length >= 2) {
                        java.lang.String[] conditionArray = android.rms.iaware.DataNormalizer.getConditionArray(collects[1]);
                        if (conditionArray != null) {
                            if (conditionArray.length >= 1) {
                                java.lang.String[] eventArray = android.rms.iaware.DataNormalizer.parseCondition(conditionArray[0]);
                                if (eventArray != null) {
                                    if (eventArray.length >= 2) {
                                        try {
                                            eventId = java.lang.Integer.valueOf(java.lang.Integer.parseInt(eventArray[1]));
                                        } catch (java.lang.NumberFormatException e) {
                                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                            stringBuilder.append(" Parse event NumberFormatException. data=");
                                            stringBuilder.append(java.util.Arrays.toString(collectList));
                                            android.rms.iaware.AwareLog.e("AwareMem_AttrSegm", stringBuilder.toString());
                                        }
                                        return eventId;
                                    }
                                }
                                android.rms.iaware.AwareLog.e("AwareMem_AttrSegm", " parseEvent eventArray error");
                                return null;
                            }
                        }
                        android.rms.iaware.AwareLog.e("AwareMem_AttrSegm", " parseEvent conditionArray error");
                        return null;
                    }
                }
                android.rms.iaware.AwareLog.e("AwareMem_AttrSegm", " parseEvent collects error");
                return null;
            }
        }
        android.rms.iaware.AwareLog.e("AwareMem_AttrSegm", " parseEvent collectList error");
        return null;
    }
}
