package com.android.server.rms.iaware.memory.data.content;

public class ProcessActionInfo {
    private final int mCurAdj;
    private final int mImpactFactor;
    private final java.util.ArrayList<java.lang.String> mPackageName = new java.util.ArrayList();
    private final int mPid;
    private final java.lang.String mProcessName;
    private final int mSizeRecycled;
    private final com.android.server.rms.iaware.memory.utils.MemoryConstant.MemActionType mType;
    private final int mUid;

    @android.annotation.SuppressLint({"PreferForInArrayList"})
    public ProcessActionInfo(com.android.server.mtm.taskstatus.ProcessInfo info, com.android.server.rms.iaware.memory.utils.MemoryConstant.MemActionType type, int size, int impact) {
        this.mPid = info.mPid;
        this.mUid = info.mUid;
        this.mCurAdj = info.mCurAdj;
        this.mProcessName = info.mProcessName;
        this.mType = type;
        this.mSizeRecycled = size;
        this.mImpactFactor = impact;
        java.util.Iterator it = info.mPackageName.iterator();
        while (it.hasNext()) {
            this.mPackageName.add((java.lang.String) it.next());
        }
    }

    public int getPid() {
        return this.mPid;
    }

    public int getUid() {
        return this.mUid;
    }

    public int getOomAdj() {
        return this.mCurAdj;
    }

    public com.android.server.rms.iaware.memory.utils.MemoryConstant.MemActionType getType() {
        return this.mType;
    }

    public int getSizeRecycled() {
        return this.mSizeRecycled;
    }

    public int getImpactFactor() {
        return this.mImpactFactor;
    }

    public java.lang.String getProcName() {
        return this.mProcessName;
    }

    public java.util.ArrayList<java.lang.String> getPkgName() {
        return this.mPackageName;
    }

    public java.lang.String toString() {
        java.lang.StringBuilder sb = new java.lang.StringBuilder();
        sb.append(getPid());
        sb.append(" ");
        sb.append(getProcName());
        sb.append(" ");
        sb.append(getOomAdj());
        sb.append(" ");
        sb.append(this.mType);
        sb.append(" ");
        sb.append(this.mSizeRecycled);
        sb.append(" ");
        sb.append(this.mImpactFactor);
        return sb.toString();
    }
}
