package com.android.server.rms.iaware.memory.data.handle;

public class DataAppHandle extends com.android.server.rms.iaware.memory.data.handle.AbsDataHandle {
    private static final long ACTIVITY_START_TIMEOUT = 5000;
    private static final java.lang.String SYSTEM_UI = "com.android.systemui";
    private static final java.lang.String TAG = "AwareMem_AppHandle";
    private static com.android.server.rms.iaware.memory.data.handle.DataAppHandle sDataHandle;
    private long mAcvityLaunchBeginTimestamp = 0;
    private java.lang.String mFgPkgName = null;
    private com.android.server.am.HwActivityManagerService mHwAMS = com.android.server.am.HwActivityManagerService.self();
    private boolean mIsActivityLaunching = false;
    private boolean mIsInBigMemoryMode = false;
    private java.lang.String mLastPrereadPkg = null;
    private com.android.server.rms.iaware.memory.data.handle.DataAppHandle.TrimMemoryHandler mTrimHandler = new com.android.server.rms.iaware.memory.data.handle.DataAppHandle.TrimMemoryHandler();

    private final class TrimMemoryHandler extends android.os.Handler {
        private static final int MSG_COMPRESS_GPUMEMORY = 200;
        private static final int MSG_TRIM_MEMORY = 100;
        private static final int ONTRIM_DELAY_TIME = 3000;
        private java.lang.Integer mLastPid;
        private java.lang.String mLastPkgName;
        private java.util.List<com.android.server.rms.iaware.memory.data.handle.DataAppHandle.TrimMemoryHandler.OnTrimTask> waitForOnTrimPids;

        private class OnTrimTask {
            public int mPid;
            public long mTime;

            public OnTrimTask(int pid, long t) {
                this.mPid = pid;
                this.mTime = t;
            }
        }

        private TrimMemoryHandler() {
            this.mLastPid = java.lang.Integer.valueOf(0);
            this.mLastPkgName = null;
            this.waitForOnTrimPids = new java.util.ArrayList();
        }

        private void interuptTrimMemoryForPid(int curPid) {
            synchronized (this.waitForOnTrimPids) {
                for (int i = this.waitForOnTrimPids.size() - 1; i >= 0; i--) {
                    com.android.server.rms.iaware.memory.data.handle.DataAppHandle.TrimMemoryHandler.OnTrimTask tsk = (com.android.server.rms.iaware.memory.data.handle.DataAppHandle.TrimMemoryHandler.OnTrimTask) this.waitForOnTrimPids.get(i);
                    if (tsk.mPid == curPid) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("interuptTrimMemoryForPid! curPid:");
                        stringBuilder.append(curPid);
                        stringBuilder.append(" tPid:");
                        stringBuilder.append(tsk.mPid);
                        android.rms.iaware.AwareLog.i("AwareMem_AppHandle", stringBuilder.toString());
                        this.waitForOnTrimPids.remove(i);
                    }
                }
            }
        }

        private void doTrimMemory(int curPid, java.lang.String pkgName) {
            if (!com.android.server.rms.iaware.memory.data.handle.DataAppHandle.this.isLauncher(pkgName)) {
                interuptTrimMemoryForPid(curPid);
            }
            if (!(this.mLastPkgName == null || this.mLastPid.intValue() == 0 || "com.android.systemui".equals(this.mLastPkgName) || com.android.server.rms.iaware.memory.data.handle.DataAppHandle.this.isLauncher(this.mLastPkgName))) {
                if (this.mLastPid.intValue() != curPid) {
                    synchronized (this.waitForOnTrimPids) {
                        this.waitForOnTrimPids.add(new com.android.server.rms.iaware.memory.data.handle.DataAppHandle.TrimMemoryHandler.OnTrimTask(this.mLastPid.intValue(), android.os.SystemClock.elapsedRealtime()));
                    }
                    android.os.Message message = android.os.Message.obtain();
                    message.arg1 = this.mLastPid.intValue();
                    message.what = 100;
                    sendMessageDelayed(message, 3000);
                }
            }
        }

        private void saveLastActivityInfo(int pid, java.lang.String pkgName) {
            this.mLastPkgName = pkgName;
            this.mLastPid = java.lang.Integer.valueOf(pid);
        }

        /* JADX WARNING: Missing block: B:13:0x0036, code:
            if (r0 == 0) goto L_?;
     */
        /* JADX WARNING: Missing block: B:14:0x0038, code:
            com.android.server.rms.iaware.memory.utils.MemoryUtils.trimMemory(com.android.server.rms.iaware.memory.data.handle.DataAppHandle.access$400(r8.this$0), java.lang.String.valueOf(r0), 40);
     */
        /* JADX WARNING: Missing block: B:22:?, code:
            return;
     */
        /* JADX WARNING: Missing block: B:23:?, code:
            return;
     */
        public void handleMessage(android.os.Message r9) {
            /*
            r8 = this;
            super.handleMessage(r9);
            r0 = r9.what;
            r1 = 100;
            if (r0 == r1) goto L_0x000a;
        L_0x0009:
            goto L_0x0049;
        L_0x000a:
            r0 = 0;
            r1 = r8.waitForOnTrimPids;
            monitor-enter(r1);
            r2 = r8.waitForOnTrimPids;	 Catch:{ all -> 0x004a }
            r2 = r2.size();	 Catch:{ all -> 0x004a }
            if (r2 <= 0) goto L_0x0048;
        L_0x0016:
            r2 = r8.waitForOnTrimPids;	 Catch:{ all -> 0x004a }
            r3 = 0;
            r2 = r2.get(r3);	 Catch:{ all -> 0x004a }
            r2 = (com.android.server.rms.iaware.memory.data.handle.DataAppHandle.TrimMemoryHandler.OnTrimTask) r2;	 Catch:{ all -> 0x004a }
            r4 = android.os.SystemClock.elapsedRealtime();	 Catch:{ all -> 0x004a }
            r6 = r2.mTime;	 Catch:{ all -> 0x004a }
            r4 = r4 - r6;
            r6 = 3000; // 0xbb8 float:4.204E-42 double:1.482E-320;
            r4 = (r4 > r6 ? 1 : (r4 == r6 ? 0 : -1));
            if (r4 < 0) goto L_0x0034;
        L_0x002c:
            r4 = r2.mPid;	 Catch:{ all -> 0x004a }
            r0 = r4;
            r4 = r8.waitForOnTrimPids;	 Catch:{ all -> 0x004a }
            r4.remove(r3);	 Catch:{ all -> 0x004a }
            monitor-exit(r1);	 Catch:{ all -> 0x004a }
            if (r0 == 0) goto L_0x0049;
        L_0x0038:
            r1 = com.android.server.rms.iaware.memory.data.handle.DataAppHandle.this;
            r1 = r1.mHwAMS;
            r2 = java.lang.String.valueOf(r0);
            r3 = 40;
            com.android.server.rms.iaware.memory.utils.MemoryUtils.trimMemory(r1, r2, r3);
            goto L_0x0049;
        L_0x0048:
            monitor-exit(r1);	 Catch:{ all -> 0x004a }
        L_0x0049:
            return;
        L_0x004a:
            r2 = move-exception;
            monitor-exit(r1);	 Catch:{ all -> 0x004a }
            throw r2;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.memory.data.handle.DataAppHandle.TrimMemoryHandler.handleMessage(android.os.Message):void");
        }
    }

    public static com.android.server.rms.iaware.memory.data.handle.DataAppHandle getInstance() {
        com.android.server.rms.iaware.memory.data.handle.DataAppHandle dataAppHandle;
        synchronized (com.android.server.rms.iaware.memory.data.handle.DataAppHandle.class) {
            if (sDataHandle == null) {
                sDataHandle = new com.android.server.rms.iaware.memory.data.handle.DataAppHandle();
            }
            dataAppHandle = sDataHandle;
        }
        return dataAppHandle;
    }

    public int reportData(long timestamp, int event, com.android.server.rms.iaware.memory.data.content.AttrSegments attrSegments) {
        int result = -1;
        android.util.ArrayMap<java.lang.String, java.lang.String> appInfo = attrSegments.getSegment("calledApp");
        if (appInfo == null) {
            android.rms.iaware.AwareLog.w("AwareMem_AppHandle", "appInfo is NULL");
            return -1;
        }
        if (event == 15001) {
            result = handleProcessBegin(timestamp, event, appInfo);
        } else if (event == 15005) {
            result = handleActivityBegin(timestamp, event, appInfo);
        } else if (event == 15010) {
            result = handleAppPrepareMem(timestamp, event, appInfo);
        } else if (event == 15013) {
            result = handleDisplayedBegin(timestamp, event, appInfo);
        } else if (event == 85003) {
            result = handleProcessExitFinish(timestamp, event, appInfo);
        } else if (event == 85005) {
            result = handleActivityFinish(timestamp, event, appInfo);
        } else if (event == 85013) {
            result = handleDisplayedFinish(timestamp, event, appInfo);
        }
        return result;
    }

    private int handleAppPrepareMem(long timestamp, int event, android.util.ArrayMap<java.lang.String, java.lang.String> appInfo) {
        android.util.ArrayMap<java.lang.String, java.lang.String> arrayMap = appInfo;
        if (!com.android.server.rms.iaware.feature.MemoryFeature2.isUpMemoryFeature.get()) {
            return -1;
        }
        android.os.Bundle extras = new android.os.Bundle();
        try {
            int reqMemKB = (java.lang.Integer.valueOf(java.lang.Integer.parseInt((java.lang.String) arrayMap.get("requestMem"))).intValue() & 65535) * 1024;
            java.lang.StringBuilder stringBuilder;
            if (reqMemKB <= 0) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("handleAppPrepareMem error  reqMemKB ");
                stringBuilder.append(reqMemKB);
                android.rms.iaware.AwareLog.w("AwareMem_AppHandle", stringBuilder.toString());
                return -1;
            }
            java.lang.Integer uid = java.lang.Integer.valueOf(java.lang.Integer.valueOf(java.lang.Integer.parseInt((java.lang.String) arrayMap.get("uid"))).intValue() % 100000);
            if (uid.intValue() != com.android.server.rms.iaware.memory.utils.MemoryConstant.getSystemCameraUid()) {
                if (uid.intValue() != 1000) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("invalid uid:");
                    stringBuilder.append(uid);
                    android.rms.iaware.AwareLog.i("AwareMem_AppHandle", stringBuilder.toString());
                    return -1;
                }
            }
            extras.putLong("reqMem", (long) reqMemKB);
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("handleAppPrepareMem reqMemKB ");
            stringBuilder.append(reqMemKB);
            stringBuilder.append("kb");
            android.rms.iaware.AwareLog.i("AwareMem_AppHandle", stringBuilder.toString());
            try {
                this.mDMEServer.execute("BigMem", extras, event, timestamp);
                return 0;
            } catch (java.lang.NumberFormatException e) {
                android.rms.iaware.AwareLog.e("AwareMem_AppHandle", "reqMem is not right");
                return -1;
            }
        } catch (java.lang.NumberFormatException e2) {
            android.rms.iaware.AwareLog.e("AwareMem_AppHandle", "reqMem is not right");
            return -1;
        }
    }

    public boolean isActivityLaunching() {
        long endTimeStamp = android.os.SystemClock.uptimeMillis();
        if (!this.mIsActivityLaunching || endTimeStamp - this.mAcvityLaunchBeginTimestamp >= 5000) {
            return false;
        }
        return true;
    }

    private DataAppHandle() {
    }

    private void mayNeedExitSpecialScene() {
        if (this.mIsInBigMemoryMode) {
            com.android.server.rms.iaware.memory.utils.MemoryUtils.exitSpecialSceneNotify();
            this.mIsInBigMemoryMode = false;
        }
    }

    private void mayNeedEnterSpecialScene(java.lang.String appName, java.lang.String activityName) {
        if (!"com.huawei.camera".equals(appName)) {
            if (com.android.server.rms.iaware.memory.utils.BigMemoryInfo.getInstance().isBigMemoryApp(activityName)) {
                this.mIsInBigMemoryMode = true;
                com.android.server.rms.iaware.memory.utils.MemoryUtils.enterSpecialSceneNotify(com.android.server.rms.iaware.memory.utils.MemoryConstant.getCameraPowerUPMemory(), 16746243, 1);
            } else {
                mayNeedExitSpecialScene();
            }
        }
    }

    private int handleActivityBegin(long timestamp, int event, android.util.ArrayMap<java.lang.String, java.lang.String> appInfo) {
        android.util.ArrayMap<java.lang.String, java.lang.String> arrayMap = appInfo;
        java.lang.String appName = (java.lang.String) arrayMap.get("packageName");
        java.lang.String activityName = (java.lang.String) arrayMap.get("activityName");
        int uid = -1;
        try {
            uid = java.lang.Integer.parseInt((java.lang.String) arrayMap.get("uid"));
        } catch (java.lang.NumberFormatException e) {
            android.rms.iaware.AwareLog.e("AwareMem_AppHandle", "uid is not right");
        }
        dispatchPrereadMsg(appName, uid);
        com.android.server.rms.iaware.memory.utils.MemoryConstant.resetTotalAPIRequestMemory();
        if (isLauncher(appName)) {
            mayNeedExitSpecialScene();
            return 0;
        }
        if (com.android.server.rms.iaware.feature.MemoryFeature2.isUpMemoryFeature.get() && com.android.server.rms.iaware.memory.utils.MemoryConstant.getConfigGmcSwitch() != 0 && uid >= 0) {
            com.android.server.rms.iaware.memory.action.GpuCompressAction.removeUidFromGMCMap(uid);
        }
        android.os.Bundle extras = createBundleFromAppInfo(uid, appName);
        if (com.android.server.rms.iaware.memory.utils.BigMemoryInfo.getInstance().isBigMemoryApp(activityName)) {
            extras.putString("appName", activityName);
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("app event ");
        stringBuilder.append(appName);
        stringBuilder.append(" activity begin");
        android.rms.iaware.AwareLog.d("AwareMem_AppHandle", stringBuilder.toString());
        setActivityLaunching(true);
        if (!com.android.server.rms.iaware.memory.utils.BigMemoryInfo.getInstance().isBigMemoryApp(appName)) {
            if (!com.android.server.rms.iaware.memory.utils.BigMemoryInfo.getInstance().isBigMemoryApp(activityName)) {
                com.android.server.rms.iaware.memory.utils.MemoryConstant.disableBigMemCriticalMemory();
                this.mDMEServer.stopExecute(timestamp, event);
                mayNeedEnterSpecialScene(appName, activityName);
                return 0;
            }
        }
        long j = timestamp;
        int i = event;
        com.android.server.rms.iaware.memory.utils.MemoryConstant.enableBigMemCriticalMemory();
        long j2 = j;
        com.android.server.rms.iaware.memory.utils.EventTracker.getInstance().trackEvent(1000, i, j2, null);
        this.mDMEServer.execute("BigMem", extras, event, j2);
        mayNeedEnterSpecialScene(appName, activityName);
        return 0;
    }

    private void dispatchPrereadMsg(java.lang.String appName, int uid) {
        if (appName != null && !appName.equals(this.mLastPrereadPkg)) {
            this.mLastPrereadPkg = appName;
            if (!("com.android.systemui".equals(appName) || this.mHwAMS == null || isLauncher(appName))) {
                if (com.android.server.rms.iaware.memory.utils.MemoryConstant.getCameraPrereadFileMap().containsKey(appName)) {
                    com.android.server.rms.iaware.memory.utils.PrereadUtils.getInstance();
                    com.android.server.rms.iaware.memory.utils.PrereadUtils.sendPrereadMsg(appName);
                } else if (!com.android.server.rms.iaware.feature.AppQuickStartFeature.isExactPrereadFeatureEnable() && this.mHwAMS.numOfPidWithActivity(uid) == 0) {
                    com.android.server.rms.iaware.memory.utils.PrereadUtils.getInstance();
                    if (com.android.server.rms.iaware.memory.utils.PrereadUtils.addPkgFilesIfNecessary(appName)) {
                        com.android.server.rms.iaware.memory.utils.PrereadUtils.getInstance();
                        com.android.server.rms.iaware.memory.utils.PrereadUtils.sendPrereadMsg(appName);
                    }
                }
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:33:0x0096  */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x008e  */
    private int handleActivityFinish(long r12, int r14, android.util.ArrayMap<java.lang.String, java.lang.String> r15) {
        /*
        r11 = this;
        r0 = "packageName";
        r0 = r15.get(r0);
        r0 = (java.lang.String) r0;
        r1 = "activityName";
        r1 = r15.get(r1);
        r1 = (java.lang.String) r1;
        r2 = -1;
        r3 = "uid";
        r3 = r15.get(r3);	 Catch:{ NumberFormatException -> 0x0020 }
        r3 = (java.lang.String) r3;	 Catch:{ NumberFormatException -> 0x0020 }
        r3 = java.lang.Integer.parseInt(r3);	 Catch:{ NumberFormatException -> 0x0020 }
        r2 = r3;
        goto L_0x0029;
    L_0x0020:
        r3 = move-exception;
        r4 = "AwareMem_AppHandle";
        r5 = "uid is not right";
        android.rms.iaware.AwareLog.e(r4, r5);
    L_0x0029:
        r11.handleActivityFinishDFX(r15, r0);
        r3 = com.android.server.rms.iaware.feature.MemoryFeature2.isUpMemoryFeature;
        r3 = r3.get();
        r4 = 0;
        if (r3 == 0) goto L_0x0069;
    L_0x0035:
        r3 = com.android.server.rms.iaware.memory.utils.MemoryConstant.getConfigGmcSwitch();
        if (r3 == 0) goto L_0x0069;
    L_0x003b:
        r3 = r4;
        r5 = "pid";
        r5 = r15.get(r5);	 Catch:{ NumberFormatException -> 0x004a }
        r5 = (java.lang.String) r5;	 Catch:{ NumberFormatException -> 0x004a }
        r5 = java.lang.Integer.parseInt(r5);	 Catch:{ NumberFormatException -> 0x004a }
        r3 = r5;
        goto L_0x0052;
    L_0x004a:
        r5 = move-exception;
        r6 = "AwareMem_AppHandle";
        r7 = "pid is not right";
        android.rms.iaware.AwareLog.e(r6, r7);
    L_0x0052:
        if (r3 == 0) goto L_0x005e;
    L_0x0054:
        r5 = r11.mTrimHandler;
        r5.doTrimMemory(r3, r0);
        r5 = r11.mTrimHandler;
        r5.saveLastActivityInfo(r3, r0);
    L_0x005e:
        if (r2 < 0) goto L_0x0069;
    L_0x0060:
        r5 = r11.isLauncher(r0);
        if (r5 != 0) goto L_0x0069;
    L_0x0066:
        com.android.server.rms.iaware.memory.action.GpuCompressAction.removeUidFromGMCMap(r2);
    L_0x0069:
        r3 = com.android.server.rms.iaware.memory.utils.BigMemoryInfo.getInstance();
        r3 = r3.isBigMemoryApp(r0);
        if (r3 != 0) goto L_0x0085;
    L_0x0073:
        r3 = com.android.server.rms.iaware.memory.utils.BigMemoryInfo.getInstance();
        r3 = r3.isBigMemoryApp(r1);
        if (r3 == 0) goto L_0x007e;
    L_0x007d:
        goto L_0x0085;
    L_0x007e:
        com.android.server.rms.iaware.memory.utils.MemoryConstant.disableBigMemCriticalMemory();
        r11.mayNeedExitSpecialScene();
        goto L_0x0088;
    L_0x0085:
        com.android.server.rms.iaware.memory.utils.MemoryConstant.enableBigMemCriticalMemory();
    L_0x0088:
        r3 = r11.isLauncher(r0);
        if (r3 == 0) goto L_0x0096;
    L_0x008e:
        r3 = com.android.server.rms.iaware.sysload.SysLoadManager.getInstance();
        r3.enterLauncher();
        return r4;
    L_0x0096:
        r3 = r11.createBundleFromAppInfo(r2, r0);
        r5 = "AwareMem_AppHandle";
        r6 = new java.lang.StringBuilder;
        r6.<init>();
        r7 = "app event ";
        r6.append(r7);
        r6.append(r0);
        r7 = " activity finish";
        r6.append(r7);
        r6 = r6.toString();
        android.rms.iaware.AwareLog.d(r5, r6);
        r11.setActivityLaunching(r4);
        r5 = r11.mDMEServer;
        r6 = "default";
        r7 = r3;
        r8 = r14;
        r9 = r12;
        r5.execute(r6, r7, r8, r9);
        return r4;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.iaware.memory.data.handle.DataAppHandle.handleActivityFinish(long, int, android.util.ArrayMap):int");
    }

    private void handleActivityFinishDFX(android.util.ArrayMap<java.lang.String, java.lang.String> appInfo, java.lang.String appName) {
        if (android.rms.iaware.AwareConstant.CURRENT_USER_TYPE == 3 && appName != null) {
            java.lang.String processName = (java.lang.String) appInfo.get("processName");
            if (processName != null) {
                java.lang.StringBuilder stringBuilder;
                com.android.server.rms.iaware.appmng.AwareAppMngDFX.getInstance().trackeAppStartInfo(appName, processName, 11);
                if (!("com.android.systemui".equals(appName) || isLauncher(appName) || appName.equals(this.mFgPkgName))) {
                    com.android.server.rms.iaware.memory.utils.BigDataStore instance = com.android.server.rms.iaware.memory.utils.BigDataStore.getInstance();
                    instance.warmLaunch++;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("pkg: ");
                    stringBuilder.append(appName);
                    stringBuilder.append(", warmLaunch: ");
                    stringBuilder.append(com.android.server.rms.iaware.memory.utils.BigDataStore.getInstance().warmLaunch);
                    android.rms.iaware.AwareLog.d("AwareMem_AppHandle", stringBuilder.toString());
                }
                this.mFgPkgName = appName;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("fgPkg: ");
                stringBuilder.append(this.mFgPkgName);
                android.rms.iaware.AwareLog.d("AwareMem_AppHandle", stringBuilder.toString());
            }
        }
    }

    private int handleProcessBegin(long timestamp, int event, android.util.ArrayMap<java.lang.String, java.lang.String> appInfo) {
        android.rms.iaware.AwareLog.d("AwareMem_AppHandle", "app event process launch begin");
        return traceProcess(true, (java.lang.String) appInfo.get("launchMode"), appInfo, timestamp);
    }

    private int handleProcessExitFinish(long timestamp, int event, android.util.ArrayMap<java.lang.String, java.lang.String> appInfo) {
        android.rms.iaware.AwareLog.d("AwareMem_AppHandle", "app event process exit finish");
        return traceProcess(false, (java.lang.String) appInfo.get("exitMode"), appInfo, timestamp);
    }

    private int handleDisplayedBegin(long timestamp, int event, android.util.ArrayMap<java.lang.String, java.lang.String> appInfo) {
        android.rms.iaware.AwareLog.d("AwareMem_AppHandle", "handleDisplayedBegin");
        if (com.android.server.rms.iaware.feature.MemoryFeature2.isUpMemoryFeature.get()) {
            if (android.rms.iaware.AwareConstant.CURRENT_USER_TYPE == 3) {
                try {
                    java.lang.String activityName = (java.lang.String) appInfo.get("activityName");
                    int pid = java.lang.Integer.parseInt((java.lang.String) appInfo.get("pid"));
                    if (activityName == null) {
                        return -1;
                    }
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("activity displayed time : ");
                    stringBuilder.append(activityName);
                    stringBuilder.append(" , ");
                    stringBuilder.append(pid);
                    stringBuilder.append(", 0");
                    android.rms.iaware.AwareLog.d("AwareMem_AppHandle", stringBuilder.toString());
                    com.android.server.rms.iaware.memory.utils.MemoryUtils.sendActivityDisplayedTime(activityName, pid, 0);
                    return 0;
                } catch (java.lang.NumberFormatException e) {
                    android.rms.iaware.AwareLog.e("AwareMem_AppHandle", "handleDisplayedBegin get pid or time failed");
                    return -1;
                }
            }
        }
        return -1;
    }

    private int handleDisplayedFinish(long timestamp, int event, android.util.ArrayMap<java.lang.String, java.lang.String> appInfo) {
        android.rms.iaware.AwareLog.d("AwareMem_AppHandle", "handleDisplayedFinish");
        if (com.android.server.rms.iaware.feature.MemoryFeature2.isUpMemoryFeature.get()) {
            if (android.rms.iaware.AwareConstant.CURRENT_USER_TYPE == 3) {
                try {
                    java.lang.String activityName = (java.lang.String) appInfo.get("activityName");
                    int pid = java.lang.Integer.parseInt((java.lang.String) appInfo.get("pid"));
                    long thisTime = java.lang.Long.parseLong((java.lang.String) appInfo.get("displayedTime"));
                    if (activityName == null) {
                        return -1;
                    }
                    int thisIntTime;
                    java.lang.StringBuilder stringBuilder;
                    if (thisTime < 0) {
                        thisIntTime = 0;
                    } else if (thisTime > 2147483647L) {
                        thisIntTime = Integer.MAX_VALUE;
                    } else {
                        thisIntTime = (int) thisTime;
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("activity displayed time : ");
                        stringBuilder.append(activityName);
                        stringBuilder.append(" , ");
                        stringBuilder.append(pid);
                        stringBuilder.append(", ");
                        stringBuilder.append(thisIntTime);
                        android.rms.iaware.AwareLog.d("AwareMem_AppHandle", stringBuilder.toString());
                        com.android.server.rms.iaware.memory.utils.MemoryUtils.sendActivityDisplayedTime(activityName, pid, thisIntTime);
                        return 0;
                    }
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("activity displayed time : ");
                    stringBuilder.append(activityName);
                    stringBuilder.append(" , ");
                    stringBuilder.append(pid);
                    stringBuilder.append(", ");
                    stringBuilder.append(thisIntTime);
                    android.rms.iaware.AwareLog.d("AwareMem_AppHandle", stringBuilder.toString());
                    com.android.server.rms.iaware.memory.utils.MemoryUtils.sendActivityDisplayedTime(activityName, pid, thisIntTime);
                    return 0;
                } catch (java.lang.NumberFormatException e) {
                    android.rms.iaware.AwareLog.e("AwareMem_AppHandle", "handleDisplayedFinish get pid or time failed");
                    return -1;
                }
            }
        }
        return -1;
    }

    private android.os.Bundle createBundleFromAppInfo(int uid, java.lang.String appName) {
        android.os.Bundle extras = new android.os.Bundle();
        if (uid >= 0) {
            extras.putInt("appUid", uid);
        }
        extras.putString("appName", appName);
        return extras;
    }

    private int traceProcess(boolean launched, java.lang.String reason, android.util.ArrayMap<java.lang.String, java.lang.String> appInfo, long timestamp) {
        android.util.ArrayMap<java.lang.String, java.lang.String> arrayMap = appInfo;
        if (android.text.TextUtils.isEmpty(reason)) {
            return -1;
        }
        java.lang.String str;
        try {
            java.lang.String packageName = (java.lang.String) arrayMap.get("packageName");
            java.lang.String processName = (java.lang.String) arrayMap.get("processName");
            java.lang.Integer uid = java.lang.Integer.valueOf(java.lang.Integer.parseInt((java.lang.String) arrayMap.get("uid")));
            com.android.server.rms.iaware.memory.utils.PackageTracker tracker = com.android.server.rms.iaware.memory.utils.PackageTracker.getInstance();
            if (launched) {
                tracker.addStartRecord(reason, packageName, uid.intValue(), processName, timestamp);
                if (android.rms.iaware.AwareConstant.CURRENT_USER_TYPE == 3) {
                    try {
                        if (!"activity".equals(reason) || packageName == null || processName == null) {
                        } else {
                            try {
                                this.mFgPkgName = packageName;
                                com.android.server.rms.iaware.memory.utils.BigDataStore instance = com.android.server.rms.iaware.memory.utils.BigDataStore.getInstance();
                                instance.coldLaunch++;
                                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("pkg: ");
                                stringBuilder.append(packageName);
                                stringBuilder.append(", coldLaunch: ");
                                stringBuilder.append(com.android.server.rms.iaware.memory.utils.BigDataStore.getInstance().coldLaunch);
                                android.rms.iaware.AwareLog.d("AwareMem_AppHandle", stringBuilder.toString());
                                com.android.server.rms.iaware.appmng.AwareAppMngDFX.getInstance().trackeAppStartInfo(packageName, processName, 10);
                            } catch (java.lang.NumberFormatException e) {
                                android.rms.iaware.AwareLog.e("AwareMem_AppHandle", "failed to get uid");
                                return -1;
                            }
                        }
                    } catch (java.lang.NumberFormatException e2) {
                        android.rms.iaware.AwareLog.e("AwareMem_AppHandle", "failed to get uid");
                        return -1;
                    }
                }
                str = reason;
            } else {
                tracker.addExitRecord(reason, packageName, uid.intValue(), processName, timestamp);
            }
            return 0;
        } catch (java.lang.NumberFormatException e3) {
            str = reason;
            android.rms.iaware.AwareLog.e("AwareMem_AppHandle", "failed to get uid");
            return -1;
        }
    }

    private void setActivityLaunching(boolean status) {
        if (status) {
            this.mIsActivityLaunching = true;
            this.mAcvityLaunchBeginTimestamp = android.os.SystemClock.uptimeMillis();
            return;
        }
        this.mIsActivityLaunching = false;
    }

    private boolean isLauncher(java.lang.String packageName) {
        if (android.os.Process.myUid() == 1000 && packageName != null) {
            if (!packageName.trim().isEmpty()) {
                if ("com.huawei.android.launcher".equals(packageName) || com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getDefaultHomePackages().contains(packageName)) {
                    return true;
                }
                return false;
            }
        }
        return false;
    }
}
