package com.android.server.rms.iaware.memory.data.handle;

public class DataInputHandle extends com.android.server.rms.iaware.memory.data.handle.AbsDataHandle {
    private static final long ACTIVE_EVENT_DELAY_TIME = 5000;
    private static final java.lang.String TAG = "AwareMem_InputHandle";
    private static com.android.server.rms.iaware.memory.data.handle.DataInputHandle sDataHandle;
    private int mLastInputEvent = 0;
    private long mLastInputTime = 0;

    public static com.android.server.rms.iaware.memory.data.handle.DataInputHandle getInstance() {
        com.android.server.rms.iaware.memory.data.handle.DataInputHandle dataInputHandle;
        synchronized (com.android.server.rms.iaware.memory.data.handle.DataInputHandle.class) {
            if (sDataHandle == null) {
                sDataHandle = new com.android.server.rms.iaware.memory.data.handle.DataInputHandle();
            }
            dataInputHandle = sDataHandle;
        }
        return dataInputHandle;
    }

    public int reportData(long timestamp, int event, com.android.server.rms.iaware.memory.data.content.AttrSegments attrSegments) {
        if (this.mDMEServer == null) {
            this.mDMEServer = com.android.server.rms.iaware.memory.policy.DMEServer.getInstance();
        }
        if (event == 10001) {
            return handleTouchDown(timestamp, event);
        }
        if (event == 80001) {
            return handleTouchUp(timestamp, event);
        }
        android.rms.iaware.AwareLog.w("AwareMem_InputHandle", "Input event invalid");
        return -1;
    }

    private int handleTouchDown(long timestamp, int event) {
        android.rms.iaware.AwareLog.d("AwareMem_InputHandle", "input event touch down");
        this.mLastInputEvent = event;
        this.mLastInputTime = timestamp;
        this.mDMEServer.stopExecute(timestamp, event);
        return 0;
    }

    private int handleTouchUp(long timestamp, int event) {
        android.rms.iaware.AwareLog.d("AwareMem_InputHandle", "input event touch up");
        this.mLastInputEvent = event;
        this.mLastInputTime = timestamp;
        return 0;
    }

    private DataInputHandle() {
    }

    public int getActiveStatus() {
        int lastEvent = this.mLastInputEvent;
        int i = 1;
        if (lastEvent == 10001) {
            return 1;
        }
        if (lastEvent == 80001) {
            if (5000 < android.os.SystemClock.uptimeMillis() - this.mLastInputTime) {
                i = 2;
            }
            return i;
        }
        android.rms.iaware.AwareLog.w("AwareMem_InputHandle", "LastEvent invalid");
        return -1;
    }
}
