package com.android.server.rms.iaware.memory.policy;

public class DMEServer {
    private static final java.lang.String TAG = "AwareMem_DMEServer";
    private static final java.lang.Object mLock = new java.lang.Object();
    private static com.android.server.rms.iaware.memory.policy.DMEServer sDMEServer;
    private final java.util.concurrent.atomic.AtomicBoolean mRunning = new java.util.concurrent.atomic.AtomicBoolean(false);

    public static com.android.server.rms.iaware.memory.policy.DMEServer getInstance() {
        com.android.server.rms.iaware.memory.policy.DMEServer dMEServer;
        synchronized (mLock) {
            if (sDMEServer == null) {
                sDMEServer = new com.android.server.rms.iaware.memory.policy.DMEServer();
            }
            dMEServer = sDMEServer;
        }
        return dMEServer;
    }

    public void setHandler(android.os.HandlerThread handlerThread) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setHandler: object=");
        stringBuilder.append(handlerThread);
        android.rms.iaware.AwareLog.d("AwareMem_DMEServer", stringBuilder.toString());
        if (handlerThread != null) {
            com.android.server.rms.iaware.memory.policy.MemoryExecutorServer.getInstance().setMemHandlerThread(handlerThread);
        } else {
            android.rms.iaware.AwareLog.e("AwareMem_DMEServer", "setHandler: why handlerThread is null!!");
        }
    }

    public void enable() {
        if (!this.mRunning.get()) {
            this.mRunning.set(true);
            com.android.server.rms.iaware.memory.policy.MemoryExecutorServer.getInstance().enable();
            android.rms.iaware.AwareLog.i("AwareMem_DMEServer", "start");
        }
    }

    public void disable() {
        if (this.mRunning.get()) {
            this.mRunning.set(false);
            com.android.server.rms.iaware.memory.policy.MemoryExecutorServer.getInstance().disable();
            android.rms.iaware.AwareLog.i("AwareMem_DMEServer", "stop");
        }
    }

    public void stopExecute(long timestamp, int event) {
        if (this.mRunning.get()) {
            com.android.server.rms.iaware.memory.policy.MemoryExecutorServer.getInstance().stopMemoryRecover();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("stopExecuteMemoryRecover event=");
            stringBuilder.append(event);
            android.rms.iaware.AwareLog.d("AwareMem_DMEServer", stringBuilder.toString());
            com.android.server.rms.iaware.memory.utils.EventTracker.getInstance().trackEvent(1005, event, timestamp, null);
            return;
        }
        android.rms.iaware.AwareLog.i("AwareMem_DMEServer", "stopMemoryRecover iaware not running");
    }

    public void execute(java.lang.String scene, android.os.Bundle extras, int event, long timeStamp) {
        if (this.mRunning.get()) {
            com.android.server.rms.iaware.memory.policy.MemoryExecutorServer.getInstance().executeMemoryRecover(scene, extras, event, timeStamp);
        } else {
            android.rms.iaware.AwareLog.i("AwareMem_DMEServer", "executeMemoryRecover iaware not running");
        }
    }

    public void notifyProtectLruState(int state) {
        com.android.server.rms.iaware.memory.policy.MemoryExecutorServer.getInstance().notifyProtectLruState(state);
    }
}
