package com.android.server.rms.iaware.memory.policy;

public class MemoryScenePolicyList {
    private static final java.lang.String TAG = "AwareMem_MemPolicyList";
    private final java.util.Map<java.lang.String, com.android.server.rms.iaware.memory.policy.MemoryScenePolicy> mMemoryScenePolicies;

    public MemoryScenePolicyList(java.util.Map<java.lang.String, com.android.server.rms.iaware.memory.policy.MemoryScenePolicy> memoryScenePolicies) {
        this.mMemoryScenePolicies = memoryScenePolicies;
    }

    public com.android.server.rms.iaware.memory.policy.MemoryScenePolicy getMemoryScenePolicy(java.lang.String name) {
        return this.mMemoryScenePolicies != null ? (com.android.server.rms.iaware.memory.policy.MemoryScenePolicy) this.mMemoryScenePolicies.get(name) : null;
    }

    public void reset() {
        if (this.mMemoryScenePolicies != null) {
            if (this.mMemoryScenePolicies.size() >= 1) {
                for (com.android.server.rms.iaware.memory.policy.MemoryScenePolicy policy : this.mMemoryScenePolicies.values()) {
                    policy.reset();
                }
                return;
            }
        }
        android.rms.iaware.AwareLog.w("AwareMem_MemPolicyList", "empty memoryScenePolicies");
    }

    public void clear() {
        if (this.mMemoryScenePolicies != null) {
            if (this.mMemoryScenePolicies.size() >= 1) {
                for (com.android.server.rms.iaware.memory.policy.MemoryScenePolicy policy : this.mMemoryScenePolicies.values()) {
                    policy.clear();
                }
                return;
            }
        }
        android.rms.iaware.AwareLog.w("AwareMem_MemPolicyList", "empty memoryScenePolicies");
    }
}
