package com.android.server.rms.iaware.memory.utils;

public final class BigDataStore {
    private static final int MAX_BIGDATA_ITEM = 20;
    private static final java.lang.String TAG = "BigDataStore";
    private static final java.lang.Object mLock = new java.lang.Object();
    private static com.android.server.rms.iaware.memory.utils.BigDataStore sInstance;
    public long aboveThresholdTime = 0;
    public long belowThresholdTime = 0;
    public long belowThresholdTimeBegin = 0;
    private java.util.ArrayList<android.util.Pair<java.lang.Long, java.lang.Long>> bgProcessSavedList = new java.util.ArrayList();
    public long coldLaunch = 0;
    private java.util.ArrayList<android.util.Pair<java.lang.Long, java.lang.Long>> coldWarmLaunchSavedList = new java.util.ArrayList();
    public long lmkOccurCount = 0;
    public long lmkOccurCountStash = 0;
    public long lowMemoryManageCount = 0;
    public long meminfoAllocCount = 0;
    public long meminfoAllocCountStash = 0;
    public long slowPathAllocCount = 0;
    public long slowPathAllocCountStash = 0;
    private long totalActivity = 0;
    private long totalColdLaunch = 0;
    private long totalService = 0;
    public long totalTimeBegin = 0;
    public long totalTimeEnd = 0;
    private long totalWarmLaunch = 0;
    public long warmLaunch = 0;

    private BigDataStore() {
    }

    public static com.android.server.rms.iaware.memory.utils.BigDataStore getInstance() {
        com.android.server.rms.iaware.memory.utils.BigDataStore bigDataStore;
        synchronized (mLock) {
            if (sInstance == null) {
                sInstance = new com.android.server.rms.iaware.memory.utils.BigDataStore();
            }
            bigDataStore = sInstance;
        }
        return bigDataStore;
    }

    public long getLmkOccurCount() {
        this.lmkOccurCount = com.android.server.rms.iaware.memory.utils.MemoryReader.getLmkOccurCount();
        return this.lmkOccurCount;
    }

    public void getMeminfoAllocCount() {
        java.lang.String[] totalAllocCount = com.android.server.rms.iaware.memory.utils.MemoryReader.getMeminfoAllocCount();
        java.lang.String[] temp;
        try {
            int length = totalAllocCount.length;
            temp = null;
            int temp2 = 0;
            while (temp2 < length) {
                try {
                    temp = totalAllocCount[temp2].split(":");
                    if (temp.length == 2) {
                        if ("Total page alloc count".equals(temp[0])) {
                            this.meminfoAllocCount = java.lang.Long.parseLong(temp[1]);
                        } else if ("Total slow path page alloc count".equals(temp[0])) {
                            this.slowPathAllocCount = java.lang.Long.parseLong(temp[1]);
                        }
                    }
                    temp2++;
                } catch (java.lang.NumberFormatException e) {
                    android.rms.iaware.AwareLog.e("BigDataStore", "NumberFormatException...");
                }
            }
        } catch (java.lang.NumberFormatException e2) {
            temp = null;
            android.rms.iaware.AwareLog.e("BigDataStore", "NumberFormatException...");
        }
    }

    public java.lang.String getColdWarmLaunchData(boolean clear) {
        if (this.coldWarmLaunchSavedList == null) {
            return null;
        }
        this.coldWarmLaunchSavedList.add(android.util.Pair.create(java.lang.Long.valueOf(this.coldLaunch), java.lang.Long.valueOf(this.warmLaunch)));
        this.coldLaunch = 0;
        this.warmLaunch = 0;
        java.lang.StringBuilder sb = new java.lang.StringBuilder();
        int i = 20;
        if (this.coldWarmLaunchSavedList.size() <= 20) {
            i = this.coldWarmLaunchSavedList.size();
        }
        int size = i;
        for (i = 0; i < size; i++) {
            this.totalColdLaunch += ((java.lang.Long) ((android.util.Pair) this.coldWarmLaunchSavedList.get(i)).first).longValue();
            this.totalWarmLaunch += ((java.lang.Long) ((android.util.Pair) this.coldWarmLaunchSavedList.get(i)).second).longValue();
        }
        sb.append("\"coldLaunch\":\"");
        sb.append(this.totalColdLaunch >= 0 ? this.totalColdLaunch : 0);
        sb.append("\",\"warmLaunch\":\"");
        sb.append(this.totalWarmLaunch >= 0 ? this.totalWarmLaunch : 0);
        sb.append("\"");
        if (clear) {
            this.coldWarmLaunchSavedList = new java.util.ArrayList();
            this.totalColdLaunch = 0;
            this.totalWarmLaunch = 0;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getColdWarmLaunchData: ");
        stringBuilder.append(sb.toString());
        android.rms.iaware.AwareLog.d("BigDataStore", stringBuilder.toString());
        return sb.toString();
    }

    public java.lang.String getBgAppData(boolean clear) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getBgAppData. clear: ");
        stringBuilder.append(clear);
        android.rms.iaware.AwareLog.d("BigDataStore", stringBuilder.toString());
        getBgAppDataInternal();
        java.lang.StringBuilder sb = new java.lang.StringBuilder();
        int i = 20;
        if (this.bgProcessSavedList.size() <= 20) {
            i = this.bgProcessSavedList.size();
        }
        int size = i;
        for (i = 0; i < size; i++) {
            this.totalActivity += ((java.lang.Long) ((android.util.Pair) this.bgProcessSavedList.get(i)).first).longValue();
            this.totalService += ((java.lang.Long) ((android.util.Pair) this.bgProcessSavedList.get(i)).second).longValue();
        }
        sb.append("\"activity\":\"");
        sb.append(this.totalActivity);
        sb.append("\",\"services\":\"");
        sb.append(this.totalService);
        sb.append("\"");
        if (clear) {
            this.bgProcessSavedList = new java.util.ArrayList();
            this.totalActivity = 0;
            this.totalService = 0;
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("getBgAppData: ");
        stringBuilder2.append(sb.toString());
        android.rms.iaware.AwareLog.d("BigDataStore", stringBuilder2.toString());
        return sb.toString();
    }

    private void getBgAppDataInternal() {
        if (this.bgProcessSavedList == null) {
            this.bgProcessSavedList = new java.util.ArrayList();
        }
        com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy policy = com.android.server.rms.iaware.memory.utils.MemoryUtils.getAppMngSortPolicy(null, 3);
        if (policy != null) {
            java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> procGroup = new java.util.ArrayList();
            java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> allowStops = com.android.server.rms.iaware.memory.utils.MemoryUtils.getAppMngProcGroup(policy, 2);
            int i = 1;
            java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> shortageStops = com.android.server.rms.iaware.memory.utils.MemoryUtils.getAppMngProcGroup(policy, 1);
            if (allowStops != null) {
                procGroup.addAll(allowStops);
            }
            if (shortageStops != null) {
                procGroup.addAll(shortageStops);
            }
            if (!procGroup.isEmpty()) {
                java.util.Set<java.lang.Integer> pidSet = new android.util.ArraySet();
                long activityCount = 0;
                long serviceCount = 0;
                for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo block : procGroup) {
                    if (block != null) {
                        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> procs = block.getProcessList();
                        if (procs != null) {
                            if (procs.size() >= i) {
                                for (com.android.server.mtm.iaware.appmng.AwareProcessInfo info : procs) {
                                    if (isValidAwareProcessInfo(info)) {
                                        if (!pidSet.contains(java.lang.Integer.valueOf(info.mPid))) {
                                            if (info.mHasShownUi) {
                                                activityCount++;
                                            } else {
                                                serviceCount++;
                                            }
                                            pidSet.add(java.lang.Integer.valueOf(info.mPid));
                                        }
                                    }
                                }
                            }
                        }
                    }
                    i = 1;
                }
                this.bgProcessSavedList.add(android.util.Pair.create(java.lang.Long.valueOf(activityCount), java.lang.Long.valueOf(serviceCount)));
            }
        }
    }

    private boolean isValidAwareProcessInfo(com.android.server.mtm.iaware.appmng.AwareProcessInfo info) {
        return (info == null || info.mProcInfo == null || info.mProcInfo.mPackageName == null || info.mPid <= 0) ? false : true;
    }
}
