package com.android.server.rms.iaware.memory.utils;

public class BigMemoryInfo {
    private static final java.lang.String TAG = "AwareMem_BigMemConfig";
    private static final java.lang.Object mLock = new java.lang.Object();
    private static com.android.server.rms.iaware.memory.utils.BigMemoryInfo sBigMemoryInfo;
    private android.util.ArrayMap<java.lang.String, java.lang.Long> memoryRequestMap;

    public static com.android.server.rms.iaware.memory.utils.BigMemoryInfo getInstance() {
        com.android.server.rms.iaware.memory.utils.BigMemoryInfo bigMemoryInfo;
        synchronized (mLock) {
            if (sBigMemoryInfo == null) {
                sBigMemoryInfo = new com.android.server.rms.iaware.memory.utils.BigMemoryInfo();
            }
            bigMemoryInfo = sBigMemoryInfo;
        }
        return bigMemoryInfo;
    }

    private BigMemoryInfo() {
        this.memoryRequestMap = null;
        this.memoryRequestMap = new android.util.ArrayMap();
    }

    public boolean isBigMemoryApp(java.lang.String appName) {
        synchronized (this) {
            if (!(this.memoryRequestMap == null || appName == null)) {
                if (!this.memoryRequestMap.isEmpty()) {
                    boolean containsKey = this.memoryRequestMap.containsKey(appName);
                    return containsKey;
                }
            }
            return false;
        }
    }

    public long getAppLaunchRequestMemory(java.lang.String appName) {
        synchronized (this) {
            if (!(this.memoryRequestMap == null || appName == null || this.memoryRequestMap.isEmpty())) {
                if (this.memoryRequestMap.containsKey(appName)) {
                    long longValue = ((java.lang.Long) this.memoryRequestMap.get(appName)).longValue();
                    return longValue;
                }
            }
            return 0;
        }
    }

    public void resetLaunchMemConfig() {
        synchronized (this) {
            if (this.memoryRequestMap == null) {
                this.memoryRequestMap = new android.util.ArrayMap();
            }
            this.memoryRequestMap.clear();
        }
    }

    public void setRequestMemForLaunch(java.lang.String appName, long launchRequestMem) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setRequestMemForLaunch appname is ");
        stringBuilder.append(appName);
        android.rms.iaware.AwareLog.d("AwareMem_BigMemConfig", stringBuilder.toString());
        synchronized (this) {
            if (appName == null) {
                try {
                } catch (Throwable th) {
                }
            } else {
                if (this.memoryRequestMap == null) {
                    this.memoryRequestMap = new android.util.ArrayMap();
                }
                this.memoryRequestMap.put(appName, java.lang.Long.valueOf(launchRequestMem));
            }
        }
    }

    public void removeRequestMemForLaunch(java.lang.String appName) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("removeRequestMemForLaunch appname is ");
        stringBuilder.append(appName);
        android.rms.iaware.AwareLog.d("AwareMem_BigMemConfig", stringBuilder.toString());
        synchronized (this) {
            if (!(this.memoryRequestMap == null || appName == null)) {
                this.memoryRequestMap.remove(appName);
            }
        }
    }
}
