package com.android.server.rms.iaware.memory.utils;

public class CpuReader {
    private static final int CPU_INTERVAL_TIME = 20;
    private static final int[] SYSTEM_STAT_FORMAT = new int[]{288, 8224, 8224, 8224, 8224, 8224, 8224, 8224};
    private static final java.lang.String TAG = "AwareMem_CpuReader";
    private static long[] mSystemStatData = new long[7];
    private static com.android.server.rms.iaware.memory.utils.CpuReader sReader;

    private static class CpuData {
        long mIdleTickTime = 0;
        long mTotalTickTime = 0;

        CpuData() {
        }
    }

    public static com.android.server.rms.iaware.memory.utils.CpuReader getInstance() {
        com.android.server.rms.iaware.memory.utils.CpuReader cpuReader;
        synchronized (com.android.server.rms.iaware.memory.utils.CpuReader.class) {
            if (sReader == null) {
                sReader = new com.android.server.rms.iaware.memory.utils.CpuReader();
            }
            cpuReader = sReader;
        }
        return cpuReader;
    }

    private int sample(com.android.server.rms.iaware.memory.utils.CpuReader.CpuData data) {
        long[] sysCpu = mSystemStatData;
        if (android.os.Process.readProcFile("/proc/stat", SYSTEM_STAT_FORMAT, null, sysCpu, null)) {
            data.mTotalTickTime = (((((sysCpu[0] + sysCpu[1]) + sysCpu[2]) + sysCpu[3]) + sysCpu[4]) + sysCpu[5]) + sysCpu[6];
            data.mIdleTickTime = sysCpu[3];
            return 0;
        }
        android.rms.iaware.AwareLog.w("AwareMem_CpuReader", "init read /proc/stat error !");
        return -1;
    }

    public final long getCpuPercent() {
        com.android.server.rms.iaware.memory.utils.CpuReader.CpuData systemStatData1 = new com.android.server.rms.iaware.memory.utils.CpuReader.CpuData();
        if (sample(systemStatData1) != 0) {
            return -1;
        }
        try {
            java.lang.Thread.sleep(20);
            com.android.server.rms.iaware.memory.utils.CpuReader.CpuData systemStatData2 = new com.android.server.rms.iaware.memory.utils.CpuReader.CpuData();
            if (sample(systemStatData2) != 0) {
                return -1;
            }
            long totalTickTime = systemStatData2.mTotalTickTime - systemStatData1.mTotalTickTime;
            long idleTickTime = systemStatData2.mIdleTickTime - systemStatData1.mIdleTickTime;
            long j = 0;
            if (totalTickTime >= 0 && idleTickTime >= 0) {
                if (idleTickTime <= totalTickTime) {
                    if (totalTickTime != 0) {
                        j = 100 - ((idleTickTime * 100) / totalTickTime);
                    }
                    return j;
                }
            }
            return -1;
        } catch (java.lang.InterruptedException e) {
            android.rms.iaware.AwareLog.e("AwareMem_CpuReader", "interrupt error !");
            return -1;
        }
    }
}
