package com.android.server.rms.iaware.memory.utils;

public class PackageInfoCollector {
    private static final java.lang.String TAG = "AwareMem_PkgInfo";

    public static android.util.ArraySet<java.lang.String> getLibFilesFromPackage(android.content.Context mContext, android.util.ArraySet<java.lang.String> pkgSet) {
        if (mContext != null) {
            if (pkgSet != null) {
                android.util.ArraySet<java.lang.String> libFileSet = new android.util.ArraySet();
                java.util.Iterator it = pkgSet.iterator();
                while (it.hasNext()) {
                    java.lang.String pkg = (java.lang.String) it.next();
                    try {
                        android.content.Context context = mContext.createPackageContext(pkg, 1152);
                        java.lang.String sourceDir = context.getApplicationInfo().sourceDir;
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("pkg: ");
                        stringBuilder.append(pkg);
                        stringBuilder.append(", sourceDir: ");
                        stringBuilder.append(sourceDir);
                        android.rms.iaware.AwareLog.i("AwareMem_PkgInfo", stringBuilder.toString());
                        if (sourceDir != null) {
                            if (sourceDir.lastIndexOf(java.io.File.separator) <= 0) {
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("source dir name error, sourceDir.lastIndexOf(File.separator)=");
                                stringBuilder.append(sourceDir.lastIndexOf(java.io.File.separator));
                                android.rms.iaware.AwareLog.w("AwareMem_PkgInfo", stringBuilder.toString());
                            } else {
                                sourceDir = sourceDir.substring(0, sourceDir.lastIndexOf(java.io.File.separator));
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("sourceDir: ");
                                stringBuilder.append(sourceDir);
                                android.rms.iaware.AwareLog.i("AwareMem_PkgInfo", stringBuilder.toString());
                                libFileSet.add(sourceDir);
                            }
                        }
                        java.lang.String dataDir = context.getApplicationInfo().dataDir;
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("pkg: ");
                        stringBuilder2.append(pkg);
                        stringBuilder2.append(", dataDir: ");
                        stringBuilder2.append(dataDir);
                        android.rms.iaware.AwareLog.i("AwareMem_PkgInfo", stringBuilder2.toString());
                        if (dataDir != null) {
                            libFileSet.add(dataDir);
                        }
                    } catch (android.content.pm.PackageManager.NameNotFoundException e) {
                        android.rms.iaware.AwareLog.w("AwareMem_PkgInfo", "Unable to create context for heavy notification");
                    }
                }
                return libFileSet;
            }
        }
        return null;
    }
}
