package com.android.server.rms.iaware.srms;

public class AppStartupFeature extends com.android.server.rms.iaware.feature.RFeature {
    private static final int MIN_VERSION = 2;
    private static final java.lang.String TAG = "AppStartupFeature";
    private static boolean mBetaUser;
    private static boolean mFeature = android.os.SystemProperties.getBoolean("persist.sys.appstart.enable", false);

    static {
        boolean z = false;
        if (android.os.SystemProperties.getInt("ro.logsystem.usertype", 1) == 3) {
            z = true;
        }
        mBetaUser = z;
    }

    public AppStartupFeature(android.content.Context context, android.rms.iaware.AwareConstant.FeatureType type, com.android.server.rms.iaware.IRDataRegister dataRegister) {
        super(context, type, dataRegister);
    }

    public static boolean isAppStartupEnabled() {
        return mFeature;
    }

    public static boolean isBetaUser() {
        return mBetaUser;
    }

    public boolean reportData(android.rms.iaware.CollectData data) {
        return true;
    }

    public boolean enable() {
        setEnable(false);
        return false;
    }

    public boolean disable() {
        setEnable(false);
        return true;
    }

    public boolean enableFeatureEx(int realVersion) {
        if (realVersion < 2) {
            setEnable(false);
            return false;
        }
        setEnable(true);
        com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy policy = com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.self();
        if (policy != null) {
            policy.initSystemUidCache();
        }
        return true;
    }

    public java.lang.String getBigDataByVersion(int iawareVer, boolean forBeta, boolean clearData) {
        java.lang.StringBuilder stringBuilder;
        if (mFeature) {
            if (iawareVer >= 2) {
                if (mBetaUser == forBeta) {
                    return com.android.server.rms.iaware.srms.SRMSDumpRadar.getInstance().saveStartupBigData(forBeta, clearData, false);
                }
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("request bigdata is not match, betaUser=");
                stringBuilder.append(mBetaUser);
                stringBuilder.append(", forBeta=");
                stringBuilder.append(forBeta);
                stringBuilder.append(", clearData=");
                stringBuilder.append(clearData);
                android.rms.iaware.AwareLog.i("AppStartupFeature", stringBuilder.toString());
                return null;
            }
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("bigdata is not support, mFeature=");
        stringBuilder.append(mFeature);
        stringBuilder.append(", iawareVer=");
        stringBuilder.append(iawareVer);
        android.rms.iaware.AwareLog.e("AppStartupFeature", stringBuilder.toString());
        return null;
    }

    public static void setEnable(boolean on) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("iaware appstartup feature changed: ");
        stringBuilder.append(mFeature);
        stringBuilder.append("->");
        stringBuilder.append(on);
        android.rms.iaware.AwareLog.i("AppStartupFeature", stringBuilder.toString());
        if (mFeature != on) {
            com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy policy = com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.self();
            if (policy != null) {
                policy.setEnable(on);
            }
            mFeature = on;
        }
    }
}
