package com.android.server.rms.iaware.srms;

public class BroadcastExFeature extends com.android.server.rms.iaware.feature.RFeature {
    public static final java.lang.String BR_FILTER_BRAPPBACKLIST = "filter_blackbrapp_list";
    public static final java.lang.String BR_FILTER_BRAPPWHITELIST = "filter_whitebrapp_list";
    public static final java.lang.String BR_FILTER_SWITCH = "filterSwitch";
    public static final java.lang.String BR_FILTER_WHITELIST = "filter_white_list";
    public static final java.lang.String BR_GOOGLE_APP_LIST = "br_google_app";
    public static final java.lang.String BR_SEND_SWITCH = "SendSwitch";
    public static final int FILTER_SWITCH = 1;
    private static final int PARSE_LIST_LENGTH = 2;
    public static final int SEND_SWITCH = 2;
    private static final java.lang.String TAG = "BroadcastExFeature";
    private static final int VERSION = 3;
    private static android.util.ArrayMap<java.lang.String, android.util.ArraySet<java.lang.String>> mBrFilterBlackApp = new android.util.ArrayMap();
    private static java.util.HashMap<java.lang.String, java.lang.Integer> mBrFilterData = new java.util.HashMap();
    private static android.util.ArrayMap<java.lang.String, android.util.ArraySet<java.lang.String>> mBrFilterWhiteApp = new android.util.ArrayMap();
    private static android.util.ArraySet<java.lang.String> mBrFilterWhiteList = new android.util.ArraySet();
    private static android.util.ArraySet<java.lang.String> mBrGoogleAppList = new android.util.ArraySet();
    private static boolean mBroadcastFilterEnable = false;
    private static boolean mBroadcastSendEnable = false;
    private static boolean mFeature = false;
    private static java.util.concurrent.atomic.AtomicBoolean mIsInitialized = new java.util.concurrent.atomic.AtomicBoolean(false);
    private com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar mDumpRadar = null;

    public BroadcastExFeature(android.content.Context context, android.rms.iaware.AwareConstant.FeatureType featureType, com.android.server.rms.iaware.IRDataRegister dataRegister) {
        super(context, featureType, dataRegister);
        initConfig();
    }

    public boolean enable() {
        return false;
    }

    public boolean disable() {
        android.rms.iaware.AwareLog.i("BroadcastExFeature", "BroadcastExFeature disable");
        setEnable(false);
        return true;
    }

    public boolean enableFeatureEx(int realVersion) {
        if (realVersion >= 3) {
            android.rms.iaware.AwareLog.i("BroadcastExFeature", "BroadcastExFeature 3.0 enableFeatureEx");
            setEnable(true);
            return true;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("enableFeatureEx failed, realVersion: ");
        stringBuilder.append(realVersion);
        stringBuilder.append(", BroadcastExFeature Version: ");
        stringBuilder.append(3);
        android.rms.iaware.AwareLog.i("BroadcastExFeature", stringBuilder.toString());
        return false;
    }

    public boolean reportData(android.rms.iaware.CollectData data) {
        return false;
    }

    private static void setEnable(boolean enable) {
        mFeature = enable;
    }

    public java.lang.String getDFTDataByVersion(int iawareVer, boolean forBeta, boolean clearData, boolean betaEncode) {
        if (iawareVer < 3) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Feature based on IAware3.0, getBigDataByVersion return null. iawareVer: ");
            stringBuilder.append(iawareVer);
            android.rms.iaware.AwareLog.i("BroadcastExFeature", stringBuilder.toString());
        } else if (!mFeature) {
            android.rms.iaware.AwareLog.e("BroadcastExFeature", "Broadcast feature is disabled, it is invalid operation to save big data.");
            return null;
        } else if (getDumpRadar() != null) {
            return getDumpRadar().getDFTData(forBeta, clearData, betaEncode);
        }
        return null;
    }

    private com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar getDumpRadar() {
        if (com.android.server.mtm.MultiTaskManagerService.self() != null) {
            this.mDumpRadar = com.android.server.mtm.MultiTaskManagerService.self().getIawareBrRadar();
        }
        return this.mDumpRadar;
    }

    public static boolean isFeatureEnabled(int type) {
        boolean z = false;
        if (type == 1) {
            if (mFeature && mBroadcastFilterEnable) {
                z = true;
            }
            return z;
        } else if (type != 2) {
            return false;
        } else {
            if (mFeature && mBroadcastSendEnable) {
                z = true;
            }
            return z;
        }
    }

    private void initConfig() {
        if (!mIsInitialized.get()) {
            mIsInitialized.set(true);
            updateConfig();
        }
    }

    public static void updateConfig() {
        java.util.ArrayList<java.lang.String> filter = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getRawConfig(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.BROADCAST.getDesc(), "filterSwitch");
        if (filter != null && filter.size() == 1) {
            mBroadcastFilterEnable = switchOn((java.lang.String) filter.get(0));
        }
        filter = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getRawConfig(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.BROADCAST.getDesc(), "SendSwitch");
        if (filter != null && filter.size() > 0) {
            mBroadcastSendEnable = switchOn((java.lang.String) filter.get(0));
        }
        getBrList();
        getBrDataPolicy();
    }

    private static boolean switchOn(java.lang.String value) {
        try {
            if (java.lang.Integer.parseInt(value) == 1) {
                return true;
            }
            return false;
        } catch (java.lang.NumberFormatException e) {
            android.rms.iaware.AwareLog.e("BroadcastExFeature", "iaware_brEx value format error");
            return false;
        }
    }

    private static void getBrList() {
        java.util.ArrayList<java.lang.String> whiteFilterList = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getRawConfig(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.BROADCAST.getDesc(), "filter_white_list");
        if (whiteFilterList != null) {
            synchronized (mBrFilterWhiteList) {
                mBrFilterWhiteList.clear();
                int size = whiteFilterList.size();
                for (int index = 0; index < size; index++) {
                    mBrFilterWhiteList.add((java.lang.String) whiteFilterList.get(index));
                }
            }
        }
        java.util.ArrayList<java.lang.String> backBrAppFilterList = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getRawConfig(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.BROADCAST.getDesc(), "filter_blackbrapp_list");
        if (backBrAppFilterList != null) {
            android.util.ArrayMap<java.lang.String, android.util.ArraySet<java.lang.String>> filterBackBrApp = parseResult(backBrAppFilterList);
            synchronized (mBrFilterBlackApp) {
                mBrFilterBlackApp.clear();
                mBrFilterBlackApp.putAll(filterBackBrApp);
            }
        }
        java.util.ArrayList<java.lang.String> whiteBrAppFilterList = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getRawConfig(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.BROADCAST.getDesc(), "filter_whitebrapp_list");
        if (whiteBrAppFilterList != null) {
            android.util.ArrayMap<java.lang.String, android.util.ArraySet<java.lang.String>> filterWhiteBrApp = parseResult(whiteBrAppFilterList);
            synchronized (mBrFilterWhiteApp) {
                mBrFilterWhiteApp.clear();
                mBrFilterWhiteApp.putAll(filterWhiteBrApp);
            }
        }
        java.util.ArrayList<java.lang.String> googleAppList = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getRawConfig(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.BROADCAST.getDesc(), "br_google_app");
        if (googleAppList != null) {
            synchronized (mBrGoogleAppList) {
                mBrGoogleAppList.clear();
                int size2 = googleAppList.size();
                for (int index2 = 0; index2 < size2; index2++) {
                    mBrGoogleAppList.add((java.lang.String) googleAppList.get(index2));
                }
            }
        }
    }

    private static android.util.ArrayMap<java.lang.String, android.util.ArraySet<java.lang.String>> parseResult(java.util.ArrayList<java.lang.String> results) {
        android.util.ArrayMap<java.lang.String, android.util.ArraySet<java.lang.String>> parseResult = new android.util.ArrayMap();
        int size = results.size();
        for (int index = 0; index < size; index++) {
            java.lang.String[] contentArray = ((java.lang.String) results.get(index)).split(":");
            if (contentArray.length == 2) {
                android.util.ArraySet<java.lang.String> apps = new android.util.ArraySet();
                int i = 0;
                java.lang.String action = contentArray[0].trim();
                java.lang.String[] appPkgName = contentArray[1].trim().split(";");
                int appSize = appPkgName.length;
                while (i < appSize) {
                    apps.add(appPkgName[i].trim());
                    i++;
                }
                parseResult.put(action, apps);
            } else {
                android.rms.iaware.AwareLog.e("BroadcastExFeature", "iaware_brEx value format error");
            }
        }
        return parseResult;
    }

    private static void getBrDataPolicy() {
        android.util.ArrayMap<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> filterBrDatas = com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getBrListItem(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.BROADCAST, android.app.mtm.iaware.appmng.AppMngConstant.BroadcastSource.BROADCAST_FILTER);
        if (filterBrDatas != null) {
            synchronized (mBrFilterData) {
                mBrFilterData.clear();
                for (java.util.Map.Entry<java.lang.String, com.android.server.mtm.iaware.appmng.rule.ListItem> ent : filterBrDatas.entrySet()) {
                    java.lang.String action = (java.lang.String) ent.getKey();
                    com.android.server.mtm.iaware.appmng.rule.ListItem item = (com.android.server.mtm.iaware.appmng.rule.ListItem) ent.getValue();
                    if (!(action == null || item == null)) {
                        mBrFilterData.put(action, java.lang.Integer.valueOf(item.getPolicy()));
                    }
                }
            }
        }
    }

    public static boolean isBrFilterWhiteList(java.lang.String pkgName) {
        boolean contains;
        synchronized (mBrFilterWhiteList) {
            contains = mBrFilterWhiteList.contains(pkgName);
        }
        return contains;
    }

    public static android.util.ArraySet<java.lang.String> getBrFilterWhiteList() {
        android.util.ArraySet<java.lang.String> whiteList = new android.util.ArraySet();
        synchronized (mBrFilterWhiteList) {
            whiteList.addAll(mBrFilterWhiteList);
        }
        return whiteList;
    }

    public static int getBrFilterPolicy(java.lang.String action) {
        synchronized (mBrFilterData) {
            java.lang.Integer policy = (java.lang.Integer) mBrFilterData.get(action);
            if (policy != null) {
                int intValue = policy.intValue();
                return intValue;
            }
            return -1;
        }
    }

    public static boolean isBrFilterBlackApp(java.lang.String action, java.lang.String pkgName) {
        synchronized (mBrFilterBlackApp) {
            android.util.ArraySet<java.lang.String> apps = (android.util.ArraySet) mBrFilterBlackApp.get(action);
            if (apps != null) {
                boolean contains = apps.contains(pkgName);
                return contains;
            }
            return false;
        }
    }

    public static android.util.ArrayMap<java.lang.String, android.util.ArraySet<java.lang.String>> getBrFilterBlackApp() {
        android.util.ArrayMap arrayMap;
        synchronized (mBrFilterBlackApp) {
            arrayMap = new android.util.ArrayMap(mBrFilterBlackApp);
        }
        return arrayMap;
    }

    public static boolean isBrFilterWhiteApp(java.lang.String action, java.lang.String pkgName) {
        synchronized (mBrFilterWhiteApp) {
            android.util.ArraySet<java.lang.String> apps = (android.util.ArraySet) mBrFilterWhiteApp.get(action);
            if (apps != null) {
                boolean contains = apps.contains(pkgName);
                return contains;
            }
            return false;
        }
    }

    public static android.util.ArrayMap<java.lang.String, android.util.ArraySet<java.lang.String>> getBrFilterWhiteApp() {
        android.util.ArrayMap arrayMap;
        synchronized (mBrFilterWhiteApp) {
            arrayMap = new android.util.ArrayMap(mBrFilterWhiteApp);
        }
        return arrayMap;
    }

    public static android.util.ArraySet<java.lang.String> getBrGoogleAppList() {
        android.util.ArraySet<java.lang.String> googleAppList = new android.util.ArraySet();
        synchronized (mBrGoogleAppList) {
            googleAppList.addAll(mBrGoogleAppList);
        }
        return googleAppList;
    }

    public static boolean isBrGoogleApp(java.lang.String pkgName) {
        boolean contains;
        synchronized (mBrGoogleAppList) {
            contains = mBrGoogleAppList.contains(pkgName);
        }
        return contains;
    }
}
