package com.android.server.rms.iaware.srms;

public class ResourceFeature extends com.android.server.rms.iaware.feature.RFeature {
    private static final int QUEUESIZE_FOR_DUMPDATA = 12;
    private static final java.lang.String TAG = "ResourceFeature";
    static final boolean enableResMonitor = android.os.SystemProperties.getBoolean("ro.config.res_monitor", true);
    static final boolean enableResQueue = android.os.SystemProperties.getBoolean("ro.config.res_queue", true);
    private static boolean mFeature;

    static {
        boolean z = false;
        if (android.os.SystemProperties.getBoolean("persist.sys.enable_iaware", false) && android.os.SystemProperties.getBoolean("persist.sys.srms.enable", true)) {
            z = true;
        }
        mFeature = z;
    }

    public ResourceFeature(android.content.Context context, android.rms.iaware.AwareConstant.FeatureType type, com.android.server.rms.iaware.IRDataRegister dataRegister) {
        super(context, type, dataRegister);
    }

    public boolean reportData(android.rms.iaware.CollectData data) {
        return true;
    }

    public boolean enable() {
        setEnable();
        return true;
    }

    public boolean disable() {
        setDisable();
        return true;
    }

    public boolean configUpdate() {
        com.android.server.rms.HwSysResManagerService.self().cloudFileUpate();
        return true;
    }

    public java.lang.String saveBigData(boolean clear) {
        if (mFeature) {
            return com.android.server.rms.iaware.srms.SRMSDumpRadar.getInstance().saveSRMSBigData(clear);
        }
        android.rms.iaware.AwareLog.e("ResourceFeature", "iaware srms is close, it is invalid operation to save big data.");
        return null;
    }

    public java.util.ArrayList<android.rms.iaware.StatisticsData> getStatisticsData() {
        if (mFeature) {
            return com.android.server.rms.iaware.srms.SRMSDumpRadar.getInstance().getStatisticsData();
        }
        android.rms.iaware.AwareLog.e("ResourceFeature", "iaware srms is close, it is invalid operation to get statistics data.");
        return null;
    }

    public java.util.ArrayList<android.rms.iaware.DumpData> getDumpData(int time) {
        if (mFeature) {
            return getDumpData();
        }
        android.rms.iaware.AwareLog.e("ResourceFeature", "iaware srms is close, it is invalid operation to get dump data.");
        return null;
    }

    private void setEnable() {
        android.rms.iaware.AwareLog.i("ResourceFeature", "open iaware srms feature!");
        mFeature = true;
    }

    private void setDisable() {
        android.rms.iaware.AwareLog.i("ResourceFeature", "close iaware srms feature!");
        mFeature = false;
    }

    public static boolean getIawareResourceFeature(int type) {
        boolean z = false;
        switch (type) {
            case 1:
                if (mFeature && enableResQueue) {
                    z = true;
                }
                return z;
            case 2:
                if (mFeature && enableResMonitor) {
                    z = true;
                }
                return z;
            default:
                return mFeature;
        }
    }

    private java.util.ArrayList<android.rms.iaware.DumpData> getDumpData() {
        java.util.ArrayList<java.lang.Integer> queueSizes = com.android.server.am.HwActivityManagerService.self().getIawareDumpData();
        if (queueSizes.size() < 12) {
            android.rms.iaware.AwareLog.e("ResourceFeature", "get iaware srms dump data error,size is too small.");
            return null;
        }
        java.util.ArrayList<android.rms.iaware.DumpData> dumpDatas = new java.util.ArrayList();
        long currTime = java.lang.System.currentTimeMillis();
        int RESOURCE_FEATURE_ID = android.rms.iaware.AwareConstant.FeatureType.getFeatureId(android.rms.iaware.AwareConstant.FeatureType.FEATURE_RESOURCE);
        java.lang.StringBuffer queueSizeBuffer = new java.lang.StringBuffer();
        queueSizeBuffer.append(queueSizes.get(0));
        queueSizeBuffer.append("&");
        queueSizeBuffer.append(queueSizes.get(1));
        queueSizeBuffer.append("#");
        queueSizeBuffer.append(queueSizes.get(2));
        queueSizeBuffer.append("&");
        queueSizeBuffer.append(queueSizes.get(3));
        queueSizeBuffer.append("#");
        queueSizeBuffer.append(queueSizes.get(4));
        queueSizeBuffer.append("&");
        queueSizeBuffer.append(queueSizes.get(5));
        queueSizeBuffer.append("#");
        queueSizeBuffer.append(queueSizes.get(6));
        queueSizeBuffer.append("&");
        queueSizeBuffer.append(queueSizes.get(7));
        queueSizeBuffer.append("#");
        queueSizeBuffer.append(queueSizes.get(8));
        queueSizeBuffer.append("&");
        queueSizeBuffer.append(queueSizes.get(9));
        queueSizeBuffer.append("#");
        queueSizeBuffer.append(queueSizes.get(10));
        queueSizeBuffer.append("&");
        queueSizeBuffer.append(queueSizes.get(11));
        long j = currTime;
        int i = RESOURCE_FEATURE_ID;
        dumpDatas.add(new android.rms.iaware.DumpData(j, i, "fg.p&o#bg.p&o#fg3.p&o#bg3.p&o#fgk.p&o#fgk.p&o", 0, new java.lang.String(queueSizeBuffer)));
        return dumpDatas;
    }
}
