package com.android.server.rms.iaware.srms;

public class SRMSDumpRadar {
    private static final int INTERVAL_ELAPSED_TIME = 4;
    private static final int RESOURCE_FEATURE_ID = android.rms.iaware.AwareConstant.FeatureType.getFeatureId(android.rms.iaware.AwareConstant.FeatureType.FEATURE_RESOURCE);
    private static final java.lang.String TAG = "SRMSDumpRadar";
    private static volatile com.android.server.rms.iaware.srms.SRMSDumpRadar mSRMSDumpRadar;
    private static final java.lang.String[] mSubTypeList = new java.lang.String[]{"EnterFgKeyAppBQ", "EnterBgKeyAppBQ"};
    private java.util.ArrayList<java.lang.Integer> mBigDataList = new java.util.ArrayList(4);
    private android.util.ArrayMap<java.lang.String, com.android.server.rms.iaware.srms.SRMSDumpRadar.TrackFakeData> mFakeDataList = new android.util.ArrayMap();
    private long mFakeStartTime = this.mStartTime;
    private long mStartTime = java.lang.System.currentTimeMillis();
    private android.util.ArrayMap<java.lang.String, com.android.server.rms.iaware.srms.SRMSDumpRadar.StartupData> mStartupDataList = new android.util.ArrayMap();
    private java.util.ArrayList<android.rms.iaware.StatisticsData> mStatisticsData = null;

    private static class StartupData {
        private android.util.ArrayMap<java.lang.String, int[]> mReasonList;

        private StartupData(java.lang.String pkg) {
            this.mReasonList = new android.util.ArrayMap();
        }

        private void increase(java.lang.String[] keys, int[]... values) {
            int length = keys.length;
            int[] val = 0;
            int index = 0;
            while (index < length) {
                java.lang.String k = keys[index];
                int index2 = val + 1;
                val = values[val];
                if (val != null) {
                    if (!android.text.TextUtils.isEmpty(k)) {
                        int size = val.length;
                        int[] v = (int[]) this.mReasonList.get(k);
                        if (v == null) {
                            v = new int[size];
                            java.lang.System.arraycopy(val, 0, v, 0, size);
                            this.mReasonList.put(k, v);
                        } else if (size == v.length) {
                            for (int i = 0; i < v.length; i++) {
                                v[i] = v[i] + val[i];
                            }
                        } else {
                            android.rms.iaware.AwareLog.w("SRMSDumpRadar", "increase dis-match array size");
                        }
                    }
                }
                index++;
                val = index2;
            }
        }

        private boolean isAllowConsistent(boolean onlyDiff, int totalAlw) {
            boolean z = false;
            if (!onlyDiff) {
                return false;
            }
            int smtAlw = 0;
            int index = this.mReasonList.indexOfKey("I");
            if (index >= 0) {
                int[] values = (int[]) this.mReasonList.valueAt(index);
                if (values != null && values.length > 0) {
                    smtAlw = values[0];
                }
            }
            int usrAlw = 0;
            index = this.mReasonList.indexOfKey("U");
            if (index >= 0) {
                int[] values2 = (int[]) this.mReasonList.valueAt(index);
                if (values2 != null && values2.length > 1) {
                    usrAlw = values2[0] + values2[1];
                }
            }
            if (totalAlw == smtAlw + usrAlw) {
                z = true;
            }
            return z;
        }

        private boolean isNeedReport(int threshold, boolean onlyDiff) {
            int[] values;
            int totalAlw = 0;
            int nonIawareAlw = 0;
            int index = this.mReasonList.indexOfKey("T");
            if (index >= 0) {
                values = (int[]) this.mReasonList.valueAt(index);
                if (values != null && values.length > 1) {
                    totalAlw = values[0];
                    nonIawareAlw = values[1];
                }
            }
            if (isAllowConsistent(onlyDiff, totalAlw - nonIawareAlw)) {
                return false;
            }
            if (totalAlw >= threshold) {
                return true;
            }
            if (totalAlw == 0) {
                index = this.mReasonList.indexOfKey("I");
                if (index >= 0) {
                    values = (int[]) this.mReasonList.valueAt(index);
                    if (values != null && values.length > 0 && values[values.length - 1] > 0) {
                        return true;
                    }
                }
                index = this.mReasonList.indexOfKey("U");
                if (index >= 0) {
                    values = (int[]) this.mReasonList.valueAt(index);
                    return values != null && values.length > 0 && values[values.length - 1] > 0;
                }
            }
        }

        private java.lang.String encodeString() {
            tagOrderList = new java.lang.String[18];
            int i = 0;
            tagOrderList[0] = "T";
            tagOrderList[1] = "U";
            tagOrderList[2] = "I";
            tagOrderList[3] = "H";
            tagOrderList[4] = "O";
            tagOrderList[5] = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.THIRD_ACTIVITY.getDesc();
            tagOrderList[6] = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.THIRD_BROADCAST.getDesc();
            tagOrderList[7] = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.SYSTEM_BROADCAST.getDesc();
            tagOrderList[8] = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.START_SERVICE.getDesc();
            tagOrderList[9] = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.BIND_SERVICE.getDesc();
            tagOrderList[10] = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.PROVIDER.getDesc();
            tagOrderList[11] = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.SCHEDULE_RESTART.getDesc();
            tagOrderList[12] = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.JOB_SCHEDULE.getDesc();
            tagOrderList[13] = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.ALARM.getDesc();
            tagOrderList[14] = android.app.mtm.iaware.appmng.AppMngConstant.AppStartSource.ACCOUNT_SYNC.getDesc();
            tagOrderList[15] = android.app.mtm.iaware.appmng.AppMngConstant.AppStartReason.DEFAULT.getDesc();
            tagOrderList[16] = android.app.mtm.iaware.appmng.AppMngConstant.AppStartReason.SYSTEM_APP.getDesc();
            tagOrderList[17] = android.app.mtm.iaware.appmng.AppMngConstant.AppStartReason.LIST.getDesc();
            java.lang.StringBuilder result = new java.lang.StringBuilder();
            boolean firstInsert = true;
            int length = tagOrderList.length;
            while (i < length) {
                java.lang.String tag = tagOrderList[i];
                int size = this.mReasonList.size();
                for (int i2 = 0; i2 < size; i2++) {
                    java.lang.String key = (java.lang.String) this.mReasonList.keyAt(i2);
                    if (key.startsWith(tag)) {
                        java.lang.String stat = getStatString((int[]) this.mReasonList.valueAt(i2));
                        if (!android.text.TextUtils.isEmpty(stat)) {
                            if (!firstInsert) {
                                result.append(',');
                            }
                            result.append(key);
                            result.append('=');
                            result.append(stat);
                            firstInsert = false;
                        }
                    }
                }
                i++;
            }
            return result.toString();
        }

        private java.lang.String getStatString(int[] values) {
            java.lang.StringBuilder result = new java.lang.StringBuilder();
            boolean noZero = false;
            int size = values.length;
            for (int i = 0; i < size; i++) {
                if (values[i] > 0) {
                    result.append(values[i]);
                    noZero = true;
                }
                if (i < size - 1) {
                    result.append('#');
                }
            }
            if (!noZero) {
                result.delete(0, result.length());
            }
            return result.toString();
        }
    }

    private static class TrackFakeData {
        java.lang.String cmp;
        private android.util.ArrayMap<java.lang.String, java.lang.Integer> mStatusList = new android.util.ArrayMap();

        public TrackFakeData(java.lang.String cmp) {
            this.cmp = cmp;
        }

        public void updateStatus(java.lang.String status) {
            java.lang.Integer count = (java.lang.Integer) this.mStatusList.get(status);
            if (count == null) {
                this.mStatusList.put(status, java.lang.Integer.valueOf(1));
            } else {
                this.mStatusList.put(status, java.lang.Integer.valueOf(count.intValue() + 1));
            }
        }

        public java.lang.String toJsonStr() {
            org.json.JSONObject jsonObj = new org.json.JSONObject();
            try {
                jsonObj.put("cmp", this.cmp);
                for (java.util.Map.Entry entry : this.mStatusList.entrySet()) {
                    jsonObj.put((java.lang.String) entry.getKey(), ((java.lang.Integer) entry.getValue()).intValue());
                }
            } catch (org.json.JSONException e) {
                android.rms.iaware.AwareLog.e("SRMSDumpRadar", "TrackFakeData.toJsonStr catch JSONException.");
            }
            return jsonObj.toString();
        }
    }

    private int getBigdataThreshold(boolean beta) {
        com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy policy = com.android.server.mtm.iaware.appmng.appstart.AwareAppStartupPolicy.self();
        if (policy != null) {
            return policy.getBigdataThreshold(beta);
        }
        return 0;
    }

    private org.json.JSONObject makeStartupJson(boolean forBeta, boolean clear, boolean onlyDiff) {
        org.json.JSONException e;
        boolean z;
        java.lang.StringBuilder stringBuilder;
        java.lang.String pkgPrefix = "com.";
        int prefixStart = "com.".length() - 1;
        int threshold = getBigdataThreshold(forBeta);
        org.json.JSONObject jsonObj = new org.json.JSONObject();
        java.lang.String str;
        try {
            jsonObj.put("feature", "appstart");
            jsonObj.put("start", this.mStartTime);
            long currentTime = java.lang.System.currentTimeMillis();
            if (clear) {
                try {
                    this.mStartTime = currentTime;
                } catch (org.json.JSONException e2) {
                    e = e2;
                    z = onlyDiff;
                    str = pkgPrefix;
                }
            }
            jsonObj.put("end", currentTime);
            int index = 0;
            org.json.JSONObject dataJson = new org.json.JSONObject();
            for (java.util.Map.Entry<java.lang.String, com.android.server.rms.iaware.srms.SRMSDumpRadar.StartupData> item : this.mStartupDataList.entrySet()) {
                java.lang.String pkg = (java.lang.String) item.getKey();
                com.android.server.rms.iaware.srms.SRMSDumpRadar.StartupData startupData = (com.android.server.rms.iaware.srms.SRMSDumpRadar.StartupData) item.getValue();
                try {
                    if (startupData.isNeedReport(threshold, onlyDiff)) {
                        if (pkg.startsWith("com.")) {
                            str = pkgPrefix;
                            try {
                                dataJson.put(pkg.substring(prefixStart), startupData.encodeString());
                            } catch (org.json.JSONException e3) {
                                e = e3;
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("makeStartupJson catch JSONException e: ");
                                stringBuilder.append(e);
                                android.rms.iaware.AwareLog.e("SRMSDumpRadar", stringBuilder.toString());
                                return jsonObj;
                            }
                        }
                        str = pkgPrefix;
                        dataJson.put(pkg, startupData.encodeString());
                        index++;
                    } else {
                        str = pkgPrefix;
                    }
                    pkgPrefix = str;
                } catch (org.json.JSONException e4) {
                    e = e4;
                    str = pkgPrefix;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("makeStartupJson catch JSONException e: ");
                    stringBuilder.append(e);
                    android.rms.iaware.AwareLog.e("SRMSDumpRadar", stringBuilder.toString());
                    return jsonObj;
                }
            }
            z = onlyDiff;
            str = pkgPrefix;
            pkgPrefix = new java.lang.StringBuilder();
            pkgPrefix.append("V");
            pkgPrefix.append(com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().getVersion());
            pkgPrefix.append("#");
            pkgPrefix.append(index);
            pkgPrefix.append("#");
            pkgPrefix.append(this.mStartupDataList.size());
            dataJson.put("inf", pkgPrefix.toString());
            org.json.JSONArray jsonArray = new org.json.JSONArray();
            jsonArray.put(dataJson);
            jsonObj.put("data", jsonArray);
        } catch (org.json.JSONException e5) {
            e = e5;
            z = onlyDiff;
            str = pkgPrefix;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("makeStartupJson catch JSONException e: ");
            stringBuilder.append(e);
            android.rms.iaware.AwareLog.e("SRMSDumpRadar", stringBuilder.toString());
            return jsonObj;
        }
        return jsonObj;
    }

    public void updateStartupData(java.lang.String pkg, java.lang.String[] keys, int[]... values) {
        if (!(android.text.TextUtils.isEmpty(pkg) || keys == null || values == null)) {
            if (keys.length == values.length) {
                synchronized (this.mStartupDataList) {
                    com.android.server.rms.iaware.srms.SRMSDumpRadar.StartupData startupData = (com.android.server.rms.iaware.srms.SRMSDumpRadar.StartupData) this.mStartupDataList.get(pkg);
                    if (startupData != null) {
                        startupData.increase(keys, values);
                    } else {
                        startupData = new com.android.server.rms.iaware.srms.SRMSDumpRadar.StartupData(pkg);
                        startupData.increase(keys, values);
                        this.mStartupDataList.put(pkg, startupData);
                    }
                }
            }
        }
    }

    public java.lang.String saveStartupBigData(boolean forBeta, boolean clear, boolean onlyDiff) {
        java.lang.String data;
        synchronized (this.mStartupDataList) {
            data = makeStartupJson(forBeta, clear, onlyDiff).toString();
            if (clear) {
                this.mStartupDataList.clear();
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("saveStartupBigData forBeta=");
        stringBuilder.append(forBeta);
        stringBuilder.append(", clear=");
        stringBuilder.append(clear);
        android.rms.iaware.AwareLog.d("SRMSDumpRadar", stringBuilder.toString());
        return data;
    }

    public static com.android.server.rms.iaware.srms.SRMSDumpRadar getInstance() {
        if (mSRMSDumpRadar == null) {
            synchronized (com.android.server.rms.iaware.srms.SRMSDumpRadar.class) {
                if (mSRMSDumpRadar == null) {
                    mSRMSDumpRadar = new com.android.server.rms.iaware.srms.SRMSDumpRadar();
                }
            }
        }
        return mSRMSDumpRadar;
    }

    private SRMSDumpRadar() {
        int i = 0;
        for (int i2 = 0; i2 < 4; i2++) {
            this.mBigDataList.add(java.lang.Integer.valueOf(0));
        }
        this.mStatisticsData = new java.util.ArrayList();
        while (i <= 1) {
            this.mStatisticsData.add(new android.rms.iaware.StatisticsData(RESOURCE_FEATURE_ID, 2, mSubTypeList[i], 0, 0, 0, java.lang.System.currentTimeMillis(), 0));
            i++;
        }
    }

    public java.util.ArrayList<android.rms.iaware.StatisticsData> getStatisticsData() {
        java.util.ArrayList<android.rms.iaware.StatisticsData> dataList = new java.util.ArrayList();
        synchronized (this.mStatisticsData) {
            int i = 0;
            while (i <= 1) {
                try {
                    dataList.add(new android.rms.iaware.StatisticsData(RESOURCE_FEATURE_ID, 2, mSubTypeList[i], ((android.rms.iaware.StatisticsData) this.mStatisticsData.get(i)).getOccurCount(), 0, 0, ((android.rms.iaware.StatisticsData) this.mStatisticsData.get(i)).getStartTime(), java.lang.System.currentTimeMillis()));
                    i++;
                } catch (Throwable th) {
                    while (true) {
                    }
                }
            }
            resetStatisticsData();
        }
        android.rms.iaware.AwareLog.d("SRMSDumpRadar", "SRMS getStatisticsData success");
        return dataList;
    }

    public void updateStatisticsData(int subTypeCode) {
        if (subTypeCode >= 0 && subTypeCode <= 1) {
            synchronized (this.mStatisticsData) {
                android.rms.iaware.StatisticsData data = (android.rms.iaware.StatisticsData) this.mStatisticsData.get(subTypeCode);
                data.setOccurCount(data.getOccurCount() + 1);
            }
        } else if (subTypeCode < 10 || subTypeCode > 13) {
            android.rms.iaware.AwareLog.e("SRMSDumpRadar", "error subTypeCode");
        } else {
            updateBigData(subTypeCode - 10);
        }
    }

    private void resetStatisticsData() {
        synchronized (this.mStatisticsData) {
            int i = 0;
            while (i <= 1) {
                try {
                    ((android.rms.iaware.StatisticsData) this.mStatisticsData.get(i)).setSubType(mSubTypeList[i]);
                    ((android.rms.iaware.StatisticsData) this.mStatisticsData.get(i)).setOccurCount(0);
                    ((android.rms.iaware.StatisticsData) this.mStatisticsData.get(i)).setStartTime(java.lang.System.currentTimeMillis());
                    ((android.rms.iaware.StatisticsData) this.mStatisticsData.get(i)).setEndTime(0);
                    i++;
                } catch (Throwable th) {
                }
            }
        }
    }

    public java.lang.String saveSRMSBigData(boolean clear) {
        java.lang.StringBuilder data;
        synchronized (this.mBigDataList) {
            org.json.JSONObject jsonObj = makeSRMSJson();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder("[iAwareSRMSStatis_Start]\n");
            stringBuilder.append(jsonObj.toString());
            stringBuilder.append("\n[iAwareSRMSStatis_End]");
            data = stringBuilder;
            if (clear) {
                resetBigData();
            }
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("SRMS saveSRMSBigData success:");
        stringBuilder2.append(data);
        android.rms.iaware.AwareLog.d("SRMSDumpRadar", stringBuilder2.toString());
        return data.toString();
    }

    private void updateBigData(int interval) {
        synchronized (this.mBigDataList) {
            this.mBigDataList.set(interval, java.lang.Integer.valueOf(((java.lang.Integer) this.mBigDataList.get(interval)).intValue() + 1));
        }
    }

    private void resetBigData() {
        for (int i = 0; i < 4; i++) {
            this.mBigDataList.set(i, java.lang.Integer.valueOf(0));
        }
    }

    private org.json.JSONObject makeSRMSJson() {
        int countElapsedTimeLess20 = ((java.lang.Integer) this.mBigDataList.get(0)).intValue();
        int countElapsedTimeLess60 = ((java.lang.Integer) this.mBigDataList.get(1)).intValue();
        int countElapsedTimeLess100 = ((java.lang.Integer) this.mBigDataList.get(2)).intValue();
        int countElapsedTimeMore100 = ((java.lang.Integer) this.mBigDataList.get(3)).intValue();
        org.json.JSONObject jsonObj = new org.json.JSONObject();
        try {
            jsonObj.put("elapsedTime_less20", countElapsedTimeLess20);
            jsonObj.put("elapsedTime_less60", countElapsedTimeLess60);
            jsonObj.put("elapsedTime_less100", countElapsedTimeLess100);
            jsonObj.put("elapsedTime_more100", countElapsedTimeMore100);
        } catch (org.json.JSONException e) {
            android.rms.iaware.AwareLog.e("SRMSDumpRadar", "make json error");
        }
        return jsonObj;
    }

    public java.lang.String getFakeBigData(boolean forBeta, boolean clear) {
        if (!forBeta) {
            return null;
        }
        java.lang.StringBuilder sb = new java.lang.StringBuilder();
        getFakeDetailData(sb, forBeta, clear);
        if (clear) {
            this.mFakeStartTime = java.lang.System.currentTimeMillis();
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getFakeBigData success data : ");
        stringBuilder.append(sb.toString());
        android.rms.iaware.AwareLog.d("SRMSDumpRadar", stringBuilder.toString());
        return sb.toString();
    }

    private void getFakeDetailData(java.lang.StringBuilder sb, boolean forBeta, boolean clear) {
        if (forBeta) {
            if (sb != null) {
                synchronized (this.mFakeDataList) {
                    sb.append("\n[iAwareFake_Start]\nstartTime: ");
                    sb.append(java.lang.String.valueOf(this.mFakeStartTime));
                    for (java.util.Map.Entry<java.lang.String, com.android.server.rms.iaware.srms.SRMSDumpRadar.TrackFakeData> dataEntry : this.mFakeDataList.entrySet()) {
                        com.android.server.rms.iaware.srms.SRMSDumpRadar.TrackFakeData data = (com.android.server.rms.iaware.srms.SRMSDumpRadar.TrackFakeData) dataEntry.getValue();
                        if (data != null) {
                            java.lang.String dataStr = data.toJsonStr();
                            if (dataStr != null && dataStr.length() > 0) {
                                sb.append("\n");
                                sb.append(dataStr.replace("\\", ""));
                            }
                        }
                    }
                    sb.append("\nendTime: ");
                    sb.append(java.lang.String.valueOf(java.lang.System.currentTimeMillis()));
                    sb.append("\n[iAwareFake_End]");
                    if (clear) {
                        this.mFakeDataList.clear();
                    }
                }
            }
        }
    }

    public void updateFakeData(java.lang.String cmp, java.lang.String status) {
        if (isBetaUser() && cmp != null) {
            if (status != null) {
                synchronized (this.mFakeDataList) {
                    com.android.server.rms.iaware.srms.SRMSDumpRadar.TrackFakeData fakeData = (com.android.server.rms.iaware.srms.SRMSDumpRadar.TrackFakeData) this.mFakeDataList.get(cmp);
                    if (fakeData == null) {
                        fakeData = new com.android.server.rms.iaware.srms.SRMSDumpRadar.TrackFakeData(cmp);
                        this.mFakeDataList.put(cmp, fakeData);
                    }
                    fakeData.updateStatus(status);
                }
            }
        }
    }

    private boolean isBetaUser() {
        return android.rms.iaware.AwareConstant.CURRENT_USER_TYPE == 3;
    }
}
