package com.android.server.rms.io;

public class KernelIOStats {
    private static final java.lang.String CHARSET_UTF8 = "UTF-8";
    private static final java.lang.String CID_FILE_PATH = "/sys/block/mmcblk0/device/cid";
    private static final int ERROR_LIFE_TIME = -1;
    private static final long ERROR_WRITE_BYTES = -1;
    private static final int FILE_BUFFER_SIZE = 1024;
    public static final int HEALTH_TYPE_A = 0;
    public static final int HEALTH_TYPE_B = 1;
    public static final int HEALTH_TYPE_EOL = 2;
    private static final java.lang.String SPLIT_UID = ",";
    private static final java.lang.String TAG = "RMS.IO.KernelIOStats";
    private static final java.lang.String UID_ADD_PATH = "uid_iomonitor_list";
    private static final java.lang.String UID_MONITOR_BASE_PATH = "/proc/uid_iostats/";
    private static final java.lang.String UID_REMOVE_PATH = "remove_uid_list";
    private static final java.lang.String UID_SHOW_DATAS_SPLIT = "\n";
    private static final java.lang.String UID_SHOW_PATH = "show_uid_iostats";
    private static final java.lang.String UID_SHOW_READ_WRITE_SPLIT = " ";
    private static final java.lang.String UID_SHOW_UID_STATS_SPLIT = ":";

    static native java.lang.String native_read_file(java.lang.String str);

    static native int native_write_file(java.lang.String str, java.lang.String str2, int i);

    static {
        try {
            java.lang.System.loadLibrary("iostats_jni");
        } catch (java.lang.UnsatisfiedLinkError e) {
            android.util.Log.e("RMS.IO.KernelIOStats", "iostats_jni not found");
        } catch (java.lang.Exception e2) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("an Exception occurs:");
            stringBuilder.append(e2.getMessage());
            android.util.Log.e("RMS.IO.KernelIOStats", stringBuilder.toString());
        }
    }

    public static com.android.server.rms.io.IOStatsCollection readUidIOStatsFromKernel(java.util.Hashtable<java.lang.Integer, java.lang.String> uidPkgTable) {
        java.lang.StringBuilder stringBuilder;
        com.android.server.rms.io.IOStatsCollection ioStatsResult = new com.android.server.rms.io.IOStatsCollection();
        if (uidPkgTable != null) {
            if (uidPkgTable.size() != 0) {
                try {
                    java.lang.String ioStatsBuffer = native_read_file("/proc/uid_iostats/show_uid_iostats");
                    if (ioStatsBuffer != null) {
                        if (ioStatsBuffer.length() != 0) {
                            if (android.rms.utils.Utils.DEBUG) {
                                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append("readUidIOStatsFromKernel,ioStatsBuffer:");
                                stringBuilder2.append(ioStatsBuffer);
                                android.util.Log.d("RMS.IO.KernelIOStats", stringBuilder2.toString());
                            }
                            recordHistoryByKernelNodeInfor(ioStatsBuffer, uidPkgTable, ioStatsResult);
                            return ioStatsResult;
                        }
                    }
                    android.util.Log.e("RMS.IO.KernelIOStats", "readUidIOStatsFromKernel io_stats file is empty");
                    return ioStatsResult;
                } catch (java.lang.RuntimeException ex) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("readUidIOStats:an RuntimeException occurs:");
                    stringBuilder.append(ex.getMessage());
                    android.util.Log.e("RMS.IO.KernelIOStats", stringBuilder.toString());
                } catch (java.lang.Exception ex2) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("readUidIOStats:an Exception occurs:");
                    stringBuilder.append(ex2.getMessage());
                    android.util.Log.e("RMS.IO.KernelIOStats", stringBuilder.toString());
                }
            }
        }
        android.util.Log.e("RMS.IO.KernelIOStats", "readUidIOStatsFromKernel:the uidPkgTable is empty");
        return ioStatsResult;
    }

    private static void recordHistoryByKernelNodeInfor(java.lang.String ioStatsBuffer, java.util.Hashtable<java.lang.Integer, java.lang.String> uidPkgTable, com.android.server.rms.io.IOStatsCollection ioStatsResult) {
        long readNum;
        int uid;
        long currentTime = android.rms.utils.Utils.getShortDateFormatValue(java.lang.System.currentTimeMillis());
        int uid2 = 0;
        java.lang.String[] splitsArray = ioStatsBuffer.split("\n");
        int length = splitsArray.length;
        long writeNum = 0;
        long readNum2 = 0;
        java.lang.String[] readWriteArray = null;
        java.lang.String[] uidSplitArray = null;
        int uidSplitArray2 = 0;
        while (uidSplitArray2 < length) {
            java.lang.String[] uidSplitArray3;
            java.lang.String[] readWriteArray2;
            java.lang.String ioStats = splitsArray[uidSplitArray2];
            uidSplitArray = ioStats.split(":");
            java.lang.String[] readWriteArray3 = readWriteArray;
            com.android.server.rms.io.IOStatsCollection iOStatsCollection;
            if (uidSplitArray.length < 2) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                readNum = readNum2;
                stringBuilder.append("uidSplitArray's length is invalid:");
                stringBuilder.append(ioStats);
                android.util.Log.e("RMS.IO.KernelIOStats", stringBuilder.toString());
                iOStatsCollection = ioStatsResult;
                uidSplitArray3 = uidSplitArray;
                readWriteArray2 = readWriteArray3;
                readNum2 = readNum;
            } else {
                readNum = readNum2;
                readWriteArray2 = uidSplitArray[1].trim().split(" ");
                if (readWriteArray2.length < 2) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    uid = uid2;
                    stringBuilder2.append("readWriteArray's length is invalid :");
                    stringBuilder2.append(uidSplitArray[1]);
                    android.util.Log.e("RMS.IO.KernelIOStats", stringBuilder2.toString());
                    iOStatsCollection = ioStatsResult;
                    uidSplitArray3 = uidSplitArray;
                    readNum2 = readNum;
                    uid2 = uid;
                } else {
                    uid2 = java.lang.Integer.parseInt(uidSplitArray[0]);
                    long readNum3 = java.lang.Long.parseLong(readWriteArray2[0]);
                    long writeNum2 = java.lang.Long.parseLong(readWriteArray2[1]);
                    if (readNum3 == 0 && writeNum2 == 0) {
                        iOStatsCollection = ioStatsResult;
                        uidSplitArray3 = uidSplitArray;
                        readNum2 = readNum3;
                        writeNum = writeNum2;
                    } else {
                        java.lang.String pkgName = (java.lang.String) uidPkgTable.get(java.lang.Integer.valueOf(uid2));
                        java.lang.String[] readWriteArray4 = readWriteArray2;
                        int uid3 = uid2;
                        uidSplitArray3 = uidSplitArray;
                        com.android.server.rms.io.IOStatsHistory iOStatsHistory = r4;
                        com.android.server.rms.io.IOStatsHistory iOStatsHistory2 = new com.android.server.rms.io.IOStatsHistory(uid2, pkgName, currentTime, readNum3, writeNum2);
                        ioStatsResult.recordHistory(iOStatsHistory);
                        readNum2 = readNum3;
                        writeNum = writeNum2;
                        java.lang.String str = pkgName;
                        readWriteArray2 = readWriteArray4;
                        uid2 = uid3;
                    }
                }
            }
            uidSplitArray2++;
            readWriteArray = readWriteArray2;
            uidSplitArray = uidSplitArray3;
        }
        readNum = readNum2;
        uid = uid2;
        readWriteArray = ioStatsResult;
    }

    public static java.lang.String getCIDNodeInformation() {
        java.lang.String totalWriteBytes = "";
        try {
            totalWriteBytes = native_read_file("/sys/block/mmcblk0/device/cid");
        } catch (java.lang.RuntimeException e) {
            android.util.Log.e("RMS.IO.KernelIOStats", "getCIDNodeInformation,the RuntimeException occurs");
        } catch (java.lang.Exception e2) {
            android.util.Log.e("RMS.IO.KernelIOStats", "getCIDNodeInformation Exception occurs");
        }
        return totalWriteBytes;
    }

    public static void writeUidList(java.util.List<java.lang.Integer> removeUidList, java.util.List<java.lang.Integer> addUidList) {
        if (removeUidList == null || removeUidList.size() == 0) {
            if (addUidList != null) {
                if (addUidList.size() == 0) {
                }
            }
            android.util.Log.e("RMS.IO.KernelIOStats", "writeUidList,both the removeUidList and addUidList are empty");
            return;
        }
        java.lang.String removeUidConnection = convert(removeUidList);
        java.lang.String addUidConnection = convert(addUidList);
        if (android.rms.utils.Utils.DEBUG) {
            android.util.Log.d("RMS.IO.KernelIOStats", java.lang.String.format("writeUidList,removeUidConnection:%s,addUidConnection:%s", new java.lang.Object[]{removeUidConnection, addUidConnection}));
        }
        if (removeUidConnection != null) {
            writeToUidMonitorNode(removeUidConnection, "/proc/uid_iostats/remove_uid_list");
        }
        if (addUidConnection != null) {
            writeToUidMonitorNode(addUidConnection, "/proc/uid_iostats/uid_iomonitor_list");
        }
    }

    private static java.lang.String convert(java.util.List<java.lang.Integer> uidList) {
        if (uidList != null) {
            if (uidList.size() != 0) {
                java.lang.StringBuilder resultBuilder = new java.lang.StringBuilder();
                for (java.lang.Integer uid : uidList) {
                    resultBuilder.append(uid.intValue());
                    resultBuilder.append(",");
                }
                return resultBuilder.toString().substring(0, resultBuilder.length() - 1);
            }
        }
        if (android.rms.utils.Utils.DEBUG) {
            android.util.Log.d("RMS.IO.KernelIOStats", "convert, the uidList is empty");
        }
        return null;
    }

    private static void writeToUidMonitorNode(java.lang.String uidConnection, java.lang.String path) {
        try {
            if (android.rms.utils.Utils.DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("writeToUidMonitorNode,filePath:");
                stringBuilder.append(path);
                android.util.Log.d("RMS.IO.KernelIOStats", stringBuilder.toString());
            }
            if (uidConnection != null) {
                if (uidConnection.length() != 0) {
                    native_write_file(path, uidConnection, uidConnection.length());
                    return;
                }
            }
            android.util.Log.e("RMS.IO.KernelIOStats", "writeToUidMonitorNode,the uidConnection is empty");
        } catch (java.lang.RuntimeException e) {
            android.util.Log.e("RMS.IO.KernelIOStats", "fail to writeToUidMonitorNode:the RuntimeException");
        } catch (java.lang.Exception e2) {
            android.util.Log.e("RMS.IO.KernelIOStats", "fail to writeToUidMonitorNode:the other exception");
        }
    }
}
