package com.android.server.rms.io;

public class LifeTimeCollection implements com.android.server.rms.io.IOFileRotator.Reader {
    private static final java.lang.String TAG = "RMS.IO.LifeTimeCollection";
    private java.util.List<com.android.server.rms.io.IOExceptionHandle.LifeTimeData> mDataList = new java.util.ArrayList();

    static class LifeTimeRewriter implements com.android.server.rms.io.IOFileRotator.Rewriter {
        private com.android.server.rms.io.LifeTimeCollection mLifeTimeCollection = null;

        public LifeTimeRewriter(com.android.server.rms.io.LifeTimeCollection collection) {
            this.mLifeTimeCollection = collection;
        }

        public void reset() {
        }

        public void read(java.io.InputStream in) throws java.io.IOException {
            this.mLifeTimeCollection.read(in);
        }

        public boolean shouldWrite() {
            return true;
        }

        public void write(java.io.OutputStream out) throws java.io.IOException {
            this.mLifeTimeCollection.write(out);
        }
    }

    public void addAll(java.util.List<com.android.server.rms.io.IOExceptionHandle.LifeTimeData> dataList) {
        if (dataList == null) {
            android.util.Log.e("RMS.IO.LifeTimeCollection", "addAll,the dataList is null");
        } else {
            this.mDataList.addAll(dataList);
        }
    }

    public void reset() {
        this.mDataList.clear();
    }

    public java.util.List<com.android.server.rms.io.IOExceptionHandle.LifeTimeData> getAllDataList() {
        return this.mDataList;
    }

    public void read(java.io.InputStream in) throws java.io.IOException {
        if (in == null) {
            android.util.Log.e("RMS.IO.LifeTimeCollection", "read,InputStream is null");
            return;
        }
        java.io.DataInputStream inputStream = new java.io.DataInputStream(in);
        java.util.List<com.android.server.rms.io.IOExceptionHandle.LifeTimeData> currentList = new java.util.ArrayList();
        currentList.addAll(this.mDataList);
        this.mDataList.clear();
        while (inputStream.available() > 0) {
            this.mDataList.add(new com.android.server.rms.io.IOExceptionHandle.LifeTimeData(inputStream.readLong(), inputStream.readInt()));
        }
        this.mDataList.addAll(currentList);
    }

    public void write(java.io.OutputStream out) throws java.io.IOException {
        if (out == null) {
            android.util.Log.e("RMS.IO.LifeTimeCollection", "write,OutputStream is null");
            return;
        }
        long currentTime = java.lang.System.currentTimeMillis();
        java.io.DataOutputStream dataOutStream = new java.io.DataOutputStream(out);
        for (com.android.server.rms.io.IOExceptionHandle.LifeTimeData data : this.mDataList) {
            if (android.rms.utils.Utils.getDifferencesByDay(currentTime, data.mTime) <= ((long) com.android.server.rms.io.IOExceptionHandle.IO_EXCEPTION_DAYS_LIMIT)) {
                dataOutStream.writeLong(data.mTime);
                dataOutStream.writeInt(data.mLifeTime);
            }
        }
        dataOutStream.flush();
    }
}
