package com.android.server.rms.memrepair;

public class MemRepairPolicy {
    public static final int MAX_DVALUE_FLOAT_PERCENT = 30;
    public static final int MAX_MEM_THRES_COUNT = 20;
    public static final int MAX_PROCESS_THRES_COUNT = 1;
    public static final int MEM_THRES_ITEM_COUNT = 3;
    public static final int MEM_THRES_MAX_FLOAT_IDX = 1;
    public static final int MEM_THRES_MIN_FLOAT_IDX = 0;
    public static final int MEM_THRES_PERCENTAGE_IDX = 2;
    public static final int MIN_DVALUE_FLOAT_PERCENT = 1;
    private static final int NORMALIZATION_THREASHOLD = 5120;
    public static final int PROCESS_THRES_BG_IDX = 1;
    private static final int PROCESS_THRES_EMERG = 0;
    public static final int PROCESS_THRES_FG_IDX = 0;
    public static final int PROCESS_THRES_ITEM_COUNT = 2;
    private static final int SCENE_TYPE_MIDNIGHT = 1;
    private static final int SCENE_TYPE_SCREENOFF = 0;
    private static final java.lang.String TAG = "AwareMem_MRPolicy";
    private static final int TYPE_EMERG_BG_THRESHOLD = 4;
    private static final int TYPE_EMERG_FG_THRESHOLD = 2;
    private static final int TYPE_MEM_GROW_UP = 1;
    private static final int TYPE_NONE = 0;
    private static com.android.server.rms.memrepair.MemRepairPolicy mMemRepairPolicy;
    private int mDValueFloatPercent = 5;
    private long[][] mFloatThresHolds = null;
    private com.android.server.rms.memrepair.MemRepairPolicy.AlgoCallback mMRCallback = new com.android.server.rms.memrepair.MemRepairPolicy.AlgoCallback();
    private int mMaxCollectCount = 50;
    private int mMinCollectCount = 6;
    private long[][] mProcThresHolds = null;

    private static final class AlgoCallback implements com.android.server.rms.memrepair.MemRepairAlgorithm.MRCallback {
        private AlgoCallback() {
        }

        public int estimateLinear(java.lang.Object user, com.android.server.rms.memrepair.MemRepairAlgorithm.CallbackData outData) {
            if (outData == null) {
                return 5;
            }
            java.lang.StringBuilder stringBuilder;
            if (outData.isIncreased()) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("leak:state=");
                stringBuilder.append(outData.mDValueState);
                stringBuilder.append(", dvalues=");
                stringBuilder.append(java.util.Arrays.toString(outData.mDValues));
                android.rms.iaware.AwareLog.d("AwareMem_MRPolicy", stringBuilder.toString());
                return 1;
            }
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("continue:state=");
            stringBuilder.append(outData.mDValueState);
            stringBuilder.append(", dvalues=");
            stringBuilder.append(java.util.Arrays.toString(outData.mDValues));
            android.rms.iaware.AwareLog.d("AwareMem_MRPolicy", stringBuilder.toString());
            return 3;
        }
    }

    private MemRepairPolicy() {
    }

    public static com.android.server.rms.memrepair.MemRepairPolicy getInstance() {
        com.android.server.rms.memrepair.MemRepairPolicy memRepairPolicy;
        synchronized (com.android.server.rms.memrepair.MemRepairPolicy.class) {
            if (mMemRepairPolicy == null) {
                mMemRepairPolicy = new com.android.server.rms.memrepair.MemRepairPolicy();
            }
            memRepairPolicy = mMemRepairPolicy;
        }
        return memRepairPolicy;
    }

    public void updateCollectCount(int fgCollectCount, int bgCollectCount) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("updateCollectCount fgCount=");
        stringBuilder.append(fgCollectCount);
        stringBuilder.append(",bgCount=");
        stringBuilder.append(bgCollectCount);
        android.rms.iaware.AwareLog.d("AwareMem_MRPolicy", stringBuilder.toString());
        int minCount = fgCollectCount < bgCollectCount ? bgCollectCount : fgCollectCount;
        int i = 6;
        if (minCount >= 6) {
            i = minCount;
        }
        this.mMinCollectCount = i;
        this.mMaxCollectCount = this.mMinCollectCount * 2;
        int i2 = 100;
        if (this.mMaxCollectCount < 100) {
            i2 = this.mMaxCollectCount;
        }
        this.mMaxCollectCount = i2;
    }

    public void updateDValueFloatPercent(int percent) {
        java.lang.StringBuilder stringBuilder;
        if (percent >= 1) {
            if (percent <= 30) {
                this.mDValueFloatPercent = percent;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("updateDValueFloatPercent=");
                stringBuilder.append(percent);
                android.rms.iaware.AwareLog.d("AwareMem_MRPolicy", stringBuilder.toString());
                return;
            }
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("updateDValueFloatPercent percent=");
        stringBuilder.append(percent);
        android.rms.iaware.AwareLog.w("AwareMem_MRPolicy", stringBuilder.toString());
    }

    public void updateFloatThresHold(long[][] floatThresHolds) {
        if (floatThresHolds != null && floatThresHolds.length >= 1 && floatThresHolds.length <= 20 && floatThresHolds[0] != null) {
            if (floatThresHolds[0].length == 3) {
                this.mFloatThresHolds = (long[][]) java.lang.reflect.Array.newInstance(long.class, new int[]{floatThresHolds.length, floatThresHolds[0].length});
                int i = 0;
                while (i < floatThresHolds.length) {
                    if (floatThresHolds[i] != null) {
                        if (floatThresHolds[i].length == 3) {
                            java.lang.System.arraycopy(floatThresHolds[i], 0, this.mFloatThresHolds[i], 0, floatThresHolds[0].length);
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("updateFloatThresHold thresHolds=");
                            stringBuilder.append(java.util.Arrays.toString(this.mFloatThresHolds[i]));
                            android.rms.iaware.AwareLog.d("AwareMem_MRPolicy", stringBuilder.toString());
                            i++;
                        }
                    }
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("updateFloatThresHold error params=");
                    stringBuilder2.append(java.util.Arrays.toString(floatThresHolds[i]));
                    android.rms.iaware.AwareLog.w("AwareMem_MRPolicy", stringBuilder2.toString());
                    this.mFloatThresHolds = null;
                }
                return;
            }
        }
        android.rms.iaware.AwareLog.w("AwareMem_MRPolicy", "updateFloatThresHold error params");
    }

    public void updateProcThresHold(long[][] procThresHolds) {
        if (!(procThresHolds == null || procThresHolds.length != 1 || procThresHolds[0] == null)) {
            if (procThresHolds[0].length == 2) {
                this.mProcThresHolds = (long[][]) java.lang.reflect.Array.newInstance(long.class, new int[]{procThresHolds.length, procThresHolds[0].length});
                int i = 0;
                while (i < procThresHolds.length) {
                    if (procThresHolds[i] != null) {
                        if (procThresHolds[i].length == 2) {
                            java.lang.System.arraycopy(procThresHolds[i], 0, this.mProcThresHolds[i], 0, procThresHolds[0].length);
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("updateProcThresHold thresHolds=");
                            stringBuilder.append(java.util.Arrays.toString(this.mProcThresHolds[i]));
                            android.rms.iaware.AwareLog.d("AwareMem_MRPolicy", stringBuilder.toString());
                            i++;
                        }
                    }
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("updateProcThresHold error params=");
                    stringBuilder2.append(java.util.Arrays.toString(procThresHolds[i]));
                    android.rms.iaware.AwareLog.w("AwareMem_MRPolicy", stringBuilder2.toString());
                    this.mProcThresHolds = null;
                }
                return;
            }
        }
        android.rms.iaware.AwareLog.w("AwareMem_MRPolicy", "updateProcThresHold error params");
    }

    public java.util.List<android.rms.iaware.memrepair.MemRepairPkgInfo> getMemRepairPolicy(int sceneType) {
        java.util.List<android.rms.iaware.memrepair.MemRepairPkgInfo> list = null;
        if (sceneType == 0 || sceneType == 1) {
            if (this.mProcThresHolds != null) {
                if (this.mFloatThresHolds != null) {
                    com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy policy = com.android.server.rms.iaware.memory.utils.MemoryUtils.getAppMngSortPolicyForMemRepair(sceneType);
                    if (policy == null) {
                        android.rms.iaware.AwareLog.i("AwareMem_MRPolicy", "getMemRepairPolicy null policy!");
                        return null;
                    }
                    java.util.List<android.rms.iaware.memrepair.MemRepairProcInfo> procList = getMemRepairProcList();
                    if (procList != null) {
                        if (procList.size() >= 1) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("getMemRepairPolicy procList size=");
                            stringBuilder.append(procList.size());
                            android.rms.iaware.AwareLog.d("AwareMem_MRPolicy", stringBuilder.toString());
                            java.util.List<android.rms.iaware.memrepair.MemRepairPkgInfo> mrPkgList = matchAndBuildPkgList(sceneType, policy, procList);
                            if (mrPkgList != null && mrPkgList.size() > 0) {
                                list = mrPkgList;
                            }
                            return list;
                        }
                    }
                    android.rms.iaware.AwareLog.i("AwareMem_MRPolicy", "getMemRepairPolicy null procList!");
                    return null;
                }
            }
            android.rms.iaware.AwareLog.i("AwareMem_MRPolicy", "getMemRepairPolicy null thresholds!");
            return null;
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("getMemRepairPolicy invalid param=");
        stringBuilder2.append(sceneType);
        android.rms.iaware.AwareLog.i("AwareMem_MRPolicy", stringBuilder2.toString());
        return null;
    }

    private java.util.List<android.rms.iaware.memrepair.MemRepairProcInfo> getMemRepairProcList() {
        com.android.server.rms.memrepair.MemRepairPolicy setsCount = this;
        java.util.Map<java.lang.String, java.util.List<com.android.server.rms.memrepair.ProcStateData>> pssMap = com.android.server.rms.memrepair.ProcStateStatisData.getInstance().getPssListMap();
        if (pssMap.size() < 1) {
            android.rms.iaware.AwareLog.d("AwareMem_MRPolicy", "zero pssMap size");
            return null;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("pssMap size=");
        stringBuilder.append(pssMap.size());
        android.rms.iaware.AwareLog.d("AwareMem_MRPolicy", stringBuilder.toString());
        int ret = 0;
        long minMem = 0;
        long maxMem = 0;
        int setsCount2 = 0;
        long[] memSets = new long[setsCount.mMaxCollectCount];
        java.util.List<android.rms.iaware.memrepair.MemRepairProcInfo> procList = new java.util.ArrayList();
        com.android.server.rms.memrepair.MemRepairAlgorithm.MemRepairHolder holder = new com.android.server.rms.memrepair.MemRepairAlgorithm.MemRepairHolder(5120, setsCount.mMinCollectCount, setsCount.mMaxCollectCount);
        holder.updateFloatPercent(setsCount.mDValueFloatPercent);
        java.util.Iterator memSets2 = pssMap.entrySet().iterator();
        while (memSets2.hasNext()) {
            java.util.Map<java.lang.String, java.util.List<com.android.server.rms.memrepair.ProcStateData>> map;
            java.util.List<android.rms.iaware.memrepair.MemRepairProcInfo> procList2;
            java.util.Iterator it;
            long[] jArr;
            java.lang.Object obj;
            java.util.Map.Entry<java.lang.String, java.util.List<com.android.server.rms.memrepair.ProcStateData>> entry = (java.util.Map.Entry) memSets2.next();
            java.util.Iterator procState = ((java.util.List) entry.getValue()).iterator();
            int ret2 = ret;
            long minMem2 = minMem;
            long maxMem2 = maxMem;
            int setsCount3 = setsCount2;
            android.rms.iaware.memrepair.MemRepairProcInfo procInfo = null;
            long[] memSets3 = memSets;
            while (procState.hasNext()) {
                java.util.Iterator it2;
                com.android.server.rms.memrepair.ProcStateData procStateData = (com.android.server.rms.memrepair.ProcStateData) procState.next();
                if (procStateData != null) {
                    int procState2 = procStateData.getState();
                    java.util.List<java.lang.Long> procPssList = procStateData.getStatePssList();
                    if (procPssList == null) {
                        map = pssMap;
                        it2 = procState;
                        procList2 = procList;
                        it = memSets2;
                        jArr = memSets3;
                    } else if (com.android.server.rms.memrepair.ProcStateStatisData.getInstance().isValidProcState(procState2)) {
                        boolean isForgroundState = com.android.server.rms.memrepair.ProcStateStatisData.getInstance().isForgroundState(procState2);
                        long emergPss = setsCount.matchEmergProc(procStateData, isForgroundState);
                        com.android.server.rms.memrepair.ProcStateData pssMap2;
                        if (emergPss > 0) {
                            map = pssMap;
                            it2 = procState;
                            pssMap2 = procStateData;
                            it = memSets2;
                            jArr = memSets3;
                            procInfo = setsCount.getNewProcInfo(procList, procInfo, procStateData, (java.lang.String) entry.getKey(), emergPss, isForgroundState ? 2 : 4);
                            if (procInfo != null) {
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("proc emergency:");
                                stringBuilder.append(pssMap2.getProcName());
                                stringBuilder.append("|");
                                stringBuilder.append((java.lang.String) entry.getKey());
                                android.rms.iaware.AwareLog.i("AwareMem_MRPolicy", stringBuilder.toString());
                                procList2 = procList;
                                obj = 1;
                                break;
                            }
                            memSets3 = jArr;
                            pssMap = map;
                            procState = it2;
                            memSets2 = it;
                        } else {
                            java.util.List<java.lang.Long> procPssList2 = procPssList;
                            map = pssMap;
                            it2 = procState;
                            it = memSets2;
                            pssMap2 = procStateData;
                            int procState3 = procState2;
                            jArr = memSets3;
                            memSets3 = com.android.server.rms.memrepair.ProcStateStatisData.getInstance().getMinCount(procState3);
                            long[] jArr2;
                            if (procPssList2.size() < memSets3) {
                                jArr2 = memSets3;
                                procList2 = procList;
                            } else if (procPssList2.size() > jArr.length) {
                                jArr2 = memSets3;
                                procList2 = procList;
                            } else {
                                setsCount2 = procPssList2.size();
                                jArr = setsCount.getAndUpdateMemSets(procPssList2, jArr);
                                maxMem = pssMap2.getMinPss();
                                minMem = pssMap2.getMaxPss();
                                if (setsCount.estimateMinMaxMemory(maxMem, minMem)) {
                                    procList2 = procList;
                                    holder.updateCollectCount(memSets3, memSets3 * 2);
                                    holder.updateSrcValue(jArr, setsCount2);
                                    procState2 = com.android.server.rms.memrepair.MemRepairAlgorithm.translateMemRepair(holder, setsCount.mMRCallback, null);
                                    if (procState2 != 1) {
                                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                        int setsCount4 = setsCount2;
                                        stringBuilder2.append("memory ok:");
                                        stringBuilder2.append(pssMap2.getProcName());
                                        stringBuilder2.append("|");
                                        stringBuilder2.append((java.lang.String) entry.getKey());
                                        stringBuilder2.append(",procState=");
                                        stringBuilder2.append(procState3);
                                        stringBuilder2.append(",size=");
                                        stringBuilder2.append(procPssList2.size());
                                        stringBuilder2.append(",pssSets=");
                                        stringBuilder2.append(java.util.Arrays.toString(jArr));
                                        stringBuilder2.append(",minMem=");
                                        stringBuilder2.append(maxMem);
                                        stringBuilder2.append(",maxMem=");
                                        stringBuilder2.append(minMem);
                                        android.rms.iaware.AwareLog.d("AwareMem_MRPolicy", stringBuilder2.toString());
                                        maxMem2 = minMem;
                                        minMem2 = maxMem;
                                        ret2 = procState2;
                                        memSets3 = jArr;
                                        pssMap = map;
                                        procState = it2;
                                        memSets2 = it;
                                        procList = procList2;
                                        setsCount3 = setsCount4;
                                    } else {
                                        long maxMem3;
                                        long maxMem4 = minMem;
                                        long minMem3 = maxMem;
                                        int ret3 = procState2;
                                        int setsCount5 = setsCount2;
                                        int minCount = memSets3;
                                        android.rms.iaware.memrepair.MemRepairProcInfo procInfo2 = setsCount.getNewProcInfo(procList2, procInfo, pssMap2, (java.lang.String) entry.getKey(), pssMap2.getLastPss(), 1);
                                        if (procInfo2 == null) {
                                            maxMem3 = maxMem4;
                                            maxMem = minMem3;
                                        } else {
                                            procInfo2.addPssSets(jArr, setsCount5, pssMap2.getState(), pssMap2.getMergeCount());
                                            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                                            stringBuilder3.append("memory increase:");
                                            stringBuilder3.append(pssMap2.getProcName());
                                            stringBuilder3.append("|");
                                            stringBuilder3.append((java.lang.String) entry.getKey());
                                            stringBuilder3.append(",procState=");
                                            stringBuilder3.append(procState3);
                                            stringBuilder3.append(",size=");
                                            stringBuilder3.append(procPssList2.size());
                                            stringBuilder3.append(",pssSets=");
                                            stringBuilder3.append(java.util.Arrays.toString(jArr));
                                            stringBuilder3.append(",minMem=");
                                            maxMem = minMem3;
                                            stringBuilder3.append(maxMem);
                                            stringBuilder3.append(",maxMem=");
                                            maxMem3 = maxMem4;
                                            stringBuilder3.append(maxMem3);
                                            android.rms.iaware.AwareLog.i("AwareMem_MRPolicy", stringBuilder3.toString());
                                        }
                                        procInfo = procInfo2;
                                        maxMem2 = maxMem3;
                                        setsCount3 = setsCount5;
                                        memSets3 = jArr;
                                        ret2 = ret3;
                                        pssMap = map;
                                        procState = it2;
                                        memSets2 = it;
                                        procList = procList2;
                                        setsCount = this;
                                        minMem2 = maxMem;
                                    }
                                } else {
                                    java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                                    procList2 = procList;
                                    stringBuilder4.append("less min/max-mem:");
                                    stringBuilder4.append(pssMap2.getProcName());
                                    stringBuilder4.append("|");
                                    stringBuilder4.append((java.lang.String) entry.getKey());
                                    stringBuilder4.append(",procState=");
                                    stringBuilder4.append(procState3);
                                    stringBuilder4.append(",size=");
                                    stringBuilder4.append(procPssList2.size());
                                    stringBuilder4.append(",pssSets=");
                                    stringBuilder4.append(java.util.Arrays.toString(jArr));
                                    stringBuilder4.append(",minMem=");
                                    stringBuilder4.append(maxMem);
                                    stringBuilder4.append(",maxMem=");
                                    stringBuilder4.append(minMem);
                                    android.rms.iaware.AwareLog.d("AwareMem_MRPolicy", stringBuilder4.toString());
                                    maxMem2 = minMem;
                                    minMem2 = maxMem;
                                    setsCount3 = setsCount2;
                                    memSets3 = jArr;
                                    pssMap = map;
                                    procState = it2;
                                    memSets2 = it;
                                    procList = procList2;
                                }
                            }
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("less/more size:");
                            stringBuilder.append(pssMap2.getProcName());
                            stringBuilder.append("|");
                            stringBuilder.append((java.lang.String) entry.getKey());
                            stringBuilder.append(",procState=");
                            stringBuilder.append(procState3);
                            stringBuilder.append(",size=");
                            stringBuilder.append(procPssList2.size());
                            android.rms.iaware.AwareLog.d("AwareMem_MRPolicy", stringBuilder.toString());
                        }
                    }
                    memSets3 = jArr;
                    pssMap = map;
                    procState = it2;
                    memSets2 = it;
                    procList = procList2;
                    setsCount = this;
                }
                map = pssMap;
                it2 = procState;
                procList2 = procList;
                it = memSets2;
                jArr = memSets3;
                memSets3 = jArr;
                pssMap = map;
                procState = it2;
                memSets2 = it;
                procList = procList2;
                setsCount = this;
            }
            map = pssMap;
            procList2 = procList;
            it = memSets2;
            obj = 1;
            jArr = memSets3;
            memSets = jArr;
            setsCount2 = setsCount3;
            minMem = minMem2;
            maxMem = maxMem2;
            ret = ret2;
            java.lang.Object obj2 = obj;
            pssMap = map;
            memSets2 = it;
            procList = procList2;
            setsCount = this;
        }
        return procList;
    }

    private long matchEmergProc(com.android.server.rms.memrepair.ProcStateData procStateData, boolean isForeground) {
        if (matchEmergThreshold((procStateData.getLastPss() * 3) / 2, isForeground) == 0) {
            return 0;
        }
        long pss = getPssByPid(procStateData.getPid());
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("matchEmergProc:");
        stringBuilder.append(procStateData.getProcName());
        stringBuilder.append(",lastPss=");
        stringBuilder.append(procStateData.getLastPss());
        stringBuilder.append(",curPss=");
        stringBuilder.append(pss);
        android.rms.iaware.AwareLog.i("AwareMem_MRPolicy", stringBuilder.toString());
        if (matchEmergThreshold(pss, isForeground) == 0) {
            return 0;
        }
        return pss;
    }

    private long[] getAndUpdateMemSets(java.util.List<java.lang.Long> procPssList, long[] memSets) {
        int setsCount = procPssList.size();
        if (setsCount > memSets.length) {
            memSets = new long[setsCount];
        }
        java.util.Arrays.fill(memSets, 0);
        for (int i = 0; i < setsCount; i++) {
            memSets[i] = ((java.lang.Long) procPssList.get(i)).longValue();
        }
        return memSets;
    }

    private boolean estimateMinMaxMemory(long minMem, long maxMem) {
        if (minMem >= 1 && maxMem >= 1) {
            if (minMem < maxMem) {
                if (this.mFloatThresHolds == null) {
                    android.rms.iaware.AwareLog.w("AwareMem_MRPolicy", "estimateMinMaxMemory: why null thresHolds!!");
                    return false;
                }
                long diff = maxMem - minMem;
                long multi = (100 * diff) / minMem;
                boolean estimated = false;
                int i = 0;
                while (i < this.mFloatThresHolds.length) {
                    if (diff < this.mFloatThresHolds[i][0] || diff >= this.mFloatThresHolds[i][1]) {
                        i++;
                    } else {
                        if (multi >= this.mFloatThresHolds[i][2]) {
                            estimated = true;
                        }
                        return estimated;
                    }
                }
                return estimated;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Error min/max Mem!! minMem=");
        stringBuilder.append(minMem);
        stringBuilder.append(",maxMem=");
        stringBuilder.append(maxMem);
        android.rms.iaware.AwareLog.i("AwareMem_MRPolicy", stringBuilder.toString());
        return false;
    }

    private android.rms.iaware.memrepair.MemRepairProcInfo getNewProcInfo(java.util.List<android.rms.iaware.memrepair.MemRepairProcInfo> procList, android.rms.iaware.memrepair.MemRepairProcInfo procInfo, com.android.server.rms.memrepair.ProcStateData procStateData, java.lang.String procKey, long pss, int type) {
        if (procInfo == null) {
            procInfo = createMRProcInfo(procStateData, procKey, pss, type);
            if (procInfo == null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("null procInfo:");
                stringBuilder.append(procStateData.getProcName());
                stringBuilder.append("|");
                stringBuilder.append(procKey);
                android.rms.iaware.AwareLog.i("AwareMem_MRPolicy", stringBuilder.toString());
                return null;
            }
            procList.add(procInfo);
        } else {
            procInfo.updateThresHoldType(type);
        }
        return procInfo;
    }

    private android.rms.iaware.memrepair.MemRepairProcInfo createMRProcInfo(com.android.server.rms.memrepair.ProcStateData procStateData, java.lang.String procKey, long pss, int type) {
        if (android.text.TextUtils.isEmpty(procKey)) {
            return null;
        }
        java.lang.String procName = procStateData.getProcName();
        if (android.text.TextUtils.isEmpty(procName)) {
            return null;
        }
        java.lang.String[] procKeys = procKey.split("\\|");
        if (procKeys.length != 2) {
            return null;
        }
        int pid;
        int uid;
        int uid2 = -1;
        int pid2 = 0;
        try {
            uid2 = java.lang.Integer.parseInt(procKeys[0]);
            pid = java.lang.Integer.parseInt(procKeys[1]);
            uid = uid2;
        } catch (java.lang.NumberFormatException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Failed parsing process=");
            stringBuilder.append(procName);
            android.rms.iaware.AwareLog.w("AwareMem_MRPolicy", stringBuilder.toString());
            uid = uid2;
            pid = pid2;
        }
        if (pid >= 1) {
            if (uid >= 0) {
                android.rms.iaware.memrepair.MemRepairProcInfo memRepairProcInfo = new android.rms.iaware.memrepair.MemRepairProcInfo(uid, pid, procName, pss);
                memRepairProcInfo.updateThresHoldType(type);
                return memRepairProcInfo;
            }
        }
        uid2 = type;
        return null;
    }

    private java.util.List<android.rms.iaware.memrepair.MemRepairPkgInfo> matchAndBuildPkgList(int sceneType, com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy policy, java.util.List<android.rms.iaware.memrepair.MemRepairProcInfo> mrProcInfoList) {
        com.android.server.mtm.iaware.appmng.AwareAppMngSortPolicy awareAppMngSortPolicy = policy;
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> forbidStopList = com.android.server.rms.iaware.memory.utils.MemoryUtils.getAppMngProcGroup(awareAppMngSortPolicy, 0);
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> shortageStopList = com.android.server.rms.iaware.memory.utils.MemoryUtils.getAppMngProcGroup(awareAppMngSortPolicy, 1);
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> allowStopList = com.android.server.rms.iaware.memory.utils.MemoryUtils.getAppMngProcGroup(awareAppMngSortPolicy, 2);
        android.util.ArrayMap<java.lang.String, android.rms.iaware.memrepair.MemRepairPkgInfo> mrPkgMap = new android.util.ArrayMap();
        java.util.List<android.rms.iaware.memrepair.MemRepairProcInfo> list = mrProcInfoList;
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> list2 = forbidStopList;
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> list3 = shortageStopList;
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> list4 = allowStopList;
        matchMemLeakPkgList(sceneType, mrPkgMap, list, list2, list3, list4);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("all pkg list=");
        stringBuilder.append(mrPkgMap.toString());
        android.rms.iaware.AwareLog.d("AwareMem_MRPolicy", stringBuilder.toString());
        buildMemLeakPkgList(sceneType, mrPkgMap, list, list2, list3, list4);
        if (mrPkgMap.size() < 1) {
            return null;
        }
        java.util.List<android.rms.iaware.memrepair.MemRepairPkgInfo> mrPkgList = new java.util.ArrayList();
        mrPkgList.addAll(0, mrPkgMap.values());
        return mrPkgList;
    }

    private void matchMemLeakPkgList(int sceneType, android.util.ArrayMap<java.lang.String, android.rms.iaware.memrepair.MemRepairPkgInfo> emergPkgMap, java.util.List<android.rms.iaware.memrepair.MemRepairProcInfo> mrProcInfoList, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> forbidStopList, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> shortageStopList, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> allowStopList) {
        if (mrProcInfoList != null) {
            if (mrProcInfoList.size() >= 1) {
                appMngList = new java.lang.Object[3];
                int i = 0;
                appMngList[0] = forbidStopList;
                appMngList[1] = shortageStopList;
                appMngList[2] = allowStopList;
                while (true) {
                    int i2 = i;
                    if (i2 < appMngList.length) {
                        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> pkgList = appMngList[i2];
                        if (pkgList != null) {
                            if (!pkgList.isEmpty()) {
                                for (android.rms.iaware.memrepair.MemRepairProcInfo mrProcInfo : mrProcInfoList) {
                                    matchMemLeakPkgInfo(sceneType, emergPkgMap, mrProcInfo, pkgList);
                                }
                            }
                        }
                        i = i2 + 1;
                    } else {
                        return;
                    }
                }
            }
        }
    }

    private void buildMemLeakPkgList(int sceneType, android.util.ArrayMap<java.lang.String, android.rms.iaware.memrepair.MemRepairPkgInfo> mrPkgMap, java.util.List<android.rms.iaware.memrepair.MemRepairProcInfo> mrProcList, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> forbidStopList, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> shortageStopList, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> allowStopList) {
        if (mrPkgMap != null) {
            if (mrPkgMap.size() >= 1) {
                appMngList = new java.lang.Object[3];
                int i = 0;
                appMngList[0] = forbidStopList;
                appMngList[1] = shortageStopList;
                appMngList[2] = allowStopList;
                android.util.ArrayMap<java.lang.Integer, android.rms.iaware.memrepair.MemRepairProcInfo> mrProcMap = new android.util.ArrayMap();
                for (android.rms.iaware.memrepair.MemRepairProcInfo mrProcInfo : mrProcList) {
                    mrProcMap.put(java.lang.Integer.valueOf(mrProcInfo.getPid()), mrProcInfo);
                }
                while (i < appMngList.length) {
                    java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> pkgList = appMngList[i];
                    if (pkgList != null) {
                        if (!pkgList.isEmpty()) {
                            buildMemLeakPkgInfo(sceneType, mrPkgMap, mrProcMap, pkgList);
                        }
                    }
                    i++;
                }
            }
        }
    }

    private void matchMemLeakPkgInfo(int sceneType, android.util.ArrayMap<java.lang.String, android.rms.iaware.memrepair.MemRepairPkgInfo> mrPkgMap, android.rms.iaware.memrepair.MemRepairProcInfo mrProcInfo, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> pkgList) {
        int i;
        android.util.ArrayMap<java.lang.String, android.rms.iaware.memrepair.MemRepairPkgInfo> arrayMap = mrPkgMap;
        android.rms.iaware.memrepair.MemRepairProcInfo memRepairProcInfo = mrProcInfo;
        for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo blockInfo : pkgList) {
            java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> procList = checkAndGetProcList(blockInfo);
            if (procList != null) {
                for (com.android.server.mtm.iaware.appmng.AwareProcessInfo procInfo : procList) {
                    if (checkProcInfo(procInfo)) {
                        if (procInfo.mPid == mrProcInfo.getPid()) {
                            java.lang.String mrProcName = mrProcInfo.getProcName();
                            if (!android.text.TextUtils.isEmpty(mrProcName)) {
                                if (mrProcName.equals(procInfo.mProcInfo.mProcessName)) {
                                    java.lang.String pkgName = null;
                                    int i2 = 0;
                                    if (procInfo.mProcInfo.mPackageName.size() > 0) {
                                        pkgName = (java.lang.String) procInfo.mProcInfo.mPackageName.get(0);
                                    }
                                    if (android.text.TextUtils.isEmpty(pkgName)) {
                                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                        stringBuilder.append("matchMemLeakPkgInfo:while null pkgName?! Process=");
                                        stringBuilder.append(procInfo.mProcInfo.mProcessName);
                                        android.rms.iaware.AwareLog.i("AwareMem_MRPolicy", stringBuilder.toString());
                                        return;
                                    }
                                    java.lang.String key = getPkgkey(blockInfo.mUid, pkgName);
                                    android.rms.iaware.memrepair.MemRepairPkgInfo mrPkgInfo = (android.rms.iaware.memrepair.MemRepairPkgInfo) arrayMap.get(key);
                                    if (mrPkgInfo == null) {
                                        mrPkgInfo = new android.rms.iaware.memrepair.MemRepairPkgInfo(pkgName);
                                        arrayMap.put(key, mrPkgInfo);
                                    }
                                    matchVisibleApp(sceneType, procInfo);
                                    memRepairProcInfo.updateThresHoldType(matchEmergThreshold(mrProcInfo.getPss(), procInfo.isForegroundApp()));
                                    if (procInfo.mCleanType != com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE) {
                                        i2 = 1;
                                    }
                                    memRepairProcInfo.updateAppMngInfo(i2, procInfo.isAwareProtected(), procInfo.getProcessStatus(), procInfo.mProcInfo.mCurAdj);
                                    mrPkgInfo.addProcInfo(memRepairProcInfo);
                                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                    stringBuilder2.append("matchMemLeakPkgInfo:");
                                    stringBuilder2.append(mrPkgInfo.toString());
                                    android.rms.iaware.AwareLog.d("AwareMem_MRPolicy", stringBuilder2.toString());
                                    return;
                                }
                            }
                            i = sceneType;
                            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                            stringBuilder3.append("matchMemLeakPkgInfo:while diff procName?! Process=");
                            stringBuilder3.append(procInfo.mProcInfo.mProcessName);
                            android.rms.iaware.AwareLog.i("AwareMem_MRPolicy", stringBuilder3.toString());
                            return;
                        }
                    }
                }
                i = sceneType;
            }
        }
        i = sceneType;
    }

    private void buildMemLeakPkgInfo(int sceneType, android.util.ArrayMap<java.lang.String, android.rms.iaware.memrepair.MemRepairPkgInfo> mrPkgMap, android.util.ArrayMap<java.lang.Integer, android.rms.iaware.memrepair.MemRepairProcInfo> mrProcMap, java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> pkgList) {
        int i;
        android.util.ArrayMap<java.lang.Integer, android.rms.iaware.memrepair.MemRepairProcInfo> arrayMap;
        android.util.ArrayMap<java.lang.String, android.rms.iaware.memrepair.MemRepairPkgInfo> arrayMap2;
        com.android.server.rms.memrepair.MemRepairPolicy memRepairPolicy = this;
        for (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo blockInfo : pkgList) {
            java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> procList = memRepairPolicy.checkAndGetProcList(blockInfo);
            if (procList != null) {
                for (com.android.server.mtm.iaware.appmng.AwareProcessInfo procInfo : procList) {
                    if (memRepairPolicy.checkProcInfo(procInfo)) {
                        if (mrProcMap.get(java.lang.Integer.valueOf(procInfo.mPid)) == null) {
                            java.lang.String pkgName = null;
                            int i2 = 0;
                            if (procInfo.mProcInfo.mPackageName.size() > 0) {
                                pkgName = (java.lang.String) procInfo.mProcInfo.mPackageName.get(0);
                            }
                            java.lang.StringBuilder stringBuilder;
                            if (android.text.TextUtils.isEmpty(pkgName)) {
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("buildMemLeakPkgInfo null pkgName?! Process=");
                                stringBuilder.append(procInfo.mProcInfo.mProcessName);
                                android.rms.iaware.AwareLog.i("AwareMem_MRPolicy", stringBuilder.toString());
                            } else {
                                android.rms.iaware.memrepair.MemRepairPkgInfo mrPkgInfo = (android.rms.iaware.memrepair.MemRepairPkgInfo) mrPkgMap.get(memRepairPolicy.getPkgkey(blockInfo.mUid, pkgName));
                                if (mrPkgInfo == null) {
                                    i = sceneType;
                                } else {
                                    android.rms.iaware.memrepair.MemRepairProcInfo mrProcInfo = new android.rms.iaware.memrepair.MemRepairProcInfo(procInfo.mProcInfo.mUid, procInfo.mProcInfo.mPid, procInfo.mProcInfo.mProcessName, 0);
                                    memRepairPolicy.matchVisibleApp(sceneType, procInfo);
                                    mrProcInfo.updateThresHoldType(0);
                                    if (procInfo.mCleanType != com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE) {
                                        i2 = 1;
                                    }
                                    mrProcInfo.updateAppMngInfo(i2, procInfo.isAwareProtected(), procInfo.getProcessStatus(), procInfo.mProcInfo.mCurAdj);
                                    mrPkgInfo.addProcInfo(mrProcInfo);
                                    stringBuilder = new java.lang.StringBuilder();
                                    stringBuilder.append("buildMemLeakPkgInfo:");
                                    stringBuilder.append(mrPkgInfo.toString());
                                    android.rms.iaware.AwareLog.d("AwareMem_MRPolicy", stringBuilder.toString());
                                }
                                memRepairPolicy = this;
                            }
                        }
                    } else {
                        arrayMap = mrProcMap;
                    }
                }
                i = sceneType;
                arrayMap2 = mrPkgMap;
                arrayMap = mrProcMap;
                memRepairPolicy = this;
            }
        }
        i = sceneType;
        arrayMap2 = mrPkgMap;
        arrayMap = mrProcMap;
    }

    private java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> checkAndGetProcList(com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo blockInfo) {
        if (blockInfo == null) {
            return null;
        }
        java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessInfo> procList = blockInfo.getProcessList();
        if (procList != null) {
            if (procList.size() >= 1) {
                return procList;
            }
        }
        return null;
    }

    private boolean checkProcInfo(com.android.server.mtm.iaware.appmng.AwareProcessInfo procInfo) {
        if (!(procInfo == null || procInfo.mProcInfo == null)) {
            if (!android.text.TextUtils.isEmpty(procInfo.mProcInfo.mProcessName)) {
                return true;
            }
        }
        return false;
    }

    private java.lang.String getPkgkey(int uid, java.lang.String pkgName) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(uid);
        stringBuilder.append("|");
        stringBuilder.append(pkgName);
        return stringBuilder.toString();
    }

    private int matchEmergThreshold(long pss, boolean isForeground) {
        if (this.mProcThresHolds == null) {
            android.rms.iaware.AwareLog.w("AwareMem_MRPolicy", "matchEmergThreshold: why null thresHolds!!");
            return 0;
        }
        if (this.mProcThresHolds[0][isForeground ^ 1] > pss) {
            return 0;
        }
        return isForeground ? 2 : 4;
    }

    private void matchVisibleApp(int sceneType, com.android.server.mtm.iaware.appmng.AwareProcessInfo procInfo) {
        if (sceneType == 1 && procInfo.isVisibleApp(100)) {
            procInfo.mCleanType = com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.KILL_ALLOW_START;
        }
    }

    private long getPssByPid(int pid) {
        if (pid > 0) {
            return android.os.Debug.getPss(pid, null, null);
        }
        return 0;
    }
}
