package com.android.server.rms.memrepair;

public class ProcStateStatisData {
    private static final java.lang.String BACKGROUND = "background";
    private static final int BACKGROUND_STATE = 1;
    public static final int MAX_COUNT = 50;
    public static final int MAX_INTERVAL = 30;
    public static final int MIN_COUNT = 6;
    public static final int MIN_INTERVAL = 2;
    public static final java.lang.String SEPERATOR_CHAR = "|";
    private static final java.lang.String TAG = "AwareMem_PSSData";
    private static final java.lang.String TOP = "top";
    private static final int TOP_STATE = 0;
    private static com.android.server.rms.memrepair.ProcStateStatisData mProcStateStatisData;
    private int customProcessState = 19;
    private int[] mCollectCounts = new int[]{6, 6};
    private boolean mEnabled = false;
    private long[] mIntervalTime = new long[]{120000, 900000};
    private final java.lang.Object mLock = new java.lang.Object();
    private android.app.IProcessObserver mProcessObserver = new android.app.IProcessObserver.Stub() {
        public void onForegroundActivitiesChanged(int pid, int uid, boolean foregroundActivities) {
        }

        public void onProcessStateChanged(int pid, int uid, int procState) {
        }

        public void onProcessDied(int pid, int uid) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onProcessDied pid = ");
            stringBuilder.append(pid);
            stringBuilder.append(", uid = ");
            stringBuilder.append(uid);
            android.rms.iaware.AwareLog.d("AwareMem_PSSData", stringBuilder.toString());
            java.lang.String uidAndPid = new java.lang.StringBuilder();
            uidAndPid.append(uid);
            uidAndPid.append("|");
            uidAndPid.append(pid);
            uidAndPid = uidAndPid.toString();
            synchronized (com.android.server.rms.memrepair.ProcStateStatisData.this.mLock) {
                com.android.server.rms.memrepair.ProcStateStatisData.this.mPssListMap.remove(uidAndPid);
            }
            synchronized (com.android.server.rms.memrepair.ProcStateStatisData.this.mPssMap) {
                com.android.server.rms.memrepair.ProcStateStatisData.this.mPssMap.remove(uidAndPid);
            }
        }
    };
    private java.util.Map<java.lang.String, java.util.List<com.android.server.rms.memrepair.ProcStateData>> mPssListMap = new android.util.ArrayMap();
    private java.util.Map<java.lang.String, java.lang.Long> mPssMap = new android.util.ArrayMap();
    private long[] mTestIntervalTime = new long[]{2000, 15000};
    private java.lang.String[] stateStatus = new java.lang.String[]{"top", "background"};

    private ProcStateStatisData() {
    }

    public static com.android.server.rms.memrepair.ProcStateStatisData getInstance() {
        com.android.server.rms.memrepair.ProcStateStatisData procStateStatisData;
        synchronized (com.android.server.rms.memrepair.ProcStateStatisData.class) {
            if (mProcStateStatisData == null) {
                mProcStateStatisData = new com.android.server.rms.memrepair.ProcStateStatisData();
            }
            procStateStatisData = mProcStateStatisData;
        }
        return procStateStatisData;
    }

    public void setEnable(boolean enable) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("enable=");
        stringBuilder.append(enable);
        android.rms.iaware.AwareLog.d("AwareMem_PSSData", stringBuilder.toString());
        this.mEnabled = enable;
        if (enable) {
            registerProcessObserver();
        } else {
            unregisterProcessObserver();
        }
    }

    public void updateConfig(int minFgCount, int minBgCount, long fgInterval, long bgInterval) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("fgCount=");
        stringBuilder.append(minFgCount);
        stringBuilder.append(",bgCount");
        stringBuilder.append(minBgCount);
        stringBuilder.append(",fgInterval=");
        stringBuilder.append(fgInterval);
        stringBuilder.append(",bgInterval=");
        stringBuilder.append(bgInterval);
        android.rms.iaware.AwareLog.d("AwareMem_PSSData", stringBuilder.toString());
        this.mCollectCounts[0] = minFgCount;
        this.mCollectCounts[1] = minBgCount;
        this.mIntervalTime[0] = fgInterval;
        this.mIntervalTime[1] = bgInterval;
    }

    public int getMinCount(int procState) {
        return isValidProcState(procState) ? this.mCollectCounts[procState] : 0;
    }

    public long getProcPss(int uid, int pid) {
        java.lang.String procKey = new java.lang.StringBuilder();
        procKey.append(uid);
        procKey.append("|");
        procKey.append(pid);
        procKey = procKey.toString();
        synchronized (this.mPssMap) {
            java.lang.Long pss = (java.lang.Long) this.mPssMap.get(procKey);
            if (pss == null) {
                return 0;
            }
            long longValue = pss.longValue();
            return longValue;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:35:0x00e1 A:{Catch:{ all -> 0x019c }} */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x00e1 A:{Catch:{ all -> 0x019c }} */
    /* JADX WARNING: Removed duplicated region for block: B:84:0x014c A:{SYNTHETIC} */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x00e1 A:{Catch:{ all -> 0x019c }} */
    /* JADX WARNING: Removed duplicated region for block: B:17:0x007a  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x0079 A:{RETURN} */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x00e1 A:{Catch:{ all -> 0x019c }} */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x0155 A:{Catch:{ all -> 0x018f }} */
    /* JADX WARNING: Missing block: B:82:0x0217, code:
            r0 = th;
     */
    public void addPssToMap(java.lang.String r23, int r24, int r25, int r26, long r27, long r29, boolean r31) {
        /*
        r22 = this;
        r1 = r22;
        r2 = r23;
        r3 = r24;
        r4 = r25;
        r5 = r26;
        r14 = r27;
        r13 = r31;
        r0 = r1.mEnabled;
        if (r0 != 0) goto L_0x001a;
    L_0x0012:
        r0 = "AwareMem_PSSData";
        r6 = "not enabled";
        android.rms.iaware.AwareLog.d(r0, r6);
        return;
    L_0x001a:
        if (r2 != 0) goto L_0x0024;
    L_0x001c:
        r0 = "AwareMem_PSSData";
        r6 = "addPssToMap: procName is null!";
        android.rms.iaware.AwareLog.d(r0, r6);
        return;
    L_0x0024:
        r0 = "AwareMem_PSSData";
        r6 = new java.lang.StringBuilder;
        r6.<init>();
        r7 = "procName=";
        r6.append(r7);
        r6.append(r2);
        r7 = ";uid=";
        r6.append(r7);
        r6.append(r3);
        r7 = ";pid=";
        r6.append(r7);
        r6.append(r4);
        r7 = ";procState=";
        r6.append(r7);
        r6.append(r5);
        r7 = ";pss=";
        r6.append(r7);
        r6.append(r14);
        r7 = ";test=";
        r6.append(r7);
        r6.append(r13);
        r6 = r6.toString();
        android.rms.iaware.AwareLog.d(r0, r6);
        r0 = 2;
        if (r5 == r0) goto L_0x006e;
    L_0x0065:
        r0 = 11;
        if (r5 != r0) goto L_0x006a;
    L_0x0069:
        goto L_0x006e;
    L_0x006a:
        r0 = 1;
        r1.customProcessState = r0;
        goto L_0x0071;
    L_0x006e:
        r0 = 0;
        r1.customProcessState = r0;
    L_0x0071:
        r0 = r1.customProcessState;
        r0 = r1.isValidProcState(r0);
        if (r0 != 0) goto L_0x007a;
    L_0x0079:
        return;
    L_0x007a:
        r0 = new java.lang.StringBuilder;
        r0.<init>();
        r0.append(r3);
        r6 = "|";
        r0.append(r6);
        r0.append(r4);
        r11 = r0.toString();
        if (r13 == 0) goto L_0x0098;
    L_0x0091:
        r0 = r1.mTestIntervalTime;
        r6 = r1.customProcessState;
        r6 = r0[r6];
        goto L_0x009e;
    L_0x0098:
        r0 = r1.mIntervalTime;
        r6 = r1.customProcessState;
        r6 = r0[r6];
    L_0x009e:
        r9 = r6;
        r6 = r1.mPssMap;
        monitor-enter(r6);
        r0 = r1.mPssMap;	 Catch:{ all -> 0x0211 }
        r7 = java.lang.Long.valueOf(r27);	 Catch:{ all -> 0x0211 }
        r0.put(r11, r7);	 Catch:{ all -> 0x0211 }
        monitor-exit(r6);	 Catch:{ all -> 0x0211 }
        r12 = r1.mLock;
        monitor-enter(r12);
        r0 = r1.mPssListMap;	 Catch:{ all -> 0x0207 }
        r0 = r0.containsKey(r11);	 Catch:{ all -> 0x0207 }
        if (r0 == 0) goto L_0x01a4;
    L_0x00b7:
        r0 = "AwareMem_PSSData";
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x019c }
        r6.<init>();	 Catch:{ all -> 0x019c }
        r7 = "addPssToMap=";
        r6.append(r7);	 Catch:{ all -> 0x019c }
        r6.append(r11);	 Catch:{ all -> 0x019c }
        r6 = r6.toString();	 Catch:{ all -> 0x019c }
        android.rms.iaware.AwareLog.d(r0, r6);	 Catch:{ all -> 0x019c }
        r0 = r1.mPssListMap;	 Catch:{ all -> 0x019c }
        r0 = r0.get(r11);	 Catch:{ all -> 0x019c }
        r0 = (java.util.List) r0;	 Catch:{ all -> 0x019c }
        r6 = 0;
        r7 = r0.iterator();	 Catch:{ all -> 0x019c }
        r8 = r6;
    L_0x00db:
        r6 = r7.hasNext();	 Catch:{ all -> 0x019c }
        if (r6 == 0) goto L_0x014c;
    L_0x00e1:
        r6 = r7.next();	 Catch:{ all -> 0x019c }
        r6 = (com.android.server.rms.memrepair.ProcStateData) r6;	 Catch:{ all -> 0x019c }
        r3 = r6.getState();	 Catch:{ all -> 0x019c }
        r5 = r1.customProcessState;	 Catch:{ all -> 0x019c }
        if (r3 != r5) goto L_0x0133;
    L_0x00ef:
        r3 = r6.getProcName();	 Catch:{ all -> 0x019c }
        r3 = r2.equals(r3);	 Catch:{ all -> 0x019c }
        if (r3 == 0) goto L_0x0133;
    L_0x00f9:
        r3 = "AwareMem_PSSData";
        r5 = new java.lang.StringBuilder;	 Catch:{ all -> 0x019c }
        r5.<init>();	 Catch:{ all -> 0x019c }
        r16 = r6;
        r6 = "processState=";
        r5.append(r6);	 Catch:{ all -> 0x019c }
        r6 = r1.customProcessState;	 Catch:{ all -> 0x019c }
        r5.append(r6);	 Catch:{ all -> 0x019c }
        r5 = r5.toString();	 Catch:{ all -> 0x019c }
        android.rms.iaware.AwareLog.d(r3, r5);	 Catch:{ all -> 0x019c }
        r3 = r1.mCollectCounts;	 Catch:{ all -> 0x019c }
        r5 = r1.customProcessState;	 Catch:{ all -> 0x019c }
        r3 = r3[r5];	 Catch:{ all -> 0x019c }
        r5 = r16;
        r6 = r5;
        r17 = r5;
        r16 = r7;
        r5 = r8;
        r7 = r14;
        r18 = r9;
        r9 = r29;
        r20 = r11;
        r21 = r12;
        r11 = r18;
        r13 = r3;
        r6.addPssToList(r7, r9, r11, r13);	 Catch:{ all -> 0x018f }
        r3 = 1;
        r8 = r3;
        goto L_0x013d;
    L_0x0133:
        r16 = r7;
        r5 = r8;
        r18 = r9;
        r20 = r11;
        r21 = r12;
        r8 = r5;
    L_0x013d:
        r13 = r31;
        r7 = r16;
        r9 = r18;
        r11 = r20;
        r12 = r21;
        r3 = r24;
        r5 = r26;
        goto L_0x00db;
    L_0x014c:
        r5 = r8;
        r18 = r9;
        r20 = r11;
        r21 = r12;
        if (r5 != 0) goto L_0x0196;
    L_0x0155:
        r3 = "AwareMem_PSSData";
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x018f }
        r6.<init>();	 Catch:{ all -> 0x018f }
        r7 = "processState=";
        r6.append(r7);	 Catch:{ all -> 0x018f }
        r7 = r1.customProcessState;	 Catch:{ all -> 0x018f }
        r6.append(r7);	 Catch:{ all -> 0x018f }
        r7 = "exist=";
        r6.append(r7);	 Catch:{ all -> 0x018f }
        r6.append(r5);	 Catch:{ all -> 0x018f }
        r6 = r6.toString();	 Catch:{ all -> 0x018f }
        android.rms.iaware.AwareLog.d(r3, r6);	 Catch:{ all -> 0x018f }
        r3 = new com.android.server.rms.memrepair.ProcStateData;	 Catch:{ all -> 0x018f }
        r6 = r1.customProcessState;	 Catch:{ all -> 0x018f }
        r3.<init>(r4, r2, r6);	 Catch:{ all -> 0x018f }
        r6 = r1.mCollectCounts;	 Catch:{ all -> 0x018f }
        r7 = r1.customProcessState;	 Catch:{ all -> 0x018f }
        r13 = r6[r7];	 Catch:{ all -> 0x018f }
        r6 = r3;
        r7 = r14;
        r9 = r29;
        r11 = r18;
        r6.addPssToList(r7, r9, r11, r13);	 Catch:{ all -> 0x018f }
        r0.add(r3);	 Catch:{ all -> 0x018f }
        goto L_0x0196;
    L_0x018f:
        r0 = move-exception;
        r16 = r18;
        r5 = r20;
        goto L_0x020d;
        r16 = r18;
        r5 = r20;
        goto L_0x01f7;
    L_0x019c:
        r0 = move-exception;
        r21 = r12;
        r16 = r9;
        r5 = r11;
        goto L_0x020d;
    L_0x01a4:
        r18 = r9;
        r20 = r11;
        r21 = r12;
        r0 = "AwareMem_PSSData";
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0201 }
        r3.<init>();	 Catch:{ all -> 0x0201 }
        r5 = "else addPssToMap=";
        r3.append(r5);	 Catch:{ all -> 0x0201 }
        r5 = r20;
        r3.append(r5);	 Catch:{ all -> 0x01fd }
        r6 = ";pss=";
        r3.append(r6);	 Catch:{ all -> 0x01fd }
        r3.append(r14);	 Catch:{ all -> 0x01fd }
        r6 = ";interval=";
        r3.append(r6);	 Catch:{ all -> 0x01fd }
        r11 = r18;
        r3.append(r11);	 Catch:{ all -> 0x01f9 }
        r3 = r3.toString();	 Catch:{ all -> 0x01f9 }
        android.rms.iaware.AwareLog.d(r0, r3);	 Catch:{ all -> 0x01f9 }
        r0 = new java.util.ArrayList;	 Catch:{ all -> 0x01f9 }
        r0.<init>();	 Catch:{ all -> 0x01f9 }
        r3 = new com.android.server.rms.memrepair.ProcStateData;	 Catch:{ all -> 0x01f9 }
        r6 = r1.customProcessState;	 Catch:{ all -> 0x01f9 }
        r3.<init>(r4, r2, r6);	 Catch:{ all -> 0x01f9 }
        r6 = r1.mCollectCounts;	 Catch:{ all -> 0x01f9 }
        r7 = r1.customProcessState;	 Catch:{ all -> 0x01f9 }
        r13 = r6[r7];	 Catch:{ all -> 0x01f9 }
        r6 = r3;
        r7 = r14;
        r9 = r29;
        r16 = r11;
        r6.addPssToList(r7, r9, r11, r13);	 Catch:{ all -> 0x020f }
        r0.add(r3);	 Catch:{ all -> 0x020f }
        r6 = r1.mPssListMap;	 Catch:{ all -> 0x020f }
        r6.put(r5, r0);	 Catch:{ all -> 0x020f }
    L_0x01f7:
        monitor-exit(r21);	 Catch:{ all -> 0x020f }
        return;
    L_0x01f9:
        r0 = move-exception;
        r16 = r11;
        goto L_0x020d;
    L_0x01fd:
        r0 = move-exception;
        r16 = r18;
        goto L_0x020d;
    L_0x0201:
        r0 = move-exception;
        r16 = r18;
        r5 = r20;
        goto L_0x020d;
    L_0x0207:
        r0 = move-exception;
        r16 = r9;
        r5 = r11;
        r21 = r12;
    L_0x020d:
        monitor-exit(r21);	 Catch:{ all -> 0x020f }
        throw r0;
    L_0x020f:
        r0 = move-exception;
        goto L_0x020d;
    L_0x0211:
        r0 = move-exception;
        r16 = r9;
        r5 = r11;
    L_0x0215:
        monitor-exit(r6);	 Catch:{ all -> 0x0217 }
        throw r0;
    L_0x0217:
        r0 = move-exception;
        goto L_0x0215;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.rms.memrepair.ProcStateStatisData.addPssToMap(java.lang.String, int, int, int, long, long, boolean):void");
    }

    public java.util.Map<java.lang.String, java.util.List<com.android.server.rms.memrepair.ProcStateData>> getPssListMap() {
        android.rms.iaware.AwareLog.d("AwareMem_PSSData", "enter getPssListMap...");
        java.util.Map<java.lang.String, java.util.List<com.android.server.rms.memrepair.ProcStateData>> cloneMap = new android.util.ArrayMap();
        synchronized (this.mLock) {
            cloneMap.putAll(this.mPssListMap);
        }
        return cloneMap;
    }

    public boolean isValidProcState(int procState) {
        return procState >= 0 && procState < this.stateStatus.length;
    }

    public boolean isForgroundState(int procState) {
        return procState == 0;
    }

    private void registerProcessObserver() {
        try {
            android.app.ActivityManagerNative.getDefault().registerProcessObserver(this.mProcessObserver);
        } catch (android.os.RemoteException e) {
            android.rms.iaware.AwareLog.w("AwareMem_PSSData", "register process observer failed");
        }
    }

    private void unregisterProcessObserver() {
        try {
            android.app.ActivityManagerNative.getDefault().unregisterProcessObserver(this.mProcessObserver);
            synchronized (this.mLock) {
                this.mPssListMap.clear();
            }
        } catch (android.os.RemoteException e) {
            android.rms.iaware.AwareLog.w("AwareMem_PSSData", "unregister process observer failed");
        }
    }
}
