package com.android.server.rms.scene;

public class DownloadScene implements com.android.server.rms.IScene {
    private static final java.lang.String TAG = "RMS.DownloadScene";
    private final android.content.Context mContext;

    public DownloadScene(android.content.Context context) {
        this.mContext = context;
    }

    public boolean identify(android.os.Bundle extras) {
        if (this.mContext == null) {
            return false;
        }
        android.app.DownloadManager dm = (android.app.DownloadManager) this.mContext.getSystemService("download");
        if (dm == null) {
            android.util.Log.w("RMS.DownloadScene", "DownloadScene dm is null");
            return false;
        }
        android.database.Cursor cursor = null;
        try {
            android.app.DownloadManager.Query query = new android.app.DownloadManager.Query();
            query.setFilterByStatus(3);
            cursor = dm.query(query);
            if (cursor == null) {
                android.util.Log.w("RMS.DownloadScene", "DownloadScene cursor is null");
                if (cursor != null) {
                    cursor.close();
                }
                return false;
            }
            boolean ret = cursor.getCount() > 0;
            if (android.rms.utils.Utils.DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("DownloadScene state is ");
                stringBuilder.append(ret);
                android.util.Log.d("RMS.DownloadScene", stringBuilder.toString());
            }
            if (cursor != null) {
                cursor.close();
            }
            return ret;
        } catch (java.lang.Exception e) {
            android.util.Log.e("RMS.DownloadScene", "DownloadManager Query failed:", e);
            if (cursor != null) {
                cursor.close();
            }
            return false;
        } catch (java.lang.Throwable th) {
            if (cursor != null) {
                cursor.close();
            }
            throw th;
        }
    }
}
