package com.android.server.rms.scene;

public class MediaScene implements com.android.server.rms.IScene {
    private final android.content.Context mContext;

    public MediaScene(android.content.Context context) {
        this.mContext = context;
    }

    public boolean identify(android.os.Bundle extras) {
        if (this.mContext == null) {
            return false;
        }
        return isAnySoundPlay();
    }

    public boolean isAnySoundPlay() {
        int streamCnt = android.media.AudioSystem.getNumStreamTypes();
        int streamType = 0;
        while (streamType < streamCnt) {
            if (!android.media.AudioSystem.isStreamActive(streamType, 0)) {
                if (!android.media.AudioSystem.isStreamActiveRemotely(streamType, 0)) {
                    streamType++;
                }
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("is sound in streamType=");
            stringBuilder.append(streamType);
            android.util.Log.w("Rms.MediaScene", stringBuilder.toString());
            return true;
        }
        return false;
    }
}
