package com.android.server.rms.shrinker;

public class ProcessStopShrinker implements com.android.server.rms.IShrinker {
    public static final java.lang.String MODE_KEY = "mode";
    public static final java.lang.String PID_KEY = "pid";
    public static final int RECLAIM_FORCESTOP_MODE = 2;
    public static final int RECLAIM_KILL_MODE = 1;
    static final java.lang.String TAG = "RMS.ProcessStopShrinker";
    private final android.os.Handler mHandler;
    private final com.android.server.rms.utils.Interrupt mInterrupt = new com.android.server.rms.utils.Interrupt();

    public ProcessStopShrinker() {
        android.os.HandlerThread handlerThread = new android.os.HandlerThread("RMS.ProcessStopShrinker");
        handlerThread.start();
        this.mHandler = new android.os.Handler(handlerThread.getLooper()) {
            public void handleMessage(android.os.Message msg) {
                int[] pids = msg.getData().getIntArray("pid");
                com.android.server.rms.shrinker.ProcessStopShrinker.this.mInterrupt.reset();
                switch (msg.what) {
                    case 1:
                        com.android.server.rms.shrinker.ProcessStopShrinker.this.killProcess(pids);
                        break;
                    case 2:
                        com.android.server.rms.shrinker.ProcessStopShrinker.this.forceStopProcess(pids);
                        break;
                    default:
                        break;
                }
                super.handleMessage(msg);
            }
        };
    }

    public int reclaim(java.lang.String reason, android.os.Bundle extras) {
        if (extras == null) {
            return 0;
        }
        int mode = extras.getInt("mode");
        android.os.Message message = this.mHandler.obtainMessage();
        message.what = mode;
        message.setData(extras);
        this.mHandler.sendMessage(message);
        return 1;
    }

    public void killProcess(int[] pids) {
        if (pids != null) {
            if (pids.length > 0) {
                int i = 0;
                while (i < pids.length) {
                    if (this.mInterrupt.checkInterruptAndReset() || pids[i] <= 0) {
                        android.util.Log.d("RMS.ProcessStopShrinker", "kill process stoped!");
                        break;
                    }
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("kill process: ");
                    stringBuilder.append(pids[i]);
                    android.util.Log.d("RMS.ProcessStopShrinker", stringBuilder.toString());
                    android.app.mtm.MultiTaskManager instance = android.app.mtm.MultiTaskManager.getInstance();
                    if (instance != null) {
                        instance.killProcess(pids[i], false);
                    }
                    i++;
                }
            }
        }
    }

    public void forceStopProcess(int[] pids) {
        if (pids != null) {
            if (pids.length > 0) {
                int i = 0;
                while (i < pids.length) {
                    if (this.mInterrupt.checkInterruptAndReset() || pids[i] <= 0) {
                        android.util.Log.d("RMS.ProcessStopShrinker", "forceStop process stoped!");
                        break;
                    }
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("forceStop process: ");
                    stringBuilder.append(pids[i]);
                    android.util.Log.d("RMS.ProcessStopShrinker", stringBuilder.toString());
                    android.app.mtm.MultiTaskManager instance = android.app.mtm.MultiTaskManager.getInstance();
                    if (instance != null) {
                        instance.forcestopApps(pids[i]);
                    }
                    i++;
                }
            }
        }
    }

    public void interrupt() {
        android.util.Log.d("RMS.ProcessStopShrinker", "interrupt");
        this.mHandler.removeMessages(1);
        this.mHandler.removeMessages(2);
        this.mInterrupt.trigger();
    }
}
