package com.android.server.rms.utils;

public class Interrupt {
    private final java.util.concurrent.atomic.AtomicBoolean mInterrupt = new java.util.concurrent.atomic.AtomicBoolean(false);

    public boolean checkInterruptAndReset() {
        if (!this.mInterrupt.get()) {
            return false;
        }
        reset();
        return true;
    }

    public void trigger() {
        this.mInterrupt.set(true);
    }

    public void reset() {
        this.mInterrupt.set(false);
    }
}
