package com.android.server.security.ccmode;

public class HwCCModePlugin extends huawei.android.security.IHwCCModePlugin.Stub implements com.android.server.security.core.IHwSecurityPlugin {
    public static final java.lang.Object BINDLOCK = new java.lang.Object();
    public static final int CLOSE_CCMODE_SUCCESS = 102;
    public static final com.android.server.security.core.IHwSecurityPlugin.Creator CREATOR = new com.android.server.security.core.IHwSecurityPlugin.Creator() {
        public com.android.server.security.core.IHwSecurityPlugin createPlugin(android.content.Context context) {
            if (com.android.server.security.ccmode.HwCCModePlugin.HWDBG) {
                android.util.Slog.d("HwCCMD", "createPlugin");
            }
            return new com.android.server.security.ccmode.HwCCModePlugin(context);
        }

        public java.lang.String getPluginPermission() {
            return "com.huawei.permission.USE_CCMODE";
        }
    };
    private static final java.lang.String ENCRYPTED_TAG = "encrypted";
    private static final int EVENT_SELFTEST_RESULT = 0;
    private static final boolean HWDBG;
    private static final java.lang.String INTERVAL = "interval";
    private static final int INTERVAL_VALUE = 1;
    private static final int MSG_SELFTEST_FAILED = 0;
    private static final java.lang.String NOWAIT = "nowait";
    private static final int NOWAIT_VALUE = 1;
    public static final int NO_SCREEN_LOCK_ERROR = 103;
    public static final int OPEN_CCMODE_SUCCESS = 101;
    public static final int PLATFORM_NOT_SUPPORTED = 107;
    public static final int PREPARE_ENABLECCMODE_SUCCESS = 106;
    private static final java.lang.String PROPERTIES_CC_MODE = "persist.sys.cc_mode";
    private static final java.lang.String RO_CRYPTO_STATE = "ro.crypto.state";
    private static final java.lang.String RO_CRYPTO_STATE_DEFAULT = "0";
    public static final int SCREEN_LOOK_MANAGER_NULL_ERROR = 105;
    private static final int SELFTEST_ERROR = 1;
    private static final int SELFTEST_OK = 0;
    private static final java.lang.String TAG = "HwCCMD";
    public static final int UNENCRYPT_STORAGE_ERROR = 104;
    private static final java.lang.String USE_CCMODE = "com.huawei.permission.USE_CCMODE";
    private android.content.Context mContext;
    private android.os.Handler mHandler = new android.os.Handler() {
        public void handleMessage(android.os.Message msg) {
            if (msg.what == 0) {
                com.android.server.security.ccmode.HwCCModePlugin.this.waitForConfirm();
            }
        }
    };

    static {
        boolean z;
        if (!android.util.Log.HWINFO) {
            if (!android.util.Log.HWModuleLog || !android.util.Log.isLoggable("HwCCMD", 4)) {
                z = false;
                HWDBG = z;
            }
        }
        z = true;
        HWDBG = z;
    }

    public HwCCModePlugin(android.content.Context context) {
        this.mContext = context;
    }

    public android.os.IBinder asBinder() {
        return this;
    }

    public void onStart() {
        if (isCCModeOn()) {
            new java.lang.Thread() {
                public void run() {
                    long beginTime = java.lang.System.currentTimeMillis();
                    boolean testOk = false;
                    try {
                        boolean z = com.android.server.security.ccmode.CCModeFuncInternal.native_dxCryptoSelftest() && com.android.server.security.ccmode.CCModeFuncInternal.native_kernelCryptoSelftest() && com.android.server.security.ccmode.CCModeFuncInternal.native_boringSslSelftest();
                        testOk = z;
                    } catch (java.lang.UnsatisfiedLinkError e) {
                        testOk = true;
                        android.util.Slog.e("HwCCMD", "self test jni error");
                    }
                    long costTime = java.lang.System.currentTimeMillis() - beginTime;
                    if (com.android.server.security.ccmode.HwCCModePlugin.HWDBG) {
                        java.lang.String str = "HwCCMD";
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("CC mode self test ");
                        stringBuilder.append(testOk ? "OK" : "failed");
                        stringBuilder.append("!!!");
                        android.util.Slog.w(str, stringBuilder.toString());
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("selfTest cost:");
                        stringBuilder.append(costTime);
                        android.util.Slog.w("HwCCMD", stringBuilder.toString());
                    }
                    if (!testOk) {
                        com.android.server.security.ccmode.HwCCModePlugin.this.mHandler.sendEmptyMessage(0);
                    }
                }
            }.start();
        }
    }

    public void onStop() {
    }

    public int openCCMode() throws android.os.RemoteException {
        checkPermission("com.huawei.permission.USE_CCMODE");
        if (HWDBG) {
            android.util.Slog.i("HwCCMD", "Open CCMode !");
        }
        if (isCCModeOn()) {
            return 101;
        }
        int prepareRst = prepareEnableCCMode();
        if (106 != prepareRst) {
            return prepareRst;
        }
        setCCMode(true);
        if (HWDBG) {
            android.util.Slog.d("HwCCMD", "reboot system");
        }
        android.content.Intent intent = new android.content.Intent("android.intent.action.REBOOT");
        intent.putExtra("nowait", 1);
        intent.putExtra("interval", 1);
        this.mContext.sendBroadcast(intent);
        return 101;
    }

    public int closeCCMode() throws android.os.RemoteException {
        checkPermission("com.huawei.permission.USE_CCMODE");
        if (HWDBG) {
            android.util.Slog.i("HwCCMD", "Close CCMode !");
        }
        if (!isCCModeOn()) {
            return 102;
        }
        setCCMode(false);
        return 102;
    }

    private boolean isCCModeOn() {
        return android.os.SystemProperties.getBoolean("persist.sys.cc_mode", false);
    }

    private void setCCMode(boolean isOn) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("");
        stringBuilder.append(isOn);
        android.os.SystemProperties.set("persist.sys.cc_mode", stringBuilder.toString());
    }

    private int prepareEnableCCMode() {
        android.app.KeyguardManager screenLockManager = (android.app.KeyguardManager) this.mContext.getSystemService("keyguard");
        if (screenLockManager == null) {
            android.util.Slog.e("HwCCMD", "screenLockManager is null !");
            return 105;
        } else if (!"encrypted".equals(android.os.SystemProperties.get("ro.crypto.state", "0"))) {
            return 104;
        } else {
            if (screenLockManager.isKeyguardSecure()) {
                return 106;
            }
            return 103;
        }
    }

    private void waitForConfirm() {
        if (HWDBG) {
            android.util.Slog.d("HwCCMD", "wait for user to confirm");
        }
        android.app.AlertDialog dialog = new android.app.AlertDialog.Builder(this.mContext).setTitle(this.mContext.getString(33686159)).setMessage(this.mContext.getString(33686162)).setNeutralButton(this.mContext.getString(33685916), new android.content.DialogInterface.OnClickListener() {
            public void onClick(android.content.DialogInterface dialog, int which) {
                if (com.android.server.security.ccmode.HwCCModePlugin.HWDBG) {
                    android.util.Slog.d("HwCCMD", "Entering recovery mode");
                }
                ((android.os.PowerManager) com.android.server.security.ccmode.HwCCModePlugin.this.mContext.getSystemService("power")).reboot("recovery");
            }
        }).setCancelable(false).create();
        dialog.getWindow().setType(2003);
        dialog.show();
    }

    private void checkPermission(java.lang.String permission) {
        android.content.Context context = this.mContext;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Must have ");
        stringBuilder.append(permission);
        stringBuilder.append(" permission.");
        context.enforceCallingOrSelfPermission(permission, stringBuilder.toString());
    }
}
