package com.android.server.security.deviceusage;

public class HwDeviceFirstUseTime {
    private static final long GET_TIME_DELAY = 3600000;
    private static final long GET_TIME_DELAY_MOBILE_CONNCTION = 21600000;
    private static final boolean HW_DEBUG;
    private static final long NTP_INTERVAL = 86400000;
    private static final java.lang.String TAG = "HwDeviceFirstUseTime";
    private static int TYPE_HAS_GET_TIME = 7;
    private java.lang.Runnable getTimeRunnable = new java.lang.Runnable() {
        public void run() {
            if (com.android.server.security.deviceusage.HwDeviceFirstUseTime.HW_DEBUG) {
                android.util.Slog.d("HwDeviceFirstUseTime", "threadRun");
            }
            if (!com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.isGetTimeFlag) {
                if (com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.mCurrentTime == -1 || !com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.isMobileNetworkConnected() || com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.mCurrentTime - android.os.SystemClock.elapsedRealtime() > 21600000) {
                    if (com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.mNtpTime.getCacheAge() >= 86400000) {
                        com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.mNtpTime.forceRefresh();
                    }
                    if (com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.mNtpTime.getCacheAge() < 86400000) {
                        com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.mTime = com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.mNtpTime.getCachedNtpTime();
                        if (com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.mTime != 0) {
                            com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.obtianHasGetTime(com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.mTime);
                        }
                        if (com.android.server.security.deviceusage.HwDeviceFirstUseTime.HW_DEBUG) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("NTP server returned: ");
                            stringBuilder.append(com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.mTime);
                            stringBuilder.append(" (");
                            stringBuilder.append(new java.util.Date(com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.mTime));
                            stringBuilder.append(")");
                            android.util.Slog.d("HwDeviceFirstUseTime", stringBuilder.toString());
                        }
                        return;
                    }
                    if (com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.isNetworkConnected()) {
                        com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.mCurrentTime = android.os.SystemClock.elapsedRealtime();
                        com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.mHandler.postDelayed(com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.getTimeRunnable, 3600000);
                    } else {
                        com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.mHandler.removeCallbacks(com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.getTimeRunnable);
                    }
                    return;
                }
                com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.mHandler.postDelayed(com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.getTimeRunnable, 21600000);
            }
        }
    };
    private boolean isGetTimeFlag = false;
    private final android.content.BroadcastReceiver mBroadcastReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            android.net.NetworkInfo networkInfo = com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.mConnectivityManager.getActiveNetworkInfo();
            java.lang.String action = intent.getAction();
            if (com.android.server.security.deviceusage.HwDeviceFirstUseTime.HW_DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("action  ");
                stringBuilder.append(action);
                android.util.Slog.d("HwDeviceFirstUseTime", stringBuilder.toString());
            }
            if (!"android.net.conn.CONNECTIVITY_CHANGE".equals(action)) {
                android.util.Slog.e("HwDeviceFirstUseTime", "Receive error broadcast");
            } else if (networkInfo != null && networkInfo.isAvailable() && !com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.isGetTimeFlag) {
                com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.mHandler.post(com.android.server.security.deviceusage.HwDeviceFirstUseTime.this.getTimeRunnable);
            }
        }
    };
    private android.os.Handler mCollectionHandler;
    private android.net.ConnectivityManager mConnectivityManager;
    private android.content.Context mContext;
    private long mCurrentTime = -1;
    private android.os.Handler mHandler;
    private android.os.HandlerThread mHandlerThread;
    private android.util.NtpTrustedTime mNtpTime;
    private long mTime;

    static {
        boolean z;
        if (!android.util.Log.HWINFO) {
            if (!android.util.Log.HWModuleLog || !android.util.Log.isLoggable("HwDeviceFirstUseTime", 4)) {
                z = false;
                HW_DEBUG = z;
            }
        }
        z = true;
        HW_DEBUG = z;
    }

    public HwDeviceFirstUseTime(android.content.Context context, android.os.Handler handler) {
        if (HW_DEBUG) {
            android.util.Slog.d("HwDeviceFirstUseTime", "HwDeviceFirstUseTime");
        }
        this.mContext = context;
        this.mCollectionHandler = handler;
        this.mNtpTime = android.util.NtpTrustedTime.getInstance(this.mContext);
        android.content.Context context2 = this.mContext;
        android.content.Context context3 = this.mContext;
        this.mConnectivityManager = (android.net.ConnectivityManager) context2.getSystemService("connectivity");
        this.mHandlerThread = new android.os.HandlerThread("HwDeviceFirstUseTimeThread");
    }

    public void start() {
        this.mHandlerThread.start();
        this.mHandler = new android.os.Handler(this.mHandlerThread.getLooper());
        android.content.IntentFilter intentFilter = new android.content.IntentFilter();
        intentFilter.addAction("android.net.conn.CONNECTIVITY_CHANGE");
        this.mContext.registerReceiver(this.mBroadcastReceiver, intentFilter);
    }

    public void triggerGetFirstUseTime() {
        if (HW_DEBUG) {
            android.util.Slog.d("HwDeviceFirstUseTime", "getFirstUseTime");
        }
        if (isNetworkConnected() && !this.isGetTimeFlag) {
            this.mHandler.post(this.getTimeRunnable);
        }
    }

    private void obtianHasGetTime(long time) {
        if (this.mHandler != null) {
            this.isGetTimeFlag = true;
            this.mCurrentTime = -1;
            this.mContext.unregisterReceiver(this.mBroadcastReceiver);
            this.mHandler.removeCallbacks(this.getTimeRunnable);
            android.os.Message msg = android.os.Message.obtain();
            msg.what = TYPE_HAS_GET_TIME;
            msg.obj = java.lang.Long.valueOf(time);
            this.mCollectionHandler.sendMessage(msg);
        }
    }

    private boolean isNetworkConnected() {
        android.net.NetworkInfo networkInfo = this.mConnectivityManager.getActiveNetworkInfo();
        return networkInfo != null && networkInfo.isConnected();
    }

    private boolean isMobileNetworkConnected() {
        android.net.NetworkInfo networkInfo = this.mConnectivityManager.getActiveNetworkInfo();
        return networkInfo != null && networkInfo.isConnected() && networkInfo.getType() == 0;
    }
}
