package com.android.server.security.deviceusage;

public class HwDeviceUsageCollection {
    private static final java.lang.String ACTION_CALLS_TABLE_ADD_ENTRY = "com.android.server.telecom.intent.action.CALLS_ADD_ENTRY";
    private static final java.lang.String CALL_DURATION = "duration";
    private static final long CALL_ENOUGH_TIME = 600;
    private static final long CHARGING_ENOUGH_TIME = 5;
    private static final boolean HW_DEBUG;
    private static final long SCREENON_ENOUGH_TIME = 36000;
    private static final java.lang.String TAG = "HwDeviceUsageCollection";
    public static final int TYPE_GET_TIME = 6;
    public static final int TYPE_HAS_GET_TIME = 7;
    private static final int TYPE_OBTAIN_CALL_LOG = 1;
    private static final int TYPE_OBTAIN_CHARGING = 2;
    private static final int TYPE_OBTAIN_SCREEN_OFF = 4;
    private static final int TYPE_OBTAIN_SCREEN_ON = 3;
    public static final int TYPE_REPORT_TIME = 5;
    private boolean isGetTime = false;
    private java.lang.Runnable judgeIsDeviceUseRunnable = new java.lang.Runnable() {
        public void run() {
            if (!com.android.server.security.deviceusage.HwDeviceUsageCollection.this.isGetTime) {
                boolean isDeviceUsed = com.android.server.security.deviceusage.HwDeviceUsageCollection.this.getScreenOnTime() >= 36000 && com.android.server.security.deviceusage.HwDeviceUsageCollection.this.getChargeTime() >= 5 && com.android.server.security.deviceusage.HwDeviceUsageCollection.this.getTalkTime() >= 600;
                if (com.android.server.security.deviceusage.HwDeviceUsageCollection.HW_DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("isDeviceUsed = ");
                    stringBuilder.append(isDeviceUsed);
                    android.util.Slog.d("HwDeviceUsageCollection", stringBuilder.toString());
                }
                if (isDeviceUsed) {
                    com.android.server.security.deviceusage.HwDeviceUsageCollection.this.isFirstUseDevice();
                }
            }
        }
    };
    private final android.content.BroadcastReceiver mBroadcastReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            java.lang.StringBuilder stringBuilder;
            java.lang.String action = intent.getAction();
            if (com.android.server.security.deviceusage.HwDeviceUsageCollection.HW_DEBUG) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("action  ");
                stringBuilder.append(action);
                android.util.Slog.d("HwDeviceUsageCollection", stringBuilder.toString());
            }
            if ("android.intent.action.ACTION_POWER_CONNECTED".equals(action)) {
                com.android.server.security.deviceusage.HwDeviceUsageCollection.this.obtainCharging();
            } else if ("android.intent.action.SCREEN_OFF".equals(action)) {
                com.android.server.security.deviceusage.HwDeviceUsageCollection.this.obtainScreenOff();
            } else if ("android.intent.action.SCREEN_ON".equals(action)) {
                com.android.server.security.deviceusage.HwDeviceUsageCollection.this.obtainScreenOn();
                if (com.android.server.security.deviceusage.HwDeviceUsageCollection.HW_DEBUG) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("mScreenOnTime  action ");
                    stringBuilder.append(com.android.server.security.deviceusage.HwDeviceUsageCollection.this.mScreenOnTime);
                    android.util.Slog.d("HwDeviceUsageCollection", stringBuilder.toString());
                }
            } else if ("com.android.server.telecom.intent.action.CALLS_ADD_ENTRY".equals(action)) {
                if (com.android.server.security.deviceusage.HwDeviceUsageCollection.this.mTelephonyManager != null) {
                    if (com.android.server.security.deviceusage.HwDeviceUsageCollection.this.mTelephonyManager.getSimState() != 1) {
                        com.android.server.security.deviceusage.HwDeviceUsageCollection.this.obtainCallLog(intent.getLongExtra("duration", 0));
                    }
                }
            } else {
                android.util.Slog.e("HwDeviceUsageCollection", "Receive error broadcast");
            }
        }
    };
    private android.content.Context mContext;
    private android.os.Handler mHandler;
    private android.os.HandlerThread mHandlerThread;
    private com.android.server.security.deviceusage.HwDeviceUsageOEMINFO mHwDeviceUsageOEMINFO;
    private long mScreenOnTime = -1;
    private android.telephony.TelephonyManager mTelephonyManager;

    static {
        boolean z;
        if (!android.util.Log.HWINFO) {
            if (!android.util.Log.HWModuleLog || !android.util.Log.isLoggable("HwDeviceUsageCollection", 4)) {
                z = false;
                HW_DEBUG = z;
            }
        }
        z = true;
        HW_DEBUG = z;
    }

    public HwDeviceUsageCollection(android.content.Context context) {
        if (HW_DEBUG) {
            android.util.Slog.d("HwDeviceUsageCollection", "HwDeviceUsageCollection");
        }
        this.mContext = context;
        this.mHwDeviceUsageOEMINFO = com.android.server.security.deviceusage.HwDeviceUsageOEMINFO.getInstance();
    }

    public void onStart() {
        if (HW_DEBUG) {
            android.util.Slog.d("HwDeviceUsageCollection", "onStart");
        }
        android.content.IntentFilter intentFilter = new android.content.IntentFilter();
        intentFilter.addAction("android.intent.action.ACTION_POWER_CONNECTED");
        intentFilter.addAction("com.android.server.telecom.intent.action.CALLS_ADD_ENTRY");
        intentFilter.addAction("android.intent.action.SCREEN_ON");
        intentFilter.addAction("android.intent.action.SCREEN_OFF");
        this.mContext.registerReceiver(this.mBroadcastReceiver, intentFilter);
        android.content.Context context = this.mContext;
        android.content.Context context2 = this.mContext;
        this.mTelephonyManager = (android.telephony.TelephonyManager) context.getSystemService("phone");
        this.mHandlerThread = new android.os.HandlerThread("HwDeviceUsageCollectionThread");
        this.mHandlerThread.start();
        this.mHandler = new android.os.Handler(this.mHandlerThread.getLooper()) {
            public void handleMessage(android.os.Message msg) {
                int i = msg.what;
                if (i != 7) {
                    switch (i) {
                        case 1:
                            if (msg.obj != null) {
                                com.android.server.security.deviceusage.HwDeviceUsageCollection.this.handleCallLog(((java.lang.Long) msg.obj).longValue());
                                break;
                            }
                            return;
                        case 2:
                            com.android.server.security.deviceusage.HwDeviceUsageCollection.this.handleCharging();
                            break;
                        case 3:
                            com.android.server.security.deviceusage.HwDeviceUsageCollection.this.handleScreenOn();
                            break;
                        case 4:
                            com.android.server.security.deviceusage.HwDeviceUsageCollection.this.handleScreenOff();
                            break;
                        default:
                            android.util.Slog.e("HwDeviceUsageCollection", "obtain error message");
                            break;
                    }
                } else if (msg.obj != null) {
                    com.android.server.security.deviceusage.HwDeviceUsageCollection.this.handleHasGetTime(((java.lang.Long) msg.obj).longValue());
                }
            }
        };
        this.mHandler.post(this.judgeIsDeviceUseRunnable);
    }

    private void obtainCallLog(long duration) {
        if (duration > 0) {
            android.os.Message msg = android.os.Message.obtain();
            msg.what = 1;
            msg.obj = java.lang.Long.valueOf(duration / 1000);
            this.mHandler.sendMessage(msg);
        }
    }

    private void obtainCharging() {
        android.os.Message msg = android.os.Message.obtain();
        msg.what = 2;
        this.mHandler.sendMessage(msg);
    }

    private void obtainScreenOn() {
        android.os.Message msg = android.os.Message.obtain();
        msg.what = 3;
        this.mHandler.sendMessage(msg);
    }

    private void obtainScreenOff() {
        android.os.Message msg = android.os.Message.obtain();
        msg.what = 4;
        this.mHandler.sendMessage(msg);
    }

    private boolean isTimeNull() {
        return getFristUseTime() == 0;
    }

    private void handleCharging() {
        long mChargeTime = getChargeTime() + 1;
        if (HW_DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mChargeTime ");
            stringBuilder.append(mChargeTime);
            android.util.Slog.d("HwDeviceUsageCollection", stringBuilder.toString());
        }
        setChargeTime(mChargeTime);
        this.mHandler.post(this.judgeIsDeviceUseRunnable);
    }

    private void handleScreenOn() {
        this.mScreenOnTime = android.os.SystemClock.elapsedRealtime();
    }

    private void handleScreenOff() {
        if (this.mScreenOnTime >= 0) {
            java.lang.StringBuilder stringBuilder;
            long onTime = (android.os.SystemClock.elapsedRealtime() - this.mScreenOnTime) / 1000;
            if (HW_DEBUG) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("mOnTime ");
                stringBuilder.append(onTime);
                android.util.Slog.d("HwDeviceUsageCollection", stringBuilder.toString());
            }
            this.mScreenOnTime = -1;
            if (onTime > 0) {
                long screenOnTime = getScreenOnTime() + onTime;
                if (HW_DEBUG) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("screenOnTime ");
                    stringBuilder.append(screenOnTime);
                    android.util.Slog.d("HwDeviceUsageCollection", stringBuilder.toString());
                }
                setScreenOnTime(screenOnTime);
                this.mHandler.post(this.judgeIsDeviceUseRunnable);
            }
        }
    }

    private void handleCallLog(long talkTime) {
        long mTalkTime = getTalkTime() + talkTime;
        if (HW_DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mTalkTime ");
            stringBuilder.append(mTalkTime);
            android.util.Slog.d("HwDeviceUsageCollection", stringBuilder.toString());
        }
        setTalkTime(mTalkTime);
        this.mHandler.post(this.judgeIsDeviceUseRunnable);
    }

    private void isFirstUseDevice() {
        if (isTimeNull()) {
            getTime();
        }
    }

    private void reportTime(long time) {
        com.android.server.security.deviceusage.HwDeviceUsageReport mHwDeviceUsageReport = new com.android.server.security.deviceusage.HwDeviceUsageReport(this.mContext);
        if (!isTimeNull()) {
            mHwDeviceUsageReport.reportFirstUseTime(time);
        }
    }

    private void getTime() {
        if (!this.isGetTime) {
            this.isGetTime = true;
            com.android.server.security.deviceusage.HwDeviceFirstUseTime mHwDeviceFirstUseTime = new com.android.server.security.deviceusage.HwDeviceFirstUseTime(this.mContext, this.mHandler);
            mHwDeviceFirstUseTime.start();
            mHwDeviceFirstUseTime.triggerGetFirstUseTime();
        }
    }

    private void handleHasGetTime(long time) {
        if (setFristUseTime(time) == 1) {
            reportTime(time);
        }
    }

    protected boolean getOpenFlag() {
        return this.mHwDeviceUsageOEMINFO.getOpenFlag();
    }

    protected long getScreenOnTime() {
        return this.mHwDeviceUsageOEMINFO.getScreenOnTime();
    }

    protected long getChargeTime() {
        return this.mHwDeviceUsageOEMINFO.getChargeTime();
    }

    protected long getTalkTime() {
        return this.mHwDeviceUsageOEMINFO.getTalkTime();
    }

    protected long getFristUseTime() {
        return this.mHwDeviceUsageOEMINFO.getFristUseTime();
    }

    protected void setOpenFlag(int flag) {
        this.mHwDeviceUsageOEMINFO.setOpenFlag(flag);
    }

    protected void setScreenOnTime(long time) {
        this.mHwDeviceUsageOEMINFO.setScreenOnTime(time);
    }

    protected void setChargeTime(long time) {
        this.mHwDeviceUsageOEMINFO.setChargeTime(time);
    }

    protected void setTalkTime(long time) {
        this.mHwDeviceUsageOEMINFO.setTalkTime(time);
    }

    protected int setFristUseTime(long time) {
        return this.mHwDeviceUsageOEMINFO.setFristUseTime(time);
    }
}
