package com.android.server.security.deviceusage;

public class HwDeviceUsageOEMINFO {
    private static final boolean HW_DEBUG;
    private static final int OEMINFO_ENABLE_RETREAD = 163;
    private static final int OEMINFO_ENABLE_RETREAD_SIZE = 40;
    private static final java.lang.String TAG = "HwDeviceUsageOEMINFO";
    private static com.android.server.security.deviceusage.HwDeviceUsageOEMINFO mInstance;
    private java.nio.ByteBuffer mDataBuffer = java.nio.ByteBuffer.allocate(40);
    private com.android.server.security.deviceusage.HwDeviceUsageOEMINFO.OEMINFOData mOEMINFOData = new com.android.server.security.deviceusage.HwDeviceUsageOEMINFO.OEMINFOData();

    static class OEMINFOData {
        public long mChargeTime;
        public long mFristUseTime;
        public int mOpenFlag;
        public long mScreenOnTime;
        public long mTalkTime;

        OEMINFOData() {
        }
    }

    static {
        boolean z;
        if (!android.util.Log.HWINFO) {
            if (!android.util.Log.HWModuleLog || !android.util.Log.isLoggable("HwDeviceUsageOEMINFO", 4)) {
                z = false;
                HW_DEBUG = z;
            }
        }
        z = true;
        HW_DEBUG = z;
    }

    private HwDeviceUsageOEMINFO() {
        getOEMINFOData();
    }

    public static synchronized com.android.server.security.deviceusage.HwDeviceUsageOEMINFO getInstance() {
        com.android.server.security.deviceusage.HwDeviceUsageOEMINFO hwDeviceUsageOEMINFO;
        synchronized (com.android.server.security.deviceusage.HwDeviceUsageOEMINFO.class) {
            if (mInstance == null) {
                mInstance = new com.android.server.security.deviceusage.HwDeviceUsageOEMINFO();
            }
            hwDeviceUsageOEMINFO = mInstance;
        }
        return hwDeviceUsageOEMINFO;
    }

    private void getOEMINFOByteArray() {
        byte[] oEMData = com.android.server.security.deviceusage.HwOEMInfoAdapter.getByteArrayFromOeminfo(163, 40);
        if (oEMData != null) {
            if (oEMData.length >= 40) {
                setByteArrayToDataBuffer(oEMData);
                return;
            }
        }
        android.util.Slog.e("HwDeviceUsageOEMINFO", "get OEMINFO error");
    }

    public boolean getOpenFlag() {
        getOEMINFOData();
        boolean flag = this.mOEMINFOData.mOpenFlag != 0;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("flag = ");
        stringBuilder.append(flag);
        android.util.Slog.d("HwDeviceUsageOEMINFO", stringBuilder.toString());
        return flag;
    }

    public long getScreenOnTime() {
        if (HW_DEBUG) {
            android.util.Slog.i("HwDeviceUsageOEMINFO", "getScreenOnTime");
        }
        return this.mOEMINFOData.mScreenOnTime;
    }

    public long getChargeTime() {
        if (HW_DEBUG) {
            android.util.Slog.i("HwDeviceUsageOEMINFO", "getChargeTime");
        }
        return this.mOEMINFOData.mChargeTime;
    }

    public long getTalkTime() {
        return this.mOEMINFOData.mTalkTime;
    }

    public long getFristUseTime() {
        return this.mOEMINFOData.mFristUseTime;
    }

    protected void setOpenFlag(int flag) {
        this.mOEMINFOData.mOpenFlag = flag;
        setDataBuffer();
        com.android.server.security.deviceusage.HwOEMInfoAdapter.writeByteArrayToOeminfo(163, 40, this.mDataBuffer.array());
    }

    protected void setScreenOnTime(long time) {
        this.mOEMINFOData.mScreenOnTime = time;
        setDataBuffer();
        com.android.server.security.deviceusage.HwOEMInfoAdapter.writeByteArrayToOeminfo(163, 40, this.mDataBuffer.array());
    }

    protected void setChargeTime(long time) {
        this.mOEMINFOData.mChargeTime = time;
        setDataBuffer();
        com.android.server.security.deviceusage.HwOEMInfoAdapter.writeByteArrayToOeminfo(163, 40, this.mDataBuffer.array());
    }

    protected void setTalkTime(long time) {
        this.mOEMINFOData.mTalkTime = time;
        setDataBuffer();
        com.android.server.security.deviceusage.HwOEMInfoAdapter.writeByteArrayToOeminfo(163, 40, this.mDataBuffer.array());
    }

    protected int setFristUseTime(long time) {
        this.mOEMINFOData.mFristUseTime = time;
        setDataBuffer();
        return com.android.server.security.deviceusage.HwOEMInfoAdapter.writeByteArrayToOeminfo(163, 40, this.mDataBuffer.array());
    }

    private void setDataBuffer() {
        this.mDataBuffer.clear();
        if (this.mDataBuffer.remaining() >= 40) {
            this.mDataBuffer.putInt(this.mOEMINFOData.mOpenFlag);
            this.mDataBuffer.putInt(0);
            this.mDataBuffer.putLong(this.mOEMINFOData.mScreenOnTime);
            this.mDataBuffer.putLong(this.mOEMINFOData.mChargeTime);
            this.mDataBuffer.putLong(this.mOEMINFOData.mTalkTime);
            this.mDataBuffer.putLong(this.mOEMINFOData.mFristUseTime);
            if (HW_DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("setDataBuffer mOpenFlag = ");
                stringBuilder.append(this.mOEMINFOData.mOpenFlag);
                stringBuilder.append(" OEMINFOData.mScreenOnTime = ");
                stringBuilder.append(this.mOEMINFOData.mScreenOnTime);
                stringBuilder.append(" mChargeTime = ");
                stringBuilder.append(this.mOEMINFOData.mChargeTime);
                stringBuilder.append(" mTalkTime = ");
                stringBuilder.append(this.mOEMINFOData.mTalkTime);
                stringBuilder.append(" mFristUseTime = ");
                stringBuilder.append(this.mOEMINFOData.mFristUseTime);
                android.util.Slog.d("HwDeviceUsageOEMINFO", stringBuilder.toString());
            }
        }
    }

    private void setByteArrayToDataBuffer(byte[] mByte) {
        this.mDataBuffer.order(java.nio.ByteOrder.LITTLE_ENDIAN);
        this.mDataBuffer.clear();
        this.mDataBuffer.put(mByte);
    }

    private void getOEMINFOData() {
        getOEMINFOByteArray();
        if (this.mDataBuffer == null) {
            if (HW_DEBUG) {
                android.util.Slog.d("HwDeviceUsageOEMINFO", "mDataBuffer is null");
            }
            return;
        }
        this.mDataBuffer.flip();
        if (this.mDataBuffer.remaining() >= 40) {
            this.mOEMINFOData.mOpenFlag = this.mDataBuffer.getInt();
            this.mDataBuffer.getInt();
            this.mOEMINFOData.mScreenOnTime = this.mDataBuffer.getLong();
            this.mOEMINFOData.mChargeTime = this.mDataBuffer.getLong();
            this.mOEMINFOData.mTalkTime = this.mDataBuffer.getLong();
            this.mOEMINFOData.mFristUseTime = this.mDataBuffer.getLong();
            if (HW_DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("getOEMINFOData mOpenFlag ");
                stringBuilder.append(this.mOEMINFOData.mOpenFlag);
                stringBuilder.append(" OEMINFOData.mScreenOnTime ");
                stringBuilder.append(this.mOEMINFOData.mScreenOnTime);
                stringBuilder.append(" mChargeTime ");
                stringBuilder.append(this.mOEMINFOData.mChargeTime);
                stringBuilder.append(" mTalkTime ");
                stringBuilder.append(this.mOEMINFOData.mTalkTime);
                stringBuilder.append(" mFristUseTime ");
                stringBuilder.append(this.mOEMINFOData.mFristUseTime);
                android.util.Slog.d("HwDeviceUsageOEMINFO", stringBuilder.toString());
            }
        }
    }
}
