package com.android.server.security.deviceusage;

public class HwDeviceUsageReport {
    private static final int DEVICE_SECURE_DIAGNOSE_ID = 2;
    private static final boolean HW_DEBUG;
    private static final int ISBN_ID = 0;
    private static final java.lang.String TAG = "HwDeviceUsageReport";
    private android.os.Bundle mDeviceUseData = new android.os.Bundle();
    private huawei.android.security.IHwSecurityDiagnosePlugin mHwSecurityDiagnosePlugin;

    static {
        boolean z;
        if (!android.util.Log.HWINFO) {
            if (!android.util.Log.HWModuleLog || !android.util.Log.isLoggable("HwDeviceUsageReport", 4)) {
                z = false;
                HW_DEBUG = z;
            }
        }
        z = true;
        HW_DEBUG = z;
    }

    public HwDeviceUsageReport(android.content.Context context) {
        if (HW_DEBUG) {
            android.util.Slog.d("HwDeviceUsageReport", "HwDeviceUsageReport  create");
        }
        android.os.IBinder b = android.os.ServiceManager.getService("securityserver");
        if (b != null) {
            if (HW_DEBUG) {
                android.util.Slog.d("HwDeviceUsageReport", "getHwSecurityService");
            }
            try {
                android.os.IBinder diagnoseServiceBinder = huawei.android.security.IHwSecurityService.Stub.asInterface(b).querySecurityInterface(2);
                if (diagnoseServiceBinder != null) {
                    this.mHwSecurityDiagnosePlugin = huawei.android.security.IHwSecurityDiagnosePlugin.Stub.asInterface(diagnoseServiceBinder);
                }
            } catch (android.os.RemoteException e) {
                android.util.Slog.e("HwDeviceUsageReport", "Error in get Diagnose Service ");
            }
        }
    }

    public void reportFirstUseTime(long time) {
        if (HW_DEBUG) {
            android.util.Slog.d("HwDeviceUsageReport", "getFirstUseTime");
        }
        this.mDeviceUseData.putString("ServerTime", new java.util.Date(time).toString());
        this.mDeviceUseData.putString("ISBN", getISBN());
        if (this.mHwSecurityDiagnosePlugin != null) {
            try {
                this.mHwSecurityDiagnosePlugin.report(101, this.mDeviceUseData);
            } catch (android.os.RemoteException e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("report EXCEPTION = ");
                stringBuilder.append(e);
                android.util.Slog.e("HwDeviceUsageReport", stringBuilder.toString());
            }
        }
    }

    private java.lang.String getISBN() {
        return com.android.server.security.deviceusage.HwOEMInfoAdapter.getISBNOrSN(0);
    }
}
