package com.android.server.security.deviceusage;

public class HwOEMInfoAdapter {
    public static final java.lang.String CHR_ISBNREAD_CLASS = "com.huawei.android.os.HwDeviceInfoCustEx";
    public static final java.lang.String CHR_OEMINFO_CLASS = "com.huawei.android.os.HwOemInfoCustEx";
    private static final java.lang.String TAG = "HwOEMInfoAdapter";
    private static java.lang.Class chrClass = null;

    public static byte[] getByteArrayFromOeminfo(int type, int sizeOf) {
        android.util.Slog.e("HwOEMInfoAdapter", "getByteArrayFromOeminfo has run ");
        try {
            chrClass = java.lang.Class.forName("com.huawei.android.os.HwOemInfoCustEx");
            return (byte[]) chrClass.getMethod("getByteArrayFromOeminfo", new java.lang.Class[]{java.lang.Integer.TYPE, java.lang.Integer.TYPE}).invoke(null, new java.lang.Object[]{java.lang.Integer.valueOf(type), java.lang.Integer.valueOf(sizeOf)});
        } catch (java.lang.ClassNotFoundException e) {
            android.util.Slog.e("HwOEMInfoAdapter", "Unable to find class com.huawei.android.os.HwOemInfoCustEx");
            return new byte[0];
        } catch (java.lang.NoSuchMethodException e2) {
            android.util.Slog.e("HwOEMInfoAdapter", "getByteArrayFromOeminfo method not found in class com.huawei.android.os.HwOemInfoCustEx");
            return new byte[0];
        } catch (java.lang.IllegalAccessException e3) {
            android.util.Slog.e("HwOEMInfoAdapter", "IllegalAccessException has been thrown while trying to invode getByteArrayFromOeminfo");
            return new byte[0];
        } catch (java.lang.reflect.InvocationTargetException e4) {
            android.util.Slog.e("HwOEMInfoAdapter", "InvocationTargetException has been thrown while trying to invode getByteArrayFromOeminfo");
            return new byte[0];
        }
    }

    public static int writeByteArrayToOeminfo(int type, int sizeOf, byte[] mByte) {
        android.util.Slog.e("HwOEMInfoAdapter", "writeByteArrayToOeminfo has run ");
        try {
            chrClass = java.lang.Class.forName("com.huawei.android.os.HwOemInfoCustEx");
            return ((java.lang.Integer) chrClass.getMethod("writeByteArrayToOeminfo", new java.lang.Class[]{java.lang.Integer.TYPE, java.lang.Integer.TYPE, byte[].class}).invoke(null, new java.lang.Object[]{java.lang.Integer.valueOf(type), java.lang.Integer.valueOf(sizeOf), mByte})).intValue();
        } catch (java.lang.ClassNotFoundException e) {
            android.util.Slog.e("HwOEMInfoAdapter", "Unable to find class com.huawei.android.os.HwOemInfoCustEx");
            return 0;
        } catch (java.lang.NoSuchMethodException e2) {
            android.util.Slog.e("HwOEMInfoAdapter", "writeByteArrayToOeminfo method not found in class com.huawei.android.os.HwOemInfoCustEx");
            return 0;
        } catch (java.lang.IllegalAccessException e3) {
            android.util.Slog.e("HwOEMInfoAdapter", "IllegalAccessException has been thrown while trying to invode writeByteArrayToOeminfo");
            return 0;
        } catch (java.lang.reflect.InvocationTargetException e4) {
            android.util.Slog.e("HwOEMInfoAdapter", "InvocationTargetException has been thrown while trying to invode writeByteArrayToOeminfo");
            return 0;
        }
    }

    public static java.lang.String getISBNOrSN(int id) {
        android.util.Slog.e("HwOEMInfoAdapter", "getISBNOrSN has run ");
        try {
            chrClass = java.lang.Class.forName("com.huawei.android.os.HwDeviceInfoCustEx");
            return (java.lang.String) chrClass.getMethod("getISBNOrSN", new java.lang.Class[]{java.lang.Integer.TYPE}).invoke(null, new java.lang.Object[]{java.lang.Integer.valueOf(id)});
        } catch (java.lang.ClassNotFoundException e) {
            android.util.Slog.e("HwOEMInfoAdapter", "Unable to find class com.huawei.android.os.HwDeviceInfoCustEx");
            return null;
        } catch (java.lang.NoSuchMethodException e2) {
            android.util.Slog.e("HwOEMInfoAdapter", "getISBNOrSN method not found in class com.huawei.android.os.HwOemInfoCustEx");
            return null;
        } catch (java.lang.IllegalAccessException e3) {
            android.util.Slog.e("HwOEMInfoAdapter", "IllegalAccessException has been thrown while trying to invode getISBNOrSN");
            return null;
        } catch (java.lang.reflect.InvocationTargetException e4) {
            android.util.Slog.e("HwOEMInfoAdapter", "InvocationTargetException has been thrown while trying to invode getISBNOrSN");
            return null;
        }
    }
}
