package com.android.server.security.deviceusage;

public class HwOEMInfoUtil {
    private static final java.lang.String CHR_OEMINFO_CLASS = "com.huawei.android.os.HwOemInfoCustEx";
    private static final int OEMINFO_ACTIVATION_STATUS_ID = 136;
    private static final int OEMINFO_ACTIVATION_STATUS_SIZE = 1;
    private static final byte STATUS_ACTIVATED = (byte) -84;
    private static final java.lang.String TAG = "HwCCOEM";

    public static boolean getActivationStatus() {
        boolean z = true;
        byte[] oEMData = getByteArrayFromOeminfo(136, 1);
        if (oEMData != null) {
            if (oEMData.length >= 1) {
                if ((byte) -84 != oEMData[0]) {
                    z = false;
                }
                return z;
            }
        }
        android.util.Slog.e("HwCCOEM", "get OEMINFO error");
        return false;
    }

    public static void setActivated() {
        writeByteArrayToOeminfo(136, 1, new byte[]{(byte) -84});
    }

    public static void resetActivation() {
        writeByteArrayToOeminfo(136, 1, new byte[]{(byte) -69});
    }

    private static byte[] getByteArrayFromOeminfo(int type, int sizeOf) {
        byte[] rst = null;
        try {
            rst = (byte[]) java.lang.Class.forName("com.huawei.android.os.HwOemInfoCustEx").getMethod("getByteArrayFromOeminfo", new java.lang.Class[]{java.lang.Integer.TYPE, java.lang.Integer.TYPE}).invoke(null, new java.lang.Object[]{java.lang.Integer.valueOf(type), java.lang.Integer.valueOf(sizeOf)});
        } catch (java.lang.ClassNotFoundException e) {
            android.util.Slog.w("HwCCOEM", "Unable to find class");
        } catch (java.lang.NoSuchMethodException e2) {
            android.util.Slog.w("HwCCOEM", "Method getByteArrayFromOeminfo not found");
        } catch (java.lang.IllegalAccessException e3) {
            android.util.Slog.w("HwCCOEM", "Method getByteArrayFromOeminfo access illegally");
        } catch (java.lang.reflect.InvocationTargetException e4) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Method getByteArrayFromOeminfo exception:");
            stringBuilder.append(e4.getMessage());
            android.util.Slog.w("HwCCOEM", stringBuilder.toString());
        }
        return rst;
    }

    private static int writeByteArrayToOeminfo(int type, int sizeOf, byte[] mByte) {
        int rst = -1;
        try {
            rst = ((java.lang.Integer) java.lang.Class.forName("com.huawei.android.os.HwOemInfoCustEx").getMethod("writeByteArrayToOeminfo", new java.lang.Class[]{java.lang.Integer.TYPE, java.lang.Integer.TYPE, byte[].class}).invoke(null, new java.lang.Object[]{java.lang.Integer.valueOf(type), java.lang.Integer.valueOf(sizeOf), mByte})).intValue();
        } catch (java.lang.ClassNotFoundException e) {
            android.util.Slog.w("HwCCOEM", "Unable to find class");
        } catch (java.lang.NoSuchMethodException e2) {
            android.util.Slog.w("HwCCOEM", "Method writeByteArrayToOeminfo not found");
        } catch (java.lang.IllegalAccessException e3) {
            android.util.Slog.w("HwCCOEM", "Method writeByteArrayToOeminfo access illegally");
        } catch (java.lang.reflect.InvocationTargetException e4) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Method writeByteArrayToOeminfo exception:");
            stringBuilder.append(e4.getMessage());
            android.util.Slog.w("HwCCOEM", stringBuilder.toString());
        }
        return rst;
    }
}
