package com.android.server.security.eidservice;

public class HwEidPlugin extends huawei.android.security.IHwEidPlugin.Stub implements com.android.server.security.core.IHwSecurityPlugin {
    public static final java.lang.Object BINDLOCK = new java.lang.Object();
    public static final com.android.server.security.core.IHwSecurityPlugin.Creator CREATOR = new com.android.server.security.core.IHwSecurityPlugin.Creator() {
        public com.android.server.security.core.IHwSecurityPlugin createPlugin(android.content.Context context) {
            if (com.android.server.security.eidservice.HwEidPlugin.HW_DEBUG) {
                android.util.Log.d("HwEidPlugin", "create HwEidPlugin");
            }
            return new com.android.server.security.eidservice.HwEidPlugin(context);
        }

        public java.lang.String getPluginPermission() {
            return "huawei.android.permission.EID_PERMISSION";
        }
    };
    private static final java.lang.String EID_HIDL_SERVICE_NAME = "eid";
    private static final java.lang.String EID_MANAGER_PERMISSION = "huawei.android.permission.EID_PERMISSION";
    private static final java.lang.String EID_VERSION = "1.0";
    private static final int ENCRY_SET_SECMODE = 3;
    private static final boolean HW_DEBUG;
    private static final int INPUT_MAX_TRANSPOT_LEN = 153600;
    private static final int INPUT_TRANSPOT_TIMES = 3;
    private static final int MAX_EID_HIDL_DEAMON_REGISTER_TIMES = 10;
    private static final int MSG_EID_HIDL_DEAMON_SERVIE_REGISTER = 1;
    private static final int OUTPUT_MAX_TRANSPOT_LEN = 163840;
    private static final int OUTPUT_TRANSPOT_TIMES = 3;
    private static final int RET_DEFAULT_ERROR_VALUE = -1001;
    private static final int RET_EID_HIDL_DEAMON_IS_NOT_READY = -1000;
    private static final int RET_EXCEPTION_WHEN_EID_CALL = -1002;
    private static final java.lang.String TAG = "HwEidPlugin";
    private static final int TRY_GET_HIDL_DEAMON_DEALY_MILLIS = 1000;
    private int HWEidGetCertificateRequestMessageRetValue = -1001;
    private int HWEidGetFaceIsChangedRetValue = -1001;
    private int HWEidGetIdentityInformationRetValue = -1001;
    private int HWEidGetImageRetValue = -1001;
    private int HWEidGetInfoSignRetValue = -1001;
    private int HWEidGetUnsecImageRetValue = -1001;
    private android.content.Context mContext = null;
    private vendor.huawei.hardware.eid.V1_0.IEid mEid;
    private android.os.IHwBinder.DeathRecipient mEidHidlDeamonDeathRecipient = new android.os.IHwBinder.DeathRecipient() {
        public void serviceDied(long cookie) {
            if (com.android.server.security.eidservice.HwEidPlugin.this.mHwEidHidlHandler != null) {
                android.util.Log.e("HwEidPlugin", "eid hidl deamon service has died, try to reconnect it later.");
                com.android.server.security.eidservice.HwEidPlugin.this.mEid = null;
                com.android.server.security.eidservice.HwEidPlugin.this.mHwEidHidlHandler.sendEmptyMessageDelayed(1, 1000);
            }
        }
    };
    private int mEidHidlDeamonRegisterTryTimes = 0;
    private com.android.server.security.eidservice.HwEidPlugin.HwEidHidlHandler mHwEidHidlHandler;
    private android.os.HandlerThread mHwEidThread;

    private final class HwEidHidlHandler extends android.os.Handler {
        public HwEidHidlHandler(android.os.Looper looper) {
            super(looper);
        }

        public void handleMessage(android.os.Message msg) {
            if (msg.what != 1) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("handler thread received unknown message : ");
                stringBuilder.append(msg.what);
                android.util.Log.e("HwEidPlugin", stringBuilder.toString());
                return;
            }
            try {
                com.android.server.security.eidservice.HwEidPlugin.this.mEid = vendor.huawei.hardware.eid.V1_0.IEid.getService("eid");
            } catch (java.lang.Exception e) {
                android.util.Log.e("HwEidPlugin", "Try get eid hidl deamon servcie failed in handler message.");
            }
            if (com.android.server.security.eidservice.HwEidPlugin.this.mEid != null) {
                com.android.server.security.eidservice.HwEidPlugin.this.mEidHidlDeamonRegisterTryTimes = 0;
                try {
                    com.android.server.security.eidservice.HwEidPlugin.this.mEid.linkToDeath(com.android.server.security.eidservice.HwEidPlugin.this.mEidHidlDeamonDeathRecipient, 0);
                } catch (java.lang.Exception e2) {
                    android.util.Log.e("HwEidPlugin", "Exception occured when linkToDeath in handle message");
                }
            } else {
                com.android.server.security.eidservice.HwEidPlugin.this.mEidHidlDeamonRegisterTryTimes = com.android.server.security.eidservice.HwEidPlugin.this.mEidHidlDeamonRegisterTryTimes + 1;
                if (com.android.server.security.eidservice.HwEidPlugin.this.mEidHidlDeamonRegisterTryTimes < 10) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("eid hidl daemon service is not ready, try times : ");
                    stringBuilder2.append(com.android.server.security.eidservice.HwEidPlugin.this.mEidHidlDeamonRegisterTryTimes);
                    android.util.Log.e("HwEidPlugin", stringBuilder2.toString());
                    com.android.server.security.eidservice.HwEidPlugin.this.mHwEidHidlHandler.sendEmptyMessageDelayed(1, 1000);
                } else {
                    android.util.Log.e("HwEidPlugin", "eid hidl daemon service connection failed.");
                }
            }
            if (com.android.server.security.eidservice.HwEidPlugin.HW_DEBUG) {
                android.util.Log.d("HwEidPlugin", "handler thread received request eid hidl deamon message.");
            }
        }
    }

    static {
        boolean z;
        if (!(android.os.SystemProperties.get("ro.secure", "1").equals("0") || android.util.Log.HWINFO)) {
            if (!android.util.Log.HWModuleLog || !android.util.Log.isLoggable("HwEidPlugin", 4)) {
                z = false;
                HW_DEBUG = z;
            }
        }
        z = true;
        HW_DEBUG = z;
    }

    public HwEidPlugin(android.content.Context context) {
        this.mContext = context;
    }

    public android.os.IBinder asBinder() {
        checkPermission("huawei.android.permission.EID_PERMISSION");
        return this;
    }

    public void onStart() {
        if (HW_DEBUG) {
            android.util.Log.d("HwEidPlugin", "HwEidPlugin start");
        }
        this.mHwEidThread = new android.os.HandlerThread("HwEidPlugin");
        this.mHwEidThread.start();
        this.mHwEidHidlHandler = new com.android.server.security.eidservice.HwEidPlugin.HwEidHidlHandler(this.mHwEidThread.getLooper());
    }

    public void onStop() {
        if (this.mHwEidHidlHandler != null) {
            this.mHwEidHidlHandler = null;
        }
        if (this.mHwEidThread != null) {
            this.mHwEidThread.quitSafely();
            this.mHwEidThread = null;
        }
        try {
            if (HW_DEBUG) {
                android.util.Log.d("HwEidPlugin", "close HwEidPlugin");
            }
        } catch (java.lang.UnsatisfiedLinkError e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("stop error");
            stringBuilder.append(e.toString());
            android.util.Log.e("HwEidPlugin", stringBuilder.toString());
        }
    }

    private void checkPermission(java.lang.String permission) {
        android.content.Context context = this.mContext;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Must have ");
        stringBuilder.append(permission);
        stringBuilder.append(" permission.");
        context.enforceCallingOrSelfPermission(permission, stringBuilder.toString());
    }

    private int minArrayLen(int arrLenA, int arrLenB) {
        return arrLenA > arrLenB ? arrLenB : arrLenA;
    }

    public int eid_init(byte[] hw_aid, int hw_aid_len, byte[] eid_aid, int eid_aid_len, byte[] logo, int logo_size) {
        int ret;
        java.lang.StringBuilder stringBuilder;
        checkPermission("huawei.android.permission.EID_PERMISSION");
        boolean hidlServiceErr = false;
        vendor.huawei.hardware.eid.V1_0.INIT_TA_MSG_S input = new vendor.huawei.hardware.eid.V1_0.INIT_TA_MSG_S();
        input.hw_aid_len = hw_aid_len;
        input.eid_aid_len = eid_aid_len;
        input.logo_size = logo_size;
        if (hw_aid != null) {
            java.lang.System.arraycopy(hw_aid, 0, input.hw_aid, 0, minArrayLen(hw_aid.length, input.hw_aid.length));
        }
        if (eid_aid != null) {
            java.lang.System.arraycopy(eid_aid, 0, input.eid_aid, 0, minArrayLen(eid_aid.length, input.eid_aid.length));
        }
        if (logo != null) {
            java.lang.System.arraycopy(logo, 0, input.eid_logo, 0, minArrayLen(logo.length, input.eid_logo.length));
        }
        if (this.mEid == null) {
            try {
                this.mEid = vendor.huawei.hardware.eid.V1_0.IEid.getService("eid");
            } catch (java.lang.Exception e) {
                android.util.Log.e("HwEidPlugin", "Try get mEid hidl deamon servcie failed");
                hidlServiceErr = true;
            }
            if (!hidlServiceErr) {
                try {
                    this.mEid.linkToDeath(this.mEidHidlDeamonDeathRecipient, 0);
                } catch (java.lang.Exception e2) {
                    android.util.Log.e("HwEidPlugin", "Exception occured when linkToDeath in handle message");
                }
            }
        }
        if (this.mEid != null) {
            try {
                ret = this.mEid.HWEidInitTa(input);
                if (HW_DEBUG) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("eid init ret : ");
                    stringBuilder.append(ret);
                    android.util.Log.d("HwEidPlugin", stringBuilder.toString());
                }
            } catch (android.os.RemoteException e3) {
                android.util.Log.e("HwEidPlugin", "eid init from hidl failed.");
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("RemoteException e:");
                stringBuilder2.append(e3);
                android.util.Log.e("HwEidPlugin", stringBuilder2.toString());
                return -1002;
            }
        }
        ret = -1000;
        this.mHwEidHidlHandler.sendEmptyMessageDelayed(1, 1000);
        android.util.Log.e("HwEidPlugin", "eid hidl deamon is not ready when eid init");
        if (HW_DEBUG) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("eid init from mEid hidl ret : ");
            stringBuilder.append(ret);
            android.util.Log.d("HwEidPlugin", stringBuilder.toString());
        }
        return ret;
    }

    public int eid_finish() {
        int ret;
        java.lang.StringBuilder stringBuilder;
        checkPermission("huawei.android.permission.EID_PERMISSION");
        if (this.mEid == null) {
            try {
                this.mEid = vendor.huawei.hardware.eid.V1_0.IEid.getService("eid");
            } catch (java.lang.Exception e) {
                android.util.Log.e("HwEidPlugin", "Try get mEid hidl deamon servcie failed");
            }
        }
        if (this.mEid != null) {
            try {
                ret = this.mEid.HWEidFiniTa();
                if (HW_DEBUG) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("eid finish ta ret : ");
                    stringBuilder.append(ret);
                    android.util.Log.d("HwEidPlugin", stringBuilder.toString());
                }
            } catch (android.os.RemoteException e2) {
                android.util.Log.e("HwEidPlugin", "eid finish from mEid hidl failed.");
                return -1002;
            }
        }
        ret = -1000;
        this.mHwEidHidlHandler.sendEmptyMessageDelayed(1, 1000);
        android.util.Log.e("HwEidPlugin", "eid hidl deamon is not ready when eid finish");
        if (HW_DEBUG) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("eid finish from mEid hidl ret : ");
            stringBuilder.append(ret);
            android.util.Log.d("HwEidPlugin", stringBuilder.toString());
        }
        return ret;
    }

    /* JADX WARNING: Removed duplicated region for block: B:33:0x009b  */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x0098  */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x00b7  */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x0098  */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x009b  */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x00b7  */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x009b  */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x0098  */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x00b7  */
    public int eid_get_image(int r18, int r19, byte[] r20, int r21, byte[] r22, int[] r23, byte[] r24, int[] r25) {
        /*
        r17 = this;
        r9 = r17;
        r10 = r20;
        r0 = "huawei.android.permission.EID_PERMISSION";
        r9.checkPermission(r0);
        r11 = 0;
        r12 = -1001; // 0xfffffffffffffc17 float:NaN double:NaN;
        r0 = r9.mEid;
        if (r0 != 0) goto L_0x0021;
    L_0x0010:
        r0 = "eid";
        r0 = vendor.huawei.hardware.eid.V1_0.IEid.getService(r0);	 Catch:{ Exception -> 0x0019 }
        r9.mEid = r0;	 Catch:{ Exception -> 0x0019 }
        goto L_0x0021;
    L_0x0019:
        r0 = move-exception;
        r1 = "HwEidPlugin";
        r2 = "Try get mEid hidl deamon servcie failed";
        android.util.Log.e(r1, r2);
    L_0x0021:
        r0 = r9.mEid;
        if (r0 == 0) goto L_0x009e;
    L_0x0025:
        r0 = new vendor.huawei.hardware.eid.V1_0.ENCRYPTION_FACTOR_S;	 Catch:{ RemoteException -> 0x0079 }
        r0.<init>();	 Catch:{ RemoteException -> 0x0079 }
        r13 = r0;
        r14 = r19;
        r13.encryptionMethod = r14;	 Catch:{ RemoteException -> 0x0077 }
        r15 = r21;
        r13.certificateLen = r15;	 Catch:{ RemoteException -> 0x0075 }
        r8 = r18;
        r13.splitTimes = r8;	 Catch:{ RemoteException -> 0x0075 }
        if (r10 == 0) goto L_0x0047;
    L_0x0039:
        r0 = r13.certificate;	 Catch:{ RemoteException -> 0x0075 }
        r1 = r10.length;	 Catch:{ RemoteException -> 0x0075 }
        r2 = r13.certificate;	 Catch:{ RemoteException -> 0x0075 }
        r2 = r2.length;	 Catch:{ RemoteException -> 0x0075 }
        r1 = r9.minArrayLen(r1, r2);	 Catch:{ RemoteException -> 0x0075 }
        r2 = 0;
        java.lang.System.arraycopy(r10, r2, r0, r2, r1);	 Catch:{ RemoteException -> 0x0075 }
    L_0x0047:
        r0 = r9.mEid;	 Catch:{ RemoteException -> 0x0075 }
        r7 = new com.android.server.security.eidservice.HwEidPlugin$3;	 Catch:{ RemoteException -> 0x0075 }
        r1 = r7;
        r2 = r9;
        r3 = r14;
        r4 = r22;
        r5 = r13;
        r6 = r24;
        r10 = r7;
        r7 = r23;
        r8 = r25;
        r1.<init>(r3, r4, r5, r6, r7, r8);	 Catch:{ RemoteException -> 0x0075 }
        r0.HWEidGetImage(r13, r10);	 Catch:{ RemoteException -> 0x0075 }
        r0 = "eid";
        r0 = vendor.huawei.hardware.eid.V1_0.IEid.getService(r0);	 Catch:{ Exception -> 0x006c }
        r1 = "HwEidPlugin";
        r2 = "eid get image release binder memory.";
        android.util.Log.d(r1, r2);	 Catch:{ Exception -> 0x006c }
        goto L_0x0074;
    L_0x006c:
        r0 = move-exception;
        r1 = "HwEidPlugin";
        r2 = "eid get image release binder memory fail.";
        android.util.Log.e(r1, r2);	 Catch:{ RemoteException -> 0x0075 }
    L_0x0074:
        goto L_0x0096;
    L_0x0075:
        r0 = move-exception;
        goto L_0x007e;
    L_0x0077:
        r0 = move-exception;
        goto L_0x007c;
    L_0x0079:
        r0 = move-exception;
        r14 = r19;
    L_0x007c:
        r15 = r21;
    L_0x007e:
        r1 = 1;
        r2 = "HwEidPlugin";
        r3 = new java.lang.StringBuilder;
        r3.<init>();
        r4 = "eid get image from mEid hidl failed.";
        r3.append(r4);
        r3.append(r0);
        r3 = r3.toString();
        android.util.Log.e(r2, r3);
        r11 = r1;
    L_0x0096:
        if (r11 == 0) goto L_0x009b;
    L_0x0098:
        r0 = -1002; // 0xfffffffffffffc16 float:NaN double:NaN;
        goto L_0x009d;
    L_0x009b:
        r0 = r9.HWEidGetImageRetValue;
    L_0x009d:
        goto L_0x00b3;
    L_0x009e:
        r14 = r19;
        r15 = r21;
        r0 = -1000; // 0xfffffffffffffc18 float:NaN double:NaN;
        r1 = r9.mHwEidHidlHandler;
        r2 = 1;
        r3 = 1000; // 0x3e8 float:1.401E-42 double:4.94E-321;
        r1.sendEmptyMessageDelayed(r2, r3);
        r1 = "HwEidPlugin";
        r2 = "mEid hidl deamon is not ready when eid get image";
        android.util.Log.e(r1, r2);
    L_0x00b3:
        r1 = HW_DEBUG;
        if (r1 == 0) goto L_0x00cd;
    L_0x00b7:
        r1 = "HwEidPlugin";
        r2 = new java.lang.StringBuilder;
        r2.<init>();
        r3 = "eid get image from mEid hidl ret : ";
        r2.append(r3);
        r2.append(r0);
        r2 = r2.toString();
        android.util.Log.d(r1, r2);
    L_0x00cd:
        return r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.security.eidservice.HwEidPlugin.eid_get_image(int, int, byte[], int, byte[], int[], byte[], int[]):int");
    }

    /* JADX WARNING: Removed duplicated region for block: B:51:0x00ca  */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x00c7  */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x00c7  */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x00ca  */
    /* JADX WARNING: Removed duplicated region for block: B:56:0x00e4  */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x00ca  */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x00c7  */
    /* JADX WARNING: Removed duplicated region for block: B:56:0x00e4  */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x00c7  */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x00ca  */
    /* JADX WARNING: Removed duplicated region for block: B:56:0x00e4  */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x00ca  */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x00c7  */
    /* JADX WARNING: Removed duplicated region for block: B:56:0x00e4  */
    public int eid_get_unsec_image(byte[] r18, int r19, int r20, int r21, byte[] r22, int r23, byte[] r24, int[] r25, byte[] r26, int[] r27) {
        /*
        r17 = this;
        r8 = r17;
        r9 = r18;
        r10 = r22;
        r0 = "huawei.android.permission.EID_PERMISSION";
        r8.checkPermission(r0);
        r11 = 0;
        r12 = -1001; // 0xfffffffffffffc17 float:NaN double:NaN;
        r0 = r8.mEid;
        if (r0 != 0) goto L_0x0023;
    L_0x0012:
        r0 = "eid";
        r0 = vendor.huawei.hardware.eid.V1_0.IEid.getService(r0);	 Catch:{ Exception -> 0x001b }
        r8.mEid = r0;	 Catch:{ Exception -> 0x001b }
        goto L_0x0023;
    L_0x001b:
        r0 = move-exception;
        r1 = "HwEidPlugin";
        r2 = "Try get mEid hidl deamon servcie failed";
        android.util.Log.e(r1, r2);
    L_0x0023:
        r0 = r8.mEid;
        if (r0 == 0) goto L_0x00cd;
    L_0x0027:
        r0 = new vendor.huawei.hardware.eid.V1_0.IMAGE_CONTAINER_S;	 Catch:{ RemoteException -> 0x00b9 }
        r0.<init>();	 Catch:{ RemoteException -> 0x00b9 }
        r13 = r0;
        r0 = new vendor.huawei.hardware.eid.V1_0.ENCRYPTION_FACTOR_S;	 Catch:{ RemoteException -> 0x00b9 }
        r0.<init>();	 Catch:{ RemoteException -> 0x00b9 }
        r14 = r0;
        r15 = r20;
        r14.splitTimes = r15;	 Catch:{ RemoteException -> 0x00b7 }
        r0 = r14.splitTimes;	 Catch:{ RemoteException -> 0x00b7 }
        r1 = 3;
        r2 = 0;
        if (r0 >= r1) goto L_0x0053;
    L_0x003d:
        if (r9 == 0) goto L_0x004c;
    L_0x003f:
        r0 = r13.image;	 Catch:{ RemoteException -> 0x00b7 }
        r1 = r9.length;	 Catch:{ RemoteException -> 0x00b7 }
        r3 = r13.image;	 Catch:{ RemoteException -> 0x00b7 }
        r3 = r3.length;	 Catch:{ RemoteException -> 0x00b7 }
        r1 = r8.minArrayLen(r1, r3);	 Catch:{ RemoteException -> 0x00b7 }
        java.lang.System.arraycopy(r9, r2, r0, r2, r1);	 Catch:{ RemoteException -> 0x00b7 }
    L_0x004c:
        r7 = r19;
        r6 = r21;
        r5 = r23;
        goto L_0x008a;
    L_0x0053:
        r0 = r14.splitTimes;	 Catch:{ RemoteException -> 0x00b7 }
        if (r0 != r1) goto L_0x004c;
    L_0x0057:
        r7 = r19;
        r13.len = r7;	 Catch:{ RemoteException -> 0x0084 }
        if (r9 == 0) goto L_0x006a;
    L_0x005d:
        r0 = r13.image;	 Catch:{ RemoteException -> 0x00b7 }
        r1 = r9.length;	 Catch:{ RemoteException -> 0x00b7 }
        r3 = r13.image;	 Catch:{ RemoteException -> 0x00b7 }
        r3 = r3.length;	 Catch:{ RemoteException -> 0x00b7 }
        r1 = r8.minArrayLen(r1, r3);	 Catch:{ RemoteException -> 0x00b7 }
        java.lang.System.arraycopy(r9, r2, r0, r2, r1);	 Catch:{ RemoteException -> 0x00b7 }
    L_0x006a:
        if (r10 == 0) goto L_0x0079;
    L_0x006c:
        r0 = r14.certificate;	 Catch:{ RemoteException -> 0x00b7 }
        r1 = r10.length;	 Catch:{ RemoteException -> 0x00b7 }
        r3 = r14.certificate;	 Catch:{ RemoteException -> 0x00b7 }
        r3 = r3.length;	 Catch:{ RemoteException -> 0x00b7 }
        r1 = r8.minArrayLen(r1, r3);	 Catch:{ RemoteException -> 0x00b7 }
        java.lang.System.arraycopy(r10, r2, r0, r2, r1);	 Catch:{ RemoteException -> 0x00b7 }
    L_0x0079:
        r6 = r21;
        r14.encryptionMethod = r6;	 Catch:{ RemoteException -> 0x0082 }
        r5 = r23;
        r14.certificateLen = r5;	 Catch:{ RemoteException -> 0x00b7 }
        goto L_0x008a;
    L_0x0082:
        r0 = move-exception;
        goto L_0x0087;
    L_0x0084:
        r0 = move-exception;
        r6 = r21;
    L_0x0087:
        r5 = r23;
        goto L_0x00bc;
    L_0x008a:
        r0 = r8.mEid;	 Catch:{ RemoteException -> 0x00b7 }
        r4 = new com.android.server.security.eidservice.HwEidPlugin$4;	 Catch:{ RemoteException -> 0x00b7 }
        r1 = r4;
        r2 = r8;
        r3 = r14;
        r9 = r4;
        r4 = r26;
        r5 = r25;
        r6 = r27;
        r7 = r24;
        r1.<init>(r3, r4, r5, r6, r7);	 Catch:{ RemoteException -> 0x00b7 }
        r0.HWEidGetUnsecImage(r13, r14, r9);	 Catch:{ RemoteException -> 0x00b7 }
        r0 = "eid";
        r0 = vendor.huawei.hardware.eid.V1_0.IEid.getService(r0);	 Catch:{ Exception -> 0x00ae }
        r1 = "HwEidPlugin";
        r2 = "eid get unsec image release binder memory.";
        android.util.Log.d(r1, r2);	 Catch:{ Exception -> 0x00ae }
        goto L_0x00b6;
    L_0x00ae:
        r0 = move-exception;
        r1 = "HwEidPlugin";
        r2 = "eid get unsec image release binder memory fail.";
        android.util.Log.e(r1, r2);	 Catch:{ RemoteException -> 0x00b7 }
    L_0x00b6:
        goto L_0x00c5;
    L_0x00b7:
        r0 = move-exception;
        goto L_0x00bc;
    L_0x00b9:
        r0 = move-exception;
        r15 = r20;
    L_0x00bc:
        r1 = 1;
        r2 = "HwEidPlugin";
        r3 = "eid get unsec image from mEid hidl failed.";
        android.util.Log.e(r2, r3);
        r11 = r1;
    L_0x00c5:
        if (r11 == 0) goto L_0x00ca;
    L_0x00c7:
        r0 = -1002; // 0xfffffffffffffc16 float:NaN double:NaN;
        goto L_0x00cc;
    L_0x00ca:
        r0 = r8.HWEidGetUnsecImageRetValue;
    L_0x00cc:
        goto L_0x00e0;
    L_0x00cd:
        r15 = r20;
        r0 = -1000; // 0xfffffffffffffc18 float:NaN double:NaN;
        r1 = r8.mHwEidHidlHandler;
        r2 = 1;
        r3 = 1000; // 0x3e8 float:1.401E-42 double:4.94E-321;
        r1.sendEmptyMessageDelayed(r2, r3);
        r1 = "HwEidPlugin";
        r2 = "mEid hidl deamon is not ready when eid get unsec image";
        android.util.Log.e(r1, r2);
    L_0x00e0:
        r1 = HW_DEBUG;
        if (r1 == 0) goto L_0x00fa;
    L_0x00e4:
        r1 = "HwEidPlugin";
        r2 = new java.lang.StringBuilder;
        r2.<init>();
        r3 = "eid get unsec image from mEid hidl ret : ";
        r2.append(r3);
        r2.append(r0);
        r2 = r2.toString();
        android.util.Log.d(r1, r2);
    L_0x00fa:
        return r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.security.eidservice.HwEidPlugin.eid_get_unsec_image(byte[], int, int, int, byte[], int, byte[], int[], byte[], int[]):int");
    }

    public int eid_get_certificate_request_message(final byte[] request_message, final int[] message_len) {
        int ret;
        checkPermission("huawei.android.permission.EID_PERMISSION");
        boolean hasExecption = false;
        vendor.huawei.hardware.eid.V1_0.CERTIFICATE_REQUEST_MESSAGE_INPUT_INFO_S input = new vendor.huawei.hardware.eid.V1_0.CERTIFICATE_REQUEST_MESSAGE_INPUT_INFO_S();
        if (this.mEid == null) {
            try {
                this.mEid = vendor.huawei.hardware.eid.V1_0.IEid.getService("eid");
            } catch (java.lang.Exception e) {
                android.util.Log.e("HwEidPlugin", "Try get mEid hidl deamon servcie failed");
            }
        }
        if (this.mEid != null) {
            try {
                this.mEid.HWEidGetCertificateRequestMessage(input, new vendor.huawei.hardware.eid.V1_0.IEid.HWEidGetCertificateRequestMessageCallback() {
                    public void onValues(int HWEidGetCertificateRequestMessageRet, vendor.huawei.hardware.eid.V1_0.CERTIFICATE_REQUEST_MESSAGE_S certReqMsg) {
                        java.lang.StringBuilder stringBuilder;
                        if (HWEidGetCertificateRequestMessageRet == 0) {
                            java.lang.System.arraycopy(certReqMsg.message, 0, request_message, 0, com.android.server.security.eidservice.HwEidPlugin.this.minArrayLen(certReqMsg.len, request_message.length));
                            message_len[0] = certReqMsg.len;
                            if (com.android.server.security.eidservice.HwEidPlugin.HW_DEBUG) {
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("eid get certificate request message message len : ");
                                stringBuilder.append(message_len[0]);
                                stringBuilder.append(" certReqMsg len:");
                                stringBuilder.append(certReqMsg.len);
                                android.util.Log.d("HwEidPlugin", stringBuilder.toString());
                            }
                        }
                        com.android.server.security.eidservice.HwEidPlugin.this.HWEidGetCertificateRequestMessageRetValue = HWEidGetCertificateRequestMessageRet;
                        if (com.android.server.security.eidservice.HwEidPlugin.HW_DEBUG) {
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("eid get certificate request message HWEidGetCertificateRequestMessageRetValue : ");
                            stringBuilder.append(com.android.server.security.eidservice.HwEidPlugin.this.HWEidGetCertificateRequestMessageRetValue);
                            stringBuilder.append(" HWEidGetCertificateRequestMessageRet:");
                            stringBuilder.append(HWEidGetCertificateRequestMessageRet);
                            android.util.Log.d("HwEidPlugin", stringBuilder.toString());
                        }
                    }
                });
            } catch (android.os.RemoteException e2) {
                hasExecption = true;
                android.util.Log.e("HwEidPlugin", "eid get certificate request message from mEid hidl failed.");
            }
            ret = hasExecption ? -1002 : this.HWEidGetCertificateRequestMessageRetValue;
        } else {
            ret = -1000;
            this.mHwEidHidlHandler.sendEmptyMessageDelayed(1, 1000);
            android.util.Log.e("HwEidPlugin", "mEid hidl deamon is not ready when eid get certificate request message");
        }
        if (HW_DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("eid get certificate request message from mEid hidl ret : ");
            stringBuilder.append(ret);
            android.util.Log.d("HwEidPlugin", stringBuilder.toString());
        }
        return ret;
    }

    public int eid_sign_info(int transpotCounter, int encryption_method, byte[] info, int info_len, final byte[] sign, final int[] sign_len) {
        int ret;
        checkPermission("huawei.android.permission.EID_PERMISSION");
        boolean hasExecption = false;
        android.util.Log.d("HwEidPlugin", "eid_sign_begin");
        if (this.mEid == null) {
            try {
                this.mEid = vendor.huawei.hardware.eid.V1_0.IEid.getService("eid");
            } catch (java.lang.Exception e) {
                android.util.Log.e("HwEidPlugin", "Try get mEid hidl deamon servcie failed");
            }
        }
        if (this.mEid != null) {
            try {
                final vendor.huawei.hardware.eid.V1_0.INFO_SIGN_INPUT_INFO_S input = new vendor.huawei.hardware.eid.V1_0.INFO_SIGN_INPUT_INFO_S();
                input.encryptionMethod = encryption_method;
                input.infoLen = info_len;
                input.splitTimes = transpotCounter;
                if (info != null) {
                    java.lang.System.arraycopy(info, 0, input.info, 0, minArrayLen(info.length, input.info.length));
                }
                this.mEid.HWEidGetInfoSign(input, new vendor.huawei.hardware.eid.V1_0.IEid.HWEidGetInfoSignCallback() {
                    public void onValues(int HWEidGetInfoSignRet, vendor.huawei.hardware.eid.V1_0.INFO_SIGN_OUTPUT_INFO_S output) {
                        java.lang.StringBuilder stringBuilder;
                        if (HWEidGetInfoSignRet == 0) {
                            if (1 == input.splitTimes && sign_len != null) {
                                sign_len[0] = output.infoLen;
                            }
                            if (sign != null) {
                                java.lang.System.arraycopy(output.signInfo, 0, sign, 0, com.android.server.security.eidservice.HwEidPlugin.this.minArrayLen(output.signInfo.length, sign.length));
                            }
                        }
                        if (com.android.server.security.eidservice.HwEidPlugin.HW_DEBUG) {
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("eid sign info call counter: ");
                            stringBuilder.append(input.splitTimes);
                            android.util.Log.d("HwEidPlugin", stringBuilder.toString());
                        }
                        com.android.server.security.eidservice.HwEidPlugin.this.HWEidGetInfoSignRetValue = HWEidGetInfoSignRet;
                        if (com.android.server.security.eidservice.HwEidPlugin.HW_DEBUG) {
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("eid sign info HWEidGetInfoSignRetValue : ");
                            stringBuilder.append(com.android.server.security.eidservice.HwEidPlugin.this.HWEidGetInfoSignRetValue);
                            stringBuilder.append(" HWEidGetInfoSignRet:");
                            stringBuilder.append(HWEidGetInfoSignRet);
                            android.util.Log.d("HwEidPlugin", stringBuilder.toString());
                        }
                    }
                });
            } catch (android.os.RemoteException e2) {
                hasExecption = true;
                android.util.Log.e("HwEidPlugin", "eid sign info from mEid hidl failed.");
            }
            ret = hasExecption ? -1002 : this.HWEidGetInfoSignRetValue;
        } else {
            ret = -1000;
            this.mHwEidHidlHandler.sendEmptyMessageDelayed(1, 1000);
            android.util.Log.e("HwEidPlugin", "mEid hidl deamon is not ready when eid sign info");
        }
        if (HW_DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("eid sign info from mEid hidl ret : ");
            stringBuilder.append(ret);
            android.util.Log.d("HwEidPlugin", stringBuilder.toString());
        }
        return ret;
    }

    public int eid_get_identity_information(final byte[] identity_info, final int[] identity_info_len) {
        int ret;
        checkPermission("huawei.android.permission.EID_PERMISSION");
        boolean hasExecption = false;
        vendor.huawei.hardware.eid.V1_0.IDENTITY_INFORMATION_INPUT_INFO_S input = new vendor.huawei.hardware.eid.V1_0.IDENTITY_INFORMATION_INPUT_INFO_S();
        if (this.mEid == null) {
            try {
                this.mEid = vendor.huawei.hardware.eid.V1_0.IEid.getService("eid");
            } catch (java.lang.Exception e) {
                android.util.Log.e("HwEidPlugin", "Try get mEid hidl deamon servcie failed");
            }
        }
        if (this.mEid != null) {
            try {
                this.mEid.HWEidGetIdentityInformation(input, new vendor.huawei.hardware.eid.V1_0.IEid.HWEidGetIdentityInformationCallback() {
                    public void onValues(int HWEidGetIdentityInformationRet, vendor.huawei.hardware.eid.V1_0.IDENTITY_INFORMATION_S idInfo) {
                        if (HWEidGetIdentityInformationRet == 0) {
                            if (identity_info != null) {
                                java.lang.System.arraycopy(idInfo.info, 0, identity_info, 0, com.android.server.security.eidservice.HwEidPlugin.this.minArrayLen(idInfo.len, identity_info.length));
                            }
                            if (identity_info_len != null) {
                                identity_info_len[0] = idInfo.len;
                            }
                        }
                        com.android.server.security.eidservice.HwEidPlugin.this.HWEidGetIdentityInformationRetValue = HWEidGetIdentityInformationRet;
                        if (com.android.server.security.eidservice.HwEidPlugin.HW_DEBUG) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("eid get identity information HWEidGetIdentityInformationRetValue : ");
                            stringBuilder.append(com.android.server.security.eidservice.HwEidPlugin.this.HWEidGetIdentityInformationRetValue);
                            stringBuilder.append(" HWEidGetIdentityInformationRet:");
                            stringBuilder.append(HWEidGetIdentityInformationRet);
                            android.util.Log.d("HwEidPlugin", stringBuilder.toString());
                        }
                    }
                });
            } catch (android.os.RemoteException e2) {
                hasExecption = true;
                android.util.Log.e("HwEidPlugin", "eid get identity information from mEid hidl failed.");
            }
            ret = hasExecption ? -1002 : this.HWEidGetIdentityInformationRetValue;
        } else {
            ret = -1000;
            this.mHwEidHidlHandler.sendEmptyMessageDelayed(1, 1000);
            android.util.Log.e("HwEidPlugin", "mEid hidl deamon is not ready when eid get identity information");
        }
        if (HW_DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("eid get identity information from mEid hidl ret : ");
            stringBuilder.append(ret);
            android.util.Log.d("HwEidPlugin", stringBuilder.toString());
        }
        return ret;
    }

    public int eid_get_face_is_changed(int cmd_id) {
        int ret;
        checkPermission("huawei.android.permission.EID_PERMISSION");
        boolean hasExecption = false;
        vendor.huawei.hardware.eid.V1_0.FACE_CHANGE_INPUT_INFO_S input = new vendor.huawei.hardware.eid.V1_0.FACE_CHANGE_INPUT_INFO_S();
        input.cmdID = cmd_id;
        if (this.mEid == null) {
            try {
                this.mEid = vendor.huawei.hardware.eid.V1_0.IEid.getService("eid");
            } catch (java.lang.Exception e) {
                android.util.Log.e("HwEidPlugin", "Try get mEid hidl deamon servcie failed");
            }
        }
        if (this.mEid != null) {
            try {
                this.mEid.HWEidGetFaceIsChanged(input, new vendor.huawei.hardware.eid.V1_0.IEid.HWEidGetFaceIsChangedCallback() {
                    public void onValues(int HWEidGetFaceIsChangedRet, vendor.huawei.hardware.eid.V1_0.FACE_CHANGE_OUTPUT_INFO_S output) {
                        com.android.server.security.eidservice.HwEidPlugin.this.HWEidGetFaceIsChangedRetValue = HWEidGetFaceIsChangedRet;
                        if (com.android.server.security.eidservice.HwEidPlugin.HW_DEBUG) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("eid get face is changed HWEidGetFaceIsChangedRetValue : ");
                            stringBuilder.append(com.android.server.security.eidservice.HwEidPlugin.this.HWEidGetFaceIsChangedRetValue);
                            stringBuilder.append(" HWEidGetFaceIsChangedRet:");
                            stringBuilder.append(HWEidGetFaceIsChangedRet);
                            android.util.Log.d("HwEidPlugin", stringBuilder.toString());
                        }
                    }
                });
            } catch (android.os.RemoteException e2) {
                hasExecption = true;
                android.util.Log.e("HwEidPlugin", "eid get face is changed from mEid hidl failed.");
            }
            ret = hasExecption ? -1002 : this.HWEidGetFaceIsChangedRetValue;
        } else {
            ret = -1000;
            this.mHwEidHidlHandler.sendEmptyMessageDelayed(1, 1000);
            android.util.Log.e("HwEidPlugin", "mEid hidl deamon is not ready when eid get face is changed");
        }
        if (HW_DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("eid get face is changed from mEid hidl ret : ");
            stringBuilder.append(ret);
            android.util.Log.d("HwEidPlugin", stringBuilder.toString());
        }
        return ret;
    }

    public java.lang.String eid_get_version() {
        checkPermission("huawei.android.permission.EID_PERMISSION");
        return "1.0";
    }
}
