package com.android.server.security.fileprotect;

class PackStoragePolicy {
    private static final java.lang.String TAG = "PackStoragePolicy";
    public java.lang.String packageName;
    public java.util.List<com.android.server.security.fileprotect.PathPolicy> policies = new java.util.ArrayList();

    PackStoragePolicy() {
    }

    public static java.util.List<com.android.server.security.fileprotect.PackStoragePolicy> parse(android.content.Context context, java.lang.String fname) {
        java.util.ArrayList packPolicyList = new java.util.ArrayList();
        try {
            org.json.JSONObject json = new org.json.JSONObject(readFileString(context, fname));
            org.json.JSONArray packageList = json.getJSONArray("Package");
            int pkgListLen = packageList.length();
            int i = 0;
            while (i < pkgListLen) {
                org.json.JSONObject json2;
                org.json.JSONArray packageList2;
                org.json.JSONObject jsonObj = packageList.getJSONObject(i);
                java.lang.String pack = jsonObj.getString("name");
                com.android.server.security.fileprotect.PackStoragePolicy oneApp = new com.android.server.security.fileprotect.PackStoragePolicy();
                oneApp.packageName = pack;
                if (jsonObj.has("dir")) {
                    org.json.JSONArray dirList = jsonObj.getJSONArray("dir");
                    int dirListLen = dirList.length();
                    int j = 0;
                    while (j < dirListLen) {
                        org.json.JSONObject dirObj = (org.json.JSONObject) dirList.get(j);
                        java.lang.String path = dirObj.getString("name");
                        java.lang.String st = dirObj.getString("StorageType");
                        if ("true".equals(dirObj.getString("traversal"))) {
                            json2 = json;
                            packageList2 = packageList;
                            oneApp.policies.add(new com.android.server.security.fileprotect.PathPolicy(path, st, 17));
                        } else {
                            json2 = json;
                            packageList2 = packageList;
                            oneApp.policies.add(new com.android.server.security.fileprotect.PathPolicy(path, st, 16));
                        }
                        j++;
                        json = json2;
                        packageList = packageList2;
                    }
                }
                json2 = json;
                packageList2 = packageList;
                if (jsonObj.has("file")) {
                    org.json.JSONArray fileList = jsonObj.getJSONArray("file");
                    int fileListLen = fileList.length();
                    for (int j2 = 0; j2 < fileListLen; j2++) {
                        org.json.JSONObject fileObj = (org.json.JSONObject) fileList.get(j2);
                        oneApp.policies.add(new com.android.server.security.fileprotect.PathPolicy(fileObj.getString("name"), fileObj.getString("StorageType"), 0));
                    }
                }
                packPolicyList.add(oneApp);
                i++;
                json = json2;
                packageList = packageList2;
            }
        } catch (org.json.JSONException e) {
            packPolicyList.clear();
            android.util.Slog.e("PackStoragePolicy", e.getMessage());
        }
        return packPolicyList;
    }

    private static java.lang.String readFileString(android.content.Context context, java.lang.String fname) {
        java.lang.StringBuilder builder = new java.lang.StringBuilder();
        java.lang.String reader = null;
        try {
            java.io.BufferedReader reader2 = new java.io.BufferedReader(new java.io.InputStreamReader(context.getAssets().open(fname), "UTF-8"));
            while (true) {
                java.lang.String readLine = reader2.readLine();
                java.lang.String line = readLine;
                if (readLine == null) {
                    break;
                }
                builder.append(line);
            }
            try {
                reader2.close();
            } catch (java.io.IOException e) {
                android.util.Slog.e("PackStoragePolicy", e.getMessage());
            }
        } catch (java.io.IOException e2) {
            android.util.Slog.e("PackStoragePolicy", e2.getMessage());
            if (reader != null) {
                reader.close();
            }
        } catch (Throwable th) {
            if (reader != null) {
                try {
                    reader.close();
                } catch (java.io.IOException e3) {
                    android.util.Slog.e("PackStoragePolicy", e3.getMessage());
                }
            }
        }
        return builder.toString();
    }
}
