package com.android.server.security.hsm;

public class HwAddViewHelper {
    public static final int ACTIVITY_BG_MODE = 4;
    public static final int ACTIVITY_LS_MODE = 8;
    public static final java.lang.String DESC_ACTIVITY_BG_MODE = "ACTIVITY_BACKGROUND_MODE";
    public static final java.lang.String DESC_ACTIVITY_LS_MODE = "ACTIVITY_LOCKSCREEN_MODE";
    public static final java.lang.String DESC_TOAST_MODE = "TOAST_MODE";
    private static final java.lang.String PERMISSION = "com.huawei.permission.HWSYSTEMMANAGER_PLUGIN";
    private static final java.lang.String SYSTEM_ALERT_WINDOW = "android.permission.SYSTEM_ALERT_WINDOW";
    private static final java.lang.String TAG = "HwAddViewHelper";
    public static final int TOAST_MODE = 2;
    private static com.android.server.security.hsm.HwAddViewHelper mHwAddViewHelper = null;
    android.content.Context mContext = null;

    public static final com.android.server.security.hsm.HwAddViewHelper getInstance(android.content.Context context) {
        com.android.server.security.hsm.HwAddViewHelper hwAddViewHelper;
        synchronized (com.android.server.security.hsm.HwAddViewHelper.class) {
            if (mHwAddViewHelper == null) {
                mHwAddViewHelper = new com.android.server.security.hsm.HwAddViewHelper(context);
            }
            hwAddViewHelper = mHwAddViewHelper;
        }
        return hwAddViewHelper;
    }

    private HwAddViewHelper(android.content.Context context) {
        this.mContext = context;
    }

    public boolean addViewPermissionCheck(java.lang.String packageName, int type, int calleruid) {
        return com.android.server.security.hsm.HwAddViewManager.getInstance(this.mContext).addViewPermissionCheck(packageName, type, calleruid);
    }

    private void checkPermission(java.lang.String permission) {
        android.content.Context context = this.mContext;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Must have ");
        stringBuilder.append(permission);
        stringBuilder.append(" permission.");
        context.enforceCallingOrSelfPermission(permission, stringBuilder.toString());
    }

    private void recordPermissionUsed(java.lang.String pkg, boolean isAllow, int type, int calleruid) {
        java.lang.String desc = null;
        if (type == 2) {
            desc = "TOAST_MODE";
        } else if (type == 4) {
            desc = "ACTIVITY_BACKGROUND_MODE";
        } else if (type == 8) {
            desc = "ACTIVITY_LOCKSCREEN_MODE";
        }
        com.huawei.hsm.permission.monitor.PermRecordHandler mPermRecHandler = com.huawei.hsm.permission.monitor.PermRecordHandler.getHandleInstance();
        if (mPermRecHandler != null) {
            mPermRecHandler.accessPermission(pkg, "android.permission.SYSTEM_ALERT_WINDOW", isAllow, calleruid, desc);
        }
    }
}
