package com.android.server.security.panpay;

public class PanPayService extends huawei.android.security.panpay.IPanPay.Stub implements com.android.server.security.core.IHwSecurityPlugin {
    public static final java.lang.Object BINDLOCK = new java.lang.Object();
    public static final com.android.server.security.core.IHwSecurityPlugin.Creator CREATOR = new com.android.server.security.core.IHwSecurityPlugin.Creator() {
        public com.android.server.security.core.IHwSecurityPlugin createPlugin(android.content.Context context) {
            android.util.Log.d("PanPayService", "create PanPayService");
            return new com.android.server.security.panpay.PanPayService(context);
        }

        public java.lang.String getPluginPermission() {
            return null;
        }
    };
    private static final java.lang.String OP_DELETE_SSD = "OP_DELETE_SSD";
    private static final java.lang.String OP_EXEC_APDU = "OP_EXEC_APDU";
    private static final java.lang.String OP_QUERY_APP_LIST = "OP_QUERY_APP_LIST";
    private static final java.lang.String OP_QUERY_SSD_INSTALLED = "OP_QUERY_SSD_INSTALLED";
    private static final java.lang.String PANPAY_MANAGER_PERMISSION = "com.huawei.ukey.permission.UKEY_MANAGER";
    private static final java.lang.String TAG = "PanPayService";
    private android.content.Context mContext = null;

    private class ConnectReceiver extends android.content.BroadcastReceiver {
        private ConnectReceiver() {
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            java.lang.String action = intent.getAction();
            if (action != null && action.equals("android.net.conn.CONNECTIVITY_CHANGE")) {
                try {
                    android.net.ConnectivityManager cm = (android.net.ConnectivityManager) com.android.server.security.panpay.PanPayService.this.mContext.getSystemService("connectivity");
                    if (cm != null) {
                        android.net.NetworkInfo info = cm.getActiveNetworkInfo();
                        if (info != null && info.isAvailable()) {
                            android.util.Log.d("PanPayService", "PanPayService Network isAvailable");
                            com.android.server.security.panpay.PanPayService.this.onNetworkConnected();
                        }
                    }
                } catch (java.lang.Exception e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("PanPayService Network isAvailable getconf Exception");
                    stringBuilder.append(e.getMessage());
                    android.util.Log.d("PanPayService", stringBuilder.toString());
                }
            }
        }
    }

    public PanPayService(android.content.Context context) {
        this.mContext = context;
        android.util.Log.d("PanPayService", "create PanPayService PanPayService");
    }

    public void onStart() {
        this.mContext.enforceCallingOrSelfPermission("com.huawei.ukey.permission.UKEY_MANAGER", "does not have ukey manager permission!");
    }

    public void onStop() {
        this.mContext.enforceCallingOrSelfPermission("com.huawei.ukey.permission.UKEY_MANAGER", "does not have ukey manager permission!");
    }

    public android.os.IBinder asBinder() {
        this.mContext.enforceCallingOrSelfPermission("com.huawei.ukey.permission.UKEY_MANAGER", "does not have ukey manager permission!");
        return this;
    }

    private void onNetworkConnected() {
    }

    public void updateAppInfo(java.lang.String type, java.lang.String key, huawei.android.security.panpay.IPanPayCallBack callback) {
        this.mContext.enforceCallingOrSelfPermission("com.huawei.ukey.permission.UKEY_MANAGER", "does not have ukey manager permission!");
    }

    public void operateAppInfo(java.lang.String type, java.lang.String key, huawei.android.security.panpay.IPanPayCallBack callback) {
        this.mContext.enforceCallingOrSelfPermission("com.huawei.ukey.permission.UKEY_MANAGER", "does not have ukey manager permission!");
    }
}
