package com.android.server.security.pwdprotect.logic;

public class ModifyPassWord {
    private static final java.lang.String TAG = "PwdProtectService";

    public static boolean modifyMainSpacePw(java.lang.String origPassword, java.lang.String newPassword) {
        if (!android.text.TextUtils.isEmpty(origPassword)) {
            if (!android.text.TextUtils.isEmpty(newPassword)) {
                byte[] pin1PkdfOrigPw = com.android.server.security.pwdprotect.utils.HashUtils.pkdfEncry(origPassword, com.android.server.security.pwdprotect.utils.FileUtils.readIvs(com.android.server.security.pwdprotect.model.PasswordIvsCache.FILE_E_SK2, 2));
                byte[] E_SK2_Decode = com.android.server.security.pwdprotect.utils.DeviceEncryptUtils.deviceDecode(com.android.server.security.pwdprotect.utils.FileUtils.readKeys(com.android.server.security.pwdprotect.model.PasswordIvsCache.FILE_E_SK2), com.android.server.security.pwdprotect.utils.FileUtils.readIvs(com.android.server.security.pwdprotect.model.PasswordIvsCache.FILE_E_SK2, 3));
                if (E_SK2_Decode.length == 0) {
                    android.util.Log.e("PwdProtectService", "E_SK2_Decode Decode Error");
                    return false;
                }
                byte[] E_SK1 = com.android.server.security.pwdprotect.utils.EncryptUtils.aesCbcDecode(E_SK2_Decode, pin1PkdfOrigPw, com.android.server.security.pwdprotect.utils.FileUtils.readIvs(com.android.server.security.pwdprotect.model.PasswordIvsCache.FILE_E_SK2, 1));
                if (E_SK1.length == 0) {
                    android.util.Log.e("PwdProtectService", "E_SK1 Decode Error");
                    return false;
                }
                byte[] mE_SK2 = com.android.server.security.pwdprotect.utils.EncryptUtils.aesCbcEncode(E_SK1, com.android.server.security.pwdprotect.utils.HashUtils.pkdfEncry(newPassword, com.android.server.security.pwdprotect.utils.FileUtils.readFile(com.android.server.security.pwdprotect.model.PasswordIvsCache.FILE_E_SK2, 2)), com.android.server.security.pwdprotect.utils.FileUtils.readIvs(com.android.server.security.pwdprotect.model.PasswordIvsCache.FILE_E_SK2, 1));
                if (mE_SK2.length == 0) {
                    android.util.Log.e("PwdProtectService", "mE_SK2 Encode Error");
                    return false;
                }
                if (com.android.server.security.pwdprotect.utils.DeviceEncryptUtils.deviceEncode(mE_SK2).length == 0) {
                    android.util.Log.e("PwdProtectService", "mE_SK2_Encode Encode Error");
                    return false;
                }
                byte[] fileHashs = com.android.server.security.pwdprotect.utils.DeviceEncryptUtils.hmacSign(com.android.server.security.pwdprotect.utils.StringUtils.byteMerger(com.android.server.security.pwdprotect.utils.FileUtils.readIvs(com.android.server.security.pwdprotect.model.PasswordIvsCache.FILE_E_SK2, 0), com.android.server.security.pwdprotect.utils.FileUtils.readIvs(com.android.server.security.pwdprotect.model.PasswordIvsCache.FILE_E_SK2, 1), com.android.server.security.pwdprotect.utils.FileUtils.readIvs(com.android.server.security.pwdprotect.model.PasswordIvsCache.FILE_E_SK2, 2), com.android.server.security.pwdprotect.utils.DeviceEncryptUtils.deviceEncode(mE_SK2)));
                com.android.server.security.pwdprotect.utils.FileUtils.writeFile(com.android.server.security.pwdprotect.utils.StringUtils.byteMerger(IvKeyVales, fileHashs), com.android.server.security.pwdprotect.model.PasswordIvsCache.FILE_E_SK2);
                return true;
            }
        }
        android.util.Log.e("PwdProtectService", "origPd or newPd is null");
        return false;
    }

    public static boolean modifyPrivSpacePw(java.lang.String newPassword) {
        if (android.text.TextUtils.isEmpty(newPassword)) {
            android.util.Log.e("PwdProtectService", "newPd is null");
            return false;
        }
        if (com.android.server.security.pwdprotect.utils.FileUtils.readPublicKey().length == 0) {
            android.util.Log.e("PwdProtectService", "encryptE_PIN2 readPublicKey failed ");
            return false;
        }
        byte[] fileHashs = com.android.server.security.pwdprotect.utils.DeviceEncryptUtils.hmacSign(com.android.server.security.pwdprotect.utils.StringUtils.byteMerger(com.android.server.security.pwdprotect.utils.DeviceEncryptUtils.deviceEncode(com.android.server.security.pwdprotect.utils.EncryptUtils.encryptData(newPassword.getBytes(java.nio.charset.Charset.forName("UTF-8")), com.android.server.security.pwdprotect.utils.EncryptUtils.getPublicKey(com.android.server.security.pwdprotect.utils.FileUtils.readPublicKey()))), com.android.server.security.pwdprotect.utils.FileUtils.readPublicKey()));
        com.android.server.security.pwdprotect.utils.FileUtils.writeFile(com.android.server.security.pwdprotect.utils.StringUtils.byteMerger(IvKeyVales, fileHashs), com.android.server.security.pwdprotect.model.PasswordIvsCache.FILE_E_PIN2);
        return true;
    }
}
