package com.android.server.security.securitydiagnose;

public class AntiMalApkInfo implements android.os.Parcelable, java.lang.Comparable<com.android.server.security.securitydiagnose.AntiMalApkInfo> {
    public static final android.os.Parcelable.Creator<com.android.server.security.securitydiagnose.AntiMalApkInfo> CREATOR = new android.os.Parcelable.Creator<com.android.server.security.securitydiagnose.AntiMalApkInfo>() {
        public com.android.server.security.securitydiagnose.AntiMalApkInfo createFromParcel(android.os.Parcel source) {
            return new com.android.server.security.securitydiagnose.AntiMalApkInfo(source, null);
        }

        public com.android.server.security.securitydiagnose.AntiMalApkInfo[] newArray(int size) {
            return new com.android.server.security.securitydiagnose.AntiMalApkInfo[size];
        }
    };
    private static final java.lang.String TAG = "AntiMalApkInfo";
    public final java.lang.String mApkName;
    public java.lang.String mFrom;
    public final java.lang.String mLastModifyTime;
    public final java.lang.String mPackageName;
    public final java.lang.String mPath;
    public final int mType;
    public int mVersion;

    public interface AntiMalType {
        public static final int APK_DELETED = 3;
        public static final int NORMAL = 0;
        public static final int NOT_IN_WHITE_LIST = 1;
        public static final int SIGNATURE_CHANGED = 2;
    }

    private java.lang.String formatTime(long minSec) {
        return new java.text.SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new java.util.Date(minSec));
    }

    private java.lang.String formatPath(java.lang.String path) {
        if (path == null || !path.startsWith("/")) {
            return path;
        }
        return path.substring(1, path.length());
    }

    private java.lang.String getFileLastModifiedTime(java.lang.String fileName) {
        java.io.File apkFile = new java.io.File(fileName);
        try {
            if (apkFile.exists()) {
                return formatTime(apkFile.lastModified());
            }
            return null;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getFileLastModifiedTime e:");
            stringBuilder.append(e);
            android.util.Log.e("AntiMalApkInfo", stringBuilder.toString());
        }
    }

    public AntiMalApkInfo(android.content.pm.PackageParser.Package pkg, int type) {
        if (pkg != null) {
            this.mPackageName = pkg.packageName;
            this.mPath = formatPath(pkg.baseCodePath);
            this.mApkName = null;
            this.mType = type;
            this.mLastModifyTime = getFileLastModifiedTime(pkg.codePath);
            this.mVersion = pkg.mVersionCode;
            return;
        }
        this.mPackageName = null;
        this.mPath = null;
        this.mApkName = null;
        this.mType = -1;
        this.mLastModifyTime = null;
        this.mFrom = null;
        this.mVersion = -1;
    }

    public AntiMalApkInfo(java.lang.String packageName, java.lang.String path, java.lang.String apkName, int type, java.lang.String time, java.lang.String from, int version) {
        this.mPackageName = packageName;
        this.mPath = path;
        this.mApkName = apkName;
        this.mType = type;
        this.mLastModifyTime = time;
        this.mFrom = from;
        this.mVersion = version;
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(android.os.Parcel dest, int flags) {
        if (dest != null) {
            dest.writeString(this.mPackageName);
            dest.writeString(this.mPath);
            dest.writeString(this.mApkName);
            dest.writeInt(this.mType);
            dest.writeString(this.mLastModifyTime);
            dest.writeString(this.mFrom);
            dest.writeInt(this.mVersion);
        }
    }

    private AntiMalApkInfo(android.os.Parcel source) {
        if (source != null) {
            this.mPackageName = source.readString();
            this.mPath = source.readString();
            this.mApkName = source.readString();
            this.mType = source.readInt();
            this.mLastModifyTime = source.readString();
            this.mFrom = source.readString();
            this.mVersion = source.readInt();
            return;
        }
        this.mPackageName = null;
        this.mPath = null;
        this.mApkName = null;
        this.mType = -1;
        this.mLastModifyTime = null;
        this.mFrom = null;
        this.mVersion = -1;
    }

    private boolean stringEquals(java.lang.String str1, java.lang.String str2) {
        if (str1 == null) {
            if (str2 != null) {
                return false;
            }
        } else if (!str1.equalsIgnoreCase(str2)) {
            if (str1.length() >= 1 || str2 != null) {
                return false;
            }
        }
        return true;
    }

    public int compareTo(com.android.server.security.securitydiagnose.AntiMalApkInfo apkInfo) {
        if (apkInfo == null) {
            return 1;
        }
        return this.mPackageName != null ? this.mPackageName.compareTo(apkInfo.mPackageName) : -1;
    }

    public int hashCode() {
        return (super.hashCode() + this.mPackageName.hashCode()) + this.mApkName.hashCode();
    }

    public boolean equals(java.lang.Object in) {
        boolean z = false;
        if (in == null || !(in instanceof com.android.server.security.securitydiagnose.AntiMalApkInfo)) {
            return false;
        }
        com.android.server.security.securitydiagnose.AntiMalApkInfo apkInfo = (com.android.server.security.securitydiagnose.AntiMalApkInfo) in;
        if (stringEquals(this.mPackageName, apkInfo.mPackageName) && stringEquals(this.mPath, apkInfo.mPath) && stringEquals(this.mApkName, apkInfo.mApkName) && this.mType == apkInfo.mType && stringEquals(this.mLastModifyTime, apkInfo.mLastModifyTime) && stringEquals(this.mFrom, apkInfo.mFrom) && this.mVersion == apkInfo.mVersion) {
            z = true;
        }
        return z;
    }

    public java.lang.String toString() {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("PackageName : ");
        stringBuilder.append(this.mPackageName);
        stringBuilder.append(" Path : ");
        stringBuilder.append(this.mPath);
        stringBuilder.append(" ApkName : ");
        stringBuilder.append(this.mApkName);
        stringBuilder.append(" Type : ");
        stringBuilder.append(this.mType);
        stringBuilder.append(" LastModifyTime : ");
        stringBuilder.append(this.mLastModifyTime);
        stringBuilder.append(" From : ");
        stringBuilder.append(this.mFrom);
        stringBuilder.append(" Version : ");
        stringBuilder.append(this.mVersion);
        return stringBuilder.toString();
    }
}
