package com.android.server.security.securitydiagnose;

public class AppLayerStpProxy {
    private static final boolean HW_DEBUG;
    private static final int MAX_STP_HIDL_DEAMON_REGISTER_TIMES = 10;
    private static final int MSG_STP_HIDL_DEAMON_SERVIE_REGISTER = 1;
    private static final int RET_DEFAULT_ERROR_VALUE = -1001;
    private static final int RET_EXCEPTION_WHEN_STP_CALL = -1002;
    private static final int RET_STP_HIDL_DEAMON_IS_NOT_READY = -1000;
    private static final boolean RS_DEBUG = android.os.SystemProperties.get("ro.secure", "1").equals("0");
    private static final java.lang.String STP_HIDL_MATCH_CREDIBLE = "credible: Y";
    private static final java.lang.String STP_HIDL_MATCH_ROOTPROC = "root-procs";
    private static final java.lang.String STP_HIDL_MATCH_VB = "verifyboot";
    private static final java.lang.String STP_HIDL_MATCH_VB_RISK = "RISK";
    private static final java.lang.String STP_HIDL_SERVICE_NAME = "hwstp";
    private static final int STP_ID_KCODE = 897;
    private static final int STP_ID_KCODE_SYSCALL = 898;
    private static final int STP_ID_PROP = 768;
    private static final int STP_ID_ROOT_PROCS = 901;
    private static final int STP_ID_RW = 773;
    private static final int STP_ID_SETIDS = 896;
    private static final int STP_ID_SE_ENFROCING = 899;
    private static final int STP_ID_SE_HOOK = 900;
    private static final int STP_ID_SU = 772;
    private static final int STP_ID_VB = 512;
    private static final java.lang.String TAG = com.android.server.security.securitydiagnose.AppLayerStpProxy.class.getSimpleName();
    private static final int TRY_GET_HIDL_DEAMON_DEALY_MILLIS = 1000;
    private static final int[] itemId = new int[]{897, 898, 900, 899, 772, 773, 512, 768, 896, 901};
    private static final int[] itemMark = new int[]{1, 2, 4, 8, 16, 32, 128, 256, 512, 1024};
    private static com.android.server.security.securitydiagnose.AppLayerStpProxy mInstance;
    private android.content.Context mContext;
    private vendor.huawei.hardware.hwstp.V1_0.IHwStp mHwStp;
    private final com.android.server.security.securitydiagnose.AppLayerStpProxy.HwStpHandler mHwStpHandler;
    private final android.os.HandlerThread mHwStpHandlerThread;
    private android.os.IHwBinder.DeathRecipient mStpHidlDeamonDeathRecipient = new android.os.IHwBinder.DeathRecipient() {
        public void serviceDied(long cookie) {
            if (com.android.server.security.securitydiagnose.AppLayerStpProxy.this.mHwStpHandler != null) {
                android.util.Log.e(com.android.server.security.securitydiagnose.AppLayerStpProxy.TAG, "stp hidl deamon service has died, try to reconnect it later.");
                com.android.server.security.securitydiagnose.AppLayerStpProxy.this.mHwStp = null;
                com.android.server.security.securitydiagnose.AppLayerStpProxy.this.mHwStpHandler.sendEmptyMessageDelayed(1, 1000);
            }
        }
    };
    private int mStpHidlDeamonRegisterTryTimes = 0;
    private int stpGetItemStatusRetValue = 0;
    private int stpGetStatusByCategoryRetValue = -1001;
    private int stpGetStatusByIDRetValue = -1001;
    private int stpGetStatusRetValue = -1001;

    private final class HwStpHandler extends android.os.Handler {
        public HwStpHandler(android.os.Looper looper) {
            super(looper);
        }

        public void handleMessage(android.os.Message msg) {
            java.lang.String access$100;
            if (msg.what != 1) {
                access$100 = com.android.server.security.securitydiagnose.AppLayerStpProxy.TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("handler thread received unknown message : ");
                stringBuilder.append(msg.what);
                android.util.Log.e(access$100, stringBuilder.toString());
                return;
            }
            try {
                com.android.server.security.securitydiagnose.AppLayerStpProxy.this.mHwStp = vendor.huawei.hardware.hwstp.V1_0.IHwStp.getService("hwstp");
            } catch (java.lang.Exception e) {
                android.util.Log.e(com.android.server.security.securitydiagnose.AppLayerStpProxy.TAG, "Try get stp hidl deamon servcie failed in handler message.");
            }
            if (com.android.server.security.securitydiagnose.AppLayerStpProxy.this.mHwStp != null) {
                com.android.server.security.securitydiagnose.AppLayerStpProxy.this.mStpHidlDeamonRegisterTryTimes = 0;
                try {
                    com.android.server.security.securitydiagnose.AppLayerStpProxy.this.mHwStp.linkToDeath(com.android.server.security.securitydiagnose.AppLayerStpProxy.this.mStpHidlDeamonDeathRecipient, 0);
                } catch (java.lang.Exception e2) {
                    android.util.Log.e(com.android.server.security.securitydiagnose.AppLayerStpProxy.TAG, "Exception occured when linkToDeath in handle message");
                }
            } else {
                com.android.server.security.securitydiagnose.AppLayerStpProxy.this.mStpHidlDeamonRegisterTryTimes = com.android.server.security.securitydiagnose.AppLayerStpProxy.this.mStpHidlDeamonRegisterTryTimes + 1;
                if (com.android.server.security.securitydiagnose.AppLayerStpProxy.this.mStpHidlDeamonRegisterTryTimes < 10) {
                    access$100 = com.android.server.security.securitydiagnose.AppLayerStpProxy.TAG;
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("stp hidl daemon service is not ready, try times : ");
                    stringBuilder2.append(com.android.server.security.securitydiagnose.AppLayerStpProxy.this.mStpHidlDeamonRegisterTryTimes);
                    android.util.Log.e(access$100, stringBuilder2.toString());
                    com.android.server.security.securitydiagnose.AppLayerStpProxy.this.mHwStpHandler.sendEmptyMessageDelayed(1, 1000);
                } else {
                    android.util.Log.e(com.android.server.security.securitydiagnose.AppLayerStpProxy.TAG, "stp hidl daemon service connection failed.");
                }
            }
            if (com.android.server.security.securitydiagnose.AppLayerStpProxy.HW_DEBUG) {
                android.util.Log.d(com.android.server.security.securitydiagnose.AppLayerStpProxy.TAG, "handler thread received request stp hidl deamon message.");
            }
        }
    }

    static /* synthetic */ int access$876(com.android.server.security.securitydiagnose.AppLayerStpProxy x0, int x1) {
        int i = x0.stpGetItemStatusRetValue | x1;
        x0.stpGetItemStatusRetValue = i;
        return i;
    }

    static {
        boolean z;
        if (!(android.util.Log.HWINFO || RS_DEBUG)) {
            if (!android.util.Log.HWModuleLog || !android.util.Log.isLoggable(TAG, 4)) {
                z = false;
                HW_DEBUG = z;
            }
        }
        z = true;
        HW_DEBUG = z;
    }

    private AppLayerStpProxy(android.content.Context context) {
        this.mContext = context;
        this.mHwStpHandlerThread = new android.os.HandlerThread(TAG);
        this.mHwStpHandlerThread.start();
        this.mHwStpHandler = new com.android.server.security.securitydiagnose.AppLayerStpProxy.HwStpHandler(this.mHwStpHandlerThread.getLooper());
    }

    public static void init(android.content.Context context) {
        synchronized (com.android.server.security.securitydiagnose.AppLayerStpProxy.class) {
            if (mInstance == null) {
                mInstance = new com.android.server.security.securitydiagnose.AppLayerStpProxy(context);
            }
        }
    }

    public static com.android.server.security.securitydiagnose.AppLayerStpProxy getInstance() {
        com.android.server.security.securitydiagnose.AppLayerStpProxy appLayerStpProxy;
        synchronized (com.android.server.security.securitydiagnose.AppLayerStpProxy.class) {
            appLayerStpProxy = mInstance;
        }
        return appLayerStpProxy;
    }

    public int getRootStatusSync() {
        int ret;
        boolean hasExecption = false;
        if (this.mHwStp == null) {
            try {
                this.mHwStp = vendor.huawei.hardware.hwstp.V1_0.IHwStp.getService("hwstp");
            } catch (java.lang.Exception e) {
                android.util.Log.e(TAG, "Try get stp hidl deamon servcie failed when get root status sync.");
            }
        }
        if (this.mHwStp != null) {
            try {
                this.mHwStp.stpGetStatusByCategory(8, false, false, new vendor.huawei.hardware.hwstp.V1_0.IHwStp.stpGetStatusByCategoryCallback() {
                    public void onValues(int stpGetStatusByCategoryRet, java.lang.String out_buff) {
                        if (com.android.server.security.securitydiagnose.AppLayerStpProxy.HW_DEBUG) {
                            java.lang.String access$100 = com.android.server.security.securitydiagnose.AppLayerStpProxy.TAG;
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("sync get root status from hidl ret : ");
                            stringBuilder.append(stpGetStatusByCategoryRet);
                            stringBuilder.append(" out_buf : ");
                            stringBuilder.append(out_buff);
                            android.util.Log.d(access$100, stringBuilder.toString());
                        }
                        com.android.server.security.securitydiagnose.AppLayerStpProxy.this.stpGetStatusByCategoryRetValue = stpGetStatusByCategoryRet;
                    }
                });
            } catch (android.os.RemoteException e2) {
                hasExecption = true;
                android.util.Log.e(TAG, "sync get root status from stp hidl failed.");
            }
            ret = hasExecption ? -1002 : this.stpGetStatusByCategoryRetValue;
        } else {
            ret = -1000;
            this.mHwStpHandler.sendEmptyMessageDelayed(1, 1000);
            android.util.Log.e(TAG, "stp hidl deamon is not ready when sync get root status from stp hidl");
        }
        if (HW_DEBUG) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sync get root status , stp hidl ret : ");
            stringBuilder.append(ret);
            android.util.Log.d(str, stringBuilder.toString());
        }
        return ret;
    }

    public int getSystemStatusSync() {
        int ret;
        boolean hasExecption = false;
        if (this.mHwStp == null) {
            try {
                this.mHwStp = vendor.huawei.hardware.hwstp.V1_0.IHwStp.getService("hwstp");
            } catch (java.lang.Exception e) {
                android.util.Log.e(TAG, "Try get stp hidl deamon servcie failed when get system status sync.");
            }
        }
        if (this.mHwStp != null) {
            try {
                this.mHwStp.stpGetStatus(false, false, new vendor.huawei.hardware.hwstp.V1_0.IHwStp.stpGetStatusCallback() {
                    public void onValues(int stpGetStatusRet, java.lang.String out_buff) {
                        if (com.android.server.security.securitydiagnose.AppLayerStpProxy.HW_DEBUG) {
                            java.lang.String access$100 = com.android.server.security.securitydiagnose.AppLayerStpProxy.TAG;
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("sync get system status from hidl ret : ");
                            stringBuilder.append(stpGetStatusRet);
                            stringBuilder.append(" out_buf : ");
                            stringBuilder.append(out_buff);
                            android.util.Log.d(access$100, stringBuilder.toString());
                        }
                        com.android.server.security.securitydiagnose.AppLayerStpProxy.this.stpGetStatusRetValue = stpGetStatusRet;
                    }
                });
            } catch (android.os.RemoteException e2) {
                hasExecption = true;
                android.util.Log.e(TAG, "sync get system status from stp hidl failed.");
            }
            ret = hasExecption ? -1002 : this.stpGetStatusRetValue;
        } else {
            ret = -1000;
            this.mHwStpHandler.sendEmptyMessageDelayed(1, 1000);
            android.util.Log.e(TAG, "stp hidl deamon is not ready when sync get system status from stp hidl");
        }
        if (HW_DEBUG) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sync get system status , stp hidl ret : ");
            stringBuilder.append(ret);
            android.util.Log.d(str, stringBuilder.toString());
        }
        return ret;
    }

    public int sendThreatenInfo(int id, byte status, byte credible, byte version, java.lang.String name, java.lang.String additian_info) {
        int ret;
        if (HW_DEBUG) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("receive the app's threaten info to stp hidl deamon, id: ");
            stringBuilder.append(id);
            stringBuilder.append(", status: ");
            stringBuilder.append(status);
            stringBuilder.append(", credible: ");
            stringBuilder.append(credible);
            stringBuilder.append(", name:");
            stringBuilder.append(name);
            stringBuilder.append(",additian_info:");
            stringBuilder.append(additian_info);
            android.util.Log.d(str, stringBuilder.toString());
        }
        vendor.huawei.hardware.hwstp.V1_0.StpItem item = new vendor.huawei.hardware.hwstp.V1_0.StpItem();
        item.id = id;
        item.status = status;
        item.credible = credible;
        item.version = version;
        item.name = name;
        if (this.mHwStp == null) {
            try {
                this.mHwStp = vendor.huawei.hardware.hwstp.V1_0.IHwStp.getService("hwstp");
            } catch (java.lang.Exception e) {
                android.util.Log.e(TAG, "Try get stp hidl deamon servcie failed when send threaten info.");
            }
        }
        if (this.mHwStp != null) {
            try {
                ret = this.mHwStp.stpAddThreat(item, additian_info);
            } catch (android.os.RemoteException e2) {
                android.util.Log.e(TAG, "sync send threaten info to stp hidl failed.");
                ret = -1002;
            }
        } else {
            ret = -1000;
            this.mHwStpHandler.sendEmptyMessageDelayed(1, 1000);
            android.util.Log.e(TAG, "stp hidl deamon is not ready when app send threaten info to stp hidl deamon");
        }
        if (HW_DEBUG) {
            java.lang.String str2 = TAG;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("send the app's threaten info to stp hidl deamon, ret : ");
            stringBuilder2.append(ret);
            android.util.Log.d(str2, stringBuilder2.toString());
        }
        return ret;
    }

    public int getEachItemRootStatus() {
        this.stpGetItemStatusRetValue = 0;
        if (this.mHwStp == null) {
            try {
                this.mHwStp = vendor.huawei.hardware.hwstp.V1_0.IHwStp.getService("hwstp");
            } catch (java.lang.Exception e) {
                android.util.Log.e(TAG, "Try get stp hidl deamon servcie failed when get item root status sync.");
            }
        }
        for (int i = 0; i < itemId.length; i++) {
            int ret;
            java.lang.String str;
            java.lang.StringBuilder stringBuilder;
            boolean hasExecption = false;
            if (this.mHwStp != null) {
                try {
                    this.mHwStp.stpGetStatusById(itemId[i], true, false, new vendor.huawei.hardware.hwstp.V1_0.IHwStp.stpGetStatusByIdCallback() {
                        public void onValues(int stpGetStatusByIdRet, java.lang.String out_buff) {
                            java.lang.String access$100;
                            java.lang.StringBuilder stringBuilder;
                            if (com.android.server.security.securitydiagnose.AppLayerStpProxy.HW_DEBUG) {
                                access$100 = com.android.server.security.securitydiagnose.AppLayerStpProxy.TAG;
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("sync get item root status from hidl ret : ");
                                stringBuilder.append(stpGetStatusByIdRet);
                                stringBuilder.append(" out_buf : ");
                                stringBuilder.append(out_buff);
                                android.util.Log.d(access$100, stringBuilder.toString());
                            }
                            if (out_buff.contains("root-procs") && out_buff.contains("credible: Y")) {
                                com.android.server.security.securitydiagnose.AppLayerStpProxy.access$876(com.android.server.security.securitydiagnose.AppLayerStpProxy.this, 64);
                                if (com.android.server.security.securitydiagnose.AppLayerStpProxy.HW_DEBUG) {
                                    access$100 = com.android.server.security.securitydiagnose.AppLayerStpProxy.TAG;
                                    stringBuilder = new java.lang.StringBuilder();
                                    stringBuilder.append("adbd abnormal, stpGetItemStatusRetValue ");
                                    stringBuilder.append(com.android.server.security.securitydiagnose.AppLayerStpProxy.this.stpGetItemStatusRetValue);
                                    android.util.Log.d(access$100, stringBuilder.toString());
                                }
                            }
                            if (out_buff.contains("verifyboot") && out_buff.contains("RISK")) {
                                com.android.server.security.securitydiagnose.AppLayerStpProxy.access$876(com.android.server.security.securitydiagnose.AppLayerStpProxy.this, 128);
                                if (com.android.server.security.securitydiagnose.AppLayerStpProxy.HW_DEBUG) {
                                    access$100 = com.android.server.security.securitydiagnose.AppLayerStpProxy.TAG;
                                    stringBuilder = new java.lang.StringBuilder();
                                    stringBuilder.append("verifyboot abnormal, stpGetItemStatusRetValue ");
                                    stringBuilder.append(com.android.server.security.securitydiagnose.AppLayerStpProxy.this.stpGetItemStatusRetValue);
                                    android.util.Log.d(access$100, stringBuilder.toString());
                                }
                            }
                            com.android.server.security.securitydiagnose.AppLayerStpProxy.this.stpGetStatusByIDRetValue = stpGetStatusByIdRet;
                            if (com.android.server.security.securitydiagnose.AppLayerStpProxy.HW_DEBUG) {
                                access$100 = com.android.server.security.securitydiagnose.AppLayerStpProxy.TAG;
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("stpGetStatusByIDRetValue is ");
                                stringBuilder.append(com.android.server.security.securitydiagnose.AppLayerStpProxy.this.stpGetStatusByIDRetValue);
                                android.util.Log.d(access$100, stringBuilder.toString());
                            }
                        }
                    });
                } catch (android.os.RemoteException e2) {
                    hasExecption = true;
                    java.lang.String str2 = TAG;
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("get each item root status from stp hidl failed. id:");
                    stringBuilder2.append(itemId[i]);
                    android.util.Log.e(str2, stringBuilder2.toString());
                }
                ret = hasExecption ? -1002 : this.stpGetStatusByIDRetValue;
            } else {
                ret = -1000;
                str = TAG;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("stp hidl deamon is not ready when sync get item root status from stp hidl.id:");
                stringBuilder.append(itemId[i]);
                android.util.Log.e(str, stringBuilder.toString());
            }
            if (HW_DEBUG) {
                str = TAG;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("get item root status , stp hidl ret : ");
                stringBuilder.append(ret);
                stringBuilder.append(" itemId : ");
                stringBuilder.append(itemId[i]);
                android.util.Log.d(str, stringBuilder.toString());
            }
            if (ret < 0) {
                if (HW_DEBUG) {
                    android.util.Log.d(TAG, "stp get status by id failed");
                }
                return ret;
            }
            if (ret == 1) {
                this.stpGetItemStatusRetValue |= itemMark[i];
            }
            if (HW_DEBUG) {
                str = TAG;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("stpGetItemStatusRetValue ret : ");
                stringBuilder.append(this.stpGetItemStatusRetValue);
                stringBuilder.append(" itemId : ");
                stringBuilder.append(itemId[i]);
                android.util.Log.d(str, stringBuilder.toString());
            }
        }
        return this.stpGetItemStatusRetValue;
    }
}
