package com.android.server.security.securitydiagnose;

public class HwSecurityDiagnosePlugin extends huawei.android.security.IHwSecurityDiagnosePlugin.Stub implements com.android.server.security.core.IHwSecurityPlugin {
    private static final java.lang.String BD_PACKAGE_NAME = "com.huawei.bd";
    private static final java.lang.String BD_SERVICE_NAME = "com.huawei.bd.BDService";
    private static final boolean CHINA_RELEASE_VERSION = "CN".equalsIgnoreCase(android.os.SystemProperties.get("ro.product.locale.region", ""));
    public static final com.android.server.security.core.IHwSecurityPlugin.Creator CREATOR = new com.android.server.security.core.IHwSecurityPlugin.Creator() {
        public com.android.server.security.core.IHwSecurityPlugin createPlugin(android.content.Context contxt) {
            com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin access$100;
            synchronized (com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.mLock) {
                if (com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.mInstance == null) {
                    com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.mInstance = new com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin(contxt, null);
                }
                access$100 = com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.mInstance;
            }
            return access$100;
        }

        public java.lang.String getPluginPermission() {
            return "com.huawei.permission.SECURITY_DIAGNOSE";
        }
    };
    private static final long DELAY_INTERVAL = 6000;
    private static final long DELAY_TRIGGER_ROOT_SCAN = 43200000;
    private static final int EVT_CHECK_BD_AGAIN = 1000;
    private static final int EVT_PROCESS_SECURE_DATA = 1001;
    private static final int EVT_REPORTER = 1002;
    private static final int EVT_START_ROOT_CHECK = 1003;
    private static final boolean HW_DEBUG;
    private static final boolean HW_OPTB_CHINA = "156".equals(android.os.SystemProperties.get("ro.config.hw_optb", ""));
    private static final java.lang.String JSON_FORMAT_ENCODING = "UTF-8";
    private static final int MAX_SEND_APKS = 5;
    private static final int MAX_TRY_COUNT = 10;
    private static final java.lang.String PERMISSION = "com.huawei.permission.SECURITY_DIAGNOSE";
    private static final java.lang.String ROOT_ALARM_ACTION = "huawei.intent.action.ROOT_DETECT_REPORTER";
    private static final java.lang.String TAG = "HwSecurityDiagnosePlugin";
    private static java.util.List<huawei.android.security.IHwSecurityDiagnoseCallback> mCallBackList = new java.util.ArrayList();
    private static com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin mInstance;
    private static final java.lang.Object mLock = new java.lang.Object();
    private static final java.lang.Object mLockCallBackList = new java.lang.Object();
    private static volatile boolean mTriggered = false;
    private java.util.ArrayList<com.android.server.pm.AntiMalComponentInfo> mAntiMalComponentList;
    private android.content.Context mContext;
    private boolean mIsBootCompleted;
    private boolean mIsDBNotExist;
    private android.os.Handler mMyHandler;
    private java.util.ArrayList<com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.QueueParams> mQueue;
    private android.content.BroadcastReceiver mReceiver;
    private com.android.server.security.securitydiagnose.RootDetectReport.Listener mRootReportListener;
    private int mTryCount;

    private static class QueueParams {
        public final java.lang.Object mArg;
        public final int mReporter;

        /* synthetic */ QueueParams(int x0, java.lang.Object x1, com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.AnonymousClass1 x2) {
            this(x0, x1);
        }

        private QueueParams(int reporter, java.lang.Object arg) {
            this.mReporter = reporter;
            this.mArg = arg;
        }
    }

    private static class RootCheckTrigger extends java.lang.Thread {
        private RootCheckTrigger() {
        }

        /* synthetic */ RootCheckTrigger(com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.AnonymousClass1 x0) {
            this();
        }

        public void run() {
            if (com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.HW_DEBUG) {
                android.util.Log.d("HwSecurityDiagnosePlugin", "rootCheckTask START!");
            }
            com.android.server.security.securitydiagnose.RootDetectReport.getInstance().triggerRootScan();
        }
    }

    /* synthetic */ HwSecurityDiagnosePlugin(android.content.Context x0, com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.AnonymousClass1 x1) {
        this(x0);
    }

    static {
        boolean z;
        if (!(android.os.SystemProperties.get("ro.secure", "1").equals("0") || android.util.Log.HWINFO)) {
            if (!android.util.Log.HWModuleLog || !android.util.Log.isLoggable("HwSecurityDiagnosePlugin", 4)) {
                z = false;
                HW_DEBUG = z;
            }
        }
        z = true;
        HW_DEBUG = z;
    }

    private void setTriggerTime() {
        if (this.mContext == null) {
            android.util.Log.e("HwSecurityDiagnosePlugin", "Time trigger error");
            return;
        }
        android.app.AlarmManager alarm = (android.app.AlarmManager) this.mContext.getSystemService("alarm");
        android.app.AlarmManager alarmManager = alarm;
        alarmManager.setRepeating(3, 43200000 + android.os.SystemClock.elapsedRealtime(), 43200000, android.app.PendingIntent.getBroadcast(this.mContext, 0, new android.content.Intent("huawei.intent.action.ROOT_DETECT_REPORTER"), 268435456));
    }

    public android.os.IBinder asBinder() {
        return this;
    }

    public void onStart() {
        if (HW_DEBUG) {
            android.util.Log.d("HwSecurityDiagnosePlugin", "onStart()");
        }
        android.content.IntentFilter intentFilter = new android.content.IntentFilter("android.intent.action.LOCKED_BOOT_COMPLETED");
        intentFilter.addAction("huawei.intent.action.ROOT_DETECT_REPORTER");
        this.mContext.registerReceiver(this.mReceiver, intentFilter);
        com.android.server.security.securitydiagnose.RootDetectReport.init(this.mContext);
        com.android.server.security.securitydiagnose.RootDetectReport.getInstance().setListener(this.mRootReportListener);
        if (CHINA_RELEASE_VERSION || HW_OPTB_CHINA) {
            com.android.server.security.securitydiagnose.MalAppDetectReport.init(this.mContext);
        }
        com.android.server.security.securitydiagnose.AppLayerStpProxy.init(this.mContext);
    }

    public void onStop() {
        this.mContext.unregisterReceiver(this.mReceiver);
    }

    public int report(int reporterID, android.os.Bundle data) {
        if (!CHINA_RELEASE_VERSION) {
            return 0;
        }
        if (HW_DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("report reporterID = ");
            stringBuilder.append(reporterID);
            android.util.Log.d("HwSecurityDiagnosePlugin", stringBuilder.toString());
        }
        checkPermission("com.huawei.permission.SECURITY_DIAGNOSE");
        this.mMyHandler.sendMessage(this.mMyHandler.obtainMessage(1002, reporterID, 0, data));
        return 0;
    }

    public void sendComponentInfo(android.os.Bundle data) {
        if (!CHINA_RELEASE_VERSION) {
            return;
        }
        if (data == null) {
            android.util.Log.e("HwSecurityDiagnosePlugin", "sendComponentInfo bundle is null!");
            return;
        }
        checkPermission("com.huawei.permission.SECURITY_DIAGNOSE");
        java.util.ArrayList<com.android.server.pm.AntiMalComponentInfo> componentList = data.getParcelableArrayList("antimal_component_list");
        if (componentList != null) {
            if (componentList.size() != 0) {
                synchronized (this.mAntiMalComponentList) {
                    java.util.Iterator it = componentList.iterator();
                    while (it.hasNext()) {
                        this.mAntiMalComponentList.add((com.android.server.pm.AntiMalComponentInfo) it.next());
                    }
                }
                return;
            }
        }
        if (HW_DEBUG) {
            android.util.Log.d("HwSecurityDiagnosePlugin", "sendComponentInfo componentList IS null!");
        }
    }

    public boolean componentValid(java.lang.String componentName) {
        if (HW_DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("componentValid componentName = ");
            stringBuilder.append(componentName);
            android.util.Log.d("HwSecurityDiagnosePlugin", stringBuilder.toString());
        }
        checkPermission("com.huawei.permission.SECURITY_DIAGNOSE");
        if (android.text.TextUtils.isEmpty(componentName)) {
            return true;
        }
        synchronized (this.mAntiMalComponentList) {
            java.util.Iterator it = this.mAntiMalComponentList.iterator();
            while (it.hasNext()) {
                com.android.server.pm.AntiMalComponentInfo acpi = (com.android.server.pm.AntiMalComponentInfo) it.next();
                if (componentName.equals(acpi.mName)) {
                    boolean isNormal = acpi.isNormal();
                    return isNormal;
                }
            }
            return true;
        }
    }

    public int getSystemStatus() {
        if (HW_DEBUG) {
            android.util.Log.d("HwSecurityDiagnosePlugin", "getSystemStatus");
        }
        checkPermission("com.huawei.permission.SECURITY_DIAGNOSE");
        return 0;
    }

    private void checkPermission(java.lang.String permission) {
        android.content.Context context = this.mContext;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Must have ");
        stringBuilder.append(permission);
        stringBuilder.append(" permission.");
        context.enforceCallingOrSelfPermission(permission, stringBuilder.toString());
    }

    private void reportInner(int reporterID, java.lang.Object data) {
        if (HW_DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("reportInner reporterID = ");
            stringBuilder.append(reporterID);
            stringBuilder.append(" boot: ");
            stringBuilder.append(this.mIsBootCompleted);
            stringBuilder.append(" mIsDBNotExist = ");
            stringBuilder.append(this.mIsDBNotExist);
            android.util.Log.d("HwSecurityDiagnosePlugin", stringBuilder.toString());
        }
        if (!this.mIsBootCompleted) {
            cache(reporterID, data);
        } else if (this.mIsDBNotExist) {
            saveDataToOeminfo(reporterID, data);
        } else {
            cache(reporterID, data);
            checkHwBigDataExist();
        }
    }

    private HwSecurityDiagnosePlugin(android.content.Context contxt) {
        this.mTryCount = 0;
        this.mIsDBNotExist = false;
        this.mAntiMalComponentList = new java.util.ArrayList();
        this.mReceiver = new android.content.BroadcastReceiver() {
            public void onReceive(android.content.Context context, android.content.Intent intent) {
                if (intent == null) {
                    android.util.Log.e("HwSecurityDiagnosePlugin", "mReceiver intent is NULL!");
                    return;
                }
                java.lang.String action = intent.getAction();
                if (com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.HW_DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("onReceive ACTION : ");
                    stringBuilder.append(action);
                    android.util.Log.d("HwSecurityDiagnosePlugin", stringBuilder.toString());
                }
                if ("android.intent.action.LOCKED_BOOT_COMPLETED".equals(action)) {
                    com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.this.mIsBootCompleted = true;
                    if (com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.CHINA_RELEASE_VERSION) {
                        com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.this.mMyHandler.removeMessages(1000);
                        com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.this.mMyHandler.sendEmptyMessage(1001);
                    }
                    com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.this.mMyHandler.sendEmptyMessage(1003);
                } else if ("huawei.intent.action.ROOT_DETECT_REPORTER".equals(action)) {
                    if (com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.HW_DEBUG) {
                        android.util.Log.d("HwSecurityDiagnosePlugin", "alarmManager trigger");
                    }
                    com.android.server.security.securitydiagnose.RootDetectReport.getInstance().triggerRootScan();
                }
            }
        };
        this.mMyHandler = new android.os.Handler() {
            public void handleMessage(android.os.Message msg) {
                super.handleMessage(msg);
                switch (msg.what) {
                    case 1000:
                    case 1001:
                        com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.this.checkHwBigDataExist();
                        return;
                    case 1002:
                        com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.this.reportInner(msg.arg1, (android.os.Bundle) msg.obj);
                        return;
                    case 1003:
                        com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.this.triggerRootCheck();
                        return;
                    default:
                        return;
                }
            }
        };
        this.mRootReportListener = new com.android.server.security.securitydiagnose.RootDetectReport.Listener() {
            public void onRootReport(org.json.JSONObject json, boolean needReport) {
                com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.this.onRootStatus(json);
                if (com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.CHINA_RELEASE_VERSION) {
                    if (needReport) {
                        com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.this.reportInner(102, json);
                    }
                }
            }
        };
        this.mContext = contxt;
    }

    private java.util.ArrayList<com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.QueueParams> getQueue() {
        synchronized (mLock) {
            if (this.mQueue == null) {
                this.mQueue = new java.util.ArrayList();
            }
        }
        return this.mQueue;
    }

    private void cache(int reporterID, java.lang.Object data) {
        synchronized (mLock) {
            getQueue().add(new com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.QueueParams(reporterID, data, null));
        }
    }

    private void triggerRootCheck() {
        new com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.RootCheckTrigger().start();
        setTriggerTime();
    }

    private void retryCheck() {
        int i = this.mTryCount + 1;
        this.mTryCount = i;
        boolean needTry = i <= 10;
        if (HW_DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("retryCheck mTryCount = ");
            stringBuilder.append(this.mTryCount);
            android.util.Log.d("HwSecurityDiagnosePlugin", stringBuilder.toString());
        }
        if (needTry) {
            this.mMyHandler.sendEmptyMessageDelayed(1000, 6000);
            return;
        }
        this.mTryCount = 0;
        this.mIsDBNotExist = true;
        processQueue();
    }

    private void checkHwBigDataExist() {
        if (android.os.ServiceManager.getService("com.huawei.bd.BDService") == null) {
            retryCheck();
            return;
        }
        this.mTryCount = 0;
        processQueue();
    }

    private void processQueue() {
        synchronized (mLock) {
            if (this.mQueue != null) {
                if (HW_DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("processQueue SIZE = ");
                    stringBuilder.append(this.mQueue.size());
                    stringBuilder.append(" mIsDBNotExist ");
                    stringBuilder.append(this.mIsDBNotExist);
                    android.util.Log.d("HwSecurityDiagnosePlugin", stringBuilder.toString());
                }
                java.util.Iterator it;
                com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.QueueParams params;
                if (this.mIsDBNotExist) {
                    it = this.mQueue.iterator();
                    while (it.hasNext()) {
                        params = (com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.QueueParams) it.next();
                        saveDataToOeminfo(params.mReporter, params.mArg);
                    }
                } else {
                    it = this.mQueue.iterator();
                    while (it.hasNext()) {
                        params = (com.android.server.security.securitydiagnose.HwSecurityDiagnosePlugin.QueueParams) it.next();
                        sendDataToBD(params.mReporter, params.mArg);
                    }
                }
                this.mQueue.clear();
            }
        }
    }

    private void saveDataToOeminfo(int reportId, java.lang.Object data) {
        if (HW_DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("saveDataToOeminfo reportId = ");
            stringBuilder.append(reportId);
            stringBuilder.append("\n data : ");
            stringBuilder.append(data);
            android.util.Log.d("HwSecurityDiagnosePlugin", stringBuilder.toString());
        }
        switch (reportId) {
            case 100:
                sendAntiMalDataToOEMInfo((android.os.Bundle) data);
                return;
            case 101:
                sendRenewDataToOEMInfo((android.os.Bundle) data);
                return;
            case 102:
                sendRootCheckDataToOEMInfo((org.json.JSONObject) data);
                return;
            default:
                android.util.Log.e("HwSecurityDiagnosePlugin", "saveDataToOeminfo The ID is invalid!");
                return;
        }
    }

    private void sendDataToBD(int reportId, java.lang.Object data) {
        if (HW_DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sendDataToBD reportId = ");
            stringBuilder.append(reportId);
            android.util.Log.d("HwSecurityDiagnosePlugin", stringBuilder.toString());
        }
        switch (reportId) {
            case 100:
                sendAntiMalDataToBD((android.os.Bundle) data);
                return;
            case 101:
                sendRenewDataToBD((android.os.Bundle) data);
                return;
            case 102:
                sendRootCheckDataToBD((org.json.JSONObject) data);
                return;
            default:
                android.util.Log.e("HwSecurityDiagnosePlugin", "saveDataToOeminfo The ID is invalid!");
                return;
        }
    }

    private org.json.JSONObject parcelAntiMalBaseData(android.os.Bundle bundle) {
        if (bundle == null) {
            android.util.Log.e("HwSecurityDiagnosePlugin", "sendAntiMalDataToBD bundle is NULL!");
            return null;
        }
        org.json.JSONObject json = new org.json.JSONObject();
        try {
            json.put("ET", bundle.getString("ET"));
            json.put("RSTAT", bundle.getInt("RSTAT"));
            json.put("FSTAT", bundle.getInt("FSTAT"));
            json.put("SSTAT", bundle.getInt("SSTAT"));
            json.put("MalCount", bundle.getInt("MalCount"));
            json.put("DelCount", bundle.getInt("DelCount"));
            json.put("TamperCount", bundle.getInt("TamperCount"));
            json.put("SLSTAT", bundle.getInt("SLSTAT"));
            json.put("SecVer", bundle.getString("SecVer"));
            json.put("EWP", bundle.getInt("EWP"));
            json.put("FirstTime", bundle.getString("FirstTime"));
            json.put("SecVer", bundle.getString("SecVer"));
            return json;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("parcelAntiMalData E:");
            stringBuilder.append(e);
            android.util.Log.e("HwSecurityDiagnosePlugin", stringBuilder.toString());
            if (HW_DEBUG) {
                e.printStackTrace();
            }
            return null;
        }
    }

    private void sendAntiMalDataToOEMInfo(android.os.Bundle bundle) {
        org.json.JSONObject json = parcelAntiMalBaseData(bundle);
        if (json != null) {
            java.lang.StringBuilder stringBuilder;
            try {
                byte[] antiMalArry = json.toString().getBytes("UTF-8");
                com.android.server.security.deviceusage.HwOEMInfoAdapter.writeByteArrayToOeminfo(169, antiMalArry.length, antiMalArry);
                if (HW_DEBUG) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("sendAntiMalDataToOEMInfo STR:");
                    stringBuilder.append(json.toString());
                    stringBuilder.append(" LEN = ");
                    stringBuilder.append(antiMalArry.length);
                    android.util.Log.d("HwSecurityDiagnosePlugin", stringBuilder.toString());
                }
            } catch (java.lang.Exception e) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("sendRenewDataToOEMInfo e :");
                stringBuilder.append(e);
                android.util.Log.e("HwSecurityDiagnosePlugin", stringBuilder.toString());
                if (HW_DEBUG) {
                    e.printStackTrace();
                }
            }
            return;
        }
        android.util.Log.e("HwSecurityDiagnosePlugin", "sendAntiMalDataToOEMInfo JSON IS NULL!");
    }

    private org.json.JSONObject apkInfoToJson(com.android.server.security.securitydiagnose.AntiMalApkInfo apkInfo) {
        org.json.JSONObject apkJson = new org.json.JSONObject();
        try {
            apkJson.put("type", apkInfo.mType);
            apkJson.put("PackageName", apkInfo.mPackageName);
            apkJson.put("APKName", apkInfo.mApkName);
            apkJson.put("path", apkInfo.mPath.replaceAll("\\/", "-"));
            apkJson.put("Ver", apkInfo.mVersion);
            apkJson.put("CreateTime", apkInfo.mLastModifyTime);
            if (HW_DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("sendAntiMalDataToBD apkInfoToJson PATH: ");
                stringBuilder.append(apkInfo);
                android.util.Log.d("HwSecurityDiagnosePlugin", stringBuilder.toString());
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("apkInfoToJson EXCEPTION = ");
            stringBuilder2.append(e);
            android.util.Log.e("HwSecurityDiagnosePlugin", stringBuilder2.toString());
            if (HW_DEBUG) {
                e.printStackTrace();
            }
        }
        return apkJson;
    }

    private void sendAntiMalDataToBD(android.os.Bundle bundle) {
        org.json.JSONObject json = parcelAntiMalBaseData(bundle);
        if (bundle != null) {
            if (json != null) {
                try {
                    java.util.ArrayList<com.android.server.security.securitydiagnose.AntiMalApkInfo> apkInfoList = bundle.getParcelableArrayList("Package");
                    if (apkInfoList == null || apkInfoList.size() <= 0) {
                        if (HW_DEBUG) {
                            android.util.Log.d("HwSecurityDiagnosePlugin", "sendAntiMalDataToBD The list is empty!");
                        }
                        android.util.Flog.bdReport(this.mContext, 121, json, 27);
                    } else {
                        int j;
                        int size = apkInfoList.size();
                        int sendCnt = apkInfoList.size() / 5;
                        for (j = 0; j < sendCnt; j++) {
                            org.json.JSONArray jsonArry = new org.json.JSONArray();
                            for (int i = 0; i < 5; i++) {
                                com.android.server.security.securitydiagnose.AntiMalApkInfo apkInfo = (com.android.server.security.securitydiagnose.AntiMalApkInfo) apkInfoList.get((j * 5) + i);
                                if (apkInfo != null) {
                                    jsonArry.put(apkInfoToJson(apkInfo));
                                }
                            }
                            json.put("Package", jsonArry);
                            if (HW_DEBUG) {
                                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("sendAntiMalDataToBD LENGTH = ");
                                stringBuilder.append(json.toString().length());
                                stringBuilder.append("\n ANTIMAL data : ");
                                stringBuilder.append(json.toString());
                                android.util.Log.d("HwSecurityDiagnosePlugin", stringBuilder.toString());
                            }
                            android.util.Flog.bdReport(this.mContext, 121, json, 27);
                        }
                        int other = size % 5;
                        if (other > 0) {
                            org.json.JSONArray jsons = new org.json.JSONArray();
                            for (j = size - other; j < size; j++) {
                                com.android.server.security.securitydiagnose.AntiMalApkInfo ai = (com.android.server.security.securitydiagnose.AntiMalApkInfo) apkInfoList.get(j);
                                if (ai != null) {
                                    jsons.put(apkInfoToJson(ai));
                                }
                            }
                            json.put("Package", jsons);
                            if (HW_DEBUG) {
                                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append("sendAntiMalDataToBD LEFT LENGTH = ");
                                stringBuilder2.append(json.toString().length());
                                stringBuilder2.append("\n LEFT ANTIMAL data : ");
                                stringBuilder2.append(json.toString());
                                android.util.Log.d("HwSecurityDiagnosePlugin", stringBuilder2.toString());
                            }
                            android.util.Flog.bdReport(this.mContext, 121, json, 27);
                        }
                    }
                    return;
                } catch (org.json.JSONException e) {
                    java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append("sendAntiMalDataToBD EXCEPTION = ");
                    stringBuilder3.append(e);
                    android.util.Log.e("HwSecurityDiagnosePlugin", stringBuilder3.toString());
                    if (HW_DEBUG) {
                        e.printStackTrace();
                    }
                    return;
                }
            }
        }
        android.util.Log.e("HwSecurityDiagnosePlugin", "sendAntiMalDataToBD bundle is NULL!");
    }

    private org.json.JSONObject parcleRenewData(android.os.Bundle bundle) {
        if (bundle == null) {
            android.util.Log.e("HwSecurityDiagnosePlugin", "parcleRenewData bundle is NULL!");
            return null;
        }
        org.json.JSONObject json = new org.json.JSONObject();
        try {
            json.put("ISBN", bundle.getString("ISBN"));
            json.put("ServerTime", bundle.getString("ServerTime"));
            return json;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("parcleRenewData E: ");
            stringBuilder.append(e);
            android.util.Log.e("HwSecurityDiagnosePlugin", stringBuilder.toString());
            if (HW_DEBUG) {
                e.printStackTrace();
            }
            return null;
        }
    }

    private void sendRenewDataToBD(android.os.Bundle bundle) {
        org.json.JSONObject json = parcleRenewData(bundle);
        android.util.Flog.bdReport(this.mContext, 122, json, 27);
        if (HW_DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sendRenewDataToBD data: ");
            stringBuilder.append(json.toString());
            android.util.Log.d("HwSecurityDiagnosePlugin", stringBuilder.toString());
        }
    }

    private void sendRenewDataToOEMInfo(android.os.Bundle bundle) {
        org.json.JSONObject json = parcleRenewData(bundle);
        if (json != null) {
            java.lang.StringBuilder stringBuilder;
            try {
                byte[] renewArry = json.toString().getBytes("UTF-8");
                com.android.server.security.deviceusage.HwOEMInfoAdapter.writeByteArrayToOeminfo(170, renewArry.length, renewArry);
                if (HW_DEBUG) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("sendRenewDataToOEMInfo STR:");
                    stringBuilder.append(json.toString());
                    stringBuilder.append(" LEN = ");
                    stringBuilder.append(renewArry.length);
                    android.util.Log.d("HwSecurityDiagnosePlugin", stringBuilder.toString());
                }
            } catch (java.lang.Exception e) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("sendRenewDataToOEMInfo e :");
                stringBuilder.append(e);
                android.util.Log.e("HwSecurityDiagnosePlugin", stringBuilder.toString());
                if (HW_DEBUG) {
                    e.printStackTrace();
                }
            }
            return;
        }
        android.util.Log.e("HwSecurityDiagnosePlugin", "sendRenewDataToOEMInfo JSON IS NULL!");
    }

    private void sendRootCheckDataToBD(org.json.JSONObject json) {
        if (json != null) {
            android.util.Flog.bdReport(this.mContext, 123, json, 27);
            if (HW_DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("sendRootCheckDataToBD data: ");
                stringBuilder.append(json.toString());
                android.util.Log.d("HwSecurityDiagnosePlugin", stringBuilder.toString());
            }
        }
    }

    private void sendRootCheckDataToOEMInfo(org.json.JSONObject json) {
        if (json == null) {
            android.util.Log.e("HwSecurityDiagnosePlugin", "sendRootCheckDataToOEMInfo json is NULL!");
            return;
        }
        java.lang.StringBuilder stringBuilder;
        try {
            byte[] bootArry = json.toString().getBytes("UTF-8");
            com.android.server.security.deviceusage.HwOEMInfoAdapter.writeByteArrayToOeminfo(171, bootArry.length, bootArry);
            if (HW_DEBUG) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("sendRootCheckDataToOEMInfo STR:");
                stringBuilder.append(json.toString());
                stringBuilder.append(" LEN = ");
                stringBuilder.append(bootArry.length);
                android.util.Log.d("HwSecurityDiagnosePlugin", stringBuilder.toString());
            }
        } catch (java.lang.Exception e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("sendRootCheckDataToOEMInfo e :");
            stringBuilder.append(e);
            android.util.Log.e("HwSecurityDiagnosePlugin", stringBuilder.toString());
            if (HW_DEBUG) {
                e.printStackTrace();
            }
        }
    }

    private void onRootStatus(org.json.JSONObject rootStatus) {
        int i;
        java.util.List<huawei.android.security.IHwSecurityDiagnoseCallback> copyList = new java.util.ArrayList();
        synchronized (mLockCallBackList) {
            copyList.addAll(mCallBackList);
            mCallBackList.clear();
            i = 0;
            mTriggered = false;
            if (HW_DEBUG) {
                android.util.Log.d("HwSecurityDiagnosePlugin", "lock in onRootStatus");
            }
        }
        int rootResult = 0;
        try {
            rootResult = rootStatus.getInt("ROOT_STATUS");
        } catch (org.json.JSONException e) {
            android.util.Log.e("HwSecurityDiagnosePlugin", "json object error");
            rootResult = -1;
        }
        int copyListSize = copyList.size();
        while (i < copyListSize) {
            try {
                if (HW_DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("onRootStatus callbackID:");
                    stringBuilder.append(i);
                    android.util.Log.d("HwSecurityDiagnosePlugin", stringBuilder.toString());
                }
                ((huawei.android.security.IHwSecurityDiagnoseCallback) copyList.get(i)).onRootStatus(rootResult);
            } catch (android.os.RemoteException e2) {
                android.util.Log.e("HwSecurityDiagnosePlugin", "callback error");
            }
            i++;
        }
        copyList.clear();
        if (HW_DEBUG) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("root result is : ");
            stringBuilder2.append(rootResult);
            android.util.Log.d("HwSecurityDiagnosePlugin", stringBuilder2.toString());
        }
    }

    public void getRootStatus(huawei.android.security.IHwSecurityDiagnoseCallback callback) {
        checkPermission("com.huawei.permission.SECURITY_DIAGNOSE");
        boolean needTrigger = false;
        synchronized (mLockCallBackList) {
            if (!mTriggered) {
                needTrigger = true;
                mTriggered = true;
                if (HW_DEBUG) {
                    android.util.Log.d("HwSecurityDiagnosePlugin", "need to trigger root status");
                }
            }
            if (!mCallBackList.contains(callback)) {
                mCallBackList.add(callback);
                if (HW_DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("getRootStatus list size:");
                    stringBuilder.append(mCallBackList.size());
                    android.util.Log.d("HwSecurityDiagnosePlugin", stringBuilder.toString());
                }
            } else if (HW_DEBUG) {
                android.util.Log.d("HwSecurityDiagnosePlugin", "callback has in list,do not trigger again");
            }
        }
        if (needTrigger) {
            if (HW_DEBUG) {
                android.util.Log.d("HwSecurityDiagnosePlugin", "trigger root status");
            }
            triggerRootCheck();
        }
    }

    public int getRootStatusSync() {
        checkPermission("com.huawei.permission.SECURITY_DIAGNOSE");
        return com.android.server.security.securitydiagnose.AppLayerStpProxy.getInstance().getRootStatusSync();
    }

    public int getSystemStatusSync() {
        checkPermission("com.huawei.permission.SECURITY_DIAGNOSE");
        return com.android.server.security.securitydiagnose.AppLayerStpProxy.getInstance().getSystemStatusSync();
    }

    public int sendThreatenInfo(int id, byte status, byte credible, byte version, java.lang.String name, java.lang.String addition_info) {
        checkPermission("com.huawei.permission.SECURITY_DIAGNOSE");
        return com.android.server.security.securitydiagnose.AppLayerStpProxy.getInstance().sendThreatenInfo(id, status, credible, version, name, addition_info);
    }
}
