package com.android.server.security.securityprofile;

public class InstallerDataBase {
    private static com.android.server.security.securityprofile.InstallerDataBase sInstance = null;
    private final java.lang.String DB_FILE_PATH = "/data/system/securityprofileinstallerDB.json";
    private final java.lang.String PACKAGE_NAME = "packageName";
    private final java.lang.String PACKAGE_NAME_INSTALLER = "installer";
    private final java.lang.String TAG = "InstallerDataBase";
    private final java.lang.String databaseName = "";
    private java.nio.file.Path mFile = java.nio.file.Paths.get("/data/system/securityprofileinstallerDB.json", new java.lang.String[0]);
    android.content.pm.PackageManager mPackageManager = null;

    private class AppInstallerInfo {
        private java.lang.String installer;
        private java.lang.String packageName;

        public AppInstallerInfo(java.lang.String packageName, java.lang.String installer) {
            this.installer = installer;
            this.packageName = packageName;
        }

        public java.lang.String getPackageName() {
            return this.packageName;
        }

        public java.lang.String getInstaller() {
            return this.installer;
        }

        public void setPackageName(java.lang.String packageName) {
            this.packageName = packageName;
        }

        public void setInstaller(java.lang.String installer) {
            this.installer = installer;
        }
    }

    public static com.android.server.security.securityprofile.InstallerDataBase getInstance() {
        if (sInstance == null) {
            sInstance = new com.android.server.security.securityprofile.InstallerDataBase();
        }
        return sInstance;
    }

    private InstallerDataBase() {
    }

    private java.lang.String getInstallerFromSys(android.content.Context context, java.lang.String packageName) {
        java.lang.String installer = null;
        android.content.pm.PackageManager packageManager = context.getPackageManager();
        if (packageManager == null) {
            android.util.Log.e("InstallerDataBase", "[getInstaller] mPackageManager is null");
            return null;
        }
        try {
            installer = packageManager.getInstallerPackageName(packageName);
            if (!(installer == null || android.text.TextUtils.isEmpty(installer))) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("[From sys]");
                stringBuilder.append(packageName);
                stringBuilder.append(" got installer from system api installer = ");
                stringBuilder.append(installer);
                android.util.Log.d("InstallerDataBase", stringBuilder.toString());
            }
        } catch (java.lang.IllegalArgumentException e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("getInstaller IllegalArgumentException:");
            stringBuilder2.append(e.getMessage());
            android.util.Log.e("InstallerDataBase", stringBuilder2.toString());
        }
        return installer;
    }

    public org.json.JSONArray setInstallerPackageName(android.content.Context context, java.lang.String packageName) {
        if (!(context == null || packageName == null)) {
            if (!android.text.TextUtils.isEmpty(packageName)) {
                java.lang.String installer = getInstallerFromSys(context, packageName);
                org.json.JSONArray res = null;
                try {
                    java.lang.StringBuilder stringBuilder;
                    java.lang.String allInstallerInfo = readDataBase();
                    if (allInstallerInfo == null || android.text.TextUtils.isEmpty(allInstallerInfo)) {
                        res = new org.json.JSONArray();
                    } else {
                        res = new org.json.JSONArray(allInstallerInfo);
                        int index = indexOfJSONArray(res, packageName);
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("index = ");
                        stringBuilder.append(index);
                        android.util.Log.d("InstallerDataBase", stringBuilder.toString());
                        if (index > -1) {
                            res.remove(index);
                        }
                    }
                    org.json.JSONObject installInfo = new org.json.JSONObject();
                    installInfo.put("packageName", packageName);
                    installInfo.put("installer", installer);
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("add  jsonObject = ");
                    stringBuilder.append(installInfo);
                    android.util.Log.d("InstallerDataBase", stringBuilder.toString());
                    res.put(installInfo);
                    writeDataBase(res.toString());
                    return res;
                } catch (org.json.JSONException e) {
                    e.printStackTrace();
                    return null;
                }
            }
        }
        android.util.Log.e("InstallerDataBase", "[addInstallerInfo] context is null or packagename error");
        return null;
    }

    public java.lang.String getInstaller(android.content.Context context, java.lang.String packageName) {
        java.lang.String installer = getInstallerFromSys(context, packageName);
        if (installer == null || android.text.TextUtils.isEmpty(installer)) {
            installer = getInstallerFromDb(packageName);
            if (!(installer == null || android.text.TextUtils.isEmpty(installer))) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("[From seapp]");
                stringBuilder.append(packageName);
                stringBuilder.append(" got installer from seapp database installer = ");
                stringBuilder.append(installer);
                android.util.Log.d("InstallerDataBase", stringBuilder.toString());
            }
        }
        return installer;
    }

    private java.lang.String getInstallerFromDb(java.lang.String packageName) {
        java.lang.String installerList = "";
        if (packageName != null) {
            if (!android.text.TextUtils.isEmpty(packageName)) {
                installerList = readDataBase();
                if (installerList == null) {
                    return null;
                }
                try {
                    return (java.lang.String) parseJSONHashMap(installerList).get(packageName);
                } catch (org.json.JSONException e) {
                    e.printStackTrace();
                    return null;
                }
            }
        }
        android.util.Log.e("InstallerDataBase", "getInstallerFromDb input para error");
        return null;
    }

    private java.lang.String readDataBase() {
        java.lang.String installerJson = "";
        if (java.nio.file.Files.exists(this.mFile, new java.nio.file.LinkOption[0])) {
            try {
                installerJson = new java.lang.String(java.nio.file.Files.readAllBytes(this.mFile), java.nio.charset.StandardCharsets.UTF_8);
            } catch (java.io.IOException e) {
                e.printStackTrace();
            }
            return installerJson;
        }
        android.util.Log.d("InstallerDataBase", "install db file is not exist");
        return null;
    }

    private void writeDataBase(java.lang.String installerJson) {
        if (java.nio.file.Files.exists(this.mFile, new java.nio.file.LinkOption[0])) {
            try {
                java.nio.file.Files.write(this.mFile, installerJson.getBytes(java.nio.charset.StandardCharsets.UTF_8), new java.nio.file.OpenOption[0]);
                return;
            } catch (java.io.IOException e) {
                e.printStackTrace();
                return;
            }
        }
        try {
            java.nio.file.Files.write(this.mFile, installerJson.getBytes(java.nio.charset.StandardCharsets.UTF_8), new java.nio.file.OpenOption[0]);
        } catch (java.io.IOException e2) {
            e2.printStackTrace();
        }
    }

    private java.util.HashMap<java.lang.String, java.lang.String> parseJSONHashMap(java.lang.String installerList) throws org.json.JSONException {
        java.util.HashMap<java.lang.String, java.lang.String> res = new java.util.HashMap();
        org.json.JSONArray appInstalledInfoArray = new org.json.JSONArray(installerList);
        int length = appInstalledInfoArray.length();
        for (int i = 0; i < length; i++) {
            org.json.JSONObject appInstalledInfo = (org.json.JSONObject) appInstalledInfoArray.get(i);
            res.put(appInstalledInfo.optString("packageName"), appInstalledInfo.optString("installer"));
        }
        return res;
    }

    private java.util.ArrayList<com.android.server.security.securityprofile.InstallerDataBase.AppInstallerInfo> parseJSONArrayList(java.lang.String installerList) throws org.json.JSONException {
        java.util.ArrayList<com.android.server.security.securityprofile.InstallerDataBase.AppInstallerInfo> res = new java.util.ArrayList();
        org.json.JSONArray appInstalledInfoArray = new org.json.JSONArray(installerList);
        int length = appInstalledInfoArray.length();
        for (int i = 0; i < length; i++) {
            org.json.JSONObject appInstalledInfo = (org.json.JSONObject) appInstalledInfoArray.get(i);
            res.add(new com.android.server.security.securityprofile.InstallerDataBase.AppInstallerInfo(appInstalledInfo.optString("packageName"), appInstalledInfo.optString("installer")));
        }
        return res;
    }

    private int indexOfJSONArray(org.json.JSONArray jsonArray, java.lang.String value) {
        if (jsonArray == null) {
            return -1;
        }
        int length = jsonArray.length();
        for (int i = 0; i < length; i++) {
            org.json.JSONObject jsonObject = jsonArray.optJSONObject(i);
            if (jsonObject != null && jsonObject.optString("packageName").equals(value)) {
                return i;
            }
        }
        return -1;
    }

    private org.json.JSONArray generateJSON(java.util.ArrayList<com.android.server.security.securityprofile.InstallerDataBase.AppInstallerInfo> appInstalledInfoArray) throws org.json.JSONException {
        org.json.JSONArray jsonArray = new org.json.JSONArray();
        org.json.JSONObject jsonObject = new org.json.JSONObject();
        int size = appInstalledInfoArray.size();
        for (int i = 0; i < size; i++) {
            jsonObject.put("packageName", ((com.android.server.security.securityprofile.InstallerDataBase.AppInstallerInfo) appInstalledInfoArray.get(i)).getPackageName());
            jsonObject.put("installer", ((com.android.server.security.securityprofile.InstallerDataBase.AppInstallerInfo) appInstalledInfoArray.get(i)).getInstaller());
            jsonArray.put(jsonObject);
        }
        return jsonArray;
    }
}
