package com.android.server.security.securityprofile;

public class PolicyDatabase {
    public static final java.lang.String DEFAULT_POLICY = "{\n\"overlay_labels\": {},\"domains\": {},\"rules\": [        {        \"decision\": \"deny\",        \"subject\": \"ANY\",        \"object\": \"Black\",        \"subsystem\": \"Intent\",        \"operation\": \"Send\"        },        {        \"decision\": \"allowif\",        \"subject\": \"ANY\",        \"object\": \"Red\",        \"subsystem\": \"Intent\",        \"operation\": \"Send\",        \"conditions\":  { \"state\": \"NoScreenRecording\" }        },        {        \"decision\": \"allowafter\",        \"subject\": \"ANY\",        \"object\": \"Red\",        \"subsystem\": \"Intent\",        \"operation\": \"Send\",        \"conditions\":  { \"action\": { \"name\": \"StopScreenRecording\" },              \"timeout\": 1000,              \"state\": \"NoScreenRecording\"            }         },        {        \"decision\": \"deny\",        \"subject\": \"ANY\",        \"object\": \"Red\",        \"subsystem\": \"Intent\",        \"operation\": \"Send\"        },        {        \"decision\": \"deny\",        \"subject\": \"ANY\",        \"object\": \"Red\",        \"subsystem\": \"MediaProjection\",        \"operation\": \"Record\"        },        {        \"decision\": \"allow\",        \"subject\": \"ANY\",        \"object\": \"ANY\",        \"subsystem\": \"MediaProjection\",        \"operation\": \"Record\"        },        {        \"decision\": \"allow\",        \"subject\": \"ANY\",        \"object\": \"ANY\",        \"subsystem\": \"Intent\",        \"operation\": \"Send\"        }]}";
    private static final java.lang.String TAG = "SecurityProfileService";
    private boolean isNewVersionFirstBoot = false;
    private org.json.JSONObject mActivePolicy;
    private com.android.server.security.securityprofile.PolicyStorage mActiveStorage;
    private android.content.Context mContext;
    private com.android.server.security.securityprofile.PolicyStorage mDatabaseStorage;
    private org.json.JSONObject mPolicyDatabase;

    interface DigestHelper {
        boolean matches(huawei.android.security.securityprofile.ApkDigest apkDigest);
    }

    PolicyDatabase(android.content.Context context) {
        this.mContext = context;
        this.mDatabaseStorage = new com.android.server.security.securityprofile.PolicyStorage("/data/system/securityprofiledb.json", "{\n\"overlay_labels\": {},\"domains\": {},\"rules\": [        {        \"decision\": \"deny\",        \"subject\": \"ANY\",        \"object\": \"Black\",        \"subsystem\": \"Intent\",        \"operation\": \"Send\"        },        {        \"decision\": \"allowif\",        \"subject\": \"ANY\",        \"object\": \"Red\",        \"subsystem\": \"Intent\",        \"operation\": \"Send\",        \"conditions\":  { \"state\": \"NoScreenRecording\" }        },        {        \"decision\": \"allowafter\",        \"subject\": \"ANY\",        \"object\": \"Red\",        \"subsystem\": \"Intent\",        \"operation\": \"Send\",        \"conditions\":  { \"action\": { \"name\": \"StopScreenRecording\" },              \"timeout\": 1000,              \"state\": \"NoScreenRecording\"            }         },        {        \"decision\": \"deny\",        \"subject\": \"ANY\",        \"object\": \"Red\",        \"subsystem\": \"Intent\",        \"operation\": \"Send\"        },        {        \"decision\": \"deny\",        \"subject\": \"ANY\",        \"object\": \"Red\",        \"subsystem\": \"MediaProjection\",        \"operation\": \"Record\"        },        {        \"decision\": \"allow\",        \"subject\": \"ANY\",        \"object\": \"ANY\",        \"subsystem\": \"MediaProjection\",        \"operation\": \"Record\"        },        {        \"decision\": \"allow\",        \"subject\": \"ANY\",        \"object\": \"ANY\",        \"subsystem\": \"Intent\",        \"operation\": \"Send\"        }]}");
        this.mPolicyDatabase = this.mDatabaseStorage.readDatabase();
        this.mActiveStorage = new com.android.server.security.securityprofile.PolicyStorage("/data/system/securityprofile.json", null);
        this.mActivePolicy = this.mActiveStorage.readDatabase();
        if (this.mActivePolicy == null) {
            this.isNewVersionFirstBoot = true;
            rebuildPolicy();
            importOldBlackListDatabase();
        }
    }

    protected boolean isNewVersionFirstBoot() {
        return this.isNewVersionFirstBoot;
    }

    private void writePolicyDatabase() {
        this.mDatabaseStorage.writeDatabase(this.mPolicyDatabase);
    }

    private void writeActivePolicy() {
        this.mActiveStorage.writeDatabase(this.mActivePolicy);
    }

    private boolean samePolicyTarget(org.json.JSONObject p1, org.json.JSONObject p2) {
        if (p1 == null && p2 == null) {
            return true;
        }
        if (p1 != null) {
            if (p2 != null) {
                if (p1.optJSONObject("apk_digest").optString("digest").equals(p2.optJSONObject("apk_digest").optString("digest"))) {
                    return true;
                }
                return false;
            }
        }
        return false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:35:0x00d2 A:{SYNTHETIC} */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x00cc A:{Catch:{ JSONException -> 0x00e5 }} */
    public void addPolicy(org.json.JSONObject r18) {
        /*
        r17 = this;
        r1 = r17;
        r2 = r18;
        r0 = "policy_language_version";
        r3 = 1;
        r0 = r2.optInt(r0, r3);
        if (r0 == r3) goto L_0x000e;
    L_0x000d:
        return;
    L_0x000e:
        r0 = new java.util.HashSet;
        r0.<init>();
        r3 = r0;
        r0 = "domains";
        r0 = r2.optJSONObject(r0);
        r4 = r0;
        r0 = r4.keys();	 Catch:{ JSONException -> 0x00e5 }
    L_0x001f:
        r5 = r0.hasNext();	 Catch:{ JSONException -> 0x00e5 }
        if (r5 == 0) goto L_0x00d9;
    L_0x0025:
        r5 = r0.next();	 Catch:{ JSONException -> 0x00e5 }
        r5 = (java.lang.String) r5;	 Catch:{ JSONException -> 0x00e5 }
        r6 = r4.optJSONArray(r5);	 Catch:{ JSONException -> 0x00e5 }
        r7 = r1.mPolicyDatabase;	 Catch:{ JSONException -> 0x00e5 }
        r8 = "domains";
        r7 = r7.optJSONObject(r8);	 Catch:{ JSONException -> 0x00e5 }
        r7 = r7.optJSONArray(r5);	 Catch:{ JSONException -> 0x00e5 }
        if (r7 != 0) goto L_0x004e;
    L_0x003d:
        r8 = new org.json.JSONArray;	 Catch:{ JSONException -> 0x00e5 }
        r8.<init>();	 Catch:{ JSONException -> 0x00e5 }
        r7 = r8;
        r8 = r1.mPolicyDatabase;	 Catch:{ JSONException -> 0x00e5 }
        r9 = "domains";
        r8 = r8.optJSONObject(r9);	 Catch:{ JSONException -> 0x00e5 }
        r8.put(r5, r7);	 Catch:{ JSONException -> 0x00e5 }
    L_0x004e:
        r8 = 0;
        r9 = r8;
    L_0x0050:
        r10 = r6.length();	 Catch:{ JSONException -> 0x00e5 }
        if (r9 >= r10) goto L_0x00d7;
    L_0x0056:
        r10 = r6.optJSONObject(r9);	 Catch:{ JSONException -> 0x00e5 }
        r11 = 0;
        r12 = r8;
    L_0x005c:
        r13 = r7.length();	 Catch:{ JSONException -> 0x00e5 }
        if (r12 >= r13) goto L_0x00ca;
    L_0x0062:
        r13 = r7.optJSONObject(r12);	 Catch:{ JSONException -> 0x00e5 }
        r14 = r1.samePolicyTarget(r10, r13);	 Catch:{ JSONException -> 0x00e5 }
        if (r14 == 0) goto L_0x00c6;
    L_0x006c:
        r11 = 1;
        r14 = "policy_version";
        r14 = r10.optInt(r14, r8);	 Catch:{ JSONException -> 0x00e5 }
        r15 = "policy_version";
        r15 = r13.optInt(r15, r8);	 Catch:{ JSONException -> 0x00e5 }
        if (r14 <= r15) goto L_0x0082;
    L_0x007b:
        r7.put(r12, r10);	 Catch:{ JSONException -> 0x00e5 }
        r3.add(r5);	 Catch:{ JSONException -> 0x00e5 }
        goto L_0x00ca;
    L_0x0082:
        r14 = "SecurityProfileService";
        r15 = new java.lang.StringBuilder;	 Catch:{ JSONException -> 0x00e5 }
        r15.<init>();	 Catch:{ JSONException -> 0x00e5 }
        r8 = "this policy_version is old than exit policy do not need update! domain:";
        r15.append(r8);	 Catch:{ JSONException -> 0x00e5 }
        r15.append(r5);	 Catch:{ JSONException -> 0x00e5 }
        r8 = r15.toString();	 Catch:{ JSONException -> 0x00e5 }
        android.util.Slog.i(r14, r8);	 Catch:{ JSONException -> 0x00e5 }
        r8 = "SecurityProfileService";
        r14 = new java.lang.StringBuilder;	 Catch:{ JSONException -> 0x00e5 }
        r14.<init>();	 Catch:{ JSONException -> 0x00e5 }
        r15 = "domainPolicy:";
        r14.append(r15);	 Catch:{ JSONException -> 0x00e5 }
        r14.append(r10);	 Catch:{ JSONException -> 0x00e5 }
        r14 = r14.toString();	 Catch:{ JSONException -> 0x00e5 }
        android.util.Slog.i(r8, r14);	 Catch:{ JSONException -> 0x00e5 }
        r8 = "SecurityProfileService";
        r14 = new java.lang.StringBuilder;	 Catch:{ JSONException -> 0x00e5 }
        r14.<init>();	 Catch:{ JSONException -> 0x00e5 }
        r15 = "existingDomainPolicy:";
        r14.append(r15);	 Catch:{ JSONException -> 0x00e5 }
        r14.append(r13);	 Catch:{ JSONException -> 0x00e5 }
        r14 = r14.toString();	 Catch:{ JSONException -> 0x00e5 }
        android.util.Slog.i(r8, r14);	 Catch:{ JSONException -> 0x00e5 }
        goto L_0x00ca;
    L_0x00c6:
        r12 = r12 + 1;
        r8 = 0;
        goto L_0x005c;
    L_0x00ca:
        if (r11 != 0) goto L_0x00d2;
    L_0x00cc:
        r7.put(r10);	 Catch:{ JSONException -> 0x00e5 }
        r3.add(r5);	 Catch:{ JSONException -> 0x00e5 }
    L_0x00d2:
        r9 = r9 + 1;
        r8 = 0;
        goto L_0x0050;
    L_0x00d7:
        goto L_0x001f;
    L_0x00d9:
        r17.writePolicyDatabase();	 Catch:{ JSONException -> 0x00e5 }
        r0 = new java.util.ArrayList;	 Catch:{ JSONException -> 0x00e5 }
        r0.<init>(r3);	 Catch:{ JSONException -> 0x00e5 }
        r1.updateDomainPolicies(r0);	 Catch:{ JSONException -> 0x00e5 }
        goto L_0x00ef;
    L_0x00e5:
        r0 = move-exception;
        r5 = "SecurityProfileService";
        r6 = r0.getMessage();
        android.util.Slog.e(r5, r6);
    L_0x00ef:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.security.securityprofile.PolicyDatabase.addPolicy(org.json.JSONObject):void");
    }

    public org.json.JSONObject getPolicy() {
        return this.mActivePolicy;
    }

    private org.json.JSONObject deepCopyJSONObject(org.json.JSONObject o) {
        try {
            return new org.json.JSONObject(o.toString());
        } catch (org.json.JSONException e) {
            android.util.Slog.e("SecurityProfileService", e.getMessage());
            return new org.json.JSONObject();
        }
    }

    private org.json.JSONObject emptyDomainPolicy() {
        try {
            org.json.JSONObject result = new org.json.JSONObject();
            result.put("labels", new org.json.JSONArray());
            return result;
        } catch (org.json.JSONException e) {
            android.util.Slog.e("SecurityProfileService", e.getMessage());
            return new org.json.JSONObject();
        }
    }

    int indexOfJSONArray(org.json.JSONArray array, java.lang.String value) {
        for (int i = 0; i < array.length(); i++) {
            if (value.equals(array.optString(i))) {
                return i;
            }
        }
        return -1;
    }

    public void removeLabel(java.lang.String label) {
        try {
            java.util.List<java.lang.String> packageList = new java.util.ArrayList();
            org.json.JSONObject overlayLabels = this.mPolicyDatabase.getJSONObject("overlay_labels");
            java.lang.StringBuilder stringBuilder;
            if (overlayLabels == null) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("overlayLabels is null, removeLabel must return,label:");
                stringBuilder.append(label);
                android.util.Slog.e("SecurityProfileService", stringBuilder.toString());
                return;
            }
            java.util.Iterator<java.lang.String> iter = overlayLabels.keys();
            while (iter.hasNext()) {
                packageList.add((java.lang.String) iter.next());
            }
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("removeLabel all packageList:");
            stringBuilder.append(packageList);
            android.util.Slog.i("SecurityProfileService", stringBuilder.toString());
            removeLabel(packageList, label);
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("removeLabel all err:");
            stringBuilder2.append(e.getMessage());
            android.util.Slog.e("SecurityProfileService", stringBuilder2.toString());
        }
    }

    public void addLabel(java.util.List<java.lang.String> packageList, java.lang.String label) {
        try {
            for (java.lang.String packageName : packageList) {
                org.json.JSONArray packageOverlayLabels = this.mPolicyDatabase.getJSONObject("overlay_labels").optJSONArray(packageName);
                if (packageOverlayLabels == null) {
                    packageOverlayLabels = new org.json.JSONArray();
                    this.mPolicyDatabase.getJSONObject("overlay_labels").put(packageName, packageOverlayLabels);
                }
                if (indexOfJSONArray(packageOverlayLabels, label) == -1) {
                    packageOverlayLabels.put(label);
                }
            }
            writePolicyDatabase();
            updateDomainPolicies(packageList);
        } catch (org.json.JSONException e) {
            android.util.Slog.e("SecurityProfileService", e.getMessage());
        }
    }

    public void removeLabel(java.util.List<java.lang.String> packageList, java.lang.String label) {
        try {
            org.json.JSONObject overlayLabels = this.mPolicyDatabase.getJSONObject("overlay_labels");
            for (java.lang.String packageName : packageList) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("removeLabel:");
                stringBuilder.append(packageName);
                android.util.Slog.d("SecurityProfileService", stringBuilder.toString());
                org.json.JSONArray packageOverlayLabels = overlayLabels.optJSONArray(packageName);
                if (packageOverlayLabels != null) {
                    int idx = indexOfJSONArray(packageOverlayLabels, label);
                    if (idx != -1) {
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("removeLabel:");
                        stringBuilder2.append(packageName);
                        stringBuilder2.append(",label:");
                        stringBuilder2.append(label);
                        android.util.Slog.d("SecurityProfileService", stringBuilder2.toString());
                        packageOverlayLabels.remove(idx);
                        if (packageOverlayLabels.length() == 0) {
                            stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("removeLabel:");
                            stringBuilder2.append(packageName);
                            stringBuilder2.append(",has no overlay_labels left,remove package name from overlay_labels");
                            android.util.Slog.d("SecurityProfileService", stringBuilder2.toString());
                            overlayLabels.remove(packageName);
                        }
                    }
                }
            }
            writePolicyDatabase();
            updateDomainPolicies(packageList);
        } catch (org.json.JSONException e) {
            android.util.Slog.e("SecurityProfileService", e.getMessage());
        }
    }

    public void updatePackageInformation(java.lang.String packageName) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("updatePackageInformation,packageName:");
        stringBuilder.append(packageName);
        android.util.Slog.d("SecurityProfileService", stringBuilder.toString());
        updateDomainPolicies(java.util.Arrays.asList(new java.lang.String[]{packageName}));
        updatePackageSigningInfo(packageName);
        writeActivePolicy();
    }

    /* JADX WARNING: Removed duplicated region for block: B:35:0x0113  */
    private org.json.JSONObject resolveActiveDomainPolicy(java.lang.String r12, com.android.server.security.securityprofile.PolicyDatabase.DigestHelper r13) {
        /*
        r11 = this;
        r0 = r11.mPolicyDatabase;
        r1 = "domains";
        r0 = r0.optJSONObject(r1);
        if (r0 != 0) goto L_0x0026;
    L_0x000a:
        r1 = r11.mPolicyDatabase;	 Catch:{ JSONException -> 0x0017 }
        r2 = "domains";
        r3 = new org.json.JSONObject;	 Catch:{ JSONException -> 0x0017 }
        r3.<init>();	 Catch:{ JSONException -> 0x0017 }
        r1.put(r2, r3);	 Catch:{ JSONException -> 0x0017 }
        goto L_0x0026;
    L_0x0017:
        r1 = move-exception;
        r2 = "SecurityProfileService";
        r3 = r1.getMessage();
        android.util.Slog.e(r2, r3);
        r2 = r11.emptyDomainPolicy();
        return r2;
    L_0x0026:
        r1 = 0;
        r2 = 0;
        if (r0 == 0) goto L_0x00c5;
    L_0x002a:
        r3 = r0.has(r12);	 Catch:{ Exception -> 0x00c3 }
        if (r3 == 0) goto L_0x00c5;
    L_0x0030:
        r3 = "SecurityProfileService";
        r4 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x00c3 }
        r4.<init>();	 Catch:{ Exception -> 0x00c3 }
        r5 = "resolveActiveDomainPolicy domain has packageName ";
        r4.append(r5);	 Catch:{ Exception -> 0x00c3 }
        r4.append(r12);	 Catch:{ Exception -> 0x00c3 }
        r4 = r4.toString();	 Catch:{ Exception -> 0x00c3 }
        android.util.Slog.d(r3, r4);	 Catch:{ Exception -> 0x00c3 }
        r3 = 0;
        r4 = 0;
        r5 = r0.optJSONArray(r12);	 Catch:{ Exception -> 0x00c3 }
        r6 = "SecurityProfileService";
        r7 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x00c3 }
        r7.<init>();	 Catch:{ Exception -> 0x00c3 }
        r8 = "resolveActiveDomainPolicy potential policies ";
        r7.append(r8);	 Catch:{ Exception -> 0x00c3 }
        r8 = r5.length();	 Catch:{ Exception -> 0x00c3 }
        r8 = java.lang.String.valueOf(r8);	 Catch:{ Exception -> 0x00c3 }
        r7.append(r8);	 Catch:{ Exception -> 0x00c3 }
        r7 = r7.toString();	 Catch:{ Exception -> 0x00c3 }
        android.util.Slog.d(r6, r7);	 Catch:{ Exception -> 0x00c3 }
        r6 = r3;
        r3 = r2;
    L_0x006c:
        r7 = r5.length();	 Catch:{ Exception -> 0x00c3 }
        if (r3 >= r7) goto L_0x00b6;
    L_0x0072:
        r7 = r5.optJSONObject(r3);	 Catch:{ Exception -> 0x00c3 }
        r8 = "SecurityProfileService";
        r9 = new java.lang.StringBuilder;	 Catch:{ Exception -> 0x00c3 }
        r9.<init>();	 Catch:{ Exception -> 0x00c3 }
        r10 = "domainPolicy candidate";
        r9.append(r10);	 Catch:{ Exception -> 0x00c3 }
        r10 = r7.toString();	 Catch:{ Exception -> 0x00c3 }
        r9.append(r10);	 Catch:{ Exception -> 0x00c3 }
        r9 = r9.toString();	 Catch:{ Exception -> 0x00c3 }
        android.util.Slog.d(r8, r9);	 Catch:{ Exception -> 0x00c3 }
        r8 = "apk_digest";
        r8 = r7.optJSONObject(r8);	 Catch:{ Exception -> 0x00c3 }
        if (r8 == 0) goto L_0x00a2;
    L_0x0098:
        r9 = r11.jsonToApkDigest(r8);	 Catch:{ Exception -> 0x00c3 }
        r9 = r13.matches(r9);	 Catch:{ Exception -> 0x00c3 }
        if (r9 == 0) goto L_0x00b3;
    L_0x00a2:
        r9 = "SecurityProfileService";
        r10 = "resolveActiveDomainPolicy match";
        android.util.Slog.d(r9, r10);	 Catch:{ Exception -> 0x00c3 }
        r9 = "policy_version";
        r9 = r7.optInt(r9, r2);	 Catch:{ Exception -> 0x00c3 }
        if (r9 <= r6) goto L_0x00b3;
    L_0x00b1:
        r4 = r7;
        r6 = r9;
    L_0x00b3:
        r3 = r3 + 1;
        goto L_0x006c;
    L_0x00b6:
        if (r4 == 0) goto L_0x00bd;
    L_0x00b8:
        r3 = r11.deepCopyJSONObject(r4);	 Catch:{ Exception -> 0x00c3 }
        goto L_0x00c1;
    L_0x00bd:
        r3 = r11.emptyDomainPolicy();	 Catch:{ Exception -> 0x00c3 }
    L_0x00c1:
        r1 = r3;
        goto L_0x00ca;
    L_0x00c3:
        r3 = move-exception;
        goto L_0x00cb;
    L_0x00c5:
        r3 = r11.emptyDomainPolicy();	 Catch:{ Exception -> 0x00c3 }
        r1 = r3;
    L_0x00ca:
        goto L_0x00ea;
        r4 = "SecurityProfileService";
        r5 = new java.lang.StringBuilder;
        r5.<init>();
        r6 = "rules err:";
        r5.append(r6);
        r6 = r3.getMessage();
        r5.append(r6);
        r5 = r5.toString();
        android.util.Slog.e(r4, r5);
        r1 = r11.emptyDomainPolicy();
    L_0x00ea:
        r3 = "SecurityProfileService";
        r4 = new java.lang.StringBuilder;
        r4.<init>();
        r5 = "selected1 policy:";
        r4.append(r5);
        r5 = r1.toString();
        r4.append(r5);
        r4 = r4.toString();
        android.util.Slog.d(r3, r4);
        r3 = r11.mPolicyDatabase;
        r4 = "overlay_labels";
        r3 = r3.optJSONObject(r4);
        r3 = r3.optJSONArray(r12);
        if (r3 == 0) goto L_0x012a;
    L_0x0114:
        r4 = r3.length();
        if (r2 >= r4) goto L_0x012a;
    L_0x011a:
        r4 = "labels";
        r4 = r1.optJSONArray(r4);
        r5 = r3.optString(r2);
        r4.put(r5);
        r2 = r2 + 1;
        goto L_0x0114;
    L_0x012a:
        r2 = "SecurityProfileService";
        r4 = new java.lang.StringBuilder;
        r4.<init>();
        r5 = "selected2 policy:";
        r4.append(r5);
        r5 = r1.toString();
        r4.append(r5);
        r4 = r4.toString();
        android.util.Slog.d(r2, r4);
        return r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.security.securityprofile.PolicyDatabase.resolveActiveDomainPolicy(java.lang.String, com.android.server.security.securityprofile.PolicyDatabase$DigestHelper):org.json.JSONObject");
    }

    private boolean isEmptyDomainPolicy(org.json.JSONObject policy) {
        if (policy != null) {
            return policy.optJSONArray("labels").length() == 0 && policy.length() == 1;
        } else {
            return true;
        }
    }

    private void resolveActiveDomainPolicies(java.util.List<java.lang.String> packages, org.json.JSONObject resultDomains) throws org.json.JSONException {
        for (java.lang.String packageName : packages) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("resolveActiveDomainPolicies packageName ");
            stringBuilder.append(packageName);
            android.util.Slog.d("SecurityProfileService", stringBuilder.toString());
            try {
                java.lang.String packagePath = com.android.server.security.securityprofile.SecurityProfileUtils.getInstalledApkPath(packageName, this.mContext);
                if (packagePath == null) {
                    android.util.Slog.e("SecurityProfileService", "resolveActiveDomainPolicies packagePath is null");
                    resultDomains.put(packageName, null);
                } else {
                    org.json.JSONObject selectedPolicy = resolveActiveDomainPolicy(packageName, new com.android.server.security.securityprofile.-$$Lambda$PolicyDatabase$LwcoExQ65OK6nDlpDPiI3sSHA2E(packagePath));
                    if (isEmptyDomainPolicy(selectedPolicy)) {
                        resultDomains.put(packageName, null);
                    } else {
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("resolveActiveDomainPolicies packageName:");
                        stringBuilder2.append(packageName);
                        stringBuilder2.append(", selectedPolicy:");
                        stringBuilder2.append(selectedPolicy);
                        android.util.Slog.d("SecurityProfileService", stringBuilder2.toString());
                        resultDomains.put(packageName, selectedPolicy);
                    }
                }
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("resolveActiveDomainPolicies err:");
                stringBuilder3.append(e.getMessage());
                android.util.Slog.e("SecurityProfileService", stringBuilder3.toString());
            }
        }
    }

    private huawei.android.security.securityprofile.ApkDigest jsonToApkDigest(org.json.JSONObject json) {
        return new huawei.android.security.securityprofile.ApkDigest(json.optString("signature_scheme", "v2"), json.optString("digest_algorithm", "SHA-256"), json.optString("digest"));
    }

    private org.json.JSONObject getActiveDomainPolicy(java.lang.String packageName) {
        org.json.JSONObject activeDomainPolicy = this.mActivePolicy.optJSONObject("domains").optJSONObject(packageName);
        if (activeDomainPolicy == null) {
            return emptyDomainPolicy();
        }
        return activeDomainPolicy;
    }

    public java.util.List<java.lang.String> getLabels(java.lang.String packageName, huawei.android.security.securityprofile.ApkDigest digest) {
        org.json.JSONObject activeDomainPolicy;
        if (digest != null) {
            activeDomainPolicy = resolveActiveDomainPolicy(packageName, new com.android.server.security.securityprofile.-$$Lambda$PolicyDatabase$BBm2hUsWXixteFSLn4sckREq5z4(digest));
        } else {
            activeDomainPolicy = getActiveDomainPolicy(packageName);
        }
        org.json.JSONArray labels = activeDomainPolicy.optJSONArray("labels");
        java.util.List<java.lang.String> result = new java.util.ArrayList();
        for (int i = 0; i < labels.length(); i++) {
            result.add(labels.optString(i));
        }
        return result;
    }

    public void updateDomainPolicies(java.util.List<java.lang.String> packageList) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("updateDomainPolicies,packageList:");
        stringBuilder.append(packageList);
        android.util.Slog.d("SecurityProfileService", stringBuilder.toString());
        try {
            resolveActiveDomainPolicies(packageList, this.mActivePolicy.optJSONObject("domains"));
            writeActivePolicy();
        } catch (org.json.JSONException e) {
            android.util.Slog.e("SecurityProfileService", e.getMessage());
        }
    }

    private void importOldBlackListDatabase() {
        addLabel(com.android.server.security.securityprofile.B200DatabaseImporter.getBlackListAndDeleteDatabase(this.mContext), "Black");
    }

    public boolean isPackageSigned(java.lang.String packageName) {
        try {
            return this.mActivePolicy.optJSONObject("signedPackages").optBoolean(packageName, false);
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("isPackageSigned err:");
            stringBuilder.append(e.getMessage());
            android.util.Slog.e("SecurityProfileService", stringBuilder.toString());
            return false;
        }
    }

    protected void setPackageSigned(java.lang.String packageName, boolean isPackageSigned) {
        if (isPackageSigned) {
            try {
                this.mActivePolicy.optJSONObject("signedPackages").put(packageName, isPackageSigned);
            } catch (org.json.JSONException e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("setPackageSigned json not found err:");
                stringBuilder.append(e.getMessage());
                android.util.Slog.e("SecurityProfileService", stringBuilder.toString());
                return;
            }
        }
        this.mActivePolicy.optJSONObject("signedPackages").remove(packageName);
    }

    private void updatePackageSigningInfo(java.lang.String packageName) {
        java.lang.StringBuilder stringBuilder;
        try {
            java.lang.String packagePath = com.android.server.security.securityprofile.SecurityProfileUtils.getInstalledApkPath(packageName, this.mContext);
            if (packagePath == null) {
                this.mActivePolicy.optJSONObject("signedPackages").remove(packageName);
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("update PackageSigned Info Action:remove, packageName:");
                stringBuilder.append(packageName);
                android.util.Slog.i("SecurityProfileService", stringBuilder.toString());
            } else {
                boolean hasValidPolicy = com.android.server.security.securityprofile.PolicyVerifier.packageHasValidPolicy(packageName, packagePath);
                if (hasValidPolicy) {
                    this.mActivePolicy.optJSONObject("signedPackages").put(packageName, hasValidPolicy);
                } else {
                    this.mActivePolicy.optJSONObject("signedPackages").remove(packageName);
                }
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("update PackageSigned Info Action:put, packageName:");
                stringBuilder.append(packageName);
                stringBuilder.append(",hasValidPolicy:");
                stringBuilder.append(hasValidPolicy);
                android.util.Slog.i("SecurityProfileService", stringBuilder.toString());
            }
        } catch (org.json.JSONException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("update PackageSigned Info json not found err:");
            stringBuilder.append(e.getMessage());
            android.util.Slog.e("SecurityProfileService", stringBuilder.toString());
        } catch (java.lang.Exception e2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("update PackageSigned Info err:");
            stringBuilder.append(e2.getMessage());
            android.util.Slog.e("SecurityProfileService", stringBuilder.toString());
        }
    }

    private void rebuildPolicy() {
        try {
            android.util.Slog.d("SecurityProfileService", "rebuildPolicy");
            java.util.List<java.lang.String> installedPackages = com.android.server.security.securityprofile.SecurityProfileUtils.getInstalledPackages(this.mContext);
            org.json.JSONObject result = deepCopyJSONObject(this.mPolicyDatabase);
            org.json.JSONObject resultDomains = new org.json.JSONObject();
            result.put("domains", resultDomains);
            resolveActiveDomainPolicies(installedPackages, resultDomains);
            result.put("signedPackages", new org.json.JSONObject());
            this.mActivePolicy = result;
            for (java.lang.String packageName : installedPackages) {
                updatePackageSigningInfo(packageName);
            }
            writeActivePolicy();
        } catch (org.json.JSONException e) {
            android.util.Slog.e("SecurityProfileService", e.getMessage());
        }
    }
}
