package com.android.server.security.securityprofile;

public class SecurityProfileControllerImpl implements com.android.server.security.securityprofile.ISecurityProfileController {
    public boolean shouldPreventInteraction(int type, java.lang.String targetPackage, int callerUid, int callerPid, java.lang.String callerPackage, int userId) {
        com.android.server.security.securityprofile.SecurityProfileInternal mSecurityProfileInternal = (com.android.server.security.securityprofile.SecurityProfileInternal) com.android.server.LocalServices.getService(com.android.server.security.securityprofile.SecurityProfileInternal.class);
        if (mSecurityProfileInternal == null) {
            return false;
        }
        long token = android.os.Binder.clearCallingIdentity();
        try {
            boolean ret = mSecurityProfileInternal.shouldPreventInteraction(type, targetPackage, callerUid, callerPid, callerPackage, userId);
            android.os.Binder.restoreCallingIdentity(token);
            return ret;
        } catch (java.lang.Throwable th) {
            android.os.Binder.restoreCallingIdentity(token);
            java.lang.Throwable th2 = th;
        }
    }

    public boolean shouldPreventMediaProjection(int uid) {
        boolean ret = false;
        com.android.server.security.securityprofile.SecurityProfileInternal mSecurityProfileInternal = (com.android.server.security.securityprofile.SecurityProfileInternal) com.android.server.LocalServices.getService(com.android.server.security.securityprofile.SecurityProfileInternal.class);
        if (mSecurityProfileInternal == null) {
            return false;
        }
        long token = android.os.Binder.clearCallingIdentity();
        try {
            ret = mSecurityProfileInternal.shouldPreventMediaProjection(uid);
            return ret;
        } finally {
            android.os.Binder.restoreCallingIdentity(token);
        }
    }

    public void handleActivityResuming(java.lang.String packageName) {
        com.android.server.security.securityprofile.SecurityProfileInternal mSecurityProfileInternal = (com.android.server.security.securityprofile.SecurityProfileInternal) com.android.server.LocalServices.getService(com.android.server.security.securityprofile.SecurityProfileInternal.class);
        if (mSecurityProfileInternal != null) {
            long token = android.os.Binder.clearCallingIdentity();
            try {
                mSecurityProfileInternal.handleActivityResuming(packageName);
            } finally {
                android.os.Binder.restoreCallingIdentity(token);
            }
        }
    }

    public boolean verifyPackage(java.lang.String packageName, java.lang.String path) {
        boolean ret = true;
        com.android.server.security.securityprofile.SecurityProfileInternal mSecurityProfileInternal = (com.android.server.security.securityprofile.SecurityProfileInternal) com.android.server.LocalServices.getService(com.android.server.security.securityprofile.SecurityProfileInternal.class);
        if (mSecurityProfileInternal == null) {
            return true;
        }
        long token = android.os.Binder.clearCallingIdentity();
        try {
            ret = mSecurityProfileInternal.verifyPackage(packageName, path);
            return ret;
        } finally {
            android.os.Binder.restoreCallingIdentity(token);
        }
    }
}
