package com.android.server.security.securityprofile;

public class SecurityProfileService implements com.android.server.security.core.IHwSecurityPlugin {
    public static final com.android.server.security.core.IHwSecurityPlugin.Creator CREATOR = new com.android.server.security.core.IHwSecurityPlugin.Creator() {
        public com.android.server.security.core.IHwSecurityPlugin createPlugin(android.content.Context context) {
            return new com.android.server.security.securityprofile.SecurityProfileService(context);
        }

        public java.lang.String getPluginPermission() {
            return "com.huawei.permission.MANAGE_SECURITYPROFILE";
        }
    };
    private static final java.lang.String MANAGE_SECURITYPROFILE = "com.huawei.permission.MANAGE_SECURITYPROFILE";
    private static final int MAX_TASK = 10;
    private static final java.lang.String TAG = "SecurityProfileService";
    private static final int TOAST_LONG_DELAY = 3500;
    private android.app.ActivityManager activityManager;
    private long blackToastTime = 0;
    private final android.content.Context mContext;
    android.content.BroadcastReceiver mDefaultUserBroadcastReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if ("android.intent.action.BOOT_COMPLETED".equals(intent.getAction())) {
                android.util.Slog.i("SecurityProfileService", "receive Intent.ACTION_BOOT_COMPLETED");
                if (com.android.server.security.securityprofile.SecurityProfileService.this.mPolicyEngine.isNewVersionFirstBoot()) {
                    new java.lang.Thread(new com.android.server.security.securityprofile.SecurityProfileService.VerifyInstalledPackagesRunnable(context, com.android.server.security.securityprofile.SecurityProfileUtils.getInstalledPackages(context))).start();
                } else {
                    android.util.Slog.i("SecurityProfileService", "not new version first boot,do not verify all installed package");
                }
            }
        }
    };
    private final android.os.Handler mHandler = new android.os.Handler();
    com.android.server.security.securityprofile.SecurityProfileService.MediaProjectionStopper mMediaProjectionStopper = null;
    android.content.BroadcastReceiver mMultiUserBroadcastReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            java.lang.String action = intent.getAction();
            if ("android.intent.action.PACKAGE_ADDED".equals(action) || "android.intent.action.PACKAGE_CHANGED".equals(action) || "android.intent.action.PACKAGE_REMOVED".equals(action)) {
                android.net.Uri uri = intent.getData();
                if (uri != null) {
                    java.lang.String packageName = uri.getSchemeSpecificPart();
                    com.android.server.security.securityprofile.SecurityProfileService.this.mPolicyEngine.updatePackageInformation(packageName);
                    if ("android.intent.action.PACKAGE_ADDED".equals(action)) {
                        com.android.server.security.securityprofile.InstallerDataBase.getInstance().setInstallerPackageName(context, packageName);
                    }
                }
            }
        }
    };
    private com.android.server.security.securityprofile.PolicyEngine mPolicyEngine = null;
    private com.android.server.security.securityprofile.SecurityProfileService.ScreenshotProtector screenshotProtector = new com.android.server.security.securityprofile.SecurityProfileService.ScreenshotProtector();

    private class MediaProjectionStopper {
        public android.media.projection.MediaProjectionInfo mActiveProjection = null;
        private android.media.projection.MediaProjectionManager mProjectionService = null;
        public java.lang.String mProtectedPackage = null;

        private class MediaProjectionCallback extends android.media.projection.MediaProjectionManager.Callback {
            private MediaProjectionCallback() {
            }

            /* synthetic */ MediaProjectionCallback(com.android.server.security.securityprofile.SecurityProfileService.MediaProjectionStopper x0, com.android.server.security.securityprofile.SecurityProfileService.AnonymousClass1 x1) {
                this();
            }

            public void onStart(android.media.projection.MediaProjectionInfo info) {
                synchronized (com.android.server.security.securityprofile.SecurityProfileService.MediaProjectionStopper.this) {
                    com.android.server.security.securityprofile.SecurityProfileService.MediaProjectionStopper.this.mActiveProjection = info;
                }
            }

            public void onStop(android.media.projection.MediaProjectionInfo info) {
                synchronized (com.android.server.security.securityprofile.SecurityProfileService.MediaProjectionStopper.this) {
                    com.android.server.security.securityprofile.SecurityProfileService.MediaProjectionStopper.this.mActiveProjection = null;
                }
            }
        }

        public MediaProjectionStopper() {
            installCallback();
        }

        private void installCallback() {
            long token = android.os.Binder.clearCallingIdentity();
            try {
                if (android.media.projection.IMediaProjectionManager.Stub.asInterface(android.os.ServiceManager.getService("media_projection")) != null) {
                    this.mProjectionService = (android.media.projection.MediaProjectionManager) com.android.server.security.securityprofile.SecurityProfileService.this.mContext.getSystemService("media_projection");
                    if (this.mProjectionService != null) {
                        this.mProjectionService.addCallback(new com.android.server.security.securityprofile.SecurityProfileService.MediaProjectionStopper.MediaProjectionCallback(this, null), null);
                        synchronized (this) {
                            this.mActiveProjection = this.mProjectionService.getActiveProjectionInfo();
                        }
                    }
                }
                android.os.Binder.restoreCallingIdentity(token);
            } catch (Throwable th) {
                android.os.Binder.restoreCallingIdentity(token);
            }
        }

        private android.media.projection.MediaProjectionInfo getActiveProjectionInfo() {
            android.media.projection.MediaProjectionInfo mediaProjectionInfo;
            synchronized (this) {
                mediaProjectionInfo = this.mActiveProjection;
            }
            return mediaProjectionInfo;
        }

        public void stopMediaProjection() {
            try {
                android.media.projection.MediaProjectionInfo mpi = getActiveProjectionInfo();
                if (mpi != null) {
                    java.lang.String projectionPack = mpi.getPackageName();
                    if (projectionPack != null && !com.android.server.security.securityprofile.SecurityProfileService.this.isSystemApp(projectionPack)) {
                        com.android.server.security.securityprofile.SecurityProfileService.this.stopPackages(new java.lang.String[]{projectionPack});
                        if (this.mProtectedPackage != null) {
                            com.android.server.security.securityprofile.ScreenshotProtectorCallback callback = com.android.server.security.securityprofile.SecurityProfileService.this.screenshotProtector.getRegister(this.mProtectedPackage);
                            if (callback != null) {
                                com.android.server.security.securityprofile.SecurityProfileService.this.screenshotProtector.notifyInfo(callback, projectionPack);
                            }
                            this.mProtectedPackage = null;
                        }
                        this.mProjectionService.stopActiveProjection();
                        android.util.Slog.d("SecurityProfileService", "MediaProjection is stopped by SecurityProfileService.");
                        this.mActiveProjection = null;
                        this.mProjectionService.stopActiveProjection();
                    }
                }
            } catch (java.lang.RuntimeException e) {
                throw e;
            } catch (java.lang.Exception e2) {
                android.util.Slog.e("SecurityProfileService", "failed to stop MediaProjection.");
            }
        }
    }

    private class PackageStopper implements java.lang.Runnable {
        private java.lang.String[] packageList = null;

        public PackageStopper(java.lang.String[] packages) {
            this.packageList = packages;
        }

        public void run() {
            if (!(this.packageList == null || com.android.server.security.securityprofile.SecurityProfileService.this.activityManager == null)) {
                for (java.lang.String packageName : this.packageList) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(packageName);
                    stringBuilder.append(" is stopped by SecurityProfileService.");
                    android.util.Slog.d("SecurityProfileService", stringBuilder.toString());
                    com.android.server.security.securityprofile.SecurityProfileService.this.activityManager.forceStopPackageAsUser(packageName, -1);
                }
            }
        }
    }

    private static class ScreenshotProtector {
        private final java.lang.Object mLock;
        private java.util.List<com.android.server.security.securityprofile.ScreenshotProtectorCallback> screenshotList;

        private ScreenshotProtector() {
            this.screenshotList = new java.util.ArrayList();
            this.mLock = new java.lang.Object();
        }

        /* synthetic */ ScreenshotProtector(com.android.server.security.securityprofile.SecurityProfileService.AnonymousClass1 x0) {
            this();
        }

        public com.android.server.security.securityprofile.ScreenshotProtectorCallback getRegister(java.lang.String app) {
            synchronized (this.mLock) {
                for (com.android.server.security.securityprofile.ScreenshotProtectorCallback callback : this.screenshotList) {
                    if (callback.isProtectedApp(app)) {
                        return callback;
                    }
                }
                return null;
            }
        }

        public void notifyInfo(com.android.server.security.securityprofile.ScreenshotProtectorCallback callback, java.lang.String projectionApp) {
            synchronized (this.mLock) {
                if (callback.isActive()) {
                    callback.notifyInfo(projectionApp);
                }
            }
        }

        public void register(com.android.server.security.securityprofile.ScreenshotProtectorCallback callback) {
            if (callback != null) {
                synchronized (this.mLock) {
                    callback.setActiveStatus(true);
                    this.screenshotList.add(callback);
                }
            }
        }

        public void unregister(com.android.server.security.securityprofile.ScreenshotProtectorCallback callback) {
            if (callback != null) {
                synchronized (this.mLock) {
                    callback.setActiveStatus(false);
                    this.screenshotList.remove(callback);
                }
            }
        }
    }

    private class SecurityProfileServiceImpl extends huawei.android.security.ISecurityProfileService.Stub {
        private SecurityProfileServiceImpl() {
        }

        /* synthetic */ SecurityProfileServiceImpl(com.android.server.security.securityprofile.SecurityProfileService x0, com.android.server.security.securityprofile.SecurityProfileService.AnonymousClass1 x1) {
            this();
        }

        public void updateBlackApp(java.util.List packageName, int action) {
            com.android.server.security.securityprofile.SecurityProfileService.this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.MANAGE_SECURITYPROFILE", "Must have com.huawei.permission.MANAGE_SECURITYPROFILE permission.");
            switch (action) {
                case 1:
                    com.android.server.security.securityprofile.SecurityProfileService.this.mPolicyEngine.updateBlackApp(packageName);
                    return;
                case 2:
                    com.android.server.security.securityprofile.SecurityProfileService.this.mPolicyEngine.addBlackApp(packageName);
                    return;
                case 3:
                    com.android.server.security.securityprofile.SecurityProfileService.this.mPolicyEngine.removeBlackApp(packageName);
                    return;
                default:
                    return;
            }
        }

        public boolean isBlackApp(java.lang.String packageName) {
            com.android.server.security.securityprofile.SecurityProfileService.this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.MANAGE_SECURITYPROFILE", "Must have com.huawei.permission.MANAGE_SECURITYPROFILE permission.");
            return com.android.server.security.securityprofile.SecurityProfileService.this.mPolicyEngine.isBlackApp(packageName);
        }

        public int addDomainPolicy(byte[] domainPolicy) {
            com.android.server.security.securityprofile.SecurityProfileService.this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.MANAGE_SECURITYPROFILE", "Must have com.huawei.permission.MANAGE_SECURITYPROFILE permission.");
            org.json.JSONObject policy = com.android.server.security.securityprofile.PolicyVerifier.verifyAndDecodePolicy(domainPolicy);
            if (policy == null) {
                return 1;
            }
            com.android.server.security.securityprofile.SecurityProfileService.this.mPolicyEngine.addPolicy(policy);
            return 0;
        }

        public boolean requestAccess(java.lang.String subject, java.lang.String object, java.lang.String subsystem, java.util.List<java.lang.String> list, java.lang.String operation, int timeout) {
            com.android.server.security.securityprofile.SecurityProfileService.this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.MANAGE_SECURITYPROFILE", "Must have com.huawei.permission.MANAGE_SECURITYPROFILE permission.");
            return com.android.server.security.securityprofile.SecurityProfileService.this.mPolicyEngine.requestAccess(subject, object, subsystem, operation, timeout);
        }

        public boolean checkAccess(java.lang.String subject, java.lang.String object, java.lang.String subsystem, java.util.List<java.lang.String> list, java.lang.String operation) {
            com.android.server.security.securityprofile.SecurityProfileService.this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.MANAGE_SECURITYPROFILE", "Must have com.huawei.permission.MANAGE_SECURITYPROFILE permission.");
            return com.android.server.security.securityprofile.SecurityProfileService.this.mPolicyEngine.checkAccess(subject, object, subsystem, operation);
        }

        public java.util.List<java.lang.String> getLabels(java.lang.String packageName, huawei.android.security.securityprofile.ApkDigest digest) {
            return com.android.server.security.securityprofile.SecurityProfileService.this.mPolicyEngine.getLabels(packageName, digest);
        }

        public boolean isPackageSigned(java.lang.String packageName) {
            return com.android.server.security.securityprofile.SecurityProfileService.this.mPolicyEngine.isPackageSigned(packageName);
        }

        public java.lang.String getInstallerPackageName(java.lang.String packageName) {
            return com.android.server.security.securityprofile.InstallerDataBase.getInstance().getInstaller(com.android.server.security.securityprofile.SecurityProfileService.this.mContext, packageName);
        }
    }

    private class VerifyInstalledPackagesRunnable implements java.lang.Runnable {
        android.content.Context context;
        java.util.List<java.lang.String> packageNameList;

        public VerifyInstalledPackagesRunnable(android.content.Context context, java.util.List<java.lang.String> inPackageNameList) {
            this.packageNameList = inPackageNameList;
            this.context = context;
        }

        public void run() {
            if (this.packageNameList != null) {
                long beginTime = java.lang.System.currentTimeMillis();
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("[SEAPP_TimeUsage]VerifyInstalledPackages  thread begin:");
                stringBuilder.append(beginTime);
                android.util.Slog.d("SecurityProfileService", stringBuilder.toString());
                for (java.lang.String packageName : this.packageNameList) {
                    try {
                        com.android.server.security.securityprofile.SecurityProfileService.this.verifyPackage(packageName, com.android.server.security.securityprofile.SecurityProfileUtils.getInstalledApkPath(packageName, this.context));
                    } catch (java.lang.Exception e) {
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("VerifyInstalledPackagesRunnable Exception ");
                        stringBuilder2.append(e.getMessage());
                        android.util.Slog.e("SecurityProfileService", stringBuilder2.toString());
                    }
                }
                long endTime = java.lang.System.currentTimeMillis();
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("[SEAPP_TimeUsage]VerifyInstalledPackages  thread end:");
                stringBuilder.append(endTime);
                stringBuilder.append(", Total usage:");
                stringBuilder.append(endTime - beginTime);
                stringBuilder.append("ms");
                android.util.Slog.d("SecurityProfileService", stringBuilder.toString());
            }
        }
    }

    private final class LocalServiceImpl implements com.android.server.security.securityprofile.SecurityProfileInternal {
        private LocalServiceImpl() {
        }

        /* synthetic */ LocalServiceImpl(com.android.server.security.securityprofile.SecurityProfileService x0, com.android.server.security.securityprofile.SecurityProfileService.AnonymousClass1 x1) {
            this();
        }

        public boolean shouldPreventInteraction(int type, java.lang.String targetPackage, int callerUid, int callerPid, java.lang.String callerPackage, int userId) {
            return com.android.server.security.securityprofile.SecurityProfileService.this.shouldPreventInteraction(type, targetPackage, callerUid, callerPid, callerPackage, userId);
        }

        public boolean shouldPreventMediaProjection(int uid) {
            return com.android.server.security.securityprofile.SecurityProfileService.this.shouldPreventMediaProjection(uid);
        }

        public void handleActivityResuming(java.lang.String packageName) {
            if (packageName != null) {
                if (!com.android.server.security.securityprofile.SecurityProfileService.this.mPolicyEngine.requestAccessWithExtraLabel("", packageName, com.android.server.security.securityprofile.SecurityProfileService.this.getExtraObjectLabel(packageName), "MediaProjection", "Record", 0)) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("handleActivityResuming packageName:");
                    stringBuilder.append(packageName);
                    stringBuilder.append(" is Media protect app,need stop Media Projection");
                    android.util.Slog.e("SecurityProfileService", stringBuilder.toString());
                    com.android.server.security.securityprofile.SecurityProfileService.this.mMediaProjectionStopper.stopMediaProjection();
                }
            }
        }

        public void registerScreenshotProtector(com.android.server.security.securityprofile.ScreenshotProtectorCallback callback) {
            com.android.server.security.securityprofile.SecurityProfileService.this.screenshotProtector.register(callback);
        }

        public void unregisterScreenshotProtector(com.android.server.security.securityprofile.ScreenshotProtectorCallback callback) {
            com.android.server.security.securityprofile.SecurityProfileService.this.screenshotProtector.unregister(callback);
        }

        public boolean verifyPackage(java.lang.String packageName, java.lang.String path) {
            long beginTime = java.lang.System.currentTimeMillis();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("[SEAPP_TimeUsage]verifyPackage begin:");
            stringBuilder.append(beginTime);
            android.util.Slog.d("SecurityProfileService", stringBuilder.toString());
            boolean result = com.android.server.security.securityprofile.SecurityProfileService.this.verifyPackage(packageName, path);
            long endTime = java.lang.System.currentTimeMillis();
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("[SEAPP_TimeUsage]verifyPackage end:");
            stringBuilder.append(endTime);
            stringBuilder.append(", Total usage:");
            stringBuilder.append(endTime - beginTime);
            stringBuilder.append("ms");
            android.util.Slog.d("SecurityProfileService", stringBuilder.toString());
            return result;
        }
    }

    public SecurityProfileService(android.content.Context context) {
        this.mContext = context;
    }

    public com.android.server.security.securityprofile.SecurityProfileInternal getLocalServiceImpl() {
        return new com.android.server.security.securityprofile.SecurityProfileService.LocalServiceImpl(this, null);
    }

    public void onStart() {
        long beginTime = java.lang.System.currentTimeMillis();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("[SEAPP_TimeUsage]SecurityProfileService onStart begin:");
        stringBuilder.append(beginTime);
        android.util.Slog.d("SecurityProfileService", stringBuilder.toString());
        this.activityManager = (android.app.ActivityManager) this.mContext.getSystemService("activity");
        if (this.mMediaProjectionStopper == null) {
            this.mMediaProjectionStopper = new com.android.server.security.securityprofile.SecurityProfileService.MediaProjectionStopper();
        }
        this.mPolicyEngine = new com.android.server.security.securityprofile.PolicyEngine(this.mContext);
        this.mPolicyEngine.addAction("StopScreenRecording", new com.android.server.security.securityprofile.PolicyEngine.Action() {
            public void execute(int timeout) {
                com.android.server.security.securityprofile.SecurityProfileService.this.mMediaProjectionStopper.stopMediaProjection();
            }
        });
        this.mPolicyEngine.addState("NoScreenRecording", new com.android.server.security.securityprofile.PolicyEngine.State() {
            public boolean evaluate() {
                return com.android.server.security.securityprofile.SecurityProfileService.this.mMediaProjectionStopper.mActiveProjection == null;
            }
        });
        this.mPolicyEngine.start();
        com.android.server.LocalServices.addService(com.android.server.security.securityprofile.SecurityProfileInternal.class, getLocalServiceImpl());
        android.content.IntentFilter filter = new android.content.IntentFilter();
        filter.addAction("android.intent.action.PACKAGE_ADDED");
        filter.addAction("android.intent.action.PACKAGE_CHANGED");
        filter.addAction("android.intent.action.PACKAGE_REMOVED");
        filter.addDataScheme("package");
        this.mContext.registerReceiverAsUser(this.mMultiUserBroadcastReceiver, android.os.UserHandle.ALL, filter, null, null);
        android.content.IntentFilter filter2 = new android.content.IntentFilter();
        filter2.addAction("android.intent.action.BOOT_COMPLETED");
        this.mContext.registerReceiver(this.mDefaultUserBroadcastReceiver, filter2);
        long endTime = java.lang.System.currentTimeMillis();
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("[SEAPP_TimeUsage]SecurityProfileService onStart end:");
        stringBuilder2.append(endTime);
        stringBuilder2.append(", Total usage:");
        stringBuilder2.append(endTime - beginTime);
        stringBuilder2.append("ms");
        android.util.Slog.d("SecurityProfileService", stringBuilder2.toString());
    }

    public void onStop() {
        android.util.Slog.e("SecurityProfileService", "SecurityProfileService stoped");
    }

    public android.os.IBinder asBinder() {
        return new com.android.server.security.securityprofile.SecurityProfileService.SecurityProfileServiceImpl(this, null);
    }

    public boolean verifyPackage(java.lang.String packageName, java.lang.String apkPath) {
        java.lang.StringBuilder stringBuilder;
        try {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("verifyPackage apkPath:");
            stringBuilder.append(apkPath);
            android.util.Slog.d("SecurityProfileService", stringBuilder.toString());
            byte[] jws = huawei.android.security.securityprofile.PolicyExtractor.getPolicy(apkPath);
            huawei.android.security.securityprofile.ApkDigest apkDigest = huawei.android.security.securityprofile.PolicyExtractor.getDigest(packageName, jws);
            org.json.JSONObject policy = com.android.server.security.securityprofile.PolicyVerifier.verifyAndDecodePolicy(jws);
            if (policy == null) {
                android.util.Slog.e("SecurityProfileService", "Policy verification failed");
                return false;
            } else if (huawei.android.security.securityprofile.DigestMatcher.packageMatchesDigest(apkPath, apkDigest)) {
                this.mPolicyEngine.setPackageSigned(packageName, true);
                this.mPolicyEngine.addPolicy(policy);
                return true;
            } else {
                android.util.Slog.e("SecurityProfileService", "Package digest did not match policy digest");
                return false;
            }
        } catch (huawei.android.security.securityprofile.PolicyExtractor.PolicyNotFoundException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Not found Exception ");
            stringBuilder.append(e.getMessage());
            android.util.Slog.e("SecurityProfileService", stringBuilder.toString());
            return true;
        } catch (java.io.IOException e2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("verifyPackage IOException ");
            stringBuilder.append(e2.getMessage());
            android.util.Slog.e("SecurityProfileService", stringBuilder.toString());
            return false;
        } catch (java.lang.Exception e3) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("verifyPackage Exception ");
            stringBuilder.append(e3.getMessage());
            android.util.Slog.e("SecurityProfileService", stringBuilder.toString());
            return false;
        }
    }

    private java.lang.String getExtraObjectLabel(java.lang.String packageName) {
        if (this.screenshotProtector.getRegister(packageName) != null) {
            return "Red";
        }
        return null;
    }

    public boolean shouldPreventMediaProjection(int uid) {
        if (uid < 10000) {
            return false;
        }
        java.lang.String[] projectionPackages = this.mContext.getPackageManager().getPackagesForUid(uid);
        if (projectionPackages != null) {
            if (projectionPackages.length != 0) {
                java.lang.String pack;
                java.util.Set<java.lang.String> projectionSet = new java.util.HashSet();
                for (java.lang.String pack2 : projectionPackages) {
                    projectionSet.add(pack2);
                }
                if (this.activityManager == null) {
                    return false;
                }
                for (android.app.ActivityManager.RunningTaskInfo taskInfo : this.activityManager.getRunningTasks(10)) {
                    pack2 = taskInfo.topActivity == null ? null : taskInfo.topActivity.getPackageName();
                    if (pack2 != null) {
                        if (!projectionSet.contains(pack2)) {
                            if (com.huawei.android.app.HwActivityManager.isTaskVisible(taskInfo.id)) {
                                if (!this.mPolicyEngine.requestAccessWithExtraLabel((java.lang.String) projectionSet.toArray()[0], pack2, getExtraObjectLabel(pack2), "MediaProjection", "Record", 0)) {
                                    com.android.server.security.securityprofile.ScreenshotProtectorCallback callback = this.screenshotProtector.getRegister(pack2);
                                    if (callback != null) {
                                        stopPackages(projectionPackages);
                                        this.screenshotProtector.notifyInfo(callback, projectionPackages[0]);
                                        return true;
                                    }
                                }
                            }
                        }
                    }
                }
                return false;
            }
        }
        return false;
    }

    public boolean shouldPreventInteraction(int type, java.lang.String targetPackage, int callerUid, int callerPid, java.lang.String callerPackage, int userId) {
        java.lang.String str = targetPackage;
        long t = java.lang.System.nanoTime();
        if (str == null) {
            return false;
        }
        java.lang.String extraObjectLabel = null;
        if (type == 0) {
            extraObjectLabel = getExtraObjectLabel(str);
            if (extraObjectLabel != null) {
                this.mMediaProjectionStopper.mProtectedPackage = str;
            }
        }
        if (this.mPolicyEngine.requestAccessWithExtraLabel(callerPackage, str, extraObjectLabel, "Intent", "Send", 0)) {
            extraObjectLabel = callerPackage;
            return false;
        }
        if (type != 0) {
            extraObjectLabel = callerPackage;
        } else if (isLauncherApp(callerPackage)) {
            long curTime = java.lang.System.currentTimeMillis();
            if (curTime < this.blackToastTime || curTime - this.blackToastTime > 3500) {
                this.blackToastTime = curTime;
                java.lang.String text = this.mContext.getResources().getString(33686189);
                if (text != null) {
                    showToast(text);
                }
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(str);
        stringBuilder.append(" is not allowed to start.");
        android.util.Slog.d("SecurityProfileService", stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("shouldPreventInteraction ");
        stringBuilder.append(java.lang.String.valueOf(java.lang.System.nanoTime() - t));
        android.util.Slog.d("SecurityProfileService", stringBuilder.toString());
        return true;
    }

    private boolean isLauncherApp(java.lang.String target) {
        android.content.pm.PackageManager manager = this.mContext.getPackageManager();
        if (manager == null) {
            return false;
        }
        android.content.Intent intent = new android.content.Intent("android.intent.action.MAIN");
        intent.addCategory("android.intent.category.HOME");
        android.content.pm.ResolveInfo resolveInfo = manager.resolveActivity(intent, 65536);
        if (resolveInfo != null) {
            if (resolveInfo.activityInfo != null) {
                java.lang.String launcher = resolveInfo.activityInfo.packageName;
                if (launcher != null) {
                    if (launcher.equals(target)) {
                        return true;
                    }
                }
                return false;
            }
        }
        return false;
    }

    private void showToast(final java.lang.String text) {
        com.android.server.UiThread.getHandler().post(new java.lang.Runnable() {
            public void run() {
                android.widget.Toast toast = android.widget.Toast.makeText(com.android.server.security.securityprofile.SecurityProfileService.this.mContext, text, 1);
                android.view.WindowManager.LayoutParams windowParams = toast.getWindowParams();
                windowParams.privateFlags |= 16;
                toast.show();
            }
        });
    }

    private void stopPackages(java.lang.String[] packageNames) {
        this.mHandler.post(new com.android.server.security.securityprofile.SecurityProfileService.PackageStopper(packageNames));
    }

    private boolean isSystemApp(java.lang.String pack) {
        android.content.pm.PackageManager pm = this.mContext.getPackageManager();
        if (pm == null) {
            return false;
        }
        try {
            android.content.pm.ApplicationInfo info = pm.getApplicationInfo(pack, 0);
            if (info == null) {
                return false;
            }
            if (info.uid >= 10000) {
                if ((info.flags & 1) == 0) {
                    return false;
                }
            }
            return true;
        } catch (android.content.pm.PackageManager.NameNotFoundException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("can not check if ");
            stringBuilder.append(pack);
            stringBuilder.append(" is a system app");
            android.util.Slog.e("SecurityProfileService", stringBuilder.toString());
        }
    }
}
