package com.android.server.security.securityprofile;

public class SecurityProfileUtils {
    private static final int DEFAULT_USER_ID = 0;
    private static final java.lang.String TAG = "SecurityProfileUtils";

    public static java.util.List<java.lang.Integer> getUserIdListOnPhone(android.content.Context context) {
        java.util.List<java.lang.Integer> UserIdList = new java.util.ArrayList();
        try {
            for (android.content.pm.UserInfo userInfo : ((android.os.UserManager) context.getSystemService("user")).getUsers()) {
                UserIdList.add(java.lang.Integer.valueOf(userInfo.id));
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("get user id list err:");
            stringBuilder.append(e.getMessage());
            stringBuilder.append(".i must use default user id:");
            stringBuilder.append(0);
            android.util.Slog.e("SecurityProfileUtils", stringBuilder.toString());
            UserIdList.add(java.lang.Integer.valueOf(0));
        }
        return UserIdList;
    }

    public static java.util.List<java.lang.String> getInstalledPackages(android.content.Context context) {
        java.util.List<java.lang.String> result = new java.util.ArrayList();
        java.util.HashSet<java.lang.String> set = new java.util.HashSet();
        for (java.lang.Integer userId : getUserIdListOnPhone(context)) {
            for (android.content.pm.PackageInfo info : context.getPackageManager().getInstalledPackagesAsUser(0, userId.intValue())) {
                set.add(info.packageName);
            }
        }
        result.addAll(set);
        return result;
    }

    public static java.lang.String getInstalledApkPath(java.lang.String packageName, android.content.Context context) {
        java.lang.String ApkPath = null;
        for (java.lang.Integer userId : getUserIdListOnPhone(context)) {
            int userId2 = userId.intValue();
            try {
                ApkPath = context.getPackageManager().getApplicationInfoAsUser(packageName, 0, userId2).sourceDir;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("getInstalledApkPath name success,packageName:");
                stringBuilder.append(packageName);
                stringBuilder.append(",userId:");
                stringBuilder.append(userId2);
                stringBuilder.append(",ApkPath:");
                stringBuilder.append(ApkPath);
                android.util.Slog.d("SecurityProfileUtils", stringBuilder.toString());
                return ApkPath;
            } catch (android.content.pm.PackageManager.NameNotFoundException e) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("getInstalledApkPath name not found,packageName:");
                stringBuilder2.append(packageName);
                stringBuilder2.append(",userId:");
                stringBuilder2.append(userId2);
                android.util.Slog.d("SecurityProfileUtils", stringBuilder2.toString());
            }
        }
        return ApkPath;
    }
}
