package com.android.server.security.trustcircle;

public class CallbackManager {
    private static final java.lang.String TAG = com.android.server.security.trustcircle.CallbackManager.class.getSimpleName();
    private static volatile com.android.server.security.trustcircle.CallbackManager sInstance;
    private android.os.IBinder.DeathRecipient mILifeCycleBinderDieListener = new android.os.IBinder.DeathRecipient() {
        public void binderDied() {
            com.android.server.security.trustcircle.CallbackManager.this.mILifeCycleCallback = null;
        }
    };
    private volatile huawei.android.security.ILifeCycleCallback mILifeCycleCallback = null;

    private CallbackManager() {
    }

    public static com.android.server.security.trustcircle.CallbackManager getInstance() {
        if (sInstance == null) {
            synchronized (com.android.server.security.trustcircle.CallbackManager.class) {
                if (sInstance == null) {
                    sInstance = new com.android.server.security.trustcircle.CallbackManager();
                }
            }
        }
        return sInstance;
    }

    public boolean registerILifeCycleCallback(huawei.android.security.ILifeCycleCallback callback) {
        if (callback == null || this.mILifeCycleCallback != null) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("error, register ILifeCycleCallback failed: ");
            java.lang.String str2 = callback == null ? "registered callback is null" : this.mILifeCycleCallback != null ? "previous callback is not null" : "";
            stringBuilder.append(str2);
            com.android.server.security.trustcircle.utils.LogHelper.e(str, stringBuilder.toString());
            return false;
        }
        this.mILifeCycleCallback = callback;
        try {
            this.mILifeCycleCallback.asBinder().linkToDeath(this.mILifeCycleBinderDieListener, 0);
            return true;
        } catch (android.os.RemoteException e) {
            java.lang.String str3 = TAG;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("RemoteException in registerILifeCycleCallback: ");
            stringBuilder2.append(e.getMessage());
            com.android.server.security.trustcircle.utils.LogHelper.e(str3, stringBuilder2.toString());
            this.mILifeCycleCallback = null;
            return false;
        }
    }

    public boolean isILifeCycleCallbackValid() {
        return this.mILifeCycleCallback != null;
    }

    public huawei.android.security.ILifeCycleCallback getILifeCycleCallback() {
        return this.mILifeCycleCallback;
    }

    public void unregisterILifeCycleCallback() {
        this.mILifeCycleCallback = null;
    }
}
