package com.android.server.security.trustcircle.auth;

public class IOTAuthTask extends com.android.server.security.trustcircle.task.HwSecurityTaskBase {
    private static final java.lang.String TAG = com.android.server.security.trustcircle.auth.IOTAuthTask.class.getSimpleName();
    com.android.server.security.trustcircle.task.HwSecurityTaskBase.EventListener mCancelListener = new com.android.server.security.trustcircle.task.HwSecurityTaskBase.EventListener() {
        public boolean onEvent(com.android.server.security.trustcircle.task.HwSecurityEvent ev) {
            long authID = ((com.android.server.security.trustcircle.auth.CancelAuthEv) ev).getAuthID();
            if (authID != com.android.server.security.trustcircle.auth.IOTAuthTask.this.mInitAuthInfo.mAuthID) {
                if (authID != -2) {
                    return false;
                }
            }
            com.android.server.security.trustcircle.auth.IOTAuthTask.this.endWithResult(2);
            return true;
        }
    };
    com.android.server.security.trustcircle.auth.AuthPara.InitAuthInfo mInitAuthInfo;
    com.android.server.security.trustcircle.auth.AuthPara.OnAuthAckInfo mOnAuthAckInfo;
    com.android.server.security.trustcircle.auth.AuthPara.RecAuthAckInfo mRecInfo;
    com.android.server.security.trustcircle.task.HwSecurityTaskBase.RetCallback mReqAckCallback = new com.android.server.security.trustcircle.task.HwSecurityTaskBase.RetCallback() {
        public void onTaskCallback(com.android.server.security.trustcircle.task.HwSecurityTaskBase child, int ret) {
            java.lang.String access$400 = com.android.server.security.trustcircle.auth.IOTAuthTask.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(child.getClass().getSimpleName());
            stringBuilder.append("-->onTaskCallback, ret: ");
            stringBuilder.append(ret);
            com.android.server.security.trustcircle.utils.LogHelper.d(access$400, stringBuilder.toString());
            if (ret != 0) {
                com.android.server.security.trustcircle.auth.IOTAuthTask.this.endWithResult(ret);
                return;
            }
            com.android.server.security.trustcircle.auth.RequestAuthAckTask result = (com.android.server.security.trustcircle.auth.RequestAuthAckTask) child;
            com.android.server.security.trustcircle.auth.IOTAuthTask.this.mRecInfo = result.getRecAuthAckInfo();
            if (com.android.server.security.trustcircle.auth.IOTAuthTask.this.mRecInfo.mAuthID == com.android.server.security.trustcircle.auth.IOTAuthTask.this.mInitAuthInfo.mAuthID) {
                com.android.server.security.trustcircle.auth.IOTAuthTask.this.mOnAuthAckInfo = com.android.server.security.trustcircle.utils.AuthUtils.processRecAuthSyncAck(com.android.server.security.trustcircle.auth.IOTAuthTask.this.mRecInfo);
                if (com.android.server.security.trustcircle.auth.IOTAuthTask.this.mOnAuthAckInfo.mResult == 1) {
                    com.android.server.security.trustcircle.task.HwSecurityTaskThread.staticPushTask(new com.android.server.security.trustcircle.auth.ServiceReqPkTask(com.android.server.security.trustcircle.auth.IOTAuthTask.this, com.android.server.security.trustcircle.auth.IOTAuthTask.this.mReqPkCallback, com.android.server.security.trustcircle.auth.IOTAuthTask.this.mOnAuthAckInfo.mAuthID, 1000), 1);
                } else {
                    com.android.server.security.trustcircle.auth.IOTAuthTask.this.endWithResult(com.android.server.security.trustcircle.auth.IOTAuthTask.this.callIOTWithAuthResult(com.android.server.security.trustcircle.auth.IOTAuthTask.this.mOnAuthAckInfo));
                }
            }
        }
    };
    com.android.server.security.trustcircle.task.HwSecurityTaskBase.RetCallback mReqPkCallback = new com.android.server.security.trustcircle.task.HwSecurityTaskBase.RetCallback() {
        public void onTaskCallback(com.android.server.security.trustcircle.task.HwSecurityTaskBase child, int ret) {
            if (ret != 0) {
                com.android.server.security.trustcircle.auth.IOTAuthTask.this.endWithResult(ret);
            }
            com.android.server.security.trustcircle.auth.AuthPara.RespPkInfo pkInfo = ((com.android.server.security.trustcircle.auth.ServiceReqPkTask) child).getRespPkInfo();
            if (pkInfo != null) {
                if (pkInfo.mAuthID == com.android.server.security.trustcircle.auth.IOTAuthTask.this.mRecInfo.mAuthID) {
                    com.android.server.security.trustcircle.auth.IOTAuthTask.this.mOnAuthAckInfo = com.android.server.security.trustcircle.utils.AuthUtils.processRecPkMaster(pkInfo);
                    huawei.android.security.IAuthCallback callback = com.android.server.security.trustcircle.auth.IOTController.getInstance().getIOTCallback(pkInfo.mAuthID, 1000);
                    try {
                        if (com.android.server.security.trustcircle.auth.IOTAuthTask.this.mOnAuthAckInfo.mResult != 0 || callback == null) {
                            if (callback != null) {
                                callback.onAuthAckError(com.android.server.security.trustcircle.auth.IOTAuthTask.this.mOnAuthAckInfo.mAuthID, com.android.server.security.trustcircle.auth.IOTAuthTask.this.mOnAuthAckInfo.mResult);
                                com.android.server.security.trustcircle.auth.IOTAuthTask.this.endWithResult(3);
                            }
                        }
                        callback.onAuthAck(com.android.server.security.trustcircle.auth.IOTAuthTask.this.mOnAuthAckInfo.mAuthID, com.android.server.security.trustcircle.auth.IOTAuthTask.this.mOnAuthAckInfo.mResult, com.android.server.security.trustcircle.auth.IOTAuthTask.this.mOnAuthAckInfo.mSessionKeyIV, com.android.server.security.trustcircle.auth.IOTAuthTask.this.mOnAuthAckInfo.mSessionKey, com.android.server.security.trustcircle.auth.IOTAuthTask.this.mOnAuthAckInfo.mMAC);
                        com.android.server.security.trustcircle.auth.IOTAuthTask.this.endWithResult(0);
                    } catch (android.os.RemoteException e) {
                        com.android.server.security.trustcircle.utils.LogHelper.e(com.android.server.security.trustcircle.auth.IOTAuthTask.TAG, e.toString());
                        com.android.server.security.trustcircle.auth.IOTAuthTask.this.endWithResult(3);
                    } catch (java.lang.Exception e2) {
                        com.android.server.security.trustcircle.utils.LogHelper.e(com.android.server.security.trustcircle.auth.IOTAuthTask.TAG, e2.toString());
                        com.android.server.security.trustcircle.auth.IOTAuthTask.this.endWithResult(3);
                    }
                }
            }
        }
    };

    public IOTAuthTask(com.android.server.security.trustcircle.task.HwSecurityTaskBase parent, com.android.server.security.trustcircle.task.HwSecurityTaskBase.RetCallback callback, com.android.server.security.trustcircle.auth.AuthPara.InitAuthInfo info) {
        super(parent, callback);
        this.mInitAuthInfo = info;
        com.android.server.security.trustcircle.task.HwSecurityMsgCenter.staticRegisterEvent(100, this, this.mCancelListener);
    }

    public int doAction() {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("doAction, authID: ");
        stringBuilder.append(this.mInitAuthInfo.mAuthID);
        com.android.server.security.trustcircle.utils.LogHelper.d(str, stringBuilder.toString());
        com.android.server.security.trustcircle.task.HwSecurityTaskThread.staticPushTask(new com.android.server.security.trustcircle.auth.RequestAuthAckTask(this, this.mReqAckCallback, com.android.server.security.trustcircle.utils.AuthUtils.processAuthSync(this.mInitAuthInfo)), 1);
        return -1;
    }

    public void onStop() {
        com.android.server.security.trustcircle.task.HwSecurityMsgCenter.staticUnregisterEvent(100, this);
    }

    public long getAuthID() {
        return this.mInitAuthInfo.mAuthID;
    }

    private int callIOTWithAuthResult(com.android.server.security.trustcircle.auth.AuthPara.OnAuthAckInfo onAuthAckInfo) {
        int result = 0;
        huawei.android.security.IAuthCallback callback = com.android.server.security.trustcircle.auth.IOTController.getInstance().getIOTCallback(onAuthAckInfo.mAuthID, 1000);
        if (callback == null) {
            return 3;
        }
        try {
            if (onAuthAckInfo.mResult == 0) {
                callback.onAuthAck(onAuthAckInfo.mAuthID, onAuthAckInfo.mResult, onAuthAckInfo.mSessionKeyIV, onAuthAckInfo.mSessionKey, onAuthAckInfo.mMAC);
            } else {
                callback.onAuthAckError(onAuthAckInfo.mAuthID, onAuthAckInfo.mResult);
                result = 3;
            }
        } catch (android.os.RemoteException e) {
            com.android.server.security.trustcircle.utils.LogHelper.e(TAG, e.toString());
            result = 3;
        } catch (java.lang.Exception e2) {
            com.android.server.security.trustcircle.utils.LogHelper.e(TAG, e2.toString());
            return 3;
        }
        return result;
    }
}
