package com.android.server.security.trustcircle.auth;

public class IOTReqPkTask extends com.android.server.security.trustcircle.task.HwSecurityTaskBase {
    private static final java.lang.String TAG = com.android.server.security.trustcircle.auth.IOTReqPkTask.class.getSimpleName();
    com.android.server.security.trustcircle.task.HwSecurityTaskBase.EventListener mCancelListener = new com.android.server.security.trustcircle.task.HwSecurityTaskBase.EventListener() {
        public boolean onEvent(com.android.server.security.trustcircle.task.HwSecurityEvent ev) {
            long authID = ((com.android.server.security.trustcircle.auth.CancelAuthEv) ev).getAuthID();
            if (authID != com.android.server.security.trustcircle.auth.IOTReqPkTask.this.mReqPkInfo.mAuthID) {
                if (authID != -2) {
                    return false;
                }
            }
            java.lang.String access$100 = com.android.server.security.trustcircle.auth.IOTReqPkTask.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onCancelAuthEvent, authID: ");
            stringBuilder.append(authID);
            com.android.server.security.trustcircle.utils.LogHelper.i(access$100, stringBuilder.toString());
            com.android.server.security.trustcircle.auth.IOTReqPkTask.this.endWithResult(2);
            return true;
        }
    };
    private com.android.server.security.trustcircle.auth.AuthPara.ReqPkInfo mReqPkInfo;
    private int mType;

    public IOTReqPkTask(com.android.server.security.trustcircle.task.HwSecurityTaskBase parent, com.android.server.security.trustcircle.task.HwSecurityTaskBase.RetCallback callback, com.android.server.security.trustcircle.auth.AuthPara.ReqPkInfo reqPkInfo, int type) {
        super(parent, callback);
        this.mReqPkInfo = reqPkInfo;
        this.mType = type;
        com.android.server.security.trustcircle.task.HwSecurityMsgCenter.staticRegisterEvent(100, this, this.mCancelListener);
    }

    public int doAction() {
        com.android.server.security.trustcircle.auth.AuthPara.RespPkInfo pkInfo = com.android.server.security.trustcircle.utils.AuthUtils.processGetPk(this.mReqPkInfo);
        huawei.android.security.IAuthCallback callback = com.android.server.security.trustcircle.auth.IOTController.getInstance().getIOTCallback(this.mReqPkInfo.mAuthID, this.mType);
        if (callback != null) {
            try {
                callback.responsePK(pkInfo.mAuthID, pkInfo.mAuthKeyAlgoType, pkInfo.mAuthKeyData, pkInfo.mAuthKeyDataSign);
                return 0;
            } catch (android.os.RemoteException e) {
                com.android.server.security.trustcircle.utils.LogHelper.e(TAG, e.toString());
            } catch (java.lang.Exception e2) {
                com.android.server.security.trustcircle.utils.LogHelper.e(TAG, e2.toString());
            }
        }
        return 3;
    }

    public void onStop() {
        com.android.server.security.trustcircle.task.HwSecurityMsgCenter.staticUnregisterEvent(100, this);
    }
}
