package com.android.server.security.trustcircle.auth;

public class KaRequestTask extends com.android.server.security.trustcircle.task.HwSecurityTaskBase {
    private static final java.lang.String TAG = "KAuthTask";
    private android.content.Context mContext;
    private huawei.android.security.IKaCallback mKaCallback;
    private com.android.server.security.trustcircle.auth.IOTController.KaInfoRequest mKaInfo;

    public KaRequestTask(com.android.server.security.trustcircle.task.HwSecurityTaskBase parent, com.android.server.security.trustcircle.task.HwSecurityTaskBase.RetCallback callback, android.content.Context context, com.android.server.security.trustcircle.auth.IOTController.KaInfoRequest kaInfo, huawei.android.security.IKaCallback kaCallback) {
        super(parent, callback);
        this.mContext = context;
        this.mKaInfo = kaInfo;
        this.mKaCallback = kaCallback;
    }

    public int doAction() {
        java.lang.StringBuilder stringBuilder;
        try {
            com.android.server.security.trustcircle.auth.IOTController.KaInfoResponse retKaInfo = com.android.server.security.trustcircle.utils.AuthUtils.processKaAuth(this.mContext, this.mKaInfo);
            if (retKaInfo.result == com.android.server.security.trustcircle.utils.Status.TCIS_Result.SUCCESS.value()) {
                this.mKaCallback.onKaResult(this.mKaInfo.authId, retKaInfo.result, retKaInfo.iv, retKaInfo.payload);
            } else {
                this.mKaCallback.onKaError(this.mKaInfo.authId, retKaInfo.result);
            }
            return 0;
        } catch (android.os.RemoteException e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("ka task do action remote exception ");
            stringBuilder.append(e.getClass().getName());
            com.android.server.security.trustcircle.utils.LogHelper.e("KAuthTask", stringBuilder.toString());
            return 3;
        } catch (java.lang.Exception e2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("ka task do action exception ");
            stringBuilder.append(e2.getClass().getName());
            com.android.server.security.trustcircle.utils.LogHelper.e("KAuthTask", stringBuilder.toString());
            return 3;
        }
    }
}
