package com.android.server.security.trustcircle.auth;

public class RecAuthTask extends com.android.server.security.trustcircle.task.HwSecurityTaskBase {
    private static final java.lang.String TAG = com.android.server.security.trustcircle.auth.RecAuthTask.class.getSimpleName();
    com.android.server.security.trustcircle.task.HwSecurityTaskBase.EventListener mCancelListener = new com.android.server.security.trustcircle.task.HwSecurityTaskBase.EventListener() {
        public boolean onEvent(com.android.server.security.trustcircle.task.HwSecurityEvent ev) {
            long authID = ((com.android.server.security.trustcircle.auth.CancelAuthEv) ev).getAuthID();
            if (authID != com.android.server.security.trustcircle.auth.RecAuthTask.this.mRecAuthInfo.mAuthID) {
                if (authID != -2) {
                    return false;
                }
            }
            com.android.server.security.trustcircle.auth.RecAuthTask.this.endWithResult(2);
            return true;
        }
    };
    com.android.server.security.trustcircle.auth.AuthPara.RecAuthInfo mRecAuthInfo;
    com.android.server.security.trustcircle.task.HwSecurityTaskBase.RetCallback mReqAckCallback = new com.android.server.security.trustcircle.task.HwSecurityTaskBase.RetCallback() {
        public void onTaskCallback(com.android.server.security.trustcircle.task.HwSecurityTaskBase child, int ret) {
            int i = ret;
            if (i != 0) {
                com.android.server.security.trustcircle.auth.RecAuthTask.this.endWithResult(i);
                return;
            }
            com.android.server.security.trustcircle.auth.AuthPara.RecAckInfo ackInfo = ((com.android.server.security.trustcircle.auth.RequestRecAckTask) child).getRecAckInfo();
            if (ackInfo.mAuthID == com.android.server.security.trustcircle.auth.RecAuthTask.this.mRecAuthInfo.mAuthID) {
                com.android.server.security.trustcircle.auth.AuthPara.OnAuthAckInfo onAuthAckInfo = com.android.server.security.trustcircle.utils.AuthUtils.processAckRec(ackInfo);
                huawei.android.security.IAuthCallback callback = com.android.server.security.trustcircle.auth.IOTController.getInstance().getIOTCallback(ackInfo.mAuthID, 1001);
                if (callback != null) {
                    try {
                        if (onAuthAckInfo.mResult == 0) {
                            callback.onAuthAck(onAuthAckInfo.mAuthID, onAuthAckInfo.mResult, onAuthAckInfo.mSessionKeyIV, onAuthAckInfo.mSessionKey, new byte[0]);
                        } else {
                            callback.onAuthAckError(ackInfo.mAuthID, onAuthAckInfo.mResult);
                        }
                    } catch (android.os.RemoteException e) {
                        com.android.server.security.trustcircle.utils.LogHelper.e(com.android.server.security.trustcircle.auth.RecAuthTask.TAG, e.toString());
                    } catch (java.lang.Exception e2) {
                        com.android.server.security.trustcircle.utils.LogHelper.e(com.android.server.security.trustcircle.auth.RecAuthTask.TAG, e2.toString());
                    }
                }
                com.android.server.security.trustcircle.auth.RecAuthTask.this.endWithResult(i);
            }
        }
    };
    com.android.server.security.trustcircle.task.HwSecurityTaskBase.RetCallback mReqPkCallback = new com.android.server.security.trustcircle.task.HwSecurityTaskBase.RetCallback() {
        public void onTaskCallback(com.android.server.security.trustcircle.task.HwSecurityTaskBase child, int ret) {
            if (ret != 0) {
                com.android.server.security.trustcircle.auth.RecAuthTask.this.endWithResult(ret);
                return;
            }
            com.android.server.security.trustcircle.auth.AuthPara.RespPkInfo pkInfo = ((com.android.server.security.trustcircle.auth.ServiceReqPkTask) child).getRespPkInfo();
            if (pkInfo.mAuthID == com.android.server.security.trustcircle.auth.RecAuthTask.this.mRecAuthInfo.mAuthID) {
                com.android.server.security.trustcircle.auth.AuthPara.OnAuthSyncAckInfo info = com.android.server.security.trustcircle.utils.AuthUtils.processRecPkSlave(pkInfo);
                if (info.mResult == 0) {
                    com.android.server.security.trustcircle.task.HwSecurityTaskThread.staticPushTask(new com.android.server.security.trustcircle.auth.RequestRecAckTask(com.android.server.security.trustcircle.auth.RecAuthTask.this, com.android.server.security.trustcircle.auth.RecAuthTask.this.mReqAckCallback, info), 1);
                    return;
                }
                huawei.android.security.IAuthCallback callback = com.android.server.security.trustcircle.auth.IOTController.getInstance().getIOTCallback(info.mAuthID, 1001);
                if (callback != null) {
                    try {
                        callback.onAuthSyncAckError(info.mAuthID, info.mResult);
                    } catch (android.os.RemoteException e) {
                        com.android.server.security.trustcircle.utils.LogHelper.e(com.android.server.security.trustcircle.auth.RecAuthTask.TAG, e.toString());
                    } catch (java.lang.Exception e2) {
                        com.android.server.security.trustcircle.utils.LogHelper.e(com.android.server.security.trustcircle.auth.RecAuthTask.TAG, e2.toString());
                    }
                }
                com.android.server.security.trustcircle.auth.RecAuthTask.this.endWithResult(ret);
            }
        }
    };

    public RecAuthTask(com.android.server.security.trustcircle.task.HwSecurityTaskBase parent, com.android.server.security.trustcircle.task.HwSecurityTaskBase.RetCallback callback, com.android.server.security.trustcircle.auth.AuthPara.RecAuthInfo info) {
        super(parent, callback);
        this.mRecAuthInfo = info;
        com.android.server.security.trustcircle.task.HwSecurityMsgCenter.staticRegisterEvent(100, this, this.mCancelListener);
    }

    public int doAction() {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("doAction, authID: ");
        stringBuilder.append(this.mRecAuthInfo.mAuthID);
        com.android.server.security.trustcircle.utils.LogHelper.d(str, stringBuilder.toString());
        com.android.server.security.trustcircle.auth.AuthPara.OnAuthSyncAckInfo info = com.android.server.security.trustcircle.utils.AuthUtils.processAuthSyncRec(this.mRecAuthInfo);
        if (info.mResult == 1) {
            com.android.server.security.trustcircle.task.HwSecurityTaskThread.staticPushTask(new com.android.server.security.trustcircle.auth.ServiceReqPkTask(this, this.mReqPkCallback, info.mAuthID, 1001), 1);
            return -1;
        } else if (info.mResult == 0) {
            com.android.server.security.trustcircle.task.HwSecurityTaskThread.staticPushTask(new com.android.server.security.trustcircle.auth.RequestRecAckTask(this, this.mReqAckCallback, info), 1);
            return -1;
        } else {
            huawei.android.security.IAuthCallback callback = com.android.server.security.trustcircle.auth.IOTController.getInstance().getIOTCallback(this.mRecAuthInfo.mAuthID, 1001);
            if (callback != null) {
                try {
                    callback.onAuthSyncAckError(this.mRecAuthInfo.mAuthID, info.mResult);
                } catch (android.os.RemoteException e) {
                    com.android.server.security.trustcircle.utils.LogHelper.e(TAG, e.toString());
                } catch (java.lang.Exception e2) {
                    com.android.server.security.trustcircle.utils.LogHelper.e(TAG, e2.toString());
                }
            }
            return 3;
        }
    }

    public void onStop() {
        com.android.server.security.trustcircle.task.HwSecurityMsgCenter.staticUnregisterEvent(100, this);
    }

    public long getAuthID() {
        return this.mRecAuthInfo.mAuthID;
    }
}
