package com.android.server.security.trustcircle.auth;

public class RequestAuthAckTask extends com.android.server.security.trustcircle.task.HwSecurityTaskBase {
    private static final java.lang.String TAG = com.android.server.security.trustcircle.auth.RequestAuthAckTask.class.getSimpleName();
    private static final long TIME_OUT = 5000;
    com.android.server.security.trustcircle.task.HwSecurityTaskBase.EventListener mCancelListener = new com.android.server.security.trustcircle.task.HwSecurityTaskBase.EventListener() {
        public boolean onEvent(com.android.server.security.trustcircle.task.HwSecurityEvent ev) {
            long authID = ((com.android.server.security.trustcircle.auth.CancelAuthEv) ev).getAuthID();
            if (authID != com.android.server.security.trustcircle.auth.RequestAuthAckTask.this.mOnAuthSyncInfo.mAuthID) {
                if (authID != -2) {
                    return false;
                }
            }
            java.lang.String access$100 = com.android.server.security.trustcircle.auth.RequestAuthAckTask.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onCancelAuthEvent, authID: ");
            stringBuilder.append(authID);
            com.android.server.security.trustcircle.utils.LogHelper.i(access$100, stringBuilder.toString());
            com.android.server.security.trustcircle.auth.RequestAuthAckTask.this.mTimer.cancel();
            com.android.server.security.trustcircle.auth.RequestAuthAckTask.this.endWithResult(2);
            return true;
        }
    };
    com.android.server.security.trustcircle.task.HwSecurityTaskBase.EventListener mIOTResListener = new com.android.server.security.trustcircle.task.HwSecurityTaskBase.EventListener() {
        public boolean onEvent(com.android.server.security.trustcircle.task.HwSecurityEvent ev) {
            com.android.server.security.trustcircle.auth.RequestAuthAckTask.this.mRecAuthAckInfo = ((com.android.server.security.trustcircle.auth.AuthSyncAckEv) ev).getRecAuthAckInfo();
            java.lang.String access$100 = com.android.server.security.trustcircle.auth.RequestAuthAckTask.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onAuthSyncAckEvent, authID: ");
            stringBuilder.append(com.android.server.security.trustcircle.auth.RequestAuthAckTask.this.mRecAuthAckInfo.mAuthID);
            stringBuilder.append(", mAuthID: ");
            stringBuilder.append(com.android.server.security.trustcircle.auth.RequestAuthAckTask.this.mOnAuthSyncInfo.mAuthID);
            com.android.server.security.trustcircle.utils.LogHelper.i(access$100, stringBuilder.toString());
            if (com.android.server.security.trustcircle.auth.RequestAuthAckTask.this.mRecAuthAckInfo.mAuthID != com.android.server.security.trustcircle.auth.RequestAuthAckTask.this.mOnAuthSyncInfo.mAuthID) {
                return false;
            }
            com.android.server.security.trustcircle.auth.RequestAuthAckTask.this.mTimer.cancel();
            com.android.server.security.trustcircle.auth.RequestAuthAckTask.this.endWithResult(0);
            return true;
        }
    };
    private com.android.server.security.trustcircle.auth.AuthPara.OnAuthSyncInfo mOnAuthSyncInfo;
    private com.android.server.security.trustcircle.auth.AuthPara.RecAuthAckInfo mRecAuthAckInfo;
    com.android.server.security.trustcircle.task.HwSecurityTaskBase.TimerOutProc mTimeoutProc = new com.android.server.security.trustcircle.task.HwSecurityTaskBase.TimerOutProc() {
        public void onTimerOut() {
            com.android.server.security.trustcircle.auth.RequestAuthAckTask.this.endWithResult(1);
        }
    };
    private com.android.server.security.trustcircle.task.HwSecurityTimerTask mTimer = new com.android.server.security.trustcircle.task.HwSecurityTimerTask();

    public RequestAuthAckTask(com.android.server.security.trustcircle.task.HwSecurityTaskBase parent, com.android.server.security.trustcircle.task.HwSecurityTaskBase.RetCallback callback, com.android.server.security.trustcircle.auth.AuthPara.OnAuthSyncInfo info) {
        super(parent, callback);
        this.mOnAuthSyncInfo = info;
        com.android.server.security.trustcircle.task.HwSecurityMsgCenter.staticRegisterEvent(100, this, this.mCancelListener);
        com.android.server.security.trustcircle.task.HwSecurityMsgCenter.staticRegisterEvent(101, this, this.mIOTResListener);
    }

    com.android.server.security.trustcircle.auth.AuthPara.RecAuthAckInfo getRecAuthAckInfo() {
        return this.mRecAuthAckInfo;
    }

    public int doAction() {
        huawei.android.security.IAuthCallback callback = com.android.server.security.trustcircle.auth.IOTController.getInstance().getIOTCallback(this.mOnAuthSyncInfo.mAuthID, 1000);
        if (callback != null) {
            try {
                if (this.mOnAuthSyncInfo.mResult == 0) {
                    callback.onAuthSync(this.mOnAuthSyncInfo.mAuthID, this.mOnAuthSyncInfo.mTcisId, this.mOnAuthSyncInfo.mIndexVersion, this.mOnAuthSyncInfo.mTAVersion, this.mOnAuthSyncInfo.mNonce, this.mOnAuthSyncInfo.mAuthKeyAlgoType, this.mOnAuthSyncInfo.mAuthKeyInfo, this.mOnAuthSyncInfo.mAuthKeyInfoSign);
                    com.android.server.security.trustcircle.utils.LogHelper.i(TAG, "waiting for receiveAuthSyncAck...");
                    this.mTimer.setTimeout(5000, this.mTimeoutProc);
                    return -1;
                }
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("onAuthError, authID: ");
                stringBuilder.append(this.mOnAuthSyncInfo.mAuthID);
                stringBuilder.append("errorcode: ");
                stringBuilder.append(this.mOnAuthSyncInfo.mResult);
                com.android.server.security.trustcircle.utils.LogHelper.i(str, stringBuilder.toString());
                callback.onAuthError(this.mOnAuthSyncInfo.mAuthID, this.mOnAuthSyncInfo.mResult);
            } catch (android.os.RemoteException e) {
                com.android.server.security.trustcircle.utils.LogHelper.e(TAG, e.toString());
            } catch (java.lang.Exception e2) {
                com.android.server.security.trustcircle.utils.LogHelper.e(TAG, e2.toString());
            }
        }
        return 3;
    }

    public void onStop() {
        com.android.server.security.trustcircle.task.HwSecurityMsgCenter.staticUnregisterEvent(100, this);
        com.android.server.security.trustcircle.task.HwSecurityMsgCenter.staticUnregisterEvent(101, this);
    }
}
