package com.android.server.security.trustcircle.auth;

public class RequestRecAckTask extends com.android.server.security.trustcircle.task.HwSecurityTaskBase {
    private static final java.lang.String TAG = com.android.server.security.trustcircle.auth.RequestRecAckTask.class.getSimpleName();
    private static final long TIME_OUT = 5000;
    com.android.server.security.trustcircle.task.HwSecurityTaskBase.EventListener mCancelListener = new com.android.server.security.trustcircle.task.HwSecurityTaskBase.EventListener() {
        public boolean onEvent(com.android.server.security.trustcircle.task.HwSecurityEvent ev) {
            long authID = ((com.android.server.security.trustcircle.auth.CancelAuthEv) ev).getAuthID();
            if (authID != com.android.server.security.trustcircle.auth.RequestRecAckTask.this.mOnAuthSyncAckInfo.mAuthID) {
                if (authID != -2) {
                    return false;
                }
            }
            java.lang.String access$100 = com.android.server.security.trustcircle.auth.RequestRecAckTask.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onCancelAuthEvent, authID: ");
            stringBuilder.append(authID);
            com.android.server.security.trustcircle.utils.LogHelper.i(access$100, stringBuilder.toString());
            com.android.server.security.trustcircle.auth.RequestRecAckTask.this.endWithResult(2);
            com.android.server.security.trustcircle.auth.RequestRecAckTask.this.mTimer.cancel();
            return true;
        }
    };
    private com.android.server.security.trustcircle.auth.AuthPara.OnAuthSyncAckInfo mOnAuthSyncAckInfo;
    private com.android.server.security.trustcircle.auth.AuthPara.RecAckInfo mRecAckInfo;
    com.android.server.security.trustcircle.task.HwSecurityTaskBase.EventListener mRecAckListener = new com.android.server.security.trustcircle.task.HwSecurityTaskBase.EventListener() {
        public boolean onEvent(com.android.server.security.trustcircle.task.HwSecurityEvent ev) {
            com.android.server.security.trustcircle.auth.RequestRecAckTask.this.mRecAckInfo = ((com.android.server.security.trustcircle.auth.ReceiveAckEv) ev).getRecAckInfo();
            java.lang.String access$100 = com.android.server.security.trustcircle.auth.RequestRecAckTask.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("receiveAcEvent, authID: ");
            stringBuilder.append(com.android.server.security.trustcircle.auth.RequestRecAckTask.this.mRecAckInfo.mAuthID);
            stringBuilder.append(", mAuthID: ");
            stringBuilder.append(com.android.server.security.trustcircle.auth.RequestRecAckTask.this.mOnAuthSyncAckInfo.mAuthID);
            com.android.server.security.trustcircle.utils.LogHelper.i(access$100, stringBuilder.toString());
            if (com.android.server.security.trustcircle.auth.RequestRecAckTask.this.mRecAckInfo.mAuthID != com.android.server.security.trustcircle.auth.RequestRecAckTask.this.mOnAuthSyncAckInfo.mAuthID) {
                return false;
            }
            com.android.server.security.trustcircle.auth.RequestRecAckTask.this.mTimer.cancel();
            com.android.server.security.trustcircle.auth.RequestRecAckTask.this.endWithResult(0);
            return true;
        }
    };
    com.android.server.security.trustcircle.task.HwSecurityTaskBase.TimerOutProc mTimeoutProc = new com.android.server.security.trustcircle.task.HwSecurityTaskBase.TimerOutProc() {
        public void onTimerOut() {
            com.android.server.security.trustcircle.auth.RequestRecAckTask.this.endWithResult(1);
        }
    };
    private com.android.server.security.trustcircle.task.HwSecurityTimerTask mTimer = new com.android.server.security.trustcircle.task.HwSecurityTimerTask();

    public RequestRecAckTask(com.android.server.security.trustcircle.task.HwSecurityTaskBase parent, com.android.server.security.trustcircle.task.HwSecurityTaskBase.RetCallback callback, com.android.server.security.trustcircle.auth.AuthPara.OnAuthSyncAckInfo info) {
        super(parent, callback);
        this.mOnAuthSyncAckInfo = info;
        com.android.server.security.trustcircle.task.HwSecurityMsgCenter.staticRegisterEvent(100, this, this.mCancelListener);
        com.android.server.security.trustcircle.task.HwSecurityMsgCenter.staticRegisterEvent(103, this, this.mRecAckListener);
    }

    com.android.server.security.trustcircle.auth.AuthPara.RecAckInfo getRecAckInfo() {
        return this.mRecAckInfo;
    }

    public int doAction() {
        java.lang.String str;
        java.lang.StringBuilder stringBuilder;
        huawei.android.security.IAuthCallback callback = com.android.server.security.trustcircle.auth.IOTController.getInstance().getIOTCallback(this.mOnAuthSyncAckInfo.mAuthID, 1001);
        if (callback != null) {
            try {
                str = TAG;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("onAuthSyncAck, result: ");
                stringBuilder.append(this.mOnAuthSyncAckInfo.mResult);
                com.android.server.security.trustcircle.utils.LogHelper.i(str, stringBuilder.toString());
                if (this.mOnAuthSyncAckInfo.mResult == 0) {
                    callback.onAuthSyncAck(this.mOnAuthSyncAckInfo.mAuthID, this.mOnAuthSyncAckInfo.mTcisIdSlave, this.mOnAuthSyncAckInfo.mPkVersionSlave, this.mOnAuthSyncAckInfo.mNonceSlave, this.mOnAuthSyncAckInfo.mMAC, this.mOnAuthSyncAckInfo.mAuthKeyAlgoType, this.mOnAuthSyncAckInfo.mAuthKeyInfo, this.mOnAuthSyncAckInfo.mAuthKeyInfoSign);
                } else {
                    callback.onAuthSyncAckError(this.mOnAuthSyncAckInfo.mAuthID, this.mOnAuthSyncAckInfo.mResult);
                }
            } catch (android.os.RemoteException e) {
                com.android.server.security.trustcircle.utils.LogHelper.e(TAG, e.toString());
            } catch (java.lang.Exception e2) {
                com.android.server.security.trustcircle.utils.LogHelper.e(TAG, e2.toString());
            }
        }
        this.mTimer.setTimeout(5000, this.mTimeoutProc);
        str = TAG;
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("authID: ");
        stringBuilder.append(this.mOnAuthSyncAckInfo.mAuthID);
        stringBuilder.append(", waiting for receiveAck... ");
        com.android.server.security.trustcircle.utils.LogHelper.i(str, stringBuilder.toString());
        return -1;
    }

    public void onStop() {
        com.android.server.security.trustcircle.task.HwSecurityMsgCenter.staticUnregisterEvent(100, this);
        com.android.server.security.trustcircle.task.HwSecurityMsgCenter.staticUnregisterEvent(103, this);
    }
}
