package com.android.server.security.trustcircle.auth;

public class ServiceReqPkTask extends com.android.server.security.trustcircle.task.HwSecurityTaskBase {
    private static final java.lang.String TAG = com.android.server.security.trustcircle.auth.ServiceReqPkTask.class.getSimpleName();
    private static final long TIME_OUT = 5000;
    private long mAuthID;
    com.android.server.security.trustcircle.task.HwSecurityTaskBase.EventListener mCancelListener = new com.android.server.security.trustcircle.task.HwSecurityTaskBase.EventListener() {
        public boolean onEvent(com.android.server.security.trustcircle.task.HwSecurityEvent ev) {
            long authID = ((com.android.server.security.trustcircle.auth.CancelAuthEv) ev).getAuthID();
            if (authID != com.android.server.security.trustcircle.auth.ServiceReqPkTask.this.mAuthID) {
                if (authID != -2) {
                    return false;
                }
            }
            java.lang.String access$100 = com.android.server.security.trustcircle.auth.ServiceReqPkTask.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onCancelAuthEvent, authID: ");
            stringBuilder.append(authID);
            com.android.server.security.trustcircle.utils.LogHelper.i(access$100, stringBuilder.toString());
            com.android.server.security.trustcircle.auth.ServiceReqPkTask.this.mTimer.cancel();
            com.android.server.security.trustcircle.auth.ServiceReqPkTask.this.endWithResult(2);
            return true;
        }
    };
    com.android.server.security.trustcircle.task.HwSecurityTaskBase.EventListener mRecPkListener = new com.android.server.security.trustcircle.task.HwSecurityTaskBase.EventListener() {
        public boolean onEvent(com.android.server.security.trustcircle.task.HwSecurityEvent ev) {
            com.android.server.security.trustcircle.auth.ServiceReqPkTask.this.mRespPkInfo = ((com.android.server.security.trustcircle.auth.ReceivePkEv) ev).getPkInfo();
            java.lang.String access$100 = com.android.server.security.trustcircle.auth.ServiceReqPkTask.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onReceivePkEvent, authID: ");
            stringBuilder.append(com.android.server.security.trustcircle.auth.ServiceReqPkTask.this.mRespPkInfo.mAuthID);
            stringBuilder.append(", mAuthID: ");
            stringBuilder.append(com.android.server.security.trustcircle.auth.ServiceReqPkTask.this.mAuthID);
            com.android.server.security.trustcircle.utils.LogHelper.i(access$100, stringBuilder.toString());
            if (com.android.server.security.trustcircle.auth.ServiceReqPkTask.this.mAuthID != com.android.server.security.trustcircle.auth.ServiceReqPkTask.this.mRespPkInfo.mAuthID) {
                return false;
            }
            com.android.server.security.trustcircle.auth.ServiceReqPkTask.this.mTimer.cancel();
            com.android.server.security.trustcircle.auth.ServiceReqPkTask.this.endWithResult(0);
            return true;
        }
    };
    private com.android.server.security.trustcircle.auth.AuthPara.RespPkInfo mRespPkInfo;
    com.android.server.security.trustcircle.task.HwSecurityTaskBase.TimerOutProc mTimeoutProc = new com.android.server.security.trustcircle.task.HwSecurityTaskBase.TimerOutProc() {
        public void onTimerOut() {
            com.android.server.security.trustcircle.auth.ServiceReqPkTask.this.endWithResult(1);
        }
    };
    private com.android.server.security.trustcircle.task.HwSecurityTimerTask mTimer = new com.android.server.security.trustcircle.task.HwSecurityTimerTask();
    private int mType;

    public ServiceReqPkTask(com.android.server.security.trustcircle.task.HwSecurityTaskBase parent, com.android.server.security.trustcircle.task.HwSecurityTaskBase.RetCallback callback, long authID, int type) {
        super(parent, callback);
        this.mAuthID = authID;
        this.mType = type;
        com.android.server.security.trustcircle.task.HwSecurityMsgCenter.staticRegisterEvent(100, this, this.mCancelListener);
        com.android.server.security.trustcircle.task.HwSecurityMsgCenter.staticRegisterEvent(102, this, this.mRecPkListener);
    }

    public int doAction() {
        huawei.android.security.IAuthCallback callback = com.android.server.security.trustcircle.auth.IOTController.getInstance().getIOTCallback(this.mAuthID, this.mType);
        if (callback != null) {
            try {
                callback.requestPK();
                com.android.server.security.trustcircle.utils.LogHelper.i(TAG, "waiting for receivePk...");
                this.mTimer.setTimeout(5000, this.mTimeoutProc);
                return -1;
            } catch (android.os.RemoteException e) {
                com.android.server.security.trustcircle.utils.LogHelper.e(TAG, e.toString());
            } catch (java.lang.Exception e2) {
                com.android.server.security.trustcircle.utils.LogHelper.e(TAG, e2.toString());
            }
        }
        return 3;
    }

    public com.android.server.security.trustcircle.auth.AuthPara.RespPkInfo getRespPkInfo() {
        return this.mRespPkInfo;
    }

    public void onStop() {
        com.android.server.security.trustcircle.task.HwSecurityMsgCenter.staticUnregisterEvent(100, this);
        com.android.server.security.trustcircle.task.HwSecurityMsgCenter.staticUnregisterEvent(102, this);
    }
}
