package com.android.server.security.trustcircle.jni;

public class TcisJNI {
    public static final java.lang.String TAG = com.android.server.security.trustcircle.jni.TcisJNI.class.getSimpleName();

    public static final native byte[] nativeProcessCmd(android.content.Context context, byte[] bArr);

    public static final native int nativeStart();

    public static final native void nativeStop();

    static {
        try {
            java.lang.System.loadLibrary("tcisjni_ca");
        } catch (java.lang.UnsatisfiedLinkError e) {
            com.android.server.security.trustcircle.utils.LogHelper.e(TAG, "error, load tcisjni_ca failed");
        }
    }

    public static final byte[] processCmd(android.content.Context context, byte[] param) {
        byte[] response;
        synchronized (com.android.server.security.trustcircle.jni.TcisJNI.class) {
            try {
                response = nativeProcessCmd(context, param);
            } catch (java.lang.UnsatisfiedLinkError e) {
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("error, processCmd failed, ");
                stringBuilder.append(e.getMessage());
                com.android.server.security.trustcircle.utils.LogHelper.e(str, stringBuilder.toString());
                response = new byte[0];
            }
        }
        return response;
    }

    public static final int start() {
        int result;
        synchronized (com.android.server.security.trustcircle.jni.TcisJNI.class) {
            result = -1;
            try {
                result = nativeStart();
            } catch (java.lang.UnsatisfiedLinkError e) {
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("error, nativeStart failed, ");
                stringBuilder.append(e.getMessage());
                com.android.server.security.trustcircle.utils.LogHelper.e(str, stringBuilder.toString());
            }
        }
        return result;
    }

    public static final void stop() {
        synchronized (com.android.server.security.trustcircle.jni.TcisJNI.class) {
            try {
                nativeStop();
            } catch (java.lang.UnsatisfiedLinkError e) {
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("error, nativeStop failed, ");
                stringBuilder.append(e.getMessage());
                com.android.server.security.trustcircle.utils.LogHelper.e(str, stringBuilder.toString());
            }
        }
    }
}
