package com.android.server.security.trustcircle.lifecycle;

public class LifeCycleStateMachine extends com.android.internal.util.StateMachine {
    public static final int MSG_CANCEL = 5;
    public static final int MSG_CHECK_LOGIN_STATUS = 2;
    public static final int MSG_CHECK_REG_STATUS = 1;
    public static final int MSG_DELETE_ACCOUNT = 7;
    public static final int MSG_FINAL_REG = 3;
    public static final int MSG_LOGOUT = 6;
    public static final int MSG_SWITCH_USER = 9;
    public static final int MSG_TIME_OUT = 8;
    public static final int MSG_UPDATE = 4;
    private static final java.lang.String TAG = com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.class.getSimpleName();
    public static final int TIME_OUT_TIME = 10000;
    private com.android.internal.util.State mIDLEState = new com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.IDLEState();
    private com.android.internal.util.State mLoginedState = new com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.LoginedState();
    private com.android.internal.util.State mLoginingState = new com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.LoginingState();
    private com.android.internal.util.State mRegisteringState = new com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.RegisteringState();
    private com.android.internal.util.State mSameUserState = new com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.SameUserState();
    private com.android.internal.util.State mSwitchingUserState = new com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.SwitchingUserState();

    class IDLEState extends com.android.internal.util.State {
        IDLEState() {
        }

        public void enter() {
            java.lang.String access$000 = com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("enter ");
            stringBuilder.append(getName());
            com.android.server.security.trustcircle.utils.LogHelper.d(access$000, stringBuilder.toString());
        }

        public boolean processMessage(android.os.Message msg) {
            switch (msg.what) {
                case 1:
                    com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.checkRegStatus(msg);
                    return true;
                case 2:
                    com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.checkLoginStatus(msg);
                    return true;
                case 6:
                    com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.logout(msg);
                    return true;
                case 7:
                    com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.unregister(msg);
                    return true;
                case 9:
                    return false;
                default:
                    java.lang.String access$000 = com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.TAG;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("error:unexpceted action in ");
                    stringBuilder.append(getName());
                    stringBuilder.append(" : ");
                    stringBuilder.append(msg.what);
                    com.android.server.security.trustcircle.utils.LogHelper.w(access$000, stringBuilder.toString());
                    return true;
            }
        }

        public void exit() {
            java.lang.String access$000 = com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("exit ");
            stringBuilder.append(getName());
            com.android.server.security.trustcircle.utils.LogHelper.d(access$000, stringBuilder.toString());
        }
    }

    class LoginedState extends com.android.internal.util.State {
        LoginedState() {
        }

        public void enter() {
            java.lang.String access$000 = com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("enter ");
            stringBuilder.append(getName());
            com.android.server.security.trustcircle.utils.LogHelper.d(access$000, stringBuilder.toString());
            com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.removeMessages(8);
            com.android.server.security.trustcircle.lifecycle.LifeCycleProcessor.updateTime(java.lang.System.currentTimeMillis());
        }

        public boolean processMessage(android.os.Message msg) {
            switch (msg.what) {
                case 1:
                    com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.checkRegStatus(msg);
                    return true;
                case 2:
                    com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.checkLoginStatus(msg);
                    return true;
                case 6:
                    com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.logout(msg);
                    return true;
                case 7:
                    com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.unregister(msg);
                    return true;
                case 9:
                    return false;
                default:
                    java.lang.String access$000 = com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.TAG;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("error:unexpceted action in ");
                    stringBuilder.append(getName());
                    stringBuilder.append(" : ");
                    stringBuilder.append(msg.what);
                    com.android.server.security.trustcircle.utils.LogHelper.w(access$000, stringBuilder.toString());
                    return true;
            }
        }

        public void exit() {
            java.lang.String access$000 = com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("exit ");
            stringBuilder.append(getName());
            com.android.server.security.trustcircle.utils.LogHelper.d(access$000, stringBuilder.toString());
        }
    }

    class LoginingState extends com.android.internal.util.State {
        LoginingState() {
        }

        public void enter() {
            java.lang.String access$000 = com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("enter ");
            stringBuilder.append(getName());
            com.android.server.security.trustcircle.utils.LogHelper.d(access$000, stringBuilder.toString());
        }

        public boolean processMessage(android.os.Message msg) {
            switch (msg.what) {
                case 4:
                    com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.removeMessages(8);
                    com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.finalLogin(msg);
                    com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.sendMessageDelayed(8, 10000);
                    return true;
                case 5:
                    com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.removeMessages(8);
                    com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.cancel(msg, this);
                    return true;
                case 6:
                    com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.removeMessages(8);
                    com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.logout(msg);
                    return true;
                case 7:
                    com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.removeMessages(8);
                    com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.unregister(msg);
                    return true;
                case 8:
                    com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.processTimeout();
                    com.android.server.security.trustcircle.lifecycle.LifeCycleProcessor.onFinalLoginResult(com.android.server.security.trustcircle.utils.Status.TCIS_Result.TIMEOUT.value());
                    return true;
                case 9:
                    return false;
                default:
                    com.android.server.security.trustcircle.utils.LogHelper.w(com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.TAG, "error:LoginingState");
                    return true;
            }
        }

        public void exit() {
            java.lang.String access$000 = com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("exit ");
            stringBuilder.append(getName());
            com.android.server.security.trustcircle.utils.LogHelper.d(access$000, stringBuilder.toString());
        }
    }

    class RegisteringState extends com.android.internal.util.State {
        RegisteringState() {
        }

        public void enter() {
            java.lang.String access$000 = com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("enter ");
            stringBuilder.append(getName());
            com.android.server.security.trustcircle.utils.LogHelper.d(access$000, stringBuilder.toString());
        }

        public boolean processMessage(android.os.Message msg) {
            int i = msg.what;
            if (i == 3) {
                com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.removeMessages(8);
                com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.finalRegister(msg);
                return true;
            } else if (i != 5) {
                switch (i) {
                    case 8:
                        com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.processTimeout();
                        com.android.server.security.trustcircle.lifecycle.LifeCycleProcessor.onFinalRegisterResult(com.android.server.security.trustcircle.utils.Status.TCIS_Result.TIMEOUT.value());
                        return true;
                    case 9:
                        return false;
                    default:
                        java.lang.String access$000 = com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.TAG;
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("error:unexpceted action in ");
                        stringBuilder.append(getName());
                        stringBuilder.append(" : ");
                        stringBuilder.append(msg.what);
                        com.android.server.security.trustcircle.utils.LogHelper.w(access$000, stringBuilder.toString());
                        return true;
                }
            } else {
                com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.removeMessages(8);
                com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.cancel(msg, this);
                return true;
            }
        }

        public void exit() {
            java.lang.String access$000 = com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("exit ");
            stringBuilder.append(getName());
            com.android.server.security.trustcircle.utils.LogHelper.d(access$000, stringBuilder.toString());
        }
    }

    class SameUserState extends com.android.internal.util.State {
        SameUserState() {
        }

        public void enter() {
            java.lang.String access$000 = com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("enter ");
            stringBuilder.append(getName());
            com.android.server.security.trustcircle.utils.LogHelper.d(access$000, stringBuilder.toString());
        }

        public boolean processMessage(android.os.Message msg) {
            if (msg.what != 9) {
                java.lang.String access$000 = com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("error:unexpceted action in ");
                stringBuilder.append(getName());
                stringBuilder.append(" : ");
                stringBuilder.append(msg.what);
                com.android.server.security.trustcircle.utils.LogHelper.w(access$000, stringBuilder.toString());
                return true;
            }
            com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.transitionTo(com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.mSwitchingUserState);
            com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.sendMessage(android.os.Message.obtain(msg));
            return true;
        }

        public void exit() {
            java.lang.String access$000 = com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("exit ");
            stringBuilder.append(getName());
            com.android.server.security.trustcircle.utils.LogHelper.d(access$000, stringBuilder.toString());
        }
    }

    class SwitchingUserState extends com.android.internal.util.State {
        SwitchingUserState() {
        }

        public void enter() {
            java.lang.String access$000 = com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("enter ");
            stringBuilder.append(getName());
            com.android.server.security.trustcircle.utils.LogHelper.d(access$000, stringBuilder.toString());
            com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.removeMessages(8);
            com.android.server.security.trustcircle.lifecycle.LifeCycleProcessor.updateTime(java.lang.System.currentTimeMillis());
        }

        public boolean processMessage(android.os.Message msg) {
            if (msg.what != 9) {
                java.lang.String access$000 = com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("error:unexpceted action in ");
                stringBuilder.append(getName());
                stringBuilder.append(" : ");
                stringBuilder.append(msg.what);
                com.android.server.security.trustcircle.utils.LogHelper.w(access$000, stringBuilder.toString());
                com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.transitionTo(com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.mIDLEState);
                return true;
            }
            com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.this.switchUser(msg);
            return true;
        }

        public void exit() {
            java.lang.String access$000 = com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("exit ");
            stringBuilder.append(getName());
            com.android.server.security.trustcircle.utils.LogHelper.d(access$000, stringBuilder.toString());
        }
    }

    public enum TcisState {
        IDLE(com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.IDLEState.class),
        REG_ING(com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.RegisteringState.class),
        LOGIN_ING(com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.LoginingState.class),
        LOGIN_ED(com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.LoginedState.class);
        
        private java.lang.Class clazz;

        private TcisState(java.lang.Class clazz) {
            this.clazz = clazz;
        }

        public java.lang.Class getStateClass() {
            return this.clazz;
        }
    }

    public LifeCycleStateMachine() {
        super(TAG);
        addState(this.mSwitchingUserState);
        addState(this.mSameUserState);
        addState(this.mIDLEState, this.mSameUserState);
        addState(this.mRegisteringState, this.mSameUserState);
        addState(this.mLoginingState, this.mSameUserState);
        addState(this.mLoginedState, this.mSameUserState);
        setInitialState(this.mSwitchingUserState);
        start();
    }

    public int getCurrentLifeState() {
        com.android.internal.util.IState currentState = super.getCurrentState();
        if (currentState == null) {
            return com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.TcisState.IDLE.ordinal();
        }
        for (com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.TcisState state : com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.TcisState.values()) {
            if (state.getStateClass() == currentState.getClass()) {
                return state.ordinal();
            }
        }
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("unknown current state : ");
        stringBuilder.append(currentState.getName());
        com.android.server.security.trustcircle.utils.LogHelper.e(str, stringBuilder.toString());
        return com.android.server.security.trustcircle.lifecycle.LifeCycleStateMachine.TcisState.IDLE.ordinal();
    }

    public void checkRegisterStatus(java.lang.Object obj) {
        sendMessage(1, obj);
    }

    public void getRegData(java.lang.Object obj) {
        sendMessage(3, obj);
    }

    public void cancelRegOrLogin(java.lang.Object obj) {
        sendMessage(5, obj);
    }

    public void checkLoginStatus(java.lang.Object obj) {
        sendMessage(2, obj);
    }

    public void getUpdateData(java.lang.Object obj) {
        sendMessage(4, obj);
    }

    public void logout(java.lang.Object obj) {
        sendMessage(6, obj);
    }

    public void delAccount(java.lang.Object obj) {
        sendMessage(7, obj);
    }

    public void timeout(java.lang.Object obj) {
        sendMessage(8, obj);
    }

    public void switchUser(int newUserHandle) {
        sendMessage(9, newUserHandle);
    }

    private void checkRegStatus(android.os.Message msg) {
        if (msg != null) {
            if (msg.obj instanceof com.android.server.security.trustcircle.lifecycle.TcisLifeCycleDispatcher.LoginServerRequestData) {
                com.android.server.security.trustcircle.lifecycle.TcisLifeCycleDispatcher.LoginServerRequestData data = msg.obj;
                if (com.android.server.security.trustcircle.lifecycle.LifeCycleProcessor.checkNeedRegister(data.serverRegisterStatus, data.userID)) {
                    com.android.server.security.trustcircle.utils.LogHelper.i(TAG, "needs to register");
                    if (com.android.server.security.trustcircle.lifecycle.LifeCycleProcessor.register(data.userID, data.sessionID)) {
                        sendMessageDelayed(8, 10000);
                        transitionTo(this.mRegisteringState);
                    }
                } else {
                    com.android.server.security.trustcircle.utils.LogHelper.i(TAG, "already registered, will login");
                    if (com.android.server.security.trustcircle.lifecycle.LifeCycleProcessor.loginAndUpdate(data.userID)) {
                        com.android.server.security.trustcircle.utils.LogHelper.i(TAG, "login successfully");
                        sendMessageDelayed(8, 10000);
                        transitionTo(this.mLoginingState);
                    } else {
                        com.android.server.security.trustcircle.utils.LogHelper.w(TAG, "login failed");
                        transitionTo(this.mIDLEState);
                    }
                }
                return;
            }
        }
        com.android.server.security.trustcircle.utils.LogHelper.e(TAG, "checkRegStatus - message is invalid");
    }

    private void finalRegister(android.os.Message msg) {
        if (msg != null) {
            if (msg.obj instanceof com.android.server.security.trustcircle.lifecycle.TcisLifeCycleDispatcher.RegisterData) {
                com.android.server.security.trustcircle.lifecycle.TcisLifeCycleDispatcher.RegisterData data = msg.obj;
                if (com.android.server.security.trustcircle.lifecycle.LifeCycleProcessor.finalRegister(data.authPKInfo, data.authPKInfoSign, data.updateIndexInfo, data.updateIndexSignature)) {
                    com.android.server.security.trustcircle.utils.LogHelper.i(TAG, "register totally successfully");
                    transitionTo(this.mLoginedState);
                } else {
                    com.android.server.security.trustcircle.utils.LogHelper.w(TAG, "register totally failed");
                    transitionTo(this.mIDLEState);
                }
                return;
            }
        }
        com.android.server.security.trustcircle.utils.LogHelper.e(TAG, "finalRegister - message is invalid");
    }

    private void checkLoginStatus(android.os.Message msg) {
        if (msg != null) {
            if (msg.obj instanceof com.android.server.security.trustcircle.lifecycle.TcisLifeCycleDispatcher.UpdateRequestData) {
                com.android.server.security.trustcircle.lifecycle.TcisLifeCycleDispatcher.UpdateRequestData updateReqData = msg.obj;
                if (com.android.server.security.trustcircle.lifecycle.LifeCycleProcessor.checkUserIDLogined(updateReqData.userID)) {
                    com.android.server.security.trustcircle.utils.LogHelper.i(TAG, "already login, will update");
                    if (com.android.server.security.trustcircle.lifecycle.LifeCycleProcessor.updateOnly(updateReqData.userID)) {
                        com.android.server.security.trustcircle.utils.LogHelper.i(TAG, "login successfully");
                        sendMessageDelayed(8, 10000);
                        transitionTo(this.mLoginingState);
                    } else {
                        com.android.server.security.trustcircle.utils.LogHelper.w(TAG, "login failed");
                        transitionTo(this.mIDLEState);
                    }
                } else {
                    if (com.android.server.security.trustcircle.lifecycle.LifeCycleProcessor.checkTARegisterStatus(updateReqData.userID) == com.android.server.security.trustcircle.utils.Status.LifeCycleStauts.NOT_REGISTER.ordinal()) {
                        com.android.server.security.trustcircle.lifecycle.LifeCycleProcessor.onUpdateResponse(com.android.server.security.trustcircle.utils.Status.TCIS_Result.NOT_REG.value(), -1, null);
                        com.android.server.security.trustcircle.utils.LogHelper.i(TAG, "needs to register");
                    } else {
                        com.android.server.security.trustcircle.lifecycle.LifeCycleProcessor.onUpdateResponse(com.android.server.security.trustcircle.utils.Status.TCIS_Result.NOT_LOGIN.value(), -1, null);
                        com.android.server.security.trustcircle.utils.LogHelper.i(TAG, "needs to login");
                    }
                    transitionTo(this.mIDLEState);
                }
                return;
            }
        }
        com.android.server.security.trustcircle.utils.LogHelper.e(TAG, "checkLoginStatus - message is invalid");
    }

    private void finalLogin(android.os.Message msg) {
        if (msg != null) {
            if (msg.obj instanceof com.android.server.security.trustcircle.lifecycle.TcisLifeCycleDispatcher.UpdateData) {
                com.android.server.security.trustcircle.lifecycle.TcisLifeCycleDispatcher.UpdateData updateDate = msg.obj;
                if (com.android.server.security.trustcircle.lifecycle.LifeCycleProcessor.finalLogin(updateDate.updateResult, updateDate.updateIndexInfo, updateDate.updateIndexSignature)) {
                    com.android.server.security.trustcircle.utils.LogHelper.i(TAG, "finalLogin successfully");
                    transitionTo(this.mLoginedState);
                } else {
                    com.android.server.security.trustcircle.utils.LogHelper.w(TAG, "finalLogin failed");
                }
                return;
            }
        }
        com.android.server.security.trustcircle.utils.LogHelper.e(TAG, "finalLogin - message is invalid");
    }

    private void logout(android.os.Message msg) {
        if (msg != null) {
            if (msg.obj instanceof com.android.server.security.trustcircle.lifecycle.TcisLifeCycleDispatcher.LogoutData) {
                if (com.android.server.security.trustcircle.lifecycle.LifeCycleProcessor.logout(msg.obj.userID)) {
                    com.android.server.security.trustcircle.lifecycle.LifeCycleProcessor.updateTime(java.lang.System.currentTimeMillis());
                    com.android.server.security.trustcircle.utils.LogHelper.i(TAG, "logout successfully");
                    transitionTo(this.mIDLEState);
                } else {
                    com.android.server.security.trustcircle.utils.LogHelper.w(TAG, "logout failed");
                }
                return;
            }
        }
        com.android.server.security.trustcircle.utils.LogHelper.e(TAG, "logout - message is invalid");
    }

    private void unregister(android.os.Message msg) {
        if (msg != null) {
            if (msg.obj instanceof com.android.server.security.trustcircle.lifecycle.TcisLifeCycleDispatcher.UnregData) {
                if (com.android.server.security.trustcircle.lifecycle.LifeCycleProcessor.unregister(msg.obj.userID)) {
                    com.android.server.security.trustcircle.utils.LogHelper.i(TAG, "unregister successfully");
                    transitionTo(this.mIDLEState);
                } else {
                    com.android.server.security.trustcircle.utils.LogHelper.i(TAG, "unregister failed");
                }
                return;
            }
        }
        com.android.server.security.trustcircle.utils.LogHelper.e(TAG, "unregister - message is invalid");
    }

    private void cancel(android.os.Message msg, com.android.internal.util.State state) {
        if (msg != null) {
            if (msg.obj instanceof com.android.server.security.trustcircle.lifecycle.TcisLifeCycleDispatcher.CancelData) {
                if (com.android.server.security.trustcircle.lifecycle.LifeCycleProcessor.cancelRegOrLogin(state, msg.obj.userID)) {
                    com.android.server.security.trustcircle.utils.LogHelper.i(TAG, "cancel login successfully");
                } else {
                    com.android.server.security.trustcircle.utils.LogHelper.w(TAG, "cancel login failed");
                }
                transitionTo(this.mIDLEState);
                return;
            }
        }
        com.android.server.security.trustcircle.utils.LogHelper.e(TAG, "cancel - message is invalid");
    }

    private void processTimeout() {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("timeout in ");
        stringBuilder.append(getName());
        com.android.server.security.trustcircle.utils.LogHelper.w(str, stringBuilder.toString());
        transitionTo(this.mIDLEState);
    }

    private void switchUser(android.os.Message msg) {
        if (msg == null) {
            com.android.server.security.trustcircle.utils.LogHelper.e(TAG, "switchUser - message is null");
            return;
        }
        int newUserHandle = msg.arg1;
        java.lang.String str;
        java.lang.StringBuilder stringBuilder;
        if (com.android.server.security.trustcircle.lifecycle.LifeCycleProcessor.initAndroidUser(newUserHandle) != -1) {
            str = TAG;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("load new tics user from user ");
            stringBuilder.append(newUserHandle);
            com.android.server.security.trustcircle.utils.LogHelper.i(str, stringBuilder.toString());
            transitionTo(this.mLoginedState);
        } else {
            str = TAG;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("no tcis user logined in user ");
            stringBuilder.append(newUserHandle);
            com.android.server.security.trustcircle.utils.LogHelper.w(str, stringBuilder.toString());
            transitionTo(this.mIDLEState);
        }
    }
}
