package com.android.server.security.trustcircle.task;

public abstract class HwSecurityTaskBase {
    public static final int E_CANCEL = 2;
    public static final int E_CONTINUE = -1;
    public static final int E_OK = 0;
    public static final int E_TIMEOUT = 1;
    public static final int E_UNEXPECTATION = 3;
    public static final int STATUS_FINISHED = 2;
    public static final int STATUS_STARTED = 1;
    public static final int STATUS_UNSTART = 0;
    private static final java.lang.String TAG = com.android.server.security.trustcircle.task.HwSecurityTaskBase.class.getSimpleName();
    private com.android.server.security.trustcircle.task.HwSecurityTaskBase.RetCallback mCallback;
    private com.android.server.security.trustcircle.task.HwSecurityTaskBase mParent;
    protected int mStatus = 0;

    public interface EventListener {
        boolean onEvent(com.android.server.security.trustcircle.task.HwSecurityEvent hwSecurityEvent);
    }

    public interface RetCallback {
        void onTaskCallback(com.android.server.security.trustcircle.task.HwSecurityTaskBase hwSecurityTaskBase, int i);
    }

    public interface TimerOutProc {
        void onTimerOut();
    }

    public abstract int doAction();

    public HwSecurityTaskBase(com.android.server.security.trustcircle.task.HwSecurityTaskBase parent, com.android.server.security.trustcircle.task.HwSecurityTaskBase.RetCallback callback) {
        this.mParent = parent;
        this.mCallback = callback;
        onStart();
    }

    public com.android.server.security.trustcircle.task.HwSecurityTaskBase getParent() {
        return this.mParent;
    }

    public void execute() {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("execute task: ");
        stringBuilder.append(getClass().getSimpleName());
        com.android.server.security.trustcircle.utils.LogHelper.i(str, stringBuilder.toString());
        if (this.mStatus == 0) {
            this.mStatus = 1;
            int ret = doAction();
            if (ret != -1) {
                endWithResult(ret);
            }
        }
    }

    public void onStart() {
    }

    public void onStop() {
    }

    public int getTaskStatus() {
        return this.mStatus;
    }

    protected void endWithResult(int ret) {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("endWithResult, task: ");
        stringBuilder.append(getClass().getSimpleName());
        stringBuilder.append(", status: ");
        stringBuilder.append(this.mStatus);
        com.android.server.security.trustcircle.utils.LogHelper.i(str, stringBuilder.toString());
        if (this.mStatus != 2) {
            onStop();
            this.mStatus = 2;
            if (this.mCallback != null) {
                this.mCallback.onTaskCallback(this, ret);
            }
        }
    }
}
