package com.android.server.security.trustcircle.tlv.core;

public class TLVByteArrayInvoker extends com.android.server.security.trustcircle.tlv.core.TLVInvoker<java.lang.Byte[]> {
    public TLVByteArrayInvoker(short tag) {
        super(tag);
    }

    public TLVByteArrayInvoker(short tag, java.lang.Byte[] t) {
        super(tag, t);
    }

    public <T> T byteArray2Type(java.lang.Byte[] raw) {
        if (raw == null) {
            com.android.server.security.trustcircle.utils.LogHelper.e("TLV", "error_tlv in TLVByteArrayInvoker.byteArray2Type:input byte array is null");
            return null;
        }
        this.mType = raw;
        return raw;
    }

    public <T> java.lang.Byte[] type2ByteArray(T t) {
        if (t != null) {
            if (t instanceof java.lang.Byte[]) {
                if (t instanceof java.lang.Byte[]) {
                    return (java.lang.Byte[]) t;
                }
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("type2ByteArray: unsupported type ");
                stringBuilder.append(t.getClass().getSimpleName());
                com.android.server.security.trustcircle.utils.LogHelper.e("TLV", stringBuilder.toString());
                return new java.lang.Byte[0];
            }
        }
        return new java.lang.Byte[0];
    }

    public boolean isTypeExists(int id) {
        return this.mID == id;
    }

    public boolean isTypeExists(short tag) {
        return this.mTag == tag;
    }

    protected short getTagByType(java.lang.Byte[] type) {
        return this.mTag;
    }

    public java.lang.String byteArray2ServerHexString() {
        return com.android.server.security.trustcircle.utils.ByteUtil.byteArray2ServerHexString(this.mOriginalByteArray);
    }

    public <T> T findTypeByTag(short tag) {
        if (this.mTag == tag) {
            return this.mType;
        }
        return null;
    }

    public int getID() {
        return 0;
    }
}
