package com.android.server.security.trustcircle.tlv.core;

public abstract class TLVNumberInvoker<T extends java.lang.Number> extends com.android.server.security.trustcircle.tlv.core.TLVInvoker<java.lang.Number> {

    public static class TLVIntegerInvoker extends com.android.server.security.trustcircle.tlv.core.TLVNumberInvoker<java.lang.Integer> {
        public TLVIntegerInvoker(short tag) {
            super(tag);
        }

        public TLVIntegerInvoker(short tag, java.lang.Number t) {
            super(tag, t);
        }

        public <T> T byteArray2Type(java.lang.Byte[] raw) {
            if (raw == null) {
                com.android.server.security.trustcircle.utils.LogHelper.e("TLV", "error_tlv in TLVNumberInvoker.byteArray2Type:input byte array is null");
                return null;
            }
            java.lang.Integer byteArray2Int = com.android.server.security.trustcircle.utils.ByteUtil.byteArray2Int(raw);
            this.mType = byteArray2Int;
            return byteArray2Int;
        }
    }

    public static class TLVLongInvoker extends com.android.server.security.trustcircle.tlv.core.TLVNumberInvoker<java.lang.Long> {
        public TLVLongInvoker(short tag) {
            super(tag);
        }

        public TLVLongInvoker(short tag, java.lang.Number t) {
            super(tag, t);
        }

        public <T> T byteArray2Type(java.lang.Byte[] raw) {
            if (raw == null) {
                com.android.server.security.trustcircle.utils.LogHelper.e("TLV", "error_tlv in TLVNumberInvoker.byteArray2Type:input byte array is null");
                return null;
            }
            java.lang.Long byteArray2Long = com.android.server.security.trustcircle.utils.ByteUtil.byteArray2Long(raw);
            this.mType = byteArray2Long;
            return byteArray2Long;
        }
    }

    public static class TLVShortInvoker extends com.android.server.security.trustcircle.tlv.core.TLVNumberInvoker<java.lang.Short> {
        public TLVShortInvoker(short tag) {
            super(tag);
        }

        public TLVShortInvoker(short tag, java.lang.Number t) {
            super(tag, t);
        }

        public <T> T byteArray2Type(java.lang.Byte[] raw) {
            if (raw == null) {
                com.android.server.security.trustcircle.utils.LogHelper.e("TLV", "error_tlv in TLVNumberInvoker.byteArray2Type:input byte array is null");
                return null;
            }
            java.lang.Short byteArray2Short = com.android.server.security.trustcircle.utils.ByteUtil.byteArray2Short(raw);
            this.mType = byteArray2Short;
            return byteArray2Short;
        }
    }

    public TLVNumberInvoker(short tag) {
        super(tag);
    }

    public TLVNumberInvoker(short tag, java.lang.Number t) {
        super(tag, t);
    }

    public <T> java.lang.Byte[] type2ByteArray(T t) {
        if (t != null) {
            if (t instanceof java.lang.Number) {
                if (t instanceof java.lang.Short) {
                    return com.android.server.security.trustcircle.utils.ByteUtil.hexString2ByteArray(com.android.server.security.trustcircle.utils.ByteUtil.type2HexString((java.lang.Short) t));
                }
                if (t instanceof java.lang.Integer) {
                    return com.android.server.security.trustcircle.utils.ByteUtil.hexString2ByteArray(com.android.server.security.trustcircle.utils.ByteUtil.type2HexString((java.lang.Integer) t));
                }
                if (t instanceof java.lang.Long) {
                    return com.android.server.security.trustcircle.utils.ByteUtil.hexString2ByteArray(com.android.server.security.trustcircle.utils.ByteUtil.type2HexString((java.lang.Long) t));
                }
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("type2ByteArray: unsupported type ");
                stringBuilder.append(t.getClass().getSimpleName());
                com.android.server.security.trustcircle.utils.LogHelper.e("TLV", stringBuilder.toString());
                return new java.lang.Byte[0];
            }
        }
        return new java.lang.Byte[0];
    }

    public boolean isTypeExists(int id) {
        return this.mID == id;
    }

    public boolean isTypeExists(short tag) {
        return this.mTag == tag;
    }

    public <T> T findTypeByTag(short tag) {
        if (this.mTag == tag) {
            return this.mType;
        }
        return null;
    }

    public int getID() {
        return 0;
    }

    public short getTagByType(java.lang.Number type) {
        return this.mTag;
    }

    public java.lang.String byteArray2ServerHexString() {
        return com.android.server.security.trustcircle.utils.ByteUtil.byteArray2ServerHexString(this.mOriginalByteArray);
    }
}
