package com.android.server.security.trustcircle.tlv.core;

public abstract class TLVTree implements com.android.server.security.trustcircle.tlv.core.ICommand {
    public static final int LENGTH_SIZE = 2;
    public static final int TAG_SIZE = 2;
    protected java.util.List<com.android.server.security.trustcircle.tlv.core.ICommand> mNodeList = null;
    protected java.lang.Byte[] mOriginalByteArray;

    public static abstract class TLVChildTree extends com.android.server.security.trustcircle.tlv.core.TLVTree {
        public int getCmdID() {
            return 0;
        }
    }

    public static abstract class TLVRootTree extends com.android.server.security.trustcircle.tlv.core.TLVTree {
    }

    public abstract int getCmdID();

    public abstract short getTreeTag();

    public boolean parse(byte[] bytes) {
        if (bytes != null) {
            if (bytes.length != 0) {
                java.nio.ByteBuffer buffer = java.nio.ByteBuffer.wrap(bytes);
                buffer.order(java.nio.ByteOrder.BIG_ENDIAN);
                return parse(buffer);
            }
        }
        return false;
    }

    public boolean parse(java.nio.ByteBuffer bytes) {
        for (com.android.server.security.trustcircle.tlv.core.ICommand cmd : this.mNodeList) {
            if (!cmd.parse(bytes)) {
                return false;
            }
        }
        return true;
    }

    public java.lang.Byte[] encapsulate() {
        java.lang.StringBuffer sb = new java.lang.StringBuffer();
        for (com.android.server.security.trustcircle.tlv.core.ICommand cmd : this.mNodeList) {
            sb.append(com.android.server.security.trustcircle.utils.ByteUtil.byteArray2HexString(cmd.encapsulate()));
        }
        return com.android.server.security.trustcircle.utils.ByteUtil.hexString2ByteArray(sb.toString());
    }

    public java.lang.Byte[] getOriginalTLVBytes() {
        java.lang.Byte[] output = new java.lang.Byte[this.mOriginalByteArray.length];
        java.lang.System.arraycopy(this.mOriginalByteArray, 0, output, 0, this.mOriginalByteArray.length);
        return output;
    }

    public java.lang.String byteArray2ServerHexString() {
        return com.android.server.security.trustcircle.utils.ByteUtil.byteArray2ServerHexString(this.mOriginalByteArray);
    }

    void setOriginalTLVBytes(java.lang.Byte[] originalTLVBytes) {
        this.mOriginalByteArray = originalTLVBytes;
    }

    public java.lang.String toString() {
        if (this.mNodeList == null) {
            return "no data in this tree";
        }
        java.lang.StringBuffer result = new java.lang.StringBuffer();
        for (com.android.server.security.trustcircle.tlv.core.ICommand cmd : this.mNodeList) {
            result.append(cmd.toString());
            result.append(" ");
        }
        return result.toString();
    }
}
