package com.android.server.security.trustcircle.tlv.core;

public class TLVTreeInvoker<T extends com.android.server.security.trustcircle.tlv.core.TLVTree> extends com.android.server.security.trustcircle.tlv.core.TLVInvoker<com.android.server.security.trustcircle.tlv.core.TLVTree> {
    static java.util.HashMap<java.lang.Integer, com.android.server.security.trustcircle.tlv.core.TLVTree> TYPE_MAP = new java.util.HashMap();

    public static class TLVChildTreeInvoker extends com.android.server.security.trustcircle.tlv.core.TLVTreeInvoker<com.android.server.security.trustcircle.tlv.core.TLVTree.TLVChildTree> {
        public TLVChildTreeInvoker(int id) {
            super(id);
        }

        public TLVChildTreeInvoker(com.android.server.security.trustcircle.tlv.core.TLVTree.TLVChildTree t) {
            super((com.android.server.security.trustcircle.tlv.core.TLVTree) t);
        }
    }

    public static class TLVRootTreeInvoker extends com.android.server.security.trustcircle.tlv.core.TLVTreeInvoker<com.android.server.security.trustcircle.tlv.core.TLVTree.TLVRootTree> {
        public TLVRootTreeInvoker(int id) {
            super(id);
        }

        public TLVRootTreeInvoker(com.android.server.security.trustcircle.tlv.core.TLVTree.TLVRootTree t) {
            super((com.android.server.security.trustcircle.tlv.core.TLVTree) t);
        }
    }

    static {
        TYPE_MAP.put(java.lang.Integer.valueOf(1), new com.android.server.security.trustcircle.tlv.command.register.CMD_CHECK_REG_STATUS());
        TYPE_MAP.put(java.lang.Integer.valueOf(2), new com.android.server.security.trustcircle.tlv.command.register.CMD_REG_REQ());
        TYPE_MAP.put(java.lang.Integer.valueOf(3), new com.android.server.security.trustcircle.tlv.command.register.CMD_REG_RESULT());
        TYPE_MAP.put(java.lang.Integer.valueOf(4), new com.android.server.security.trustcircle.tlv.command.login.CMD_LOGIN_REQ());
        TYPE_MAP.put(java.lang.Integer.valueOf(5), new com.android.server.security.trustcircle.tlv.command.login.CMD_LOGIN_RESULT_UPDATE());
        TYPE_MAP.put(java.lang.Integer.valueOf(6), new com.android.server.security.trustcircle.tlv.command.auth.CMD_AUTH_SYNC());
        TYPE_MAP.put(java.lang.Integer.valueOf(7), new com.android.server.security.trustcircle.tlv.command.auth.CMD_AUTH_SYNC_RECV());
        TYPE_MAP.put(java.lang.Integer.valueOf(8), new com.android.server.security.trustcircle.tlv.command.auth.CMD_AUTH_SYNC_ACK_RECV());
        TYPE_MAP.put(java.lang.Integer.valueOf(9), new com.android.server.security.trustcircle.tlv.command.auth.CMD_AUTH_ACK_RECV());
        TYPE_MAP.put(java.lang.Integer.valueOf(10), new com.android.server.security.trustcircle.tlv.command.query.CMD_QUERY_PK());
        TYPE_MAP.put(java.lang.Integer.valueOf(11), new com.android.server.security.trustcircle.tlv.command.query.CMD_GET_PK());
        TYPE_MAP.put(java.lang.Integer.valueOf(12), new com.android.server.security.trustcircle.tlv.command.query.CMD_RECV_PK());
        TYPE_MAP.put(java.lang.Integer.valueOf(13), new com.android.server.security.trustcircle.tlv.command.query.CMD_GET_TCIS_ID());
        TYPE_MAP.put(java.lang.Integer.valueOf(14), new com.android.server.security.trustcircle.tlv.command.logout.CMD_LOGOUT_REQ());
        TYPE_MAP.put(java.lang.Integer.valueOf(15), new com.android.server.security.trustcircle.tlv.command.register.CMD_UNREG_REQ());
        TYPE_MAP.put(java.lang.Integer.valueOf(16), new com.android.server.security.trustcircle.tlv.command.register.CMD_REG_CANCEL());
        TYPE_MAP.put(java.lang.Integer.valueOf(17), new com.android.server.security.trustcircle.tlv.command.login.CMD_LOGIN_CANCEL());
        TYPE_MAP.put(java.lang.Integer.valueOf(18), new com.android.server.security.trustcircle.tlv.command.auth.CMD_AUTH_CANCEL());
        TYPE_MAP.put(java.lang.Integer.valueOf(19), new com.android.server.security.trustcircle.tlv.command.auth.CMD_AUTH_MASTER_RECV_KEY());
        TYPE_MAP.put(java.lang.Integer.valueOf(12), new com.android.server.security.trustcircle.tlv.command.auth.CMD_AUTH_SLAVE_RECV_KEY());
        TYPE_MAP.put(java.lang.Integer.valueOf(20), new com.android.server.security.trustcircle.tlv.command.query.CMD_GET_LOGIN_STATUS());
        TYPE_MAP.put(java.lang.Integer.valueOf(21), new com.android.server.security.trustcircle.tlv.command.query.CMD_INIT_REQ());
        TYPE_MAP.put(java.lang.Integer.valueOf(-2147483647), new com.android.server.security.trustcircle.tlv.command.register.RET_CHECK_REG_STATUS());
        TYPE_MAP.put(java.lang.Integer.valueOf(-2147483646), new com.android.server.security.trustcircle.tlv.command.register.RET_REG_REQ());
        TYPE_MAP.put(java.lang.Integer.valueOf(-2147483645), new com.android.server.security.trustcircle.tlv.command.register.RET_REG_RESULT());
        TYPE_MAP.put(java.lang.Integer.valueOf(-2147483644), new com.android.server.security.trustcircle.tlv.command.login.RET_LOGIN_REQ());
        TYPE_MAP.put(java.lang.Integer.valueOf(-2147483643), new com.android.server.security.trustcircle.tlv.command.login.RET_LOGIN_RESULT_UPDATE());
        TYPE_MAP.put(java.lang.Integer.valueOf(-2147483642), new com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_SYNC());
        TYPE_MAP.put(java.lang.Integer.valueOf(-2147483641), new com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_SYNC_RECV());
        TYPE_MAP.put(java.lang.Integer.valueOf(-2147483640), new com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_SYNC_ACK_RECV());
        TYPE_MAP.put(java.lang.Integer.valueOf(-2147483639), new com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_ACK_RECV());
        TYPE_MAP.put(java.lang.Integer.valueOf(-2147483638), new com.android.server.security.trustcircle.tlv.command.query.RET_QUERY_PK());
        TYPE_MAP.put(java.lang.Integer.valueOf(-2147483637), new com.android.server.security.trustcircle.tlv.command.query.RET_GET_PK());
        TYPE_MAP.put(java.lang.Integer.valueOf(-2147483636), new com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_SLAVE_RECV_KEY());
        TYPE_MAP.put(java.lang.Integer.valueOf(-2147483629), new com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_MASTER_RECV_KEY());
        TYPE_MAP.put(java.lang.Integer.valueOf(-2147483635), new com.android.server.security.trustcircle.tlv.command.query.RET_GET_TCIS_ID());
        TYPE_MAP.put(java.lang.Integer.valueOf(-2147483634), new com.android.server.security.trustcircle.tlv.command.logout.RET_LOGOUT_REQ());
        TYPE_MAP.put(java.lang.Integer.valueOf(-2147483633), new com.android.server.security.trustcircle.tlv.command.register.RET_UNREG_REQ());
        TYPE_MAP.put(java.lang.Integer.valueOf(-2147483632), new com.android.server.security.trustcircle.tlv.command.register.RET_REG_CANCEL());
        TYPE_MAP.put(java.lang.Integer.valueOf(-2147483631), new com.android.server.security.trustcircle.tlv.command.login.RET_LOGIN_CANCEL());
        TYPE_MAP.put(java.lang.Integer.valueOf(-2147483630), new com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_CANCEL());
        TYPE_MAP.put(java.lang.Integer.valueOf(-2147483628), new com.android.server.security.trustcircle.tlv.command.query.RET_GET_LOGIN_STATUS());
        TYPE_MAP.put(java.lang.Integer.valueOf(-2147483627), new com.android.server.security.trustcircle.tlv.command.query.RET_INIT_REQ());
        TYPE_MAP.put(java.lang.Integer.valueOf(1073741825), new com.android.server.security.trustcircle.tlv.command.query.DATA_TCIS_ERROR_STEP());
        TYPE_MAP.put(java.lang.Integer.valueOf(3841), new com.android.server.security.trustcircle.tlv.tree.AuthData());
        TYPE_MAP.put(java.lang.Integer.valueOf(3585), new com.android.server.security.trustcircle.tlv.tree.AuthInfo());
        TYPE_MAP.put(java.lang.Integer.valueOf(768), new com.android.server.security.trustcircle.tlv.tree.AuthPkInfo());
        TYPE_MAP.put(java.lang.Integer.valueOf(3843), new com.android.server.security.trustcircle.tlv.tree.AuthSyncData());
        TYPE_MAP.put(java.lang.Integer.valueOf(3842), new com.android.server.security.trustcircle.tlv.tree.Cert());
        TYPE_MAP.put(java.lang.Integer.valueOf(514), new com.android.server.security.trustcircle.tlv.tree.RegAuthKeyData());
        TYPE_MAP.put(java.lang.Integer.valueOf(770), new com.android.server.security.trustcircle.tlv.tree.UpdateIndexInfo());
        TYPE_MAP.put(java.lang.Integer.valueOf(776), new com.android.server.security.trustcircle.tlv.tree.UpdateIndex());
        TYPE_MAP.put(java.lang.Integer.valueOf(255), new com.android.server.security.trustcircle.tlv.tree.StatesInfo());
        TYPE_MAP.put(java.lang.Integer.valueOf(-2147483616), new com.android.server.security.trustcircle.tlv.command.ka.CMD_KA());
        TYPE_MAP.put(java.lang.Integer.valueOf(-2147483615), new com.android.server.security.trustcircle.tlv.command.ka.RET_KA());
        TYPE_MAP.put(java.lang.Integer.valueOf(8195), new com.android.server.security.trustcircle.tlv.tree.KaInfo());
    }

    public TLVTreeInvoker() {
        this.mID = 0;
        this.mTag = (short) 0;
        this.mType = null;
    }

    public TLVTreeInvoker(int id) {
        super(id);
        this.mType = getInvokeredTLVById(id);
        if (this.mType != null) {
            this.mTag = ((com.android.server.security.trustcircle.tlv.core.TLVTree) this.mType).getTreeTag();
        } else {
            this.mTag = (short) 0;
        }
    }

    public TLVTreeInvoker(T t) {
        super((java.lang.Object) t);
        this.mID = t.getCmdID();
        this.mTag = t.getTreeTag();
    }

    protected short getTagByType(com.android.server.security.trustcircle.tlv.core.TLVTree type) {
        if (this.mType != null) {
            this.mTag = ((com.android.server.security.trustcircle.tlv.core.TLVTree) this.mType).getTreeTag();
        }
        return this.mTag;
    }

    <T extends com.android.server.security.trustcircle.tlv.core.TLVTree> T getInvokeredTLVById(int id) {
        if (TYPE_MAP == null || TYPE_MAP.isEmpty()) {
            return null;
        }
        return (com.android.server.security.trustcircle.tlv.core.TLVTree) TYPE_MAP.get(java.lang.Integer.valueOf(id));
    }

    public int getID() {
        return this.mType != null ? ((com.android.server.security.trustcircle.tlv.core.TLVTree) this.mType).getCmdID() : 0;
    }

    public java.lang.String byteArray2ServerHexString() {
        if (this.mType != null) {
            return com.android.server.security.trustcircle.utils.ByteUtil.byteArray2ServerHexString(((com.android.server.security.trustcircle.tlv.core.TLVTree) this.mType).mOriginalByteArray);
        }
        return null;
    }

    public <T> T byteArray2Type(java.lang.Byte[] raw) {
        if (raw == null) {
            com.android.server.security.trustcircle.utils.LogHelper.e("TLV", "error_tlv in TLVTreeInvoker.byteArray2Type:input byte array is null");
            return null;
        }
        byte[] unboxBytes = com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray(raw);
        if (unboxBytes.length == 0) {
            return null;
        }
        java.nio.ByteBuffer buffer = java.nio.ByteBuffer.wrap(unboxBytes);
        buffer.order(java.nio.ByteOrder.BIG_ENDIAN);
        if (this.mType == null) {
            this.mType = TYPE_MAP.get(java.lang.Integer.valueOf(this.mID));
        }
        if (this.mType != null) {
            ((com.android.server.security.trustcircle.tlv.core.TLVTree) this.mType).parse(buffer);
            ((com.android.server.security.trustcircle.tlv.core.TLVTree) this.mType).setOriginalTLVBytes(raw);
        }
        return this.mType;
    }

    public <T> java.lang.Byte[] type2ByteArray(T t) {
        if (t != null) {
            if (t instanceof com.android.server.security.trustcircle.tlv.core.TLVTree) {
                return ((com.android.server.security.trustcircle.tlv.core.TLVTree) t).encapsulate();
            }
        }
        return new java.lang.Byte[0];
    }

    public boolean isTypeExists(int id) {
        return TYPE_MAP.get(java.lang.Integer.valueOf(id)) != null;
    }

    public boolean isTypeExists(short tag) {
        return findTypeByTag(tag) != null;
    }

    public <T> T findTypeByTag(short tag) {
        for (java.util.Map.Entry<java.lang.Integer, com.android.server.security.trustcircle.tlv.core.TLVTree> entry : TYPE_MAP.entrySet()) {
            com.android.server.security.trustcircle.tlv.core.TLVTree tree = (com.android.server.security.trustcircle.tlv.core.TLVTree) entry.getValue();
            if (tree != null && tree.getTreeTag() != (short) 0 && tree.getTreeTag() == tag) {
                return tree;
            }
        }
        return null;
    }
}
