package com.android.server.security.trustcircle.utils;

public class AuthUtils {
    private static final int FATS_AUTH = 1;
    private static final java.lang.String TAG = "AuthUtils";

    public static com.android.server.security.trustcircle.auth.AuthPara.OnAuthSyncInfo processAuthSync(com.android.server.security.trustcircle.auth.AuthPara.InitAuthInfo info) {
        com.android.server.security.trustcircle.auth.AuthPara.InitAuthInfo initAuthInfo = info;
        com.android.server.security.trustcircle.tlv.tree.AuthInfo authTLV = new com.android.server.security.trustcircle.tlv.tree.AuthInfo();
        authTLV.authType.setTLVStruct(java.lang.Integer.valueOf(initAuthInfo.mAuthType));
        authTLV.authID.setTLVStruct(java.lang.Long.valueOf(initAuthInfo.mAuthID));
        authTLV.policy.setTLVStruct(java.lang.Integer.valueOf(initAuthInfo.mPolicy));
        authTLV.userID.setTLVStruct(java.lang.Long.valueOf(initAuthInfo.mUserID));
        authTLV.encryptedAESKey.setTLVStruct(com.android.server.security.trustcircle.utils.ByteUtil.boxbyteArray(initAuthInfo.mAESTmpKey));
        com.android.server.security.trustcircle.tlv.command.auth.CMD_AUTH_SYNC cmd = new com.android.server.security.trustcircle.tlv.command.auth.CMD_AUTH_SYNC();
        cmd.authVersion.setTLVStruct(java.lang.Integer.valueOf(initAuthInfo.mAuthVersion));
        cmd.authInfo.setTLVStruct(authTLV);
        com.android.server.security.trustcircle.tlv.core.TLVEngine.TLVResult<?> tlvResult = com.android.server.security.trustcircle.tlv.core.TLVEngine.decodeCmdTLV(com.android.server.security.trustcircle.jni.TcisJNI.processCmd(null, com.android.server.security.trustcircle.tlv.core.TLVEngine.encode2CmdTLV(cmd)));
        int resultCode = tlvResult.getResultCode();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("processAuthSync result, resultCode: ");
        stringBuilder.append(java.lang.Integer.toHexString(resultCode));
        com.android.server.security.trustcircle.utils.LogHelper.d("AuthUtils", stringBuilder.toString());
        com.android.server.security.trustcircle.tlv.core.TLVTree ret = tlvResult.getResultTLV();
        if (resultCode != 0) {
            return new com.android.server.security.trustcircle.auth.AuthPara.OnAuthSyncInfo(initAuthInfo.mAuthID, new byte[0], 1, (short) 1, 1, (short) 1, new byte[0], new byte[0], resultCode);
        } else if (ret instanceof com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_SYNC) {
            com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_SYNC retInstance = (com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_SYNC) ret;
            long authID = ((java.lang.Long) retInstance.authID.getTLVStruct()).longValue();
            short taVersion = ((java.lang.Short) retInstance.TAVersion.getTLVStruct()).shortValue();
            com.android.server.security.trustcircle.tlv.tree.AuthData authData = (com.android.server.security.trustcircle.tlv.tree.AuthData) retInstance.authData.getTLVStruct();
            com.android.server.security.trustcircle.tlv.tree.Cert cert = (com.android.server.security.trustcircle.tlv.tree.Cert) authData.cert.getTLVStruct();
            short authKeyAlgoEncode = ((java.lang.Short) cert.authKeyAlgoEncode.getTLVStruct()).shortValue();
            byte[] authPKInfoSign = com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray((java.lang.Byte[]) cert.authPKInfoSign.getTLVStruct());
            byte[] authPkInfoByte = com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray(cert.authPkInfo.encapsulate());
            com.android.server.security.trustcircle.tlv.tree.AuthSyncData authSyncData = (com.android.server.security.trustcircle.tlv.tree.AuthSyncData) authData.authSyncData.getTLVStruct();
            return new com.android.server.security.trustcircle.auth.AuthPara.OnAuthSyncInfo(authID, com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray((java.lang.Byte[]) authSyncData.tcisID.getTLVStruct()), ((java.lang.Integer) authSyncData.indexVersion.getTLVStruct()).intValue(), taVersion, com.android.server.security.trustcircle.utils.ByteUtil.byteArrayToLongDirect((java.lang.Byte[]) authSyncData.nonce.getTLVStruct()), authKeyAlgoEncode, authPkInfoByte, authPKInfoSign, resultCode);
        } else {
            int i = resultCode;
            return new com.android.server.security.trustcircle.auth.AuthPara.OnAuthSyncInfo(initAuthInfo.mAuthID, new byte[0], 1, (short) 1, 1, (short) 1, new byte[0], new byte[0], 2046820353);
        }
    }

    public static com.android.server.security.trustcircle.auth.AuthPara.OnAuthSyncAckInfo processAuthSyncRec(com.android.server.security.trustcircle.auth.AuthPara.RecAuthInfo info) {
        com.android.server.security.trustcircle.auth.AuthPara.RecAuthInfo recAuthInfo = info;
        com.android.server.security.trustcircle.tlv.tree.Cert certTLV = new com.android.server.security.trustcircle.tlv.tree.Cert();
        com.android.server.security.trustcircle.tlv.tree.AuthPkInfo authPkInfo;
        if (recAuthInfo.mPolicy != 1) {
            authPkInfo = new com.android.server.security.trustcircle.tlv.tree.AuthPkInfo();
            authPkInfo.indexVersion.setTLVStruct(java.lang.Short.valueOf((short) 0));
            authPkInfo.userID.setTLVStruct(java.lang.Long.valueOf(0));
            authPkInfo.tcisID.setTLVStruct(com.android.server.security.trustcircle.utils.ByteUtil.boxbyteArray(new byte[10]));
            authPkInfo.authPK.setTLVStruct(com.android.server.security.trustcircle.utils.ByteUtil.boxbyteArray(new byte[64]));
            certTLV.authKeyAlgoEncode.setTLVStruct(java.lang.Short.valueOf((short) 0));
            certTLV.authPkInfo.setTLVStruct(authPkInfo);
            certTLV.authPKInfoSign.setTLVStruct(com.android.server.security.trustcircle.utils.ByteUtil.boxbyteArray(new byte[64]));
        } else {
            authPkInfo = (com.android.server.security.trustcircle.tlv.tree.AuthPkInfo) com.android.server.security.trustcircle.tlv.core.TLVEngine.decodeTLV(recAuthInfo.mAuthKeyInfo);
            certTLV.authKeyAlgoEncode.setTLVStruct(java.lang.Short.valueOf(recAuthInfo.mAuthKeyAlgoType));
            certTLV.authPkInfo.setTLVStruct(authPkInfo);
            certTLV.authPKInfoSign.setTLVStruct(com.android.server.security.trustcircle.utils.ByteUtil.boxbyteArray(recAuthInfo.mAuthKeyInfoSign));
        }
        com.android.server.security.trustcircle.tlv.tree.AuthSyncData authSyncTLV = new com.android.server.security.trustcircle.tlv.tree.AuthSyncData();
        authSyncTLV.tcisID.setTLVStruct(com.android.server.security.trustcircle.utils.ByteUtil.boxbyteArray(recAuthInfo.mTcisId));
        authSyncTLV.indexVersion.setTLVStruct(java.lang.Integer.valueOf(recAuthInfo.mPkVersion));
        authSyncTLV.nonce.setTLVStruct(com.android.server.security.trustcircle.utils.ByteUtil.longToByteArray(recAuthInfo.mNonce));
        com.android.server.security.trustcircle.tlv.tree.AuthData authDataTLV = new com.android.server.security.trustcircle.tlv.tree.AuthData();
        authDataTLV.cert.setTLVStruct(certTLV);
        authDataTLV.authSyncData.setTLVStruct(authSyncTLV);
        com.android.server.security.trustcircle.tlv.tree.AuthInfo authInfo = new com.android.server.security.trustcircle.tlv.tree.AuthInfo();
        authInfo.authType.setTLVStruct(java.lang.Integer.valueOf(recAuthInfo.mAuthType));
        authInfo.authID.setTLVStruct(java.lang.Long.valueOf(recAuthInfo.mAuthID));
        authInfo.policy.setTLVStruct(java.lang.Integer.valueOf(recAuthInfo.mPolicy));
        authInfo.userID.setTLVStruct(java.lang.Long.valueOf(recAuthInfo.mUserID));
        authInfo.encryptedAESKey.setTLVStruct(com.android.server.security.trustcircle.utils.ByteUtil.boxbyteArray(recAuthInfo.mAESTmpKey));
        com.android.server.security.trustcircle.tlv.command.auth.CMD_AUTH_SYNC_RECV cmd = new com.android.server.security.trustcircle.tlv.command.auth.CMD_AUTH_SYNC_RECV();
        cmd.authVersion.setTLVStruct(java.lang.Integer.valueOf(recAuthInfo.mAuthVersion));
        cmd.authInfo.setTLVStruct(authInfo);
        cmd.authData.setTLVStruct(authDataTLV);
        cmd.TAVersion.setTLVStruct(java.lang.Short.valueOf(recAuthInfo.mTAVersion));
        byte[] result = com.android.server.security.trustcircle.jni.TcisJNI.processCmd(null, com.android.server.security.trustcircle.tlv.core.TLVEngine.encode2CmdTLV(cmd));
        com.android.server.security.trustcircle.tlv.core.TLVEngine.TLVResult<?> tlvResult = com.android.server.security.trustcircle.tlv.core.TLVEngine.decodeCmdTLV(result);
        int resultCode = tlvResult.getResultCode();
        if (isNeedRequestPk(result)) {
            resultCode = 1;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("processAuthSyncRec result, resultCode: ");
        stringBuilder.append(java.lang.Integer.toHexString(resultCode));
        com.android.server.security.trustcircle.utils.LogHelper.d("AuthUtils", stringBuilder.toString());
        com.android.server.security.trustcircle.tlv.core.TLVTree ret = tlvResult.getResultTLV();
        if (resultCode != 0) {
            return new com.android.server.security.trustcircle.auth.AuthPara.OnAuthSyncAckInfo(recAuthInfo.mAuthID, new byte[0], 1, 1, new byte[0], (short) 1, new byte[0], new byte[0], resultCode);
        } else if (ret instanceof com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_SYNC_RECV) {
            com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_SYNC_RECV retInstance = (com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_SYNC_RECV) ret;
            long authID = ((java.lang.Long) retInstance.authID.getTLVStruct()).longValue();
            byte[] mac = com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray((java.lang.Byte[]) retInstance.mac.getTLVStruct());
            com.android.server.security.trustcircle.tlv.tree.AuthData authData = (com.android.server.security.trustcircle.tlv.tree.AuthData) retInstance.authData.getTLVStruct();
            com.android.server.security.trustcircle.tlv.tree.Cert certRet = (com.android.server.security.trustcircle.tlv.tree.Cert) authData.cert.getTLVStruct();
            short authKeyAlgoEncode = ((java.lang.Short) certRet.authKeyAlgoEncode.getTLVStruct()).shortValue();
            byte[] authPKInfoSign = com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray((java.lang.Byte[]) certRet.authPKInfoSign.getTLVStruct());
            byte[] authPkInfoByte = com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray(certRet.authPkInfo.encapsulate());
            com.android.server.security.trustcircle.tlv.tree.AuthSyncData authSyncData = (com.android.server.security.trustcircle.tlv.tree.AuthSyncData) authData.authSyncData.getTLVStruct();
            return new com.android.server.security.trustcircle.auth.AuthPara.OnAuthSyncAckInfo(authID, com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray((java.lang.Byte[]) authSyncData.tcisID.getTLVStruct()), ((java.lang.Integer) authSyncData.indexVersion.getTLVStruct()).intValue(), com.android.server.security.trustcircle.utils.ByteUtil.byteArrayToLongDirect((java.lang.Byte[]) authSyncData.nonce.getTLVStruct()), mac, authKeyAlgoEncode, authPkInfoByte, authPKInfoSign, resultCode);
        } else {
            return new com.android.server.security.trustcircle.auth.AuthPara.OnAuthSyncAckInfo(recAuthInfo.mAuthID, new byte[0], 1, 1, new byte[0], (short) 1, new byte[0], new byte[0], 2046820353);
        }
    }

    public static com.android.server.security.trustcircle.auth.AuthPara.OnAuthAckInfo processRecAuthSyncAck(com.android.server.security.trustcircle.auth.AuthPara.RecAuthAckInfo info) {
        com.android.server.security.trustcircle.auth.AuthPara.RecAuthAckInfo recAuthAckInfo = info;
        com.android.server.security.trustcircle.tlv.tree.AuthPkInfo authPkInfo = (com.android.server.security.trustcircle.tlv.tree.AuthPkInfo) com.android.server.security.trustcircle.tlv.core.TLVEngine.decodeTLV(recAuthAckInfo.mAuthKeyInfoSlave);
        com.android.server.security.trustcircle.tlv.tree.Cert cert = new com.android.server.security.trustcircle.tlv.tree.Cert();
        cert.authPkInfo.setTLVStruct(authPkInfo);
        cert.authKeyAlgoEncode.setTLVStruct(java.lang.Short.valueOf(recAuthAckInfo.mAuthKeyAlgoTypeSlave));
        cert.authPKInfoSign.setTLVStruct(com.android.server.security.trustcircle.utils.ByteUtil.boxbyteArray(recAuthAckInfo.mAuthKeyInfoSignSlave));
        com.android.server.security.trustcircle.tlv.tree.AuthSyncData authSyncData = new com.android.server.security.trustcircle.tlv.tree.AuthSyncData();
        authSyncData.tcisID.setTLVStruct(com.android.server.security.trustcircle.utils.ByteUtil.boxbyteArray(recAuthAckInfo.mTcisIDSlave));
        authSyncData.nonce.setTLVStruct(com.android.server.security.trustcircle.utils.ByteUtil.longToByteArray(recAuthAckInfo.mNonceSlave));
        authSyncData.indexVersion.setTLVStruct(java.lang.Integer.valueOf(recAuthAckInfo.mPkVersionSlave));
        com.android.server.security.trustcircle.tlv.tree.AuthData authData = new com.android.server.security.trustcircle.tlv.tree.AuthData();
        authData.cert.setTLVStruct(cert);
        authData.authSyncData.setTLVStruct(authSyncData);
        com.android.server.security.trustcircle.tlv.command.auth.CMD_AUTH_SYNC_ACK_RECV cmd = new com.android.server.security.trustcircle.tlv.command.auth.CMD_AUTH_SYNC_ACK_RECV();
        cmd.authID.setTLVStruct(java.lang.Long.valueOf(recAuthAckInfo.mAuthID));
        cmd.mac.setTLVStruct(com.android.server.security.trustcircle.utils.ByteUtil.boxbyteArray(recAuthAckInfo.mMacSlave));
        cmd.authData.setTLVStruct(authData);
        byte[] result = com.android.server.security.trustcircle.jni.TcisJNI.processCmd(null, com.android.server.security.trustcircle.tlv.core.TLVEngine.encode2CmdTLV(cmd));
        com.android.server.security.trustcircle.tlv.core.TLVEngine.TLVResult<?> tlvResult = com.android.server.security.trustcircle.tlv.core.TLVEngine.decodeCmdTLV(result);
        int resultCode = tlvResult.getResultCode();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("processRecAuthSyncAck result, resultCode: ");
        stringBuilder.append(java.lang.Integer.toHexString(resultCode));
        com.android.server.security.trustcircle.utils.LogHelper.d("AuthUtils", stringBuilder.toString());
        if (isNeedRequestPk(result)) {
            resultCode = 1;
        }
        com.android.server.security.trustcircle.tlv.core.TLVTree ret = tlvResult.getResultTLV();
        if (resultCode != 0) {
            return new com.android.server.security.trustcircle.auth.AuthPara.OnAuthAckInfo(recAuthAckInfo.mAuthID, new byte[0], new byte[0], new byte[0], resultCode);
        } else if (ret instanceof com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_SYNC_ACK_RECV) {
            com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_SYNC_ACK_RECV retInstance = (com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_SYNC_ACK_RECV) ret;
            long authID = ((java.lang.Long) retInstance.authID.getTLVStruct()).longValue();
            byte[] mac = com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray((java.lang.Byte[]) retInstance.mac.getTLVStruct());
            return new com.android.server.security.trustcircle.auth.AuthPara.OnAuthAckInfo(authID, com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray((java.lang.Byte[]) retInstance.iv.getTLVStruct()), com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray((java.lang.Byte[]) retInstance.sessionKey.getTLVStruct()), mac, resultCode);
        } else {
            return new com.android.server.security.trustcircle.auth.AuthPara.OnAuthAckInfo(recAuthAckInfo.mAuthID, new byte[0], new byte[0], new byte[0], 2046820353);
        }
    }

    public static com.android.server.security.trustcircle.auth.AuthPara.OnAuthAckInfo processRecPkMaster(com.android.server.security.trustcircle.auth.AuthPara.RespPkInfo info) {
        com.android.server.security.trustcircle.auth.AuthPara.RespPkInfo respPkInfo = info;
        com.android.server.security.trustcircle.tlv.tree.AuthPkInfo authPkInfo = (com.android.server.security.trustcircle.tlv.tree.AuthPkInfo) com.android.server.security.trustcircle.tlv.core.TLVEngine.decodeTLV(respPkInfo.mAuthKeyData);
        com.android.server.security.trustcircle.tlv.tree.Cert cert = new com.android.server.security.trustcircle.tlv.tree.Cert();
        cert.authPkInfo.setTLVStruct(authPkInfo);
        cert.authKeyAlgoEncode.setTLVStruct(java.lang.Short.valueOf(respPkInfo.mAuthKeyAlgoType));
        cert.authPKInfoSign.setTLVStruct(com.android.server.security.trustcircle.utils.ByteUtil.boxbyteArray(respPkInfo.mAuthKeyDataSign));
        com.android.server.security.trustcircle.tlv.command.auth.CMD_AUTH_MASTER_RECV_KEY cmd = new com.android.server.security.trustcircle.tlv.command.auth.CMD_AUTH_MASTER_RECV_KEY();
        cmd.authID.setTLVStruct(java.lang.Long.valueOf(respPkInfo.mAuthID));
        cmd.cert.setTLVStruct(cert);
        com.android.server.security.trustcircle.tlv.core.TLVEngine.TLVResult<?> tlvResult = com.android.server.security.trustcircle.tlv.core.TLVEngine.decodeCmdTLV(com.android.server.security.trustcircle.jni.TcisJNI.processCmd(null, com.android.server.security.trustcircle.tlv.core.TLVEngine.encode2CmdTLV(cmd)));
        int resultCode = tlvResult.getResultCode();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("processRecPkMaster result, resultCode: ");
        stringBuilder.append(java.lang.Integer.toHexString(resultCode));
        com.android.server.security.trustcircle.utils.LogHelper.d("AuthUtils", stringBuilder.toString());
        com.android.server.security.trustcircle.tlv.core.TLVTree ret = tlvResult.getResultTLV();
        if (resultCode != 0) {
            return new com.android.server.security.trustcircle.auth.AuthPara.OnAuthAckInfo(respPkInfo.mAuthID, new byte[0], new byte[0], new byte[0], resultCode);
        }
        if (!(ret instanceof com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_SYNC_ACK_RECV)) {
            return new com.android.server.security.trustcircle.auth.AuthPara.OnAuthAckInfo(respPkInfo.mAuthID, new byte[0], new byte[0], new byte[0], 2046820353);
        }
        com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_SYNC_ACK_RECV retInstance = (com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_SYNC_ACK_RECV) ret;
        byte[] sessionKey = com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray((java.lang.Byte[]) retInstance.sessionKey.getTLVStruct());
        return new com.android.server.security.trustcircle.auth.AuthPara.OnAuthAckInfo(respPkInfo.mAuthID, com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray((java.lang.Byte[]) retInstance.iv.getTLVStruct()), sessionKey, com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray((java.lang.Byte[]) retInstance.mac.getTLVStruct()), resultCode);
    }

    public static com.android.server.security.trustcircle.auth.AuthPara.OnAuthSyncAckInfo processRecPkSlave(com.android.server.security.trustcircle.auth.AuthPara.RespPkInfo info) {
        com.android.server.security.trustcircle.auth.AuthPara.RespPkInfo respPkInfo = info;
        com.android.server.security.trustcircle.tlv.tree.AuthPkInfo authPkInfo = (com.android.server.security.trustcircle.tlv.tree.AuthPkInfo) com.android.server.security.trustcircle.tlv.core.TLVEngine.decodeTLV(respPkInfo.mAuthKeyData);
        com.android.server.security.trustcircle.tlv.tree.Cert cert = new com.android.server.security.trustcircle.tlv.tree.Cert();
        cert.authPkInfo.setTLVStruct(authPkInfo);
        cert.authKeyAlgoEncode.setTLVStruct(java.lang.Short.valueOf(respPkInfo.mAuthKeyAlgoType));
        cert.authPKInfoSign.setTLVStruct(com.android.server.security.trustcircle.utils.ByteUtil.boxbyteArray(respPkInfo.mAuthKeyDataSign));
        com.android.server.security.trustcircle.tlv.command.auth.CMD_AUTH_SLAVE_RECV_KEY cmd = new com.android.server.security.trustcircle.tlv.command.auth.CMD_AUTH_SLAVE_RECV_KEY();
        cmd.authID.setTLVStruct(java.lang.Long.valueOf(respPkInfo.mAuthID));
        cmd.cert.setTLVStruct(cert);
        com.android.server.security.trustcircle.tlv.core.TLVEngine.TLVResult<?> tlvResult = com.android.server.security.trustcircle.tlv.core.TLVEngine.decodeCmdTLV(com.android.server.security.trustcircle.jni.TcisJNI.processCmd(null, com.android.server.security.trustcircle.tlv.core.TLVEngine.encode2CmdTLV(cmd)));
        int resultCode = tlvResult.getResultCode();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("processRecPkSlave result, resultCode: ");
        stringBuilder.append(java.lang.Integer.toHexString(resultCode));
        com.android.server.security.trustcircle.utils.LogHelper.d("AuthUtils", stringBuilder.toString());
        com.android.server.security.trustcircle.tlv.core.TLVTree ret = tlvResult.getResultTLV();
        if (resultCode != 0) {
            return new com.android.server.security.trustcircle.auth.AuthPara.OnAuthSyncAckInfo(respPkInfo.mAuthID, new byte[0], 1, 1, new byte[0], (short) 1, new byte[0], new byte[0], resultCode);
        } else if (ret instanceof com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_SYNC_RECV) {
            com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_SYNC_RECV retInstance = (com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_SYNC_RECV) ret;
            long authID = ((java.lang.Long) retInstance.authID.getTLVStruct()).longValue();
            byte[] mac = com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray((java.lang.Byte[]) retInstance.mac.getTLVStruct());
            com.android.server.security.trustcircle.tlv.tree.AuthData authData = (com.android.server.security.trustcircle.tlv.tree.AuthData) retInstance.authData.getTLVStruct();
            com.android.server.security.trustcircle.tlv.tree.Cert certRet = (com.android.server.security.trustcircle.tlv.tree.Cert) authData.cert.getTLVStruct();
            short authKeyAlgoEncode = ((java.lang.Short) certRet.authKeyAlgoEncode.getTLVStruct()).shortValue();
            byte[] authPKInfoSign = com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray((java.lang.Byte[]) certRet.authPKInfoSign.getTLVStruct());
            byte[] authPkInfoByte = com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray(certRet.authPkInfo.encapsulate());
            com.android.server.security.trustcircle.tlv.tree.AuthSyncData authSyncData = (com.android.server.security.trustcircle.tlv.tree.AuthSyncData) authData.authSyncData.getTLVStruct();
            return new com.android.server.security.trustcircle.auth.AuthPara.OnAuthSyncAckInfo(authID, com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray((java.lang.Byte[]) authSyncData.tcisID.getTLVStruct()), ((java.lang.Integer) authSyncData.indexVersion.getTLVStruct()).intValue(), com.android.server.security.trustcircle.utils.ByteUtil.byteArrayToLongDirect((java.lang.Byte[]) authSyncData.nonce.getTLVStruct()), mac, authKeyAlgoEncode, authPkInfoByte, authPKInfoSign, resultCode);
        } else {
            int i = resultCode;
            return new com.android.server.security.trustcircle.auth.AuthPara.OnAuthSyncAckInfo(respPkInfo.mAuthID, new byte[0], 1, 1, new byte[0], (short) 1, new byte[0], new byte[0], 2046820353);
        }
    }

    public static com.android.server.security.trustcircle.auth.AuthPara.OnAuthAckInfo processAckRec(com.android.server.security.trustcircle.auth.AuthPara.RecAckInfo info) {
        com.android.server.security.trustcircle.auth.AuthPara.RecAckInfo recAckInfo = info;
        com.android.server.security.trustcircle.tlv.command.auth.CMD_AUTH_ACK_RECV cmd = new com.android.server.security.trustcircle.tlv.command.auth.CMD_AUTH_ACK_RECV();
        cmd.authID.setTLVStruct(java.lang.Long.valueOf(recAckInfo.mAuthID));
        cmd.mac.setTLVStruct(com.android.server.security.trustcircle.utils.ByteUtil.boxbyteArray(recAckInfo.mMAC));
        com.android.server.security.trustcircle.tlv.core.TLVEngine.TLVResult<?> tlvResult = com.android.server.security.trustcircle.tlv.core.TLVEngine.decodeCmdTLV(com.android.server.security.trustcircle.jni.TcisJNI.processCmd(null, com.android.server.security.trustcircle.tlv.core.TLVEngine.encode2CmdTLV(cmd)));
        int resultCode = tlvResult.getResultCode();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("processAckRec result, resultCode: ");
        stringBuilder.append(java.lang.Integer.toHexString(resultCode));
        com.android.server.security.trustcircle.utils.LogHelper.d("AuthUtils", stringBuilder.toString());
        com.android.server.security.trustcircle.tlv.core.TLVTree ret = tlvResult.getResultTLV();
        if (resultCode != 0) {
            return new com.android.server.security.trustcircle.auth.AuthPara.OnAuthAckInfo(recAckInfo.mAuthID, new byte[0], new byte[0], new byte[0], resultCode);
        }
        if (!(ret instanceof com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_ACK_RECV)) {
            return new com.android.server.security.trustcircle.auth.AuthPara.OnAuthAckInfo(recAckInfo.mAuthID, new byte[0], new byte[0], new byte[0], 2046820353);
        }
        com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_ACK_RECV retInstance = (com.android.server.security.trustcircle.tlv.command.auth.RET_AUTH_ACK_RECV) ret;
        byte[] sessionKey = com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray((java.lang.Byte[]) retInstance.sessionKey.getTLVStruct());
        return new com.android.server.security.trustcircle.auth.AuthPara.OnAuthAckInfo(recAckInfo.mAuthID, com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray((java.lang.Byte[]) retInstance.iv.getTLVStruct()), sessionKey, new byte[0], resultCode);
    }

    public static com.android.server.security.trustcircle.auth.AuthPara.RespPkInfo processGetPk(com.android.server.security.trustcircle.auth.AuthPara.ReqPkInfo info) {
        com.android.server.security.trustcircle.auth.AuthPara.ReqPkInfo reqPkInfo = info;
        com.android.server.security.trustcircle.tlv.command.query.CMD_GET_PK cmd = new com.android.server.security.trustcircle.tlv.command.query.CMD_GET_PK();
        cmd.authID.setTLVStruct(java.lang.Long.valueOf(reqPkInfo.mAuthID));
        cmd.userID.setTLVStruct(java.lang.Long.valueOf(reqPkInfo.mUserID));
        com.android.server.security.trustcircle.tlv.core.TLVEngine.TLVResult<?> tlvResult = com.android.server.security.trustcircle.tlv.core.TLVEngine.decodeCmdTLV(com.android.server.security.trustcircle.jni.TcisJNI.processCmd(null, com.android.server.security.trustcircle.tlv.core.TLVEngine.encode2CmdTLV(cmd)));
        int resultCode = tlvResult.getResultCode();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("processGetPk result, resultCode: ");
        stringBuilder.append(java.lang.Integer.toHexString(resultCode));
        com.android.server.security.trustcircle.utils.LogHelper.d("AuthUtils", stringBuilder.toString());
        com.android.server.security.trustcircle.tlv.core.TLVTree ret = tlvResult.getResultTLV();
        if (resultCode != 0) {
            return new com.android.server.security.trustcircle.auth.AuthPara.RespPkInfo(reqPkInfo.mAuthID, (short) 1, new byte[0], new byte[0], resultCode);
        }
        if (!(ret instanceof com.android.server.security.trustcircle.tlv.command.query.RET_GET_PK)) {
            return new com.android.server.security.trustcircle.auth.AuthPara.RespPkInfo(reqPkInfo.mAuthID, (short) 1, new byte[0], new byte[0], 2046820353);
        }
        com.android.server.security.trustcircle.tlv.tree.Cert cert = (com.android.server.security.trustcircle.tlv.tree.Cert) ((com.android.server.security.trustcircle.tlv.command.query.RET_GET_PK) ret).cert.getTLVStruct();
        byte[] authPkInfoByte = com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray(cert.authPkInfo.encapsulate());
        return new com.android.server.security.trustcircle.auth.AuthPara.RespPkInfo(reqPkInfo.mAuthID, ((java.lang.Short) cert.authKeyAlgoEncode.getTLVStruct()).shortValue(), authPkInfoByte, com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray((java.lang.Byte[]) cert.authPKInfoSign.getTLVStruct()), resultCode);
    }

    public static int processCancelAuth(long authID) {
        com.android.server.security.trustcircle.tlv.command.auth.CMD_AUTH_CANCEL cmd = new com.android.server.security.trustcircle.tlv.command.auth.CMD_AUTH_CANCEL();
        cmd.authID.setTLVStruct(java.lang.Long.valueOf(authID));
        return com.android.server.security.trustcircle.tlv.core.TLVEngine.decodeCmdTLV(com.android.server.security.trustcircle.jni.TcisJNI.processCmd(null, com.android.server.security.trustcircle.tlv.core.TLVEngine.encode2CmdTLV(cmd))).getResultCode();
    }

    private static boolean isNeedRequestPk(byte[] result) {
        if (result != null && result.length >= 8 && result[4] == (byte) 0 && result[5] == (byte) 0 && result[6] == (byte) 0 && result[7] == (byte) 1) {
            return true;
        }
        return false;
    }

    public static com.android.server.security.trustcircle.auth.IOTController.KaInfoResponse processKaAuth(android.content.Context context, com.android.server.security.trustcircle.auth.IOTController.KaInfoRequest info) {
        com.android.server.security.trustcircle.tlv.command.ka.CMD_KA cmdKa = new com.android.server.security.trustcircle.tlv.command.ka.CMD_KA();
        cmdKa.userId.setTLVStruct(java.lang.Long.valueOf(info.userId));
        cmdKa.kaVersion.setTLVStruct(java.lang.Integer.valueOf(info.kaVersion));
        cmdKa.eeAesTmpKey.setTLVStruct(com.android.server.security.trustcircle.utils.ByteUtil.boxbyteArray(info.aesTmpKey));
        com.android.server.security.trustcircle.tlv.core.TLVTree kaInfoTree = com.android.server.security.trustcircle.tlv.core.TLVEngine.decodeTLV(com.android.server.security.trustcircle.utils.ByteUtil.serverHexString2ByteArray(info.kaInfo));
        if (kaInfoTree != null) {
            if (kaInfoTree instanceof com.android.server.security.trustcircle.tlv.tree.KaInfo) {
                cmdKa.kaInfo.setTLVStruct(kaInfoTree);
                com.android.server.security.trustcircle.tlv.core.TLVEngine.TLVResult<?> tlvResult = com.android.server.security.trustcircle.tlv.core.TLVEngine.decodeCmdTLV(com.android.server.security.trustcircle.jni.TcisJNI.processCmd(null, com.android.server.security.trustcircle.tlv.core.TLVEngine.encode2CmdTLV(cmdKa)));
                int resultCode = tlvResult.getResultCode();
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("processKaAuth result, resultCode: ");
                stringBuilder.append(java.lang.Integer.toHexString(resultCode));
                com.android.server.security.trustcircle.utils.LogHelper.d("AuthUtils", stringBuilder.toString());
                com.android.server.security.trustcircle.tlv.core.TLVTree ret = tlvResult.getResultTLV();
                if (resultCode != com.android.server.security.trustcircle.utils.Status.TCIS_Result.SUCCESS.value()) {
                    return new com.android.server.security.trustcircle.auth.IOTController.KaInfoResponse(resultCode, new byte[0], new byte[0]);
                }
                if (!(ret instanceof com.android.server.security.trustcircle.tlv.command.ka.RET_KA)) {
                    return new com.android.server.security.trustcircle.auth.IOTController.KaInfoResponse(2046820353, new byte[0], new byte[0]);
                }
                com.android.server.security.trustcircle.tlv.command.ka.RET_KA retKa = (com.android.server.security.trustcircle.tlv.command.ka.RET_KA) ret;
                return new com.android.server.security.trustcircle.auth.IOTController.KaInfoResponse(0, com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray((java.lang.Byte[]) retKa.iv.getTLVStruct()), com.android.server.security.trustcircle.utils.ByteUtil.unboxByteArray((java.lang.Byte[]) retKa.payload.getTLVStruct()));
            }
        }
        com.android.server.security.trustcircle.utils.LogHelper.e("AuthUtils", "ka info decode fail");
        return new com.android.server.security.trustcircle.auth.IOTController.KaInfoResponse(2046820355, new byte[0], new byte[0]);
    }
}
