package com.android.server.security.trustcircle.utils;

public class Utils {
    private static final java.lang.String TAG = com.android.server.security.trustcircle.utils.Utils.class.getSimpleName();

    public static java.lang.String getProperty(android.content.Context context, java.lang.String key) {
        if (context == null) {
            return "";
        }
        return android.provider.Settings.Global.getString(context.getContentResolver(), key);
    }

    public static void setProperty(android.content.Context context, java.lang.String key, java.lang.String value) {
        if (context != null) {
            android.provider.Settings.Global.putString(context.getContentResolver(), key, value);
        }
    }

    public static int getCurrentUserId() {
        int userHandle = -10000;
        long origin = android.os.Binder.clearCallingIdentity();
        try {
            userHandle = android.app.ActivityManager.getCurrentUser();
        } catch (java.lang.Exception e) {
            com.android.server.security.trustcircle.utils.LogHelper.e(TAG, "error: exception in getCurrentUserId");
        } catch (Throwable th) {
            android.os.Binder.restoreCallingIdentity(origin);
        }
        android.os.Binder.restoreCallingIdentity(origin);
        return userHandle;
    }

    public static boolean hasLoginAccount(android.content.Context context) {
        java.lang.String HUAWEI_ACCOUNT_TYPE = "com.huawei.hwid";
        long origin = android.os.Binder.clearCallingIdentity();
        try {
            android.accounts.Account[] accs = android.accounts.AccountManager.get(context).getAccountsByTypeAsUser("com.huawei.hwid", android.os.UserHandle.of(getCurrentUserId()));
            if (accs != null && accs.length > 0) {
                android.os.Binder.restoreCallingIdentity(origin);
                return true;
            }
        } catch (java.lang.Exception e) {
            com.android.server.security.trustcircle.utils.LogHelper.e(TAG, "error: exception in hasLoginAccount");
        } catch (Throwable th) {
            android.os.Binder.restoreCallingIdentity(origin);
        }
        android.os.Binder.restoreCallingIdentity(origin);
        return false;
    }
}
