package com.android.server.security.tsmagent.logic.card.tsm;

public class CreateOrDeleteOpenSSDTsmOperator extends com.android.server.security.tsmagent.logic.card.tsm.TsmBaseOperator {
    private final java.lang.String mAid;
    private final java.lang.String mOperatorType;
    private final java.lang.String mSign;
    private final java.lang.String mSpID;
    private final java.lang.String mTimeStamp;

    public CreateOrDeleteOpenSSDTsmOperator(android.content.Context context, java.lang.String aid, java.lang.String spId, java.lang.String sign, java.lang.String timeStamp, java.lang.String operatorType) {
        super(context, "CreateOrDeleteOpenSSD");
        this.mAid = aid;
        this.mSign = sign;
        this.mSpID = spId;
        this.mTimeStamp = timeStamp;
        this.mOperatorType = operatorType;
    }

    com.android.server.security.tsmagent.server.card.response.TsmParamQueryResponse queryOperateParams(com.android.server.security.tsmagent.server.card.request.TsmParamQueryRequest paramQueryRequest) {
        paramQueryRequest.setAid(this.mAid);
        paramQueryRequest.setBankSignResult(this.mSign);
        paramQueryRequest.setBankSignTime(this.mTimeStamp);
        paramQueryRequest.setBankRsaIndex(this.mSpID);
        paramQueryRequest.setSignType("RSA256");
        if ("createSSD".equals(this.mOperatorType)) {
            return com.android.server.security.tsmagent.server.card.impl.CardServer.getInstance(this.mContext).queryCreateSSDTsmParam(paramQueryRequest);
        }
        if (!"deleteSSD".equals(this.mOperatorType)) {
            return null;
        }
        paramQueryRequest.setDeleteRelatedObjects(true);
        return com.android.server.security.tsmagent.server.card.impl.CardServer.getInstance(this.mContext).queryDeleteSSDTsmParam(paramQueryRequest);
    }
}
