package com.android.server.security.tsmagent.logic.card.tsm;

public abstract class TsmBaseOperator {
    public static final java.lang.String SIGN_TYPE_SHA256 = "RSA256";
    public static final int TSM_OPERATE_RESULT_FAILED_CONN_UNAVAILABLE = -2;
    public static final int TSM_OPERATE_RESULT_FAILED_CPLC_ERRO = -3;
    public static final int TSM_OPERATE_RESULT_FAILED_NO_NETWORK = -1;
    public static final int TSM_OPERATE_RESULT_FAILED_UNKNOWN_ERROR = -99;
    public static final int TSM_OPERATE_RESULT_SUCCESS = 0;
    private final java.lang.String mAction;
    protected android.content.Context mContext;

    abstract com.android.server.security.tsmagent.server.card.response.TsmParamQueryResponse queryOperateParams(com.android.server.security.tsmagent.server.card.request.TsmParamQueryRequest tsmParamQueryRequest);

    TsmBaseOperator(android.content.Context context, java.lang.String action) {
        this.mContext = context;
        this.mAction = action;
    }

    public int excute() {
        com.android.server.security.tsmagent.utils.HwLog.i("tsm operate.");
        java.lang.String cplc = com.android.server.security.tsmagent.logic.ese.ESEInfoManager.getInstance(this.mContext).queryCplc();
        if (com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(cplc)) {
            return -3;
        }
        com.android.server.security.tsmagent.server.card.response.TsmParamQueryResponse paramQueryResponse = queryOperateParams(createTsmParamQueryRequest(cplc, com.android.server.security.tsmagent.utils.PhoneDeviceUtil.getSerialNumber(this.mContext)));
        if (paramQueryResponse == null) {
            com.android.server.security.tsmagent.utils.HwLog.e("excute, query params failed.");
            return -99;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("excute tsm operate, query params result code:");
        stringBuilder.append(paramQueryResponse.returnCode);
        com.android.server.security.tsmagent.utils.HwLog.i(stringBuilder.toString());
        int operateResult = -99;
        if (paramQueryResponse.returnCode != 0) {
            return translateReturnCode(paramQueryResponse.returnCode);
        }
        if (!com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(paramQueryResponse.funcID)) {
            if (!com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(paramQueryResponse.servicID)) {
                com.android.server.security.tsmagent.logic.spi.tsm.request.CommandRequest commandRequest = createCommandRequest(cplc, paramQueryResponse);
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder(128);
                stringBuilder2.append("excute, funcallID: ");
                stringBuilder2.append(commandRequest.getFuncCall());
                stringBuilder2.append(",serverID: ");
                stringBuilder2.append(commandRequest.getServerID());
                com.android.server.security.tsmagent.utils.HwLog.d(stringBuilder2.toString());
                int excuteResult = com.android.server.security.tsmagent.logic.spi.tsm.laser.LaserTSMServiceImpl.getInstance(this.mContext).excuteTsmCommand(commandRequest);
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("excute action result: ");
                stringBuilder3.append(java.lang.String.valueOf(excuteResult));
                com.android.server.security.tsmagent.utils.HwLog.i(stringBuilder3.toString());
                if (100000 == excuteResult) {
                    operateResult = 0;
                } else {
                    stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append("Tsm excute err: 907125806, fail_action: ");
                    stringBuilder3.append(this.mAction);
                    stringBuilder3.append(", fail_code: ");
                    stringBuilder3.append(java.lang.String.valueOf(excuteResult));
                    com.android.server.security.tsmagent.utils.HwLog.e(stringBuilder3.toString());
                }
                return operateResult;
            }
        }
        com.android.server.security.tsmagent.utils.HwLog.e("TsmBaseOperator", "funcID or serviceID illegal.");
        return -99;
    }

    private com.android.server.security.tsmagent.server.card.request.TsmParamQueryRequest createTsmParamQueryRequest(java.lang.String cplc, java.lang.String imei) {
        if (imei != null && imei.length() > 16) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("operation code : ");
            stringBuilder.append(imei.length());
            com.android.server.security.tsmagent.utils.HwLog.d(stringBuilder.toString());
            imei = imei.substring(0, 16);
        }
        return new com.android.server.security.tsmagent.server.card.request.TsmParamQueryRequest(cplc, com.android.server.security.tsmagent.constant.ServiceConfig.WALLET_MERCHANT_ID, -1, com.android.server.security.tsmagent.constant.ServiceConfig.WALLET_MERCHANT_ID, android.os.Build.MODEL, imei);
    }

    public com.android.server.security.tsmagent.logic.spi.tsm.request.CommandRequest createCommandRequest(java.lang.String cplc, com.android.server.security.tsmagent.server.card.response.TsmParamQueryResponse paramQueryResponse) {
        return com.android.server.security.tsmagent.logic.spi.tsm.request.CommandRequest.build(cplc, paramQueryResponse.funcID, paramQueryResponse.servicID);
    }

    public int translateReturnCode(int returnCode) {
        if (-1 == returnCode) {
            return -1;
        }
        if (-2 == returnCode) {
            return -2;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("Tsm quire param err: 907125805, fail_action: ");
        stringBuilder.append(this.mAction);
        stringBuilder.append(", fail_code: ");
        stringBuilder.append(java.lang.String.valueOf(returnCode));
        com.android.server.security.tsmagent.utils.HwLog.e(stringBuilder.toString());
        return -99;
    }
}
