package com.android.server.security.tsmagent.logic.ese;

public class ESEInfoManager implements com.leisen.wallet.sdk.tsm.TSMOperatorResponse {
    private static final java.lang.String AMSD_AID = "A000000151000000";
    private static com.android.server.security.tsmagent.logic.ese.ESEInfoManager instance;
    private static final java.lang.Object serviceLock = new java.lang.Object();
    private java.lang.String cplc;
    private android.content.Context mContext;

    public static com.android.server.security.tsmagent.logic.ese.ESEInfoManager getInstance(android.content.Context context) {
        synchronized (serviceLock) {
            if (instance == null) {
                instance = new com.android.server.security.tsmagent.logic.ese.ESEInfoManager(context);
            }
        }
        return instance;
    }

    private ESEInfoManager(android.content.Context context) {
        this.mContext = context.getApplicationContext();
    }

    public void onOperSuccess(java.lang.String response) {
        this.cplc = "";
        try {
            this.cplc = response.substring(6, (com.android.server.security.tsmagent.utils.HexByteHelper.hexStringToDecimalInteger(response.substring(4, 6)) * 2) + 6);
        } catch (java.lang.Exception e) {
            com.android.server.security.tsmagent.utils.HwLog.d("queryCplc err");
        }
    }

    public void onOperFailure(int result, java.lang.Error e) {
        this.cplc = null;
    }

    public java.lang.String queryCplc() {
        java.lang.String str;
        synchronized (serviceLock) {
            this.cplc = null;
            com.leisen.wallet.sdk.tsm.TSMOperator tsmOperator = com.leisen.wallet.sdk.tsm.TSMOperator.getInstance(this.mContext, null);
            tsmOperator.setTsmOperatorResponse(this);
            tsmOperator.getCPLC("A000000151000000");
            tsmOperator.setTsmOperatorResponse(null);
            str = this.cplc;
        }
        return str;
    }
}
