package com.android.server.security.tsmagent.logic.spi.tsm.laser;

public final class LaserTSMServiceImpl {
    public static final int EXCUTE_OTA_RESULT_DEFAULT_ERROR = -100099;
    public static final int EXCUTE_OTA_RESULT_SUCCESS = 100000;
    private static final byte[] SYNC_LOCK = new byte[0];
    private static volatile com.android.server.security.tsmagent.logic.spi.tsm.laser.LaserTSMServiceImpl instance;
    private final android.content.Context mContext;
    private final com.leisen.wallet.sdk.tsm.TSMOperator tsmOperator = com.leisen.wallet.sdk.tsm.TSMOperator.getInstance(this.mContext, getTsmRemoteUrl());

    private LaserTSMServiceImpl(android.content.Context context) {
        this.mContext = context;
    }

    private java.lang.String getTsmRemoteUrl() {
        int versionCode = com.android.server.security.tsmagent.utils.PackageUtil.getVersionCode(this.mContext);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(com.android.server.security.tsmagent.constant.ServiceConfig.HUAWEI_TSM_REMOTE_URL);
        stringBuilder.append("?version=");
        stringBuilder.append(versionCode);
        return stringBuilder.toString();
    }

    public static com.android.server.security.tsmagent.logic.spi.tsm.laser.LaserTSMServiceImpl getInstance(android.content.Context context) {
        if (instance == null) {
            synchronized (SYNC_LOCK) {
                if (instance == null) {
                    instance = new com.android.server.security.tsmagent.logic.spi.tsm.laser.LaserTSMServiceImpl(context);
                }
            }
        }
        return instance;
    }

    public int excuteTsmCommand(com.android.server.security.tsmagent.logic.spi.tsm.request.CommandRequest request) {
        com.android.server.security.tsmagent.utils.HwLog.i("excuteTsmCommand now");
        if (!(request == null || com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(request.getServerID()) || com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(request.getFuncCall()))) {
            if (!com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(request.getCplc())) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("excuteTsmCommand, serviceId: ");
                stringBuilder.append(request.getServerID());
                stringBuilder.append(",functionId: ");
                stringBuilder.append(request.getFuncCall());
                com.android.server.security.tsmagent.utils.HwLog.d(stringBuilder.toString());
                int excuteResult = this.tsmOperator.commonExecute(new com.leisen.wallet.sdk.bean.CommonRequestParams(request.getServerID(), request.getFuncCall(), request.getCplc()));
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("excuteTsmCommand, result: ");
                stringBuilder2.append(excuteResult);
                com.android.server.security.tsmagent.utils.HwLog.i(stringBuilder2.toString());
                return excuteResult;
            }
        }
        com.android.server.security.tsmagent.utils.HwLog.e("excuteTsmCommand, params illegal.");
        return -100099;
    }
}
