package com.android.server.security.tsmagent.server;

public abstract class HttpConnectionBase<Result extends com.android.server.security.tsmagent.server.CardServerBaseResponse, RequestParams extends com.android.server.security.tsmagent.server.CardServerBaseRequest> {
    public static final int DEFAULT_TIMEOUT = 30000;
    public static final int ERROR_CODE_CONNECTION_FAILED = -2;
    public static final int ERROR_CODE_NO_NETWORK = -1;
    public static final int ERROR_CODE_PARAMS_ERROR = -3;
    public static final int ERROR_CODE_SERVER_OVERLOAD = -4;
    public static final int HTTP_SC_OK = 200;
    public static final int SERVER_OVERLOAD_ERRORCODE = 503;
    protected int mConnTimeout = 30000;
    protected android.content.Context mContext;
    protected int mSocketTimeout = 30000;
    protected java.lang.String mUrl;

    protected abstract java.lang.String prepareRequestStr(RequestParams requestParams);

    protected abstract Result readErrorResponse(int i);

    protected abstract com.android.server.security.tsmagent.server.CardServerBaseResponse readSuccessResponse(int i, java.lang.String str, org.json.JSONObject jSONObject);

    protected void closeStream(java.io.DataOutputStream outStream, java.io.InputStream is, java.io.ByteArrayOutputStream outputStream, java.net.HttpURLConnection conn) {
        if (outStream != null) {
            try {
                outStream.close();
            } catch (java.io.IOException e) {
                com.android.server.security.tsmagent.utils.HwLog.e("processTask close stream error1.");
            }
        }
        if (is != null) {
            try {
                is.close();
            } catch (java.io.IOException e2) {
                com.android.server.security.tsmagent.utils.HwLog.e("processTask close stream error2.");
            }
        }
        if (outputStream != null) {
            try {
                outputStream.close();
            } catch (java.io.IOException e3) {
                com.android.server.security.tsmagent.utils.HwLog.e("processTask close stream error3.");
            }
        }
        if (conn != null) {
            conn.disconnect();
        }
    }

    protected javax.net.ssl.HttpsURLConnection openHttpsConnection(java.net.URL url) throws java.io.IOException, java.security.NoSuchAlgorithmException, java.security.KeyManagementException {
        javax.net.ssl.HttpsURLConnection httpsURLConnection = (javax.net.ssl.HttpsURLConnection) url.openConnection();
        initHttpsConnection(httpsURLConnection);
        return httpsURLConnection;
    }

    protected java.net.HttpURLConnection openHttpConnection(java.net.URL url) throws java.io.IOException {
        return (java.net.HttpURLConnection) url.openConnection();
    }

    protected void initHttpsConnection(javax.net.ssl.HttpsURLConnection httpsURLConnection) throws java.security.NoSuchAlgorithmException, java.security.KeyManagementException {
        httpsURLConnection.setSSLSocketFactory(new com.android.server.security.tsmagent.utils.WalletSSLSocketFactory(new com.android.server.security.tsmagent.server.wallet.PayX509TrustManager(this.mContext)));
        httpsURLConnection.setHostnameVerifier(new org.apache.http.conn.ssl.StrictHostnameVerifier());
    }
}
