package com.android.server.security.tsmagent.server.card.impl;

public class CardServer {
    private static volatile com.android.server.security.tsmagent.server.card.impl.CardServer sInstance;
    private final android.content.Context mContext;
    private final java.lang.String serverTotalUrl;

    public static com.android.server.security.tsmagent.server.card.impl.CardServer getInstance(android.content.Context context) {
        if (sInstance == null) {
            synchronized (com.android.server.security.tsmagent.server.card.impl.CardServer.class) {
                if (sInstance == null) {
                    sInstance = new com.android.server.security.tsmagent.server.card.impl.CardServer(context);
                }
            }
        }
        return sInstance;
    }

    public CardServer(android.content.Context context) {
        this.mContext = context;
        int versionCode = com.android.server.security.tsmagent.utils.PackageUtil.getVersionCode(this.mContext);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(com.android.server.security.tsmagent.constant.ServiceConfig.CARD_INFO_MANAGE_SERVER_URL);
        stringBuilder.append("?clientVersion=");
        stringBuilder.append(versionCode);
        this.serverTotalUrl = stringBuilder.toString();
    }

    public com.android.server.security.tsmagent.server.card.response.TsmParamQueryResponse queryDeleteSSDTsmParam(com.android.server.security.tsmagent.server.card.request.TsmParamQueryRequest request) {
        com.android.server.security.tsmagent.utils.HwLog.i("queryDeleteSSDTsmParam begin.");
        com.android.server.security.tsmagent.server.CardServerBaseResponse response = new com.android.server.security.tsmagent.server.card.impl.TsmParamQueryTask(this.mContext, this.serverTotalUrl, "nfc.get.del.SSD").processTask(request);
        com.android.server.security.tsmagent.utils.HwLog.i("queryDeleteSSDTsmParam end.");
        if (response instanceof com.android.server.security.tsmagent.server.card.response.TsmParamQueryResponse) {
            return (com.android.server.security.tsmagent.server.card.response.TsmParamQueryResponse) response;
        }
        return null;
    }

    public com.android.server.security.tsmagent.server.wallet.response.QueryDicsResponse queryDics(com.android.server.security.tsmagent.server.wallet.request.QueryDicsRequset request) {
        com.android.server.security.tsmagent.utils.HwLog.i("queryDics begin.");
        com.android.server.security.tsmagent.server.CardServerBaseResponse response = new com.android.server.security.tsmagent.server.wallet.impl.DicsQueryTask(this.mContext, this.serverTotalUrl).processTask(request);
        if (response instanceof com.android.server.security.tsmagent.server.wallet.response.QueryDicsResponse) {
            return (com.android.server.security.tsmagent.server.wallet.response.QueryDicsResponse) response;
        }
        com.android.server.security.tsmagent.utils.HwLog.i("queryDics end.");
        return null;
    }

    public com.android.server.security.tsmagent.server.card.response.TsmParamQueryResponse queryCreateSSDTsmParam(com.android.server.security.tsmagent.server.card.request.TsmParamQueryRequest request) {
        com.android.server.security.tsmagent.utils.HwLog.i("queryCreateSSDTsmParam begin.");
        com.android.server.security.tsmagent.server.CardServerBaseResponse response = new com.android.server.security.tsmagent.server.card.impl.TsmParamQueryTask(this.mContext, this.serverTotalUrl, "nfc.get.create.SSD").processTask(request);
        com.android.server.security.tsmagent.utils.HwLog.i("queryCreateSSDTsmParam end.");
        if (response instanceof com.android.server.security.tsmagent.server.card.response.TsmParamQueryResponse) {
            return (com.android.server.security.tsmagent.server.card.response.TsmParamQueryResponse) response;
        }
        return null;
    }

    public com.android.server.security.tsmagent.server.card.response.TsmParamQueryResponse queryInfoInitTsmParam(com.android.server.security.tsmagent.server.card.request.TsmParamQueryRequest request) {
        com.android.server.security.tsmagent.utils.HwLog.i("queryInfoInitTsmParam begin.");
        com.android.server.security.tsmagent.server.CardServerBaseResponse response = new com.android.server.security.tsmagent.server.card.impl.TsmParamQueryTask(this.mContext, this.serverTotalUrl, "nfc.get.NotifyEseInfoSync").processTask(request);
        com.android.server.security.tsmagent.utils.HwLog.i("queryInfoInitTsmParam end.");
        if (response instanceof com.android.server.security.tsmagent.server.card.response.TsmParamQueryResponse) {
            return (com.android.server.security.tsmagent.server.card.response.TsmParamQueryResponse) response;
        }
        return null;
    }
}
