package com.android.server.security.tsmagent.server.card.impl;

public class TsmParamQueryTask extends com.android.server.security.tsmagent.server.card.impl.HttpConnTask {
    static final java.lang.String TASK_COMMANDER_CREATE_SSD = "nfc.get.create.SSD";
    static final java.lang.String TASK_COMMANDER_DEL_APP = "nfc.get.del.APP";
    static final java.lang.String TASK_COMMANDER_DEL_SSD = "nfc.get.del.SSD";
    static final java.lang.String TASK_COMMANDER_INFO_INIT = "nfc.get.NotifyEseInfoSync";
    static final java.lang.String TASK_COMMANDER_INSTALL_APP = "nfc.get.install.APP";
    private static final int TSM_CHANNEL_HUAWEI = 0;
    private final java.lang.String paramType;

    public TsmParamQueryTask(android.content.Context context, java.lang.String url, java.lang.String type) {
        super(context, url);
        this.paramType = type;
    }

    protected java.lang.String prepareRequestStr(com.android.server.security.tsmagent.server.CardServerBaseRequest request) {
        if (!(request instanceof com.android.server.security.tsmagent.server.card.request.TsmParamQueryRequest)) {
            return null;
        }
        com.android.server.security.tsmagent.server.card.request.TsmParamQueryRequest castRequest = (com.android.server.security.tsmagent.server.card.request.TsmParamQueryRequest) request;
        if (!(com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(castRequest.getSrcTransactionID()) || com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(castRequest.getCplc()) || com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(castRequest.getTerminal()))) {
            if (!com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(this.paramType)) {
                return com.android.server.security.tsmagent.server.wallet.impl.JSONHelper.createRequestStr(request.getMerchantID(), createDataStr(com.android.server.security.tsmagent.server.wallet.impl.JSONHelper.createHeaderStr(request.getSrcTransactionID(), this.paramType), request, this.paramType), this.mContext);
            }
        }
        com.android.server.security.tsmagent.utils.HwLog.d("prepareRequestStr, params invalid.");
        return null;
    }

    public org.json.JSONObject createDataStr(org.json.JSONObject headerObject, com.android.server.security.tsmagent.server.CardServerBaseRequest request, java.lang.String requestType) {
        if (headerObject != null) {
            if (request instanceof com.android.server.security.tsmagent.server.card.request.TsmParamQueryRequest) {
                org.json.JSONObject dataJson;
                com.android.server.security.tsmagent.server.card.request.TsmParamQueryRequest castRequest = (com.android.server.security.tsmagent.server.card.request.TsmParamQueryRequest) request;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("createDataStr headerStr : ");
                stringBuilder.append(headerObject.toString());
                com.android.server.security.tsmagent.utils.HwLog.d(stringBuilder.toString());
                try {
                    dataJson = new org.json.JSONObject();
                    dataJson.put("header", headerObject);
                    dataJson.put("requestId", java.lang.System.currentTimeMillis());
                    if (!com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(castRequest.getCplc())) {
                        dataJson.put("cplc", "***************");
                    }
                    if (!com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(castRequest.getAid())) {
                        dataJson.put("aid", castRequest.getAid());
                    }
                    if (!com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(castRequest.getTerminal())) {
                        dataJson.put("terminal", castRequest.getTerminal());
                    }
                    dataJson.put("tsmChannel", 0);
                    java.lang.String signCommand = com.android.server.security.tsmagent.server.card.impl.SignCommand.getSignCommand(requestType);
                    if (signCommand != null) {
                        if (!com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(castRequest.getBankSignResult())) {
                            dataJson.put("sign", castRequest.getBankSignResult());
                        }
                        if (!com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(castRequest.getBankSignTime())) {
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append(signCommand);
                            stringBuilder2.append("|");
                            stringBuilder2.append(castRequest.getBankSignTime());
                            dataJson.put("content", stringBuilder2.toString());
                        }
                    }
                    if (!com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(castRequest.getBankRsaIndex())) {
                        dataJson.put("rsaindex", castRequest.getBankRsaIndex());
                    }
                    if (!com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(castRequest.getSignType())) {
                        dataJson.put("signType", castRequest.getSignType());
                    }
                    if (castRequest.isDeleteRelatedObjects()) {
                        dataJson.put("deleteRelatedObjects", castRequest.isDeleteRelatedObjects());
                    }
                    com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(castRequest.getTsmParamIMEI());
                    java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                    stringBuilder3.append("createDataStr, dataJson: ");
                    stringBuilder3.append(dataJson);
                    com.android.server.security.tsmagent.utils.HwLog.d(stringBuilder3.toString());
                    if (!com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(castRequest.getCplc())) {
                        dataJson.put("cplc", castRequest.getCplc());
                    }
                    com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(castRequest.getTsmParamIMEI());
                } catch (org.json.JSONException e) {
                    com.android.server.security.tsmagent.utils.HwLog.e("createDataStr, params invalid.");
                    dataJson = null;
                }
                return dataJson;
            }
        }
        return null;
    }

    protected com.android.server.security.tsmagent.server.card.response.TsmParamQueryResponse readErrorResponse(int errorCode) {
        com.android.server.security.tsmagent.server.card.response.TsmParamQueryResponse response = new com.android.server.security.tsmagent.server.card.response.TsmParamQueryResponse();
        if (-1 == errorCode) {
            response.returnCode = -1;
        } else if (-3 == errorCode) {
            response.returnCode = 1;
        } else if (-2 == errorCode) {
            response.returnCode = -2;
        } else if (-4 == errorCode) {
            response.returnCode = -4;
        }
        return response;
    }

    protected com.android.server.security.tsmagent.server.card.response.TsmParamQueryResponse readSuccessResponse(int returnCode, java.lang.String returnDesc, org.json.JSONObject dataObject) {
        com.android.server.security.tsmagent.server.card.response.TsmParamQueryResponse response = new com.android.server.security.tsmagent.server.card.response.TsmParamQueryResponse();
        response.returnCode = returnCode;
        if (returnCode == 0) {
            try {
                java.lang.String funcID = com.android.server.security.tsmagent.server.wallet.impl.JSONHelper.getStringValue(dataObject, "funcID");
                java.lang.String servicID = com.android.server.security.tsmagent.server.wallet.impl.JSONHelper.getStringValue(dataObject, "servicID");
                if (!com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(funcID)) {
                    if (!com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(servicID)) {
                        response.funcID = funcID;
                        response.servicID = servicID;
                    }
                }
                com.android.server.security.tsmagent.utils.HwLog.d("readSuccessResponse, illegal funcID or servicID");
                response.returnCode = -99;
            } catch (org.json.JSONException e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("readSuccessResponse, JSONException : ");
                stringBuilder.append(e);
                com.android.server.security.tsmagent.utils.HwLog.e(stringBuilder.toString());
                response.returnCode = -99;
            }
        }
        return response;
    }
}
