package com.android.server.security.tsmagent.server.wallet.impl;

public class DicsQueryTask extends com.android.server.security.tsmagent.server.wallet.HttpConnTask {
    private static final java.lang.String QUERY_DICS_COMMANDER = "get.dics";

    public DicsQueryTask(android.content.Context context, java.lang.String url) {
        super(context, url);
    }

    protected java.lang.String prepareRequestStr(com.android.server.security.tsmagent.server.CardServerBaseRequest params) {
        if (!(params instanceof com.android.server.security.tsmagent.server.wallet.request.QueryDicsRequset)) {
            return null;
        }
        if (!com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(params.getSrcTransactionID())) {
            if (!com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(params.getMerchantID())) {
                return com.android.server.security.tsmagent.server.wallet.impl.JSONHelper.createRequestStr(params.getMerchantID(), createDataStr(com.android.server.security.tsmagent.server.wallet.impl.JSONHelper.createHeaderStr(params.getSrcTransactionID(), "get.dics"), params), this.mContext);
            }
        }
        com.android.server.security.tsmagent.utils.HwLog.e("DicsQueryTask prepareRequestStr params error.");
        return null;
    }

    private org.json.JSONObject createDataStr(org.json.JSONObject headerObject, com.android.server.security.tsmagent.server.CardServerBaseRequest params) {
        if (!(params instanceof com.android.server.security.tsmagent.server.wallet.request.QueryDicsRequset)) {
            return null;
        }
        com.android.server.security.tsmagent.server.wallet.request.QueryDicsRequset castPara = (com.android.server.security.tsmagent.server.wallet.request.QueryDicsRequset) params;
        if (headerObject != null) {
            if (!com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(castPara.dicName)) {
                org.json.JSONObject jObj;
                try {
                    jObj = new org.json.JSONObject();
                    jObj.put("header", headerObject);
                    jObj.put("dicName", castPara.dicName);
                    jObj.put("itemName", castPara.itemName);
                } catch (org.json.JSONException e) {
                    com.android.server.security.tsmagent.utils.HwLog.e("DicsQueryTask createDataStr JSONException.");
                    jObj = null;
                }
                return jObj;
            }
        }
        com.android.server.security.tsmagent.utils.HwLog.e("DicsQueryTask createDataStr params error.");
        return null;
    }

    protected com.android.server.security.tsmagent.server.CardServerBaseResponse readErrorResponse(int errorCode) {
        com.android.server.security.tsmagent.server.CardServerBaseResponse response = new com.android.server.security.tsmagent.server.wallet.response.QueryDicsResponse();
        if (-1 == errorCode) {
            response.returnCode = -1;
        } else if (-3 == errorCode) {
            response.returnCode = 1;
        } else if (-2 == errorCode) {
            response.returnCode = -2;
        }
        return response;
    }

    protected com.android.server.security.tsmagent.server.wallet.response.QueryDicsResponse readSuccessResponse(int returnCode, java.lang.String responseStr, org.json.JSONObject dataObject) {
        com.android.server.security.tsmagent.server.wallet.response.QueryDicsResponse response = new com.android.server.security.tsmagent.server.wallet.response.QueryDicsResponse();
        resolveResponse(response, responseStr);
        return response;
    }

    protected void makeResponseData(com.android.server.security.tsmagent.server.CardServerBaseResponse response, org.json.JSONObject dataObject) throws org.json.JSONException {
        if (response instanceof com.android.server.security.tsmagent.server.wallet.response.QueryDicsResponse) {
            com.android.server.security.tsmagent.server.wallet.response.QueryDicsResponse resp = (com.android.server.security.tsmagent.server.wallet.response.QueryDicsResponse) response;
            org.json.JSONArray jsonArray = null;
            if (dataObject.has("data")) {
                jsonArray = dataObject.getJSONArray("data");
            }
            if (jsonArray != null) {
                int size = jsonArray.length();
                for (int i = 0; i < size; i++) {
                    org.json.JSONObject dicObject = jsonArray.getJSONObject(i);
                    if (dicObject != null) {
                        com.android.server.security.tsmagent.server.wallet.response.DicItem item = new com.android.server.security.tsmagent.server.wallet.response.DicItem();
                        item.setParent(com.android.server.security.tsmagent.server.wallet.impl.JSONHelper.getStringValue(dicObject, "parent"));
                        item.setName(com.android.server.security.tsmagent.server.wallet.impl.JSONHelper.getStringValue(dicObject, "name"));
                        item.setValue(com.android.server.security.tsmagent.server.wallet.impl.JSONHelper.getStringValue(dicObject, "value"));
                        resp.dicItems.add(item);
                    }
                }
            }
        }
    }

    protected void resolveResponse(com.android.server.security.tsmagent.server.CardServerBaseResponse response, java.lang.String responseStr) {
        java.lang.NumberFormatException ex;
        java.lang.StringBuilder stringBuilder;
        org.json.JSONException ex2;
        java.lang.String str;
        com.android.server.security.tsmagent.server.CardServerBaseResponse cardServerBaseResponse = response;
        if (com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(responseStr)) {
            com.android.server.security.tsmagent.utils.HwLog.e("responseStr is null");
            cardServerBaseResponse.returnCode = -99;
            return;
        }
        org.json.JSONObject responseJson = null;
        try {
            try {
                responseJson = new org.json.JSONObject(responseStr);
                java.lang.String merchantID = com.android.server.security.tsmagent.server.wallet.impl.JSONHelper.getStringValue(responseJson, "merchantID");
                int keyIndex = com.android.server.security.tsmagent.server.wallet.impl.JSONHelper.getIntValue(responseJson, "keyIndex");
                java.lang.String responseDataStr = com.android.server.security.tsmagent.server.wallet.impl.JSONHelper.getStringValue(responseJson, "response");
                java.lang.String errorCode = com.android.server.security.tsmagent.server.wallet.impl.JSONHelper.getStringValue(responseJson, "errorCode");
                java.lang.String errorMsg = com.android.server.security.tsmagent.server.wallet.impl.JSONHelper.getStringValue(responseJson, "errorMsg");
                java.lang.String err;
                if (errorCode != null) {
                    err = new java.lang.StringBuilder();
                    err.append(" code:");
                    err.append(errorCode);
                    err.append(" msg:");
                    err.append(errorMsg);
                    com.android.server.security.tsmagent.utils.HwLog.e(err.toString());
                    cardServerBaseResponse.returnCode = java.lang.Integer.parseInt(errorCode);
                    return;
                }
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("merchantID: ");
                stringBuilder2.append(merchantID);
                stringBuilder2.append("\nresponseDataStr: ");
                stringBuilder2.append(responseDataStr);
                com.android.server.security.tsmagent.utils.HwLog.d(stringBuilder2.toString());
                if (com.android.server.security.tsmagent.constant.ServiceConfig.WALLET_MERCHANT_ID.equals(merchantID)) {
                    if (!com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(responseDataStr)) {
                        err = null;
                        if (keyIndex == -1) {
                            err = responseDataStr;
                        }
                        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                        stringBuilder3.append("decryptedResponse : ");
                        stringBuilder3.append(err);
                        stringBuilder3.append("keyIndex: ");
                        stringBuilder3.append(keyIndex);
                        com.android.server.security.tsmagent.utils.HwLog.d(stringBuilder3.toString());
                        org.json.JSONObject dataObject = new org.json.JSONObject();
                        java.lang.String returnCodeStr = null;
                        java.lang.String returnDesc = null;
                        if (err != null) {
                            dataObject = new org.json.JSONObject(err);
                            returnCodeStr = com.android.server.security.tsmagent.server.wallet.impl.JSONHelper.getStringValue(dataObject, "returnCode");
                            returnDesc = com.android.server.security.tsmagent.server.wallet.impl.JSONHelper.getStringValue(dataObject, "returnDesc");
                        }
                        if (returnCodeStr == null) {
                            com.android.server.security.tsmagent.utils.HwLog.d("returnCode is invalid.");
                            cardServerBaseResponse.returnCode = -99;
                            return;
                        }
                        cardServerBaseResponse.returnCode = java.lang.Integer.parseInt(returnCodeStr);
                        if (cardServerBaseResponse.returnCode != 0) {
                            java.lang.String err2 = new java.lang.StringBuilder();
                            err2.append(" code:");
                            err2.append(cardServerBaseResponse.returnCode);
                            err2.append(" desc:");
                            err2.append(returnDesc);
                            err2 = err2.toString();
                            java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                            stringBuilder4.append("returnDesc : ");
                            stringBuilder4.append(err2);
                            com.android.server.security.tsmagent.utils.HwLog.e(stringBuilder4.toString());
                            return;
                        }
                        try {
                            makeResponseData(cardServerBaseResponse, dataObject);
                        } catch (java.lang.NumberFormatException e) {
                            ex = e;
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("NumberFormatException : ");
                            stringBuilder.append(ex);
                            com.android.server.security.tsmagent.utils.HwLog.e(stringBuilder.toString());
                            cardServerBaseResponse.returnCode = -99;
                        } catch (org.json.JSONException e2) {
                            ex2 = e2;
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("JSONException : ");
                            stringBuilder.append(ex2);
                            com.android.server.security.tsmagent.utils.HwLog.e(stringBuilder.toString());
                            cardServerBaseResponse.returnCode = -99;
                        }
                    }
                }
                com.android.server.security.tsmagent.utils.HwLog.d("unexpected error from server.");
                cardServerBaseResponse.returnCode = -99;
            } catch (java.lang.NumberFormatException e3) {
                ex = e3;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("NumberFormatException : ");
                stringBuilder.append(ex);
                com.android.server.security.tsmagent.utils.HwLog.e(stringBuilder.toString());
                cardServerBaseResponse.returnCode = -99;
            } catch (org.json.JSONException e4) {
                ex2 = e4;
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("JSONException : ");
                stringBuilder.append(ex2);
                com.android.server.security.tsmagent.utils.HwLog.e(stringBuilder.toString());
                cardServerBaseResponse.returnCode = -99;
            }
        } catch (java.lang.NumberFormatException e5) {
            ex = e5;
            str = responseStr;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("NumberFormatException : ");
            stringBuilder.append(ex);
            com.android.server.security.tsmagent.utils.HwLog.e(stringBuilder.toString());
            cardServerBaseResponse.returnCode = -99;
        } catch (org.json.JSONException e6) {
            ex2 = e6;
            str = responseStr;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("JSONException : ");
            stringBuilder.append(ex2);
            com.android.server.security.tsmagent.utils.HwLog.e(stringBuilder.toString());
            cardServerBaseResponse.returnCode = -99;
        }
    }
}
