package com.android.server.security.tsmagent.server.wallet.impl;

public final class JSONHelper {
    private static final java.lang.String CARD_SERVER_PROTOCAL_VERSION = "1.0";

    public static org.json.JSONObject createHeaderStr(java.lang.String srcTransID, java.lang.String commandStr) {
        if (commandStr == null) {
            return null;
        }
        org.json.JSONObject headerJson;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("createHeaderStr commandStr : ");
        stringBuilder.append(commandStr);
        com.android.server.security.tsmagent.utils.HwLog.d(stringBuilder.toString());
        try {
            headerJson = new org.json.JSONObject();
            headerJson.put("srcTranID", srcTransID);
            headerJson.put("version", "1.0");
            headerJson.put("ts", java.lang.System.currentTimeMillis() / 1000);
            headerJson.put("commander", commandStr);
        } catch (org.json.JSONException e) {
            com.android.server.security.tsmagent.utils.HwLog.e("createHeaderObject, params invalid.");
            headerJson = null;
        }
        return headerJson;
    }

    public static java.lang.String createRequestStr(java.lang.String merchantId, org.json.JSONObject dataObject, android.content.Context context) {
        java.lang.String str = null;
        if (dataObject == null) {
            return null;
        }
        com.android.server.security.tsmagent.utils.HwLog.d("prepareRequestStr dataStr");
        org.json.JSONObject json = null;
        try {
            json = new org.json.JSONObject();
            json.put("merchantID", merchantId);
            json.put("keyIndex", -1);
            json.put("data", dataObject.toString());
        } catch (org.json.JSONException e) {
            android.util.Log.e("", "createRequestStr, params invalid.");
            json = null;
        }
        if (json != null) {
            str = json.toString();
        }
        return str;
    }

    public static java.lang.String getStringValue(org.json.JSONObject object, java.lang.String jsonIndex) throws org.json.JSONException {
        if (object == null || jsonIndex == null || !object.has(jsonIndex)) {
            return null;
        }
        return object.getString(jsonIndex);
    }

    public static int getIntValue(org.json.JSONObject object, java.lang.String jsonIndex) throws org.json.JSONException {
        if (object.has(jsonIndex)) {
            return object.getInt(jsonIndex);
        }
        return -1;
    }
}
