package com.android.server.security.tsmagent.service;

public class TSMAgentService extends huawei.android.security.ITSMAgent.Stub implements com.android.server.security.core.IHwSecurityPlugin {
    public static final java.lang.Object BINDLOCK = new java.lang.Object();
    public static final com.android.server.security.core.IHwSecurityPlugin.Creator CREATOR = new com.android.server.security.core.IHwSecurityPlugin.Creator() {
        public com.android.server.security.core.IHwSecurityPlugin createPlugin(android.content.Context context) {
            com.android.server.security.tsmagent.utils.HwLog.d("createTSMAgentService");
            return new com.android.server.security.tsmagent.service.TSMAgentService(context);
        }

        public java.lang.String getPluginPermission() {
            return "com.huawei.permission.USE_TSM_AGENT";
        }
    };
    private static final java.lang.String USE_TSM_AGENT = "com.huawei.permission.USE_TSM_AGENT";
    private android.content.Context mContext;
    private com.android.server.security.tsmagent.openapi.ITSMOperator mOperator;

    public TSMAgentService(android.content.Context context) {
        this.mContext = context;
        this.mOperator = com.android.server.security.tsmagent.openapi.impl.TSMAgentImpl.getInstance(context);
    }

    public void onStart() {
        com.android.server.security.tsmagent.utils.HwLog.i("onStart - TSMAgentService");
    }

    public void onStop() {
        com.android.server.security.tsmagent.utils.HwLog.i("onStop - TSMAgentService");
    }

    public android.os.IBinder asBinder() {
        return this;
    }

    public int createSSD(java.lang.String spID, java.lang.String ssdAid, java.lang.String sign, java.lang.String timeStamp) throws android.os.RemoteException {
        com.android.server.security.tsmagent.utils.HwLog.d("createSSD");
        return this.mOperator.createSSD(getCallingPackage(), spID, ssdAid, sign, timeStamp);
    }

    public int deleteSSD(java.lang.String spID, java.lang.String ssdAid, java.lang.String sign, java.lang.String timeStamp) throws android.os.RemoteException {
        com.android.server.security.tsmagent.utils.HwLog.d("deleteSSD");
        return this.mOperator.deleteSSD(getCallingPackage(), spID, ssdAid, sign, timeStamp);
    }

    public java.lang.String getCplc() throws android.os.RemoteException {
        com.android.server.security.tsmagent.utils.HwLog.d("getCplc");
        return this.mOperator.getCplc(getCallingPackage());
    }

    public int initEse(java.lang.String spID, java.lang.String sign, java.lang.String timeStamp) throws android.os.RemoteException {
        com.android.server.security.tsmagent.utils.HwLog.d("initEse");
        if (!com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(spID) && !com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(sign) && !com.android.server.security.tsmagent.utils.StringUtil.isTrimedEmpty(timeStamp)) {
            return this.mOperator.initEse(getCallingPackage(), spID, sign, timeStamp);
        }
        throw new java.lang.IllegalArgumentException("empty argument!");
    }

    private java.lang.String getCallingPackage() throws java.lang.IllegalArgumentException {
        if (this.mContext != null) {
            java.lang.String[] pkgs = this.mContext.getPackageManager().getPackagesForUid(getCallingUid());
            if (pkgs != null && pkgs.length > 0) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("the caller pkg [ ");
                stringBuilder.append(java.util.Arrays.toString(pkgs));
                stringBuilder.append(" ]");
                com.android.server.security.tsmagent.utils.HwLog.d(stringBuilder.toString());
                return pkgs[0];
            }
        }
        throw new java.lang.IllegalArgumentException();
    }
}
