package com.android.server.security.tsmagent.utils;

public class NetworkUtil {
    private static final int ANDROID_M_CODE = 23;

    public static boolean isNetworkConnected(android.content.Context context) {
        android.net.NetworkInfo networkInfo = getActiveNetworkInfo(context);
        if (networkInfo == null || !networkInfo.isConnected()) {
            return false;
        }
        return true;
    }

    private static android.net.NetworkInfo getActiveNetworkInfo(android.content.Context context) {
        if (context == null) {
            return null;
        }
        if (android.os.Build.VERSION.SDK_INT < 23 || context.checkSelfPermission("android.permission.ACCESS_NETWORK_STATE") == 0) {
            android.net.ConnectivityManager cm = (android.net.ConnectivityManager) context.getSystemService("connectivity");
            if (cm != null) {
                return cm.getActiveNetworkInfo();
            }
        }
        return null;
    }
}
