package com.android.server.security.ukey;

public class UKeyManagerService extends huawei.android.security.IUKeyManager.Stub implements com.android.server.security.core.IHwSecurityPlugin {
    public static final java.lang.Object BINDLOCK = new java.lang.Object();
    private static final java.lang.String BIND_ACTION = "com.huawei.decision.service.DecisionReceiverService";
    private static final int CH_ALG_VERSION = android.os.SystemProperties.getInt("ro.config.hw_ch_alg", 0);
    private static final java.lang.String CH_ALG_VERSION_PRO = "ro.config.hw_ch_alg";
    public static final com.android.server.security.core.IHwSecurityPlugin.Creator CREATOR = new com.android.server.security.core.IHwSecurityPlugin.Creator() {
        public com.android.server.security.core.IHwSecurityPlugin createPlugin(android.content.Context context) {
            android.util.Log.d("UKeyManagerService", "create UKeyManagerService");
            return new com.android.server.security.ukey.UKeyManagerService(context);
        }

        public java.lang.String getPluginPermission() {
            return null;
        }
    };
    private static final int FAILED = -1;
    private static final boolean IS_UKEY_SWITCH_ON = android.os.SystemProperties.getBoolean("ro.config.hw_ukey_on", false);
    private static final java.lang.String SERVER_PAKAGE_NAME = "com.huawei.tips";
    private static final java.lang.String TAG = "UKeyManagerService";
    private static final java.lang.String UKEY_DIR = "ukey";
    private static final java.lang.String UKEY_FEATURE_ID = "SF-10084572_f001";
    private static final java.lang.String UKEY_MANAGER_PERMISSION = "com.huawei.ukey.permission.UKEY_MANAGER";
    private static final java.lang.String UKEY_RECOMMEND_TYPE = "2";
    private static final java.lang.String UKEY_SWITCH_PRO = "ro.config.hw_ukey_on";
    private static final java.lang.String UKEY_SWITCH_STATUS = "UKEY_SWITCH_STATUS";
    private static final int UKEY_UNSUPPORTED = 0;
    private static final int UKEY_VERSION = android.os.SystemProperties.getInt("ro.config.hw_ukey_version", 1);
    private static final int UKEY_VERSION_ONE = 1;
    private static final java.lang.String UKEY_VERSION_PRO = "ro.config.hw_ukey_version";
    private static final int UKEY_VERSION_TWO = 2;
    private android.content.ServiceConnection mActionCommonConnection;
    private android.content.Context mContext;
    private final com.android.server.security.ukey.UKeyManagerService.MyPackageMonitor mMyPackageMonitor = new com.android.server.security.ukey.UKeyManagerService.MyPackageMonitor(this, null);
    private com.android.server.security.ukey.UKeyManagerService.AppProcessObserver mProcessObserver = new com.android.server.security.ukey.UKeyManagerService.AppProcessObserver(this, null);
    private com.huawei.tips.ITipsInterface mTipsService;
    private com.android.server.security.ukey.UKeyApplicationScanner uKeyApplicationScanner = null;

    private final class AppProcessObserver extends android.app.IProcessObserver.Stub {
        private android.content.ServiceConnection mConnection;

        private AppProcessObserver() {
            this.mConnection = new android.content.ServiceConnection() {
                public void onServiceConnected(android.content.ComponentName name, android.os.IBinder service) {
                    android.util.Slog.i("UKeyManagerService", "service connect.");
                    com.android.server.security.ukey.UKeyManagerService.this.mTipsService = com.huawei.tips.ITipsInterface.Stub.asInterface(service);
                    com.android.server.security.ukey.UKeyManagerService.AppProcessObserver.this.sendTipsAndStopService();
                }

                public void onServiceDisconnected(android.content.ComponentName name) {
                    android.util.Slog.i("UKeyManagerService", "service disconnect.");
                }
            };
        }

        /* synthetic */ AppProcessObserver(com.android.server.security.ukey.UKeyManagerService x0, com.android.server.security.ukey.UKeyManagerService.AnonymousClass1 x1) {
            this();
        }

        public void onForegroundActivitiesChanged(int pid, int uid, boolean foregroundActivities) {
            java.lang.StringBuilder stringBuilder;
            try {
                java.lang.String packageName = com.android.server.security.ukey.UKeyManagerService.this.mContext.getPackageManager().getNameForUid(uid);
                if (packageName != null && android.os.UserHandle.getUserId(uid) == 0 && "com.eg.android.AlipayGphone".equalsIgnoreCase(packageName) && com.android.server.security.ukey.UKeyManagerService.this.isSwitchFeatureOn() == 2 && com.android.server.security.ukey.UKeyManagerService.CH_ALG_VERSION >= 2) {
                    try {
                        android.content.SharedPreferences shared = com.android.server.security.ukey.UKeyManagerService.this.mContext.getSharedPreferences(new java.io.File(android.os.Environment.getUserSystemDirectory(0), "ukey/ukey_recommend.xml"), 0);
                        if (shared.getBoolean("Alipay", true)) {
                            shared.edit().putBoolean("Alipay", false).commit();
                            android.util.Slog.i("UKeyManagerService", "欢迎使用手机盾！");
                            startTipsService();
                        }
                    } catch (java.lang.Exception e) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("getPinnedSharedPrefs failed ");
                        stringBuilder.append(e.getMessage());
                        android.util.Slog.i("UKeyManagerService", stringBuilder.toString());
                    }
                }
            } catch (java.lang.Exception e2) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("getPackageManager failed ");
                stringBuilder.append(e2.getMessage());
                android.util.Slog.i("UKeyManagerService", stringBuilder.toString());
            }
        }

        private void startTipsService() {
            if (com.android.server.security.ukey.UKeyManagerService.this.mContext == null) {
                android.util.Slog.i("UKeyManagerService", "context  is null!");
            } else {
                new java.lang.Thread(new java.lang.Runnable() {
                    public void run() {
                        android.content.Intent intent = new android.content.Intent();
                        intent.setAction("com.huawei.decision.service.DecisionReceiverService");
                        intent.setPackage("com.huawei.tips");
                        com.android.server.security.ukey.UKeyManagerService.this.mActionCommonConnection = com.android.server.security.ukey.UKeyManagerService.AppProcessObserver.this.mConnection;
                        try {
                            com.android.server.security.ukey.UKeyManagerService.this.mContext.bindService(intent, com.android.server.security.ukey.UKeyManagerService.this.mActionCommonConnection, 1);
                        } catch (java.lang.Exception e) {
                            android.util.Slog.i("UKeyManagerService", "get Tips service connect fail!");
                        }
                    }
                }).start();
            }
        }

        private void sendTipsAndStopService() {
            new java.lang.Thread(new java.lang.Runnable() {
                public void run() {
                    if (com.android.server.security.ukey.UKeyManagerService.this.mTipsService != null) {
                        try {
                            com.android.server.security.ukey.UKeyManagerService.this.mTipsService.sendTips(null, "2", "SF-10084572_f001");
                        } catch (java.lang.Exception e) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("ServiceConnection.onServiceConnected  exception:");
                            stringBuilder.append(e.getMessage());
                            android.util.Slog.i("UKeyManagerService", stringBuilder.toString());
                        }
                    }
                    com.android.server.security.ukey.UKeyManagerService.AppProcessObserver.this.unBindService();
                }
            }).start();
        }

        private void unBindService() {
            android.util.Slog.i("UKeyManagerService", "unBindService");
            try {
                if (!(com.android.server.security.ukey.UKeyManagerService.this.mContext == null || com.android.server.security.ukey.UKeyManagerService.this.mActionCommonConnection == null)) {
                    com.android.server.security.ukey.UKeyManagerService.this.mContext.unbindService(com.android.server.security.ukey.UKeyManagerService.this.mActionCommonConnection);
                    com.android.server.security.ukey.UKeyManagerService.this.mActionCommonConnection = null;
                    com.android.server.security.ukey.UKeyManagerService.this.mTipsService = null;
                }
            } catch (java.lang.Exception e) {
                android.util.Slog.i("UKeyManagerService", "release exception");
            }
        }

        public void onProcessDied(int pid, int uid) {
        }
    }

    private final class MyPackageMonitor extends com.android.internal.content.PackageMonitor {
        private MyPackageMonitor() {
        }

        /* synthetic */ MyPackageMonitor(com.android.server.security.ukey.UKeyManagerService x0, com.android.server.security.ukey.UKeyManagerService.AnonymousClass1 x1) {
            this();
        }

        public void onPackageAdded(java.lang.String packageName, int uid) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("app is added. The packageName is : ");
            stringBuilder.append(packageName);
            stringBuilder.append("uid = ");
            stringBuilder.append(uid);
            android.util.Slog.i("UKeyManagerService", stringBuilder.toString());
            if (android.os.UserHandle.getUserId(uid) == 0 && com.android.server.security.ukey.UKeyManagerService.this.isValidPackageName(packageName)) {
                com.android.server.security.ukey.UKeyManagerService.this.setUKeySwitchDisabled(packageName, false);
            }
        }
    }

    public UKeyManagerService(android.content.Context context) {
        this.mContext = context;
        this.uKeyApplicationScanner = new com.android.server.security.ukey.UKeyApplicationScanner(this.mContext);
    }

    public void onStart() {
        this.uKeyApplicationScanner = new com.android.server.security.ukey.UKeyApplicationScanner(this.mContext);
        this.uKeyApplicationScanner.loadUKeyApkWhitelist();
        this.mMyPackageMonitor.register(this.mContext, null, android.os.UserHandle.OWNER, false);
        if (isSwitchFeatureOn() >= UKEY_VERSION) {
            registerObserver();
        }
    }

    public void onStop() {
    }

    public android.os.IBinder asBinder() {
        return this;
    }

    private void registerObserver() {
        try {
            android.app.ActivityManagerNative.getDefault().registerProcessObserver(this.mProcessObserver);
        } catch (java.lang.Exception e) {
            android.util.Slog.i("UKeyManagerService", "AppProcessObserver register process observer failed");
        }
    }

    public int isSwitchFeatureOn() {
        if (android.os.UserHandle.getUserId(android.os.Binder.getCallingUid()) == 0 && IS_UKEY_SWITCH_ON) {
            return UKEY_VERSION;
        }
        return 0;
    }

    public int isUKeySwitchDisabled(java.lang.String packageName) {
        if (isSwitchFeatureOn() >= 2) {
            if (isValidPackageName(packageName)) {
                if (!isWalletCalling()) {
                    return com.android.server.security.ukey.jni.UKeyJNI.isUKeySwitchDisabled(this.uKeyApplicationScanner.getRealUKeyPkgName(packageName));
                }
                java.lang.String[] element = packageName.split("[|;]");
                if (element.length != 2) {
                    return -1;
                }
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("wallet calling! get ");
                stringBuilder.append(element[0]);
                stringBuilder.append(" ");
                stringBuilder.append(element[1]);
                android.util.Slog.d("UKeyManagerService", stringBuilder.toString());
                return com.android.server.security.ukey.jni.UKeyJNI.isUKeySwitchDisabled(element[0]);
            }
        }
        return -1;
    }

    public int setUKeySwitchDisabled(java.lang.String packageName, boolean isDisabled) {
        org.json.JSONObject obj = new org.json.JSONObject();
        try {
            obj.put("PKG", packageName);
        } catch (org.json.JSONException e) {
            e.printStackTrace();
        }
        if (isDisabled) {
            try {
                obj.put("switch", "off");
            } catch (org.json.JSONException e2) {
                e2.printStackTrace();
            }
            android.util.Flog.bdReport(this.mContext, 554, obj.toString());
        } else {
            try {
                obj.put("switch", "on");
            } catch (org.json.JSONException e22) {
                e22.printStackTrace();
            }
            android.util.Flog.bdReport(this.mContext, 553, obj.toString());
        }
        this.mContext.enforceCallingOrSelfPermission("com.huawei.ukey.permission.UKEY_MANAGER", "does not have ukey manager permission!");
        if (isSwitchFeatureOn() < 2) {
            return -1;
        }
        boolean isUkeySwitchOn = false;
        if (isWalletCalling()) {
            java.lang.String[] element = packageName.split("[|;]");
            if (element.length != 2) {
                return -1;
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("wallet calling!  set ");
            stringBuilder.append(element[0]);
            stringBuilder.append(" ");
            stringBuilder.append(element[1]);
            stringBuilder.append(" ");
            stringBuilder.append(isDisabled);
            android.util.Slog.d("UKeyManagerService", stringBuilder.toString());
            return com.android.server.security.ukey.jni.UKeyJNI.setUKeySwitchDisabled(element[0], element[1], isDisabled);
        }
        java.lang.String realPkgName = this.uKeyApplicationScanner.getRealUKeyPkgName(packageName);
        com.android.server.security.ukey.UKeyApplicationScanner.UKeyApkInfo uKeyApkInfo = this.uKeyApplicationScanner.getUKeyApkInfo(realPkgName);
        if (uKeyApkInfo != null) {
            return com.android.server.security.ukey.jni.UKeyJNI.setUKeySwitchDisabled(realPkgName, uKeyApkInfo.mUKeyId, isDisabled);
        }
        if (!isDisabled) {
            android.util.Log.d("UKeyManagerService", "setUKeySwitchDisabled: ON");
            if (com.android.server.security.ukey.jni.UKeyJNI.isUKeySwitchDisabled(packageName) == 1) {
                isUkeySwitchOn = true;
            }
            if (!isUkeySwitchOn) {
                android.util.Log.d("UKeyManagerService", "current is off to on");
                return com.android.server.security.ukey.jni.UKeyJNI.setUKeySwitchDisabled(packageName, "", isDisabled);
            }
        }
        return -1;
    }

    public android.os.Bundle getUKeyApkInfo(java.lang.String packageName) {
        this.mContext.enforceCallingOrSelfPermission("com.huawei.ukey.permission.UKEY_MANAGER", "does not have ukey manager permission!");
        if (isSwitchFeatureOn() >= 2) {
            if (isValidPackageName(packageName)) {
                android.os.Bundle bundle = this.uKeyApplicationScanner.getUKeyApkInfoData(packageName);
                if (bundle != null) {
                    bundle.putInt("UKEY_SWITCH_STATUS", isUKeySwitchDisabled(packageName));
                }
                return bundle;
            }
        }
        return null;
    }

    private boolean isValidPackageName(java.lang.String packageName) {
        boolean z = false;
        if (packageName != null) {
            if (!packageName.isEmpty()) {
                if (isWalletCalling()) {
                    if (!packageName.contains("|")) {
                        if (!packageName.contains(":")) {
                            return z;
                        }
                    }
                    z = true;
                    return z;
                } else if (this.uKeyApplicationScanner.isWhiteListedUKeyApp(packageName)) {
                    return true;
                } else {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("The app is not ukey application, packageName : ");
                    stringBuilder.append(packageName);
                    android.util.Slog.i("UKeyManagerService", stringBuilder.toString());
                    return false;
                }
            }
        }
        return false;
    }

    private boolean isWalletCalling() {
        try {
            if (this.mContext != null) {
                java.lang.String s = this.mContext.getPackageManager().getNameForUid(android.os.Binder.getCallingUid());
                if (s != null) {
                    boolean ret = s.equalsIgnoreCase("com.huawei.wallet");
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("calling in ");
                    stringBuilder.append(ret);
                    stringBuilder.append(" ");
                    stringBuilder.append(s);
                    android.util.Slog.d("UKeyManagerService", stringBuilder.toString());
                    return ret;
                }
            }
            return false;
        } catch (java.lang.Exception e) {
            return false;
        }
    }
}
