package com.android.server.security.ukey.jni;

public class UKeyJNI {
    public static final java.lang.String TAG = com.android.server.security.ukey.jni.UKeyJNI.class.getSimpleName();

    public static final native int nativeIsUKeySwitchDisabled(byte[] bArr);

    public static final native int nativeSetUKeySwitchDisabled(byte[] bArr, byte[] bArr2, boolean z);

    public static final native int nativeStart();

    public static final native void nativeStop();

    static {
        try {
            java.lang.System.loadLibrary("ukeyjni_ca");
        } catch (java.lang.UnsatisfiedLinkError e) {
            android.util.Log.e(TAG, "error, load ukeyjni_ca failed");
        }
    }

    public static final int setUKeySwitchDisabled(java.lang.String packageName, java.lang.String ukeyId, boolean isEnabled) {
        int result = -1;
        if (packageName != null) {
            if (ukeyId != null) {
                synchronized (com.android.server.security.ukey.jni.UKeyJNI.class) {
                    try {
                        result = nativeSetUKeySwitchDisabled(packageName.getBytes(java.nio.charset.Charset.forName("UTF-8")), ukeyId.getBytes(java.nio.charset.Charset.forName("UTF-8")), isEnabled);
                    } catch (java.lang.UnsatisfiedLinkError e) {
                        android.util.Log.e(TAG, "error, setUKeySwitchEnabled failed");
                    }
                }
                return result;
            }
        }
        return -1;
    }

    public static final int isUKeySwitchDisabled(java.lang.String packageName) {
        if (packageName == null) {
            return -1;
        }
        int result = -1;
        synchronized (com.android.server.security.ukey.jni.UKeyJNI.class) {
            try {
                result = nativeIsUKeySwitchDisabled(packageName.getBytes(java.nio.charset.Charset.forName("UTF-8")));
            } catch (java.lang.UnsatisfiedLinkError e) {
                android.util.Log.e(TAG, "error, setUKeySwitchEnabled failed");
            }
        }
        return result;
    }

    public static final int start() {
        int result;
        synchronized (com.android.server.security.ukey.jni.UKeyJNI.class) {
            result = -1;
            try {
                result = nativeStart();
            } catch (java.lang.UnsatisfiedLinkError e) {
                android.util.Log.e(TAG, "error, nativeStart failed");
            }
        }
        return result;
    }

    public static final void stop() {
        synchronized (com.android.server.security.ukey.jni.UKeyJNI.class) {
            try {
                nativeStop();
            } catch (java.lang.UnsatisfiedLinkError e) {
                android.util.Log.e(TAG, "error, nativeStop failed");
            }
        }
    }
}
