package com.android.server.storage;

public class HwDeviceStorageMonitorService extends com.android.server.storage.DeviceStorageMonitorService {
    private static final java.lang.String ACTION_INTERNAL_STORAGE_SYSTEMMANAGER = "com.huawei.systemmanager.spacecleanner.LowerMemTipActivity";
    private static final java.lang.String SYSTEMMANAGER_PACKAGENAME = "com.huawei.systemmanager";
    static final java.lang.String TAG = "HwDeviceStorageMonitorService";
    java.lang.Object mCust = huawei.cust.HwCustUtils.createObj(huawei.android.storage.HwCustDeviceStorageMonitorService.class, new java.lang.Object[]{this, this.mHandler});

    public HwDeviceStorageMonitorService(android.content.Context context) {
        super(context);
    }

    public boolean checkSystemManagerApkExist() {
        try {
            getContext().getPackageManager().getApplicationInfo("com.huawei.systemmanager", 8192);
            return true;
        } catch (android.content.pm.PackageManager.NameNotFoundException e) {
            android.util.Slog.d("HwDeviceStorageMonitorService", "Hw System Manager not install ,so use original notification");
            return false;
        }
    }

    public void sendNotificationHwSM(long freeMem, boolean isBootImageOnDisk, int notficationId, java.lang.String tag) {
        int i;
        long j = freeMem;
        android.content.Context context = getContext();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("HW Sending low memory notification, freeMem = ");
        stringBuilder.append(j);
        android.util.Slog.d("HwDeviceStorageMonitorService", stringBuilder.toString());
        android.content.Intent lowMemIntent = new android.content.Intent().setComponent(new android.content.ComponentName("com.huawei.systemmanager", "com.huawei.systemmanager.spacecleanner.LowerMemTipActivity"));
        lowMemIntent.putExtra("memory", j);
        lowMemIntent.addFlags(268435456);
        android.app.NotificationManager mNotificationMgr = (android.app.NotificationManager) context.getSystemService("notification");
        java.lang.CharSequence title = context.getText(33685830);
        if (isBootImageOnDisk) {
            i = 33685831;
        } else {
            i = 17040399;
        }
        java.lang.CharSequence details = context.getText(i);
        android.app.Notification notification = new android.app.Notification.Builder(context, com.android.internal.notification.SystemNotificationChannels.ALERTS).setSmallIcon(33751439).setLargeIcon(android.graphics.BitmapFactory.decodeResource(context.getResources(), 33751439)).setTicker(title).setColor(context.getColor(17170784)).setContentTitle(title).setContentText(details).setContentIntent(android.app.PendingIntent.getActivityAsUser(context, 0, lowMemIntent, 0, null, android.os.UserHandle.CURRENT)).setStyle(new android.app.Notification.BigTextStyle().bigText(details)).setVisibility(1).setCategory("sys").setExtras(android.hwnotification.HwNotificationResource.getNotificationThemeData(33751440, -1, 2, 15)).build();
        notification.flags |= 32;
        java.lang.String str = tag;
        mNotificationMgr.notifyAsUser(str, notficationId, notification, android.os.UserHandle.ALL);
    }

    public huawei.android.storage.HwCustDeviceStorageMonitorService getCust() {
        return (huawei.android.storage.HwCustDeviceStorageMonitorService) this.mCust;
    }
}
