package com.android.server.util;

public class HwUserBehaviourRecord extends com.android.server.util.AbsUserBehaviourRecord {
    private static final boolean DEBUG = false;
    public static final java.lang.String TAG = "HwUserBehaviourRecord";
    private static final java.lang.String TAG_LOCAL = "HwUserBehaviourRecord";
    private int APPENTEREVENTID = 1;
    private int APPEXITEVENTID = 2;
    private final com.android.server.util.HwUserBehaviourRecord.AsyUploadLooperThread AsyUploadThread = new com.android.server.util.HwUserBehaviourRecord.AsyUploadLooperThread();
    private java.util.ArrayList<android.os.Message> mMessageCache = new java.util.ArrayList();
    private final android.content.BroadcastReceiver mReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if ("android.intent.action.BOOT_COMPLETED".equals(intent.getAction())) {
                android.util.Slog.i("HwUserBehaviourRecord", "intent: action=ACTION_BOOT_COMPLETED---");
                com.android.server.util.HwUserBehaviourRecord.this.timerUpload();
            }
        }
    };
    private java.util.Map<java.lang.String, com.android.server.util.AppInfo> map;
    private com.android.server.util.ReportTools reportTools;

    class AsyUploadLooperThread extends java.lang.Thread {
        public static final int UPLOAD_APP_ENTER_RECORD = 0;
        public static final int UPLOAD_APP_EXIT_RECORD = 1;
        public static final int UPLOAD_TIMER_UPLOAD = 2;
        public android.os.Handler mHandler;

        AsyUploadLooperThread() {
        }

        public void run() {
            android.os.Looper.prepare();
            this.mHandler = new android.os.Handler() {
                public void handleMessage(android.os.Message msg) {
                    switch (msg.what) {
                        case 0:
                            com.android.server.util.HwUserBehaviourRecord.this.appEnterRecordInnerImpl(msg.getData().getString("package_name"));
                            return;
                        case 1:
                            com.android.server.util.HwUserBehaviourRecord.this.appExitRecordInnerImpl(msg.getData().getString("package_name"), msg.getData().getString("back_reson"));
                            return;
                        case 2:
                            com.android.server.util.HwUserBehaviourRecord.this.timerUploadInnerImpl();
                            return;
                        default:
                            return;
                    }
                }
            };
            android.os.Looper.loop();
        }
    }

    class UploadThread implements java.lang.Runnable {
        UploadThread() {
        }

        public void run() {
            com.android.server.util.HwUserBehaviourRecord.this.timerUpload();
        }
    }

    public HwUserBehaviourRecord(android.content.Context context) {
        super(context);
        this.reportTools = com.android.server.util.ReportTools.getInstance(context);
        this.map = new java.util.HashMap();
        context.registerReceiver(this.mReceiver, new android.content.IntentFilter("android.intent.action.BOOT_COMPLETED"), "com.android.permission.HWUserBehaviourRecord", null);
        executePerDay();
    }

    private void startAsyUploadThread() {
        if (!this.AsyUploadThread.isAlive()) {
            this.AsyUploadThread.setName("AsyUploadThread");
            this.AsyUploadThread.start();
        }
    }

    private void appEnterRecordInnerImpl(java.lang.String packageName) {
        com.android.server.util.AppInfo appInfo;
        if (this.map.containsKey(packageName)) {
            appInfo = (com.android.server.util.AppInfo) this.map.get(packageName);
            if (appInfo != null) {
                appInfo.setCount(appInfo.getCount() + 1);
            }
            return;
        }
        appInfo = new com.android.server.util.AppInfo(packageName);
        appInfo.setCount(1);
        this.map.put(packageName, appInfo);
    }

    public void appEnterRecord(java.lang.String packageName) {
        startAsyUploadThread();
        android.os.Message msg;
        android.os.Bundle bundle;
        if (this.AsyUploadThread.mHandler != null) {
            if (!this.mMessageCache.isEmpty()) {
                int cacheSize = this.mMessageCache.size();
                for (int i = 0; i < cacheSize; i++) {
                    this.AsyUploadThread.mHandler.sendMessage((android.os.Message) this.mMessageCache.get(i));
                }
                this.mMessageCache.clear();
            }
            msg = new android.os.Message();
            msg.what = 0;
            bundle = new android.os.Bundle();
            bundle.putString("package_name", packageName);
            msg.setData(bundle);
            this.AsyUploadThread.mHandler.sendMessage(msg);
            return;
        }
        msg = new android.os.Message();
        msg.what = 0;
        bundle = new android.os.Bundle();
        bundle.putString("package_name", packageName);
        msg.setData(bundle);
        this.mMessageCache.add(msg);
    }

    private void appExitRecordInnerImpl(java.lang.String packageName, java.lang.String backreson) {
        this.reportTools.report(this.APPEXITEVENTID, com.android.server.util.AppInfo.exitReson(packageName, backreson));
    }

    public void appExitRecord(java.lang.String packageName, java.lang.String backreson) {
        startAsyUploadThread();
        android.os.Message msg;
        android.os.Bundle bundle;
        if (this.AsyUploadThread.mHandler != null) {
            msg = new android.os.Message();
            msg.what = 1;
            bundle = new android.os.Bundle();
            bundle.putString("package_name", packageName);
            bundle.putString("back_reson", backreson);
            msg.setData(bundle);
            this.AsyUploadThread.mHandler.sendMessage(msg);
            return;
        }
        msg = new android.os.Message();
        msg.what = 1;
        bundle = new android.os.Bundle();
        bundle.putString("package_name", packageName);
        bundle.putString("back_reson", backreson);
        msg.setData(bundle);
        this.mMessageCache.add(msg);
    }

    private void timerUploadInnerImpl() {
        if (!this.map.isEmpty()) {
            for (java.util.Map.Entry<java.lang.String, com.android.server.util.AppInfo> next : this.map.entrySet()) {
                this.reportTools.report(this.APPENTEREVENTID, ((com.android.server.util.AppInfo) next.getValue()).toString());
            }
        }
        this.map.clear();
    }

    private void timerUpload() {
        startAsyUploadThread();
        if (this.AsyUploadThread.mHandler != null) {
            this.AsyUploadThread.mHandler.sendEmptyMessage(2);
            return;
        }
        android.os.Message msg = new android.os.Message();
        msg.what = 2;
        this.mMessageCache.add(msg);
    }

    void executePerDay() {
        long initDelay = getTimeMillis("24:00:00") - java.lang.System.currentTimeMillis();
        java.util.concurrent.Executors.newScheduledThreadPool(1).scheduleAtFixedRate(new com.android.server.util.HwUserBehaviourRecord.UploadThread(), initDelay > 0 ? initDelay : 86400000 + initDelay, 86400000, java.util.concurrent.TimeUnit.MILLISECONDS);
    }

    private long getTimeMillis(java.lang.String time) {
        try {
            java.text.DateFormat dateFormat = new java.text.SimpleDateFormat("yy-MM-dd HH:mm:ss");
            java.text.DateFormat dayFormat = new java.text.SimpleDateFormat("yy-MM-dd");
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(dayFormat.format(new java.util.Date()));
            stringBuilder.append(" ");
            stringBuilder.append(time);
            return dateFormat.parse(stringBuilder.toString()).getTime();
        } catch (java.text.ParseException e) {
            e.printStackTrace();
            return 0;
        }
    }
}
