package com.android.server.util;

public class ReportTools {
    private static final java.lang.String REPORTERINTERFACE_LIB_PATH = "/system/framework/com.huawei.report.jar";
    private static final java.lang.String REPORT_CLS = "com.huawei.report.ReporterInterface";
    private static final java.lang.String REPORT_METHOD_E = "e";
    private static final java.lang.String TAG = "ReportTools";
    private static com.huawei.lcagent.client.LogCollectManager mClient = null;
    private static android.content.Context mContext = null;
    private static java.lang.reflect.Method sReportMethod = null;
    private static java.lang.Class<?> sReporterClazz = null;
    private static com.android.server.util.ReportTools sSingleInstance = null;

    public static com.android.server.util.ReportTools getInstance(android.content.Context context) {
        if (sSingleInstance == null) {
            sSingleInstance = new com.android.server.util.ReportTools(context.getApplicationContext());
        }
        return sSingleInstance;
    }

    private ReportTools(android.content.Context context) {
        initReporter(context);
    }

    private void initReporter(android.content.Context context) {
        try {
            sReporterClazz = new dalvik.system.PathClassLoader("/system/framework/com.huawei.report.jar", context.getClassLoader()).loadClass("com.huawei.report.ReporterInterface");
            sReportMethod = sReporterClazz.getDeclaredMethod("e", new java.lang.Class[]{android.content.Context.class, java.lang.Integer.TYPE, java.lang.String.class});
            mClient = new com.huawei.lcagent.client.LogCollectManager(context);
            mContext = context;
        } catch (java.lang.ClassNotFoundException e) {
            android.util.Log.e("ReportTools", "Can't find sReporterClazz");
            sReporterClazz = null;
        } catch (java.lang.NoSuchMethodException e2) {
            android.util.Log.e("ReportTools", "Can't find sReportMethod");
            sReportMethod = null;
        }
    }

    public boolean report(int eventID, java.lang.String eventMsg) {
        if (isBetaUser()) {
            try {
                if (!(sReportMethod == null || sReporterClazz == null || mContext == null)) {
                    return ((java.lang.Boolean) sReportMethod.invoke(sReporterClazz, new java.lang.Object[]{mContext, java.lang.Integer.valueOf(eventID), eventMsg})).booleanValue();
                }
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("got exception");
                stringBuilder.append(e.getMessage());
                android.util.Log.e("ReportTools", stringBuilder.toString(), e);
            }
        } else {
            android.util.Log.e("ReportTools", "This is not beta user build");
        }
        return false;
    }

    private boolean isBetaUser() {
        return 3 == getUserType();
    }

    private int getUserType() {
        int userType = -1;
        try {
            if (mClient != null) {
                userType = mClient.getUserType();
            }
        } catch (android.os.RemoteException e) {
            e.printStackTrace();
        } catch (java.lang.NullPointerException e2) {
            e2.printStackTrace();
        }
        return userType;
    }
}
