package com.android.server.wifipro;

public class WifiProCHRManager {
    public static final java.lang.String CHR_GET_INSTANCE_API_NAME = "getDefault";
    public static final java.lang.String CHR_MANAGER_CLASS = "com.android.server.wifi.HwWifiCHRStateManagerImpl";
    private static final int DBG_LOG_LEVEL = 1;
    private static final int ERROR_LOG_LEVEL = 3;
    private static final int INFO_LOG_LEVEL = 2;
    public static final java.lang.String LOG_COMM_USER_API_NAME = "isCommercialUser";
    public static final java.lang.String LOG_GET_INSTANCE_API_NAME = "getInstance";
    public static final java.lang.String LOG_MANAGER_CLASS = "com.huawei.connectivitylog.LogManager";
    public static final java.lang.String SUB_EVENT_ACTIVE_CHECK_FAIL = "ACTIVE_CHECK_FAIL";
    public static final java.lang.String SUB_EVENT_AUTO_CLOSE_TERMINATION = "AUTO_CLOSE_TERMINATION";
    public static final java.lang.String SUB_EVENT_BG_AC_RS_DIFF = "BG_AC_RS_DIFF";
    public static final java.lang.String SUB_EVENT_BG_AC_TIME_LEN = "BG_AC_TIME_LEN";
    public static final java.lang.String SUB_EVENT_BG_ASSOC_REJECT_CNT = "BG_ASSOC_REJECT_CNT";
    public static final java.lang.String SUB_EVENT_BG_AUTH_FAIL_CNT = "BG_AUTH_FAIL_CNT";
    public static final java.lang.String SUB_EVENT_BG_CONNT_TIMEOUT_CNT = "BG_CONNT_TIMEOUT_CNT";
    public static final java.lang.String SUB_EVENT_BG_CONN_AP_TIME_LEN = "BG_CONN_AP_TIME_LEN";
    public static final java.lang.String SUB_EVENT_BG_DHCP_FAIL_CNT = "BG_DHCP_FAIL_CNT";
    public static final java.lang.String SUB_EVENT_BG_DNS_FAIL_CNT = "BG_DNS_FAIL_CNT";
    public static final java.lang.String SUB_EVENT_BG_FAILED_CNT = "BG_FAILED_CNT";
    public static final java.lang.String SUB_EVENT_BG_INET_OK_ACTIVE_NOT_OK = "BG_INET_OK_ACTIVE_NOT_OK";
    public static final java.lang.String SUB_EVENT_BG_NOT_INET_ACTIVE_IOK = "BG_NOT_INET_ACTIVE_IOK";
    public static final java.lang.String SUB_EVENT_BG_USER_SEL_AP_FISHING_CNT = "BG_USER_SEL_AP_FISHING_CNT";
    public static final java.lang.String SUB_EVENT_CANT_CONNECT_FOR_LONG = "CANT_CONNECT_FOR_LONG";
    public static final java.lang.String SUB_EVENT_EMPTY = "NO_SUB_EVENT";
    public static final java.lang.String SUB_EVENT_ENTERPRISE_AP_INFO = "ENTERPRISE_AP_INFO";
    public static final java.lang.String SUB_EVENT_HOME_AP_INFO = "HOME_AP_INFO";
    public static final java.lang.String SUB_EVENT_NOT_OPEN_AP_REDIRECT = "NOT_OPEN_AP_REDIRECT";
    public static final java.lang.String SUB_EVENT_PORTALAP_IN_WHITE = "PORTALAP_IN_WHITE";
    public static final java.lang.String SUB_EVENT_ROVE_OUT_PARAMETER = "ROVE_OUT_PARAMETER";
    public static final java.lang.String SUB_EVENT_SWITCH_PINGPONG = "SWITCH_PINGPONG";
    public static final java.lang.String SUB_EVENT_WHITE_MORETHAN_500 = "WHITE_MORETHAN_500";
    private static final java.lang.String TAG = "WifiProCHRManager";
    public static final java.lang.String WIFIPRO_STATISTICS_MANAGER_CLASS = "com.android.server.wifi.wifipro.WifiProStatisticsManager";
    public static final int WIFI_PORTAL_AUTH_MSG_COLLECTE = 124;
    public static final int WIFI_PORTAL_SAMPLES_COLLECTE = 120;
    public static final int WIFI_WIFIPRO_EXCEPTION_EVENT = 122;
    public static final int WIFI_WIFIPRO_FREE_AP_INFO = 123;
    public static final int WIFI_WIFIPRO_STATISTICS_EVENT = 121;
    private static java.lang.Object chrManagerObj = null;
    private static java.lang.reflect.Method commercialUserMethod = null;
    private static boolean initialized = false;
    private static boolean isCommercialUser = true;
    private static java.lang.Object logManagerObj = null;
    private static int printLogLevel = 1;
    private static java.lang.Object wifiproStatisticObj = null;
    private static com.android.server.wifipro.WifiProCHRManager wsm = new com.android.server.wifipro.WifiProCHRManager();

    public static com.android.server.wifipro.WifiProCHRManager getInstance() {
        if (!initialized) {
            init();
        }
        return wsm;
    }

    private static void init() {
        chrManagerObj = null;
        wifiproStatisticObj = null;
        logManagerObj = null;
        commercialUserMethod = null;
        isCommercialUser = true;
        logd("WifiProCHRManager init enter.");
        try {
            chrManagerObj = java.lang.Class.forName("com.android.server.wifi.HwWifiCHRStateManagerImpl").getDeclaredMethod("getDefault", new java.lang.Class[0]).invoke(null, new java.lang.Object[0]);
            initCommercialInterface();
            isCommercialUser();
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("WifiProCHRManager, init(), Exception msg = ");
            stringBuilder.append(e.getMessage());
            loge(stringBuilder.toString());
        }
        initialized = true;
    }

    private void invokeMethod(boolean betaUserOnly, java.lang.String methodName, java.lang.Object... args) {
        if (!((betaUserOnly && isCommercialUser) || chrManagerObj == null || methodName == null)) {
            try {
                for (java.lang.reflect.Method method : chrManagerObj.getClass().getMethods()) {
                    if (methodName.equals(method.getName())) {
                        method.setAccessible(true);
                        method.invoke(chrManagerObj, args);
                        break;
                    }
                }
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("WifiProCHRManager, invokeMethod(), Exception msg = ");
                stringBuilder.append(e.getMessage());
                loge(stringBuilder.toString());
            }
        }
    }

    public void updateWifiException(int ucErrorCode, java.lang.String ucSubErrorCode) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("updateWifiException call for err code:");
        stringBuilder.append(ucErrorCode);
        stringBuilder.append(", sub err code:");
        stringBuilder.append(ucSubErrorCode);
        logd(stringBuilder.toString());
        invokeMethod(false, "uploadDFTEvent", java.lang.Integer.valueOf(ucErrorCode), ucSubErrorCode);
    }

    private static void initCommercialInterface() {
        try {
            java.lang.Class logClass = java.lang.Class.forName("com.huawei.connectivitylog.LogManager");
            logManagerObj = logClass.getDeclaredMethod("getInstance", new java.lang.Class[0]).invoke(null, new java.lang.Object[0]);
            commercialUserMethod = logClass.getDeclaredMethod("isCommercialUser", new java.lang.Class[0]);
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("initCommercialInterface, Exception msg = ");
            stringBuilder.append(e.getMessage());
            loge(stringBuilder.toString());
        }
    }

    public static boolean isCommercialUser() {
        synchronized (wsm) {
            if (commercialUserMethod == null || logManagerObj == null) {
                loge("recall initCommercialInterface.");
                initCommercialInterface();
            } else {
                java.lang.StringBuilder stringBuilder;
                try {
                    isCommercialUser = ((java.lang.Boolean) commercialUserMethod.invoke(logManagerObj, new java.lang.Object[0])).booleanValue();
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("get isCommercialUser = ");
                    stringBuilder.append(isCommercialUser);
                    logd(stringBuilder.toString());
                } catch (java.lang.Exception e) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("isCommercialUser, Exception msg = ");
                    stringBuilder.append(e.getMessage());
                    loge(stringBuilder.toString());
                }
            }
        }
        return isCommercialUser;
    }

    public void updatePortalAutSms(java.lang.String sms_num, byte[] sms_body, int sms_body_len) {
        logd("updatePortalAutSms call enter.");
        invokeMethod(false, "updatePortalAutSms", sms_num, sms_body, java.lang.Integer.valueOf(sms_body_len));
    }

    public void updatePortalAPInfo(byte[] ssid, java.lang.String bssid, java.lang.String cellId, int sms_body_len) {
        logd("updatePortalAPInfo call enter.");
        invokeMethod(false, "updatePortalAPInfo", ssid, bssid, cellId, java.lang.Integer.valueOf(sms_body_len));
    }

    public void updatePortalWebpageInfo(java.lang.String url, java.lang.String phoneInputId, java.lang.String sndBtnId, java.lang.String codeInputId, java.lang.String submitBtnId, int htmlBtnNum) {
        logd("updatePortalWebpageInfo call enter.");
        invokeMethod(false, "updatePortalWebpageInfo", url, phoneInputId, sndBtnId, codeInputId, submitBtnId, java.lang.Integer.valueOf(htmlBtnNum));
    }

    public void updatePortalKeyLines(byte[] lines) {
        logd("updatePortalKeyLines call enter.");
        invokeMethod(false, "updatePortalKeyLines", lines);
    }

    public void updateStatParaPart1(int statIntervalTime, int enableTotTime, short noInetHandoverCount, short portalUnauthCount, short wifiScoCount, short portalCodeParseCount, short rcvSMS_Count, short portalAutoLoginCount) {
        invokeMethod(false, "updateStatParaPart1", java.lang.Integer.valueOf(statIntervalTime), java.lang.Integer.valueOf(enableTotTime), java.lang.Short.valueOf(noInetHandoverCount), java.lang.Short.valueOf(portalUnauthCount), java.lang.Short.valueOf(wifiScoCount), java.lang.Short.valueOf(portalCodeParseCount), java.lang.Short.valueOf(rcvSMS_Count), java.lang.Short.valueOf(portalAutoLoginCount));
    }

    public void updateStatParaPart2(short cellAutoOpenCount, short cellAutoCloseCount, short totalROC, short manualBackROC, short rssi_RO_Tot, short rssi_ErrRO_Tot, short ota_RO_Tot, short ota_ErrRO_Tot, short tcp_RO_Tot) {
        invokeMethod(false, "updateStatParaPart2", java.lang.Short.valueOf(cellAutoOpenCount), java.lang.Short.valueOf(cellAutoCloseCount), java.lang.Short.valueOf(totalROC), java.lang.Short.valueOf(manualBackROC), java.lang.Short.valueOf(rssi_RO_Tot), java.lang.Short.valueOf(rssi_ErrRO_Tot), java.lang.Short.valueOf(ota_RO_Tot), java.lang.Short.valueOf(ota_ErrRO_Tot), java.lang.Short.valueOf(tcp_RO_Tot));
    }

    public void updateStatParaPart3(short tcp_ErrRO_Tot, int manualRI_TotTime, int autoRI_TotTime, short autoRI_TotCount, short rssi_RestoreRI_Count, short rssi_BetterRI_Count, short timerRI_Count, short hisScoRI_Count, short userCancelROC) {
        invokeMethod(false, "updateStatParaPart3", java.lang.Short.valueOf(tcp_ErrRO_Tot), java.lang.Integer.valueOf(manualRI_TotTime), java.lang.Integer.valueOf(autoRI_TotTime), java.lang.Short.valueOf(autoRI_TotCount), java.lang.Short.valueOf(rssi_RestoreRI_Count), java.lang.Short.valueOf(rssi_BetterRI_Count), java.lang.Short.valueOf(timerRI_Count), java.lang.Short.valueOf(hisScoRI_Count), java.lang.Short.valueOf(userCancelROC));
    }

    public void updateStatParaPart4(short wifiToWifiSuccCount, short noInetAlarmCount, short wifiOobInitState, short notAutoConnPortalCnt, short highDataRateStopROC, short selectNotInetAPCount, short userUseBgScanAPCount, short pingPongCount) {
        invokeMethod(false, "updateStatParaPart4", java.lang.Short.valueOf(wifiToWifiSuccCount), java.lang.Short.valueOf(noInetAlarmCount), java.lang.Short.valueOf(wifiOobInitState), java.lang.Short.valueOf(notAutoConnPortalCnt), java.lang.Short.valueOf(highDataRateStopROC), java.lang.Short.valueOf(selectNotInetAPCount), java.lang.Short.valueOf(userUseBgScanAPCount), java.lang.Short.valueOf(pingPongCount));
    }

    public void updateStatParaPart5(short bqeBadSettingCancel, short notInetSettingCancel, short notInetUserCancel, short notInetRestoreRI, short notInetUserManualRI, short notInetWifiToWifiCount, short reopenWifiRICount, short selCSPShowDiglogCount, short selCSPAutoSwCount, short selCSPNotSwCount, short totBtnRICount, short bmd_TenMNotifyCount) {
        invokeMethod(false, "updateStatParaPart5", java.lang.Short.valueOf(bqeBadSettingCancel), java.lang.Short.valueOf(notInetSettingCancel), java.lang.Short.valueOf(notInetUserCancel), java.lang.Short.valueOf(notInetRestoreRI), java.lang.Short.valueOf(notInetUserManualRI), java.lang.Short.valueOf(notInetWifiToWifiCount), java.lang.Short.valueOf(reopenWifiRICount), java.lang.Short.valueOf(selCSPShowDiglogCount), java.lang.Short.valueOf(selCSPAutoSwCount), java.lang.Short.valueOf(selCSPNotSwCount), java.lang.Short.valueOf(totBtnRICount), java.lang.Short.valueOf(bmd_TenMNotifyCount));
    }

    public void updateStatParaPart6(short bmd_TenM_RI_Count, short bmd_FiftyMNotifyCount, short bmd_FiftyM_RI_Count, short bmd_UserDelNotifyCount, int ro_TotMobileData, short af_PhoneNumSuccCnt, short af_PhoneNumFailCnt, short af_PasswordSuccCnt, short af_PasswordFailCnt, short af_AutoLoginSuccCnt, short af_AutoLoginFailCnt) {
        invokeMethod(false, "updateStatParaPart6", java.lang.Short.valueOf(bmd_TenM_RI_Count), java.lang.Short.valueOf(bmd_FiftyMNotifyCount), java.lang.Short.valueOf(bmd_FiftyM_RI_Count), java.lang.Short.valueOf(bmd_UserDelNotifyCount), java.lang.Integer.valueOf(ro_TotMobileData), java.lang.Short.valueOf(af_PhoneNumSuccCnt), java.lang.Short.valueOf(af_PhoneNumFailCnt), java.lang.Short.valueOf(af_PasswordSuccCnt), java.lang.Short.valueOf(af_PasswordFailCnt), java.lang.Short.valueOf(af_AutoLoginSuccCnt), java.lang.Short.valueOf(af_AutoLoginFailCnt));
    }

    public void updateStatParaPart7(short bg_RunCnt, short settingBG_RunCnt, short bg_FreeInetOkApCnt, short bg_FishingApCnt, short bg_FreeNotInetApCnt, short bg_PortalApCnt, short bg_FailedCnt, short bg_InetNotOkActiveOk, short bg_InetOkActiveNotOk) {
        invokeMethod(false, "updateStatParaPart7", java.lang.Short.valueOf(bg_RunCnt), java.lang.Short.valueOf(settingBG_RunCnt), java.lang.Short.valueOf(bg_FreeInetOkApCnt), java.lang.Short.valueOf(bg_FishingApCnt), java.lang.Short.valueOf(bg_FreeNotInetApCnt), java.lang.Short.valueOf(bg_PortalApCnt), java.lang.Short.valueOf(bg_FailedCnt), java.lang.Short.valueOf(bg_InetNotOkActiveOk), java.lang.Short.valueOf(bg_InetOkActiveNotOk));
    }

    public void updateStatParaPart8(short bg_UserSelApFishingCnt, short bg_ConntTimeoutCnt, short bg_DNSFailCnt, short bg_DHCPFailCnt, short bg_AUTH_FailCnt, short bg_AssocRejectCnt, short bg_UserSelFreeInetOkCnt, short bg_UserSelNoInetCnt, short bg_UserSelPortalCnt) {
        invokeMethod(false, "updateStatParaPart8", java.lang.Short.valueOf(bg_UserSelApFishingCnt), java.lang.Short.valueOf(bg_ConntTimeoutCnt), java.lang.Short.valueOf(bg_DNSFailCnt), java.lang.Short.valueOf(bg_DHCPFailCnt), java.lang.Short.valueOf(bg_AUTH_FailCnt), java.lang.Short.valueOf(bg_AssocRejectCnt), java.lang.Short.valueOf(bg_UserSelFreeInetOkCnt), java.lang.Short.valueOf(bg_UserSelNoInetCnt), java.lang.Short.valueOf(bg_UserSelPortalCnt));
    }

    public void updateStatParaPart9(short bg_FoundTwoMoreApCnt, short af_FPNSuccNotMsmCnt, short bsg_RsGoodCnt, short bsg_RsMidCnt, short bsg_RsBadCnt, short bsg_EndIn4sCnt, short bsg_EndIn4s7sCnt, short bsg_NotEndIn7sCnt) {
        invokeMethod(false, "updateStatParaPart9", java.lang.Short.valueOf(bg_FoundTwoMoreApCnt), java.lang.Short.valueOf(af_FPNSuccNotMsmCnt), java.lang.Short.valueOf(bsg_RsGoodCnt), java.lang.Short.valueOf(bsg_RsMidCnt), java.lang.Short.valueOf(bsg_RsBadCnt), java.lang.Short.valueOf(bsg_EndIn4sCnt), java.lang.Short.valueOf(bsg_EndIn4s7sCnt), java.lang.Short.valueOf(bsg_NotEndIn7sCnt));
    }

    public void updateStatParaPart10(short pBG_NCByConnectFail, short pBG_NCByCheckFail, short pBG_NCByStateErr, short pBG_NCByUnknown, short pBQE_CNUrl1FailCount, short pBQE_CNUrl2FailCount, short pBQE_CNUrl3FailCount, short pBQE_NCNUrl1FailCount, short pBQE_NCNUrl2FailCount, short pBQE_NCNUrl3FailCount) {
        invokeMethod(false, "updateStatParaPart10", java.lang.Short.valueOf(pBG_NCByConnectFail), java.lang.Short.valueOf(pBG_NCByCheckFail), java.lang.Short.valueOf(pBG_NCByStateErr), java.lang.Short.valueOf(pBG_NCByUnknown), java.lang.Short.valueOf(pBQE_CNUrl1FailCount), java.lang.Short.valueOf(pBQE_CNUrl2FailCount), java.lang.Short.valueOf(pBQE_CNUrl3FailCount), java.lang.Short.valueOf(pBQE_NCNUrl1FailCount), java.lang.Short.valueOf(pBQE_NCNUrl2FailCount), java.lang.Short.valueOf(pBQE_NCNUrl3FailCount));
    }

    public void updateStatParaPart11(short pBQE_ScoreUnknownCount, short pBQE_BindWlanFailCount, short pBQE_StopBqeFailCount, int pQOE_AutoRI_TotData, int pNotInet_AutoRI_TotData, short pQOE_RO_DISCONNECT_Cnt, int pQOE_RO_DISCONNECT_TotData, short pNotInetRO_DISCONNECT_Cnt, int pNotInetRO_DISCONNECT_TotData, int pTotWifiConnectTime) {
        invokeMethod(false, "updateStatParaPart11", java.lang.Short.valueOf(pBQE_ScoreUnknownCount), java.lang.Short.valueOf(pBQE_BindWlanFailCount), java.lang.Short.valueOf(pBQE_StopBqeFailCount), java.lang.Integer.valueOf(pQOE_AutoRI_TotData), java.lang.Integer.valueOf(pNotInet_AutoRI_TotData), java.lang.Short.valueOf(pQOE_RO_DISCONNECT_Cnt), java.lang.Integer.valueOf(pQOE_RO_DISCONNECT_TotData), java.lang.Short.valueOf(pNotInetRO_DISCONNECT_Cnt), java.lang.Integer.valueOf(pNotInetRO_DISCONNECT_TotData), java.lang.Integer.valueOf(pTotWifiConnectTime));
    }

    public void updateStatParaPart12(short pActiveCheckRS_Diff, short pNoInetAlarmOnConnCnt, short pPortalNoAutoConnCnt, short pHomeAPAddRoPeriodCnt, short pHomeAPQoeBadCnt, int pHistoryTotWifiConnHour, short pTotAPRecordCnt, short pTotHomeAPCnt, short pBigRTT_RO_Tot, short pBigRTT_ErrRO_Tot) {
        invokeMethod(false, "updateStatParaPart12", java.lang.Short.valueOf(pActiveCheckRS_Diff), java.lang.Short.valueOf(pNoInetAlarmOnConnCnt), java.lang.Short.valueOf(pPortalNoAutoConnCnt), java.lang.Short.valueOf(pHomeAPAddRoPeriodCnt), java.lang.Short.valueOf(pHomeAPQoeBadCnt), java.lang.Integer.valueOf(pHistoryTotWifiConnHour), java.lang.Short.valueOf(pTotAPRecordCnt), java.lang.Short.valueOf(pTotHomeAPCnt), java.lang.Short.valueOf(pBigRTT_RO_Tot), java.lang.Short.valueOf(pBigRTT_ErrRO_Tot));
    }

    public void updateStatParaPart13(short pTotalPortalConnCount, short pTotalPortalAuthSuccCount, short pManualConnBlockPortalCount, short pWifiproStateAtReportTime, short pWifiproOpenCount, short pWifiproCloseCount, short pActiveCheckRS_Same) {
        invokeMethod(false, "updateStatParaPart13", java.lang.Short.valueOf(pTotalPortalConnCount), java.lang.Short.valueOf(pTotalPortalAuthSuccCount), java.lang.Short.valueOf(pManualConnBlockPortalCount), java.lang.Short.valueOf(pWifiproStateAtReportTime), java.lang.Short.valueOf(pWifiproOpenCount), java.lang.Short.valueOf(pWifiproCloseCount), java.lang.Short.valueOf(pActiveCheckRS_Same));
    }

    public void updateExcpRoParaPart1(short rssi_VALUE, short ota_PacketDropRate, short rttAvg, short tcpInSegs, short tcpOutSegs, short tcpRetransSegs, short wifi_NetSpeed, short ipQLevel) {
        logd("updateExcpRoParaPart1 call enter.");
        invokeMethod(false, "updateExcpRoParaPart1", java.lang.Short.valueOf(rssi_VALUE), java.lang.Short.valueOf(ota_PacketDropRate), java.lang.Short.valueOf(rttAvg), java.lang.Short.valueOf(tcpInSegs), java.lang.Short.valueOf(tcpOutSegs), java.lang.Short.valueOf(tcpRetransSegs), java.lang.Short.valueOf(wifi_NetSpeed), java.lang.Short.valueOf(ipQLevel));
    }

    public void updateExcpRoParaPart2(java.lang.String ro_APSsid, short mobileSignalLevel, short ratType, short historyQuilityRO_Rate, short highDataRateRO_Rate, short creditScoreRO_Rate, short ro_Duration) {
        logd("updateExcpRoParaPart2 call enter.");
        invokeMethod(false, "updateExcpRoParaPart2", ro_APSsid, java.lang.Short.valueOf(mobileSignalLevel), java.lang.Short.valueOf(ratType), java.lang.Short.valueOf(historyQuilityRO_Rate), java.lang.Short.valueOf(highDataRateRO_Rate), java.lang.Short.valueOf(creditScoreRO_Rate), java.lang.Short.valueOf(ro_Duration));
    }

    public void updateWifiproTimeLen(short timeLen) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("updateWifiproTimeLen:");
        stringBuilder.append(timeLen);
        logd(stringBuilder.toString());
        invokeMethod(false, "updateWifiproTimeLen", java.lang.Short.valueOf(timeLen));
    }

    public void updateSSID(java.lang.String ssid) {
        invokeMethod(false, "updateSSID", ssid);
    }

    public void updateBSSID(java.lang.String bssid) {
        invokeMethod(false, "updateBSSID", bssid);
    }

    public void updateHomeAPJudgeTime(int hours) {
        invokeMethod(false, "updateHomeAPJudgeTime", java.lang.Integer.valueOf(hours));
    }

    public void updateAPSecurityType(int secType) {
        invokeMethod(false, "updateAPSecurityType", java.lang.Integer.valueOf(secType));
    }

    public void updateBG_AC_DiffType(int acDiffType) {
        invokeMethod(false, "updateBG_AC_DiffType", java.lang.Integer.valueOf(acDiffType));
    }

    public void updateAutoOpenWhiteNum(short autoOpenWhiteNum) {
        logd("updateAutoOpenWhiteNum call enter.");
        invokeMethod(false, "updateAutoOpenWhiteNum", java.lang.Short.valueOf(autoOpenWhiteNum));
    }

    public void updateAutoOpenRootCause(short autoOpenRootCause) {
        logd("updateAutoOpenRootCause call enter.");
        invokeMethod(false, "updateAutoOpenRootCause", java.lang.Short.valueOf(autoOpenRootCause));
    }

    public void updateAutoCloseRootCause(short autoCloseRootCause) {
        logd("updateAutoCloseRootCause call enter.");
        invokeMethod(false, "updateAutoCloseRootCause", java.lang.Short.valueOf(autoCloseRootCause));
    }

    public void updateFreeAP1Info(java.lang.String ssid, java.lang.String bssid) {
        invokeMethod(false, "updateFreeAP1Info", ssid, bssid);
    }

    public void updateFreeAP2Info(java.lang.String ssid, java.lang.String bssid) {
        invokeMethod(false, "updateFreeAP2Info", ssid, bssid);
    }

    public void updateFreeAP3Info(java.lang.String ssid, java.lang.String bssid) {
        invokeMethod(false, "updateFreeAP3Info", ssid, bssid);
    }

    public void updateFreeAPCellID(java.lang.String freeAPcellID) {
        invokeMethod(false, "updateFreeAPCellID", freeAPcellID);
    }

    private void getWifiProStaticsticsManager() {
        try {
            wifiproStatisticObj = java.lang.Class.forName("com.android.server.wifi.wifipro.WifiProStatisticsManager").getDeclaredMethod("getInstance", new java.lang.Class[0]).invoke(null, new java.lang.Object[0]);
        } catch (java.lang.Exception e) {
            loge("WifiProStatisticsManager, invokeMethod() error, can't get WifiProStaticsticsManager!");
        }
    }

    public void increasePortalUnauthCount() {
        if (wifiproStatisticObj == null) {
            getWifiProStaticsticsManager();
        }
        if (wifiproStatisticObj != null) {
            try {
                java.lang.reflect.Method method = wifiproStatisticObj.getClass().getMethod("increasePortalUnauthCount", null);
                method.setAccessible(true);
                method.invoke(wifiproStatisticObj, null);
            } catch (java.lang.Exception e) {
                loge("WifiProStatisticsManager, invokeMethod() error, can't increase PortalUnauthCount");
            }
        }
    }

    public void increasePortalNoAutoConnCnt() {
        if (wifiproStatisticObj == null) {
            getWifiProStaticsticsManager();
        }
        if (wifiproStatisticObj != null) {
            try {
                java.lang.reflect.Method method = wifiproStatisticObj.getClass().getMethod("increasePortalNoAutoConnCnt", null);
                method.setAccessible(true);
                method.invoke(wifiproStatisticObj, null);
            } catch (java.lang.Exception e) {
                loge("WifiProStatisticsManager, invokeMethod() error, can't increase PortalNoAutoConnCnt ");
            }
        }
    }

    private static void logd(java.lang.String msg) {
        if (printLogLevel <= 1) {
            android.util.Log.d("WifiProCHRManager", msg);
        }
    }

    private static void logi(java.lang.String msg) {
        if (printLogLevel <= 2) {
            android.util.Log.i("WifiProCHRManager", msg);
        }
    }

    private static void loge(java.lang.String msg) {
        if (printLogLevel <= 3) {
            android.util.Log.e("WifiProCHRManager", msg);
        }
    }
}
