package com.android.server.wifipro;

public class WifiProCommonUtils {
    public static final java.lang.String BROWSER_LAUNCHED_BY_WIFI_PORTAL = "wifi_portal";
    public static final java.lang.String BROWSER_LAUNCH_FROM = "launch_from";
    public static final java.lang.String COUNTRY_CODE_CN = "460";
    public static final int DNS_REACHALBE = 0;
    public static final int DNS_UNREACHALBE = -1;
    public static final int ENTERPRISE_HOTSPOT_THRESHOLD = 4;
    public static final int HISTORY_ITEM_INTERNET = 1;
    public static final int HISTORY_ITEM_NO_INTERNET = 0;
    public static final int HISTORY_ITEM_PORTAL = 2;
    public static final int HISTORY_ITEM_UNCHECKED = -1;
    public static final int HISTORY_TYPE_EMPTY = 103;
    public static final int HISTORY_TYPE_HAS_INTERNET_EVER = 104;
    public static final int HISTORY_TYPE_INTERNET = 100;
    public static final int HISTORY_TYPE_PORTAL = 102;
    public static final int HTTP_REACHALBE_GOOLE = 204;
    public static final int HTTP_REACHALBE_HOME = 200;
    public static final int HTTP_REDIRECTED = 302;
    public static final int HTTP_UNREACHALBE = 599;
    public static final java.lang.String HUAWEI_SETTINGS = "com.android.settings";
    public static final java.lang.String HUAWEI_SETTINGS_WLAN = "com.android.settings.Settings$WifiSettingsActivity";
    private static final java.lang.String HW_WIFI_SELF_CURING = "net.wifi.selfcuring";
    public static final int ID_UPDATE_PORTAL_DETECT_STAT_INFO = 909002060;
    public static final int ID_UPDATE_PORTAL_LOAD_PAGE_FAILED = 909002062;
    public static final int ID_UPDATE_PORTAL_POPUP_BROWSER_FAILED = 909002061;
    public static final int ID_UPDATE_PORTAL_POPUP_OTHER_BROWSER_STAT_INFO = -1;
    public static final int ID_WIFIPRO_DISABLE_INFO = 909002066;
    public static final java.lang.String INTERNET_HISTORY_INIT = "-1/-1/-1/-1/-1/-1/-1/-1/-1/-1";
    public static final java.lang.String KEY_PORTAL_CONFIG_KEY = "portal_config_key";
    public static final java.lang.String KEY_PORTAL_DETECT_STAT_INFO = "portal_detect_stat_info";
    public static final java.lang.String KEY_PORTAL_FIRST_DETECT = "portal_first_detect";
    public static final java.lang.String KEY_PORTAL_HTTP_RESP_CODE = "portal_http_resp_code";
    public static final java.lang.String KEY_PORTAL_REDIRECTED_URL = "portal_redirected_url";
    public static final java.lang.String KEY_PROP_LOCALE = "ro.product.locale.region";
    public static final java.lang.String KEY_WIFIPRO_MANUAL_CONNECT = "wifipro_manual_connect_ap";
    public static final java.lang.String KEY_WIFI_PRO_SWITCH = "smart_network_switching";
    private static final java.lang.String KEY_WIFI_SECURE = "wifi_cloud_security_check";
    public static final java.lang.String[] NON_OPEN_PORTALS = new java.lang.String[]{"\"0000docomo\"WPA_PSK"};
    public static final int PORTAL_CONNECTED_AND_UNLOGIN = 1;
    public static final int PORTAL_DISCONNECTED_OR_LOGIN = 0;
    public static final java.lang.String PORTAL_NETWORK_FLAG = "HW_WIFI_PORTAL_FLAG";
    public static final long RECHECK_DELAYED_MS = 3600000;
    public static final float RECOVERY_PERCENTAGE = 0.8f;
    public static final int RESP_CODE_ABNORMAL_SERVER = 604;
    public static final int RESP_CODE_CONN_RESET = 606;
    public static final int RESP_CODE_GATEWAY = 602;
    public static final int RESP_CODE_INVALID_URL = 603;
    public static final int RESP_CODE_REDIRECTED_HOST_CHANGED = 605;
    public static final int RESP_CODE_TIMEOUT = 600;
    public static final int RESP_CODE_UNSTABLE = 601;
    public static final int SCE_STATE_IDLE = 0;
    public static final int SCE_STATE_REASSOC = 101;
    public static final int SCE_STATE_RECONNECT = 103;
    public static final int SCE_STATE_RESET = 102;
    private static final java.lang.String WIFI_BACKGROUND_CONN_TAG = "wifipro_recommending_access_points";
    public static final int WIFI_PRO_SOFT_RECONNECT = 104;
    private static final java.lang.Object mBackgroundLock = new java.lang.Object();

    public static boolean isWifiProSwitchOn(android.content.Context context) {
        return context != null && android.provider.Settings.System.getInt(context.getContentResolver(), "smart_network_switching", 0) == 1;
    }

    public static boolean isWifiProPropertyEnabled(android.content.Context context) {
        return context != null && "true".equalsIgnoreCase(android.provider.Settings.Global.getString(context.getContentResolver(), "hw_wifipro_enable"));
    }

    public static android.net.wifi.WifiConfiguration getCurrentWifiConfig(android.net.wifi.WifiManager wifiManager) {
        if (wifiManager != null) {
            android.net.wifi.WifiInfo wifiInfo = wifiManager.getConnectionInfo();
            java.util.List<android.net.wifi.WifiConfiguration> configNetworks = wifiManager.getConfiguredNetworks();
            if (!(configNetworks == null || wifiInfo == null || !android.net.wifi.SupplicantState.isConnecting(wifiInfo.getSupplicantState()))) {
                for (int i = 0; i < configNetworks.size(); i++) {
                    android.net.wifi.WifiConfiguration config = (android.net.wifi.WifiConfiguration) configNetworks.get(i);
                    if (config.networkId == wifiInfo.getNetworkId() && config.networkId != -1) {
                        return config;
                    }
                }
            }
        }
        return null;
    }

    public static java.lang.String getCurrentSsid(android.net.wifi.WifiManager wifiManager) {
        if (wifiManager != null) {
            android.net.wifi.WifiInfo wifiInfo = wifiManager.getConnectionInfo();
            if (wifiInfo != null && android.net.wifi.SupplicantState.isConnecting(wifiInfo.getSupplicantState())) {
                return wifiInfo.getSSID();
            }
        }
        return null;
    }

    public static java.lang.String getCurrentBssid(android.net.wifi.WifiManager wifiManager) {
        if (wifiManager != null) {
            android.net.wifi.WifiInfo wifiInfo = wifiManager.getConnectionInfo();
            if (wifiInfo != null && android.net.wifi.SupplicantState.isConnecting(wifiInfo.getSupplicantState())) {
                return wifiInfo.getBSSID();
            }
        }
        return null;
    }

    public static int getCurrentRssi(android.net.wifi.WifiManager wifiManager) {
        if (wifiManager != null) {
            android.net.wifi.WifiInfo wifiInfo = wifiManager.getConnectionInfo();
            if (wifiInfo != null && android.net.wifi.SupplicantState.isConnecting(wifiInfo.getSupplicantState())) {
                return wifiInfo.getRssi();
            }
        }
        return -127;
    }

    public static int getBssidCounter(android.net.wifi.WifiConfiguration config, java.util.List<android.net.wifi.ScanResult> scanResults) {
        int i = 0;
        if (config == null || scanResults == null) {
            return 0;
        }
        java.lang.String currentSsid = config.SSID;
        java.lang.String configKey = config.configKey();
        if (!android.text.TextUtils.isEmpty(currentSsid)) {
            if (!android.text.TextUtils.isEmpty(configKey)) {
                int counter = 0;
                while (i < scanResults.size()) {
                    android.net.wifi.ScanResult nextResult = (android.net.wifi.ScanResult) scanResults.get(i);
                    java.lang.String scanSsid = new java.lang.StringBuilder();
                    scanSsid.append("\"");
                    scanSsid.append(nextResult.SSID);
                    scanSsid.append("\"");
                    scanSsid = scanSsid.toString();
                    java.lang.String capabilities = nextResult.capabilities;
                    if (currentSsid.equals(scanSsid) && isSameEncryptType(capabilities, configKey)) {
                        counter++;
                    }
                    i++;
                }
                return counter;
            }
        }
        return 0;
    }

    public static boolean isWifiConnected(android.net.wifi.WifiManager wifiManager) {
        if (wifiManager != null) {
            android.net.wifi.WifiInfo wifiInfo = wifiManager.getConnectionInfo();
            if (wifiInfo != null && wifiInfo.getSupplicantState() == android.net.wifi.SupplicantState.COMPLETED) {
                return true;
            }
        }
        return false;
    }

    public static boolean isWifi5GConnected(android.net.wifi.WifiManager wifiManager) {
        boolean z = false;
        if (wifiManager == null) {
            return false;
        }
        android.net.wifi.WifiInfo wifiInfo = wifiManager.getConnectionInfo();
        if (wifiInfo != null && wifiInfo.is5GHz()) {
            z = true;
        }
        return z;
    }

    public static boolean isWifiConnectedOrConnecting(android.net.wifi.WifiManager wifiManager) {
        if (wifiManager != null) {
            android.net.wifi.WifiInfo wifiInfo = wifiManager.getConnectionInfo();
            if (wifiInfo != null) {
                return android.net.wifi.SupplicantState.isConnecting(wifiInfo.getSupplicantState());
            }
        }
        return false;
    }

    public static boolean isWpaOrWpa2(android.net.wifi.WifiConfiguration config) {
        boolean z = false;
        if (config == null) {
            return false;
        }
        int authType = config.allowedKeyManagement.cardinality() > 1 ? -1 : config.getAuthType();
        if (authType != 1) {
            if (authType != 4) {
                return z;
            }
        }
        z = true;
        return z;
    }

    public static boolean isQueryActivityMatched(android.content.Context context, java.lang.String activityName) {
        if (!(context == null || activityName == null)) {
            java.util.List<android.app.ActivityManager.RunningTaskInfo> runningTaskInfos = ((android.app.ActivityManager) context.getSystemService("activity")).getRunningTasks(1);
            if (!(runningTaskInfos == null || runningTaskInfos.isEmpty())) {
                android.content.ComponentName cn = ((android.app.ActivityManager.RunningTaskInfo) runningTaskInfos.get(0)).topActivity;
                if (cn == null || cn.getClassName() == null || !cn.getClassName().startsWith(activityName)) {
                    return false;
                }
                return true;
            }
        }
        return false;
    }

    public static boolean isManualConnecting(android.content.Context context) {
        boolean z = false;
        if (context == null) {
            return false;
        }
        if (android.provider.Settings.System.getInt(context.getContentResolver(), "wifipro_manual_connect_ap", 0) == 1) {
            z = true;
        }
        return z;
    }

    public static boolean isInMonitorList(java.lang.String input, java.lang.String[] list) {
        if (!(input == null || list == null)) {
            for (java.lang.Object equals : list) {
                if (input.equals(equals)) {
                    return true;
                }
            }
        }
        return false;
    }

    public static boolean isMobileDataOff(android.content.Context context) {
        boolean z = false;
        if (context == null) {
            return false;
        }
        if (android.provider.Settings.Global.getInt(context.getContentResolver(), "mobile_data", 1) == 0) {
            z = true;
        }
        return z;
    }

    public static boolean isMobileDataInactive(android.content.Context context) {
        if (context != null) {
            android.net.NetworkInfo ni = ((android.net.ConnectivityManager) context.getSystemService("connectivity")).getActiveNetworkInfo();
            if (ni != null && ni.isConnected() && ni.getType() == 0) {
                return false;
            }
        }
        return true;
    }

    public static boolean isCalling(android.content.Context context) {
        if (context != null) {
            int callState = ((android.telephony.TelephonyManager) context.getSystemService("phone")).getCallState();
            if (2 == callState || 1 == callState) {
                return true;
            }
        }
        return false;
    }

    public static boolean isNoSIMCard(android.content.Context context) {
        boolean z = false;
        if (context == null) {
            return false;
        }
        if (((android.telephony.TelephonyManager) context.getSystemService("phone")).getSimState() == 1) {
            z = true;
        }
        return z;
    }

    public static boolean useOperatorOverSea() {
        java.lang.String operator = android.telephony.TelephonyManager.getDefault().getNetworkOperator();
        if (operator == null || operator.length() <= 0 || operator.startsWith("460")) {
            return false;
        }
        return true;
    }

    public static boolean allowRecheckForNoInternet(android.net.wifi.WifiConfiguration config, android.net.wifi.ScanResult scanResult, android.content.Context context) {
        boolean allowed = false;
        synchronized (mBackgroundLock) {
            if (config != null) {
                try {
                    if (config.noInternetAccess && !allowWifiConfigRecovery(config.internetHistory) && config.internetRecoveryStatus == 3 && !isQueryActivityMatched(context, "com.android.settings.Settings$WifiSettingsActivity") && scanResult != null && ((scanResult.is24GHz() && scanResult.level >= -75) || (scanResult.is5GHz() && scanResult.level >= -72))) {
                        allowed = true;
                    }
                } catch (Throwable th) {
                }
            }
        }
        return allowed;
    }

    public static void setBackgroundConnTag(android.content.Context context, boolean background) {
        synchronized (mBackgroundLock) {
            if (context != null) {
                try {
                    android.provider.Settings.Secure.putInt(context.getContentResolver(), "wifipro_recommending_access_points", background);
                } catch (Throwable th) {
                }
            }
        }
    }

    public static java.lang.String getProductLocale() {
        return android.os.SystemProperties.get("ro.product.locale.region", "");
    }

    public static void setWifiSelfCureStatus(int state) {
        try {
            android.os.SystemProperties.set("net.wifi.selfcuring", java.lang.String.valueOf(state));
        } catch (java.lang.RuntimeException e) {
            android.util.Log.e("WifiProCommonUtils", "SystemProperties set RuntimeException.");
        }
    }

    public static boolean isWifiSelfCuring() {
        return java.lang.String.valueOf(0).equals(android.os.SystemProperties.get("net.wifi.selfcuring", java.lang.String.valueOf(0))) ^ 1;
    }

    public static int getSelfCuringState() {
        return java.lang.Integer.parseInt(android.os.SystemProperties.get("net.wifi.selfcuring", java.lang.String.valueOf(0)));
    }

    public static boolean isWifiSecDetectOn(android.content.Context context) {
        boolean z = false;
        if (context == null) {
            return false;
        }
        if (android.provider.Settings.Global.getInt(context.getContentResolver(), "wifi_cloud_security_check", 0) == 1) {
            z = true;
        }
        return z;
    }

    public static boolean matchedRequestByHistory(java.lang.String internetHistory, int type) {
        java.lang.String str = internetHistory;
        int i = type;
        boolean matched = false;
        if (str != null) {
            if (str.lastIndexOf("/") != -1) {
                boolean z;
                java.lang.String[] temp = str.split("/");
                int[] items = new int[temp.length];
                int numHasInet = 0;
                int numPortal = 0;
                int numTarget = 0;
                int numNoInet = 0;
                int numChecked = 0;
                int i2 = 0;
                while (true) {
                    int i3 = i2;
                    z = true;
                    if (i3 >= temp.length) {
                        break;
                    }
                    try {
                        items[i3] = java.lang.Integer.parseInt(temp[i3]);
                        if (items[i3] != -1) {
                            numChecked++;
                        }
                        if (items[i3] == 0) {
                            numNoInet++;
                        } else if (items[i3] == 1) {
                            numHasInet++;
                        } else if (items[i3] == 2) {
                            numPortal++;
                        }
                        i2 = i3 + 1;
                    } catch (java.lang.NumberFormatException e) {
                        android.util.Log.e("WifiProCommonUtils", "matchedRequestByHistory broken network history: parse internetHistory failed");
                    }
                }
                i2 = -1;
                if (i == 100) {
                    i2 = 1;
                    numTarget = numHasInet;
                } else if (i == 102) {
                    if (numPortal < 1) {
                        z = false;
                    }
                    return z;
                } else if (i == 103) {
                    if (numChecked != 0) {
                        z = false;
                    }
                    return z;
                } else if (i == 104) {
                    if (numHasInet < 1) {
                        z = false;
                    }
                    return z;
                }
                if (numChecked >= 1 && items[0] == itemValue) {
                    matched = true;
                }
                if (!matched && numChecked == 2 && (items[0] == itemValue || items[1] == itemValue)) {
                    matched = true;
                }
                if (!matched && numChecked >= 3 && ((float) numTarget) / ((float) numChecked) >= 0.8f) {
                    matched = true;
                }
                return matched;
            }
        }
        return false;
    }

    public static boolean isOpenType(android.net.wifi.WifiConfiguration config) {
        boolean z = false;
        if (config == null || config.allowedKeyManagement.cardinality() > 1) {
            return false;
        }
        if (config.getAuthType() == 0) {
            z = true;
        }
        return z;
    }

    public static boolean isOpenAndPortal(android.net.wifi.WifiConfiguration config) {
        return isOpenType(config) && config.portalNetwork;
    }

    public static boolean isOpenAndMaybePortal(android.net.wifi.WifiConfiguration config) {
        return isOpenType(config) && !config.noInternetAccess && matchedRequestByHistory(config.internetHistory, 103);
    }

    public static java.lang.String parseHostByUrlLocation(java.lang.String requestUrl) {
        if (requestUrl != null) {
            int start = 0;
            if (requestUrl.startsWith("http://")) {
                start = 7;
            } else if (requestUrl.startsWith("https://")) {
                start = 8;
            }
            java.lang.String TAG = "/";
            int end = requestUrl.indexOf("/", start);
            if (end == -1 || "/".length() + end > requestUrl.length()) {
                end = requestUrl.indexOf("?", start);
            } else {
                int tmpEnd = requestUrl.substring(start, end).indexOf("?", 0);
                end = tmpEnd != -1 ? tmpEnd + start : end;
            }
            if (end != -1 && 0 <= end && "/".length() + end <= requestUrl.length()) {
                return requestUrl.substring(0, end);
            }
        }
        return requestUrl;
    }

    public static boolean invalidUrlLocation(java.lang.String location) {
        if (location == null || (!location.startsWith("http://") && !location.startsWith("https://"))) {
            return true;
        }
        return false;
    }

    public static java.lang.String dhcpResults2String(android.net.DhcpResults dhcpResults, int cellid) {
        if (dhcpResults == null || dhcpResults.ipAddress == null || dhcpResults.ipAddress.getAddress() == null || dhcpResults.dnsServers == null) {
            return null;
        }
        java.lang.StringBuilder lastDhcpResults = new java.lang.StringBuilder();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(java.lang.String.valueOf(cellid));
        stringBuilder.append("|");
        lastDhcpResults.append(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(dhcpResults.domains == null ? "" : dhcpResults.domains);
        stringBuilder.append("|");
        lastDhcpResults.append(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(dhcpResults.ipAddress.getAddress().getHostAddress());
        stringBuilder.append("|");
        lastDhcpResults.append(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(dhcpResults.ipAddress.getPrefixLength());
        stringBuilder.append("|");
        lastDhcpResults.append(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(dhcpResults.ipAddress.getFlags());
        stringBuilder.append("|");
        lastDhcpResults.append(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(dhcpResults.ipAddress.getScope());
        stringBuilder.append("|");
        lastDhcpResults.append(stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(dhcpResults.gateway != null ? dhcpResults.gateway.getHostAddress() : "");
        stringBuilder.append("|");
        lastDhcpResults.append(stringBuilder.toString());
        java.util.Iterator it = dhcpResults.dnsServers.iterator();
        while (it.hasNext()) {
            java.net.InetAddress dnsServer = (java.net.InetAddress) it.next();
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(dnsServer.getHostAddress());
            stringBuilder2.append("|");
            lastDhcpResults.append(stringBuilder2.toString());
        }
        return lastDhcpResults.toString();
    }

    public static android.net.StaticIpConfiguration dhcpResults2StaticIpConfig(java.lang.String lastDhcpResults) {
        if (lastDhcpResults != null && lastDhcpResults.length() > 0) {
            android.net.StaticIpConfiguration staticIpConfig = new android.net.StaticIpConfiguration();
            java.lang.String[] dhcpResults = lastDhcpResults.split("\\|");
            java.net.InetAddress ipAddr = null;
            int prefLength = -1;
            int flag = -1;
            int scope = -1;
            int i = 0;
            while (i < dhcpResults.length) {
                try {
                    if (i != 0) {
                        if (i == 1) {
                            staticIpConfig.domains = dhcpResults[i];
                        } else if (i == 2) {
                            ipAddr = java.net.InetAddress.getByName(dhcpResults[i]);
                        } else if (i == 3) {
                            prefLength = java.lang.Integer.parseInt(dhcpResults[i]);
                        } else if (i == 4) {
                            flag = java.lang.Integer.parseInt(dhcpResults[i]);
                        } else if (i == 5) {
                            scope = java.lang.Integer.parseInt(dhcpResults[i]);
                        } else if (i == 6) {
                            staticIpConfig.gateway = java.net.InetAddress.getByName(dhcpResults[i]);
                        } else {
                            staticIpConfig.dnsServers.add(java.net.InetAddress.getByName(dhcpResults[i]));
                        }
                    }
                    i++;
                } catch (java.net.UnknownHostException e) {
                } catch (java.lang.IllegalArgumentException e2) {
                }
            }
            if (!(ipAddr == null || prefLength == -1 || staticIpConfig.gateway == null || staticIpConfig.dnsServers.size() <= 0)) {
                staticIpConfig.ipAddress = new android.net.LinkAddress(ipAddr, prefLength, flag, scope);
                return staticIpConfig;
            }
        }
        return null;
    }

    public static java.lang.String dhcpResults2Gateway(java.lang.String lastDhcpResults) {
        if (lastDhcpResults != null && lastDhcpResults.length() > 0) {
            try {
                java.lang.String[] dhcpResults = lastDhcpResults.split("\\|");
                if (dhcpResults.length >= 7) {
                    return java.net.InetAddress.getByName(dhcpResults[6]).toString();
                }
            } catch (java.net.UnknownHostException e) {
                android.util.Log.e("WifiProCommonUtils", "dhcpResults2Gateway UnknownHostException failed");
            }
        }
        return null;
    }

    /* JADX WARNING: Removed duplicated region for block: B:27:0x0067  */
    public static boolean isAllowWifiSwitch(java.util.List<android.net.wifi.ScanResult> r17, java.util.List<android.net.wifi.WifiConfiguration> r18, java.lang.String r19, java.lang.String r20, java.lang.String r21, int r22) {
        /*
        r0 = r17;
        r1 = r18;
        r2 = r19;
        r3 = r20;
        if (r0 == 0) goto L_0x00d2;
    L_0x000a:
        r5 = r17.size();
        if (r5 != 0) goto L_0x0012;
    L_0x0010:
        goto L_0x00d2;
    L_0x0012:
        if (r1 == 0) goto L_0x00cc;
    L_0x0014:
        r5 = r18.size();
        if (r5 != 0) goto L_0x001c;
    L_0x001a:
        goto L_0x00cc;
    L_0x001c:
        r5 = 0;
    L_0x001d:
        r6 = r17.size();
        if (r5 >= r6) goto L_0x00c6;
    L_0x0023:
        r6 = r0.get(r5);
        r6 = (android.net.wifi.ScanResult) r6;
        r7 = new java.lang.StringBuilder;
        r7.<init>();
        r8 = "\"";
        r7.append(r8);
        r8 = r6.SSID;
        r7.append(r8);
        r8 = "\"";
        r7.append(r8);
        r7 = r7.toString();
        r8 = r6.capabilities;
        if (r2 == 0) goto L_0x004f;
    L_0x0045:
        r10 = r6.BSSID;
        r10 = r2.equals(r10);
        if (r10 == 0) goto L_0x004f;
    L_0x004d:
        r10 = 1;
        goto L_0x0050;
    L_0x004f:
        r10 = 0;
    L_0x0050:
        if (r3 == 0) goto L_0x0062;
    L_0x0052:
        r11 = r3.equals(r7);
        if (r11 == 0) goto L_0x0062;
    L_0x0058:
        r11 = r21;
        r12 = isSameEncryptType(r8, r11);
        if (r12 == 0) goto L_0x0064;
    L_0x0060:
        r12 = 1;
        goto L_0x0065;
    L_0x0062:
        r11 = r21;
    L_0x0064:
        r12 = 0;
    L_0x0065:
        if (r10 != 0) goto L_0x00c0;
    L_0x0067:
        if (r12 == 0) goto L_0x006a;
    L_0x0069:
        goto L_0x00c0;
    L_0x006a:
        r13 = r6.level;
        r14 = r22;
        if (r13 >= r14) goto L_0x0071;
    L_0x0070:
        goto L_0x00c2;
    L_0x0071:
        r13 = 0;
    L_0x0072:
        r15 = r18.size();
        if (r13 >= r15) goto L_0x00c2;
    L_0x0078:
        r15 = r1.get(r13);
        r15 = (android.net.wifi.WifiConfiguration) r15;
        r4 = r15.getNetworkSelectionStatus();
        r4 = r4.getNetworkSelectionDisableReason();
        r9 = r15.noInternetAccess;
        if (r9 == 0) goto L_0x0095;
    L_0x008a:
        r9 = r15.internetHistory;
        r9 = allowWifiConfigRecovery(r9);
        if (r9 == 0) goto L_0x0093;
    L_0x0092:
        goto L_0x0095;
    L_0x0093:
        r9 = 1;
        goto L_0x00bd;
    L_0x0095:
        if (r4 <= 0) goto L_0x0098;
    L_0x0097:
        goto L_0x0093;
    L_0x0098:
        r9 = isOpenAndPortal(r15);
        if (r9 != 0) goto L_0x0093;
    L_0x009e:
        r9 = isOpenAndMaybePortal(r15);
        if (r9 == 0) goto L_0x00a5;
    L_0x00a4:
        goto L_0x0093;
    L_0x00a5:
        r9 = r15.SSID;
        if (r9 == 0) goto L_0x0093;
    L_0x00a9:
        r9 = r15.SSID;
        r9 = r9.equals(r7);
        if (r9 == 0) goto L_0x0093;
    L_0x00b1:
        r9 = r15.configKey();
        r9 = isSameEncryptType(r8, r9);
        if (r9 == 0) goto L_0x0093;
    L_0x00bb:
        r9 = 1;
        return r9;
    L_0x00bd:
        r13 = r13 + 1;
        goto L_0x0072;
    L_0x00c0:
        r14 = r22;
    L_0x00c2:
        r5 = r5 + 1;
        goto L_0x001d;
    L_0x00c6:
        r11 = r21;
        r14 = r22;
        r4 = 0;
        return r4;
    L_0x00cc:
        r11 = r21;
        r14 = r22;
        r4 = 0;
        return r4;
    L_0x00d2:
        r11 = r21;
        r14 = r22;
        r4 = 0;
        return r4;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.wifipro.WifiProCommonUtils.isAllowWifiSwitch(java.util.List, java.util.List, java.lang.String, java.lang.String, java.lang.String, int):boolean");
    }

    public static boolean unreachableRespCode(int code) {
        if (code != 599) {
            if (code != 600) {
                return false;
            }
        }
        return true;
    }

    public static boolean httpUnreachableOrAbnormal(int code) {
        return code >= 599;
    }

    public static boolean isRedirectedRespCode(int respCode) {
        if (!(respCode == 301 || respCode == 302 || respCode == 303)) {
            if (respCode != 307) {
                return false;
            }
        }
        return true;
    }

    public static boolean isRedirectedRespCodeByGoogle(int respCode) {
        if (respCode == 204 || respCode < 200 || respCode > 399) {
            return false;
        }
        return true;
    }

    public static boolean httpReachableOrRedirected(int code) {
        return code >= 200 && code <= 399;
    }

    public static boolean httpReachableHome(int code) {
        return code == 200;
    }

    public static int getReachableCode(boolean googleServer) {
        return googleServer ? 204 : 200;
    }

    public static boolean isEncryptionWep(java.lang.String encryption) {
        return encryption.contains("WEP");
    }

    public static boolean isEncryptionPsk(java.lang.String encryption) {
        return encryption.contains("PSK");
    }

    public static boolean isEncryptionEap(java.lang.String encryption) {
        return encryption.contains("EAP");
    }

    public static boolean isOpenNetwork(java.lang.String encryption) {
        if (isEncryptionWep(encryption) || isEncryptionPsk(encryption) || isEncryptionEap(encryption)) {
            return false;
        }
        return true;
    }

    public static boolean isSameEncryptType(java.lang.String encryption1, java.lang.String encryption2) {
        if (encryption1 != null) {
            if (encryption2 != null) {
                if ((isEncryptionWep(encryption1) && isEncryptionWep(encryption2)) || ((isEncryptionPsk(encryption1) && isEncryptionPsk(encryption2)) || ((isEncryptionEap(encryption1) && isEncryptionEap(encryption2)) || (isOpenNetwork(encryption1) && isOpenNetwork(encryption2))))) {
                    return true;
                }
                return false;
            }
        }
        return false;
    }

    public static boolean isLandscapeMode(android.content.Context context) {
        boolean z = false;
        if (context == null || context.getResources() == null || context.getResources().getConfiguration() == null) {
            return false;
        }
        if (context.getResources().getConfiguration().orientation == 2) {
            z = true;
        }
        return z;
    }

    public static int getForegroundAppUid(android.content.Context context) {
        if (context == null) {
            return -1;
        }
        java.util.List<android.app.ActivityManager.RunningAppProcessInfo> lr = ((android.app.ActivityManager) context.getSystemService("activity")).getRunningAppProcesses();
        if (lr == null) {
            return -1;
        }
        for (android.app.ActivityManager.RunningAppProcessInfo ra : lr) {
            if (ra.importance == 100) {
                return ra.uid;
            }
        }
        return -1;
    }

    public static java.lang.String getPackageName(android.content.Context context, int uid) {
        if (uid != -1) {
            if (context != null) {
                java.lang.String name = context.getPackageManager().getNameForUid(uid);
                if (android.text.TextUtils.isEmpty(name)) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("unknown:");
                    stringBuilder.append(uid);
                    name = stringBuilder.toString();
                }
                return name;
            }
        }
        return "total";
    }

    public static java.lang.String insertWifiConfigHistory(java.lang.String internetHistory, int status) {
        java.lang.String newInternetHistory = "-1/-1/-1/-1/-1/-1/-1/-1/-1/-1";
        if (internetHistory != null) {
            if (internetHistory.lastIndexOf("/") != -1) {
                internetHistory = internetHistory.substring(0, internetHistory.lastIndexOf("/"));
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(java.lang.String.valueOf(status));
                stringBuilder.append("/");
                stringBuilder.append(internetHistory);
                newInternetHistory = stringBuilder.toString();
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("insertWifiConfigHistory, newInternetHistory = ");
                stringBuilder2.append(newInternetHistory);
                android.util.Log.d("WifiProCommonUtils", stringBuilder2.toString());
                return newInternetHistory;
            }
        }
        return newInternetHistory;
    }

    public static java.lang.String updateWifiConfigHistory(java.lang.String internetHistory, int status) {
        java.lang.String newInternetHistory = "-1/-1/-1/-1/-1/-1/-1/-1/-1/-1";
        if (internetHistory != null) {
            if (internetHistory.lastIndexOf("/") != -1) {
                internetHistory = internetHistory.substring(internetHistory.indexOf("/") + 1);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append(java.lang.String.valueOf(status));
                stringBuilder.append("/");
                stringBuilder.append(internetHistory);
                newInternetHistory = stringBuilder.toString();
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("updateWifiConfigHistory, newInternetHistory = ");
                stringBuilder2.append(newInternetHistory);
                android.util.Log.d("WifiProCommonUtils", stringBuilder2.toString());
                return newInternetHistory;
            }
        }
        return newInternetHistory;
    }

    public static boolean allowWifiConfigRecovery(java.lang.String internetHistory) {
        boolean allowRecovery = false;
        if (internetHistory != null) {
            if (internetHistory.lastIndexOf("/") != -1) {
                java.lang.String[] temp = internetHistory.split("/");
                int[] items = new int[temp.length];
                int numHasInet = 0;
                int numNoInet = 0;
                int numChecked = 0;
                int i = 0;
                while (i < temp.length) {
                    try {
                        items[i] = java.lang.Integer.parseInt(temp[i]);
                        if (items[i] != -1) {
                            numChecked++;
                        }
                        if (items[i] == 0) {
                            numNoInet++;
                        } else if (items[i] == 1) {
                            numHasInet++;
                        }
                        i++;
                    } catch (java.lang.NumberFormatException e) {
                        android.util.Log.w("WifiProCommonUtils", "Broken network history: parse internetHistory failed.");
                    }
                }
                if (numChecked >= 2) {
                    if (items[0] != 1 && items[1] != 1) {
                        return false;
                    }
                    allowRecovery = true;
                    for (i = 1; i < numChecked; i++) {
                        if (items[i] != 1) {
                            allowRecovery = false;
                            break;
                        }
                    }
                }
                if (!allowRecovery && numChecked >= 3 && items[1] == 1 && items[2] == 1) {
                    allowRecovery = true;
                }
                if (!allowRecovery && numChecked >= 3 && ((float) numHasInet) / ((float) numChecked) >= 0.8f) {
                    allowRecovery = true;
                }
                return allowRecovery;
            }
        }
        android.util.Log.w("WifiProCommonUtils", "allowWifiConfigRecovery, inputed arg is invalid, internetHistory = null");
        return false;
    }

    public static boolean isNetworkReachableByICMP(java.lang.String ipAddress, int timeout) {
        try {
            return java.net.Inet4Address.getByName(ipAddress).isReachableByICMP(timeout);
        } catch (java.io.IOException e) {
            android.util.Log.d("WifiProCommonUtils", "IOException, isNetworkReachableByICMP failed!");
            return false;
        }
    }

    public static boolean isWifiOnly(android.content.Context context) {
        boolean z = false;
        if (context == null) {
            return false;
        }
        android.net.ConnectivityManager cm = (android.net.ConnectivityManager) context.getSystemService("connectivity");
        if (!(cm == null || cm.isNetworkSupported(0))) {
            z = true;
        }
        return z;
    }

    public static int getCurrenSignalLevel(android.net.wifi.WifiInfo wifiInfo) {
        if (wifiInfo != null) {
            return android.common.HwFrameworkFactory.getHwInnerWifiManager().calculateSignalLevelHW(wifiInfo.getFrequency(), wifiInfo.getRssi());
        }
        return 0;
    }

    public static int getSignalLevel(int frequency, int rssi) {
        return android.common.HwFrameworkFactory.getHwInnerWifiManager().calculateSignalLevelHW(frequency, rssi);
    }

    public static int getCurrentCellId() {
        int cellid = -1;
        int phoneId = android.telephony.HwTelephonyManager.getDefault().getPreferredDataSubscription();
        if (phoneId >= 0) {
            if (phoneId < 2) {
                android.telephony.CellLocation cellLocation = android.telephony.HwTelephonyManager.getDefault().getCellLocation(phoneId);
                if (cellLocation != null) {
                    if (cellLocation instanceof android.telephony.cdma.CdmaCellLocation) {
                        android.telephony.cdma.CdmaCellLocation cdmaCellLocation = (android.telephony.cdma.CdmaCellLocation) cellLocation;
                        cellid = cdmaCellLocation.getBaseStationId();
                        if (cellid < 0) {
                            cellid = cdmaCellLocation.getCid();
                        }
                    } else if (cellLocation instanceof android.telephony.gsm.GsmCellLocation) {
                        cellid = ((android.telephony.gsm.GsmCellLocation) cellLocation).getCid();
                    }
                }
                return cellid;
            }
        }
        return -1;
    }
}
