package com.android.server.wm;

public class HwGestureNavWhiteConfig {
    private static final java.lang.String CURRENT_ROM_VERSION = android.os.SystemProperties.get("ro.build.version.incremental", "B001");
    private static final java.lang.String TAG = "HwGestureNav";
    private static final java.lang.String WHITE_LIST = "GestureNav_whitelist.xml";
    private static final java.lang.String XML_ATTRIBUTE_ACTION = "action";
    private static final java.lang.String XML_ATTRIBUTE_NAME = "name";
    private static final java.lang.String XML_VERSION = "version";
    private static final java.lang.String XML_WINDOW = "window";
    private static final java.lang.String XML_WhITE_LIST = "whitelist";
    private static com.android.server.wm.HwGestureNavWhiteConfig hwGestureNavWhiteConfig;
    final boolean DEBUG;
    final int FLAG_FULLSCREEN = 1024;
    final int FLAG_GESTNAV_SLIDER_ONE;
    android.content.Context mContext;
    com.android.server.policy.WindowManagerPolicy.WindowState mCurrentWin;
    com.android.server.policy.WindowManagerPolicy.WindowState mNewWin;
    com.android.server.wm.WindowManagerService mService;
    private java.util.List<com.android.server.wm.HwGestureNavWhiteConfig.GestureNavAttr> mWindows;

    private class GestureNavAttr {
        boolean action = false;
        java.lang.String name = null;

        GestureNavAttr() {
        }

        public java.lang.String toString() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("name:");
            stringBuilder.append(this.name);
            stringBuilder.append(" action:");
            stringBuilder.append(this.action);
            return stringBuilder.toString();
        }
    }

    private static class WhitelistReadThread extends java.lang.Thread {
        protected WhitelistReadThread() {
            super("HwGestureNavWhiteConfig update thread");
        }

        public void run() {
            com.android.server.wm.HwGestureNavWhiteConfig.getInstance().initList();
        }
    }

    private class WhitelistUpdateThread extends java.lang.Thread {
        android.content.Context mContext = null;
        java.lang.String mFileName = null;

        protected WhitelistUpdateThread(android.content.Context context, java.lang.String fileName) {
            super("config update thread");
            this.mContext = context;
            this.mFileName = fileName;
        }

        public void run() {
            if (this.mFileName != null) {
                java.io.FileInputStream stream = com.android.server.wm.HwGestureNavWhiteConfig.this.getStreamFromPath(this.mContext, this.mFileName);
                java.lang.String target = new java.lang.StringBuilder();
                target.append(android.os.Environment.getDataSystemDirectory());
                target.append("/");
                target.append(com.android.server.wm.HwGestureNavWhiteConfig.CURRENT_ROM_VERSION);
                target.append("-");
                target.append("GestureNav_whitelist.xml");
                target = target.toString();
                if (stream != null) {
                    try {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("target ");
                        stringBuilder.append(target);
                        android.util.Slog.d("HwGestureNav", stringBuilder.toString());
                        com.android.server.wm.HwGestureNavWhiteConfig.this.copyFile(stream, target);
                        com.android.server.wm.HwGestureNavWhiteConfig.this.updateconfig();
                    } finally {
                        libcore.io.IoUtils.closeQuietly(stream);
                    }
                }
            }
        }
    }

    public static synchronized com.android.server.wm.HwGestureNavWhiteConfig getInstance() {
        com.android.server.wm.HwGestureNavWhiteConfig hwGestureNavWhiteConfig;
        synchronized (com.android.server.wm.HwGestureNavWhiteConfig.class) {
            if (hwGestureNavWhiteConfig == null) {
                hwGestureNavWhiteConfig = new com.android.server.wm.HwGestureNavWhiteConfig();
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("getInstance ");
                stringBuilder.append(hwGestureNavWhiteConfig);
                android.util.Slog.d("HwGestureNav", stringBuilder.toString());
            }
            hwGestureNavWhiteConfig = hwGestureNavWhiteConfig;
        }
        return hwGestureNavWhiteConfig;
    }

    public void initWmsServer(com.android.server.wm.WindowManagerService service, android.content.Context context) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("initWmsServer ");
        stringBuilder.append(this);
        android.util.Slog.d("HwGestureNav", stringBuilder.toString());
        this.mService = service;
        this.mContext = context;
    }

    public void updateconfig() {
        unInitList();
        initList();
    }

    public void updatewindow(com.android.server.policy.WindowManagerPolicy.WindowState win) {
        this.mNewWin = win;
    }

    /* JADX WARNING: Missing block: B:44:0x00b7, code:
            return r1;
     */
    /* JADX WARNING: Missing block: B:54:0x00eb, code:
            return false;
     */
    public synchronized boolean isEnable() {
        /*
        r8 = this;
        monitor-enter(r8);
        r0 = r8.mNewWin;	 Catch:{ all -> 0x00ec }
        r8.mCurrentWin = r0;	 Catch:{ all -> 0x00ec }
        r0 = r8.mCurrentWin;	 Catch:{ all -> 0x00ec }
        r1 = 0;
        if (r0 == 0) goto L_0x00d0;
    L_0x000a:
        r0 = r8.mService;	 Catch:{ all -> 0x00ec }
        if (r0 != 0) goto L_0x0010;
    L_0x000e:
        goto L_0x00d0;
    L_0x0010:
        r0 = r8.mService;	 Catch:{ all -> 0x00ec }
        r0 = r0.getDefaultDisplayContentLocked();	 Catch:{ all -> 0x00ec }
        r0 = r0.getRotation();	 Catch:{ all -> 0x00ec }
        if (r0 == 0) goto L_0x00b8;
    L_0x001c:
        r2 = 2;
        if (r0 != r2) goto L_0x0021;
    L_0x001f:
        goto L_0x00b8;
    L_0x0021:
        r2 = r8.findInList();	 Catch:{ all -> 0x00ec }
        if (r2 == 0) goto L_0x002b;
    L_0x0027:
        r1 = r2.action;	 Catch:{ all -> 0x00ec }
        monitor-exit(r8);
        return r1;
    L_0x002b:
        r3 = 0;
        r4 = r8.mService;	 Catch:{ all -> 0x00ec }
        r4 = r4.mPolicy;	 Catch:{ all -> 0x00ec }
        r4 = r4 instanceof com.android.server.policy.HwPhoneWindowManager;	 Catch:{ all -> 0x00ec }
        if (r4 == 0) goto L_0x003f;
    L_0x0034:
        r4 = r8.mService;	 Catch:{ all -> 0x00ec }
        r4 = r4.mPolicy;	 Catch:{ all -> 0x00ec }
        r4 = (com.android.server.policy.HwPhoneWindowManager) r4;	 Catch:{ all -> 0x00ec }
        r4 = r4.getLastSystemUiFlags();	 Catch:{ all -> 0x00ec }
        r3 = r4;
    L_0x003f:
        r4 = r8.DEBUG;	 Catch:{ all -> 0x00ec }
        r5 = 1;
        if (r4 == 0) goto L_0x008f;
    L_0x0044:
        r4 = "HwGestureNav";
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00ec }
        r6.<init>();	 Catch:{ all -> 0x00ec }
        r7 = "win:return ";
        r6.append(r7);	 Catch:{ all -> 0x00ec }
        r7 = r8.mCurrentWin;	 Catch:{ all -> 0x00ec }
        r7 = r7.getAttrs();	 Catch:{ all -> 0x00ec }
        r7 = r7.flags;	 Catch:{ all -> 0x00ec }
        r7 = r7 & 1024;
        if (r7 == 0) goto L_0x005f;
    L_0x005d:
        r7 = r5;
        goto L_0x0060;
    L_0x005f:
        r7 = r1;
    L_0x0060:
        r6.append(r7);	 Catch:{ all -> 0x00ec }
        r7 = " ";
        r6.append(r7);	 Catch:{ all -> 0x00ec }
        r7 = r3 & 4;
        if (r7 == 0) goto L_0x006e;
    L_0x006c:
        r7 = r5;
        goto L_0x006f;
    L_0x006e:
        r7 = r1;
    L_0x006f:
        r6.append(r7);	 Catch:{ all -> 0x00ec }
        r7 = " win:";
        r6.append(r7);	 Catch:{ all -> 0x00ec }
        r7 = r8.mCurrentWin;	 Catch:{ all -> 0x00ec }
        r6.append(r7);	 Catch:{ all -> 0x00ec }
        r7 = " extra ";
        r6.append(r7);	 Catch:{ all -> 0x00ec }
        r7 = r8.checkgestnavflags(r5);	 Catch:{ all -> 0x00ec }
        r6.append(r7);	 Catch:{ all -> 0x00ec }
        r6 = r6.toString();	 Catch:{ all -> 0x00ec }
        android.util.Slog.d(r4, r6);	 Catch:{ all -> 0x00ec }
    L_0x008f:
        r4 = r8.mCurrentWin;	 Catch:{ all -> 0x00ec }
        r4 = r4.getAttrs();	 Catch:{ all -> 0x00ec }
        r4 = r4.flags;	 Catch:{ all -> 0x00ec }
        r4 = r4 & 1024;
        if (r4 != 0) goto L_0x00ad;
    L_0x009b:
        r4 = r3 & 4;
        if (r4 == 0) goto L_0x00b5;
    L_0x009f:
        r4 = r8.mCurrentWin;	 Catch:{ all -> 0x00ec }
        r4 = r4.toString();	 Catch:{ all -> 0x00ec }
        r6 = "StatusBar";
        r4 = r4.contains(r6);	 Catch:{ all -> 0x00ec }
        if (r4 != 0) goto L_0x00b5;
    L_0x00ad:
        r4 = r8.checkgestnavflags(r5);	 Catch:{ all -> 0x00ec }
        if (r4 != 0) goto L_0x00b5;
    L_0x00b3:
        r1 = r5;
        goto L_0x00b6;
    L_0x00b6:
        monitor-exit(r8);
        return r1;
    L_0x00b8:
        r2 = "HwGestureNav";
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00ec }
        r3.<init>();	 Catch:{ all -> 0x00ec }
        r4 = "rotation is ";
        r3.append(r4);	 Catch:{ all -> 0x00ec }
        r3.append(r0);	 Catch:{ all -> 0x00ec }
        r3 = r3.toString();	 Catch:{ all -> 0x00ec }
        android.util.Slog.d(r2, r3);	 Catch:{ all -> 0x00ec }
        monitor-exit(r8);
        return r1;
    L_0x00d0:
        r0 = r8.mService;	 Catch:{ all -> 0x00ec }
        if (r0 != 0) goto L_0x00ea;
    L_0x00d4:
        r0 = "HwGestureNav";
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00ec }
        r2.<init>();	 Catch:{ all -> 0x00ec }
        r3 = "mService == null";
        r2.append(r3);	 Catch:{ all -> 0x00ec }
        r2.append(r8);	 Catch:{ all -> 0x00ec }
        r2 = r2.toString();	 Catch:{ all -> 0x00ec }
        android.util.Slog.d(r0, r2);	 Catch:{ all -> 0x00ec }
    L_0x00ea:
        monitor-exit(r8);
        return r1;
    L_0x00ec:
        r0 = move-exception;
        monitor-exit(r8);
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.wm.HwGestureNavWhiteConfig.isEnable():boolean");
    }

    private boolean checkgestnavflags(int flags) {
        android.content.pm.PackageManager pm = this.mContext.getPackageManager();
        if (pm == null) {
            return false;
        }
        java.lang.String pckName = this.mCurrentWin.getAttrs().packageName;
        if (this.DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("pckName");
            stringBuilder.append(pckName);
            android.util.Slog.d("HwGestureNav", stringBuilder.toString());
        }
        try {
            android.content.pm.ApplicationInfo info = pm.getApplicationInfo(pckName, 0);
            if (info == null || (info.gestnav_extra_flags & flags) != flags) {
                return false;
            }
            return true;
        } catch (java.lang.Exception ex) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("not found app");
            stringBuilder2.append(pckName);
            stringBuilder2.append("exception=");
            stringBuilder2.append(ex.toString());
            stringBuilder2.append("mCurrentWin ");
            stringBuilder2.append(this.mCurrentWin);
            android.util.Slog.e("HwGestureNav", stringBuilder2.toString());
            return false;
        }
    }

    private HwGestureNavWhiteConfig() {
        boolean z = true;
        this.FLAG_GESTNAV_SLIDER_ONE = 1;
        if (!android.os.SystemProperties.getBoolean("ro.debuggable", false)) {
            if (!android.os.SystemProperties.getBoolean("persist.sys.huawei.debug.on", false)) {
                z = false;
            }
        }
        this.DEBUG = z;
        this.mWindows = new java.util.ArrayList();
        new com.android.server.wm.HwGestureNavWhiteConfig.WhitelistReadThread().start();
    }

    private void initList() {
        long now = java.lang.System.nanoTime();
        loadconfig();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("load config use:");
        stringBuilder.append(java.lang.System.nanoTime() - now);
        android.util.Slog.d("HwGestureNav", stringBuilder.toString());
    }

    private com.android.server.wm.HwGestureNavWhiteConfig.GestureNavAttr findInList() {
        com.android.server.wm.HwGestureNavWhiteConfig.GestureNavAttr object = findInList(this.mWindows);
        if (object != null) {
            return object;
        }
        return null;
    }

    private java.lang.String getKeyString(java.lang.String key) {
        if (key == null) {
            return null;
        }
        java.lang.StringBuilder stringBuilder;
        if (key.substring(key.length() - 1).equals("*")) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" ");
            stringBuilder.append(key.substring(0, key.length() - 1));
            return stringBuilder.toString();
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(" ");
        stringBuilder.append(key);
        stringBuilder.append("}");
        return stringBuilder.toString();
    }

    private com.android.server.wm.HwGestureNavWhiteConfig.GestureNavAttr findInList(java.util.List<com.android.server.wm.HwGestureNavWhiteConfig.GestureNavAttr> list) {
        java.lang.String wininfo = this.mCurrentWin.toString();
        int size = list.size();
        if (this.DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("win:");
            stringBuilder.append(wininfo);
            stringBuilder.append(" ");
            stringBuilder.append(list);
            android.util.Slog.d("HwGestureNav", stringBuilder.toString());
        }
        for (int i = 0; i < size; i++) {
            if (wininfo.contains(((com.android.server.wm.HwGestureNavWhiteConfig.GestureNavAttr) list.get(i)).name)) {
                return (com.android.server.wm.HwGestureNavWhiteConfig.GestureNavAttr) list.get(i);
            }
        }
        return null;
    }

    private void unInitList() {
        this.mWindows.clear();
    }

    private void addWindowToList(com.android.server.wm.HwGestureNavWhiteConfig.GestureNavAttr window) {
        if (this.DEBUG) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("add name:");
            stringBuilder.append(window.name);
            stringBuilder.append(" action ");
            stringBuilder.append(window.action);
            android.util.Slog.d("HwGestureNav", stringBuilder.toString());
        }
        if (!this.mWindows.contains(window)) {
            this.mWindows.add(window);
        }
    }

    private void loadconfig() {
        java.lang.String filePath = new java.lang.StringBuilder();
        filePath.append(android.os.Environment.getDataSystemDirectory());
        filePath.append("/");
        filePath.append(CURRENT_ROM_VERSION);
        filePath.append("-");
        filePath.append("GestureNav_whitelist.xml");
        filePath = filePath.toString();
        java.io.File configfile = new java.io.File(filePath);
        if (configfile.exists()) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("load config:");
            stringBuilder.append(filePath);
            android.util.Slog.d("HwGestureNav", stringBuilder.toString());
        } else {
            configfile = huawei.cust.HwCfgFilePolicy.getCfgFile("xml/GestureNav_whitelist.xml", 0);
            android.util.Slog.d("HwGestureNav", "load defalut config...");
        }
        loadconfig(configfile);
    }

    /* JADX WARNING: Removed duplicated region for block: B:16:0x0027 A:{Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015, all -> 0x0012 }} */
    /* JADX WARNING: Removed duplicated region for block: B:73:? A:{SYNTHETIC, RETURN, ORIG_RETURN} */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x00ea A:{SYNTHETIC, Splitter: B:42:0x00ea} */
    private void loadconfig(java.io.File r9) {
        /*
        r8 = this;
        r0 = 0;
        r1 = 0;
        r2 = r1;
        if (r9 == 0) goto L_0x001e;
    L_0x0005:
        r3 = r9.exists();	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        if (r3 == 0) goto L_0x001e;
    L_0x000b:
        r3 = new java.io.FileInputStream;	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r3.<init>(r9);	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r0 = r3;
        goto L_0x0025;
    L_0x0012:
        r1 = move-exception;
        goto L_0x0122;
    L_0x0015:
        r1 = move-exception;
        goto L_0x00f7;
    L_0x0018:
        r1 = move-exception;
        goto L_0x0105;
    L_0x001b:
        r1 = move-exception;
        goto L_0x0113;
    L_0x001e:
        r3 = "HwGestureNav";
        r4 = "GestureNav_whitelist.xml is not exist";
        android.util.Slog.w(r3, r4);	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
    L_0x0025:
        if (r0 == 0) goto L_0x00e8;
    L_0x0027:
        r3 = android.util.Xml.newPullParser();	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r2 = r3;
        r2.setInput(r0, r1);	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r3 = r2.next();	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
    L_0x0033:
        r4 = 1;
        if (r3 == r4) goto L_0x00e8;
    L_0x0036:
        r5 = r8.DEBUG;	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        if (r5 == 0) goto L_0x006b;
    L_0x003a:
        r5 = "HwGestureNav";
        r6 = new java.lang.StringBuilder;	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r6.<init>();	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r7 = "xmlname ";
        r6.append(r7);	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r7 = r2.getName();	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r6.append(r7);	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r6 = r6.toString();	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        android.util.Slog.d(r5, r6);	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r5 = "HwGestureNav";
        r6 = new java.lang.StringBuilder;	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r6.<init>();	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r7 = "EventType ";
        r6.append(r7);	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r6.append(r3);	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r6 = r6.toString();	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        android.util.Slog.d(r5, r6);	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
    L_0x006b:
        r5 = 2;
        if (r3 != r5) goto L_0x00a3;
    L_0x006e:
        r6 = "window";
        r7 = r2.getName();	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r6 = r6.equals(r7);	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        if (r6 == 0) goto L_0x00a3;
    L_0x007b:
        r5 = new com.android.server.wm.HwGestureNavWhiteConfig$GestureNavAttr;	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r5.<init>();	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r6 = "name";
        r6 = r2.getAttributeValue(r1, r6);	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r6 = r8.getKeyString(r6);	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r5.name = r6;	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r6 = "action";
        r6 = r2.getAttributeValue(r1, r6);	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r5.action = r4;	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r4 = "false";
        r4 = r6.equals(r4);	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        if (r4 == 0) goto L_0x009f;
    L_0x009c:
        r4 = 0;
        r5.action = r4;	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
    L_0x009f:
        r8.addWindowToList(r5);	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        goto L_0x00e1;
    L_0x00a3:
        if (r3 != r5) goto L_0x00d0;
    L_0x00a5:
        r4 = "version";
        r5 = r2.getName();	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r4 = r4.equals(r5);	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        if (r4 == 0) goto L_0x00d0;
    L_0x00b2:
        r4 = "name";
        r4 = r2.getAttributeValue(r1, r4);	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r5 = "HwGestureNav";
        r6 = new java.lang.StringBuilder;	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r6.<init>();	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r7 = "whitelist version :";
        r6.append(r7);	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r6.append(r4);	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r6 = r6.toString();	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        android.util.Log.d(r5, r6);	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        goto L_0x00e1;
    L_0x00d0:
        r4 = 3;
        if (r3 != r4) goto L_0x00e1;
    L_0x00d3:
        r4 = "whitelist";
        r5 = r2.getName();	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r4 = r4.equals(r5);	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        if (r4 == 0) goto L_0x00e1;
    L_0x00e0:
        goto L_0x00e8;
    L_0x00e1:
        r4 = r2.next();	 Catch:{ FileNotFoundException -> 0x001b, XmlPullParserException -> 0x0018, IOException -> 0x0015 }
        r3 = r4;
        goto L_0x0033;
    L_0x00e8:
        if (r0 == 0) goto L_0x0121;
    L_0x00ea:
        r0.close();	 Catch:{ IOException -> 0x00ee }
    L_0x00ed:
        goto L_0x0121;
    L_0x00ee:
        r1 = move-exception;
        r3 = "HwGestureNav";
        r4 = "load GestureNav config: IO Exception while closing stream";
        android.util.Log.e(r3, r4, r1);
        goto L_0x00ed;
        r3 = "HwGestureNav";
        r4 = "load GestureNav IOException: ";
        android.util.Log.e(r3, r4, r1);	 Catch:{ all -> 0x0012 }
        if (r0 == 0) goto L_0x0121;
    L_0x0101:
        r0.close();	 Catch:{ IOException -> 0x00ee }
        goto L_0x00ed;
        r3 = "HwGestureNav";
        r4 = "load GestureNav XmlPullParserException: ";
        android.util.Log.e(r3, r4, r1);	 Catch:{ all -> 0x0012 }
        if (r0 == 0) goto L_0x0121;
    L_0x010f:
        r0.close();	 Catch:{ IOException -> 0x00ee }
        goto L_0x00ed;
        r3 = "HwGestureNav";
        r4 = "load GestureNav FileNotFoundException: ";
        android.util.Log.e(r3, r4, r1);	 Catch:{ all -> 0x0012 }
        if (r0 == 0) goto L_0x0121;
    L_0x011d:
        r0.close();	 Catch:{ IOException -> 0x00ee }
        goto L_0x00ed;
    L_0x0121:
        return;
    L_0x0122:
        if (r0 == 0) goto L_0x0130;
    L_0x0124:
        r0.close();	 Catch:{ IOException -> 0x0128 }
        goto L_0x0130;
    L_0x0128:
        r3 = move-exception;
        r4 = "HwGestureNav";
        r5 = "load GestureNav config: IO Exception while closing stream";
        android.util.Log.e(r4, r5, r3);
    L_0x0130:
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.wm.HwGestureNavWhiteConfig.loadconfig(java.io.File):void");
    }

    /* JADX WARNING: Removed duplicated region for block: B:29:0x0067 A:{SYNTHETIC, Splitter: B:29:0x0067} */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x0074 A:{SYNTHETIC, Splitter: B:35:0x0074} */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x0067 A:{SYNTHETIC, Splitter: B:29:0x0067} */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x0074 A:{SYNTHETIC, Splitter: B:35:0x0074} */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x0067 A:{SYNTHETIC, Splitter: B:29:0x0067} */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x0074 A:{SYNTHETIC, Splitter: B:35:0x0074} */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x0067 A:{SYNTHETIC, Splitter: B:29:0x0067} */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x0074 A:{SYNTHETIC, Splitter: B:35:0x0074} */
    private boolean copyFile(java.io.FileInputStream r12, java.lang.String r13) {
        /*
        r11 = this;
        r0 = 0;
        if (r12 == 0) goto L_0x0080;
    L_0x0003:
        if (r13 != 0) goto L_0x0007;
    L_0x0005:
        goto L_0x0080;
    L_0x0007:
        r1 = new java.io.File;
        r1.<init>(r13);
        r2 = r1.exists();
        if (r2 == 0) goto L_0x0015;
    L_0x0012:
        r1.delete();
        r1.createNewFile();	 Catch:{ IOException -> 0x001a }
        goto L_0x0032;
    L_0x001a:
        r2 = move-exception;
        r3 = "HwGestureNav";
        r4 = new java.lang.StringBuilder;
        r4.<init>();
        r5 = "IOException:";
        r4.append(r5);
        r4.append(r2);
        r4 = r4.toString();
        android.util.Log.e(r3, r4);
        goto L_0x0033;
    L_0x0033:
        r2 = 0;
        r3 = 0;
        r4 = r12.getChannel();	 Catch:{ FileNotFoundException -> 0x005f, IOException -> 0x0059 }
        r2 = r4;
        r4 = new java.io.FileOutputStream;	 Catch:{ FileNotFoundException -> 0x005f, IOException -> 0x0059 }
        r4.<init>(r1);	 Catch:{ FileNotFoundException -> 0x005f, IOException -> 0x0059 }
        r10 = r4.getChannel();	 Catch:{ FileNotFoundException -> 0x005f, IOException -> 0x0059 }
        r6 = 0;
        r8 = r2.size();	 Catch:{ FileNotFoundException -> 0x0055, IOException -> 0x0051 }
        r5 = r2;
        r5.transferTo(r6, r8, r10);	 Catch:{ FileNotFoundException -> 0x0055, IOException -> 0x0051 }
        r0 = 1;
        r3 = r10;
        goto L_0x0065;
    L_0x0051:
        r3 = move-exception;
        r4 = r3;
        r3 = r10;
        goto L_0x005a;
    L_0x0055:
        r3 = move-exception;
        r4 = r3;
        r3 = r10;
        goto L_0x0060;
    L_0x0059:
        r4 = move-exception;
    L_0x005a:
        r0 = 0;
        r4.printStackTrace();
        goto L_0x0065;
    L_0x005f:
        r4 = move-exception;
    L_0x0060:
        r0 = 0;
        r4.printStackTrace();
    L_0x0065:
        if (r2 == 0) goto L_0x0071;
    L_0x0067:
        r2.close();	 Catch:{ IOException -> 0x006b }
        goto L_0x0071;
    L_0x006b:
        r4 = move-exception;
        r0 = 0;
        r4.printStackTrace();
        goto L_0x0072;
    L_0x0072:
        if (r3 == 0) goto L_0x007e;
    L_0x0074:
        r3.close();	 Catch:{ IOException -> 0x0078 }
        goto L_0x007e;
    L_0x0078:
        r4 = move-exception;
        r0 = 0;
        r4.printStackTrace();
        goto L_0x007f;
    L_0x007f:
        return r0;
    L_0x0080:
        return r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.wm.HwGestureNavWhiteConfig.copyFile(java.io.FileInputStream, java.lang.String):boolean");
    }

    private java.io.FileInputStream getStreamFromPath(android.content.Context Context, java.lang.String fileName) {
        android.os.ParcelFileDescriptor parcelFileDesc = null;
        java.io.FileInputStream inputStream = null;
        try {
            inputStream = new java.io.FileInputStream(new java.io.File(fileName));
            if (parcelFileDesc != null) {
                try {
                    parcelFileDesc.close();
                } catch (java.io.IOException e) {
                    android.util.Log.e("HwGestureNav", "parcelFileDesc error!");
                }
            }
        } catch (java.io.FileNotFoundException e2) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("FileNotFoundException:");
            stringBuilder.append(e2);
            android.util.Log.e("HwGestureNav", stringBuilder.toString());
            if (parcelFileDesc != null) {
                parcelFileDesc.close();
            }
        } catch (Throwable th) {
            if (parcelFileDesc != null) {
                try {
                    parcelFileDesc.close();
                } catch (java.io.IOException e3) {
                    android.util.Log.e("HwGestureNav", "parcelFileDesc error!");
                }
            }
        }
        return inputStream;
    }

    public void updateWhitelistByHot(android.content.Context context, java.lang.String fileName) {
        new com.android.server.wm.HwGestureNavWhiteConfig.WhitelistUpdateThread(context, fileName).start();
    }
}
