package com.android.server.wm;

/* compiled from: HwScreenRotationAnimationImpl */
class HwScreenRotationAnimation extends com.android.server.wm.ScreenRotationAnimation {
    private static final boolean ENABLE_ROUND_CORNER_DISPLAY = android.os.Environment.buildPath(null, new java.lang.String[]{"/product/etc/display/RoundCornerDisplay/config.xml"}).exists();
    private static final int SCREEN_ROTATION_ANIMATION_END = 8001;
    private static final java.lang.String TAG_RCD = "RoundCornerDisplay";

    public HwScreenRotationAnimation(android.content.Context context, com.android.server.wm.DisplayContent displayContent, boolean forceDefaultOrientation, boolean isSecure, com.android.server.wm.WindowManagerService service) {
        super(context, displayContent, forceDefaultOrientation, isSecure, service);
    }

    public void kill() {
        super.kill();
        if (ENABLE_ROUND_CORNER_DISPLAY && this.mDisplayContent.getDisplayId() == 0) {
            android.os.Parcel dataIn = android.os.Parcel.obtain();
            try {
                android.os.IBinder sfBinder = android.os.ServiceManager.getService("SurfaceFlinger");
                if (!(sfBinder == null || sfBinder.transact(8001, dataIn, null, 1))) {
                    android.util.Log.e("RoundCornerDisplay", "Notify screen rotation animation end failed!");
                }
            } catch (android.os.RemoteException e) {
                android.util.Log.e("RoundCornerDisplay", "RemoteException on notify screen rotation animation end");
            } catch (Throwable th) {
                dataIn.recycle();
            }
            dataIn.recycle();
        }
    }
}
