package com.android.server.wm;

public class HwStartWindowRecord {
    private static com.android.server.wm.HwStartWindowRecord sInstance;
    private java.util.Map<java.lang.String, android.os.IBinder> mStartWindowApps = new java.util.HashMap();

    public static synchronized com.android.server.wm.HwStartWindowRecord getInstance() {
        com.android.server.wm.HwStartWindowRecord hwStartWindowRecord;
        synchronized (com.android.server.wm.HwStartWindowRecord.class) {
            if (sInstance == null) {
                sInstance = new com.android.server.wm.HwStartWindowRecord();
            }
            hwStartWindowRecord = sInstance;
        }
        return hwStartWindowRecord;
    }

    private HwStartWindowRecord() {
    }

    public void updateStartWindowApp(java.lang.String packageName, android.os.IBinder token) {
        synchronized (this.mStartWindowApps) {
            this.mStartWindowApps.put(packageName, token);
        }
    }

    public boolean checkStartWindowApp(java.lang.String packageName) {
        synchronized (this.mStartWindowApps) {
            if (this.mStartWindowApps.get(packageName) != null) {
                return true;
            }
            return false;
        }
    }

    public android.os.IBinder getTransferFromStartWindowApp(java.lang.String packageName) {
        android.os.IBinder iBinder;
        synchronized (this.mStartWindowApps) {
            iBinder = (android.os.IBinder) this.mStartWindowApps.get(packageName);
        }
        return iBinder;
    }

    public void resetStartWindowApp(java.lang.String packageName) {
        synchronized (this.mStartWindowApps) {
            this.mStartWindowApps.put(packageName, null);
        }
    }

    public boolean isStartWindowApp(java.lang.String packageName) {
        boolean containsKey;
        synchronized (this.mStartWindowApps) {
            containsKey = this.mStartWindowApps.containsKey(packageName);
        }
        return containsKey;
    }

    public void removeStartWindowApp(java.lang.String packageName) {
        synchronized (this.mStartWindowApps) {
            this.mStartWindowApps.remove(packageName);
        }
    }

    public void clearStartWindowApp() {
        synchronized (this.mStartWindowApps) {
            this.mStartWindowApps.clear();
        }
    }
}
