package com.android.server.wm;

public class HwWindowManagerService extends com.android.server.wm.WindowManagerService {
    static final boolean DEBUG = false;
    private static final int IBINDER_CODE_FREEZETHAWROTATION = 208;
    private static final int IBINDER_CODE_IS_KEYGUARD_DISABLE = 1000;
    private static final boolean IS_NOTCH_PROP = (android.os.SystemProperties.get("ro.config.hw_notch_size", "").equals("") ^ 1);
    private static final long MSG_ROG_FREEZE_TIME_DELEAYED = 6000;
    public static final int ROG_FREEZE_TIMEOUT = 100;
    private static final int SET_NAVIBAR_SHOWLEFT_TRANSACTION = 2201;
    private static final int SINGLE_HAND_STATE = 1989;
    private static final int SINGLE_HAND_SWITCH = 1990;
    static final java.lang.String TAG = com.android.server.wm.HwWindowManagerService.class.getSimpleName();
    public static final int UPDATE_NAVIGATIONBAR = 99;
    private boolean IS_SUPPORT_PRESSURE = false;
    final int TRANSACTION_GETTOUCHCOUNTINFO = 1006;
    final int TRANSACTION_isDimLayerVisible = 1007;
    final int TRANSACTION_isIMEVisble = 1004;
    final int TRANSACTION_registerWindowCallback = 1002;
    final int TRANSACTION_registerWindowObserver = 1009;
    final int TRANSACTION_setCoverState = 1008;
    final int TRANSACTION_unRegisterWindowCallback = 1003;
    final int TRANSACTION_unregisterWindowObserver = 1010;
    android.view.IWindow mCurrentWindow = null;
    private com.android.server.wm.WindowState mCurrentWindowState = null;
    com.android.server.wm.IntelliServiceManager.FaceRotationCallback mFaceRotationCallback = new com.android.server.wm.IntelliServiceManager.FaceRotationCallback() {
        public void onEvent(int faceRotation) {
            com.android.server.wm.HwWindowManagerService.this.updateRotationUnchecked(false, false);
        }
    };
    com.android.server.wm.AppWindowToken mFocusedAppForNavi = null;
    protected int mFocusedDisplayId = -1;
    final android.os.Handler mHandler = new com.android.server.wm.WindowManagerService.H(this);
    private boolean mHasRecord = false;
    private com.android.server.wm.WindowState mHoldWindow;
    private android.os.Handler mHwHandler = new android.os.Handler() {
        public void handleMessage(android.os.Message msg) {
            switch (msg.what) {
                case 99:
                    com.android.server.wm.HwWindowManagerService hwWindowManagerService = com.android.server.wm.HwWindowManagerService.this;
                    boolean z = true;
                    if (msg.arg1 != 1) {
                        z = false;
                    }
                    hwWindowManagerService.updateNavigationBar(z);
                    return;
                case 100:
                    android.util.Slog.d(com.android.server.wm.HwWindowManagerService.TAG, "ROG_FREEZE_TIMEOUT");
                    android.view.SurfaceControl.unfreezeDisplay();
                    return;
                default:
                    return;
            }
        }
    };
    private android.graphics.RectF mImeDockShownFrame = new android.graphics.RectF();
    boolean mIsCoverOpen = true;
    long mLastRelayoutNotifyTime;
    private int mLayerIndex = -1;
    boolean mLayoutNaviBar = false;
    private com.android.internal.widget.LockPatternUtils mLockPatternUtils;
    private com.android.server.wm.WindowState mPCHoldWindow;
    private final java.lang.Runnable mReevaluateStatusBarSize = new java.lang.Runnable() {
        public void run() {
            synchronized (com.android.server.wm.HwWindowManagerService.this.mWindowMap) {
                com.android.server.wm.HwWindowManagerService.this.mIgnoreFrozen = true;
                if (com.android.server.wm.HwWindowManagerService.this.mLayoutNaviBar) {
                    com.android.server.wm.HwWindowManagerService.this.mLayoutNaviBar = false;
                    com.android.server.wm.HwWindowManagerService.this.mCurNaviConfiguration = com.android.server.wm.HwWindowManagerService.this.computeNewConfigurationLocked(com.android.server.wm.HwWindowManagerService.this.getDefaultDisplayContentLocked().getDisplayId());
                    if (com.android.server.wm.HwWindowManagerService.this.mRoot.mWallpaperController.getWallpaperTarget() != null) {
                        com.android.server.wm.HwWindowManagerService.this.mRoot.mWallpaperController.updateWallpaperVisibility();
                    }
                    com.android.server.wm.HwWindowManagerService.this.performhwLayoutAndPlaceSurfacesLocked();
                } else {
                    com.android.server.wm.HwWindowManagerService.this.performhwLayoutAndPlaceSurfacesLocked();
                }
            }
        }
    };
    long mRelayoutNotifyPeriod;
    private java.util.ArrayList<com.android.server.wm.WindowState> mSecureScreenRecords = new java.util.ArrayList();
    private java.util.ArrayList<com.android.server.wm.WindowState> mSecureScreenShot = new java.util.ArrayList();
    private volatile long mSetTime = 0;
    private com.android.server.wm.SingleHandAdapter mSingleHandAdapter;
    private int mSingleHandSwitch;
    private boolean mSplitMode = false;
    private int mTempOrientation = -3;
    private com.android.server.wm.AppWindowToken mTempToken = null;
    private final android.os.Handler mUiHandler;
    android.view.IWindowLayoutObserver mWindowLayoutObserver = null;

    public HwWindowManagerService(android.content.Context context, com.android.server.input.InputManagerService inputManager, boolean haveInputMethods, boolean showBootMsgs, boolean onlyCore, com.android.server.policy.WindowManagerPolicy policy) {
        super(context, inputManager, haveInputMethods, showBootMsgs, onlyCore, policy);
        this.mLockPatternUtils = new com.android.internal.widget.LockPatternUtils(context);
        this.mUiHandler = com.android.server.UiThread.getHandler();
        com.android.server.wm.HwGestureNavWhiteConfig.getInstance().initWmsServer(this, context);
    }

    private boolean judgeSingleHandSwitchBySize() {
        return this.mContext.getResources().getBoolean(34537473);
    }

    protected void setCropOnSingleHandMode(int singleHandleMode, boolean isMultiWindowApp, int dw, int dh, android.graphics.Rect crop) {
        float singleHandCutPercent = 1.0f - 0.75f;
        float verticalBlank = ((float) dh) * singleHandCutPercent;
        float horizontalBlank = ((float) dw) * singleHandCutPercent;
        if (singleHandleMode == 1) {
            crop.right -= (int) horizontalBlank;
        } else {
            crop.left += (int) horizontalBlank;
        }
        if (isMultiWindowApp) {
            if (crop.top == 0) {
                crop.top += (int) (((float) dh) * singleHandCutPercent);
            } else {
                crop.top = (int) ((((float) crop.top) * 0.75f) + (((float) dh) * singleHandCutPercent));
            }
            crop.bottom = (int) ((((float) crop.bottom) * 0.75f) + (((float) dh) * singleHandCutPercent));
            return;
        }
        if (crop.top > 0) {
            crop.top = (int) ((((float) crop.top) * 0.75f) + verticalBlank);
        } else {
            crop.top = (int) verticalBlank;
        }
        if (crop.bottom < dh) {
            crop.bottom = (int) (((float) crop.bottom) + (((float) (dh - crop.bottom)) * singleHandCutPercent));
        }
    }

    protected void hwProcessOnMatrix(int rotation, int width, int height, android.graphics.Rect frame, android.graphics.Matrix outMatrix) {
        switch (rotation) {
            case 0:
            case 2:
                return;
            case 1:
            case 3:
                outMatrix.postRotate(90.0f);
                outMatrix.postTranslate((float) width, 0.0f);
                return;
            default:
                return;
        }
    }

    boolean updateFocusedWindowLocked(int mode, boolean updateInputWindows) {
        boolean ret = super.updateFocusedWindowLocked(mode, updateInputWindows);
        com.android.server.wm.HwGestureNavWhiteConfig.getInstance().updatewindow(this.mCurrentFocus);
        return ret;
    }

    public boolean isGestureNavMisTouch() {
        return com.android.server.wm.HwGestureNavWhiteConfig.getInstance().isEnable();
    }

    public int addWindow(com.android.server.wm.Session session, android.view.IWindow client, int seq, android.view.WindowManager.LayoutParams attrs, int viewVisibility, int displayId, android.graphics.Rect outFrame, android.graphics.Rect outContentInsets, android.graphics.Rect outStableInsets, android.graphics.Rect outOutsets, android.view.DisplayCutout.ParcelableWrapper outDisplayCutout, android.view.InputChannel outInputChannel) {
        java.lang.String str;
        android.view.WindowManager.LayoutParams layoutParams = attrs;
        int i = displayId;
        if (layoutParams.type == 2101) {
            layoutParams.token = null;
        }
        if (android.util.HwPCUtils.isPcCastModeInServer() && this.mHardKeyboardAvailable && 2011 == layoutParams.type) {
            str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("addInputMethodWindow: displayId = ");
            stringBuilder.append(i);
            android.util.Slog.i(str, stringBuilder.toString());
        }
        int newDisplayId = android.util.HwPCUtils.getPCDisplayID();
        if (android.util.HwPCUtils.enabledInPad() && android.util.HwPCUtils.isPcCastModeInServer() && android.util.HwPCUtils.isValidExtDisplayId(newDisplayId) && newDisplayId != i) {
            int newDisplayId2;
            java.lang.StringBuilder stringBuilder2;
            if ("HwGlobalActions".equals(attrs.getTitle()) || "VolumeDialog".equals(attrs.getTitle()) || "com.ss.android.article.news".equals(layoutParams.packageName) || 2010 == layoutParams.type || 2011 == layoutParams.type || 2012 == layoutParams.type || 2003 == layoutParams.type) {
                newDisplayId2 = newDisplayId;
            } else {
                if (2009 == layoutParams.type) {
                    if (!"com.android.systemui".equals(layoutParams.packageName)) {
                    }
                    newDisplayId2 = newDisplayId;
                }
                if (!(2008 == layoutParams.type && "com.android.systemui".equals(layoutParams.packageName))) {
                    if (!"com.google.android.marvin.talkback".equals(layoutParams.packageName)) {
                        if (layoutParams.type >= 1000 && layoutParams.type <= 1999) {
                            com.android.server.wm.WindowState parentWindow = windowForClientLocked(null, layoutParams.token, false);
                            if (parentWindow != null && parentWindow.mAttrs.type == 2011) {
                                str = TAG;
                                stringBuilder2 = new java.lang.StringBuilder();
                                stringBuilder2.append("addSubWindow Title = ");
                                stringBuilder2.append(attrs.getTitle());
                                stringBuilder2.append("packageName = ");
                                stringBuilder2.append(layoutParams.packageName);
                                stringBuilder2.append(",setdisplayId = ");
                                stringBuilder2.append(newDisplayId);
                                stringBuilder2.append(" oldDisplayID=");
                                stringBuilder2.append(i);
                                android.util.HwPCUtils.log(str, stringBuilder2.toString());
                                return super.addWindow(session, client, seq, layoutParams, viewVisibility, newDisplayId, outFrame, outContentInsets, outStableInsets, outOutsets, outDisplayCutout, outInputChannel);
                            }
                        }
                    }
                }
                newDisplayId2 = newDisplayId;
            }
            str = TAG;
            stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("addWindow Title = ");
            stringBuilder2.append(attrs.getTitle());
            stringBuilder2.append("packageName = ");
            stringBuilder2.append(layoutParams.packageName);
            stringBuilder2.append(",setdisplayId = ");
            stringBuilder2.append(newDisplayId2);
            stringBuilder2.append(" oldDisplayID=");
            stringBuilder2.append(i);
            android.util.HwPCUtils.log(str, stringBuilder2.toString());
            return super.addWindow(session, client, seq, layoutParams, viewVisibility, newDisplayId2, outFrame, outContentInsets, outStableInsets, outOutsets, outDisplayCutout, outInputChannel);
        }
        return super.addWindow(session, client, seq, attrs, viewVisibility, displayId, outFrame, outContentInsets, outStableInsets, outOutsets, outDisplayCutout, outInputChannel);
    }

    public void setCoverManagerState(boolean isCoverOpen) {
        this.mIsCoverOpen = isCoverOpen;
        com.android.server.HwServiceFactory.setIfCoverClosed(isCoverOpen ^ 1);
    }

    public boolean isCoverOpen() {
        return this.mIsCoverOpen;
    }

    public void freezeOrThawRotation(int rotation) {
        if (!checkCallingPermission("android.permission.SET_ORIENTATION", "freezeRotation()")) {
            throw new java.lang.SecurityException("Requires SET_ORIENTATION permission");
        } else if (rotation < -1 || rotation > 3) {
            throw new java.lang.IllegalArgumentException("Rotation argument must be -1 or a valid rotation constant.");
        } else {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("freezeRotationTemporarily: rotation=");
            stringBuilder.append(rotation);
            android.util.Slog.v(str, stringBuilder.toString());
            if (this.mPolicy instanceof com.android.server.policy.HwPhoneWindowManager) {
                ((com.android.server.policy.HwPhoneWindowManager) this.mPolicy).freezeOrThawRotation(rotation);
            }
            super.updateRotationUnchecked(false, false);
        }
    }

    public boolean isKeyguardOccluded() {
        if (this.mPolicy instanceof com.android.server.policy.HwPhoneWindowManager) {
            return ((com.android.server.policy.HwPhoneWindowManager) this.mPolicy).isKeyguardOccluded();
        }
        return false;
    }

    public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
        if (code != 209) {
            boolean z = false;
            if (code != 2201) {
                java.lang.RuntimeException e;
                int i;
                switch (code) {
                    case 203:
                        data.enforceInterface("android.view.IWindowManager");
                        rotateWithHoldDialog();
                        reply.writeNoException();
                        return true;
                    case 204:
                        data.enforceInterface("android.view.IWindowManager");
                        this.mHwHandler.sendMessage(this.mHwHandler.obtainMessage(99, data.readInt(), 0));
                        reply.writeNoException();
                        return true;
                    case 205:
                        data.enforceInterface("android.view.IWindowManager");
                        if ((this.mPolicy instanceof com.android.server.policy.HwPhoneWindowManager) != null) {
                            ((com.android.server.policy.HwPhoneWindowManager) this.mPolicy).swipeFromTop();
                        }
                        reply.writeNoException();
                        return true;
                    case 206:
                        data.enforceInterface("android.view.IWindowManager");
                        e = null;
                        if (this.mPolicy instanceof com.android.server.policy.HwPhoneWindowManager) {
                            e = ((com.android.server.policy.HwPhoneWindowManager) this.mPolicy).isTopIsFullscreen();
                        }
                        if (e != null) {
                            i = 1;
                        }
                        reply.writeInt(i);
                        return true;
                    case 207:
                        data.enforceInterface("android.view.IWindowManager");
                        if ((this.mPolicy instanceof com.android.server.policy.HwPhoneWindowManager) != null) {
                            ((com.android.server.policy.HwPhoneWindowManager) this.mPolicy).showHwTransientBars();
                        }
                        return true;
                    default:
                        switch (code) {
                            case 1001:
                                data.enforceInterface("android.view.IWindowManager");
                                e = this.mLockPatternUtils.isLockScreenDisabled(0);
                                reply.writeNoException();
                                if (e != null) {
                                    i = 1;
                                }
                                reply.writeInt(i);
                                return true;
                            case 1002:
                                data.enforceInterface("android.view.IWindowManager");
                                e = huawei.android.app.IHwWindowCallback.Stub.asInterface(data.readStrongBinder());
                                if (this.mPolicy instanceof com.android.server.policy.HwPhoneWindowManager) {
                                    ((com.android.server.policy.HwPhoneWindowManager) this.mPolicy).setHwWindowCallback(e);
                                }
                                reply.writeNoException();
                                return true;
                            case 1003:
                                data.enforceInterface("android.view.IWindowManager");
                                if ((this.mPolicy instanceof com.android.server.policy.HwPhoneWindowManager) != null) {
                                    ((com.android.server.policy.HwPhoneWindowManager) this.mPolicy).setHwWindowCallback(null);
                                }
                                reply.writeNoException();
                                return true;
                            case 1004:
                                data.enforceInterface("android.view.IWindowManager");
                                if (this.mContext.checkPermission("com.huawei.permission.HUAWEI_IME_STATE_ACCESS", android.os.Binder.getCallingPid(), android.os.Binder.getCallingUid()) != null) {
                                    reply.writeInt(-1);
                                    return true;
                                }
                                e = (this.mInputMethodWindow == null || this.mInputMethodWindow.isVisibleLw() == null) ? null : 1;
                                java.lang.String str = TAG;
                                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("imeVis=");
                                stringBuilder.append(e);
                                android.util.HwSlog.d(str, stringBuilder.toString());
                                reply.writeNoException();
                                if (e != null) {
                                    i = 1;
                                }
                                reply.writeInt(i);
                                return true;
                            default:
                                switch (code) {
                                    case 1006:
                                        data.enforceInterface("android.view.IWindowManager");
                                        if ((this.mPolicy instanceof com.android.server.policy.HwPhoneWindowManager) == null) {
                                            android.util.Slog.w(TAG, "onTransct->current is not hw pwm");
                                            return true;
                                        } else if (this.mContext.checkPermission("com.huawei.permission.GET_TOUCH_COUNT_INFO", android.os.Binder.getCallingPid(), android.os.Binder.getCallingUid()) != null) {
                                            reply.writeIntArray(((com.android.server.policy.HwPhoneWindowManager) this.mPolicy).getDefaultTouchCountInfo());
                                            return true;
                                        } else {
                                            reply.writeIntArray(((com.android.server.policy.HwPhoneWindowManager) this.mPolicy).getTouchCountInfo());
                                            reply.writeNoException();
                                            return true;
                                        }
                                    case 1007:
                                        data.enforceInterface("android.view.IWindowManager");
                                        e = isDLayerVisible();
                                        reply.writeNoException();
                                        reply.writeInt(e);
                                        return true;
                                    case 1008:
                                        data.enforceInterface("android.view.IWindowManager");
                                        if (data.readInt() != null) {
                                            z = true;
                                        }
                                        setCoverManagerState(z);
                                        reply.writeNoException();
                                        return true;
                                    case 1009:
                                        data.enforceInterface("android.view.IWindowManager");
                                        registerWindowObserver(android.view.IWindowLayoutObserver.Stub.asInterface(data.readStrongBinder()), data.readLong());
                                        reply.writeNoException();
                                        return true;
                                    case 1010:
                                        data.enforceInterface("android.view.IWindowManager");
                                        unRegisterWindowObserver(android.view.IWindowLayoutObserver.Stub.asInterface(data.readStrongBinder()));
                                        reply.writeNoException();
                                        return true;
                                    default:
                                        switch (code) {
                                            case 1990:
                                                data.enforceInterface("android.view.IWindowManager");
                                                reply.writeNoException();
                                                reply.writeInt(this.mLazyModeOn);
                                                return true;
                                            case 1991:
                                                e = TAG;
                                                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                                stringBuilder2.append("mSingleHandSwitch =");
                                                stringBuilder2.append(this.mSingleHandSwitch);
                                                android.util.Slog.i(e, stringBuilder2.toString());
                                                this.mSingleHandSwitch = judgeSingleHandSwitchBySize();
                                                data.enforceInterface("android.view.IWindowManager");
                                                reply.writeNoException();
                                                reply.writeInt(this.mSingleHandSwitch);
                                                return true;
                                            default:
                                                try {
                                                    return super.onTransact(code, data, reply, flags);
                                                } catch (java.lang.RuntimeException e2) {
                                                    if (!(e2 instanceof java.lang.SecurityException)) {
                                                        android.util.Slog.w(TAG, "Window Manager Crash");
                                                    }
                                                    throw e2;
                                                }
                                        }
                                }
                        }
                }
            }
            data.enforceInterface("android.view.IWindowManager");
            if (this.mContext.checkPermission("com.huawei.permission.NAVIBAR_LEFT_WHENLAND", android.os.Binder.getCallingPid(), android.os.Binder.getCallingUid()) != null) {
                reply.writeInt(-1);
                return true;
            }
            if ((this.mPolicy instanceof com.android.server.policy.HwPhoneWindowManager) != null) {
                if (data.readInt() == 1) {
                    z = true;
                }
                ((com.android.server.policy.HwPhoneWindowManager) this.mPolicy).setNavibarAlignLeftWhenLand(z);
            }
            return true;
        }
        data.enforceInterface("android.view.IWindowManager");
        freezeOrThawRotation(data.readInt());
        reply.writeNoException();
        return true;
    }

    public int isDLayerVisible() {
        return 0;
    }

    public android.graphics.Bitmap getTaskSnapshotForPc(int displayId, android.os.IBinder binder, int taskId, int userId) {
        synchronized (this.mWindowMap) {
            com.android.server.wm.DisplayContent dc = this.mRoot.getDisplayContent(displayId);
            if (dc == null) {
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("[getTaskSnapshotForPc]fail to get displaycontent, displayId:");
                stringBuilder.append(displayId);
                stringBuilder.append(" taskId:");
                stringBuilder.append(taskId);
                android.util.HwPCUtils.log(str, stringBuilder.toString());
                return null;
            }
            com.android.server.wm.AppWindowToken appWindowToken = dc.getAppWindowToken(binder);
            if (appWindowToken == null) {
                java.lang.String str2 = TAG;
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("[getTaskSnapshotForPc]fail to get app window token, taskId:");
                stringBuilder2.append(taskId);
                android.util.HwPCUtils.log(str2, stringBuilder2.toString());
                return null;
            }
            com.android.server.wm.Task task = appWindowToken.getTask();
            if (task == null) {
                java.lang.String str3 = TAG;
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("[getTaskSnapshotForPc]fail to get task, taskId:");
                stringBuilder3.append(taskId);
                android.util.HwPCUtils.log(str3, stringBuilder3.toString());
                return null;
            }
            android.util.ArraySet<com.android.server.wm.Task> taskSet = new android.util.ArraySet();
            taskSet.add(task);
            this.mTaskSnapshotController.snapshotTasks(taskSet);
            android.app.ActivityManager.TaskSnapshot taskSnapshot = getTaskSnapshot(taskId, userId, null);
            if (taskSnapshot == null) {
                java.lang.String str4 = TAG;
                java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                stringBuilder4.append("[getTaskSnapshotForPc] to get snapshot, taskId:");
                stringBuilder4.append(taskId);
                android.util.HwPCUtils.log(str4, stringBuilder4.toString());
                return null;
            }
            android.graphics.Bitmap createHardwareBitmap = android.graphics.Bitmap.createHardwareBitmap(taskSnapshot.getSnapshot());
            return createHardwareBitmap;
        }
    }

    private void updateNavigationBar(boolean minNaviBar) {
        this.mPolicy.updateNavigationBar(minNaviBar);
        synchronized (this.mWindowMap) {
            if (mSupporInputMethodFilletAdaptation && getDefaultDisplayContentLocked().getRotation() == 0 && this.mInputMethodWindow != null && this.mInputMethodWindow.isImeWithHwFlag() && this.mInputMethodWindow.isVisible() && this.mInputMethodWindow.mWinAnimator.mInsetSurfaceOverlay != null) {
                if (minNaviBar) {
                    this.mInputMethodWindow.showInsetSurfaceOverlayImmediately();
                } else {
                    this.mHwHandler.postDelayed(new java.lang.Runnable() {
                        public void run() {
                            synchronized (com.android.server.wm.HwWindowManagerService.this.mWindowMap) {
                                if (com.android.server.wm.HwWindowManagerService.this.mInputMethodWindow != null) {
                                    com.android.server.wm.HwWindowManagerService.this.mInputMethodWindow.hideInsetSurfaceOverlayImmediately();
                                }
                            }
                        }
                    }, 300);
                }
            }
        }
    }

    public void setFocusedAppForNavi(android.os.IBinder token) {
        if (token == null) {
            if (com.android.server.wm.WindowManagerDebugConfig.DEBUG_FOCUS_LIGHT) {
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Clearing focused app, was ");
                stringBuilder.append(this.mFocusedAppForNavi);
                android.util.Slog.v(str, stringBuilder.toString());
            }
            this.mFocusedAppForNavi = null;
        } else {
            com.android.server.wm.AppWindowToken newFocus;
            synchronized (this.mWindowMap) {
                newFocus = this.mRoot.getAppWindowToken(token);
            }
            java.lang.String str2;
            java.lang.StringBuilder stringBuilder2;
            if (newFocus == null) {
                str2 = TAG;
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("Attempted to set focus to non-existing app token: ");
                stringBuilder2.append(token);
                android.util.Slog.w(str2, stringBuilder2.toString());
                return;
            }
            if (com.android.server.wm.WindowManagerDebugConfig.DEBUG_FOCUS_LIGHT) {
                str2 = TAG;
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("Set focused app to: ");
                stringBuilder2.append(newFocus);
                stringBuilder2.append(" old focus=");
                stringBuilder2.append(this.mFocusedAppForNavi);
                android.util.Slog.v(str2, stringBuilder2.toString());
            }
            if (this.mPolicy instanceof com.android.server.policy.HwPhoneWindowManager) {
                com.android.server.policy.HwPhoneWindowManager policy = this.mPolicy;
                if (policy.getHwWindowCallback() != null) {
                    com.android.server.am.ActivityRecord r = com.android.server.am.ActivityRecord.forToken(newFocus.token);
                    if (!(r == null || r.info.applicationInfo.packageName.equals("com.android.gallery3d"))) {
                        try {
                            java.lang.String str3 = TAG;
                            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                            stringBuilder3.append("setFocuedAppChanged for:");
                            stringBuilder3.append(r.info.applicationInfo.packageName);
                            android.util.Slog.d(str3, stringBuilder3.toString());
                            policy.getHwWindowCallback().focusedAppChanged();
                        } catch (java.lang.Exception ex) {
                            android.util.Slog.w(TAG, "mIHwWindowCallback focusedAppChanged", ex);
                        }
                    }
                }
            }
            this.mFocusedAppForNavi = newFocus;
        }
    }

    public void setNaviBarFlag() {
        this.mPolicy.setInputMethodWindowVisible(this.mInputMethodWindow == null ? false : this.mInputMethodWindow.isVisibleLw());
        if (this.mFocusedAppForNavi != null) {
            this.mPolicy.setNaviBarFlag(this.mFocusedAppForNavi.navigationBarHide);
        }
    }

    public void reevaluateStatusBarSize(boolean layoutNaviBar) {
        synchronized (this.mWindowMap) {
            this.mLayoutNaviBar = layoutNaviBar;
            this.mH.post(this.mReevaluateStatusBarSize);
        }
    }

    public android.content.res.Configuration getCurNaviConfiguration() {
        return this.mCurNaviConfiguration;
    }

    private void rotateWithHoldDialog() {
        this.mHandler.removeMessages(17);
        this.mHandler.sendMessage(this.mHandler.obtainMessage(17));
        this.mHandler.removeMessages(11);
        this.mHandler.sendMessage(this.mHandler.obtainMessage(11));
    }

    public void systemReady() {
        super.systemReady();
        this.mSingleHandSwitch = judgeSingleHandSwitchBySize();
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("WMS systemReady mSingleHandSwitch = ");
        stringBuilder.append(this.mSingleHandSwitch);
        android.util.Slog.i(str, stringBuilder.toString());
        if (this.mSingleHandSwitch > 0) {
            this.mSingleHandAdapter = new com.android.server.wm.SingleHandAdapter(this.mContext, this.mHandler, this.mUiHandler, this);
            this.mSingleHandAdapter.registerLocked();
        }
        this.IS_SUPPORT_PRESSURE = huawei.android.os.HwGeneralManager.getInstance().isSupportForce();
    }

    public int getLazyMode() {
        return this.mLazyModeOn;
    }

    public void setLazyMode(int lazyMode) {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("cur: ");
        stringBuilder.append(this.mLazyModeOn);
        stringBuilder.append(" to: ");
        stringBuilder.append(lazyMode);
        android.util.Slog.i(str, stringBuilder.toString());
        if (this.mLazyModeOn != lazyMode) {
            this.mHwWMSEx.reportLazyModeToIAware(lazyMode);
            this.mLazyModeOn = lazyMode;
        }
    }

    public void setCurrentUser(int newUserId, int[] currentProfileIds) {
        super.setCurrentUser(newUserId, currentProfileIds);
        ((com.android.server.input.HwInputManagerService) this.mInputManager).setCurrentUser(newUserId, currentProfileIds);
        if (this.mPolicy instanceof com.android.server.policy.HwPhoneWindowManager) {
            ((com.android.server.policy.HwPhoneWindowManager) this.mPolicy).setCurrentUser(newUserId, currentProfileIds);
        }
    }

    public void setForcedDisplayDensityAndSize(int displayId, int density, int width, int height) {
        int i = displayId;
        int i2 = density;
        int i3 = width;
        int i4 = height;
        super.setForcedDisplayDensityAndSize(displayId, density, width, height);
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setForcedDisplayDensityAndSize size: ");
        stringBuilder.append(i3);
        stringBuilder.append("x");
        stringBuilder.append(i4);
        android.util.Slog.d(str, stringBuilder.toString());
        str = TAG;
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setForcedDisplayDensityAndSize density: ");
        stringBuilder.append(i2);
        android.util.Slog.d(str, stringBuilder.toString());
        if (this.mContext.checkCallingOrSelfPermission("android.permission.WRITE_SECURE_SETTINGS") != 0) {
            throw new java.lang.SecurityException("Must hold permission android.permission.WRITE_SECURE_SETTINGS");
        } else if (i == 0) {
            long ident = android.os.Binder.clearCallingIdentity();
            try {
                synchronized (this.mWindowMap) {
                    com.android.server.wm.DisplayContent displayContent = this.mRoot.getDisplayContent(i);
                    if (displayContent != null) {
                        i3 = java.lang.Math.min(java.lang.Math.max(i3, 200), displayContent.mInitialDisplayWidth * 2);
                        i4 = java.lang.Math.min(java.lang.Math.max(i4, 200), displayContent.mInitialDisplayHeight * 2);
                        displayContent.mBaseDisplayWidth = i3;
                        displayContent.mBaseDisplayHeight = i4;
                        displayContent.mBaseDisplayDensity = i2;
                        this.mHwHandler.removeMessages(100);
                        this.mHwHandler.sendEmptyMessageDelayed(100, 6000);
                        updateResourceConfiguration(i, i2, i3, i4);
                        reconfigureDisplayLocked(displayContent);
                        com.android.server.wm.ScreenRotationAnimation screenRotationAnimation = this.mAnimator.getScreenRotationAnimationLocked(i);
                        if (screenRotationAnimation != null) {
                            screenRotationAnimation.kill();
                        }
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append(i3);
                        int MIN_WIDTH = 200;
                        stringBuilder2.append(",");
                        stringBuilder2.append(i4);
                        android.provider.Settings.Global.putString(this.mContext.getContentResolver(), "display_size_forced", stringBuilder2.toString());
                        java.util.List<android.content.pm.UserInfo> userList = android.os.UserManager.get(this.mContext).getUsers();
                        if (userList != null) {
                            int i5 = 0;
                            while (i5 < userList.size()) {
                                java.util.List<android.content.pm.UserInfo> userList2 = userList;
                                android.provider.Settings.Secure.putStringForUser(this.mContext.getContentResolver(), "display_density_forced", java.lang.Integer.toString(density), ((android.content.pm.UserInfo) userList.get(i5)).id);
                                i5++;
                                userList = userList2;
                                i = displayId;
                            }
                        }
                        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                        stringBuilder3.append(i2);
                        stringBuilder3.append("");
                        android.os.SystemProperties.set("persist.sys.realdpi", stringBuilder3.toString());
                        stringBuilder3 = new java.lang.StringBuilder();
                        stringBuilder3.append(i3);
                        stringBuilder3.append("");
                        android.os.SystemProperties.set("persist.sys.rog.width", stringBuilder3.toString());
                        stringBuilder3 = new java.lang.StringBuilder();
                        stringBuilder3.append(i4);
                        stringBuilder3.append("");
                        android.os.SystemProperties.set("persist.sys.rog.height", stringBuilder3.toString());
                        if (IS_NOTCH_PROP) {
                            this.mDisplayManagerInternal.updateCutoutInfoForRog(0);
                            str = TAG;
                            stringBuilder3 = new java.lang.StringBuilder();
                            stringBuilder3.append("updateCutoutInfoForRog width: ");
                            stringBuilder3.append(i3);
                            stringBuilder3.append(" height ");
                            stringBuilder3.append(i4);
                            android.util.Slog.d(str, stringBuilder3.toString());
                        }
                    }
                }
                android.os.Binder.restoreCallingIdentity(ident);
            } catch (Throwable th) {
                android.os.Binder.restoreCallingIdentity(ident);
            }
        } else {
            throw new java.lang.IllegalArgumentException("Can only set the default display");
        }
    }

    public void updateResourceConfiguration(int displayId, int density, int width, int height) {
        if (density == 0) {
            android.util.Slog.e(TAG, "setForcedDisplayDensityAndSize density is 0");
            return;
        }
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setForcedDisplay and updateResourceConfiguration, density = ");
        stringBuilder.append(density);
        stringBuilder.append(" width = ");
        stringBuilder.append(width);
        stringBuilder.append(" height = ");
        stringBuilder.append(height);
        android.util.Slog.d(str, stringBuilder.toString());
        android.content.res.Configuration mTempResourceConfiguration = new android.content.res.Configuration(this.mRoot.getDisplayContent(displayId).getConfiguration());
        android.util.DisplayMetrics mTempMetrics = this.mContext.getResources().getDisplayMetrics();
        mTempResourceConfiguration.densityDpi = density;
        mTempResourceConfiguration.screenWidthDp = (width * 160) / density;
        mTempResourceConfiguration.smallestScreenWidthDp = (width * 160) / density;
        mTempMetrics.density = ((float) density) / 160.0f;
        mTempMetrics.densityDpi = density;
        this.mContext.getResources().updateConfiguration(mTempResourceConfiguration, mTempMetrics);
        java.lang.String str2 = TAG;
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("setForcedDisplay and updateResourceConfiguration, mTempResourceConfiguration is: ");
        stringBuilder2.append(mTempResourceConfiguration);
        android.util.Slog.d(str2, stringBuilder2.toString());
        str2 = TAG;
        stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("setForcedDisplay and updateResourceConfiguration, mTempMetrics is: ");
        stringBuilder2.append(mTempMetrics);
        android.util.Slog.d(str2, stringBuilder2.toString());
    }

    public void setPCScreenDisplayMode(int mode) {
        java.lang.String propVal = "normal";
        switch (mode) {
            case 1:
                propVal = "minor";
                break;
            case 2:
                propVal = "smaller";
                break;
            default:
                break;
        }
        android.os.SystemProperties.set("hw.pc.display.mode", propVal);
        synchronized (this.mWindowMap) {
            performhwLayoutAndPlaceSurfacesLocked();
        }
    }

    public int getPCScreenDisplayMode() {
        java.lang.String strMode = android.os.SystemProperties.get("hw.pc.display.mode");
        if (strMode.equals("minor")) {
            return 1;
        }
        if (strMode.equals("smaller")) {
            return 2;
        }
        return 0;
    }

    public boolean detectSafeMode() {
        if (android.hdm.HwDeviceManager.disallowOp(10)) {
            android.util.Slog.i(TAG, "safemode is disabled by dpm");
            this.mSafeMode = false;
            this.mPolicy.setSafeMode(this.mSafeMode);
            return this.mSafeMode;
        } else if (!"1".equals(android.os.SystemProperties.get("sys.bootfail.safemode"))) {
            return super.detectSafeMode();
        } else {
            android.util.Slog.i(TAG, "safemode is enabled eRecovery");
            this.mSafeMode = true;
            this.mPolicy.setSafeMode(this.mSafeMode);
            return this.mSafeMode;
        }
    }

    public boolean isSplitMode() {
        return this.mSplitMode;
    }

    public void setSplittable(boolean splittable) {
        this.mSplitMode = splittable;
    }

    public int getLayerIndex(java.lang.String appName, int windowType) {
        com.android.server.wm.DisplayContent displayContent = getDefaultDisplayContentLocked();
        if (displayContent == null) {
            return -1;
        }
        try {
            displayContent.forAllWindows(new com.android.server.wm.-$$Lambda$HwWindowManagerService$QU-cD2orMmsft5-oQxGQy29TJsU(this, appName), false);
        } catch (java.lang.Exception e) {
            android.util.Slog.w(TAG, "getLayerIndex exception!");
        }
        return this.mLayerIndex;
    }

    public static /* synthetic */ void lambda$getLayerIndex$0(com.android.server.wm.HwWindowManagerService hwWindowManagerService, java.lang.String appName, com.android.server.wm.WindowState ws) {
        if (ws.getWindowTag().toString().indexOf(appName) > -1) {
            hwWindowManagerService.mLayerIndex = ws.mLayer;
        }
    }

    public void setKeyguardGoingAway(boolean keyGuardGoingAway) {
        if (keyGuardGoingAway) {
            this.mSetTime = android.os.SystemClock.elapsedRealtime();
        }
        super.setKeyguardGoingAway(keyGuardGoingAway);
    }

    protected boolean shouldHideIMExitAnim(com.android.server.wm.WindowState win) {
        boolean ret = android.os.SystemClock.elapsedRealtime() - this.mSetTime <= 500 && (win.mAttrs.type == 2012 || win.mAttrs.type == 2011);
        if (android.os.SystemClock.elapsedRealtime() - this.mSetTime < 10000 && (win.mAttrs.type == 2012 || win.mAttrs.type == 2011)) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("KeyguardGoingAway:");
            stringBuilder.append(this.mKeyguardGoingAway);
            stringBuilder.append(";Realtime():");
            stringBuilder.append(android.os.SystemClock.elapsedRealtime());
            stringBuilder.append(";mSetTime:");
            stringBuilder.append(this.mSetTime);
            stringBuilder.append(";type:");
            stringBuilder.append(win.mAttrs.type);
            stringBuilder.append(" reval = ");
            stringBuilder.append(ret);
            stringBuilder.append(" win:");
            stringBuilder.append(win);
            android.util.Slog.d(str, stringBuilder.toString());
        }
        return ret;
    }

    public void registerWindowObserver(android.view.IWindowLayoutObserver observer, long period) throws android.os.RemoteException {
        if (!checkCallingPermission("com.huawei.permission.CONTENT_SENSOR_PERMISSION", "registerWindowObserver()")) {
            return;
        }
        if (period <= 0) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("registerWindowObserver with wrong period ");
            stringBuilder.append(period);
            android.util.Slog.e(str, stringBuilder.toString());
            return;
        }
        this.mRelayoutNotifyPeriod = period;
        if (this.mRelayoutNotifyPeriod < 500) {
            this.mRelayoutNotifyPeriod = 500;
        }
        this.mLastRelayoutNotifyTime = 0;
        this.mWindowLayoutObserver = observer;
        com.android.server.wm.WindowState ws = super.getFocusedWindow();
        synchronized (this.mWindowMap) {
            for (java.util.Map.Entry<android.os.IBinder, com.android.server.wm.WindowState> entry : this.mWindowMap.entrySet()) {
                if (ws == entry.getValue()) {
                    this.mCurrentWindow = android.view.IWindow.Stub.asInterface((android.os.IBinder) entry.getKey());
                    break;
                }
            }
        }
        if (this.mCurrentWindow != null) {
            try {
                this.mCurrentWindow.registerWindowObserver(observer, period);
            } catch (android.os.RemoteException e) {
                android.util.Slog.w(TAG, "registerWindowObserver get RemoteException");
            }
        }
    }

    public void unRegisterWindowObserver(android.view.IWindowLayoutObserver observer) throws android.os.RemoteException {
        if (checkCallingPermission("com.huawei.permission.CONTENT_SENSOR_PERMISSION", "unRegisterWindowObserver()")) {
            if (this.mCurrentWindow != null) {
                try {
                    this.mCurrentWindow.unRegisterWindowObserver(observer);
                } catch (android.os.RemoteException e) {
                    android.util.Slog.w(TAG, "unRegisterWindowObserver get RemoteException");
                }
            }
            this.mWindowLayoutObserver = null;
            this.mCurrentWindow = null;
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("unRegisterWindowObserver OK, observer = ");
            stringBuilder.append(observer);
            android.util.Slog.d(str, stringBuilder.toString());
        }
    }

    /* JADX WARNING: Missing block: B:24:0x004a, code:
            return;
     */
    /* JADX WARNING: Missing block: B:40:0x007d, code:
            if (r1.size() <= 0) goto L_0x00a2;
     */
    /* JADX WARNING: Missing block: B:41:0x007f, code:
            r2 = r1.size() - 1;
     */
    /* JADX WARNING: Missing block: B:42:0x0084, code:
            if (r2 < 0) goto L_0x00b3;
     */
    /* JADX WARNING: Missing block: B:43:0x0086, code:
            r3 = ((java.lang.Integer) r1.get(r2)).intValue();
     */
    /* JADX WARNING: Missing block: B:44:0x0090, code:
            if (r3 < 0) goto L_0x009f;
     */
    /* JADX WARNING: Missing block: B:45:0x0092, code:
            r7.mHandler.sendMessage(r7.mHandler.obtainMessage(104, r3, 0));
     */
    /* JADX WARNING: Missing block: B:46:0x009f, code:
            r2 = r2 - 1;
     */
    /* JADX WARNING: Missing block: B:48:0x00a6, code:
            if (android.util.HwPCUtils.isValidExtDisplayId(r8) == false) goto L_0x00b3;
     */
    /* JADX WARNING: Missing block: B:50:0x00ae, code:
            if (r10.equals("handleTapOutsideTask-1-1") == false) goto L_0x00b3;
     */
    /* JADX WARNING: Missing block: B:51:0x00b0, code:
            setPCLauncherFocused(true);
     */
    /* JADX WARNING: Missing block: B:53:0x00b7, code:
            if (r0 == getPCLauncherFocused()) goto L_0x00d4;
     */
    /* JADX WARNING: Missing block: B:55:0x00bf, code:
            if (r10.equals("handleTapOutsideTaskXY") != false) goto L_0x00d4;
     */
    /* JADX WARNING: Missing block: B:56:0x00c1, code:
            r2 = r7.mWindowMap;
     */
    /* JADX WARNING: Missing block: B:57:0x00c3, code:
            monitor-enter(r2);
     */
    /* JADX WARNING: Missing block: B:59:?, code:
            r3 = r7.mRoot.getDisplayContent(r8);
     */
    /* JADX WARNING: Missing block: B:60:0x00ca, code:
            if (r3 == null) goto L_0x00cf;
     */
    /* JADX WARNING: Missing block: B:61:0x00cc, code:
            r3.layoutAndAssignWindowLayersIfNeeded();
     */
    /* JADX WARNING: Missing block: B:62:0x00cf, code:
            monitor-exit(r2);
     */
    /* JADX WARNING: Missing block: B:67:0x00d4, code:
            return;
     */
    public void setFocusedDisplay(int r8, boolean r9, java.lang.String r10) {
        /*
        r7 = this;
        r0 = r7.getPCLauncherFocused();
        r1 = new java.util.ArrayList;
        r1.<init>();
        r2 = r7.mWindowMap;
        monitor-enter(r2);
        r3 = r7.mRoot;	 Catch:{ all -> 0x00d5 }
        r3 = r3.getDisplayContent(r8);	 Catch:{ all -> 0x00d5 }
        if (r3 != 0) goto L_0x0016;
    L_0x0014:
        monitor-exit(r2);	 Catch:{ all -> 0x00d5 }
        return;
    L_0x0016:
        r4 = android.util.HwPCUtils.isPcCastModeInServer();	 Catch:{ all -> 0x00d5 }
        if (r4 == 0) goto L_0x002c;
    L_0x001c:
        r4 = android.util.HwPCUtils.enabledInPad();	 Catch:{ all -> 0x00d5 }
        if (r4 == 0) goto L_0x002c;
    L_0x0022:
        r4 = "lockScreen";
        r4 = r4.equals(r10);	 Catch:{ all -> 0x00d5 }
        if (r4 == 0) goto L_0x002c;
    L_0x002a:
        monitor-exit(r2);	 Catch:{ all -> 0x00d5 }
        return;
    L_0x002c:
        r4 = r3.getDisplayId();	 Catch:{ all -> 0x00d5 }
        r5 = r7.mFocusedDisplayId;	 Catch:{ all -> 0x00d5 }
        if (r4 != r5) goto L_0x004b;
    L_0x0034:
        r4 = android.util.HwPCUtils.isPcCastModeInServer();	 Catch:{ all -> 0x00d5 }
        if (r4 == 0) goto L_0x0049;
    L_0x003a:
        r4 = android.util.HwPCUtils.enabledInPad();	 Catch:{ all -> 0x00d5 }
        if (r4 == 0) goto L_0x0049;
    L_0x0040:
        r4 = "unlockScreen";
        r4 = r4.equals(r10);	 Catch:{ all -> 0x00d5 }
        if (r4 != 0) goto L_0x004b;
    L_0x0049:
        monitor-exit(r2);	 Catch:{ all -> 0x00d5 }
        return;
    L_0x004b:
        r4 = r3.getDisplayId();	 Catch:{ all -> 0x00d5 }
        r7.mFocusedDisplayId = r4;	 Catch:{ all -> 0x00d5 }
        r4 = r7.mFocusedDisplayId;	 Catch:{ all -> 0x00d5 }
        r5 = 0;
        if (r4 != 0) goto L_0x0059;
    L_0x0056:
        r7.setPCLauncherFocused(r5);	 Catch:{ all -> 0x00d5 }
    L_0x0059:
        if (r9 == 0) goto L_0x0067;
    L_0x005b:
        r4 = r3 instanceof com.android.server.wm.HwDisplayContent;	 Catch:{ all -> 0x00d5 }
        if (r4 == 0) goto L_0x0067;
    L_0x005f:
        r4 = r3;
        r4 = (com.android.server.wm.HwDisplayContent) r4;	 Catch:{ all -> 0x00d5 }
        r4 = r4.taskIdFromTop();	 Catch:{ all -> 0x00d5 }
        r1 = r4;
    L_0x0067:
        r4 = android.util.HwPCUtils.enabledInPad();	 Catch:{ all -> 0x00d5 }
        if (r4 != 0) goto L_0x0074;
    L_0x006d:
        r4 = r7.mHardKeyboardAvailable;	 Catch:{ all -> 0x00d5 }
        if (r4 == 0) goto L_0x0074;
    L_0x0071:
        r7.relaunchIMEProcess();	 Catch:{ all -> 0x00d5 }
    L_0x0074:
        r4 = 1;
        r7.updateFocusedWindowLocked(r5, r4);	 Catch:{ all -> 0x00d5 }
        monitor-exit(r2);	 Catch:{ all -> 0x00d5 }
        r2 = r1.size();
        if (r2 <= 0) goto L_0x00a2;
    L_0x007f:
        r2 = r1.size();
        r2 = r2 - r4;
    L_0x0084:
        if (r2 < 0) goto L_0x00b3;
    L_0x0086:
        r3 = r1.get(r2);
        r3 = (java.lang.Integer) r3;
        r3 = r3.intValue();
        if (r3 < 0) goto L_0x009f;
    L_0x0092:
        r4 = r7.mHandler;
        r6 = 104; // 0x68 float:1.46E-43 double:5.14E-322;
        r4 = r4.obtainMessage(r6, r3, r5);
        r6 = r7.mHandler;
        r6.sendMessage(r4);
    L_0x009f:
        r2 = r2 + -1;
        goto L_0x0084;
    L_0x00a2:
        r2 = android.util.HwPCUtils.isValidExtDisplayId(r8);
        if (r2 == 0) goto L_0x00b3;
    L_0x00a8:
        r2 = "handleTapOutsideTask-1-1";
        r2 = r10.equals(r2);
        if (r2 == 0) goto L_0x00b3;
    L_0x00b0:
        r7.setPCLauncherFocused(r4);
    L_0x00b3:
        r2 = r7.getPCLauncherFocused();
        if (r0 == r2) goto L_0x00d4;
    L_0x00b9:
        r2 = "handleTapOutsideTaskXY";
        r2 = r10.equals(r2);
        if (r2 != 0) goto L_0x00d4;
    L_0x00c1:
        r2 = r7.mWindowMap;
        monitor-enter(r2);
        r3 = r7.mRoot;	 Catch:{ all -> 0x00d1 }
        r3 = r3.getDisplayContent(r8);	 Catch:{ all -> 0x00d1 }
        if (r3 == 0) goto L_0x00cf;
    L_0x00cc:
        r3.layoutAndAssignWindowLayersIfNeeded();	 Catch:{ all -> 0x00d1 }
    L_0x00cf:
        monitor-exit(r2);	 Catch:{ all -> 0x00d1 }
        goto L_0x00d4;
    L_0x00d1:
        r3 = move-exception;
        monitor-exit(r2);	 Catch:{ all -> 0x00d1 }
        throw r3;
    L_0x00d4:
        return;
    L_0x00d5:
        r3 = move-exception;
        monitor-exit(r2);	 Catch:{ all -> 0x00d5 }
        throw r3;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.wm.HwWindowManagerService.setFocusedDisplay(int, boolean, java.lang.String):void");
    }

    void notifyHardKeyboardStatusChange() {
        super.notifyHardKeyboardStatusChange();
        if (!android.util.HwPCUtils.enabledInPad()) {
            relaunchIMEProcess();
        }
    }

    /* JADX WARNING: Missing block: B:12:0x0019, code:
            return 0;
     */
    public int getWindowSystemUiVisibility(android.os.IBinder r5) {
        /*
        r4 = this;
        r0 = r4.mWindowMap;
        monitor-enter(r0);
        r1 = r4.mRoot;	 Catch:{ all -> 0x001a }
        r1 = r1.getAppWindowToken(r5);	 Catch:{ all -> 0x001a }
        if (r1 == 0) goto L_0x0017;
    L_0x000b:
        r2 = r1.findMainWindow();	 Catch:{ all -> 0x001a }
        if (r2 == 0) goto L_0x0017;
    L_0x0011:
        r3 = r2.getSystemUiVisibility();	 Catch:{ all -> 0x001a }
        monitor-exit(r0);	 Catch:{ all -> 0x001a }
        return r3;
    L_0x0017:
        monitor-exit(r0);	 Catch:{ all -> 0x001a }
        r0 = 0;
        return r0;
    L_0x001a:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x001a }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.wm.HwWindowManagerService.getWindowSystemUiVisibility(android.os.IBinder):int");
    }

    public void setPCLauncherFocused(boolean focus) {
        synchronized (this.mWindowMap) {
            if (focus == this.mPCLauncherFocused) {
                return;
            }
            this.mPCLauncherFocused = focus;
        }
    }

    private void relaunchIMEProcess() {
        if (this.mPCManager == null) {
            this.mPCManager = android.util.HwPCUtils.getHwPCManager();
        }
        if (this.mPCManager != null) {
            try {
                this.mPCManager.relaunchIMEIfNecessary();
            } catch (android.os.RemoteException e) {
                android.util.Log.e(TAG, "relaunchIMEProcess()");
            }
        }
    }

    public int getFocusedDisplayId() {
        return android.util.HwPCUtils.isPcCastModeInServer() ? this.mFocusedDisplayId : 0;
    }

    public void togglePCMode(boolean pcmode, int displayId) {
        if (pcmode) {
            if (this.mPolicy instanceof com.android.server.policy.HwPhoneWindowManager) {
                android.util.HwPCUtils.log(TAG, "registerExternalPointerEventListener for screenlock");
                ((com.android.server.policy.HwPhoneWindowManager) this.mPolicy).registerExternalPointerEventListener();
            }
            return;
        }
        if (this.mPolicy instanceof com.android.server.policy.HwPhoneWindowManager) {
            android.util.HwPCUtils.log(TAG, "unRegisterExternalPointerEventListener for screenlock");
            ((com.android.server.policy.HwPhoneWindowManager) this.mPolicy).unRegisterExternalPointerEventListener();
        }
        synchronized (this.mWindowMap) {
            com.android.server.wm.DisplayContent dc = this.mRoot.getDisplayContent(displayId);
            if (dc != null && (dc instanceof com.android.server.wm.HwDisplayContent)) {
                ((com.android.server.wm.HwDisplayContent) dc).togglePCMode(pcmode);
            }
        }
        setFocusedDisplay(0, true, "resetToDefault");
    }

    public android.graphics.Bitmap getDisplayBitmap(int displayId, int width, int height) {
        return android.view.SurfaceControl.screenshot(this.mDisplayManagerInternal.getDisplayToken(displayId), width, height);
    }

    void getStableInsetsLocked(int displayId, android.graphics.Rect outInsets) {
        if (android.util.HwPCUtils.isPcCastModeInServer() && android.util.HwPCUtils.isValidExtDisplayId(displayId)) {
            outInsets.setEmpty();
            com.android.server.wm.DisplayContent dc = this.mRoot.getDisplayContent(displayId);
            if (dc != null) {
                android.view.DisplayInfo di = dc.getDisplayInfo();
                this.mPolicy.getStableInsetsLw(di.rotation, di.logicalWidth, di.logicalHeight, outInsets, displayId, di.displayCutout);
            }
            return;
        }
        super.getStableInsetsLocked(displayId, outInsets);
    }

    public android.hardware.display.DisplayManager getDisplayManager() {
        return this.mDisplayManager;
    }

    public com.android.server.policy.WindowManagerPolicy getPolicy() {
        return this.mPolicy;
    }

    private boolean isDisplayIdInVrMode(int displayId) {
        if (this.mDisplayManager != null) {
            android.view.Display display = this.mDisplayManager.getDisplay(displayId);
            if (display != null) {
                android.view.DisplayInfo displayInfo = new android.view.DisplayInfo();
                if (display.getDisplayInfo(displayInfo)) {
                    int width = displayInfo.getNaturalWidth();
                    int height = displayInfo.getNaturalHeight();
                    if (width == 2880 && height == 1600) {
                        return true;
                    }
                }
            }
        }
        return false;
    }

    public void onDisplayAdded(int displayId) {
        super.onDisplayAdded(displayId);
        if (isDisplayIdInVrMode(displayId)) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onDisplayAdded, displayId = ");
            stringBuilder.append(displayId);
            stringBuilder.append(" is VR mode");
            android.util.Log.i(str, stringBuilder.toString());
            android.util.HwVRUtils.setVRDisplayID(displayId, true);
            return;
        }
        if (this.mPCManager == null) {
            this.mPCManager = android.util.HwPCUtils.getHwPCManager();
        }
        if (this.mPCManager != null) {
            try {
                this.mPCManager.scheduleDisplayAdded(displayId);
            } catch (android.os.RemoteException e) {
                android.util.Log.e(TAG, "onDisplayAdded()");
            }
        }
        sendDisplayStateBroadcast(true, displayId);
    }

    public void onDisplayChanged(int displayId) {
        super.onDisplayChanged(displayId);
        if (isDisplayIdInVrMode(displayId)) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onDisplayChanged, displayId = ");
            stringBuilder.append(displayId);
            stringBuilder.append(" is VR mode");
            android.util.Log.i(str, stringBuilder.toString());
            android.util.HwVRUtils.setVRDisplayID(displayId, true);
            return;
        }
        if (this.mPCManager == null) {
            this.mPCManager = android.util.HwPCUtils.getHwPCManager();
        }
        if (this.mPCManager != null) {
            try {
                this.mPCManager.scheduleDisplayChanged(displayId);
            } catch (android.os.RemoteException e) {
                android.util.Log.e(TAG, "onDisplayChanged()");
            }
        }
    }

    public void onDisplayRemoved(int displayId) {
        super.onDisplayRemoved(displayId);
        if (android.util.HwVRUtils.isValidVRDisplayId(displayId)) {
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onDisplayRemoved, displayId = ");
            stringBuilder.append(displayId);
            stringBuilder.append(" is VR mode");
            android.util.Log.i(str, stringBuilder.toString());
            android.util.HwVRUtils.setVRDisplayID(-1, false);
            android.common.HwFrameworkFactory.getVRSystemServiceManager().setVirtualScreenMode(false);
            return;
        }
        if (android.util.HwPCUtils.isPcCastModeInServer() && android.util.HwPCUtils.isValidExtDisplayId(displayId)) {
            setFocusedDisplay(0, true, "resetToDefault");
        }
        if (this.mPolicy instanceof com.android.server.policy.HwPhoneWindowManager) {
            this.mPolicy.resetCurrentNaviBarHeightExternal();
        }
        if (this.mPCManager == null) {
            this.mPCManager = android.util.HwPCUtils.getHwPCManager();
        }
        if (this.mPCManager != null) {
            try {
                this.mPCManager.scheduleDisplayRemoved(displayId);
            } catch (android.os.RemoteException e) {
                android.util.Log.e(TAG, "onDisplayRemoved()");
            }
        }
        sendDisplayStateBroadcast(false, displayId);
    }

    /* JADX WARNING: Missing block: B:23:0x0086, code:
            super.addWindowToken(r6, r7, r8);
     */
    /* JADX WARNING: Missing block: B:24:0x0089, code:
            return;
     */
    public void addWindowToken(android.os.IBinder r6, int r7, int r8) {
        /*
        r5 = this;
        r0 = "android.permission.MANAGE_APP_TOKENS";
        r1 = "addWindowToken()";
        r0 = r5.checkCallingPermission(r0, r1);
        if (r0 == 0) goto L_0x008d;
    L_0x000a:
        r0 = r5.mWindowMap;
        monitor-enter(r0);
        r1 = android.util.HwPCUtils.isPcCastModeInServer();	 Catch:{ all -> 0x008a }
        if (r1 == 0) goto L_0x0057;
    L_0x0013:
        r1 = 2011; // 0x7db float:2.818E-42 double:9.936E-321;
        if (r7 != r1) goto L_0x0057;
    L_0x0017:
        r1 = r5.mHardKeyboardAvailable;	 Catch:{ all -> 0x008a }
        if (r1 == 0) goto L_0x0036;
    L_0x001b:
        r1 = r5.getFocusedDisplayId();	 Catch:{ all -> 0x008a }
        r8 = r1;
        r1 = TAG;	 Catch:{ all -> 0x008a }
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x008a }
        r2.<init>();	 Catch:{ all -> 0x008a }
        r3 = "addInputMethodWindowToken: displayId = ";
        r2.append(r3);	 Catch:{ all -> 0x008a }
        r2.append(r8);	 Catch:{ all -> 0x008a }
        r2 = r2.toString();	 Catch:{ all -> 0x008a }
        android.util.Slog.i(r1, r2);	 Catch:{ all -> 0x008a }
    L_0x0036:
        r1 = android.util.HwPCUtils.enabledInPad();	 Catch:{ all -> 0x008a }
        if (r1 == 0) goto L_0x0057;
    L_0x003c:
        r1 = android.util.HwPCUtils.getPCDisplayID();	 Catch:{ all -> 0x008a }
        r8 = r1;
        r1 = TAG;	 Catch:{ all -> 0x008a }
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x008a }
        r2.<init>();	 Catch:{ all -> 0x008a }
        r3 = "addWindowToken: displayId = ";
        r2.append(r3);	 Catch:{ all -> 0x008a }
        r2.append(r8);	 Catch:{ all -> 0x008a }
        r2 = r2.toString();	 Catch:{ all -> 0x008a }
        android.util.Slog.v(r1, r2);	 Catch:{ all -> 0x008a }
    L_0x0057:
        r1 = android.util.HwPCUtils.isValidExtDisplayId(r8);	 Catch:{ all -> 0x008a }
        if (r1 == 0) goto L_0x0085;
    L_0x005d:
        r1 = r5.mDisplayManager;	 Catch:{ all -> 0x008a }
        r1 = r1.getDisplay(r8);	 Catch:{ all -> 0x008a }
        if (r1 != 0) goto L_0x0085;
    L_0x0065:
        r2 = "WindowManager";
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x008a }
        r3.<init>();	 Catch:{ all -> 0x008a }
        r4 = "addWindowToken: Attempted to add binder token: ";
        r3.append(r4);	 Catch:{ all -> 0x008a }
        r3.append(r6);	 Catch:{ all -> 0x008a }
        r4 = " for non-exiting displayId=";
        r3.append(r4);	 Catch:{ all -> 0x008a }
        r3.append(r8);	 Catch:{ all -> 0x008a }
        r3 = r3.toString();	 Catch:{ all -> 0x008a }
        android.util.Slog.w(r2, r3);	 Catch:{ all -> 0x008a }
        monitor-exit(r0);	 Catch:{ all -> 0x008a }
        return;
    L_0x0085:
        monitor-exit(r0);	 Catch:{ all -> 0x008a }
        super.addWindowToken(r6, r7, r8);
        return;
    L_0x008a:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x008a }
        throw r1;
    L_0x008d:
        r0 = new java.lang.SecurityException;
        r1 = "Requires MANAGE_APP_TOKENS permission";
        r0.<init>(r1);
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.wm.HwWindowManagerService.addWindowToken(android.os.IBinder, int, int):void");
    }

    protected boolean isTokenFound(android.os.IBinder binder, com.android.server.wm.DisplayContent dc) {
        if (!android.util.HwPCUtils.isPcCastModeInServer()) {
            return false;
        }
        for (int i = 0; i < this.mRoot.mChildren.size(); i++) {
            com.android.server.wm.DisplayContent displayContent = (com.android.server.wm.DisplayContent) this.mRoot.mChildren.get(i);
            if (displayContent.getDisplayId() != dc.getDisplayId()) {
                com.android.server.wm.WindowToken windowToken = displayContent.getWindowToken(binder);
                if (windowToken != null && windowToken.windowType == 2011) {
                    displayContent.removeWindowToken(binder);
                    java.lang.String str = TAG;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("removeWindowToken isTokenFound in display:");
                    stringBuilder.append(displayContent.getDisplayId());
                    android.util.HwPCUtils.log(str, stringBuilder.toString());
                    return true;
                }
            }
        }
        return false;
    }

    boolean isSecureLocked(com.android.server.wm.WindowState w) {
        if (android.util.HwPCUtils.isExtDynamicStack(w.getStackId()) && (w.getDisplayInfo().flags & 2) == 0) {
            return false;
        }
        return super.isSecureLocked(w);
    }

    protected boolean isDisplayOkForAnimation(int width, int height, int transit, com.android.server.wm.AppWindowToken atoken) {
        com.huawei.forcerotation.HwForceRotationManager forceRotationManager = com.huawei.forcerotation.HwForceRotationManager.getDefault();
        if (forceRotationManager.isForceRotationSupported() && forceRotationManager.isForceRotationSwitchOpen(this.mContext) && width > height && ((transit == 7 || transit == 6) && forceRotationManager.isAppForceLandRotatable(atoken.appPackageName, atoken.appToken.asBinder()))) {
            return false;
        }
        return true;
    }

    protected boolean checkAppOrientationForForceRotation(com.android.server.wm.AppWindowToken aToken) {
        com.huawei.forcerotation.HwForceRotationManager forceRotationManager = com.huawei.forcerotation.HwForceRotationManager.getDefault();
        if (!forceRotationManager.isForceRotationSupported() || !forceRotationManager.isForceRotationSwitchOpen(this.mContext) || aToken == null) {
            return false;
        }
        int or = aToken.mOrientation;
        if (!(aToken == this.mTempToken && or == this.mTempOrientation)) {
            this.mHasRecord = forceRotationManager.saveOrUpdateForceRotationAppInfo(aToken.appPackageName, aToken.appComponentName, aToken.appToken.asBinder(), or);
            this.mTempToken = aToken;
            this.mTempOrientation = or;
        }
        if (!this.mHasRecord) {
            return false;
        }
        if (!(or == 1 || or == 7 || or == 9)) {
            if (or != 12) {
                return false;
            }
        }
        forceRotationManager.showToastIfNeeded(aToken.appPackageName, aToken.appPid, aToken.appProcessName, aToken.appToken.asBinder());
        return true;
    }

    public void showWallpaperIfNeed(com.android.server.wm.WindowState w) {
        com.huawei.forcerotation.HwForceRotationManager forceRotationManager = com.huawei.forcerotation.HwForceRotationManager.getDefault();
        if (forceRotationManager.isForceRotationSupported() && forceRotationManager.isForceRotationSwitchOpen(this.mContext) && w != null) {
            if (!w.isInMultiWindowMode()) {
                if (w.mAppToken != null) {
                    if (forceRotationManager.isAppForceLandRotatable(w.mAppToken.appPackageName, w.mAppToken.appToken.asBinder())) {
                        com.android.server.wm.DisplayContent dc = getDefaultDisplayContentLocked();
                        if (dc != null) {
                            android.view.Display dp = dc.getDisplay();
                            if (dp != null) {
                                android.util.DisplayMetrics dm = new android.util.DisplayMetrics();
                                dp.getMetrics(dm);
                                android.view.WindowManager.LayoutParams layoutParams;
                                if (dm.widthPixels < dm.heightPixels) {
                                    layoutParams = w.mAttrs;
                                    layoutParams.flags &= -1048577;
                                } else {
                                    layoutParams = w.mAttrs;
                                    layoutParams.flags |= 1048576;
                                }
                                return;
                            }
                            return;
                        }
                        return;
                    }
                }
                java.lang.String str = TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("current window do not support force rotation mAppToken:");
                stringBuilder.append(w.mAppToken);
                android.util.Slog.v(str, stringBuilder.toString());
            }
        }
    }

    public void prepareForForceRotation(android.os.IBinder token, java.lang.String packageName, int pid, java.lang.String processName) {
        if (com.huawei.forcerotation.HwForceRotationManager.getDefault().isForceRotationSupported()) {
            synchronized (this.mWindowMap) {
                com.android.server.wm.AppWindowToken aToken = this.mRoot.getAppWindowToken(token);
                if (aToken == null) {
                    java.lang.String str = TAG;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("Attempted to set orientation of non-existing app token: ");
                    stringBuilder.append(token);
                    android.util.Slog.w(str, stringBuilder.toString());
                    return;
                }
                aToken.appPackageName = packageName;
                aToken.appPid = pid;
                aToken.appProcessName = processName;
            }
        }
    }

    protected void setHwSecureScreen(com.android.server.wm.WindowState win) {
        com.android.server.wm.WindowStateAnimator winAnimator = win.mWinAnimator;
        if (winAnimator.mSurfaceController != null) {
            if ((win.mAttrs.hwFlags & 4096) != 0) {
                if (!this.mSecureScreenShot.contains(win)) {
                    winAnimator.mSurfaceController.setSecureScreenShot(true);
                    this.mSecureScreenShot.add(win);
                }
            } else if (this.mSecureScreenShot.contains(win)) {
                this.mSecureScreenShot.remove(win);
                if (this.mSecureScreenShot.size() == 0) {
                    winAnimator.mSurfaceController.setSecureScreenShot(false);
                }
            }
            if ((win.mAttrs.hwFlags & 8192) != 0) {
                if (!this.mSecureScreenRecords.contains(win)) {
                    winAnimator.mSurfaceController.setSecureScreenRecord(true);
                    this.mSecureScreenRecords.add(win);
                }
            } else if (this.mSecureScreenRecords.contains(win)) {
                this.mSecureScreenRecords.remove(win);
                if (this.mSecureScreenRecords.size() == 0) {
                    winAnimator.mSurfaceController.setSecureScreenRecord(false);
                }
            }
        }
    }

    private void sendDisplayStateBroadcast(boolean isAdded, int displayId) {
        if (!(!android.os.SystemProperties.getBoolean("ro.config.vrbroad", false) || displayId == 0 || this.mContext == null)) {
            android.content.Intent intent = new android.content.Intent();
            java.lang.String str = TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("send broadcast displayState, displayId:");
            stringBuilder.append(displayId);
            stringBuilder.append(" isAdded:");
            stringBuilder.append(isAdded);
            android.util.Log.i(str, stringBuilder.toString());
            intent.setAction("com.huawei.display.vr.added");
            intent.setPackage("com.huawei.vrservice");
            intent.putExtra("displayId", displayId);
            if (isAdded) {
                intent.putExtra("displayState", "on");
            } else {
                intent.putExtra("displayState", "off");
            }
            this.mContext.sendBroadcast(intent, "com.huawei.display.vr.permission");
        }
    }

    public void updateFingerprintSlideSwitch() {
        if (android.util.HwPCUtils.enabled() && (this.mInputManager instanceof com.android.server.input.HwInputManagerService)) {
            this.mInputManager.updateFingerprintSlideSwitchValue();
        }
    }

    public void startIntelliServiceFR(final int orientation) {
        this.mHwHandler.post(new java.lang.Runnable() {
            public void run() {
                if (com.android.server.wm.IntelliServiceManager.isIntelliServiceEnabled(com.android.server.wm.HwWindowManagerService.this.mContext, orientation, com.android.server.wm.HwWindowManagerService.this.mCurrentUserId)) {
                    com.android.server.wm.IntelliServiceManager.getInstance(com.android.server.wm.HwWindowManagerService.this.mContext).startIntelliService(com.android.server.wm.HwWindowManagerService.this.mFaceRotationCallback);
                } else {
                    com.android.server.wm.IntelliServiceManager.getInstance(com.android.server.wm.HwWindowManagerService.this.mContext).setKeepPortrait(false);
                }
            }
        });
    }

    public com.android.server.policy.WindowManagerPolicy.InputConsumer createInputConsumer(android.os.Looper looper, java.lang.String name, android.view.InputEventReceiver.Factory inputEventReceiverFactory) {
        if (name != null) {
            return super.createInputConsumer(looper, name, inputEventReceiverFactory);
        }
        android.util.Slog.e(TAG, "createInputConsumer name is null");
        return null;
    }

    public boolean inputMethodClientHasFocus(com.android.internal.view.IInputMethodClient client) {
        if (client != null) {
            return super.inputMethodClientHasFocus(client);
        }
        android.util.Slog.e(TAG, "inputMethodClientHasFocus name is null");
        return false;
    }

    public android.view.IWindowSession openSession(android.view.IWindowSessionCallback callback, com.android.internal.view.IInputMethodClient client, com.android.internal.view.IInputContext inputContext) {
        if (client != null) {
            return super.openSession(callback, client, inputContext);
        }
        android.util.Slog.e(TAG, "openSession client is null");
        return null;
    }

    public void setDockedStackDividerTouchRegion(android.graphics.Rect touchRegion) {
        if (touchRegion == null) {
            android.util.Slog.e(TAG, "setDockedStackDividerTouchRegion touchRegion is null");
        } else {
            super.setDockedStackDividerTouchRegion(touchRegion);
        }
    }

    public void removeRotationWatcher(android.view.IRotationWatcher watcher) {
        if (watcher == null) {
            android.util.Slog.e(TAG, "removeRotationWatcher watcher is null");
        } else {
            super.removeRotationWatcher(watcher);
        }
    }

    public int watchRotation(android.view.IRotationWatcher watcher, int displayId) {
        if (watcher != null) {
            return super.watchRotation(watcher, displayId);
        }
        android.util.Slog.e(TAG, "watchRotation watcher is null");
        return 0;
    }

    void setHoldScreenLocked(com.android.server.wm.Session newHoldScreen) {
        super.setHoldScreenLocked(newHoldScreen);
        if (android.util.HwPCUtils.isPcCastModeInServer()) {
            boolean hold = newHoldScreen != null;
            boolean pcState = this.mPCHoldingScreenWakeLock.isHeld();
            if (hold) {
                com.android.server.wm.WindowState holdWindow = this.mRoot.mHoldScreenWindow;
                if (android.util.HwPCUtils.isValidExtDisplayId(holdWindow.getDisplayId())) {
                    this.mPCHoldWindow = holdWindow;
                } else {
                    this.mHoldWindow = holdWindow;
                }
            }
            if (hold != pcState) {
                if (!hold) {
                    this.mPCHoldingScreenWakeLock.release();
                } else if (android.util.HwPCUtils.isValidExtDisplayId(this.mRoot.mHoldScreenWindow.getDisplayId())) {
                    this.mPCHoldingScreenWakeLock.acquire();
                }
            }
            if (this.mHoldWindow == null || !this.mHoldWindow.isVisibleLw() || (this.mHoldWindow.mAttrs.flags & 128) == 0) {
                this.mHoldWindow = null;
                this.mHoldingScreenWakeLock.release();
            }
            if (this.mPCHoldWindow == null || !this.mPCHoldWindow.isVisibleLw() || (this.mPCHoldWindow.mAttrs.flags & 128) == 0) {
                this.mPCHoldWindow = null;
                this.mPCHoldingScreenWakeLock.release();
            }
        }
    }
}
