package com.android.server.wm;

public final class HwWindowManagerServiceEx implements com.android.server.wm.IHwWindowManagerServiceEx {
    private static final int APP_ASSOC_WINDOWADD = 8;
    private static final int APP_ASSOC_WINDOWDEL = 9;
    private static final int APP_ASSOC_WINDOWUPDATE = 27;
    private static final int APP_ASSOC_WINDOWUPOPS = 10;
    private static final java.lang.String ASSOC_PKGNAME = "pkgname";
    private static final java.lang.String ASSOC_RELATION_TYPE = "relationType";
    private static final java.lang.String ASSOC_UID = "uid";
    private static final java.lang.String ASSOC_WINDOW = "window";
    private static final java.lang.String ASSOC_WINDOW_ALPHA = "alpha";
    private static final java.lang.String ASSOC_WINDOW_HASHCODE = "hashcode";
    private static final java.lang.String ASSOC_WINDOW_HEIGHT = "height";
    private static final java.lang.String ASSOC_WINDOW_MODE = "windowmode";
    private static final java.lang.String ASSOC_WINDOW_PHIDE = "permanentlyhidden";
    private static final java.lang.String ASSOC_WINDOW_TYPE = "windowtype";
    private static final java.lang.String ASSOC_WINDOW_WIDTH = "width";
    private static final int FORBIDDEN_ADDVIEW_BROADCAST = 1;
    public static final int NOTIFY_FINGER_WIN_COVERED = 101;
    private static final java.lang.String RESOURCE_APPASSOC = "RESOURCE_APPASSOC";
    private static final java.lang.String RESOURCE_SYSLOAD = "RESOURCE_SYSLOAD";
    private static final java.lang.String SYSLOAD_SINGLEHAND_TYPE = "LazyMode";
    static final java.lang.String TAG = "HwWindowManagerServiceEx";
    private static final int UPDATE_WINDOW_STATE = 0;
    final android.content.Context mContext;
    private android.os.HandlerThread mHandlerThread = new android.os.HandlerThread("hw_ops_handler_thread");
    private android.os.Handler mHwHandler = new android.os.Handler() {
        public void handleMessage(android.os.Message msg) {
            if (msg.what == 101) {
                if (com.android.server.wm.HwWindowManagerServiceEx.this.mContext.getPackageManager().hasSystemFeature("android.hardware.fingerprint")) {
                    boolean z = true;
                    if (msg.arg1 != 1) {
                        z = false;
                    }
                    boolean covered = z;
                    android.graphics.Rect frame = msg.obj;
                    if (((android.hardware.fingerprint.FingerprintManager) com.android.server.wm.HwWindowManagerServiceEx.this.mContext.getSystemService("fingerprint")) != null) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("handleMessage: NOTIFY_FINGER_WIN_COVERED covered=");
                        stringBuilder.append(covered);
                        stringBuilder.append(" frame=");
                        stringBuilder.append(frame);
                        android.util.Slog.i("HwWindowManagerServiceEx", stringBuilder.toString());
                    }
                }
            }
        }
    };
    com.android.server.wm.IHwWindowManagerInner mIWmsInner = null;
    private android.graphics.Rect mLastCoveredFrame = new android.graphics.Rect();
    private boolean mLastCoveredState;
    private com.android.server.wm.HwWindowManagerServiceEx.OpsUpdateHandler mOpsHandler;
    private int mPCScreenDisplayMode = 0;
    private float mPCScreenScale = 1.0f;

    private class OpsUpdateHandler extends android.os.Handler {
        public OpsUpdateHandler(android.os.Looper looper) {
            super(looper);
        }

        public void handleMessage(android.os.Message msg) {
            super.handleMessage(msg);
            switch (msg.what) {
                case 0:
                    com.android.server.wm.HwWindowManagerServiceEx.this.mIWmsInner.updateAppOpsState();
                    return;
                case 1:
                    com.android.server.wm.HwWindowManagerServiceEx.this.sendForbiddenBroadcast(msg.getData());
                    return;
                default:
                    return;
            }
        }
    }

    public HwWindowManagerServiceEx(com.android.server.wm.IHwWindowManagerInner wms, android.content.Context context) {
        this.mIWmsInner = wms;
        this.mContext = context;
        this.mHandlerThread.start();
        this.mOpsHandler = new com.android.server.wm.HwWindowManagerServiceEx.OpsUpdateHandler(this.mHandlerThread.getLooper());
    }

    public void onChangeConfiguration(android.util.MergedConfiguration mergedConfiguration, com.android.server.wm.WindowState ws) {
        if (android.util.HwPCUtils.enabled() && android.util.HwPCUtils.isPcCastModeInServer() && ws != null && android.util.HwPCUtils.isValidExtDisplayId(ws.getDisplayId()) && mergedConfiguration != null && ws.getTask() != null && ws.getTask().isFullscreen()) {
            android.content.res.Configuration cf = mergedConfiguration.getOverrideConfiguration();
            com.android.server.wm.DisplayContent dc = ws.getDisplayContent();
            if (cf != null && dc != null) {
                android.view.DisplayInfo displayInfo = ws.getDisplayInfo();
                if (displayInfo != null) {
                    int displayWidth = displayInfo.logicalWidth;
                    int displayHeight = displayInfo.logicalHeight;
                    float scale = ((float) displayInfo.logicalDensityDpi) / 160.0f;
                    cf.screenWidthDp = (int) ((((float) displayWidth) / scale) + 0.5f);
                    cf.screenHeightDp = (int) ((((float) displayHeight) / scale) + 0.5f);
                    mergedConfiguration.setOverrideConfiguration(cf);
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("set pc fullscreen, width:");
                    stringBuilder.append(displayWidth);
                    stringBuilder.append(" height:");
                    stringBuilder.append(displayHeight);
                    stringBuilder.append(" scale:");
                    stringBuilder.append(scale);
                    stringBuilder.append(" cf.screenWidthDp:");
                    stringBuilder.append(cf.screenWidthDp);
                    stringBuilder.append(" cf.screenHeightDp:");
                    stringBuilder.append(cf.screenHeightDp);
                    android.util.HwPCUtils.log("HwWindowManagerServiceEx", stringBuilder.toString());
                }
            }
        }
    }

    private boolean isInputTargetWindow(com.android.server.wm.WindowState windowState, com.android.server.wm.WindowState inputTargetWin) {
        boolean z = false;
        if (inputTargetWin == null) {
            return false;
        }
        com.android.server.wm.Task inputMethodTask = inputTargetWin.getTask();
        com.android.server.wm.Task task = windowState.getTask();
        if (inputMethodTask == null || task == null) {
            return false;
        }
        if (inputMethodTask.mTaskId == task.mTaskId) {
            z = true;
        }
        return z;
    }

    public void adjustWindowPosForPadPC(android.graphics.Rect containingFrame, android.graphics.Rect contentFrame, com.android.server.wm.WindowState imeWin, com.android.server.wm.WindowState inputTargetWin, com.android.server.wm.WindowState win) {
        if (android.util.HwPCUtils.isPcCastModeInServer() && android.util.HwPCUtils.enabledInPad() && android.util.HwPCUtils.isValidExtDisplayId(win.getDisplayId()) && imeWin != null && imeWin.isVisibleNow() && isInputTargetWindow(win, inputTargetWin)) {
            int windowState = -1;
            com.android.server.am.ActivityRecord r = com.android.server.am.ActivityRecord.forToken(win.getAttrs().token);
            if (r != null) {
                if (r instanceof com.android.server.am.HwActivityRecord) {
                    windowState = ((com.android.server.am.HwActivityRecord) r).getWindowState();
                }
                if (windowState != -1 && !android.content.res.HwPCMultiWindowCompatibility.isLayoutFullscreen(windowState) && !android.content.res.HwPCMultiWindowCompatibility.isLayoutMaximized(windowState) && !contentFrame.isEmpty() && containingFrame.bottom > contentFrame.bottom) {
                    int D1 = contentFrame.bottom - containingFrame.bottom;
                    int D2 = contentFrame.top - containingFrame.top;
                    int offsetY = D1 > D2 ? D1 : D2;
                    if (offsetY < 0) {
                        containingFrame.offset(0, offsetY);
                    }
                }
            }
        }
    }

    public void layoutWindowForPadPCMode(com.android.server.wm.WindowState win, com.android.server.wm.WindowState inputTargetWin, com.android.server.wm.WindowState imeWin, android.graphics.Rect pf, android.graphics.Rect df, android.graphics.Rect cf, android.graphics.Rect vf, int contentBottom) {
        if (isInputTargetWindow(win, inputTargetWin)) {
            int inputMethodTop = 0;
            if (imeWin != null && imeWin.isVisibleLw()) {
                int top = (imeWin.getDisplayFrameLw().top > imeWin.getContentFrameLw().top ? imeWin.getDisplayFrameLw() : imeWin.getContentFrameLw()).top + imeWin.getGivenContentInsetsLw().top;
                inputMethodTop = contentBottom < top ? contentBottom : top;
            }
            if (inputMethodTop > 0) {
                vf.bottom = inputMethodTop;
                cf.bottom = inputMethodTop;
                df.bottom = inputMethodTop;
                pf.bottom = inputMethodTop;
            }
        }
    }

    public void sendUpdateAppOpsState() {
        this.mOpsHandler.removeMessages(0);
        this.mOpsHandler.sendEmptyMessage(0);
    }

    public void setAppOpHideHook(com.android.server.wm.WindowState win, boolean visible) {
        if (!visible) {
            setAppOpVisibilityChecked(win, visible);
        }
    }

    private boolean setAppOpVisibilityChecked(com.android.server.wm.WindowState win, boolean visible) {
        if (visible) {
            setWinAndChildrenVisibility(win, true);
            return true;
        } else if (allowAnyway(win)) {
            setWinAndChildrenVisibility(win, true);
            return true;
        } else {
            setWinAndChildrenVisibility(win, false);
            sendForbiddenMessage(win);
            return false;
        }
    }

    private void setWinAndChildrenVisibility(com.android.server.wm.WindowState win, boolean visible) {
        if (win != null) {
            win.setAppOpVisibilityLw(visible);
            int N = win.mChildren.size();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("this win:");
            stringBuilder.append(win);
            stringBuilder.append(" hase children size:");
            stringBuilder.append(N);
            android.util.Slog.i("HwWindowManagerServiceEx", stringBuilder.toString());
            for (int i = 0; i < N; i++) {
                setWinAndChildrenVisibility((com.android.server.wm.WindowState) win.mChildren.get(i), visible);
            }
        }
    }

    private boolean allowAnyway(com.android.server.wm.WindowState win) {
        if (win == null) {
            return true;
        }
        if (!checkFullWindowWithoutTransparent(win.mAttrs)) {
            return false;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("checkFullWindowWithoutTransparent = true , don't allow anyway,");
        stringBuilder.append(win);
        android.util.Slog.i("HwWindowManagerServiceEx", stringBuilder.toString());
        return false;
    }

    private void sendForbiddenMessage(com.android.server.wm.WindowState win) {
        android.os.Message msg = this.mOpsHandler.obtainMessage(1);
        android.os.Bundle bundle = new android.os.Bundle();
        bundle.putInt("uid", win.getOwningUid());
        bundle.putString("package", win.getOwningPackage());
        msg.setData(bundle);
        this.mOpsHandler.sendMessage(msg);
    }

    private void sendForbiddenBroadcast(android.os.Bundle data) {
        android.content.Intent preventIntent = new android.content.Intent("com.android.server.wm.addview.preventnotify");
        preventIntent.putExtras(data);
        this.mContext.sendBroadcastAsUser(preventIntent, android.os.UserHandle.ALL);
    }

    private boolean checkFullWindowWithoutTransparent(android.view.WindowManager.LayoutParams attrs) {
        return -1 == attrs.width && -1 == attrs.height && 0.0d != ((double) attrs.alpha);
    }

    public void setVisibleFromParent(com.android.server.wm.WindowState win) {
        if (parentHiddenByAppOp(win)) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("parent is hidden by app ops, should also hide this win:");
            stringBuilder.append(win);
            android.util.Slog.i("HwWindowManagerServiceEx", stringBuilder.toString());
            setWinAndChildrenVisibility(win, false);
        }
    }

    private boolean parentHiddenByAppOp(com.android.server.wm.WindowState win) {
        if (win == null || !win.isChildWindow()) {
            return false;
        }
        if (win.getParentWindow().mAppOpVisibility) {
            return parentHiddenByAppOp(win.getParentWindow());
        }
        return true;
    }

    public void checkSingleHandMode(com.android.server.wm.AppWindowToken oldFocus, com.android.server.wm.AppWindowToken newFocus) {
        if ((oldFocus != newFocus) && newFocus != null) {
            int requestedOrientation = newFocus.mOrientation;
            if (requestedOrientation == 0 || requestedOrientation == 6 || requestedOrientation == 8 || requestedOrientation == 11) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("requestedOrientation: ");
                stringBuilder.append(requestedOrientation);
                android.util.Slog.i("HwWindowManagerServiceEx", stringBuilder.toString());
                android.provider.Settings.Global.putString(this.mContext.getContentResolver(), "single_hand_mode", "");
            }
        }
    }

    public void updateSurfacePositionForPCMode(com.android.server.wm.WindowState win, android.graphics.Point outPoint) {
        com.android.server.wm.WindowState windowState = win;
        android.graphics.Point point = outPoint;
        if (android.util.HwPCUtils.isPcCastModeInServer() && android.util.HwPCUtils.isValidExtDisplayId(win.getDisplayId()) && getPCScreenDisplayMode() != 0) {
            android.view.DisplayInfo di = win.getDisplayInfo();
            android.view.DisplayInfo displayInfo;
            if (di == null) {
                displayInfo = di;
            } else if (win.getDisplayContent() == null) {
                displayInfo = di;
            } else {
                int width = di.logicalWidth;
                int height = di.logicalHeight;
                float pcScreenScale = this.mPCScreenScale;
                float pendingX = (((float) width) * (1.0f - pcScreenScale)) / 2.0f;
                float pendingY = (((float) height) * (1.0f - pcScreenScale)) / 2.0f;
                android.graphics.Rect surfaceInsets = windowState.mAttrs.surfaceInsets;
                point.x = (int) ((((float) win.getFrameLw().left) * pcScreenScale) + pendingX);
                point.y = (int) ((((float) win.getFrameLw().top) * pcScreenScale) + pendingY);
                com.android.server.wm.WindowContainer parentWindowContainer = win.getParent();
                if (win.isChildWindow()) {
                    com.android.server.wm.WindowState parent = win.getParentWindow();
                    android.graphics.Rect parentSurfaceInsets = parent.mAttrs.surfaceInsets;
                    android.graphics.Rect parentFrame = parent.getFrameLw();
                    point.offset((int) (((float) ((-parentFrame.left) + parentSurfaceInsets.left)) * pcScreenScale), (int) (((float) ((-parentFrame.top) + parentSurfaceInsets.top)) * pcScreenScale));
                } else {
                    if (parentWindowContainer != null) {
                        android.graphics.Rect parentBounds = parentWindowContainer.getBounds();
                        point.offset(-((int) (((float) parentBounds.left) * pcScreenScale)), -((int) (((float) parentBounds.top) * pcScreenScale)));
                    }
                }
                di = win.getStack();
                if (di != null) {
                    int outset = di.getStackOutset();
                    point.offset((int) (((float) outset) * pcScreenScale), (int) (((float) outset) * pcScreenScale));
                }
                point.offset(-((int) (((float) surfaceInsets.left) * pcScreenScale)), -((int) (((float) surfaceInsets.top) * pcScreenScale)));
                windowState.mOverscanPosition.set(point.x, point.y);
            }
            android.util.HwPCUtils.log("HwWindowManagerServiceEx", "fail to get display info");
            return;
        }
    }

    public void updateDimPositionForPCMode(com.android.server.wm.WindowContainer host, android.graphics.Rect outBounds) {
        if (android.util.HwPCUtils.isPcCastModeInServer() && getPCScreenDisplayMode() != 0) {
            int displayId = -1;
            int screenWidth = 0;
            int screenHeight = 0;
            float pcScreenScale = getPCScreenScale();
            if (host instanceof com.android.server.wm.Task) {
                com.android.server.wm.Task task = (com.android.server.wm.Task) host;
                if (task.getDisplayContent() != null) {
                    displayId = task.getDisplayContent().getDisplayId();
                    screenWidth = task.getDisplayContent().mInitialDisplayWidth;
                    screenHeight = task.getDisplayContent().mInitialDisplayHeight;
                }
            } else if (host instanceof com.android.server.wm.TaskStack) {
                com.android.server.wm.TaskStack taskStack = (com.android.server.wm.TaskStack) host;
                if (taskStack.getDisplayContent() != null) {
                    displayId = taskStack.getDisplayContent().getDisplayId();
                    screenWidth = taskStack.getDisplayContent().mInitialDisplayWidth;
                    screenHeight = taskStack.getDisplayContent().mInitialDisplayHeight;
                }
            }
            if (!android.util.HwPCUtils.isValidExtDisplayId(displayId)) {
                return;
            }
            int left;
            int top;
            if (host.getParent() == null) {
                left = (int) ((((float) outBounds.left) * pcScreenScale) + ((((float) screenWidth) * (1.0f - pcScreenScale)) / 2.0f));
                top = (int) ((((float) outBounds.top) * pcScreenScale) + ((((float) screenHeight) * (1.0f - pcScreenScale)) / 2.0f));
                outBounds.set(left, top, (int) (((float) left) + (((float) outBounds.width()) * pcScreenScale)), (int) (((float) top) + (((float) outBounds.height()) * pcScreenScale)));
            } else if (outBounds.right >= 0 || outBounds.bottom >= 0) {
                left = (int) (((((float) outBounds.left) * pcScreenScale) + ((((float) screenWidth) * (1.0f - pcScreenScale)) / 2.0f)) - 1.0f);
                top = (int) (((((float) outBounds.top) * pcScreenScale) + ((((float) screenHeight) * (1.0f - pcScreenScale)) / 2.0f)) - 1.0f);
                outBounds.set(left, top, ((int) ((((float) outBounds.width()) * pcScreenScale) + 1.0f)) + left, ((int) ((((float) outBounds.height()) * pcScreenScale) + 1.0f)) + top);
            } else {
                outBounds.left = (int) (((float) outBounds.left) * pcScreenScale);
                outBounds.top = (int) (((float) outBounds.top) * pcScreenScale);
            }
        }
    }

    public int getPCScreenDisplayMode() {
        return this.mPCScreenDisplayMode;
    }

    public float getPCScreenScale() {
        return this.mPCScreenScale;
    }

    public void computeShownFrameLockedByPCScreenDpMode(int curMode) {
        this.mPCScreenDisplayMode = curMode;
        if (curMode == 0) {
            this.mPCScreenScale = 1.0f;
        } else if (curMode == 1) {
            this.mPCScreenScale = 0.95f;
        } else if (curMode == 2) {
            this.mPCScreenScale = 0.9f;
        }
    }

    public boolean isFullScreenDevice() {
        return huawei.android.hwutil.HwFullScreenDisplay.isFullScreenDevice();
    }

    public float getDeviceMaxRatio() {
        return huawei.android.hwutil.HwFullScreenDisplay.getDeviceMaxRatio();
    }

    public float getDefaultNonFullMaxRatio() {
        return huawei.android.hwutil.HwFullScreenDisplay.getDefaultNonFullMaxRatio();
    }

    public float getExclusionNavBarMaxRatio() {
        return huawei.android.hwutil.HwFullScreenDisplay.getExclusionNavBarMaxRatio();
    }

    public void setNotchHeight(int notchHeight) {
        huawei.android.hwutil.HwFullScreenDisplay.setNotchHeight(notchHeight);
    }

    public void getAppDisplayRect(float appMaxRatio, android.graphics.Rect rect, int left, int rotation) {
        huawei.android.hwutil.HwFullScreenDisplay.getAppDisplayRect(appMaxRatio, rect, left, rotation);
    }

    public android.graphics.Rect getTopAppDisplayBounds(float appMaxRatio, int rotation, int screenWidth) {
        return huawei.android.hwutil.HwFullScreenDisplay.getTopAppDisplayBounds(appMaxRatio, rotation, screenWidth);
    }

    public java.util.List<java.lang.String> getNotchSystemApps() {
        return com.android.server.notch.HwNotchScreenWhiteConfig.getInstance().getNotchSystemApps();
    }

    public int getAppUseNotchMode(java.lang.String packageName) {
        return com.android.server.notch.HwNotchScreenWhiteConfig.getInstance().getAppUseNotchMode(packageName);
    }

    public boolean isInNotchAppWhitelist(com.android.server.wm.WindowState win) {
        return com.android.server.notch.HwNotchScreenWhiteConfig.getInstance().isNotchAppInfo(win);
    }

    private void getAlertWindows(android.util.ArrayMap<com.android.server.wm.WindowState, java.lang.Integer> windows) {
        synchronized (this.mIWmsInner.getWindowMap()) {
            for (com.android.server.wm.WindowState win : this.mIWmsInner.getWindowMap().values()) {
                if (!(win == null || win.mAttrs == null || win.mSession == null)) {
                    if (!windows.containsKey(win)) {
                        if (win.mAppOp == 24) {
                            if (this.mIWmsInner.getAppOps() == null) {
                                return;
                            }
                            windows.put(win, java.lang.Integer.valueOf(this.mIWmsInner.getAppOps().startOpNoThrow(win.mAppOp, win.getOwningUid(), win.getOwningPackage())));
                        }
                    }
                }
            }
        }
    }

    public java.util.List<android.os.Bundle> getVisibleWindows(int ops) {
        android.util.ArrayMap<com.android.server.wm.WindowState, java.lang.Integer> windows = new android.util.ArrayMap();
        getVisibleWindows(windows, ops);
        java.util.List<android.os.Bundle> windowsList = new java.util.ArrayList();
        for (java.util.Map.Entry<com.android.server.wm.WindowState, java.lang.Integer> win : windows.entrySet()) {
            com.android.server.wm.WindowState state = (com.android.server.wm.WindowState) win.getKey();
            android.os.Bundle bundle = new android.os.Bundle();
            bundle.putInt("window_pid", state.mSession.mPid);
            bundle.putInt("window_value", ((java.lang.Integer) win.getValue()).intValue());
            bundle.putInt("window_state", java.lang.System.identityHashCode(state));
            bundle.putInt("window_width", state.mRequestedWidth);
            bundle.putInt("window_height", state.mRequestedHeight);
            bundle.putFloat("window_alpha", state.mAttrs.alpha);
            bundle.putBoolean("window_hidden", state.mPermanentlyHidden);
            bundle.putString("window_package", state.getOwningPackage());
            bundle.putInt("window_uid", state.getOwningUid());
            windowsList.add(bundle);
        }
        return windowsList;
    }

    private void getVisibleWindows(android.util.ArrayMap<com.android.server.wm.WindowState, java.lang.Integer> windows, int ops) {
        if (windows != null) {
            if (ops == 45) {
                getToastWindows(windows);
            } else {
                getAlertWindows(windows);
            }
        }
    }

    private void getToastWindows(android.util.ArrayMap<com.android.server.wm.WindowState, java.lang.Integer> windows) {
        synchronized (this.mIWmsInner.getWindowMap()) {
            for (com.android.server.wm.WindowState win : this.mIWmsInner.getWindowMap().values()) {
                if (!(win == null || win.mAttrs == null || win.mSession == null)) {
                    if (!windows.containsKey(win)) {
                        if (win.mAttrs.type == 2005) {
                            windows.put(win, java.lang.Integer.valueOf(3));
                        }
                    }
                }
            }
        }
    }

    private void updateVisibleWindows(int eventType, int mode, int type, com.android.server.wm.WindowState win, int requestedWidth, int requestedHeight, boolean isupdate) {
        if (requestedWidth != win.mRequestedWidth || requestedHeight != win.mRequestedHeight || !isupdate) {
            android.os.Bundle args = new android.os.Bundle();
            args.putInt("window", win.mSession.mPid);
            args.putInt("windowmode", mode);
            args.putInt("relationType", eventType);
            args.putInt("hashcode", java.lang.System.identityHashCode(win));
            args.putInt("windowtype", type);
            args.putInt("width", eventType == 8 ? win.getAttrs().width : requestedWidth);
            args.putInt("height", eventType == 8 ? win.getAttrs().height : requestedHeight);
            args.putFloat("alpha", win.getAttrs().alpha);
            args.putBoolean("permanentlyhidden", win.mPermanentlyHidden);
            args.putString("pkgname", win.getOwningPackage());
            args.putInt("uid", win.getOwningUid());
            this.mIWmsInner.getWMMonitor().reportData("RESOURCE_APPASSOC", java.lang.System.currentTimeMillis(), args);
        }
    }

    private void updateVisibleWindowsOps(int eventType, java.lang.String pkgName) {
        android.os.Bundle args = new android.os.Bundle();
        args.putString("pkgname", pkgName);
        args.putInt("relationType", eventType);
        this.mIWmsInner.getWMMonitor().reportData("RESOURCE_APPASSOC", java.lang.System.currentTimeMillis(), args);
    }

    private void reportWindowStatusToIAware(int eventType, com.android.server.wm.WindowState win, int mode, int requestedWidth, int requestedHeight, boolean isupdate) {
        com.android.server.wm.WindowState windowState = win;
        boolean z = windowState != null && windowState.getAttrs().type == 2005;
        boolean isToast = z;
        if (windowState != null && (windowState.mAppOp == 24 || isToast)) {
            if (windowState.mSession != null) {
                if (this.mIWmsInner.getWMMonitor().isResourceNeeded("RESOURCE_APPASSOC")) {
                    updateVisibleWindows(eventType, mode, isToast ? 45 : 24, windowState, requestedWidth, requestedHeight, isupdate);
                    return;
                }
                return;
            }
        }
    }

    public void addWindowReport(com.android.server.wm.WindowState win, int mode) {
        reportWindowStatusToIAware(8, win, mode, 0, 0, false);
    }

    public void removeWindowReport(com.android.server.wm.WindowState win) {
        reportWindowStatusToIAware(9, win, 3, 0, 0, false);
    }

    public void updateWindowReport(com.android.server.wm.WindowState win, int requestedWidth, int requestedHeight) {
        reportWindowStatusToIAware(27, win, 3, requestedWidth, requestedHeight, true);
    }

    public void updateAppOpsStateReport(int ops, java.lang.String packageName) {
        if (ops == 24 && this.mIWmsInner.getWMMonitor().isResourceNeeded("RESOURCE_APPASSOC")) {
            updateVisibleWindowsOps(10, packageName);
        }
    }

    public void notifyFingerWinCovered(boolean covered, android.graphics.Rect frame) {
        if (this.mLastCoveredState != covered || !this.mLastCoveredFrame.equals(frame)) {
            this.mHwHandler.sendMessage(this.mHwHandler.obtainMessage(101, covered, 0, frame));
            this.mLastCoveredState = covered;
            this.mLastCoveredFrame.set(frame);
        }
    }

    public int getFocusWindowWidth(com.android.server.wm.WindowState mCurrentFocus, com.android.server.wm.WindowState mInputMethodTarget) {
        com.android.server.wm.WindowState mFocusWindow;
        if (mInputMethodTarget == null) {
            mFocusWindow = mCurrentFocus;
        } else {
            mFocusWindow = mInputMethodTarget;
        }
        if (mFocusWindow == null) {
            android.util.Log.e("HwWindowManagerServiceEx", "WMS getFocusWindowWidth error");
            return 0;
        }
        android.graphics.Rect rect;
        if (mFocusWindow.getAttrs().type == 2) {
            rect = mFocusWindow.getDisplayFrameLw();
        } else {
            rect = mFocusWindow.getContentFrameLw();
        }
        return rect.width();
    }

    public void reportLazyModeToIAware(int lazyMode) {
        android.os.Bundle args = new android.os.Bundle();
        args.putInt("LazyMode", lazyMode);
        this.mIWmsInner.getWMMonitor().reportData("RESOURCE_SYSLOAD", java.lang.System.currentTimeMillis(), args);
    }

    public void handleNewDisplayConfiguration(android.content.res.Configuration overrideConfig, int displayId) {
        com.android.server.policy.WindowManagerPolicy wmPolicy = this.mIWmsInner.getPolicy();
        if (wmPolicy instanceof com.android.server.policy.HwPhoneWindowManager) {
            com.android.server.policy.HwPhoneWindowManager policy = (com.android.server.policy.HwPhoneWindowManager) wmPolicy;
            if (policy.getHwWindowCallback() != null && (this.mIWmsInner.getRoot().getDisplayContent(displayId).getConfiguration().diff(overrideConfig) & 128) != 0) {
                android.util.Slog.v("HwWindowManagerServiceEx", "handleNewDisplayConfiguration notify window callback");
                try {
                    policy.getHwWindowCallback().handleConfigurationChanged();
                } catch (java.lang.Exception ex) {
                    android.util.Slog.w("HwWindowManagerServiceEx", "mIHwWindowCallback handleNewDisplayConfiguration", ex);
                }
            }
        }
    }

    /* JADX WARNING: Missing block: B:28:0x006d, code:
            return;
     */
    public void getCurrFocusedWinInExtDisplay(android.os.Bundle r7) {
        /*
        r6 = this;
        if (r7 != 0) goto L_0x0003;
    L_0x0002:
        return;
    L_0x0003:
        r0 = r6.mIWmsInner;
        r0 = r0.getWindowMap();
        monitor-enter(r0);
        r1 = r6.mIWmsInner;	 Catch:{ all -> 0x006e }
        r1 = r1.getInputMonitor();	 Catch:{ all -> 0x006e }
        if (r1 != 0) goto L_0x0014;
    L_0x0012:
        monitor-exit(r0);	 Catch:{ all -> 0x006e }
        return;
    L_0x0014:
        r1 = r6.mIWmsInner;	 Catch:{ all -> 0x006e }
        r1 = r1.getInputMonitor();	 Catch:{ all -> 0x006e }
        r1 = r1.getFousedWinExtDisplayInPCCastMode();	 Catch:{ all -> 0x006e }
        r2 = "HwWindowManagerServiceEx";
        r3 = new java.lang.StringBuilder;	 Catch:{ all -> 0x006e }
        r3.<init>();	 Catch:{ all -> 0x006e }
        r4 = "getCurrFocusedWinInExtDisplay inputWindowHandle = ";
        r3.append(r4);	 Catch:{ all -> 0x006e }
        r3.append(r1);	 Catch:{ all -> 0x006e }
        r3 = r3.toString();	 Catch:{ all -> 0x006e }
        android.util.HwPCUtils.log(r2, r3);	 Catch:{ all -> 0x006e }
        if (r1 == 0) goto L_0x006c;
    L_0x0036:
        r2 = r1.windowState;	 Catch:{ all -> 0x006e }
        r2 = r2 instanceof com.android.server.wm.WindowState;	 Catch:{ all -> 0x006e }
        if (r2 == 0) goto L_0x006c;
    L_0x003c:
        r2 = r1.windowState;	 Catch:{ all -> 0x006e }
        r2 = (com.android.server.wm.WindowState) r2;	 Catch:{ all -> 0x006e }
        r3 = "pkgName";
        r4 = 0;
        if (r2 != 0) goto L_0x0047;
    L_0x0045:
        r5 = r4;
        goto L_0x004d;
    L_0x0047:
        r5 = r2.getAttrs();	 Catch:{ all -> 0x006e }
        r5 = r5.packageName;	 Catch:{ all -> 0x006e }
    L_0x004d:
        r7.putString(r3, r5);	 Catch:{ all -> 0x006e }
        r3 = 0;
        if (r2 != 0) goto L_0x0054;
    L_0x0053:
        goto L_0x005b;
    L_0x0054:
        r5 = r2.getAppToken();	 Catch:{ all -> 0x006e }
        if (r5 == 0) goto L_0x0053;
    L_0x005a:
        r3 = 1;
    L_0x005b:
        r5 = "isApp";
        r7.putBoolean(r5, r3);	 Catch:{ all -> 0x006e }
        r5 = "bounds";
        if (r3 == 0) goto L_0x0069;
    L_0x0064:
        r4 = r2.getBounds();	 Catch:{ all -> 0x006e }
    L_0x0069:
        r7.putParcelable(r5, r4);	 Catch:{ all -> 0x006e }
    L_0x006c:
        monitor-exit(r0);	 Catch:{ all -> 0x006e }
        return;
    L_0x006e:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x006e }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.wm.HwWindowManagerServiceEx.getCurrFocusedWinInExtDisplay(android.os.Bundle):void");
    }

    public boolean hasLighterViewInPCCastMode() {
        synchronized (this.mIWmsInner.getWindowMap()) {
            if (this.mIWmsInner.getInputMonitor() == null) {
                return false;
            }
            boolean hasLighterViewInPCCastMode = this.mIWmsInner.getInputMonitor().hasLighterViewInPCCastMode();
            return hasLighterViewInPCCastMode;
        }
    }

    public boolean shouldDropMotionEventForTouchPad(float x, float y) {
        com.android.server.wm.DisplayContent dc = this.mIWmsInner.getRoot().getDisplayContent(0);
        if (dc != null && (dc instanceof com.android.server.wm.HwDisplayContent)) {
            return ((com.android.server.wm.HwDisplayContent) dc).shouldDropMotionEventForTouchPad(x, y);
        }
        return false;
    }

    public void updateHwStartWindowRecord(java.lang.String packageName) {
        com.android.server.wm.HwStartWindowRecord.getInstance().resetStartWindowApp(packageName);
    }

    public com.huawei.android.view.HwTaskSnapshotWrapper getForegroundTaskSnapshotWrapper(com.android.server.wm.TaskSnapshotController mTaskSnapshotController, com.android.server.wm.WindowState focusedWindow, boolean refresh) {
        android.app.ActivityManager.TaskSnapshot taskSnapshot;
        if (refresh) {
            mTaskSnapshotController.clearForegroundTaskSnapshot();
        }
        if (focusedWindow == null || !refresh) {
            taskSnapshot = mTaskSnapshotController.getForegroundTaskSnapshot();
        } else {
            taskSnapshot = mTaskSnapshotController.createForegroundTaskSnapshot(focusedWindow.mAppToken);
        }
        com.huawei.android.view.HwTaskSnapshotWrapper hwTaskSnapshotWrapper = new com.huawei.android.view.HwTaskSnapshotWrapper();
        hwTaskSnapshotWrapper.setTaskSnapshot(taskSnapshot);
        return hwTaskSnapshotWrapper;
    }

    public void takeTaskSnapshot(android.os.IBinder binder) {
        com.android.server.wm.AppWindowToken appWindowToken = this.mIWmsInner.getRoot().getAppWindowToken(binder);
        if (appWindowToken != null) {
            com.android.server.wm.WindowContainer wc = appWindowToken.getParent();
            if (wc == null || !(wc instanceof com.android.server.wm.Task)) {
                android.util.Slog.v("HwWindowManagerServiceEx", "takeTaskSnapshot has no tasks");
            } else {
                android.util.ArraySet<com.android.server.wm.Task> tasks = com.google.android.collect.Sets.newArraySet(new com.android.server.wm.Task[]{(com.android.server.wm.Task) wc});
                synchronized (this.mIWmsInner.getWindowMap()) {
                    this.mIWmsInner.getTaskSnapshotController().snapshotTasks(tasks);
                }
            }
            return;
        }
        android.util.Slog.v("HwWindowManagerServiceEx", "takeTaskSnapshot appWindowToken is null");
    }
}
