package com.android.server.wm;

final class SingleHandAdapter {
    static final boolean DEBUG = false;
    private static final float INITIAL_SCALE = 0.75f;
    private static final boolean IS_NOTCH_PROP = (android.os.SystemProperties.get("ro.config.hw_notch_size", "").equals("") ^ 1);
    public static final java.lang.String KEY_SINGLE_HAND_SCREEN_ZOOM = "single_hand_screen_zoom";
    private static final int MSG_CLEAR_WALLPAPER = 1;
    private static final int MSG_ENTER_SINGLEHAND_TIMEOUT = 2;
    private static final java.lang.String SHOW_ROUNDED_CORNERS = "show_rounded_corners";
    static final java.lang.String TAG = "SingleHandAdapter";
    private static boolean isSingleHandEnabled = true;
    static final java.lang.Object mLock = new java.lang.Object();
    private static int mRoundedStateFlag = 1;
    private static int mRoundedStateFlagPre = 0;
    static android.graphics.Bitmap scaleWallpaper = null;
    private android.graphics.Bitmap mBlurBitmap;
    private android.app.AbsWallpaperManagerInner.IBlurWallpaperCallback mBlurCallback;
    private final android.content.Context mContext;
    private android.cover.CoverManager mCoverManager = null;
    private boolean mCoverOpen = true;
    private java.lang.String mCurrentOverlaySetting = "";
    private android.view.DisplayInfo mDefaultDisplayInfo = new android.view.DisplayInfo();
    private boolean mEnterSinglehandwindow2s = false;
    private final android.os.Handler mHandler;
    private final java.util.ArrayList<com.android.server.wm.SingleHandAdapter.SingleHandHandle> mOverlays = new java.util.ArrayList();
    private final android.os.Handler mPaperHandler;
    private final com.android.server.wm.WindowManagerService mService;
    private final android.os.Handler mUiHandler;
    private android.app.WallpaperManager mWallpaperManager;

    private final class SingleHandHandle {
        private final java.lang.Runnable mDismissRunnable = new java.lang.Runnable() {
            public void run() {
                com.android.server.wm.SingleHandWindow window = com.android.server.wm.SingleHandAdapter.SingleHandHandle.this.mWindow;
                com.android.server.wm.SingleHandAdapter.SingleHandHandle.this.mWindow = null;
                if (window != null) {
                    window.dismiss();
                }
                window = com.android.server.wm.SingleHandAdapter.SingleHandHandle.this.mWindowWalltop;
                com.android.server.wm.SingleHandAdapter.SingleHandHandle.this.mWindowWalltop = null;
                if (window != null) {
                    window.dismiss();
                }
            }
        };
        private final boolean mLeft;
        private final java.lang.Runnable mShowRunnable = new java.lang.Runnable() {
            public void run() {
                com.android.server.wm.SingleHandWindow window = new com.android.server.wm.SingleHandWindow(com.android.server.wm.SingleHandAdapter.this.mContext, com.android.server.wm.SingleHandAdapter.SingleHandHandle.this.mLeft, "virtual", com.android.server.wm.SingleHandAdapter.this.mDefaultDisplayInfo.logicalWidth, com.android.server.wm.SingleHandAdapter.this.mDefaultDisplayInfo.logicalHeight, com.android.server.wm.SingleHandAdapter.this.mService);
                window.show();
                com.android.server.wm.SingleHandAdapter.SingleHandHandle.this.mWindow = window;
            }
        };
        private final java.lang.Runnable mShowRunnableWalltop = new java.lang.Runnable() {
            public void run() {
                com.android.server.wm.SingleHandWindow window = new com.android.server.wm.SingleHandWindow(com.android.server.wm.SingleHandAdapter.this.mContext, com.android.server.wm.SingleHandAdapter.SingleHandHandle.this.mLeft, "blurpapertop", com.android.server.wm.SingleHandAdapter.this.mDefaultDisplayInfo.logicalWidth, com.android.server.wm.SingleHandAdapter.this.mDefaultDisplayInfo.logicalHeight, com.android.server.wm.SingleHandAdapter.this.mService);
                window.show();
                com.android.server.wm.SingleHandAdapter.SingleHandHandle.this.mWindowWalltop = window;
            }
        };
        private com.android.server.wm.SingleHandWindow mWindow;
        private com.android.server.wm.SingleHandWindow mWindowWalltop;

        public SingleHandHandle(boolean left) {
            this.mLeft = left;
            synchronized (com.android.server.wm.SingleHandAdapter.mLock) {
                com.android.server.wm.SingleHandAdapter.this.mUiHandler.post(this.mShowRunnableWalltop);
                com.android.server.wm.SingleHandAdapter.this.mUiHandler.postDelayed(this.mShowRunnable, 10);
            }
        }

        public void dismissLocked() {
            com.android.server.wm.SingleHandAdapter.this.mUiHandler.removeCallbacks(this.mShowRunnable);
            com.android.server.wm.SingleHandAdapter.this.mUiHandler.removeCallbacks(this.mShowRunnableWalltop);
            com.android.server.wm.SingleHandAdapter.this.mUiHandler.post(this.mDismissRunnable);
        }

        public void onBlurWallpaperChanged() {
            if (this.mWindowWalltop != null) {
                this.mWindowWalltop.onBlurWallpaperChanged();
            }
        }
    }

    private class blurCallback implements android.app.AbsWallpaperManagerInner.IBlurWallpaperCallback {
        public void onBlurWallpaperChanged() {
            com.android.server.wm.SingleHandAdapter.this.updateBlur();
        }
    }

    public SingleHandAdapter(android.content.Context context, android.os.Handler handler, android.os.Handler uiHandler, com.android.server.wm.WindowManagerService service) {
        this.mHandler = handler;
        this.mContext = context;
        this.mUiHandler = uiHandler;
        this.mService = service;
        this.mDefaultDisplayInfo = this.mService.getDefaultDisplayContentLocked().getDisplayInfo();
        this.mWallpaperManager = (android.app.WallpaperManager) this.mContext.getSystemService("wallpaper");
        this.mBlurCallback = new com.android.server.wm.SingleHandAdapter.blurCallback();
        if (this.mWallpaperManager instanceof android.app.HwWallpaperManager) {
            ((android.app.HwWallpaperManager) this.mWallpaperManager).setCallback(this.mBlurCallback);
        }
        this.mPaperHandler = new android.os.Handler(this.mUiHandler.getLooper()) {
            public void handleMessage(android.os.Message msg) {
                switch (msg.what) {
                    case 1:
                        android.util.Slog.i("SingleHandAdapter", "for BlurWallpaper :Wallpaper changed.");
                        com.android.server.wm.SingleHandAdapter.this.updateScaleWallpaperForBlur();
                        return;
                    case 2:
                        android.util.Slog.i("SingleHandAdapter", "enter singlehandwindow 2s.");
                        synchronized (com.android.server.wm.SingleHandAdapter.mLock) {
                            com.android.server.wm.SingleHandAdapter.this.mEnterSinglehandwindow2s = true;
                        }
                        return;
                    default:
                        return;
                }
            }
        };
        android.content.IntentFilter userFilter = new android.content.IntentFilter();
        userFilter.addAction("android.intent.action.WALLPAPER_MANAGER_SERVICE_READY");
        context.registerReceiver(new android.content.BroadcastReceiver() {
            public void onReceive(android.content.Context context, android.content.Intent intent) {
                if ("android.intent.action.WALLPAPER_MANAGER_SERVICE_READY".equals(intent.getAction())) {
                    com.android.server.wm.SingleHandAdapter.this.updateBlur();
                }
            }
        }, userFilter);
    }

    public void registerLocked() {
        android.provider.Settings.Global.putString(this.mContext.getContentResolver(), "single_hand_mode", "");
        this.mHandler.post(new java.lang.Runnable() {
            public void run() {
                com.android.server.wm.SingleHandAdapter.this.mContext.getContentResolver().registerContentObserver(android.provider.Settings.Global.getUriFor("single_hand_mode"), true, new android.database.ContentObserver(com.android.server.wm.SingleHandAdapter.this.mHandler) {
                    public void onChange(boolean selfChange) {
                        android.util.Slog.i("SingleHandAdapter", "onChange..");
                        com.android.server.wm.SingleHandAdapter.this.updateSingleHandMode();
                    }
                });
                com.android.server.wm.SingleHandAdapter.this.mContext.getContentResolver().registerContentObserver(android.provider.Settings.System.getUriFor("single_hand_screen_zoom"), true, new android.database.ContentObserver(com.android.server.wm.SingleHandAdapter.this.mHandler) {
                    public void onChange(boolean selfChange) {
                        boolean z = true;
                        if (android.provider.Settings.System.getIntForUser(com.android.server.wm.SingleHandAdapter.this.mContext.getContentResolver(), "single_hand_screen_zoom", 1, android.app.ActivityManager.getCurrentUser()) != 1) {
                            z = false;
                        }
                        com.android.server.wm.SingleHandAdapter.isSingleHandEnabled = z;
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append(" KEY_SINGLE_HAND_SCREEN_ZOOM onChange isSingleHandEnabled=");
                        stringBuilder.append(com.android.server.wm.SingleHandAdapter.isSingleHandEnabled);
                        android.util.Slog.i("SingleHandAdapter", stringBuilder.toString());
                        if (com.android.server.wm.SingleHandAdapter.isSingleHandEnabled) {
                            com.android.server.wm.SingleHandAdapter.this.updateBlur();
                            com.android.server.wm.SingleHandAdapter.this.updateScaleWallpaperForBlur();
                            return;
                        }
                        synchronized (com.android.server.wm.SingleHandAdapter.mLock) {
                            if (com.android.server.wm.SingleHandAdapter.this.mBlurBitmap != null) {
                                com.android.server.wm.SingleHandAdapter.this.mBlurBitmap.recycle();
                                com.android.server.wm.SingleHandAdapter.this.mBlurBitmap = null;
                            }
                            if (com.android.server.wm.SingleHandAdapter.scaleWallpaper != null) {
                                com.android.server.wm.SingleHandAdapter.scaleWallpaper.recycle();
                                com.android.server.wm.SingleHandAdapter.scaleWallpaper = null;
                            }
                        }
                    }
                });
            }
        });
    }

    private void updateSingleHandMode() {
        java.lang.String value = android.provider.Settings.Global.getString(this.mContext.getContentResolver(), "single_hand_mode");
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("updateSingleHandMode value: ");
        stringBuilder.append(value);
        stringBuilder.append(" cur: ");
        stringBuilder.append(this.mCurrentOverlaySetting);
        android.util.Slog.i("SingleHandAdapter", stringBuilder.toString());
        if (value == null) {
            value = "";
        }
        if (IS_NOTCH_PROP) {
            if (this.mCoverManager == null) {
                this.mCoverManager = new android.cover.CoverManager();
            }
            if (this.mCoverManager != null) {
                this.mCoverOpen = this.mCoverManager.isCoverOpen();
            }
            mRoundedStateFlagPre = mRoundedStateFlag;
            mRoundedStateFlag = "".equals(value);
            if (this.mCoverOpen && mRoundedStateFlagPre != mRoundedStateFlag) {
                android.provider.Settings.Global.putInt(this.mContext.getContentResolver(), "show_rounded_corners", mRoundedStateFlag);
            }
        }
        if (!value.equals(this.mCurrentOverlaySetting)) {
            this.mCurrentOverlaySetting = value;
            synchronized (mLock) {
                if (!this.mOverlays.isEmpty()) {
                    android.util.Slog.i("SingleHandAdapter", "Dismissing all overlay display devices.");
                    java.util.Iterator it = this.mOverlays.iterator();
                    while (it.hasNext()) {
                        ((com.android.server.wm.SingleHandAdapter.SingleHandHandle) it.next()).dismissLocked();
                    }
                    this.mOverlays.clear();
                    if (!this.mEnterSinglehandwindow2s) {
                        com.huawei.android.statistical.StatisticalUtils.reportc(this.mContext, 43);
                        this.mEnterSinglehandwindow2s = false;
                    }
                    com.huawei.android.statistical.StatisticalUtils.reportc(this.mContext, 42);
                }
                if (!"".equals(value)) {
                    boolean left = value.contains("left");
                    this.mOverlays.add(new com.android.server.wm.SingleHandAdapter.SingleHandHandle(left));
                    this.mEnterSinglehandwindow2s = false;
                    java.lang.String targetStateName = "false";
                    if (left) {
                        targetStateName = "true";
                    }
                    com.huawei.android.statistical.StatisticalUtils.reporte(this.mContext, 41, java.lang.String.format("{state:left=%s}", new java.lang.Object[]{targetStateName}));
                    if (this.mPaperHandler.hasMessages(2)) {
                        this.mPaperHandler.removeMessages(2);
                    }
                    this.mPaperHandler.sendEmptyMessageDelayed(2, 2000);
                }
            }
        }
    }

    /* JADX WARNING: Missing block: B:29:0x00c5, code:
            return;
     */
    private void updateScaleWallpaperForBlur() {
        /*
        r14 = this;
        r0 = mLock;
        monitor-enter(r0);
        r1 = scaleWallpaper;	 Catch:{ all -> 0x00c6 }
        r2 = 0;
        if (r1 == 0) goto L_0x000f;
    L_0x0008:
        r1 = scaleWallpaper;	 Catch:{ all -> 0x00c6 }
        r1.recycle();	 Catch:{ all -> 0x00c6 }
        scaleWallpaper = r2;	 Catch:{ all -> 0x00c6 }
    L_0x000f:
        r1 = r14.mBlurBitmap;	 Catch:{ all -> 0x00c6 }
        if (r1 != 0) goto L_0x001c;
    L_0x0013:
        r1 = "SingleHandAdapter";
        r2 = "getBlurBitmap return null";
        android.util.Slog.e(r1, r2);	 Catch:{ all -> 0x00c6 }
        monitor-exit(r0);	 Catch:{ all -> 0x00c6 }
        return;
    L_0x001c:
        r1 = r14.mBlurBitmap;	 Catch:{ all -> 0x00c6 }
        r1 = r1.getWidth();	 Catch:{ all -> 0x00c6 }
        r1 = (float) r1;	 Catch:{ all -> 0x00c6 }
        r3 = 1065353216; // 0x3f800000 float:1.0 double:5.263544247E-315;
        r1 = r1 * r3;
        r1 = (int) r1;	 Catch:{ all -> 0x00c6 }
        r4 = r14.mBlurBitmap;	 Catch:{ all -> 0x00c6 }
        r4 = r4.getHeight();	 Catch:{ all -> 0x00c6 }
        r4 = (float) r4;	 Catch:{ all -> 0x00c6 }
        r4 = r4 * r3;
        r3 = (int) r4;	 Catch:{ all -> 0x00c6 }
        r4 = android.graphics.Bitmap.Config.ARGB_8888;	 Catch:{ all -> 0x00c6 }
        r4 = android.graphics.Bitmap.createBitmap(r1, r3, r4);	 Catch:{ all -> 0x00c6 }
        scaleWallpaper = r4;	 Catch:{ all -> 0x00c6 }
        r4 = scaleWallpaper;	 Catch:{ all -> 0x00c6 }
        if (r4 != 0) goto L_0x0045;
    L_0x003c:
        r2 = "SingleHandAdapter";
        r4 = "createBitmap return null";
        android.util.Slog.e(r2, r4);	 Catch:{ all -> 0x00c6 }
        monitor-exit(r0);	 Catch:{ all -> 0x00c6 }
        return;
    L_0x0045:
        r4 = new android.graphics.Canvas;	 Catch:{ all -> 0x00c6 }
        r5 = scaleWallpaper;	 Catch:{ all -> 0x00c6 }
        r4.<init>(r5);	 Catch:{ all -> 0x00c6 }
        r12 = r4;
        r4 = new android.graphics.Paint;	 Catch:{ all -> 0x00c6 }
        r4.<init>();	 Catch:{ all -> 0x00c6 }
        r13 = r4;
        r4 = -1845493760; // 0xffffffff92000000 float:-4.0389678E-28 double:NaN;
        r13.setColor(r4);	 Catch:{ all -> 0x00c6 }
        r4 = r14.mBlurBitmap;	 Catch:{ all -> 0x00c6 }
        r5 = 0;
        r12.drawBitmap(r4, r5, r5, r2);	 Catch:{ all -> 0x00c6 }
        r7 = 0;
        r8 = 0;
        r2 = r14.mBlurBitmap;	 Catch:{ all -> 0x00c6 }
        r2 = r2.getWidth();	 Catch:{ all -> 0x00c6 }
        r9 = (float) r2;	 Catch:{ all -> 0x00c6 }
        r2 = r14.mBlurBitmap;	 Catch:{ all -> 0x00c6 }
        r2 = r2.getHeight();	 Catch:{ all -> 0x00c6 }
        r10 = (float) r2;	 Catch:{ all -> 0x00c6 }
        r6 = r12;
        r11 = r13;
        r6.drawRect(r7, r8, r9, r10, r11);	 Catch:{ all -> 0x00c6 }
        r2 = r1 * r3;
        r2 = new int[r2];	 Catch:{ all -> 0x00c6 }
        r4 = scaleWallpaper;	 Catch:{ all -> 0x00c6 }
        r6 = 0;
        r8 = 0;
        r9 = 0;
        r5 = r2;
        r7 = r1;
        r10 = r1;
        r11 = r3;
        r4.getPixels(r5, r6, r7, r8, r9, r10, r11);	 Catch:{ all -> 0x00c6 }
        r4 = 0;
        r5 = r4;
    L_0x0085:
        if (r5 >= r3) goto L_0x009a;
    L_0x0087:
        r6 = r4;
    L_0x0088:
        if (r6 >= r1) goto L_0x0097;
    L_0x008a:
        r7 = r5 * r1;
        r7 = r7 + r6;
        r8 = -16777216; // 0xffffffffff000000 float:-1.7014118E38 double:NaN;
        r9 = r2[r7];	 Catch:{ all -> 0x00c6 }
        r8 = r8 | r9;
        r2[r7] = r8;	 Catch:{ all -> 0x00c6 }
        r6 = r6 + 1;
        goto L_0x0088;
    L_0x0097:
        r5 = r5 + 1;
        goto L_0x0085;
    L_0x009a:
        r4 = scaleWallpaper;	 Catch:{ all -> 0x00c6 }
        r6 = 0;
        r8 = 0;
        r9 = 0;
        r5 = r2;
        r7 = r1;
        r10 = r1;
        r11 = r3;
        r4.setPixels(r5, r6, r7, r8, r9, r10, r11);	 Catch:{ all -> 0x00c6 }
        r4 = r14.mOverlays;	 Catch:{ all -> 0x00c6 }
        r4 = r4.isEmpty();	 Catch:{ all -> 0x00c6 }
        if (r4 != 0) goto L_0x00c4;
    L_0x00ae:
        r4 = r14.mOverlays;	 Catch:{ all -> 0x00c6 }
        r4 = r4.iterator();	 Catch:{ all -> 0x00c6 }
    L_0x00b4:
        r5 = r4.hasNext();	 Catch:{ all -> 0x00c6 }
        if (r5 == 0) goto L_0x00c4;
    L_0x00ba:
        r5 = r4.next();	 Catch:{ all -> 0x00c6 }
        r5 = (com.android.server.wm.SingleHandAdapter.SingleHandHandle) r5;	 Catch:{ all -> 0x00c6 }
        r5.onBlurWallpaperChanged();	 Catch:{ all -> 0x00c6 }
        goto L_0x00b4;
    L_0x00c4:
        monitor-exit(r0);	 Catch:{ all -> 0x00c6 }
        return;
    L_0x00c6:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x00c6 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.wm.SingleHandAdapter.updateScaleWallpaperForBlur():void");
    }

    private void updateBlur() {
        android.graphics.Bitmap bitmap = null;
        if (this.mWallpaperManager != null) {
            bitmap = this.mWallpaperManager.getBlurBitmap(new android.graphics.Rect(0, 0, this.mDefaultDisplayInfo.logicalWidth, this.mDefaultDisplayInfo.logicalHeight));
        }
        synchronized (mLock) {
            this.mBlurBitmap = bitmap;
        }
        if (this.mPaperHandler.hasMessages(1)) {
            this.mPaperHandler.removeMessages(1);
        }
        this.mPaperHandler.sendEmptyMessageDelayed(1, 1000);
    }
}
