package com.android.systemui.shared.recents;

public interface IOverviewProxy extends android.os.IInterface {

    public static abstract class Stub extends android.os.Binder implements com.android.systemui.shared.recents.IOverviewProxy {
        private static final java.lang.String DESCRIPTOR = "com.android.systemui.shared.recents.IOverviewProxy";
        static final int TRANSACTION_onBind = 1;
        static final int TRANSACTION_onMotionEvent = 3;
        static final int TRANSACTION_onOverviewHidden = 9;
        static final int TRANSACTION_onOverviewShown = 8;
        static final int TRANSACTION_onOverviewToggle = 7;
        static final int TRANSACTION_onPreMotionEvent = 2;
        static final int TRANSACTION_onQuickScrubEnd = 5;
        static final int TRANSACTION_onQuickScrubProgress = 6;
        static final int TRANSACTION_onQuickScrubStart = 4;
        static final int TRANSACTION_onQuickStep = 10;
        static final int TRANSACTION_onSplitTriggleBySystemUI = 12;
        static final int TRANSACTION_onTip = 11;

        private static class Proxy implements com.android.systemui.shared.recents.IOverviewProxy {
            private android.os.IBinder mRemote;

            Proxy(android.os.IBinder remote) {
                this.mRemote = remote;
            }

            public android.os.IBinder asBinder() {
                return this.mRemote;
            }

            public java.lang.String getInterfaceDescriptor() {
                return "com.android.systemui.shared.recents.IOverviewProxy";
            }

            public void onBind(com.android.systemui.shared.recents.ISystemUiProxy sysUiProxy) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.android.systemui.shared.recents.IOverviewProxy");
                    _data.writeStrongBinder(sysUiProxy != null ? sysUiProxy.asBinder() : null);
                    this.mRemote.transact(1, _data, null, 1);
                } finally {
                    _data.recycle();
                }
            }

            public void onPreMotionEvent(int downHitTarget) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.android.systemui.shared.recents.IOverviewProxy");
                    _data.writeInt(downHitTarget);
                    this.mRemote.transact(2, _data, null, 1);
                } finally {
                    _data.recycle();
                }
            }

            public void onMotionEvent(android.view.MotionEvent event) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.android.systemui.shared.recents.IOverviewProxy");
                    if (event != null) {
                        _data.writeInt(1);
                        event.writeToParcel(_data, 0);
                    } else {
                        _data.writeInt(0);
                    }
                    this.mRemote.transact(3, _data, null, 1);
                } finally {
                    _data.recycle();
                }
            }

            public void onQuickScrubStart() throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.android.systemui.shared.recents.IOverviewProxy");
                    this.mRemote.transact(4, _data, null, 1);
                } finally {
                    _data.recycle();
                }
            }

            public void onQuickScrubEnd() throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.android.systemui.shared.recents.IOverviewProxy");
                    this.mRemote.transact(5, _data, null, 1);
                } finally {
                    _data.recycle();
                }
            }

            public void onQuickScrubProgress(float progress) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.android.systemui.shared.recents.IOverviewProxy");
                    _data.writeFloat(progress);
                    this.mRemote.transact(6, _data, null, 1);
                } finally {
                    _data.recycle();
                }
            }

            public void onOverviewToggle() throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.android.systemui.shared.recents.IOverviewProxy");
                    this.mRemote.transact(7, _data, null, 1);
                } finally {
                    _data.recycle();
                }
            }

            public void onOverviewShown(boolean triggeredFromAltTab) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.android.systemui.shared.recents.IOverviewProxy");
                    _data.writeInt(triggeredFromAltTab);
                    this.mRemote.transact(8, _data, null, 1);
                } finally {
                    _data.recycle();
                }
            }

            public void onOverviewHidden(boolean triggeredFromAltTab, boolean triggeredFromHomeKey) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.android.systemui.shared.recents.IOverviewProxy");
                    _data.writeInt(triggeredFromAltTab);
                    _data.writeInt(triggeredFromHomeKey);
                    this.mRemote.transact(9, _data, null, 1);
                } finally {
                    _data.recycle();
                }
            }

            public void onQuickStep(android.view.MotionEvent event) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.android.systemui.shared.recents.IOverviewProxy");
                    if (event != null) {
                        _data.writeInt(1);
                        event.writeToParcel(_data, 0);
                    } else {
                        _data.writeInt(0);
                    }
                    this.mRemote.transact(10, _data, null, 1);
                } finally {
                    _data.recycle();
                }
            }

            public void onTip(int actionType, int viewType) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.android.systemui.shared.recents.IOverviewProxy");
                    _data.writeInt(actionType);
                    _data.writeInt(viewType);
                    this.mRemote.transact(11, _data, null, 1);
                } finally {
                    _data.recycle();
                }
            }

            public void onSplitTriggleBySystemUI(boolean triggeredBySystemUI) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.android.systemui.shared.recents.IOverviewProxy");
                    _data.writeInt(triggeredBySystemUI);
                    this.mRemote.transact(12, _data, null, 1);
                } finally {
                    _data.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, "com.android.systemui.shared.recents.IOverviewProxy");
        }

        public static com.android.systemui.shared.recents.IOverviewProxy asInterface(android.os.IBinder obj) {
            if (obj == null) {
                return null;
            }
            android.os.IInterface iin = obj.queryLocalInterface("com.android.systemui.shared.recents.IOverviewProxy");
            if (iin == null || !(iin instanceof com.android.systemui.shared.recents.IOverviewProxy)) {
                return new com.android.systemui.shared.recents.IOverviewProxy.Stub.Proxy(obj);
            }
            return (com.android.systemui.shared.recents.IOverviewProxy) iin;
        }

        public android.os.IBinder asBinder() {
            return this;
        }

        public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
            java.lang.String descriptor = "com.android.systemui.shared.recents.IOverviewProxy";
            if (code != 1598968902) {
                android.view.MotionEvent _arg0 = null;
                boolean _arg1 = false;
                switch (code) {
                    case 1:
                        data.enforceInterface(descriptor);
                        onBind(com.android.systemui.shared.recents.ISystemUiProxy.Stub.asInterface(data.readStrongBinder()));
                        return true;
                    case 2:
                        data.enforceInterface(descriptor);
                        onPreMotionEvent(data.readInt());
                        return true;
                    case 3:
                        data.enforceInterface(descriptor);
                        if (data.readInt() != 0) {
                            _arg0 = (android.view.MotionEvent) android.view.MotionEvent.CREATOR.createFromParcel(data);
                        }
                        onMotionEvent(_arg0);
                        return true;
                    case 4:
                        data.enforceInterface(descriptor);
                        onQuickScrubStart();
                        return true;
                    case 5:
                        data.enforceInterface(descriptor);
                        onQuickScrubEnd();
                        return true;
                    case 6:
                        data.enforceInterface(descriptor);
                        onQuickScrubProgress(data.readFloat());
                        return true;
                    case 7:
                        data.enforceInterface(descriptor);
                        onOverviewToggle();
                        return true;
                    case 8:
                        data.enforceInterface(descriptor);
                        if (data.readInt() != 0) {
                            _arg1 = true;
                        }
                        onOverviewShown(_arg1);
                        return true;
                    case 9:
                        data.enforceInterface(descriptor);
                        boolean _arg02 = data.readInt() != 0;
                        if (data.readInt() != 0) {
                            _arg1 = true;
                        }
                        onOverviewHidden(_arg02, _arg1);
                        return true;
                    case 10:
                        data.enforceInterface(descriptor);
                        if (data.readInt() != 0) {
                            _arg0 = (android.view.MotionEvent) android.view.MotionEvent.CREATOR.createFromParcel(data);
                        }
                        onQuickStep(_arg0);
                        return true;
                    case 11:
                        data.enforceInterface(descriptor);
                        onTip(data.readInt(), data.readInt());
                        return true;
                    case 12:
                        data.enforceInterface(descriptor);
                        if (data.readInt() != 0) {
                            _arg1 = true;
                        }
                        onSplitTriggleBySystemUI(_arg1);
                        return true;
                    default:
                        return super.onTransact(code, data, reply, flags);
                }
            }
            reply.writeString(descriptor);
            return true;
        }
    }

    void onBind(com.android.systemui.shared.recents.ISystemUiProxy iSystemUiProxy) throws android.os.RemoteException;

    void onMotionEvent(android.view.MotionEvent motionEvent) throws android.os.RemoteException;

    void onOverviewHidden(boolean z, boolean z2) throws android.os.RemoteException;

    void onOverviewShown(boolean z) throws android.os.RemoteException;

    void onOverviewToggle() throws android.os.RemoteException;

    void onPreMotionEvent(int i) throws android.os.RemoteException;

    void onQuickScrubEnd() throws android.os.RemoteException;

    void onQuickScrubProgress(float f) throws android.os.RemoteException;

    void onQuickScrubStart() throws android.os.RemoteException;

    void onQuickStep(android.view.MotionEvent motionEvent) throws android.os.RemoteException;

    void onSplitTriggleBySystemUI(boolean z) throws android.os.RemoteException;

    void onTip(int i, int i2) throws android.os.RemoteException;
}
