package com.android.systemui.shared.recents;

public interface ISystemUiProxy extends android.os.IInterface {

    public static abstract class Stub extends android.os.Binder implements com.android.systemui.shared.recents.ISystemUiProxy {
        private static final java.lang.String DESCRIPTOR = "com.android.systemui.shared.recents.ISystemUiProxy";
        static final int TRANSACTION_getNonMinimizedSplitScreenSecondaryBounds = 8;
        static final int TRANSACTION_onOverviewShown = 7;
        static final int TRANSACTION_onSplitScreenInvoked = 6;
        static final int TRANSACTION_screenshot = 1;
        static final int TRANSACTION_setBackButtonAlpha = 9;
        static final int TRANSACTION_setInteractionState = 5;
        static final int TRANSACTION_startScreenPinning = 2;
        static final int TRANSACTION_updateFullScreenButton = 10;

        private static class Proxy implements com.android.systemui.shared.recents.ISystemUiProxy {
            private android.os.IBinder mRemote;

            Proxy(android.os.IBinder remote) {
                this.mRemote = remote;
            }

            public android.os.IBinder asBinder() {
                return this.mRemote;
            }

            public java.lang.String getInterfaceDescriptor() {
                return "com.android.systemui.shared.recents.ISystemUiProxy";
            }

            public com.android.systemui.shared.system.GraphicBufferCompat screenshot(android.graphics.Rect sourceCrop, int width, int height, int minLayer, int maxLayer, boolean useIdentityTransform, int rotation) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    com.android.systemui.shared.system.GraphicBufferCompat _result;
                    _data.writeInterfaceToken("com.android.systemui.shared.recents.ISystemUiProxy");
                    if (sourceCrop != null) {
                        _data.writeInt(1);
                        sourceCrop.writeToParcel(_data, 0);
                    } else {
                        _data.writeInt(0);
                    }
                    _data.writeInt(width);
                    _data.writeInt(height);
                    _data.writeInt(minLayer);
                    _data.writeInt(maxLayer);
                    _data.writeInt(useIdentityTransform);
                    _data.writeInt(rotation);
                    this.mRemote.transact(1, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = (com.android.systemui.shared.system.GraphicBufferCompat) com.android.systemui.shared.system.GraphicBufferCompat.CREATOR.createFromParcel(_reply);
                    } else {
                        _result = null;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public void startScreenPinning(int taskId) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.android.systemui.shared.recents.ISystemUiProxy");
                    _data.writeInt(taskId);
                    this.mRemote.transact(2, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public void setInteractionState(int flags) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.android.systemui.shared.recents.ISystemUiProxy");
                    _data.writeInt(flags);
                    this.mRemote.transact(5, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public void onSplitScreenInvoked() throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.android.systemui.shared.recents.ISystemUiProxy");
                    this.mRemote.transact(6, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public void onOverviewShown(boolean fromHome) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.android.systemui.shared.recents.ISystemUiProxy");
                    _data.writeInt(fromHome);
                    this.mRemote.transact(7, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public android.graphics.Rect getNonMinimizedSplitScreenSecondaryBounds() throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    android.graphics.Rect _result;
                    _data.writeInterfaceToken("com.android.systemui.shared.recents.ISystemUiProxy");
                    this.mRemote.transact(8, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = (android.graphics.Rect) android.graphics.Rect.CREATOR.createFromParcel(_reply);
                    } else {
                        _result = null;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public void setBackButtonAlpha(float alpha, boolean animate) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.android.systemui.shared.recents.ISystemUiProxy");
                    _data.writeFloat(alpha);
                    _data.writeInt(animate);
                    this.mRemote.transact(9, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public void updateFullScreenButton(boolean show) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.android.systemui.shared.recents.ISystemUiProxy");
                    _data.writeInt(show);
                    this.mRemote.transact(10, _data, _reply, 0);
                    _reply.readException();
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, "com.android.systemui.shared.recents.ISystemUiProxy");
        }

        public static com.android.systemui.shared.recents.ISystemUiProxy asInterface(android.os.IBinder obj) {
            if (obj == null) {
                return null;
            }
            android.os.IInterface iin = obj.queryLocalInterface("com.android.systemui.shared.recents.ISystemUiProxy");
            if (iin == null || !(iin instanceof com.android.systemui.shared.recents.ISystemUiProxy)) {
                return new com.android.systemui.shared.recents.ISystemUiProxy.Stub.Proxy(obj);
            }
            return (com.android.systemui.shared.recents.ISystemUiProxy) iin;
        }

        public android.os.IBinder asBinder() {
            return this;
        }

        public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
            int i = code;
            android.os.Parcel parcel = data;
            android.os.Parcel parcel2 = reply;
            java.lang.String descriptor = "com.android.systemui.shared.recents.ISystemUiProxy";
            if (i != 1598968902) {
                boolean z = false;
                android.graphics.Rect rect;
                switch (i) {
                    case 1:
                        parcel.enforceInterface(descriptor);
                        if (data.readInt() != 0) {
                            rect = (android.graphics.Rect) android.graphics.Rect.CREATOR.createFromParcel(parcel);
                        } else {
                            rect = null;
                        }
                        com.android.systemui.shared.system.GraphicBufferCompat _result = screenshot(rect, data.readInt(), data.readInt(), data.readInt(), data.readInt(), data.readInt() != 0, data.readInt());
                        reply.writeNoException();
                        if (_result != null) {
                            parcel2.writeInt(1);
                            _result.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 2:
                        parcel.enforceInterface(descriptor);
                        startScreenPinning(data.readInt());
                        reply.writeNoException();
                        return true;
                    default:
                        switch (i) {
                            case 5:
                                parcel.enforceInterface(descriptor);
                                setInteractionState(data.readInt());
                                reply.writeNoException();
                                return true;
                            case 6:
                                parcel.enforceInterface(descriptor);
                                onSplitScreenInvoked();
                                reply.writeNoException();
                                return true;
                            case 7:
                                parcel.enforceInterface(descriptor);
                                if (data.readInt() != 0) {
                                    z = true;
                                }
                                onOverviewShown(z);
                                reply.writeNoException();
                                return true;
                            case 8:
                                parcel.enforceInterface(descriptor);
                                rect = getNonMinimizedSplitScreenSecondaryBounds();
                                reply.writeNoException();
                                if (rect != null) {
                                    parcel2.writeInt(1);
                                    rect.writeToParcel(parcel2, 1);
                                } else {
                                    parcel2.writeInt(0);
                                }
                                return true;
                            case 9:
                                parcel.enforceInterface(descriptor);
                                float _arg0 = data.readFloat();
                                if (data.readInt() != 0) {
                                    z = true;
                                }
                                setBackButtonAlpha(_arg0, z);
                                reply.writeNoException();
                                return true;
                            case 10:
                                parcel.enforceInterface(descriptor);
                                if (data.readInt() != 0) {
                                    z = true;
                                }
                                updateFullScreenButton(z);
                                reply.writeNoException();
                                return true;
                            default:
                                return super.onTransact(code, data, reply, flags);
                        }
                }
            }
            parcel2.writeString(descriptor);
            return true;
        }
    }

    android.graphics.Rect getNonMinimizedSplitScreenSecondaryBounds() throws android.os.RemoteException;

    void onOverviewShown(boolean z) throws android.os.RemoteException;

    void onSplitScreenInvoked() throws android.os.RemoteException;

    com.android.systemui.shared.system.GraphicBufferCompat screenshot(android.graphics.Rect rect, int i, int i2, int i3, int i4, boolean z, int i5) throws android.os.RemoteException;

    void setBackButtonAlpha(float f, boolean z) throws android.os.RemoteException;

    void setInteractionState(int i) throws android.os.RemoteException;

    void startScreenPinning(int i) throws android.os.RemoteException;

    void updateFullScreenButton(boolean z) throws android.os.RemoteException;
}
