package com.android.systemui.shared.recents.hwutil;

public class HwRecentsTaskUtils {
    public static final java.lang.String ACTION_REPLY_REMOVE_TASK_FINISH = "com.huawei.systemmanager.action.REPLY_TRIM_ALL";
    public static final java.lang.String ACTION_REQUEST_REMOVE_ALL_TASK = "com.huawei.systemmanager.action.REQUEST_TRIM_ALL";
    public static final java.lang.String ACTION_REQUEST_REMOVE_SINGAL_TASK = "huawei.intent.action.hsm_remove_pkg";
    private static final java.lang.String AUTHORITY = "com.android.systemui.recent.HwRecentsLockProdiver";
    public static final android.net.Uri AUTHORITY_URI = android.net.Uri.parse("content://com.android.systemui.recent.HwRecentsLockProdiver");
    public static final java.lang.String DATABASE_RECENT_LOCK_STATE = "recent_lock_state";
    public static final java.lang.String DATABASE_RECENT_PKG_NAME = "recent_lock_pkgname";
    public static final java.lang.String EXTRA_REQUEST_ID = "request_id";
    private static final java.lang.String EXTRA_START_TRIM_TIME = "start_time";
    public static final long MAX_REMOVE_TASK_TIME = 20000;
    public static final java.lang.String PERMISSION_REPLY_REMOVE_TASK = "com.android.systemui.permission.removeTask";
    public static final java.lang.String PERMISSION_REQUEST_REMOVE_TASK = "com.huawei.android.launcher.permission.ONEKEYCLEAN";
    public static final java.lang.String PKG_SYS_MANAGER = "com.huawei.systemmanager";
    private static final java.lang.String TAG = "HwRecentsTaskUtils";
    private static boolean isRemovingTask = false;
    private static java.util.Map<java.lang.String, java.lang.Boolean> lockStateMap = null;
    private static long mRequestRemoveTaskClockTime = 0;
    private static long mRequestRemoveTaskSystemTime = 0;
    private static java.util.Set<java.lang.Integer> musiclist = null;

    public static synchronized void setRemoveTaskSystemTime(long removeTaskSystemTime) {
        synchronized (com.android.systemui.shared.recents.hwutil.HwRecentsTaskUtils.class) {
            mRequestRemoveTaskSystemTime = removeTaskSystemTime;
        }
    }

    public static synchronized void setRemoveTaskClockTime(long requestRemoveTaskClockTime) {
        synchronized (com.android.systemui.shared.recents.hwutil.HwRecentsTaskUtils.class) {
            mRequestRemoveTaskClockTime = requestRemoveTaskClockTime;
        }
    }

    public static synchronized void setInRemoveTask(boolean isRemovingTask) {
        synchronized (com.android.systemui.shared.recents.hwutil.HwRecentsTaskUtils.class) {
            isRemovingTask = isRemovingTask;
        }
    }

    public static synchronized long getRequestRemoveTaskSystemTime() {
        long j;
        synchronized (com.android.systemui.shared.recents.hwutil.HwRecentsTaskUtils.class) {
            j = mRequestRemoveTaskSystemTime;
        }
        return j;
    }

    public static synchronized long getRequestRemoveTaskClockTime() {
        long j;
        synchronized (com.android.systemui.shared.recents.hwutil.HwRecentsTaskUtils.class) {
            j = mRequestRemoveTaskClockTime;
        }
        return j;
    }

    public static synchronized boolean isInRemoveTask() {
        boolean z;
        synchronized (com.android.systemui.shared.recents.hwutil.HwRecentsTaskUtils.class) {
            z = isRemovingTask && android.os.SystemClock.elapsedRealtime() - getRequestRemoveTaskClockTime() < 20000;
        }
        return z;
    }

    public static synchronized boolean willRemovedTask(android.app.ActivityManager.RecentTaskInfo task) {
        synchronized (com.android.systemui.shared.recents.hwutil.HwRecentsTaskUtils.class) {
            boolean isInRemove = isRemovingTask;
            long removeTime = mRequestRemoveTaskSystemTime;
            if (isInRemoveTask()) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("in willRemovedTask:");
                stringBuilder.append(isInRemove);
                stringBuilder.append(", task:");
                stringBuilder.append(task.id);
                stringBuilder.append(",activeTime:");
                stringBuilder.append(task.lastActiveTime);
                stringBuilder.append(",requestTime:");
                stringBuilder.append(removeTime);
                stringBuilder.append(", less:");
                stringBuilder.append(removeTime - task.lastActiveTime);
                stringBuilder.append(", absTime:");
                stringBuilder.append(java.lang.Math.abs(task.lastActiveTime - removeTime));
                android.util.Log.d("HwRecentsTaskUtils", stringBuilder.toString());
                if (task.lastActiveTime <= removeTime) {
                    return true;
                }
            }
            return false;
        }
    }

    public static synchronized java.util.Map<java.lang.String, java.lang.Boolean> searchFromCache() {
        synchronized (com.android.systemui.shared.recents.hwutil.HwRecentsTaskUtils.class) {
            if (lockStateMap == null) {
                android.util.Log.e("HwRecentsTaskUtils", "when call searchFromCache, lockStateMap is null!!");
                java.util.HashMap hashMap = new java.util.HashMap();
                return hashMap;
            }
            java.util.Map map = lockStateMap;
            return map;
        }
    }

    private static synchronized void setLockStateMap(java.util.Map<java.lang.String, java.lang.Boolean> map) {
        synchronized (com.android.systemui.shared.recents.hwutil.HwRecentsTaskUtils.class) {
            lockStateMap = map;
        }
    }

    /* JADX WARNING: Missing block: B:12:0x0055, code:
            if (r2 == null) goto L_0x006b;
     */
    private static java.util.Map<java.lang.String, java.lang.Boolean> searchFromDate(android.content.Context r10) {
        /*
        r0 = "HwRecentsTaskUtils";
        r1 = "searchFromDate";
        android.util.Log.d(r0, r1);
        r0 = new java.util.HashMap;
        r0.<init>();
        r1 = "recent_lock_pkgname";
        r2 = "recent_lock_state";
        r6 = new java.lang.String[]{r1, r2};
        r1 = new android.content.CursorLoader;
        r5 = AUTHORITY_URI;
        r7 = 0;
        r8 = 0;
        r9 = 0;
        r3 = r1;
        r4 = r10;
        r3.<init>(r4, r5, r6, r7, r8, r9);
        r2 = 0;
        r3 = r1.loadInBackground();	 Catch:{ Exception -> 0x005e }
        r2 = r3;
        if (r2 == 0) goto L_0x0055;
    L_0x0029:
        r3 = r2.moveToFirst();	 Catch:{ Exception -> 0x005e }
        if (r3 == 0) goto L_0x0055;
    L_0x002f:
        r3 = "recent_lock_pkgname";
        r3 = r2.getColumnIndex(r3);	 Catch:{ Exception -> 0x005e }
        r3 = r2.getString(r3);	 Catch:{ Exception -> 0x005e }
        r4 = "recent_lock_state";
        r4 = r2.getColumnIndex(r4);	 Catch:{ Exception -> 0x005e }
        r4 = r2.getInt(r4);	 Catch:{ Exception -> 0x005e }
        r5 = 1;
        if (r4 != r5) goto L_0x0047;
    L_0x0046:
        goto L_0x0048;
    L_0x0047:
        r5 = 0;
    L_0x0048:
        r5 = java.lang.Boolean.valueOf(r5);	 Catch:{ Exception -> 0x005e }
        r0.put(r3, r5);	 Catch:{ Exception -> 0x005e }
        r3 = r2.moveToNext();	 Catch:{ Exception -> 0x005e }
        if (r3 != 0) goto L_0x002f;
    L_0x0055:
        if (r2 == 0) goto L_0x006b;
    L_0x0057:
        r2.close();
        r2 = 0;
        goto L_0x006b;
    L_0x005c:
        r3 = move-exception;
        goto L_0x006c;
    L_0x005e:
        r3 = move-exception;
        r4 = "HwRecentsTaskUtils";
        r5 = r3.getMessage();	 Catch:{ all -> 0x005c }
        android.util.Log.d(r4, r5);	 Catch:{ all -> 0x005c }
        if (r2 == 0) goto L_0x006b;
    L_0x006a:
        goto L_0x0057;
    L_0x006b:
        return r0;
    L_0x006c:
        if (r2 == 0) goto L_0x0072;
    L_0x006e:
        r2.close();
        r2 = 0;
    L_0x0072:
        throw r3;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.systemui.shared.recents.hwutil.HwRecentsTaskUtils.searchFromDate(android.content.Context):java.util.Map<java.lang.String, java.lang.Boolean>");
    }

    public static synchronized java.util.Map<java.lang.String, java.lang.Boolean> refreshToCache(android.content.Context context) {
        java.util.Map<java.lang.String, java.lang.Boolean> results;
        synchronized (com.android.systemui.shared.recents.hwutil.HwRecentsTaskUtils.class) {
            android.util.Log.d("HwRecentsTaskUtils", "refreshToCache");
            results = new java.util.HashMap();
            synchronized (com.android.systemui.shared.recents.hwutil.HwRecentsTaskUtils.class) {
                setLockStateMap(searchFromDate(context));
                results = lockStateMap;
            }
        }
        return results;
    }

    public static boolean isHwTaskLocked(java.lang.String pkgName, boolean def) {
        java.util.Map<java.lang.String, java.lang.Boolean> map = searchFromCache();
        java.lang.Boolean locked = java.lang.Boolean.valueOf(def);
        if (map.get(pkgName) != null) {
            locked = (java.lang.Boolean) map.get(pkgName);
        }
        return locked.booleanValue();
    }

    public static void refreshPlayingMusicUidSet() {
        musiclist = android.hsm.MediaTransactWrapper.playingMusicUidSet();
    }

    public static boolean getPlayingMusicUid(android.content.Context context, com.android.systemui.shared.recents.model.Task task) {
        if (!(context == null || task == null)) {
            if (musiclist != null) {
                if (musiclist.isEmpty()) {
                    return false;
                }
                try {
                    if (!musiclist.contains(java.lang.Integer.valueOf(context.getPackageManager().getPackageUid(task.packageName, task.key.userId)))) {
                        return false;
                    }
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("PlayingMusic is ");
                    stringBuilder.append(task.packageName);
                    android.util.Log.d("HwRecentsTaskUtils", stringBuilder.toString());
                    return true;
                } catch (android.content.pm.PackageManager.NameNotFoundException e) {
                    android.util.Log.d("HwRecentsTaskUtils", "Can not get packageUid return.");
                    return false;
                }
            }
        }
        return false;
    }

    public static void sendRemoveTaskToSystemManager(android.content.Context context, com.android.systemui.shared.recents.model.Task task) {
        if (!(context == null || task == null)) {
            if (task.key != null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("remove task send broadcast packageName=");
                stringBuilder.append(task.packageName);
                stringBuilder.append(", userId=");
                stringBuilder.append(task.key.userId);
                stringBuilder.append(",taskId=");
                stringBuilder.append(task.key.id);
                android.util.Log.i("HwRecentsTaskUtils", stringBuilder.toString());
                android.content.Intent intent = new android.content.Intent("huawei.intent.action.hsm_remove_pkg");
                intent.putExtra("pkg_name", task.packageName);
                intent.putExtra("userid", task.key.userId);
                intent.putExtra("taskid", task.key.id);
                intent.setPackage("com.huawei.systemmanager");
                context.sendBroadcast(intent);
                return;
            }
        }
        android.util.Log.i("HwRecentsTaskUtils", "(sendRemoveTaskToSystemManager context == null || task == null || task.key == null), return");
    }

    private static android.content.Intent getRemoveTaskRequestIntent() {
        long currentRequestId = java.lang.System.currentTimeMillis();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("gener requestId:");
        stringBuilder.append(currentRequestId);
        stringBuilder.append(" for remove all task");
        android.util.Log.d("HwRecentsTaskUtils", stringBuilder.toString());
        return new android.content.Intent("com.huawei.systemmanager.action.REQUEST_TRIM_ALL").putExtra("request_id", currentRequestId).putExtra("start_time", getRequestRemoveTaskSystemTime());
    }

    public static void sendRemoveAllTask(android.content.Context context) {
        if (context == null) {
            android.util.Log.i("HwRecentsTaskUtils", "(sendRemoveAllTask context == null return");
        } else {
            context.sendBroadcast(getRemoveTaskRequestIntent(), "com.huawei.android.launcher.permission.ONEKEYCLEAN");
        }
    }
}
