package com.android.systemui.shared.recents.model;

public class TaskKeyStrongCache<V> extends com.android.systemui.shared.recents.model.TaskKeyCache<V> {
    private static final java.lang.String TAG = "TaskKeyCache";
    private final android.util.ArrayMap<java.lang.Integer, V> mCache = new android.util.ArrayMap();

    final void copyEntries(com.android.systemui.shared.recents.model.TaskKeyStrongCache<V> other) {
        synchronized (other.mKeys) {
            for (int i = other.mKeys.size() - 1; i >= 0; i--) {
                com.android.systemui.shared.recents.model.Task.TaskKey key = (com.android.systemui.shared.recents.model.Task.TaskKey) other.mKeys.valueAt(i);
                if (key != null) {
                    put(key, other.getCacheEntry(key.id));
                }
            }
        }
    }

    public void dump(java.lang.String prefix, java.io.PrintWriter writer) {
        java.lang.String innerPrefix = new java.lang.StringBuilder();
        innerPrefix.append(prefix);
        innerPrefix.append("  ");
        innerPrefix = innerPrefix.toString();
        writer.print(prefix);
        writer.print("TaskKeyCache");
        writer.print(" numEntries=");
        writer.print(this.mKeys.size());
        writer.println();
        int keyCount = this.mKeys.size();
        for (int i = 0; i < keyCount; i++) {
            writer.print(innerPrefix);
            writer.println(this.mKeys.get(this.mKeys.keyAt(i)));
        }
    }

    protected V getCacheEntry(int id) {
        java.lang.Object obj;
        synchronized (this.mCache) {
            obj = this.mCache.get(java.lang.Integer.valueOf(id));
        }
        return obj;
    }

    protected void putCacheEntry(int id, V value) {
        synchronized (this.mCache) {
            this.mCache.put(java.lang.Integer.valueOf(id), value);
        }
    }

    protected void removeCacheEntry(int id) {
        synchronized (this.mCache) {
            this.mCache.remove(java.lang.Integer.valueOf(id));
        }
    }

    protected void evictAllCache() {
        synchronized (this.mCache) {
            this.mCache.clear();
        }
    }
}
