package com.android.systemui.shared.recents.model;

class TaskResourceLoadQueue {
    private final java.util.concurrent.ConcurrentLinkedQueue<com.android.systemui.shared.recents.model.Task> mQueue = new java.util.concurrent.ConcurrentLinkedQueue();

    TaskResourceLoadQueue() {
    }

    void addTask(com.android.systemui.shared.recents.model.Task t) {
        if (!this.mQueue.contains(t)) {
            this.mQueue.add(t);
        }
        synchronized (this) {
            notifyAll();
        }
    }

    com.android.systemui.shared.recents.model.Task nextTask() {
        return (com.android.systemui.shared.recents.model.Task) this.mQueue.poll();
    }

    void removeTask(com.android.systemui.shared.recents.model.Task t) {
        this.mQueue.remove(t);
    }

    void clearTasks() {
        this.mQueue.clear();
    }

    boolean isEmpty() {
        return this.mQueue.isEmpty();
    }
}
