package com.android.systemui.shared.recents.model;

public class ThumbnailData {
    public android.graphics.Rect insets;
    public boolean isRealSnapshot;
    public boolean isTranslucent;
    public int orientation;
    public boolean reducedResolution;
    public float scale;
    public int systemUiVisibility;
    public final android.graphics.Bitmap thumbnail;
    public int windowingMode;

    public ThumbnailData() {
        this.insets = new android.graphics.Rect();
        this.scale = 1.0f;
        this.thumbnail = null;
        this.orientation = 0;
        this.insets = new android.graphics.Rect();
        this.reducedResolution = false;
        this.scale = 1.0f;
        this.isRealSnapshot = true;
        this.isTranslucent = false;
        this.windowingMode = 0;
        this.systemUiVisibility = 0;
    }

    public ThumbnailData(android.app.ActivityManager.TaskSnapshot snapshot) {
        this.insets = new android.graphics.Rect();
        this.scale = 1.0f;
        this.thumbnail = android.graphics.Bitmap.createHardwareBitmap(snapshot.getSnapshot());
        android.graphics.Rect r = snapshot.getContentInsets();
        if (r != null) {
            this.insets = new android.graphics.Rect(r);
        } else {
            android.util.Log.e("ThumbnailData", "createFromTaskSnapshot error napshot.getContentInsets() is null");
        }
        this.orientation = snapshot.getOrientation();
        this.reducedResolution = snapshot.isReducedResolution();
        this.scale = snapshot.getScale();
        this.isRealSnapshot = snapshot.isRealSnapshot();
        this.isTranslucent = snapshot.isTranslucent();
        this.windowingMode = snapshot.getWindowingMode();
        this.systemUiVisibility = snapshot.getSystemUiVisibility();
    }
}
