package com.android.systemui.shared.recents.view;

public abstract class AppTransitionAnimationSpecsFuture {
    private java.util.concurrent.FutureTask<java.util.List<com.android.systemui.shared.recents.view.AppTransitionAnimationSpecCompat>> mComposeTask = new java.util.concurrent.FutureTask(new java.util.concurrent.Callable<java.util.List<com.android.systemui.shared.recents.view.AppTransitionAnimationSpecCompat>>() {
        public java.util.List<com.android.systemui.shared.recents.view.AppTransitionAnimationSpecCompat> call() throws java.lang.Exception {
            return com.android.systemui.shared.recents.view.AppTransitionAnimationSpecsFuture.this.composeSpecs();
        }
    });
    private final android.view.IAppTransitionAnimationSpecsFuture mFuture = new android.view.IAppTransitionAnimationSpecsFuture.Stub() {
        public android.view.AppTransitionAnimationSpec[] get() throws android.os.RemoteException {
            try {
                if (!com.android.systemui.shared.recents.view.AppTransitionAnimationSpecsFuture.this.mComposeTask.isDone()) {
                    com.android.systemui.shared.recents.view.AppTransitionAnimationSpecsFuture.this.mHandler.post(com.android.systemui.shared.recents.view.AppTransitionAnimationSpecsFuture.this.mComposeTask);
                }
                java.util.List<com.android.systemui.shared.recents.view.AppTransitionAnimationSpecCompat> specs = (java.util.List) com.android.systemui.shared.recents.view.AppTransitionAnimationSpecsFuture.this.mComposeTask.get();
                com.android.systemui.shared.recents.view.AppTransitionAnimationSpecsFuture.this.mComposeTask = null;
                if (specs == null) {
                    return null;
                }
                int specs_size = specs.size();
                android.view.AppTransitionAnimationSpec[] arr = new android.view.AppTransitionAnimationSpec[specs_size];
                for (int i = 0; i < specs_size; i++) {
                    arr[i] = ((com.android.systemui.shared.recents.view.AppTransitionAnimationSpecCompat) specs.get(i)).toAppTransitionAnimationSpec();
                }
                return arr;
            } catch (java.lang.Exception e) {
                return null;
            }
        }
    };
    private final android.os.Handler mHandler;

    public abstract java.util.List<com.android.systemui.shared.recents.view.AppTransitionAnimationSpecCompat> composeSpecs();

    public AppTransitionAnimationSpecsFuture(android.os.Handler handler) {
        this.mHandler = handler;
    }

    public final android.view.IAppTransitionAnimationSpecsFuture getFuture() {
        return this.mFuture;
    }

    public final void composeSpecsSynchronous() {
        if (android.os.Looper.myLooper() == this.mHandler.getLooper()) {
            this.mComposeTask.run();
            return;
        }
        throw new java.lang.RuntimeException("composeSpecsSynchronous() called from wrong looper");
    }
}
