package com.android.systemui.shared.system;

public class ActivityCompat {
    private final android.app.Activity mWrapped;

    public ActivityCompat(android.app.Activity activity) {
        this.mWrapped = activity;
    }

    public void registerRemoteAnimations(com.android.systemui.shared.system.RemoteAnimationDefinitionCompat definition) {
        this.mWrapped.registerRemoteAnimations(definition.getWrapped());
    }

    public boolean encodeViewHierarchy(java.io.ByteArrayOutputStream out) {
        android.view.View view = null;
        if (!(this.mWrapped.getWindow() == null || this.mWrapped.getWindow().peekDecorView() == null || this.mWrapped.getWindow().peekDecorView().getViewRootImpl() == null)) {
            view = this.mWrapped.getWindow().peekDecorView().getViewRootImpl().getView();
        }
        if (view == null) {
            return false;
        }
        android.view.ViewHierarchyEncoder encoder = new android.view.ViewHierarchyEncoder(out);
        int[] location = view.getLocationOnScreen();
        encoder.addProperty("window:left", location[0]);
        encoder.addProperty("window:top", location[1]);
        view.encode(encoder);
        encoder.endStream();
        return true;
    }
}
