package com.android.systemui.shared.system;

public class BackgroundExecutor {
    private static final com.android.systemui.shared.system.BackgroundExecutor sInstance = new com.android.systemui.shared.system.BackgroundExecutor();
    private final java.util.concurrent.ExecutorService mExecutorService = java.util.concurrent.Executors.newFixedThreadPool(2);

    public static com.android.systemui.shared.system.BackgroundExecutor get() {
        return sInstance;
    }

    public <T> java.util.concurrent.Future<T> submit(java.util.concurrent.Callable<T> callable) {
        return this.mExecutorService.submit(callable);
    }

    public java.util.concurrent.Future<?> submit(java.lang.Runnable runnable) {
        return this.mExecutorService.submit(runnable);
    }

    public <T> java.util.concurrent.Future<T> submit(java.lang.Runnable runnable, T result) {
        return this.mExecutorService.submit(runnable, result);
    }
}
