package com.android.systemui.shared.system;

public class GraphicBufferCompat implements android.os.Parcelable {
    public static final android.os.Parcelable.Creator<com.android.systemui.shared.system.GraphicBufferCompat> CREATOR = new android.os.Parcelable.Creator<com.android.systemui.shared.system.GraphicBufferCompat>() {
        public com.android.systemui.shared.system.GraphicBufferCompat createFromParcel(android.os.Parcel in) {
            return new com.android.systemui.shared.system.GraphicBufferCompat(in);
        }

        public com.android.systemui.shared.system.GraphicBufferCompat[] newArray(int size) {
            return new com.android.systemui.shared.system.GraphicBufferCompat[size];
        }
    };
    private android.graphics.GraphicBuffer mBuffer;

    public GraphicBufferCompat(android.graphics.GraphicBuffer buffer) {
        this.mBuffer = buffer;
    }

    public GraphicBufferCompat(android.os.Parcel in) {
        this.mBuffer = (android.graphics.GraphicBuffer) android.graphics.GraphicBuffer.CREATOR.createFromParcel(in);
    }

    public android.graphics.Bitmap toBitmap() {
        if (this.mBuffer != null) {
            return android.graphics.Bitmap.createHardwareBitmap(this.mBuffer);
        }
        return null;
    }

    public void writeToParcel(android.os.Parcel dest, int flags) {
        this.mBuffer.writeToParcel(dest, flags);
    }

    public int describeContents() {
        return 0;
    }
}
