package com.android.systemui.shared.system;

public class PackageManagerWrapper {
    public static final java.lang.String ACTION_PREFERRED_ACTIVITY_CHANGED = "android.intent.action.ACTION_PREFERRED_ACTIVITY_CHANGED";
    private static final java.lang.String TAG = "PackageManagerWrapper";
    private static final android.content.pm.IPackageManager mIPackageManager = android.app.AppGlobals.getPackageManager();
    private static final com.android.systemui.shared.system.PackageManagerWrapper sInstance = new com.android.systemui.shared.system.PackageManagerWrapper();

    public static com.android.systemui.shared.system.PackageManagerWrapper getInstance() {
        return sInstance;
    }

    public android.content.pm.ActivityInfo getActivityInfo(android.content.ComponentName componentName, int userId) {
        try {
            return mIPackageManager.getActivityInfo(componentName, 128, userId);
        } catch (android.os.RemoteException e) {
            e.printStackTrace();
            return null;
        }
    }

    public android.content.ComponentName getHomeActivities(java.util.List<android.content.pm.ResolveInfo> allHomeCandidates) {
        try {
            return mIPackageManager.getHomeActivities(allHomeCandidates);
        } catch (android.os.RemoteException e) {
            e.printStackTrace();
            return null;
        }
    }

    public boolean isDefaultHomeActivity(java.lang.String packageName) {
        java.util.List<android.content.pm.ResolveInfo> allHomeCandidates = new java.util.ArrayList();
        boolean z = false;
        try {
            android.content.ComponentName home = mIPackageManager.getHomeActivities(allHomeCandidates);
            if (home != null && packageName.equals(home.getPackageName())) {
                return true;
            }
            int size = allHomeCandidates.size();
            android.content.ComponentName lastComponent = null;
            int lastPriority = Integer.MIN_VALUE;
            for (int i = 0; i < size; i++) {
                android.content.pm.ResolveInfo ri = (android.content.pm.ResolveInfo) allHomeCandidates.get(i);
                if (ri.priority > lastPriority) {
                    lastComponent = ri.activityInfo.getComponentName();
                    lastPriority = ri.priority;
                } else if (ri.priority == lastPriority) {
                    lastComponent = null;
                }
            }
            if (lastComponent != null && packageName.equals(lastComponent.getPackageName())) {
                z = true;
            }
            return z;
        } catch (android.os.RemoteException e) {
            e.printStackTrace();
            return false;
        }
    }
}
