package com.android.systemui.shared.system;

public class RemoteAnimationAdapterCompat {
    private final android.view.RemoteAnimationAdapter mWrapped;

    public RemoteAnimationAdapterCompat(com.android.systemui.shared.system.RemoteAnimationRunnerCompat runner, long duration, long statusBarTransitionDelay) {
        this.mWrapped = new android.view.RemoteAnimationAdapter(wrapRemoteAnimationRunner(runner), duration, statusBarTransitionDelay);
    }

    android.view.RemoteAnimationAdapter getWrapped() {
        return this.mWrapped;
    }

    private static android.view.IRemoteAnimationRunner.Stub wrapRemoteAnimationRunner(final com.android.systemui.shared.system.RemoteAnimationRunnerCompat remoteAnimationAdapter) {
        return new android.view.IRemoteAnimationRunner.Stub() {
            public void onAnimationStart(android.view.RemoteAnimationTarget[] apps, final android.view.IRemoteAnimationFinishedCallback finishedCallback) throws android.os.RemoteException {
                remoteAnimationAdapter.onAnimationStart(com.android.systemui.shared.system.RemoteAnimationTargetCompat.wrap(apps), new java.lang.Runnable() {
                    public void run() {
                        try {
                            finishedCallback.onAnimationFinished();
                        } catch (android.os.RemoteException e) {
                            android.util.Log.e("ActivityOptionsCompat", "Failed to call app controlled animation finished callback", e);
                        }
                    }
                });
            }

            public void onAnimationCancelled() throws android.os.RemoteException {
                remoteAnimationAdapter.onAnimationCancelled();
            }
        };
    }
}
