package com.android.systemui.shared.system;

public class RemoteAnimationTargetCompat {
    public static final int ACTIVITY_TYPE_ASSISTANT = 4;
    public static final int ACTIVITY_TYPE_HOME = 2;
    public static final int ACTIVITY_TYPE_RECENTS = 3;
    public static final int ACTIVITY_TYPE_STANDARD = 1;
    public static final int ACTIVITY_TYPE_UNDEFINED = 0;
    public static final int MODE_CLOSING = 1;
    public static final int MODE_OPENING = 0;
    public final int activityType;
    public final android.graphics.Rect clipRect;
    public final android.graphics.Rect contentInsets;
    public final boolean isNotInRecents;
    public final boolean isTranslucent;
    public final com.android.systemui.shared.system.SurfaceControlCompat leash;
    public final int mode;
    public final android.graphics.Point position;
    public final int prefixOrderIndex;
    public final android.graphics.Rect sourceContainerBounds;
    public final int taskId;

    public RemoteAnimationTargetCompat(android.view.RemoteAnimationTarget app) {
        this.taskId = app.taskId;
        this.mode = app.mode;
        this.leash = new com.android.systemui.shared.system.SurfaceControlCompat(app.leash);
        this.isTranslucent = app.isTranslucent;
        this.clipRect = app.clipRect;
        this.position = app.position;
        this.sourceContainerBounds = app.sourceContainerBounds;
        this.prefixOrderIndex = app.prefixOrderIndex;
        this.isNotInRecents = app.isNotInRecents;
        this.contentInsets = app.contentInsets;
        this.activityType = app.windowConfiguration.getActivityType();
    }

    public static com.android.systemui.shared.system.RemoteAnimationTargetCompat[] wrap(android.view.RemoteAnimationTarget[] apps) {
        com.android.systemui.shared.system.RemoteAnimationTargetCompat[] appsCompat = new com.android.systemui.shared.system.RemoteAnimationTargetCompat[apps.length];
        for (int i = 0; i < apps.length; i++) {
            appsCompat[i] = new com.android.systemui.shared.system.RemoteAnimationTargetCompat(apps[i]);
        }
        return appsCompat;
    }
}
