package com.android.systemui.shared.system;

public class SyncRtSurfaceTransactionApplier {
    private final android.view.Surface mTargetSurface;
    private final android.view.ViewRootImpl mTargetViewRootImpl;
    private final float[] mTmpFloat9 = new float[9];

    public static class SurfaceParams {
        final float alpha;
        final int layer;
        final android.graphics.Matrix matrix;
        final android.view.SurfaceControl surface;
        final android.graphics.Rect windowCrop;

        public SurfaceParams(com.android.systemui.shared.system.SurfaceControlCompat surface, float alpha, android.graphics.Matrix matrix, android.graphics.Rect windowCrop, int layer) {
            this.surface = surface.mSurfaceControl;
            this.alpha = alpha;
            this.matrix = new android.graphics.Matrix(matrix);
            this.windowCrop = new android.graphics.Rect(windowCrop);
            this.layer = layer;
        }
    }

    public SyncRtSurfaceTransactionApplier(android.view.View targetView) {
        android.view.Surface surface = null;
        this.mTargetViewRootImpl = targetView != null ? targetView.getViewRootImpl() : null;
        if (this.mTargetViewRootImpl != null) {
            surface = this.mTargetViewRootImpl.mSurface;
        }
        this.mTargetSurface = surface;
    }

    public void scheduleApply(com.android.systemui.shared.system.SyncRtSurfaceTransactionApplier.SurfaceParams... params) {
        if (this.mTargetViewRootImpl != null) {
            this.mTargetViewRootImpl.registerRtFrameCallback(new com.android.systemui.shared.system.-$$Lambda$SyncRtSurfaceTransactionApplier$odiZXJPwVQjUmyGhNuNxcMPZIOM(this, params));
            this.mTargetViewRootImpl.getView().invalidate();
        }
    }

    public static /* synthetic */ void lambda$scheduleApply$0(com.android.systemui.shared.system.SyncRtSurfaceTransactionApplier syncRtSurfaceTransactionApplier, com.android.systemui.shared.system.SyncRtSurfaceTransactionApplier.SurfaceParams[] params, long frame) {
        if (syncRtSurfaceTransactionApplier.mTargetSurface != null) {
            if (syncRtSurfaceTransactionApplier.mTargetSurface.isValid()) {
                android.view.SurfaceControl.Transaction t = new android.view.SurfaceControl.Transaction();
                for (int i = params.length - 1; i >= 0; i--) {
                    com.android.systemui.shared.system.SyncRtSurfaceTransactionApplier.SurfaceParams surfaceParams = params[i];
                    t.deferTransactionUntilSurface(surfaceParams.surface, syncRtSurfaceTransactionApplier.mTargetSurface, frame);
                    applyParams(t, surfaceParams, syncRtSurfaceTransactionApplier.mTmpFloat9);
                }
                t.setEarlyWakeup();
                t.apply();
            }
        }
    }

    public static void applyParams(com.android.systemui.shared.system.TransactionCompat t, com.android.systemui.shared.system.SyncRtSurfaceTransactionApplier.SurfaceParams params) {
        applyParams(t.mTransaction, params, t.mTmpValues);
    }

    private static void applyParams(android.view.SurfaceControl.Transaction t, com.android.systemui.shared.system.SyncRtSurfaceTransactionApplier.SurfaceParams params, float[] tmpFloat9) {
        t.setMatrix(params.surface, params.matrix, tmpFloat9);
        t.setWindowCrop(params.surface, params.windowCrop);
        t.setAlpha(params.surface, params.alpha);
        t.setLayer(params.surface, params.layer);
        t.show(params.surface);
    }
}
