package com.android.systemui.shared.system;

public abstract class TaskStackChangeListener {
    public void onTaskStackChangedBackground() {
    }

    public void onTaskStackChanged() {
    }

    public void onTaskSnapshotChanged(int taskId, com.android.systemui.shared.recents.model.ThumbnailData snapshot) {
    }

    public void onActivityPinned(java.lang.String packageName, int userId, int taskId, int stackId) {
    }

    public void onActivityUnpinned() {
    }

    public void onPinnedActivityRestartAttempt(boolean clearedTask) {
    }

    public void onPinnedStackAnimationStarted() {
    }

    public void onPinnedStackAnimationEnded() {
    }

    public void onActivityForcedResizable(java.lang.String packageName, int taskId, int reason) {
    }

    public void onActivityDismissingDockedStack() {
    }

    public void onActivityLaunchOnSecondaryDisplayFailed() {
    }

    public void onTaskProfileLocked(int taskId, int userId) {
    }

    public void onTaskCreated(int taskId, android.content.ComponentName componentName) {
    }

    public void onTaskRemoved(int taskId) {
    }

    public void onTaskMovedToFront(int taskId) {
    }

    public void onActivityRequestedOrientationChanged(int taskId, int requestedOrientation) {
    }

    protected final boolean checkCurrentUserId(int currentUserId, boolean debug) {
        int processUserId = android.os.UserHandle.myUserId();
        if (processUserId == currentUserId) {
            return true;
        }
        if (debug) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("UID mismatch. Process is uid=");
            stringBuilder.append(processUserId);
            stringBuilder.append(" and the current user is uid=");
            stringBuilder.append(currentUserId);
            android.util.Log.d("TaskStackChangeListener", stringBuilder.toString());
        }
        return false;
    }
}
