package com.android.systemui.shared.system;

public class TaskStackChangeListeners extends android.app.TaskStackListener {
    private static final java.lang.String TAG = com.android.systemui.shared.system.TaskStackChangeListeners.class.getSimpleName();
    private final android.os.Handler mHandler;
    private boolean mRegistered;
    private final java.util.List<com.android.systemui.shared.system.TaskStackChangeListener> mTaskStackListeners = new java.util.ArrayList();
    private final java.util.List<com.android.systemui.shared.system.TaskStackChangeListener> mTmpListeners = new java.util.ArrayList();

    private final class H extends android.os.Handler {
        private static final int ON_ACTIVITY_DISMISSING_DOCKED_STACK = 7;
        private static final int ON_ACTIVITY_FORCED_RESIZABLE = 6;
        private static final int ON_ACTIVITY_LAUNCH_ON_SECONDARY_DISPLAY_FAILED = 11;
        private static final int ON_ACTIVITY_PINNED = 3;
        private static final int ON_ACTIVITY_REQUESTED_ORIENTATION_CHANGE = 15;
        private static final int ON_ACTIVITY_UNPINNED = 10;
        private static final int ON_PINNED_ACTIVITY_RESTART_ATTEMPT = 4;
        private static final int ON_PINNED_STACK_ANIMATION_ENDED = 5;
        private static final int ON_PINNED_STACK_ANIMATION_STARTED = 9;
        private static final int ON_TASK_CREATED = 12;
        private static final int ON_TASK_MOVED_TO_FRONT = 14;
        private static final int ON_TASK_PROFILE_LOCKED = 8;
        private static final int ON_TASK_REMOVED = 13;
        private static final int ON_TASK_SNAPSHOT_CHANGED = 2;
        private static final int ON_TASK_STACK_CHANGED = 1;

        public H(android.os.Looper looper) {
            super(looper);
        }

        public void handleMessage(android.os.Message msg) {
            synchronized (com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners) {
                int i;
                switch (msg.what) {
                    case 1:
                        android.os.Trace.beginSection("onTaskStackChanged");
                        for (i = com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.size() - 1; i >= 0; i--) {
                            ((com.android.systemui.shared.system.TaskStackChangeListener) com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.get(i)).onTaskStackChanged();
                        }
                        android.os.Trace.endSection();
                        break;
                    case 2:
                        android.os.Trace.beginSection("onTaskSnapshotChanged");
                        for (i = com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.size() - 1; i >= 0; i--) {
                            ((com.android.systemui.shared.system.TaskStackChangeListener) com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.get(i)).onTaskSnapshotChanged(msg.arg1, new com.android.systemui.shared.recents.model.ThumbnailData((android.app.ActivityManager.TaskSnapshot) msg.obj));
                        }
                        android.os.Trace.endSection();
                        break;
                    case 3:
                        com.android.systemui.shared.system.TaskStackChangeListeners.PinnedActivityInfo info = msg.obj;
                        int i2 = com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.size() - 1;
                        while (true) {
                            int i3 = i2;
                            if (i3 < 0) {
                                break;
                            }
                            ((com.android.systemui.shared.system.TaskStackChangeListener) com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.get(i3)).onActivityPinned(info.mPackageName, info.mUserId, info.mTaskId, info.mStackId);
                            i2 = i3 - 1;
                        }
                    case 4:
                        for (i = com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.size() - 1; i >= 0; i--) {
                            ((com.android.systemui.shared.system.TaskStackChangeListener) com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.get(i)).onPinnedActivityRestartAttempt(msg.arg1 != 0);
                        }
                        break;
                    case 5:
                        for (i = com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.size() - 1; i >= 0; i--) {
                            ((com.android.systemui.shared.system.TaskStackChangeListener) com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.get(i)).onPinnedStackAnimationEnded();
                        }
                        break;
                    case 6:
                        for (i = com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.size() - 1; i >= 0; i--) {
                            ((com.android.systemui.shared.system.TaskStackChangeListener) com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.get(i)).onActivityForcedResizable((java.lang.String) msg.obj, msg.arg1, msg.arg2);
                        }
                        break;
                    case 7:
                        for (i = com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.size() - 1; i >= 0; i--) {
                            ((com.android.systemui.shared.system.TaskStackChangeListener) com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.get(i)).onActivityDismissingDockedStack();
                        }
                        break;
                    case 8:
                        for (i = com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.size() - 1; i >= 0; i--) {
                            ((com.android.systemui.shared.system.TaskStackChangeListener) com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.get(i)).onTaskProfileLocked(msg.arg1, msg.arg2);
                        }
                        break;
                    case 9:
                        for (i = com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.size() - 1; i >= 0; i--) {
                            ((com.android.systemui.shared.system.TaskStackChangeListener) com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.get(i)).onPinnedStackAnimationStarted();
                        }
                        break;
                    case 10:
                        for (i = com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.size() - 1; i >= 0; i--) {
                            ((com.android.systemui.shared.system.TaskStackChangeListener) com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.get(i)).onActivityUnpinned();
                        }
                        break;
                    case 11:
                        for (i = com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.size() - 1; i >= 0; i--) {
                            ((com.android.systemui.shared.system.TaskStackChangeListener) com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.get(i)).onActivityLaunchOnSecondaryDisplayFailed();
                        }
                        break;
                    case 12:
                        for (i = com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.size() - 1; i >= 0; i--) {
                            ((com.android.systemui.shared.system.TaskStackChangeListener) com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.get(i)).onTaskCreated(msg.arg1, (android.content.ComponentName) msg.obj);
                        }
                        break;
                    case 13:
                        for (i = com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.size() - 1; i >= 0; i--) {
                            ((com.android.systemui.shared.system.TaskStackChangeListener) com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.get(i)).onTaskRemoved(msg.arg1);
                        }
                        break;
                    case 14:
                        for (i = com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.size() - 1; i >= 0; i--) {
                            ((com.android.systemui.shared.system.TaskStackChangeListener) com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.get(i)).onTaskMovedToFront(msg.arg1);
                        }
                        break;
                    case 15:
                        for (i = com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.size() - 1; i >= 0; i--) {
                            ((com.android.systemui.shared.system.TaskStackChangeListener) com.android.systemui.shared.system.TaskStackChangeListeners.this.mTaskStackListeners.get(i)).onActivityRequestedOrientationChanged(msg.arg1, msg.arg2);
                        }
                        break;
                    default:
                        break;
                }
            }
        }
    }

    private static class PinnedActivityInfo {
        final java.lang.String mPackageName;
        final int mStackId;
        final int mTaskId;
        final int mUserId;

        PinnedActivityInfo(java.lang.String packageName, int userId, int taskId, int stackId) {
            this.mPackageName = packageName;
            this.mUserId = userId;
            this.mTaskId = taskId;
            this.mStackId = stackId;
        }
    }

    public TaskStackChangeListeners(android.os.Looper looper) {
        this.mHandler = new com.android.systemui.shared.system.TaskStackChangeListeners.H(looper);
    }

    public void addListener(android.app.IActivityManager am, com.android.systemui.shared.system.TaskStackChangeListener listener) {
        this.mTaskStackListeners.add(listener);
        if (!this.mRegistered) {
            try {
                am.registerTaskStackListener(this);
                this.mRegistered = true;
            } catch (java.lang.Exception e) {
                android.util.Log.w(TAG, "Failed to call registerTaskStackListener", e);
            }
        }
    }

    public void removeListener(com.android.systemui.shared.system.TaskStackChangeListener listener) {
        this.mTaskStackListeners.remove(listener);
    }

    public void onTaskStackChanged() throws android.os.RemoteException {
        synchronized (this.mTaskStackListeners) {
            this.mTmpListeners.clear();
            this.mTmpListeners.addAll(this.mTaskStackListeners);
        }
        for (int i = this.mTmpListeners.size() - 1; i >= 0; i--) {
            ((com.android.systemui.shared.system.TaskStackChangeListener) this.mTmpListeners.get(i)).onTaskStackChangedBackground();
        }
        this.mHandler.removeMessages(1);
        this.mHandler.sendEmptyMessage(1);
    }

    public void onActivityPinned(java.lang.String packageName, int userId, int taskId, int stackId) throws android.os.RemoteException {
        this.mHandler.removeMessages(3);
        this.mHandler.obtainMessage(3, new com.android.systemui.shared.system.TaskStackChangeListeners.PinnedActivityInfo(packageName, userId, taskId, stackId)).sendToTarget();
    }

    public void onActivityUnpinned() throws android.os.RemoteException {
        this.mHandler.removeMessages(10);
        this.mHandler.sendEmptyMessage(10);
    }

    public void onPinnedActivityRestartAttempt(boolean clearedTask) throws android.os.RemoteException {
        this.mHandler.removeMessages(4);
        this.mHandler.obtainMessage(4, clearedTask, 0).sendToTarget();
    }

    public void onPinnedStackAnimationStarted() throws android.os.RemoteException {
        this.mHandler.removeMessages(9);
        this.mHandler.sendEmptyMessage(9);
    }

    public void onPinnedStackAnimationEnded() throws android.os.RemoteException {
        this.mHandler.removeMessages(5);
        this.mHandler.sendEmptyMessage(5);
    }

    public void onActivityForcedResizable(java.lang.String packageName, int taskId, int reason) throws android.os.RemoteException {
        this.mHandler.obtainMessage(6, taskId, reason, packageName).sendToTarget();
    }

    public void onActivityDismissingDockedStack() throws android.os.RemoteException {
        this.mHandler.sendEmptyMessage(7);
    }

    public void onActivityLaunchOnSecondaryDisplayFailed() throws android.os.RemoteException {
        this.mHandler.sendEmptyMessage(11);
    }

    public void onTaskProfileLocked(int taskId, int userId) throws android.os.RemoteException {
        this.mHandler.obtainMessage(8, taskId, userId).sendToTarget();
    }

    public void onTaskSnapshotChanged(int taskId, android.app.ActivityManager.TaskSnapshot snapshot) throws android.os.RemoteException {
        this.mHandler.obtainMessage(2, taskId, 0, snapshot).sendToTarget();
    }

    public void onTaskCreated(int taskId, android.content.ComponentName componentName) throws android.os.RemoteException {
        this.mHandler.obtainMessage(12, taskId, 0, componentName).sendToTarget();
    }

    public void onTaskRemoved(int taskId) throws android.os.RemoteException {
        this.mHandler.obtainMessage(13, taskId, 0).sendToTarget();
    }

    public void onTaskMovedToFront(int taskId) throws android.os.RemoteException {
        this.mHandler.obtainMessage(14, taskId, 0).sendToTarget();
    }

    public void onActivityRequestedOrientationChanged(int taskId, int requestedOrientation) throws android.os.RemoteException {
        this.mHandler.obtainMessage(15, taskId, requestedOrientation).sendToTarget();
    }
}
