package com.android.systemui.shared.system;

public class TonalCompat {
    private final com.android.internal.colorextraction.types.Tonal mTonal;

    public static class ExtractionInfo {
        public int mainColor;
        public int secondaryColor;
        public boolean supportsDarkText;
        public boolean supportsDarkTheme;
    }

    public TonalCompat(android.content.Context context) {
        this.mTonal = new com.android.internal.colorextraction.types.Tonal(context);
    }

    public com.android.systemui.shared.system.TonalCompat.ExtractionInfo extractDarkColors(android.app.WallpaperColors colors) {
        com.android.internal.colorextraction.ColorExtractor.GradientColors darkColors = new com.android.internal.colorextraction.ColorExtractor.GradientColors();
        this.mTonal.extractInto(colors, new com.android.internal.colorextraction.ColorExtractor.GradientColors(), darkColors, new com.android.internal.colorextraction.ColorExtractor.GradientColors());
        com.android.systemui.shared.system.TonalCompat.ExtractionInfo result = new com.android.systemui.shared.system.TonalCompat.ExtractionInfo();
        result.mainColor = darkColors.getMainColor();
        result.secondaryColor = darkColors.getSecondaryColor();
        result.supportsDarkText = darkColors.supportsDarkText();
        if (colors != null) {
            result.supportsDarkTheme = (colors.getColorHints() & 2) != 0;
        }
        return result;
    }
}
