package com.android.systemui.shared.system;

public class TransactionCompat {
    final float[] mTmpValues = new float[9];
    final android.view.SurfaceControl.Transaction mTransaction = new android.view.SurfaceControl.Transaction();

    public void apply() {
        this.mTransaction.apply();
    }

    public com.android.systemui.shared.system.TransactionCompat show(com.android.systemui.shared.system.SurfaceControlCompat surfaceControl) {
        this.mTransaction.show(surfaceControl.mSurfaceControl);
        return this;
    }

    public com.android.systemui.shared.system.TransactionCompat hide(com.android.systemui.shared.system.SurfaceControlCompat surfaceControl) {
        this.mTransaction.hide(surfaceControl.mSurfaceControl);
        return this;
    }

    public com.android.systemui.shared.system.TransactionCompat setPosition(com.android.systemui.shared.system.SurfaceControlCompat surfaceControl, float x, float y) {
        this.mTransaction.setPosition(surfaceControl.mSurfaceControl, x, y);
        return this;
    }

    public com.android.systemui.shared.system.TransactionCompat setSize(com.android.systemui.shared.system.SurfaceControlCompat surfaceControl, int w, int h) {
        this.mTransaction.setSize(surfaceControl.mSurfaceControl, w, h);
        return this;
    }

    public com.android.systemui.shared.system.TransactionCompat setLayer(com.android.systemui.shared.system.SurfaceControlCompat surfaceControl, int z) {
        this.mTransaction.setLayer(surfaceControl.mSurfaceControl, z);
        return this;
    }

    public com.android.systemui.shared.system.TransactionCompat setAlpha(com.android.systemui.shared.system.SurfaceControlCompat surfaceControl, float alpha) {
        this.mTransaction.setAlpha(surfaceControl.mSurfaceControl, alpha);
        return this;
    }

    public com.android.systemui.shared.system.TransactionCompat setMatrix(com.android.systemui.shared.system.SurfaceControlCompat surfaceControl, float dsdx, float dtdx, float dtdy, float dsdy) {
        this.mTransaction.setMatrix(surfaceControl.mSurfaceControl, dsdx, dtdx, dtdy, dsdy);
        return this;
    }

    public com.android.systemui.shared.system.TransactionCompat setMatrix(com.android.systemui.shared.system.SurfaceControlCompat surfaceControl, android.graphics.Matrix matrix) {
        this.mTransaction.setMatrix(surfaceControl.mSurfaceControl, matrix, this.mTmpValues);
        return this;
    }

    public com.android.systemui.shared.system.TransactionCompat setWindowCrop(com.android.systemui.shared.system.SurfaceControlCompat surfaceControl, android.graphics.Rect crop) {
        this.mTransaction.setWindowCrop(surfaceControl.mSurfaceControl, crop);
        return this;
    }

    public com.android.systemui.shared.system.TransactionCompat setFinalCrop(com.android.systemui.shared.system.SurfaceControlCompat surfaceControl, android.graphics.Rect crop) {
        this.mTransaction.setFinalCrop(surfaceControl.mSurfaceControl, crop);
        return this;
    }

    public com.android.systemui.shared.system.TransactionCompat deferTransactionUntil(com.android.systemui.shared.system.SurfaceControlCompat surfaceControl, android.os.IBinder handle, long frameNumber) {
        this.mTransaction.deferTransactionUntil(surfaceControl.mSurfaceControl, handle, frameNumber);
        return this;
    }

    public com.android.systemui.shared.system.TransactionCompat deferTransactionUntil(com.android.systemui.shared.system.SurfaceControlCompat surfaceControl, android.view.Surface barrier, long frameNumber) {
        this.mTransaction.deferTransactionUntilSurface(surfaceControl.mSurfaceControl, barrier, frameNumber);
        return this;
    }

    public com.android.systemui.shared.system.TransactionCompat setEarlyWakeup() {
        this.mTransaction.setEarlyWakeup();
        return this;
    }

    public com.android.systemui.shared.system.TransactionCompat setColor(com.android.systemui.shared.system.SurfaceControlCompat surfaceControl, float[] color) {
        this.mTransaction.setColor(surfaceControl.mSurfaceControl, color);
        return this;
    }
}
