package com.google.gson;

public final class FieldAttributes {
    private final java.lang.reflect.Field field;

    public FieldAttributes(java.lang.reflect.Field f) {
        com.google.gson.internal.C$Gson$Preconditions.checkNotNull(f);
        this.field = f;
    }

    public java.lang.Class<?> getDeclaringClass() {
        return this.field.getDeclaringClass();
    }

    public java.lang.String getName() {
        return this.field.getName();
    }

    public java.lang.reflect.Type getDeclaredType() {
        return this.field.getGenericType();
    }

    public java.lang.Class<?> getDeclaredClass() {
        return this.field.getType();
    }

    public <T extends java.lang.annotation.Annotation> T getAnnotation(java.lang.Class<T> annotation) {
        return this.field.getAnnotation(annotation);
    }

    public java.util.Collection<java.lang.annotation.Annotation> getAnnotations() {
        return java.util.Arrays.asList(this.field.getAnnotations());
    }

    public boolean hasModifier(int modifier) {
        return (this.field.getModifiers() & modifier) != 0;
    }

    java.lang.Object get(java.lang.Object instance) throws java.lang.IllegalAccessException {
        return this.field.get(instance);
    }

    boolean isSynthetic() {
        return this.field.isSynthetic();
    }
}
