package com.google.gson;

public final class JsonArray extends com.google.gson.JsonElement implements java.lang.Iterable<com.google.gson.JsonElement> {
    private final java.util.List<com.google.gson.JsonElement> elements;

    public JsonArray() {
        this.elements = new java.util.ArrayList();
    }

    public JsonArray(int capacity) {
        this.elements = new java.util.ArrayList(capacity);
    }

    public com.google.gson.JsonArray deepCopy() {
        if (this.elements.isEmpty()) {
            return new com.google.gson.JsonArray();
        }
        com.google.gson.JsonArray result = new com.google.gson.JsonArray(this.elements.size());
        for (com.google.gson.JsonElement element : this.elements) {
            result.add(element.deepCopy());
        }
        return result;
    }

    public void add(java.lang.Boolean bool) {
        this.elements.add(bool == null ? com.google.gson.JsonNull.INSTANCE : new com.google.gson.JsonPrimitive(bool));
    }

    public void add(java.lang.Character character) {
        this.elements.add(character == null ? com.google.gson.JsonNull.INSTANCE : new com.google.gson.JsonPrimitive(character));
    }

    public void add(java.lang.Number number) {
        this.elements.add(number == null ? com.google.gson.JsonNull.INSTANCE : new com.google.gson.JsonPrimitive(number));
    }

    public void add(java.lang.String string) {
        this.elements.add(string == null ? com.google.gson.JsonNull.INSTANCE : new com.google.gson.JsonPrimitive(string));
    }

    public void add(com.google.gson.JsonElement element) {
        java.lang.Object element2;
        if (element2 == null) {
            element2 = com.google.gson.JsonNull.INSTANCE;
        }
        this.elements.add(element2);
    }

    public void addAll(com.google.gson.JsonArray array) {
        this.elements.addAll(array.elements);
    }

    public com.google.gson.JsonElement set(int index, com.google.gson.JsonElement element) {
        return (com.google.gson.JsonElement) this.elements.set(index, element);
    }

    public boolean remove(com.google.gson.JsonElement element) {
        return this.elements.remove(element);
    }

    public com.google.gson.JsonElement remove(int index) {
        return (com.google.gson.JsonElement) this.elements.remove(index);
    }

    public boolean contains(com.google.gson.JsonElement element) {
        return this.elements.contains(element);
    }

    public int size() {
        return this.elements.size();
    }

    public java.util.Iterator<com.google.gson.JsonElement> iterator() {
        return this.elements.iterator();
    }

    public com.google.gson.JsonElement get(int i) {
        return (com.google.gson.JsonElement) this.elements.get(i);
    }

    public java.lang.Number getAsNumber() {
        if (this.elements.size() == 1) {
            return ((com.google.gson.JsonElement) this.elements.get(0)).getAsNumber();
        }
        throw new java.lang.IllegalStateException();
    }

    public java.lang.String getAsString() {
        if (this.elements.size() == 1) {
            return ((com.google.gson.JsonElement) this.elements.get(0)).getAsString();
        }
        throw new java.lang.IllegalStateException();
    }

    public double getAsDouble() {
        if (this.elements.size() == 1) {
            return ((com.google.gson.JsonElement) this.elements.get(0)).getAsDouble();
        }
        throw new java.lang.IllegalStateException();
    }

    public java.math.BigDecimal getAsBigDecimal() {
        if (this.elements.size() == 1) {
            return ((com.google.gson.JsonElement) this.elements.get(0)).getAsBigDecimal();
        }
        throw new java.lang.IllegalStateException();
    }

    public java.math.BigInteger getAsBigInteger() {
        if (this.elements.size() == 1) {
            return ((com.google.gson.JsonElement) this.elements.get(0)).getAsBigInteger();
        }
        throw new java.lang.IllegalStateException();
    }

    public float getAsFloat() {
        if (this.elements.size() == 1) {
            return ((com.google.gson.JsonElement) this.elements.get(0)).getAsFloat();
        }
        throw new java.lang.IllegalStateException();
    }

    public long getAsLong() {
        if (this.elements.size() == 1) {
            return ((com.google.gson.JsonElement) this.elements.get(0)).getAsLong();
        }
        throw new java.lang.IllegalStateException();
    }

    public int getAsInt() {
        if (this.elements.size() == 1) {
            return ((com.google.gson.JsonElement) this.elements.get(0)).getAsInt();
        }
        throw new java.lang.IllegalStateException();
    }

    public byte getAsByte() {
        if (this.elements.size() == 1) {
            return ((com.google.gson.JsonElement) this.elements.get(0)).getAsByte();
        }
        throw new java.lang.IllegalStateException();
    }

    public char getAsCharacter() {
        if (this.elements.size() == 1) {
            return ((com.google.gson.JsonElement) this.elements.get(0)).getAsCharacter();
        }
        throw new java.lang.IllegalStateException();
    }

    public short getAsShort() {
        if (this.elements.size() == 1) {
            return ((com.google.gson.JsonElement) this.elements.get(0)).getAsShort();
        }
        throw new java.lang.IllegalStateException();
    }

    public boolean getAsBoolean() {
        if (this.elements.size() == 1) {
            return ((com.google.gson.JsonElement) this.elements.get(0)).getAsBoolean();
        }
        throw new java.lang.IllegalStateException();
    }

    public boolean equals(java.lang.Object o) {
        if (o != this) {
            if (!(o instanceof com.google.gson.JsonArray) || !((com.google.gson.JsonArray) o).elements.equals(this.elements)) {
                return false;
            }
        }
        return true;
    }

    public int hashCode() {
        return this.elements.hashCode();
    }
}
