package com.google.gson;

public final class JsonObject extends com.google.gson.JsonElement {
    private final com.google.gson.internal.LinkedTreeMap<java.lang.String, com.google.gson.JsonElement> members = new com.google.gson.internal.LinkedTreeMap();

    public com.google.gson.JsonObject deepCopy() {
        com.google.gson.JsonObject result = new com.google.gson.JsonObject();
        for (java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement> entry : this.members.entrySet()) {
            result.add((java.lang.String) entry.getKey(), ((com.google.gson.JsonElement) entry.getValue()).deepCopy());
        }
        return result;
    }

    public void add(java.lang.String property, com.google.gson.JsonElement value) {
        java.lang.Object value2;
        if (value2 == null) {
            value2 = com.google.gson.JsonNull.INSTANCE;
        }
        this.members.put(property, value2);
    }

    public com.google.gson.JsonElement remove(java.lang.String property) {
        return (com.google.gson.JsonElement) this.members.remove(property);
    }

    public void addProperty(java.lang.String property, java.lang.String value) {
        add(property, createJsonElement(value));
    }

    public void addProperty(java.lang.String property, java.lang.Number value) {
        add(property, createJsonElement(value));
    }

    public void addProperty(java.lang.String property, java.lang.Boolean value) {
        add(property, createJsonElement(value));
    }

    public void addProperty(java.lang.String property, java.lang.Character value) {
        add(property, createJsonElement(value));
    }

    private com.google.gson.JsonElement createJsonElement(java.lang.Object value) {
        return value == null ? com.google.gson.JsonNull.INSTANCE : new com.google.gson.JsonPrimitive(value);
    }

    public java.util.Set<java.util.Map.Entry<java.lang.String, com.google.gson.JsonElement>> entrySet() {
        return this.members.entrySet();
    }

    public java.util.Set<java.lang.String> keySet() {
        return this.members.keySet();
    }

    public int size() {
        return this.members.size();
    }

    public boolean has(java.lang.String memberName) {
        return this.members.containsKey(memberName);
    }

    public com.google.gson.JsonElement get(java.lang.String memberName) {
        return (com.google.gson.JsonElement) this.members.get(memberName);
    }

    public com.google.gson.JsonPrimitive getAsJsonPrimitive(java.lang.String memberName) {
        return (com.google.gson.JsonPrimitive) this.members.get(memberName);
    }

    public com.google.gson.JsonArray getAsJsonArray(java.lang.String memberName) {
        return (com.google.gson.JsonArray) this.members.get(memberName);
    }

    public com.google.gson.JsonObject getAsJsonObject(java.lang.String memberName) {
        return (com.google.gson.JsonObject) this.members.get(memberName);
    }

    public boolean equals(java.lang.Object o) {
        if (o != this) {
            if (!(o instanceof com.google.gson.JsonObject) || !((com.google.gson.JsonObject) o).members.equals(this.members)) {
                return false;
            }
        }
        return true;
    }

    public int hashCode() {
        return this.members.hashCode();
    }
}
