package com.google.gson;

public final class JsonParser {
    public com.google.gson.JsonElement parse(java.lang.String json) throws com.google.gson.JsonSyntaxException {
        return parse(new java.io.StringReader(json));
    }

    public com.google.gson.JsonElement parse(java.io.Reader json) throws com.google.gson.JsonIOException, com.google.gson.JsonSyntaxException {
        try {
            com.google.gson.stream.JsonReader jsonReader = new com.google.gson.stream.JsonReader(json);
            com.google.gson.JsonElement element = parse(jsonReader);
            if (!element.isJsonNull()) {
                if (jsonReader.peek() != com.google.gson.stream.JsonToken.END_DOCUMENT) {
                    throw new com.google.gson.JsonSyntaxException("Did not consume the entire document.");
                }
            }
            return element;
        } catch (java.lang.Throwable e) {
            throw new com.google.gson.JsonSyntaxException(e);
        } catch (java.lang.Throwable e2) {
            throw new com.google.gson.JsonIOException(e2);
        } catch (java.lang.Throwable e22) {
            throw new com.google.gson.JsonSyntaxException(e22);
        }
    }

    public com.google.gson.JsonElement parse(com.google.gson.stream.JsonReader json) throws com.google.gson.JsonIOException, com.google.gson.JsonSyntaxException {
        java.lang.StringBuilder stringBuilder;
        boolean lenient = json.isLenient();
        json.setLenient(true);
        try {
            com.google.gson.JsonElement parse = com.google.gson.internal.Streams.parse(json);
            json.setLenient(lenient);
            return parse;
        } catch (java.lang.StackOverflowError e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Failed parsing JSON source: ");
            stringBuilder.append(json);
            stringBuilder.append(" to Json");
            throw new com.google.gson.JsonParseException(stringBuilder.toString(), e);
        } catch (java.lang.OutOfMemoryError e2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Failed parsing JSON source: ");
            stringBuilder.append(json);
            stringBuilder.append(" to Json");
            throw new com.google.gson.JsonParseException(stringBuilder.toString(), e2);
        } catch (Throwable th) {
            json.setLenient(lenient);
        }
    }
}
