package com.google.gson;

public final class JsonStreamParser implements java.util.Iterator<com.google.gson.JsonElement> {
    private final java.lang.Object lock;
    private final com.google.gson.stream.JsonReader parser;

    public JsonStreamParser(java.lang.String json) {
        this(new java.io.StringReader(json));
    }

    public JsonStreamParser(java.io.Reader reader) {
        this.parser = new com.google.gson.stream.JsonReader(reader);
        this.parser.setLenient(true);
        this.lock = new java.lang.Object();
    }

    public com.google.gson.JsonElement next() throws com.google.gson.JsonParseException {
        if (hasNext()) {
            try {
                return com.google.gson.internal.Streams.parse(this.parser);
            } catch (java.lang.StackOverflowError e) {
                throw new com.google.gson.JsonParseException("Failed parsing JSON source to Json", e);
            } catch (java.lang.OutOfMemoryError e2) {
                throw new com.google.gson.JsonParseException("Failed parsing JSON source to Json", e2);
            } catch (java.lang.RuntimeException e3) {
                throw (e3.getCause() instanceof java.io.EOFException ? new java.util.NoSuchElementException() : e3);
            }
        }
        throw new java.util.NoSuchElementException();
    }

    public boolean hasNext() {
        boolean z;
        synchronized (this.lock) {
            try {
                z = this.parser.peek() != com.google.gson.stream.JsonToken.END_DOCUMENT;
            } catch (java.lang.Throwable e) {
                throw new com.google.gson.JsonSyntaxException(e);
            } catch (java.lang.Throwable e2) {
                throw new com.google.gson.JsonIOException(e2);
            } catch (Throwable th) {
            }
        }
        return z;
    }

    public void remove() {
        throw new java.lang.UnsupportedOperationException();
    }
}
