package com.google.gson.internal;

public final class LazilyParsedNumber extends java.lang.Number {
    private final java.lang.String value;

    public LazilyParsedNumber(java.lang.String value) {
        this.value = value;
    }

    public int intValue() {
        try {
            return java.lang.Integer.parseInt(this.value);
        } catch (java.lang.NumberFormatException e) {
            try {
                return (int) java.lang.Long.parseLong(this.value);
            } catch (java.lang.NumberFormatException e2) {
                return new java.math.BigDecimal(this.value).intValue();
            }
        }
    }

    public long longValue() {
        try {
            return java.lang.Long.parseLong(this.value);
        } catch (java.lang.NumberFormatException e) {
            return new java.math.BigDecimal(this.value).longValue();
        }
    }

    public float floatValue() {
        return java.lang.Float.parseFloat(this.value);
    }

    public double doubleValue() {
        return java.lang.Double.parseDouble(this.value);
    }

    public java.lang.String toString() {
        return this.value;
    }

    private java.lang.Object writeReplace() throws java.io.ObjectStreamException {
        return new java.math.BigDecimal(this.value);
    }

    public int hashCode() {
        return this.value.hashCode();
    }

    public boolean equals(java.lang.Object obj) {
        boolean z = true;
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof com.google.gson.internal.LazilyParsedNumber)) {
            return false;
        }
        com.google.gson.internal.LazilyParsedNumber other = (com.google.gson.internal.LazilyParsedNumber) obj;
        if (this.value != other.value) {
            if (!this.value.equals(other.value)) {
                z = false;
            }
        }
        return z;
    }
}
