package com.google.gson.internal;

public final class LinkedHashTreeMap<K, V> extends java.util.AbstractMap<K, V> implements java.io.Serializable {
    static final /* synthetic */ boolean $assertionsDisabled = false;
    private static final java.util.Comparator<java.lang.Comparable> NATURAL_ORDER = new java.util.Comparator<java.lang.Comparable>() {
        public int compare(java.lang.Comparable a, java.lang.Comparable b) {
            return a.compareTo(b);
        }
    };
    java.util.Comparator<? super K> comparator;
    private com.google.gson.internal.LinkedHashTreeMap.EntrySet entrySet;
    final com.google.gson.internal.LinkedHashTreeMap.Node<K, V> header;
    private com.google.gson.internal.LinkedHashTreeMap.KeySet keySet;
    int modCount;
    int size;
    com.google.gson.internal.LinkedHashTreeMap.Node<K, V>[] table;
    int threshold;

    static final class AvlBuilder<K, V> {
        private int leavesSkipped;
        private int leavesToSkip;
        private int size;
        private com.google.gson.internal.LinkedHashTreeMap.Node<K, V> stack;

        AvlBuilder() {
        }

        void reset(int targetSize) {
            this.leavesToSkip = ((java.lang.Integer.highestOneBit(targetSize) * 2) - 1) - targetSize;
            this.size = 0;
            this.leavesSkipped = 0;
            this.stack = null;
        }

        void add(com.google.gson.internal.LinkedHashTreeMap.Node<K, V> node) {
            node.right = null;
            node.parent = null;
            node.left = null;
            node.height = 1;
            if (this.leavesToSkip > 0 && (this.size & 1) == 0) {
                this.size++;
                this.leavesToSkip--;
                this.leavesSkipped++;
            }
            node.parent = this.stack;
            this.stack = node;
            this.size++;
            if (this.leavesToSkip > 0 && (this.size & 1) == 0) {
                this.size++;
                this.leavesToSkip--;
                this.leavesSkipped++;
            }
            for (int scale = 4; (this.size & (scale - 1)) == scale - 1; scale *= 2) {
                com.google.gson.internal.LinkedHashTreeMap.Node<K, V> right;
                com.google.gson.internal.LinkedHashTreeMap.Node<K, V> left;
                if (this.leavesSkipped == 0) {
                    right = this.stack;
                    com.google.gson.internal.LinkedHashTreeMap.Node<K, V> center = right.parent;
                    left = center.parent;
                    center.parent = left.parent;
                    this.stack = center;
                    center.left = left;
                    center.right = right;
                    center.height = right.height + 1;
                    left.parent = center;
                    right.parent = center;
                } else if (this.leavesSkipped == 1) {
                    right = this.stack;
                    left = right.parent;
                    this.stack = left;
                    left.right = right;
                    left.height = right.height + 1;
                    right.parent = left;
                    this.leavesSkipped = 0;
                } else if (this.leavesSkipped == 2) {
                    this.leavesSkipped = 0;
                }
            }
        }

        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> root() {
            com.google.gson.internal.LinkedHashTreeMap.Node<K, V> stackTop = this.stack;
            if (stackTop.parent == null) {
                return stackTop;
            }
            throw new java.lang.IllegalStateException();
        }
    }

    static class AvlIterator<K, V> {
        private com.google.gson.internal.LinkedHashTreeMap.Node<K, V> stackTop;

        AvlIterator() {
        }

        void reset(com.google.gson.internal.LinkedHashTreeMap.Node<K, V> root) {
            com.google.gson.internal.LinkedHashTreeMap.Node<K, V> stackTop = null;
            for (com.google.gson.internal.LinkedHashTreeMap.Node<K, V> n = root; n != null; n = n.left) {
                n.parent = stackTop;
                stackTop = n;
            }
            this.stackTop = stackTop;
        }

        public com.google.gson.internal.LinkedHashTreeMap.Node<K, V> next() {
            com.google.gson.internal.LinkedHashTreeMap.Node<K, V> stackTop = this.stackTop;
            if (stackTop == null) {
                return null;
            }
            com.google.gson.internal.LinkedHashTreeMap.Node<K, V> result = stackTop;
            stackTop = result.parent;
            result.parent = null;
            for (com.google.gson.internal.LinkedHashTreeMap.Node<K, V> n = result.right; n != null; n = n.left) {
                n.parent = stackTop;
                stackTop = n;
            }
            this.stackTop = stackTop;
            return result;
        }
    }

    final class EntrySet extends java.util.AbstractSet<java.util.Map.Entry<K, V>> {
        EntrySet() {
        }

        public int size() {
            return com.google.gson.internal.LinkedHashTreeMap.this.size;
        }

        public java.util.Iterator<java.util.Map.Entry<K, V>> iterator() {
            return new com.google.gson.internal.LinkedHashTreeMap.LinkedTreeMapIterator<java.util.Map.Entry<K, V>>() {
                {
                    com.google.gson.internal.LinkedHashTreeMap linkedHashTreeMap = com.google.gson.internal.LinkedHashTreeMap.this;
                }

                public java.util.Map.Entry<K, V> next() {
                    return nextNode();
                }
            };
        }

        public boolean contains(java.lang.Object o) {
            return (o instanceof java.util.Map.Entry) && com.google.gson.internal.LinkedHashTreeMap.this.findByEntry((java.util.Map.Entry) o) != null;
        }

        public boolean remove(java.lang.Object o) {
            if (!(o instanceof java.util.Map.Entry)) {
                return false;
            }
            com.google.gson.internal.LinkedHashTreeMap.Node<K, V> node = com.google.gson.internal.LinkedHashTreeMap.this.findByEntry((java.util.Map.Entry) o);
            if (node == null) {
                return false;
            }
            com.google.gson.internal.LinkedHashTreeMap.this.removeInternal(node, true);
            return true;
        }

        public void clear() {
            com.google.gson.internal.LinkedHashTreeMap.this.clear();
        }
    }

    final class KeySet extends java.util.AbstractSet<K> {
        KeySet() {
        }

        public int size() {
            return com.google.gson.internal.LinkedHashTreeMap.this.size;
        }

        public java.util.Iterator<K> iterator() {
            return new com.google.gson.internal.LinkedHashTreeMap.LinkedTreeMapIterator<K>() {
                {
                    com.google.gson.internal.LinkedHashTreeMap linkedHashTreeMap = com.google.gson.internal.LinkedHashTreeMap.this;
                }

                public K next() {
                    return nextNode().key;
                }
            };
        }

        public boolean contains(java.lang.Object o) {
            return com.google.gson.internal.LinkedHashTreeMap.this.containsKey(o);
        }

        public boolean remove(java.lang.Object key) {
            return com.google.gson.internal.LinkedHashTreeMap.this.removeInternalByKey(key) != null;
        }

        public void clear() {
            com.google.gson.internal.LinkedHashTreeMap.this.clear();
        }
    }

    private abstract class LinkedTreeMapIterator<T> implements java.util.Iterator<T> {
        int expectedModCount = com.google.gson.internal.LinkedHashTreeMap.this.modCount;
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> lastReturned = null;
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> next = com.google.gson.internal.LinkedHashTreeMap.this.header.next;

        LinkedTreeMapIterator() {
        }

        public final boolean hasNext() {
            return this.next != com.google.gson.internal.LinkedHashTreeMap.this.header;
        }

        final com.google.gson.internal.LinkedHashTreeMap.Node<K, V> nextNode() {
            com.google.gson.internal.LinkedHashTreeMap.Node<K, V> e = this.next;
            if (e == com.google.gson.internal.LinkedHashTreeMap.this.header) {
                throw new java.util.NoSuchElementException();
            } else if (com.google.gson.internal.LinkedHashTreeMap.this.modCount == this.expectedModCount) {
                this.next = e.next;
                this.lastReturned = e;
                return e;
            } else {
                throw new java.util.ConcurrentModificationException();
            }
        }

        public final void remove() {
            if (this.lastReturned != null) {
                com.google.gson.internal.LinkedHashTreeMap.this.removeInternal(this.lastReturned, true);
                this.lastReturned = null;
                this.expectedModCount = com.google.gson.internal.LinkedHashTreeMap.this.modCount;
                return;
            }
            throw new java.lang.IllegalStateException();
        }
    }

    static final class Node<K, V> implements java.util.Map.Entry<K, V> {
        final int hash;
        int height;
        final K key;
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> left;
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> next;
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> parent;
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> prev;
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> right;
        V value;

        Node() {
            this.key = null;
            this.hash = -1;
            this.prev = this;
            this.next = this;
        }

        Node(com.google.gson.internal.LinkedHashTreeMap.Node<K, V> parent, K key, int hash, com.google.gson.internal.LinkedHashTreeMap.Node<K, V> next, com.google.gson.internal.LinkedHashTreeMap.Node<K, V> prev) {
            this.parent = parent;
            this.key = key;
            this.hash = hash;
            this.height = 1;
            this.next = next;
            this.prev = prev;
            prev.next = this;
            next.prev = this;
        }

        public K getKey() {
            return this.key;
        }

        public V getValue() {
            return this.value;
        }

        public V setValue(V value) {
            V oldValue = this.value;
            this.value = value;
            return oldValue;
        }

        /* JADX WARNING: Missing block: B:8:0x001d, code:
            if (r4.key.equals(r0.getKey()) != false) goto L_0x001f;
     */
        /* JADX WARNING: Missing block: B:15:0x0034, code:
            if (r4.value.equals(r0.getValue()) != false) goto L_0x0036;
     */
        public boolean equals(java.lang.Object r5) {
            /*
            r4 = this;
            r0 = r5 instanceof java.util.Map.Entry;
            r1 = 0;
            if (r0 == 0) goto L_0x0039;
        L_0x0005:
            r0 = r5;
            r0 = (java.util.Map.Entry) r0;
            r2 = r4.key;
            if (r2 != 0) goto L_0x0013;
        L_0x000c:
            r2 = r0.getKey();
            if (r2 != 0) goto L_0x0038;
        L_0x0012:
            goto L_0x001f;
        L_0x0013:
            r2 = r4.key;
            r3 = r0.getKey();
            r2 = r2.equals(r3);
            if (r2 == 0) goto L_0x0038;
        L_0x001f:
            r2 = r4.value;
            if (r2 != 0) goto L_0x002a;
        L_0x0023:
            r2 = r0.getValue();
            if (r2 != 0) goto L_0x0038;
        L_0x0029:
            goto L_0x0036;
        L_0x002a:
            r2 = r4.value;
            r3 = r0.getValue();
            r2 = r2.equals(r3);
            if (r2 == 0) goto L_0x0038;
        L_0x0036:
            r1 = 1;
        L_0x0038:
            return r1;
        L_0x0039:
            return r1;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.google.gson.internal.LinkedHashTreeMap.Node.equals(java.lang.Object):boolean");
        }

        public int hashCode() {
            int i = 0;
            int hashCode = this.key == null ? 0 : this.key.hashCode();
            if (this.value != null) {
                i = this.value.hashCode();
            }
            return hashCode ^ i;
        }

        public java.lang.String toString() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(this.key);
            stringBuilder.append("=");
            stringBuilder.append(this.value);
            return stringBuilder.toString();
        }

        public com.google.gson.internal.LinkedHashTreeMap.Node<K, V> first() {
            com.google.gson.internal.LinkedHashTreeMap.Node<K, V> node = this;
            com.google.gson.internal.LinkedHashTreeMap.Node<K, V> child = node.left;
            while (child != null) {
                node = child;
                child = node.left;
            }
            return node;
        }

        public com.google.gson.internal.LinkedHashTreeMap.Node<K, V> last() {
            com.google.gson.internal.LinkedHashTreeMap.Node<K, V> node = this;
            com.google.gson.internal.LinkedHashTreeMap.Node<K, V> child = node.right;
            while (child != null) {
                node = child;
                child = node.right;
            }
            return node;
        }
    }

    public LinkedHashTreeMap() {
        this(NATURAL_ORDER);
    }

    public LinkedHashTreeMap(java.util.Comparator<? super K> comparator) {
        this.size = 0;
        this.modCount = 0;
        this.comparator = comparator != null ? comparator : NATURAL_ORDER;
        this.header = new com.google.gson.internal.LinkedHashTreeMap.Node();
        this.table = new com.google.gson.internal.LinkedHashTreeMap.Node[16];
        this.threshold = (this.table.length / 2) + (this.table.length / 4);
    }

    public int size() {
        return this.size;
    }

    public V get(java.lang.Object key) {
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> node = findByObject(key);
        return node != null ? node.value : null;
    }

    public boolean containsKey(java.lang.Object key) {
        return findByObject(key) != null;
    }

    public V put(K key, V value) {
        if (key != null) {
            com.google.gson.internal.LinkedHashTreeMap.Node<K, V> created = find(key, true);
            V result = created.value;
            created.value = value;
            return result;
        }
        throw new java.lang.NullPointerException("key == null");
    }

    public void clear() {
        java.util.Arrays.fill(this.table, null);
        this.size = 0;
        this.modCount++;
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> header = this.header;
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> e = header.next;
        while (e != header) {
            com.google.gson.internal.LinkedHashTreeMap.Node<K, V> next = e.next;
            e.prev = null;
            e.next = null;
            e = next;
        }
        header.prev = header;
        header.next = header;
    }

    public V remove(java.lang.Object key) {
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> node = removeInternalByKey(key);
        return node != null ? node.value : null;
    }

    com.google.gson.internal.LinkedHashTreeMap.Node<K, V> find(K key, boolean create) {
        K k = key;
        java.util.Comparator<? super K> comparator = this.comparator;
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V>[] table = this.table;
        int hash = secondaryHash(key.hashCode());
        int index = hash & (table.length - 1);
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> nearest = table[index];
        int comparison = 0;
        if (nearest != null) {
            java.lang.Comparable<java.lang.Object> comparableKey = comparator == NATURAL_ORDER ? (java.lang.Comparable) k : null;
            while (true) {
                int compareTo;
                if (comparableKey != null) {
                    compareTo = comparableKey.compareTo(nearest.key);
                } else {
                    compareTo = comparator.compare(k, nearest.key);
                }
                comparison = compareTo;
                if (comparison == 0) {
                    return nearest;
                }
                com.google.gson.internal.LinkedHashTreeMap.Node<K, V> child = comparison < 0 ? nearest.left : nearest.right;
                if (child == null) {
                    break;
                }
                nearest = child;
            }
        }
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> nearest2 = nearest;
        int comparison2 = comparison;
        if (!create) {
            return null;
        }
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> header = this.header;
        if (nearest2 == null) {
            if (comparator == NATURAL_ORDER) {
                if (!(k instanceof java.lang.Comparable)) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(key.getClass().getName());
                    stringBuilder.append(" is not Comparable");
                    throw new java.lang.ClassCastException(stringBuilder.toString());
                }
            }
            nearest = new com.google.gson.internal.LinkedHashTreeMap.Node(nearest2, k, hash, header, header.prev);
            table[index] = nearest;
        } else {
            com.google.gson.internal.LinkedHashTreeMap.Node<K, V> header2 = header;
            nearest = new com.google.gson.internal.LinkedHashTreeMap.Node(nearest2, k, hash, header2, header2.prev);
            if (comparison2 < 0) {
                nearest2.left = nearest;
            } else {
                nearest2.right = nearest;
            }
            rebalance(nearest2, true);
        }
        comparison = this.size;
        this.size = comparison + 1;
        if (comparison > this.threshold) {
            doubleCapacity();
        }
        this.modCount++;
        return nearest;
    }

    com.google.gson.internal.LinkedHashTreeMap.Node<K, V> findByObject(java.lang.Object key) {
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> node = null;
        if (key != null) {
            try {
                node = find(key, false);
            } catch (java.lang.ClassCastException e) {
                return null;
            }
        }
        return node;
    }

    com.google.gson.internal.LinkedHashTreeMap.Node<K, V> findByEntry(java.util.Map.Entry<?, ?> entry) {
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> mine = findByObject(entry.getKey());
        boolean valuesEqual = mine != null && equal(mine.value, entry.getValue());
        return valuesEqual ? mine : null;
    }

    private boolean equal(java.lang.Object a, java.lang.Object b) {
        if (a != b) {
            if (a == null || !a.equals(b)) {
                return false;
            }
        }
        return true;
    }

    private static int secondaryHash(int h) {
        h ^= (h >>> 20) ^ (h >>> 12);
        return ((h >>> 7) ^ h) ^ (h >>> 4);
    }

    void removeInternal(com.google.gson.internal.LinkedHashTreeMap.Node<K, V> node, boolean unlink) {
        if (unlink) {
            node.prev.next = node.next;
            node.next.prev = node.prev;
            node.prev = null;
            node.next = null;
        }
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> left = node.left;
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> right = node.right;
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> originalParent = node.parent;
        if (left == null || right == null) {
            if (left != null) {
                replaceInParent(node, left);
                node.left = null;
            } else if (right != null) {
                replaceInParent(node, right);
                node.right = null;
            } else {
                replaceInParent(node, null);
            }
            rebalance(originalParent, false);
            this.size--;
            this.modCount++;
            return;
        }
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> adjacent = left.height > right.height ? left.last() : right.first();
        removeInternal(adjacent, false);
        int leftHeight = 0;
        left = node.left;
        if (left != null) {
            leftHeight = left.height;
            adjacent.left = left;
            left.parent = adjacent;
            node.left = null;
        }
        int rightHeight = 0;
        right = node.right;
        if (right != null) {
            rightHeight = right.height;
            adjacent.right = right;
            right.parent = adjacent;
            node.right = null;
        }
        adjacent.height = java.lang.Math.max(leftHeight, rightHeight) + 1;
        replaceInParent(node, adjacent);
    }

    com.google.gson.internal.LinkedHashTreeMap.Node<K, V> removeInternalByKey(java.lang.Object key) {
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> node = findByObject(key);
        if (node != null) {
            removeInternal(node, true);
        }
        return node;
    }

    private void replaceInParent(com.google.gson.internal.LinkedHashTreeMap.Node<K, V> node, com.google.gson.internal.LinkedHashTreeMap.Node<K, V> replacement) {
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> parent = node.parent;
        node.parent = null;
        if (replacement != null) {
            replacement.parent = parent;
        }
        if (parent == null) {
            this.table[node.hash & (this.table.length - 1)] = replacement;
        } else if (parent.left == node) {
            parent.left = replacement;
        } else {
            parent.right = replacement;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:26:0x0040  */
    /* JADX WARNING: Removed duplicated region for block: B:56:0x003f A:{SYNTHETIC} */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x006b  */
    /* JADX WARNING: Removed duplicated region for block: B:54:0x006a A:{SYNTHETIC} */
    private void rebalance(com.google.gson.internal.LinkedHashTreeMap.Node<K, V> r13, boolean r14) {
        /*
        r12 = this;
        r0 = r13;
    L_0x0001:
        if (r0 == 0) goto L_0x0084;
    L_0x0003:
        r1 = r0.left;
        r2 = r0.right;
        r3 = 0;
        if (r1 == 0) goto L_0x000d;
    L_0x000a:
        r4 = r1.height;
        goto L_0x000e;
    L_0x000d:
        r4 = r3;
    L_0x000e:
        if (r2 == 0) goto L_0x0013;
    L_0x0010:
        r5 = r2.height;
        goto L_0x0014;
    L_0x0013:
        r5 = r3;
    L_0x0014:
        r6 = r4 - r5;
        r7 = -2;
        if (r6 != r7) goto L_0x0041;
    L_0x0019:
        r7 = r2.left;
        r8 = r2.right;
        if (r8 == 0) goto L_0x0022;
    L_0x001f:
        r9 = r8.height;
        goto L_0x0023;
    L_0x0022:
        r9 = r3;
    L_0x0023:
        if (r7 == 0) goto L_0x0028;
    L_0x0025:
        r3 = r7.height;
    L_0x0028:
        r10 = r3 - r9;
        r11 = -1;
        if (r10 == r11) goto L_0x003a;
    L_0x002d:
        if (r10 != 0) goto L_0x0032;
    L_0x002f:
        if (r14 != 0) goto L_0x0032;
    L_0x0031:
        goto L_0x003a;
        r12.rotateRight(r2);
        r12.rotateLeft(r0);
        goto L_0x003d;
    L_0x003a:
        r12.rotateLeft(r0);
    L_0x003d:
        if (r14 == 0) goto L_0x0040;
    L_0x003f:
        goto L_0x0084;
    L_0x0040:
        goto L_0x0080;
    L_0x0041:
        r7 = 2;
        r8 = 1;
        if (r6 != r7) goto L_0x006c;
    L_0x0045:
        r7 = r1.left;
        r9 = r1.right;
        if (r9 == 0) goto L_0x004e;
    L_0x004b:
        r10 = r9.height;
        goto L_0x004f;
    L_0x004e:
        r10 = r3;
    L_0x004f:
        if (r7 == 0) goto L_0x0054;
    L_0x0051:
        r3 = r7.height;
    L_0x0054:
        r11 = r3 - r10;
        if (r11 == r8) goto L_0x0065;
    L_0x0058:
        if (r11 != 0) goto L_0x005d;
    L_0x005a:
        if (r14 != 0) goto L_0x005d;
    L_0x005c:
        goto L_0x0065;
        r12.rotateLeft(r1);
        r12.rotateRight(r0);
        goto L_0x0068;
    L_0x0065:
        r12.rotateRight(r0);
    L_0x0068:
        if (r14 == 0) goto L_0x006b;
    L_0x006a:
        goto L_0x0084;
    L_0x006b:
        goto L_0x0080;
    L_0x006c:
        if (r6 != 0) goto L_0x0075;
    L_0x006e:
        r3 = r4 + 1;
        r0.height = r3;
        if (r14 == 0) goto L_0x0080;
    L_0x0074:
        goto L_0x0084;
        r3 = java.lang.Math.max(r4, r5);
        r3 = r3 + r8;
        r0.height = r3;
        if (r14 != 0) goto L_0x0080;
    L_0x007f:
        goto L_0x0084;
    L_0x0080:
        r0 = r0.parent;
        goto L_0x0001;
    L_0x0084:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.gson.internal.LinkedHashTreeMap.rebalance(com.google.gson.internal.LinkedHashTreeMap$Node, boolean):void");
    }

    private void rotateLeft(com.google.gson.internal.LinkedHashTreeMap.Node<K, V> root) {
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> left = root.left;
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> pivot = root.right;
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> pivotLeft = pivot.left;
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> pivotRight = pivot.right;
        root.right = pivotLeft;
        if (pivotLeft != null) {
            pivotLeft.parent = root;
        }
        replaceInParent(root, pivot);
        pivot.left = root;
        root.parent = pivot;
        int i = 0;
        root.height = java.lang.Math.max(left != null ? left.height : 0, pivotLeft != null ? pivotLeft.height : 0) + 1;
        int i2 = root.height;
        if (pivotRight != null) {
            i = pivotRight.height;
        }
        pivot.height = java.lang.Math.max(i2, i) + 1;
    }

    private void rotateRight(com.google.gson.internal.LinkedHashTreeMap.Node<K, V> root) {
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> pivot = root.left;
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> right = root.right;
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> pivotLeft = pivot.left;
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V> pivotRight = pivot.right;
        root.left = pivotRight;
        if (pivotRight != null) {
            pivotRight.parent = root;
        }
        replaceInParent(root, pivot);
        pivot.right = root;
        root.parent = pivot;
        int i = 0;
        root.height = java.lang.Math.max(right != null ? right.height : 0, pivotRight != null ? pivotRight.height : 0) + 1;
        int i2 = root.height;
        if (pivotLeft != null) {
            i = pivotLeft.height;
        }
        pivot.height = java.lang.Math.max(i2, i) + 1;
    }

    public java.util.Set<java.util.Map.Entry<K, V>> entrySet() {
        com.google.gson.internal.LinkedHashTreeMap.EntrySet result = this.entrySet;
        if (result != null) {
            return result;
        }
        com.google.gson.internal.LinkedHashTreeMap.EntrySet entrySet = new com.google.gson.internal.LinkedHashTreeMap.EntrySet();
        this.entrySet = entrySet;
        return entrySet;
    }

    public java.util.Set<K> keySet() {
        com.google.gson.internal.LinkedHashTreeMap.KeySet result = this.keySet;
        if (result != null) {
            return result;
        }
        com.google.gson.internal.LinkedHashTreeMap.KeySet keySet = new com.google.gson.internal.LinkedHashTreeMap.KeySet();
        this.keySet = keySet;
        return keySet;
    }

    private void doubleCapacity() {
        this.table = doubleCapacity(this.table);
        this.threshold = (this.table.length / 2) + (this.table.length / 4);
    }

    static <K, V> com.google.gson.internal.LinkedHashTreeMap.Node<K, V>[] doubleCapacity(com.google.gson.internal.LinkedHashTreeMap.Node<K, V>[] oldTable) {
        int oldCapacity = oldTable.length;
        com.google.gson.internal.LinkedHashTreeMap.Node<K, V>[] newTable = new com.google.gson.internal.LinkedHashTreeMap.Node[(oldCapacity * 2)];
        com.google.gson.internal.LinkedHashTreeMap.AvlIterator<K, V> iterator = new com.google.gson.internal.LinkedHashTreeMap.AvlIterator();
        com.google.gson.internal.LinkedHashTreeMap.AvlBuilder<K, V> leftBuilder = new com.google.gson.internal.LinkedHashTreeMap.AvlBuilder();
        com.google.gson.internal.LinkedHashTreeMap.AvlBuilder<K, V> rightBuilder = new com.google.gson.internal.LinkedHashTreeMap.AvlBuilder();
        for (int i = 0; i < oldCapacity; i++) {
            com.google.gson.internal.LinkedHashTreeMap.Node<K, V> root = oldTable[i];
            if (root != null) {
                com.google.gson.internal.LinkedHashTreeMap.Node<K, V> next;
                com.google.gson.internal.LinkedHashTreeMap.Node<K, V> node;
                iterator.reset(root);
                int leftSize = 0;
                int rightSize = 0;
                while (true) {
                    next = iterator.next();
                    node = next;
                    if (next == null) {
                        break;
                    } else if ((node.hash & oldCapacity) == 0) {
                        leftSize++;
                    } else {
                        rightSize++;
                    }
                }
                leftBuilder.reset(leftSize);
                rightBuilder.reset(rightSize);
                iterator.reset(root);
                while (true) {
                    next = iterator.next();
                    node = next;
                    if (next == null) {
                        break;
                    } else if ((node.hash & oldCapacity) == 0) {
                        leftBuilder.add(node);
                    } else {
                        rightBuilder.add(node);
                    }
                }
                com.google.gson.internal.LinkedHashTreeMap.Node node2 = null;
                newTable[i] = leftSize > 0 ? leftBuilder.root() : null;
                int i2 = i + oldCapacity;
                if (rightSize > 0) {
                    node2 = rightBuilder.root();
                }
                newTable[i2] = node2;
            }
        }
        return newTable;
    }

    private java.lang.Object writeReplace() throws java.io.ObjectStreamException {
        return new java.util.LinkedHashMap(this);
    }
}
