package com.google.gson.internal;

public final class Streams {

    private static final class AppendableWriter extends java.io.Writer {
        private final java.lang.Appendable appendable;
        private final com.google.gson.internal.Streams.AppendableWriter.CurrentWrite currentWrite = new com.google.gson.internal.Streams.AppendableWriter.CurrentWrite();

        static class CurrentWrite implements java.lang.CharSequence {
            char[] chars;

            CurrentWrite() {
            }

            public int length() {
                return this.chars.length;
            }

            public char charAt(int i) {
                return this.chars[i];
            }

            public java.lang.CharSequence subSequence(int start, int end) {
                return new java.lang.String(this.chars, start, end - start);
            }
        }

        AppendableWriter(java.lang.Appendable appendable) {
            this.appendable = appendable;
        }

        public void write(char[] chars, int offset, int length) throws java.io.IOException {
            this.currentWrite.chars = chars;
            this.appendable.append(this.currentWrite, offset, offset + length);
        }

        public void write(int i) throws java.io.IOException {
            this.appendable.append((char) i);
        }

        public void flush() {
        }

        public void close() {
        }
    }

    private Streams() {
        throw new java.lang.UnsupportedOperationException();
    }

    public static com.google.gson.JsonElement parse(com.google.gson.stream.JsonReader reader) throws com.google.gson.JsonParseException {
        boolean isEmpty = true;
        try {
            reader.peek();
            isEmpty = false;
            return (com.google.gson.JsonElement) com.google.gson.internal.bind.TypeAdapters.JSON_ELEMENT.read(reader);
        } catch (java.lang.Throwable e) {
            if (isEmpty) {
                return com.google.gson.JsonNull.INSTANCE;
            }
            throw new com.google.gson.JsonSyntaxException(e);
        } catch (java.lang.Throwable e2) {
            throw new com.google.gson.JsonSyntaxException(e2);
        } catch (java.lang.Throwable e22) {
            throw new com.google.gson.JsonIOException(e22);
        } catch (java.lang.Throwable e222) {
            throw new com.google.gson.JsonSyntaxException(e222);
        }
    }

    public static void write(com.google.gson.JsonElement element, com.google.gson.stream.JsonWriter writer) throws java.io.IOException {
        com.google.gson.internal.bind.TypeAdapters.JSON_ELEMENT.write(writer, element);
    }

    public static java.io.Writer writerForAppendable(java.lang.Appendable appendable) {
        return appendable instanceof java.io.Writer ? (java.io.Writer) appendable : new com.google.gson.internal.Streams.AppendableWriter(appendable);
    }
}
