package com.google.gson.internal.bind;

public final class ArrayTypeAdapter<E> extends com.google.gson.TypeAdapter<java.lang.Object> {
    public static final com.google.gson.TypeAdapterFactory FACTORY = new com.google.gson.TypeAdapterFactory() {
        public <T> com.google.gson.TypeAdapter<T> create(com.google.gson.Gson gson, com.google.gson.reflect.TypeToken<T> typeToken) {
            java.lang.reflect.Type type = typeToken.getType();
            if (!(type instanceof java.lang.reflect.GenericArrayType) && (!(type instanceof java.lang.Class) || !((java.lang.Class) type).isArray())) {
                return null;
            }
            java.lang.reflect.Type componentType = com.google.gson.internal.C$Gson$Types.getArrayComponentType(type);
            return new com.google.gson.internal.bind.ArrayTypeAdapter(gson, gson.getAdapter(com.google.gson.reflect.TypeToken.get(componentType)), com.google.gson.internal.C$Gson$Types.getRawType(componentType));
        }
    };
    private final java.lang.Class<E> componentType;
    private final com.google.gson.TypeAdapter<E> componentTypeAdapter;

    public ArrayTypeAdapter(com.google.gson.Gson context, com.google.gson.TypeAdapter<E> componentTypeAdapter, java.lang.Class<E> componentType) {
        this.componentTypeAdapter = new com.google.gson.internal.bind.TypeAdapterRuntimeTypeWrapper(context, componentTypeAdapter, componentType);
        this.componentType = componentType;
    }

    public java.lang.Object read(com.google.gson.stream.JsonReader in) throws java.io.IOException {
        if (in.peek() == com.google.gson.stream.JsonToken.NULL) {
            in.nextNull();
            return null;
        }
        java.util.List<E> list = new java.util.ArrayList();
        in.beginArray();
        while (in.hasNext()) {
            list.add(this.componentTypeAdapter.read(in));
        }
        in.endArray();
        int size = list.size();
        java.lang.Object array = java.lang.reflect.Array.newInstance(this.componentType, size);
        for (int i = 0; i < size; i++) {
            java.lang.reflect.Array.set(array, i, list.get(i));
        }
        return array;
    }

    public void write(com.google.gson.stream.JsonWriter out, java.lang.Object array) throws java.io.IOException {
        if (array == null) {
            out.nullValue();
            return;
        }
        out.beginArray();
        int length = java.lang.reflect.Array.getLength(array);
        for (int i = 0; i < length; i++) {
            this.componentTypeAdapter.write(out, java.lang.reflect.Array.get(array, i));
        }
        out.endArray();
    }
}
