package com.google.gson.internal.bind;

public final class DateTypeAdapter extends com.google.gson.TypeAdapter<java.util.Date> {
    public static final com.google.gson.TypeAdapterFactory FACTORY = new com.google.gson.TypeAdapterFactory() {
        public <T> com.google.gson.TypeAdapter<T> create(com.google.gson.Gson gson, com.google.gson.reflect.TypeToken<T> typeToken) {
            return typeToken.getRawType() == java.util.Date.class ? new com.google.gson.internal.bind.DateTypeAdapter() : null;
        }
    };
    private final java.text.DateFormat enUsFormat = java.text.DateFormat.getDateTimeInstance(2, 2, java.util.Locale.US);
    private final java.text.DateFormat localFormat = java.text.DateFormat.getDateTimeInstance(2, 2);

    public java.util.Date read(com.google.gson.stream.JsonReader in) throws java.io.IOException {
        if (in.peek() != com.google.gson.stream.JsonToken.NULL) {
            return deserializeToDate(in.nextString());
        }
        in.nextNull();
        return null;
    }

    private synchronized java.util.Date deserializeToDate(java.lang.String json) {
        try {
        } catch (java.text.ParseException e) {
            try {
                return this.enUsFormat.parse(json);
            } catch (java.text.ParseException e2) {
                try {
                    return com.google.gson.internal.bind.util.ISO8601Utils.parse(json, new java.text.ParsePosition(0));
                } catch (java.text.ParseException e3) {
                    throw new com.google.gson.JsonSyntaxException(json, e3);
                }
            }
        }
        return this.localFormat.parse(json);
    }

    public synchronized void write(com.google.gson.stream.JsonWriter out, java.util.Date value) throws java.io.IOException {
        if (value == null) {
            out.nullValue();
        } else {
            out.value(this.enUsFormat.format(value));
        }
    }
}
