package com.google.gson.internal.bind;

public final class SqlDateTypeAdapter extends com.google.gson.TypeAdapter<java.sql.Date> {
    public static final com.google.gson.TypeAdapterFactory FACTORY = new com.google.gson.TypeAdapterFactory() {
        public <T> com.google.gson.TypeAdapter<T> create(com.google.gson.Gson gson, com.google.gson.reflect.TypeToken<T> typeToken) {
            return typeToken.getRawType() == java.sql.Date.class ? new com.google.gson.internal.bind.SqlDateTypeAdapter() : null;
        }
    };
    private final java.text.DateFormat format = new java.text.SimpleDateFormat("MMM d, yyyy");

    public synchronized java.sql.Date read(com.google.gson.stream.JsonReader in) throws java.io.IOException {
        if (in.peek() == com.google.gson.stream.JsonToken.NULL) {
            in.nextNull();
            return null;
        }
        try {
            return new java.sql.Date(this.format.parse(in.nextString()).getTime());
        } catch (java.lang.Throwable e) {
            throw new com.google.gson.JsonSyntaxException(e);
        }
    }

    public synchronized void write(com.google.gson.stream.JsonWriter out, java.sql.Date value) throws java.io.IOException {
        out.value(value == null ? null : this.format.format(value));
    }
}
