package com.google.gson.internal.bind;

final class TypeAdapterRuntimeTypeWrapper<T> extends com.google.gson.TypeAdapter<T> {
    private final com.google.gson.Gson context;
    private final com.google.gson.TypeAdapter<T> delegate;
    private final java.lang.reflect.Type type;

    TypeAdapterRuntimeTypeWrapper(com.google.gson.Gson context, com.google.gson.TypeAdapter<T> delegate, java.lang.reflect.Type type) {
        this.context = context;
        this.delegate = delegate;
        this.type = type;
    }

    public T read(com.google.gson.stream.JsonReader in) throws java.io.IOException {
        return this.delegate.read(in);
    }

    public void write(com.google.gson.stream.JsonWriter out, T value) throws java.io.IOException {
        com.google.gson.TypeAdapter chosen = this.delegate;
        java.lang.reflect.Type runtimeType = getRuntimeTypeIfMoreSpecific(this.type, value);
        if (runtimeType != this.type) {
            com.google.gson.TypeAdapter runtimeTypeAdapter = this.context.getAdapter(com.google.gson.reflect.TypeToken.get(runtimeType));
            if (!(runtimeTypeAdapter instanceof com.google.gson.internal.bind.ReflectiveTypeAdapterFactory.Adapter)) {
                chosen = runtimeTypeAdapter;
            } else if (this.delegate instanceof com.google.gson.internal.bind.ReflectiveTypeAdapterFactory.Adapter) {
                chosen = runtimeTypeAdapter;
            } else {
                chosen = this.delegate;
            }
        }
        chosen.write(out, value);
    }

    private java.lang.reflect.Type getRuntimeTypeIfMoreSpecific(java.lang.reflect.Type type, java.lang.Object value) {
        if (value == null) {
            return type;
        }
        if (type == java.lang.Object.class || (type instanceof java.lang.reflect.TypeVariable) || (type instanceof java.lang.Class)) {
            return value.getClass();
        }
        return type;
    }
}
