package com.huawei.itouch;

public class HwITouchJniAdapter {
    private static com.huawei.itouch.HwITouchJniAdapter mHwITouchJniAdapter = null;

    private native int nativeGetAppType();

    private native void nativeRegisterListener();

    static {
        try {
            java.lang.System.loadLibrary("itouchmanager");
            android.util.Log.d("itouch", "itouch loading JNI succ");
        } catch (java.lang.UnsatisfiedLinkError e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("itouch LoadLibrary is error ");
            stringBuilder.append(e.toString());
            android.util.Log.d("itouch", stringBuilder.toString());
        }
    }

    private HwITouchJniAdapter() {
    }

    public static synchronized com.huawei.itouch.HwITouchJniAdapter getInstance() {
        com.huawei.itouch.HwITouchJniAdapter hwITouchJniAdapter;
        synchronized (com.huawei.itouch.HwITouchJniAdapter.class) {
            if (mHwITouchJniAdapter == null) {
                mHwITouchJniAdapter = new com.huawei.itouch.HwITouchJniAdapter();
            }
            hwITouchJniAdapter = mHwITouchJniAdapter;
        }
        return hwITouchJniAdapter;
    }

    public synchronized void registerJniListener() {
        nativeRegisterListener();
    }

    public synchronized int getAppType() {
        return nativeGetAppType();
    }
}
