package com.huawei.msdp.devicestatus;

public class HwMSDPDeviceStatusEasy {
    private static final java.lang.String AIDL_MESSAGE_SERVICE_CLASS = "com.huawei.msdp.devicestatus.HwMSDPDeviceStatusService";
    private static final java.lang.String AIDL_MESSAGE_SERVICE_PACKAGE = "com.huawei.msdp";
    private static final java.lang.String TAG = com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.class.getSimpleName();
    private android.content.Intent bindIntent;
    private final com.huawei.msdp.devicestatus.IMSDPDeviceStatusChangedCallBack.Stub deviceStatusChangedCallBack = new com.huawei.msdp.devicestatus.IMSDPDeviceStatusChangedCallBack.Stub() {
        public void onDeviceStatusChanged(com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent event) throws android.os.RemoteException {
            if (com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.this.mCallBack != null) {
                com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.this.mCallBack.onDeviceStatusChanged(event);
            }
        }
    };
    private final java.util.Set<com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.EnableEvent> enableEvents = new java.util.HashSet();
    private com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangedCallBack mCallBack = null;
    private final android.content.ServiceConnection mConnection = new android.content.ServiceConnection() {
        public void onServiceConnected(android.content.ComponentName name, android.os.IBinder service) {
            android.util.Log.d(com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.TAG, "onServiceConnected");
            com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.this.mService = com.huawei.msdp.devicestatus.IMSDPDeviceStatusService.Stub.asInterface(service);
            com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.this.processRegister();
            com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.this.link2Death();
            com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.this.processRegisterCallback();
        }

        public void onServiceDisconnected(android.content.ComponentName name) {
            com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.this.mService = null;
            android.util.Log.d(com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.TAG, "onServiceDisconnected");
        }
    };
    private android.content.Context mContext;
    private com.huawei.msdp.devicestatus.IMSDPDeviceStatusService mService = null;
    private java.lang.String packageName;
    private final android.os.IBinder.DeathRecipient recipient = new android.os.IBinder.DeathRecipient() {
        public void binderDied() {
            synchronized (com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.this.enableEvents) {
                for (com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.EnableEvent enableEvent : com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.this.enableEvents) {
                    enableEvent.isEnable = false;
                }
                com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.this.bindService();
            }
        }
    };

    private static class EnableEvent {
        java.lang.String deviceStatus;
        int eventType;
        boolean isEnable = false;
        long reportLatencyNs;

        EnableEvent(java.lang.String deviceStatus, int eventType, long reportLatencyNs) {
            this.deviceStatus = deviceStatus;
            this.eventType = eventType;
            this.reportLatencyNs = reportLatencyNs;
        }

        EnableEvent(java.lang.String deviceStatus, int eventType) {
            this.deviceStatus = deviceStatus;
            this.eventType = eventType;
        }

        public boolean equals(java.lang.Object o) {
            boolean z = true;
            if (this == o) {
                return true;
            }
            if (!(o instanceof com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.EnableEvent)) {
                return false;
            }
            com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.EnableEvent that = (com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.EnableEvent) o;
            if (this.eventType != that.eventType || !this.deviceStatus.equals(that.deviceStatus)) {
                z = false;
            }
            return z;
        }

        public int hashCode() {
            return (31 * this.deviceStatus.hashCode()) + this.eventType;
        }
    }

    private void processRegisterCallback() {
        if (this.mService != null && this.mCallBack != null && this.packageName != null) {
            try {
                this.mService.registerDeviceStatusCallBack(this.packageName, this.deviceStatusChangedCallBack);
            } catch (java.lang.Exception e) {
                e.printStackTrace();
            }
        }
    }

    private void freeRegisterCallback() {
        if (this.mService != null && this.mCallBack != null && this.packageName != null) {
            try {
                this.mService.freeDeviceStatusService(this.packageName, this.deviceStatusChangedCallBack);
            } catch (java.lang.Exception e) {
                e.printStackTrace();
            }
        }
    }

    private void link2Death() {
        if (this.mService != null) {
            try {
                this.mService.asBinder().linkToDeath(this.recipient, 0);
            } catch (java.lang.Exception e) {
                android.util.Log.d(TAG, e.getMessage());
            }
        }
    }

    private void unlink2Death() {
        android.util.Log.d(TAG, "unlink2Death");
        if (this.mService != null) {
            this.mService.asBinder().unlinkToDeath(this.recipient, 0);
        }
    }

    private void processRegister() {
        synchronized (this.enableEvents) {
            if (this.mService != null) {
                for (com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.EnableEvent enableEvent : this.enableEvents) {
                    if (!enableEvent.isEnable) {
                        try {
                            if (this.mService.enableDeviceStatusService(this.packageName, enableEvent.deviceStatus, enableEvent.eventType, enableEvent.reportLatencyNs)) {
                                enableEvent.isEnable = true;
                            }
                        } catch (java.lang.Exception e) {
                            e.printStackTrace();
                        }
                    }
                }
            } else {
                bindService();
            }
        }
    }

    public HwMSDPDeviceStatusEasy(android.content.Context context, com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangedCallBack callBack) {
        this.mContext = context;
        if (context != null) {
            this.packageName = context.getPackageName();
        }
        this.mCallBack = callBack;
    }

    private synchronized void bindService() {
        if (this.mContext != null) {
            this.bindIntent = new android.content.Intent();
            this.bindIntent.setClassName("com.huawei.msdp", "com.huawei.msdp.devicestatus.HwMSDPDeviceStatusService");
            this.mContext.bindService(this.bindIntent, this.mConnection, 1);
        }
    }

    public boolean registerEvent(java.lang.String deviceStatus, int eventType, long reportLatencyNs) {
        boolean result;
        synchronized (this.enableEvents) {
            result = this.enableEvents.add(new com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.EnableEvent(deviceStatus, eventType, reportLatencyNs));
            processRegister();
        }
        return result;
    }

    public boolean unregisterEvent(java.lang.String deviceStatus, int eventType) {
        boolean result;
        synchronized (this.enableEvents) {
            this.enableEvents.remove(new com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.EnableEvent(deviceStatus, eventType));
            result = false;
            try {
                if (this.mService != null) {
                    if (this.enableEvents.isEmpty()) {
                        result = this.mService.disableDeviceStatusService(this.packageName, deviceStatus, eventType);
                        freeRegisterCallback();
                        unlink2Death();
                        if (!(this.mContext == null || this.mService == null)) {
                            android.util.Log.d(TAG, "unbindService");
                            this.mContext.unbindService(this.mConnection);
                            this.mService = null;
                        }
                    } else {
                        result = this.mService.disableDeviceStatusService(this.packageName, deviceStatus, eventType);
                    }
                }
            } catch (java.lang.Exception e) {
                android.util.Log.d(TAG, "unregisterEvent Exception");
                return false;
            }
        }
        return result;
    }

    public java.lang.String[] getSupports() {
        try {
            return this.mService.getSupportDeviceStatus();
        } catch (java.lang.Exception e) {
            android.util.Log.e(TAG, "getSupports Exception");
            return new java.lang.String[0];
        }
    }

    public com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent getCurrentDeviceStatus() {
        if (this.mService != null) {
            try {
                return this.mService.getCurrentDeviceStatus(this.packageName);
            } catch (java.lang.Exception e) {
                android.util.Log.d(TAG, "getCurrentDeviceStatus error");
            }
        }
        return new com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent(new com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEvent[null]);
    }

    public void onDestory() {
        int i = 0;
        com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.EnableEvent[] enableEventArrays = (com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.EnableEvent[]) this.enableEvents.toArray(new com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.EnableEvent[0]);
        int length = enableEventArrays.length;
        while (i < length) {
            com.huawei.msdp.devicestatus.HwMSDPDeviceStatusEasy.EnableEvent enableEvent = enableEventArrays[i];
            unregisterEvent(enableEvent.deviceStatus, enableEvent.eventType);
            i++;
        }
    }
}
