package com.huawei.msdp.devicestatus;

public interface IMSDPDeviceStatusService extends android.os.IInterface {

    public static abstract class Stub extends android.os.Binder implements com.huawei.msdp.devicestatus.IMSDPDeviceStatusService {
        private static final java.lang.String DESCRIPTOR = "com.huawei.msdp.devicestatus.IMSDPDeviceStatusService";
        static final int TRANSACTION_disableDeviceStatusService = 5;
        static final int TRANSACTION_enableDeviceStatusService = 4;
        static final int TRANSACTION_freeDeviceStatusService = 3;
        static final int TRANSACTION_getCurrentDeviceStatus = 6;
        static final int TRANSACTION_getSupportDeviceStatus = 1;
        static final int TRANSACTION_registerDeviceStatusCallBack = 2;

        private static class Proxy implements com.huawei.msdp.devicestatus.IMSDPDeviceStatusService {
            private android.os.IBinder mRemote;

            Proxy(android.os.IBinder remote) {
                this.mRemote = remote;
            }

            public android.os.IBinder asBinder() {
                return this.mRemote;
            }

            public java.lang.String getInterfaceDescriptor() {
                return "com.huawei.msdp.devicestatus.IMSDPDeviceStatusService";
            }

            public java.lang.String[] getSupportDeviceStatus() throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.msdp.devicestatus.IMSDPDeviceStatusService");
                    this.mRemote.transact(1, _data, _reply, 0);
                    _reply.readException();
                    java.lang.String[] _result = _reply.createStringArray();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public boolean registerDeviceStatusCallBack(java.lang.String packageName, com.huawei.msdp.devicestatus.IMSDPDeviceStatusChangedCallBack mCallBack) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.msdp.devicestatus.IMSDPDeviceStatusService");
                    _data.writeString(packageName);
                    _data.writeStrongBinder(mCallBack != null ? mCallBack.asBinder() : null);
                    boolean z = false;
                    this.mRemote.transact(2, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        z = true;
                    }
                    boolean _result = z;
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public boolean freeDeviceStatusService(java.lang.String packageName, com.huawei.msdp.devicestatus.IMSDPDeviceStatusChangedCallBack mCallBack) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.msdp.devicestatus.IMSDPDeviceStatusService");
                    _data.writeString(packageName);
                    _data.writeStrongBinder(mCallBack != null ? mCallBack.asBinder() : null);
                    boolean z = false;
                    this.mRemote.transact(3, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        z = true;
                    }
                    boolean _result = z;
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public boolean enableDeviceStatusService(java.lang.String packageName, java.lang.String deviceStatus, int eventType, long reportLatencyNs) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.msdp.devicestatus.IMSDPDeviceStatusService");
                    _data.writeString(packageName);
                    _data.writeString(deviceStatus);
                    _data.writeInt(eventType);
                    _data.writeLong(reportLatencyNs);
                    boolean z = false;
                    this.mRemote.transact(4, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        z = true;
                    }
                    boolean _result = z;
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public boolean disableDeviceStatusService(java.lang.String packageName, java.lang.String deviceStatus, int eventType) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.msdp.devicestatus.IMSDPDeviceStatusService");
                    _data.writeString(packageName);
                    _data.writeString(deviceStatus);
                    _data.writeInt(eventType);
                    boolean z = false;
                    this.mRemote.transact(5, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        z = true;
                    }
                    boolean _result = z;
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent getCurrentDeviceStatus(java.lang.String packageName) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent _result;
                    _data.writeInterfaceToken("com.huawei.msdp.devicestatus.IMSDPDeviceStatusService");
                    _data.writeString(packageName);
                    this.mRemote.transact(6, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = (com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent) com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent.CREATOR.createFromParcel(_reply);
                    } else {
                        _result = null;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, "com.huawei.msdp.devicestatus.IMSDPDeviceStatusService");
        }

        public static com.huawei.msdp.devicestatus.IMSDPDeviceStatusService asInterface(android.os.IBinder obj) {
            if (obj == null) {
                return null;
            }
            android.os.IInterface iin = obj.queryLocalInterface("com.huawei.msdp.devicestatus.IMSDPDeviceStatusService");
            if (iin == null || !(iin instanceof com.huawei.msdp.devicestatus.IMSDPDeviceStatusService)) {
                return new com.huawei.msdp.devicestatus.IMSDPDeviceStatusService.Stub.Proxy(obj);
            }
            return (com.huawei.msdp.devicestatus.IMSDPDeviceStatusService) iin;
        }

        public android.os.IBinder asBinder() {
            return this;
        }

        public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
            int i = code;
            android.os.Parcel parcel = data;
            android.os.Parcel parcel2 = reply;
            if (i != 1598968902) {
                boolean _result;
                switch (i) {
                    case 1:
                        parcel.enforceInterface("com.huawei.msdp.devicestatus.IMSDPDeviceStatusService");
                        java.lang.String[] _result2 = getSupportDeviceStatus();
                        reply.writeNoException();
                        parcel2.writeStringArray(_result2);
                        return true;
                    case 2:
                        parcel.enforceInterface("com.huawei.msdp.devicestatus.IMSDPDeviceStatusService");
                        _result = registerDeviceStatusCallBack(data.readString(), com.huawei.msdp.devicestatus.IMSDPDeviceStatusChangedCallBack.Stub.asInterface(data.readStrongBinder()));
                        reply.writeNoException();
                        parcel2.writeInt(_result);
                        return true;
                    case 3:
                        parcel.enforceInterface("com.huawei.msdp.devicestatus.IMSDPDeviceStatusService");
                        _result = freeDeviceStatusService(data.readString(), com.huawei.msdp.devicestatus.IMSDPDeviceStatusChangedCallBack.Stub.asInterface(data.readStrongBinder()));
                        reply.writeNoException();
                        parcel2.writeInt(_result);
                        return true;
                    case 4:
                        parcel.enforceInterface("com.huawei.msdp.devicestatus.IMSDPDeviceStatusService");
                        boolean _result3 = enableDeviceStatusService(data.readString(), data.readString(), data.readInt(), data.readLong());
                        reply.writeNoException();
                        parcel2.writeInt(_result3);
                        return true;
                    case 5:
                        parcel.enforceInterface("com.huawei.msdp.devicestatus.IMSDPDeviceStatusService");
                        boolean _result4 = disableDeviceStatusService(data.readString(), data.readString(), data.readInt());
                        reply.writeNoException();
                        parcel2.writeInt(_result4);
                        return true;
                    case 6:
                        parcel.enforceInterface("com.huawei.msdp.devicestatus.IMSDPDeviceStatusService");
                        com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent _result5 = getCurrentDeviceStatus(data.readString());
                        reply.writeNoException();
                        if (_result5 != null) {
                            parcel2.writeInt(1);
                            _result5.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    default:
                        return super.onTransact(code, data, reply, flags);
                }
            }
            parcel2.writeString("com.huawei.msdp.devicestatus.IMSDPDeviceStatusService");
            return true;
        }
    }

    boolean disableDeviceStatusService(java.lang.String str, java.lang.String str2, int i) throws android.os.RemoteException;

    boolean enableDeviceStatusService(java.lang.String str, java.lang.String str2, int i, long j) throws android.os.RemoteException;

    boolean freeDeviceStatusService(java.lang.String str, com.huawei.msdp.devicestatus.IMSDPDeviceStatusChangedCallBack iMSDPDeviceStatusChangedCallBack) throws android.os.RemoteException;

    com.huawei.msdp.devicestatus.HwMSDPDeviceStatusChangeEvent getCurrentDeviceStatus(java.lang.String str) throws android.os.RemoteException;

    java.lang.String[] getSupportDeviceStatus() throws android.os.RemoteException;

    boolean registerDeviceStatusCallBack(java.lang.String str, com.huawei.msdp.devicestatus.IMSDPDeviceStatusChangedCallBack iMSDPDeviceStatusChangedCallBack) throws android.os.RemoteException;
}
