package com.huawei.recsys.aidl;

public class HwObjectContainer<T> implements android.os.Parcelable {
    public static final android.os.Parcelable.Creator<com.huawei.recsys.aidl.HwObjectContainer> CREATOR = new android.os.Parcelable.Creator<com.huawei.recsys.aidl.HwObjectContainer>() {
        public com.huawei.recsys.aidl.HwObjectContainer createFromParcel(android.os.Parcel in) {
            return new com.huawei.recsys.aidl.HwObjectContainer(in);
        }

        public com.huawei.recsys.aidl.HwObjectContainer[] newArray(int size) {
            return new com.huawei.recsys.aidl.HwObjectContainer[size];
        }
    };
    private java.lang.Class<T> clazz;
    private java.util.List<T> objects;

    public HwObjectContainer(java.lang.Class<T> clazz, java.util.List<T> objects) {
        if (clazz == null || objects == null) {
            throw new java.lang.IllegalArgumentException();
        }
        this.clazz = clazz;
        this.objects = objects;
    }

    public HwObjectContainer(java.lang.Class<T> clazz) {
        this(clazz, new java.util.ArrayList());
    }

    public com.huawei.recsys.aidl.HwObjectContainer add(T object) {
        if (object != null) {
            this.objects.add(object);
        }
        return this;
    }

    public void clearObjects() {
        this.objects.clear();
    }

    protected HwObjectContainer(android.os.Parcel in) {
        this.clazz = (java.lang.Class) in.readSerializable();
        if (this.clazz != null) {
            this.objects = in.readArrayList(this.clazz.getClassLoader());
        } else {
            this.objects = java.util.Collections.emptyList();
        }
    }

    public java.lang.Class type() {
        return this.clazz;
    }

    public java.util.List<T> get() {
        return this.objects;
    }

    public void writeToParcel(android.os.Parcel dest, int flags) {
        dest.writeSerializable(this.clazz);
        dest.writeList(this.objects);
    }

    public int describeContents() {
        return 0;
    }
}
