package com.huawei.systemserver.activityrecognition;

public class HwActivityRecognitionEvent implements android.os.Parcelable {
    public static final android.os.Parcelable.Creator<com.huawei.systemserver.activityrecognition.HwActivityRecognitionEvent> CREATOR = new android.os.Parcelable.Creator<com.huawei.systemserver.activityrecognition.HwActivityRecognitionEvent>() {
        public com.huawei.systemserver.activityrecognition.HwActivityRecognitionEvent createFromParcel(android.os.Parcel source) {
            java.lang.String activity = source.readString();
            int eventType = source.readInt();
            long timestampNs = source.readLong();
            if (com.huawei.android.location.activityrecognition.HwActivityRecognition.getARServiceVersion() == 1) {
                return new com.huawei.systemserver.activityrecognition.HwActivityRecognitionEvent(activity, eventType, timestampNs, source.readInt());
            }
            return new com.huawei.systemserver.activityrecognition.HwActivityRecognitionEvent(activity, eventType, timestampNs);
        }

        public com.huawei.systemserver.activityrecognition.HwActivityRecognitionEvent[] newArray(int size) {
            return new com.huawei.systemserver.activityrecognition.HwActivityRecognitionEvent[size];
        }
    };
    private final java.lang.String mActivity;
    private int mConfidence;
    private final int mEventType;
    private final long mTimestampNs;

    public HwActivityRecognitionEvent(java.lang.String activity, int eventType, long timestampNs) {
        this.mActivity = activity;
        this.mEventType = eventType;
        this.mTimestampNs = timestampNs;
        this.mConfidence = -2;
    }

    public HwActivityRecognitionEvent(java.lang.String activity, int eventType, long timestampNs, int confidence) {
        this.mActivity = activity;
        this.mEventType = eventType;
        this.mTimestampNs = timestampNs;
        this.mConfidence = confidence;
    }

    public java.lang.String getActivity() {
        return this.mActivity;
    }

    public int getEventType() {
        return this.mEventType;
    }

    public long getTimestampNs() {
        return this.mTimestampNs;
    }

    public int getConfidence() {
        return this.mConfidence;
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(android.os.Parcel parcel, int flags) {
        parcel.writeString(this.mActivity);
        parcel.writeInt(this.mEventType);
        parcel.writeLong(this.mTimestampNs);
        if (com.huawei.android.location.activityrecognition.HwActivityRecognition.getARServiceVersion() == 1) {
            parcel.writeInt(this.mConfidence);
        }
    }

    public java.lang.String toString() {
        return java.lang.String.format("Activity='%s', EventType=%s, TimestampNs=%s, Confidence=%s", new java.lang.Object[]{this.mActivity, java.lang.Integer.valueOf(this.mEventType), java.lang.Long.valueOf(this.mTimestampNs), java.lang.Integer.valueOf(this.mConfidence)});
    }
}
