package com.huawei.systemserver.activityrecognition;

public class HwActivityRecognitionExtendEvent implements android.os.Parcelable {
    public static final android.os.Parcelable.Creator<com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent> CREATOR = new android.os.Parcelable.Creator<com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent>() {
        public com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent createFromParcel(android.os.Parcel source) {
            java.lang.String activity = source.readString();
            int eventType = source.readInt();
            long timestampNs = source.readLong();
            com.huawei.systemserver.activityrecognition.OtherParameters otherParams = (com.huawei.systemserver.activityrecognition.OtherParameters) source.readParcelable(com.huawei.systemserver.activityrecognition.OtherParameters.class.getClassLoader());
            if (com.huawei.android.location.activityrecognition.HwActivityRecognition.getARServiceVersion() == 1) {
                return new com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent(activity, eventType, timestampNs, otherParams, source.readInt());
            }
            return new com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent(activity, eventType, timestampNs, otherParams);
        }

        public com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent[] newArray(int size) {
            return new com.huawei.systemserver.activityrecognition.HwActivityRecognitionExtendEvent[size];
        }
    };
    private final java.lang.String mActivity;
    private int mConfidence;
    private final int mEventType;
    private final com.huawei.systemserver.activityrecognition.OtherParameters mOtherParams;
    private final long mTimestampNs;

    public HwActivityRecognitionExtendEvent(java.lang.String activity, int eventType, long timestampNs, com.huawei.systemserver.activityrecognition.OtherParameters otherParams) {
        this.mActivity = activity;
        this.mEventType = eventType;
        this.mTimestampNs = timestampNs;
        this.mOtherParams = otherParams;
        this.mConfidence = -2;
    }

    public HwActivityRecognitionExtendEvent(java.lang.String activity, int eventType, long timestampNs, com.huawei.systemserver.activityrecognition.OtherParameters otherParams, int confidence) {
        this.mActivity = activity;
        this.mEventType = eventType;
        this.mTimestampNs = timestampNs;
        this.mOtherParams = otherParams;
        this.mConfidence = confidence;
    }

    public java.lang.String getActivity() {
        return this.mActivity;
    }

    public int getEventType() {
        return this.mEventType;
    }

    public long getTimestampNs() {
        return this.mTimestampNs;
    }

    public com.huawei.systemserver.activityrecognition.OtherParameters getOtherParams() {
        return this.mOtherParams;
    }

    public int getConfidence() {
        return this.mConfidence;
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(android.os.Parcel parcel, int flags) {
        parcel.writeString(this.mActivity);
        parcel.writeInt(this.mEventType);
        parcel.writeLong(this.mTimestampNs);
        parcel.writeParcelable(this.mOtherParams, flags);
        if (com.huawei.android.location.activityrecognition.HwActivityRecognition.getARServiceVersion() == 1) {
            parcel.writeInt(this.mConfidence);
        }
    }

    public java.lang.String toString() {
        if (this.mOtherParams != null) {
            return java.lang.String.format("Activity='%s', EventType=%s, TimestampNs=%s, Param1=%s, Param2=%s, Param3=%s, Param4=%s, Param5=%s, Confidence=%s", new java.lang.Object[]{this.mActivity, java.lang.Integer.valueOf(this.mEventType), java.lang.Long.valueOf(this.mTimestampNs), java.lang.Double.valueOf(this.mOtherParams.getmParam1()), java.lang.Double.valueOf(this.mOtherParams.getmParam2()), java.lang.Double.valueOf(this.mOtherParams.getmParam3()), java.lang.Double.valueOf(this.mOtherParams.getmParam4()), this.mOtherParams.getmParam5(), java.lang.Integer.valueOf(this.mConfidence)});
        }
        return java.lang.String.format("Activity='%s', EventType=%s, TimestampNs=%s, Confidence=%s", new java.lang.Object[]{this.mActivity, java.lang.Integer.valueOf(this.mEventType), java.lang.Long.valueOf(this.mTimestampNs), java.lang.Integer.valueOf(this.mConfidence)});
    }
}
