package com.huawei.systemserver.activityrecognition;

public interface IActivityRecognitionHardwareService extends android.os.IInterface {

    public static abstract class Stub extends android.os.Binder implements com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService {
        private static final java.lang.String DESCRIPTOR = "com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService";
        static final int TRANSACTION_disableActivityEvent = 7;
        static final int TRANSACTION_disableEnvironmentEvent = 15;
        static final int TRANSACTION_enableActivityEvent = 5;
        static final int TRANSACTION_enableActivityExtendEvent = 6;
        static final int TRANSACTION_enableEnvironmentEvent = 14;
        static final int TRANSACTION_exitEnvironmentFunction = 12;
        static final int TRANSACTION_flush = 9;
        static final int TRANSACTION_getARVersion = 16;
        static final int TRANSACTION_getCurrentActivity = 8;
        static final int TRANSACTION_getCurrentActivityV1_1 = 17;
        static final int TRANSACTION_getCurrentEnvironment = 13;
        static final int TRANSACTION_getCurrentEnvironmentV1_1 = 18;
        static final int TRANSACTION_getSupportedActivities = 2;
        static final int TRANSACTION_getSupportedEnvironments = 10;
        static final int TRANSACTION_getSupportedModule = 1;
        static final int TRANSACTION_initEnvironmentFunction = 11;
        static final int TRANSACTION_registerSink = 3;
        static final int TRANSACTION_unregisterSink = 4;

        private static class Proxy implements com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService {
            private android.os.IBinder mRemote;

            Proxy(android.os.IBinder remote) {
                this.mRemote = remote;
            }

            public android.os.IBinder asBinder() {
                return this.mRemote;
            }

            public java.lang.String getInterfaceDescriptor() {
                return "com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService";
            }

            public int getSupportedModule() throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                    this.mRemote.transact(1, _data, _reply, 0);
                    _reply.readException();
                    int _result = _reply.readInt();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public java.lang.String[] getSupportedActivities() throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                    this.mRemote.transact(2, _data, _reply, 0);
                    _reply.readException();
                    java.lang.String[] _result = _reply.createStringArray();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public boolean registerSink(java.lang.String packageName, com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink sink) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                    _data.writeString(packageName);
                    _data.writeStrongBinder(sink != null ? sink.asBinder() : null);
                    boolean z = false;
                    this.mRemote.transact(3, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        z = true;
                    }
                    boolean _result = z;
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public boolean unregisterSink(java.lang.String packageName, com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink sink) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                    _data.writeString(packageName);
                    _data.writeStrongBinder(sink != null ? sink.asBinder() : null);
                    boolean z = false;
                    this.mRemote.transact(4, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        z = true;
                    }
                    boolean _result = z;
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public boolean enableActivityEvent(java.lang.String packageName, java.lang.String activity, int eventType, long reportLatencyNs) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                    _data.writeString(packageName);
                    _data.writeString(activity);
                    _data.writeInt(eventType);
                    _data.writeLong(reportLatencyNs);
                    boolean z = false;
                    this.mRemote.transact(5, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        z = true;
                    }
                    boolean _result = z;
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public boolean enableActivityExtendEvent(java.lang.String packageName, java.lang.String activity, int eventType, long reportLatencyNs, com.huawei.systemserver.activityrecognition.OtherParameters params) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                    _data.writeString(packageName);
                    _data.writeString(activity);
                    _data.writeInt(eventType);
                    _data.writeLong(reportLatencyNs);
                    boolean _result = true;
                    if (params != null) {
                        _data.writeInt(1);
                        params.writeToParcel(_data, 0);
                    } else {
                        _data.writeInt(0);
                    }
                    this.mRemote.transact(6, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() == 0) {
                        _result = false;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public boolean disableActivityEvent(java.lang.String packageName, java.lang.String activity, int eventType) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                    _data.writeString(packageName);
                    _data.writeString(activity);
                    _data.writeInt(eventType);
                    boolean z = false;
                    this.mRemote.transact(7, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        z = true;
                    }
                    boolean _result = z;
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent getCurrentActivity() throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent _result;
                    _data.writeInterfaceToken("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                    this.mRemote.transact(8, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = (com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent) com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent.CREATOR.createFromParcel(_reply);
                    } else {
                        _result = null;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public boolean flush() throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                    boolean z = false;
                    this.mRemote.transact(9, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        z = true;
                    }
                    boolean _result = z;
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public java.lang.String[] getSupportedEnvironments() throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                    this.mRemote.transact(10, _data, _reply, 0);
                    _reply.readException();
                    java.lang.String[] _result = _reply.createStringArray();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public boolean initEnvironmentFunction(java.lang.String packageName, java.lang.String environment, com.huawei.systemserver.activityrecognition.OtherParameters params) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                    _data.writeString(packageName);
                    _data.writeString(environment);
                    boolean _result = true;
                    if (params != null) {
                        _data.writeInt(1);
                        params.writeToParcel(_data, 0);
                    } else {
                        _data.writeInt(0);
                    }
                    this.mRemote.transact(11, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() == 0) {
                        _result = false;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public boolean exitEnvironmentFunction(java.lang.String packageName, java.lang.String environment, com.huawei.systemserver.activityrecognition.OtherParameters params) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                    _data.writeString(packageName);
                    _data.writeString(environment);
                    boolean _result = true;
                    if (params != null) {
                        _data.writeInt(1);
                        params.writeToParcel(_data, 0);
                    } else {
                        _data.writeInt(0);
                    }
                    this.mRemote.transact(12, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() == 0) {
                        _result = false;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent getCurrentEnvironment() throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent _result;
                    _data.writeInterfaceToken("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                    this.mRemote.transact(13, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = (com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent) com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent.CREATOR.createFromParcel(_reply);
                    } else {
                        _result = null;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public boolean enableEnvironmentEvent(java.lang.String packageName, java.lang.String environment, int eventType, long reportLatencyNs, com.huawei.systemserver.activityrecognition.OtherParameters params) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                    _data.writeString(packageName);
                    _data.writeString(environment);
                    _data.writeInt(eventType);
                    _data.writeLong(reportLatencyNs);
                    boolean _result = true;
                    if (params != null) {
                        _data.writeInt(1);
                        params.writeToParcel(_data, 0);
                    } else {
                        _data.writeInt(0);
                    }
                    this.mRemote.transact(14, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() == 0) {
                        _result = false;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public boolean disableEnvironmentEvent(java.lang.String packageName, java.lang.String environment, int eventType) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                    _data.writeString(packageName);
                    _data.writeString(environment);
                    _data.writeInt(eventType);
                    boolean z = false;
                    this.mRemote.transact(15, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        z = true;
                    }
                    boolean _result = z;
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public int getARVersion(java.lang.String packageName, int sdkVersion) throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    _data.writeInterfaceToken("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                    _data.writeString(packageName);
                    _data.writeInt(sdkVersion);
                    this.mRemote.transact(16, _data, _reply, 0);
                    _reply.readException();
                    int _result = _reply.readInt();
                    return _result;
                } finally {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent getCurrentActivityV1_1() throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent _result;
                    _data.writeInterfaceToken("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                    this.mRemote.transact(17, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = (com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent) com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent.CREATOR.createFromParcel(_reply);
                    } else {
                        _result = null;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }

            public com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent getCurrentEnvironmentV1_1() throws android.os.RemoteException {
                android.os.Parcel _data = android.os.Parcel.obtain();
                android.os.Parcel _reply = android.os.Parcel.obtain();
                try {
                    com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent _result;
                    _data.writeInterfaceToken("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                    this.mRemote.transact(18, _data, _reply, 0);
                    _reply.readException();
                    if (_reply.readInt() != 0) {
                        _result = (com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent) com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent.CREATOR.createFromParcel(_reply);
                    } else {
                        _result = null;
                    }
                    _reply.recycle();
                    _data.recycle();
                    return _result;
                } catch (Throwable th) {
                    _reply.recycle();
                    _data.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, "com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
        }

        public static com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService asInterface(android.os.IBinder obj) {
            if (obj == null) {
                return null;
            }
            android.os.IInterface iin = obj.queryLocalInterface("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
            if (iin == null || !(iin instanceof com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService)) {
                return new com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService.Stub.Proxy(obj);
            }
            return (com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService) iin;
        }

        public android.os.IBinder asBinder() {
            return this;
        }

        public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
            int i = code;
            android.os.Parcel parcel = data;
            android.os.Parcel parcel2 = reply;
            if (i != 1598968902) {
                com.huawei.systemserver.activityrecognition.OtherParameters _arg2 = null;
                java.lang.String[] _result;
                boolean _result2;
                boolean _result3;
                java.lang.String _arg0;
                java.lang.String _arg1;
                int _arg22;
                long _arg3;
                boolean _result4;
                com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent _result5;
                java.lang.String _arg02;
                java.lang.String _arg12;
                com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent _result6;
                switch (i) {
                    case 1:
                        parcel.enforceInterface("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                        int _result7 = getSupportedModule();
                        reply.writeNoException();
                        parcel2.writeInt(_result7);
                        return true;
                    case 2:
                        parcel.enforceInterface("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                        _result = getSupportedActivities();
                        reply.writeNoException();
                        parcel2.writeStringArray(_result);
                        return true;
                    case 3:
                        parcel.enforceInterface("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                        _result2 = registerSink(data.readString(), com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink.Stub.asInterface(data.readStrongBinder()));
                        reply.writeNoException();
                        parcel2.writeInt(_result2);
                        return true;
                    case 4:
                        parcel.enforceInterface("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                        _result2 = unregisterSink(data.readString(), com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink.Stub.asInterface(data.readStrongBinder()));
                        reply.writeNoException();
                        parcel2.writeInt(_result2);
                        return true;
                    case 5:
                        parcel.enforceInterface("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                        _result3 = enableActivityEvent(data.readString(), data.readString(), data.readInt(), data.readLong());
                        reply.writeNoException();
                        parcel2.writeInt(_result3);
                        return true;
                    case 6:
                        parcel.enforceInterface("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                        _arg0 = data.readString();
                        _arg1 = data.readString();
                        _arg22 = data.readInt();
                        _arg3 = data.readLong();
                        if (data.readInt() != 0) {
                            _arg2 = (com.huawei.systemserver.activityrecognition.OtherParameters) com.huawei.systemserver.activityrecognition.OtherParameters.CREATOR.createFromParcel(parcel);
                        }
                        _result3 = enableActivityExtendEvent(_arg0, _arg1, _arg22, _arg3, _arg2);
                        reply.writeNoException();
                        parcel2.writeInt(_result3);
                        return true;
                    case 7:
                        parcel.enforceInterface("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                        _result4 = disableActivityEvent(data.readString(), data.readString(), data.readInt());
                        reply.writeNoException();
                        parcel2.writeInt(_result4);
                        return true;
                    case 8:
                        parcel.enforceInterface("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                        _result5 = getCurrentActivity();
                        reply.writeNoException();
                        if (_result5 != null) {
                            parcel2.writeInt(1);
                            _result5.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 9:
                        parcel.enforceInterface("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                        _result3 = flush();
                        reply.writeNoException();
                        parcel2.writeInt(_result3);
                        return true;
                    case 10:
                        parcel.enforceInterface("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                        _result = getSupportedEnvironments();
                        reply.writeNoException();
                        parcel2.writeStringArray(_result);
                        return true;
                    case 11:
                        parcel.enforceInterface("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                        _arg02 = data.readString();
                        _arg12 = data.readString();
                        if (data.readInt() != 0) {
                            _arg2 = (com.huawei.systemserver.activityrecognition.OtherParameters) com.huawei.systemserver.activityrecognition.OtherParameters.CREATOR.createFromParcel(parcel);
                        }
                        _result4 = initEnvironmentFunction(_arg02, _arg12, _arg2);
                        reply.writeNoException();
                        parcel2.writeInt(_result4);
                        return true;
                    case 12:
                        parcel.enforceInterface("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                        _arg02 = data.readString();
                        _arg12 = data.readString();
                        if (data.readInt() != 0) {
                            _arg2 = (com.huawei.systemserver.activityrecognition.OtherParameters) com.huawei.systemserver.activityrecognition.OtherParameters.CREATOR.createFromParcel(parcel);
                        }
                        _result4 = exitEnvironmentFunction(_arg02, _arg12, _arg2);
                        reply.writeNoException();
                        parcel2.writeInt(_result4);
                        return true;
                    case 13:
                        parcel.enforceInterface("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                        _result6 = getCurrentEnvironment();
                        reply.writeNoException();
                        if (_result6 != null) {
                            parcel2.writeInt(1);
                            _result6.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 14:
                        parcel.enforceInterface("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                        _arg0 = data.readString();
                        _arg1 = data.readString();
                        _arg22 = data.readInt();
                        _arg3 = data.readLong();
                        if (data.readInt() != 0) {
                            _arg2 = (com.huawei.systemserver.activityrecognition.OtherParameters) com.huawei.systemserver.activityrecognition.OtherParameters.CREATOR.createFromParcel(parcel);
                        }
                        _result3 = enableEnvironmentEvent(_arg0, _arg1, _arg22, _arg3, _arg2);
                        reply.writeNoException();
                        parcel2.writeInt(_result3);
                        return true;
                    case 15:
                        parcel.enforceInterface("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                        _result4 = disableEnvironmentEvent(data.readString(), data.readString(), data.readInt());
                        reply.writeNoException();
                        parcel2.writeInt(_result4);
                        return true;
                    case 16:
                        parcel.enforceInterface("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                        int _result8 = getARVersion(data.readString(), data.readInt());
                        reply.writeNoException();
                        parcel2.writeInt(_result8);
                        return true;
                    case 17:
                        parcel.enforceInterface("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                        _result5 = getCurrentActivityV1_1();
                        reply.writeNoException();
                        if (_result5 != null) {
                            parcel2.writeInt(1);
                            _result5.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 18:
                        parcel.enforceInterface("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
                        _result6 = getCurrentEnvironmentV1_1();
                        reply.writeNoException();
                        if (_result6 != null) {
                            parcel2.writeInt(1);
                            _result6.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    default:
                        return super.onTransact(code, data, reply, flags);
                }
            }
            parcel2.writeString("com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareService");
            return true;
        }
    }

    boolean disableActivityEvent(java.lang.String str, java.lang.String str2, int i) throws android.os.RemoteException;

    boolean disableEnvironmentEvent(java.lang.String str, java.lang.String str2, int i) throws android.os.RemoteException;

    boolean enableActivityEvent(java.lang.String str, java.lang.String str2, int i, long j) throws android.os.RemoteException;

    boolean enableActivityExtendEvent(java.lang.String str, java.lang.String str2, int i, long j, com.huawei.systemserver.activityrecognition.OtherParameters otherParameters) throws android.os.RemoteException;

    boolean enableEnvironmentEvent(java.lang.String str, java.lang.String str2, int i, long j, com.huawei.systemserver.activityrecognition.OtherParameters otherParameters) throws android.os.RemoteException;

    boolean exitEnvironmentFunction(java.lang.String str, java.lang.String str2, com.huawei.systemserver.activityrecognition.OtherParameters otherParameters) throws android.os.RemoteException;

    boolean flush() throws android.os.RemoteException;

    int getARVersion(java.lang.String str, int i) throws android.os.RemoteException;

    com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent getCurrentActivity() throws android.os.RemoteException;

    com.huawei.systemserver.activityrecognition.HwActivityChangedExtendEvent getCurrentActivityV1_1() throws android.os.RemoteException;

    com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent getCurrentEnvironment() throws android.os.RemoteException;

    com.huawei.systemserver.activityrecognition.HwEnvironmentChangedEvent getCurrentEnvironmentV1_1() throws android.os.RemoteException;

    java.lang.String[] getSupportedActivities() throws android.os.RemoteException;

    java.lang.String[] getSupportedEnvironments() throws android.os.RemoteException;

    int getSupportedModule() throws android.os.RemoteException;

    boolean initEnvironmentFunction(java.lang.String str, java.lang.String str2, com.huawei.systemserver.activityrecognition.OtherParameters otherParameters) throws android.os.RemoteException;

    boolean registerSink(java.lang.String str, com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink iActivityRecognitionHardwareSink) throws android.os.RemoteException;

    boolean unregisterSink(java.lang.String str, com.huawei.systemserver.activityrecognition.IActivityRecognitionHardwareSink iActivityRecognitionHardwareSink) throws android.os.RemoteException;
}
