package com.leisen.wallet.sdk.apdu;

public class ApduManager extends com.leisen.wallet.sdk.newhttp.SimpleResponseHandlerX {
    private static final java.lang.String BOUNDARY = "==>";
    private static final int BUSINESS_TYPE_ACTIVATE = 35;
    private static final int BUSINESS_TYPE_APPLETOPER = 30;
    private static final int BUSINESS_TYPE_COMMON_METHOD = 40;
    private static final int BUSINESS_TYPE_GPACOPER = 32;
    private static final int BUSINESS_TYPE_INFOINIT = 34;
    private static final int BUSINESS_TYPE_INFOSYNC = 33;
    private static final int BUSINESS_TYPE_SSDOPER = 31;
    private static final int FLAG_ACTIVATE_APPLET = 9;
    private static final int FLAG_ESEINFOSYNC = 2;
    private static final int FLAG_GETCIN = 7;
    private static final int FLAG_GETCPLC = 6;
    private static final int FLAG_GETIIN = 8;
    private static final int FLAG_INFOINIT = 1;
    private static final int FLAG_OPERAPPLET = 4;
    private static final int FLAG_OPERGPAC = 5;
    private static final int FLAG_OPERSSD = 3;
    public static final int SEND_TYPE_FIRST = 1;
    public static final int SEND_TYPE_NEXT = 2;
    private static final java.lang.String TAG = "ApduManager";
    private com.leisen.wallet.sdk.apdu.ApduResponseHandler mApduResponseHandler = new com.leisen.wallet.sdk.apdu.ApduResponseHandler() {
        public void onSuccess(java.lang.String response) {
            if (com.leisen.wallet.sdk.apdu.ApduManager.this.mTsmOperatorResponse != null) {
                com.leisen.wallet.sdk.apdu.ApduManager.this.mTsmOperatorResponse.onOperSuccess(response);
            }
            com.leisen.wallet.sdk.apdu.ApduManager.this.clearData();
        }

        public void onSendNext(int result, int index, java.lang.String rapdu, java.lang.String sw) {
            com.leisen.wallet.sdk.apdu.ApduManager.this.mCurrentTaskIndex = com.leisen.wallet.sdk.apdu.ApduManager.this.mCurrentTaskIndex + 1;
            com.leisen.wallet.sdk.apdu.ApduManager.this.sendNextApdu(result, index, rapdu, sw);
        }

        public void OnSendNextError(int result, int index, java.lang.String rapdu, java.lang.String sw, java.lang.Error e) {
            com.leisen.wallet.sdk.apdu.ApduManager.this.mErrorMessage = e.getMessage();
            com.leisen.wallet.sdk.apdu.ApduManager.this.mCurrentTaskIndex = com.leisen.wallet.sdk.apdu.ApduManager.this.mCurrentTaskIndex + 1;
            com.leisen.wallet.sdk.apdu.ApduManager.this.sendNextApdu(result, index, rapdu, sw);
        }

        public void onFailure(int result, java.lang.Error e) {
            if (com.leisen.wallet.sdk.apdu.ApduManager.this.mTsmOperatorResponse != null) {
                com.leisen.wallet.sdk.apdu.ApduManager.this.mTsmOperatorResponse.onOperFailure(result, e);
            }
            com.leisen.wallet.sdk.apdu.ApduManager.this.clearData();
        }
    };
    private com.leisen.wallet.sdk.apdu.ApduSmartCardRequest mApduSmartCardRequest;
    private com.leisen.wallet.sdk.newhttp.AsyncHttpClientX mAsyncHttpClient;
    private int mBusinessType = -1;
    private com.leisen.wallet.sdk.bean.CommonRequestParams mCommonRequestParams;
    private android.content.Context mContext;
    private int mCurrentTaskIndex = 1;
    private java.lang.String mErrorMessage;
    private com.leisen.wallet.sdk.tsm.TSMOperatorResponse mTsmOperatorResponse;

    public ApduManager(android.content.Context context) {
        init(context);
    }

    private void init(android.content.Context context) {
        this.mContext = context;
        this.mAsyncHttpClient = new com.leisen.wallet.sdk.newhttp.AsyncHttpClientX(true);
        this.mApduSmartCardRequest = new com.leisen.wallet.sdk.apdu.ApduSmartCardRequest(this.mContext, this.mApduResponseHandler);
    }

    public void requestInfoInit(com.leisen.wallet.sdk.bean.CommonRequestParams params) {
        this.mBusinessType = 34;
        this.mApduSmartCardRequest.setFlag(1);
        this.mCommonRequestParams = params;
        sendFirstApdu(com.leisen.wallet.sdk.util.AppJsonUtil.getBaseReqJsonResult(params, this.mBusinessType, this.mCurrentTaskIndex));
    }

    public void requestEseInfoSync(com.leisen.wallet.sdk.bean.CommonRequestParams params) {
        this.mBusinessType = 33;
        this.mApduSmartCardRequest.setFlag(2);
        this.mCommonRequestParams = params;
        sendFirstApdu(com.leisen.wallet.sdk.util.AppJsonUtil.getBaseReqJsonResult(params, this.mBusinessType, this.mCurrentTaskIndex));
    }

    public void requestOperSSD(int operType, com.leisen.wallet.sdk.bean.CommonRequestParams params, java.lang.String ssdAid) {
        this.mBusinessType = 31;
        this.mApduSmartCardRequest.setFlag(3);
        this.mCommonRequestParams = params;
        sendFirstApdu(com.leisen.wallet.sdk.util.AppJsonUtil.getOperSSDJsonResult(params, this.mBusinessType, operType, ssdAid, this.mCurrentTaskIndex));
    }

    public void requestOperApplet(int operType, com.leisen.wallet.sdk.bean.CommonRequestParams params, com.leisen.wallet.sdk.bean.OperAppletReqParams reqParams) {
        this.mBusinessType = 30;
        this.mApduSmartCardRequest.setFlag(4);
        this.mCommonRequestParams = params;
        sendFirstApdu(com.leisen.wallet.sdk.util.AppJsonUtil.getOperAppletJsonResult(params, this.mBusinessType, operType, reqParams, this.mCurrentTaskIndex));
    }

    public void requestactivateApplet(com.leisen.wallet.sdk.bean.CommonRequestParams params, java.lang.String appletAid) {
        this.mBusinessType = 35;
        this.mApduSmartCardRequest.setFlag(9);
        this.mCommonRequestParams = params;
        sendFirstApdu(com.leisen.wallet.sdk.util.AppJsonUtil.getActivateAppletJsonResult(params, this.mBusinessType, appletAid, this.mCurrentTaskIndex));
    }

    public void requestCommonMethod(com.leisen.wallet.sdk.bean.CommonRequestParams params) {
        this.mBusinessType = 40;
        this.mApduSmartCardRequest.setFlag(-1);
        this.mCommonRequestParams = params;
        sendFirstApdu(com.leisen.wallet.sdk.util.AppJsonUtil.getBaseReqJsonResult(params, this.mBusinessType, this.mCurrentTaskIndex));
    }

    public void requestOperGPAC(int operType, com.leisen.wallet.sdk.bean.CommonRequestParams params, java.lang.String appletAid) {
        this.mBusinessType = 32;
        this.mApduSmartCardRequest.setFlag(5);
        this.mCommonRequestParams = params;
        sendFirstApdu(com.leisen.wallet.sdk.util.AppJsonUtil.getOperGPACJsonResult(params, this.mBusinessType, operType, appletAid, this.mCurrentTaskIndex));
    }

    public void requestGetCPLC(java.lang.String aid) {
        this.mApduSmartCardRequest.setFlag(6);
        this.mApduSmartCardRequest.isGetLocalData(true);
        this.mApduSmartCardRequest.setGetLocalDataApdu("80CA9f7f00", aid);
        sendRequestToSmartCard();
    }

    public void requestGetCIN(java.lang.String aid) {
        this.mApduSmartCardRequest.setFlag(7);
        this.mApduSmartCardRequest.isGetLocalData(true);
        this.mApduSmartCardRequest.setGetLocalDataApdu("80CA004500", aid);
        sendRequestToSmartCard();
    }

    public void requestGetIIN(java.lang.String aid) {
        this.mApduSmartCardRequest.setFlag(8);
        this.mApduSmartCardRequest.isGetLocalData(true);
        this.mApduSmartCardRequest.setGetLocalDataApdu("80CA004200", aid);
        sendRequestToSmartCard();
    }

    public void requestSelectSSD(java.lang.String aid) {
        this.mApduSmartCardRequest.isGetLocalData(true);
        java.lang.String[] strArr = new java.lang.String[2];
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("00A40400");
        java.lang.Object[] objArr = new java.lang.Object[1];
        int i = 0;
        objArr[0] = java.lang.Integer.valueOf(aid.length() / 2);
        stringBuilder.append(java.lang.String.format("%02X", objArr));
        stringBuilder.append(aid);
        strArr[0] = stringBuilder.toString();
        strArr[1] = "";
        java.lang.String[] capduArr = strArr;
        java.util.List<com.leisen.wallet.sdk.business.ApduBean> capdus = new java.util.ArrayList();
        while (true) {
            int i2 = i;
            if (i2 < capduArr.length) {
                capdus.add(new com.leisen.wallet.sdk.business.ApduBean(capduArr[i2]));
                i = i2 + 1;
            } else {
                this.mApduSmartCardRequest.setCapduList(capdus);
                sendRequestToSmartCard();
                return;
            }
        }
    }

    public void requestActivateApplet(java.lang.String apdu) {
        this.mApduSmartCardRequest.isGetLocalData(true);
        capduArr = new java.lang.String[2];
        int i = 0;
        capduArr[0] = "00A4040008A00000015143525300";
        capduArr[1] = apdu;
        java.util.List<com.leisen.wallet.sdk.business.ApduBean> capdus = new java.util.ArrayList();
        while (true) {
            int i2 = i;
            if (i2 < capduArr.length) {
                capdus.add(new com.leisen.wallet.sdk.business.ApduBean(capduArr[i2]));
                i = i2 + 1;
            } else {
                this.mApduSmartCardRequest.setCapduList(capdus);
                sendRequestToSmartCard();
                return;
            }
        }
    }

    public void requestdeactivateApplet(java.lang.String apdu) {
        this.mApduSmartCardRequest.isGetLocalData(true);
        capduArr = new java.lang.String[2];
        int i = 0;
        capduArr[0] = "00A4040008A00000015143525300";
        capduArr[1] = apdu;
        java.util.List<com.leisen.wallet.sdk.business.ApduBean> capdus = new java.util.ArrayList();
        while (true) {
            int i2 = i;
            if (i2 < capduArr.length) {
                capdus.add(new com.leisen.wallet.sdk.business.ApduBean(capduArr[i2]));
                i = i2 + 1;
            } else {
                this.mApduSmartCardRequest.setCapduList(capdus);
                sendRequestToSmartCard();
                return;
            }
        }
    }

    private void sendFirstApdu(java.lang.String request) {
        sendApduToServer(request);
    }

    private void sendNextApdu(int result, int index, java.lang.String rapdu, java.lang.String sw) {
        com.leisen.wallet.sdk.business.ApduResBean rapduList = new com.leisen.wallet.sdk.business.ApduResBean();
        rapduList.setIndex(index);
        rapduList.setApdu(rapdu);
        rapduList.setSw(sw);
        sendApduToServer(com.leisen.wallet.sdk.util.AppJsonUtil.getReqNextJsonResult(this.mCommonRequestParams, this.mBusinessType, rapduList, result, this.mCurrentTaskIndex));
    }

    private void sendApduToServer(java.lang.String request) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("==>request url:");
        stringBuilder.append(com.leisen.wallet.sdk.AppConfig.STREAMURL);
        com.leisen.wallet.sdk.util.LogUtil.i("ApduManager", stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("==>request:");
        stringBuilder.append(com.leisen.wallet.sdk.util.AppJsonUtil.removeSensitiveInfo(request));
        com.leisen.wallet.sdk.util.LogUtil.i("ApduManager", stringBuilder.toString());
        if (request != null) {
            try {
                this.mAsyncHttpClient.post(this.mContext, com.leisen.wallet.sdk.AppConfig.STREAMURL, request, this);
            } catch (java.lang.Exception e) {
                this.mApduResponseHandler.sendFailureMessage(100011, new java.lang.Error(e.getMessage()));
            }
        }
    }

    public void setTsmOperatorResponse(com.leisen.wallet.sdk.tsm.TSMOperatorResponse tsmOperatorResponse) {
        this.mTsmOperatorResponse = tsmOperatorResponse;
    }

    private void sendRequestToSmartCard() {
        if (this.mApduSmartCardRequest != null) {
            this.mApduSmartCardRequest.run();
        }
    }

    private void clearData() {
        this.mCurrentTaskIndex = 1;
        this.mBusinessType = -1;
        this.mCommonRequestParams = null;
        com.leisen.wallet.sdk.oma.SmartCard.getInstance().closeService();
    }

    public void onSuccess(java.lang.String responseString) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("==>response:");
        stringBuilder.append(responseString);
        com.leisen.wallet.sdk.util.LogUtil.i("ApduManager", stringBuilder.toString());
        com.leisen.wallet.sdk.business.BaseResponse<com.leisen.wallet.sdk.business.BaseBusinessForResp> response = null;
        try {
            response = (com.leisen.wallet.sdk.business.BaseResponse) new com.google.gson.Gson().fromJson(responseString, new com.google.gson.reflect.TypeToken<com.leisen.wallet.sdk.business.BaseResponse<com.leisen.wallet.sdk.business.BaseBusinessForResp>>() {
            }.getType());
        } catch (com.google.gson.JsonSyntaxException e) {
            this.mApduResponseHandler.sendFailureMessage(100012, new java.lang.Error("response data parse failure"));
        }
        if (response == null) {
            this.mApduResponseHandler.sendFailureMessage(100012, new java.lang.Error("response data is empty"));
        } else if (((com.leisen.wallet.sdk.business.BaseBusinessForResp) response.getBusiness()).getOperationResult() != 100000) {
            java.lang.String operationDes = ((com.leisen.wallet.sdk.business.BaseBusinessForResp) response.getBusiness()).getOperationDes();
            if (!(this.mErrorMessage == null || "".equals(this.mErrorMessage))) {
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append(operationDes);
                stringBuilder2.append(":");
                stringBuilder2.append(this.mErrorMessage);
                operationDes = stringBuilder2.toString();
                this.mErrorMessage = null;
            }
            this.mApduResponseHandler.sendFailureMessage(100013, new java.lang.Error(operationDes));
        } else {
            if (((com.leisen.wallet.sdk.business.BaseBusinessForResp) response.getBusiness()).getFinishFlag() == 0) {
                this.mApduResponseHandler.sendSuccessMessage(null);
            } else {
                this.mApduSmartCardRequest.setCapduList(((com.leisen.wallet.sdk.business.BaseBusinessForResp) response.getBusiness()).getCapduList());
                sendRequestToSmartCard();
            }
        }
    }

    public void OnFailure(java.lang.String responseString, java.lang.Throwable error) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("==>response:");
        stringBuilder.append(responseString);
        com.leisen.wallet.sdk.util.LogUtil.e("ApduManager", stringBuilder.toString());
        this.mApduResponseHandler.sendFailureMessage(100010, new java.lang.Error(error.getMessage()));
    }
}
