package com.leisen.wallet.sdk.tsm;

public class TSMOperator implements com.leisen.wallet.sdk.tsm.ITSMOperator, com.leisen.wallet.sdk.tsm.TSMOperatorResponse {
    private static final int RETURN_APPLETAID_IS_NULL = 100006;
    private static final int RETURN_APPLETVERSION_IS_NULL = 100007;
    private static final int RETURN_COMMOMREQUESTPARAMS_IS_NULL = 100001;
    private static final int RETURN_CPLC_IS_NULL = 100008;
    private static final int RETURN_FUNCALLID_IS_NULL = 100004;
    public static final int RETURN_NETWORK_ERROR = 100010;
    private static final int RETURN_OPERAPPLETREQPARAMS_IS_NULL = 100002;
    public static final int RETURN_RESPONSE_PARSE_ERROR = 100012;
    public static final int RETURN_SERVER_ERROR = 100013;
    private static final int RETURN_SERVICEID_IS_NULL = 100003;
    public static final int RETURN_SMARTCARD_OPER_FAILURE = 100009;
    private static final int RETURN_SSDAID_IS_NULL = 100005;
    private static final int RETURN_SUCCESS = 100000;
    public static final int RETURN_UNKNOW_ERROR = 100011;
    private com.leisen.wallet.sdk.apdu.ApduManager mApduManager;
    private int mOperatorResult = 100000;
    private com.leisen.wallet.sdk.tsm.TSMOperatorResponse mTsmOperatorResponse;

    private TSMOperator() {
    }

    private TSMOperator(android.content.Context context) {
        com.leisen.wallet.sdk.AppConfig.init(context);
        this.mApduManager = new com.leisen.wallet.sdk.apdu.ApduManager(context);
        this.mApduManager.setTsmOperatorResponse(this);
    }

    public static synchronized com.leisen.wallet.sdk.tsm.TSMOperator getInstance(android.content.Context context, java.lang.String url) {
        com.leisen.wallet.sdk.tsm.TSMOperator tSMOperator;
        synchronized (com.leisen.wallet.sdk.tsm.TSMOperator.class) {
            if (url != null) {
                try {
                    com.leisen.wallet.sdk.AppConfig.STREAMURL = url;
                } catch (Throwable th) {
                }
            }
            tSMOperator = new com.leisen.wallet.sdk.tsm.TSMOperator(context);
        }
        return tSMOperator;
    }

    public int notifyEseInfoSync(com.leisen.wallet.sdk.bean.CommonRequestParams request) {
        int result = checkCommonRequestParams(request);
        if (result != -1) {
            return result;
        }
        this.mApduManager.requestEseInfoSync(request);
        return this.mOperatorResult;
    }

    public int notifyInfoInit(com.leisen.wallet.sdk.bean.CommonRequestParams request) {
        int result = checkCommonRequestParams(request);
        if (result != -1) {
            return result;
        }
        this.mApduManager.requestInfoInit(request);
        return this.mOperatorResult;
    }

    public int addGPAC(com.leisen.wallet.sdk.bean.CommonRequestParams request, java.lang.String appletAid) {
        int result = checkCommonRequestParams(request);
        if (result != -1) {
            return result;
        }
        if (appletAid == null) {
            return 100006;
        }
        this.mApduManager.requestOperGPAC(1, request, appletAid);
        return this.mOperatorResult;
    }

    public int deleteGPAC(com.leisen.wallet.sdk.bean.CommonRequestParams request, java.lang.String appletAid) {
        int result = checkCommonRequestParams(request);
        if (result != -1) {
            return result;
        }
        if (appletAid == null) {
            return 100006;
        }
        this.mApduManager.requestOperGPAC(2, request, appletAid);
        return this.mOperatorResult;
    }

    public int createSSD(com.leisen.wallet.sdk.bean.CommonRequestParams request, java.lang.String ssdAid) {
        int result = checkCommonRequestParams(request);
        if (result != -1) {
            return result;
        }
        if (ssdAid == null) {
            return 100005;
        }
        this.mApduManager.requestOperSSD(1, request, ssdAid);
        return this.mOperatorResult;
    }

    public int deleteSSD(com.leisen.wallet.sdk.bean.CommonRequestParams request, java.lang.String ssdAid) {
        int result = checkCommonRequestParams(request);
        if (result != -1) {
            return result;
        }
        if (ssdAid == null) {
            return 100005;
        }
        this.mApduManager.requestOperSSD(2, request, ssdAid);
        return this.mOperatorResult;
    }

    public int lockSSD(com.leisen.wallet.sdk.bean.CommonRequestParams request, java.lang.String ssdAid) {
        int result = checkCommonRequestParams(request);
        if (result != -1) {
            return result;
        }
        if (ssdAid == null) {
            return 100005;
        }
        this.mApduManager.requestOperSSD(3, request, ssdAid);
        return this.mOperatorResult;
    }

    public int unlockSSD(com.leisen.wallet.sdk.bean.CommonRequestParams request, java.lang.String ssdAid) {
        int result = checkCommonRequestParams(request);
        if (result != -1) {
            return result;
        }
        if (ssdAid == null) {
            return 100005;
        }
        this.mApduManager.requestOperSSD(4, request, ssdAid);
        return this.mOperatorResult;
    }

    public int installApplet(com.leisen.wallet.sdk.bean.CommonRequestParams request, com.leisen.wallet.sdk.bean.OperAppletReqParams params) {
        int result = checkCommonRequestParams(request);
        if (result != -1) {
            return result;
        }
        int operResult = checkOperAppetReqParams(params);
        if (operResult != -1) {
            return operResult;
        }
        this.mApduManager.requestOperApplet(1, request, params);
        return this.mOperatorResult;
    }

    public int deleteApplet(com.leisen.wallet.sdk.bean.CommonRequestParams request, com.leisen.wallet.sdk.bean.OperAppletReqParams params) {
        int result = checkCommonRequestParams(request);
        if (result != -1) {
            return result;
        }
        int operResult = checkOperAppetReqParams(params);
        if (operResult != -1) {
            return operResult;
        }
        this.mApduManager.requestOperApplet(2, request, params);
        return this.mOperatorResult;
    }

    public int lockApplet(com.leisen.wallet.sdk.bean.CommonRequestParams request, com.leisen.wallet.sdk.bean.OperAppletReqParams params) {
        int result = checkCommonRequestParams(request);
        if (result != -1) {
            return result;
        }
        int operResult = checkOperAppetReqParams(params);
        if (operResult != -1) {
            return operResult;
        }
        this.mApduManager.requestOperApplet(3, request, params);
        return this.mOperatorResult;
    }

    public int unlockApplet(com.leisen.wallet.sdk.bean.CommonRequestParams request, com.leisen.wallet.sdk.bean.OperAppletReqParams params) {
        int result = checkCommonRequestParams(request);
        if (result != -1) {
            return result;
        }
        int operResult = checkOperAppetReqParams(params);
        if (operResult != -1) {
            return operResult;
        }
        this.mApduManager.requestOperApplet(4, request, params);
        return this.mOperatorResult;
    }

    public int activateApplet(com.leisen.wallet.sdk.bean.CommonRequestParams request, java.lang.String appletAid) {
        int result = checkCommonRequestParams(request);
        if (result != -1) {
            return result;
        }
        if (appletAid == null) {
            return 100006;
        }
        this.mApduManager.requestactivateApplet(request, appletAid);
        return this.mOperatorResult;
    }

    public com.leisen.wallet.sdk.tsm.TSMOperator setTsmOperatorResponse(com.leisen.wallet.sdk.tsm.TSMOperatorResponse tsmOperatorResponse) {
        this.mTsmOperatorResponse = tsmOperatorResponse;
        return this;
    }

    private int checkCommonRequestParams(com.leisen.wallet.sdk.bean.CommonRequestParams request) {
        if (request == null) {
            return 100001;
        }
        if (request.getCplc() == null) {
            return 100008;
        }
        if (request.getServiceId() == null) {
            return 100003;
        }
        if (request.getFunCallId() == null) {
            return 100004;
        }
        return -1;
    }

    private int checkOperAppetReqParams(com.leisen.wallet.sdk.bean.OperAppletReqParams params) {
        if (params == null) {
            return 100002;
        }
        if (params.getAppletAid() == null) {
            return 100006;
        }
        return -1;
    }

    public void getCPLC(java.lang.String aid) {
        this.mApduManager.requestGetCPLC(aid);
    }

    public void getCIN(java.lang.String aid) {
        this.mApduManager.requestGetCIN(aid);
    }

    public void getIIN(java.lang.String aid) {
        this.mApduManager.requestGetIIN(aid);
    }

    public void activateApplet(java.lang.String apdu) {
        this.mApduManager.requestActivateApplet(apdu);
    }

    public void deactivateApplet(java.lang.String apdu) {
        this.mApduManager.requestdeactivateApplet(apdu);
    }

    public void selectSSD(java.lang.String aid) {
        this.mApduManager.requestSelectSSD(aid);
    }

    public void onOperSuccess(java.lang.String response) {
        this.mOperatorResult = 100000;
        if (this.mTsmOperatorResponse != null) {
            this.mTsmOperatorResponse.onOperSuccess(response);
        }
    }

    public void onOperFailure(int result, java.lang.Error e) {
        this.mOperatorResult = result;
        if (this.mTsmOperatorResponse != null) {
            this.mTsmOperatorResponse.onOperFailure(result, e);
        }
    }

    public int commonExecute(com.leisen.wallet.sdk.bean.CommonRequestParams request) {
        int result = checkCommonRequestParams(request);
        if (result != -1) {
            return result;
        }
        this.mApduManager.requestCommonMethod(request);
        return this.mOperatorResult;
    }
}
