package com.leisen.wallet.sdk.util;

public class AppJsonUtil {
    public static java.lang.String getOperSSDJsonResult(com.leisen.wallet.sdk.bean.CommonRequestParams params, int businessType, int operType, java.lang.String ssdAid, int taskIndex) {
        java.lang.Object request = new com.leisen.wallet.sdk.business.BaseRequest();
        fillBaseData(request, params);
        com.leisen.wallet.sdk.business.SSDOperBusinessForReq business = new com.leisen.wallet.sdk.business.SSDOperBusinessForReq();
        business.setType(businessType);
        business.setSsdAid(ssdAid);
        business.setOperType(operType);
        business.setTaskIndex(taskIndex);
        request.setBusiness(business);
        return new com.google.gson.Gson().toJson(request);
    }

    public static java.lang.String getOperAppletJsonResult(com.leisen.wallet.sdk.bean.CommonRequestParams params, int businessType, int operType, com.leisen.wallet.sdk.bean.OperAppletReqParams appletParams, int taskIndex) {
        java.lang.Object request = new com.leisen.wallet.sdk.business.BaseRequest();
        fillBaseData(request, params);
        com.leisen.wallet.sdk.business.AppletOperBusinessForReq business = new com.leisen.wallet.sdk.business.AppletOperBusinessForReq();
        business.setType(businessType);
        business.setAppAid(appletParams.getAppletAid());
        business.setAppletVersion(appletParams.getAppletVersion());
        business.setOperType(operType);
        business.setTaskIndex(taskIndex);
        request.setBusiness(business);
        return new com.google.gson.Gson().toJson(request);
    }

    public static java.lang.String getOperGPACJsonResult(com.leisen.wallet.sdk.bean.CommonRequestParams params, int businessType, int operType, java.lang.String appletAid, int taskIndex) {
        java.lang.Object request = new com.leisen.wallet.sdk.business.BaseRequest();
        fillBaseData(request, params);
        com.leisen.wallet.sdk.business.GPACOperBusinessForReq business = new com.leisen.wallet.sdk.business.GPACOperBusinessForReq();
        business.setType(businessType);
        business.setAppAid(appletAid);
        business.setOperType(operType);
        business.setTaskIndex(taskIndex);
        request.setBusiness(business);
        return new com.google.gson.Gson().toJson(request);
    }

    public static java.lang.String getActivateAppletJsonResult(com.leisen.wallet.sdk.bean.CommonRequestParams params, int businessType, java.lang.String appletAid, int taskIndex) {
        java.lang.Object request = new com.leisen.wallet.sdk.business.BaseRequest();
        fillBaseData(request, params);
        com.leisen.wallet.sdk.business.ActivateAppletBusinessForReq business = new com.leisen.wallet.sdk.business.ActivateAppletBusinessForReq();
        business.setType(businessType);
        business.setAppAid(appletAid);
        business.setTaskIndex(taskIndex);
        request.setBusiness(business);
        return new com.google.gson.Gson().toJson(request);
    }

    public static java.lang.String getReqNextJsonResult(com.leisen.wallet.sdk.bean.CommonRequestParams params, int businessType, com.leisen.wallet.sdk.business.ApduResBean rapduList, int result, int taskIndex) {
        java.lang.Object request = new com.leisen.wallet.sdk.business.BaseRequest();
        fillBaseData(request, params);
        com.leisen.wallet.sdk.business.BaseBusinessForReqNext business = new com.leisen.wallet.sdk.business.BaseBusinessForReqNext();
        business.setType(businessType);
        business.setRapduList(rapduList);
        business.setResult(result);
        business.setTaskIndex(taskIndex);
        request.setBusiness(business);
        return new com.google.gson.Gson().toJson(request);
    }

    public static java.lang.String getBaseReqJsonResult(com.leisen.wallet.sdk.bean.CommonRequestParams params, int businessType, int taskIndex) {
        java.lang.Object request = new com.leisen.wallet.sdk.business.BaseRequest();
        fillBaseData(request, params);
        com.leisen.wallet.sdk.business.BaseBusinessForReq business = new com.leisen.wallet.sdk.business.BaseBusinessForReq();
        business.setType(businessType);
        business.setTaskIndex(taskIndex);
        request.setBusiness(business);
        return new com.google.gson.Gson().toJson(request);
    }

    public static java.lang.String removeSensitiveInfo(java.lang.String input) {
        java.util.regex.Pattern p1 = java.util.regex.Pattern.compile("\"imei\":\"[0-9a-zA-Z]+\"");
        java.util.regex.Pattern p2 = java.util.regex.Pattern.compile("\"seid\":\"[0-9a-zA-Z]+\"");
        java.util.regex.Pattern p3 = java.util.regex.Pattern.compile("\"sn\":\"[0-9a-zA-Z]+\"");
        return p2.matcher(p1.matcher(input).replaceAll("\"imei\":\"*****\"")).replaceAll("\"seid\":\"*****\"");
    }

    private static void fillBaseData(com.leisen.wallet.sdk.business.BaseRequest<?> request, com.leisen.wallet.sdk.bean.CommonRequestParams params) {
        request.setClientVersion(com.leisen.wallet.sdk.AppConfig.CLIENTVERSION);
        request.setSN(com.leisen.wallet.sdk.AppConfig.SN);
        request.setMobileType(com.leisen.wallet.sdk.AppConfig.MOBILETYPE);
        request.setVersion("1.0");
        request.setServiceId(params.getServiceId());
        request.setFunctionCallId(params.getFunCallId());
        request.setSeid(params.getSeid());
    }
}
