package huawei.com.android.server.fingerprint;

public class FingerViewController {
    private static final int ALPHA_ANIMATION_THRESHOLD = 15;
    private static final float ALPHA_LIMITED = 0.863f;
    private static final java.lang.String APS_INIT_HEIGHT = "aps_init_height";
    private static final java.lang.String APS_INIT_WIDTH = "aps_init_width";
    private static final int BLUR_RADIO = 25;
    private static final float BLUR_SCALE = 0.125f;
    private static final int BRIGHTNESS_LIFT_TIME_LONG = 200;
    private static final int BRIGHTNESS_LIFT_TIME_SHORT = 16;
    private static final int COLOR_BLACK = -16250872;
    private static int DEFAULT_BRIGHTNESS = 56;
    private static final int DEFAULT_INIT_HEIGHT = 2880;
    private static final int DEFAULT_INIT_WIDTH = 1440;
    public static final int DISMISSED_REASON_NEGATIVE = 2;
    public static final int DISMISSED_REASON_POSITIVE = 1;
    public static final int FINGERPRINT_ACQUIRED_VENDOR = 6;
    public static final int FINGERPRINT_HELP_PAUSE_VENDORCODE = 11;
    public static final int FINGERPRINT_HELP_RESUME_VENDORCODE = 12;
    private static final java.lang.String FINGERPRINT_IN_DISPLAY = "com.huawei.android.fingerprint.action.FINGERPRINT_IN_DISPLAY";
    private static final int FINGERPRINT_IN_DISPLAY_HELPCODE_CLOSE_VIEW_VALUE = 1011;
    private static final java.lang.String FINGERPRINT_IN_DISPLAY_HELPCODE_KEY = "helpCode";
    private static final int FINGERPRINT_IN_DISPLAY_HELPCODE_SHOW_VIEW_VALUE = 1012;
    private static final int FINGERPRINT_IN_DISPLAY_HELPCODE_USE_PASSWORD_VALUE = 1010;
    private static final java.lang.String FINGERPRINT_IN_DISPLAY_HELPSTRING_CLOSE_VIEW_VALUE = "finegrprint view closed";
    private static final java.lang.String FINGERPRINT_IN_DISPLAY_HELPSTRING_KEY = "helpString";
    private static final java.lang.String FINGERPRINT_IN_DISPLAY_HELPSTRING_SHOW_VIEW_VALUE = "finegrprint view show";
    private static final java.lang.String FINGERPRINT_IN_DISPLAY_HELPSTRING_USE_PASSWORD_VALUE = "please use password";
    public static final int FINGERPRINT_USE_PASSWORD_ERROR_CODE = 10;
    private static final java.lang.String FINGRPRINT_IMAGE_TITLE_NAME = "hw_ud_fingerprint_image";
    private static final java.lang.String FINGRPRINT_VIEW_TITLE_NAME = "hw_ud_fingerprint_mask_hwsinglemode_window";
    public static final int HIGHLIGHT_TYPE_AUTHENTICATE = 1;
    public static final int HIGHLIGHT_TYPE_AUTHENTICATE_CANCELED = 4;
    public static final int HIGHLIGHT_TYPE_AUTHENTICATE_SUCCESS = 2;
    public static final int HIGHLIGHT_TYPE_ENROLL = 0;
    public static final int HIGHLIGHT_TYPE_UNDEFINED = -1;
    public static final int HIGHLIGHT_VIEW_REMOVE_TIME = 3;
    private static final java.lang.String HIGHLIGHT_VIEW_TITLE_NAME = "fingerprint_alpha_layer";
    private static final int INITIAL_BRIGHTNESS = -1;
    private static int INVALID_BRIGHTNESS = -1;
    private static final int INVALID_COLOR = 0;
    private static final int MAX_CAPTURE_TIME = 1000;
    private static final int MAX_FAILED_ATTEMPTS_LOCKOUT_TIMED = 5;
    private static final java.lang.String[] PACKAGES_USE_HWAUTH_INTERFACE = new java.lang.String[]{"com.huawei.hwid", "com.huawei.wallet", "com.huawei.android.hwpay"};
    private static java.lang.String PANEL_INFO_NODE = "/sys/class/graphics/fb0/panel_info";
    public static final java.lang.String PKGNAME_OF_KEYGUARD = "com.android.systemui";
    private static final java.lang.String PKGNAME_OF_SECURITYMGR = "com.huawei.securitymgr";
    private static final java.lang.String PKGNAME_OF_SYSTEMMANAGER = "com.huawei.systemmanager";
    private static final int RESULT_FINGERPRINT_AUTHENTICATION_CHECKING = 3;
    private static final int RESULT_FINGERPRINT_AUTHENTICATION_RESULT_FAIL = 1;
    private static final int RESULT_FINGERPRINT_AUTHENTICATION_RESULT_SUCCESS = 0;
    private static final int RESULT_FINGERPRINT_AUTHENTICATION_UNCHECKED = 2;
    private static final int SCREEN_AUTO_BRIGHTNESS = 1;
    private static final java.lang.String TAG = "FingerViewController";
    public static final int TIME_UNIT = 1000;
    public static final int TYPE_DISMISS_ALL = 0;
    public static final int TYPE_FINGERPRINT_BUTTON = 2;
    public static final int TYPE_FINGERPRINT_VIEW = 1;
    private static final java.lang.String UIDNAME_OF_KEYGUARD = "android.uid.systemui";
    private static final byte VIEW_STATE_DISABLED = (byte) 2;
    private static final byte VIEW_STATE_HIDE = (byte) 0;
    private static final byte VIEW_STATE_SHOW = (byte) 1;
    private static final byte VIEW_TYPE_BUTTON = (byte) 1;
    private static final byte VIEW_TYPE_FINGER_IMAGE = (byte) 3;
    private static final byte VIEW_TYPE_FINGER_MASK = (byte) 0;
    private static final byte VIEW_TYPE_HIGHLIGHT = (byte) 2;
    public static final int WAITTING_TIME = 30;
    private static huawei.com.android.server.fingerprint.FingerViewController sInstance;
    private boolean highLightViewAdded = false;
    private final java.lang.Runnable mAddBackFingprintRunnable = new java.lang.Runnable() {
        public void run() {
            huawei.com.android.server.fingerprint.FingerViewController.this.mDefaultDisplayHeight = android.provider.Settings.Global.getInt(huawei.com.android.server.fingerprint.FingerViewController.this.mContext.getContentResolver(), "aps_init_height", 2880);
            huawei.com.android.server.fingerprint.FingerViewController.this.mDefaultDisplayWidth = android.provider.Settings.Global.getInt(huawei.com.android.server.fingerprint.FingerViewController.this.mContext.getContentResolver(), "aps_init_width", 1440);
            huawei.com.android.server.fingerprint.FingerViewController.this.createBackFingprintView();
        }
    };
    private final java.lang.Runnable mAddButtonViewRunnable = new java.lang.Runnable() {
        public void run() {
            huawei.com.android.server.fingerprint.FingerViewController.this.createAndAddButtonView();
        }
    };
    private final java.lang.Runnable mAddFingerViewRunnable = new java.lang.Runnable() {
        public void run() {
            huawei.com.android.server.fingerprint.FingerViewController.this.createFingerprintView();
        }
    };
    private final java.lang.Runnable mAddImageOnlyRunnable = new java.lang.Runnable() {
        public void run() {
            huawei.com.android.server.fingerprint.FingerViewController.this.mDefaultDisplayHeight = android.provider.Settings.Global.getInt(huawei.com.android.server.fingerprint.FingerViewController.this.mContext.getContentResolver(), "aps_init_height", 2880);
            huawei.com.android.server.fingerprint.FingerViewController.this.mDefaultDisplayWidth = android.provider.Settings.Global.getInt(huawei.com.android.server.fingerprint.FingerViewController.this.mContext.getContentResolver(), "aps_init_width", 1440);
            huawei.com.android.server.fingerprint.FingerViewController.this.createImageOnlyView();
        }
    };
    private huawei.com.android.server.fingerprint.fingerprintAnimation.BreathImageDrawable mAlipayDrawable;
    private huawei.android.aod.HwAodManager mAodManager;
    private int mAuthenticateResult;
    private android.graphics.Bitmap mBLurBitmap;
    private android.widget.Button mBackFingerprintCancelView;
    private android.widget.TextView mBackFingerprintHintView;
    private android.widget.Button mBackFingerprintUsePasswordView;
    private huawei.com.android.server.fingerprint.BackFingerprintView mBackFingerprintView;
    private android.graphics.drawable.BitmapDrawable mBlurDrawable;
    private int mBrightnessMode = 1;
    private int mButtonCenterX = -1;
    private int mButtonCenterY = -1;
    private int mButtonColor = 0;
    private huawei.com.android.server.fingerprint.SuspensionButton mButtonView;
    private boolean mButtonViewAdded = false;
    private int mButtonViewState = 1;
    private android.widget.RelativeLayout mCancelView;
    private android.content.ContentResolver mContentResolver;
    private android.content.Context mContext;
    private int mCurrentBrightness = -1;
    private int mCurrentHeight;
    private int mCurrentRotation;
    private int mCurrentWidth;
    private int mDefaultDisplayHeight;
    private int mDefaultDisplayWidth;
    private android.hardware.biometrics.IBiometricPromptReceiver mDialogReceiver;
    private com.huawei.displayengine.DisplayEngineManager mDisplayEngineManager;
    private huawei.com.android.server.fingerprint.FingerprintView mFingerView;
    private huawei.com.android.server.fingerprint.FingerViewController.ICallBack mFingerViewChangeCallback;
    private android.view.WindowManager.LayoutParams mFingerViewParams;
    private int mFingerprintCenterX = -1;
    private int mFingerprintCenterY = -1;
    private android.widget.ImageView mFingerprintImageForAlipay;
    private huawei.android.hardware.fingerprint.FingerprintManagerEx mFingerprintManagerEx;
    private boolean mFingerprintOnlyViewAdded = false;
    private int[] mFingerprintPosition = new int[4];
    private android.widget.ImageView mFingerprintView;
    private boolean mFingerprintViewAdded = false;
    private float mFontScale;
    private android.os.Handler mHandler = null;
    protected final android.os.HandlerThread mHandlerThread = new android.os.HandlerThread("FingerViewController");
    private boolean mHasBackFingerprint = false;
    private boolean mHasUdFingerprint = true;
    private int mHighLightRemoveType;
    private int mHighLightShowType;
    private huawei.com.android.server.fingerprint.HighLightMaskView mHighLightView;
    private final java.lang.Runnable mHighLightViewRunnable = new java.lang.Runnable() {
        public void run() {
            switch (huawei.com.android.server.fingerprint.FingerViewController.this.mHighLightShowType) {
                case 0:
                    android.util.Log.d("FingerViewController", " SETTINGS enter");
                    huawei.com.android.server.fingerprint.FingerViewController.this.createAndAddHighLightView();
                    huawei.com.android.server.fingerprint.FingerViewController.this.mHandler.postDelayed(new java.lang.Runnable() {
                        public void run() {
                            huawei.com.android.server.fingerprint.FingerViewController.this.setLightLevel(huawei.com.android.server.fingerprint.FingerViewController.this.mHighlightBrightnessLevel, 100);
                        }
                    }, 100);
                    if (huawei.com.android.server.fingerprint.FingerViewController.this.mHighLightView != null) {
                        int endAlpha = huawei.com.android.server.fingerprint.FingerViewController.this.mHighLightView.getMaskAlpha(huawei.com.android.server.fingerprint.FingerViewController.this.mCurrentBrightness);
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append(" alpha:");
                        stringBuilder.append(endAlpha);
                        android.util.Log.d("FingerViewController", stringBuilder.toString());
                        huawei.com.android.server.fingerprint.FingerViewController.this.startAlphaValueAnimation(huawei.com.android.server.fingerprint.FingerViewController.this.mHighLightView, true, 0.0f, ((float) endAlpha) / 255.0f, 0, 200);
                        return;
                    }
                    return;
                case 1:
                    android.util.Log.d("FingerViewController", " AUTHENTICATE enter");
                    huawei.com.android.server.fingerprint.FingerViewController.this.createAndAddHighLightView();
                    return;
                default:
                    android.util.Log.d("FingerViewController", " default no operation");
                    return;
            }
        }
    };
    private int mHighlightBrightnessLevel;
    private int mHighlightSpotRadius;
    private java.lang.String mHint;
    private huawei.com.android.server.fingerprint.HintText mHintView;
    private boolean mIsFingerFrozen = false;
    private boolean mIsNeedReload;
    private boolean mIsSingleModeObserverRegistered = false;
    private boolean mKeepMaskAfterAuthentication = false;
    private android.widget.RelativeLayout mLayoutForAlipay;
    private android.view.LayoutInflater mLayoutInflater;
    private huawei.com.android.server.fingerprint.FingerViewController.RemainTimeCountDown mMyCountDown = null;
    private int mNormalizedMaxBrightness = INVALID_BRIGHTNESS;
    private int mNormalizedMinBrightness = INVALID_BRIGHTNESS;
    private android.os.Bundle mPkgAttributes;
    private java.lang.String mPkgName;
    private android.os.PowerManager mPowerManager;
    private android.hardware.fingerprint.IFingerprintServiceReceiver mReceiver;
    private int mRemainTimes = 5;
    private int mRemainedSecs;
    private android.widget.RelativeLayout mRemoteView;
    private final java.lang.Runnable mRemoveBackFingprintRunnable = new java.lang.Runnable() {
        public void run() {
            huawei.com.android.server.fingerprint.FingerViewController.this.removeBackFingprintView();
        }
    };
    private final java.lang.Runnable mRemoveButtonViewRunnable = new java.lang.Runnable() {
        public void run() {
            huawei.com.android.server.fingerprint.FingerViewController.this.removeButtonView();
        }
    };
    private final java.lang.Runnable mRemoveFingerViewRunnable = new java.lang.Runnable() {
        public void run() {
            huawei.com.android.server.fingerprint.FingerViewController.this.removeFingerprintView();
        }
    };
    private final java.lang.Runnable mRemoveHighLightView = new java.lang.Runnable() {
        public void run() {
            android.util.Log.d("FingerViewController", "mRemoveHighLightView");
            huawei.com.android.server.fingerprint.FingerViewController.this.removeHighLightViewInner();
        }
    };
    private final java.lang.Runnable mRemoveHighlightCircleRunnable = new java.lang.Runnable() {
        public void run() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("RemoveHighlightCircle highLightViewAdded = ");
            stringBuilder.append(huawei.com.android.server.fingerprint.FingerViewController.this.highLightViewAdded);
            android.util.Log.d("FingerViewController", stringBuilder.toString());
            if (huawei.com.android.server.fingerprint.FingerViewController.this.highLightViewAdded && huawei.com.android.server.fingerprint.FingerViewController.this.mHighLightView != null) {
                huawei.com.android.server.fingerprint.FingerViewController.this.mHighLightView.setCircleVisibility(4);
            }
        }
    };
    private final java.lang.Runnable mRemoveImageOnlyRunnable = new java.lang.Runnable() {
        public void run() {
            huawei.com.android.server.fingerprint.FingerViewController.this.removeImageOnlyView();
        }
    };
    private int mSavedBackViewDpi;
    private int mSavedBackViewHeight;
    private int mSavedBackViewRotation;
    private int mSavedButtonHeight;
    private int mSavedImageDpi;
    private int mSavedImageHeight;
    private int mSavedMaskDpi;
    private int mSavedMaskHeight;
    private int mSavedRotation;
    private android.graphics.Bitmap mScreenShot;
    private final java.lang.Runnable mSetScene = new java.lang.Runnable() {
        public void run() {
            if (huawei.com.android.server.fingerprint.FingerViewController.this.mDisplayEngineManager != null) {
                huawei.com.android.server.fingerprint.FingerViewController.this.mDisplayEngineManager.setScene(29, 0);
                android.util.Log.d("FingerViewController", "mDisplayEngineManager set scene 0");
            }
        }
    };
    private final java.lang.Runnable mShowHighlightCircleRunnable = new java.lang.Runnable() {
        public void run() {
            if (huawei.com.android.server.fingerprint.FingerViewController.this.mHighLightShowType == 0) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("highLightViewAdded = ");
                stringBuilder.append(huawei.com.android.server.fingerprint.FingerViewController.this.highLightViewAdded);
                android.util.Log.d("FingerViewController", stringBuilder.toString());
                if (huawei.com.android.server.fingerprint.FingerViewController.this.highLightViewAdded && huawei.com.android.server.fingerprint.FingerViewController.this.mHighLightView.getCircleVisibility() == 4) {
                    huawei.com.android.server.fingerprint.FingerViewController.this.mHandler.removeCallbacks(huawei.com.android.server.fingerprint.FingerViewController.this.mRemoveHighlightCircleRunnable);
                    huawei.com.android.server.fingerprint.FingerViewController.this.getCurrentFingerprintCenter();
                    huawei.com.android.server.fingerprint.FingerViewController.this.mHighLightView.setCenterPoints(huawei.com.android.server.fingerprint.FingerViewController.this.mFingerprintCenterX, huawei.com.android.server.fingerprint.FingerViewController.this.mFingerprintCenterY);
                    huawei.com.android.server.fingerprint.FingerViewController.this.mHighLightView.setCircleVisibility(0);
                    huawei.com.android.server.fingerprint.FingerViewController.this.mHandler.postDelayed(huawei.com.android.server.fingerprint.FingerViewController.this.mRemoveHighlightCircleRunnable, 1200);
                }
            }
        }
    };
    private huawei.com.android.server.fingerprint.SingleModeContentObserver mSingleContentObserver;
    private java.lang.String mSubTitle;
    private android.view.WindowManager.LayoutParams mSuspensionButtonParams;
    private final java.lang.Runnable mUpdateButtonViewRunnable = new java.lang.Runnable() {
        public void run() {
            huawei.com.android.server.fingerprint.FingerViewController.this.updateButtonView();
        }
    };
    private final java.lang.Runnable mUpdateFingerprintViewRunnable = new java.lang.Runnable() {
        public void run() {
            huawei.com.android.server.fingerprint.FingerViewController.this.updateFingerprintView();
        }
    };
    private final java.lang.Runnable mUpdateFingprintRunnable = new java.lang.Runnable() {
        public void run() {
            huawei.com.android.server.fingerprint.FingerViewController.this.updateBackFingprintView();
        }
    };
    private final java.lang.Runnable mUpdateImageOnlyRunnable = new java.lang.Runnable() {
        public void run() {
            huawei.com.android.server.fingerprint.FingerViewController.this.updateImageOnlyView();
        }
    };
    private final java.lang.Runnable mUpdateMaskAttibuteRunnable = new java.lang.Runnable() {
        public void run() {
            huawei.com.android.server.fingerprint.FingerViewController.this.updateHintView(huawei.com.android.server.fingerprint.FingerViewController.this.mHint);
            if (huawei.com.android.server.fingerprint.FingerViewController.this.mFingerprintView != null) {
                huawei.com.android.server.fingerprint.FingerViewController.this.mFingerprintView.setContentDescription(huawei.com.android.server.fingerprint.FingerViewController.this.mHint);
            }
        }
    };
    private boolean mUseDefaultHint = true;
    private int mWidgetColor;
    private boolean mWidgetColorSet = false;
    private final android.view.WindowManager mWindowManager;
    private int mWindowType;
    private android.os.IPowerManager pm;
    private android.database.ContentObserver settingsDisplayObserver = new android.database.ContentObserver(this.mHandler) {
        public void onChange(boolean selfChange) {
            huawei.com.android.server.fingerprint.FingerViewController.this.mHandler.postDelayed(new java.lang.Runnable() {
                public void run() {
                    java.lang.StringBuilder stringBuilder;
                    huawei.com.android.server.fingerprint.FingerViewController.this.mDefaultDisplayHeight = android.provider.Settings.Global.getInt(huawei.com.android.server.fingerprint.FingerViewController.this.mContentResolver, "aps_init_height", 2880);
                    huawei.com.android.server.fingerprint.FingerViewController.this.mDefaultDisplayWidth = android.provider.Settings.Global.getInt(huawei.com.android.server.fingerprint.FingerViewController.this.mContentResolver, "aps_init_width", 1440);
                    int currentHeight = com.huawei.android.os.SystemPropertiesEx.getInt("persist.sys.rog.height", huawei.com.android.server.fingerprint.FingerViewController.this.mDefaultDisplayHeight);
                    int currentWidth = com.huawei.android.os.SystemPropertiesEx.getInt("persist.sys.rog.width", huawei.com.android.server.fingerprint.FingerViewController.this.mDefaultDisplayWidth);
                    if (huawei.com.android.server.fingerprint.FingerViewController.this.mCurrentHeight == currentHeight) {
                        if (huawei.com.android.server.fingerprint.FingerViewController.this.mCurrentWidth == currentWidth) {
                            android.util.Log.d("FingerViewController", "onChange: need reload display parameter");
                            huawei.com.android.server.fingerprint.FingerViewController.this.mIsNeedReload = true;
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("onChange:");
                            stringBuilder.append(huawei.com.android.server.fingerprint.FingerViewController.this.mDefaultDisplayHeight);
                            stringBuilder.append(",");
                            stringBuilder.append(huawei.com.android.server.fingerprint.FingerViewController.this.mDefaultDisplayWidth);
                            stringBuilder.append(",");
                            stringBuilder.append(huawei.com.android.server.fingerprint.FingerViewController.this.mCurrentHeight);
                            stringBuilder.append(",");
                            stringBuilder.append(huawei.com.android.server.fingerprint.FingerViewController.this.mCurrentWidth);
                            android.util.Log.d("FingerViewController", stringBuilder.toString());
                        }
                    }
                    huawei.com.android.server.fingerprint.FingerViewController.this.mCurrentHeight = currentHeight;
                    huawei.com.android.server.fingerprint.FingerViewController.this.mCurrentWidth = currentWidth;
                    huawei.com.android.server.fingerprint.FingerViewController.this.mIsNeedReload = false;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("onChange:");
                    stringBuilder.append(huawei.com.android.server.fingerprint.FingerViewController.this.mDefaultDisplayHeight);
                    stringBuilder.append(",");
                    stringBuilder.append(huawei.com.android.server.fingerprint.FingerViewController.this.mDefaultDisplayWidth);
                    stringBuilder.append(",");
                    stringBuilder.append(huawei.com.android.server.fingerprint.FingerViewController.this.mCurrentHeight);
                    stringBuilder.append(",");
                    stringBuilder.append(huawei.com.android.server.fingerprint.FingerViewController.this.mCurrentWidth);
                    android.util.Log.d("FingerViewController", stringBuilder.toString());
                }
            }, 30);
        }
    };

    public interface ICallBack {
        void onFingerViewStateChange(int i);

        void onNotifyBlueSpotDismiss();

        void onNotifyCaptureImage();
    }

    private class RemainTimeCountDown extends android.os.CountDownTimer {
        public RemainTimeCountDown(long millisInFuture, long countDownInterval) {
            super(millisInFuture, countDownInterval);
        }

        public void onTick(long millisUntilFinished) {
            huawei.com.android.server.fingerprint.FingerViewController.this.mRemainedSecs = (int) ((((double) millisUntilFinished) / 1000.0d) + 0.5d);
            if (huawei.com.android.server.fingerprint.FingerViewController.this.mRemainedSecs <= 0) {
                return;
            }
            if (huawei.com.android.server.fingerprint.FingerViewController.this.mFingerView != null && huawei.com.android.server.fingerprint.FingerViewController.this.mFingerView.isAttachedToWindow()) {
                huawei.com.android.server.fingerprint.FingerViewController.this.updateHintView(huawei.com.android.server.fingerprint.FingerViewController.this.mContext.getResources().getQuantityString(34406409, huawei.com.android.server.fingerprint.FingerViewController.this.mRemainedSecs, new java.lang.Object[]{java.lang.Integer.valueOf(huawei.com.android.server.fingerprint.FingerViewController.this.mRemainedSecs)}));
                huawei.com.android.server.fingerprint.FingerViewController.this.mFingerprintView.setContentDescription("");
            } else if (huawei.com.android.server.fingerprint.FingerViewController.this.mBackFingerprintView != null && huawei.com.android.server.fingerprint.FingerViewController.this.mBackFingerprintView.isAttachedToWindow()) {
                huawei.com.android.server.fingerprint.FingerViewController.this.updateBackFingerprintHintView(huawei.com.android.server.fingerprint.FingerViewController.this.mContext.getResources().getQuantityString(34406409, huawei.com.android.server.fingerprint.FingerViewController.this.mRemainedSecs, new java.lang.Object[]{java.lang.Integer.valueOf(huawei.com.android.server.fingerprint.FingerViewController.this.mRemainedSecs)}));
            }
        }

        public void onFinish() {
            android.util.Log.d("FingerViewController", "RemainTimeCountDown onFinish");
            huawei.com.android.server.fingerprint.FingerViewController.this.mIsFingerFrozen = false;
            if (huawei.com.android.server.fingerprint.FingerViewController.this.mFingerView != null && huawei.com.android.server.fingerprint.FingerViewController.this.mFingerView.isAttachedToWindow()) {
                if (huawei.com.android.server.fingerprint.FingerViewController.this.mHasBackFingerprint) {
                    huawei.com.android.server.fingerprint.FingerViewController.this.updateHintView(huawei.com.android.server.fingerprint.FingerViewController.this.mContext.getString(33686061));
                } else {
                    huawei.com.android.server.fingerprint.FingerViewController.this.updateHintView(huawei.com.android.server.fingerprint.FingerViewController.this.mContext.getString(33686067));
                }
                huawei.com.android.server.fingerprint.FingerViewController.this.mFingerprintView.setContentDescription(huawei.com.android.server.fingerprint.FingerViewController.this.mContext.getString(33686191));
            } else if (huawei.com.android.server.fingerprint.FingerViewController.this.mBackFingerprintView != null && huawei.com.android.server.fingerprint.FingerViewController.this.mBackFingerprintView.isAttachedToWindow()) {
                huawei.com.android.server.fingerprint.FingerViewController.this.updateBackFingerprintHintView(huawei.com.android.server.fingerprint.FingerViewController.this.mSubTitle);
            }
        }
    }

    private class FingerprintViewCallback implements huawei.com.android.server.fingerprint.FingerprintView.ICallBack {
        private FingerprintViewCallback() {
        }

        /* synthetic */ FingerprintViewCallback(huawei.com.android.server.fingerprint.FingerViewController x0, huawei.com.android.server.fingerprint.FingerViewController.AnonymousClass1 x1) {
            this();
        }

        public void userActivity() {
            huawei.com.android.server.fingerprint.FingerViewController.this.mPowerManager.userActivity(android.os.SystemClock.uptimeMillis(), false);
        }

        public void onConfigurationChanged(android.content.res.Configuration newConfig) {
        }

        public void onDrawFinish() {
        }
    }

    private class SingleModeContentCallback implements huawei.com.android.server.fingerprint.SingleModeContentObserver.ICallBack {
        private SingleModeContentCallback() {
        }

        /* synthetic */ SingleModeContentCallback(huawei.com.android.server.fingerprint.FingerViewController x0, huawei.com.android.server.fingerprint.FingerViewController.AnonymousClass1 x1) {
            this();
        }

        public void onContentChange() {
            if (((huawei.com.android.server.fingerprint.FingerViewController.this.mFingerprintView != null && huawei.com.android.server.fingerprint.FingerViewController.this.mFingerprintView.isAttachedToWindow()) || (huawei.com.android.server.fingerprint.FingerViewController.this.mLayoutForAlipay != null && huawei.com.android.server.fingerprint.FingerViewController.this.mLayoutForAlipay.isAttachedToWindow())) && !android.provider.Settings.Global.getString(huawei.com.android.server.fingerprint.FingerViewController.this.mContext.getContentResolver(), "single_hand_mode").isEmpty()) {
                android.provider.Settings.Global.putString(huawei.com.android.server.fingerprint.FingerViewController.this.mContext.getContentResolver(), "single_hand_mode", "");
            }
        }
    }

    private class SuspensionButtonCallback implements huawei.com.android.server.fingerprint.SuspensionButton.ICallBack {
        private SuspensionButtonCallback() {
        }

        /* synthetic */ SuspensionButtonCallback(huawei.com.android.server.fingerprint.FingerViewController x0, huawei.com.android.server.fingerprint.FingerViewController.AnonymousClass1 x1) {
            this();
        }

        public void onButtonViewMoved(float endX, float endY) {
            if (huawei.com.android.server.fingerprint.FingerViewController.this.mButtonView != null) {
                huawei.com.android.server.fingerprint.FingerViewController.this.mSuspensionButtonParams.x = (int) (endX - (((float) huawei.com.android.server.fingerprint.FingerViewController.this.mSuspensionButtonParams.width) * 0.5f));
                huawei.com.android.server.fingerprint.FingerViewController.this.mSuspensionButtonParams.y = (int) (endY - (((float) huawei.com.android.server.fingerprint.FingerViewController.this.mSuspensionButtonParams.height) * 0.5f));
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("onButtonViewUpdate,x = ");
                stringBuilder.append(huawei.com.android.server.fingerprint.FingerViewController.this.mSuspensionButtonParams.x);
                stringBuilder.append(" ,y = ");
                stringBuilder.append(huawei.com.android.server.fingerprint.FingerViewController.this.mSuspensionButtonParams.y);
                android.util.Log.d("FingerViewController", stringBuilder.toString());
                huawei.com.android.server.fingerprint.FingerViewController.this.mWindowManager.updateViewLayout(huawei.com.android.server.fingerprint.FingerViewController.this.mButtonView, huawei.com.android.server.fingerprint.FingerViewController.this.mSuspensionButtonParams);
            }
        }

        public void onButtonClick() {
            huawei.com.android.server.fingerprint.FingerViewController.this.mHandler.post(huawei.com.android.server.fingerprint.FingerViewController.this.mRemoveButtonViewRunnable);
            huawei.com.android.server.fingerprint.FingerViewController.this.mHandler.post(huawei.com.android.server.fingerprint.FingerViewController.this.mAddFingerViewRunnable);
            if (huawei.com.android.server.fingerprint.FingerViewController.this.mFingerViewChangeCallback != null) {
                huawei.com.android.server.fingerprint.FingerViewController.this.mFingerViewChangeCallback.onFingerViewStateChange(1);
            }
            if (huawei.com.android.server.fingerprint.FingerViewController.this.mReceiver != null) {
                try {
                    huawei.com.android.server.fingerprint.FingerViewController.this.mReceiver.onAcquired(0, 6, 12);
                } catch (android.os.RemoteException e) {
                    android.util.Log.d("FingerViewController", "catch exception");
                }
            }
            android.content.Context access$1800 = huawei.com.android.server.fingerprint.FingerViewController.this.mContext;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("{PkgName:");
            stringBuilder.append(huawei.com.android.server.fingerprint.FingerViewController.this.mPkgName);
            stringBuilder.append("}");
            android.util.Flog.bdReport(access$1800, 501, stringBuilder.toString());
        }

        public java.lang.String getCurrentApp() {
            return huawei.com.android.server.fingerprint.FingerViewController.this.mPkgName;
        }

        public void userActivity() {
            huawei.com.android.server.fingerprint.FingerViewController.this.mPowerManager.userActivity(android.os.SystemClock.uptimeMillis(), false);
        }

        public void onConfigurationChanged(android.content.res.Configuration newConfig) {
            huawei.com.android.server.fingerprint.FingerViewController.this.mHandler.post(huawei.com.android.server.fingerprint.FingerViewController.this.mUpdateButtonViewRunnable);
        }
    }

    private FingerViewController(android.content.Context context) {
        this.mContext = context;
        this.mContentResolver = this.mContext.getContentResolver();
        this.mHandlerThread.start();
        this.mHandler = new android.os.HwExHandler(this.mHandlerThread.getLooper());
        this.mLayoutInflater = (android.view.LayoutInflater) context.getSystemService("layout_inflater");
        this.mWindowManager = (android.view.WindowManager) context.getSystemService("window");
        this.pm = android.os.IPowerManager.Stub.asInterface(android.os.ServiceManager.getService("power"));
        this.mPowerManager = (android.os.PowerManager) context.getSystemService("power");
        this.mFingerprintManagerEx = new huawei.android.hardware.fingerprint.FingerprintManagerEx(this.mContext);
        this.mAodManager = huawei.android.aod.HwAodManager.getInstance();
        this.mDisplayEngineManager = new com.huawei.displayengine.DisplayEngineManager();
        getBrightnessRangeFromPanelInfo();
        long identityToken = android.os.Binder.clearCallingIdentity();
        try {
            this.mContentResolver.registerContentObserver(android.provider.Settings.Global.getUriFor("aps_init_height"), false, this.settingsDisplayObserver);
            this.mContentResolver.registerContentObserver(android.provider.Settings.Global.getUriFor("aps_init_width"), false, this.settingsDisplayObserver);
            this.mContentResolver.registerContentObserver(android.provider.Settings.Global.getUriFor("display_size_forced"), false, this.settingsDisplayObserver);
            this.settingsDisplayObserver.onChange(true);
            android.content.res.Configuration curConfig = new android.content.res.Configuration();
            try {
                curConfig.updateFrom(android.app.ActivityManagerNative.getDefault().getConfiguration());
                this.mFontScale = curConfig.fontScale;
            } catch (android.os.RemoteException e) {
                android.util.Log.w("FingerViewController", "Unable to retrieve font size");
            }
        } finally {
            android.os.Binder.restoreCallingIdentity(identityToken);
        }
    }

    public static huawei.com.android.server.fingerprint.FingerViewController getInstance(android.content.Context context) {
        huawei.com.android.server.fingerprint.FingerViewController fingerViewController;
        synchronized (huawei.com.android.server.fingerprint.FingerViewController.class) {
            if (sInstance == null) {
                sInstance = new huawei.com.android.server.fingerprint.FingerViewController(context);
            }
            fingerViewController = sInstance;
        }
        return fingerViewController;
    }

    public void registCallback(huawei.com.android.server.fingerprint.FingerViewController.ICallBack fingerViewChangeCallback) {
        this.mFingerViewChangeCallback = fingerViewChangeCallback;
    }

    public java.lang.String getCurrentPackage() {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("xyx1,current package is ");
        stringBuilder.append(this.mPkgName);
        android.util.Log.i("FingerViewController", stringBuilder.toString());
        return this.mPkgName;
    }

    public void showMaskOrButton(java.lang.String pkgName, android.os.Bundle bundle, android.hardware.fingerprint.IFingerprintServiceReceiver receiver, int type, boolean hasUdFingerprint, boolean hasBackFingerprint, android.hardware.biometrics.IBiometricPromptReceiver dialogReceiver) {
        this.mPkgName = pkgName;
        this.mPkgAttributes = bundle;
        this.mWidgetColorSet = false;
        this.mHasUdFingerprint = hasUdFingerprint;
        this.mHasBackFingerprint = hasBackFingerprint;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mPkgAttributes has been init, mPkgAttributes=");
        stringBuilder.append(bundle);
        stringBuilder.append("mHighlightBrightnessLevel = ");
        stringBuilder.append(this.mHighlightBrightnessLevel);
        android.util.Log.d("FingerViewController", stringBuilder.toString());
        if (this.mPkgAttributes == null || this.mPkgAttributes.getString("SystemTitle") == null) {
            this.mUseDefaultHint = true;
        } else {
            this.mUseDefaultHint = false;
        }
        this.mReceiver = receiver;
        this.mDialogReceiver = dialogReceiver;
        if ("com.huawei.systemmanager".equals(pkgName)) {
            android.util.Log.d("FingerViewController", "do not show mask for systemmanager");
        } else if ("com.huawei.securitymgr".equals(pkgName)) {
            android.util.Log.d("FingerViewController", "do not show mask for securitymgr");
        } else {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("type of package ");
            stringBuilder2.append(pkgName);
            stringBuilder2.append(" is ");
            stringBuilder2.append(type);
            android.util.Log.d("FingerViewController", stringBuilder2.toString());
            if (this.mPkgName == null || !this.mPkgName.equals("com.android.systemui")) {
                this.mWindowType = 2024;
                if (type == 0) {
                    this.mHandler.post(this.mAddFingerViewRunnable);
                    android.content.Context context = this.mContext;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("{PkgName:");
                    stringBuilder.append(this.mPkgName);
                    stringBuilder.append("}");
                    android.util.Flog.bdReport(context, 501, stringBuilder.toString());
                } else if (type == 1) {
                    this.mHandler.post(this.mAddButtonViewRunnable);
                } else if (type == 3) {
                    this.mHandler.post(this.mAddImageOnlyRunnable);
                } else if (type == 4) {
                    this.mHandler.post(this.mAddBackFingprintRunnable);
                }
                return;
            }
            this.mWindowType = 2014;
        }
    }

    public void showMaskForApp(android.os.Bundle attribute) {
        this.mPkgName = getForegroundPkgName();
        this.mPkgAttributes = attribute;
        if (this.mPkgName == null || !this.mPkgName.equals("com.android.systemui")) {
            this.mWindowType = 2024;
        } else {
            this.mWindowType = 2014;
        }
        if (this.mPkgAttributes == null || this.mPkgAttributes.getString("SystemTitle") == null) {
            this.mUseDefaultHint = true;
        } else {
            this.mUseDefaultHint = false;
        }
        this.mHandler.post(this.mAddFingerViewRunnable);
    }

    public void showSuspensionButtonForApp(int centerX, int centerY, java.lang.String callingUidName) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mButtonCenterX = ");
        stringBuilder.append(this.mButtonCenterX);
        stringBuilder.append(",mButtonCenterY =");
        stringBuilder.append(this.mButtonCenterY);
        stringBuilder.append(",callingUidName = ");
        stringBuilder.append(callingUidName);
        android.util.Log.d("FingerViewController", stringBuilder.toString());
        this.mButtonCenterX = centerX;
        this.mButtonCenterY = centerY;
        if ("android.uid.systemui".equals(callingUidName)) {
            this.mPkgName = "com.android.systemui";
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mButtonCenterX = ");
        stringBuilder.append(this.mButtonCenterX);
        stringBuilder.append(",mButtonCenterY =");
        stringBuilder.append(this.mButtonCenterY);
        android.util.Log.d("FingerViewController", stringBuilder.toString());
        this.mWindowType = 2024;
        this.mPkgAttributes = null;
        if (this.mFingerViewChangeCallback != null) {
            this.mFingerViewChangeCallback.onFingerViewStateChange(2);
        }
        this.mHandler.post(this.mAddButtonViewRunnable);
    }

    public void removeMaskOrButton() {
        this.mHandler.post(this.mRemoveFingerViewRunnable);
        this.mHandler.post(this.mRemoveButtonViewRunnable);
        this.mHandler.post(this.mRemoveImageOnlyRunnable);
        this.mHandler.post(this.mRemoveBackFingprintRunnable);
        this.mFingerViewChangeCallback.onFingerViewStateChange(0);
    }

    public void removeMaskAndShowButton() {
        this.mHandler.post(this.mRemoveFingerViewRunnable);
        this.mHandler.post(this.mAddButtonViewRunnable);
        this.mFingerViewChangeCallback.onFingerViewStateChange(2);
    }

    public void updateMaskViewAttributes(android.os.Bundle attributes, java.lang.String pkgname) {
        if (attributes != null) {
            if (pkgname != null) {
                java.lang.String hint = attributes.getString("SystemTitle");
                if (this.mFingerprintViewAdded && hint != null) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("updateMaskViewAttributes,hint = ");
                    stringBuilder.append(hint);
                    android.util.Log.d("FingerViewController", stringBuilder.toString());
                    this.mHint = hint;
                    this.mHandler.post(this.mUpdateMaskAttibuteRunnable);
                }
            }
        }
    }

    public void updateFingerprintView(int result, boolean keepMaskAfterAuthentication) {
        this.mAuthenticateResult = result;
        this.mKeepMaskAfterAuthentication = keepMaskAfterAuthentication;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mUseDefaultHint = ");
        stringBuilder.append(this.mUseDefaultHint);
        android.util.Log.d("FingerViewController", stringBuilder.toString());
        if (this.mFingerView != null && this.mFingerView.isAttachedToWindow()) {
            this.mHandler.post(this.mUpdateFingerprintViewRunnable);
        } else if (this.mBackFingerprintView != null && this.mBackFingerprintView.isAttachedToWindow()) {
            this.mHandler.post(this.mUpdateFingprintRunnable);
        }
    }

    public void updateFingerprintView(int result, int failTimes) {
        if (result != 2) {
            this.mRemainTimes = 5 - failTimes;
        }
        this.mAuthenticateResult = result;
        if (this.mFingerView != null && this.mFingerView.isAttachedToWindow()) {
            this.mHandler.post(this.mUpdateFingerprintViewRunnable);
        } else if (this.mBackFingerprintView != null && this.mBackFingerprintView.isAttachedToWindow()) {
            this.mHandler.post(this.mUpdateFingprintRunnable);
        }
        if (this.mLayoutForAlipay != null && this.mLayoutForAlipay.isAttachedToWindow()) {
            this.mHandler.post(this.mUpdateImageOnlyRunnable);
        }
    }

    public void showHighlightview(int type) {
        if (isScreenOn()) {
            if (!this.highLightViewAdded) {
                this.mHighLightShowType = type;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("show Highlightview mHighLightShowType:");
                stringBuilder.append(this.mHighLightShowType);
                android.util.Log.d("FingerViewController", stringBuilder.toString());
                this.mHandler.removeCallbacks(this.mHighLightViewRunnable);
                this.mHandler.removeCallbacks(this.mRemoveHighLightView);
                this.mHandler.post(this.mHighLightViewRunnable);
                if (type == 1) {
                    this.mHandler.postDelayed(this.mRemoveHighLightView, 1200);
                }
                return;
            }
        }
        android.util.Log.d("FingerViewController", "Screen not on or already added");
    }

    public void removeHighlightview(int type) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("removeHighlightview mHighLightShowType:");
        stringBuilder.append(this.mHighLightShowType);
        android.util.Log.d("FingerViewController", stringBuilder.toString());
        this.mHighLightRemoveType = type;
        if (this.highLightViewAdded) {
            this.mHandler.removeCallbacks(this.mRemoveHighLightView);
        }
        this.mHandler.removeCallbacks(this.mHighLightViewRunnable);
        if (this.mHighLightShowType == 0) {
            this.mHandler.post(new java.lang.Runnable() {
                public void run() {
                    huawei.com.android.server.fingerprint.FingerViewController.this.setLightLevel(-1, 150);
                    if (huawei.com.android.server.fingerprint.FingerViewController.this.mHighLightView != null) {
                        huawei.com.android.server.fingerprint.FingerViewController.this.startAlphaValueAnimation(huawei.com.android.server.fingerprint.FingerViewController.this.mHighLightView, false, huawei.com.android.server.fingerprint.FingerViewController.this.mHighLightView.getAlpha() / 255.0f, 0.0f, 70, 80);
                    }
                }
            });
        } else {
            this.mHandler.post(this.mRemoveHighLightView);
        }
    }

    private void initFingerPrintViewSubContentDes() {
        if (this.mFingerprintView != null) {
            this.mFingerprintView.setContentDescription(this.mContext.getString(33686191));
        }
        if (this.mCancelView != null) {
            this.mCancelView.setContentDescription(this.mContext.getString(33686192));
        }
    }

    private void initAddButtonViwSubContentDes() {
        if (this.mButtonView != null) {
            this.mButtonView.setContentDescription(this.mContext.getString(33686193));
        }
    }

    private void createFingerprintView() {
        initBaseElement();
        updateBaseElementMargins();
        updateExtraElement();
        initFingerprintViewParams();
        android.util.Log.d("FingerViewController", "createFingerprintView called ,reset Hint");
        this.mFingerViewParams.type = this.mWindowType;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("fingerviewadded,mWidgetColor = ");
        stringBuilder.append(this.mWidgetColor);
        android.util.Log.d("FingerViewController", stringBuilder.toString());
        initFingerPrintViewSubContentDes();
        if (!this.mFingerprintViewAdded) {
            startBlurScreenshot();
            this.mWidgetColor = huawei.android.hwcolorpicker.HwColorPicker.processBitmap(this.mScreenShot).getWidgetColor();
            this.mWidgetColorSet = true;
            this.mWindowManager.addView(this.mFingerView, this.mFingerViewParams);
            this.mFingerprintViewAdded = true;
            exitSingleHandMode();
            registerSingerHandObserver();
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("addFingerprintView is done,is View Added = ");
            stringBuilder.append(this.mFingerprintViewAdded);
            android.util.Log.d("FingerViewController", stringBuilder.toString());
        }
    }

    private void initBaseElement() {
        int curRotation = this.mWindowManager.getDefaultDisplay().getRotation();
        int dpi = android.os.SystemProperties.getInt("persist.sys.dpi", android.os.SystemProperties.getInt("ro.sf.real_lcd_density", android.os.SystemProperties.getInt("ro.sf.lcd_density", 0)));
        if (this.mFingerView != null && this.mCurrentHeight == this.mSavedMaskHeight && curRotation == this.mSavedRotation && dpi == this.mSavedMaskDpi) {
            android.util.Log.d("FingerViewController", "don't need to inflate mFingerView again");
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("dpi or rotation has changed, mCurrentHeight = ");
        stringBuilder.append(this.mCurrentHeight);
        stringBuilder.append(", mSavedMaskHeight = ");
        stringBuilder.append(this.mSavedMaskHeight);
        stringBuilder.append(",inflate mFingerView");
        android.util.Log.d("FingerViewController", stringBuilder.toString());
        this.mSavedMaskDpi = dpi;
        this.mSavedMaskHeight = this.mCurrentHeight;
        this.mSavedRotation = curRotation;
        this.mFingerView = (huawei.com.android.server.fingerprint.FingerprintView) this.mLayoutInflater.inflate(34013295, null);
        this.mFingerView.setCallback(new huawei.com.android.server.fingerprint.FingerViewController.FingerprintViewCallback(this, null));
        this.mFingerprintView = (android.widget.ImageView) this.mFingerView.findViewById(34603056);
        this.mCancelView = (android.widget.RelativeLayout) this.mFingerView.findViewById(34603033);
        this.mRemoteView = (android.widget.RelativeLayout) this.mFingerView.findViewById(34603247);
        this.mCancelView.setOnClickListener(new android.view.View.OnClickListener() {
            public void onClick(android.view.View v) {
                huawei.com.android.server.fingerprint.FingerViewController.this.mPowerManager.userActivity(android.os.SystemClock.uptimeMillis(), false);
                huawei.com.android.server.fingerprint.FingerViewController.this.onCancelClick();
                android.content.Context access$1800 = huawei.com.android.server.fingerprint.FingerViewController.this.mContext;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("{PkgName:");
                stringBuilder.append(huawei.com.android.server.fingerprint.FingerViewController.this.mPkgName);
                stringBuilder.append("}");
                android.util.Flog.bdReport(access$1800, 502, stringBuilder.toString());
                java.lang.String foregroundPkgName = huawei.com.android.server.fingerprint.FingerViewController.this.getForegroundPkgName();
                if (foregroundPkgName != null && huawei.com.android.server.fingerprint.FingerViewController.this.isBroadcastNeed(foregroundPkgName)) {
                    android.content.Intent cancelMaskIntent = new android.content.Intent("com.huawei.android.fingerprint.action.FINGERPRINT_IN_DISPLAY");
                    cancelMaskIntent.putExtra("helpCode", 1011);
                    cancelMaskIntent.putExtra("helpString", "finegrprint view closed");
                    cancelMaskIntent.setPackage(foregroundPkgName);
                    huawei.com.android.server.fingerprint.FingerViewController.this.mContext.sendBroadcast(cancelMaskIntent);
                } else if (huawei.com.android.server.fingerprint.FingerViewController.this.mDialogReceiver != null) {
                    try {
                        huawei.com.android.server.fingerprint.FingerViewController.this.mDialogReceiver.onDialogDismissed(2);
                    } catch (android.os.RemoteException e) {
                        android.util.Log.d("FingerViewController", "catch exception");
                    }
                } else if (huawei.com.android.server.fingerprint.FingerViewController.this.mReceiver != null) {
                    try {
                        huawei.com.android.server.fingerprint.FingerViewController.this.mReceiver.onAcquired(0, 6, 11);
                    } catch (android.os.RemoteException e2) {
                        android.util.Log.d("FingerViewController", "catch exception");
                    }
                }
            }
        });
    }

    /* JADX WARNING: Removed duplicated region for block: B:9:0x0166  */
    private void updateBaseElementMargins() {
        /*
        r17 = this;
        r0 = r17;
        r17.getCurrentRotation();
        r1 = r17.calculateFingerprintMargin();
        r2 = r0.mFingerView;
        r3 = 34603021; // 0x210000d float:1.0579464E-37 double:1.7096164E-316;
        r2 = r2.findViewById(r3);
        r2 = (android.widget.RelativeLayout) r2;
        r3 = r2.getLayoutParams();
        r3 = (android.view.ViewGroup.MarginLayoutParams) r3;
        r4 = r17.getDPIScale();
        r5 = r0.mCurrentRotation;
        r6 = 34472302; // 0x20e016e float:1.0432923E-37 double:1.703158E-316;
        r7 = 3;
        r8 = 0;
        r9 = 1;
        r10 = 1056964608; // 0x3f000000 float:0.5 double:5.222099017E-315;
        if (r5 == r9) goto L_0x0037;
    L_0x002a:
        r5 = r0.mCurrentRotation;
        if (r5 != r7) goto L_0x002f;
    L_0x002e:
        goto L_0x0037;
    L_0x002f:
        r5 = r0.mCurrentWidth;
        r3.width = r5;
        r3.leftMargin = r8;
        goto L_0x00fa;
    L_0x0037:
        r5 = r1[r8];
        r11 = 2;
        r5 = r5 * r11;
        r12 = r0.mContext;
        r12 = r12.getResources();
        r12 = r12.getDimensionPixelSize(r6);
        r12 = (float) r12;
        r12 = r12 * r4;
        r12 = r12 + r10;
        r12 = (int) r12;
        r5 = r5 + r12;
        r3.width = r5;
        r5 = r3.width;
        r5 = r0.calculateFingerprintLayoutLeftMargin(r5);
        r12 = r5[r8];
        r3.leftMargin = r12;
        r12 = r5[r9];
        r3.rightMargin = r12;
        r2.setLayoutParams(r3);
        r12 = r0.mRemoteView;
        r12 = r12.getLayoutParams();
        r12 = (android.view.ViewGroup.MarginLayoutParams) r12;
        r13 = r3.width;
        r13 = r0.calculateRemoteViewLeftMargin(r13);
        r14 = r0.mCurrentHeight;
        r14 = (float) r14;
        r15 = r0.mContext;
        r15 = r15.getResources();
        r7 = 34472380; // 0x20e01bc float:1.043301E-37 double:1.70316187E-316;
        r7 = r15.getDimensionPixelSize(r7);
        r11 = r11 * r7;
        r7 = (float) r11;
        r7 = r7 * r4;
        r14 = r14 - r7;
        r7 = r0.mContext;
        r7 = r7.getResources();
        r11 = 34472370; // 0x20e01b2 float:1.0432999E-37 double:1.70316137E-316;
        r7 = r7.getDimensionPixelSize(r11);
        r7 = (float) r7;
        r7 = r7 * r4;
        r14 = r14 - r7;
        r7 = r3.width;
        r7 = (float) r7;
        r14 = r14 - r7;
        r14 = r14 + r10;
        r7 = (int) r14;
        r12.width = r7;
        r12.leftMargin = r13;
        r7 = r0.mContext;
        r7 = r7.getResources();
        r11 = 34472383; // 0x20e01bf float:1.0433013E-37 double:1.703162E-316;
        r7 = r7.getDimensionPixelSize(r11);
        r7 = (float) r7;
        r7 = r7 * r4;
        r7 = r7 + r10;
        r7 = (int) r7;
        r12.topMargin = r7;
        r7 = r0.mContext;
        r7 = r7.getResources();
        r11 = 34472382; // 0x20e01be float:1.0433012E-37 double:1.70316197E-316;
        r7 = r7.getDimensionPixelSize(r11);
        r7 = (float) r7;
        r7 = r7 * r4;
        r7 = r7 + r10;
        r7 = (int) r7;
        r12.rightMargin = r7;
        r7 = r0.mContext;
        r7 = r7.getResources();
        r11 = 34472379; // 0x20e01bb float:1.0433009E-37 double:1.7031618E-316;
        r7 = r7.getDimensionPixelSize(r11);
        r7 = (float) r7;
        r7 = r7 * r4;
        r7 = r7 + r10;
        r7 = (int) r7;
        r12.bottomMargin = r7;
        r7 = r0.mRemoteView;
        r7.setLayoutParams(r12);
        r7 = "FingerViewController";
        r11 = new java.lang.StringBuilder;
        r11.<init>();
        r14 = " RemoteviewLayoutParams.leftMargin =";
        r11.append(r14);
        r14 = r12.leftMargin;
        r11.append(r14);
        r14 = ",rightMargin =";
        r11.append(r14);
        r14 = r12.rightMargin;
        r11.append(r14);
        r11 = r11.toString();
        android.util.Log.d(r7, r11);
    L_0x00fa:
        r5 = r0.mFingerprintView;
        r5 = r5.getLayoutParams();
        r5 = (android.view.ViewGroup.MarginLayoutParams) r5;
        r7 = r0.mContext;
        r7 = r7.getResources();
        r11 = 34472303; // 0x20e016f float:1.0432924E-37 double:1.70315806E-316;
        r7 = r7.getDimensionPixelSize(r11);
        r7 = (float) r7;
        r7 = r7 * r4;
        r7 = r7 + r10;
        r7 = (int) r7;
        r5.width = r7;
        r7 = r0.mContext;
        r7 = r7.getResources();
        r6 = r7.getDimensionPixelSize(r6);
        r6 = (float) r6;
        r6 = r6 * r4;
        r6 = r6 + r10;
        r6 = (int) r6;
        r5.height = r6;
        r6 = r1[r8];
        r5.leftMargin = r6;
        r6 = r1[r9];
        r5.topMargin = r6;
        r6 = "FingerViewController";
        r7 = new java.lang.StringBuilder;
        r7.<init>();
        r8 = "fingerprintViewParams.width = ";
        r7.append(r8);
        r8 = r5.width;
        r7.append(r8);
        r8 = ", fingerprintViewParams.height = ";
        r7.append(r8);
        r8 = r5.height;
        r7.append(r8);
        r7 = r7.toString();
        android.util.Log.d(r6, r7);
        r6 = r0.mFingerprintView;
        r6.setLayoutParams(r5);
        r6 = r0.mCancelView;
        r6 = r6.getLayoutParams();
        r6 = (android.view.ViewGroup.MarginLayoutParams) r6;
        r7 = r0.mCurrentRotation;
        r8 = 34472416; // 0x20e01e0 float:1.043305E-37 double:1.70316365E-316;
        r11 = 34472255; // 0x20e013f float:1.043287E-37 double:1.7031557E-316;
        if (r7 == r9) goto L_0x018e;
    L_0x0166:
        r7 = r0.mCurrentRotation;
        r9 = 3;
        if (r7 != r9) goto L_0x016c;
    L_0x016b:
        goto L_0x018e;
    L_0x016c:
        r7 = r0.mCurrentHeight;
        r7 = (float) r7;
        r9 = r0.mContext;
        r9 = r9.getResources();
        r9 = r9.getDimensionPixelSize(r11);
        r9 = (float) r9;
        r9 = r9 * r4;
        r7 = r7 - r9;
        r9 = r0.mContext;
        r9 = r9.getResources();
        r8 = r9.getDimensionPixelSize(r8);
        r8 = (float) r8;
        r8 = r8 * r4;
        r7 = r7 - r8;
        r7 = r7 + r10;
        r7 = (int) r7;
        r6.topMargin = r7;
        goto L_0x01af;
    L_0x018e:
        r7 = r0.mCurrentWidth;
        r7 = (float) r7;
        r9 = r0.mContext;
        r9 = r9.getResources();
        r9 = r9.getDimensionPixelSize(r11);
        r9 = (float) r9;
        r9 = r9 * r4;
        r7 = r7 - r9;
        r9 = r0.mContext;
        r9 = r9.getResources();
        r8 = r9.getDimensionPixelSize(r8);
        r8 = (float) r8;
        r8 = r8 * r4;
        r7 = r7 - r8;
        r7 = r7 + r10;
        r7 = (int) r7;
        r6.topMargin = r7;
    L_0x01af:
        r7 = r0.mCancelView;
        r8 = 34603032; // 0x2100018 float:1.0579476E-37 double:1.70961694E-316;
        r7 = r7.findViewById(r8);
        r7 = (android.widget.ImageView) r7;
        r8 = r7.getLayoutParams();
        r8 = (android.view.ViewGroup.MarginLayoutParams) r8;
        r9 = r0.mContext;
        r9 = r9.getResources();
        r11 = 34472415; // 0x20e01df float:1.0433049E-37 double:1.7031636E-316;
        r9 = r9.getDimensionPixelSize(r11);
        r9 = (float) r9;
        r9 = r9 * r4;
        r9 = r9 + r10;
        r9 = (int) r9;
        r8.width = r9;
        r9 = r0.mContext;
        r9 = r9.getResources();
        r9 = r9.getDimensionPixelSize(r11);
        r9 = (float) r9;
        r9 = r9 * r4;
        r9 = r9 + r10;
        r9 = (int) r9;
        r8.height = r9;
        r7.setLayoutParams(r8);
        r9 = "FingerViewController";
        r11 = new java.lang.StringBuilder;
        r11.<init>();
        r12 = "cancelViewParams.topMargin = ";
        r11.append(r12);
        r12 = r6.topMargin;
        r11.append(r12);
        r11 = r11.toString();
        android.util.Log.d(r9, r11);
        r9 = r0.mContext;
        r9 = r9.getResources();
        r11 = 34472299; // 0x20e016b float:1.0432919E-37 double:1.70315787E-316;
        r9 = r9.getDimensionPixelSize(r11);
        r9 = (float) r9;
        r9 = r9 * r4;
        r9 = r9 + r10;
        r9 = (int) r9;
        r6.height = r9;
        r9 = r0.mContext;
        r9 = r9.getResources();
        r11 = 34472298; // 0x20e016a float:1.0432918E-37 double:1.7031578E-316;
        r9 = r9.getDimensionPixelSize(r11);
        r9 = (float) r9;
        r9 = r9 * r4;
        r9 = r9 + r10;
        r9 = (int) r9;
        r6.width = r9;
        r9 = r0.mCancelView;
        r9.setLayoutParams(r6);
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: huawei.com.android.server.fingerprint.FingerViewController.updateBaseElementMargins():void");
    }

    private void updateExtraElement() {
        float dpiScale = getDPIScale();
        android.widget.RelativeLayout titleAndSummaryView = (android.widget.RelativeLayout) this.mFingerView.findViewById(34603023);
        android.view.ViewGroup.MarginLayoutParams titleAndSummaryViewParams = (android.view.ViewGroup.MarginLayoutParams) titleAndSummaryView.getLayoutParams();
        titleAndSummaryViewParams.bottomMargin = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472121)) * dpiScale) + 0.5f);
        titleAndSummaryView.setLayoutParams(titleAndSummaryViewParams);
        android.widget.TextView appNameView = (android.widget.TextView) this.mFingerView.findViewById(34603022);
        appNameView.setTextSize(0, (float) ((int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472120)) * dpiScale) + 0.5f)));
        android.widget.TextView accountMessageView = (android.widget.TextView) this.mFingerView.findViewById(34603008);
        accountMessageView.setTextSize(0, (float) ((int) ((((float) this.mContext.getResources().getDimensionPixelSize(34471966)) * dpiScale) + 0.5f)));
        android.view.ViewGroup.MarginLayoutParams accountMessageViewParams = (android.view.ViewGroup.MarginLayoutParams) accountMessageView.getLayoutParams();
        accountMessageViewParams.topMargin = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472083)) * dpiScale) + 0.5f);
        accountMessageView.setLayoutParams(accountMessageViewParams);
        android.widget.RelativeLayout usePasswordHotSpot = (android.widget.RelativeLayout) this.mFingerView.findViewById(34603290);
        android.view.ViewGroup.MarginLayoutParams usePasswordHotSpotParams = (android.view.ViewGroup.MarginLayoutParams) usePasswordHotSpot.getLayoutParams();
        usePasswordHotSpotParams.height = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472421)) * dpiScale) + 0.5f);
        usePasswordHotSpotParams.bottomMargin = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472420)) * dpiScale) + 0.5f);
        usePasswordHotSpot.setLayoutParams(usePasswordHotSpotParams);
        android.widget.TextView usePasswordView = (android.widget.TextView) this.mFingerView.findViewById(34603024);
        usePasswordView.setText(this.mContext.getString(33686066));
        usePasswordView.setTextSize(0, (float) ((int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472422)) * dpiScale) + 0.5f)));
        android.widget.RelativeLayout usePasswordHotspotLayout = (android.widget.RelativeLayout) this.mFingerView.findViewById(34603290);
        if (usePasswordHotspotLayout != null) {
            usePasswordHotspotLayout.setContentDescription(this.mContext.getString(33686066));
        }
        this.mHintView = (huawei.com.android.server.fingerprint.HintText) this.mFingerView.findViewById(34603057);
        resetFrozenCountDownIfNeed();
        if (this.mIsFingerFrozen) {
            this.mHintView.setText(this.mContext.getResources().getQuantityString(34406409, this.mRemainedSecs, new java.lang.Object[]{java.lang.Integer.valueOf(this.mRemainedSecs)}));
        } else if (this.mHasBackFingerprint) {
            this.mHintView.setText(this.mContext.getString(33686061));
        } else {
            this.mHintView.setText(this.mContext.getString(33686067));
        }
        this.mHintView.setTextSize(0, (float) ((int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472318)) * dpiScale) + 0.5f)));
        android.view.ViewGroup.MarginLayoutParams hintViewParams = (android.view.ViewGroup.MarginLayoutParams) this.mHintView.getLayoutParams();
        hintViewParams.bottomMargin = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472317)) * dpiScale) + 0.5f);
        this.mHintView.setLayoutParams(hintViewParams);
        usePasswordHotSpot.setOnClickListener(new android.view.View.OnClickListener() {
            public void onClick(android.view.View v) {
                android.util.Log.d("FingerViewController", "onClick,UsePassword");
                huawei.com.android.server.fingerprint.FingerViewController.this.onUsePasswordClick();
                java.lang.String foregroundPkgName = huawei.com.android.server.fingerprint.FingerViewController.this.getForegroundPkgName();
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("foregroundPackageName = ");
                stringBuilder.append(foregroundPkgName);
                android.util.Log.d("FingerViewController", stringBuilder.toString());
                if (foregroundPkgName != null && huawei.com.android.server.fingerprint.FingerViewController.this.isBroadcastNeed(foregroundPkgName)) {
                    android.content.Intent usePasswordIntent = new android.content.Intent("com.huawei.android.fingerprint.action.FINGERPRINT_IN_DISPLAY");
                    usePasswordIntent.setPackage(foregroundPkgName);
                    usePasswordIntent.putExtra("helpCode", 1010);
                    usePasswordIntent.putExtra("helpString", "please use password");
                    huawei.com.android.server.fingerprint.FingerViewController.this.mContext.sendBroadcast(usePasswordIntent);
                } else if (huawei.com.android.server.fingerprint.FingerViewController.this.mDialogReceiver != null) {
                    try {
                        huawei.com.android.server.fingerprint.FingerViewController.this.mDialogReceiver.onDialogDismissed(1);
                    } catch (android.os.RemoteException e) {
                        android.util.Log.d("FingerViewController", "catch exception");
                    }
                } else if (huawei.com.android.server.fingerprint.FingerViewController.this.mReceiver != null) {
                    try {
                        huawei.com.android.server.fingerprint.FingerViewController.this.mReceiver.onError(0, 10, 0);
                    } catch (android.os.RemoteException e2) {
                        android.util.Log.d("FingerViewController", "catch exception");
                    }
                }
            }
        });
        if (this.mPkgAttributes != null) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mPkgAttributes =");
            stringBuilder.append(this.mPkgAttributes);
            android.util.Log.d("FingerViewController", stringBuilder.toString());
            java.lang.StringBuilder stringBuilder2;
            if (this.mPkgAttributes.getString("googleFlag") == null) {
                if (this.mPkgAttributes.getParcelable("CustView") != null) {
                    this.mRemoteView.setVisibility(0);
                    android.util.Log.d("FingerViewController", "RemoteViews != null");
                    this.mRemoteView.addView(((android.widget.RemoteViews) this.mPkgAttributes.getParcelable("CustView")).apply(this.mContext, this.mRemoteView));
                } else {
                    this.mRemoteView.setVisibility(4);
                }
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("mPkgAttributes.getString= ");
                stringBuilder2.append(this.mPkgAttributes.getString("Title"));
                android.util.Log.d("FingerViewController", stringBuilder2.toString());
                if (this.mPkgAttributes.getString("Title") != null) {
                    appNameView.setVisibility(0);
                    appNameView.setText(this.mPkgAttributes.getString("Title"));
                } else {
                    appNameView.setVisibility(4);
                }
                if (this.mPkgAttributes.getString("Summary") != null) {
                    accountMessageView.setVisibility(0);
                    accountMessageView.setText(this.mPkgAttributes.getString("Summary"));
                } else {
                    accountMessageView.setVisibility(8);
                }
                if (this.mPkgAttributes.getBoolean("UsePassword")) {
                    usePasswordHotSpot.setVisibility(0);
                } else {
                    usePasswordHotSpot.setVisibility(4);
                }
                if (this.mPkgAttributes.getString("SystemTitle") != null) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("attributestring =");
                    stringBuilder2.append(this.mPkgAttributes.getString("SystemTitle"));
                    android.util.Log.d("FingerViewController", stringBuilder2.toString());
                    this.mHintView.setText(this.mPkgAttributes.getString("SystemTitle"));
                    return;
                }
                return;
            }
            if (this.mPkgAttributes.getString("title") != null) {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("title =");
                stringBuilder2.append(this.mPkgAttributes.getString("title"));
                android.util.Log.d("FingerViewController", stringBuilder2.toString());
                appNameView.setVisibility(0);
                appNameView.setText(this.mPkgAttributes.getString("title"));
            }
            if (this.mPkgAttributes.getString("subtitle") != null) {
                accountMessageView.setVisibility(0);
                accountMessageView.setText(this.mPkgAttributes.getString("subtitle"));
            } else {
                accountMessageView.setVisibility(8);
            }
            if (this.mPkgAttributes.getString("description") != null) {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("description =");
                stringBuilder2.append(this.mPkgAttributes.getString("description"));
                android.util.Log.d("FingerViewController", stringBuilder2.toString());
                this.mHintView.setText(this.mPkgAttributes.getString("description"));
            }
            if (this.mPkgAttributes.getString("positive_text") != null) {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("positive_text =");
                stringBuilder2.append(this.mPkgAttributes.getString("positive_text"));
                android.util.Log.d("FingerViewController", stringBuilder2.toString());
                usePasswordHotSpot.setVisibility(0);
                usePasswordView.setText(this.mPkgAttributes.getString("positive_text"));
                return;
            }
            usePasswordHotSpot.setVisibility(4);
            return;
        }
        int i = 4;
        this.mRemoteView.setVisibility(i);
        appNameView.setVisibility(i);
        accountMessageView.setVisibility(8);
        usePasswordHotSpot.setVisibility(i);
    }

    private void getCurrentRotation() {
        this.mCurrentRotation = this.mWindowManager.getDefaultDisplay().getRotation();
    }

    private void getCurrentFingerprintCenter() {
        this.mCurrentRotation = this.mWindowManager.getDefaultDisplay().getRotation();
        switch (this.mCurrentRotation) {
            case 0:
            case 2:
                this.mFingerprintCenterX = (this.mFingerprintPosition[0] + this.mFingerprintPosition[2]) / 2;
                this.mFingerprintCenterY = (this.mFingerprintPosition[1] + this.mFingerprintPosition[3]) / 2;
                return;
            case 1:
                this.mFingerprintCenterX = (this.mFingerprintPosition[1] + this.mFingerprintPosition[3]) / 2;
                this.mFingerprintCenterY = (this.mFingerprintPosition[0] + this.mFingerprintPosition[2]) / 2;
                return;
            case 3:
                this.mFingerprintCenterX = this.mDefaultDisplayHeight - ((this.mFingerprintPosition[1] + this.mFingerprintPosition[3]) / 2);
                this.mFingerprintCenterY = (this.mFingerprintPosition[0] + this.mFingerprintPosition[2]) / 2;
                return;
            default:
                return;
        }
    }

    private void initFingerprintViewParams() {
        if (this.mFingerViewParams == null) {
            this.mFingerViewParams = new android.view.WindowManager.LayoutParams(-1, -1);
            this.mFingerViewParams.layoutInDisplayCutoutMode = 1;
            this.mFingerViewParams.flags = 201852424;
            android.view.WindowManager.LayoutParams layoutParams = this.mFingerViewParams;
            layoutParams.privateFlags |= 16;
            this.mFingerViewParams.format = -3;
            this.mFingerViewParams.screenOrientation = 14;
            this.mFingerViewParams.setTitle("hw_ud_fingerprint_mask_hwsinglemode_window");
        }
    }

    private void removeFingerprintView() {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("removeFingerprintView start added = ");
        stringBuilder.append(this.mFingerprintViewAdded);
        android.util.Log.d("FingerViewController", stringBuilder.toString());
        if (this.mFingerView != null && this.mFingerprintViewAdded) {
            this.mWindowManager.removeView(this.mFingerView);
            resetFingerprintView();
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("removeFingerprintView is done is View Added = ");
            stringBuilder.append(this.mFingerprintViewAdded);
            stringBuilder.append("mFingerView =");
            stringBuilder.append(this.mFingerView);
            android.util.Log.d("FingerViewController", stringBuilder.toString());
        }
    }

    private void updateFingerprintView() {
        if (this.mAuthenticateResult == 1) {
            if (this.mUseDefaultHint) {
                updateHintView();
            }
        } else if (this.mAuthenticateResult == 0) {
            if (this.mUseDefaultHint) {
                updateHintView(this.mContext.getString(33686063));
            }
            if (this.mFingerprintView != null) {
                this.mFingerprintView.setContentDescription(this.mContext.getString(33686063));
            }
            java.lang.String foregroundPkg = getForegroundPkgName();
            for (java.lang.String pkgName : PACKAGES_USE_HWAUTH_INTERFACE) {
                if (pkgName.equals(foregroundPkg)) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("hw wallet Identifing,pkgName = ");
                    stringBuilder.append(pkgName);
                    android.util.Log.d("FingerViewController", stringBuilder.toString());
                }
            }
            if (!this.mKeepMaskAfterAuthentication) {
                removeMaskOrButton();
            }
        } else if (this.mAuthenticateResult == 2) {
            if (!this.mUseDefaultHint) {
                return;
            }
            if (this.mRemainTimes == 5) {
                if (this.mHasBackFingerprint) {
                    updateHintView(this.mContext.getString(33686061));
                } else {
                    updateHintView(this.mContext.getString(33686067));
                }
                if (this.mFingerprintView != null) {
                    this.mFingerprintView.setContentDescription(this.mContext.getString(33686191));
                    return;
                }
                return;
            }
            updateHintView();
        } else if (this.mAuthenticateResult == 3) {
            if (this.mFingerprintView != null) {
                this.mFingerprintView.setContentDescription(this.mContext.getString(33686064));
            }
            if (this.mUseDefaultHint) {
                updateHintView(this.mContext.getString(33686064));
            }
        }
    }

    private void updateHintView() {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("updateFingerprintView start,mFingerprintViewAdded = ");
        stringBuilder.append(this.mFingerprintViewAdded);
        android.util.Log.d("FingerViewController", stringBuilder.toString());
        if (this.mFingerprintViewAdded) {
            if (this.mHintView != null) {
                if (this.mRemainTimes > 0 && this.mRemainTimes < 5) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("remaind time = ");
                    stringBuilder2.append(this.mRemainTimes);
                    android.util.Log.d("FingerViewController", stringBuilder2.toString());
                    java.lang.String trymoreStr = this.mContext.getResources().getQuantityString(34406410, this.mRemainTimes, new java.lang.Object[]{java.lang.Integer.valueOf(this.mRemainTimes)});
                    this.mHintView.setText(trymoreStr);
                    if (this.mFingerprintView != null) {
                        this.mFingerprintView.setContentDescription(trymoreStr);
                    }
                } else if (this.mRemainTimes == 0) {
                    if (!this.mIsFingerFrozen) {
                        if (this.mMyCountDown != null) {
                            this.mMyCountDown.cancel();
                        }
                        if (this.mFingerprintView != null) {
                            this.mFingerprintView.setContentDescription(this.mContext.getResources().getQuantityString(34406409, 30, new java.lang.Object[]{java.lang.Integer.valueOf(30)}));
                        }
                        this.mMyCountDown = new huawei.com.android.server.fingerprint.FingerViewController.RemainTimeCountDown(30000, 1000);
                        this.mMyCountDown.start();
                        this.mIsFingerFrozen = true;
                    } else {
                        return;
                    }
                }
                this.mWindowManager.updateViewLayout(this.mFingerView, this.mFingerViewParams);
            }
        }
    }

    private void updateHintView(java.lang.String hint) {
        if (this.mHintView != null) {
            this.mHintView.setText(hint);
        }
        if (this.mFingerprintViewAdded) {
            this.mWindowManager.updateViewLayout(this.mFingerView, this.mFingerViewParams);
        }
    }

    private void resetFingerprintView() {
        this.mFingerprintViewAdded = false;
        if (this.mBLurBitmap != null) {
            this.mBLurBitmap.recycle();
        }
        if (this.mScreenShot != null) {
            this.mScreenShot.recycle();
            this.mScreenShot = null;
        }
        if (this.mRemoteView != null) {
            this.mRemoteView.removeAllViews();
        }
        unregisterSingerHandObserver();
    }

    private void createImageOnlyView() {
        int curHeight = com.huawei.android.os.SystemPropertiesEx.getInt("persist.sys.rog.height", this.mDefaultDisplayHeight);
        int dpi = android.os.SystemProperties.getInt("persist.sys.dpi", android.os.SystemProperties.getInt("ro.sf.real_lcd_density", android.os.SystemProperties.getInt("ro.sf.lcd_density", 0)));
        float dpiScale = getDPIScale();
        if (!(this.mLayoutForAlipay != null && curHeight == this.mSavedImageHeight && dpi == this.mSavedImageDpi)) {
            this.mSavedImageHeight = curHeight;
            this.mSavedImageDpi = dpi;
            this.mLayoutForAlipay = (android.widget.RelativeLayout) this.mLayoutInflater.inflate(34013294, null);
            this.mFingerprintImageForAlipay = (android.widget.ImageView) this.mLayoutForAlipay.findViewById(34603055);
        }
        if (this.mHasUdFingerprint) {
            this.mAlipayDrawable = new huawei.com.android.server.fingerprint.fingerprintAnimation.BreathImageDrawable(this.mContext);
            this.mAlipayDrawable.setBreathImageDrawable(null, this.mContext.getDrawable(33751843));
            this.mFingerprintImageForAlipay.setImageDrawable(this.mAlipayDrawable);
            this.mFingerprintImageForAlipay.setOnTouchListener(new android.view.View.OnTouchListener() {
                public boolean onTouch(android.view.View v, android.view.MotionEvent event) {
                    switch (event.getAction()) {
                        case 0:
                            huawei.com.android.server.fingerprint.FingerViewController.this.mAlipayDrawable.startTouchDownBreathAnim();
                            break;
                        case 1:
                            huawei.com.android.server.fingerprint.FingerViewController.this.mAlipayDrawable.startTouchUpBreathAnim();
                            break;
                        default:
                            break;
                    }
                    return true;
                }
            });
            this.mAlipayDrawable.startBreathAnim();
        } else {
            this.mFingerprintImageForAlipay.setImageResource(33751826);
        }
        int[] fingerprintMargin = calculateFingerprintImageMargin();
        android.view.ViewGroup.MarginLayoutParams fingerprintImageParams = (android.view.ViewGroup.MarginLayoutParams) this.mFingerprintImageForAlipay.getLayoutParams();
        fingerprintImageParams.width = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472301)) * dpiScale) + 0.5f);
        fingerprintImageParams.height = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472300)) * dpiScale) + 0.5f);
        this.mFingerprintImageForAlipay.setLayoutParams(fingerprintImageParams);
        android.view.WindowManager.LayoutParams fingerprintOnlyLayoutParams = new android.view.WindowManager.LayoutParams();
        fingerprintOnlyLayoutParams.flags = 16777480;
        fingerprintOnlyLayoutParams.privateFlags |= 16;
        fingerprintOnlyLayoutParams.format = -3;
        fingerprintOnlyLayoutParams.screenOrientation = 14;
        fingerprintOnlyLayoutParams.setTitle("hw_ud_fingerprint_image");
        fingerprintOnlyLayoutParams.gravity = 51;
        fingerprintOnlyLayoutParams.type = this.mWindowType;
        fingerprintOnlyLayoutParams.x = fingerprintMargin[0];
        fingerprintOnlyLayoutParams.y = fingerprintMargin[1];
        fingerprintOnlyLayoutParams.width = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472301)) * dpiScale) + 0.5f);
        fingerprintOnlyLayoutParams.height = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472300)) * dpiScale) + 0.5f);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("fingerprintImage location = [");
        stringBuilder.append(fingerprintOnlyLayoutParams.x);
        stringBuilder.append(",");
        stringBuilder.append(fingerprintOnlyLayoutParams.y);
        stringBuilder.append("]");
        android.util.Log.d("FingerViewController", stringBuilder.toString());
        if (!this.mFingerprintOnlyViewAdded) {
            this.mWindowManager.addView(this.mLayoutForAlipay, fingerprintOnlyLayoutParams);
            this.mFingerprintOnlyViewAdded = true;
            exitSingleHandMode();
            registerSingerHandObserver();
        }
    }

    private void updateImageOnlyView() {
        if (this.mAuthenticateResult == 0) {
            this.mHandler.post(this.mRemoveImageOnlyRunnable);
            if (this.mFingerViewChangeCallback != null) {
                this.mFingerViewChangeCallback.onFingerViewStateChange(0);
            }
        }
    }

    private void removeImageOnlyView() {
        if (this.mFingerprintOnlyViewAdded && this.mLayoutForAlipay != null) {
            this.mWindowManager.removeView(this.mLayoutForAlipay);
            this.mFingerprintOnlyViewAdded = false;
            unregisterSingerHandObserver();
        }
    }

    private int[] calculateFingerprintImageMargin() {
        int marginTop;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("left = ");
        stringBuilder.append(this.mFingerprintPosition[0]);
        stringBuilder.append("right = ");
        stringBuilder.append(this.mFingerprintPosition[2]);
        android.util.Log.d("FingerViewController", stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("top = ");
        stringBuilder.append(this.mFingerprintPosition[1]);
        stringBuilder.append("button = ");
        stringBuilder.append(this.mFingerprintPosition[3]);
        android.util.Log.d("FingerViewController", stringBuilder.toString());
        float dpiScale = getDPIScale();
        int[] margin = new int[2];
        int fingerPrintInScreenWidth = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472301)) * dpiScale) + 1056964608);
        int fingerPrintInScreenHeight = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472300)) * dpiScale) + 1056964608);
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("fingerPrintInScreenWidth= ");
        stringBuilder2.append(fingerPrintInScreenWidth);
        stringBuilder2.append("fingerPrintInScreenHeight = ");
        stringBuilder2.append(fingerPrintInScreenHeight);
        android.util.Log.d("FingerViewController", stringBuilder2.toString());
        stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("current height = ");
        stringBuilder2.append(this.mCurrentHeight);
        stringBuilder2.append("mDefaultDisplayHeight = ");
        stringBuilder2.append(this.mDefaultDisplayHeight);
        android.util.Log.d("FingerViewController", stringBuilder2.toString());
        float scale = ((float) this.mCurrentHeight) / ((float) this.mDefaultDisplayHeight);
        getCurrentRotation();
        if (this.mCurrentRotation != 0) {
            if (this.mCurrentRotation != 2) {
                this.mFingerprintCenterX = (this.mFingerprintPosition[1] + this.mFingerprintPosition[3]) / 2;
                this.mFingerprintCenterY = (this.mFingerprintPosition[0] + this.mFingerprintPosition[2]) / 2;
                marginTop = (int) (((((float) this.mFingerprintCenterY) * scale) - (((float) fingerPrintInScreenHeight) / 2.0f)) + 1056964608);
                margin[0] = (int) ((((((float) (this.mDefaultDisplayHeight - this.mFingerprintCenterX)) * scale) - (((float) this.mContext.getResources().getDimensionPixelSize(34472370)) * dpiScale)) - (((float) fingerPrintInScreenWidth) / 2.0f)) + 1056964608);
                margin[1] = marginTop;
                return margin;
            }
        }
        this.mFingerprintCenterX = (this.mFingerprintPosition[0] + this.mFingerprintPosition[2]) / 2;
        this.mFingerprintCenterY = (this.mFingerprintPosition[1] + this.mFingerprintPosition[3]) / 2;
        marginTop = ((int) ((((float) this.mFingerprintCenterX) * scale) + 0.5f)) - (fingerPrintInScreenHeight / 2);
        int marginTop2 = ((int) ((((float) this.mFingerprintCenterY) * scale) + 0.5f)) - (fingerPrintInScreenWidth / 2);
        margin[0] = marginTop;
        margin[1] = marginTop2;
        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
        stringBuilder3.append("marginLeft = ");
        stringBuilder3.append(marginTop);
        stringBuilder3.append("marginTop = ");
        stringBuilder3.append(marginTop2);
        stringBuilder3.append("scale = ");
        stringBuilder3.append(scale);
        android.util.Log.d("FingerViewController", stringBuilder3.toString());
        return margin;
    }

    private void createAndAddButtonView() {
        if (this.mButtonViewAdded) {
            adjustButtonViewVisibility();
            android.util.Log.d("FingerViewController", " mButtonViewAdded return ");
            return;
        }
        calculateButtonPosition();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("createAndAddButtonView,pkg = ");
        stringBuilder.append(this.mPkgName);
        android.util.Log.d("FingerViewController", stringBuilder.toString());
        float dpiScale = getDPIScale();
        if (this.mButtonView == null || this.mCurrentHeight != this.mSavedButtonHeight) {
            this.mButtonView = (huawei.com.android.server.fingerprint.SuspensionButton) this.mLayoutInflater.inflate(34013293, null);
            this.mButtonView.setCallback(new huawei.com.android.server.fingerprint.FingerViewController.SuspensionButtonCallback(this, null));
            this.mSavedButtonHeight = this.mCurrentHeight;
        }
        initAddButtonViwSubContentDes();
        this.mButtonView.setOnClickListener(new android.view.View.OnClickListener() {
            public void onClick(android.view.View v) {
                huawei.com.android.server.fingerprint.FingerViewController.this.mHandler.post(huawei.com.android.server.fingerprint.FingerViewController.this.mRemoveButtonViewRunnable);
                huawei.com.android.server.fingerprint.FingerViewController.this.mHandler.post(huawei.com.android.server.fingerprint.FingerViewController.this.mAddFingerViewRunnable);
                if (huawei.com.android.server.fingerprint.FingerViewController.this.mFingerViewChangeCallback != null) {
                    huawei.com.android.server.fingerprint.FingerViewController.this.mFingerViewChangeCallback.onFingerViewStateChange(1);
                }
                if (huawei.com.android.server.fingerprint.FingerViewController.this.mReceiver != null) {
                    try {
                        huawei.com.android.server.fingerprint.FingerViewController.this.mReceiver.onAcquired(0, 6, 12);
                    } catch (android.os.RemoteException e) {
                        android.util.Log.d("FingerViewController", "catch exception");
                    }
                }
                android.content.Context access$1800 = huawei.com.android.server.fingerprint.FingerViewController.this.mContext;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("{PkgName:");
                stringBuilder.append(huawei.com.android.server.fingerprint.FingerViewController.this.mPkgName);
                stringBuilder.append("}");
                android.util.Flog.bdReport(access$1800, 501, stringBuilder.toString());
            }
        });
        android.widget.ImageView buttonImage = (android.widget.ImageView) this.mButtonView.findViewById(34603031);
        android.view.ViewGroup.MarginLayoutParams buttonImageParams = (android.view.ViewGroup.MarginLayoutParams) buttonImage.getLayoutParams();
        buttonImageParams.width = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472299)) * dpiScale) + 0.5f);
        buttonImageParams.height = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472298)) * dpiScale) + 0.5f);
        buttonImage.setLayoutParams(buttonImageParams);
        this.mSuspensionButtonParams = new android.view.WindowManager.LayoutParams();
        if ("com.android.systemui".equals(this.mPkgName)) {
            this.mSuspensionButtonParams.type = 2014;
        } else {
            this.mSuspensionButtonParams.type = 2003;
        }
        this.mSuspensionButtonParams.flags = 16777480;
        this.mSuspensionButtonParams.gravity = 51;
        this.mSuspensionButtonParams.x = (int) ((((float) this.mButtonCenterX) - ((((float) this.mContext.getResources().getDimensionPixelSize(34472299)) * dpiScale) / 2.0f)) + 0.5f);
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("mSuspensionButtonParams.x=");
        stringBuilder2.append(this.mSuspensionButtonParams.x);
        android.util.Log.d("FingerViewController", stringBuilder2.toString());
        this.mSuspensionButtonParams.y = (int) ((((float) this.mButtonCenterY) - ((((float) this.mContext.getResources().getDimensionPixelSize(34472298)) * dpiScale) / 2.0f)) + 0.5f);
        stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("mSuspensionButtonParams.y=");
        stringBuilder2.append(this.mSuspensionButtonParams.y);
        android.util.Log.d("FingerViewController", stringBuilder2.toString());
        this.mSuspensionButtonParams.width = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472299)) * dpiScale) + 0.5f);
        this.mSuspensionButtonParams.height = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472298)) * dpiScale) + 0.5f);
        this.mSuspensionButtonParams.format = -3;
        android.view.WindowManager.LayoutParams layoutParams = this.mSuspensionButtonParams;
        layoutParams.privateFlags |= 16;
        this.mSuspensionButtonParams.setTitle("fingerprintview_button");
        this.mButtonView.getViewTreeObserver().addOnPreDrawListener(new android.view.ViewTreeObserver.OnPreDrawListener() {
            public boolean onPreDraw() {
                huawei.com.android.server.fingerprint.FingerViewController.this.mWidgetColorSet = false;
                return true;
            }
        });
        if ("com.android.systemui".equals(this.mPkgName) && this.mButtonColor != 0) {
            this.mWidgetColor = this.mButtonColor;
            this.mWidgetColorSet = true;
        }
        if (!this.mWidgetColorSet) {
            android.util.Log.d("FingerViewController", "mWidgetColorSet is false, get a new screenshot and calculate color");
            getScreenShot();
            this.mWidgetColor = huawei.android.hwcolorpicker.HwColorPicker.processBitmap(this.mScreenShot).getWidgetColor();
            this.mWidgetColorSet = true;
        }
        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
        stringBuilder3.append("mWidgetColor = ");
        stringBuilder3.append(this.mWidgetColor);
        android.util.Log.d("FingerViewController", stringBuilder3.toString());
        buttonImage.setColorFilter(this.mWidgetColor);
        adjustButtonViewVisibility();
        this.mWindowManager.addView(this.mButtonView, this.mSuspensionButtonParams);
        this.mButtonViewAdded = true;
    }

    private void adjustButtonViewVisibility() {
        if (this.mButtonView == null) {
            android.util.Log.e("FingerViewController", "mButtonView is null, cannot change visibility");
            return;
        }
        if (this.mButtonViewState == 2) {
            this.mButtonView.setVisibility(4);
        } else {
            this.mButtonView.setVisibility(0);
        }
    }

    private void removeButtonView() {
        if (this.mButtonView != null && this.mButtonViewAdded) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("removeButtonView begin, mButtonViewAdded added = ");
            stringBuilder.append(this.mButtonViewAdded);
            stringBuilder.append("mButtonView = ");
            stringBuilder.append(this.mButtonView);
            android.util.Log.d("FingerViewController", stringBuilder.toString());
            this.mWindowManager.removeViewImmediate(this.mButtonView);
            this.mButtonViewAdded = false;
        }
    }

    private void updateButtonView() {
        calculateButtonPosition();
        if (this.mButtonView != null && this.mButtonViewAdded && this.mSuspensionButtonParams != null) {
            this.mSuspensionButtonParams.x = this.mButtonCenterX - (this.mContext.getResources().getDimensionPixelSize(34472416) / 2);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mSuspensionButtonParams.x=");
            stringBuilder.append(this.mSuspensionButtonParams.x);
            android.util.Log.d("FingerViewController", stringBuilder.toString());
            this.mSuspensionButtonParams.y = this.mButtonCenterY - (this.mContext.getResources().getDimensionPixelSize(34472416) / 2);
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mSuspensionButtonParams.y=");
            stringBuilder.append(this.mSuspensionButtonParams.y);
            android.util.Log.d("FingerViewController", stringBuilder.toString());
            this.mWindowManager.updateViewLayout(this.mButtonView, this.mSuspensionButtonParams);
        }
    }

    private void startAlphaValueAnimation(final huawei.com.android.server.fingerprint.HighLightMaskView target, final boolean isAlphaUp, float startAlpha, float endAlpha, long startDelay, int duration) {
        if (target == null) {
            android.util.Log.d("FingerViewController", " animation abort target null");
            return;
        }
        if (startAlpha > 0.863f) {
            startAlpha = 0.863f;
        } else if (startAlpha < 0.0f) {
            startAlpha = 0.0f;
        }
        if (endAlpha > 0.863f) {
            endAlpha = 0.863f;
        } else if (endAlpha < 0.0f) {
            endAlpha = 0.0f;
        }
        if (isAlphaUp || startAlpha != endAlpha) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" startAlphaAnimation current alpha:");
            stringBuilder.append(target.getAlpha());
            stringBuilder.append(" startAlpha:");
            stringBuilder.append(startAlpha);
            stringBuilder.append(" endAlpha: ");
            stringBuilder.append(endAlpha);
            stringBuilder.append(" duration :");
            stringBuilder.append(duration);
            android.util.Log.d("FingerViewController", stringBuilder.toString());
            final float endAlphaValue = endAlpha;
            android.animation.ValueAnimator animator = android.animation.ValueAnimator.ofFloat(new float[]{startAlpha, endAlpha});
            animator.setStartDelay(startDelay);
            animator.setInterpolator(endAlpha == 0.0f ? new android.view.animation.AccelerateInterpolator() : new android.view.animation.DecelerateInterpolator());
            animator.addUpdateListener(new android.animation.ValueAnimator.AnimatorUpdateListener() {
                public void onAnimationUpdate(android.animation.ValueAnimator animation) {
                    target.setAlpha((int) (((java.lang.Float) animation.getAnimatedValue()).floatValue() * 255.0f));
                }
            });
            animator.addListener(new android.animation.AnimatorListenerAdapter() {
                boolean isCanceled = false;

                public void onAnimationEnd(android.animation.Animator animation) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append(" onAnimationEnd endAlpha:");
                    stringBuilder.append(endAlphaValue);
                    stringBuilder.append(" isCanceled:");
                    stringBuilder.append(this.isCanceled);
                    android.util.Log.d("FingerViewController", stringBuilder.toString());
                    if (!(isAlphaUp || this.isCanceled)) {
                        huawei.com.android.server.fingerprint.FingerViewController.this.mHandler.post(huawei.com.android.server.fingerprint.FingerViewController.this.mRemoveHighLightView);
                    }
                    this.isCanceled = false;
                }

                public void onAnimationStart(android.animation.Animator animation) {
                    android.util.Log.d("FingerViewController", "onAnimationStart");
                    this.isCanceled = false;
                }

                public void onAnimationCancel(android.animation.Animator animation) {
                    this.isCanceled = true;
                    super.onAnimationCancel(animation);
                }
            });
            animator.setDuration((long) duration);
            animator.start();
            return;
        }
        android.util.Log.d("FingerViewController", " endAlpha equals startAlpha ");
        this.mHandler.post(this.mRemoveHighLightView);
    }

    public void showHighlightCircle() {
        this.mHandler.post(this.mShowHighlightCircleRunnable);
    }

    public void removeHighlightCircle() {
        this.mHandler.post(this.mRemoveHighlightCircleRunnable);
    }

    public void notifyCaptureImage() {
        if (this.mFingerViewChangeCallback != null) {
            android.util.Log.d("FingerViewController", "onNotifyCaptureImage ");
            this.mFingerViewChangeCallback.onNotifyCaptureImage();
        }
    }

    public void notifyDismissBlueSpot() {
        if (this.mFingerViewChangeCallback != null) {
            android.util.Log.d("FingerViewController", "onNotifyBlueSpotDismiss ");
            this.mFingerViewChangeCallback.onNotifyBlueSpotDismiss();
        }
    }

    private void createAndAddHighLightView() {
        if (this.mHighLightView == null) {
            this.mHighLightView = new huawei.com.android.server.fingerprint.HighLightMaskView(this.mContext, this.mCurrentBrightness, this.mHighlightSpotRadius);
        }
        getCurrentFingerprintCenter();
        this.mHighLightView.setCenterPoints(this.mFingerprintCenterX, this.mFingerprintCenterY);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("current height = ");
        stringBuilder.append(this.mCurrentHeight);
        android.util.Log.d("FingerViewController", stringBuilder.toString());
        if (this.mIsNeedReload) {
            this.mCurrentHeight = com.huawei.android.os.SystemPropertiesEx.getInt("persist.sys.rog.height", this.mDefaultDisplayHeight);
            this.mIsNeedReload = false;
        }
        this.mHighLightView.setScale(((float) this.mCurrentHeight) / ((float) this.mDefaultDisplayHeight));
        this.mHighLightView.setType(this.mHighLightShowType);
        this.mHighLightView.setPackageName(this.mPkgName);
        if (this.mHighLightShowType == 1) {
            this.mHighLightView.setCircleVisibility(0);
        } else {
            this.mHighLightView.setCircleVisibility(4);
        }
        android.view.WindowManager.LayoutParams highLightViewParams = new android.view.WindowManager.LayoutParams(-1, -1);
        highLightViewParams.layoutInDisplayCutoutMode = 1;
        highLightViewParams.type = 2101;
        highLightViewParams.flags = 1304;
        highLightViewParams.privateFlags |= -2147483632;
        highLightViewParams.format = -3;
        highLightViewParams.setTitle("hwSingleMode_window_for_UD_highlight_mask");
        if (this.mHighLightShowType == 1) {
            highLightViewParams.setTitle("fingerprint_alpha_layer");
        }
        if (this.mHighLightView.getParent() != null) {
            android.util.Log.v("FingerViewController", "REMOVE! mHighLightView before add");
            this.mWindowManager.removeView(this.mHighLightView);
        }
        this.mWindowManager.addView(this.mHighLightView, highLightViewParams);
        this.highLightViewAdded = true;
        if (this.mHighLightShowType == 1) {
            setBacklightViaAod();
        }
    }

    private void setBacklightViaAod() {
        float maxBright = transformBrightnessViaScreen(this.mHighlightBrightnessLevel);
        float currentBright = transformBrightnessViaScreen(this.mCurrentBrightness);
        if (this.mAodManager != null) {
            this.mAodManager.setBacklight((int) maxBright, (int) currentBright);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mAodManager set Bright: max: ");
            stringBuilder.append(maxBright);
            stringBuilder.append(" current:");
            stringBuilder.append(currentBright);
            android.util.Log.d("FingerViewController", stringBuilder.toString());
            if (this.mDisplayEngineManager != null) {
                this.mDisplayEngineManager.setScene(29, (int) maxBright);
                android.util.Log.d("FingerViewController", "mDisplayEngineManager set scene");
                return;
            }
            return;
        }
        android.util.Log.d("FingerViewController", "mAodManager is null");
    }

    private float transformBrightnessViaScreen(int brightness) {
        if (INVALID_BRIGHTNESS == this.mNormalizedMaxBrightness || INVALID_BRIGHTNESS == this.mNormalizedMinBrightness) {
            android.util.Log.i("FingerViewController", "have not get the valid brightness, try again");
            getBrightnessRangeFromPanelInfo();
        }
        return (((((float) brightness) - 4.0f) / 251.0f) * ((float) (this.mNormalizedMaxBrightness - this.mNormalizedMinBrightness))) + ((float) this.mNormalizedMinBrightness);
    }

    private void removeHighLightViewInner() {
        if (this.highLightViewAdded && this.mHighLightView != null) {
            android.util.Log.i("FingerViewController", "highlightview is show, remove highlightview");
            this.mWindowManager.removeView(this.mHighLightView);
        }
        this.mHighLightView = null;
        this.highLightViewAdded = false;
        this.mHandler.removeCallbacks(this.mSetScene);
        this.mHandler.postDelayed(this.mSetScene, 80);
    }

    private void createBackFingprintView() {
        int currentRotation = this.mWindowManager.getDefaultDisplay().getRotation();
        int lcdDpi = android.os.SystemProperties.getInt("ro.sf.real_lcd_density", android.os.SystemProperties.getInt("ro.sf.lcd_density", 640));
        int dpi = android.os.SystemProperties.getInt("persist.sys.dpi", lcdDpi);
        android.content.res.Configuration curConfig = new android.content.res.Configuration();
        try {
            curConfig.updateFrom(android.app.ActivityManagerNative.getDefault().getConfiguration());
        } catch (android.os.RemoteException e) {
            android.util.Log.w("FingerViewController", "Unable to retrieve font size");
        }
        boolean fontScaleChange = curConfig.fontScale != this.mFontScale;
        if (fontScaleChange) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("fontScaleChange before createBackFingprintView, curCenfig.fontScale : ");
            stringBuilder.append(curConfig.fontScale);
            stringBuilder.append(", mFontScale : ");
            stringBuilder.append(this.mFontScale);
            android.util.Log.e("FingerViewController", stringBuilder.toString());
            this.mContext.getResources().updateConfiguration(curConfig, null);
            this.mFontScale = curConfig.fontScale;
        }
        if (!(this.mBackFingerprintView != null && this.mCurrentHeight == this.mSavedBackViewHeight && currentRotation == this.mSavedBackViewRotation && dpi == this.mSavedBackViewDpi && !fontScaleChange)) {
            this.mBackFingerprintView = (huawei.com.android.server.fingerprint.BackFingerprintView) this.mLayoutInflater.inflate(34013326, null);
            this.mSavedBackViewDpi = dpi;
            this.mSavedBackViewHeight = this.mCurrentHeight;
            this.mSavedBackViewRotation = currentRotation;
        }
        float dpiScale = (((float) lcdDpi) * 1.0f) / ((float) dpi);
        this.mBackFingerprintHintView = (android.widget.TextView) this.mBackFingerprintView.findViewById(34603301);
        this.mBackFingerprintUsePasswordView = (android.widget.Button) this.mBackFingerprintView.findViewById(34603303);
        this.mBackFingerprintCancelView = (android.widget.Button) this.mBackFingerprintView.findViewById(34603298);
        android.widget.RelativeLayout buttonLayout = (android.widget.RelativeLayout) this.mBackFingerprintView.findViewById(34603297);
        android.view.ViewGroup.MarginLayoutParams usePasswordViewParams = (android.view.ViewGroup.MarginLayoutParams) this.mBackFingerprintUsePasswordView.getLayoutParams();
        usePasswordViewParams.width = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472241)) * dpiScale) + 0.5f);
        usePasswordViewParams.height = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472122)) * dpiScale) + 0.5f);
        this.mBackFingerprintUsePasswordView.setLayoutParams(usePasswordViewParams);
        android.view.ViewGroup.MarginLayoutParams cancelViewParams = (android.view.ViewGroup.MarginLayoutParams) this.mBackFingerprintCancelView.getLayoutParams();
        cancelViewParams.width = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472241)) * dpiScale) + 0.5f);
        cancelViewParams.height = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472122)) * dpiScale) + 0.5f);
        this.mBackFingerprintCancelView.setLayoutParams(cancelViewParams);
        android.view.ViewGroup.MarginLayoutParams buttonLayoutParams = (android.view.ViewGroup.MarginLayoutParams) buttonLayout.getLayoutParams();
        buttonLayoutParams.width = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472240)) * dpiScale) + 0.5f);
        buttonLayoutParams.height = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472239)) * dpiScale) + 0.5f);
        buttonLayout.setLayoutParams(buttonLayoutParams);
        android.widget.TextView backFingerprintTitle = (android.widget.TextView) this.mBackFingerprintView.findViewById(34603302);
        android.widget.TextView backFingerprintDescription = (android.widget.TextView) this.mBackFingerprintView.findViewById(34603299);
        if (this.mPkgAttributes != null) {
            java.lang.StringBuilder stringBuilder2;
            if (this.mPkgAttributes.getString("title") != null) {
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("title =");
                stringBuilder3.append(this.mPkgAttributes.getString("title"));
                android.util.Log.d("FingerViewController", stringBuilder3.toString());
                backFingerprintTitle.setVisibility(0);
                backFingerprintTitle.setText(this.mPkgAttributes.getString("title"));
            }
            if (this.mPkgAttributes.getString("subtitle") != null) {
                this.mBackFingerprintHintView.setVisibility(0);
                this.mBackFingerprintHintView.setText(this.mPkgAttributes.getString("subtitle"));
                this.mSubTitle = this.mPkgAttributes.getString("subtitle");
            } else {
                this.mBackFingerprintHintView.setVisibility(4);
            }
            if (this.mPkgAttributes.getString("description") != null) {
                java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                stringBuilder4.append("description =");
                stringBuilder4.append(this.mPkgAttributes.getString("description"));
                android.util.Log.d("FingerViewController", stringBuilder4.toString());
                backFingerprintDescription.setText(this.mPkgAttributes.getString("description"));
            }
            if (this.mPkgAttributes.getString("positive_text") != null) {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("positive_text =");
                stringBuilder2.append(this.mPkgAttributes.getString("positive_text"));
                android.util.Log.d("FingerViewController", stringBuilder2.toString());
                this.mBackFingerprintUsePasswordView.setVisibility(0);
                this.mBackFingerprintUsePasswordView.setText(this.mPkgAttributes.getString("positive_text"));
            } else {
                this.mBackFingerprintUsePasswordView.setVisibility(4);
            }
            if (this.mPkgAttributes.getString("negative_text") != null) {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("negative_text =");
                stringBuilder2.append(this.mPkgAttributes.getString("negative_text"));
                android.util.Log.d("FingerViewController", stringBuilder2.toString());
                this.mBackFingerprintCancelView.setText(this.mPkgAttributes.getString("negative_text"));
            }
        }
        resetFrozenCountDownIfNeed();
        if (this.mIsFingerFrozen) {
            this.mBackFingerprintHintView.setText(this.mContext.getResources().getQuantityString(34406409, this.mRemainedSecs, new java.lang.Object[]{java.lang.Integer.valueOf(this.mRemainedSecs)}));
        }
        this.mBackFingerprintUsePasswordView.setOnClickListener(new android.view.View.OnClickListener() {
            public void onClick(android.view.View v) {
                if (huawei.com.android.server.fingerprint.FingerViewController.this.mDialogReceiver != null) {
                    try {
                        android.util.Log.i("FingerViewController", "back fingerprint view, usepassword clicked");
                        huawei.com.android.server.fingerprint.FingerViewController.this.mDialogReceiver.onDialogDismissed(1);
                    } catch (android.os.RemoteException e) {
                        android.util.Log.d("FingerViewController", "catch exception");
                    }
                }
            }
        });
        this.mBackFingerprintCancelView.setOnClickListener(new android.view.View.OnClickListener() {
            public void onClick(android.view.View v) {
                huawei.com.android.server.fingerprint.FingerViewController.this.mHandler.post(huawei.com.android.server.fingerprint.FingerViewController.this.mRemoveBackFingprintRunnable);
                if (huawei.com.android.server.fingerprint.FingerViewController.this.mDialogReceiver != null) {
                    try {
                        android.util.Log.i("FingerViewController", "back fingerprint view, cancel clicked");
                        huawei.com.android.server.fingerprint.FingerViewController.this.mDialogReceiver.onDialogDismissed(2);
                    } catch (android.os.RemoteException e) {
                        android.util.Log.d("FingerViewController", "catch exception");
                    }
                }
            }
        });
        android.view.WindowManager.LayoutParams backFingerprintLayoutParams = new android.view.WindowManager.LayoutParams();
        backFingerprintLayoutParams.layoutInDisplayCutoutMode = 1;
        backFingerprintLayoutParams.flags = 201852424;
        backFingerprintLayoutParams.privateFlags |= 16;
        backFingerprintLayoutParams.format = -3;
        backFingerprintLayoutParams.type = 2024;
        backFingerprintLayoutParams.screenOrientation = 14;
        backFingerprintLayoutParams.setTitle("back_fingerprint_view");
        if (!this.mBackFingerprintView.isAttachedToWindow()) {
            startBlurBackViewScreenshot();
            this.mWindowManager.addView(this.mBackFingerprintView, backFingerprintLayoutParams);
        }
    }

    private void removeBackFingprintView() {
        if (this.mBackFingerprintView != null && this.mBackFingerprintView.isAttachedToWindow()) {
            this.mWindowManager.removeView(this.mBackFingerprintView);
            if (this.mBLurBitmap != null) {
                this.mBLurBitmap.recycle();
            }
            if (this.mScreenShot != null) {
                this.mScreenShot.recycle();
                this.mScreenShot = null;
            }
        }
    }

    private void updateBackFingprintView() {
        if (this.mAuthenticateResult == 1) {
            updateBackFingerprintHintView();
        } else if (this.mAuthenticateResult == 0) {
            updateBackFingerprintHintView(this.mContext.getString(33686063));
            removeBackFingprintView();
        }
    }

    private void updateBackFingerprintHintView() {
        android.util.Log.d("FingerViewController", "updateBackFingerprintHintView start");
        if (this.mBackFingerprintView != null && this.mBackFingerprintView.isAttachedToWindow()) {
            if (this.mBackFingerprintHintView != null) {
                if (this.mRemainTimes > 0 && this.mRemainTimes < 5) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("remaind time = ");
                    stringBuilder.append(this.mRemainTimes);
                    android.util.Log.d("FingerViewController", stringBuilder.toString());
                    this.mBackFingerprintHintView.setText(this.mContext.getResources().getQuantityString(34406410, this.mRemainTimes, new java.lang.Object[]{java.lang.Integer.valueOf(this.mRemainTimes)}));
                } else if (this.mRemainTimes == 0) {
                    if (!this.mIsFingerFrozen) {
                        if (this.mMyCountDown != null) {
                            this.mMyCountDown.cancel();
                        }
                        this.mMyCountDown = new huawei.com.android.server.fingerprint.FingerViewController.RemainTimeCountDown(30000, 1000);
                        this.mMyCountDown.start();
                        this.mIsFingerFrozen = true;
                    } else {
                        return;
                    }
                }
                this.mBackFingerprintView.postInvalidate();
            }
        }
    }

    private void updateBackFingerprintHintView(java.lang.String hint) {
        if (this.mBackFingerprintHintView != null) {
            this.mBackFingerprintHintView.setText(hint);
        }
        if (this.mBackFingerprintView != null && this.mBackFingerprintView.isAttachedToWindow()) {
            this.mBackFingerprintView.postInvalidate();
        }
    }

    private void startBlurBackViewScreenshot() {
        getScreenShot();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("mScreenShot = ");
        stringBuilder.append(this.mScreenShot);
        android.util.Log.i("FingerViewController", stringBuilder.toString());
        if (this.mScreenShot != null) {
            if (huawei.android.hwcolorpicker.HwColorPicker.processBitmap(this.mScreenShot).getDomainColor() != -16250872 || "com.android.systemui".equals(this.mPkgName)) {
                this.mBLurBitmap = huawei.com.android.server.policy.BlurUtils.blurMaskImage(this.mContext, this.mScreenShot, this.mScreenShot, 25);
                this.mBlurDrawable = new android.graphics.drawable.BitmapDrawable(this.mContext.getResources(), this.mBLurBitmap);
                this.mBackFingerprintView.setBackgroundDrawable(this.mBlurDrawable);
                return;
            }
        }
        this.mBLurBitmap = android.graphics.Bitmap.createBitmap(100, 100, android.graphics.Bitmap.Config.ARGB_8888);
        this.mBLurBitmap.eraseColor(-7829368);
        this.mBlurDrawable = new android.graphics.drawable.BitmapDrawable(this.mContext.getResources(), this.mBLurBitmap);
        this.mBackFingerprintView.setBackgroundDrawable(this.mBlurDrawable);
    }

    private void onCancelClick() {
        this.mHandler.post(this.mRemoveFingerViewRunnable);
        this.mHandler.post(this.mAddButtonViewRunnable);
        if (this.mFingerViewChangeCallback != null) {
            this.mFingerViewChangeCallback.onFingerViewStateChange(2);
        }
    }

    private void onUsePasswordClick() {
        this.mPowerManager.userActivity(android.os.SystemClock.uptimeMillis(), false);
        this.mHandler.post(this.mRemoveFingerViewRunnable);
        this.mHandler.post(this.mRemoveButtonViewRunnable);
    }

    public void parseBundle4Keyguard(android.os.Bundle bundle) {
        int suspend = bundle.getInt("suspend", 0);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(" suspend:");
        stringBuilder.append(suspend);
        stringBuilder.append(" mButtonViewAdded:");
        stringBuilder.append(this.mButtonViewAdded);
        stringBuilder.append(" mFingerprintViewAdded:");
        stringBuilder.append(this.mFingerprintViewAdded);
        android.util.Log.d("FingerViewController", stringBuilder.toString());
        if (suspend == -1) {
            if (this.mButtonViewAdded && this.mFingerViewChangeCallback != null) {
                this.mFingerViewChangeCallback.onFingerViewStateChange(2);
            }
            if (this.mFingerprintViewAdded) {
                return;
            }
        }
        byte[] viewType = bundle.getByteArray("viewType");
        byte[] viewState = bundle.getByteArray("viewState");
        for (int i = 0; i < viewType.length; i++) {
            byte type = viewType[i];
            byte state = viewState[i];
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(" type:");
            stringBuilder2.append(type);
            stringBuilder2.append(" state:");
            stringBuilder2.append(state);
            android.util.Log.d("FingerViewController", stringBuilder2.toString());
            switch (type) {
                case (byte) 0:
                    if (state != (byte) 1) {
                        if (state != (byte) 0) {
                            break;
                        }
                        this.mHandler.post(this.mRemoveFingerViewRunnable);
                        if (this.mFingerViewChangeCallback == null) {
                            break;
                        }
                        this.mFingerViewChangeCallback.onFingerViewStateChange(1);
                        break;
                    }
                    this.mHandler.post(this.mAddFingerViewRunnable);
                    break;
                case (byte) 1:
                    int[] location;
                    if (state != (byte) 1) {
                        if (state != (byte) 0) {
                            if (state != (byte) 2) {
                                break;
                            }
                            location = bundle.getIntArray("buttonLocation");
                            this.mHandler.post(this.mRemoveFingerViewRunnable);
                            this.mButtonViewState = 2;
                            showSuspensionButtonForApp(location[0], location[1], "android.uid.systemui");
                            break;
                        }
                        this.mHandler.post(this.mRemoveButtonViewRunnable);
                        break;
                    }
                    location = bundle.getIntArray("buttonLocation");
                    this.mButtonViewState = 1;
                    this.mButtonColor = bundle.getInt("buttonColor", 0);
                    showSuspensionButtonForApp(location[0], location[1], "android.uid.systemui");
                    break;
                case (byte) 2:
                    break;
                case (byte) 3:
                    break;
                default:
                    break;
            }
        }
    }

    public void setFingerprintPosition(int[] position) {
        this.mFingerprintPosition = (int[]) position.clone();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setFingerprintPosition,left = ");
        stringBuilder.append(this.mFingerprintPosition[0]);
        stringBuilder.append("right = ");
        stringBuilder.append(this.mFingerprintPosition[2]);
        android.util.Log.d("FingerViewController", stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setFingerprintPosition,top = ");
        stringBuilder.append(this.mFingerprintPosition[1]);
        stringBuilder.append("button = ");
        stringBuilder.append(this.mFingerprintPosition[3]);
        android.util.Log.d("FingerViewController", stringBuilder.toString());
        this.mFingerprintCenterX = (this.mFingerprintPosition[0] + this.mFingerprintPosition[2]) / 2;
        this.mFingerprintCenterY = (this.mFingerprintPosition[1] + this.mFingerprintPosition[3]) / 2;
    }

    public void setHighLightBrightnessLevel(int brightness) {
        java.lang.StringBuilder stringBuilder;
        if (brightness > 255) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("brightness is ");
            stringBuilder.append(brightness);
            stringBuilder.append(",adjust it to 255");
            android.util.Log.i("FingerViewController", stringBuilder.toString());
            brightness = 255;
        } else if (brightness < 0) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("brightness is ");
            stringBuilder.append(brightness);
            stringBuilder.append(",adjust it to 0");
            android.util.Log.i("FingerViewController", stringBuilder.toString());
            brightness = 0;
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("brightness to be set is ");
        stringBuilder.append(brightness);
        android.util.Log.i("FingerViewController", stringBuilder.toString());
        this.mHighlightBrightnessLevel = brightness;
    }

    public void setHighLightSpotRadius(int radius) {
        this.mHighlightSpotRadius = radius;
    }

    private int[] calculateFingerprintMargin() {
        int marginTop;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("left = ");
        stringBuilder.append(this.mFingerprintPosition[0]);
        stringBuilder.append("right = ");
        stringBuilder.append(this.mFingerprintPosition[2]);
        android.util.Log.d("FingerViewController", stringBuilder.toString());
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("top = ");
        stringBuilder.append(this.mFingerprintPosition[1]);
        stringBuilder.append("button = ");
        stringBuilder.append(this.mFingerprintPosition[3]);
        android.util.Log.d("FingerViewController", stringBuilder.toString());
        float dpiScale = getDPIScale();
        int[] margin = new int[2];
        int fingerPrintInScreenWidth = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472303)) * dpiScale) + 1056964608);
        int fingerPrintInScreenHeight = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472302)) * dpiScale) + 1056964608);
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("fingerPrintInScreenWidth= ");
        stringBuilder2.append(fingerPrintInScreenWidth);
        stringBuilder2.append("fingerPrintInScreenHeight = ");
        stringBuilder2.append(fingerPrintInScreenHeight);
        android.util.Log.d("FingerViewController", stringBuilder2.toString());
        stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("current height = ");
        stringBuilder2.append(this.mCurrentHeight);
        stringBuilder2.append("mDefaultDisplayHeight = ");
        stringBuilder2.append(this.mDefaultDisplayHeight);
        android.util.Log.d("FingerViewController", stringBuilder2.toString());
        float scale = ((float) this.mCurrentHeight) / ((float) this.mDefaultDisplayHeight);
        if (this.mCurrentRotation != 0) {
            if (this.mCurrentRotation != 2) {
                this.mFingerprintCenterX = (this.mFingerprintPosition[1] + this.mFingerprintPosition[3]) / 2;
                this.mFingerprintCenterY = (this.mFingerprintPosition[0] + this.mFingerprintPosition[2]) / 2;
                marginTop = (int) (((((float) this.mFingerprintCenterY) * scale) - (((float) fingerPrintInScreenHeight) / 2.0f)) + 1056964608);
                margin[0] = (int) ((((((float) (this.mDefaultDisplayHeight - this.mFingerprintCenterX)) * scale) - (((float) this.mContext.getResources().getDimensionPixelSize(34472370)) * dpiScale)) - (((float) fingerPrintInScreenWidth) / 2.0f)) + 1056964608);
                margin[1] = marginTop;
                return margin;
            }
        }
        this.mFingerprintCenterX = (this.mFingerprintPosition[0] + this.mFingerprintPosition[2]) / 2;
        this.mFingerprintCenterY = (this.mFingerprintPosition[1] + this.mFingerprintPosition[3]) / 2;
        marginTop = ((int) ((((float) this.mFingerprintCenterX) * scale) + 0.5f)) - (fingerPrintInScreenHeight / 2);
        int marginTop2 = ((int) ((((float) this.mFingerprintCenterY) * scale) + 0.5f)) - (fingerPrintInScreenWidth / 2);
        margin[0] = marginTop;
        margin[1] = marginTop2;
        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
        stringBuilder3.append("marginLeft = ");
        stringBuilder3.append(marginTop);
        stringBuilder3.append("marginTop = ");
        stringBuilder3.append(marginTop2);
        stringBuilder3.append("scale = ");
        stringBuilder3.append(scale);
        android.util.Log.d("FingerViewController", stringBuilder3.toString());
        return margin;
    }

    private float getDPIScale() {
        int lcdDpi = android.os.SystemProperties.getInt("ro.sf.real_lcd_density", android.os.SystemProperties.getInt("ro.sf.lcd_density", 640));
        int dpi = android.os.SystemProperties.getInt("persist.sys.dpi", lcdDpi);
        int realdpi = android.os.SystemProperties.getInt("persist.sys.realdpi", dpi);
        float scale = (((float) lcdDpi) * 1.0f) / ((float) dpi);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("initDPIView: lcdDpi: ");
        stringBuilder.append(lcdDpi);
        stringBuilder.append(" dpi: ");
        stringBuilder.append(dpi);
        stringBuilder.append(" realdpi: ");
        stringBuilder.append(realdpi);
        stringBuilder.append(" scale: ");
        stringBuilder.append(scale);
        android.util.Log.i("FingerViewController", stringBuilder.toString());
        return scale;
    }

    private int[] calculateFingerprintLayoutLeftMargin(int width) {
        float scale = ((float) this.mCurrentHeight) / ((float) this.mDefaultDisplayHeight);
        float dpiScale = getDPIScale();
        int[] layoutMargin = new int[2];
        int leftmargin = 0;
        int rightmargin = 0;
        if (this.mCurrentRotation == 3) {
            leftmargin = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472370)) * dpiScale) + 0.5f);
            rightmargin = (int) (((((float) this.mFingerprintCenterX) * scale) - (((float) width) / 2.0f)) + 0.5f);
        } else if (this.mCurrentRotation == 1) {
            leftmargin = (int) (((((float) this.mFingerprintCenterX) * scale) - (((float) width) / 2.0f)) + 0.5f);
            rightmargin = (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472370)) * dpiScale) + 0.5f);
        }
        layoutMargin[0] = leftmargin;
        layoutMargin[1] = rightmargin;
        return layoutMargin;
    }

    private int calculateRemoteViewLeftMargin(int fingerLayoutWidth) {
        float dpiScale = getDPIScale();
        if (this.mCurrentRotation == 3) {
            return (int) ((((((float) this.mContext.getResources().getDimensionPixelSize(34472380)) * dpiScale) + (((float) this.mContext.getResources().getDimensionPixelSize(34472370)) * dpiScale)) + ((float) fingerLayoutWidth)) + 0.5f);
        }
        if (this.mCurrentRotation == 1) {
            return (int) ((((float) this.mContext.getResources().getDimensionPixelSize(34472380)) * dpiScale) + 0.5f);
        }
        return 0;
    }

    private void calculateButtonPosition() {
        if (this.mPkgName != null && !this.mPkgName.equals("com.android.systemui")) {
            getCurrentRotation();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mCurrentRotation = ");
            stringBuilder.append(this.mCurrentRotation);
            android.util.Log.d("FingerViewController", stringBuilder.toString());
            float scale = ((float) this.mCurrentHeight) / ((float) this.mDefaultDisplayHeight);
            switch (this.mCurrentRotation) {
                case 0:
                case 2:
                    this.mButtonCenterX = (int) (((((float) (this.mFingerprintPosition[0] + this.mFingerprintPosition[2])) / 2.0f) * scale) + 0.5f);
                    this.mButtonCenterY = (this.mCurrentHeight - this.mContext.getResources().getDimensionPixelSize(34472255)) - (this.mContext.getResources().getDimensionPixelSize(34472416) / 2);
                    break;
                case 1:
                    this.mButtonCenterX = (int) (((((float) (this.mFingerprintPosition[1] + this.mFingerprintPosition[3])) / 2.0f) * scale) + 0.5f);
                    this.mButtonCenterY = (this.mCurrentWidth - this.mContext.getResources().getDimensionPixelSize(34472255)) - (this.mContext.getResources().getDimensionPixelSize(34472416) / 2);
                    break;
                case 3:
                    this.mButtonCenterX = this.mCurrentHeight - ((int) (((((float) (this.mFingerprintPosition[1] + this.mFingerprintPosition[3])) / 2.0f) * scale) + 0.5f));
                    this.mButtonCenterY = (this.mCurrentWidth - this.mContext.getResources().getDimensionPixelSize(34472255)) - (this.mContext.getResources().getDimensionPixelSize(34472416) / 2);
                    break;
                default:
                    break;
            }
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("mButtonCenterX = ");
            stringBuilder2.append(this.mButtonCenterX);
            stringBuilder2.append(",mButtonCenterY =");
            stringBuilder2.append(this.mButtonCenterY);
            android.util.Log.d("FingerViewController", stringBuilder2.toString());
        }
    }

    private boolean isScreenOn() {
        if (this.mPowerManager.isInteractive()) {
            getBrightness();
            if (this.mCurrentBrightness != 0) {
                return true;
            }
            android.util.Log.i("FingerViewController", "brightness is not set");
            return false;
        }
        android.util.Log.i("FingerViewController", "screen is not Interactive");
        return false;
    }

    private void getBrightness() {
        this.mBrightnessMode = 1;
        this.mCurrentBrightness = -1;
        try {
            this.mBrightnessMode = android.provider.Settings.System.getIntForUser(this.mContentResolver, "screen_brightness_mode", -2);
            if (this.mBrightnessMode == 1) {
                this.mCurrentBrightness = android.provider.Settings.System.getIntForUser(this.mContentResolver, "screen_auto_brightness", -2);
            } else {
                this.mCurrentBrightness = android.provider.Settings.System.getIntForUser(this.mContentResolver, "screen_brightness", -2);
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append(" currentbrightness is");
            stringBuilder.append(this.mCurrentBrightness);
            stringBuilder.append("currentbrightnessMode is ");
            stringBuilder.append(this.mBrightnessMode);
            android.util.Log.d("FingerViewController", stringBuilder.toString());
        } catch (android.provider.Settings.SettingNotFoundException e) {
            android.util.Log.d("FingerViewController", "settings screen_brightness_mode or screen_auto_brightness or screen_brightness not found");
        }
    }

    public void setLightLevel(int level, int lightLevelTime) {
        try {
            this.pm.setBrightnessNoLimit(level, lightLevelTime);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setLightLevel :");
            stringBuilder.append(level);
            stringBuilder.append(" time:");
            stringBuilder.append(lightLevelTime);
            android.util.Log.d("FingerViewController", stringBuilder.toString());
        } catch (android.os.RemoteException e) {
            android.util.Log.e("FingerViewController", "setFingerprintviewHighlight catch RemoteException ");
        }
    }

    private java.lang.String getForegroundPkgName() {
        try {
            java.util.List<android.app.ActivityManager.RunningAppProcessInfo> procs = android.app.ActivityManagerNative.getDefault().getRunningAppProcesses();
            int N = procs.size();
            for (int i = 0; i < N; i++) {
                android.app.ActivityManager.RunningAppProcessInfo proc = (android.app.ActivityManager.RunningAppProcessInfo) procs.get(i);
                if (proc.importance == 100) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("foreground package is ");
                    stringBuilder.append(proc.processName);
                    android.util.Log.w("FingerViewController", stringBuilder.toString());
                    return proc.processName;
                }
            }
        } catch (android.os.RemoteException e) {
            android.util.Log.w("FingerViewController", "am.getRunningAppProcesses() failed in getForegroundIfNeedBroadcast");
        }
        android.util.Log.w("FingerViewController", "can not get foreground package");
        return null;
    }

    private boolean isBroadcastNeed(java.lang.String pkgName) {
        for (java.lang.String pkg : PACKAGES_USE_HWAUTH_INTERFACE) {
            if (pkg.equals(pkgName)) {
                return true;
            }
        }
        return false;
    }

    private void startBlurScreenshot() {
        getScreenShot();
        if (this.mScreenShot != null) {
            if (huawei.android.hwcolorpicker.HwColorPicker.processBitmap(this.mScreenShot).getDomainColor() != -16250872 || "com.android.systemui".equals(this.mPkgName)) {
                this.mBLurBitmap = huawei.com.android.server.policy.BlurUtils.blurMaskImage(this.mContext, this.mScreenShot, this.mScreenShot, 25);
                this.mBlurDrawable = new android.graphics.drawable.BitmapDrawable(this.mContext.getResources(), this.mBLurBitmap);
                this.mFingerView.setBackgroundDrawable(this.mBlurDrawable);
                return;
            }
        }
        this.mBLurBitmap = android.graphics.Bitmap.createBitmap(100, 100, android.graphics.Bitmap.Config.ARGB_8888);
        this.mBLurBitmap.eraseColor(-7829368);
        this.mBlurDrawable = new android.graphics.drawable.BitmapDrawable(this.mContext.getResources(), this.mBLurBitmap);
        this.mFingerView.setBackgroundDrawable(this.mBlurDrawable);
    }

    private void getScreenShot() {
        try {
            this.mScreenShot = huawei.com.android.server.policy.BlurUtils.screenShotBitmap(this.mContext, 0.125f);
            if (this.mScreenShot != null) {
                this.mScreenShot = this.mScreenShot.copy(android.graphics.Bitmap.Config.ARGB_8888, true);
            }
        } catch (java.lang.Exception e) {
            android.util.Log.d("FingerViewController", "Exception in screenShotBitmap");
        } catch (java.lang.Error err) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("screenShotBitmap  Error er = ");
            stringBuilder.append(err.getMessage());
            android.util.Log.d("FingerViewController", stringBuilder.toString());
        }
    }

    private void registerSingerHandObserver() {
        if (this.mSingleContentObserver == null) {
            this.mSingleContentObserver = new huawei.com.android.server.fingerprint.SingleModeContentObserver(new android.os.Handler(), new huawei.com.android.server.fingerprint.FingerViewController.SingleModeContentCallback(this, null));
        }
        if (!this.mIsSingleModeObserverRegistered) {
            android.util.Log.d("FingerViewController", "registerSingerHandObserver");
            this.mContext.getContentResolver().registerContentObserver(android.provider.Settings.Global.getUriFor("single_hand_mode"), true, this.mSingleContentObserver);
            this.mIsSingleModeObserverRegistered = true;
        }
    }

    private void unregisterSingerHandObserver() {
        if (this.mIsSingleModeObserverRegistered) {
            android.util.Log.d("FingerViewController", "unregisterSingerHandObserver");
            this.mContext.getContentResolver().unregisterContentObserver(this.mSingleContentObserver);
            this.mIsSingleModeObserverRegistered = false;
        }
    }

    private void exitSingleHandMode() {
        android.provider.Settings.Global.putString(this.mContext.getContentResolver(), "single_hand_mode", "");
    }

    private void resetFrozenCountDownIfNeed() {
        this.mRemainTimes = this.mFingerprintManagerEx.getRemainingNum();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getRemainingNum, mRemainTimes = ");
        stringBuilder.append(this.mRemainTimes);
        android.util.Log.d("FingerViewController", stringBuilder.toString());
        if (this.mRemainTimes > 0 && this.mMyCountDown != null) {
            this.mMyCountDown.cancel();
            this.mIsFingerFrozen = false;
        }
    }

    public void notifyFingerprintViewCoverd(boolean covered, android.graphics.Rect winFrame) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("notifyWinCovered covered=");
        stringBuilder.append(covered);
        stringBuilder.append("winFrame = ");
        stringBuilder.append(winFrame);
        android.util.Log.v("FingerViewController", stringBuilder.toString());
        if (covered) {
            if (isFingerprintViewCoverd(getFingerprintViewRect(), winFrame)) {
                android.util.Log.v("FingerViewController", "new window covers fingerprintview, suspend");
                if (this.mFingerViewChangeCallback != null) {
                    this.mFingerViewChangeCallback.onFingerViewStateChange(2);
                    return;
                }
                return;
            }
            android.util.Log.v("FingerViewController", "new window doesn't cover fingerprintview");
        } else if (this.mFingerViewChangeCallback != null) {
            this.mFingerViewChangeCallback.onFingerViewStateChange(1);
        }
    }

    public void notifyTouchUp(float x, float y) {
        if (this.highLightViewAdded) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("UD Fingerprint notifyTouchUp point (");
            stringBuilder.append(x);
            stringBuilder.append(" , ");
            stringBuilder.append(y);
            stringBuilder.append(")");
            android.util.Log.d("FingerViewController", stringBuilder.toString());
            if (isFingerViewTouched(x, y)) {
                this.mHandler.post(new java.lang.Runnable() {
                    public void run() {
                        if (huawei.com.android.server.fingerprint.FingerViewController.this.highLightViewAdded && huawei.com.android.server.fingerprint.FingerViewController.this.mHighLightView != null) {
                            android.util.Log.i("FingerViewController", "notifyTouchUp setCircleVisibility INVISIBLE");
                            huawei.com.android.server.fingerprint.FingerViewController.this.mHighLightView.setCircleVisibility(4);
                        }
                    }
                });
            } else {
                android.util.Log.i("FingerViewController", "notifyTouchUp,point not in fingerprint view");
            }
        }
    }

    private android.graphics.Rect getFingerprintViewRect() {
        int lcdDpi = android.os.SystemProperties.getInt("ro.sf.real_lcd_density", android.os.SystemProperties.getInt("ro.sf.lcd_density", 640));
        int dpi = android.os.SystemProperties.getInt("persist.sys.dpi", lcdDpi);
        float scale = (((float) android.os.SystemProperties.getInt("persist.sys.realdpi", dpi)) * 1.0f) / ((float) dpi);
        float lcdscale = (((float) lcdDpi) * 1.0f) / ((float) dpi);
        android.graphics.Rect fingerprintViewRect = new android.graphics.Rect();
        fingerprintViewRect.left = (int) (((double) ((((float) (this.mFingerprintPosition[0] + this.mFingerprintPosition[2])) / 2.0f) * scale)) - ((((double) (((float) this.mContext.getResources().getDimensionPixelSize(34472303)) * lcdscale)) * 0.5d) + 0.5d));
        fingerprintViewRect.top = (int) (((double) ((((float) (this.mFingerprintPosition[1] + this.mFingerprintPosition[3])) / 2.0f) * scale)) - ((((double) (((float) this.mContext.getResources().getDimensionPixelSize(34472302)) * lcdscale)) * 0.5d) + 0.5d));
        fingerprintViewRect.right = (int) (((double) ((((float) (this.mFingerprintPosition[0] + this.mFingerprintPosition[2])) / 2.0f) * scale)) + ((((double) (((float) this.mContext.getResources().getDimensionPixelSize(34472303)) * lcdscale)) * 0.5d) + 0.5d));
        fingerprintViewRect.bottom = (int) (((double) ((((float) (this.mFingerprintPosition[1] + this.mFingerprintPosition[3])) / 2.0f) * scale)) + ((((double) (((float) this.mContext.getResources().getDimensionPixelSize(34472302)) * lcdscale)) * 0.5d) + 0.5d));
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("getFingerprintViewRect, fingerprintViewRect = ");
        stringBuilder.append(fingerprintViewRect);
        android.util.Log.i("FingerViewController", stringBuilder.toString());
        return fingerprintViewRect;
    }

    private boolean isFingerprintViewCoverd(android.graphics.Rect fingerprintViewRect, android.graphics.Rect winFrame) {
        return fingerprintViewRect.right > winFrame.left && winFrame.right > fingerprintViewRect.left && fingerprintViewRect.bottom > winFrame.top && winFrame.bottom > fingerprintViewRect.top;
    }

    private boolean isFingerViewTouched(float x, float y) {
        android.graphics.Rect fingerprintViewRect = getFingerprintViewRect();
        return ((float) fingerprintViewRect.left) < x && ((float) fingerprintViewRect.right) > x && ((float) fingerprintViewRect.bottom) > y && ((float) fingerprintViewRect.top) < y;
    }

    private boolean getBrightnessRangeFromPanelInfo() {
        java.io.File file = new java.io.File(PANEL_INFO_NODE);
        if (file.exists()) {
            java.io.BufferedReader reader = null;
            java.io.FileInputStream fis = null;
            java.lang.StringBuilder stringBuilder;
            try {
                fis = new java.io.FileInputStream(file);
                reader = new java.io.BufferedReader(new java.io.InputStreamReader(fis, "UTF-8"));
                java.lang.String readLine = reader.readLine();
                java.lang.String tempString = readLine;
                if (readLine != null) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("getBrightnessRangeFromPanelInfo String = ");
                    stringBuilder.append(tempString);
                    android.util.Log.i("FingerViewController", stringBuilder.toString());
                    if (tempString.length() == 0) {
                        android.util.Log.e("FingerViewController", "getBrightnessRangeFromPanelInfo error! String is null");
                        reader.close();
                        close(reader, fis);
                        return false;
                    }
                    java.lang.String[] stringSplited = tempString.split(",");
                    if (stringSplited.length < 2) {
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("split failed! String = ");
                        stringBuilder2.append(tempString);
                        android.util.Log.e("FingerViewController", stringBuilder2.toString());
                        reader.close();
                        close(reader, fis);
                        return false;
                    } else if (parsePanelInfo(stringSplited)) {
                        reader.close();
                        close(reader, fis);
                        return true;
                    }
                }
            } catch (java.io.FileNotFoundException e) {
                android.util.Log.e("FingerViewController", "getBrightnessRangeFromPanelInfo error! FileNotFoundException");
            } catch (java.io.IOException e2) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("getBrightnessRangeFromPanelInfo error! IOException ");
                stringBuilder.append(e2);
                android.util.Log.e("FingerViewController", stringBuilder.toString());
            } catch (java.lang.Exception e3) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("getBrightnessRangeFromPanelInfo error! Exception ");
                stringBuilder.append(e3);
                android.util.Log.e("FingerViewController", stringBuilder.toString());
            } catch (Throwable th) {
                close(reader, fis);
            }
            close(reader, fis);
            return false;
        }
        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
        stringBuilder3.append("getBrightnessRangeFromPanelInfo PANEL_INFO_NODE:");
        stringBuilder3.append(PANEL_INFO_NODE);
        stringBuilder3.append(" isn't exist");
        android.util.Log.w("FingerViewController", stringBuilder3.toString());
        return false;
    }

    private void close(java.io.BufferedReader reader, java.io.FileInputStream fis) {
        if (reader != null || fis != null) {
            if (reader != null) {
                try {
                    reader.close();
                } catch (java.io.IOException e) {
                    e.printStackTrace();
                }
            }
            if (fis != null) {
                try {
                    fis.close();
                } catch (java.io.IOException e2) {
                    e2.printStackTrace();
                }
            }
        }
    }

    private boolean parsePanelInfo(java.lang.String[] stringSplited) {
        if (stringSplited == null) {
            return false;
        }
        java.lang.String key = null;
        int index = -1;
        int min = -1;
        int max = -1;
        int i = 0;
        while (i < stringSplited.length) {
            try {
                key = "blmax:";
                index = stringSplited[i].indexOf(key);
                if (index != -1) {
                    max = java.lang.Integer.parseInt(stringSplited[i].substring(key.length() + index));
                } else {
                    key = "blmin:";
                    index = stringSplited[i].indexOf(key);
                    if (index != -1) {
                        min = java.lang.Integer.parseInt(stringSplited[i].substring(key.length() + index));
                    }
                }
                i++;
            } catch (java.lang.NumberFormatException e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("parsePanelInfo() error! ");
                stringBuilder.append(key);
                stringBuilder.append(e);
                android.util.Log.e("FingerViewController", stringBuilder.toString());
                return false;
            }
        }
        if (max == -1 || min == -1) {
            return false;
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("getBrightnessRangeFromPanelInfo success! min = ");
        stringBuilder2.append(min);
        stringBuilder2.append(", max = ");
        stringBuilder2.append(max);
        android.util.Log.i("FingerViewController", stringBuilder2.toString());
        this.mNormalizedMaxBrightness = max;
        this.mNormalizedMinBrightness = min;
        return true;
    }
}
