package huawei.com.android.server.fingerprint;

public class FingerprintCalibrarionView {
    private static final java.lang.String APS_INIT_HEIGHT = "aps_init_height";
    private static final int CAPTURE_BRIGHTNESS = 248;
    private static final int DEFAULT_INIT_HEIGHT = 2880;
    private static final int INITIAL_BRIGHTNESS = -1;
    private static final java.lang.String TAG = "FingerprintCalibrarionView";
    private static huawei.com.android.server.fingerprint.FingerprintCalibrarionView sInstance;
    private final java.lang.Runnable mAddHighLightViewRunnableCali = new java.lang.Runnable() {
        public void run() {
            huawei.com.android.server.fingerprint.FingerprintCalibrarionView.this.showCaliView();
        }
    };
    private int mAlphaValue;
    private huawei.com.android.server.fingerprint.FingerprintCalibrarionView.HighLightMaskViewCali mCaliView;
    private android.view.WindowManager.LayoutParams mCaliViewParams;
    private android.content.Context mContext;
    private int mDefaultDisplayHeight;
    private int mFingerprintCenterX;
    private int mFingerprintCenterY;
    private int mFlag;
    private boolean mIsViewAdded;
    private final java.lang.Runnable mRemoveHighLightViewRunnableCali = new java.lang.Runnable() {
        public void run() {
            huawei.com.android.server.fingerprint.FingerprintCalibrarionView.this.hideCaliView();
        }
    };
    private android.view.WindowManager mWindowManager;
    private android.os.IPowerManager pm;

    private static class HighLightMaskViewCali extends android.view.View {
        private static final int DEFAULT_CIRCLE_RADIUS = 180;
        private int mCenterX;
        private int mCenterY;
        private int mOverlayColor;
        private final android.graphics.Paint mPaint = new android.graphics.Paint(1);
        private int mRadius;
        private float mScale;

        public HighLightMaskViewCali(android.content.Context context) {
            super(context);
            this.mPaint.setDither(true);
            this.mPaint.setStyle(android.graphics.Paint.Style.FILL);
            this.mRadius = 180;
        }

        public void setCenter(int centerX, int centerY) {
            this.mCenterX = centerX;
            this.mCenterY = centerY;
        }

        public void setScale(float scale) {
            this.mScale = scale;
        }

        public void setCircleColor(int color) {
            this.mPaint.setColor(color);
        }

        public void onDraw(android.graphics.Canvas canvas) {
            super.onDraw(canvas);
            canvas.drawColor(this.mOverlayColor);
            canvas.drawCircle(((float) this.mCenterX) * this.mScale, ((float) this.mCenterY) * this.mScale, ((float) this.mRadius) * this.mScale, this.mPaint);
            this.mPaint.setXfermode(null);
        }

        public void setOverlayColor(int overlayColor) {
            this.mOverlayColor = overlayColor;
        }
    }

    private FingerprintCalibrarionView(android.content.Context context) {
        this.mContext = context;
        this.mWindowManager = (android.view.WindowManager) context.getSystemService("window");
        this.pm = android.os.IPowerManager.Stub.asInterface(android.os.ServiceManager.getService("power"));
    }

    public static huawei.com.android.server.fingerprint.FingerprintCalibrarionView getInstance(android.content.Context context) {
        huawei.com.android.server.fingerprint.FingerprintCalibrarionView fingerprintCalibrarionView;
        synchronized (huawei.com.android.server.fingerprint.FingerprintCalibrarionView.class) {
            if (sInstance == null) {
                sInstance = new huawei.com.android.server.fingerprint.FingerprintCalibrarionView(context);
            }
            fingerprintCalibrarionView = sInstance;
        }
        return fingerprintCalibrarionView;
    }

    public void showHighlightviewCali(int value) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("showHighlightviewCali>>> value = ");
        stringBuilder.append(value);
        android.util.Log.d("FingerprintCalibrarionView", stringBuilder.toString());
        if (value == 4) {
            this.mFlag = 0;
            this.mIsViewAdded = false;
            setLightLevel(248, 0);
        } else if (value == 200) {
            this.mFlag++;
            if (this.mFlag == 4) {
                android.util.Log.d("FingerprintCalibrarionView", "remove highlight view");
                com.android.server.UiThread.getHandler().postDelayed(this.mRemoveHighLightViewRunnableCali, 5000);
            }
        }
        this.mAlphaValue = value;
        com.android.server.UiThread.getHandler().post(this.mAddHighLightViewRunnableCali);
    }

    public void setCenterPoints(int x, int y) {
        this.mFingerprintCenterX = x;
        this.mFingerprintCenterY = y;
    }

    private void setLightLevel(int level, int lightLevelTime) {
        try {
            this.pm.setBrightnessNoLimit(level, lightLevelTime);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setLightLevel :");
            stringBuilder.append(level);
            stringBuilder.append(" time:");
            stringBuilder.append(lightLevelTime);
            android.util.Log.d("FingerprintCalibrarionView", stringBuilder.toString());
        } catch (android.os.RemoteException e) {
            android.util.Log.e("FingerprintCalibrarionView", "setFingerprintviewHighlight catch RemoteException ");
        }
    }

    private void showCaliView() {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("showCaliView>>> mAlphaValue = ");
        stringBuilder.append(this.mAlphaValue);
        stringBuilder.append(" mIsViewAdded = ");
        stringBuilder.append(this.mIsViewAdded);
        android.util.Log.d("FingerprintCalibrarionView", stringBuilder.toString());
        if (this.mIsViewAdded) {
            this.mCaliView.setCircleColor(android.graphics.Color.argb((float) this.mAlphaValue, 0.0f, 0.0f, 0.0f));
            this.mCaliView.invalidate();
            return;
        }
        this.mCaliView = new huawei.com.android.server.fingerprint.FingerprintCalibrarionView.HighLightMaskViewCali(this.mContext);
        this.mCaliView.setCenter(this.mFingerprintCenterX, this.mFingerprintCenterY);
        int defaultDisplayHeight = android.provider.Settings.Global.getInt(this.mContext.getContentResolver(), "aps_init_height", 2880);
        this.mCaliView.setScale(((float) com.huawei.android.os.SystemPropertiesEx.getInt("persist.sys.rog.height", defaultDisplayHeight)) / ((float) defaultDisplayHeight));
        this.mCaliView.setCircleColor(android.graphics.Color.argb((float) this.mAlphaValue, 0.0f, 0.0f, 0.0f));
        this.mCaliViewParams = new android.view.WindowManager.LayoutParams(-1, -1);
        this.mCaliViewParams.type = 2015;
        this.mCaliViewParams.flags = 1304;
        android.view.WindowManager.LayoutParams layoutParams = this.mCaliViewParams;
        layoutParams.privateFlags |= 16;
        this.mCaliViewParams.format = -3;
        this.mWindowManager.addView(this.mCaliView, this.mCaliViewParams);
        this.mIsViewAdded = true;
    }

    private void hideCaliView() {
        android.util.Log.d("FingerprintCalibrarionView", "hideCaliView>>>");
        this.mIsViewAdded = false;
        this.mCaliView.setVisibility(4);
        this.mCaliView.invalidate();
        setLightLevel(-1, 0);
    }
}
