package huawei.com.android.server.fingerprint;

public class FingerprintView extends android.widget.RelativeLayout {
    static final java.lang.String TAG = "FingerprintView";
    private huawei.com.android.server.fingerprint.FingerprintView.ICallBack mHandleViewCallback;

    public interface ICallBack {
        void onConfigurationChanged(android.content.res.Configuration configuration);

        void onDrawFinish();

        void userActivity();
    }

    public FingerprintView(android.content.Context context) {
        super(context);
    }

    public FingerprintView(android.content.Context context, android.util.AttributeSet attrs) {
        super(context, attrs);
    }

    protected void onDraw(android.graphics.Canvas canvas) {
        super.onDraw(canvas);
        canvas.drawColor(android.graphics.Color.argb(128.0f, 0.0f, 0.0f, 0.0f));
        android.util.Log.e("FingerprintView", "fingerprintview onDraw");
    }

    public boolean onTouchEvent(android.view.MotionEvent ev) {
        if (this.mHandleViewCallback != null) {
            this.mHandleViewCallback.userActivity();
        }
        return false;
    }

    public void setCallback(huawei.com.android.server.fingerprint.FingerprintView.ICallBack handleViewCallback) {
        this.mHandleViewCallback = handleViewCallback;
    }

    public void onConfigurationChanged(android.content.res.Configuration newConfig) {
        super.onConfigurationChanged(newConfig);
    }
}
