package huawei.com.android.server.fingerprint;

public class SuspensionButton extends android.widget.RelativeLayout {
    private static final java.lang.String PKGNAME_OF_KEYGUARD = "com.android.systemui";
    private static final java.lang.String TAG = "SuspensionButton";
    private boolean mClickable = true;
    private float mEndX;
    private float mEndY;
    private huawei.com.android.server.fingerprint.SuspensionButton.ICallBack mHandleViewCallback;
    private boolean mMovable = false;
    private float mStartX;
    private float mStartY;

    public interface ICallBack {
        java.lang.String getCurrentApp();

        void onButtonClick();

        void onButtonViewMoved(float f, float f2);

        void onConfigurationChanged(android.content.res.Configuration configuration);

        void userActivity();
    }

    public SuspensionButton(android.content.Context context) {
        super(context);
    }

    public SuspensionButton(android.content.Context context, android.util.AttributeSet attrs) {
        super(context, attrs);
        android.util.Log.e("SuspensionButton", "SuspensionButton,created");
    }

    public void setCallback(huawei.com.android.server.fingerprint.SuspensionButton.ICallBack callback) {
        this.mHandleViewCallback = callback;
    }

    public boolean onTouchEvent(android.view.MotionEvent event) {
        int action = event.getActionMasked();
        if (this.mHandleViewCallback == null) {
            android.util.Log.i("SuspensionButton", "no callback regesited or disabled");
            return false;
        }
        this.mHandleViewCallback.userActivity();
        switch (action) {
            case 0:
                this.mStartX = event.getRawX();
                this.mStartY = event.getRawY();
                this.mClickable = true;
                this.mMovable = false;
                break;
            case 1:
                this.mEndX = event.getRawX();
                this.mEndY = event.getRawY();
                if (this.mClickable) {
                    this.mHandleViewCallback.onButtonClick();
                }
                if (this.mMovable) {
                    this.mHandleViewCallback.onButtonViewMoved(this.mEndX, this.mEndY);
                    break;
                }
                break;
            case 2:
                this.mEndX = event.getRawX();
                this.mEndY = event.getRawY();
                if (this.mEndX - this.mStartX > 100.0f || this.mEndX - this.mStartX < -100.0f || this.mEndY - this.mStartY > 100.0f || this.mEndY - this.mStartY < -100.0f) {
                    this.mClickable = false;
                    this.mMovable = true;
                }
                if ("com.android.systemui".equals(this.mHandleViewCallback.getCurrentApp())) {
                    this.mMovable = false;
                }
                if (this.mMovable) {
                    this.mHandleViewCallback.onButtonViewMoved(this.mEndX, this.mEndY);
                    break;
                }
                break;
            default:
                break;
        }
        return true;
    }

    public void onConfigurationChanged(android.content.res.Configuration newConfig) {
        super.onConfigurationChanged(newConfig);
        if (this.mHandleViewCallback == null) {
            android.util.Log.i("SuspensionButton", "no callback regesited");
        } else {
            this.mHandleViewCallback.onConfigurationChanged(newConfig);
        }
    }
}
