package huawei.com.android.server.policy;

public class BootMessageActions {
    private static final boolean DEBUG = false;
    private static final java.lang.String TAG = "BootMessageActions";
    private final android.content.Context mContext;
    private huawei.com.android.server.policy.HwHotaView mHwHotaView;
    private android.view.WindowManager mWindowManager;

    public BootMessageActions(android.content.Context context) {
        this.mContext = context;
        createHwHotaView();
    }

    public void showBootMessage(int curr, int total) {
        if (this.mHwHotaView == null) {
            createHwHotaView();
        }
        if (this.mHwHotaView != null) {
            this.mHwHotaView.setVisibility(0);
            int progress = (int) ((((float) curr) / ((float) total)) * 1120403456);
            java.lang.String str = this.mContext.getResources().getString(33685801);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("showBootMessage progress");
            stringBuilder.append(progress);
            android.util.Flog.i(204, stringBuilder.toString());
            this.mHwHotaView.update(str, progress);
        }
    }

    public void hideBootMessage() {
        if (this.mHwHotaView != null) {
            this.mWindowManager = (android.view.WindowManager) this.mContext.getSystemService("window");
            android.util.Flog.i(204, "hideBootMessage removeView");
            this.mWindowManager.removeView(this.mHwHotaView);
            this.mHwHotaView = null;
        }
    }

    private void createHwHotaView() {
        android.util.Flog.i(204, "createHwHotaView");
        android.view.WindowManager.LayoutParams lp = new android.view.WindowManager.LayoutParams(-1, -1, 2021, 16778499, -1);
        lp.screenOrientation = 5;
        this.mHwHotaView = (huawei.com.android.server.policy.HwHotaView) android.view.LayoutInflater.from(this.mContext).inflate(34013225, null);
        this.mHwHotaView.init();
        this.mWindowManager = (android.view.WindowManager) this.mContext.getSystemService("window");
        this.mWindowManager.addView(this.mHwHotaView, lp);
        this.mHwHotaView.setSystemUiVisibility(16778499 | 4);
    }
}
