package huawei.com.android.server.policy;

public class HwGlobalActions implements android.content.DialogInterface.OnDismissListener, android.content.DialogInterface.OnClickListener, huawei.com.android.server.policy.HwGlobalActionsView.ActionPressedCallback {
    private static final java.lang.String ACTION_NOTIFY_STATUSBAR_HIDE = "com.android.server.pc.action.DOCKBAR_HIDE";
    private static final java.lang.String ACTION_NOTIFY_STATUSBAR_SHOW = "com.android.server.pc.action.DOCKBAR_SHOW";
    private static final int AUTOROTATION_OPEN = 1;
    private static final int BLUR_RADIUS = 18;
    private static final boolean DEBUG = false;
    private static final int DEFAULT_BITMAP_FILL_COLOR = -872415232;
    private static final int DEFAULT_BITMAP_WIDTH_AND_HEIGHT = 100;
    private static final int DISMISSS_DELAY_0 = 0;
    private static final int DISMISSS_DELAY_200 = 200;
    private static final boolean FASTSHUTDOWN_CONSIDER_SDCARD = true;
    private static final boolean FASTSHUTDOWN_PROP = android.os.SystemProperties.getBoolean("ro.config.hw_emui_fastshutdown_mode", true);
    private static final int INCOMINGCALL_DISMISS_VIEW_DELAY = 200;
    private static final int MAXLAYER = 159999;
    private static final int MESSAGE_DISMISS = 0;
    private static final int MESSAGE_SHOW = 1;
    private static final int MESSAGE_UPDATE_AIRPLANE_MODE = 2;
    private static final int MESSAGE_UPDATE_LOCKDOWN_MODE = 6;
    private static final int MESSAGE_UPDATE_REBOOT_MODE = 4;
    private static final int MESSAGE_UPDATE_SHUTDOWN_MODE = 5;
    private static final int MESSAGE_UPDATE_SILENT_MODE = 3;
    private static final int MINLAYER = 0;
    private static final int MSG_SET_BLUR_BITMAP = 7;
    private static final int NO_REBOOT_CHARGE_FLAG = 1;
    private static final java.lang.String PERMISSION_BROADCAST_GLOBALACTIONS_VIEW_STATE_CHANGED = "com.huawei.permission.GLOBALACTIONS_VIEW_STATE_CHANGED";
    private static final int ROTATION_DEFAULT = 0;
    private static final int ROTATION_NINETY = 90;
    private static final float SCALE = 0.125f;
    private static final java.lang.String TAG = "HwGlobalActions";
    private static com.android.server.power.IHwShutdownThread iHwShutdownThread = com.android.server.HwServiceFactory.getHwShutdownThread();
    private static boolean mCharging = false;
    private final int ROTATION = android.os.SystemProperties.getInt("ro.panel.hw_orientation", 0);
    private huawei.com.android.server.policy.HwGlobalActions.ToggleAction mAirplaneModeAction;
    private android.database.ContentObserver mAirplaneModeObserver = new android.database.ContentObserver(new android.os.Handler()) {
        public void onChange(boolean selfChange) {
            huawei.com.android.server.policy.HwGlobalActions.this.mHandler.sendEmptyMessage(2);
        }
    };
    private android.media.AudioManager mAudioManager;
    private android.graphics.drawable.BitmapDrawable mBlurDrawable;
    private android.content.BroadcastReceiver mBroadcastReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            java.lang.String action = intent.getAction();
            if (!"android.intent.action.CLOSE_SYSTEM_DIALOGS".equals(action)) {
                if (!"android.intent.action.SCREEN_OFF".equals(action)) {
                    if ("android.intent.action.EMERGENCY_CALLBACK_MODE_CHANGED".equals(action)) {
                        if (!intent.getBooleanExtra("PHONE_IN_ECM_STATE", false) && huawei.com.android.server.policy.HwGlobalActions.this.mIsWaitingForEcmExit) {
                            huawei.com.android.server.policy.HwGlobalActions.this.mIsWaitingForEcmExit = false;
                            huawei.com.android.server.policy.HwGlobalActions.this.changeAirplaneModeSystemSetting(true);
                            return;
                        }
                        return;
                    } else if ("android.intent.action.PHONE_STATE".equals(action)) {
                        if (android.telephony.TelephonyManager.EXTRA_STATE_RINGING.equals(intent.getStringExtra("state"))) {
                            huawei.com.android.server.policy.HwGlobalActions.this.mHandler.sendEmptyMessageDelayed(0, 200);
                            return;
                        }
                        return;
                    } else {
                        return;
                    }
                }
            }
            if (!"globalactions".equals(intent.getStringExtra("reason"))) {
                huawei.com.android.server.policy.HwGlobalActions.this.mHandler.sendEmptyMessage(0);
            }
        }
    };
    private final android.content.Context mContext;
    private final android.service.dreams.IDreamManager mDreamManager;
    private final com.android.server.policy.GlobalActionsProvider mGlobalActionsProvider;
    private huawei.com.android.server.policy.HwGlobalActionsView mGlobalActionsView;
    private huawei.com.android.server.policy.HwGlobalActionsData mGlobalactionsData = null;
    private android.os.Handler mHandler = new android.os.Handler() {
        public void handleMessage(android.os.Message msg) {
            switch (msg.what) {
                case 0:
                    boolean isLockdown = false;
                    android.os.Bundle bundle = msg.getData();
                    if (bundle != null) {
                        isLockdown = bundle.getBoolean("is_lock_down", false);
                    }
                    huawei.com.android.server.policy.HwGlobalActions.this.hideGlobalActionsView(isLockdown);
                    return;
                case 1:
                    huawei.com.android.server.policy.HwGlobalActions.this.handleShow();
                    return;
                case 2:
                    if (huawei.com.android.server.policy.HwGlobalActions.this.mAirplaneModeAction != null) {
                        huawei.com.android.server.policy.HwGlobalActions.this.mAirplaneModeAction.updateState();
                        return;
                    }
                    return;
                case 3:
                    if (huawei.com.android.server.policy.HwGlobalActions.this.mSilentModeAction != null) {
                        huawei.com.android.server.policy.HwGlobalActions.this.mSilentModeAction.updateState();
                        return;
                    }
                    return;
                case 4:
                    if (huawei.com.android.server.policy.HwGlobalActions.this.mGlobalactionsData == null) {
                        return;
                    }
                    if ((huawei.com.android.server.policy.HwGlobalActions.this.mGlobalactionsData.getState() & 512) == 0) {
                        huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(huawei.com.android.server.policy.HwGlobalActions.this.mContext).setImageAnimation(false).start();
                        huawei.com.android.server.policy.HwGlobalActions.this.mGlobalactionsData.setRebootMode(512);
                        return;
                    }
                    if (huawei.com.android.server.policy.HwGlobalActions.this.isHwGlobalTwoActionsSupport()) {
                        huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(huawei.com.android.server.policy.HwGlobalActions.this.mContext).rebackNewShutdownMenu(huawei.com.android.server.policy.HwGlobalActions.this.mGlobalactionsData.getState());
                    } else {
                        huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(huawei.com.android.server.policy.HwGlobalActions.this.mContext).rebackShutdownMenu(true);
                    }
                    huawei.com.android.server.policy.HwGlobalActions.this.mGlobalactionsData.setRebootMode(256);
                    return;
                case 5:
                    if (huawei.com.android.server.policy.HwGlobalActions.this.mGlobalactionsData == null) {
                        return;
                    }
                    if ((huawei.com.android.server.policy.HwGlobalActions.this.mGlobalactionsData.getState() & 8192) == 0) {
                        huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(huawei.com.android.server.policy.HwGlobalActions.this.mContext).setImageAnimation(false).start();
                        huawei.com.android.server.policy.HwGlobalActions.this.mGlobalactionsData.setShutdownMode(8192);
                        return;
                    }
                    if (huawei.com.android.server.policy.HwGlobalActions.this.isHwGlobalTwoActionsSupport()) {
                        huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(huawei.com.android.server.policy.HwGlobalActions.this.mContext).rebackNewShutdownMenu(huawei.com.android.server.policy.HwGlobalActions.this.mGlobalactionsData.getState());
                    } else {
                        huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(huawei.com.android.server.policy.HwGlobalActions.this.mContext).rebackShutdownMenu(false);
                    }
                    huawei.com.android.server.policy.HwGlobalActions.this.mGlobalactionsData.setShutdownMode(4096);
                    return;
                case 6:
                    if (huawei.com.android.server.policy.HwGlobalActions.this.mGlobalactionsData == null) {
                        return;
                    }
                    if ((huawei.com.android.server.policy.HwGlobalActions.this.mGlobalactionsData.getState() & 131072) == 0) {
                        huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(huawei.com.android.server.policy.HwGlobalActions.this.mContext).setImageAnimation(false).start();
                        huawei.com.android.server.policy.HwGlobalActions.this.mGlobalactionsData.setLockdownMode(131072);
                        return;
                    }
                    if (huawei.com.android.server.policy.HwGlobalActions.this.isHwGlobalTwoActionsSupport()) {
                        huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(huawei.com.android.server.policy.HwGlobalActions.this.mContext).rebackNewShutdownMenu(huawei.com.android.server.policy.HwGlobalActions.this.mGlobalactionsData.getState());
                    } else {
                        huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(huawei.com.android.server.policy.HwGlobalActions.this.mContext).rebackShutdownMenu(false);
                    }
                    huawei.com.android.server.policy.HwGlobalActions.this.mGlobalactionsData.setLockdownMode(65536);
                    return;
                case 7:
                    android.graphics.Bitmap currBitmap = null;
                    huawei.com.android.server.policy.HwGlobalActions.this.mThread = null;
                    android.graphics.Bitmap blurBitmap = msg.obj;
                    if (huawei.com.android.server.policy.HwGlobalActions.this.mBlurDrawable != null) {
                        currBitmap = huawei.com.android.server.policy.HwGlobalActions.this.mBlurDrawable.getBitmap();
                    }
                    if (!(currBitmap == null || currBitmap == blurBitmap)) {
                        currBitmap.recycle();
                    }
                    if (blurBitmap != null) {
                        huawei.com.android.server.policy.HwGlobalActions.this.mBlurDrawable = new android.graphics.drawable.BitmapDrawable(huawei.com.android.server.policy.HwGlobalActions.this.mContext.getResources(), blurBitmap);
                        huawei.com.android.server.policy.HwGlobalActions.this.setDrawableBound();
                    }
                    huawei.com.android.server.policy.HwGlobalActions.this.doHandleShowWork();
                    return;
                default:
                    return;
            }
        }
    };
    private boolean mHasTelephony;
    private boolean mHasVibrator;
    private boolean mHwFastShutdownEnable = false;
    private boolean mHwGlobalActionsShowing;
    private boolean mIsDeviceProvisioned;
    private boolean mIsWaitingForEcmExit = false;
    private boolean mKeyguardSecure;
    private boolean mKeyguardShowing;
    final java.lang.Object mLock = new java.lang.Object[0];
    android.telephony.PhoneStateListener mPhoneStateListener = new android.telephony.PhoneStateListener() {
        public void onServiceStateChanged(android.telephony.ServiceState serviceState) {
            if (huawei.com.android.server.policy.HwGlobalActions.this.mHasTelephony) {
                huawei.com.android.server.policy.HwGlobalActions.this.mHandler.sendEmptyMessage(2);
            }
        }
    };
    private android.content.BroadcastReceiver mRingerModeReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            if ("android.media.RINGER_MODE_CHANGED".equals(intent.getAction()) && huawei.com.android.server.policy.HwGlobalActions.this.mSilentModeAction != null) {
                huawei.com.android.server.policy.HwGlobalActions.this.mHandler.sendEmptyMessage(3);
            }
        }
    };
    private huawei.com.android.server.policy.HwGlobalActions.ToggleAction mSilentModeAction;
    private int mSystemRotation = -1;
    private huawei.com.android.server.policy.HwGlobalActions.BitmapThread mThread;
    private final com.android.server.policy.WindowManagerPolicy.WindowManagerFuncs mWindowManagerFuncs;

    public interface Action {
        boolean onLongPress();

        void onPress();
    }

    private class BitmapThread extends java.lang.Thread {
        public void run() {
            super.run();
            synchronized (huawei.com.android.server.policy.HwGlobalActions.this.mLock) {
                if (isInterrupted()) {
                    return;
                }
                android.graphics.Bitmap screenShot = null;
                try {
                    screenShot = huawei.com.android.server.policy.BlurUtils.screenShotBitmap(huawei.com.android.server.policy.HwGlobalActions.this.mContext, 0, 159999, 0.125f, new android.graphics.Rect());
                } catch (java.lang.Exception ex) {
                    ex.printStackTrace();
                } catch (java.lang.Error err) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("startBlurScreenshotThread  Error er = ");
                    stringBuilder.append(err.getMessage());
                    android.util.Log.e("HwGlobalActions", stringBuilder.toString());
                }
                android.graphics.Bitmap defaultBitmap;
                if (screenShot == null) {
                    android.util.Log.e("HwGlobalActions", "start screen shot fail,we fill it with a default color.");
                    defaultBitmap = android.graphics.Bitmap.createBitmap(100, 100, android.graphics.Bitmap.Config.ARGB_8888);
                    defaultBitmap.eraseColor(-872415232);
                    huawei.com.android.server.policy.HwGlobalActions.this.notifyBlurResult(defaultBitmap);
                    return;
                }
                if (!(screenShot.isMutable() && screenShot.getConfig() == android.graphics.Bitmap.Config.ARGB_8888)) {
                    defaultBitmap = screenShot.copy(android.graphics.Bitmap.Config.ARGB_8888, true);
                    screenShot.recycle();
                    screenShot = defaultBitmap;
                }
                huawei.com.android.server.policy.BlurUtils.blurImage(huawei.com.android.server.policy.HwGlobalActions.this.mContext, screenShot, screenShot, 18);
                if (screenShot != null) {
                    if (huawei.android.hwpicaveragenoises.HwPicAverageNoises.isAverageNoiseSupported()) {
                        defaultBitmap = new huawei.android.hwpicaveragenoises.HwPicAverageNoises().addNoiseWithBlackBoard(screenShot, -1728053248);
                    } else {
                        defaultBitmap = huawei.com.android.server.policy.BlurUtils.addBlackBoard(screenShot, -1728053248);
                    }
                    screenShot.recycle();
                    screenShot = defaultBitmap;
                }
                if (isInterrupted()) {
                    return;
                }
                huawei.com.android.server.policy.HwGlobalActions.this.notifyBlurResult(screenShot);
            }
        }
    }

    public abstract class ToggleAction implements huawei.com.android.server.policy.HwGlobalActions.Action {
        public abstract void onToggle();

        public final void onPress() {
            if (isInTransition()) {
                android.util.Log.w("HwGlobalActions", "shouldn't be able to toggle when in transition");
                return;
            }
            onToggle();
            changeStateFromPress();
        }

        public boolean onLongPress() {
            return false;
        }

        protected void changeStateFromPress() {
        }

        public void updateState() {
        }

        protected boolean isInTransition() {
            return false;
        }
    }

    public HwGlobalActions(android.content.Context context, com.android.server.policy.WindowManagerPolicy.WindowManagerFuncs windowManagerFuncs) {
        boolean z = false;
        this.mContext = context;
        this.mWindowManagerFuncs = windowManagerFuncs;
        this.mGlobalActionsProvider = (com.android.server.policy.GlobalActionsProvider) com.android.server.LocalServices.getService(com.android.server.policy.GlobalActionsProvider.class);
        this.mDreamManager = android.service.dreams.IDreamManager.Stub.asInterface(android.os.ServiceManager.getService("dreams"));
        android.content.IntentFilter filter = new android.content.IntentFilter();
        filter.addAction("android.intent.action.SCREEN_OFF");
        filter.addAction("android.intent.action.EMERGENCY_CALLBACK_MODE_CHANGED");
        filter.addAction("android.intent.action.PHONE_STATE");
        context.registerReceiver(this.mBroadcastReceiver, filter);
        ((android.telephony.TelephonyManager) context.getSystemService("phone")).listen(this.mPhoneStateListener, 1);
        this.mHasTelephony = ((android.net.ConnectivityManager) context.getSystemService("connectivity")).isNetworkSupported(0);
        this.mContext.getContentResolver().registerContentObserver(android.provider.Settings.Global.getUriFor("airplane_mode_on"), true, this.mAirplaneModeObserver);
        android.os.Vibrator vibrator = (android.os.Vibrator) this.mContext.getSystemService("vibrator");
        if (vibrator != null && vibrator.hasVibrator()) {
            z = true;
        }
        this.mHasVibrator = z;
        this.mContext.registerReceiver(this.mRingerModeReceiver, new android.content.IntentFilter("android.media.RINGER_MODE_CHANGED"));
        android.content.IntentFilter filter3 = new android.content.IntentFilter();
        filter3.addAction("android.intent.action.CLOSE_SYSTEM_DIALOGS");
        this.mContext.registerReceiver(this.mBroadcastReceiver, filter3, "android.permission.INJECT_EVENTS", null);
    }

    public void showDialog(boolean keyguardShowing, boolean keyguardSecure, boolean isDeviceProvisioned) {
        if (this.mGlobalActionsProvider != null && this.mGlobalActionsProvider.isGlobalActionsDisabled()) {
            android.util.Log.i("HwGlobalActions", "showDialog(): global actions disabled(device in Lock Task Mode)");
        } else if (!this.mHwGlobalActionsShowing) {
            if (!isDeviceProvisioned && ((android.os.UserManager) this.mContext.getSystemService("user")).getUserCount() > 1 && isOwnerUser()) {
                isDeviceProvisioned = true;
            }
            this.mKeyguardShowing = keyguardShowing;
            this.mKeyguardSecure = keyguardSecure;
            this.mIsDeviceProvisioned = isDeviceProvisioned;
            this.mHandler.sendEmptyMessage(1);
            sendGlobalActionsIntent(true);
        }
    }

    private void sendGlobalActionsIntent(boolean isShown) {
        if (this.mContext != null) {
            android.content.Intent globalActionsIntent = new android.content.Intent("com.android.systemui.action.GLOBAL_ACTION");
            globalActionsIntent.putExtra("isShown", isShown);
            globalActionsIntent.setPackage("com.android.systemui");
            this.mContext.sendBroadcastAsUser(globalActionsIntent, android.os.UserHandle.CURRENT, "com.android.keyguard.FINGERPRINT_UNLOCK");
        }
    }

    private boolean isOwnerUser() {
        return android.app.ActivityManager.getCurrentUser() == 0;
    }

    private void awakenIfNecessary() {
        if (this.mDreamManager != null) {
            try {
                if (this.mDreamManager.isDreaming()) {
                    this.mDreamManager.awaken();
                }
            } catch (android.os.RemoteException e) {
            }
        }
    }

    private void doHandleShowWork() {
        initGlobalActionsData(this.mKeyguardShowing, this.mKeyguardSecure, this.mIsDeviceProvisioned);
        initGlobalActions();
        createGlobalActionsView();
        if (this.mGlobalActionsView != null) {
            this.mGlobalActionsView.setBackgroundDrawable(this.mBlurDrawable);
        }
        showGlobalActionsView();
        com.huawei.android.statistical.StatisticalUtils.reportc(this.mContext, 21);
    }

    private void handleShow() {
        awakenIfNecessary();
        startBlurScreenshotThread();
    }

    public void onOtherAreaPressed() {
        java.lang.String stateName = "dismiss";
        if ((this.mGlobalactionsData.getState() & 512) != 0) {
            this.mHandler.sendEmptyMessage(4);
            stateName = "cancel_reboot";
        } else if ((this.mGlobalactionsData.getState() & 8192) != 0) {
            this.mHandler.sendEmptyMessage(5);
            stateName = "cancel_shutdown";
        } else if ((this.mGlobalactionsData.getState() & 131072) != 0) {
            this.mHandler.sendEmptyMessage(6);
            stateName = "cancel_lockdown";
        } else {
            dismissShutdownMenu(0);
        }
        com.huawei.android.statistical.StatisticalUtils.reporte(this.mContext, 22, java.lang.String.format("{action:touch_black, state:%s}", new java.lang.Object[]{stateName}));
    }

    private void dismissShutdownMenuAfterLockdown() {
        android.animation.AnimatorSet dismissAnimSet = huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(this.mContext).setShutdownMenuDismissAnim();
        dismissAnimSet.addListener(new android.animation.Animator.AnimatorListener() {
            public void onAnimationStart(android.animation.Animator arg0) {
                huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(huawei.com.android.server.policy.HwGlobalActions.this.mContext).setIsAnimRunning(true);
                android.os.Bundle bundle = new android.os.Bundle();
                bundle.putBoolean("is_lock_down", true);
                android.os.Message msg = huawei.com.android.server.policy.HwGlobalActions.this.mHandler.obtainMessage(0);
                msg.setData(bundle);
                huawei.com.android.server.policy.HwGlobalActions.this.mHandler.sendMessage(msg);
            }

            public void onAnimationRepeat(android.animation.Animator arg0) {
            }

            public void onAnimationEnd(android.animation.Animator arg0) {
                huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(huawei.com.android.server.policy.HwGlobalActions.this.mContext).setIsAnimRunning(false);
            }

            public void onAnimationCancel(android.animation.Animator arg0) {
                huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(huawei.com.android.server.policy.HwGlobalActions.this.mContext).setIsAnimRunning(false);
            }
        });
        dismissAnimSet.start();
        if (this.ROTATION == 90 && this.mSystemRotation >= 0) {
            android.provider.Settings.System.putInt(this.mContext.getContentResolver(), "accelerometer_rotation", this.mSystemRotation);
            this.mSystemRotation = -1;
        }
    }

    public void dismissShutdownMenu(int delayTime) {
        android.animation.AnimatorSet mExitSet;
        if (isHwGlobalTwoActionsSupport()) {
            mExitSet = huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(this.mContext).setNewShutdownViewAnimation(false);
        } else {
            mExitSet = huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(this.mContext).setImageAnimation(false);
        }
        mExitSet.addListener(new android.animation.Animator.AnimatorListener() {
            public void onAnimationStart(android.animation.Animator arg0) {
                huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(huawei.com.android.server.policy.HwGlobalActions.this.mContext).setIsAnimRunning(true);
            }

            public void onAnimationRepeat(android.animation.Animator arg0) {
            }

            public void onAnimationEnd(android.animation.Animator arg0) {
                huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(huawei.com.android.server.policy.HwGlobalActions.this.mContext).setIsAnimRunning(false);
                huawei.com.android.server.policy.HwGlobalActions.this.mHandler.sendEmptyMessage(0);
            }

            public void onAnimationCancel(android.animation.Animator arg0) {
                huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(huawei.com.android.server.policy.HwGlobalActions.this.mContext).setIsAnimRunning(false);
            }
        });
        if (delayTime > 0) {
            mExitSet.setStartDelay((long) delayTime);
        }
        mExitSet.start();
        if (this.ROTATION == 90 && this.mSystemRotation >= 0) {
            android.provider.Settings.System.putInt(this.mContext.getContentResolver(), "accelerometer_rotation", this.mSystemRotation);
            this.mSystemRotation = -1;
        }
    }

    public void onAirplaneModeActionPressed() {
        if (this.mAirplaneModeAction != null) {
            this.mAirplaneModeAction.onPress();
        }
    }

    public void onSilentModeActionPressed() {
        if (this.mSilentModeAction != null) {
            this.mSilentModeAction.onPress();
        }
    }

    public void onRebootActionPressed() {
        com.huawei.android.statistical.StatisticalUtils.reporte(this.mContext, 22, "{action:reboot, state:pressed}");
        if (this.mGlobalactionsData != null) {
            if ((this.mGlobalactionsData.getState() & 512) == 0) {
                this.mHandler.sendEmptyMessage(4);
            } else if (isOtherAreaPressedInTalkback()) {
                onOtherAreaPressed();
            } else {
                if (this.ROTATION == 90 && this.mSystemRotation >= 0) {
                    android.provider.Settings.System.putInt(this.mContext.getContentResolver(), "accelerometer_rotation", this.mSystemRotation);
                    this.mSystemRotation = -1;
                }
                if (isHwGlobalTwoActionsSupport()) {
                    huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(this.mContext).startNewShutdownOrRebootAnim(true, false);
                } else {
                    if (this.mGlobalActionsView != null) {
                        this.mGlobalActionsView.showRestartingHint();
                    }
                    huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(this.mContext).startShutdownOrRebootAnim(true);
                }
                try {
                    android.os.IPowerManager pm = android.os.IPowerManager.Stub.asInterface(android.os.ServiceManager.getService("power"));
                    if (pm != null) {
                        if (com.android.server.HwAutoUpdate.getInstance().isAutoSystemUpdate(this.mContext, true)) {
                            pm.reboot(false, "recovery", false);
                        } else {
                            pm.reboot(false, "huawei_reboot", false);
                        }
                        com.huawei.android.statistical.StatisticalUtils.reporte(this.mContext, 22, "{action:reboot, state:confrim}");
                        if (isHwGlobalTwoActionsSupport()) {
                            huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(this.mContext).setIsAnimRunning(true);
                        }
                    }
                } catch (android.os.RemoteException e) {
                    android.util.Log.e("HwGlobalActions", "PowerManager service died!", e);
                }
            }
        }
    }

    public void onLockdownActionPressed() {
        if (this.mGlobalactionsData != null) {
            if ((this.mGlobalactionsData.getState() & 131072) == 0) {
                this.mHandler.sendEmptyMessage(6);
            } else if (isOtherAreaPressedInTalkback()) {
                onOtherAreaPressed();
            } else {
                if (this.ROTATION == 90 && this.mSystemRotation >= 0) {
                    android.provider.Settings.System.putInt(this.mContext.getContentResolver(), "accelerometer_rotation", this.mSystemRotation);
                    this.mSystemRotation = -1;
                }
                dismissShutdownMenuAfterLockdown();
            }
        }
    }

    public static void SetShutdownFlag(int flag) {
        try {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("shutdownThread: writeBootAnimShutFlag =");
            stringBuilder.append(flag);
            android.util.Log.d("HwGlobalActions", stringBuilder.toString());
            if (com.android.internal.os.HwBootAnimationOeminfo.setBootChargeShutFlag(flag) != 0) {
                android.util.Log.e("HwGlobalActions", "shutdownThread: writeBootAnimShutFlag error");
            }
        } catch (java.lang.Exception ex) {
            android.util.Log.e("HwGlobalActions", ex.toString());
        }
    }

    public void onShutdownActionPressed(boolean isDeskClockClose, boolean isBootOnTimeClose, int listviewState) {
        if (android.hdm.HwDeviceManager.disallowOp(49)) {
            android.widget.Toast toast = android.widget.Toast.makeText(this.mContext, 33685904, 0);
            toast.getWindowParams().type = 2101;
            android.view.WindowManager.LayoutParams windowParams = toast.getWindowParams();
            windowParams.privateFlags |= 16;
            toast.show();
            return;
        }
        com.huawei.android.statistical.StatisticalUtils.reporte(this.mContext, 22, "{action:shutdown, state:pressed}");
        android.os.BatteryManagerInternal batteryManagerInternal = (android.os.BatteryManagerInternal) com.android.server.LocalServices.getService(android.os.BatteryManagerInternal.class);
        if (batteryManagerInternal != null) {
            mCharging = batteryManagerInternal.isPowered(7);
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("the current mCharging = ");
            stringBuilder.append(mCharging);
            android.util.Log.d("HwGlobalActions", stringBuilder.toString());
            if (mCharging) {
                SetShutdownFlag(1);
            }
        }
        if (this.mGlobalactionsData != null) {
            if ((this.mGlobalactionsData.getState() & 8192) == 0) {
                this.mHandler.sendEmptyMessage(5);
            } else if (isOtherAreaPressedInTalkback()) {
                onOtherAreaPressed();
            } else {
                if (this.ROTATION == 90 && this.mSystemRotation >= 0) {
                    android.provider.Settings.System.putInt(this.mContext.getContentResolver(), "accelerometer_rotation", this.mSystemRotation);
                    this.mSystemRotation = -1;
                }
                if ((huawei.com.android.server.policy.HwGlobalActionsData.getSingletoneInstance().getState() & 8192) != 0) {
                    android.app.AlarmManager alarmManager = (android.app.AlarmManager) this.mContext.getSystemService("alarm");
                    if (alarmManager != null) {
                        alarmManager.adjustHwRTCAlarm(isDeskClockClose, isBootOnTimeClose, listviewState);
                    }
                }
                checkFastShutdownCondition();
                if (isHwGlobalTwoActionsSupport()) {
                    huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(this.mContext).startNewShutdownOrRebootAnim(false, this.mHwFastShutdownEnable);
                } else {
                    if (this.mGlobalActionsView != null) {
                        this.mGlobalActionsView.showShutdongingHint();
                    }
                    huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(this.mContext).startShutdownOrRebootAnim(false);
                }
                try {
                    android.os.IPowerManager pm = android.os.IPowerManager.Stub.asInterface(android.os.ServiceManager.getService("power"));
                    if (pm != null) {
                        if (com.android.server.HwAutoUpdate.getInstance().isAutoSystemUpdate(this.mContext, false)) {
                            pm.reboot(false, "recovery", false);
                        } else {
                            this.mWindowManagerFuncs.shutdown(false);
                        }
                        com.huawei.android.statistical.StatisticalUtils.reporte(this.mContext, 22, "{action:shutdown, state:confrim}");
                        if (isHwGlobalTwoActionsSupport()) {
                            huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(this.mContext).setIsAnimRunning(true);
                        }
                    }
                } catch (android.os.RemoteException e) {
                    this.mWindowManagerFuncs.shutdown(false);
                    android.util.Log.e("HwGlobalActions", "onShutdownActionPressed PowerManager service died!", e);
                }
            }
        }
    }

    public boolean isHwFastShutdownEnable() {
        return this.mHwFastShutdownEnable;
    }

    private void checkFastShutdownCondition() {
        boolean z = false;
        if (iHwShutdownThread == null || !iHwShutdownThread.isShutDownAnimationAvailable()) {
            if (FASTSHUTDOWN_PROP && !isSDCardMounted()) {
                z = true;
            }
            this.mHwFastShutdownEnable = z;
        } else {
            this.mHwFastShutdownEnable = false;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("checkFastShutdownCondition: fastshutdown=");
        stringBuilder.append(this.mHwFastShutdownEnable);
        stringBuilder.append(" ,sdcardmounted=");
        stringBuilder.append(isSDCardMounted());
        huawei.com.android.server.policy.recsys.HwLog.d("HwGlobalActions", stringBuilder.toString());
    }

    private boolean isSDCardMounted() {
        android.os.storage.StorageManager storageManager = (android.os.storage.StorageManager) this.mContext.getSystemService("storage");
        if (storageManager != null) {
            for (android.os.storage.StorageVolume storageVolume : storageManager.getVolumeList()) {
                if (storageVolume.isRemovable() && !storageVolume.getPath().contains("usb")) {
                    if ("mounted".equals(storageManager.getVolumeState(storageVolume.getPath()))) {
                        return true;
                    }
                }
            }
        }
        return false;
    }

    private boolean isOtherAreaPressedInTalkback() {
        if (this.mGlobalActionsView == null || !this.mGlobalActionsView.isAccessibilityFocused()) {
            return false;
        }
        return true;
    }

    public void onDismiss(android.content.DialogInterface dialog) {
    }

    public void onClick(android.content.DialogInterface dialog, int which) {
    }

    private void initGlobalActions() {
        if (this.mAirplaneModeAction == null) {
            this.mAirplaneModeAction = new huawei.com.android.server.policy.HwGlobalActions.ToggleAction() {
                public void onToggle() {
                    java.lang.String targetStateName = "none";
                    if (huawei.com.android.server.policy.HwGlobalActions.this.mHasTelephony && java.lang.Boolean.parseBoolean(android.os.SystemProperties.get("ril.cdma.inecmmode"))) {
                        huawei.com.android.server.policy.HwGlobalActions.this.mIsWaitingForEcmExit = true;
                        android.content.Intent ecmDialogIntent = new android.content.Intent("com.android.internal.intent.action.ACTION_SHOW_NOTICE_ECM_BLOCK_OTHERS", null);
                        ecmDialogIntent.addFlags(268435456);
                        huawei.com.android.server.policy.HwGlobalActions.this.mContext.startActivity(ecmDialogIntent);
                    } else {
                        boolean airplaneModeOn = android.provider.Settings.Global.getInt(huawei.com.android.server.policy.HwGlobalActions.this.mContext.getContentResolver(), "airplane_mode_on", 0) == 1;
                        huawei.com.android.server.policy.HwGlobalActions.this.changeAirplaneModeSystemSetting(!airplaneModeOn);
                        targetStateName = airplaneModeOn ? "off" : "on";
                    }
                    com.huawei.android.statistical.StatisticalUtils.reporte(huawei.com.android.server.policy.HwGlobalActions.this.mContext, 22, java.lang.String.format("{action:airplane, state:%s}", new java.lang.Object[]{targetStateName}));
                }

                protected boolean isInTransition() {
                    if ((huawei.com.android.server.policy.HwGlobalActions.this.mGlobalactionsData.getState() & 4) != 0) {
                        return true;
                    }
                    return false;
                }

                protected void changeStateFromPress() {
                    huawei.com.android.server.policy.HwGlobalActions.this.mGlobalactionsData.setAirplaneMode(huawei.com.android.server.policy.HwGlobalActions.this.mGlobalactionsData.getState() | 4);
                }

                public void updateState() {
                    huawei.com.android.server.policy.HwGlobalActions.this.updateGlobalActionsAirplanemodeState();
                }
            };
        }
        if (this.mSilentModeAction == null) {
            this.mSilentModeAction = new huawei.com.android.server.policy.HwGlobalActions.ToggleAction() {
                public void onToggle() {
                    huawei.com.android.server.policy.HwGlobalActions.this.mAudioManager = huawei.com.android.server.policy.HwGlobalActions.this.getAudioService(huawei.com.android.server.policy.HwGlobalActions.this.mContext);
                    if (huawei.com.android.server.policy.HwGlobalActions.this.mAudioManager == null) {
                        android.util.Log.e("HwGlobalActions", "AudioManager is null !!");
                        return;
                    }
                    java.lang.String targetStateName = "none";
                    switch (huawei.com.android.server.policy.HwGlobalActions.this.mAudioManager.getRingerMode()) {
                        case 0:
                            huawei.com.android.server.policy.HwGlobalActions.this.mAudioManager.setRingerMode(2);
                            targetStateName = "normal";
                            break;
                        case 1:
                            if (huawei.com.android.server.policy.HwGlobalActions.this.mHasVibrator) {
                                huawei.com.android.server.policy.HwGlobalActions.this.mAudioManager.setRingerMode(0);
                                targetStateName = "silent";
                                break;
                            }
                            break;
                        case 2:
                            if (!huawei.com.android.server.policy.HwGlobalActions.this.mHasVibrator) {
                                huawei.com.android.server.policy.HwGlobalActions.this.mAudioManager.setRingerMode(0);
                                targetStateName = "silent";
                                break;
                            }
                            huawei.com.android.server.policy.HwGlobalActions.this.mAudioManager.setRingerMode(1);
                            targetStateName = "vibrate";
                            break;
                        default:
                            break;
                    }
                    com.huawei.android.statistical.StatisticalUtils.reporte(huawei.com.android.server.policy.HwGlobalActions.this.mContext, 22, java.lang.String.format("{action:sound, state:%s}", new java.lang.Object[]{targetStateName}));
                }

                protected boolean isInTransition() {
                    if ((huawei.com.android.server.policy.HwGlobalActions.this.mGlobalactionsData.getState() & 128) != 0) {
                        return true;
                    }
                    return false;
                }

                protected void changeStateFromPress() {
                    huawei.com.android.server.policy.HwGlobalActions.this.mGlobalactionsData.setSilentMode(huawei.com.android.server.policy.HwGlobalActions.this.mGlobalactionsData.getState() | 128);
                }

                public void updateState() {
                    huawei.com.android.server.policy.HwGlobalActions.this.updateGlobalActionsSilentmodeState();
                }
            };
        }
    }

    private void updateGlobalActionsSilentmodeState() {
        android.media.AudioManager mAudioManager = getAudioService(this.mContext);
        if (mAudioManager == null) {
            android.util.Log.e("HwGlobalActions", "AudioManager is null !!");
            return;
        }
        switch (mAudioManager.getRingerMode()) {
            case 0:
                this.mGlobalactionsData.setSilentMode(16);
                break;
            case 1:
                this.mGlobalactionsData.setSilentMode(32);
                break;
            case 2:
                this.mGlobalactionsData.setSilentMode(64);
                break;
            default:
                break;
        }
    }

    private android.media.AudioManager getAudioService(android.content.Context context) {
        android.media.AudioManager audioManager = (android.media.AudioManager) context.getSystemService("audio");
        if (audioManager != null) {
            return audioManager;
        }
        return null;
    }

    private void updateGlobalActionsAirplanemodeState() {
        boolean z = false;
        int i = 1;
        if (android.provider.Settings.Global.getInt(this.mContext.getContentResolver(), "airplane_mode_on", 0) == 1) {
            z = true;
        }
        boolean airplaneModeOn = z;
        huawei.com.android.server.policy.HwGlobalActionsData hwGlobalActionsData = this.mGlobalactionsData;
        if (!airplaneModeOn) {
            i = 2;
        }
        hwGlobalActionsData.setAirplaneMode(i);
    }

    private void initGlobalActionsData(boolean keyguardShowing, boolean keyguardSecure, boolean isDeviceProvisioned) {
        this.mGlobalactionsData = huawei.com.android.server.policy.HwGlobalActionsData.getSingletoneInstance();
        this.mGlobalactionsData.init(keyguardShowing, keyguardSecure, isDeviceProvisioned);
        updateGlobalActionsAirplanemodeState();
        updateGlobalActionsSilentmodeState();
        this.mGlobalactionsData.setRebootMode(256);
        this.mGlobalactionsData.setShutdownMode(4096);
        this.mGlobalactionsData.setLockdownMode(65536);
    }

    private void createGlobalActionsView() {
        android.view.WindowManager.LayoutParams lp = new android.view.WindowManager.LayoutParams(-1, -1, 2009, 16909569, -2);
        lp.privateFlags |= Integer.MIN_VALUE;
        lp.layoutInDisplayCutoutMode = 1;
        lp.windowAnimations = this.mContext.getResources().getIdentifier("androidhwext:style/HwAnimation.GlobalActionsView", null, null);
        if (this.ROTATION == 0) {
            lp.screenOrientation = 5;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(" lp.screenOrientation = ");
        stringBuilder.append(lp.screenOrientation);
        android.util.Log.d("HwGlobalActions", stringBuilder.toString());
        lp.setTitle("HwGlobalActions");
        android.view.WindowManager wm = (android.view.WindowManager) this.mContext.getSystemService("window");
        if (this.mGlobalActionsView != null) {
            wm.removeView(this.mGlobalActionsView);
            this.mGlobalActionsView = null;
        }
        android.view.LayoutInflater inflater = android.view.LayoutInflater.from(new android.view.ContextThemeWrapper(this.mContext, this.mContext.getResources().getIdentifier("androidhwext:style/Theme.Emui.Dark", null, null)));
        if (isHwGlobalTwoActionsSupport()) {
            this.mGlobalActionsView = (huawei.com.android.server.policy.HwGlobalActionsView) inflater.inflate(34013228, null);
            lp.screenOrientation = convertRotationToScreenOrientation(wm.getDefaultDisplay().getRotation());
        } else {
            this.mGlobalActionsView = (huawei.com.android.server.policy.HwGlobalActionsView) inflater.inflate(34013224, null);
        }
        this.mGlobalActionsView.setContentDescription(this.mContext.getResources().getString(33685738));
        this.mGlobalActionsView.setVisibility(4);
        this.mGlobalActionsView.initUI(this.mHandler.getLooper());
        this.mGlobalActionsView.registerActionPressedCallback(this);
        this.mGlobalActionsView.requestFocus();
        wm.addView(this.mGlobalActionsView, lp);
        this.mGlobalActionsView.setSystemUiVisibility(16909569 | 4);
    }

    private int convertRotationToScreenOrientation(int rotation) {
        switch (rotation) {
            case 0:
                return 1;
            case 1:
                return 0;
            case 2:
                return 9;
            case 3:
                return 8;
            default:
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("convertRotationToScreenOrientation: not expected rotation = ");
                stringBuilder.append(rotation);
                android.util.Log.w("HwGlobalActions", stringBuilder.toString());
                return 1;
        }
    }

    public void showGlobalActionsView() {
        if (this.mGlobalActionsView != null) {
            if (android.util.HwPCUtils.enabledInPad() && android.util.HwPCUtils.isPcCastModeInServer()) {
                sendStatusbarHideNotification();
                android.util.HwPCUtils.log("HwGlobalActions", "showGlobalActionsView()--show sendStatusbarHideNotification");
            }
            this.mGlobalActionsView.setVisibility(0);
            this.mHwGlobalActionsShowing = true;
        }
    }

    public void hideGlobalActionsView(final boolean isLockdown) {
        if (this.mGlobalActionsView != null) {
            android.animation.ObjectAnimator alpha_global_action = android.animation.ObjectAnimator.ofFloat(this.mGlobalActionsView, "alpha", new float[]{1.0f, 0.0f});
            if (isLockdown) {
                alpha_global_action = android.animation.ObjectAnimator.ofFloat(this.mGlobalActionsView, "alpha", new float[]{1.0f, 1.0f});
                alpha_global_action.setInterpolator(huawei.com.android.server.policy.ShutdownMenuAnimations.CubicBezier_40_0);
                alpha_global_action.setDuration(200);
            } else {
                alpha_global_action.setInterpolator(huawei.com.android.server.policy.ShutdownMenuAnimations.CubicBezier_33_33);
                alpha_global_action.setDuration(350);
            }
            alpha_global_action.addListener(new android.animation.Animator.AnimatorListener() {
                public void onAnimationStart(android.animation.Animator arg0) {
                    if (isLockdown) {
                        new com.android.internal.widget.LockPatternUtils(huawei.com.android.server.policy.HwGlobalActions.this.mContext).requireStrongAuth(32, -1);
                        try {
                            android.view.WindowManagerGlobal.getWindowManagerService().lockNow(null);
                        } catch (android.os.RemoteException e) {
                            android.util.Log.e("HwGlobalActions", "Error while trying to lock device.", e);
                        }
                    }
                }

                public void onAnimationRepeat(android.animation.Animator arg0) {
                }

                public void onAnimationEnd(android.animation.Animator arg0) {
                    if (huawei.com.android.server.policy.HwGlobalActions.this.mGlobalActionsView != null) {
                        huawei.com.android.server.policy.HwGlobalActions.this.mGlobalActionsView.setBackgroundDrawable(null);
                        huawei.com.android.server.policy.HwGlobalActions.this.mGlobalActionsView.deinitUI();
                        huawei.com.android.server.policy.HwGlobalActions.this.mGlobalActionsView.unregisterActionPressedCallback();
                        huawei.com.android.server.policy.HwGlobalActions.this.mGlobalActionsView.setVisibility(8);
                        ((android.view.WindowManager) huawei.com.android.server.policy.HwGlobalActions.this.mContext.getSystemService("window")).removeView(huawei.com.android.server.policy.HwGlobalActions.this.mGlobalActionsView);
                        huawei.com.android.server.policy.HwGlobalActions.this.mGlobalActionsView = null;
                        huawei.com.android.server.policy.HwGlobalActions.this.sendGlobalActionsIntent(false);
                    }
                    if (android.util.HwPCUtils.enabledInPad() && android.util.HwPCUtils.isPcCastModeInServer()) {
                        huawei.com.android.server.policy.HwGlobalActions.this.sendStatusbarShowNotification();
                        android.util.HwPCUtils.log("HwGlobalActions", "showGlobalActionsView()--hide sendStatusbarShowNotification");
                    }
                }

                public void onAnimationCancel(android.animation.Animator arg0) {
                }
            });
            alpha_global_action.start();
            android.graphics.Bitmap currBitmap = this.mBlurDrawable == null ? null : this.mBlurDrawable.getBitmap();
            if (currBitmap != null) {
                currBitmap.recycle();
            }
        }
        this.mHwGlobalActionsShowing = false;
        huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(this.mContext).setIsAnimRunning(false);
        if (this.ROTATION == 90 && this.mSystemRotation >= 0) {
            android.provider.Settings.System.putInt(this.mContext.getContentResolver(), "accelerometer_rotation", this.mSystemRotation);
            this.mSystemRotation = -1;
        }
    }

    public boolean isHwGlobalActionsShowing() {
        return this.mHwGlobalActionsShowing;
    }

    private void changeAirplaneModeSystemSetting(boolean on) {
        android.provider.Settings.Global.putInt(this.mContext.getContentResolver(), "airplane_mode_on", on);
        android.content.Intent intent = new android.content.Intent("android.intent.action.AIRPLANE_MODE");
        intent.addFlags(536870912);
        intent.putExtra("state", on);
        this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.ALL);
        dismissShutdownMenu(200);
    }

    private final void notifyBlurResult(android.graphics.Bitmap bitmap) {
        android.os.Message msg = android.os.Message.obtain();
        msg.obj = bitmap;
        msg.what = 7;
        this.mHandler.sendMessage(msg);
    }

    private void setDrawableBound() {
        if (this.mBlurDrawable != null) {
            android.util.DisplayMetrics displayMetrics = new android.util.DisplayMetrics();
            ((android.view.WindowManager) this.mContext.getSystemService("window")).getDefaultDisplay().getRealMetrics(displayMetrics);
            this.mBlurDrawable.setBounds(0, 0, displayMetrics.widthPixels, displayMetrics.heightPixels);
        }
    }

    private void startBlurScreenshotThread() {
        this.mThread = new huawei.com.android.server.policy.HwGlobalActions.BitmapThread();
        this.mThread.start();
    }

    public boolean isHwGlobalTwoActionsSupport() {
        return this.mContext.getResources().getBoolean(34537474);
    }

    private void sendStatusbarHideNotification() {
        android.content.Intent intent = new android.content.Intent();
        intent.setAction("com.android.server.pc.action.DOCKBAR_HIDE");
        this.mContext.sendBroadcast(intent, "com.huawei.permission.GLOBALACTIONS_VIEW_STATE_CHANGED");
    }

    private void sendStatusbarShowNotification() {
        android.content.Intent intent = new android.content.Intent();
        intent.setAction("com.android.server.pc.action.DOCKBAR_SHOW");
        this.mContext.sendBroadcast(intent, "com.huawei.permission.GLOBALACTIONS_VIEW_STATE_CHANGED");
    }
}
