package huawei.com.android.server.policy;

public class HwGlobalActionsView extends android.widget.RelativeLayout implements android.app.AbsWallpaperManagerInner.IBlurWallpaperCallback {
    private static final java.lang.String AIRPLANEMODE_TAG = "airplane_mode";
    private static final int BEEP_DURATION = 150;
    public static final boolean BLUR_SCREENSHOT = true;
    public static final boolean DEBUG = false;
    private static final java.lang.String DESKCLOCK_PACKAGENAME = "com.android.deskclock";
    private static final int DISABLE_ACCESSIBILITY_DELAY_MILLIS = 3000;
    private static final int DISMISSS_DELAY_0 = 0;
    private static final int DISMISSS_DELAY_1000 = 1000;
    private static final char ENABLED_ACCESSIBILITY_SERVICES_SEPARATOR = ':';
    private static final int FIX_BUG_ALPHA = 254;
    private static final int FREE_DELAY = 10000;
    private static final int ID_IC_AIRPLANEMODE = 33751059;
    private static final int ID_IC_AIRPLANEMODE_OFF = 33751636;
    private static final int ID_IC_AIRPLANEMODE_ON = 33751060;
    private static final int ID_IC_NEW_LOCKDOWN = 33751785;
    private static final int ID_IC_NEW_LOCKDOWN_CONFIRM = 33751785;
    private static final int ID_IC_NEW_REBOOT = 33751230;
    private static final int ID_IC_NEW_REBOOT_CONFIRM = 33751230;
    private static final int ID_IC_NEW_SHUTDOWN = 33751229;
    private static final int ID_IC_NEW_SHUTDOWN_CONFIRM = 33751229;
    private static final int ID_IC_REBOOT = 33751064;
    private static final int ID_IC_REBOOT_CONFIRM = 33751065;
    private static final int ID_IC_SHUTDOWN = 33751072;
    private static final int ID_IC_SHUTDOWN_CONFIRM = 33751073;
    private static final int ID_IC_SILENTMODE_NORMAL = 33751063;
    private static final int ID_IC_SILENTMODE_SILENT = 33751061;
    private static final int ID_IC_SILENTMODE_VIBRATE = 33751062;
    private static final int ID_STR_AIRPLANEMODE = 33685734;
    private static final int ID_STR_AIRPLANEMODE_OFF = 33685744;
    private static final int ID_STR_AIRPLANEMODE_ON = 33685743;
    private static final int ID_STR_LOCKDOWN = 33686054;
    private static final int ID_STR_LOCKDOWN_CONFIRM = 33686055;
    private static final int ID_STR_REBOOT = 33685740;
    private static final int ID_STR_REBOOTING = 33685784;
    private static final int ID_STR_REBOOT_CONFIRM = 33685741;
    private static final int ID_STR_SHUTDOWN = 33685738;
    private static final int ID_STR_SHUTDOWNING = 33685783;
    private static final int ID_STR_SHUTDOWN_CONFIRM = 33685739;
    private static final int ID_STR_SILENTMODE = 33685735;
    private static final int ID_STR_SOUNDMODE = 33685736;
    private static final int ID_STR_TOUCH_TO_GO_BACK = 33685742;
    private static final int ID_STR_VIBRATIONMODE = 33685737;
    private static final boolean IS_POWEROFF_ALARM_ENABLED = "true".equals(android.os.SystemProperties.get("ro.poweroff_alarm", "true"));
    static final java.lang.String LOCKDOWN_TAG = "lockdown";
    private static final int MAX_VOLUME = 100;
    private static final int MESSAGE_DISABLE_ACCESSIBILITY = 7;
    private static final int MIN_INTERVAL_BETWEEN_CLICKS = 200;
    private static final int MSG_DISMISS_DELAY = 6;
    private static final int MSG_FREE_RESOURCES = 5;
    private static final int MSG_PLAY_SOUND = 2;
    private static final int MSG_RESET_BLURWALLPAPER = 1;
    private static final int MSG_STOP_SOUNDS = 3;
    private static final int MSG_VIBRATE = 4;
    private static final int NONE_LISTVIEW = 1;
    private static final int ONE_BOOT_LISTVIEW = 5;
    private static final int ONE_DESKCLOCK_LISTVIEW = 4;
    private static final int ONE_TWO_BOOT_LISTVIEW = 7;
    private static final int ONE_TWO_DESKCLOCK_LISTVIEW = 6;
    private static final java.lang.String OTHERAREA_TAG = "other_area";
    private static final int PLAY_SOUND_DELAY = 300;
    static final java.lang.String REBOOT_TAG = "reboot";
    private static final java.lang.String SETTINGS_PACKAGENAME = "com.android.providers.settings";
    static final java.lang.String SHUTDOWN_TAG = "shutdown";
    private static final java.lang.String SILENTMODE_TAG = "silent_mode";
    private static final java.lang.String TAG = "HwGlobalActions";
    private static final java.lang.String TALKBACK_COMPONENT_NAME = "com.google.android.marvin.talkback/com.google.android.marvin.talkback.TalkBackService";
    private static final java.lang.String TALKBACK_CONFIG = "ro.config.hw_talkback_btn";
    private static final int TWO_BOOT_DLISTVIEW = 3;
    private static final int TWO_DESKCLOCK_DLISTVIEW = 2;
    private static int TYPEDESKCLOCK = 1;
    private static int TYPESETTINGS = 2;
    public static final int VIBRATE_DELAY = 300;
    private static final int VIBRATE_DURATION = 300;
    private static final android.media.AudioAttributes VIBRATION_ATTRIBUTES = new android.media.AudioAttributes.Builder().setContentType(4).setUsage(13).build();
    private static long mShowBootOnTime = -1;
    private static long mShowDeskClockTime = -1;
    private static java.lang.Boolean[] mState = new java.lang.Boolean[]{java.lang.Boolean.valueOf(true), java.lang.Boolean.valueOf(true)};
    private static final java.util.Set<android.content.ComponentName> sInstalledServices = new java.util.HashSet();
    private static final android.text.TextUtils.SimpleStringSplitter sStringColonSplitter = new android.text.TextUtils.SimpleStringSplitter(':');
    private boolean isFirstShow;
    private android.view.View.AccessibilityDelegate mAccessibilityDelegate;
    private android.widget.TextView mAccessibilityTip;
    private android.view.View.OnClickListener mActionClickListener;
    private android.view.View mAirplanemodeView;
    private huawei.com.android.server.policy.HwGlobalActionsView.ActionPressedCallback mCallback;
    private boolean mCanceled;
    private boolean mDisableIntercepted;
    private android.graphics.drawable.Drawable mDrawable;
    private android.animation.AnimatorSet mEnterSet;
    private boolean mEventAfterActionDown;
    private float mFirstPointerDownX;
    private float mFirstPointerDownY;
    private android.os.Handler mHandler;
    private boolean mInitedConfirm;
    private boolean mIsBootOnTimeClose;
    private boolean mIsDeskClockClose;
    private long mLastClickTime;
    private int mListviewState;
    private android.view.View mLockdownView;
    private huawei.com.android.server.policy.HwGlobalActionsView.MyActionStateObserver mObserver;
    private android.view.View mRebootView;
    private java.util.ArrayList<java.lang.String> mShutdownListViewText;
    private huawei.com.android.server.policy.HwGlobalActionsView.MyAdapter mShutdownListviewAdapter;
    private android.view.View mShutdownView;
    private boolean mSilentModeButtonTouched;
    private android.view.View mSilentmodeView;
    private android.media.Ringtone mTone;
    private android.media.ToneGenerator[] mToneGenerators;
    private float mTouchSlop;
    private android.os.Vibrator mVibrator;
    java.util.ArrayList<android.view.View> mViewList;
    private android.app.WallpaperManager mWallpaperManager;
    private int mWindowTouchSlop;
    private android.widget.ListView shutdown_listview;
    private android.view.View view_confirm_action;
    private android.view.View view_four_action;
    private android.view.View view_two_action;

    public interface ActionPressedCallback {
        void dismissShutdownMenu(int i);

        void onAirplaneModeActionPressed();

        void onLockdownActionPressed();

        void onOtherAreaPressed();

        void onRebootActionPressed();

        void onShutdownActionPressed(boolean z, boolean z2, int i);

        void onSilentModeActionPressed();
    }

    private class MyAdapter extends android.widget.BaseAdapter {
        private android.view.LayoutInflater inflater = null;
        private java.util.ArrayList<java.lang.String> list;

        public MyAdapter(java.util.ArrayList<java.lang.String> list, android.content.Context context) {
            this.list = list;
            this.inflater = android.view.LayoutInflater.from(context);
        }

        public int getCount() {
            return this.list.size();
        }

        public java.lang.Object getItem(int position) {
            return this.list.get(position);
        }

        public long getItemId(int position) {
            return (long) position;
        }

        public android.view.View getView(int position, android.view.View convertView, android.view.ViewGroup parent) {
            huawei.com.android.server.policy.HwGlobalActionsView.ViewHolder holder;
            if (convertView == null) {
                holder = new huawei.com.android.server.policy.HwGlobalActionsView.ViewHolder();
                if (huawei.com.android.server.policy.HwGlobalActionsView.this.isHwGlobalTwoActionsSupport()) {
                    convertView = this.inflater.inflate(34013227, null);
                } else {
                    convertView = this.inflater.inflate(34013223, null);
                }
                holder.checkBox = (android.widget.CheckBox) convertView.findViewById(34603173);
                convertView.setTag(holder);
            } else {
                holder = (huawei.com.android.server.policy.HwGlobalActionsView.ViewHolder) convertView.getTag();
            }
            holder.checkBox.setText((java.lang.CharSequence) this.list.get(position));
            holder.checkBox.setOnCheckedChangeListener(new huawei.com.android.server.policy.HwGlobalActionsView.SearchItemOnCheckedChangeListener(position, huawei.com.android.server.policy.HwGlobalActionsView.mState));
            return convertView;
        }
    }

    public class SearchItemOnCheckedChangeListener implements android.widget.CompoundButton.OnCheckedChangeListener {
        private int id;
        private java.lang.Boolean[] state;

        public SearchItemOnCheckedChangeListener(int id, java.lang.Boolean[] state) {
            this.id = id;
            this.state = state;
        }

        public void onCheckedChanged(android.widget.CompoundButton buttonView, boolean isChecked) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("-----SearchItemOnCheckedChangeListener---");
            stringBuilder.append(isChecked);
            stringBuilder.append(", id = ");
            stringBuilder.append(this.id);
            android.util.Log.d("HwGlobalActions", stringBuilder.toString());
            switch (huawei.com.android.server.policy.HwGlobalActionsView.this.mListviewState) {
                case 1:
                    huawei.com.android.server.policy.HwGlobalActionsView.this.mIsDeskClockClose = false;
                    huawei.com.android.server.policy.HwGlobalActionsView.this.mIsBootOnTimeClose = false;
                    break;
                case 2:
                    huawei.com.android.server.policy.HwGlobalActionsView.mState[this.id] = java.lang.Boolean.valueOf(isChecked);
                    huawei.com.android.server.policy.HwGlobalActionsView.this.mIsDeskClockClose = this.state[0].booleanValue();
                    if (!isChecked && this.id == 0) {
                        huawei.com.android.server.policy.HwGlobalActionsView.this.mListviewState = 6;
                        huawei.com.android.server.policy.HwGlobalActionsView.this.mIsBootOnTimeClose = true;
                        huawei.com.android.server.policy.HwGlobalActionsView.this.mShutdownListViewText.clear();
                        huawei.com.android.server.policy.HwGlobalActionsView.this.mShutdownListViewText.add(huawei.com.android.server.policy.HwGlobalActionsView.this.formateTime(huawei.com.android.server.policy.HwGlobalActionsView.mShowDeskClockTime, huawei.com.android.server.policy.HwGlobalActionsView.TYPEDESKCLOCK));
                        huawei.com.android.server.policy.HwGlobalActionsView.this.mShutdownListViewText.add(huawei.com.android.server.policy.HwGlobalActionsView.this.formateTime(huawei.com.android.server.policy.HwGlobalActionsView.mShowBootOnTime, huawei.com.android.server.policy.HwGlobalActionsView.TYPESETTINGS));
                        break;
                    }
                case 3:
                    huawei.com.android.server.policy.HwGlobalActionsView.mState[this.id] = java.lang.Boolean.valueOf(isChecked);
                    huawei.com.android.server.policy.HwGlobalActionsView.this.mIsBootOnTimeClose = this.state[0].booleanValue();
                    if (!isChecked && this.id == 0) {
                        huawei.com.android.server.policy.HwGlobalActionsView.this.mListviewState = 7;
                        huawei.com.android.server.policy.HwGlobalActionsView.this.mIsDeskClockClose = true;
                        huawei.com.android.server.policy.HwGlobalActionsView.this.mShutdownListViewText.clear();
                        huawei.com.android.server.policy.HwGlobalActionsView.this.mShutdownListViewText.add(huawei.com.android.server.policy.HwGlobalActionsView.this.formateTime(huawei.com.android.server.policy.HwGlobalActionsView.mShowBootOnTime, huawei.com.android.server.policy.HwGlobalActionsView.TYPESETTINGS));
                        huawei.com.android.server.policy.HwGlobalActionsView.this.mShutdownListViewText.add(huawei.com.android.server.policy.HwGlobalActionsView.this.formateTime(huawei.com.android.server.policy.HwGlobalActionsView.mShowDeskClockTime, huawei.com.android.server.policy.HwGlobalActionsView.TYPEDESKCLOCK));
                        break;
                    }
                case 4:
                    huawei.com.android.server.policy.HwGlobalActionsView.mState[this.id] = java.lang.Boolean.valueOf(isChecked);
                    huawei.com.android.server.policy.HwGlobalActionsView.this.mIsDeskClockClose = this.state[0].booleanValue();
                    huawei.com.android.server.policy.HwGlobalActionsView.this.mIsBootOnTimeClose = false;
                    break;
                case 5:
                    huawei.com.android.server.policy.HwGlobalActionsView.mState[this.id] = java.lang.Boolean.valueOf(isChecked);
                    huawei.com.android.server.policy.HwGlobalActionsView.this.mIsBootOnTimeClose = this.state[0].booleanValue();
                    huawei.com.android.server.policy.HwGlobalActionsView.this.mIsDeskClockClose = false;
                    break;
                case 6:
                    huawei.com.android.server.policy.HwGlobalActionsView.mState[this.id] = java.lang.Boolean.valueOf(isChecked);
                    huawei.com.android.server.policy.HwGlobalActionsView.this.mIsDeskClockClose = this.state[0].booleanValue();
                    huawei.com.android.server.policy.HwGlobalActionsView.this.mIsBootOnTimeClose = this.state[1].booleanValue();
                    break;
                case 7:
                    huawei.com.android.server.policy.HwGlobalActionsView.mState[this.id] = java.lang.Boolean.valueOf(isChecked);
                    huawei.com.android.server.policy.HwGlobalActionsView.this.mIsBootOnTimeClose = this.state[0].booleanValue();
                    huawei.com.android.server.policy.HwGlobalActionsView.this.mIsDeskClockClose = this.state[1].booleanValue();
                    break;
                default:
                    break;
            }
            huawei.com.android.server.policy.HwGlobalActionsView.mState = this.state;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("SearchItemOnCheckedChangeListener,,mListviewState = ");
            stringBuilder2.append(huawei.com.android.server.policy.HwGlobalActionsView.this.mListviewState);
            stringBuilder2.append(",mIsBootOnTimeClose =");
            stringBuilder2.append(huawei.com.android.server.policy.HwGlobalActionsView.this.mIsBootOnTimeClose);
            stringBuilder2.append(",mIsDeskClockClose = ");
            stringBuilder2.append(huawei.com.android.server.policy.HwGlobalActionsView.this.mIsDeskClockClose);
            android.util.Log.d("HwGlobalActions", stringBuilder2.toString());
            huawei.com.android.server.policy.HwGlobalActionsView.this.mShutdownListviewAdapter.notifyDataSetChanged();
            com.huawei.android.statistical.StatisticalUtils.reporte(huawei.com.android.server.policy.HwGlobalActionsView.this.mContext, 23, java.lang.String.format("{DeskClock:%s, BootOnTime:%s}", new java.lang.Object[]{java.lang.Boolean.valueOf(huawei.com.android.server.policy.HwGlobalActionsView.this.mIsDeskClockClose), java.lang.Boolean.valueOf(huawei.com.android.server.policy.HwGlobalActionsView.this.mIsBootOnTimeClose)}));
        }
    }

    static class ViewHolder {
        public android.widget.CheckBox checkBox;

        ViewHolder() {
        }
    }

    private final class MyActionStateObserver implements huawei.com.android.server.policy.HwGlobalActionsData.ActionStateObserver {
        public void onAirplaneModeActionStateChanged() {
            if (huawei.com.android.server.policy.HwGlobalActionsData.getSingletoneInstance().isDeviceProvisioned()) {
                huawei.com.android.server.policy.HwGlobalActionsView.this.updateAirplaneModeUI(huawei.com.android.server.policy.HwGlobalActionsView.this.view_four_action);
            }
        }

        public void onSilentModeActionStateChanged() {
            if (huawei.com.android.server.policy.HwGlobalActionsData.getSingletoneInstance().isDeviceProvisioned()) {
                huawei.com.android.server.policy.HwGlobalActionsView.this.updateSilentModeUI(huawei.com.android.server.policy.HwGlobalActionsView.this.view_four_action);
            }
        }

        public void onRebootActionStateChanged() {
            if ((huawei.com.android.server.policy.HwGlobalActionsData.getSingletoneInstance().getState() & 512) != 0) {
                huawei.com.android.server.policy.HwGlobalActionsView.this.initConfirmAction(512);
            } else if (huawei.com.android.server.policy.HwGlobalActionsData.getSingletoneInstance().isDeviceProvisioned()) {
                huawei.com.android.server.policy.HwGlobalActionsView.this.showNormalUI();
            } else {
                huawei.com.android.server.policy.HwGlobalActionsView.this.showBeforeProvisioningUI();
            }
        }

        public void onShutdownActionStateChanged() {
            if ((huawei.com.android.server.policy.HwGlobalActionsData.getSingletoneInstance().getState() & 8192) != 0) {
                huawei.com.android.server.policy.HwGlobalActionsView.this.initConfirmAction(8192);
            } else if (huawei.com.android.server.policy.HwGlobalActionsData.getSingletoneInstance().isDeviceProvisioned()) {
                huawei.com.android.server.policy.HwGlobalActionsView.this.showNormalUI();
            } else {
                huawei.com.android.server.policy.HwGlobalActionsView.this.showBeforeProvisioningUI();
            }
        }

        public void onLockdownActionStateChanged() {
            if ((huawei.com.android.server.policy.HwGlobalActionsData.getSingletoneInstance().getState() & 131072) != 0) {
                huawei.com.android.server.policy.HwGlobalActionsView.this.initConfirmAction(131072);
            } else if (huawei.com.android.server.policy.HwGlobalActionsData.getSingletoneInstance().isDeviceProvisioned()) {
                huawei.com.android.server.policy.HwGlobalActionsView.this.showNormalUI();
            } else {
                huawei.com.android.server.policy.HwGlobalActionsView.this.showBeforeProvisioningUI();
            }
        }
    }

    public HwGlobalActionsView(android.content.Context context) {
        this(context, null);
    }

    public HwGlobalActionsView(android.content.Context context, android.util.AttributeSet attrs) {
        super(context, attrs);
        this.mObserver = new huawei.com.android.server.policy.HwGlobalActionsView.MyActionStateObserver();
        this.view_four_action = null;
        this.view_two_action = null;
        this.view_confirm_action = null;
        this.mCallback = null;
        this.mViewList = new java.util.ArrayList();
        this.isFirstShow = true;
        this.mIsDeskClockClose = true;
        this.mIsBootOnTimeClose = true;
        this.mListviewState = 0;
        this.mShutdownListViewText = new java.util.ArrayList();
        this.mLastClickTime = 0;
        this.mDisableIntercepted = false;
        this.mCanceled = false;
        this.mTouchSlop = 0.0f;
        this.mFirstPointerDownX = 0.0f;
        this.mFirstPointerDownY = 0.0f;
        this.mAccessibilityTip = null;
        this.mTone = null;
        this.mEventAfterActionDown = false;
        this.mInitedConfirm = false;
        this.mAccessibilityDelegate = new android.view.View.AccessibilityDelegate() {
            public void onInitializeAccessibilityNodeInfo(android.view.View host, android.view.accessibility.AccessibilityNodeInfo info) {
                super.onInitializeAccessibilityNodeInfo(host, info);
                if (host == huawei.com.android.server.policy.HwGlobalActionsView.this) {
                    huawei.com.android.server.policy.HwGlobalActionsView.this.setContentDescription(huawei.com.android.server.policy.HwGlobalActionsView.this.getContext().getResources().getString(33685742));
                }
            }

            public boolean performAccessibilityAction(android.view.View host, int action, android.os.Bundle args) {
                return super.performAccessibilityAction(host, action, args);
            }
        };
        this.mActionClickListener = new android.view.View.OnClickListener() {
            public void onClick(android.view.View v) {
                if (huawei.com.android.server.policy.HwGlobalActionsView.this.mHandler != null) {
                    huawei.com.android.server.policy.HwGlobalActionsView.this.mHandler.removeMessages(6);
                }
                if (huawei.com.android.server.policy.HwGlobalActionsView.this.mCallback != null) {
                    if (!huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(huawei.com.android.server.policy.HwGlobalActionsView.this.mContext).getIsAnimRunning()) {
                        if (android.os.SystemClock.elapsedRealtime() - huawei.com.android.server.policy.HwGlobalActionsView.this.mLastClickTime >= 200) {
                            huawei.com.android.server.policy.HwGlobalActionsView.this.mLastClickTime = android.os.SystemClock.elapsedRealtime();
                            java.lang.String obj = v.getTag();
                            java.lang.String tag = "";
                            if (obj instanceof java.lang.String) {
                                tag = obj;
                            }
                            if (tag.equals("other_area")) {
                                huawei.com.android.server.policy.HwGlobalActionsView.this.mCallback.onOtherAreaPressed();
                            } else if (tag.equals("airplane_mode")) {
                                if ("factory".equals(android.os.SystemProperties.get("ro.runmode", "normal"))) {
                                    android.util.Log.i("HwGlobalActions", " factory mode  ");
                                } else if ("normal".equals(android.os.SystemProperties.get("ro.runmode", "normal"))) {
                                    android.util.Log.i("HwGlobalActions", " normal mode  ");
                                    huawei.com.android.server.policy.HwGlobalActionsView.this.mCallback.onAirplaneModeActionPressed();
                                }
                            } else if (tag.equals("silent_mode")) {
                                huawei.com.android.server.policy.HwGlobalActionsView.this.mSilentModeButtonTouched = true;
                                huawei.com.android.server.policy.HwGlobalActionsView.this.mCallback.onSilentModeActionPressed();
                            } else if (tag.equals("reboot")) {
                                if (android.app.ActivityManager.isUserAMonkey()) {
                                    android.util.Log.w("HwGlobalActions", "ignoring monkey's attempt to reboot");
                                    return;
                                }
                                huawei.com.android.server.policy.HwGlobalActionsView.this.mCallback.onRebootActionPressed();
                            } else if (tag.equals("shutdown")) {
                                if (android.app.ActivityManager.isUserAMonkey()) {
                                    android.util.Log.w("HwGlobalActions", "ignoring monkey's attempt to shutdown");
                                    return;
                                }
                                huawei.com.android.server.policy.HwGlobalActionsView.this.mCallback.onShutdownActionPressed(huawei.com.android.server.policy.HwGlobalActionsView.this.mIsDeskClockClose, huawei.com.android.server.policy.HwGlobalActionsView.this.mIsBootOnTimeClose, huawei.com.android.server.policy.HwGlobalActionsView.this.mListviewState);
                            } else if (tag.equals("lockdown")) {
                                huawei.com.android.server.policy.HwGlobalActionsView.this.mCallback.onLockdownActionPressed();
                            }
                        }
                    }
                }
            }
        };
        if (this.mContext != null) {
            this.mTouchSlop = (float) this.mContext.getResources().getDimensionPixelSize(17104904);
            this.mTone = android.media.RingtoneManager.getRingtone(this.mContext, android.provider.Settings.System.DEFAULT_NOTIFICATION_URI);
            if (this.mTone != null) {
                this.mTone.setStreamType(3);
            }
        }
    }

    private void initHandler(android.os.Looper looper) {
        this.mHandler = new android.os.Handler(looper) {
            public void handleMessage(android.os.Message msg) {
                switch (msg.what) {
                    case 1:
                        return;
                    case 2:
                        huawei.com.android.server.policy.HwGlobalActionsView.this.onPlaySound(msg.arg1, msg.arg2);
                        return;
                    case 3:
                        huawei.com.android.server.policy.HwGlobalActionsView.this.onStopSounds();
                        return;
                    case 4:
                        huawei.com.android.server.policy.HwGlobalActionsView.this.onVibrate();
                        return;
                    case 5:
                        huawei.com.android.server.policy.HwGlobalActionsView.this.onFreeResources();
                        return;
                    case 6:
                        if (huawei.com.android.server.policy.HwGlobalActionsView.this.mCallback != null && huawei.com.android.server.policy.HwGlobalActionsView.this.mSilentModeButtonTouched) {
                            huawei.com.android.server.policy.HwGlobalActionsView.this.mCallback.dismissShutdownMenu(0);
                            return;
                        }
                        return;
                    case 7:
                        if (huawei.com.android.server.policy.HwGlobalActionsView.this.mTone != null) {
                            huawei.com.android.server.policy.HwGlobalActionsView.this.mTone.play();
                        }
                        huawei.com.android.server.policy.HwGlobalActionsView.this.disableTalkBackService();
                        return;
                    default:
                        return;
                }
            }
        };
    }

    public void onBlurWallpaperChanged() {
        if (this.mHandler != null) {
            this.mHandler.sendEmptyMessage(1);
        }
    }

    private void setBlurWallpaperBackground() {
        int[] loc = new int[2];
        getLocationOnScreen(loc);
        loc[0] = loc[0] % getContext().getResources().getDisplayMetrics().widthPixels;
        android.graphics.Rect rect = new android.graphics.Rect(loc[0], loc[1], loc[0] + getWidth(), loc[1] + getHeight());
        if (rect.width() > 0 && rect.height() > 0) {
            this.mDrawable = new android.graphics.drawable.BitmapDrawable(this.mWallpaperManager.getBlurBitmap(rect));
            if (this.mDrawable != null) {
                setBackgroundDrawable(this.mDrawable);
            }
        }
    }

    public void onLayout(boolean changed, int l, int t, int r, int b) {
        super.onLayout(changed, l, t, r, b);
        if (changed && this.mHandler != null) {
            this.mHandler.sendEmptyMessage(1);
        }
    }

    public void registerActionPressedCallback(huawei.com.android.server.policy.HwGlobalActionsView.ActionPressedCallback callback) {
        this.mCallback = callback;
    }

    public void unregisterActionPressedCallback() {
        this.mCallback = null;
    }

    private void initConfirmAction(int flag) {
        boolean hwNewGlobalAction = isHwGlobalTwoActionsSupport();
        if (hwNewGlobalAction) {
            this.mInitedConfirm = true;
        }
        android.widget.TextView textView = (android.widget.TextView) this.view_confirm_action.findViewById(34603129);
        android.widget.ImageView imageView = (android.widget.ImageView) this.view_confirm_action.findViewById(34603172);
        android.view.View icon_frame = this.view_confirm_action.findViewById(34603108);
        this.shutdown_listview = (android.widget.ListView) findViewById(34603154);
        if (hwNewGlobalAction) {
            setTag("other_area");
        }
        this.mListviewState = 0;
        this.mIsDeskClockClose = true;
        this.mIsBootOnTimeClose = true;
        this.mShutdownListViewText.clear();
        mState[0] = java.lang.Boolean.valueOf(true);
        mState[1] = java.lang.Boolean.valueOf(true);
        int ret = initAdapterDate();
        this.mShutdownListviewAdapter = new huawei.com.android.server.policy.HwGlobalActionsView.MyAdapter(this.mShutdownListViewText, getContext());
        this.shutdown_listview.setAdapter(this.mShutdownListviewAdapter);
        if (flag == 512) {
            textView.setText(33685741);
            imageView.setImageResource(hwNewGlobalAction ? 33751230 : 33751065);
            if (hwNewGlobalAction) {
                imageView.setImageAlpha(254);
            }
            imageView.setContentDescription(getContext().getResources().getString(33685741));
            icon_frame.setTag("reboot");
            this.shutdown_listview.setVisibility(8);
            if (hwNewGlobalAction) {
                huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(getContext()).newShutdownOrRebootEnterAnim(this.mRebootView);
            } else {
                huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(getContext()).shutdownOrRebootEnterAnim(this.mRebootView, true);
            }
        } else if (flag == 8192) {
            textView.setText(33685739);
            imageView.setImageResource(hwNewGlobalAction ? 33751229 : 33751073);
            if (hwNewGlobalAction) {
                imageView.setImageAlpha(254);
            }
            imageView.setContentDescription(getContext().getResources().getString(33685739));
            icon_frame.setTag("shutdown");
            this.shutdown_listview.setVisibility(0);
            this.shutdown_listview.setTag("disable-multi-select-move");
            this.shutdown_listview.setOverScrollMode(2);
            if (ret == 0 || ret == 1 || android.app.ActivityManager.getCurrentUser() != 0) {
                this.shutdown_listview.setVisibility(8);
            }
            if (hwNewGlobalAction) {
                huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(getContext()).newShutdownOrRebootEnterAnim(this.mShutdownView);
            } else {
                huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(getContext()).shutdownOrRebootEnterAnim(this.mShutdownView, false);
            }
        } else if (flag == 131072) {
            textView.setText(33686055);
            imageView.setImageResource(33751785);
            imageView.setContentDescription(getContext().getResources().getString(33686055));
            icon_frame.setTag("lockdown");
            this.shutdown_listview.setVisibility(8);
            if (hwNewGlobalAction) {
                huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(getContext()).newShutdownOrRebootEnterAnim(this.mLockdownView);
            } else {
                huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(getContext()).shutdownOrRebootEnterAnim(this.mLockdownView, false);
            }
        }
        icon_frame.setOnClickListener(this.mActionClickListener);
    }

    private int initAdapterDate() {
        android.app.AlarmManager alarmManager = (android.app.AlarmManager) getContext().getSystemService("alarm");
        if (alarmManager != null) {
            mShowDeskClockTime = alarmManager.checkHasHwRTCAlarm("com.android.deskclock");
            mShowBootOnTime = alarmManager.checkHasHwRTCAlarm("com.android.providers.settings");
        }
        if (mShowDeskClockTime == -1 && mShowBootOnTime == -1) {
            this.mIsBootOnTimeClose = false;
            this.mIsDeskClockClose = false;
            this.mListviewState = 1;
        } else if (mShowDeskClockTime > 0 && mShowBootOnTime > 0) {
            this.mIsBootOnTimeClose = true;
            this.mIsDeskClockClose = true;
            if (mShowDeskClockTime <= mShowBootOnTime) {
                this.mListviewState = 2;
                this.mShutdownListViewText.add(formateTime(mShowDeskClockTime, TYPEDESKCLOCK));
            } else {
                this.mListviewState = 3;
                this.mShutdownListViewText.add(formateTime(mShowBootOnTime, TYPESETTINGS));
            }
        } else if (mShowDeskClockTime > 0 && mShowBootOnTime == -1) {
            this.mListviewState = 4;
            this.mShutdownListViewText.add(formateTime(mShowDeskClockTime, TYPEDESKCLOCK));
            this.mIsDeskClockClose = true;
            this.mIsBootOnTimeClose = false;
        } else if (mShowBootOnTime > 0 && mShowDeskClockTime == -1) {
            this.mListviewState = 5;
            this.mShutdownListViewText.add(formateTime(mShowBootOnTime, TYPESETTINGS));
            this.mIsBootOnTimeClose = true;
            this.mIsDeskClockClose = false;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("initAdapterDate---,mListviewState = ");
        stringBuilder.append(this.mListviewState);
        stringBuilder.append(",mIsBootOnTimeClose =");
        stringBuilder.append(this.mIsBootOnTimeClose);
        stringBuilder.append(",mIsDeskClockClose = ");
        stringBuilder.append(this.mIsDeskClockClose);
        android.util.Log.d("HwGlobalActions", stringBuilder.toString());
        return this.mListviewState;
    }

    private java.lang.String formateTime(long alarmTime, int type) {
        long delta = alarmTime - java.lang.System.currentTimeMillis();
        int hours = (int) (delta / 3600000);
        int minutes = (int) ((delta / 60000) % 60);
        int days = hours / 24;
        hours %= 24;
        java.lang.String daySeq = getContext().getResources().getQuantityString(34406402, days, new java.lang.Object[]{java.lang.Integer.valueOf(days)});
        java.lang.String hourSeq = getContext().getResources().getQuantityString(34406403, hours, new java.lang.Object[]{java.lang.Integer.valueOf(hours)});
        java.lang.String minutesSeq = getContext().getResources().getQuantityString(34406404, minutes, new java.lang.Object[]{java.lang.Integer.valueOf(minutes)});
        int index = ((days > 0 ? 4 : 0) | (hours > 0 ? 2 : 0)) | (minutes > 0 ? 1 : 0);
        if (type != TYPEDESKCLOCK) {
            if (index == 0) {
                return getContext().getResources().getString(33685794);
            }
            if (index == 7) {
                return getContext().getResources().getString(33685787, new java.lang.Object[]{daySeq, hourSeq, minutesSeq});
            } else if (index == 6) {
                return getContext().getResources().getString(33685788, new java.lang.Object[]{daySeq, hourSeq});
            } else if (index == 5) {
                return getContext().getResources().getString(33685789, new java.lang.Object[]{daySeq, minutesSeq});
            } else if (index == 4) {
                return getContext().getResources().getString(33685790, new java.lang.Object[]{daySeq});
            } else if (index == 3) {
                return getContext().getResources().getString(33685791, new java.lang.Object[]{hourSeq, minutesSeq});
            } else if (index == 2) {
                return getContext().getResources().getString(33685792, new java.lang.Object[]{hourSeq});
            } else {
                return getContext().getResources().getString(33685793, new java.lang.Object[]{minutesSeq});
            }
        } else if (index == 0) {
            return getContext().getResources().getString(33685545);
        } else {
            if (index == 7) {
                return getContext().getResources().getString(33685769, new java.lang.Object[]{daySeq, hourSeq, minutesSeq});
            } else if (index == 6) {
                return getContext().getResources().getString(33685770, new java.lang.Object[]{daySeq, hourSeq});
            } else if (index == 5) {
                return getContext().getResources().getString(33685771, new java.lang.Object[]{daySeq, minutesSeq});
            } else if (index == 4) {
                return getContext().getResources().getString(33685772, new java.lang.Object[]{daySeq});
            } else if (index == 3) {
                return getContext().getResources().getString(33685773, new java.lang.Object[]{hourSeq, minutesSeq});
            } else if (index == 2) {
                return getContext().getResources().getString(33685774, new java.lang.Object[]{hourSeq});
            } else {
                return getContext().getResources().getString(33685775, new java.lang.Object[]{minutesSeq});
            }
        }
    }

    public void initUI(android.os.Looper looper) {
        if (isHwGlobalTwoActionsSupport()) {
            initNewUI(looper);
            return;
        }
        this.mWallpaperManager = (android.app.WallpaperManager) getContext().getSystemService("wallpaper");
        if (this.mWallpaperManager instanceof android.app.HwWallpaperManager) {
            ((android.app.HwWallpaperManager) this.mWallpaperManager).setCallback(this);
        }
        initHandler(looper);
        this.view_two_action = findViewById(34603174);
        if (this.view_two_action == null) {
            android.util.Log.e("HwGlobalActions", "view_two_action is null");
        } else {
            huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(getContext()).setTwoActionView(this.view_two_action);
        }
        this.view_four_action = findViewById(34603175);
        if (this.view_four_action == null) {
            android.util.Log.e("HwGlobalActions", "view_four_action is null");
        } else {
            this.view_four_action.setVisibility(4);
            huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(getContext()).setFourActionView(this.view_four_action);
        }
        this.view_confirm_action = findViewById(34603176);
        if (this.view_confirm_action == null) {
            android.util.Log.e("HwGlobalActions", "view_confirm_action is null");
        } else {
            huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(getContext()).setConfirmActionView(this.view_confirm_action);
        }
        if (huawei.com.android.server.policy.HwGlobalActionsData.getSingletoneInstance().isDeviceProvisioned()) {
            showNormalUI();
        } else {
            showBeforeProvisioningUI();
        }
        huawei.com.android.server.policy.HwGlobalActionsData.getSingletoneInstance().registerActionStateObserver(this.mObserver);
        setTag("other_area");
        setOnClickListener(this.mActionClickListener);
        synchronized (this) {
            this.mToneGenerators = new android.media.ToneGenerator[android.media.AudioSystem.getNumStreamTypes()];
            this.mVibrator = (android.os.Vibrator) getContext().getSystemService("vibrator");
            this.mSilentModeButtonTouched = false;
        }
        setAccessibilityDelegate(this.mAccessibilityDelegate);
        this.mWindowTouchSlop = android.view.ViewConfiguration.get(this.mContext).getScaledWindowTouchSlop();
    }

    private void tryToAddLockdownAction() {
        if (android.provider.Settings.Secure.getInt(getContext().getContentResolver(), "lockdown_in_power_menu", 0) != 0 && shouldDisplayLockdown()) {
            android.view.LayoutInflater inflater = android.view.LayoutInflater.from(getContext());
            if (inflater == null) {
                android.util.Log.w("HwGlobalActions", "inflater is null!");
                return;
            }
            this.mLockdownView = inflater.inflate(34013226, null);
            if (this.mLockdownView == null) {
                android.util.Log.w("HwGlobalActions", "mLockdownView is null!");
                return;
            }
            android.widget.RelativeLayout shutdownMenuLayout = (android.widget.RelativeLayout) this.view_two_action.findViewById(34603206);
            if (shutdownMenuLayout == null) {
                android.util.Log.w("HwGlobalActions", "shutdownMenuLayout is null!");
                return;
            }
            android.widget.RelativeLayout.LayoutParams lp = new android.widget.RelativeLayout.LayoutParams(getContext().getResources().getDimensionPixelSize(34472254), -2);
            lp.setMarginStart(getContext().getResources().getDimensionPixelSize(34472253));
            lp.addRule(6, 34603152);
            lp.addRule(17, 34603152);
            this.mLockdownView.setLayoutParams(lp);
            this.mLockdownView.setId(34603205);
            shutdownMenuLayout.addView(this.mLockdownView);
        }
    }

    public void initNewUI(android.os.Looper looper) {
        this.mWallpaperManager = (android.app.WallpaperManager) getContext().getSystemService("wallpaper");
        if (this.mWallpaperManager instanceof android.app.HwWallpaperManager) {
            ((android.app.HwWallpaperManager) this.mWallpaperManager).setCallback(this);
        }
        initHandler(looper);
        this.view_two_action = findViewById(34603177);
        if (this.view_two_action == null) {
            android.util.Log.e("HwGlobalActions", "view_two_action is null");
        } else {
            tryToAddLockdownAction();
            huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(getContext()).setTwoActionView(this.view_two_action);
        }
        this.view_confirm_action = findViewById(34603178);
        if (this.view_confirm_action == null) {
            android.util.Log.e("HwGlobalActions", "view_confirm_action is null");
        } else {
            huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(getContext()).setConfirmActionView(this.view_confirm_action);
        }
        showNewUI();
        huawei.com.android.server.policy.HwGlobalActionsData.getSingletoneInstance().registerActionStateObserver(this.mObserver);
        setTag("other_area");
        setOnClickListener(this.mActionClickListener);
        synchronized (this) {
            this.mToneGenerators = new android.media.ToneGenerator[android.media.AudioSystem.getNumStreamTypes()];
            this.mVibrator = (android.os.Vibrator) getContext().getSystemService("vibrator");
            this.mSilentModeButtonTouched = false;
        }
        setAccessibilityDelegate(this.mAccessibilityDelegate);
        this.mWindowTouchSlop = android.view.ViewConfiguration.get(this.mContext).getScaledWindowTouchSlop();
    }

    public void deinitUI() {
        huawei.com.android.server.policy.HwGlobalActionsData.getSingletoneInstance().unregisterActionStateObserver();
        if (this.mHandler != null) {
            this.mHandler.removeMessages(2);
            this.mHandler.removeMessages(4);
            onStopSounds();
            this.mHandler.removeMessages(5);
            this.mHandler.sendEmptyMessage(5);
        }
        this.isFirstShow = true;
    }

    /* JADX WARNING: Missing block: B:21:0x0043, code:
            r2.setContentDescription(getContext().getResources().getString(33685740));
     */
    private void updateActionUI(android.view.View r8, int r9, int r10, int r11) {
        /*
        r7 = this;
        if (r8 != 0) goto L_0x0003;
    L_0x0002:
        return;
    L_0x0003:
        r0 = r8.findViewById(r9);
        r0 = (android.widget.LinearLayout) r0;
        if (r0 != 0) goto L_0x000c;
    L_0x000b:
        return;
    L_0x000c:
        r1 = 34603129; // 0x2100079 float:1.0579585E-37 double:1.70962173E-316;
        r1 = r0.findViewById(r1);
        r1 = (android.widget.TextView) r1;
        if (r1 != 0) goto L_0x0018;
    L_0x0017:
        return;
    L_0x0018:
        r1.setText(r10);
        r2 = 34603172; // 0x21000a4 float:1.0579633E-37 double:1.70962385E-316;
        r2 = r0.findViewById(r2);
        r2 = (android.widget.ImageView) r2;
        if (r2 != 0) goto L_0x0027;
    L_0x0026:
        return;
    L_0x0027:
        r3 = r7.mHandler;
        if (r3 == 0) goto L_0x0031;
    L_0x002b:
        r3 = r7.mHandler;
        r4 = 6;
        r3.removeMessages(r4);
    L_0x0031:
        r3 = 33751072; // 0x2030020 float:9.624396E-38 double:1.6675245E-316;
        if (r11 == r3) goto L_0x00c9;
    L_0x0036:
        r3 = 33751785; // 0x20302e9 float:9.625195E-38 double:1.66755975E-316;
        if (r11 == r3) goto L_0x00b6;
    L_0x003b:
        switch(r11) {
            case 33751059: goto L_0x00a3;
            case 33751060: goto L_0x0090;
            case 33751061: goto L_0x007d;
            case 33751062: goto L_0x006a;
            case 33751063: goto L_0x0057;
            case 33751064: goto L_0x0043;
            default: goto L_0x003e;
        };
    L_0x003e:
        switch(r11) {
            case 33751229: goto L_0x00c9;
            case 33751230: goto L_0x0043;
            default: goto L_0x0041;
        };
    L_0x0041:
        goto L_0x00dc;
    L_0x0043:
        r3 = r7.getContext();
        r3 = r3.getResources();
        r4 = 33685740; // 0x20200ec float:9.551156E-38 double:1.6642967E-316;
        r3 = r3.getString(r4);
        r2.setContentDescription(r3);
        goto L_0x00dc;
    L_0x0057:
        r3 = r7.getContext();
        r3 = r3.getResources();
        r4 = 33685736; // 0x20200e8 float:9.551152E-38 double:1.6642965E-316;
        r3 = r3.getString(r4);
        r2.setContentDescription(r3);
        goto L_0x00dc;
    L_0x006a:
        r3 = r7.getContext();
        r3 = r3.getResources();
        r4 = 33685737; // 0x20200e9 float:9.551153E-38 double:1.66429654E-316;
        r3 = r3.getString(r4);
        r2.setContentDescription(r3);
        goto L_0x00dc;
    L_0x007d:
        r3 = r7.getContext();
        r3 = r3.getResources();
        r4 = 33685735; // 0x20200e7 float:9.55115E-38 double:1.66429644E-316;
        r3 = r3.getString(r4);
        r2.setContentDescription(r3);
        goto L_0x00dc;
    L_0x0090:
        r3 = r7.getContext();
        r3 = r3.getResources();
        r4 = 33685743; // 0x20200ef float:9.55116E-38 double:1.66429684E-316;
        r3 = r3.getString(r4);
        r2.setContentDescription(r3);
        goto L_0x00dc;
    L_0x00a3:
        r3 = r7.getContext();
        r3 = r3.getResources();
        r4 = 33685744; // 0x20200f0 float:9.551161E-38 double:1.6642969E-316;
        r3 = r3.getString(r4);
        r2.setContentDescription(r3);
        goto L_0x00dc;
    L_0x00b6:
        r3 = r7.getContext();
        r3 = r3.getResources();
        r4 = 33686054; // 0x2020226 float:9.551508E-38 double:1.6643122E-316;
        r3 = r3.getString(r4);
        r2.setContentDescription(r3);
        goto L_0x00dc;
    L_0x00c9:
        r3 = r7.getContext();
        r3 = r3.getResources();
        r4 = 33685738; // 0x20200ea float:9.551154E-38 double:1.6642966E-316;
        r3 = r3.getString(r4);
        r2.setContentDescription(r3);
    L_0x00dc:
        r3 = "HwGlobalActions";
        r4 = new java.lang.StringBuilder;
        r4.<init>();
        r5 = "updateActionUI mSilentModeButtonTouched = ";
        r4.append(r5);
        r5 = r7.mSilentModeButtonTouched;
        r4.append(r5);
        r4 = r4.toString();
        android.util.Log.d(r3, r4);
        r3 = "factory";
        r4 = "ro.runmode";
        r5 = "normal";
        r4 = android.os.SystemProperties.get(r4, r5);
        r3 = r3.equals(r4);
        if (r3 == 0) goto L_0x011c;
    L_0x0105:
        r3 = 34603145; // 0x2100089 float:1.0579603E-37 double:1.7096225E-316;
        if (r9 != r3) goto L_0x011c;
    L_0x010a:
        r3 = r7.getContext();
        r3 = r3.getResources();
        r4 = 33882221; // 0x205006d float:9.771419E-38 double:1.67400414E-316;
        r3 = r3.getColor(r4);
        r1.setTextColor(r3);
    L_0x011c:
        r3 = 34603146; // 0x210008a float:1.0579604E-37 double:1.70962257E-316;
        if (r9 != r3) goto L_0x013f;
    L_0x0121:
        r3 = r7.isFirstShow;
        if (r3 != 0) goto L_0x013f;
    L_0x0125:
        r3 = r2;
        r4 = r11;
        r5 = r7.getContext();
        r5 = huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(r5);
        r5 = r5.setSoundModeRotate();
        r6 = new huawei.com.android.server.policy.HwGlobalActionsView$3;
        r6.<init>(r3, r4);
        r5.setAnimationListener(r6);
        r3.startAnimation(r5);
        goto L_0x0142;
    L_0x013f:
        r2.setImageResource(r11);
    L_0x0142:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: huawei.com.android.server.policy.HwGlobalActionsView.updateActionUI(android.view.View, int, int, int):void");
    }

    private void updateAirplaneModeUI(android.view.View v) {
        if ("factory".equals(android.os.SystemProperties.get("ro.runmode", "normal"))) {
            updateActionUI(this.view_four_action, 34603145, 33685734, 33751636);
        } else if ((huawei.com.android.server.policy.HwGlobalActionsData.getSingletoneInstance().getState() & 1) != 0) {
            updateActionUI(this.view_four_action, 34603145, 33685734, 33751060);
        } else {
            updateActionUI(this.view_four_action, 34603145, 33685734, 33751059);
        }
    }

    private void updateSilentModeUI(android.view.View v) {
        if (this.mHandler != null && this.mSilentModeButtonTouched) {
            this.mHandler.removeMessages(2);
            this.mHandler.removeMessages(4);
        }
        if ((huawei.com.android.server.policy.HwGlobalActionsData.getSingletoneInstance().getState() & 16) != 0) {
            updateActionUI(this.view_four_action, 34603146, 33685735, 33751061);
        } else if ((huawei.com.android.server.policy.HwGlobalActionsData.getSingletoneInstance().getState() & 32) != 0) {
            updateActionUI(this.view_four_action, 34603146, 33685737, 33751062);
            if (this.mHandler != null && this.mSilentModeButtonTouched) {
                this.mHandler.sendMessageDelayed(this.mHandler.obtainMessage(4), 300);
            }
        } else {
            updateActionUI(this.view_four_action, 34603146, 33685736, 33751063);
            if (this.mHandler != null && this.mSilentModeButtonTouched) {
                this.mHandler.removeMessages(2);
                this.mHandler.sendMessageDelayed(this.mHandler.obtainMessage(2, 2, 0), 300);
            }
        }
    }

    private void showNewRebootAndShutdownUI(android.view.View v) {
        updateActionUI(v, 34603151, 33685740, 33751230);
        setActionClickListener(v, 34603151, "reboot");
        updateActionUI(v, 34603152, 33685738, 33751229);
        setActionClickListener(v, 34603152, "shutdown");
        updateActionUI(v, 34603205, 33686054, 33751785);
        setActionClickListener(v, 34603205, "lockdown");
    }

    private void showRebootAndShutdownUI(android.view.View v) {
        updateActionUI(v, 34603151, 33685740, 33751064);
        setActionClickListener(v, 34603151, "reboot");
        updateActionUI(v, 34603152, 33685738, 33751072);
        setActionClickListener(v, 34603152, "shutdown");
    }

    private void setActionClickListener(android.view.View v, int actionID, java.lang.Object actionTag) {
        if (v != null) {
            android.widget.LinearLayout action = (android.widget.LinearLayout) v.findViewById(actionID);
            if (action != null) {
                android.view.View icon_frame = action.findViewById(34603108);
                if (icon_frame != null) {
                    icon_frame.setTag(actionTag);
                    icon_frame.setOnClickListener(this.mActionClickListener);
                }
            }
        }
    }

    private android.content.pm.UserInfo getCurrentUser() {
        try {
            return android.app.ActivityManager.getService().getCurrentUser();
        } catch (android.os.RemoteException re) {
            android.util.Log.e("HwGlobalActions", "error happen while getCurrentUser(): ");
            re.printStackTrace();
            return null;
        }
    }

    private boolean shouldDisplayLockdown() {
        android.content.pm.UserInfo userInfo = getCurrentUser();
        boolean z = false;
        if (userInfo == null) {
            android.util.Log.w("HwGlobalActions", "shouldDisplayLockdown: get user info failed!");
            return false;
        }
        int userId = userInfo.id;
        android.app.KeyguardManager keyguardManager = (android.app.KeyguardManager) getContext().getSystemService("keyguard");
        if (keyguardManager == null) {
            android.util.Log.w("HwGlobalActions", "shouldDisplayLockdown: keyguardManager is null!");
            return false;
        } else if ((!userInfo.isPrimary() && !keyguardManager.isDeviceSecure(0)) || !keyguardManager.isDeviceSecure(userId)) {
            return false;
        } else {
            int state = new com.android.internal.widget.LockPatternUtils(getContext()).getStrongAuthForUser(userId);
            if (state != 0) {
                if (state != 4) {
                    return z;
                }
            }
            z = true;
            return z;
        }
    }

    protected void showNewUI() {
        if (!this.mInitedConfirm) {
            this.view_two_action.setVisibility(0);
            this.view_confirm_action.setVisibility(4);
            this.isFirstShow = true;
            this.mSilentModeButtonTouched = false;
            this.mRebootView = this.view_two_action.findViewById(34603151);
            this.mShutdownView = this.view_two_action.findViewById(34603152);
            replacePoweroffHint((android.widget.TextView) this.view_two_action.findViewById(34603150));
            this.mViewList.clear();
            configureTalkbackView(this);
            this.mEnterSet = huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(getContext()).setNewShutdownViewAnimation(true);
            this.mEnterSet.start();
            showNewRebootAndShutdownUI(this.view_two_action);
            this.isFirstShow = false;
        }
    }

    protected void showBeforeProvisioningUI() {
        if (isHwGlobalTwoActionsSupport()) {
            showNewUI();
            return;
        }
        this.view_four_action.setVisibility(4);
        this.view_two_action.setVisibility(0);
        this.view_confirm_action.setVisibility(4);
        this.mViewList.clear();
        huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(getContext()).setMenuViewList(this.mViewList);
        this.mRebootView = this.view_two_action.findViewById(34603151);
        this.mShutdownView = this.view_two_action.findViewById(34603152);
        replacePoweroffHint((android.widget.TextView) this.view_two_action.findViewById(34603150));
        showRebootAndShutdownUI(this.view_two_action);
    }

    protected void showNormalUI() {
        if (isHwGlobalTwoActionsSupport()) {
            showNewUI();
            return;
        }
        this.isFirstShow = true;
        this.mSilentModeButtonTouched = false;
        this.mAirplanemodeView = this.view_four_action.findViewById(34603145);
        this.mSilentmodeView = this.view_four_action.findViewById(34603146);
        this.mRebootView = this.view_four_action.findViewById(34603151);
        this.mShutdownView = this.view_four_action.findViewById(34603152);
        replacePoweroffHint((android.widget.TextView) this.view_four_action.findViewById(34603150));
        this.mViewList.clear();
        this.mViewList.add(this.mAirplanemodeView);
        this.mViewList.add(this.mSilentmodeView);
        this.mViewList.add(this.mRebootView);
        this.mViewList.add(this.mShutdownView);
        configureTalkbackView(this);
        huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(getContext()).setMenuViewList(this.mViewList);
        this.mEnterSet = huawei.com.android.server.policy.ShutdownMenuAnimations.getInstance(getContext()).setImageAnimation(true);
        this.view_four_action.setVisibility(0);
        this.mEnterSet.start();
        updateAirplaneModeUI(this.view_four_action);
        setActionClickListener(this.view_four_action, 34603145, "airplane_mode");
        updateSilentModeUI(this.view_four_action);
        setActionClickListener(this.view_four_action, 34603146, "silent_mode");
        showRebootAndShutdownUI(this.view_four_action);
        this.isFirstShow = false;
    }

    protected void onPlaySound(int streamType, int flags) {
        if (this.mHandler != null && this.mHandler.hasMessages(3)) {
            this.mHandler.removeMessages(3);
            onStopSounds();
        }
        synchronized (this) {
            android.media.ToneGenerator toneGen = getOrCreateToneGenerator(streamType);
            if (toneGen != null) {
                toneGen.startTone(24);
                if (this.mHandler != null) {
                    this.mHandler.sendMessageDelayed(this.mHandler.obtainMessage(3), 150);
                }
            }
        }
    }

    protected void onStopSounds() {
        synchronized (this) {
            for (int i = android.media.AudioSystem.getNumStreamTypes() - 1; i >= 0; i--) {
                android.media.ToneGenerator toneGen = this.mToneGenerators[i];
                if (toneGen != null) {
                    toneGen.stopTone();
                }
            }
            if (this.mHandler != null) {
                this.mHandler.removeMessages(5);
                this.mHandler.sendMessageDelayed(this.mHandler.obtainMessage(5), 10000);
            }
        }
    }

    protected void onVibrate() {
        this.mVibrator.vibrate(300, VIBRATION_ATTRIBUTES);
    }

    private android.media.ToneGenerator getOrCreateToneGenerator(int streamType) {
        android.media.ToneGenerator toneGenerator;
        synchronized (this) {
            if (this.mToneGenerators[streamType] == null) {
                try {
                    this.mToneGenerators[streamType] = new android.media.ToneGenerator(streamType, 100);
                } catch (java.lang.RuntimeException e) {
                }
            }
            toneGenerator = this.mToneGenerators[streamType];
        }
        return toneGenerator;
    }

    protected void onFreeResources() {
        synchronized (this) {
            for (int i = this.mToneGenerators.length - 1; i >= 0; i--) {
                if (this.mToneGenerators[i] != null) {
                    this.mToneGenerators[i].release();
                }
                this.mToneGenerators[i] = null;
            }
        }
    }

    public boolean dispatchKeyEvent(android.view.KeyEvent event) {
        if (handleKeyEvent(event)) {
            return true;
        }
        return super.dispatchKeyEvent(event);
    }

    private boolean handleKeyEvent(android.view.KeyEvent event) {
        if (event.getAction() == 1) {
            int keyCode = event.getKeyCode();
            if (keyCode != 4) {
                if (keyCode != 66 && keyCode != 160) {
                    android.view.View view;
                    switch (keyCode) {
                        case 21:
                            if (isHwGlobalTwoActionsSupport() && this.view_two_action != null && this.view_two_action.getVisibility() == 0) {
                                if (android.text.TextUtils.getLayoutDirectionFromLocale(java.util.Locale.getDefault()) == 0) {
                                    view = this.mRebootView;
                                } else {
                                    view = this.mShutdownView;
                                }
                                if (view == null) {
                                    break;
                                }
                                view.findViewById(34603108).performClick();
                                return true;
                            }
                        case 22:
                            if (isHwGlobalTwoActionsSupport() && this.view_two_action != null && this.view_two_action.getVisibility() == 0) {
                                if (android.text.TextUtils.getLayoutDirectionFromLocale(java.util.Locale.getDefault()) == 0) {
                                    view = this.mShutdownView;
                                } else {
                                    view = this.mRebootView;
                                }
                                if (view == null) {
                                    break;
                                }
                                view.findViewById(34603108).performClick();
                                return true;
                            }
                        default:
                            break;
                    }
                }
                if (isHwGlobalTwoActionsSupport() && this.view_confirm_action != null && this.view_confirm_action.getVisibility() == 0) {
                    android.view.View icon_frame = this.view_confirm_action.findViewById(34603108);
                    if (icon_frame != null) {
                        icon_frame.performClick();
                    }
                }
                return true;
            } else if (this.mCallback != null) {
                this.mCallback.onOtherAreaPressed();
                return true;
            }
        }
        return false;
    }

    public boolean dispatchTouchEvent(android.view.MotionEvent event) {
        if (canDisableAccessibilityViaGesture()) {
            if (!this.mDisableIntercepted) {
                onDisableInterceptTouchEvent(event);
            } else if (onDisableTouchEvent(event)) {
                return true;
            }
        }
        return super.dispatchTouchEvent(event);
    }

    public void showRestartingHint() {
        if (this.view_confirm_action != null) {
            android.widget.TextView textView = (android.widget.TextView) this.view_confirm_action.findViewById(34603129);
            if (textView != null) {
                textView.setText(33685784);
            }
        }
    }

    public void showShutdongingHint() {
        if (this.view_confirm_action != null) {
            android.widget.TextView textView = (android.widget.TextView) this.view_confirm_action.findViewById(34603129);
            if (textView != null) {
                textView.setText(33685783);
            }
        }
    }

    private boolean canDisableAccessibilityViaGesture() {
        if (android.os.SystemProperties.getBoolean("ro.config.hw_talkback_btn", true) && isTalkBackServicesOn()) {
            return true;
        }
        return false;
    }

    private boolean onDisableInterceptTouchEvent(android.view.MotionEvent event) {
        if (event.getActionMasked() != 0) {
            return false;
        }
        this.mFirstPointerDownX = event.getX(0);
        this.mFirstPointerDownY = event.getY(0);
        this.mDisableIntercepted = true;
        this.mEventAfterActionDown = true;
        return true;
    }

    private boolean onDisableTouchEvent(android.view.MotionEvent event) {
        int pointerCount = event.getPointerCount();
        switch (event.getActionMasked()) {
            case 1:
            case 3:
            case 6:
                cancelDisableAccssibility();
                break;
            case 2:
                if (java.lang.Math.abs(android.util.MathUtils.dist(event.getX(0), event.getY(0), this.mFirstPointerDownX, this.mFirstPointerDownY)) > this.mTouchSlop) {
                    cancelDisableAccssibility();
                } else if (this.mHandler != null && this.mEventAfterActionDown) {
                    this.mHandler.sendEmptyMessageDelayed(7, 3000);
                }
                break;
            case 5:
                if (pointerCount > 2) {
                    cancelDisableAccssibility();
                    break;
                }
                break;
            default:
                break;
        }
        this.mEventAfterActionDown = false;
        if (!this.mCanceled) {
            return true;
        }
        this.mCanceled = false;
        return false;
    }

    private void configureTalkbackView(java.lang.Object mView) {
        this.mAccessibilityTip = (android.widget.TextView) ((huawei.com.android.server.policy.HwGlobalActionsView) mView).findViewById(34603179);
        if (this.mAccessibilityTip == null) {
            return;
        }
        if (canDisableAccessibilityViaGesture()) {
            this.mAccessibilityTip.setVisibility(0);
        } else {
            this.mAccessibilityTip.setVisibility(8);
        }
    }

    private void cancelDisableAccssibility() {
        this.mCanceled = true;
        this.mDisableIntercepted = false;
        if (this.mHandler != null) {
            this.mHandler.removeMessages(7);
        }
    }

    private void disableTalkBackService() {
        if (this.mContext != null) {
            boolean accessibilityEnabled = false;
            loadInstalledServices();
            java.util.Set<android.content.ComponentName> enabledServices = getEnabledServicesFromSettings();
            enabledServices.remove(android.content.ComponentName.unflattenFromString("com.google.android.marvin.talkback/com.google.android.marvin.talkback.TalkBackService"));
            java.util.Set<android.content.ComponentName> installedServices = sInstalledServices;
            com.huawei.android.statistical.StatisticalUtils.reportc(this.mContext, 24);
            for (android.content.ComponentName enabledService : enabledServices) {
                if (installedServices.contains(enabledService)) {
                    accessibilityEnabled = true;
                    break;
                }
            }
            java.lang.StringBuilder enabledServicesBuilder = new java.lang.StringBuilder();
            for (android.content.ComponentName enabledService2 : enabledServices) {
                enabledServicesBuilder.append(enabledService2.flattenToString());
                enabledServicesBuilder.append(':');
            }
            int enabledServicesBuilderLength = enabledServicesBuilder.length();
            if (enabledServicesBuilderLength > 0) {
                enabledServicesBuilder.deleteCharAt(enabledServicesBuilderLength - 1);
            }
            android.provider.Settings.Secure.putStringForUser(this.mContext.getContentResolver(), "enabled_accessibility_services", enabledServicesBuilder.toString(), -2);
            android.provider.Settings.Secure.putIntForUser(this.mContext.getContentResolver(), "accessibility_enabled", accessibilityEnabled ? 1 : 0, -2);
            if (this.mAccessibilityTip != null) {
                this.mAccessibilityTip.setVisibility(8);
            }
        }
    }

    private java.util.Set<android.content.ComponentName> getEnabledServicesFromSettings() {
        java.lang.String enabledServicesSetting = android.provider.Settings.Secure.getStringForUser(this.mContext.getContentResolver(), "enabled_accessibility_services", -2);
        if (enabledServicesSetting == null) {
            enabledServicesSetting = "";
        }
        java.util.Set<android.content.ComponentName> enabledServices = new java.util.HashSet();
        android.text.TextUtils.SimpleStringSplitter colonSplitter = sStringColonSplitter;
        colonSplitter.setString(enabledServicesSetting);
        while (colonSplitter.hasNext()) {
            android.content.ComponentName enabledService = android.content.ComponentName.unflattenFromString(colonSplitter.next());
            if (enabledService != null) {
                enabledServices.add(enabledService);
            }
        }
        return enabledServices;
    }

    private void loadInstalledServices() {
        java.util.Set<android.content.ComponentName> installedServices = sInstalledServices;
        installedServices.clear();
        java.util.List<android.accessibilityservice.AccessibilityServiceInfo> installedServiceInfos = android.view.accessibility.AccessibilityManager.getInstance(this.mContext).getInstalledAccessibilityServiceList();
        if (installedServiceInfos != null) {
            int installedServiceInfoCount = installedServiceInfos.size();
            for (int i = 0; i < installedServiceInfoCount; i++) {
                android.content.pm.ResolveInfo resolveInfo = ((android.accessibilityservice.AccessibilityServiceInfo) installedServiceInfos.get(i)).getResolveInfo();
                if (!(resolveInfo == null || resolveInfo.serviceInfo == null || resolveInfo.serviceInfo.packageName == null)) {
                    if (resolveInfo.serviceInfo.name != null) {
                        installedServices.add(new android.content.ComponentName(resolveInfo.serviceInfo.packageName, resolveInfo.serviceInfo.name));
                    }
                }
            }
        }
    }

    private boolean isTalkBackServicesOn() {
        boolean z = false;
        if (this.mContext == null) {
            return false;
        }
        boolean accessibilityEnabled = android.provider.Settings.Secure.getIntForUser(this.mContext.getContentResolver(), "accessibility_enabled", 0, -2) == 1;
        java.lang.String enabledSerices = android.provider.Settings.Secure.getStringForUser(this.mContext.getContentResolver(), "enabled_accessibility_services", -2);
        boolean isContainsTalkBackService = enabledSerices != null && enabledSerices.contains("com.google.android.marvin.talkback/com.google.android.marvin.talkback.TalkBackService");
        if (accessibilityEnabled && isContainsTalkBackService) {
            z = true;
        }
        return z;
    }

    private void replacePoweroffHint(android.widget.TextView poweroffHintView) {
        if (poweroffHintView != null) {
            android.content.res.Resources tmpResources = this.mContext.getResources();
            int poweroffHintTime = tmpResources.getInteger(34275331);
            poweroffHintView.setText(java.lang.String.format(tmpResources.getString(33685845), new java.lang.Object[]{java.lang.Integer.valueOf(poweroffHintTime)}));
        }
    }

    public boolean isHwGlobalTwoActionsSupport() {
        return this.mContext.getResources().getBoolean(34537474);
    }

    protected void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        if (this.mTone != null) {
            this.mTone.stop();
        }
    }
}
