package huawei.com.android.server.policy;

public class HwScreenOnProximityLock {
    private static final java.lang.String APS_RESOLUTION_CHANGE_ACTION = "huawei.intent.action.APS_RESOLUTION_CHANGE_ACTION";
    private static final java.lang.String APS_RESOLUTION_CHANGE_PERSISSIONS = "huawei.intent.permissions.APS_RESOLUTION_CHANGE_ACTION";
    private static final boolean DEBUG = false;
    public static final int FARAWAY_SENSOR = 2;
    public static final int FORCE_QUIT = 0;
    public static final int HEADDOWN_LEAVE = 4;
    private static final boolean HWFLOW;
    public static final int LOCK_GOAWAY = 3;
    private static final int MOTION_HEADDOWN_ENTER = 1;
    private static final int MOTION_HEADDOWN_LEAVE = 2;
    private static final int MSG_REFRESH_HINT_VIEW = 2;
    private static final int MSG_SHOW_HINT_VIEW = 1;
    private static final java.lang.String SCREENON_TAG = "ScreenOn";
    public static final int SCREEN_OFF = 1;
    private static final int SENSOR_FEATURE = 2049;
    private static final java.lang.String TAG = "HwScreenOnProximityLock";
    private static final float TYPICAL_PROXIMITY_THRESHOLD = 5.0f;
    private static final java.lang.String mNotchProp = android.os.SystemProperties.get("ro.config.hw_notch_size", "");
    private static final java.lang.String sProximityWndName = "Emui:ProximityWnd";
    private huawei.com.android.server.policy.HwScreenOnProximityLock.AccSensorListener mAccListener = null;
    private android.content.BroadcastReceiver mApsResolutionChangeReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            android.util.Log.i("HwScreenOnProximityLock", "on receive apsResolutionChangeReceiver");
            huawei.com.android.server.policy.HwScreenOnProximityLock.this.preparePoriximityView();
        }
    };
    private android.content.Context mContext;
    private android.cover.CoverManager mCoverManager;
    private boolean mDeviceHeld = false;
    private final java.lang.Object mDeviceLock = new java.lang.Object();
    private boolean mFirstBoot = true;
    public android.database.ContentObserver mFontScaleObserver = new android.database.ContentObserver(new android.os.Handler()) {
        public void onChange(boolean selfChange) {
            android.util.Log.i("HwScreenOnProximityLock", "font Scale changed");
            huawei.com.android.server.policy.HwScreenOnProximityLock.this.preparePoriximityView();
        }
    };
    private com.huawei.hwextdevice.HWExtDeviceEventListener mHWEDListener = new com.huawei.hwextdevice.HWExtDeviceEventListener() {
        public void onDeviceDataChanged(com.huawei.hwextdevice.HWExtDeviceEvent hwextDeviceEvent) {
            android.util.Log.d("HwScreenOnProximityLock", "onDeviceDataChanged");
            float[] deviceValues = hwextDeviceEvent.getDeviceValues();
            if (deviceValues == null) {
                android.util.Log.e("HwScreenOnProximityLock", "onDeviceDataChanged  deviceValues is null ");
            } else if (deviceValues.length < 2) {
                android.util.Log.e("HwScreenOnProximityLock", "hwextDeviceEvent data error");
            } else {
                huawei.com.android.server.policy.HwScreenOnProximityLock.this.mHeadDownStatus = (int) deviceValues[1];
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("mHeadDownStatus:");
                stringBuilder.append(huawei.com.android.server.policy.HwScreenOnProximityLock.this.mHeadDownStatus);
                android.util.Log.d("HwScreenOnProximityLock", stringBuilder.toString());
            }
        }
    };
    private com.huawei.hwextdevice.HWExtDeviceManager mHWEDManager = null;
    private com.huawei.hwextdevice.devices.HWExtMotion mHWExtMotion = null;
    private android.os.Handler mHandler;
    private boolean mHasNotchInScreen = false;
    private int mHeadDownStatus = 2;
    private boolean mHeld;
    private android.view.View mHintView;
    private boolean mIsProximity;
    private int mLastRotation = 0;
    private huawei.com.android.server.policy.HwScreenOnProximityLock.ProximitySensorListener mListener;
    private android.content.BroadcastReceiver mLocaleChangeReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            android.util.Log.i("HwScreenOnProximityLock", "on receive localeChangeReceiver");
            huawei.com.android.server.policy.HwScreenOnProximityLock.this.preparePoriximityView();
        }
    };
    private final java.lang.Object mLock = new java.lang.Object();
    private android.view.WindowManager.LayoutParams mParams = null;
    private com.android.server.policy.HwPhoneWindowManager mPhoneWindowManager;
    private com.android.server.policy.WindowManagerPolicy mPolicy;
    private float mProximityThreshold;
    private final boolean mProximityTop = "true".equals(android.os.SystemProperties.get("ro.config.proximity_top", "false"));
    private android.widget.FrameLayout mProximityView = null;
    private int[] mReleaseReasons = new int[]{0, 1, 3, 4};
    private int mRotation = 0;
    private android.hardware.SensorManager mSensorManager;
    private boolean mSupportSensorFeature = false;
    private final boolean mTouchHeadDown = "true".equals(android.os.SystemProperties.get("ro.config.touch.head_down", "true"));
    private boolean mUseSensorFeature = false;
    private android.content.BroadcastReceiver mUserSwitchReceiver = new android.content.BroadcastReceiver() {
        public void onReceive(android.content.Context context, android.content.Intent intent) {
            android.util.Log.i("HwScreenOnProximityLock", "on receive userSwitchReceiver");
            huawei.com.android.server.policy.HwScreenOnProximityLock.this.preparePoriximityView();
        }
    };
    private boolean mViewAttached = false;
    private android.view.WindowManager mWindowManager;

    private class AccSensorListener implements android.hardware.SensorEventListener {
        private boolean mFlat = false;
        private boolean mListening = false;

        public void onAccuracyChanged(android.hardware.Sensor sensor, int accuracy) {
        }

        public void onSensorChanged(android.hardware.SensorEvent event) {
            if (event != null && event.values != null && event.values.length >= 3) {
                boolean z = false;
                float axisX = event.values[0];
                float axisY = event.values[1];
                float axisZ = event.values[2];
                float sqrt = (float) java.lang.Math.sqrt((double) ((float) ((java.lang.Math.pow((double) axisX, 2.0d) + java.lang.Math.pow((double) axisY, 2.0d)) + java.lang.Math.pow((double) axisZ, 2.0d))));
                float pitch = (float) (-java.lang.Math.asin((double) (axisY / sqrt)));
                float roll = (float) java.lang.Math.asin((double) (axisX / sqrt));
                if (((double) pitch) >= -0.7853981633974483d && ((double) pitch) <= 0.17453292519943295d && ((double) java.lang.Math.abs(roll)) <= 0.2617993877991494d && axisZ >= 5.0f) {
                    z = true;
                }
                this.mFlat = z;
                if (this.mFlat) {
                    huawei.com.android.server.policy.HwScreenOnProximityLock.this.removeProximityView();
                } else if (huawei.com.android.server.policy.HwScreenOnProximityLock.this.mIsProximity) {
                    huawei.com.android.server.policy.HwScreenOnProximityLock.this.addProximityView();
                }
            }
        }

        public void register() {
            android.hardware.Sensor sensor = huawei.com.android.server.policy.HwScreenOnProximityLock.this.mSensorManager.getDefaultSensor(1);
            if (sensor == null) {
                android.util.Log.w("HwScreenOnProximityLock", "AccSensorListener register failed, because of orientation sensor is not existed");
                return;
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("AccSensorListener sensortype ");
            stringBuilder.append(sensor.getType());
            android.util.Log.d("HwScreenOnProximityLock", stringBuilder.toString());
            if (this.mListening) {
                android.util.Log.w("HwScreenOnProximityLock", "AccSensorListener already register");
                return;
            }
            android.util.Log.d("HwScreenOnProximityLock", "AccSensorListener register");
            this.mListening = huawei.com.android.server.policy.HwScreenOnProximityLock.this.mSensorManager.registerListener(this, sensor, 3);
        }

        public void unregister() {
            if (this.mListening) {
                android.util.Log.d("HwScreenOnProximityLock", "AccSensorListener unregister");
                huawei.com.android.server.policy.HwScreenOnProximityLock.this.mSensorManager.unregisterListener(this);
                this.mListening = false;
                return;
            }
            android.util.Log.w("HwScreenOnProximityLock", "AccSensorListener not register yet");
        }

        public boolean isFlat() {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("AccSensorListener mFlat ");
            stringBuilder.append(this.mFlat);
            android.util.Log.d("HwScreenOnProximityLock", stringBuilder.toString());
            return this.mFlat;
        }
    }

    private class ProximitySensorListener implements android.hardware.SensorEventListener {
        public void onAccuracyChanged(android.hardware.Sensor sensor, int accuracy) {
        }

        public void onSensorChanged(android.hardware.SensorEvent event) {
            boolean z = false;
            float d = event.values[0];
            huawei.com.android.server.policy.HwScreenOnProximityLock hwScreenOnProximityLock = huawei.com.android.server.policy.HwScreenOnProximityLock.this;
            boolean z2 = d >= 0.0f && d < huawei.com.android.server.policy.HwScreenOnProximityLock.this.mProximityThreshold;
            hwScreenOnProximityLock.mIsProximity = z2;
            hwScreenOnProximityLock = huawei.com.android.server.policy.HwScreenOnProximityLock.this;
            z2 = huawei.com.android.server.policy.HwScreenOnProximityLock.this.mSupportSensorFeature && !huawei.com.android.server.policy.HwScreenOnProximityLock.this.mIsProximity && huawei.com.android.server.policy.HwScreenOnProximityLock.this.mHeadDownStatus == 1 && huawei.com.android.server.policy.HwScreenOnProximityLock.this.mPolicy.isKeyguardLocked();
            hwScreenOnProximityLock.mUseSensorFeature = z2;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("mSupportSensorFeature:");
            stringBuilder.append(huawei.com.android.server.policy.HwScreenOnProximityLock.this.mSupportSensorFeature);
            stringBuilder.append(",mHeadDownStatus:");
            stringBuilder.append(huawei.com.android.server.policy.HwScreenOnProximityLock.this.mHeadDownStatus);
            stringBuilder.append(",mUseSensorFeature:");
            stringBuilder.append(huawei.com.android.server.policy.HwScreenOnProximityLock.this.mUseSensorFeature);
            android.util.Log.d("HwScreenOnProximityLock", stringBuilder.toString());
            if (huawei.com.android.server.policy.HwScreenOnProximityLock.this.mUseSensorFeature) {
                int d2 = (((int) event.values[2]) >> 8) & 1;
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("onSensorChanged: useSensorFeature distance = ");
                stringBuilder2.append(d2);
                android.util.Log.d("HwScreenOnProximityLock", stringBuilder2.toString());
                huawei.com.android.server.policy.HwScreenOnProximityLock hwScreenOnProximityLock2 = huawei.com.android.server.policy.HwScreenOnProximityLock.this;
                if (d2 == 1) {
                    z = true;
                }
                hwScreenOnProximityLock2.mIsProximity = z;
            }
            handleSensorChanges();
        }

        /* JADX WARNING: Missing block: B:20:0x006b, code:
            r4.this$0.releaseLock(2);
     */
        private void handleSensorChanges() {
            /*
            r4 = this;
            r0 = huawei.com.android.server.policy.HwScreenOnProximityLock.this;
            r0 = r0.mCoverManager;
            if (r0 != 0) goto L_0x0010;
        L_0x0008:
            r0 = "HwScreenOnProximityLock";
            r1 = "mCoverManager is null";
            android.util.Log.e(r0, r1);
            return;
        L_0x0010:
            r0 = huawei.com.android.server.policy.HwScreenOnProximityLock.this;
            r0 = r0.mCoverManager;
            r0 = r0.isCoverOpen();
            r1 = "HwScreenOnProximityLock";
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r3 = "handleSensorChanged: close to sensor: ";
            r2.append(r3);
            r3 = huawei.com.android.server.policy.HwScreenOnProximityLock.this;
            r3 = r3.mIsProximity;
            r2.append(r3);
            r3 = ", isCoverOpen: ";
            r2.append(r3);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Log.i(r1, r2);
            r1 = huawei.com.android.server.policy.HwScreenOnProximityLock.this;
            r1 = r1.mIsProximity;
            if (r1 == 0) goto L_0x004e;
        L_0x0046:
            if (r0 == 0) goto L_0x004e;
        L_0x0048:
            r1 = huawei.com.android.server.policy.HwScreenOnProximityLock.this;
            r1.addProximityView();
            goto L_0x0071;
        L_0x004e:
            r1 = huawei.com.android.server.policy.HwScreenOnProximityLock.this;
            r1 = r1.mLock;
            monitor-enter(r1);
            if (r0 == 0) goto L_0x006a;
        L_0x0057:
            r2 = huawei.com.android.server.policy.HwScreenOnProximityLock.this;	 Catch:{ all -> 0x0068 }
            r2 = r2.mProximityView;	 Catch:{ all -> 0x0068 }
            if (r2 != 0) goto L_0x006a;
        L_0x005f:
            r2 = "HwScreenOnProximityLock";
            r3 = "no need to releaseLock";
            android.util.Log.i(r2, r3);	 Catch:{ all -> 0x0068 }
            monitor-exit(r1);	 Catch:{ all -> 0x0068 }
            return;
        L_0x0068:
            r2 = move-exception;
            goto L_0x0072;
        L_0x006a:
            monitor-exit(r1);	 Catch:{ all -> 0x0068 }
            r1 = huawei.com.android.server.policy.HwScreenOnProximityLock.this;
            r2 = 2;
            r1.releaseLock(r2);
        L_0x0071:
            return;
        L_0x0072:
            monitor-exit(r1);	 Catch:{ all -> 0x0068 }
            throw r2;
            */
            throw new UnsupportedOperationException("Method not decompiled: huawei.com.android.server.policy.HwScreenOnProximityLock.ProximitySensorListener.handleSensorChanges():void");
        }
    }

    static {
        boolean z;
        if (!android.util.Log.HWINFO) {
            if (!android.util.Log.HWModuleLog || !android.util.Log.isLoggable("ScreenOn", 4)) {
                z = false;
                HWFLOW = z;
            }
        }
        z = true;
        HWFLOW = z;
    }

    private void registerBroadcastReceiver() {
        this.mContext.registerReceiverAsUser(this.mApsResolutionChangeReceiver, android.os.UserHandle.ALL, new android.content.IntentFilter("huawei.intent.action.APS_RESOLUTION_CHANGE_ACTION"), "huawei.intent.permissions.APS_RESOLUTION_CHANGE_ACTION", null);
        this.mContext.registerReceiverAsUser(this.mLocaleChangeReceiver, android.os.UserHandle.ALL, new android.content.IntentFilter("android.intent.action.LOCALE_CHANGED"), null, null);
        this.mContext.registerReceiverAsUser(this.mUserSwitchReceiver, android.os.UserHandle.ALL, new android.content.IntentFilter("android.intent.action.USER_SWITCHED"), null, null);
    }

    private void registerContentObserver() {
        this.mContext.getContentResolver().registerContentObserver(android.provider.Settings.System.getUriFor("font_scale"), true, this.mFontScaleObserver);
    }

    public HwScreenOnProximityLock(android.content.Context context, com.android.server.policy.WindowManagerPolicy policy, com.android.server.policy.WindowManagerPolicy.WindowManagerFuncs windowFuncs) {
        if (context == null) {
            android.util.Log.w("HwScreenOnProximityLock", "HwScreenOnProximityLock context is null");
            return;
        }
        this.mContext = context;
        this.mPolicy = policy;
        this.mSensorManager = (android.hardware.SensorManager) this.mContext.getSystemService("sensor");
        this.mWindowManager = (android.view.WindowManager) this.mContext.getSystemService("window");
        this.mCoverManager = new android.cover.CoverManager();
        this.mPhoneWindowManager = (com.android.server.policy.HwPhoneWindowManager) policy;
        this.mHWEDManager = com.huawei.hwextdevice.HWExtDeviceManager.getInstance(this.mContext);
        this.mHWExtMotion = new com.huawei.hwextdevice.devices.HWExtMotion(1300);
        this.mListener = new huawei.com.android.server.policy.HwScreenOnProximityLock.ProximitySensorListener();
        if (this.mProximityTop) {
            this.mAccListener = new huawei.com.android.server.policy.HwScreenOnProximityLock.AccSensorListener();
        }
        this.mHandler = new android.os.Handler() {
            public void handleMessage(android.os.Message msg) {
                super.handleMessage(msg);
                switch (msg.what) {
                    case 1:
                        huawei.com.android.server.policy.HwScreenOnProximityLock.this.showHintView();
                        return;
                    case 2:
                        huawei.com.android.server.policy.HwScreenOnProximityLock.this.refreshHintView();
                        return;
                    default:
                        return;
                }
            }
        };
        this.mHasNotchInScreen = 1 ^ android.text.TextUtils.isEmpty(mNotchProp);
        init();
        this.mSupportSensorFeature = this.mSensorManager.supportSensorFeature(2049);
        android.provider.Settings.System.putInt(this.mContext.getContentResolver(), "support_sensor_feature", this.mSupportSensorFeature);
    }

    private void init() {
        registerBroadcastReceiver();
        registerContentObserver();
    }

    /* JADX WARNING: Missing block: B:22:0x004b, code:
            return;
     */
    public void registerDeviceListener() {
        /*
        r5 = this;
        r0 = r5.mTouchHeadDown;
        if (r0 != 0) goto L_0x000c;
    L_0x0004:
        r0 = "HwScreenOnProximityLock";
        r1 = "mTouchHeadDown is false,no need to registerDeviceListener";
        android.util.Log.w(r0, r1);
        return;
    L_0x000c:
        r0 = r5.mDeviceLock;
        monitor-enter(r0);
        r1 = r5.mDeviceHeld;	 Catch:{ all -> 0x004c }
        if (r1 == 0) goto L_0x001c;
    L_0x0013:
        r1 = "HwScreenOnProximityLock";
        r2 = "mDeviceHeld is true,register return";
        android.util.Log.d(r1, r2);	 Catch:{ all -> 0x004c }
        monitor-exit(r0);	 Catch:{ all -> 0x004c }
        return;
    L_0x001c:
        r1 = r5.mHWEDManager;	 Catch:{ all -> 0x004c }
        if (r1 != 0) goto L_0x0029;
    L_0x0020:
        r1 = "HwScreenOnProximityLock";
        r2 = "mHWEDManager is null,register return";
        android.util.Log.e(r1, r2);	 Catch:{ all -> 0x004c }
        monitor-exit(r0);	 Catch:{ all -> 0x004c }
        return;
    L_0x0029:
        r1 = r5.mHWEDManager;	 Catch:{ all -> 0x004c }
        r2 = r5.mHWEDListener;	 Catch:{ all -> 0x004c }
        r3 = r5.mHWExtMotion;	 Catch:{ all -> 0x004c }
        r4 = r5.mHandler;	 Catch:{ all -> 0x004c }
        r1 = r1.registerDeviceListener(r2, r3, r4);	 Catch:{ all -> 0x004c }
        r5.mDeviceHeld = r1;	 Catch:{ all -> 0x004c }
        r1 = r5.mDeviceHeld;	 Catch:{ all -> 0x004c }
        if (r1 == 0) goto L_0x0043;
    L_0x003b:
        r1 = "HwScreenOnProximityLock";
        r2 = "registerDeviceListener succeed";
        android.util.Log.d(r1, r2);	 Catch:{ all -> 0x004c }
        goto L_0x004a;
    L_0x0043:
        r1 = "HwScreenOnProximityLock";
        r2 = "registerDeviceListener fail";
        android.util.Log.d(r1, r2);	 Catch:{ all -> 0x004c }
    L_0x004a:
        monitor-exit(r0);	 Catch:{ all -> 0x004c }
        return;
    L_0x004c:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x004c }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: huawei.com.android.server.policy.HwScreenOnProximityLock.registerDeviceListener():void");
    }

    public void unregisterDeviceListener() {
        synchronized (this.mDeviceLock) {
            if (!this.mDeviceHeld) {
                android.util.Log.d("HwScreenOnProximityLock", "mDeviceHeld is false,unregister return");
            } else if (this.mHWEDManager == null) {
                android.util.Log.e("HwScreenOnProximityLock", "mHWEDManager is null,unregister return");
            } else {
                this.mHWEDManager.unregisterDeviceListener(this.mHWEDListener, this.mHWExtMotion);
                android.util.Log.d("HwScreenOnProximityLock", "unregisterDeviceListener succeed");
                this.mDeviceHeld = false;
                this.mHeadDownStatus = 2;
            }
        }
    }

    /* JADX WARNING: Missing block: B:27:0x0062, code:
            return;
     */
    private void registerProximityListener() {
        /*
        r6 = this;
        r0 = r6.mLock;
        monitor-enter(r0);
        r1 = r6.mHeld;	 Catch:{ all -> 0x0063 }
        if (r1 == 0) goto L_0x0010;
    L_0x0007:
        r1 = "HwScreenOnProximityLock";
        r2 = "mHeld is true,registerProximityListener return";
        android.util.Log.w(r1, r2);	 Catch:{ all -> 0x0063 }
        monitor-exit(r0);	 Catch:{ all -> 0x0063 }
        return;
    L_0x0010:
        r1 = r6.mSensorManager;	 Catch:{ all -> 0x0063 }
        r2 = 8;
        r1 = r1.getDefaultSensor(r2);	 Catch:{ all -> 0x0063 }
        if (r1 != 0) goto L_0x0023;
    L_0x001a:
        r2 = "HwScreenOnProximityLock";
        r3 = "registerProximityListener return because of proximity sensor is not existed";
        android.util.Log.w(r2, r3);	 Catch:{ all -> 0x0063 }
        monitor-exit(r0);	 Catch:{ all -> 0x0063 }
        return;
    L_0x0023:
        r2 = r1.getMaximumRange();	 Catch:{ all -> 0x0063 }
        r3 = 1084227584; // 0x40a00000 float:5.0 double:5.356796015E-315;
        r4 = (r2 > r3 ? 1 : (r2 == r3 ? 0 : -1));
        if (r4 >= 0) goto L_0x0038;
    L_0x002d:
        r4 = 0;
        r4 = (r2 > r4 ? 1 : (r2 == r4 ? 0 : -1));
        if (r4 >= 0) goto L_0x0035;
    L_0x0032:
        r6.mProximityThreshold = r3;	 Catch:{ all -> 0x0063 }
        goto L_0x003a;
    L_0x0035:
        r6.mProximityThreshold = r2;	 Catch:{ all -> 0x0063 }
        goto L_0x003a;
    L_0x0038:
        r6.mProximityThreshold = r3;	 Catch:{ all -> 0x0063 }
    L_0x003a:
        r3 = r6.mSensorManager;	 Catch:{ all -> 0x0063 }
        r4 = r6.mListener;	 Catch:{ all -> 0x0063 }
        r5 = 3;
        r3 = r3.registerListener(r4, r1, r5);	 Catch:{ all -> 0x0063 }
        r6.mHeld = r3;	 Catch:{ all -> 0x0063 }
        r3 = r6.mHeld;	 Catch:{ all -> 0x0063 }
        if (r3 == 0) goto L_0x005a;
    L_0x0049:
        r3 = "HwScreenOnProximityLock";
        r4 = "registerProximityListener success";
        android.util.Log.d(r3, r4);	 Catch:{ all -> 0x0063 }
        r3 = r6.mAccListener;	 Catch:{ all -> 0x0063 }
        if (r3 == 0) goto L_0x0061;
    L_0x0054:
        r3 = r6.mAccListener;	 Catch:{ all -> 0x0063 }
        r3.register();	 Catch:{ all -> 0x0063 }
        goto L_0x0061;
    L_0x005a:
        r3 = "HwScreenOnProximityLock";
        r4 = "registerProximityListener fail";
        android.util.Log.d(r3, r4);	 Catch:{ all -> 0x0063 }
    L_0x0061:
        monitor-exit(r0);	 Catch:{ all -> 0x0063 }
        return;
    L_0x0063:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x0063 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: huawei.com.android.server.policy.HwScreenOnProximityLock.registerProximityListener():void");
    }

    private boolean shouldReleaseProximity(int reason) {
        for (int i : this.mReleaseReasons) {
            if (reason == i) {
                return true;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("isKeyguardLocked:");
        stringBuilder.append(this.mPolicy.isKeyguardLocked());
        android.util.Log.i("HwScreenOnProximityLock", stringBuilder.toString());
        return this.mPolicy.isKeyguardLocked() ^ 1;
    }

    public void acquireLock(com.android.server.policy.WindowManagerPolicy policy) {
        if (policy == null) {
            android.util.Log.w("HwScreenOnProximityLock", "acquire Lock: return because get Window Manager policy is null");
            return;
        }
        registerProximityListener();
        if (!this.mPolicy.isKeyguardLocked()) {
            android.util.Log.d("HwScreenOnProximityLock", "keyguard not locked");
        }
    }

    /* JADX WARNING: Missing block: B:14:0x005c, code:
            return;
     */
    public void releaseLock(int r5) {
        /*
        r4 = this;
        r0 = r4.mLock;
        monitor-enter(r0);
        r1 = r4.mHeld;	 Catch:{ all -> 0x005d }
        if (r1 != 0) goto L_0x0021;
    L_0x0007:
        r1 = "HwScreenOnProximityLock";
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x005d }
        r2.<init>();	 Catch:{ all -> 0x005d }
        r3 = "releaseLock: return because sensor listener is held = ";
        r2.append(r3);	 Catch:{ all -> 0x005d }
        r3 = r4.mHeld;	 Catch:{ all -> 0x005d }
        r2.append(r3);	 Catch:{ all -> 0x005d }
        r2 = r2.toString();	 Catch:{ all -> 0x005d }
        android.util.Log.w(r1, r2);	 Catch:{ all -> 0x005d }
        monitor-exit(r0);	 Catch:{ all -> 0x005d }
        return;
    L_0x0021:
        r1 = "HwScreenOnProximityLock";
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x005d }
        r2.<init>();	 Catch:{ all -> 0x005d }
        r3 = "releaseLock,reason:";
        r2.append(r3);	 Catch:{ all -> 0x005d }
        r2.append(r5);	 Catch:{ all -> 0x005d }
        r2 = r2.toString();	 Catch:{ all -> 0x005d }
        android.util.Log.i(r1, r2);	 Catch:{ all -> 0x005d }
        r4.removeProximityView();	 Catch:{ all -> 0x005d }
        r1 = r4.shouldReleaseProximity(r5);	 Catch:{ all -> 0x005d }
        if (r1 == 0) goto L_0x005b;
    L_0x0040:
        r1 = 0;
        r4.mHeld = r1;	 Catch:{ all -> 0x005d }
        r1 = r4.mSensorManager;	 Catch:{ all -> 0x005d }
        r2 = r4.mListener;	 Catch:{ all -> 0x005d }
        r1.unregisterListener(r2);	 Catch:{ all -> 0x005d }
        r1 = "HwScreenOnProximityLock";
        r2 = "unregister proximity sensor listener";
        android.util.Log.i(r1, r2);	 Catch:{ all -> 0x005d }
        r1 = r4.mAccListener;	 Catch:{ all -> 0x005d }
        if (r1 == 0) goto L_0x005b;
    L_0x0056:
        r1 = r4.mAccListener;	 Catch:{ all -> 0x005d }
        r1.unregister();	 Catch:{ all -> 0x005d }
    L_0x005b:
        monitor-exit(r0);	 Catch:{ all -> 0x005d }
        return;
    L_0x005d:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x005d }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: huawei.com.android.server.policy.HwScreenOnProximityLock.releaseLock(int):void");
    }

    public static java.lang.String reasonString(int reason) {
        switch (reason) {
            case 0:
                return "force quit";
            case 1:
                return "screen off";
            case 2:
                return "faraway sensor";
            default:
                return "unkown reason";
        }
    }

    public boolean isShowing() {
        boolean z;
        synchronized (this.mLock) {
            z = this.mProximityView != null && this.mViewAttached;
        }
        return z;
    }

    public void forceShowHint() {
        this.mHandler.sendEmptyMessage(1);
    }

    /* JADX WARNING: Removed duplicated region for block: B:26:0x00eb A:{SKIP} */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x0071  */
    /* JADX WARNING: Missing block: B:25:0x00ea, code:
            return;
     */
    private void preparePoriximityView() {
        /*
        r11 = this;
        r11.removeProximityView();
        r0 = r11.mLock;
        monitor-enter(r0);
        r1 = "HwScreenOnProximityLock";
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00ed }
        r2.<init>();	 Catch:{ all -> 0x00ed }
        r3 = "inflate View, config : ";
        r2.append(r3);	 Catch:{ all -> 0x00ed }
        r3 = r11.mContext;	 Catch:{ all -> 0x00ed }
        r3 = r3.getResources();	 Catch:{ all -> 0x00ed }
        r3 = r3.getConfiguration();	 Catch:{ all -> 0x00ed }
        r2.append(r3);	 Catch:{ all -> 0x00ed }
        r2 = r2.toString();	 Catch:{ all -> 0x00ed }
        android.util.Log.i(r1, r2);	 Catch:{ all -> 0x00ed }
        r1 = 0;
        r2 = r11.mRotation;	 Catch:{ all -> 0x00ed }
        r3 = 0;
        if (r2 == 0) goto L_0x003d;
    L_0x002c:
        r2 = r11.mRotation;	 Catch:{ all -> 0x00ed }
        r4 = 2;
        if (r2 != r4) goto L_0x0032;
    L_0x0031:
        goto L_0x003d;
    L_0x0032:
        r2 = r11.mContext;	 Catch:{ all -> 0x00ed }
        r4 = 34013314; // 0x2070082 float:9.918379E-38 double:1.680481E-316;
        r2 = android.view.View.inflate(r2, r4, r3);	 Catch:{ all -> 0x00ed }
        r1 = r2;
        goto L_0x006d;
    L_0x003d:
        r2 = r11.mContext;	 Catch:{ all -> 0x00ed }
        r4 = 34013254; // 0x2070046 float:9.918312E-38 double:1.68047803E-316;
        r2 = android.view.View.inflate(r2, r4, r3);	 Catch:{ all -> 0x00ed }
        r1 = r2;
        r2 = 34603043; // 0x2100023 float:1.0579488E-37 double:1.7096175E-316;
        r2 = r1.findViewById(r2);	 Catch:{ all -> 0x00ed }
        r2 = (android.widget.LinearLayout) r2;	 Catch:{ all -> 0x00ed }
        r3 = new android.util.DisplayMetrics;	 Catch:{ all -> 0x00ed }
        r3.<init>();	 Catch:{ all -> 0x00ed }
        r4 = r11.mWindowManager;	 Catch:{ all -> 0x00ed }
        r4 = r4.getDefaultDisplay();	 Catch:{ all -> 0x00ed }
        r4.getMetrics(r3);	 Catch:{ all -> 0x00ed }
        r4 = r3.widthPixels;	 Catch:{ all -> 0x00ed }
        r5 = r4 * 5;
        r5 = r5 / 4;
        r6 = new android.widget.LinearLayout$LayoutParams;	 Catch:{ all -> 0x00ed }
        r6.<init>(r4, r5);	 Catch:{ all -> 0x00ed }
        r2.setLayoutParams(r6);	 Catch:{ all -> 0x00ed }
    L_0x006d:
        r2 = r1 instanceof android.widget.FrameLayout;	 Catch:{ all -> 0x00ed }
        if (r2 == 0) goto L_0x00eb;
    L_0x0071:
        r2 = r1;
        r2 = (android.widget.FrameLayout) r2;	 Catch:{ all -> 0x00ed }
        r11.mProximityView = r2;	 Catch:{ all -> 0x00ed }
        r2 = r11.mProximityView;	 Catch:{ all -> 0x00ed }
        r3 = 34603159; // 0x2100097 float:1.0579618E-37 double:1.7096232E-316;
        r2 = r2.findViewById(r3);	 Catch:{ all -> 0x00ed }
        r11.mHintView = r2;	 Catch:{ all -> 0x00ed }
        r2 = r11.mHasNotchInScreen;	 Catch:{ all -> 0x00ed }
        r3 = 1;
        if (r2 == 0) goto L_0x00a3;
    L_0x0086:
        r2 = r11.mProximityView;	 Catch:{ all -> 0x00ed }
        r4 = 34603044; // 0x2100024 float:1.057949E-37 double:1.70961753E-316;
        r2 = r2.findViewById(r4);	 Catch:{ all -> 0x00ed }
        if (r2 == 0) goto L_0x00a2;
    L_0x0091:
        r4 = r2.getLayoutParams();	 Catch:{ all -> 0x00ed }
        r4 = (android.widget.LinearLayout.LayoutParams) r4;	 Catch:{ all -> 0x00ed }
        r5 = com.huawei.android.util.HwNotchSizeUtil.getNotchSize();	 Catch:{ all -> 0x00ed }
        r5 = r5[r3];	 Catch:{ all -> 0x00ed }
        r4.height = r5;	 Catch:{ all -> 0x00ed }
        r2.setLayoutParams(r4);	 Catch:{ all -> 0x00ed }
    L_0x00a3:
        r2 = r11.mProximityView;	 Catch:{ all -> 0x00ed }
        r4 = new huawei.com.android.server.policy.HwScreenOnProximityLock$4;	 Catch:{ all -> 0x00ed }
        r4.<init>();	 Catch:{ all -> 0x00ed }
        r2.setOnTouchListener(r4);	 Catch:{ all -> 0x00ed }
        r2 = new android.view.WindowManager$LayoutParams;	 Catch:{ all -> 0x00ed }
        r6 = -1;
        r7 = -1;
        r8 = 2100; // 0x834 float:2.943E-42 double:1.0375E-320;
        r9 = 134223104; // 0x8001500 float:3.8543284E-34 double:6.63150246E-316;
        r10 = -2;
        r5 = r2;
        r5.<init>(r6, r7, r8, r9, r10);	 Catch:{ all -> 0x00ed }
        r11.mParams = r2;	 Catch:{ all -> 0x00ed }
        r2 = r11.mParams;	 Catch:{ all -> 0x00ed }
        r4 = r2.inputFeatures;	 Catch:{ all -> 0x00ed }
        r4 = r4 | 4;
        r2.inputFeatures = r4;	 Catch:{ all -> 0x00ed }
        r2 = r11.mParams;	 Catch:{ all -> 0x00ed }
        r4 = r2.privateFlags;	 Catch:{ all -> 0x00ed }
        r5 = -2147483632; // 0xffffffff80000010 float:-2.24E-44 double:NaN;
        r4 = r4 | r5;
        r2.privateFlags = r4;	 Catch:{ all -> 0x00ed }
        r2 = r11.mParams;	 Catch:{ all -> 0x00ed }
        r4 = "Emui:ProximityWnd";
        r2.setTitle(r4);	 Catch:{ all -> 0x00ed }
        r2 = r11.mHasNotchInScreen;	 Catch:{ all -> 0x00ed }
        if (r2 == 0) goto L_0x00de;
    L_0x00da:
        r2 = r11.mParams;	 Catch:{ all -> 0x00ed }
        r2.layoutInDisplayCutoutMode = r3;	 Catch:{ all -> 0x00ed }
    L_0x00de:
        r2 = HWFLOW;	 Catch:{ all -> 0x00ed }
        if (r2 == 0) goto L_0x00e9;
    L_0x00e2:
        r2 = "HwScreenOnProximityLock";
        r3 = "preparePoriximityView addView ";
        android.util.Log.i(r2, r3);	 Catch:{ all -> 0x00ed }
    L_0x00e9:
        monitor-exit(r0);	 Catch:{ all -> 0x00ed }
        return;
    L_0x00eb:
        monitor-exit(r0);	 Catch:{ all -> 0x00ed }
        return;
    L_0x00ed:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x00ed }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: huawei.com.android.server.policy.HwScreenOnProximityLock.preparePoriximityView():void");
    }

    /* JADX WARNING: Missing block: B:23:0x003f, code:
            return;
     */
    private void showHintView() {
        /*
        r7 = this;
        r0 = r7.mLock;
        monitor-enter(r0);
        r1 = r7.mProximityView;	 Catch:{ all -> 0x0040 }
        if (r1 != 0) goto L_0x0009;
    L_0x0007:
        monitor-exit(r0);	 Catch:{ all -> 0x0040 }
        return;
    L_0x0009:
        r1 = r7.mHintView;	 Catch:{ all -> 0x0040 }
        if (r1 != 0) goto L_0x000f;
    L_0x000d:
        monitor-exit(r0);	 Catch:{ all -> 0x0040 }
        return;
    L_0x000f:
        r1 = r7.mHintView;	 Catch:{ all -> 0x0040 }
        r1 = r1.getVisibility();	 Catch:{ all -> 0x0040 }
        if (r1 == 0) goto L_0x003e;
    L_0x0017:
        r1 = r7.mViewAttached;	 Catch:{ all -> 0x0040 }
        if (r1 == 0) goto L_0x003e;
    L_0x001b:
        r1 = r7.mHintView;	 Catch:{ all -> 0x0040 }
        r2 = 0;
        r1.setVisibility(r2);	 Catch:{ all -> 0x0040 }
        r1 = android.os.Binder.clearCallingIdentity();	 Catch:{ all -> 0x0040 }
        r3 = r7.mContext;	 Catch:{ all -> 0x0039 }
        r3 = r3.getContentResolver();	 Catch:{ all -> 0x0039 }
        r4 = "proximity_wnd_status";
        r5 = 1;
        r6 = android.app.ActivityManager.getCurrentUser();	 Catch:{ all -> 0x0039 }
        android.provider.Settings.System.putIntForUser(r3, r4, r5, r6);	 Catch:{ all -> 0x0039 }
        android.os.Binder.restoreCallingIdentity(r1);	 Catch:{ all -> 0x0040 }
        goto L_0x003e;
    L_0x0039:
        r3 = move-exception;
        android.os.Binder.restoreCallingIdentity(r1);	 Catch:{ all -> 0x0040 }
        throw r3;	 Catch:{ all -> 0x0040 }
    L_0x003e:
        monitor-exit(r0);	 Catch:{ all -> 0x0040 }
        return;
    L_0x0040:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x0040 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: huawei.com.android.server.policy.HwScreenOnProximityLock.showHintView():void");
    }

    /* JADX WARNING: Missing block: B:44:0x00c3, code:
            return;
     */
    private void addProximityView() {
        /*
        r4 = this;
        r0 = r4.mLock;
        monitor-enter(r0);
        r1 = r4.mRotation;	 Catch:{ all -> 0x00cd }
        r2 = r4.mLastRotation;	 Catch:{ all -> 0x00cd }
        if (r1 == r2) goto L_0x0010;
    L_0x0009:
        r4.preparePoriximityView();	 Catch:{ all -> 0x00cd }
        r1 = r4.mRotation;	 Catch:{ all -> 0x00cd }
        r4.mLastRotation = r1;	 Catch:{ all -> 0x00cd }
    L_0x0010:
        r1 = r4.mProximityView;	 Catch:{ all -> 0x00cd }
        if (r1 == 0) goto L_0x00c4;
    L_0x0014:
        r1 = r4.mPhoneWindowManager;	 Catch:{ all -> 0x00cd }
        r1 = r1.isKeyguardShortcutApps();	 Catch:{ all -> 0x00cd }
        if (r1 != 0) goto L_0x00c4;
    L_0x001c:
        r1 = r4.mPhoneWindowManager;	 Catch:{ all -> 0x00cd }
        r1 = r1.isLandscape();	 Catch:{ all -> 0x00cd }
        if (r1 == 0) goto L_0x002e;
    L_0x0024:
        r1 = r4.mPhoneWindowManager;	 Catch:{ all -> 0x00cd }
        r1 = r1.isLsKeyguardShortcutApps();	 Catch:{ all -> 0x00cd }
        if (r1 == 0) goto L_0x002e;
    L_0x002c:
        goto L_0x00c4;
    L_0x002e:
        r1 = r4.mProximityView;	 Catch:{ all -> 0x00cd }
        if (r1 == 0) goto L_0x008c;
    L_0x0032:
        r1 = r4.mParams;	 Catch:{ all -> 0x00cd }
        if (r1 == 0) goto L_0x008c;
    L_0x0036:
        r1 = r4.mViewAttached;	 Catch:{ all -> 0x00cd }
        if (r1 != 0) goto L_0x008c;
    L_0x003a:
        r1 = r4.mHeld;	 Catch:{ all -> 0x00cd }
        if (r1 == 0) goto L_0x008c;
    L_0x003e:
        r1 = r4.mCoverManager;	 Catch:{ all -> 0x00cd }
        if (r1 == 0) goto L_0x008c;
    L_0x0042:
        r1 = r4.mCoverManager;	 Catch:{ all -> 0x00cd }
        r1 = r1.isCoverOpen();	 Catch:{ all -> 0x00cd }
        if (r1 == 0) goto L_0x008c;
    L_0x004a:
        r1 = r4.mAccListener;	 Catch:{ all -> 0x00cd }
        if (r1 == 0) goto L_0x0056;
    L_0x004e:
        r1 = r4.mAccListener;	 Catch:{ all -> 0x00cd }
        r1 = r1.isFlat();	 Catch:{ all -> 0x00cd }
        if (r1 != 0) goto L_0x008c;
    L_0x0056:
        r1 = HWFLOW;	 Catch:{ all -> 0x00cd }
        if (r1 == 0) goto L_0x0061;
    L_0x005a:
        r1 = "HwScreenOnProximityLock";
        r2 = "addProximityView ";
        android.util.Log.i(r1, r2);	 Catch:{ all -> 0x00cd }
    L_0x0061:
        r1 = r4.mFirstBoot;	 Catch:{ all -> 0x00cd }
        if (r1 == 0) goto L_0x0072;
    L_0x0065:
        r1 = "HwScreenOnProximityLock";
        r2 = "first boot,prepare again";
        android.util.Log.i(r1, r2);	 Catch:{ all -> 0x00cd }
        r4.preparePoriximityView();	 Catch:{ all -> 0x00cd }
        r1 = 0;
        r4.mFirstBoot = r1;	 Catch:{ all -> 0x00cd }
    L_0x0072:
        r1 = r4.mWindowManager;	 Catch:{ all -> 0x00cd }
        r2 = r4.mProximityView;	 Catch:{ all -> 0x00cd }
        r3 = r4.mParams;	 Catch:{ all -> 0x00cd }
        r1.addView(r2, r3);	 Catch:{ all -> 0x00cd }
        r1 = r4.mHintView;	 Catch:{ all -> 0x00cd }
        if (r1 != 0) goto L_0x0081;
    L_0x007f:
        monitor-exit(r0);	 Catch:{ all -> 0x00cd }
        return;
    L_0x0081:
        r1 = r4.mHintView;	 Catch:{ all -> 0x00cd }
        r2 = 8;
        r1.setVisibility(r2);	 Catch:{ all -> 0x00cd }
        r1 = 1;
        r4.mViewAttached = r1;	 Catch:{ all -> 0x00cd }
        goto L_0x00c2;
    L_0x008c:
        r1 = "HwScreenOnProximityLock";
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00cd }
        r2.<init>();	 Catch:{ all -> 0x00cd }
        r3 = "no need to addView:mProximityView = ";
        r2.append(r3);	 Catch:{ all -> 0x00cd }
        r3 = r4.mProximityView;	 Catch:{ all -> 0x00cd }
        r2.append(r3);	 Catch:{ all -> 0x00cd }
        r3 = "mParams=";
        r2.append(r3);	 Catch:{ all -> 0x00cd }
        r3 = r4.mParams;	 Catch:{ all -> 0x00cd }
        r2.append(r3);	 Catch:{ all -> 0x00cd }
        r3 = ",mViewAttached:";
        r2.append(r3);	 Catch:{ all -> 0x00cd }
        r3 = r4.mViewAttached;	 Catch:{ all -> 0x00cd }
        r2.append(r3);	 Catch:{ all -> 0x00cd }
        r3 = ",mHeld:";
        r2.append(r3);	 Catch:{ all -> 0x00cd }
        r3 = r4.mHeld;	 Catch:{ all -> 0x00cd }
        r2.append(r3);	 Catch:{ all -> 0x00cd }
        r2 = r2.toString();	 Catch:{ all -> 0x00cd }
        android.util.Log.w(r1, r2);	 Catch:{ all -> 0x00cd }
    L_0x00c2:
        monitor-exit(r0);	 Catch:{ all -> 0x00cd }
        return;
    L_0x00c4:
        r1 = "HwScreenOnProximityLock";
        r2 = "no need to addProximityView";
        android.util.Log.i(r1, r2);	 Catch:{ all -> 0x00cd }
        monitor-exit(r0);	 Catch:{ all -> 0x00cd }
        return;
    L_0x00cd:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x00cd }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: huawei.com.android.server.policy.HwScreenOnProximityLock.addProximityView():void");
    }

    private void removeProximityView() {
        synchronized (this.mLock) {
            if (this.mProximityView == null || !this.mViewAttached) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("no need to removeView:mProximityView = ");
                stringBuilder.append(this.mProximityView);
                stringBuilder.append(",mViewAttached");
                stringBuilder.append(this.mViewAttached);
                android.util.Log.w("HwScreenOnProximityLock", stringBuilder.toString());
            } else {
                android.view.ViewParent vp = this.mProximityView.getParent();
                java.lang.StringBuilder stringBuilder2;
                if (vp == null) {
                    try {
                        this.mWindowManager.removeView(this.mProximityView);
                        this.mViewAttached = false;
                        android.util.Log.i("HwScreenOnProximityLock", "removeview directly ");
                    } catch (java.lang.RuntimeException e) {
                        java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                        stringBuilder3.append("removeView fail ");
                        stringBuilder3.append(e.getMessage());
                        android.util.Log.i("HwScreenOnProximityLock", stringBuilder3.toString());
                    } catch (Throwable th) {
                        android.os.Binder.restoreCallingIdentity(token);
                    }
                } else if (this.mWindowManager == null || !(vp instanceof android.view.ViewRootImpl)) {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("removeView fail: mWindowManager = ");
                    stringBuilder2.append(this.mWindowManager);
                    stringBuilder2.append(", viewparent = ");
                    stringBuilder2.append(vp);
                    android.util.Log.w("HwScreenOnProximityLock", stringBuilder2.toString());
                } else {
                    if (HWFLOW) {
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("removeProximityView success vp ");
                        stringBuilder2.append(vp);
                        android.util.Log.i("HwScreenOnProximityLock", stringBuilder2.toString());
                    }
                    this.mWindowManager.removeView(this.mProximityView);
                    this.mViewAttached = false;
                }
                long token = android.os.Binder.clearCallingIdentity();
                android.provider.Settings.System.putIntForUser(this.mContext.getContentResolver(), "proximity_wnd_status", 0, android.app.ActivityManager.getCurrentUser());
                android.os.Binder.restoreCallingIdentity(token);
            }
        }
    }

    public void refreshForRotationChange(int rotation) {
        this.mLastRotation = this.mRotation;
        this.mRotation = rotation;
        this.mHandler.sendEmptyMessage(2);
    }

    private void refreshHintView() {
        boolean shouldShow = this.mHintView.getVisibility() == 0;
        if (this.mHeld) {
            if (this.mIsProximity) {
                addProximityView();
                if (shouldShow) {
                    showHintView();
                }
            }
        }
    }
}
