package huawei.com.android.server.policy;

public class ShutdownMenuAnimations {
    private static final float CONFIRM_SCALE = 0.8f;
    public static final android.view.animation.Interpolator CubicBezier_20_90 = new com.huawei.hwanimation.CubicBezierInterpolator(0.3f, 0.15f, 0.1f, 0.85f);
    public static final android.view.animation.Interpolator CubicBezier_33_33 = new com.huawei.hwanimation.CubicBezierInterpolator(0.2f, 0.5f, 0.8f, 0.5f);
    static final android.view.animation.Interpolator CubicBezier_40_0 = new android.view.animation.PathInterpolator(0.4f, 0.0f, 1.0f, 1.0f);
    private static final int DEGREES_ROTATE = 360;
    private static final int DURATION_130MS = 130;
    static final int DURATION_200MS = 200;
    private static final int DURATION_220MS = 220;
    static final int DURATION_260MS = 260;
    private static final int DURATION_350MS = 350;
    private static final int DURATION_800MS = 800;
    private static final int DURATION_ROTATE = 1280;
    private static final int ID_AIRPLANEMODE_RESOURCE = 34603145;
    private static final int ID_REBOOT_RESOURCE = 34603151;
    private static final int ID_REBOOT_SCREENBLACK = 34603243;
    private static final int ID_SHUTDOWN_RESOURCE = 34603152;
    private static final int ID_SILENTMODE_RESOURCE = 34603146;
    private static final int ID_STR_LOCKDOWN = 33686054;
    private static final int ID_STR_REBOOT = 33685740;
    private static final int ID_STR_SHUTDOWN = 33685738;
    private static final float MENU_SCALE = 1.6f;
    private static final int MESSAGE_REPEAT_ROTATE = 0;
    private static final float NEW_CONFIRM_SCALE = 1.2f;
    private static final int ROTATION_DEFAULT = 0;
    private static final int ROTATION_NINETY = 90;
    private static final float SHUTDOWN_MENU_ACTION_SHORT_TRANSLATE_DP = 12.5f;
    private static final java.lang.String TAG = "ShutdownMenuAnimations";
    private static huawei.com.android.server.policy.ShutdownMenuAnimations instance = new huawei.com.android.server.policy.ShutdownMenuAnimations();
    private static android.content.Context mContext;
    private final int ROTATION = android.os.SystemProperties.getInt("ro.panel.hw_orientation", 0);
    private android.view.View circle_view;
    private android.widget.TextView confirm_message;
    private android.view.View confirm_view;
    private int[] imageLocationEnd = new int[2];
    private int[] imageLocationStart = new int[2];
    private boolean isAnimRunning = false;
    private android.view.View lockdown_view;
    private java.util.ArrayList<android.view.View> mActionViewList = new java.util.ArrayList();
    private android.animation.AnimatorSet mConfirmSet;
    private android.os.Handler mHandler = new android.os.Handler() {
        public void handleMessage(android.os.Message msg) {
            if (msg.what == 0) {
                huawei.com.android.server.policy.ShutdownMenuAnimations.this.circle_view.setRotation(0.0f);
                huawei.com.android.server.policy.ShutdownMenuAnimations.this.rotateCircle();
            }
        }
    };
    private android.animation.AnimatorSet mShutdownEnterSet;
    private android.view.View poweroff_hint_view;
    private android.view.View reboot_progress;
    private android.view.View reboot_view;
    private android.view.View shutdown_screenoff;
    private android.view.View shutdown_view;
    private final android.view.animation.Interpolator typeA = new com.huawei.hwanimation.CubicBezierInterpolator(0.51f, 0.35f, 0.15f, 1.0f);
    private final android.view.animation.Interpolator typeB = new com.huawei.hwanimation.CubicBezierInterpolator(0.53f, 0.51f, 0.69f, 0.99f);
    private java.util.ArrayList<android.view.View> viewList = new java.util.ArrayList();
    private android.view.View view_confirm_action;
    private android.view.View view_four_action;
    private android.view.View view_two_action;
    private android.view.View warning_list_view;

    public static synchronized huawei.com.android.server.policy.ShutdownMenuAnimations getInstance(android.content.Context context) {
        huawei.com.android.server.policy.ShutdownMenuAnimations shutdownMenuAnimations;
        synchronized (huawei.com.android.server.policy.ShutdownMenuAnimations.class) {
            mContext = context.getApplicationContext();
            if (instance == null) {
                instance = new huawei.com.android.server.policy.ShutdownMenuAnimations();
            }
            shutdownMenuAnimations = instance;
        }
        return shutdownMenuAnimations;
    }

    /* JADX WARNING: Incorrect type for fill-array insn 0x0170, element type: float, insn element type: null */
    public android.animation.AnimatorSet setImageAnimation(boolean r17) {
        /*
        r16 = this;
        r0 = r16;
        r1 = new android.animation.AnimatorSet;
        r1.<init>();
        r2 = r0.isAnimRunning;
        if (r2 != 0) goto L_0x01d6;
    L_0x000b:
        r2 = r0.viewList;
        if (r2 == 0) goto L_0x01d6;
    L_0x000f:
        r2 = r0.viewList;
        r2 = r2.size();
        if (r2 != 0) goto L_0x0019;
    L_0x0017:
        goto L_0x01d6;
    L_0x0019:
        r2 = new java.util.ArrayList;
        r2.<init>();
        r3 = 0;
        r4 = 0;
        r5 = r0.viewList;
        r5 = r5.size();
        r6 = 0;
        r7 = r4;
        r4 = r3;
        r3 = r6;
    L_0x002a:
        if (r3 >= r5) goto L_0x01c8;
    L_0x002c:
        r8 = r0.viewList;
        r8 = r8.get(r3);
        r8 = (android.view.View) r8;
        if (r8 == 0) goto L_0x01c4;
    L_0x0036:
        r9 = r8.getId();
        switch(r9) {
            case 34603145: goto L_0x00f8;
            case 34603146: goto L_0x00bc;
            case 34603151: goto L_0x007e;
            case 34603152: goto L_0x003f;
            default: goto L_0x003d;
        };
    L_0x003d:
        goto L_0x0134;
    L_0x003f:
        r0.shutdown_view = r8;
        r9 = mContext;
        r9 = r9.getResources();
        r10 = 34472078; // 0x20e008e float:1.0432672E-37 double:1.70314695E-316;
        r9 = r9.getDimension(r10);
        r4 = (int) r9;
        r9 = mContext;
        r9 = r9.getResources();
        r10 = 34472079; // 0x20e008f float:1.0432673E-37 double:1.703147E-316;
        r9 = r9.getDimension(r10);
        r7 = (int) r9;
        r9 = "ShutdownMenuAnimations";
        r10 = new java.lang.StringBuilder;
        r10.<init>();
        r11 = "setImageAnimation viewid=ID_SHUTDOWN_RESOURCE  fromX=";
        r10.append(r11);
        r10.append(r4);
        r11 = ", fromY= ";
        r10.append(r11);
        r10.append(r7);
        r10 = r10.toString();
        android.util.Log.d(r9, r10);
        goto L_0x0134;
    L_0x007e:
        r0.reboot_view = r8;
        r9 = mContext;
        r9 = r9.getResources();
        r10 = 34472076; // 0x20e008c float:1.0432669E-37 double:1.70314685E-316;
        r9 = r9.getDimension(r10);
        r4 = (int) r9;
        r9 = mContext;
        r9 = r9.getResources();
        r10 = 34472077; // 0x20e008d float:1.043267E-37 double:1.7031469E-316;
        r9 = r9.getDimension(r10);
        r7 = (int) r9;
        r9 = "ShutdownMenuAnimations";
        r10 = new java.lang.StringBuilder;
        r10.<init>();
        r11 = "setImageAnimation viewid=ID_REBOOT_RESOURCE  fromX=";
        r10.append(r11);
        r10.append(r4);
        r11 = ", fromY= ";
        r10.append(r11);
        r10.append(r7);
        r10 = r10.toString();
        android.util.Log.d(r9, r10);
        goto L_0x0134;
    L_0x00bc:
        r9 = mContext;
        r9 = r9.getResources();
        r10 = 34472074; // 0x20e008a float:1.0432667E-37 double:1.70314675E-316;
        r9 = r9.getDimension(r10);
        r4 = (int) r9;
        r9 = mContext;
        r9 = r9.getResources();
        r10 = 34472075; // 0x20e008b float:1.0432668E-37 double:1.7031468E-316;
        r9 = r9.getDimension(r10);
        r7 = (int) r9;
        r9 = "ShutdownMenuAnimations";
        r10 = new java.lang.StringBuilder;
        r10.<init>();
        r11 = "setImageAnimation viewid=ID_SILENTMODE_RESOURCE  fromX=";
        r10.append(r11);
        r10.append(r4);
        r11 = ", fromY= ";
        r10.append(r11);
        r10.append(r7);
        r10 = r10.toString();
        android.util.Log.d(r9, r10);
        goto L_0x0134;
    L_0x00f8:
        r9 = mContext;
        r9 = r9.getResources();
        r10 = 34472072; // 0x20e0088 float:1.0432665E-37 double:1.70314665E-316;
        r9 = r9.getDimension(r10);
        r4 = (int) r9;
        r9 = mContext;
        r9 = r9.getResources();
        r10 = 34472073; // 0x20e0089 float:1.0432666E-37 double:1.7031467E-316;
        r9 = r9.getDimension(r10);
        r7 = (int) r9;
        r9 = "ShutdownMenuAnimations";
        r10 = new java.lang.StringBuilder;
        r10.<init>();
        r11 = "setImageAnimation viewid=ID_AIRPLANEMODE_RESOURCE  fromX=";
        r10.append(r11);
        r10.append(r4);
        r11 = ", fromY= ";
        r10.append(r11);
        r10.append(r7);
        r10 = r10.toString();
        android.util.Log.d(r9, r10);
    L_0x0134:
        r9 = 0;
        r10 = 1;
        r11 = 2;
        if (r17 == 0) goto L_0x0178;
    L_0x0139:
        r12 = "translationX";
        r13 = new float[r11];
        r14 = (float) r4;
        r13[r6] = r14;
        r13[r10] = r9;
        r12 = android.animation.ObjectAnimator.ofFloat(r8, r12, r13);
        r13 = "translationY";
        r14 = new float[r11];
        r11 = (float) r7;
        r14[r6] = r11;
        r14[r10] = r9;
        r9 = android.animation.ObjectAnimator.ofFloat(r8, r13, r14);
        r10 = "alpha";
        r11 = 2;
        r13 = new float[r11];
        r13 = {0, 1065353216};
        r10 = android.animation.ObjectAnimator.ofFloat(r8, r10, r13);
        r13 = "scaleX";
        r14 = new float[r11];
        r14 = {1070386381, 1065353216};
        r13 = android.animation.ObjectAnimator.ofFloat(r8, r13, r14);
        r14 = "scaleY";
        r11 = new float[r11];
        r11 = {1070386381, 1065353216};
        r11 = android.animation.ObjectAnimator.ofFloat(r8, r14, r11);
        goto L_0x01b5;
    L_0x0178:
        r12 = "translationX";
        r13 = new float[r11];
        r13[r6] = r9;
        r14 = (float) r4;
        r13[r10] = r14;
        r12 = android.animation.ObjectAnimator.ofFloat(r8, r12, r13);
        r13 = "translationY";
        r14 = new float[r11];
        r14[r6] = r9;
        r9 = (float) r7;
        r14[r10] = r9;
        r9 = android.animation.ObjectAnimator.ofFloat(r8, r13, r14);
        r10 = "alpha";
        r13 = new float[r11];
        r13 = {1065353216, 0};
        r10 = android.animation.ObjectAnimator.ofFloat(r8, r10, r13);
        r13 = "scaleX";
        r14 = new float[r11];
        r14 = {1065353216, 1070386381};
        r13 = android.animation.ObjectAnimator.ofFloat(r8, r13, r14);
        r14 = "scaleY";
        r11 = new float[r11];
        r11 = {1065353216, 1070386381};
        r11 = android.animation.ObjectAnimator.ofFloat(r8, r14, r11);
    L_0x01b5:
        r2.add(r12);
        r2.add(r9);
        r2.add(r10);
        r2.add(r13);
        r2.add(r11);
    L_0x01c4:
        r3 = r3 + 1;
        goto L_0x002a;
    L_0x01c8:
        r3 = r0.typeA;
        r1.setInterpolator(r3);
        r8 = 800; // 0x320 float:1.121E-42 double:3.953E-321;
        r1.setDuration(r8);
        r1.playTogether(r2);
        return r1;
    L_0x01d6:
        r2 = "ShutdownMenuAnimations";
        r3 = "viewList is null or isAnimRunning";
        android.util.Log.w(r2, r3);
        return r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: huawei.com.android.server.policy.ShutdownMenuAnimations.setImageAnimation(boolean):android.animation.AnimatorSet");
    }

    public void shutdownOrRebootEnterAnim(android.view.View view, boolean isReboot) {
        if (view == null) {
            android.util.Log.w("ShutdownMenuAnimations", "shutdownOrRebootEnterAnim view is null");
            return;
        }
        view.getLocationInWindow(this.imageLocationEnd);
        int[] iArr = this.imageLocationEnd;
        iArr[0] = iArr[0] + (view.getWidth() / 2);
        iArr = this.imageLocationEnd;
        iArr[1] = iArr[1] + (view.getHeight() / 2);
        startConfirmEnterOrExitAnim(view, true, isReboot);
    }

    public void rebackShutdownMenu(boolean isReboot) {
        if (isReboot) {
            this.confirm_message.setText(33685740);
            startConfirmEnterOrExitAnim(this.reboot_view, false, isReboot);
        } else {
            this.confirm_message.setText(33685738);
            startConfirmEnterOrExitAnim(this.shutdown_view, false, isReboot);
        }
        if (this.circle_view != null) {
            this.circle_view.setVisibility(4);
            this.circle_view.clearAnimation();
        }
    }

    private void startConfirmEnterOrExitAnim(android.view.View view, final boolean isEnter, final boolean isReboot) {
        if (!this.isAnimRunning) {
            if (view != null) {
                if (huawei.com.android.server.policy.HwGlobalActionsData.getSingletoneInstance().isDeviceProvisioned()) {
                    if (this.view_four_action != null) {
                        this.view_four_action.setVisibility(0);
                    }
                    this.view_two_action = null;
                } else {
                    if (this.view_two_action != null) {
                        this.view_two_action.setVisibility(0);
                    }
                    this.view_four_action = null;
                }
                if (this.imageLocationStart[0] == 0 && this.imageLocationStart[1] == 0 && this.ROTATION == 0) {
                    this.confirm_view.getLocationInWindow(this.imageLocationStart);
                    int[] iArr = this.imageLocationStart;
                    iArr[0] = iArr[0] + (this.confirm_view.getWidth() / 2);
                    iArr = this.imageLocationStart;
                    iArr[1] = iArr[1] + (this.confirm_view.getHeight() / 2);
                }
                if (this.ROTATION == 90) {
                    android.view.WindowManager wm = (android.view.WindowManager) mContext.getSystemService("window");
                    if (android.provider.Settings.System.getInt(mContext.getContentResolver(), "navigationbar_is_min", 0) != 0) {
                        this.imageLocationStart[0] = wm.getDefaultDisplay().getWidth() / 2;
                        this.imageLocationStart[1] = wm.getDefaultDisplay().getHeight() / 2;
                    } else {
                        int navigationBarHeight = mContext.getResources().getDimensionPixelSize(17105186);
                        this.imageLocationStart[0] = wm.getDefaultDisplay().getWidth() / 2;
                        this.imageLocationStart[1] = (wm.getDefaultDisplay().getHeight() + navigationBarHeight) >>> 1;
                    }
                }
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("imageLocationStart[] = [");
                stringBuilder.append(this.imageLocationStart[0]);
                stringBuilder.append(", ");
                stringBuilder.append(this.imageLocationStart[1]);
                stringBuilder.append("],imageLocationEnd[] = [");
                stringBuilder.append(this.imageLocationEnd[0]);
                stringBuilder.append(", ");
                stringBuilder.append(this.imageLocationEnd[1]);
                stringBuilder.append("]");
                android.util.Log.d("ShutdownMenuAnimations", stringBuilder.toString());
                this.mShutdownEnterSet = startConfirmTranslationAnimation(this.confirm_view, this.imageLocationEnd[0] - this.imageLocationStart[0], this.imageLocationEnd[1] - this.imageLocationStart[1], isEnter);
                if (this.mConfirmSet == null || !this.mConfirmSet.isRunning()) {
                    final android.view.View mView = view;
                    this.mConfirmSet = setImageAnimation(isEnter ^ 1);
                    this.mConfirmSet.addListener(new android.animation.Animator.AnimatorListener() {
                        public void onAnimationStart(android.animation.Animator animation) {
                            huawei.com.android.server.policy.ShutdownMenuAnimations.this.isAnimRunning = true;
                            huawei.com.android.server.policy.ShutdownMenuAnimations.this.setViewVisibility(mView, 4);
                            if (huawei.com.android.server.policy.ShutdownMenuAnimations.this.view_confirm_action != null) {
                                huawei.com.android.server.policy.ShutdownMenuAnimations.this.view_confirm_action.setVisibility(0);
                            } else {
                                android.util.Log.w("ShutdownMenuAnimations", "view_confirm_action is null!");
                            }
                            if (isEnter) {
                                huawei.com.android.server.policy.ShutdownMenuAnimations.this.setViewVisibility(huawei.com.android.server.policy.ShutdownMenuAnimations.this.poweroff_hint_view, 4);
                                if (!(isReboot || huawei.com.android.server.policy.ShutdownMenuAnimations.this.warning_list_view == null || android.app.ActivityManager.getCurrentUser() != 0)) {
                                    huawei.com.android.server.policy.ShutdownMenuAnimations.this.warning_list_view.setVisibility(0);
                                }
                            } else {
                                if (!(isReboot || huawei.com.android.server.policy.ShutdownMenuAnimations.this.warning_list_view == null || android.app.ActivityManager.getCurrentUser() != 0)) {
                                    huawei.com.android.server.policy.ShutdownMenuAnimations.this.warning_list_view.setVisibility(4);
                                }
                                huawei.com.android.server.policy.ShutdownMenuAnimations.this.setViewVisibility(huawei.com.android.server.policy.ShutdownMenuAnimations.this.poweroff_hint_view, 0);
                            }
                            if (huawei.com.android.server.policy.ShutdownMenuAnimations.this.mShutdownEnterSet != null && !huawei.com.android.server.policy.ShutdownMenuAnimations.this.mShutdownEnterSet.isRunning()) {
                                android.util.Log.d("ShutdownMenuAnimations", "mShutdownEnterSet start!");
                                huawei.com.android.server.policy.ShutdownMenuAnimations.this.mShutdownEnterSet.start();
                            }
                        }

                        public void onAnimationRepeat(android.animation.Animator animation) {
                        }

                        public void onAnimationEnd(android.animation.Animator animation) {
                            if (mView != null) {
                                mView.setVisibility(0);
                            } else {
                                android.util.Log.w("ShutdownMenuAnimations", "mView is null!");
                            }
                            if (isEnter) {
                                if (huawei.com.android.server.policy.ShutdownMenuAnimations.this.view_four_action != null) {
                                    huawei.com.android.server.policy.ShutdownMenuAnimations.this.view_four_action.setVisibility(4);
                                }
                                if (!(huawei.com.android.server.policy.ShutdownMenuAnimations.this.view_two_action == null || huawei.com.android.server.policy.HwGlobalActionsData.getSingletoneInstance().isDeviceProvisioned())) {
                                    huawei.com.android.server.policy.ShutdownMenuAnimations.this.view_two_action.setVisibility(4);
                                }
                            } else if (huawei.com.android.server.policy.ShutdownMenuAnimations.this.view_confirm_action != null) {
                                huawei.com.android.server.policy.ShutdownMenuAnimations.this.view_confirm_action.setVisibility(4);
                            }
                            huawei.com.android.server.policy.ShutdownMenuAnimations.this.isAnimRunning = false;
                            huawei.com.android.server.policy.ShutdownMenuAnimations.this.view_confirm_action.findViewById(34603108).performAccessibilityAction(64, null);
                        }

                        public void onAnimationCancel(android.animation.Animator animation) {
                            huawei.com.android.server.policy.ShutdownMenuAnimations.this.isAnimRunning = false;
                        }
                    });
                    this.mConfirmSet.start();
                }
                return;
            }
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("startConfirmEnterOrExitAnim isAnimRunning return! view = ");
        stringBuilder2.append(view);
        android.util.Log.w("ShutdownMenuAnimations", stringBuilder2.toString());
    }

    private void setViewVisibility(android.view.View view, int visibility) {
        if (view != null) {
            view.setVisibility(visibility);
        }
    }

    private android.animation.AnimatorSet startConfirmTranslationAnimation(android.view.View view, int fromX, int fromY, boolean isEnter) {
        android.animation.ObjectAnimator translateX;
        android.animation.ObjectAnimator translateY;
        android.animation.ObjectAnimator scaleX;
        android.animation.ObjectAnimator scaleY;
        android.animation.AnimatorSet mSet = new android.animation.AnimatorSet();
        java.util.ArrayList<android.animation.Animator> anims = new java.util.ArrayList();
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("fromX = ");
        stringBuilder.append(fromX);
        stringBuilder.append(",fromY = ");
        stringBuilder.append(fromY);
        stringBuilder.append(",isEnter = ");
        stringBuilder.append(isEnter);
        stringBuilder.append(",view = ");
        stringBuilder.append(view);
        android.util.Log.d("ShutdownMenuAnimations", stringBuilder.toString());
        if (isEnter) {
            translateX = android.animation.ObjectAnimator.ofFloat(view, "translationX", new float[]{(float) fromX, 0.0f});
            translateY = android.animation.ObjectAnimator.ofFloat(view, "translationY", new float[]{(float) fromY, 0.0f});
            scaleX = android.animation.ObjectAnimator.ofFloat(view, "scaleX", new float[]{0.8f, 1.0f});
            scaleY = android.animation.ObjectAnimator.ofFloat(view, "scaleY", new float[]{0.8f, 1.0f});
        } else {
            translateX = android.animation.ObjectAnimator.ofFloat(view, "translationX", new float[]{0.0f, (float) fromX});
            translateY = android.animation.ObjectAnimator.ofFloat(view, "translationY", new float[]{0.0f, (float) fromY});
            scaleX = android.animation.ObjectAnimator.ofFloat(view, "scaleX", new float[]{1.0f, 0.8f});
            scaleY = android.animation.ObjectAnimator.ofFloat(view, "scaleY", new float[]{1.0f, 0.8f});
        }
        anims.add(translateX);
        anims.add(translateY);
        anims.add(scaleX);
        anims.add(scaleY);
        mSet.playTogether(anims);
        mSet.setInterpolator(this.typeA);
        mSet.setDuration(800);
        return mSet;
    }

    public void startShutdownOrRebootAnim(boolean isReboot) {
        if (this.isAnimRunning) {
            android.util.Log.d("ShutdownMenuAnimations", "startShutdownOrRebootAnim isAnimRunning return!");
            return;
        }
        android.util.Log.d("ShutdownMenuAnimations", "startShutdownOrRebootAnim!");
        if (this.view_confirm_action != null) {
            this.circle_view = this.view_confirm_action.findViewById(34603147);
        }
        if (this.circle_view != null) {
            this.circle_view.setVisibility(0);
            rotateCircle();
        }
    }

    private void rotateCircle() {
        if (this.circle_view != null) {
            if (this.circle_view.isAttachedToWindow()) {
                android.animation.TimeInterpolator interpolator = this.typeA;
                if (!android.view.RenderNodeAnimator.isNativeInterpolator(interpolator)) {
                    interpolator = new com.android.internal.view.animation.FallbackLUTInterpolator(this.typeA, 1280);
                }
                android.view.RenderNodeAnimator circleRotate = new android.view.RenderNodeAnimator(5, 360.0f);
                circleRotate.setDuration(1280);
                circleRotate.setInterpolator(interpolator);
                circleRotate.setTarget(this.circle_view);
                circleRotate.addListener(new android.animation.AnimatorListenerAdapter() {
                    public void onAnimationStart(android.animation.Animator animation) {
                        huawei.com.android.server.policy.ShutdownMenuAnimations.this.isAnimRunning = true;
                    }

                    public void onAnimationCancel(android.animation.Animator animation) {
                        huawei.com.android.server.policy.ShutdownMenuAnimations.this.isAnimRunning = false;
                    }

                    public void onAnimationEnd(android.animation.Animator animation) {
                        huawei.com.android.server.policy.ShutdownMenuAnimations.this.isAnimRunning = false;
                        huawei.com.android.server.policy.ShutdownMenuAnimations.this.mHandler.sendEmptyMessage(0);
                    }
                });
                circleRotate.start();
                return;
            }
        }
        android.util.Log.w("ShutdownMenuAnimations", "rotateCircle circle_view is null or !circle_view.isAttachedToWindow()");
    }

    public android.view.animation.Animation setSoundModeRotate() {
        android.view.animation.Animation animRotation = android.view.animation.AnimationUtils.loadAnimation(mContext, 34209799);
        animRotation.setInterpolator(this.typeB);
        return animRotation;
    }

    public void setFourActionView(android.view.View view) {
        this.view_four_action = view;
        this.poweroff_hint_view = this.view_four_action.findViewById(34603149);
    }

    public void setTwoActionView(android.view.View view) {
        this.view_two_action = view;
        this.poweroff_hint_view = this.view_two_action.findViewById(34603150);
        this.reboot_view = this.view_two_action.findViewById(34603151);
        this.shutdown_view = this.view_two_action.findViewById(34603152);
        this.lockdown_view = this.view_two_action.findViewById(34603205);
        this.mActionViewList.clear();
        this.mActionViewList.add(this.reboot_view);
        this.mActionViewList.add(this.shutdown_view);
        this.mActionViewList.add(this.lockdown_view);
    }

    public void setConfirmActionView(android.view.View view) {
        if (view == null) {
            android.util.Log.w("ShutdownMenuAnimations", "setConfirmActionView view is null");
            return;
        }
        this.view_confirm_action = view;
        this.confirm_view = this.view_confirm_action.findViewById(34603153);
        this.confirm_message = (android.widget.TextView) this.view_confirm_action.findViewById(34603129);
        this.imageLocationStart[0] = 0;
        this.imageLocationStart[1] = 0;
        this.imageLocationEnd[0] = 0;
        this.imageLocationEnd[1] = 0;
        this.warning_list_view = this.view_confirm_action.findViewById(34603154);
    }

    public void setMenuViewList(java.util.ArrayList<android.view.View> views) {
        this.viewList = views;
    }

    public void setIsAnimRunning(boolean isRuning) {
        this.isAnimRunning = isRuning;
    }

    public boolean getIsAnimRunning() {
        return this.isAnimRunning;
    }

    /* JADX WARNING: Incorrect type for fill-array insn 0x002d, element type: float, insn element type: null */
    public android.animation.AnimatorSet setNewShutdownViewAnimation(boolean r8) {
        /*
        r7 = this;
        r0 = new android.animation.AnimatorSet;
        r0.<init>();
        r1 = new java.util.ArrayList;
        r1.<init>();
        r2 = 2;
        if (r8 == 0) goto L_0x0035;
    L_0x000d:
        r3 = r7.view_two_action;
        r4 = "alpha";
        r5 = new float[r2];
        r5 = {0, 1065353216};
        r3 = android.animation.ObjectAnimator.ofFloat(r3, r4, r5);
        r4 = r7.view_two_action;
        r5 = "scaleX";
        r6 = new float[r2];
        r6 = {1067030938, 1065353216};
        r4 = android.animation.ObjectAnimator.ofFloat(r4, r5, r6);
        r5 = r7.view_two_action;
        r6 = "scaleY";
        r2 = new float[r2];
        r2 = {1067030938, 1065353216};
        r2 = android.animation.ObjectAnimator.ofFloat(r5, r6, r2);
        goto L_0x005c;
    L_0x0035:
        r3 = r7.view_two_action;
        r4 = "alpha";
        r5 = new float[r2];
        r5 = {1065353216, 0};
        r3 = android.animation.ObjectAnimator.ofFloat(r3, r4, r5);
        r4 = r7.view_two_action;
        r5 = "scaleX";
        r6 = new float[r2];
        r6 = {1065353216, 1067030938};
        r4 = android.animation.ObjectAnimator.ofFloat(r4, r5, r6);
        r5 = r7.view_two_action;
        r6 = "scaleY";
        r2 = new float[r2];
        r2 = {1065353216, 1067030938};
        r2 = android.animation.ObjectAnimator.ofFloat(r5, r6, r2);
    L_0x005c:
        r1.add(r3);
        r1.add(r4);
        r1.add(r2);
        r0.playTogether(r1);
        r5 = CubicBezier_20_90;
        r0.setInterpolator(r5);
        r5 = 350; // 0x15e float:4.9E-43 double:1.73E-321;
        r0.setDuration(r5);
        return r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: huawei.com.android.server.policy.ShutdownMenuAnimations.setNewShutdownViewAnimation(boolean):android.animation.AnimatorSet");
    }

    /* JADX WARNING: Incorrect type for fill-array insn 0x002b, element type: float, insn element type: null */
    public android.animation.AnimatorSet setShutdownMenuDismissAnim() {
        /*
        r7 = this;
        r0 = new android.animation.AnimatorSet;
        r0.<init>();
        r1 = new java.util.ArrayList;
        r1.<init>();
        r2 = r7.confirm_view;
        r3 = "alpha";
        r4 = 2;
        r5 = new float[r4];
        r5 = {1065353216, 0};
        r2 = android.animation.ObjectAnimator.ofFloat(r2, r3, r5);
        r3 = r7.confirm_view;
        r5 = "scaleX";
        r6 = new float[r4];
        r6 = {1067030938, 1065353216};
        r3 = android.animation.ObjectAnimator.ofFloat(r3, r5, r6);
        r5 = r7.confirm_view;
        r6 = "scaleY";
        r4 = new float[r4];
        r4 = {1067030938, 1065353216};
        r4 = android.animation.ObjectAnimator.ofFloat(r5, r6, r4);
        r1.add(r2);
        r1.add(r3);
        r1.add(r4);
        r0.playTogether(r1);
        r5 = CubicBezier_40_0;
        r0.setInterpolator(r5);
        r5 = 200; // 0xc8 float:2.8E-43 double:9.9E-322;
        r0.setDuration(r5);
        return r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: huawei.com.android.server.policy.ShutdownMenuAnimations.setShutdownMenuDismissAnim():android.animation.AnimatorSet");
    }

    public void newShutdownOrRebootEnterAnim(android.view.View view) {
        if (view == null) {
            android.util.Log.w("ShutdownMenuAnimations", "newShutdownOrRebootEnterAnim view is null");
            return;
        }
        view.getLocationInWindow(this.imageLocationEnd);
        int[] iArr = this.imageLocationEnd;
        iArr[0] = iArr[0] + (view.getWidth() / 2);
        if (!(this.view_confirm_action == null || this.warning_list_view == null)) {
            this.warning_list_view.setAlpha(0.0f);
            this.view_confirm_action.setVisibility(0);
        }
        startNewConfirmEnterOrExitAnim(view, true);
    }

    public void rebackNewShutdownMenu(int flag) {
        if (!this.isAnimRunning) {
            if (this.view_two_action != null) {
                this.view_two_action.setVisibility(0);
            }
            if ((flag & 512) != 0) {
                this.confirm_message.setText(33685740);
                startNewConfirmEnterOrExitAnim(this.reboot_view, false);
            } else if ((flag & 8192) != 0) {
                this.confirm_message.setText(33685738);
                startNewConfirmEnterOrExitAnim(this.shutdown_view, false);
            } else if ((131072 & flag) != 0) {
                this.confirm_message.setText(33686054);
                startNewConfirmEnterOrExitAnim(this.lockdown_view, false);
            } else {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("reback newShutDownMenu, unknow flag = ");
                stringBuilder.append(flag);
                android.util.Log.w("ShutdownMenuAnimations", stringBuilder.toString());
            }
        }
    }

    private void startNewConfirmEnterOrExitAnim(android.view.View view, final boolean isEnter) {
        if (!this.isAnimRunning) {
            if (view != null) {
                if (this.imageLocationStart[0] == 0 && this.ROTATION == 0) {
                    this.confirm_view.getLocationInWindow(this.imageLocationStart);
                    int[] iArr = this.imageLocationStart;
                    iArr[0] = iArr[0] + (this.confirm_view.getWidth() / 2);
                }
                if (this.ROTATION == 90) {
                    this.imageLocationStart[0] = ((android.view.WindowManager) mContext.getSystemService("window")).getDefaultDisplay().getWidth() / 2;
                }
                this.mShutdownEnterSet = startNewConfirmTranslationAnimation(this.confirm_view, this.imageLocationEnd[0] - this.imageLocationStart[0], isEnter);
                if (this.mConfirmSet == null || !this.mConfirmSet.isRunning()) {
                    final android.view.View mView = view;
                    android.view.View iconFrame = mView.findViewById(34603108);
                    java.lang.String iconTag = "";
                    if (iconFrame != null) {
                        java.lang.String obj = iconFrame.getTag();
                        if (obj instanceof java.lang.String) {
                            iconTag = obj;
                        }
                    }
                    final boolean isReboot = iconTag.equals("reboot");
                    this.mConfirmSet = startViewStubAnimation(this.imageLocationStart[0] - this.imageLocationEnd[0], isEnter, iconTag);
                    this.mConfirmSet.addListener(new android.animation.Animator.AnimatorListener() {
                        /* JADX WARNING: Incorrect type for fill-array insn 0x0055, element type: float, insn element type: null */
                        public void onAnimationStart(android.animation.Animator r9) {
                            /*
                            r8 = this;
                            r0 = huawei.com.android.server.policy.ShutdownMenuAnimations.this;
                            r1 = 1;
                            r0.isAnimRunning = r1;
                            r0 = r0;
                            if (r0 == 0) goto L_0x0010;
                        L_0x000a:
                            r0 = r0;
                            r1 = 4;
                            r0.setVisibility(r1);
                        L_0x0010:
                            r0 = huawei.com.android.server.policy.ShutdownMenuAnimations.this;
                            r0 = r0.mShutdownEnterSet;
                            if (r0 == 0) goto L_0x002d;
                        L_0x0018:
                            r0 = huawei.com.android.server.policy.ShutdownMenuAnimations.this;
                            r0 = r0.mShutdownEnterSet;
                            r0 = r0.isRunning();
                            if (r0 != 0) goto L_0x002d;
                        L_0x0024:
                            r0 = huawei.com.android.server.policy.ShutdownMenuAnimations.this;
                            r0 = r0.mShutdownEnterSet;
                            r0.start();
                        L_0x002d:
                            r0 = r4;
                            if (r0 != 0) goto L_0x00b1;
                        L_0x0031:
                            r0 = r9;
                            r1 = 220; // 0xdc float:3.08E-43 double:1.087E-321;
                            r3 = 130; // 0x82 float:1.82E-43 double:6.4E-322;
                            r5 = 2;
                            if (r0 == 0) goto L_0x0076;
                        L_0x003a:
                            r0 = huawei.com.android.server.policy.ShutdownMenuAnimations.this;
                            r0 = r0.poweroff_hint_view;
                            r6 = "alpha";
                            r7 = new float[r5];
                            r7 = {1065353216, 0};
                            r0 = android.animation.ObjectAnimator.ofFloat(r0, r6, r7);
                            r6 = huawei.com.android.server.policy.ShutdownMenuAnimations.this;
                            r6 = r6.warning_list_view;
                            r7 = "alpha";
                            r5 = new float[r5];
                            r5 = {0, 1065353216};
                            r5 = android.animation.ObjectAnimator.ofFloat(r6, r7, r5);
                            r6 = huawei.com.android.server.policy.ShutdownMenuAnimations.CubicBezier_33_33;
                            r0.setInterpolator(r6);
                            r0.setDuration(r3);
                            r6 = huawei.com.android.server.policy.ShutdownMenuAnimations.CubicBezier_33_33;
                            r5.setInterpolator(r6);
                            r5.setStartDelay(r3);
                            r5.setDuration(r1);
                            r0.start();
                            r5.start();
                            goto L_0x00b1;
                        L_0x0076:
                            r0 = huawei.com.android.server.policy.ShutdownMenuAnimations.this;
                            r0 = r0.poweroff_hint_view;
                            r6 = "alpha";
                            r7 = new float[r5];
                            r7 = {0, 1065353216};
                            r0 = android.animation.ObjectAnimator.ofFloat(r0, r6, r7);
                            r6 = huawei.com.android.server.policy.ShutdownMenuAnimations.this;
                            r6 = r6.warning_list_view;
                            r7 = "alpha";
                            r5 = new float[r5];
                            r5 = {1065353216, 0};
                            r5 = android.animation.ObjectAnimator.ofFloat(r6, r7, r5);
                            r6 = huawei.com.android.server.policy.ShutdownMenuAnimations.CubicBezier_33_33;
                            r0.setInterpolator(r6);
                            r0.setStartDelay(r3);
                            r0.setDuration(r1);
                            r1 = huawei.com.android.server.policy.ShutdownMenuAnimations.CubicBezier_33_33;
                            r5.setInterpolator(r1);
                            r5.setDuration(r3);
                            r0.start();
                            r5.start();
                        L_0x00b1:
                            return;
                            */
                            throw new UnsupportedOperationException("Method not decompiled: huawei.com.android.server.policy.ShutdownMenuAnimations.4.onAnimationStart(android.animation.Animator):void");
                        }

                        public void onAnimationRepeat(android.animation.Animator animation) {
                        }

                        public void onAnimationEnd(android.animation.Animator animation) {
                            if (!isEnter) {
                                if (mView != null) {
                                    mView.setVisibility(0);
                                }
                                if (huawei.com.android.server.policy.ShutdownMenuAnimations.this.view_confirm_action != null) {
                                    huawei.com.android.server.policy.ShutdownMenuAnimations.this.view_confirm_action.setVisibility(8);
                                }
                            } else if (huawei.com.android.server.policy.ShutdownMenuAnimations.this.view_two_action != null) {
                                huawei.com.android.server.policy.ShutdownMenuAnimations.this.view_two_action.setVisibility(8);
                            }
                            huawei.com.android.server.policy.ShutdownMenuAnimations.this.isAnimRunning = false;
                            huawei.com.android.server.policy.ShutdownMenuAnimations.this.view_confirm_action.findViewById(34603108).performAccessibilityAction(64, null);
                        }

                        public void onAnimationCancel(android.animation.Animator animation) {
                            huawei.com.android.server.policy.ShutdownMenuAnimations.this.isAnimRunning = false;
                        }
                    });
                    this.mConfirmSet.start();
                }
                return;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("startNewConfirmEnterOrExitAnim isAnimRunning return! view = ");
        stringBuilder.append(view);
        android.util.Log.w("ShutdownMenuAnimations", stringBuilder.toString());
    }

    private android.animation.AnimatorSet startNewConfirmTranslationAnimation(android.view.View view, int fromX, boolean isEnter) {
        android.animation.ObjectAnimator translateX;
        android.animation.ObjectAnimator scaleX;
        android.animation.ObjectAnimator scaleY;
        android.animation.AnimatorSet mSet = new android.animation.AnimatorSet();
        java.util.ArrayList<android.animation.Animator> anims = new java.util.ArrayList();
        if (isEnter) {
            translateX = android.animation.ObjectAnimator.ofFloat(view, "translationX", new float[]{(float) fromX, 0.0f});
            scaleX = android.animation.ObjectAnimator.ofFloat(view, "scaleX", new float[]{1.0f, 1.2f});
            scaleY = android.animation.ObjectAnimator.ofFloat(view, "scaleY", new float[]{1.0f, 1.2f});
        } else {
            translateX = android.animation.ObjectAnimator.ofFloat(view, "translationX", new float[]{0.0f, (float) fromX});
            scaleX = android.animation.ObjectAnimator.ofFloat(view, "scaleX", new float[]{1.2f, 1.0f});
            scaleY = android.animation.ObjectAnimator.ofFloat(view, "scaleY", new float[]{1.2f, 1.0f});
        }
        anims.add(translateX);
        anims.add(scaleX);
        anims.add(scaleY);
        mSet.playTogether(anims);
        mSet.setInterpolator(CubicBezier_20_90);
        mSet.setDuration(350);
        return mSet;
    }

    private java.util.List<android.view.View> findOtherViews(java.lang.String tag) {
        java.util.List<android.view.View> res = new java.util.ArrayList();
        if (this.mActionViewList == null) {
            android.util.Log.w("ShutdownMenuAnimations", "action views list is null!");
            return res;
        }
        int size = this.mActionViewList.size();
        for (int i = 0; i < size; i++) {
            android.view.View view = (android.view.View) this.mActionViewList.get(i);
            if (view != null) {
                java.lang.String viewTag = "";
                java.lang.String obj = view.getTag();
                if (obj instanceof java.lang.String) {
                    viewTag = obj;
                }
                if (!tag.equals(viewTag)) {
                    res.add(view);
                }
            }
        }
        return res;
    }

    private int getPixelsByDp(float dp) {
        if (mContext == null) {
            android.util.Log.w("ShutdownMenuAnimations", "mContext is null, return!");
            return 0;
        }
        android.content.res.Resources resources = mContext.getResources();
        if (resources == null) {
            android.util.Log.w("ShutdownMenuAnimations", "resources is null, return!");
            return 0;
        }
        android.util.DisplayMetrics displayMetrics = resources.getDisplayMetrics();
        if (displayMetrics != null) {
            return (int) (displayMetrics.density * dp);
        }
        android.util.Log.w("ShutdownMenuAnimations", "displayMetrics is null, return!");
        return 0;
    }

    private android.animation.AnimatorSet startViewStubAnimation(int toX, boolean isEnter, java.lang.String tag) {
        java.lang.String str = tag;
        android.animation.AnimatorSet mSet = new android.animation.AnimatorSet();
        java.util.ArrayList<android.animation.Animator> anims = new java.util.ArrayList();
        if (this.isAnimRunning) {
            android.util.Log.w("ShutdownMenuAnimations", "Animation is Running");
            return mSet;
        } else if (str == null) {
            android.util.Log.w("ShutdownMenuAnimations", "Tag is null");
            return mSet;
        } else {
            int translateX;
            android.animation.ObjectAnimator translateXAnim;
            int translateX2;
            java.util.List<android.view.View> otherViews = findOtherViews(str);
            if (this.lockdown_view == null) {
                translateX = toX;
            } else if (toX == 0) {
                translateX = 0;
            } else if (toX > 0) {
                translateX = getPixelsByDp(12.5f);
            } else {
                translateX = -getPixelsByDp(12.5f);
            }
            float startX = isEnter ? 0.0f : (float) translateX;
            float endX = isEnter ? (float) translateX : 0.0f;
            float f = 1.0f;
            float startAlpha = isEnter ? 1.0f : 0.0f;
            if (isEnter) {
                f = 0.0f;
            }
            float endAlpha = f;
            for (android.view.View view : otherViews) {
                if (view != null) {
                    java.util.List<android.view.View> otherViews2;
                    translateXAnim = android.animation.ObjectAnimator.ofFloat(view, "translationX", new float[]{startX, endX});
                    translateXAnim.setDuration(350);
                    translateXAnim.setInterpolator(CubicBezier_20_90);
                    android.animation.ObjectAnimator alphaAnim = android.animation.ObjectAnimator.ofFloat(view, "alpha", new float[]{startAlpha, endAlpha});
                    if (this.lockdown_view != null) {
                        otherViews2 = otherViews;
                        translateX2 = translateX;
                        alphaAnim.setDuration(260);
                    } else {
                        otherViews2 = otherViews;
                        translateX2 = translateX;
                        alphaAnim.setDuration(350);
                    }
                    alphaAnim.setInterpolator(CubicBezier_20_90);
                    anims.add(translateXAnim);
                    anims.add(alphaAnim);
                    otherViews = otherViews2;
                    translateX = translateX2;
                }
            }
            translateX2 = translateX;
            if (str.equals("reboot")) {
                translateXAnim = android.animation.ObjectAnimator.ofFloat(this.poweroff_hint_view, "alpha", new float[]{startAlpha, endAlpha});
                translateXAnim.setDuration(350);
                translateXAnim.setInterpolator(CubicBezier_20_90);
                anims.add(translateXAnim);
            }
            mSet.playTogether(anims);
            return mSet;
        }
    }

    /* JADX WARNING: Incorrect type for fill-array insn 0x003c, element type: float, insn element type: null */
    public void startNewShutdownOrRebootAnim(boolean r8, final boolean r9) {
        /*
        r7 = this;
        r0 = r7.isAnimRunning;
        if (r0 == 0) goto L_0x000d;
    L_0x0004:
        r0 = "ShutdownMenuAnimations";
        r1 = "startNewShutdownOrRebootAnim isAnimRunning return!";
        android.util.Log.d(r0, r1);
        return;
    L_0x000d:
        r0 = r7.view_confirm_action;
        if (r0 == 0) goto L_0x0064;
    L_0x0011:
        r0 = new android.animation.AnimatorSet;
        r0.<init>();
        r1 = new java.util.ArrayList;
        r1.<init>();
        r2 = r7.confirm_view;
        r3 = "alpha";
        r4 = 2;
        r5 = new float[r4];
        r5 = {1065353216, 0};
        r2 = android.animation.ObjectAnimator.ofFloat(r2, r3, r5);
        r3 = r7.confirm_view;
        r5 = "scaleX";
        r6 = new float[r4];
        r6 = {1067030938, 1065353216};
        r3 = android.animation.ObjectAnimator.ofFloat(r3, r5, r6);
        r5 = r7.confirm_view;
        r6 = "scaleY";
        r4 = new float[r4];
        r4 = {1067030938, 1065353216};
        r4 = android.animation.ObjectAnimator.ofFloat(r5, r6, r4);
        r1.add(r2);
        r1.add(r3);
        r1.add(r4);
        r0.playTogether(r1);
        r5 = CubicBezier_20_90;
        r0.setInterpolator(r5);
        r5 = 200; // 0xc8 float:2.8E-43 double:9.9E-322;
        r0.setDuration(r5);
        r5 = new huawei.com.android.server.policy.ShutdownMenuAnimations$5;
        r5.<init>(r9);
        r0.addListener(r5);
        r0.start();
    L_0x0064:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: huawei.com.android.server.policy.ShutdownMenuAnimations.startNewShutdownOrRebootAnim(boolean, boolean):void");
    }
}
