package huawei.com.android.server.policy.fingersense;

public class SystemWideActionsListener implements android.view.WindowManagerPolicyConstants.PointerEventListener, huawei.com.android.server.policy.fingersense.CustomGestureDetector.OnGesturePerformedListener, huawei.com.android.server.policy.fingersense.KnockGestureDetector.OnKnockGestureListener {
    private static final java.lang.String ACTION_KNOCK_DOWN = "com.qeexo.syswideactions.KNOCK_DOWN";
    private static final java.lang.String CAMERA_PACKAGE_NAME = "com.huawei.camera";
    private static final boolean DEBUG = false;
    private static final boolean DISABLE_MULTIWIN = android.os.SystemProperties.getBoolean("ro.huawei.disable_multiwindow", false);
    private static final int EVENT_MARK_AS_GAME = 4;
    private static final int EVENT_MOVE_BACKGROUND = 2;
    private static final int EVENT_MOVE_FRONT = 1;
    private static final int EVENT_REPLACE_FRONT = 3;
    public static final java.lang.String EXTRA_EVENT1 = "com.qeexo.syswideactions.event1";
    public static final java.lang.String EXTRA_GESTURE = "com.qeexo.syswideactions.gesture";
    public static final java.lang.String EXTRA_GESTURE_NAME = "com.qeexo.syswideactions.gesture.name";
    public static final java.lang.String EXTRA_GESTURE_PREDICTION_SCORE = "com.qeexo.syswideactions.gesture.score";
    public static final java.lang.String EXTRA_SCREENSHOT_BITMAP = "com.qeexo.syswideactions.screenshot.bitmap";
    private static final java.lang.String EXTRA_SCREENSHOT_PACKAGENAME = "com.qeexo.syswideactions.screenshot.packagename";
    private static final java.lang.String FINGERSENSE_DISABLE = "0";
    private static final java.lang.String FINGERSENSE_ENABLE = "1";
    private static final java.lang.String GAME_GESTURE_MODE = "game_gesture_disabled_mode";
    private static final int GAME_GESTURE_MODE_CLOSE = 2;
    private static final int GAME_GESTURE_MODE_DEFAULT = 2;
    private static final int GAME_GESTURE_MODE_OPEN = 1;
    private static boolean HWFLOW = false;
    private static final java.lang.String KNUCKLE_GESTURES_PATH = "/system/bin/knuckle_gestures.bin";
    private static final java.lang.String LEFT = "left";
    private static final int MAX_PATH_LENGTH = 6144;
    private static final int MSG_LETTER_GETURE = 1;
    private static final int MSG_LINE_GETURE = 2;
    private static final int MSG_REGION_GETURE = 0;
    private static final int MSG_SCREEN_CAPTURED_GETURE = 4;
    private static final int MSG_SCREEN_RECORDER_GETURE = 3;
    private static final huawei.com.android.server.policy.fingersense.CustomGestureDetector.OrientationFix[] ORIENTATION_FIXES = new huawei.com.android.server.policy.fingersense.CustomGestureDetector.OrientationFix[]{new huawei.com.android.server.policy.fingersense.CustomGestureDetector.OrientationFix("c", "w", null), new huawei.com.android.server.policy.fingersense.CustomGestureDetector.OrientationFix("c", "m", null)};
    private static final java.lang.String PERSIST_SYS_FINGERSENSE = "persist.sys.fingersense";
    private static final java.lang.String RIGHT = "right";
    private static final float SCALE = 0.75f;
    private static final int SPLIT_SCREEN_MIN_SCREEN_HEIGHT_PERCENTAGE = 10;
    private static final int STATE_LEFT = 1;
    private static final int STATE_MIDDLE = 0;
    private static final int STATE_RIGHT = 2;
    private static final java.lang.String TAG = "SystemWideActionsListener";
    private static final java.lang.String mNotchProp = android.os.SystemProperties.get("ro.config.hw_notch_size", "");
    private boolean FLOG_FLAG = true;
    private final android.app.ActivityManager activityManager;
    private final android.content.Context context;
    private final huawei.com.android.server.policy.fingersense.CustomGestureDetector customGestureDetector;
    private android.os.Handler handler;
    private boolean hasKnuckleDownOccured;
    private boolean isActionOnKeyboard = false;
    private final huawei.com.android.server.policy.fingersense.KnockGestureDetector knockGestureDetector;
    private huawei.com.android.server.policy.fingersense.KnuckGestureSetting knuckGestureSetting = huawei.com.android.server.policy.fingersense.KnuckGestureSetting.getInstance();
    private android.view.WindowManager.LayoutParams layoutParams;
    private int mDisplayHeight;
    private int mDisplayWidth;
    private boolean mHasNotchInScreen = false;
    private huawei.com.android.server.policy.fingersense.SystemWideActionsListener.HwGameObserver mHwGameObserver = null;
    private android.app.KeyguardManager mKeyguardManager;
    private int mNavBarLandscapeHeight;
    private int mNavBarPortraitHeight;
    private android.graphics.Bitmap mScreenshotBitmap;
    private com.android.internal.util.ScreenshotHelper mScreenshotHelper;
    final java.lang.Object mServiceAquireLock = new java.lang.Object();
    com.android.internal.statusbar.IStatusBarService mStatusBarService;
    private com.android.server.wm.WindowManagerInternal mWindowManagerInternal;
    private final huawei.com.android.server.policy.fingersense.SystemWideActionsListener.MotionEventRunnable onKnockDownRunnable = new huawei.com.android.server.policy.fingersense.SystemWideActionsListener.MotionEventRunnable() {
        public void run() {
            huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.notifyKnockDown(this.event);
        }
    };
    private final com.android.server.policy.HwPhoneWindowManager phoneWindowManager;
    private huawei.com.android.server.policy.fingersense.pixiedust.PointerLocationView pointerLocationView;
    private android.content.Intent startServiceIntent;
    private android.os.Vibrator vibrator;
    private boolean viewAdd = false;
    private java.lang.Object viewLock = new java.lang.Object();
    private final android.view.WindowManager windowManager;

    private class HwGameObserver extends com.huawei.android.app.IGameObserver.Stub {
        private HwGameObserver() {
        }

        /* synthetic */ HwGameObserver(huawei.com.android.server.policy.fingersense.SystemWideActionsListener x0, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.AnonymousClass1 x1) {
            this();
        }

        public void onGameListChanged() {
        }

        public void onGameStatusChanged(java.lang.String packageName, int event) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("observe gameStatusChange event : ");
            stringBuilder.append(event);
            android.util.Log.d("SystemWideActionsListener", stringBuilder.toString());
            if (!huawei.android.provider.FingerSenseSettings.isFingerSenseEnabled(huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.context.getContentResolver())) {
                android.util.Log.d("SystemWideActionsListener", "fingersense not enabled");
            } else if (android.os.SystemProperties.getBoolean("runtime.mmitest.isrunning", false)) {
                android.util.Log.d("SystemWideActionsListener", "in MMI test");
            } else {
                if (android.provider.Settings.Secure.getIntForUser(huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.context.getContentResolver(), "game_gesture_disabled_mode", 2, 0) == 1 && huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.isGameForeground(event)) {
                    android.os.SystemProperties.set("persist.sys.fingersense", "0");
                } else {
                    android.os.SystemProperties.set("persist.sys.fingersense", "1");
                }
            }
        }
    }

    private static abstract class MotionEventRunnable implements java.lang.Runnable {
        android.view.MotionEvent event;

        private MotionEventRunnable() {
            this.event = null;
        }

        /* synthetic */ MotionEventRunnable(huawei.com.android.server.policy.fingersense.SystemWideActionsListener.AnonymousClass1 x0) {
            this();
        }
    }

    static {
        boolean z;
        if (!android.util.Log.HWINFO) {
            if (!android.util.Log.HWModuleLog || !android.util.Log.isLoggable("SystemWideActionsListener", 4)) {
                z = false;
                HWFLOW = z;
            }
        }
        z = true;
        HWFLOW = z;
    }

    com.android.internal.statusbar.IStatusBarService getHWStatusBarService() {
        com.android.internal.statusbar.IStatusBarService iStatusBarService;
        synchronized (this.mServiceAquireLock) {
            if (this.mStatusBarService == null) {
                this.mStatusBarService = com.android.internal.statusbar.IStatusBarService.Stub.asInterface(android.os.ServiceManager.getService("statusbar"));
            }
            iStatusBarService = this.mStatusBarService;
        }
        return iStatusBarService;
    }

    public SystemWideActionsListener(android.content.Context context, com.android.server.policy.HwPhoneWindowManager phoneWindowManager) {
        this.context = context;
        this.phoneWindowManager = phoneWindowManager;
        this.activityManager = (android.app.ActivityManager) context.getSystemService("activity");
        this.windowManager = (android.view.WindowManager) context.getSystemService("window");
        this.mNavBarPortraitHeight = context.getResources().getDimensionPixelSize(17105186);
        this.mNavBarLandscapeHeight = context.getResources().getDimensionPixelSize(17105188);
        android.view.Display display = this.windowManager.getDefaultDisplay();
        android.graphics.Point size = new android.graphics.Point();
        display.getRealSize(size);
        this.mDisplayWidth = size.x > size.y ? size.y : size.x;
        this.mDisplayHeight = size.x > size.y ? size.x : size.y;
        this.customGestureDetector = new huawei.com.android.server.policy.fingersense.CustomGestureDetector(context, "/system/bin/knuckle_gestures.bin", (huawei.com.android.server.policy.fingersense.CustomGestureDetector.OnGesturePerformedListener) this);
        this.customGestureDetector.setMinPredictionScore(2.0f);
        this.customGestureDetector.setOrientationFixes(ORIENTATION_FIXES);
        this.customGestureDetector.setMinLineGestureStrokeLength(this.mDisplayWidth / 2);
        this.customGestureDetector.setLineGestureStrokePortraitAngle(0.0f);
        this.customGestureDetector.setLineGestureStrokeLandscapeAngle(90.0f);
        this.customGestureDetector.setMaxLineGestureStrokeAngleDeviation(10.0f);
        this.customGestureDetector.setLineGestureStrokeStraightness(4.0f);
        this.knockGestureDetector = new huawei.com.android.server.policy.fingersense.KnockGestureDetector(context, this);
        this.hasKnuckleDownOccured = false;
        this.handler = new android.os.Handler() {
            public void handleMessage(android.os.Message msg) {
                super.handleMessage(msg);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("handleMessage msg ");
                stringBuilder.append(msg.what);
                android.util.Log.d("SystemWideActionsListener", stringBuilder.toString());
                android.util.IMonitor.EventStream eStream = android.util.IMonitor.openEventStream(936006000);
                if (eStream != null) {
                    switch (msg.what) {
                        case 0:
                            eStream.setParam((short) 2, 1);
                            eStream.setParam((short) 23, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.getTpVendorName());
                            eStream.setParam((short) 24, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.getAccVendorName());
                            eStream.setParam((short) 25, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.getLcdInfo());
                            eStream.setParam((short) 26, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.getOrientation());
                            android.util.IMonitor.sendEvent(eStream);
                            huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.setLastReportFSTime(android.os.SystemClock.uptimeMillis());
                            break;
                        case 1:
                            java.lang.String lowerGestureName = msg.obj;
                            if ("s".equals(lowerGestureName)) {
                                eStream.setParam((short) 10, 1);
                            } else if ("c".equals(lowerGestureName)) {
                                eStream.setParam((short) 7, 1);
                            } else if ("e".equals(lowerGestureName)) {
                                eStream.setParam((short) 8, 1);
                            } else if ("m".equals(lowerGestureName)) {
                                eStream.setParam((short) 9, 1);
                            } else if ("w".equals(lowerGestureName)) {
                                eStream.setParam((short) 11, 1);
                            }
                            eStream.setParam((short) 23, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.getTpVendorName());
                            eStream.setParam((short) 24, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.getAccVendorName());
                            eStream.setParam((short) 25, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.getLcdInfo());
                            eStream.setParam((short) 26, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.getOrientation());
                            android.util.IMonitor.sendEvent(eStream);
                            huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.setLastReportFSTime(android.os.SystemClock.uptimeMillis());
                            break;
                        case 2:
                            eStream.setParam((short) 12, 1);
                            eStream.setParam((short) 23, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.getTpVendorName());
                            eStream.setParam((short) 24, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.getAccVendorName());
                            eStream.setParam((short) 25, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.getLcdInfo());
                            eStream.setParam((short) 26, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.getOrientation());
                            android.util.IMonitor.sendEvent(eStream);
                            huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.setLastReportFSTime(android.os.SystemClock.uptimeMillis());
                            break;
                        case 3:
                            eStream.setParam((short) 1, 1);
                            eStream.setParam((short) 5, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knockGestureDetector.getDoubleKnockTimeInterval());
                            eStream.setParam((short) 23, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.getTpVendorName());
                            eStream.setParam((short) 24, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.getAccVendorName());
                            eStream.setParam((short) 25, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.getLcdInfo());
                            eStream.setParam((short) 26, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.getOrientation());
                            android.util.IMonitor.sendEvent(eStream);
                            huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.setLastReportFSTime(android.os.SystemClock.uptimeMillis());
                            break;
                        case 4:
                            eStream.setParam((short) 0, 1);
                            eStream.setParam((short) 4, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knockGestureDetector.getDoubleKnockTimeInterval());
                            eStream.setParam((short) 6, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knockGestureDetector.getDoubleKnockDisInterval());
                            eStream.setParam((short) 23, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.getTpVendorName());
                            eStream.setParam((short) 24, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.getAccVendorName());
                            eStream.setParam((short) 25, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.getLcdInfo());
                            eStream.setParam((short) 26, huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.getOrientation());
                            android.util.IMonitor.sendEvent(eStream);
                            huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.knuckGestureSetting.setLastReportFSTime(android.os.SystemClock.uptimeMillis());
                            break;
                        default:
                            break;
                    }
                    android.util.IMonitor.closeEventStream(eStream);
                }
            }
        };
        this.vibrator = (android.os.Vibrator) context.getSystemService("vibrator");
        this.mScreenshotHelper = new com.android.internal.util.ScreenshotHelper(context);
        this.mWindowManagerInternal = (com.android.server.wm.WindowManagerInternal) com.android.server.LocalServices.getService(com.android.server.wm.WindowManagerInternal.class);
        this.mHasNotchInScreen = 1 ^ android.text.TextUtils.isEmpty(mNotchProp);
        this.mHwGameObserver = new huawei.com.android.server.policy.fingersense.SystemWideActionsListener.HwGameObserver(this, null);
        com.huawei.android.app.ActivityManagerEx.registerGameObserver(this.mHwGameObserver);
    }

    private boolean isGameForeground(int event) {
        if (event == 1 || event == 3) {
            return true;
        }
        return event == 4;
    }

    private android.app.KeyguardManager getKeyguardService() {
        if (this.mKeyguardManager == null) {
            this.mKeyguardManager = (android.app.KeyguardManager) this.context.getSystemService("keyguard");
        }
        return this.mKeyguardManager;
    }

    public void cancelSystemWideAction() {
        android.view.MotionEvent cancelEvent = android.view.MotionEvent.obtain(android.os.SystemClock.uptimeMillis(), android.os.SystemClock.uptimeMillis(), 3, 0.0f, 0.0f, 0);
        this.customGestureDetector.onTouchEvent(cancelEvent);
        if (this.pointerLocationView != null) {
            this.pointerLocationView.onTouchEvent(cancelEvent);
        }
        removePointerLocationView();
        this.hasKnuckleDownOccured = false;
        cancelEvent.recycle();
    }

    public void onPointerEvent(android.view.MotionEvent motionEvent) {
        if (!isInValidAction(motionEvent.getAction())) {
            this.knockGestureDetector.onAnyTouchEvent(motionEvent);
            if (shouldProcessMotionEvent(motionEvent)) {
                if (com.huawei.android.app.ActivityManagerEx.isGameGestureDisabled()) {
                    android.util.Log.i("SystemWideActionsListener", "GameGestureDisabled is true,return");
                    return;
                }
                createPointerLocationView();
                if (motionEvent.getAction() == 0) {
                    com.huawei.android.statistical.StatisticalUtils.reportc(this.context, 101);
                    this.onKnockDownRunnable.event = motionEvent;
                    this.handler.post(this.onKnockDownRunnable);
                    if (HWFLOW) {
                        android.util.Log.i("SystemWideActionsListener", "FingerSense Down Event.");
                    }
                    this.hasKnuckleDownOccured = true;
                    saveScreenBitmap();
                }
                this.knockGestureDetector.onKnuckleTouchEvent(motionEvent);
                if (this.hasKnuckleDownOccured && this.knockGestureDetector.getKnucklePointerCount() < 2) {
                    addPointerLocationView();
                    this.customGestureDetector.onTouchEvent(motionEvent);
                    if (this.pointerLocationView != null) {
                        this.pointerLocationView.onTouchEvent(motionEvent);
                    }
                }
                if (motionEvent.getAction() == 1 || motionEvent.getAction() == 3) {
                    cancelSystemWideAction();
                }
            } else if (this.hasKnuckleDownOccured) {
                cancelSystemWideAction();
            }
        }
    }

    private boolean isInValidAction(int action) {
        return (action == 0 || (action & 255) == 5 || action == 1 || (action & 255) == 6 || action == 3 || action == 2) ? false : true;
    }

    private static int getLazyState(android.content.Context context) {
        java.lang.String str = android.provider.Settings.Global.getString(context.getContentResolver(), "single_hand_mode");
        if (str != null) {
            if (!"".equals(str)) {
                if (str.contains("left")) {
                    return 1;
                }
                if (str.contains("right")) {
                    return 2;
                }
                return 0;
            }
        }
        return 0;
    }

    private static boolean isLazyMode(android.content.Context context) {
        return getLazyState(context) != 0;
    }

    private static android.graphics.Rect getScreenshotRect(android.content.Context context) {
        android.view.Display display = ((android.view.WindowManager) context.getSystemService("window")).getDefaultDisplay();
        android.util.DisplayMetrics displayMetrics = new android.util.DisplayMetrics();
        display.getRealMetrics(displayMetrics);
        int state = getLazyState(context);
        if (1 == state) {
            return new android.graphics.Rect(0, (int) (((float) displayMetrics.heightPixels) * 0.25f), (int) (((float) displayMetrics.widthPixels) * 0.75f), displayMetrics.heightPixels);
        }
        if (2 == state) {
            return new android.graphics.Rect((int) (((float) displayMetrics.widthPixels) * 0.25f), (int) (((float) displayMetrics.heightPixels) * 0.25f), displayMetrics.widthPixels, displayMetrics.heightPixels);
        }
        return null;
    }

    private void notifyKnockDown(android.view.MotionEvent event) {
        android.content.Intent intent = new android.content.Intent("com.qeexo.syswideactions.KNOCK_DOWN");
        intent.addFlags(536870912);
        this.context.sendBroadcast(intent);
    }

    private boolean shouldProcessMotionEvent(android.view.MotionEvent motionEvent) {
        int i;
        int my_count = motionEvent.getPointerCount();
        boolean areSystemWideActionsEnabled = false;
        for (i = 0; i < my_count; i++) {
            if (motionEvent.getToolType(i) != 7) {
                return false;
            }
        }
        if (this.FLOG_FLAG) {
            this.FLOG_FLAG = false;
            android.util.Flog.i(1503, "Get event type TOOL_TYPE_FINGER_KNUCKLE!");
        }
        i = this.mWindowManagerInternal.getInputMethodWindowVisibleHeight();
        if (i > 0 && motionEvent.getY() > ((float) (this.phoneWindowManager.getRestrictedScreenHeight() - i)) && motionEvent.getAction() == 0) {
            this.isActionOnKeyboard = true;
        }
        if (this.isActionOnKeyboard) {
            if (motionEvent.getAction() == 1) {
                this.isActionOnKeyboard = false;
            }
            return false;
        }
        com.android.server.policy.WindowManagerPolicy.WindowState windowState = this.phoneWindowManager.getFocusedWindow();
        if (windowState != null) {
            if ((windowState.getAttrs().flags & 4096) != 0) {
                return areSystemWideActionsEnabled;
            }
        }
        areSystemWideActionsEnabled = true;
        return areSystemWideActionsEnabled;
    }

    private void saveScreenBitmap() {
        recycleScreenshot();
        android.graphics.Rect sourceCrop = getScreenshotRect(this.context);
        if (isLazyMode(this.context)) {
            this.mScreenshotBitmap = android.view.SurfaceControl.screenshot_ext_hw(sourceCrop, this.mDisplayWidth, this.mDisplayHeight, 0, Integer.MAX_VALUE, false, 0);
            return;
        }
        this.mScreenshotBitmap = android.view.SurfaceControl.screenshot_ext_hw(new android.graphics.Rect(0, 0, this.mDisplayWidth, this.mDisplayHeight), this.mDisplayWidth, this.mDisplayHeight, 0);
    }

    private void recycleScreenshot() {
        if (this.mScreenshotBitmap != null) {
            this.mScreenshotBitmap.recycle();
            this.mScreenshotBitmap = null;
        }
    }

    private android.content.Intent getIntentForCustomGesture(java.lang.String gestureName, android.gesture.Gesture gesture, double predictionScore) {
        if (huawei.android.provider.FingerSenseSettings.isKnuckleGestureEnable(gestureName, this.context.getContentResolver())) {
            android.content.Intent intent = huawei.android.provider.FingerSenseSettings.getIntentForGesture(gestureName, this.context);
            if (intent == null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Gesture '");
                stringBuilder.append(gestureName);
                stringBuilder.append("' recognized but application intent was null.");
                android.util.Log.w("SystemWideActionsListener", stringBuilder.toString());
                return null;
            }
            intent.addFlags(268435456);
            intent.putExtra("com.qeexo.syswideactions.gesture", gesture);
            intent.putExtra("com.qeexo.syswideactions.gesture.name", gestureName);
            intent.putExtra("com.qeexo.syswideactions.gesture.score", predictionScore);
            return intent;
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("Gesture '");
        stringBuilder2.append(gestureName);
        stringBuilder2.append("' recognized but no application assigned.");
        android.util.Log.w("SystemWideActionsListener", stringBuilder2.toString());
        return null;
    }

    public void onRegionGesture(java.lang.String gestureName, android.gesture.Gesture gesture, double predictionScore) {
        android.os.Message msg = this.handler.obtainMessage(0);
        if (msg != null) {
            msg.setAsynchronous(true);
            this.handler.sendMessage(msg);
        }
        android.content.Intent intent = getIntentForCustomGesture(gestureName, gesture, predictionScore);
        if (intent == null) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Ignoring ");
            stringBuilder.append(gestureName);
            stringBuilder.append(" gesture.");
            android.util.Log.d("SystemWideActionsListener", stringBuilder.toString());
            return;
        }
        intent.putExtra("com.qeexo.syswideactions.screenshot.packagename", getCurrentPackageName(this.context));
        intent.addFlags(32768);
        android.util.Log.d("SystemWideActionsListener", "Fingersense Region Gesture");
        com.huawei.android.statistical.StatisticalUtils.reportc(this.context, 104);
        if (this.mScreenshotBitmap == null) {
            android.util.Log.w("SystemWideActionsListener", "SystemWideActionsListener failed to take Screenshot.");
            return;
        }
        intent.putExtra("com.qeexo.syswideactions.screenshot.bitmap", this.mScreenshotBitmap.copy(android.graphics.Bitmap.Config.ARGB_8888, false));
        recycleScreenshot();
        dismissKeyguardIfCurrentlyShown();
        intent.setPackage("com.qeexo.smartshot");
        this.context.startActivityAsUser(intent, android.os.UserHandle.CURRENT_OR_SELF);
    }

    private java.lang.String getCurrentPackageName(android.content.Context context1) {
        try {
            java.util.List<android.app.ActivityManager.RunningTaskInfo> runningTaskInfos = ((android.app.ActivityManager) context1.getSystemService("activity")).getRunningTasks(1);
            if (runningTaskInfos != null) {
                if (!runningTaskInfos.isEmpty()) {
                    android.app.ActivityManager.RunningTaskInfo runningTaskInfo = (android.app.ActivityManager.RunningTaskInfo) runningTaskInfos.get(0);
                    if (runningTaskInfo == null) {
                        android.util.Log.e("SystemWideActionsListener", "failed to get runningTaskInfo");
                        return "";
                    }
                    java.lang.String packageName = runningTaskInfo.topActivity.getPackageName();
                    if (android.text.TextUtils.isEmpty(packageName)) {
                        return "";
                    }
                    return packageName;
                }
            }
            android.util.Log.e("SystemWideActionsListener", "running task is null");
            return "";
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("get current package name error: ");
            stringBuilder.append(e);
            android.util.Log.e("SystemWideActionsListener", stringBuilder.toString());
            return "";
        }
    }

    public void onLetterGesture(java.lang.String gestureName, android.gesture.Gesture gesture, double predictionScore) {
        android.os.Message msg = this.handler.obtainMessage(1);
        if (msg != null) {
            msg.obj = gestureName.toLowerCase();
            msg.setAsynchronous(true);
            this.handler.sendMessage(msg);
        }
        java.lang.StringBuilder stringBuilder;
        if ("s".equals(gestureName.toLowerCase()) && huawei.android.provider.FingerSenseSettings.isFingerSenseSmartshotEnabled(this.context.getContentResolver())) {
            android.content.Intent startIntent = huawei.android.provider.FingerSenseSettings.getIntentForMultiScreenShot(this.context);
            if (startIntent != null) {
                try {
                    java.util.List<android.app.ActivityManager.RecentTaskInfo> recentTask = android.app.ActivityManagerNative.getDefault().getRecentTasks(1, 1, android.app.ActivityManagerNative.getDefault().getCurrentUser().id).getList();
                    if (recentTask != null && recentTask.size() > 0) {
                        android.content.pm.UserInfo user = ((android.os.UserManager) this.context.getSystemService("user")).getUserInfo(((android.app.ActivityManager.RecentTaskInfo) recentTask.get(0)).userId);
                        if (user == null || !user.isManagedProfile()) {
                            this.context.startServiceAsUser(startIntent, android.app.ActivityManagerNative.getDefault().getCurrentUser().getUserHandle());
                        } else {
                            this.context.startServiceAsUser(startIntent, user.getUserHandle());
                        }
                    }
                    com.huawei.android.statistical.StatisticalUtils.reportc(this.context, 109);
                    if (HWFLOW) {
                        android.util.Log.i("SystemWideActionsListener", "Fingersense Letter S recognized, start MultiScreenShotService.");
                    }
                } catch (java.lang.Exception e) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("Can not find the service for: ");
                    stringBuilder2.append(e.getMessage());
                    android.util.Log.w("SystemWideActionsListener", stringBuilder2.toString());
                }
            } else {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Letter Gesture '");
                stringBuilder.append(gestureName);
                stringBuilder.append("' recognized but application intent was null.");
                android.util.Log.w("SystemWideActionsListener", stringBuilder.toString());
            }
            return;
        }
        android.content.Intent intent = getIntentForCustomGesture(gestureName, gesture, predictionScore);
        if (intent == null) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Ignoring ");
            stringBuilder.append(gestureName);
            stringBuilder.append(" gesture.");
            android.util.Log.d("SystemWideActionsListener", stringBuilder.toString());
            return;
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onLetterGesture gesture= ");
        stringBuilder.append(gesture);
        android.util.Flog.i(1503, stringBuilder.toString());
        intent.addFlags(536870912);
        if (!gestureName.toLowerCase().equals("s")) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Fingersense Letter Gesture ");
            stringBuilder.append(gestureName);
            android.util.Log.d("SystemWideActionsListener", stringBuilder.toString());
            com.huawei.android.statistical.StatisticalUtils.reportc(this.context, 105);
        }
        android.app.KeyguardManager keyguardManager = getKeyguardService();
        android.content.Context context;
        java.lang.StringBuilder stringBuilder3;
        if (intent.getComponent() != null && "com.huawei.camera".equals(intent.getComponent().getPackageName()) && keyguardManager != null && keyguardManager.isKeyguardLocked() && keyguardManager.isKeyguardSecure()) {
            intent = new android.content.Intent("android.media.action.STILL_IMAGE_CAMERA_SECURE").setPackage("com.huawei.camera").addFlags(8388608);
            android.util.Log.d("SystemWideActionsListener", "Keyguard is locked, starting secured camera.");
            this.context.startActivityAsUser(intent, android.os.UserHandle.CURRENT_OR_SELF);
            context = this.context;
            stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("{letter:");
            stringBuilder3.append(gestureName);
            stringBuilder3.append(",pkg:null}");
            com.huawei.android.statistical.StatisticalUtils.reporte(context, 110, stringBuilder3.toString());
            return;
        }
        this.context.startActivityAsUser(intent, android.os.UserHandle.CURRENT_OR_SELF);
        context = this.context;
        stringBuilder3 = new java.lang.StringBuilder();
        stringBuilder3.append("{letter:");
        stringBuilder3.append(gestureName);
        stringBuilder3.append(",pkg:");
        stringBuilder3.append(intent.getComponent().getPackageName());
        stringBuilder3.append("}");
        com.huawei.android.statistical.StatisticalUtils.reporte(context, 110, stringBuilder3.toString());
        this.handler.postDelayed(new java.lang.Runnable() {
            public void run() {
                huawei.com.android.server.policy.fingersense.SystemWideActionsListener.this.dismissKeyguardIfCurrentlyShown();
            }
        }, 500);
    }

    public void onLineGesture(java.lang.String gestureName, android.gesture.Gesture gesture, double predictionScore) {
        android.os.Message msg = this.handler.obtainMessage(2);
        if (msg != null) {
            msg.setAsynchronous(true);
            this.handler.sendMessage(msg);
        }
        if (huawei.android.provider.FingerSenseSettings.isFingerSenseLineGestureEnabled(this.context.getContentResolver())) {
            float orientedDistance;
            int navBarHeight;
            java.lang.String str = gestureName;
            android.util.Log.d("SystemWideActionsListener", "Fingersense Line Gesture");
            com.huawei.android.statistical.StatisticalUtils.reportc(this.context, 102);
            android.graphics.RectF boundingBox = gesture.getBoundingBox();
            if (this.context.getResources().getConfiguration().orientation == 2) {
                orientedDistance = boundingBox.centerX();
                navBarHeight = this.mNavBarLandscapeHeight;
            } else {
                orientedDistance = boundingBox.centerY();
                navBarHeight = this.mNavBarPortraitHeight;
            }
            float orientedDistance2 = orientedDistance;
            int navBarHeight2 = navBarHeight;
            if (!this.phoneWindowManager.isNavigationBarVisible()) {
                navBarHeight2 = 0;
            }
            int availableScreenSize = this.mDisplayHeight - navBarHeight2;
            int minWindowSize = (availableScreenSize * 10) / 100;
            if (orientedDistance2 <= ((float) minWindowSize) || orientedDistance2 >= ((float) (availableScreenSize - minWindowSize)) || DISABLE_MULTIWIN) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Line Gesture recognized, but too close to screen edge or have disable multiwindow ");
                stringBuilder.append(DISABLE_MULTIWIN);
                android.util.Log.w("SystemWideActionsListener", stringBuilder.toString());
            } else {
                java.lang.String str2;
                java.lang.StringBuilder stringBuilder2;
                android.app.KeyguardManager keyguardManager = getKeyguardService();
                java.lang.String str3 = "SystemWideActionsListener";
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("onLineGesture keyguardManager ");
                if (keyguardManager == null) {
                    str2 = "null";
                } else {
                    stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("locked ");
                    stringBuilder2.append(keyguardManager.isKeyguardLocked());
                    str2 = stringBuilder2.toString();
                }
                stringBuilder3.append(str2);
                android.util.Log.d(str3, stringBuilder3.toString());
                if (!(keyguardManager == null || keyguardManager.isKeyguardLocked())) {
                    try {
                        navBarHeight2 = android.view.WindowManagerGlobal.getWindowManagerService().getDockedStackSide();
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("onLineGesture dockSide ");
                        stringBuilder2.append(navBarHeight2);
                        stringBuilder2.append(" DOCKED_INVALID ");
                        stringBuilder2.append(-1);
                        android.util.Log.d("SystemWideActionsListener", stringBuilder2.toString());
                        if (navBarHeight2 == -1) {
                            toggleSplitScreenByLineGesture(107, "toggleSplitScreenByLineGesture", (int) boundingBox.centerX(), (int) boundingBox.centerY());
                        }
                    } catch (android.os.RemoteException e) {
                        stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("Failed to get dock side: ");
                        stringBuilder2.append(e);
                        android.util.Log.w("SystemWideActionsListener", stringBuilder2.toString());
                    }
                }
            }
            return;
        }
        java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
        stringBuilder4.append(gestureName);
        stringBuilder4.append(" gesture disabled");
        android.util.Log.w("SystemWideActionsListener", stringBuilder4.toString());
    }

    public void onDoubleKnuckleDoubleKnock(java.lang.String gestureName, android.view.MotionEvent event) {
        android.os.Message msg = this.handler.obtainMessage(3);
        if (msg != null) {
            msg.setAsynchronous(true);
            this.handler.sendMessage(msg);
        }
        if (huawei.android.provider.FingerSenseSettings.isFingerSenseSmartshotEnabled(this.context.getContentResolver())) {
            android.app.KeyguardManager keyguardManager = getKeyguardService();
            if (keyguardManager == null || !keyguardManager.inKeyguardRestrictedInputMode()) {
                android.util.Flog.i(1503, "FingerSense Double Knuckle Double Knock");
                com.huawei.android.statistical.StatisticalUtils.reportc(this.context, 107);
                this.startServiceIntent = new android.content.Intent();
                this.startServiceIntent.setAction("com.huawei.screenrecorder.Start");
                this.startServiceIntent.setClassName("com.huawei.screenrecorder", "com.huawei.screenrecorder.ScreenRecordService");
                try {
                    this.context.startServiceAsUser(this.startServiceIntent, android.os.UserHandle.CURRENT_OR_SELF);
                } catch (java.lang.IllegalStateException e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("Failed to start service: ");
                    stringBuilder.append(e);
                    android.util.Log.w("SystemWideActionsListener", stringBuilder.toString());
                }
                return;
            }
            android.util.Flog.w(1503, "On lock screen SmartShot Disabled!");
            return;
        }
        android.util.Flog.w(1503, "FingerSense SmartShot Disabled!");
    }

    public void onSingleKnuckleDoubleKnock(java.lang.String gestureName, android.view.MotionEvent event) {
        android.os.Message msg = this.handler.obtainMessage(4);
        if (msg != null) {
            msg.setAsynchronous(true);
            this.handler.sendMessage(msg);
        }
        if (!huawei.android.provider.FingerSenseSettings.isFingerSenseSmartshotEnabled(this.context.getContentResolver())) {
            android.util.Flog.i(1503, "FingerSense SmartShot Disabled!");
        } else if (android.common.HwFrameworkFactory.getCoverManager().isCoverOpen()) {
            android.util.Flog.i(1503, "FingerSense Single Knuckle Double Knock");
            com.huawei.android.statistical.StatisticalUtils.reportc(this.context, 103);
            while (this.pointerLocationView.isShown()) {
                removePointerLocationView();
                android.util.Flog.i(1503, "pointerLocationView isShown(), removing...");
            }
            if (HWFLOW) {
                android.util.Flog.i(1503, "double_knock ScreenShot enter.");
            }
            sendScreenshotNotification();
            this.mScreenshotHelper.takeScreenshot(1, true, true, this.handler);
        } else {
            android.util.Flog.i(1503, "Cover is closed.");
        }
    }

    private void sendScreenshotNotification() {
        android.content.Intent screenshotIntent = new android.content.Intent("com.huawei.recsys.action.RECEIVE_EVENT");
        screenshotIntent.putExtra("eventOperator", "sysScreenShot");
        screenshotIntent.putExtra("eventItem", "double_knock");
        screenshotIntent.setPackage("com.huawei.recsys");
        this.context.sendBroadcastAsUser(screenshotIntent, android.os.UserHandle.CURRENT, "com.huawei.tips.permission.SHOW_TIPS");
    }

    public void onDoubleKnocksNotYetConfirmed(java.lang.String gestureName, android.view.MotionEvent event) {
        cancelSystemWideAction();
    }

    public void createPointerLocationView() {
        if (this.pointerLocationView == null) {
            this.pointerLocationView = new huawei.com.android.server.policy.fingersense.pixiedust.PointerLocationView(this.context, this);
            this.layoutParams = new android.view.WindowManager.LayoutParams(-1, -1);
            this.layoutParams.type = 2015;
            this.layoutParams.flags = 1304;
            android.view.WindowManager.LayoutParams layoutParams = this.layoutParams;
            layoutParams.privateFlags |= 16;
            if (android.app.ActivityManager.isHighEndGfx()) {
                layoutParams = this.layoutParams;
                layoutParams.flags |= 16777216;
                layoutParams = this.layoutParams;
                layoutParams.privateFlags |= 2;
            }
            this.layoutParams.format = -3;
            this.layoutParams.setTitle("KnucklePointerLocationView");
            layoutParams = this.layoutParams;
            layoutParams.inputFeatures |= 2;
            if (this.mHasNotchInScreen) {
                this.layoutParams.layoutInDisplayCutoutMode = 1;
            }
        }
    }

    private void addPointerLocationView() {
        boolean isVRMode = false;
        if (android.common.HwFrameworkFactory.getVRSystemServiceManager() != null) {
            isVRMode = android.common.HwFrameworkFactory.getVRSystemServiceManager().isVRMode();
        }
        if (isVRMode) {
            android.util.Flog.i(1503, "current is in VR Mode,view cannot added!");
            return;
        }
        synchronized (this.viewLock) {
            if (!(this.viewAdd || this.pointerLocationView == null)) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("addPointerLocationView layoutParams flags= ");
                stringBuilder.append(java.lang.Integer.toHexString(this.layoutParams.flags));
                stringBuilder.append(" privateFlags= ");
                stringBuilder.append(java.lang.Integer.toHexString(this.layoutParams.privateFlags));
                stringBuilder.append(" type= ");
                stringBuilder.append(java.lang.Integer.toHexString(this.layoutParams.type));
                stringBuilder.append(" inputFeatures= ");
                stringBuilder.append(java.lang.Integer.toHexString(this.layoutParams.inputFeatures));
                android.util.Flog.i(1503, stringBuilder.toString());
                this.windowManager.addView(this.pointerLocationView, this.layoutParams);
                this.viewAdd = true;
            }
        }
    }

    public void destroyPointerLocationView() {
        if (this.pointerLocationView != null) {
            removePointerLocationView();
            this.pointerLocationView = null;
        }
    }

    private void removePointerLocationView() {
        synchronized (this.viewLock) {
            if (this.viewAdd && this.pointerLocationView != null) {
                this.windowManager.removeView(this.pointerLocationView);
                this.viewAdd = false;
            }
        }
    }

    private void toast(java.lang.String message, boolean vibrate) {
        android.widget.Toast.makeText(this.context, message, 0).show();
        if (vibrate) {
            vibrate(new long[]{0, 20, 100, 20});
        }
    }

    private void vibrate(long[] pattern) {
        this.vibrator.vibrate(pattern, -1);
    }

    private void dismissKeyguardIfCurrentlyShown() {
        android.app.KeyguardManager keyguardManager = getKeyguardService();
        if (keyguardManager != null && keyguardManager.inKeyguardRestrictedInputMode()) {
            this.phoneWindowManager.dismissKeyguardLw(null, null);
        }
    }

    private java.lang.String getAppName(java.lang.String packageName) {
        android.content.pm.PackageManager pm = this.context.getPackageManager();
        android.content.pm.ApplicationInfo applicationInfo = null;
        try {
            applicationInfo = pm.getApplicationInfo(packageName, 0);
        } catch (android.content.pm.PackageManager.NameNotFoundException e) {
        }
        return (java.lang.String) (applicationInfo != null ? pm.getApplicationLabel(applicationInfo) : packageName);
    }

    public void updateConfiguration() {
        android.view.Display display = this.windowManager.getDefaultDisplay();
        android.graphics.Point size = new android.graphics.Point();
        display.getRealSize(size);
        this.mDisplayWidth = size.x > size.y ? size.y : size.x;
        this.mDisplayHeight = size.x > size.y ? size.x : size.y;
    }

    private void toggleSplitScreenByLineGesture(int code, java.lang.String transactName, int param1, int param2) {
        android.os.Parcel data = android.os.Parcel.obtain();
        android.os.Parcel reply = android.os.Parcel.obtain();
        try {
            if (getHWStatusBarService() != null) {
                android.os.IBinder statusBarServiceBinder = getHWStatusBarService().asBinder();
                java.lang.String str = "SystemWideActionsListener";
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("statusBarServiceBinder ");
                stringBuilder.append(statusBarServiceBinder != null);
                android.util.Log.d(str, stringBuilder.toString());
                if (statusBarServiceBinder != null) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("Transact:");
                    stringBuilder.append(transactName);
                    stringBuilder.append(" to status bar service");
                    android.util.Log.d("SystemWideActionsListener", stringBuilder.toString());
                    data.writeInterfaceToken("com.android.internal.statusbar.IStatusBarService");
                    data.writeInt(param1);
                    data.writeInt(param2);
                    statusBarServiceBinder.transact(code, data, reply, 0);
                }
            }
        } catch (android.os.RemoteException localRemoteException) {
            localRemoteException.printStackTrace();
        } catch (Throwable th) {
            reply.recycle();
            data.recycle();
        }
        reply.recycle();
        data.recycle();
    }
}
