package huawei.com.android.server.policy.fingersense.pixiedust;

public class GlowParticleSystem {
    static final float DISTANCE_BETWEEN_PARTICLES = 5.0f;
    huawei.com.android.server.policy.fingersense.pixiedust.GlowParticle[] particles;

    GlowParticleSystem(int n, android.graphics.Bitmap sprite, int maxEmit) {
        this.particles = new huawei.com.android.server.policy.fingersense.pixiedust.GlowParticle[n];
        for (int i = 0; i < n; i++) {
            this.particles[i] = new huawei.com.android.server.policy.fingersense.pixiedust.GlowParticle(sprite);
        }
    }

    void setColor(int color) {
        for (huawei.com.android.server.policy.fingersense.pixiedust.GlowParticle p : this.particles) {
            try {
                p.setColor(color);
            } catch (java.lang.NullPointerException e) {
            }
        }
    }

    void update() {
        for (huawei.com.android.server.policy.fingersense.pixiedust.GlowParticle p : this.particles) {
            try {
                p.update();
            } catch (java.lang.NullPointerException e) {
            }
        }
    }

    void draw(android.graphics.Canvas c) {
        for (huawei.com.android.server.policy.fingersense.pixiedust.GlowParticle p : this.particles) {
            try {
                p.draw(c);
            } catch (java.lang.NullPointerException e) {
            }
        }
    }

    void addParticles(android.graphics.Path path, long timeBetweenTouches) {
        android.graphics.PathMeasure pmPrev;
        android.graphics.Path path2 = path;
        long j = timeBetweenTouches;
        android.graphics.PathMeasure pm = new android.graphics.PathMeasure(path2, false);
        android.graphics.PathMeasure pmPrev2 = new android.graphics.PathMeasure(path2, false);
        while (true) {
            pmPrev = pmPrev2;
            if (!pm.nextContour()) {
                break;
            }
            pmPrev.nextContour();
            pmPrev2 = pmPrev;
        }
        float[] pathCoordinates = new float[]{0.0f, 0.0f};
        float contourLength = pmPrev.getLength();
        float lifetimeOffset = (float) j;
        float timeDelta = ((float) j) / ((float) java.lang.Math.ceil((double) (contourLength / 5.0f)));
        huawei.com.android.server.policy.fingersense.pixiedust.GlowParticle[] glowParticleArr = this.particles;
        int length = glowParticleArr.length;
        float distFromEnd = 0.0f;
        float lifetimeOffset2 = lifetimeOffset;
        int lifetimeOffset3 = 0;
        while (lifetimeOffset3 < length) {
            int i;
            huawei.com.android.server.policy.fingersense.pixiedust.GlowParticle p = glowParticleArr[lifetimeOffset3];
            try {
                if (!p.isDead() || distFromEnd > contourLength) {
                    i = 0;
                } else {
                    pmPrev.getPosTan(distFromEnd, pathCoordinates, null);
                    i = 0;
                    try {
                        p.rebirth((double) pathCoordinates[0], (double) pathCoordinates[1], lifetimeOffset2);
                        distFromEnd += 5.0f;
                        lifetimeOffset2 -= timeDelta;
                    } catch (java.lang.NullPointerException e) {
                    }
                }
            } catch (java.lang.NullPointerException e2) {
                i = 0;
            }
            lifetimeOffset3++;
            int i2 = i;
            path2 = path;
            j = timeBetweenTouches;
        }
    }
}
