package huawei.com.android.server.policy.fingersense.pixiedust;

class PixieDustParticleSystem {
    int maxEmit;
    huawei.com.android.server.policy.fingersense.pixiedust.PixieDustParticle[] particles;

    PixieDustParticleSystem(int n, android.graphics.Bitmap sprite, int maxEmit) {
        this.particles = new huawei.com.android.server.policy.fingersense.pixiedust.PixieDustParticle[n];
        for (int i = 0; i < n; i++) {
            this.particles[i] = new huawei.com.android.server.policy.fingersense.pixiedust.PixieDustParticle(sprite);
        }
        this.maxEmit = maxEmit;
    }

    void setColor(int color) {
        huawei.com.android.server.policy.fingersense.pixiedust.PixieDustParticle.paint.setColorFilter(new android.graphics.LightingColorFilter(color, 1));
    }

    void update() {
        for (huawei.com.android.server.policy.fingersense.pixiedust.PixieDustParticle p : this.particles) {
            p.update();
        }
    }

    void setEmitter(double x, double y) {
        int emitCount = 0;
        for (huawei.com.android.server.policy.fingersense.pixiedust.PixieDustParticle p : this.particles) {
            if (p.isDead() && emitCount < this.maxEmit) {
                emitCount++;
                p.rebirth(x, y);
            }
        }
    }

    void kill() {
        for (huawei.com.android.server.policy.fingersense.pixiedust.PixieDustParticle p : this.particles) {
            p.kill();
        }
    }

    void draw(android.graphics.Canvas canvas) {
        for (huawei.com.android.server.policy.fingersense.pixiedust.PixieDustParticle p : this.particles) {
            if (!p.isDead()) {
                p.draw(canvas);
            }
        }
    }
}
