package huawei.com.android.server.policy.recsys;

public class RecSysClient {
    private static final java.lang.String BIND_ACTION = "com.huawei.recsys.action.THIRD_REQUEST_ENGINE";
    public static final java.lang.String BUSINESS_NAME = "AutoPowerOnOff";
    private static final java.lang.String SERVER_PAKAGE_NAME = "com.huawei.recsys";
    private static final java.lang.String TAG;
    private android.content.Context mContext;
    private com.huawei.recsys.aidl.HwRecSysAidlInterface mHwRecSysAidlInterface;
    private com.huawei.recsys.aidl.IHwRecSysCallBack.Stub mHwRecSysCallBack = new com.huawei.recsys.aidl.IHwRecSysCallBack.Stub() {
        public void onRecResult(com.huawei.recsys.aidl.HwObjectContainer hwObjectContainer) throws android.os.RemoteException {
            huawei.com.android.server.policy.recsys.HwLog.d(huawei.com.android.server.policy.recsys.RecSysClient.TAG, "HwRecSysCallBack onRecResult");
            for (com.huawei.recsys.aidl.HwHighLightRecResult hwHighLightRecResult : hwObjectContainer.get()) {
                huawei.com.android.server.policy.recsys.RecSysClient.this.mRequestResult = hwHighLightRecResult != null;
            }
            java.lang.String access$100 = huawei.com.android.server.policy.recsys.RecSysClient.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("shutdown recommend request result: ");
            stringBuilder.append(huawei.com.android.server.policy.recsys.RecSysClient.this.mRequestResult);
            huawei.com.android.server.policy.recsys.HwLog.i(access$100, stringBuilder.toString());
        }

        public void onConfigResult(int resCode, java.lang.String message) throws android.os.RemoteException {
            java.lang.String access$100 = huawei.com.android.server.policy.recsys.RecSysClient.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onConfigResult resCode:");
            stringBuilder.append(resCode);
            stringBuilder.append("  message:");
            stringBuilder.append(message);
            huawei.com.android.server.policy.recsys.HwLog.e(access$100, stringBuilder.toString());
        }
    };
    private boolean mRequestResult = false;
    private android.content.ServiceConnection mServiceConnection = new android.content.ServiceConnection() {
        public void onServiceConnected(android.content.ComponentName name, android.os.IBinder service) {
            huawei.com.android.server.policy.recsys.RecSysClient.this.mHwRecSysAidlInterface = com.huawei.recsys.aidl.HwRecSysAidlInterface.Stub.asInterface(service);
            huawei.com.android.server.policy.recsys.HwLog.i(huawei.com.android.server.policy.recsys.RecSysClient.TAG, "onServiceConnected");
            if (huawei.com.android.server.policy.recsys.RecSysClient.this.mHwRecSysAidlInterface != null) {
                try {
                    huawei.com.android.server.policy.recsys.RecSysClient.this.mHwRecSysAidlInterface.registerCallBack(huawei.com.android.server.policy.recsys.RecSysClient.this.mHwRecSysCallBack, huawei.com.android.server.policy.recsys.RecSysClient.this.mContext.getPackageName());
                } catch (android.os.RemoteException e) {
                    huawei.com.android.server.policy.recsys.HwLog.d(huawei.com.android.server.policy.recsys.RecSysClient.TAG, e.getMessage());
                }
                huawei.com.android.server.policy.recsys.HwLog.d(huawei.com.android.server.policy.recsys.RecSysClient.TAG, "ServiceConnection.onServiceConnected is registerCallBack ok");
                return;
            }
            huawei.com.android.server.policy.recsys.HwLog.w(huawei.com.android.server.policy.recsys.RecSysClient.TAG, "ServiceConnection.onServiceConnected mRequestWeather is null");
        }

        public void onServiceDisconnected(android.content.ComponentName name) {
            if (huawei.com.android.server.policy.recsys.RecSysClient.this.mHwRecSysAidlInterface != null) {
                try {
                    huawei.com.android.server.policy.recsys.RecSysClient.this.mHwRecSysAidlInterface.unregisterCallBack(huawei.com.android.server.policy.recsys.RecSysClient.this.mHwRecSysCallBack, huawei.com.android.server.policy.recsys.RecSysClient.this.mContext.getPackageName());
                } catch (android.os.RemoteException e) {
                    huawei.com.android.server.policy.recsys.HwLog.d(huawei.com.android.server.policy.recsys.RecSysClient.TAG, e.getMessage());
                }
            } else {
                huawei.com.android.server.policy.recsys.HwLog.w(huawei.com.android.server.policy.recsys.RecSysClient.TAG, "ServiceConnection.onServiceConnected mRequestWeather is null");
            }
            huawei.com.android.server.policy.recsys.RecSysClient.this.mHwRecSysAidlInterface = null;
            huawei.com.android.server.policy.recsys.HwLog.i(huawei.com.android.server.policy.recsys.RecSysClient.TAG, "onServiceDisconnected");
        }
    };

    static {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("[ShutdownRecommend]");
        stringBuilder.append(huawei.com.android.server.policy.recsys.RecSysClient.class.getSimpleName());
        TAG = stringBuilder.toString();
    }

    public RecSysClient(android.content.Context context) {
        if (context == null) {
            huawei.com.android.server.policy.recsys.HwLog.e(TAG, "context is null!");
        } else {
            this.mContext = context;
        }
    }

    public android.content.Context getContext() {
        return this.mContext;
    }

    public void bindRecService() {
        huawei.com.android.server.policy.recsys.HwLog.i(TAG, "bindRecService()");
        if (this.mContext != null) {
            try {
                android.content.Intent intent = new android.content.Intent();
                intent.setAction("com.huawei.recsys.action.THIRD_REQUEST_ENGINE");
                intent.setPackage("com.huawei.recsys");
                this.mContext.bindService(intent, this.mServiceConnection, 1);
            } catch (java.lang.Exception e) {
                huawei.com.android.server.policy.recsys.HwLog.e(TAG, "bind recommend service fail");
            }
        }
    }

    public void unbindRecService() {
        huawei.com.android.server.policy.recsys.HwLog.i(TAG, "unbindRecService()");
        if (!(this.mContext == null || this.mServiceConnection == null)) {
            try {
                this.mContext.unbindService(this.mServiceConnection);
            } catch (java.lang.Exception e) {
                huawei.com.android.server.policy.recsys.HwLog.e(TAG, "release exception");
            }
        }
        this.mHwRecSysAidlInterface = null;
        this.mContext = null;
    }

    public void requestRecRes(java.lang.String jobName) {
        huawei.com.android.server.policy.recsys.HwLog.d(TAG, "requestRecRes");
        try {
            if (this.mHwRecSysCallBack != null) {
                if (this.mHwRecSysAidlInterface != null) {
                    this.mHwRecSysAidlInterface.requestRecRes(this.mHwRecSysCallBack, jobName);
                    return;
                }
            }
            huawei.com.android.server.policy.recsys.HwLog.w(TAG, "warning !!! mHwRecSysCallBack or mHwRecSysAidlInterface is null, requestRecRes() can not be called back, make sure the recsystem service has connected!!");
        } catch (android.os.RemoteException e) {
            huawei.com.android.server.policy.recsys.HwLog.e(TAG, e.getMessage());
        }
    }

    public boolean getRequestResult() {
        return this.mRequestResult;
    }

    public void resetRequestResult() {
        this.mRequestResult = false;
    }
}
