package huawei.com.android.server.policy.stylus;

public class StylusGestureListener implements android.view.WindowManagerPolicyConstants.PointerEventListener, huawei.com.android.server.policy.fingersense.CustomGestureDetector.OnGesturePerformedListener, huawei.com.android.server.policy.stylus.StylusGestureDetector.StylusGestureRecognizeListener {
    private static final java.lang.String ACTION_KNOCK_DOWN = "com.qeexo.syswideactions.KNOCK_DOWN";
    private static final java.lang.String EXTRA_SCREENSHOT_BITMAP = "com.qeexo.syswideactions.screenshot.bitmap";
    private static final huawei.com.android.server.policy.fingersense.CustomGestureDetector.OrientationFix[] ORIENTATION_FIXES = new huawei.com.android.server.policy.fingersense.CustomGestureDetector.OrientationFix[]{new huawei.com.android.server.policy.fingersense.CustomGestureDetector.OrientationFix("c", "w", null), new huawei.com.android.server.policy.fingersense.CustomGestureDetector.OrientationFix("c", "m", null)};
    private static final java.lang.String STYLUS_GESTURES_PATH = "/product/bin/stylus_gestures.bin";
    private static final java.lang.String TAG = "StylusGestureListener";
    private static final java.lang.String WRITE_IME_ID = "com.visionobjects.stylusmobile.v3_2_huawei/com.visionobjects.stylusmobile.v3_2.StylusIMService";
    private static final java.lang.String mNotchProp = android.os.SystemProperties.get("ro.config.hw_notch_size", "");
    private int STYLUS_USAGE_TIME_THRESHOLD = 300000;
    private boolean forPCModeOnly = false;
    private boolean hasKnockDownOccured;
    private boolean isActionOnKeyboard = false;
    private boolean isStylusViewAdded = false;
    private final android.content.Context mContext;
    private final huawei.com.android.server.policy.fingersense.CustomGestureDetector mCustomGestureDetector;
    private int mDisplayHeight;
    private int mDisplayWidth;
    private long mFingerTime = 0;
    private boolean mFirstTime = true;
    private android.os.Handler mHandler;
    private boolean mHasNotchInScreen = false;
    private android.app.KeyguardManager mKeyguardManager;
    private long mLastFingerUsageTime = 0;
    private long mLastStylusUsageTime = 0;
    private int mLastToolType = -1;
    private android.view.WindowManager.LayoutParams mLayoutParams;
    private final com.android.server.policy.HwPhoneWindowManager mPhoneWindowManager;
    private java.lang.String mPkg;
    private android.graphics.Bitmap mScreenshotBitmap;
    private com.android.internal.util.ScreenshotHelper mScreenshotHelper;
    private final huawei.com.android.server.policy.stylus.StylusGestureDetector mStylusGestureDetector;
    private huawei.com.android.server.policy.stylus.StylusGestureManager mStylusGestureManager;
    private huawei.com.android.server.policy.fingersense.pixiedust.PointerLocationView mStylusGestureView;
    private long mStylusTime = 0;
    private android.view.WindowManager mWindowManager;
    private com.android.server.wm.WindowManagerInternal mWindowManagerInternal;
    private final huawei.com.android.server.policy.stylus.StylusGestureListener.MotionEventRunnable onKnockDownRunnable = new huawei.com.android.server.policy.stylus.StylusGestureListener.MotionEventRunnable() {
        public void run() {
            huawei.com.android.server.policy.stylus.StylusGestureListener.this.notifyKnockDown(this.event);
        }
    };
    private java.lang.Object viewLock = new java.lang.Object();

    private static abstract class MotionEventRunnable implements java.lang.Runnable {
        android.view.MotionEvent event;

        private MotionEventRunnable() {
            this.event = null;
        }

        /* synthetic */ MotionEventRunnable(huawei.com.android.server.policy.stylus.StylusGestureListener.AnonymousClass1 x0) {
            this();
        }
    }

    public void setForPCModeOnly(boolean only4PCMode) {
        this.forPCModeOnly = only4PCMode;
    }

    public StylusGestureListener(android.content.Context context, com.android.server.policy.HwPhoneWindowManager phoneWindowManager) {
        this.mContext = context;
        this.mPhoneWindowManager = phoneWindowManager;
        this.mWindowManager = (android.view.WindowManager) this.mContext.getSystemService("window");
        this.mStylusGestureDetector = new huawei.com.android.server.policy.stylus.StylusGestureDetector(this.mContext, this);
        this.hasKnockDownOccured = false;
        this.mHandler = new android.os.Handler();
        updateConfiguration();
        this.mCustomGestureDetector = new huawei.com.android.server.policy.fingersense.CustomGestureDetector(this.mContext, "/product/bin/stylus_gestures.bin", (huawei.com.android.server.policy.fingersense.CustomGestureDetector.OnGesturePerformedListener) this);
        this.mCustomGestureDetector.setMinPredictionScore(2.0f);
        this.mCustomGestureDetector.setOrientationFixes(ORIENTATION_FIXES);
        this.mCustomGestureDetector.setMinLineGestureStrokeLength(this.mDisplayWidth / 2);
        this.mCustomGestureDetector.setLineGestureStrokePortraitAngle(0.0f);
        this.mCustomGestureDetector.setLineGestureStrokeLandscapeAngle(90.0f);
        this.mCustomGestureDetector.setMaxLineGestureStrokeAngleDeviation(10.0f);
        this.mCustomGestureDetector.setLineGestureStrokeStraightness(4.0f);
        this.mCustomGestureDetector.setRegionDiagonalThreshold(0.5f);
        this.mWindowManagerInternal = (com.android.server.wm.WindowManagerInternal) com.android.server.LocalServices.getService(com.android.server.wm.WindowManagerInternal.class);
        this.mScreenshotHelper = new com.android.internal.util.ScreenshotHelper(context);
        this.mStylusGestureManager = new huawei.com.android.server.policy.stylus.StylusGestureManager(context);
        this.mHasNotchInScreen = android.text.TextUtils.isEmpty(mNotchProp) ^ 1;
    }

    public void cancelStylusGesture() {
        android.view.MotionEvent cancelEvent = android.view.MotionEvent.obtain(android.os.SystemClock.uptimeMillis(), android.os.SystemClock.uptimeMillis(), 3, 0.0f, 0.0f, 0);
        if (this.mStylusGestureView != null) {
            this.mStylusGestureView.onTouchEvent(cancelEvent);
        }
        this.mCustomGestureDetector.onTouchEvent(cancelEvent);
        removeStylusGestureView();
        this.hasKnockDownOccured = false;
        cancelEvent.recycle();
    }

    private void recycleScreenshot() {
        if (this.mScreenshotBitmap != null) {
            this.mScreenshotBitmap.recycle();
            this.mScreenshotBitmap = null;
        }
    }

    private void saveScreenBitmap() {
        recycleScreenshot();
        this.mScreenshotBitmap = android.view.SurfaceControl.screenshot_ext_hw(new android.graphics.Rect(0, 0, this.mDisplayWidth, this.mDisplayHeight), this.mDisplayWidth, this.mDisplayHeight, 0);
    }

    private android.app.KeyguardManager getKeyguardManager() {
        if (this.mKeyguardManager == null) {
            this.mKeyguardManager = (android.app.KeyguardManager) this.mContext.getSystemService("keyguard");
        }
        return this.mKeyguardManager;
    }

    private void dismissKeyguardIfCurrentlyShown() {
        android.app.KeyguardManager keyguardManager = getKeyguardManager();
        if (keyguardManager == null) {
            android.util.Log.w("StylusGestureListener", "keyguardManager is null");
            return;
        }
        if (keyguardManager.inKeyguardRestrictedInputMode()) {
            android.util.Log.d("StylusGestureListener", "phoneWindowManager.dismissKeyguardLw()");
            this.mPhoneWindowManager.dismissKeyguardLw(null, null);
        }
    }

    public void updateConfiguration() {
        android.view.Display display = this.mWindowManager.getDefaultDisplay();
        android.graphics.Point size = new android.graphics.Point();
        display.getRealSize(size);
        this.mDisplayWidth = size.x > size.y ? size.y : size.x;
        this.mDisplayHeight = size.x > size.y ? size.x : size.y;
    }

    public void setToolType() {
        if (this.mStylusGestureDetector != null) {
            this.mStylusGestureDetector.setToolType();
        }
    }

    public void onPointerEvent(android.view.MotionEvent motionEvent) {
        showStylusIntroducePage(motionEvent);
        if (huawei.com.android.server.policy.stylus.StylusGestureDetector.IS_TABLET || this.mStylusGestureManager.isStylusEnabled()) {
            this.mStylusGestureDetector.shouldSwtichInputMethod(motionEvent);
            reportStylusUsageDuration(motionEvent);
            reportStylusUsageCount(motionEvent);
            if (!this.forPCModeOnly) {
                if (motionEvent.getAction() == 0) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("stylusMotionEvent ACTION_DOWN ");
                    stringBuilder.append(motionEvent);
                    android.util.Log.i("StylusGestureListener", stringBuilder.toString());
                }
                if (isValidStylusMotionEvent(motionEvent)) {
                    if (motionEvent.getAction() == 0) {
                        this.onKnockDownRunnable.event = motionEvent;
                        this.mHandler.post(this.onKnockDownRunnable);
                        notifyKnockDown(motionEvent);
                        this.hasKnockDownOccured = true;
                        saveScreenBitmap();
                        addStylusGestureView();
                        android.util.Log.d("StylusGestureListener", "stylus actionDown occured");
                    }
                    this.mStylusGestureDetector.onTouchEvent(motionEvent);
                    this.mCustomGestureDetector.onTouchEvent(motionEvent);
                    if (this.mStylusGestureView != null) {
                        this.mStylusGestureView.onTouchEvent(motionEvent);
                    }
                    if (motionEvent.getAction() == 1 || motionEvent.getAction() == 3) {
                        android.util.Log.d("StylusGestureListener", "stylus actionUp occured");
                        cancelStylusGesture();
                    }
                } else if (this.hasKnockDownOccured) {
                    cancelStylusGesture();
                }
            }
        }
    }

    private void reportStylusUsageDuration(android.view.MotionEvent motionEvent) {
        if (motionEvent.getAction() == 0) {
            int currentToolType = motionEvent.getToolType(0);
            if (currentToolType == 2) {
                this.mPkg = getTopActivity();
                if (this.mLastToolType != currentToolType) {
                    this.mStylusTime = android.os.SystemClock.uptimeMillis();
                    this.mLastToolType = currentToolType;
                }
            } else if (currentToolType != this.mLastToolType && this.mLastToolType > 0) {
                this.mLastToolType = currentToolType;
                this.mFingerTime = android.os.SystemClock.uptimeMillis();
                java.lang.String currentPkgName = getTopActivity();
                if (currentPkgName != null) {
                    try {
                        java.lang.String[] result = currentPkgName.split("\\/");
                        if (result != null && result.length > 0 && this.mPkg != null && this.mPkg.contains(result[0])) {
                            int duration = java.lang.Integer.parseInt(java.lang.String.valueOf((this.mFingerTime - this.mStylusTime) / 1000));
                            android.content.Context context = this.mContext;
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("{package:");
                            stringBuilder.append(result[0]);
                            stringBuilder.append(",duration:");
                            stringBuilder.append(duration);
                            stringBuilder.append("}");
                            android.util.Flog.bdReport(context, 950, stringBuilder.toString());
                        }
                    } catch (java.lang.Exception ex) {
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("stylus reportStylusUsageDuration :");
                        stringBuilder2.append(ex);
                        android.util.Log.d("StylusGestureListener", stringBuilder2.toString());
                    }
                }
            }
        }
    }

    private java.lang.String getTopActivity() {
        com.android.server.am.ActivityManagerService am = (com.android.server.am.ActivityManagerService) android.os.ServiceManager.getService("activity");
        if (am != null) {
            return am.topAppName();
        }
        return null;
    }

    private void reportStylusUsageCount(android.view.MotionEvent motionEvent) {
        if (motionEvent.getAction() == 0) {
            if (motionEvent.getToolType(0) != 2) {
                this.mLastFingerUsageTime = android.os.SystemClock.uptimeMillis();
            } else if (this.mFirstTime) {
                android.util.Flog.bdReport(this.mContext, 951);
                this.mFirstTime = false;
            } else {
                long stylusUsageTime = android.os.SystemClock.uptimeMillis();
                if (this.mLastStylusUsageTime == 0) {
                    this.mLastStylusUsageTime = stylusUsageTime;
                }
                if (this.mLastFingerUsageTime > 0 && this.mLastFingerUsageTime < stylusUsageTime && stylusUsageTime - this.mLastStylusUsageTime >= ((long) this.STYLUS_USAGE_TIME_THRESHOLD)) {
                    this.mLastStylusUsageTime = 0;
                    this.mLastFingerUsageTime = 0;
                    android.util.Flog.bdReport(this.mContext, 951);
                }
            }
        }
    }

    private void notifyKnockDown(android.view.MotionEvent event) {
        android.content.Intent intent = new android.content.Intent("com.qeexo.syswideactions.KNOCK_DOWN");
        intent.addFlags(536870912);
        this.mContext.sendBroadcast(intent);
    }

    private boolean isValidStylusMotionEvent(android.view.MotionEvent motionEvent) {
        boolean areStylusScreenshotEnabled;
        boolean isStylusScreenshotMode = motionEvent.getToolType(0) == 2 && motionEvent.getButtonState() == 32;
        com.android.server.policy.WindowManagerPolicy.WindowState windowState = this.mPhoneWindowManager.getFocusedWindow();
        if (windowState != null) {
            if ((windowState.getAttrs().flags & 4096) != 0) {
                areStylusScreenshotEnabled = false;
                if (!isStylusScreenshotMode && areStylusScreenshotEnabled) {
                    return true;
                }
            }
        }
        areStylusScreenshotEnabled = true;
        return !isStylusScreenshotMode ? false : false;
    }

    public void onRegionGesture(java.lang.String gestureName, android.gesture.Gesture gesture, double predictionScore) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onRegionGesture, gestureName = ");
        stringBuilder.append(gestureName);
        stringBuilder.append(" predictionScore = ");
        stringBuilder.append(predictionScore);
        android.util.Log.i("StylusGestureListener", stringBuilder.toString());
        android.content.Intent intent = huawei.com.android.server.policy.stylus.StylusGestureSettings.getIntentForStylusGesture(gestureName, gesture, predictionScore);
        if (intent == null) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("Ignoring ");
            stringBuilder2.append(gestureName);
            stringBuilder2.append(" gesture.");
            android.util.Log.d("StylusGestureListener", stringBuilder2.toString());
        } else if (this.mScreenshotBitmap == null) {
            android.util.Log.d("StylusGestureListener", "ScreenshotBitmap is null, failed to take Screenshot.");
        } else {
            intent.addFlags(32768);
            intent.putExtra("com.qeexo.syswideactions.screenshot.bitmap", this.mScreenshotBitmap.copy(android.graphics.Bitmap.Config.ARGB_8888, false));
            recycleScreenshot();
            dismissKeyguardIfCurrentlyShown();
            intent.setPackage("com.qeexo.smartshot");
            try {
                this.mContext.startActivityAsUser(intent, android.os.UserHandle.CURRENT_OR_SELF);
                android.util.Log.i("StylusGestureListener", "Start screenshot regionCrop activity");
                com.huawei.android.statistical.StatisticalUtils.reportc(this.mContext, 162);
                android.util.Flog.bdReport(this.mContext, 952, "true");
            } catch (android.content.ActivityNotFoundException e) {
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("Failed to start activity: ");
                stringBuilder3.append(e);
                android.util.Log.w("StylusGestureListener", stringBuilder3.toString());
            }
        }
    }

    public void onLetterGesture(java.lang.String gestureName, android.gesture.Gesture gesture, double predictionScore) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onLetterGesture, gestureName = ");
        stringBuilder.append(gestureName);
        android.util.Log.i("StylusGestureListener", stringBuilder.toString());
        android.content.Intent intent = huawei.com.android.server.policy.stylus.StylusGestureSettings.getIntentForStylusGesture(gestureName, gesture, predictionScore);
        if (intent == null) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("Ignoring ");
            stringBuilder2.append(gestureName);
            stringBuilder2.append(" gesture.");
            android.util.Log.d("StylusGestureListener", stringBuilder2.toString());
            return;
        }
        try {
            android.content.pm.ParceledListSlice<android.app.ActivityManager.RecentTaskInfo> slice = android.app.ActivityManagerNative.getDefault().getRecentTasks(1, 1, android.app.ActivityManagerNative.getDefault().getCurrentUser().id);
            if (slice != null) {
                java.util.List<android.app.ActivityManager.RecentTaskInfo> recentTask = slice.getList();
                if (recentTask != null && recentTask.size() > 0) {
                    android.content.pm.UserInfo user = ((android.os.UserManager) this.mContext.getSystemService("user")).getUserInfo(((android.app.ActivityManager.RecentTaskInfo) recentTask.get(0)).userId);
                    if (user == null || !user.isManagedProfile()) {
                        this.mContext.startServiceAsUser(intent, android.app.ActivityManagerNative.getDefault().getCurrentUser().getUserHandle());
                    } else {
                        this.mContext.startServiceAsUser(intent, user.getUserHandle());
                    }
                    android.util.Flog.bdReport(this.mContext, 952, "true");
                }
            }
            android.util.Log.i("StylusGestureListener", "Start MultiScreenShotService.");
            com.huawei.android.statistical.StatisticalUtils.reportc(this.mContext, 163);
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("Can not find the service for: ");
            stringBuilder3.append(e.getMessage());
            android.util.Log.w("StylusGestureListener", stringBuilder3.toString());
        }
    }

    public void onLineGesture(java.lang.String gestureName, android.gesture.Gesture gesture, double predictionScore) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onLineGesture, gestureName = ");
        stringBuilder.append(gestureName);
        android.util.Log.i("StylusGestureListener", stringBuilder.toString());
        if (isTopTaskRecentOrHome()) {
            android.util.Log.i("StylusGestureListener", "Top task is home or recent, return.");
            android.widget.Toast toast = android.widget.Toast.makeText(this.mContext, 33685924, 0);
            android.view.WindowManager.LayoutParams windowParams = toast.getWindowParams();
            windowParams.privateFlags |= 16;
            toast.show();
            return;
        }
        ((com.android.server.statusbar.StatusBarManagerInternal) com.android.server.LocalServices.getService(com.android.server.statusbar.StatusBarManagerInternal.class)).toggleSplitScreen();
        android.util.Flog.bdReport(this.mContext, 952, "true");
    }

    public void onStylusSingleTapPerformed(android.view.MotionEvent event, boolean showMenuView) {
        if (huawei.com.android.server.policy.stylus.StylusGestureDetector.IS_TABLET) {
            int positionX = (int) event.getRawX();
            int positionY = (int) event.getRawY();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onStylusSingleTapPerformed positionX = ");
            stringBuilder.append(positionX);
            stringBuilder.append(" positionY = ");
            stringBuilder.append(positionY);
            android.util.Log.i("StylusGestureListener", stringBuilder.toString());
            android.content.Intent intent = new android.content.Intent();
            intent.setComponent(new android.content.ComponentName("com.huawei.stylus.floatmenu", "com.huawei.stylus.floatmenu.FloatMenuService"));
            intent.putExtra("positionX", positionX);
            intent.putExtra("positionY", positionY);
            if (showMenuView) {
                try {
                    com.huawei.android.statistical.StatisticalUtils.reportc(this.mContext, 160);
                    intent.putExtra("prepareStatus", 1);
                    this.mContext.startServiceAsUser(intent, android.os.UserHandle.CURRENT_OR_SELF);
                } catch (java.util.ServiceConfigurationError e) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("can not start service: ");
                    stringBuilder2.append(e);
                    android.util.Log.w("StylusGestureListener", stringBuilder2.toString());
                    return;
                }
            }
            this.mContext.stopServiceAsUser(intent, android.os.UserHandle.CURRENT_OR_SELF);
        } else if (showMenuView) {
            android.util.Log.i("StylusGestureListener", "onStylusSingleTapPerformed and wakeupNoteEditor.");
            wakeupNoteEditor();
        }
    }

    public void onStylusDoubleTapPerformed() {
        if (this.mPhoneWindowManager != null) {
            if (this.mStylusGestureView.isShown()) {
                removeStylusGestureView();
                android.util.Log.d("StylusGestureListener", "mStylusGestureView isShown(), removing...");
            }
            android.util.Log.i("StylusGestureListener", "onStylusDoubleTapPerformed and takeScreenshot.");
            com.huawei.android.statistical.StatisticalUtils.reportc(this.mContext, 161);
            this.mScreenshotHelper.takeScreenshot(1, true, true, this.mHandler);
            android.util.Flog.bdReport(this.mContext, 952, "true");
        }
    }

    public void notifySwtichInputMethod(boolean isStylus) {
        java.lang.StringBuilder stringBuilder;
        java.lang.String ime = isStylus ? "handwrite IME" : "general IME";
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("notifySwtichInputMethod and swtich current IME to ");
        stringBuilder2.append(ime);
        android.util.Log.i("StylusGestureListener", stringBuilder2.toString());
        com.huawei.android.statistical.StatisticalUtils.reportc(this.mContext, 164);
        if (isStylus) {
            try {
                com.huawei.android.inputmethod.HwInputMethodManager.setDefaultIme("com.visionobjects.stylusmobile.v3_2_huawei/com.visionobjects.stylusmobile.v3_2.StylusIMService");
            } catch (java.lang.IllegalArgumentException e) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("SwtichInputMethod IllegalArgumentException:");
                stringBuilder.append(e);
                android.util.Log.w("StylusGestureListener", stringBuilder.toString());
            } catch (java.lang.IllegalArgumentException e2) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("SwtichInputMethod error occured:");
                stringBuilder.append(e2);
                android.util.Log.w("StylusGestureListener", stringBuilder.toString());
                return;
            }
        }
        com.huawei.android.inputmethod.HwInputMethodManager.setDefaultIme("");
    }

    private void showStylusIntroducePage(android.view.MotionEvent motionEvent) {
        java.lang.StringBuilder stringBuilder;
        if (!huawei.com.android.server.policy.stylus.StylusGestureDetector.IS_TABLET && motionEvent.getToolType(0) == 2 && motionEvent.getAction() == 0 && !this.mStylusGestureManager.isStylusIntroduced()) {
            android.util.Log.d("StylusGestureListener", "show stylus introduce page!");
            android.content.Intent intent = new android.content.Intent();
            intent.setComponent(new android.content.ComponentName("com.huawei.stylus.floatmenu", "com.huawei.stylus.floatmenu.IntroduceDialogActivity"));
            intent.addFlags(268435456);
            try {
                this.mContext.startActivityAsUser(intent, android.os.UserHandle.CURRENT_OR_SELF);
            } catch (android.content.ActivityNotFoundException exp) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("start introduce Activity failed! message : ");
                stringBuilder.append(exp.getMessage());
                android.util.Log.e("StylusGestureListener", stringBuilder.toString());
            } catch (java.lang.Exception ex) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("startActivity failed! message : ");
                stringBuilder.append(ex.getMessage());
                android.util.Log.e("StylusGestureListener", stringBuilder.toString());
            }
        }
    }

    private void wakeupNoteEditor() {
        java.lang.StringBuilder stringBuilder;
        android.content.Intent notePadEditorIntent = new android.content.Intent("android.huawei.intent.action.note.handwriting");
        notePadEditorIntent.setPackage("com.example.android.notepad");
        try {
            this.mContext.startActivityAsUser(notePadEditorIntent, android.os.UserHandle.CURRENT_OR_SELF);
        } catch (android.content.ActivityNotFoundException ex) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("startActivity failed! message : ");
            stringBuilder.append(ex.getMessage());
            android.util.Log.e("StylusGestureListener", stringBuilder.toString());
        } catch (java.lang.Exception e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("startActivityAsUser(): Exception = ");
            stringBuilder.append(e);
            android.util.Log.e("StylusGestureListener", stringBuilder.toString());
        }
    }

    private boolean isTopTaskRecentOrHome() {
        try {
            java.util.List<android.app.ActivityManager.RunningTaskInfo> tasks = android.app.ActivityManager.getService().getFilteredTasks(1, 0, 2);
            if (tasks.isEmpty()) {
                return false;
            }
            int activityType = ((android.app.ActivityManager.RunningTaskInfo) tasks.get(0)).configuration.windowConfiguration.getActivityType();
            if (activityType != 2) {
                if (activityType != 3) {
                    return false;
                }
            }
            return true;
        } catch (android.os.RemoteException e) {
            return false;
        }
    }

    private void addStylusGestureView() {
        boolean isVRMode = false;
        if (android.common.HwFrameworkFactory.getVRSystemServiceManager() != null) {
            isVRMode = android.common.HwFrameworkFactory.getVRSystemServiceManager().isVRMode();
        }
        if (isVRMode) {
            android.util.Log.d("StylusGestureListener", "current is in VR Mode,view cannot added!");
            return;
        }
        if (this.mStylusGestureView == null) {
            this.mStylusGestureView = new huawei.com.android.server.policy.fingersense.pixiedust.PointerLocationView(this.mContext, this);
            this.mLayoutParams = new android.view.WindowManager.LayoutParams(-1, -1);
            this.mLayoutParams.type = 2015;
            this.mLayoutParams.flags = 1304;
            android.view.WindowManager.LayoutParams layoutParams = this.mLayoutParams;
            layoutParams.privateFlags |= 16;
            if (android.app.ActivityManager.isHighEndGfx()) {
                layoutParams = this.mLayoutParams;
                layoutParams.flags |= 16777216;
                layoutParams = this.mLayoutParams;
                layoutParams.privateFlags |= 2;
            }
            this.mLayoutParams.format = -3;
            this.mLayoutParams.setTitle("StylusGestureView");
            layoutParams = this.mLayoutParams;
            layoutParams.inputFeatures |= 2;
            if (this.mHasNotchInScreen) {
                this.mLayoutParams.layoutInDisplayCutoutMode = 1;
            }
        }
        synchronized (this.viewLock) {
            if (!this.isStylusViewAdded) {
                android.util.Log.d("StylusGestureListener", "addStylusGestureView");
                this.mWindowManager.addView(this.mStylusGestureView, this.mLayoutParams);
                this.isStylusViewAdded = true;
            }
        }
    }

    private void removeStylusGestureView() {
        synchronized (this.viewLock) {
            if (this.mStylusGestureView != null && this.isStylusViewAdded) {
                android.util.Log.d("StylusGestureListener", "removeStylusGestureView");
                this.mWindowManager.removeView(this.mStylusGestureView);
                this.isStylusViewAdded = false;
            }
        }
    }
}
