package huawei.com.android.server.policy.stylus;

public class StylusGestureSettings {
    private static final java.lang.String EXTRA_GESTURE = "com.qeexo.syswideactions.gesture";
    private static final java.lang.String EXTRA_GESTURE_NAME = "com.qeexo.syswideactions.gesture.name";
    private static final java.lang.String EXTRA_GESTURE_PREDICTION_SCORE = "com.qeexo.syswideactions.gesture.score";
    public static final java.lang.String FLOAT_ENTRANCE_CLASSNAME = "com.huawei.stylus.floatmenu.FloatMenuService";
    public static final java.lang.String FLOAT_ENTRANCE_PACKAGE_NAME = "com.huawei.stylus.floatmenu";
    private static final java.lang.String MULTISCREENSHOT_ACTION = "com.huawei.HwMultiScreenShot.start";
    private static final java.lang.String MULTISCREENSHOT_PREFIX = "com.huawei.HwMultiScreenShot";
    private static final java.lang.String MULTISCREENSHOT_SERVICE = "com.huawei.HwMultiScreenShot.MultiScreenShotService";
    private static final java.lang.String SCREENSHOT_REGION_INTENT = "com.qeexo.smartshot.CropActivity";
    public static final java.lang.String STYLUS_GESTURE_C_SUFFIX = "c";
    public static final java.lang.String STYLUS_GESTURE_M_SUFFIX = "m";
    public static final java.lang.String STYLUS_GESTURE_REGION_SUFFIX = "region";
    public static final java.lang.String STYLUS_GESTURE_S_SUFFIX = "s";
    public static final java.lang.String STYLUS_GESTURE_W_SUFFIX = "w";

    private static android.content.Intent getIntentForMultiScreenShot() {
        android.content.Intent intent = new android.content.Intent("com.huawei.HwMultiScreenShot.start");
        intent.setClassName("com.huawei.HwMultiScreenShot", "com.huawei.HwMultiScreenShot.MultiScreenShotService");
        return intent;
    }

    private static android.content.Intent getIntentForCustomGesture(java.lang.String gestureName, android.gesture.Gesture gesture, double predictionScore) {
        android.content.Intent intent = new android.content.Intent("com.qeexo.smartshot.CropActivity");
        intent.addFlags(268435456);
        intent.putExtra("com.qeexo.syswideactions.gesture", gesture);
        intent.putExtra("com.qeexo.syswideactions.gesture.name", gestureName);
        intent.putExtra("com.qeexo.syswideactions.gesture.score", predictionScore);
        return intent;
    }

    public static android.content.Intent getIntentForStylusGesture(java.lang.String gestureName, android.gesture.Gesture gesture, double predictionScore) {
        if (gestureName != null) {
            java.lang.String gestureSuffix = gestureName.toLowerCase();
            if ("s".equals(gestureSuffix)) {
                return getIntentForMultiScreenShot();
            }
            if ("region".equals(gestureSuffix)) {
                return getIntentForCustomGesture(gestureName, gesture, predictionScore);
            }
        }
        return null;
    }
}
