package com.android.server.aps;

public final class HwApsManagerServiceConfig {
    private static final int APS_MSG_FORCESTOP_APK = 310;
    private static final int APS_MSG_WRITE = 300;
    private static final java.lang.String GET_FPS_SOURCE_CONFIG = "Aps Config";
    private static final java.lang.String GET_FPS_SOURCE_SERVICE = "Aps Service";
    private static final java.lang.String GET_FPS_SOURCE_UNKOWN = "unkown source";
    public static final int PERFORMANCE_POWER_MODE_VALUE = 3;
    private static final java.lang.String TAG = "HwApsManagerConfig";
    private static final float VR_APP_RATIO = 0.625f;
    private static final java.lang.String mHwApsPackagesListPath = "/data/system/hwaps-packages-compat.xml";
    private static int mLowResolutionMode = 0;
    private java.util.List<java.lang.String> mApsColorPlusPkgList = new java.util.ArrayList();
    private final com.android.server.aps.HwApsManagerService mApsService;
    private int mApsSupportValue = 0;
    private final android.util.AtomicFile mFile;
    private final com.android.server.aps.HwApsManagerServiceConfig.ApsHandler mHandler;
    private final java.util.concurrent.ConcurrentHashMap<java.lang.String, java.lang.Boolean> mNewFbSkipSwitchMap = new java.util.concurrent.ConcurrentHashMap();
    private final java.util.concurrent.ConcurrentHashMap<java.lang.String, java.lang.Boolean> mNewHighpToLowpSwitchMap = new java.util.concurrent.ConcurrentHashMap();
    private final java.util.concurrent.ConcurrentHashMap<java.lang.String, java.lang.Integer> mNewMipMapSwitchMap = new java.util.concurrent.ConcurrentHashMap();
    private final java.util.concurrent.ConcurrentHashMap<java.lang.String, java.lang.Float> mNewResolutionRatioMap = new java.util.concurrent.ConcurrentHashMap();
    private final java.util.concurrent.ConcurrentHashMap<java.lang.String, java.lang.Integer> mNewShadowMapSwitchMap = new java.util.concurrent.ConcurrentHashMap();
    private final java.util.concurrent.ConcurrentHashMap<java.lang.String, java.lang.Integer> mNewTextureQualityMap = new java.util.concurrent.ConcurrentHashMap();
    private final java.util.concurrent.ConcurrentHashMap<java.lang.String, android.aps.ApsAppInfo> mPackages = new java.util.concurrent.ConcurrentHashMap();
    private java.util.concurrent.ConcurrentHashMap<java.lang.String, android.aps.IApsManagerServiceCallback> mPkgnameCallbackMap = new java.util.concurrent.ConcurrentHashMap();
    private java.util.concurrent.ConcurrentHashMap<java.lang.String, java.lang.Integer> newFpsMap = new java.util.concurrent.ConcurrentHashMap();

    private final class ApsHandler extends android.os.Handler {
        public ApsHandler(android.os.Looper looper) {
            super(looper, null, true);
        }

        public void handleMessage(android.os.Message msg) {
            int i = msg.what;
            if (i == 300) {
                com.android.server.aps.HwApsManagerServiceConfig.this.saveApsAppInfo();
            } else if (i == 310) {
                com.android.server.aps.HwApsManagerServiceConfig.this.stopApsCompatPackages();
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:14:0x00ab A:{SYNTHETIC, Splitter: B:14:0x00ab} */
    /* JADX WARNING: Removed duplicated region for block: B:9:0x00a3  */
    public HwApsManagerServiceConfig(com.android.server.aps.HwApsManagerService r31, android.os.Handler r32) {
        /*
        r30 = this;
        r1 = r30;
        r30.<init>();
        r0 = new java.util.concurrent.ConcurrentHashMap;
        r0.<init>();
        r1.mPackages = r0;
        r0 = new java.util.concurrent.ConcurrentHashMap;
        r0.<init>();
        r1.mNewResolutionRatioMap = r0;
        r0 = new java.util.concurrent.ConcurrentHashMap;
        r0.<init>();
        r1.mNewFbSkipSwitchMap = r0;
        r0 = new java.util.concurrent.ConcurrentHashMap;
        r0.<init>();
        r1.mNewHighpToLowpSwitchMap = r0;
        r0 = new java.util.concurrent.ConcurrentHashMap;
        r0.<init>();
        r1.mNewShadowMapSwitchMap = r0;
        r0 = new java.util.concurrent.ConcurrentHashMap;
        r0.<init>();
        r1.mNewMipMapSwitchMap = r0;
        r0 = new java.util.concurrent.ConcurrentHashMap;
        r0.<init>();
        r1.mNewTextureQualityMap = r0;
        r0 = new java.util.concurrent.ConcurrentHashMap;
        r0.<init>();
        r1.mPkgnameCallbackMap = r0;
        r0 = new java.util.ArrayList;
        r0.<init>();
        r1.mApsColorPlusPkgList = r0;
        r0 = new java.util.concurrent.ConcurrentHashMap;
        r0.<init>();
        r1.newFpsMap = r0;
        r0 = 0;
        r1.mApsSupportValue = r0;
        r2 = r31.getLowResolutionSwitchState();
        mLowResolutionMode = r2;
        r2 = "sys.aps.support";
        r0 = android.os.SystemProperties.getInt(r2, r0);
        r1.mApsSupportValue = r0;
        r0 = new android.util.AtomicFile;
        r2 = new java.io.File;
        r3 = "/data/system/hwaps-packages-compat.xml";
        r2.<init>(r3);
        r0.<init>(r2);
        r1.mFile = r0;
        r0 = new com.android.server.aps.HwApsManagerServiceConfig$ApsHandler;
        r2 = r32.getLooper();
        r0.<init>(r2);
        r1.mHandler = r0;
        r2 = r31;
        r1.mApsService = r2;
        r3 = 0;
        r4 = r3;
        r0 = r1.mFile;	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        r0 = r0.openRead();	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        r4 = r0;
        r0 = android.util.Xml.newPullParser();	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        r5 = r0;
        r0 = java.nio.charset.StandardCharsets.UTF_8;	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        r0 = r0.name();	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        r5.setInput(r4, r0);	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        r0 = r5.getEventType();	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
    L_0x0095:
        r6 = r0;
        r7 = 2;
        r8 = 1;
        if (r6 == r7) goto L_0x00a1;
    L_0x009a:
        if (r6 == r8) goto L_0x00a1;
    L_0x009c:
        r0 = r5.next();	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        goto L_0x0095;
    L_0x00a1:
        if (r6 != r8) goto L_0x00ab;
    L_0x00a3:
        if (r4 == 0) goto L_0x00aa;
    L_0x00a5:
        r4.close();	 Catch:{ IOException -> 0x00a9 }
        goto L_0x00aa;
    L_0x00a9:
        r0 = move-exception;
    L_0x00aa:
        return;
    L_0x00ab:
        r0 = r5.getName();	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        r9 = "hwaps-compat-packages";
        r9 = r9.equals(r0);	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        if (r9 == 0) goto L_0x0173;
    L_0x00b7:
        r9 = r5.next();	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        r6 = r9;
    L_0x00bc:
        if (r6 != r7) goto L_0x0167;
    L_0x00be:
        r9 = r5.getName();	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        r0 = r5.getDepth();	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        if (r0 != r7) goto L_0x0166;
    L_0x00c8:
        r0 = "pkg";
        r0 = r0.equals(r9);	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        if (r0 == 0) goto L_0x0166;
    L_0x00d0:
        r0 = "name";
        r0 = r5.getAttributeValue(r3, r0);	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        r15 = r0;
        r0 = "resolutionratio";
        r0 = r5.getAttributeValue(r3, r0);	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        r14 = r0;
        r0 = "framerate";
        r0 = r5.getAttributeValue(r3, r0);	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        r13 = r0;
        r0 = "maxframerate";
        r0 = r5.getAttributeValue(r3, r0);	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        r12 = r0;
        r0 = "texturepercent";
        r0 = r5.getAttributeValue(r3, r0);	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        r11 = r0;
        r0 = "brightnesspercent";
        r0 = r5.getAttributeValue(r3, r0);	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        r10 = r0;
        r0 = "switchable";
        r0 = r5.getAttributeValue(r3, r0);	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        r18 = r0;
        r16 = 0;
        r17 = 0;
        r19 = 0;
        r20 = 0;
        r21 = 0;
        r22 = r8;
        r0 = java.lang.Float.parseFloat(r14);	 Catch:{ NumberFormatException -> 0x013a }
        r16 = r0;
        r0 = java.lang.Integer.parseInt(r13);	 Catch:{ NumberFormatException -> 0x013a }
        r17 = r0;
        r0 = java.lang.Integer.parseInt(r12);	 Catch:{ NumberFormatException -> 0x013a }
        r19 = r0;
        r0 = java.lang.Integer.parseInt(r11);	 Catch:{ NumberFormatException -> 0x013a }
        r20 = r0;
        r0 = java.lang.Integer.parseInt(r10);	 Catch:{ NumberFormatException -> 0x013a }
        r21 = r0;
        r3 = r18;
        r0 = java.lang.Boolean.parseBoolean(r3);	 Catch:{ NumberFormatException -> 0x0138 }
        r22 = r0;
        goto L_0x013d;
    L_0x0138:
        r0 = move-exception;
        goto L_0x013d;
    L_0x013a:
        r0 = move-exception;
        r3 = r18;
    L_0x013d:
        r0 = r16;
        r18 = r17;
        r23 = new android.aps.ApsAppInfo;	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        r24 = r10;
        r10 = r23;
        r25 = r11;
        r11 = r15;
        r26 = r12;
        r12 = r0;
        r27 = r13;
        r13 = r18;
        r28 = r14;
        r14 = r19;
        r7 = r15;
        r15 = r20;
        r16 = r21;
        r17 = r22;
        r10.<init>(r11, r12, r13, r14, r15, r16, r17);	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        r10 = r23;
        r11 = r1.mPackages;	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        r11.put(r7, r10);	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
    L_0x0166:
        r0 = r9;
    L_0x0167:
        r3 = r5.next();	 Catch:{ XmlPullParserException -> 0x018e, IOException -> 0x017e }
        r6 = r3;
        if (r6 != r8) goto L_0x016f;
    L_0x016e:
        goto L_0x0173;
    L_0x016f:
        r3 = 0;
        r7 = 2;
        goto L_0x00bc;
    L_0x0173:
        if (r4 == 0) goto L_0x019c;
    L_0x0175:
        r4.close();	 Catch:{ IOException -> 0x0179 }
    L_0x0178:
        goto L_0x019c;
    L_0x0179:
        r0 = move-exception;
        goto L_0x0178;
    L_0x017b:
        r0 = move-exception;
        r3 = r0;
        goto L_0x019d;
    L_0x017e:
        r0 = move-exception;
        if (r4 == 0) goto L_0x0188;
    L_0x0181:
        r3 = "HwApsManagerConfig";
        r5 = "Error reading hwaps-compat-packages";
        android.util.Slog.w(r3, r5, r0);	 Catch:{ all -> 0x017b }
    L_0x0188:
        if (r4 == 0) goto L_0x019c;
    L_0x018a:
        r4.close();	 Catch:{ IOException -> 0x0179 }
        goto L_0x0178;
    L_0x018e:
        r0 = move-exception;
        r3 = "HwApsManagerConfig";
        r5 = "Error reading hwaps-compat-packages";
        android.util.Slog.w(r3, r5, r0);	 Catch:{ all -> 0x017b }
        if (r4 == 0) goto L_0x019c;
    L_0x0198:
        r4.close();	 Catch:{ IOException -> 0x0179 }
        goto L_0x0178;
    L_0x019c:
        return;
    L_0x019d:
        if (r4 == 0) goto L_0x01a4;
    L_0x019f:
        r4.close();	 Catch:{ IOException -> 0x01a3 }
        goto L_0x01a4;
    L_0x01a3:
        r0 = move-exception;
    L_0x01a4:
        throw r3;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.aps.HwApsManagerServiceConfig.<init>(com.android.server.aps.HwApsManagerService, android.os.Handler):void");
    }

    public void stopApsCompatPackages() {
        android.app.IActivityManager am = android.app.ActivityManagerNative.getDefault();
        if (am != null) {
            for (java.lang.String pkgName : this.mPackages.keySet()) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("stopApsCompatPackages pkgName = ");
                stringBuilder.append(pkgName);
                android.util.Slog.i("HwApsManagerConfig", stringBuilder.toString());
                if (pkgName != null) {
                    android.aps.ApsAppInfo info = (android.aps.ApsAppInfo) this.mPackages.get(pkgName);
                    if (info != null && info.getSwitchable()) {
                        try {
                            am.forceStopPackage(pkgName, -1);
                        } catch (android.os.RemoteException e) {
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("Failed to kill aps package of ");
                            stringBuilder2.append(pkgName);
                            android.util.Slog.e("HwApsManagerConfig", stringBuilder2.toString());
                        }
                    }
                }
            }
        }
    }

    void stopAllAppsInLowResolution() {
        android.app.IActivityManager am = android.app.ActivityManagerNative.getDefault();
        if (am != null) {
            for (java.util.Map.Entry<java.lang.String, android.aps.ApsAppInfo> entry : this.mPackages.entrySet()) {
                java.lang.String pkgName = (java.lang.String) entry.getKey();
                android.aps.ApsAppInfo info = (android.aps.ApsAppInfo) entry.getValue();
                if (info.getSwitchable()) {
                    if (info.getSwitchable()) {
                        int i = mLowResolutionMode;
                        com.android.server.aps.HwApsManagerService hwApsManagerService = this.mApsService;
                        if (i != 1) {
                        }
                    }
                }
                try {
                    am.forceStopPackage(pkgName, -1);
                } catch (android.os.RemoteException e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("Failed to kill aps package of ");
                    stringBuilder.append(pkgName);
                    stringBuilder.append(" when stop all low resolution apps.");
                    android.util.Slog.e("HwApsManagerConfig", stringBuilder.toString());
                }
            }
        }
    }

    public boolean findPackageInListLocked(java.lang.String pkgName) {
        if (((android.aps.ApsAppInfo) this.mPackages.get(pkgName)) == null) {
            return false;
        }
        return true;
    }

    public boolean registerCallbackLocked(java.lang.String pkgName, android.aps.IApsManagerServiceCallback callback) {
        if (pkgName != null) {
            if (!pkgName.isEmpty()) {
                java.lang.StringBuilder stringBuilder;
                if (callback != null) {
                    this.mPkgnameCallbackMap.put(pkgName, callback);
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("registerCallbackLocked success, pkgName:");
                    stringBuilder.append(pkgName);
                    stringBuilder.append(", callback_count:");
                    stringBuilder.append(this.mPkgnameCallbackMap.size());
                    android.util.Slog.i("HwApsManagerConfig", stringBuilder.toString());
                    doCallbackAtFirstRegisterLocked(pkgName, callback);
                } else {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("unregisterCallback from service, pkg:");
                    stringBuilder.append(pkgName);
                    android.util.Slog.i("HwApsManagerConfig", stringBuilder.toString());
                    this.mPkgnameCallbackMap.remove(pkgName);
                }
                return true;
            }
        }
        return false;
    }

    public int notifyApsManagerServiceCallback(java.lang.String pkgName, int apsCallbackCode, int data) {
        android.aps.IApsManagerServiceCallback callback = (android.aps.IApsManagerServiceCallback) this.mPkgnameCallbackMap.get(pkgName);
        java.lang.StringBuilder stringBuilder;
        if (callback == null) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("notifyApsManagerServiceCallback, pkgName:");
            stringBuilder.append(pkgName);
            stringBuilder.append(" , callback is not found.");
            android.util.Slog.d("HwApsManagerConfig", stringBuilder.toString());
            return -1;
        }
        try {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("notifyApsManagerServiceCallback, pkgName:");
            stringBuilder.append(pkgName);
            stringBuilder.append(", apsCallbackCode:");
            stringBuilder.append(apsCallbackCode);
            stringBuilder.append(", data:");
            stringBuilder.append(data);
            android.util.Slog.d("HwApsManagerConfig", stringBuilder.toString());
            callback.doCallback(apsCallbackCode, data);
            return 0;
        } catch (android.os.RemoteException ex) {
            this.mPkgnameCallbackMap.remove(pkgName);
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("notifyApsManagerServiceCallback,ex:");
            stringBuilder2.append(ex);
            stringBuilder2.append(", remove ");
            stringBuilder2.append(pkgName);
            stringBuilder2.append(" from mPkgnameCallbackMap.");
            android.util.Slog.w("HwApsManagerConfig", stringBuilder2.toString());
            return -5;
        }
    }

    public void doCallbackAtFirstRegisterLocked(java.lang.String pkgName, android.aps.IApsManagerServiceCallback callback) {
        java.lang.StringBuilder stringBuilder;
        try {
            int data;
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("doCallbackAtFirstRegisterLocked, start ! pkgName:");
            stringBuilder2.append(pkgName);
            android.util.Slog.i("HwApsManagerConfig", stringBuilder2.toString());
            if (this.mNewFbSkipSwitchMap.get(pkgName) != null) {
                data = ((java.lang.Boolean) this.mNewFbSkipSwitchMap.get(pkgName)).booleanValue();
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("doCallbackAtFirstRegisterLocked, callback:4, data: ");
                stringBuilder.append(data);
                stringBuilder.append(" , from new config.");
                android.util.Slog.i("HwApsManagerConfig", stringBuilder.toString());
                callback.doCallback(4, data);
            }
            if (this.mNewHighpToLowpSwitchMap.get(pkgName) != null) {
                data = ((java.lang.Boolean) this.mNewHighpToLowpSwitchMap.get(pkgName)).booleanValue();
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("doCallbackAtFirstRegisterLocked, callback:5, data: ");
                stringBuilder.append(data);
                stringBuilder.append(" , from new config.");
                android.util.Slog.i("HwApsManagerConfig", stringBuilder.toString());
                callback.doCallback(5, data);
            }
            if (this.mNewShadowMapSwitchMap.get(pkgName) != null) {
                data = ((java.lang.Integer) this.mNewShadowMapSwitchMap.get(pkgName)).intValue();
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("doCallbackAtFirstRegisterLocked, callback:6, data: ");
                stringBuilder.append(data);
                stringBuilder.append(" , from new config.");
                android.util.Slog.i("HwApsManagerConfig", stringBuilder.toString());
                callback.doCallback(6, data);
            }
            if (this.mNewMipMapSwitchMap.get(pkgName) != null) {
                data = ((java.lang.Integer) this.mNewMipMapSwitchMap.get(pkgName)).intValue();
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("doCallbackAtFirstRegisterLocked, callback:7, data: ");
                stringBuilder.append(data);
                stringBuilder.append(" , from new config.");
                android.util.Slog.i("HwApsManagerConfig", stringBuilder.toString());
                callback.doCallback(7, data);
            }
            if (this.mNewResolutionRatioMap.get(pkgName) != null) {
                data = (int) (((java.lang.Float) this.mNewResolutionRatioMap.get(pkgName)).floatValue() * 100000.0f);
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("doCallbackAtFirstRegisterLocked, callback:1, data: ");
                stringBuilder.append(data);
                android.util.Slog.i("HwApsManagerConfig", stringBuilder.toString());
                callback.doCallback(1, data);
            }
            if (this.newFpsMap.get(pkgName) != null) {
                data = ((java.lang.Integer) this.newFpsMap.get(pkgName)).intValue();
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("doCallbackAtFirstRegisterLocked, callback:0, data: ");
                stringBuilder.append(data);
                stringBuilder.append(" , from new config.");
                android.util.Slog.i("HwApsManagerConfig", stringBuilder.toString());
                callback.doCallback(0, data);
            }
        } catch (android.os.RemoteException ex) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("doCallbackAtFirstRegisterLocked, pkgName: ");
            stringBuilder.append(pkgName);
            stringBuilder.append(", ex:");
            stringBuilder.append(ex);
            android.util.Slog.w("HwApsManagerConfig", stringBuilder.toString());
        }
    }

    public int setResolutionLocked(java.lang.String pkgName, float ratio, boolean switchable) {
        android.aps.ApsAppInfo apsInfo = (android.aps.ApsAppInfo) this.mPackages.get(pkgName);
        if (apsInfo == null) {
            apsInfo = new android.aps.ApsAppInfo(pkgName, ratio, 60, 100, 100, switchable);
        } else {
            apsInfo.setResolutionRatio(ratio, switchable);
        }
        this.mPackages.put(pkgName, apsInfo);
        scheduleWrite();
        return 0;
    }

    public int setLowResolutionModeLocked(int lowResolutionMode) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setLowResolutionModeLocked, lowReosulotionMode = ");
        stringBuilder.append(lowResolutionMode);
        android.util.Slog.i("HwApsManagerConfig", stringBuilder.toString());
        mLowResolutionMode = lowResolutionMode;
        this.mHandler.removeMessages(310);
        this.mHandler.sendMessage(this.mHandler.obtainMessage(310));
        return 0;
    }

    public int setFpsLocked(java.lang.String pkgName, int fps) {
        android.aps.ApsAppInfo apsInfo = (android.aps.ApsAppInfo) this.mPackages.get(pkgName);
        if (apsInfo == null) {
            android.util.Slog.w("HwApsManagerConfig", "setFpsLocked can not get ApsAppInfo. We will create a new one");
            apsInfo = new android.aps.ApsAppInfo(pkgName, 0.0f, fps, 100, 100, true);
        } else {
            apsInfo.setFps(fps);
        }
        this.mPackages.put(pkgName, apsInfo);
        scheduleWrite();
        return 0;
    }

    public int setMaxFpsLocked(java.lang.String pkgName, int fps) {
        return -1;
    }

    public int setBrightnessLocked(java.lang.String pkgName, int ratioPercent) {
        return -1;
    }

    public int setTextureLocked(java.lang.String pkgName, int texture) {
        if (texture >= 5) {
            if (texture <= 100) {
                try {
                    this.mNewTextureQualityMap.put(pkgName, java.lang.Integer.valueOf(texture));
                    return 0;
                } catch (java.lang.Exception e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("APS, HwApsManagerServiceConfig, setTextureLocked, exception:");
                    stringBuilder.append(e);
                    android.util.Slog.e("HwApsManagerConfig", stringBuilder.toString());
                    return -6;
                }
            }
        }
        return -6;
    }

    public int setFbSkipLocked(java.lang.String pkgName, boolean onoff) {
        try {
            this.mNewFbSkipSwitchMap.put(pkgName, java.lang.Boolean.valueOf(onoff));
            return 0;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("APS, HwApsManagerServiceConfig, setFbSkipLocked, exception:");
            stringBuilder.append(e);
            android.util.Slog.e("HwApsManagerConfig", stringBuilder.toString());
            return -6;
        }
    }

    public int setHighpToLowpLocked(java.lang.String pkgName, boolean onoff) {
        try {
            this.mNewHighpToLowpSwitchMap.put(pkgName, java.lang.Boolean.valueOf(onoff));
            return 0;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("APS, HwApsManagerServiceConfig, setHighpToLowpLocked, exception:");
            stringBuilder.append(e);
            android.util.Slog.e("HwApsManagerConfig", stringBuilder.toString());
            return -6;
        }
    }

    public int setShadowMapLocked(java.lang.String pkgName, int status) {
        try {
            this.mNewShadowMapSwitchMap.put(pkgName, java.lang.Integer.valueOf(status));
            return 0;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("APS, HwApsManagerServiceConfig, setShadowMapLocked, exception:");
            stringBuilder.append(e);
            android.util.Slog.e("HwApsManagerConfig", stringBuilder.toString());
            return -6;
        }
    }

    public int setMipMapLocked(java.lang.String pkgName, int status) {
        try {
            this.mNewMipMapSwitchMap.put(pkgName, java.lang.Integer.valueOf(status));
            return 0;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("APS, HwApsManagerServiceConfig, setMipMapLocked, exception:");
            stringBuilder.append(e);
            android.util.Slog.e("HwApsManagerConfig", stringBuilder.toString());
            return -6;
        }
    }

    public boolean getFbSkipLocked(java.lang.String pkgName) {
        try {
            if (this.mNewFbSkipSwitchMap.get(pkgName) == null) {
                return false;
            }
            return ((java.lang.Boolean) this.mNewFbSkipSwitchMap.get(pkgName)).booleanValue();
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("APS, HwApsManagerServiceConfig, getFbSkip, exception:");
            stringBuilder.append(e);
            android.util.Slog.e("HwApsManagerConfig", stringBuilder.toString());
            return false;
        }
    }

    public boolean getHighpToLowpLocked(java.lang.String pkgName) {
        try {
            if (this.mNewHighpToLowpSwitchMap.get(pkgName) == null) {
                return false;
            }
            return ((java.lang.Boolean) this.mNewHighpToLowpSwitchMap.get(pkgName)).booleanValue();
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("APS, HwApsManagerServiceConfig, getHighpToLowp, exception:");
            stringBuilder.append(e);
            android.util.Slog.e("HwApsManagerConfig", stringBuilder.toString());
            return false;
        }
    }

    public int getShadowMapLocked(java.lang.String pkgName) {
        try {
            if (this.mNewShadowMapSwitchMap.get(pkgName) == null) {
                return 0;
            }
            return ((java.lang.Integer) this.mNewShadowMapSwitchMap.get(pkgName)).intValue();
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("APS, HwApsManagerServiceConfig, getShadowMap, exception:");
            stringBuilder.append(e);
            android.util.Slog.e("HwApsManagerConfig", stringBuilder.toString());
            return 0;
        }
    }

    public int getMipMapLocked(java.lang.String pkgName) {
        try {
            if (this.mNewMipMapSwitchMap.get(pkgName) == null) {
                return 0;
            }
            return ((java.lang.Integer) this.mNewMipMapSwitchMap.get(pkgName)).intValue();
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("APS, HwApsManagerServiceConfig, getMipMap, exception:");
            stringBuilder.append(e);
            android.util.Slog.e("HwApsManagerConfig", stringBuilder.toString());
            return 0;
        }
    }

    public int setDynamicResolutionRatioLocked(java.lang.String pkgName, float ratio) {
        java.lang.StringBuilder stringBuilder;
        if (ratio > 0.0f) {
            if (ratio <= 1.0f) {
                if (ratio == 1.0f) {
                    try {
                        this.mNewResolutionRatioMap.remove(pkgName);
                    } catch (java.lang.Exception e) {
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("APS, HwApsManagerServiceConfig, setDynamicResolutionRatioLocked, exception:");
                        stringBuilder2.append(e);
                        android.util.Slog.e("HwApsManagerConfig", stringBuilder2.toString());
                        return -6;
                    }
                }
                this.mNewResolutionRatioMap.put(pkgName, java.lang.Float.valueOf(ratio));
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("APSLog, setDynamicResolutionRatioLocked, pkg:");
                stringBuilder.append(pkgName);
                stringBuilder.append(", ratio:");
                stringBuilder.append(ratio);
                stringBuilder.append(", retCode:0");
                android.util.Slog.i("HwApsManagerConfig", stringBuilder.toString());
                return 0;
            }
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setDynamicResolutionRatioLocked, pkg:");
        stringBuilder.append(pkgName);
        stringBuilder.append(", ratio:");
        stringBuilder.append(ratio);
        stringBuilder.append(", return APS_ERRNO_RUNAS_CONFIG]");
        android.util.Slog.i("HwApsManagerConfig", stringBuilder.toString());
        return -4;
    }

    public float getDynamicResolutionRatioLocked(java.lang.String pkgName) {
        try {
            if (this.mNewResolutionRatioMap.get(pkgName) == null) {
                return 1.0f;
            }
            return ((java.lang.Float) this.mNewResolutionRatioMap.get(pkgName)).floatValue();
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("APS, HwApsManagerServiceConfig, getDynamicResolutionRatioLocked, exception:");
            stringBuilder.append(e);
            android.util.Slog.e("HwApsManagerConfig", stringBuilder.toString());
            return 1.0f;
        }
    }

    public int setDynamicFpsLocked(java.lang.String pkgName, int fps) {
        java.lang.StringBuilder stringBuilder;
        try {
            android.aps.ApsAppInfo apsInfo = (android.aps.ApsAppInfo) this.mPackages.get(pkgName);
            java.lang.StringBuilder stringBuilder2;
            if (apsInfo != null && fps > apsInfo.getFrameRatio() && !isPerformanceMode()) {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("APSLog, setDynamicFpsLocked: powermode: pkg:");
                stringBuilder2.append(pkgName);
                stringBuilder2.append(",fps:");
                stringBuilder2.append(fps);
                stringBuilder2.append(",retCode:-4->APS_ERRNO_RUNAS_CONFIG, config fps:");
                stringBuilder2.append(apsInfo.getFrameRatio());
                android.util.Slog.i("HwApsManagerConfig", stringBuilder2.toString());
                return -4;
            } else if (fps <= 60 || !isPerformanceMode()) {
                if (fps == -1) {
                    this.newFpsMap.remove(pkgName);
                } else {
                    this.newFpsMap.put(pkgName, java.lang.Integer.valueOf(fps));
                }
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("APSLog, setDynamicFpsLocked: pkg:");
                stringBuilder.append(pkgName);
                stringBuilder.append(",fps:");
                stringBuilder.append(fps);
                stringBuilder.append(",retCode:0 ");
                android.util.Slog.i("HwApsManagerConfig", stringBuilder.toString());
                return 0;
            } else {
                stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("APSLog, setDynamicFpsLocked: perforcemancemode: pkg:");
                stringBuilder2.append(pkgName);
                stringBuilder2.append(",fps:");
                stringBuilder2.append(fps);
                stringBuilder2.append(",retCode:-4->APS_ERRNO_RUNAS_CONFIG, config fps:");
                stringBuilder2.append(apsInfo.getFrameRatio());
                android.util.Slog.i("HwApsManagerConfig", stringBuilder2.toString());
                return -4;
            }
        } catch (java.lang.Exception e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("APS, HwApsManagerServiceConfig, setDynamicFPSLocked, exception:");
            stringBuilder.append(e);
            android.util.Slog.e("HwApsManagerConfig", stringBuilder.toString());
            return -6;
        }
    }

    public int getDynamicFpsLocked(java.lang.String pkgName) {
        java.lang.Exception e;
        if (pkgName == null) {
            try {
                android.util.Slog.e("HwApsManagerConfig", "getResolutionLocked input invalid param!");
                return -1;
            } catch (java.lang.Exception e2) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("APS, HwApsManagerServiceConfig, getDynamicFPSLocked, exception:");
                stringBuilder.append(e2);
                android.util.Slog.e("HwApsManagerConfig", stringBuilder.toString());
                return -6;
            }
        }
        e2 = -1;
        java.lang.String fpsSourceForPrintLog = "unkown source";
        android.aps.ApsAppInfo apsInfo = (android.aps.ApsAppInfo) this.mPackages.get(pkgName);
        if (this.newFpsMap.containsKey(pkgName)) {
            e2 = ((java.lang.Integer) this.newFpsMap.get(pkgName)).intValue();
            fpsSourceForPrintLog = "Aps Service";
        } else if (apsInfo != null) {
            e2 = apsInfo.getFrameRatio();
            fpsSourceForPrintLog = "Aps Config";
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("APSLog -> getFps:[from:");
        stringBuilder2.append(fpsSourceForPrintLog);
        stringBuilder2.append(",pkgName:");
        stringBuilder2.append(pkgName);
        stringBuilder2.append(",fps:");
        stringBuilder2.append(e2);
        stringBuilder2.append("]");
        android.util.Slog.i("HwApsManagerConfig", stringBuilder2.toString());
        return e2;
    }

    public int setPackageApsInfoLocked(java.lang.String pkgName, android.aps.ApsAppInfo info) {
        if (info == null) {
            return -1;
        }
        this.mPackages.put(pkgName, new android.aps.ApsAppInfo(info));
        scheduleWrite();
        return 0;
    }

    public android.aps.ApsAppInfo getPackageApsInfoLocked(java.lang.String pkgName) {
        if (pkgName != null) {
            return (android.aps.ApsAppInfo) this.mPackages.get(pkgName);
        }
        android.util.Slog.e("HwApsManagerConfig", "getPackageApsInfoLocked input invalid param!");
        return null;
    }

    public float getResolutionLocked(java.lang.String pkgName) {
        if (pkgName == null) {
            android.util.Slog.e("HwApsManagerConfig", "getResolutionLocked input invalid param!");
            return -1.0f;
        } else if ((this.mApsSupportValue & 32768) == 0) {
            android.util.Log.i("HwApsManagerConfig", "HwApsManagerServiceConfig.getResoutionLocked, application low resolution is not supported.");
            return -1.0f;
        } else if (this.mApsService.mInCarMode) {
            return -1.0f;
        } else {
            android.aps.ApsAppInfo info = (android.aps.ApsAppInfo) this.mPackages.get(pkgName);
            if (android.util.HwVRUtils.isVRMode() && android.util.HwVRUtils.isVRLowPowerApp(pkgName)) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("return VR App pkgName = ");
                stringBuilder.append(pkgName);
                stringBuilder.append(" Resolution = ");
                stringBuilder.append(0.625f);
                android.util.Slog.w("HwApsManagerConfig", stringBuilder.toString());
                return 0.625f;
            }
            if (info != null) {
                if (!info.getSwitchable() || mLowResolutionMode != 0) {
                    int defaultWidth = android.os.SystemProperties.getInt("persist.sys.aps.defaultWidth", 0);
                    int curWidth = android.os.SystemProperties.getInt("persist.sys.rog.width", 0);
                    float ratio = info.getResolutionRatio();
                    if (!(defaultWidth == 0 || curWidth == 0 || defaultWidth == curWidth || android.util.HwVRUtils.isVRLowPowerApp(pkgName))) {
                        ratio = ratio >= ((float) curWidth) / ((float) defaultWidth) ? -1.0f : (((float) defaultWidth) * ratio) / ((float) curWidth);
                    }
                    return ratio;
                }
            }
            return -1.0f;
        }
    }

    public int getTextureLocked(java.lang.String pkgName) {
        if (pkgName == null) {
            try {
                android.util.Slog.e("HwApsManagerConfig", "getTextureLocked input invalid param!");
                return -1;
            } catch (java.lang.Exception e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("APS, HwApsManagerServiceConfig, getTextureLocked, exception:");
                stringBuilder.append(e);
                android.util.Slog.e("HwApsManagerConfig", stringBuilder.toString());
                return -1;
            }
        } else if (this.mNewTextureQualityMap.get(pkgName) != null) {
            return ((java.lang.Integer) this.mNewTextureQualityMap.get(pkgName)).intValue();
        } else {
            android.aps.ApsAppInfo apsAppInfo = (android.aps.ApsAppInfo) this.mPackages.get(pkgName);
            if (apsAppInfo == null) {
                return -1;
            }
            return apsAppInfo.getTexturePercent();
        }
    }

    public int getFpsLocked(java.lang.String pkgName) {
        if (isPerformanceMode()) {
            android.util.Slog.e("HwApsManagerConfig", "getFpsLocked: performance mode and the limit fps is 60!");
            return -1;
        } else if (pkgName == null) {
            android.util.Slog.e("HwApsManagerConfig", "getFpsLocked input invalid param!");
            return -1;
        } else {
            android.aps.ApsAppInfo info = (android.aps.ApsAppInfo) this.mPackages.get(pkgName);
            if (info == null) {
                return -1;
            }
            return info.getFrameRatio();
        }
    }

    public int getMaxFpsLocked(java.lang.String pkgName) {
        if (pkgName == null) {
            android.util.Slog.e("HwApsManagerConfig", "getMaxFpsLocked input invalid param!");
            return -1;
        }
        android.aps.ApsAppInfo info = (android.aps.ApsAppInfo) this.mPackages.get(pkgName);
        if (info == null) {
            return -1;
        }
        return info.getMaxFrameRatio();
    }

    public int getBrightnessLocked(java.lang.String pkgName) {
        if (pkgName == null) {
            android.util.Slog.e("HwApsManagerConfig", "getResolutionLocked input invalid param!");
            return -1;
        }
        android.aps.ApsAppInfo info = (android.aps.ApsAppInfo) this.mPackages.get(pkgName);
        if (info == null) {
            return -1;
        }
        return info.getBrightnessPercent();
    }

    public boolean deletePackageApsInfoLocked(java.lang.String pkgName) {
        if (pkgName == null) {
            android.util.Slog.e("HwApsManagerConfig", "deletePackageApsInfoLocked input invalid param!");
            return false;
        } else if (((android.aps.ApsAppInfo) this.mPackages.get(pkgName)) == null) {
            return false;
        } else {
            this.mPackages.remove(pkgName);
            scheduleWrite();
            return true;
        }
    }

    public java.util.List<android.aps.ApsAppInfo> getAllPackagesApsInfoLocked() {
        java.util.List<android.aps.ApsAppInfo> apsAppInfolist = new java.util.ArrayList();
        for (java.util.Map.Entry<java.lang.String, android.aps.ApsAppInfo> entry : this.mPackages.entrySet()) {
            apsAppInfolist.add((android.aps.ApsAppInfo) entry.getValue());
        }
        return apsAppInfolist;
    }

    public java.util.List<java.lang.String> getAllApsPackagesLocked() {
        java.util.List<java.lang.String> apsPackageNameList = new java.util.ArrayList();
        for (java.lang.String pkgName : this.mPackages.keySet()) {
            apsPackageNameList.add(pkgName);
        }
        return apsPackageNameList;
    }

    public boolean updateApsInfoLocked(java.util.List<android.aps.ApsAppInfo> infos) {
        for (android.aps.ApsAppInfo apsInfoUpdate : infos) {
            if (apsInfoUpdate == null) {
                android.util.Slog.e("HwApsManagerConfig", "updateApsInfoLocked error, can not find apsInfo.");
                return false;
            }
            java.lang.String pkgNameUpdate = apsInfoUpdate.getBasePackageName();
            for (java.lang.String pkgName : this.mPackages.keySet()) {
                if (pkgName.equals(pkgNameUpdate)) {
                    android.aps.ApsAppInfo apsAppInfo = (android.aps.ApsAppInfo) this.mPackages.get(pkgName);
                }
            }
        }
        return false;
    }

    public boolean isPerformanceMode() {
        return 3 == android.os.SystemProperties.getInt("persist.sys.smart_power", 0);
    }

    public boolean isSupportApsColorPlusLocked(java.lang.String pkgName) {
        return (pkgName == null || this.mApsColorPlusPkgList == null || !this.mApsColorPlusPkgList.contains(pkgName)) ? false : true;
    }

    public int setColorPlusPkgListLocked(java.util.List<java.lang.String> pkgList) {
        try {
            this.mApsColorPlusPkgList = java.util.Collections.synchronizedList(pkgList);
            return 0;
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("APS, HwApsManagerServiceConfig, setColorPlusPkgListLocked, exception:");
            stringBuilder.append(e);
            android.util.Slog.e("HwApsManagerConfig", stringBuilder.toString());
            e.printStackTrace();
            return -6;
        }
    }

    private void scheduleWrite() {
        this.mHandler.removeMessages(300);
        this.mHandler.sendMessageDelayed(this.mHandler.obtainMessage(300), 10000);
    }

    /* JADX WARNING: Removed duplicated region for block: B:36:? A:{SYNTHETIC, RETURN} */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x00e4  */
    void saveApsAppInfo() {
        /*
        r17 = this;
        r1 = r17;
        r2 = r1.mApsService;
        monitor-enter(r2);
        r0 = new java.util.HashMap;	 Catch:{ all -> 0x00ea }
        r3 = r1.mPackages;	 Catch:{ all -> 0x00ea }
        r0.<init>(r3);	 Catch:{ all -> 0x00ea }
        r3 = r0;
        monitor-exit(r2);	 Catch:{ all -> 0x00ea }
        r0 = 0;
        r2 = r0;
        r4 = r1.mFile;	 Catch:{ IOException -> 0x00d8 }
        r4 = r4.startWrite();	 Catch:{ IOException -> 0x00d8 }
        r2 = r4;
        r4 = new com.android.internal.util.FastXmlSerializer;	 Catch:{ IOException -> 0x00d8 }
        r4.<init>();	 Catch:{ IOException -> 0x00d8 }
        r5 = java.nio.charset.StandardCharsets.UTF_8;	 Catch:{ IOException -> 0x00d8 }
        r5 = r5.name();	 Catch:{ IOException -> 0x00d8 }
        r4.setOutput(r2, r5);	 Catch:{ IOException -> 0x00d8 }
        r5 = 1;
        r6 = java.lang.Boolean.valueOf(r5);	 Catch:{ IOException -> 0x00d8 }
        r4.startDocument(r0, r6);	 Catch:{ IOException -> 0x00d8 }
        r6 = "http://xmlpull.org/v1/doc/features.html#indent-output";
        r4.setFeature(r6, r5);	 Catch:{ IOException -> 0x00d8 }
        r5 = "hwaps-compat-packages";
        r4.startTag(r0, r5);	 Catch:{ IOException -> 0x00d8 }
        r5 = r3.entrySet();	 Catch:{ IOException -> 0x00d8 }
        r5 = r5.iterator();	 Catch:{ IOException -> 0x00d8 }
    L_0x003f:
        r6 = r5.hasNext();	 Catch:{ IOException -> 0x00d8 }
        if (r6 == 0) goto L_0x00c5;
    L_0x0045:
        r6 = r5.next();	 Catch:{ IOException -> 0x00d8 }
        r6 = (java.util.Map.Entry) r6;	 Catch:{ IOException -> 0x00d8 }
        r7 = r6.getKey();	 Catch:{ IOException -> 0x00d8 }
        r7 = (java.lang.String) r7;	 Catch:{ IOException -> 0x00d8 }
        r8 = r6.getValue();	 Catch:{ IOException -> 0x00d8 }
        r8 = (android.aps.ApsAppInfo) r8;	 Catch:{ IOException -> 0x00d8 }
        if (r8 != 0) goto L_0x005d;
        r16 = r3;
        goto L_0x00c0;
    L_0x005d:
        r9 = "pkg";
        r4.startTag(r0, r9);	 Catch:{ IOException -> 0x00d8 }
        r9 = "name";
        r4.attribute(r0, r9, r7);	 Catch:{ IOException -> 0x00d8 }
        r9 = r8.getResolutionRatio();	 Catch:{ IOException -> 0x00d8 }
        r10 = r8.getFrameRatio();	 Catch:{ IOException -> 0x00d8 }
        r11 = r8.getMaxFrameRatio();	 Catch:{ IOException -> 0x00d8 }
        r12 = r8.getTexturePercent();	 Catch:{ IOException -> 0x00d8 }
        r13 = r8.getBrightnessPercent();	 Catch:{ IOException -> 0x00d8 }
        r14 = r8.getSwitchable();	 Catch:{ IOException -> 0x00d8 }
        r15 = "resolutionratio";
        r0 = java.lang.Float.toString(r9);	 Catch:{ IOException -> 0x00d8 }
        r16 = r3;
        r3 = 0;
        r4.attribute(r3, r15, r0);	 Catch:{ IOException -> 0x00d6 }
        r0 = "framerate";
        r15 = java.lang.Integer.toString(r10);	 Catch:{ IOException -> 0x00d6 }
        r4.attribute(r3, r0, r15);	 Catch:{ IOException -> 0x00d6 }
        r0 = "maxframerate";
        r15 = java.lang.Integer.toString(r11);	 Catch:{ IOException -> 0x00d6 }
        r4.attribute(r3, r0, r15);	 Catch:{ IOException -> 0x00d6 }
        r0 = "texturepercent";
        r15 = java.lang.Integer.toString(r12);	 Catch:{ IOException -> 0x00d6 }
        r4.attribute(r3, r0, r15);	 Catch:{ IOException -> 0x00d6 }
        r0 = "brightnesspercent";
        r15 = java.lang.Integer.toString(r13);	 Catch:{ IOException -> 0x00d6 }
        r4.attribute(r3, r0, r15);	 Catch:{ IOException -> 0x00d6 }
        r0 = "switchable";
        r15 = java.lang.Boolean.toString(r14);	 Catch:{ IOException -> 0x00d6 }
        r4.attribute(r3, r0, r15);	 Catch:{ IOException -> 0x00d6 }
        r0 = "pkg";
        r4.endTag(r3, r0);	 Catch:{ IOException -> 0x00d6 }
    L_0x00c0:
        r3 = r16;
        r0 = 0;
        goto L_0x003f;
    L_0x00c5:
        r16 = r3;
        r0 = "hwaps-compat-packages";
        r3 = 0;
        r4.endTag(r3, r0);	 Catch:{ IOException -> 0x00d6 }
        r4.endDocument();	 Catch:{ IOException -> 0x00d6 }
        r0 = r1.mFile;	 Catch:{ IOException -> 0x00d6 }
        r0.finishWrite(r2);	 Catch:{ IOException -> 0x00d6 }
        goto L_0x00e9;
    L_0x00d6:
        r0 = move-exception;
        goto L_0x00db;
    L_0x00d8:
        r0 = move-exception;
        r16 = r3;
    L_0x00db:
        r3 = "HwApsManagerConfig";
        r4 = "Error writing hwaps compat packages";
        android.util.Slog.e(r3, r4, r0);
        if (r2 == 0) goto L_0x00e9;
    L_0x00e4:
        r3 = r1.mFile;
        r3.failWrite(r2);
    L_0x00e9:
        return;
    L_0x00ea:
        r0 = move-exception;
        monitor-exit(r2);	 Catch:{ all -> 0x00ea }
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.aps.HwApsManagerServiceConfig.saveApsAppInfo():void");
    }
}
