package com.android.server.devicepolicy;

public class HwDevicePolicyManagerService extends com.android.server.devicepolicy.DevicePolicyManagerService implements com.android.server.devicepolicy.IHwDevicePolicyManager {
    public static final int CERTIFICATE_PEM_BASE64 = 1;
    public static final int CERTIFICATE_PKCS12 = 0;
    private static final boolean DBG = false;
    public static final java.lang.String DESCRIPTOR = "com.android.internal.widget.ILockSettings";
    private static final java.lang.String DEVICE_POLICIES_1_XML = "device_policies_1.xml";
    protected static final java.lang.String DPMDESCRIPTOR = "android.app.admin.IDevicePolicyManager";
    public static final java.lang.String DYNAMIC_ROOT_PROP = "persist.sys.root.status";
    public static final java.lang.String DYNAMIC_ROOT_STATE_SAFE = "0";
    private static final java.lang.String EXCHANGE_DOMAIN = "domain";
    private static final int EXCHANGE_PROVIDER_MAX_NUM = 20;
    private static final int FAILED = -1;
    private static final java.util.Set<java.lang.String> HWDEVICE_OWNER_USER_RESTRICTIONS = new java.util.HashSet();
    private static final java.lang.String KEY = "key";
    private static final int MAX_QUERY_PROCESS = 10000;
    private static final java.lang.String MDM_VPN_PERMISSION = "com.huawei.permission.sec.MDM_VPN";
    public static final int NOT_SUPPORT_SD_CRYPT = -1;
    private static final int OFF = 0;
    private static final int ON = 1;
    private static final java.lang.String PASSWORD_CHANGE_EXTEND_TIME = "pwd-password-change-extendtime";
    public static final java.lang.String PRIVACY_MODE_ON = "privacy_mode_on";
    public static final int SD_CRYPT_STATE_DECRYPTED = 1;
    public static final int SD_CRYPT_STATE_DECRYPTING = 4;
    public static final int SD_CRYPT_STATE_ENCRYPTED = 2;
    public static final int SD_CRYPT_STATE_ENCRYPTING = 3;
    public static final int SD_CRYPT_STATE_INVALID = 0;
    public static final int SD_CRYPT_STATE_MISMATCH = 5;
    public static final int SD_CRYPT_STATE_WAIT_UNLOCK = 6;
    private static final java.lang.String SETTINGS_MENUS_REMOVE = "settings_menus_remove";
    private static final int STATUS_BAR_DISABLE_MASK = 34013184;
    private static final int SUCCEED = 1;
    private static final java.lang.String TAG = "HwDPMS";
    private static final java.lang.String USB_STORAGE = "usb";
    private static java.util.ArrayList<java.lang.String> USER_ISOLATION_POLICY_LIST = new java.util.ArrayList<java.lang.String>() {
        {
            add("email-disable-delete-account");
            add("email-disable-add-account");
            add("allowing-addition-black-list");
        }
    };
    private static boolean isSimplePwdOpen = android.os.SystemProperties.getBoolean("ro.config.not_allow_simple_pwd", false);
    private static final boolean isSupportCrypt = android.os.SystemProperties.getBoolean("ro.config.support_sdcard_crypt", true);
    private static final boolean mHasHwMdmFeature = true;
    public static final int transaction_setActiveVisitorPasswordState = 1003;
    private boolean hasInit = false;
    private final android.content.Context mContext;
    private android.app.AlertDialog mErrorDialog;
    private com.android.server.devicepolicy.HwAdminCache mHwAdminCache;
    private android.common.HwFrameworkMonitor mMonitor = android.common.HwFrameworkFactory.getHwFrameworkMonitor();
    private com.android.server.devicepolicy.TransactionProcessor mProcessor = null;
    private final android.os.UserManager mUserManager;
    final android.util.SparseArray<com.android.server.devicepolicy.HwDevicePolicyManagerService.DeviceVisitorPolicyData> mVisitorUserData = new android.util.SparseArray();

    /* renamed from: com.android.server.devicepolicy.HwDevicePolicyManagerService$5 */
    static /* synthetic */ class AnonymousClass5 {
        static final /* synthetic */ int[] $SwitchMap$com$android$server$devicepolicy$PolicyStruct$PolicyType = new int[com.android.server.devicepolicy.PolicyStruct.PolicyType.values().length];

        static {
            try {
                $SwitchMap$com$android$server$devicepolicy$PolicyStruct$PolicyType[com.android.server.devicepolicy.PolicyStruct.PolicyType.STATE.ordinal()] = 1;
            } catch (java.lang.NoSuchFieldError e) {
            }
            try {
                $SwitchMap$com$android$server$devicepolicy$PolicyStruct$PolicyType[com.android.server.devicepolicy.PolicyStruct.PolicyType.LIST.ordinal()] = 2;
            } catch (java.lang.NoSuchFieldError e2) {
            }
            try {
                $SwitchMap$com$android$server$devicepolicy$PolicyStruct$PolicyType[com.android.server.devicepolicy.PolicyStruct.PolicyType.CONFIGURATION.ordinal()] = 3;
            } catch (java.lang.NoSuchFieldError e3) {
            }
        }
    }

    private static class DeviceVisitorPolicyData {
        int mActivePasswordLength = 0;
        int mActivePasswordLetters = 0;
        int mActivePasswordLowerCase = 0;
        int mActivePasswordNonLetter = 0;
        int mActivePasswordNumeric = 0;
        int mActivePasswordQuality = 0;
        int mActivePasswordSymbols = 0;
        int mActivePasswordUpperCase = 0;
        int mFailedPasswordAttempts = 0;
        int mUserHandle;

        public DeviceVisitorPolicyData(int userHandle) {
            this.mUserHandle = userHandle;
        }
    }

    static {
        HWDEVICE_OWNER_USER_RESTRICTIONS.add("no_usb_file_transfer");
        HWDEVICE_OWNER_USER_RESTRICTIONS.add("no_physical_media");
        HWDEVICE_OWNER_USER_RESTRICTIONS.add("no_outgoing_calls");
        HWDEVICE_OWNER_USER_RESTRICTIONS.add("no_sms");
        HWDEVICE_OWNER_USER_RESTRICTIONS.add("no_config_tethering");
    }

    public HwDevicePolicyManagerService(android.content.Context context) {
        super(context);
        this.mContext = context;
        this.mUserManager = android.os.UserManager.get(context);
        com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.initialize(context);
        this.mProcessor = new com.android.server.devicepolicy.TransactionProcessor(this);
        this.mHwAdminCache = new com.android.server.devicepolicy.HwAdminCache();
        addDevicePolicyPlugins(context);
        if (this.globalPlugins.size() > 0) {
            java.util.Iterator it = this.globalPlugins.iterator();
            while (it.hasNext()) {
                com.android.server.devicepolicy.DevicePolicyPlugin plugin = (com.android.server.devicepolicy.DevicePolicyPlugin) it.next();
                if (plugin != null) {
                    com.android.server.devicepolicy.PolicyStruct struct = plugin.getPolicyStruct();
                    for (com.android.server.devicepolicy.PolicyStruct.PolicyItem item : struct.getPolicyItems()) {
                        if (item == null) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("policyItem is null in plugin: ");
                            stringBuilder.append(plugin.getPluginName());
                            com.android.server.devicepolicy.HwLog.w("HwDPMS", stringBuilder.toString());
                        }
                    }
                    addPolicyStruct(struct);
                }
            }
        }
    }

    com.android.server.devicepolicy.HwDevicePolicyManagerService.DeviceVisitorPolicyData getVisitorUserData(int userHandle) {
        com.android.server.devicepolicy.HwDevicePolicyManagerService.DeviceVisitorPolicyData policy;
        synchronized (getLockObject()) {
            policy = (com.android.server.devicepolicy.HwDevicePolicyManagerService.DeviceVisitorPolicyData) this.mVisitorUserData.get(userHandle);
            if (policy == null) {
                policy = new com.android.server.devicepolicy.HwDevicePolicyManagerService.DeviceVisitorPolicyData(userHandle);
                this.mVisitorUserData.append(userHandle, policy);
                loadVisitorSettingsLocked(policy, userHandle);
            }
        }
        return policy;
    }

    private static com.android.internal.util.JournaledFile makeJournaledFile2(int userHandle) {
        java.lang.String base;
        if (userHandle == 0) {
            base = "/data/system/device_policies_1.xml";
        } else {
            base = new java.io.File(android.os.Environment.getUserSystemDirectory(userHandle), "device_policies_1.xml").getAbsolutePath();
        }
        java.io.File file = new java.io.File(base);
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(base);
        stringBuilder.append(".tmp");
        return new com.android.internal.util.JournaledFile(file, new java.io.File(stringBuilder.toString()));
    }

    private void saveVisitorSettingsLock(int userHandle) {
        com.android.server.devicepolicy.HwDevicePolicyManagerService.DeviceVisitorPolicyData policy = getVisitorUserData(userHandle);
        com.android.internal.util.JournaledFile journal = makeJournaledFile2(userHandle);
        java.io.FileOutputStream stream = null;
        try {
            stream = new java.io.FileOutputStream(journal.chooseForWrite(), false);
            org.xmlpull.v1.XmlSerializer out = new com.android.internal.util.FastXmlSerializer();
            out.setOutput(stream, "utf-8");
            out.startDocument(null, java.lang.Boolean.valueOf(true));
            out.startTag(null, "policies");
            if (!(policy.mActivePasswordQuality == 0 && policy.mActivePasswordLength == 0 && policy.mActivePasswordUpperCase == 0 && policy.mActivePasswordLowerCase == 0 && policy.mActivePasswordLetters == 0 && policy.mActivePasswordNumeric == 0 && policy.mActivePasswordSymbols == 0 && policy.mActivePasswordNonLetter == 0)) {
                out.startTag(null, "active-password2");
                out.attribute(null, "quality", java.lang.Integer.toString(policy.mActivePasswordQuality));
                out.attribute(null, "length", java.lang.Integer.toString(policy.mActivePasswordLength));
                out.attribute(null, "uppercase", java.lang.Integer.toString(policy.mActivePasswordUpperCase));
                out.attribute(null, "lowercase", java.lang.Integer.toString(policy.mActivePasswordLowerCase));
                out.attribute(null, "letters", java.lang.Integer.toString(policy.mActivePasswordLetters));
                out.attribute(null, "numeric", java.lang.Integer.toString(policy.mActivePasswordNumeric));
                out.attribute(null, "symbols", java.lang.Integer.toString(policy.mActivePasswordSymbols));
                out.attribute(null, "nonletter", java.lang.Integer.toString(policy.mActivePasswordNonLetter));
                out.endTag(null, "active-password2");
            }
            out.endTag(null, "policies");
            out.endDocument();
            journal.commit();
            try {
                stream.close();
            } catch (java.io.IOException e) {
            }
        } catch (java.io.IOException e2) {
            journal.rollback();
            if (stream != null) {
                stream.close();
            }
        } catch (Throwable th) {
            if (stream != null) {
                try {
                    stream.close();
                } catch (java.io.IOException e3) {
                }
            }
        }
    }

    private void loadVisitorSettingsLocked(com.android.server.devicepolicy.HwDevicePolicyManagerService.DeviceVisitorPolicyData policy, int userHandle) {
        java.lang.StringBuilder stringBuilder;
        java.io.FileInputStream stream = null;
        java.io.File file = makeJournaledFile2(userHandle).chooseForRead();
        try {
            int type;
            java.lang.String tag;
            stream = new java.io.FileInputStream(file);
            org.xmlpull.v1.XmlPullParser parser = android.util.Xml.newPullParser();
            parser.setInput(stream, null);
            while (true) {
                int next = parser.next();
                type = next;
                if (next == 1 || type == 2) {
                    tag = parser.getName();
                }
            }
            tag = parser.getName();
            if ("policies".equals(tag)) {
                type = parser.next();
                int outerDepth = parser.getDepth();
                while (true) {
                    int next2 = parser.next();
                    type = next2;
                    if (next2 != 1 && (type != 3 || parser.getDepth() > outerDepth)) {
                        if (type != 3) {
                            if (type != 4) {
                                tag = parser.getName();
                                if ("active-password2".equals(tag)) {
                                    policy.mActivePasswordQuality = java.lang.Integer.parseInt(parser.getAttributeValue(null, "quality"));
                                    policy.mActivePasswordLength = java.lang.Integer.parseInt(parser.getAttributeValue(null, "length"));
                                    policy.mActivePasswordUpperCase = java.lang.Integer.parseInt(parser.getAttributeValue(null, "uppercase"));
                                    policy.mActivePasswordLowerCase = java.lang.Integer.parseInt(parser.getAttributeValue(null, "lowercase"));
                                    policy.mActivePasswordLetters = java.lang.Integer.parseInt(parser.getAttributeValue(null, "letters"));
                                    policy.mActivePasswordNumeric = java.lang.Integer.parseInt(parser.getAttributeValue(null, "numeric"));
                                    policy.mActivePasswordSymbols = java.lang.Integer.parseInt(parser.getAttributeValue(null, "symbols"));
                                    policy.mActivePasswordNonLetter = java.lang.Integer.parseInt(parser.getAttributeValue(null, "nonletter"));
                                    com.android.internal.util.XmlUtils.skipCurrentTag(parser);
                                } else {
                                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                                    stringBuilder2.append("Unknown tag: ");
                                    stringBuilder2.append(tag);
                                    android.util.Slog.w("HwDPMS", stringBuilder2.toString());
                                    com.android.internal.util.XmlUtils.skipCurrentTag(parser);
                                }
                            }
                        }
                    }
                }
                try {
                    stream.close();
                    return;
                } catch (java.io.IOException e) {
                    return;
                }
            }
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("Settings do not start with policies tag: found ");
            stringBuilder3.append(tag);
            throw new org.xmlpull.v1.XmlPullParserException(stringBuilder3.toString());
        } catch (java.lang.NullPointerException e2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("failed parsing ");
            stringBuilder.append(file);
            stringBuilder.append(" ");
            stringBuilder.append(e2);
            android.util.Slog.w("HwDPMS", stringBuilder.toString());
            if (stream != null) {
                stream.close();
            }
        } catch (java.lang.NumberFormatException e3) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("failed parsing ");
            stringBuilder.append(file);
            stringBuilder.append(" ");
            stringBuilder.append(e3);
            android.util.Slog.w("HwDPMS", stringBuilder.toString());
            if (stream != null) {
                stream.close();
            }
        } catch (org.xmlpull.v1.XmlPullParserException e4) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("failed parsing ");
            stringBuilder.append(file);
            stringBuilder.append(" ");
            stringBuilder.append(e4);
            android.util.Slog.w("HwDPMS", stringBuilder.toString());
            if (stream != null) {
                stream.close();
            }
        } catch (java.io.FileNotFoundException e5) {
            if (stream != null) {
                stream.close();
            }
        } catch (java.io.IOException e6) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("failed parsing ");
            stringBuilder.append(file);
            stringBuilder.append(" ");
            stringBuilder.append(e6);
            android.util.Slog.w("HwDPMS", stringBuilder.toString());
            if (stream != null) {
                stream.close();
            }
        } catch (java.lang.IndexOutOfBoundsException e7) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("failed parsing ");
            stringBuilder.append(file);
            stringBuilder.append(" ");
            stringBuilder.append(e7);
            android.util.Slog.w("HwDPMS", stringBuilder.toString());
            if (stream != null) {
                stream.close();
            }
        } catch (Throwable th) {
            if (stream != null) {
                try {
                    stream.close();
                } catch (java.io.IOException e8) {
                }
            }
        }
    }

    private boolean isPrivacyModeEnabled() {
        return android.provider.Settings.Secure.getInt(this.mContext.getContentResolver(), "privacy_mode_on", 0) == 1 && isFeatrueSupported();
    }

    private static boolean isFeatrueSupported() {
        return android.os.SystemProperties.getBoolean("ro.config.hw_privacymode", false);
    }

    public void systemReady(int phase) {
        super.systemReady(phase);
        if (isFeatrueSupported()) {
            if (this.mHasFeature) {
                android.util.Slog.w("HwDPMS", "systemReady");
                synchronized (getLockObject()) {
                    loadVisitorSettingsLocked(getVisitorUserData(0), 0);
                }
            } else {
                return;
            }
        }
        if (phase == 1000) {
            listenForUserSwitches();
        }
    }

    /* JADX WARNING: Missing block: B:33:0x0071, code:
            return r1;
     */
    /* JADX WARNING: Missing block: B:35:0x0073, code:
            return false;
     */
    public boolean isActivePasswordSufficient(int r8, boolean r9) {
        /*
        r7 = this;
        r0 = r7.isPrivacyModeEnabled();
        if (r0 == 0) goto L_0x0078;
    L_0x0006:
        r0 = super.isActivePasswordSufficient(r8, r9);
        r1 = 0;
        if (r0 == 0) goto L_0x0077;
    L_0x000d:
        r0 = "HwDPMS";
        r2 = "super is ActivePassword Sufficient";
        android.util.Slog.w(r0, r2);
        r0 = r7.mHasFeature;
        r2 = 1;
        if (r0 != 0) goto L_0x001b;
    L_0x001a:
        return r2;
    L_0x001b:
        r0 = r7.getLockObject();
        monitor-enter(r0);
        r3 = r7.getVisitorUserData(r8);	 Catch:{ all -> 0x0074 }
        r4 = r3.mActivePasswordQuality;	 Catch:{ all -> 0x0074 }
        r5 = 0;
        r6 = r7.getPasswordQuality(r5, r8, r9);	 Catch:{ all -> 0x0074 }
        if (r4 < r6) goto L_0x0072;
    L_0x002d:
        r4 = r3.mActivePasswordLength;	 Catch:{ all -> 0x0074 }
        r6 = r7.getPasswordMinimumLength(r5, r8, r9);	 Catch:{ all -> 0x0074 }
        if (r4 >= r6) goto L_0x0036;
    L_0x0035:
        goto L_0x0072;
    L_0x0036:
        r4 = r3.mActivePasswordQuality;	 Catch:{ all -> 0x0074 }
        r6 = 393216; // 0x60000 float:5.51013E-40 double:1.942745E-318;
        if (r4 == r6) goto L_0x003e;
    L_0x003c:
        monitor-exit(r0);	 Catch:{ all -> 0x0074 }
        return r2;
    L_0x003e:
        r4 = r3.mActivePasswordUpperCase;	 Catch:{ all -> 0x0074 }
        r6 = r7.getPasswordMinimumUpperCase(r5, r8, r9);	 Catch:{ all -> 0x0074 }
        if (r4 < r6) goto L_0x0070;
    L_0x0046:
        r4 = r3.mActivePasswordLowerCase;	 Catch:{ all -> 0x0074 }
        r6 = r7.getPasswordMinimumLowerCase(r5, r8, r9);	 Catch:{ all -> 0x0074 }
        if (r4 < r6) goto L_0x0070;
    L_0x004e:
        r4 = r3.mActivePasswordLetters;	 Catch:{ all -> 0x0074 }
        r6 = r7.getPasswordMinimumLetters(r5, r8, r9);	 Catch:{ all -> 0x0074 }
        if (r4 < r6) goto L_0x0070;
    L_0x0056:
        r4 = r3.mActivePasswordNumeric;	 Catch:{ all -> 0x0074 }
        r6 = r7.getPasswordMinimumNumeric(r5, r8, r9);	 Catch:{ all -> 0x0074 }
        if (r4 < r6) goto L_0x0070;
    L_0x005e:
        r4 = r3.mActivePasswordSymbols;	 Catch:{ all -> 0x0074 }
        r6 = r7.getPasswordMinimumSymbols(r5, r8, r9);	 Catch:{ all -> 0x0074 }
        if (r4 < r6) goto L_0x0070;
    L_0x0066:
        r4 = r3.mActivePasswordNonLetter;	 Catch:{ all -> 0x0074 }
        r5 = r7.getPasswordMinimumNonLetter(r5, r8, r9);	 Catch:{ all -> 0x0074 }
        if (r4 < r5) goto L_0x0070;
    L_0x006e:
        r1 = r2;
    L_0x0070:
        monitor-exit(r0);	 Catch:{ all -> 0x0074 }
        return r1;
    L_0x0072:
        monitor-exit(r0);	 Catch:{ all -> 0x0074 }
        return r1;
    L_0x0074:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x0074 }
        throw r1;
    L_0x0077:
        return r1;
    L_0x0078:
        r0 = super.isActivePasswordSufficient(r8, r9);
        return r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.isActivePasswordSufficient(int, boolean):boolean");
    }

    public void setActiveVisitorPasswordState(int quality, int length, int letters, int uppercase, int lowercase, int numbers, int symbols, int nonletter, int userHandle) {
        if (this.mHasFeature) {
            enforceFullCrossUsersPermission(userHandle);
            this.mContext.enforceCallingOrSelfPermission("android.permission.BIND_DEVICE_ADMIN", null);
            com.android.server.devicepolicy.HwDevicePolicyManagerService.DeviceVisitorPolicyData p = getVisitorUserData(userHandle);
            validateQualityConstant(quality);
            synchronized (getLockObject()) {
                if (!(p.mActivePasswordQuality == quality && p.mActivePasswordLength == length && p.mFailedPasswordAttempts == 0 && p.mActivePasswordLetters == letters && p.mActivePasswordUpperCase == uppercase && p.mActivePasswordLowerCase == lowercase && p.mActivePasswordNumeric == numbers && p.mActivePasswordSymbols == symbols && p.mActivePasswordNonLetter == nonletter)) {
                    long ident = android.os.Binder.clearCallingIdentity();
                    try {
                        p.mActivePasswordQuality = quality;
                        p.mActivePasswordLength = length;
                        p.mActivePasswordLetters = letters;
                        p.mActivePasswordLowerCase = lowercase;
                        p.mActivePasswordUpperCase = uppercase;
                        p.mActivePasswordNumeric = numbers;
                        p.mActivePasswordSymbols = symbols;
                        p.mActivePasswordNonLetter = nonletter;
                        p.mFailedPasswordAttempts = 0;
                        saveVisitorSettingsLock(userHandle);
                    } finally {
                        android.os.Binder.restoreCallingIdentity(ident);
                    }
                }
            }
        }
    }

    void setAllowSimplePassword(android.content.ComponentName who, boolean mode, int userHandle) {
        if (this.mHasFeature) {
            if (isSimplePwdOpen) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("setAllowSimplePassword mode =");
                stringBuilder.append(mode);
                com.android.server.devicepolicy.HwLog.d("HwDPMS", stringBuilder.toString());
                synchronized (getLockObject()) {
                    if (who != null) {
                        com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin ap = getActiveAdminForCallerLocked(who, null);
                        if (ap.allowSimplePassword != mode) {
                            ap.allowSimplePassword = mode;
                            saveSettingsLocked(userHandle);
                        }
                    } else {
                        throw new java.lang.NullPointerException("ComponentName is null");
                    }
                }
            }
        }
    }

    public boolean getAllowSimplePassword(android.content.ComponentName who, int userHandle) {
        boolean z;
        if (this.mHasFeature) {
            if (isSimplePwdOpen) {
                synchronized (getLockObject()) {
                    boolean mode = true;
                    if (who != null) {
                        try {
                            com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin = getActiveAdminUncheckedLocked(who, userHandle);
                            z = admin != null ? admin.allowSimplePassword : true;
                        } finally {
                        }
                    } else {
                        com.android.server.devicepolicy.DevicePolicyManagerService.DevicePolicyData policy = getUserData(userHandle);
                        int N = policy.mAdminList.size();
                        for (int i = 0; i < N; i++) {
                            com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin2 = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) policy.mAdminList.get(i);
                            if (mode && mode != admin2.allowSimplePassword) {
                                mode = admin2.allowSimplePassword;
                            }
                        }
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("getAllowSimplePassword mode =");
                        stringBuilder.append(mode);
                        com.android.server.devicepolicy.HwLog.d("HwDPMS", stringBuilder.toString());
                        return mode;
                    }
                }
            }
        }
        return true;
        return z;
    }

    void saveCurrentPwdStatus(boolean isCurrentPwdSimple, int userHandle) {
        if (this.mHasFeature) {
            if (isSimplePwdOpen) {
                synchronized (getLockObject()) {
                    getUserData(userHandle).mIsCurrentPwdSimple = isCurrentPwdSimple;
                }
            }
        }
    }

    public boolean onTransact(int code, android.os.Parcel data, android.os.Parcel reply, int flags) throws android.os.RemoteException {
        int i = code;
        android.os.Parcel parcel = data;
        android.os.Parcel parcel2 = reply;
        if (!this.mProcessor.processTransaction(i, parcel, parcel2)) {
            if (!this.mProcessor.processTransactionWithPolicyName(i, parcel, parcel2)) {
                if (i != 1003) {
                    android.content.ComponentName _arg0 = null;
                    boolean _arg1 = false;
                    switch (i) {
                        case 7001:
                            if (!isSimplePwdOpen) {
                                break;
                            }
                            parcel.enforceInterface("android.app.admin.IDevicePolicyManager");
                            if (data.readInt() != 0) {
                                _arg0 = (android.content.ComponentName) android.content.ComponentName.CREATOR.createFromParcel(parcel);
                            }
                            if (data.readInt() != 0) {
                                _arg1 = true;
                            }
                            setAllowSimplePassword(_arg0, _arg1, data.readInt());
                            reply.writeNoException();
                            return true;
                        case 7002:
                            if (!isSimplePwdOpen) {
                                break;
                            }
                            parcel.enforceInterface("android.app.admin.IDevicePolicyManager");
                            if (data.readInt() != 0) {
                                _arg0 = (android.content.ComponentName) android.content.ComponentName.CREATOR.createFromParcel(parcel);
                            }
                            boolean _result = getAllowSimplePassword(_arg0, data.readInt());
                            reply.writeNoException();
                            parcel2.writeInt(_result);
                            return true;
                        case 7003:
                            if (!isSimplePwdOpen) {
                                break;
                            }
                            parcel.enforceInterface("android.app.admin.IDevicePolicyManager");
                            if (data.readInt() != 0) {
                                _arg1 = true;
                            }
                            saveCurrentPwdStatus(_arg1, data.readInt());
                            reply.writeNoException();
                            return true;
                        default:
                            break;
                    }
                    return super.onTransact(code, data, reply, flags);
                }
                android.util.Slog.w("HwDPMS", "transaction_setActiveVisitorPasswordState");
                parcel.enforceInterface("com.android.internal.widget.ILockSettings");
                setActiveVisitorPasswordState(data.readInt(), data.readInt(), data.readInt(), data.readInt(), data.readInt(), data.readInt(), data.readInt(), data.readInt(), data.readInt());
                reply.writeNoException();
                return true;
            }
        }
        return true;
    }

    private void listenForUserSwitches() {
        try {
            android.app.ActivityManagerNative.getDefault().registerUserSwitchObserver(new android.app.SynchronousUserSwitchObserver() {
                public void onUserSwitching(int newUserId) throws android.os.RemoteException {
                }

                public void onUserSwitchComplete(int newUserId) throws android.os.RemoteException {
                    com.android.server.devicepolicy.HwDevicePolicyManagerService.this.syncHwDeviceSettingsLocked(newUserId);
                }

                public void onForegroundProfileSwitch(int newProfileId) {
                }
            }, "HwDPMS");
        } catch (android.os.RemoteException e) {
            android.util.Slog.w("HwDPMS", "Failed to listen for user switching event", e);
        }
    }

    private void enforceHwCrossUserPermission(int userHandle) {
        enforceFullCrossUsersPermission(userHandle);
        if (userHandle != 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Invalid userId ");
            stringBuilder.append(userHandle);
            stringBuilder.append(",should be:");
            stringBuilder.append(0);
            throw new java.lang.IllegalArgumentException(stringBuilder.toString());
        }
    }

    /* JADX WARNING: Missing block: B:15:0x003d, code:
            return;
     */
    /* JADX WARNING: Missing block: B:22:0x0050, code:
            if (r7.mHwAdminCache == null) goto L_0x005c;
     */
    /* JADX WARNING: Missing block: B:23:0x0052, code:
            r7.mHwAdminCache.syncHwAdminCache(0, isWifiDisabled(null, r10));
     */
    /* JADX WARNING: Missing block: B:24:0x005c, code:
            return;
     */
    public void setWifiDisabled(android.content.ComponentName r8, boolean r9, int r10) {
        /*
        r7 = this;
        r7.enforceHwCrossUserPermission(r10);
        r0 = r7.mContext;
        r1 = "com.huawei.permission.sec.MDM_WIFI";
        r2 = "does not have wifi MDM permission!";
        r0.enforceCallingOrSelfPermission(r1, r2);
        r0 = r7.getLockObject();
        monitor-enter(r0);
        if (r8 == 0) goto L_0x005d;
    L_0x0013:
        r1 = r7.getHwActiveAdmin(r8, r10);	 Catch:{ all -> 0x0065 }
        r2 = r1.disableWifi;	 Catch:{ all -> 0x0065 }
        r3 = 0;
        if (r2 == r9) goto L_0x004d;
    L_0x001c:
        r4 = android.os.Binder.clearCallingIdentity();	 Catch:{ all -> 0x0065 }
        r2 = r7.mContext;	 Catch:{ all -> 0x0048 }
        r6 = "wifi";
        r2 = r2.getSystemService(r6);	 Catch:{ all -> 0x0048 }
        r2 = (android.net.wifi.WifiManager) r2;	 Catch:{ all -> 0x0048 }
        r6 = r2.isWifiEnabled();	 Catch:{ all -> 0x0048 }
        if (r6 == 0) goto L_0x003e;
    L_0x0031:
        if (r9 == 0) goto L_0x003e;
    L_0x0033:
        r6 = r2.setWifiEnabled(r3);	 Catch:{ all -> 0x0048 }
        if (r6 != 0) goto L_0x003e;
    L_0x0039:
        android.os.Binder.restoreCallingIdentity(r4);	 Catch:{ all -> 0x0065 }
        monitor-exit(r0);	 Catch:{ all -> 0x0065 }
        return;
    L_0x003e:
        android.os.Binder.restoreCallingIdentity(r4);	 Catch:{ all -> 0x0065 }
        r1.disableWifi = r9;	 Catch:{ all -> 0x0065 }
        r7.saveSettingsLocked(r10);	 Catch:{ all -> 0x0065 }
        goto L_0x004d;
    L_0x0048:
        r2 = move-exception;
        android.os.Binder.restoreCallingIdentity(r4);	 Catch:{ all -> 0x0065 }
        throw r2;	 Catch:{ all -> 0x0065 }
    L_0x004d:
        monitor-exit(r0);	 Catch:{ all -> 0x0065 }
        r0 = r7.mHwAdminCache;
        if (r0 == 0) goto L_0x005c;
    L_0x0052:
        r0 = r7.mHwAdminCache;
        r1 = 0;
        r1 = r7.isWifiDisabled(r1, r10);
        r0.syncHwAdminCache(r3, r1);
    L_0x005c:
        return;
    L_0x005d:
        r1 = new java.lang.IllegalArgumentException;	 Catch:{ all -> 0x0065 }
        r2 = "ComponentName is null";
        r1.<init>(r2);	 Catch:{ all -> 0x0065 }
        throw r1;	 Catch:{ all -> 0x0065 }
    L_0x0065:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x0065 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.setWifiDisabled(android.content.ComponentName, boolean, int):void");
    }

    public boolean isWifiDisabled(android.content.ComponentName who, int userHandle) {
        synchronized (getLockObject()) {
            if (who != null) {
                try {
                    boolean z = getHwActiveAdmin(who, userHandle).disableWifi;
                    return z;
                } catch (Throwable th) {
                }
            } else {
                com.android.server.devicepolicy.DevicePolicyManagerService.DevicePolicyData policy = getUserData(userHandle);
                int N = policy.mAdminList.size();
                int i = 0;
                while (i < N) {
                    com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) policy.mAdminList.get(i);
                    if (admin.mHwActiveAdmin == null || !admin.mHwActiveAdmin.disableWifi) {
                        i++;
                    } else {
                        return true;
                    }
                }
                return false;
            }
        }
    }

    public boolean isBluetoothDisabled(android.content.ComponentName who, int userHandle) {
        synchronized (getLockObject()) {
            if (who != null) {
                try {
                    boolean z = getHwActiveAdmin(who, userHandle).disableBluetooth;
                    return z;
                } catch (Throwable th) {
                }
            } else {
                com.android.server.devicepolicy.DevicePolicyManagerService.DevicePolicyData policy = getUserData(userHandle);
                int N = policy.mAdminList.size();
                int i = 0;
                while (i < N) {
                    com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) policy.mAdminList.get(i);
                    if (admin.mHwActiveAdmin == null || !admin.mHwActiveAdmin.disableBluetooth) {
                        i++;
                    } else {
                        return true;
                    }
                }
                return false;
            }
        }
    }

    /* JADX WARNING: Missing block: B:15:0x003f, code:
            return;
     */
    /* JADX WARNING: Missing block: B:22:0x0052, code:
            if (r7.mHwAdminCache == null) goto L_0x0060;
     */
    /* JADX WARNING: Missing block: B:23:0x0054, code:
            r7.mHwAdminCache.syncHwAdminCache(8, isBluetoothDisabled(null, r10));
     */
    /* JADX WARNING: Missing block: B:24:0x0060, code:
            return;
     */
    public void setBluetoothDisabled(android.content.ComponentName r8, boolean r9, int r10) {
        /*
        r7 = this;
        r7.enforceHwCrossUserPermission(r10);
        r0 = r7.mContext;
        r1 = "com.huawei.permission.sec.MDM_BLUETOOTH";
        r2 = "does not have bluethooth MDM permission!";
        r0.enforceCallingOrSelfPermission(r1, r2);
        r0 = r7.getLockObject();
        monitor-enter(r0);
        if (r8 == 0) goto L_0x0061;
    L_0x0013:
        r1 = r7.getHwActiveAdmin(r8, r10);	 Catch:{ all -> 0x0069 }
        r2 = r1.disableBluetooth;	 Catch:{ all -> 0x0069 }
        if (r2 == r9) goto L_0x004f;
    L_0x001b:
        r2 = android.os.Binder.clearCallingIdentity();	 Catch:{ all -> 0x0069 }
        r4 = r7.mContext;	 Catch:{ all -> 0x004a }
        r5 = "bluetooth";
        r4 = r4.getSystemService(r5);	 Catch:{ all -> 0x004a }
        r4 = (android.bluetooth.BluetoothManager) r4;	 Catch:{ all -> 0x004a }
        r5 = r4.getAdapter();	 Catch:{ all -> 0x004a }
        r6 = r5.isEnabled();	 Catch:{ all -> 0x004a }
        if (r6 == 0) goto L_0x0040;
    L_0x0033:
        if (r9 == 0) goto L_0x0040;
    L_0x0035:
        r6 = r5.disable();	 Catch:{ all -> 0x004a }
        if (r6 != 0) goto L_0x0040;
    L_0x003b:
        android.os.Binder.restoreCallingIdentity(r2);	 Catch:{ all -> 0x0069 }
        monitor-exit(r0);	 Catch:{ all -> 0x0069 }
        return;
    L_0x0040:
        android.os.Binder.restoreCallingIdentity(r2);	 Catch:{ all -> 0x0069 }
        r1.disableBluetooth = r9;	 Catch:{ all -> 0x0069 }
        r7.saveSettingsLocked(r10);	 Catch:{ all -> 0x0069 }
        goto L_0x004f;
    L_0x004a:
        r4 = move-exception;
        android.os.Binder.restoreCallingIdentity(r2);	 Catch:{ all -> 0x0069 }
        throw r4;	 Catch:{ all -> 0x0069 }
    L_0x004f:
        monitor-exit(r0);	 Catch:{ all -> 0x0069 }
        r0 = r7.mHwAdminCache;
        if (r0 == 0) goto L_0x0060;
    L_0x0054:
        r0 = r7.mHwAdminCache;
        r1 = 8;
        r2 = 0;
        r2 = r7.isBluetoothDisabled(r2, r10);
        r0.syncHwAdminCache(r1, r2);
    L_0x0060:
        return;
    L_0x0061:
        r1 = new java.lang.IllegalArgumentException;	 Catch:{ all -> 0x0069 }
        r2 = "ComponentName is null";
        r1.<init>(r2);	 Catch:{ all -> 0x0069 }
        throw r1;	 Catch:{ all -> 0x0069 }
    L_0x0069:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x0069 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.setBluetoothDisabled(android.content.ComponentName, boolean, int):void");
    }

    public void setWifiApDisabled(android.content.ComponentName who, boolean disabled, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_WIFI", "does not have Wifi AP MDM permission!");
        synchronized (getLockObject()) {
            enforceUserRestrictionPermission(who, "no_config_tethering", userHandle);
            com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin ap = getHwActiveAdmin(who, userHandle);
            if (ap.disableWifiAp != disabled) {
                ap.disableWifiAp = disabled;
                saveSettingsLocked(userHandle);
            }
            hwSyncDeviceCapabilitiesLocked("no_config_tethering", userHandle);
        }
    }

    /* JADX WARNING: Missing block: B:9:0x0012, code:
            return r1;
     */
    public boolean isWifiApDisabled(android.content.ComponentName r8, int r9) {
        /*
        r7 = this;
        r0 = r7.getLockObject();
        monitor-enter(r0);
        r1 = 0;
        if (r8 == 0) goto L_0x0015;
    L_0x0008:
        r2 = r7.getHwActiveAdmin(r8, r9);	 Catch:{ all -> 0x0013 }
        if (r2 == 0) goto L_0x0011;
    L_0x000e:
        r1 = r2.disableWifiAp;	 Catch:{ all -> 0x0013 }
    L_0x0011:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        return r1;
    L_0x0013:
        r1 = move-exception;
        goto L_0x004d;
    L_0x0015:
        r2 = r7.mUserManager;	 Catch:{ all -> 0x0013 }
        r3 = "no_config_tethering";
        r4 = new android.os.UserHandle;	 Catch:{ all -> 0x0013 }
        r4.<init>(r9);	 Catch:{ all -> 0x0013 }
        r2 = r2.hasUserRestriction(r3, r4);	 Catch:{ all -> 0x0013 }
        if (r2 != 0) goto L_0x0026;
    L_0x0024:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        return r1;
    L_0x0026:
        r2 = r7.getUserData(r9);	 Catch:{ all -> 0x0013 }
        r3 = r2.mAdminList;	 Catch:{ all -> 0x0013 }
        r3 = r3.size();	 Catch:{ all -> 0x0013 }
        r4 = r1;
    L_0x0031:
        if (r4 >= r3) goto L_0x004b;
    L_0x0033:
        r5 = r2.mAdminList;	 Catch:{ all -> 0x0013 }
        r5 = r5.get(r4);	 Catch:{ all -> 0x0013 }
        r5 = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) r5;	 Catch:{ all -> 0x0013 }
        r6 = r5.mHwActiveAdmin;	 Catch:{ all -> 0x0013 }
        if (r6 == 0) goto L_0x0048;
    L_0x003f:
        r6 = r5.mHwActiveAdmin;	 Catch:{ all -> 0x0013 }
        r6 = r6.disableWifiAp;	 Catch:{ all -> 0x0013 }
        if (r6 == 0) goto L_0x0048;
    L_0x0045:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        r0 = 1;
        return r0;
    L_0x0048:
        r4 = r4 + 1;
        goto L_0x0031;
    L_0x004b:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        return r1;
    L_0x004d:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.isWifiApDisabled(android.content.ComponentName, int):boolean");
    }

    public void setBootLoaderDisabled(android.content.ComponentName who, boolean disabled, int userHandle) {
    }

    public boolean isBootLoaderDisabled(android.content.ComponentName who, int userHandle) {
        return false;
    }

    public void setUSBDataDisabled(android.content.ComponentName who, boolean disabled, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_USB", "does not have USB MDM permission!");
        synchronized (getLockObject()) {
            enforceUserRestrictionPermission(who, "no_usb_file_transfer", userHandle);
            com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin ap = getHwActiveAdmin(who, userHandle);
            if (ap.disableUSBData != disabled) {
                ap.disableUSBData = disabled;
                saveSettingsLocked(userHandle);
            }
            hwSyncDeviceCapabilitiesLocked("no_usb_file_transfer", userHandle);
        }
    }

    /* JADX WARNING: Missing block: B:9:0x0012, code:
            return r1;
     */
    public boolean isUSBDataDisabled(android.content.ComponentName r8, int r9) {
        /*
        r7 = this;
        r0 = r7.getLockObject();
        monitor-enter(r0);
        r1 = 0;
        if (r8 == 0) goto L_0x0015;
    L_0x0008:
        r2 = r7.getHwActiveAdmin(r8, r9);	 Catch:{ all -> 0x0013 }
        if (r2 == 0) goto L_0x0011;
    L_0x000e:
        r1 = r2.disableUSBData;	 Catch:{ all -> 0x0013 }
    L_0x0011:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        return r1;
    L_0x0013:
        r1 = move-exception;
        goto L_0x004d;
    L_0x0015:
        r2 = r7.mUserManager;	 Catch:{ all -> 0x0013 }
        r3 = "no_usb_file_transfer";
        r4 = new android.os.UserHandle;	 Catch:{ all -> 0x0013 }
        r4.<init>(r9);	 Catch:{ all -> 0x0013 }
        r2 = r2.hasUserRestriction(r3, r4);	 Catch:{ all -> 0x0013 }
        if (r2 != 0) goto L_0x0026;
    L_0x0024:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        return r1;
    L_0x0026:
        r2 = r7.getUserData(r9);	 Catch:{ all -> 0x0013 }
        r3 = r2.mAdminList;	 Catch:{ all -> 0x0013 }
        r3 = r3.size();	 Catch:{ all -> 0x0013 }
        r4 = r1;
    L_0x0031:
        if (r4 >= r3) goto L_0x004b;
    L_0x0033:
        r5 = r2.mAdminList;	 Catch:{ all -> 0x0013 }
        r5 = r5.get(r4);	 Catch:{ all -> 0x0013 }
        r5 = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) r5;	 Catch:{ all -> 0x0013 }
        r6 = r5.mHwActiveAdmin;	 Catch:{ all -> 0x0013 }
        if (r6 == 0) goto L_0x0048;
    L_0x003f:
        r6 = r5.mHwActiveAdmin;	 Catch:{ all -> 0x0013 }
        r6 = r6.disableUSBData;	 Catch:{ all -> 0x0013 }
        if (r6 == 0) goto L_0x0048;
    L_0x0045:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        r0 = 1;
        return r0;
    L_0x0048:
        r4 = r4 + 1;
        goto L_0x0031;
    L_0x004b:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        return r1;
    L_0x004d:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.isUSBDataDisabled(android.content.ComponentName, int):boolean");
    }

    public void setExternalStorageDisabled(android.content.ComponentName who, boolean disabled, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_SDCARD", "does not have SDCARD MDM permission!");
        synchronized (getLockObject()) {
            enforceUserRestrictionPermission(who, "no_physical_media", userHandle);
            com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdmin(who, userHandle);
            if (admin.disableExternalStorage != disabled) {
                admin.disableExternalStorage = disabled;
                saveSettingsLocked(userHandle);
            }
            hwSyncDeviceCapabilitiesLocked("no_physical_media", userHandle);
        }
    }

    /* JADX WARNING: Missing block: B:9:0x0012, code:
            return r1;
     */
    public boolean isExternalStorageDisabled(android.content.ComponentName r8, int r9) {
        /*
        r7 = this;
        r0 = r7.getLockObject();
        monitor-enter(r0);
        r1 = 0;
        if (r8 == 0) goto L_0x0015;
    L_0x0008:
        r2 = r7.getHwActiveAdmin(r8, r9);	 Catch:{ all -> 0x0013 }
        if (r2 == 0) goto L_0x0011;
    L_0x000e:
        r1 = r2.disableExternalStorage;	 Catch:{ all -> 0x0013 }
    L_0x0011:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        return r1;
    L_0x0013:
        r1 = move-exception;
        goto L_0x004d;
    L_0x0015:
        r2 = r7.mUserManager;	 Catch:{ all -> 0x0013 }
        r3 = "no_physical_media";
        r4 = new android.os.UserHandle;	 Catch:{ all -> 0x0013 }
        r4.<init>(r9);	 Catch:{ all -> 0x0013 }
        r2 = r2.hasUserRestriction(r3, r4);	 Catch:{ all -> 0x0013 }
        if (r2 != 0) goto L_0x0026;
    L_0x0024:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        return r1;
    L_0x0026:
        r2 = r7.getUserData(r9);	 Catch:{ all -> 0x0013 }
        r3 = r2.mAdminList;	 Catch:{ all -> 0x0013 }
        r3 = r3.size();	 Catch:{ all -> 0x0013 }
        r4 = r1;
    L_0x0031:
        if (r4 >= r3) goto L_0x004b;
    L_0x0033:
        r5 = r2.mAdminList;	 Catch:{ all -> 0x0013 }
        r5 = r5.get(r4);	 Catch:{ all -> 0x0013 }
        r5 = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) r5;	 Catch:{ all -> 0x0013 }
        r6 = r5.mHwActiveAdmin;	 Catch:{ all -> 0x0013 }
        if (r6 == 0) goto L_0x0048;
    L_0x003f:
        r6 = r5.mHwActiveAdmin;	 Catch:{ all -> 0x0013 }
        r6 = r6.disableExternalStorage;	 Catch:{ all -> 0x0013 }
        if (r6 == 0) goto L_0x0048;
    L_0x0045:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        r0 = 1;
        return r0;
    L_0x0048:
        r4 = r4 + 1;
        goto L_0x0031;
    L_0x004b:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        return r1;
    L_0x004d:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.isExternalStorageDisabled(android.content.ComponentName, int):boolean");
    }

    public void setNFCDisabled(android.content.ComponentName who, boolean disabled, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_NFC", "does not have NFC MDM permission!");
        synchronized (getLockObject()) {
            if (who != null) {
                com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdmin(who, userHandle);
                if (admin.disableNFC != disabled) {
                    long callingId = android.os.Binder.clearCallingIdentity();
                    try {
                        android.nfc.NfcAdapter nfcAdapter = android.nfc.NfcAdapter.getDefaultAdapter(this.mContext);
                        if (nfcAdapter != null) {
                            boolean nfcOriginalState = nfcAdapter.isEnabled();
                            if (disabled && nfcOriginalState) {
                                nfcAdapter.disable();
                            }
                        }
                        admin.disableNFC = disabled;
                        saveSettingsLocked(userHandle);
                    } finally {
                        android.os.Binder.restoreCallingIdentity(callingId);
                    }
                }
            } else {
                throw new java.lang.NullPointerException("ComponentName is null");
            }
        }
    }

    /* JADX WARNING: Missing block: B:9:0x0012, code:
            return r1;
     */
    public boolean isNFCDisabled(android.content.ComponentName r8, int r9) {
        /*
        r7 = this;
        r0 = r7.getLockObject();
        monitor-enter(r0);
        r1 = 0;
        if (r8 == 0) goto L_0x0015;
    L_0x0008:
        r2 = r7.getHwActiveAdmin(r8, r9);	 Catch:{ all -> 0x0013 }
        if (r2 == 0) goto L_0x0011;
    L_0x000e:
        r1 = r2.disableNFC;	 Catch:{ all -> 0x0013 }
    L_0x0011:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        return r1;
    L_0x0013:
        r1 = move-exception;
        goto L_0x003c;
    L_0x0015:
        r2 = r7.getUserData(r9);	 Catch:{ all -> 0x0013 }
        r3 = r2.mAdminList;	 Catch:{ all -> 0x0013 }
        r3 = r3.size();	 Catch:{ all -> 0x0013 }
        r4 = r1;
    L_0x0020:
        if (r4 >= r3) goto L_0x003a;
    L_0x0022:
        r5 = r2.mAdminList;	 Catch:{ all -> 0x0013 }
        r5 = r5.get(r4);	 Catch:{ all -> 0x0013 }
        r5 = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) r5;	 Catch:{ all -> 0x0013 }
        r6 = r5.mHwActiveAdmin;	 Catch:{ all -> 0x0013 }
        if (r6 == 0) goto L_0x0037;
    L_0x002e:
        r6 = r5.mHwActiveAdmin;	 Catch:{ all -> 0x0013 }
        r6 = r6.disableNFC;	 Catch:{ all -> 0x0013 }
        if (r6 == 0) goto L_0x0037;
    L_0x0034:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        r0 = 1;
        return r0;
    L_0x0037:
        r4 = r4 + 1;
        goto L_0x0020;
    L_0x003a:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        return r1;
    L_0x003c:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.isNFCDisabled(android.content.ComponentName, int):boolean");
    }

    public void setDataConnectivityDisabled(android.content.ComponentName who, boolean disabled, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_CONNECTIVITY", "Does not hava data connectivity MDM permission.");
        synchronized (getLockObject()) {
            if (who != null) {
                com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdmin(who, userHandle);
                if (admin.disableDataConnectivity != disabled) {
                    admin.disableDataConnectivity = disabled;
                    saveSettingsLocked(userHandle);
                }
                if (disabled) {
                    android.telephony.TelephonyManager.from(this.mContext).setDataEnabled(disabled ^ 1);
                }
            } else {
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
        }
    }

    /* JADX WARNING: Missing block: B:9:0x0012, code:
            return r1;
     */
    public boolean isDataConnectivityDisabled(android.content.ComponentName r8, int r9) {
        /*
        r7 = this;
        r0 = r7.getLockObject();
        monitor-enter(r0);
        r1 = 0;
        if (r8 == 0) goto L_0x0015;
    L_0x0008:
        r2 = r7.getHwActiveAdmin(r8, r9);	 Catch:{ all -> 0x0013 }
        if (r2 == 0) goto L_0x0011;
    L_0x000e:
        r1 = r2.disableDataConnectivity;	 Catch:{ all -> 0x0013 }
    L_0x0011:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        return r1;
    L_0x0013:
        r1 = move-exception;
        goto L_0x003c;
    L_0x0015:
        r2 = r7.getUserData(r9);	 Catch:{ all -> 0x0013 }
        r3 = r2.mAdminList;	 Catch:{ all -> 0x0013 }
        r3 = r3.size();	 Catch:{ all -> 0x0013 }
        r4 = r1;
    L_0x0020:
        if (r4 >= r3) goto L_0x003a;
    L_0x0022:
        r5 = r2.mAdminList;	 Catch:{ all -> 0x0013 }
        r5 = r5.get(r4);	 Catch:{ all -> 0x0013 }
        r5 = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) r5;	 Catch:{ all -> 0x0013 }
        r6 = r5.mHwActiveAdmin;	 Catch:{ all -> 0x0013 }
        if (r6 == 0) goto L_0x0037;
    L_0x002e:
        r6 = r5.mHwActiveAdmin;	 Catch:{ all -> 0x0013 }
        r6 = r6.disableDataConnectivity;	 Catch:{ all -> 0x0013 }
        if (r6 == 0) goto L_0x0037;
    L_0x0034:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        r0 = 1;
        return r0;
    L_0x0037:
        r4 = r4 + 1;
        goto L_0x0020;
    L_0x003a:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        return r1;
    L_0x003c:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.isDataConnectivityDisabled(android.content.ComponentName, int):boolean");
    }

    public void setVoiceDisabled(android.content.ComponentName who, boolean disabled, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_PHONE", "Does not hava phone disable MDM permission.");
        synchronized (getLockObject()) {
            enforceUserRestrictionPermission(who, "no_outgoing_calls", userHandle);
            com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdmin(who, userHandle);
            if (admin.disableVoice != disabled) {
                admin.disableVoice = disabled;
                saveSettingsLocked(userHandle);
            }
            hwSyncDeviceCapabilitiesLocked("no_outgoing_calls", userHandle);
        }
        if (this.mHwAdminCache != null) {
            this.mHwAdminCache.syncHwAdminCache(1, isVoiceDisabled(null, userHandle));
        }
    }

    /* JADX WARNING: Missing block: B:9:0x0012, code:
            return r1;
     */
    public boolean isVoiceDisabled(android.content.ComponentName r8, int r9) {
        /*
        r7 = this;
        r0 = r7.getLockObject();
        monitor-enter(r0);
        r1 = 0;
        if (r8 == 0) goto L_0x0015;
    L_0x0008:
        r2 = r7.getHwActiveAdmin(r8, r9);	 Catch:{ all -> 0x0013 }
        if (r2 == 0) goto L_0x0011;
    L_0x000e:
        r1 = r2.disableVoice;	 Catch:{ all -> 0x0013 }
    L_0x0011:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        return r1;
    L_0x0013:
        r1 = move-exception;
        goto L_0x004d;
    L_0x0015:
        r2 = r7.mUserManager;	 Catch:{ all -> 0x0013 }
        r3 = "no_outgoing_calls";
        r4 = new android.os.UserHandle;	 Catch:{ all -> 0x0013 }
        r4.<init>(r9);	 Catch:{ all -> 0x0013 }
        r2 = r2.hasUserRestriction(r3, r4);	 Catch:{ all -> 0x0013 }
        if (r2 != 0) goto L_0x0026;
    L_0x0024:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        return r1;
    L_0x0026:
        r2 = r7.getUserData(r9);	 Catch:{ all -> 0x0013 }
        r3 = r2.mAdminList;	 Catch:{ all -> 0x0013 }
        r3 = r3.size();	 Catch:{ all -> 0x0013 }
        r4 = r1;
    L_0x0031:
        if (r4 >= r3) goto L_0x004b;
    L_0x0033:
        r5 = r2.mAdminList;	 Catch:{ all -> 0x0013 }
        r5 = r5.get(r4);	 Catch:{ all -> 0x0013 }
        r5 = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) r5;	 Catch:{ all -> 0x0013 }
        r6 = r5.mHwActiveAdmin;	 Catch:{ all -> 0x0013 }
        if (r6 == 0) goto L_0x0048;
    L_0x003f:
        r6 = r5.mHwActiveAdmin;	 Catch:{ all -> 0x0013 }
        r6 = r6.disableVoice;	 Catch:{ all -> 0x0013 }
        if (r6 == 0) goto L_0x0048;
    L_0x0045:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        r0 = 1;
        return r0;
    L_0x0048:
        r4 = r4 + 1;
        goto L_0x0031;
    L_0x004b:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        return r1;
    L_0x004d:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.isVoiceDisabled(android.content.ComponentName, int):boolean");
    }

    public void setSMSDisabled(android.content.ComponentName who, boolean disabled, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_MMS", "Does not hava SMS disable MDM permission.");
        synchronized (getLockObject()) {
            enforceUserRestrictionPermission(who, "no_sms", userHandle);
            com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdmin(who, userHandle);
            if (admin.disableSMS != disabled) {
                admin.disableSMS = disabled;
                saveSettingsLocked(userHandle);
            }
            hwSyncDeviceCapabilitiesLocked("no_sms", userHandle);
        }
    }

    /* JADX WARNING: Missing block: B:9:0x0012, code:
            return r1;
     */
    public boolean isSMSDisabled(android.content.ComponentName r8, int r9) {
        /*
        r7 = this;
        r0 = r7.getLockObject();
        monitor-enter(r0);
        r1 = 0;
        if (r8 == 0) goto L_0x0015;
    L_0x0008:
        r2 = r7.getHwActiveAdmin(r8, r9);	 Catch:{ all -> 0x0013 }
        if (r2 == 0) goto L_0x0011;
    L_0x000e:
        r1 = r2.disableSMS;	 Catch:{ all -> 0x0013 }
    L_0x0011:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        return r1;
    L_0x0013:
        r1 = move-exception;
        goto L_0x004d;
    L_0x0015:
        r2 = r7.mUserManager;	 Catch:{ all -> 0x0013 }
        r3 = "no_sms";
        r4 = new android.os.UserHandle;	 Catch:{ all -> 0x0013 }
        r4.<init>(r9);	 Catch:{ all -> 0x0013 }
        r2 = r2.hasUserRestriction(r3, r4);	 Catch:{ all -> 0x0013 }
        if (r2 != 0) goto L_0x0026;
    L_0x0024:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        return r1;
    L_0x0026:
        r2 = r7.getUserData(r9);	 Catch:{ all -> 0x0013 }
        r3 = r2.mAdminList;	 Catch:{ all -> 0x0013 }
        r3 = r3.size();	 Catch:{ all -> 0x0013 }
        r4 = r1;
    L_0x0031:
        if (r4 >= r3) goto L_0x004b;
    L_0x0033:
        r5 = r2.mAdminList;	 Catch:{ all -> 0x0013 }
        r5 = r5.get(r4);	 Catch:{ all -> 0x0013 }
        r5 = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) r5;	 Catch:{ all -> 0x0013 }
        r6 = r5.mHwActiveAdmin;	 Catch:{ all -> 0x0013 }
        if (r6 == 0) goto L_0x0048;
    L_0x003f:
        r6 = r5.mHwActiveAdmin;	 Catch:{ all -> 0x0013 }
        r6 = r6.disableSMS;	 Catch:{ all -> 0x0013 }
        if (r6 == 0) goto L_0x0048;
    L_0x0045:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        r0 = 1;
        return r0;
    L_0x0048:
        r4 = r4 + 1;
        goto L_0x0031;
    L_0x004b:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        return r1;
    L_0x004d:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.isSMSDisabled(android.content.ComponentName, int):boolean");
    }

    /* JADX WARNING: Missing block: B:15:0x0036, code:
            return;
     */
    public void setStatusBarExpandPanelDisabled(android.content.ComponentName r5, boolean r6, int r7) {
        /*
        r4 = this;
        r4.enforceHwCrossUserPermission(r7);
        r0 = r4.mContext;
        r1 = "com.huawei.permission.sec.MDM_DEVICE_MANAGER";
        r2 = "does not have DEVICE MANAGER permission!";
        r0.enforceCallingOrSelfPermission(r1, r2);
        r0 = r4.getLockObject();
        monitor-enter(r0);
        r1 = r4.getHwActiveAdmin(r5, r7);	 Catch:{ all -> 0x0037 }
        r2 = r1.disableStatusBarExpandPanel;	 Catch:{ all -> 0x0037 }
        if (r2 == r6) goto L_0x0035;
    L_0x0019:
        if (r6 == 0) goto L_0x002a;
    L_0x001b:
        r2 = r4.setStatusBarPanelDisabledInternal(r7);	 Catch:{ all -> 0x0037 }
        if (r2 != 0) goto L_0x002a;
    L_0x0021:
        r2 = "HwDPMS";
        r3 = "cannot set statusBar disabled";
        android.util.Log.w(r2, r3);	 Catch:{ all -> 0x0037 }
        monitor-exit(r0);	 Catch:{ all -> 0x0037 }
        return;
    L_0x002a:
        r1.disableStatusBarExpandPanel = r6;	 Catch:{ all -> 0x0037 }
        r4.saveSettingsLocked(r7);	 Catch:{ all -> 0x0037 }
        if (r6 != 0) goto L_0x0035;
    L_0x0031:
        r2 = 0;
        r4.setStatusBarPanelEnableInternal(r2, r7);	 Catch:{ all -> 0x0037 }
    L_0x0035:
        monitor-exit(r0);	 Catch:{ all -> 0x0037 }
        return;
    L_0x0037:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x0037 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.setStatusBarExpandPanelDisabled(android.content.ComponentName, boolean, int):void");
    }

    private boolean setStatusBarPanelDisabledInternal(int userHandle) {
        long callingId = android.os.Binder.clearCallingIdentity();
        try {
            android.app.StatusBarManager statusBar = (android.app.StatusBarManager) this.mContext.getSystemService("statusbar");
            if (statusBar == null) {
                android.util.Log.w("HwDPMS", "statusBar is null");
                return false;
            }
            statusBar.disable(34013184);
            android.os.Binder.restoreCallingIdentity(callingId);
            return true;
        } catch (java.lang.Exception e) {
            android.util.Log.e("HwDPMS", "failed to set statusBar disabled.");
            return false;
        } finally {
            android.os.Binder.restoreCallingIdentity(callingId);
        }
    }

    private boolean setStatusBarPanelEnableInternal(boolean forceEnable, int userHandle) {
        long callingId = android.os.Binder.clearCallingIdentity();
        try {
            android.app.StatusBarManager statusBar = (android.app.StatusBarManager) this.mContext.getSystemService("statusbar");
            if (statusBar == null) {
                android.util.Log.w("HwDPMS", "statusBar is null");
                return false;
            }
            if (forceEnable) {
                statusBar.disable(0);
            } else if (!isStatusBarExpandPanelDisabled(false, userHandle)) {
                statusBar.disable(0);
            }
            android.os.Binder.restoreCallingIdentity(callingId);
            return true;
        } catch (java.lang.Exception e) {
            android.util.Log.e("HwDPMS", "failed to set statusBar enabled.");
            return false;
        } finally {
            android.os.Binder.restoreCallingIdentity(callingId);
        }
    }

    /* JADX WARNING: Missing block: B:9:0x0012, code:
            return r1;
     */
    public boolean isStatusBarExpandPanelDisabled(android.content.ComponentName r8, int r9) {
        /*
        r7 = this;
        r0 = r7.getLockObject();
        monitor-enter(r0);
        r1 = 0;
        if (r8 == 0) goto L_0x0015;
    L_0x0008:
        r2 = r7.getHwActiveAdmin(r8, r9);	 Catch:{ all -> 0x0013 }
        if (r2 == 0) goto L_0x0011;
    L_0x000e:
        r1 = r2.disableStatusBarExpandPanel;	 Catch:{ all -> 0x0013 }
    L_0x0011:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        return r1;
    L_0x0013:
        r1 = move-exception;
        goto L_0x003c;
    L_0x0015:
        r2 = r7.getUserData(r9);	 Catch:{ all -> 0x0013 }
        r3 = r2.mAdminList;	 Catch:{ all -> 0x0013 }
        r3 = r3.size();	 Catch:{ all -> 0x0013 }
        r4 = r1;
    L_0x0020:
        if (r4 >= r3) goto L_0x003a;
    L_0x0022:
        r5 = r2.mAdminList;	 Catch:{ all -> 0x0013 }
        r5 = r5.get(r4);	 Catch:{ all -> 0x0013 }
        r5 = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) r5;	 Catch:{ all -> 0x0013 }
        r6 = r5.mHwActiveAdmin;	 Catch:{ all -> 0x0013 }
        if (r6 == 0) goto L_0x0037;
    L_0x002e:
        r6 = r5.mHwActiveAdmin;	 Catch:{ all -> 0x0013 }
        r6 = r6.disableStatusBarExpandPanel;	 Catch:{ all -> 0x0013 }
        if (r6 == 0) goto L_0x0037;
    L_0x0034:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        r0 = 1;
        return r0;
    L_0x0037:
        r4 = r4 + 1;
        goto L_0x0020;
    L_0x003a:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        return r1;
    L_0x003c:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.isStatusBarExpandPanelDisabled(android.content.ComponentName, int):boolean");
    }

    public void hangupCalling(android.content.ComponentName who, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_PHONE", "Does not hava hangup calling permission.");
        synchronized (getLockObject()) {
            if (who != null) {
                if (getHwActiveAdmin(who, userHandle) != null) {
                    long ident = android.os.Binder.clearCallingIdentity();
                    try {
                        android.telephony.TelephonyManager.from(this.mContext).endCall();
                        com.android.server.UiThread.getHandler().post(new java.lang.Runnable() {
                            public void run() {
                                if (com.android.server.devicepolicy.HwDevicePolicyManagerService.this.mErrorDialog != null) {
                                    com.android.server.devicepolicy.HwDevicePolicyManagerService.this.mErrorDialog.dismiss();
                                    com.android.server.devicepolicy.HwDevicePolicyManagerService.this.mErrorDialog = null;
                                }
                                com.android.server.devicepolicy.HwDevicePolicyManagerService.this.mErrorDialog = new android.app.AlertDialog.Builder(com.android.server.devicepolicy.HwDevicePolicyManagerService.this.mContext, 33947691).setMessage(33686011).setPositiveButton(33686121, new android.content.DialogInterface.OnClickListener() {
                                    public void onClick(android.content.DialogInterface dialog, int which) {
                                        com.android.server.devicepolicy.HwDevicePolicyManagerService.this.mErrorDialog.dismiss();
                                    }
                                }).setCancelable(true).create();
                                com.android.server.devicepolicy.HwDevicePolicyManagerService.this.mErrorDialog.getWindow().setType(2003);
                                com.android.server.devicepolicy.HwDevicePolicyManagerService.this.mErrorDialog.show();
                            }
                        });
                    } finally {
                        android.os.Binder.restoreCallingIdentity(ident);
                    }
                }
            } else {
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
        }
    }

    public void installPackage(android.content.ComponentName who, java.lang.String packagePath, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_APP_MANAGEMENT", "Does not hava application management permission.");
        synchronized (getLockObject()) {
            if (who != null) {
                if (getHwActiveAdmin(who, userHandle) != null) {
                    installPackage(packagePath, who.getPackageName());
                }
            } else {
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
        }
    }

    public void uninstallPackage(android.content.ComponentName who, java.lang.String packageName, boolean keepData, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_APP_MANAGEMENT", "Does not hava application management permission.");
        if (com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isValidatePackageName(packageName)) {
            synchronized (getLockObject()) {
                if (who != null) {
                    if (getHwActiveAdmin(who, userHandle) != null) {
                        uninstallPackage(packageName, keepData);
                    }
                } else {
                    throw new java.lang.IllegalArgumentException("ComponentName is null");
                }
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("packageName:");
        stringBuilder.append(packageName);
        stringBuilder.append(" is invalid.");
        throw new java.lang.IllegalArgumentException(stringBuilder.toString());
    }

    public void clearPackageData(android.content.ComponentName who, java.lang.String packageName, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_APP_MANAGEMENT", "does not have wifi MDM permission!");
        if (com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isValidatePackageName(packageName)) {
            synchronized (getLockObject()) {
                if (who == null) {
                    throw new java.lang.IllegalArgumentException("ComponentName is null");
                } else if (android.text.TextUtils.isEmpty(packageName)) {
                    throw new java.lang.IllegalArgumentException("packageNames is null or empty");
                } else {
                    enforceCheckNotSystemApp(packageName, userHandle);
                    if (getHwActiveAdmin(who, userHandle) != null) {
                        long id = android.os.Binder.clearCallingIdentity();
                        try {
                            ((android.app.ActivityManager) this.mContext.getSystemService("activity")).clearApplicationUserData(packageName, null);
                        } finally {
                            android.os.Binder.restoreCallingIdentity(id);
                        }
                    }
                }
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("packageName:");
        stringBuilder.append(packageName);
        stringBuilder.append(" is invalid.");
        throw new java.lang.IllegalArgumentException(stringBuilder.toString());
    }

    public void enableInstallPackage(android.content.ComponentName who, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_APP_MANAGEMENT", "does not have wifi MDM permission!");
        synchronized (getLockObject()) {
            if (who != null) {
                com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdmin(who, userHandle);
                if (admin != null) {
                    admin.disableInstallSource = false;
                    admin.installSourceWhitelist = null;
                }
                saveSettingsLocked(userHandle);
            } else {
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
        }
        if (this.mHwAdminCache != null) {
            this.mHwAdminCache.syncHwAdminCache(2, isInstallSourceDisabled(null, userHandle));
        }
    }

    public void disableInstallSource(android.content.ComponentName who, java.util.List<java.lang.String> whitelist, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_APP_MANAGEMENT", "does not have wifi MDM permission!");
        if (com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isValidatePackageNames(whitelist)) {
            synchronized (getLockObject()) {
                if (who != null) {
                    if (whitelist != null) {
                        if (!whitelist.isEmpty()) {
                            com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdmin(who, userHandle);
                            admin.disableInstallSource = true;
                            if (admin.installSourceWhitelist == null) {
                                admin.installSourceWhitelist = new java.util.ArrayList();
                            }
                            com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isOverLimit(admin.installSourceWhitelist, whitelist);
                            com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.addListWithoutDuplicate(admin.installSourceWhitelist, whitelist);
                            saveSettingsLocked(userHandle);
                        }
                    }
                    throw new java.lang.IllegalArgumentException("packageNames is null or empty");
                }
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
            if (this.mHwAdminCache != null) {
                this.mHwAdminCache.syncHwAdminCache(2, isInstallSourceDisabled(null, userHandle));
                this.mHwAdminCache.syncHwAdminCache(3, getInstallPackageSourceWhiteList(null, userHandle));
                return;
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("packageName:");
        stringBuilder.append(whitelist);
        stringBuilder.append(" is invalid.");
        throw new java.lang.IllegalArgumentException(stringBuilder.toString());
    }

    /* JADX WARNING: Missing block: B:9:0x0012, code:
            return r1;
     */
    public boolean isInstallSourceDisabled(android.content.ComponentName r8, int r9) {
        /*
        r7 = this;
        r0 = r7.getLockObject();
        monitor-enter(r0);
        r1 = 0;
        if (r8 == 0) goto L_0x0015;
    L_0x0008:
        r2 = r7.getHwActiveAdmin(r8, r9);	 Catch:{ all -> 0x0013 }
        if (r2 == 0) goto L_0x0011;
    L_0x000e:
        r1 = r2.disableInstallSource;	 Catch:{ all -> 0x0013 }
    L_0x0011:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        return r1;
    L_0x0013:
        r1 = move-exception;
        goto L_0x003c;
    L_0x0015:
        r2 = r7.getUserData(r9);	 Catch:{ all -> 0x0013 }
        r3 = r2.mAdminList;	 Catch:{ all -> 0x0013 }
        r3 = r3.size();	 Catch:{ all -> 0x0013 }
        r4 = r1;
    L_0x0020:
        if (r4 >= r3) goto L_0x003a;
    L_0x0022:
        r5 = r2.mAdminList;	 Catch:{ all -> 0x0013 }
        r5 = r5.get(r4);	 Catch:{ all -> 0x0013 }
        r5 = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) r5;	 Catch:{ all -> 0x0013 }
        r6 = r5.mHwActiveAdmin;	 Catch:{ all -> 0x0013 }
        if (r6 == 0) goto L_0x0037;
    L_0x002e:
        r6 = r5.mHwActiveAdmin;	 Catch:{ all -> 0x0013 }
        r6 = r6.disableInstallSource;	 Catch:{ all -> 0x0013 }
        if (r6 == 0) goto L_0x0037;
    L_0x0034:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        r0 = 1;
        return r0;
    L_0x0037:
        r4 = r4 + 1;
        goto L_0x0020;
    L_0x003a:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        return r1;
    L_0x003c:
        monitor-exit(r0);	 Catch:{ all -> 0x0013 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.isInstallSourceDisabled(android.content.ComponentName, int):boolean");
    }

    /* JADX WARNING: Missing block: B:11:0x001d, code:
            return r2;
     */
    public java.util.List<java.lang.String> getInstallPackageSourceWhiteList(android.content.ComponentName r8, int r9) {
        /*
        r7 = this;
        r0 = r7.getLockObject();
        monitor-enter(r0);
        if (r8 == 0) goto L_0x0020;
    L_0x0007:
        r1 = r7.getHwActiveAdmin(r8, r9);	 Catch:{ all -> 0x001e }
        r2 = r1.installSourceWhitelist;	 Catch:{ all -> 0x001e }
        if (r2 == 0) goto L_0x001b;
    L_0x000f:
        r2 = r1.installSourceWhitelist;	 Catch:{ all -> 0x001e }
        r2 = r2.isEmpty();	 Catch:{ all -> 0x001e }
        if (r2 == 0) goto L_0x0018;
    L_0x0017:
        goto L_0x001b;
    L_0x0018:
        r2 = r1.installSourceWhitelist;	 Catch:{ all -> 0x001e }
        goto L_0x001c;
    L_0x001b:
        r2 = 0;
    L_0x001c:
        monitor-exit(r0);	 Catch:{ all -> 0x001e }
        return r2;
    L_0x001e:
        r1 = move-exception;
        goto L_0x004a;
    L_0x0020:
        r1 = r7.getUserData(r9);	 Catch:{ all -> 0x001e }
        r2 = new java.util.ArrayList;	 Catch:{ all -> 0x001e }
        r2.<init>();	 Catch:{ all -> 0x001e }
        r3 = r1.mAdminList;	 Catch:{ all -> 0x001e }
        r3 = r3.size();	 Catch:{ all -> 0x001e }
        r4 = 0;
    L_0x0030:
        if (r4 >= r3) goto L_0x0048;
    L_0x0032:
        r5 = r1.mAdminList;	 Catch:{ all -> 0x001e }
        r5 = r5.get(r4);	 Catch:{ all -> 0x001e }
        r5 = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) r5;	 Catch:{ all -> 0x001e }
        r6 = r5.mHwActiveAdmin;	 Catch:{ all -> 0x001e }
        if (r6 == 0) goto L_0x0045;
    L_0x003e:
        r6 = r5.mHwActiveAdmin;	 Catch:{ all -> 0x001e }
        r6 = r6.installSourceWhitelist;	 Catch:{ all -> 0x001e }
        com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.addListWithoutDuplicate(r2, r6);	 Catch:{ all -> 0x001e }
    L_0x0045:
        r4 = r4 + 1;
        goto L_0x0030;
    L_0x0048:
        monitor-exit(r0);	 Catch:{ all -> 0x001e }
        return r2;
    L_0x004a:
        monitor-exit(r0);	 Catch:{ all -> 0x001e }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.getInstallPackageSourceWhiteList(android.content.ComponentName, int):java.util.List<java.lang.String>");
    }

    public void addPersistentApp(android.content.ComponentName who, java.util.List<java.lang.String> packageNames, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_APP_MANAGEMENT", "Does not hava manager app MDM permission.");
        if (com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isValidatePackageNames(packageNames)) {
            synchronized (getLockObject()) {
                if (who != null) {
                    if (packageNames != null) {
                        if (!packageNames.isEmpty()) {
                            com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdmin(who, userHandle);
                            if (admin.persistentAppList == null) {
                                admin.persistentAppList = new java.util.ArrayList();
                            }
                            com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isOverLimit(getPersistentApp(null, userHandle), packageNames, 3);
                            filterOutSystemAppList(packageNames, userHandle);
                            com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.addListWithoutDuplicate(admin.persistentAppList, packageNames);
                            saveSettingsLocked(userHandle);
                            sendPersistentAppToIAware(userHandle);
                        }
                    }
                    throw new java.lang.IllegalArgumentException("packageNames is null or empty");
                }
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
            if (this.mHwAdminCache != null) {
                this.mHwAdminCache.syncHwAdminCache(4, getPersistentApp(null, userHandle));
                return;
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("packageName:");
        stringBuilder.append(packageNames);
        stringBuilder.append(" is invalid.");
        throw new java.lang.IllegalArgumentException(stringBuilder.toString());
    }

    public void removePersistentApp(android.content.ComponentName who, java.util.List<java.lang.String> packageNames, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_APP_MANAGEMENT", "Does not hava manager app MDM permission.");
        if (com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isValidatePackageNames(packageNames)) {
            synchronized (getLockObject()) {
                if (who != null) {
                    if (packageNames != null) {
                        if (!packageNames.isEmpty()) {
                            com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.removeItemsFromList(getHwActiveAdmin(who, userHandle).persistentAppList, packageNames);
                            saveSettingsLocked(userHandle);
                            sendPersistentAppToIAware(userHandle);
                        }
                    }
                    throw new java.lang.IllegalArgumentException("packageNames is null or empty");
                }
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
            if (this.mHwAdminCache != null) {
                this.mHwAdminCache.syncHwAdminCache(4, getPersistentApp(null, userHandle));
                return;
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("packageName:");
        stringBuilder.append(packageNames);
        stringBuilder.append(" is invalid.");
        throw new java.lang.IllegalArgumentException(stringBuilder.toString());
    }

    private void sendPersistentAppToIAware(int userHandle) {
        java.util.List<java.lang.String> persistAppList = getPersistentApp(null, userHandle);
        java.lang.StringBuilder stringBuilder;
        if (persistAppList == null || persistAppList.size() <= 0) {
            com.android.server.mtm.taskstatus.ProcessCleaner.getInstance(this.mContext).removeProtectedListFromMDM();
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("removeProtectedListFromMDM for user ");
            stringBuilder.append(userHandle);
            android.util.Slog.d("HwDPMS", stringBuilder.toString());
            return;
        }
        com.android.server.mtm.taskstatus.ProcessCleaner.getInstance(this.mContext).setProtectedListFromMDM(persistAppList);
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setProtectedListFromMDM for user ");
        stringBuilder.append(userHandle);
        stringBuilder.append(":");
        stringBuilder.append(persistAppList);
        android.util.Slog.d("HwDPMS", stringBuilder.toString());
    }

    /* JADX WARNING: Missing block: B:25:0x0051, code:
            return r1;
     */
    public java.util.List<java.lang.String> getPersistentApp(android.content.ComponentName r9, int r10) {
        /*
        r8 = this;
        r0 = r8.getLockObject();
        monitor-enter(r0);
        r1 = 0;
        if (r9 == 0) goto L_0x0020;
    L_0x0008:
        r2 = r8.getHwActiveAdmin(r9, r10);	 Catch:{ all -> 0x001e }
        r3 = r2.persistentAppList;	 Catch:{ all -> 0x001e }
        if (r3 == 0) goto L_0x001c;
    L_0x0010:
        r3 = r2.persistentAppList;	 Catch:{ all -> 0x001e }
        r3 = r3.isEmpty();	 Catch:{ all -> 0x001e }
        if (r3 == 0) goto L_0x0019;
    L_0x0018:
        goto L_0x001c;
    L_0x0019:
        r1 = r2.persistentAppList;	 Catch:{ all -> 0x001e }
    L_0x001c:
        monitor-exit(r0);	 Catch:{ all -> 0x001e }
        return r1;
    L_0x001e:
        r1 = move-exception;
        goto L_0x0052;
    L_0x0020:
        r2 = r8.getUserData(r10);	 Catch:{ all -> 0x001e }
        r3 = new java.util.ArrayList;	 Catch:{ all -> 0x001e }
        r3.<init>();	 Catch:{ all -> 0x001e }
        r4 = r2.mAdminList;	 Catch:{ all -> 0x001e }
        r4 = r4.size();	 Catch:{ all -> 0x001e }
        r5 = 0;
    L_0x0030:
        if (r5 >= r4) goto L_0x0048;
    L_0x0032:
        r6 = r2.mAdminList;	 Catch:{ all -> 0x001e }
        r6 = r6.get(r5);	 Catch:{ all -> 0x001e }
        r6 = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) r6;	 Catch:{ all -> 0x001e }
        r7 = r6.mHwActiveAdmin;	 Catch:{ all -> 0x001e }
        if (r7 == 0) goto L_0x0045;
    L_0x003e:
        r7 = r6.mHwActiveAdmin;	 Catch:{ all -> 0x001e }
        r7 = r7.persistentAppList;	 Catch:{ all -> 0x001e }
        com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.addListWithoutDuplicate(r3, r7);	 Catch:{ all -> 0x001e }
    L_0x0045:
        r5 = r5 + 1;
        goto L_0x0030;
    L_0x0048:
        r5 = r3.isEmpty();	 Catch:{ all -> 0x001e }
        if (r5 == 0) goto L_0x004f;
    L_0x004e:
        goto L_0x0050;
    L_0x004f:
        r1 = r3;
    L_0x0050:
        monitor-exit(r0);	 Catch:{ all -> 0x001e }
        return r1;
    L_0x0052:
        monitor-exit(r0);	 Catch:{ all -> 0x001e }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.getPersistentApp(android.content.ComponentName, int):java.util.List<java.lang.String>");
    }

    public void addDisallowedRunningApp(android.content.ComponentName who, java.util.List<java.lang.String> packageNames, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_APP_MANAGEMENT", "Does not hava manager app MDM permission.");
        if (com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isValidatePackageNames(packageNames)) {
            synchronized (getLockObject()) {
                if (who != null) {
                    if (packageNames != null) {
                        if (!packageNames.isEmpty()) {
                            com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdmin(who, userHandle);
                            if (admin.disallowedRunningAppList == null) {
                                admin.disallowedRunningAppList = new java.util.ArrayList();
                            }
                            com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isOverLimit(admin.disallowedRunningAppList, packageNames);
                            filterOutSystemAppList(packageNames, userHandle);
                            com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.addListWithoutDuplicate(admin.disallowedRunningAppList, packageNames);
                            saveSettingsLocked(userHandle);
                            for (java.lang.String packageName : packageNames) {
                                killApplicationInner(packageName);
                            }
                        }
                    }
                    throw new java.lang.IllegalArgumentException("packageNames is null or empty");
                }
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
            if (this.mHwAdminCache != null) {
                this.mHwAdminCache.syncHwAdminCache(5, getDisallowedRunningApp(null, userHandle));
                return;
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("packageName:");
        stringBuilder.append(packageNames);
        stringBuilder.append(" is invalid.");
        throw new java.lang.IllegalArgumentException(stringBuilder.toString());
    }

    public void removeDisallowedRunningApp(android.content.ComponentName who, java.util.List<java.lang.String> packageNames, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_APP_MANAGEMENT", "Does not hava manager app MDM permission.");
        if (com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isValidatePackageNames(packageNames)) {
            synchronized (getLockObject()) {
                if (who != null) {
                    if (packageNames != null) {
                        if (!packageNames.isEmpty()) {
                            com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.removeItemsFromList(getHwActiveAdmin(who, userHandle).disallowedRunningAppList, packageNames);
                            saveSettingsLocked(userHandle);
                        }
                    }
                    throw new java.lang.IllegalArgumentException("packageNames is null or empty");
                }
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
            if (this.mHwAdminCache != null) {
                this.mHwAdminCache.syncHwAdminCache(5, getDisallowedRunningApp(null, userHandle));
                return;
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("packageName:");
        stringBuilder.append(packageNames);
        stringBuilder.append(" is invalid.");
        throw new java.lang.IllegalArgumentException(stringBuilder.toString());
    }

    /* JADX WARNING: Missing block: B:25:0x0051, code:
            return r1;
     */
    public java.util.List<java.lang.String> getDisallowedRunningApp(android.content.ComponentName r9, int r10) {
        /*
        r8 = this;
        r0 = r8.getLockObject();
        monitor-enter(r0);
        r1 = 0;
        if (r9 == 0) goto L_0x0020;
    L_0x0008:
        r2 = r8.getHwActiveAdmin(r9, r10);	 Catch:{ all -> 0x001e }
        r3 = r2.disallowedRunningAppList;	 Catch:{ all -> 0x001e }
        if (r3 == 0) goto L_0x001c;
    L_0x0010:
        r3 = r2.disallowedRunningAppList;	 Catch:{ all -> 0x001e }
        r3 = r3.isEmpty();	 Catch:{ all -> 0x001e }
        if (r3 == 0) goto L_0x0019;
    L_0x0018:
        goto L_0x001c;
    L_0x0019:
        r1 = r2.disallowedRunningAppList;	 Catch:{ all -> 0x001e }
    L_0x001c:
        monitor-exit(r0);	 Catch:{ all -> 0x001e }
        return r1;
    L_0x001e:
        r1 = move-exception;
        goto L_0x0052;
    L_0x0020:
        r2 = r8.getUserData(r10);	 Catch:{ all -> 0x001e }
        r3 = new java.util.ArrayList;	 Catch:{ all -> 0x001e }
        r3.<init>();	 Catch:{ all -> 0x001e }
        r4 = r2.mAdminList;	 Catch:{ all -> 0x001e }
        r4 = r4.size();	 Catch:{ all -> 0x001e }
        r5 = 0;
    L_0x0030:
        if (r5 >= r4) goto L_0x0048;
    L_0x0032:
        r6 = r2.mAdminList;	 Catch:{ all -> 0x001e }
        r6 = r6.get(r5);	 Catch:{ all -> 0x001e }
        r6 = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) r6;	 Catch:{ all -> 0x001e }
        r7 = r6.mHwActiveAdmin;	 Catch:{ all -> 0x001e }
        if (r7 == 0) goto L_0x0045;
    L_0x003e:
        r7 = r6.mHwActiveAdmin;	 Catch:{ all -> 0x001e }
        r7 = r7.disallowedRunningAppList;	 Catch:{ all -> 0x001e }
        com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.addListWithoutDuplicate(r3, r7);	 Catch:{ all -> 0x001e }
    L_0x0045:
        r5 = r5 + 1;
        goto L_0x0030;
    L_0x0048:
        r5 = r3.isEmpty();	 Catch:{ all -> 0x001e }
        if (r5 == 0) goto L_0x004f;
    L_0x004e:
        goto L_0x0050;
    L_0x004f:
        r1 = r3;
    L_0x0050:
        monitor-exit(r0);	 Catch:{ all -> 0x001e }
        return r1;
    L_0x0052:
        monitor-exit(r0);	 Catch:{ all -> 0x001e }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.getDisallowedRunningApp(android.content.ComponentName, int):java.util.List<java.lang.String>");
    }

    public void addInstallPackageWhiteList(android.content.ComponentName who, java.util.List<java.lang.String> packageNames, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_APP_MANAGEMENT", "does not have app_management MDM permission!");
        if (com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isValidatePackageNames(packageNames)) {
            synchronized (getLockObject()) {
                if (who != null) {
                    if (packageNames != null) {
                        if (!packageNames.isEmpty()) {
                            com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdmin(who, userHandle);
                            if (admin.installPackageWhitelist == null) {
                                admin.installPackageWhitelist = new java.util.ArrayList();
                            }
                            com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isOverLimit(admin.installPackageWhitelist, packageNames);
                            com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.addListWithoutDuplicate(admin.installPackageWhitelist, packageNames);
                            saveSettingsLocked(userHandle);
                        }
                    }
                    throw new java.lang.IllegalArgumentException("packageNames is null or empty");
                }
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
            if (this.mHwAdminCache != null) {
                this.mHwAdminCache.syncHwAdminCache(6, getInstallPackageWhiteList(null, userHandle));
                return;
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("packageName:");
        stringBuilder.append(packageNames);
        stringBuilder.append(" is invalid.");
        throw new java.lang.IllegalArgumentException(stringBuilder.toString());
    }

    public void removeInstallPackageWhiteList(android.content.ComponentName who, java.util.List<java.lang.String> packageNames, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_APP_MANAGEMENT", "does not have app_management MDM permission!");
        if (com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isValidatePackageNames(packageNames)) {
            synchronized (getLockObject()) {
                if (who != null) {
                    if (packageNames != null) {
                        if (!packageNames.isEmpty()) {
                            com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.removeItemsFromList(getHwActiveAdmin(who, userHandle).installPackageWhitelist, packageNames);
                            saveSettingsLocked(userHandle);
                        }
                    }
                    throw new java.lang.IllegalArgumentException("packageNames is null or empty");
                }
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
            if (this.mHwAdminCache != null) {
                this.mHwAdminCache.syncHwAdminCache(6, getInstallPackageWhiteList(null, userHandle));
                return;
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("packageName:");
        stringBuilder.append(packageNames);
        stringBuilder.append(" is invalid.");
        throw new java.lang.IllegalArgumentException(stringBuilder.toString());
    }

    /* JADX WARNING: Missing block: B:25:0x0051, code:
            return r1;
     */
    public java.util.List<java.lang.String> getInstallPackageWhiteList(android.content.ComponentName r9, int r10) {
        /*
        r8 = this;
        r0 = r8.getLockObject();
        monitor-enter(r0);
        r1 = 0;
        if (r9 == 0) goto L_0x0020;
    L_0x0008:
        r2 = r8.getHwActiveAdmin(r9, r10);	 Catch:{ all -> 0x001e }
        r3 = r2.installPackageWhitelist;	 Catch:{ all -> 0x001e }
        if (r3 == 0) goto L_0x001c;
    L_0x0010:
        r3 = r2.installPackageWhitelist;	 Catch:{ all -> 0x001e }
        r3 = r3.isEmpty();	 Catch:{ all -> 0x001e }
        if (r3 == 0) goto L_0x0019;
    L_0x0018:
        goto L_0x001c;
    L_0x0019:
        r1 = r2.installPackageWhitelist;	 Catch:{ all -> 0x001e }
    L_0x001c:
        monitor-exit(r0);	 Catch:{ all -> 0x001e }
        return r1;
    L_0x001e:
        r1 = move-exception;
        goto L_0x0052;
    L_0x0020:
        r2 = r8.getUserData(r10);	 Catch:{ all -> 0x001e }
        r3 = new java.util.ArrayList;	 Catch:{ all -> 0x001e }
        r3.<init>();	 Catch:{ all -> 0x001e }
        r4 = r2.mAdminList;	 Catch:{ all -> 0x001e }
        r4 = r4.size();	 Catch:{ all -> 0x001e }
        r5 = 0;
    L_0x0030:
        if (r5 >= r4) goto L_0x0048;
    L_0x0032:
        r6 = r2.mAdminList;	 Catch:{ all -> 0x001e }
        r6 = r6.get(r5);	 Catch:{ all -> 0x001e }
        r6 = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) r6;	 Catch:{ all -> 0x001e }
        r7 = r6.mHwActiveAdmin;	 Catch:{ all -> 0x001e }
        if (r7 == 0) goto L_0x0045;
    L_0x003e:
        r7 = r6.mHwActiveAdmin;	 Catch:{ all -> 0x001e }
        r7 = r7.installPackageWhitelist;	 Catch:{ all -> 0x001e }
        com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.addListWithoutDuplicate(r3, r7);	 Catch:{ all -> 0x001e }
    L_0x0045:
        r5 = r5 + 1;
        goto L_0x0030;
    L_0x0048:
        r5 = r3.isEmpty();	 Catch:{ all -> 0x001e }
        if (r5 == 0) goto L_0x004f;
    L_0x004e:
        goto L_0x0050;
    L_0x004f:
        r1 = r3;
    L_0x0050:
        monitor-exit(r0);	 Catch:{ all -> 0x001e }
        return r1;
    L_0x0052:
        monitor-exit(r0);	 Catch:{ all -> 0x001e }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.getInstallPackageWhiteList(android.content.ComponentName, int):java.util.List<java.lang.String>");
    }

    public void addDisallowedUninstallPackages(android.content.ComponentName who, java.util.List<java.lang.String> packageNames, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_APP_MANAGEMENT", "does not have app_management MDM permission!");
        if (com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isValidatePackageNames(packageNames)) {
            synchronized (getLockObject()) {
                if (who != null) {
                    if (packageNames != null) {
                        if (!packageNames.isEmpty()) {
                            com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdmin(who, userHandle);
                            if (admin.disallowedUninstallPackageList == null) {
                                admin.disallowedUninstallPackageList = new java.util.ArrayList();
                            }
                            com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isOverLimit(admin.disallowedUninstallPackageList, packageNames);
                            filterOutSystemAppList(packageNames, userHandle);
                            com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.addListWithoutDuplicate(admin.disallowedUninstallPackageList, packageNames);
                            saveSettingsLocked(userHandle);
                        }
                    }
                    throw new java.lang.IllegalArgumentException("packageNames is null or empty");
                }
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
            if (this.mHwAdminCache != null) {
                this.mHwAdminCache.syncHwAdminCache(7, getDisallowedUninstallPackageList(null, userHandle));
                return;
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("packageName:");
        stringBuilder.append(packageNames);
        stringBuilder.append(" is invalid.");
        throw new java.lang.IllegalArgumentException(stringBuilder.toString());
    }

    public void removeDisallowedUninstallPackages(android.content.ComponentName who, java.util.List<java.lang.String> packageNames, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_APP_MANAGEMENT", "does not have app_management MDM permission!");
        if (com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isValidatePackageNames(packageNames)) {
            synchronized (getLockObject()) {
                if (who != null) {
                    if (packageNames != null) {
                        if (!packageNames.isEmpty()) {
                            com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.removeItemsFromList(getHwActiveAdmin(who, userHandle).disallowedUninstallPackageList, packageNames);
                            saveSettingsLocked(userHandle);
                        }
                    }
                    throw new java.lang.IllegalArgumentException("packageNames is null or empty");
                }
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
            if (this.mHwAdminCache != null) {
                this.mHwAdminCache.syncHwAdminCache(7, getDisallowedUninstallPackageList(null, userHandle));
                return;
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("packageName:");
        stringBuilder.append(packageNames);
        stringBuilder.append(" is invalid.");
        throw new java.lang.IllegalArgumentException(stringBuilder.toString());
    }

    /* JADX WARNING: Missing block: B:25:0x0051, code:
            return r1;
     */
    public java.util.List<java.lang.String> getDisallowedUninstallPackageList(android.content.ComponentName r9, int r10) {
        /*
        r8 = this;
        r0 = r8.getLockObject();
        monitor-enter(r0);
        r1 = 0;
        if (r9 == 0) goto L_0x0020;
    L_0x0008:
        r2 = r8.getHwActiveAdmin(r9, r10);	 Catch:{ all -> 0x001e }
        r3 = r2.disallowedUninstallPackageList;	 Catch:{ all -> 0x001e }
        if (r3 == 0) goto L_0x001c;
    L_0x0010:
        r3 = r2.disallowedUninstallPackageList;	 Catch:{ all -> 0x001e }
        r3 = r3.isEmpty();	 Catch:{ all -> 0x001e }
        if (r3 == 0) goto L_0x0019;
    L_0x0018:
        goto L_0x001c;
    L_0x0019:
        r1 = r2.disallowedUninstallPackageList;	 Catch:{ all -> 0x001e }
    L_0x001c:
        monitor-exit(r0);	 Catch:{ all -> 0x001e }
        return r1;
    L_0x001e:
        r1 = move-exception;
        goto L_0x0052;
    L_0x0020:
        r2 = r8.getUserData(r10);	 Catch:{ all -> 0x001e }
        r3 = new java.util.ArrayList;	 Catch:{ all -> 0x001e }
        r3.<init>();	 Catch:{ all -> 0x001e }
        r4 = r2.mAdminList;	 Catch:{ all -> 0x001e }
        r4 = r4.size();	 Catch:{ all -> 0x001e }
        r5 = 0;
    L_0x0030:
        if (r5 >= r4) goto L_0x0048;
    L_0x0032:
        r6 = r2.mAdminList;	 Catch:{ all -> 0x001e }
        r6 = r6.get(r5);	 Catch:{ all -> 0x001e }
        r6 = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) r6;	 Catch:{ all -> 0x001e }
        r7 = r6.mHwActiveAdmin;	 Catch:{ all -> 0x001e }
        if (r7 == 0) goto L_0x0045;
    L_0x003e:
        r7 = r6.mHwActiveAdmin;	 Catch:{ all -> 0x001e }
        r7 = r7.disallowedUninstallPackageList;	 Catch:{ all -> 0x001e }
        com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.addListWithoutDuplicate(r3, r7);	 Catch:{ all -> 0x001e }
    L_0x0045:
        r5 = r5 + 1;
        goto L_0x0030;
    L_0x0048:
        r5 = r3.isEmpty();	 Catch:{ all -> 0x001e }
        if (r5 == 0) goto L_0x004f;
    L_0x004e:
        goto L_0x0050;
    L_0x004f:
        r1 = r3;
    L_0x0050:
        monitor-exit(r0);	 Catch:{ all -> 0x001e }
        return r1;
    L_0x0052:
        monitor-exit(r0);	 Catch:{ all -> 0x001e }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.getDisallowedUninstallPackageList(android.content.ComponentName, int):java.util.List<java.lang.String>");
    }

    public void addDisabledDeactivateMdmPackages(android.content.ComponentName who, java.util.List<java.lang.String> packageNames, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_APP_MANAGEMENT", "does not have app_management MDM permission!");
        if (com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isValidatePackageNames(packageNames)) {
            synchronized (getLockObject()) {
                if (who != null) {
                    if (packageNames != null) {
                        if (!packageNames.isEmpty()) {
                            com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdmin(who, userHandle);
                            if (admin.disabledDeactiveMdmPackagesList == null) {
                                admin.disabledDeactiveMdmPackagesList = new java.util.ArrayList();
                            }
                            com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isOverLimit(admin.disabledDeactiveMdmPackagesList, packageNames);
                            filterOutSystemAppList(packageNames, userHandle);
                            com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.addListWithoutDuplicate(admin.disabledDeactiveMdmPackagesList, packageNames);
                            saveSettingsLocked(userHandle);
                        }
                    }
                    throw new java.lang.IllegalArgumentException("packageNames is null or empty");
                }
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
            if (this.mHwAdminCache != null) {
                this.mHwAdminCache.syncHwAdminCache(18, getDisabledDeactivateMdmPackageList(null, userHandle));
                return;
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("packageName:");
        stringBuilder.append(packageNames);
        stringBuilder.append(" is invalid.");
        throw new java.lang.IllegalArgumentException(stringBuilder.toString());
    }

    public void removeDisabledDeactivateMdmPackages(android.content.ComponentName who, java.util.List<java.lang.String> packageNames, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_APP_MANAGEMENT", "does not have app_management MDM permission!");
        if (com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isValidatePackageNames(packageNames)) {
            synchronized (getLockObject()) {
                if (who != null) {
                    if (packageNames != null) {
                        if (!packageNames.isEmpty()) {
                            com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.removeItemsFromList(getHwActiveAdmin(who, userHandle).disabledDeactiveMdmPackagesList, packageNames);
                            saveSettingsLocked(userHandle);
                        }
                    }
                    throw new java.lang.IllegalArgumentException("packageNames is null or empty");
                }
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
            if (this.mHwAdminCache != null) {
                this.mHwAdminCache.syncHwAdminCache(18, getDisabledDeactivateMdmPackageList(null, userHandle));
                return;
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("packageName:");
        stringBuilder.append(packageNames);
        stringBuilder.append(" is invalid.");
        throw new java.lang.IllegalArgumentException(stringBuilder.toString());
    }

    /* JADX WARNING: Missing block: B:25:0x0051, code:
            return r1;
     */
    public java.util.List<java.lang.String> getDisabledDeactivateMdmPackageList(android.content.ComponentName r9, int r10) {
        /*
        r8 = this;
        r0 = r8.getLockObject();
        monitor-enter(r0);
        r1 = 0;
        if (r9 == 0) goto L_0x0020;
    L_0x0008:
        r2 = r8.getHwActiveAdmin(r9, r10);	 Catch:{ all -> 0x001e }
        r3 = r2.disabledDeactiveMdmPackagesList;	 Catch:{ all -> 0x001e }
        if (r3 == 0) goto L_0x001c;
    L_0x0010:
        r3 = r2.disabledDeactiveMdmPackagesList;	 Catch:{ all -> 0x001e }
        r3 = r3.isEmpty();	 Catch:{ all -> 0x001e }
        if (r3 == 0) goto L_0x0019;
    L_0x0018:
        goto L_0x001c;
    L_0x0019:
        r1 = r2.disabledDeactiveMdmPackagesList;	 Catch:{ all -> 0x001e }
    L_0x001c:
        monitor-exit(r0);	 Catch:{ all -> 0x001e }
        return r1;
    L_0x001e:
        r1 = move-exception;
        goto L_0x0052;
    L_0x0020:
        r2 = r8.getUserData(r10);	 Catch:{ all -> 0x001e }
        r3 = new java.util.ArrayList;	 Catch:{ all -> 0x001e }
        r3.<init>();	 Catch:{ all -> 0x001e }
        r4 = r2.mAdminList;	 Catch:{ all -> 0x001e }
        r4 = r4.size();	 Catch:{ all -> 0x001e }
        r5 = 0;
    L_0x0030:
        if (r5 >= r4) goto L_0x0048;
    L_0x0032:
        r6 = r2.mAdminList;	 Catch:{ all -> 0x001e }
        r6 = r6.get(r5);	 Catch:{ all -> 0x001e }
        r6 = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) r6;	 Catch:{ all -> 0x001e }
        r7 = r6.mHwActiveAdmin;	 Catch:{ all -> 0x001e }
        if (r7 == 0) goto L_0x0045;
    L_0x003e:
        r7 = r6.mHwActiveAdmin;	 Catch:{ all -> 0x001e }
        r7 = r7.disabledDeactiveMdmPackagesList;	 Catch:{ all -> 0x001e }
        com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.addListWithoutDuplicate(r3, r7);	 Catch:{ all -> 0x001e }
    L_0x0045:
        r5 = r5 + 1;
        goto L_0x0030;
    L_0x0048:
        r5 = r3.isEmpty();	 Catch:{ all -> 0x001e }
        if (r5 == 0) goto L_0x004f;
    L_0x004e:
        goto L_0x0050;
    L_0x004f:
        r1 = r3;
    L_0x0050:
        monitor-exit(r0);	 Catch:{ all -> 0x001e }
        return r1;
    L_0x0052:
        monitor-exit(r0);	 Catch:{ all -> 0x001e }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.getDisabledDeactivateMdmPackageList(android.content.ComponentName, int):java.util.List<java.lang.String>");
    }

    public void killApplicationProcess(android.content.ComponentName who, java.lang.String packageName, int userHandle) {
        if (com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isValidatePackageName(packageName)) {
            enforceHwCrossUserPermission(userHandle);
            this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_APP_MANAGEMENT", "Does not hava application management permission.");
            synchronized (getLockObject()) {
                if (who == null) {
                    throw new java.lang.IllegalArgumentException("ComponentName is null");
                } else if (android.text.TextUtils.isEmpty(packageName)) {
                    throw new java.lang.IllegalArgumentException("Package name is empty");
                } else if (packageName.equals(who.getPackageName())) {
                    throw new java.lang.IllegalArgumentException("Can not kill the caller application");
                } else {
                    enforceCheckNotSystemApp(packageName, userHandle);
                    if (getHwActiveAdmin(who, userHandle) != null) {
                        killApplicationInner(packageName);
                    }
                }
            }
            return;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("packageName:");
        stringBuilder.append(packageName);
        stringBuilder.append(" is invalid.");
        throw new java.lang.IllegalArgumentException(stringBuilder.toString());
    }

    private void killApplicationInner(java.lang.String packageName) {
        long ident = android.os.Binder.clearCallingIdentity();
        try {
            android.app.ActivityManager am = (android.app.ActivityManager) this.mContext.getSystemService("activity");
            for (android.app.ActivityManager.RunningTaskInfo ti : am.getRunningTasks(10000)) {
                if (packageName.equals(ti.baseActivity.getPackageName())) {
                    android.app.ActivityManager.getService().removeTask(ti.id);
                    am.forceStopPackage(packageName);
                    break;
                }
            }
        } catch (android.os.RemoteException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("killApplicationInner exception is ");
            stringBuilder.append(e.getMessage());
            android.util.Log.e("HwDPMS", stringBuilder.toString());
        } catch (Throwable th) {
            android.os.Binder.restoreCallingIdentity(ident);
        }
        android.os.Binder.restoreCallingIdentity(ident);
    }

    public void shutdownOrRebootDevice(int code, android.content.ComponentName who, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_DEVICE_MANAGER", "does not have device_manager MDM permission!");
        synchronized (getLockObject()) {
            if (who != null) {
                getHwActiveAdmin(who, userHandle);
                long callingId = android.os.Binder.clearCallingIdentity();
                try {
                    android.os.IPowerManager power = android.os.IPowerManager.Stub.asInterface(android.os.ServiceManager.getService("power"));
                    if (power == null) {
                        android.os.Binder.restoreCallingIdentity(callingId);
                        return;
                    }
                    if (code == 1501) {
                        power.shutdown(false, null, false);
                    } else if (code == 1502) {
                        power.reboot(false, null, false);
                    }
                    android.os.Binder.restoreCallingIdentity(callingId);
                } catch (android.os.RemoteException e) {
                    try {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("exception is ");
                        stringBuilder.append(e.getMessage());
                        android.util.Log.e("HwDPMS", stringBuilder.toString());
                    } finally {
                        android.os.Binder.restoreCallingIdentity(callingId);
                    }
                }
            } else {
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
        }
    }

    public void configExchangeMailProvider(android.content.ComponentName who, android.os.Bundle para, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_EMAIL", "does not have EMAIL MDM permission!");
        synchronized (getLockObject()) {
            if (who == null || para == null) {
                throw new java.lang.IllegalArgumentException("ComponentName or para is null");
            } else if (com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isValidExchangeParameter(para)) {
                com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin ap = getHwActiveAdmin(who, userHandle);
                if (ap.mailProviderlist == null) {
                    ap.mailProviderlist = new java.util.ArrayList();
                    ap.mailProviderlist.add(para);
                    saveSettingsLocked(userHandle);
                } else if (ap.mailProviderlist.size() + 1 <= 20) {
                    boolean isAlready = false;
                    android.os.Bundle provider = null;
                    for (android.os.Bundle each : ap.mailProviderlist) {
                        if (com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.matchProvider(para.getString("domain"), each.getString("domain"))) {
                            isAlready = true;
                            provider = each;
                            break;
                        }
                    }
                    if (isAlready && provider != null) {
                        ap.mailProviderlist.remove(provider);
                    }
                    ap.mailProviderlist.add(para);
                    saveSettingsLocked(userHandle);
                } else {
                    throw new java.lang.IllegalArgumentException("already exceeds max number.");
                }
            } else {
                throw new java.lang.IllegalArgumentException("some paremeter is null");
            }
        }
    }

    /* JADX WARNING: Missing block: B:23:0x0044, code:
            return r0;
     */
    public android.os.Bundle getMailProviderForDomain(android.content.ComponentName r10, java.lang.String r11, int r12) {
        /*
        r9 = this;
        r0 = 0;
        if (r12 == 0) goto L_0x0004;
    L_0x0003:
        return r0;
    L_0x0004:
        r1 = android.text.TextUtils.isEmpty(r11);
        if (r1 != 0) goto L_0x0090;
    L_0x000a:
        r1 = r9.getLockObject();
        monitor-enter(r1);
        if (r10 == 0) goto L_0x0047;
    L_0x0011:
        r2 = r9.getHwActiveAdmin(r10, r12);	 Catch:{ all -> 0x0045 }
        r3 = r2.mailProviderlist;	 Catch:{ all -> 0x0045 }
        if (r3 != 0) goto L_0x001b;
    L_0x0019:
        monitor-exit(r1);	 Catch:{ all -> 0x0045 }
        return r0;
    L_0x001b:
        r3 = 0;
        r4 = 0;
        r5 = r2.mailProviderlist;	 Catch:{ all -> 0x0045 }
        r5 = r5.iterator();	 Catch:{ all -> 0x0045 }
    L_0x0023:
        r6 = r5.hasNext();	 Catch:{ all -> 0x0045 }
        if (r6 == 0) goto L_0x003f;
    L_0x0029:
        r6 = r5.next();	 Catch:{ all -> 0x0045 }
        r6 = (android.os.Bundle) r6;	 Catch:{ all -> 0x0045 }
        r7 = "domain";
        r7 = r6.getString(r7);	 Catch:{ all -> 0x0045 }
        r7 = com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.matchProvider(r11, r7);	 Catch:{ all -> 0x0045 }
        r3 = r7;
        if (r3 == 0) goto L_0x003e;
    L_0x003c:
        r4 = r6;
        goto L_0x003f;
    L_0x003e:
        goto L_0x0023;
    L_0x003f:
        if (r3 == 0) goto L_0x0043;
    L_0x0041:
        r0 = r4;
    L_0x0043:
        monitor-exit(r1);	 Catch:{ all -> 0x0045 }
        return r0;
    L_0x0045:
        r0 = move-exception;
        goto L_0x008e;
    L_0x0047:
        r2 = r9.getUserData(r12);	 Catch:{ all -> 0x0045 }
        r3 = r2.mAdminList;	 Catch:{ all -> 0x0045 }
        r3 = r3.size();	 Catch:{ all -> 0x0045 }
        r4 = 0;
    L_0x0052:
        if (r4 >= r3) goto L_0x008c;
    L_0x0054:
        r5 = r2.mAdminList;	 Catch:{ all -> 0x0045 }
        r5 = r5.get(r4);	 Catch:{ all -> 0x0045 }
        r5 = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) r5;	 Catch:{ all -> 0x0045 }
        r6 = r5.mHwActiveAdmin;	 Catch:{ all -> 0x0045 }
        if (r6 == 0) goto L_0x0089;
    L_0x0060:
        r6 = r5.mHwActiveAdmin;	 Catch:{ all -> 0x0045 }
        r6 = r6.mailProviderlist;	 Catch:{ all -> 0x0045 }
        if (r6 == 0) goto L_0x0089;
    L_0x0066:
        r6 = r5.mHwActiveAdmin;	 Catch:{ all -> 0x0045 }
        r6 = r6.mailProviderlist;	 Catch:{ all -> 0x0045 }
        r6 = r6.iterator();	 Catch:{ all -> 0x0045 }
    L_0x006e:
        r7 = r6.hasNext();	 Catch:{ all -> 0x0045 }
        if (r7 == 0) goto L_0x0089;
    L_0x0074:
        r7 = r6.next();	 Catch:{ all -> 0x0045 }
        r7 = (android.os.Bundle) r7;	 Catch:{ all -> 0x0045 }
        r8 = "domain";
        r8 = r7.getString(r8);	 Catch:{ all -> 0x0045 }
        r8 = com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.matchProvider(r11, r8);	 Catch:{ all -> 0x0045 }
        if (r8 == 0) goto L_0x0088;
    L_0x0086:
        monitor-exit(r1);	 Catch:{ all -> 0x0045 }
        return r7;
    L_0x0088:
        goto L_0x006e;
    L_0x0089:
        r4 = r4 + 1;
        goto L_0x0052;
    L_0x008c:
        monitor-exit(r1);	 Catch:{ all -> 0x0045 }
        return r0;
    L_0x008e:
        monitor-exit(r1);	 Catch:{ all -> 0x0045 }
        throw r0;
    L_0x0090:
        r0 = new java.lang.IllegalArgumentException;
        r1 = "domain is empty.";
        r0.<init>(r1);
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.getMailProviderForDomain(android.content.ComponentName, java.lang.String, int):android.os.Bundle");
    }

    public boolean isRooted(android.content.ComponentName who, int userHandle) {
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_DEVICE_MANAGER", "does not have device_manager MDM permission!");
        synchronized (getLockObject()) {
            if (who != null) {
                getHwActiveAdmin(who, userHandle);
                java.lang.String currentState = android.os.SystemProperties.get("persist.sys.root.status");
                if (!android.text.TextUtils.isEmpty(currentState)) {
                    if ("0".equals(currentState)) {
                        return false;
                    }
                }
                return true;
            }
            throw new java.lang.IllegalArgumentException("ComponentName is null");
        }
    }

    public void setSafeModeDisabled(android.content.ComponentName who, boolean disabled, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_DEVICE_MANAGER", "does not have DEVICE MANAGER permission!");
        synchronized (getLockObject()) {
            if (who != null) {
                com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdmin(who, userHandle);
                if (admin.disableSafeMode != disabled) {
                    admin.disableSafeMode = disabled;
                    saveSettingsLocked(userHandle);
                }
            } else {
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
        }
        if (this.mHwAdminCache != null) {
            this.mHwAdminCache.syncHwAdminCache(10, isSafeModeDisabled(null, userHandle));
        }
    }

    public boolean isSafeModeDisabled(android.content.ComponentName who, int userHandle) {
        synchronized (getLockObject()) {
            if (who != null) {
                try {
                    boolean z = getHwActiveAdmin(who, userHandle).disableSafeMode;
                    return z;
                } catch (Throwable th) {
                }
            } else {
                com.android.server.devicepolicy.DevicePolicyManagerService.DevicePolicyData policy = getUserData(userHandle);
                int N = policy.mAdminList.size();
                int i = 0;
                while (i < N) {
                    com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) policy.mAdminList.get(i);
                    if (admin.mHwActiveAdmin == null || !admin.mHwActiveAdmin.disableSafeMode) {
                        i++;
                    } else {
                        return true;
                    }
                }
                return false;
            }
        }
    }

    public void setAdbDisabled(android.content.ComponentName who, boolean disabled, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_USB", "does not have MDM_USB permission!");
        synchronized (getLockObject()) {
            if (who != null) {
                com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdmin(who, userHandle);
                if (admin.disableAdb != disabled) {
                    admin.disableAdb = disabled;
                    saveSettingsLocked(userHandle);
                }
            } else {
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
        }
        long identityToken = android.os.Binder.clearCallingIdentity();
        if (disabled) {
            if (android.provider.Settings.Global.getInt(this.mContext.getContentResolver(), "adb_enabled", 0) > 0) {
                android.provider.Settings.Global.putInt(this.mContext.getContentResolver(), "adb_enabled", 0);
            }
        }
        android.os.Binder.restoreCallingIdentity(identityToken);
        if (this.mHwAdminCache != null) {
            this.mHwAdminCache.syncHwAdminCache(11, isAdbDisabled(null, userHandle));
        }
    }

    public boolean isAdbDisabled(android.content.ComponentName who, int userHandle) {
        synchronized (getLockObject()) {
            if (who != null) {
                try {
                    boolean z = getHwActiveAdmin(who, userHandle).disableAdb;
                    return z;
                } catch (Throwable th) {
                }
            } else {
                com.android.server.devicepolicy.DevicePolicyManagerService.DevicePolicyData policy = getUserData(userHandle);
                int N = policy.mAdminList.size();
                int i = 0;
                while (i < N) {
                    com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) policy.mAdminList.get(i);
                    if (admin.mHwActiveAdmin == null || !admin.mHwActiveAdmin.disableAdb) {
                        i++;
                    } else {
                        return true;
                    }
                }
                return false;
            }
        }
    }

    public void setUSBOtgDisabled(android.content.ComponentName who, boolean disabled, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_USB", "does not have MDM_USB permission!");
        synchronized (getLockObject()) {
            if (who != null) {
                com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdmin(who, userHandle);
                if (admin.disableUSBOtg != disabled) {
                    admin.disableUSBOtg = disabled;
                    saveSettingsLocked(userHandle);
                }
            } else {
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
        }
        long identityToken = android.os.Binder.clearCallingIdentity();
        android.os.storage.StorageManager sm = (android.os.storage.StorageManager) this.mContext.getSystemService("storage");
        for (android.os.storage.StorageVolume storageVolume : sm.getVolumeList()) {
            if (storageVolume.isRemovable()) {
                if ("mounted".equals(sm.getVolumeState(storageVolume.getPath()))) {
                    android.os.storage.VolumeInfo volumeInfo = sm.findVolumeByUuid(storageVolume.getUuid());
                    if (volumeInfo != null) {
                        android.os.storage.DiskInfo diskInfo = volumeInfo.getDisk();
                        if (diskInfo != null && diskInfo.isUsb()) {
                            android.util.Slog.e("HwDPMS", "find usb otg device mounted , umounted it");
                            sm.unmount(storageVolume.getId());
                        }
                    }
                }
            }
        }
        android.os.Binder.restoreCallingIdentity(identityToken);
        if (this.mHwAdminCache != null) {
            this.mHwAdminCache.syncHwAdminCache(12, isUSBOtgDisabled(null, userHandle));
        }
    }

    public boolean isUSBOtgDisabled(android.content.ComponentName who, int userHandle) {
        synchronized (getLockObject()) {
            if (who != null) {
                try {
                    boolean z = getHwActiveAdmin(who, userHandle).disableUSBOtg;
                    return z;
                } catch (Throwable th) {
                }
            } else {
                com.android.server.devicepolicy.DevicePolicyManagerService.DevicePolicyData policy = getUserData(userHandle);
                int N = policy.mAdminList.size();
                int i = 0;
                while (i < N) {
                    com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) policy.mAdminList.get(i);
                    if (admin.mHwActiveAdmin == null || !admin.mHwActiveAdmin.disableUSBOtg) {
                        i++;
                    } else {
                        return true;
                    }
                }
                return false;
            }
        }
    }

    public void setGPSDisabled(android.content.ComponentName who, boolean disabled, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_LOCATION", "does not have MDM_LOCATION permission!");
        synchronized (getLockObject()) {
            if (who != null) {
                com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdmin(who, userHandle);
                if (admin.disableGPS != disabled) {
                    admin.disableGPS = disabled;
                    saveSettingsLocked(userHandle);
                }
            } else {
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
        }
        if (isGPSTurnOn(who, userHandle) && disabled) {
            turnOnGPS(who, false, userHandle);
        }
        if (this.mHwAdminCache != null) {
            this.mHwAdminCache.syncHwAdminCache(13, isGPSDisabled(null, userHandle));
        }
    }

    public boolean isGPSDisabled(android.content.ComponentName who, int userHandle) {
        synchronized (getLockObject()) {
            if (who != null) {
                try {
                    boolean z = getHwActiveAdmin(who, userHandle).disableGPS;
                    return z;
                } catch (Throwable th) {
                }
            } else {
                com.android.server.devicepolicy.DevicePolicyManagerService.DevicePolicyData policy = getUserData(userHandle);
                int N = policy.mAdminList.size();
                int i = 0;
                while (i < N) {
                    com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) policy.mAdminList.get(i);
                    if (admin.mHwActiveAdmin == null || !admin.mHwActiveAdmin.disableGPS) {
                        i++;
                    } else {
                        return true;
                    }
                }
                return false;
            }
        }
    }

    public void turnOnGPS(android.content.ComponentName who, boolean on, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_LOCATION", "does not have MDM_LOCATION permission!");
        if (who != null) {
            synchronized (getLockObject()) {
                getHwActiveAdmin(who, userHandle);
            }
            if (isGPSTurnOn(who, userHandle) != on) {
                long identityToken = android.os.Binder.clearCallingIdentity();
                if (!android.provider.Settings.Secure.setLocationProviderEnabledForUser(this.mContext.getContentResolver(), "gps", on, android.app.ActivityManager.getCurrentUser())) {
                    android.util.Log.e("HwDPMS", "setLocationProviderEnabledForUser failed");
                }
                android.os.Binder.restoreCallingIdentity(identityToken);
                return;
            }
            return;
        }
        throw new java.lang.IllegalArgumentException("ComponentName is null");
    }

    public boolean isGPSTurnOn(android.content.ComponentName who, int userHandle) {
        synchronized (getLockObject()) {
            getHwActiveAdmin(who, userHandle);
        }
        long identityToken = android.os.Binder.clearCallingIdentity();
        boolean isGPSEnabled = android.provider.Settings.Secure.isLocationProviderEnabledForUser(this.mContext.getContentResolver(), "gps", android.app.ActivityManager.getCurrentUser());
        android.os.Binder.restoreCallingIdentity(identityToken);
        return isGPSEnabled;
    }

    public void setTaskButtonDisabled(android.content.ComponentName who, boolean disabled, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_DEVICE_MANAGER", "does not have DEVICE MANAGER permission!");
        synchronized (getLockObject()) {
            if (who != null) {
                com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdmin(who, userHandle);
                if (admin.disableTaskKey != disabled) {
                    admin.disableTaskKey = disabled;
                    saveSettingsLocked(userHandle);
                }
            } else {
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
        }
        if (this.mHwAdminCache != null) {
            this.mHwAdminCache.syncHwAdminCache(15, isTaskButtonDisabled(null, userHandle));
        }
    }

    public boolean isTaskButtonDisabled(android.content.ComponentName who, int userHandle) {
        synchronized (getLockObject()) {
            if (who != null) {
                try {
                    boolean z = getHwActiveAdmin(who, userHandle).disableTaskKey;
                    return z;
                } catch (Throwable th) {
                }
            } else {
                com.android.server.devicepolicy.DevicePolicyManagerService.DevicePolicyData policy = getUserData(userHandle);
                int N = policy.mAdminList.size();
                int i = 0;
                while (i < N) {
                    com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) policy.mAdminList.get(i);
                    if (admin.mHwActiveAdmin == null || !admin.mHwActiveAdmin.disableTaskKey) {
                        i++;
                    } else {
                        return true;
                    }
                }
                return false;
            }
        }
    }

    public void setHomeButtonDisabled(android.content.ComponentName who, boolean disabled, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_DEVICE_MANAGER", "does not have DEVICE MANAGER permission!");
        synchronized (getLockObject()) {
            if (who != null) {
                com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdmin(who, userHandle);
                if (admin.disableHomeKey != disabled) {
                    admin.disableHomeKey = disabled;
                    saveSettingsLocked(userHandle);
                }
            } else {
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
        }
        if (this.mHwAdminCache != null) {
            this.mHwAdminCache.syncHwAdminCache(14, isHomeButtonDisabled(null, userHandle));
        }
    }

    public boolean isHomeButtonDisabled(android.content.ComponentName who, int userHandle) {
        synchronized (getLockObject()) {
            if (who != null) {
                try {
                    boolean z = getHwActiveAdmin(who, userHandle).disableHomeKey;
                    return z;
                } catch (Throwable th) {
                }
            } else {
                com.android.server.devicepolicy.DevicePolicyManagerService.DevicePolicyData policy = getUserData(userHandle);
                int N = policy.mAdminList.size();
                int i = 0;
                while (i < N) {
                    com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) policy.mAdminList.get(i);
                    if (admin.mHwActiveAdmin == null || !admin.mHwActiveAdmin.disableHomeKey) {
                        i++;
                    } else {
                        return true;
                    }
                }
                return false;
            }
        }
    }

    public void setBackButtonDisabled(android.content.ComponentName who, boolean disabled, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_DEVICE_MANAGER", "does not have DEVICE MANAGER permission!");
        synchronized (getLockObject()) {
            if (who != null) {
                com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdmin(who, userHandle);
                if (admin.disableBackKey != disabled) {
                    admin.disableBackKey = disabled;
                    saveSettingsLocked(userHandle);
                }
            } else {
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
        }
        if (this.mHwAdminCache != null) {
            this.mHwAdminCache.syncHwAdminCache(16, isBackButtonDisabled(null, userHandle));
        }
    }

    public boolean isBackButtonDisabled(android.content.ComponentName who, int userHandle) {
        synchronized (getLockObject()) {
            if (who != null) {
                try {
                    boolean z = getHwActiveAdmin(who, userHandle).disableBackKey;
                    return z;
                } catch (Throwable th) {
                }
            } else {
                com.android.server.devicepolicy.DevicePolicyManagerService.DevicePolicyData policy = getUserData(userHandle);
                int N = policy.mAdminList.size();
                int i = 0;
                while (i < N) {
                    com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) policy.mAdminList.get(i);
                    if (admin.mHwActiveAdmin == null || !admin.mHwActiveAdmin.disableBackKey) {
                        i++;
                    } else {
                        return true;
                    }
                }
                return false;
            }
        }
    }

    public void setSysTime(android.content.ComponentName who, long millis, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_DEVICE_MANAGER", "does not have device manager MDM permission!");
        synchronized (getLockObject()) {
            if (who != null) {
                getHwActiveAdmin(who, userHandle);
                long id = android.os.Binder.clearCallingIdentity();
                android.os.SystemClock.setCurrentTimeMillis(millis);
                android.os.Binder.restoreCallingIdentity(id);
            } else {
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
        }
    }

    public void setCustomSettingsMenu(android.content.ComponentName who, java.util.List<java.lang.String> menusToDelete, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_DEVICE_MANAGER", "does not have device_manager MDM permission!");
        synchronized (getLockObject()) {
            if (who != null) {
                getHwActiveAdmin(who, userHandle);
                long callingId = android.os.Binder.clearCallingIdentity();
                if (menusToDelete != null) {
                    try {
                        if (!menusToDelete.isEmpty()) {
                            java.lang.String oldMenus = android.provider.Settings.Global.getStringForUser(this.mContext.getContentResolver(), "settings_menus_remove", userHandle);
                            java.lang.String splitter = ",";
                            java.lang.StringBuffer newMenus = new java.lang.StringBuffer();
                            if (!android.text.TextUtils.isEmpty(oldMenus)) {
                                newMenus.append(oldMenus);
                            }
                            for (java.lang.String menu : menusToDelete) {
                                if (oldMenus == null || !oldMenus.contains(menu)) {
                                    newMenus.append(menu);
                                    newMenus.append(splitter);
                                }
                            }
                            android.provider.Settings.Global.putStringForUser(this.mContext.getContentResolver(), "settings_menus_remove", newMenus.toString(), userHandle);
                            return;
                        }
                    } finally {
                        android.os.Binder.restoreCallingIdentity(callingId);
                    }
                }
                android.provider.Settings.Global.putStringForUser(this.mContext.getContentResolver(), "settings_menus_remove", "", userHandle);
                android.os.Binder.restoreCallingIdentity(callingId);
                return;
            }
            throw new java.lang.IllegalArgumentException("ComponentName is null");
        }
    }

    public void setDefaultLauncher(android.content.ComponentName who, java.lang.String packageName, java.lang.String className, int userHandle) {
        if (android.text.TextUtils.isEmpty(packageName)) {
            throw new java.lang.IllegalArgumentException("packageName is null or empty");
        } else if (android.text.TextUtils.isEmpty(className)) {
            throw new java.lang.IllegalArgumentException("className is null or empty");
        } else {
            enforceHwCrossUserPermission(userHandle);
            this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.SDK_LAUNCHER", "Does not have sdk_launcher permission.");
            synchronized (getLockObject()) {
                if (who != null) {
                    com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdmin(who, userHandle);
                    long callingId = android.os.Binder.clearCallingIdentity();
                    com.android.server.devicepolicy.LauncherUtils.setDefaultLauncher(this.mContext, packageName, className);
                    android.os.Binder.restoreCallingIdentity(callingId);
                    admin.disableChangeLauncher = true;
                    saveSettingsLocked(userHandle);
                    if (this.mHwAdminCache != null) {
                        this.mHwAdminCache.syncHwAdminCache(17, isChangeLauncherDisabled(null, userHandle));
                    }
                } else {
                    throw new java.lang.IllegalArgumentException("ComponentName is null");
                }
            }
        }
    }

    public void clearDefaultLauncher(android.content.ComponentName who, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.SDK_LAUNCHER", "Does not have sdk_launcher permission.");
        synchronized (getLockObject()) {
            if (who != null) {
                getHwActiveAdmin(who, userHandle).disableChangeLauncher = false;
                saveSettingsLocked(userHandle);
                if (this.mHwAdminCache != null) {
                    this.mHwAdminCache.syncHwAdminCache(17, isChangeLauncherDisabled(null, userHandle));
                }
                long callingId = android.os.Binder.clearCallingIdentity();
                com.android.server.devicepolicy.LauncherUtils.clearDefaultLauncher(this.mContext);
                android.os.Binder.restoreCallingIdentity(callingId);
            } else {
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
        }
    }

    public boolean isChangeLauncherDisabled(android.content.ComponentName who, int userHandle) {
        synchronized (getLockObject()) {
            if (who != null) {
                try {
                    boolean z = getHwActiveAdmin(who, userHandle).disableChangeLauncher;
                    return z;
                } catch (Throwable th) {
                }
            } else {
                com.android.server.devicepolicy.DevicePolicyManagerService.DevicePolicyData policy = getUserData(userHandle);
                int N = policy.mAdminList.size();
                int i = 0;
                while (i < N) {
                    com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) policy.mAdminList.get(i);
                    if (admin.mHwActiveAdmin == null || !admin.mHwActiveAdmin.disableChangeLauncher) {
                        i++;
                    } else {
                        return true;
                    }
                }
                return false;
            }
        }
    }

    public android.graphics.Bitmap captureScreen(android.content.ComponentName who, int userHandle) {
        android.graphics.Bitmap bmp;
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_CAPTURE_SCREEN", "Does not have MDM_CAPTURE_SCREEN permission.");
        synchronized (getLockObject()) {
            if (who != null) {
                getHwActiveAdmin(who, userHandle);
                long callingId = android.os.Binder.clearCallingIdentity();
                bmp = com.android.server.devicepolicy.CaptureScreenUtils.captureScreen(this.mContext);
                android.os.Binder.restoreCallingIdentity(callingId);
            } else {
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
        }
        return bmp;
    }

    public void addApn(android.content.ComponentName who, java.util.Map<java.lang.String, java.lang.String> apnInfo, int userHandle) {
        if (apnInfo == null || apnInfo.isEmpty()) {
            throw new java.lang.IllegalArgumentException("apnInfo is empty.");
        }
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_APN", "Does not have apn permission.");
        synchronized (getLockObject()) {
            if (who != null) {
                getHwActiveAdmin(who, userHandle);
                long callingId = android.os.Binder.clearCallingIdentity();
                com.android.server.devicepolicy.ApnUtils.addApn(this.mContext.getContentResolver(), apnInfo);
                android.os.Binder.restoreCallingIdentity(callingId);
            } else {
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
        }
    }

    public void deleteApn(android.content.ComponentName who, java.lang.String apnId, int userHandle) {
        if (android.text.TextUtils.isEmpty(apnId)) {
            throw new java.lang.IllegalArgumentException("apnId is empty.");
        }
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_APN", "Does not have apn permission.");
        synchronized (getLockObject()) {
            if (who != null) {
                getHwActiveAdmin(who, userHandle);
                long callingId = android.os.Binder.clearCallingIdentity();
                com.android.server.devicepolicy.ApnUtils.deleteApn(this.mContext.getContentResolver(), apnId);
                android.os.Binder.restoreCallingIdentity(callingId);
            } else {
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
        }
    }

    public void updateApn(android.content.ComponentName who, java.util.Map<java.lang.String, java.lang.String> apnInfo, java.lang.String apnId, int userHandle) {
        if (apnInfo == null || apnInfo.isEmpty()) {
            throw new java.lang.IllegalArgumentException("apnInfo is empty.");
        } else if (android.text.TextUtils.isEmpty(apnId)) {
            throw new java.lang.IllegalArgumentException("apnId is empty.");
        } else {
            enforceHwCrossUserPermission(userHandle);
            this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_APN", "Does not have apn permission.");
            synchronized (getLockObject()) {
                if (who != null) {
                    getHwActiveAdmin(who, userHandle);
                    long callingId = android.os.Binder.clearCallingIdentity();
                    com.android.server.devicepolicy.ApnUtils.updateApn(this.mContext.getContentResolver(), apnInfo, apnId);
                    android.os.Binder.restoreCallingIdentity(callingId);
                } else {
                    throw new java.lang.IllegalArgumentException("ComponentName is null");
                }
            }
        }
    }

    public void setPreferApn(android.content.ComponentName who, java.lang.String apnId, int userHandle) {
        if (android.text.TextUtils.isEmpty(apnId)) {
            throw new java.lang.IllegalArgumentException("apnId is empty.");
        }
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_APN", "Does not have apn permission.");
        synchronized (getLockObject()) {
            if (who != null) {
                getHwActiveAdmin(who, userHandle);
                long callingId = android.os.Binder.clearCallingIdentity();
                com.android.server.devicepolicy.ApnUtils.setPreferApn(this.mContext.getContentResolver(), apnId);
                android.os.Binder.restoreCallingIdentity(callingId);
            } else {
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
        }
    }

    public java.util.List<java.lang.String> queryApn(android.content.ComponentName who, java.util.Map<java.lang.String, java.lang.String> apnInfo, int userHandle) {
        if (apnInfo == null || apnInfo.isEmpty()) {
            throw new java.lang.IllegalArgumentException("apnInfo is empty.");
        }
        java.util.List<java.lang.String> ids;
        enforceHwCrossUserPermission(userHandle);
        synchronized (getLockObject()) {
            if (who != null) {
                getHwActiveAdmin(who, userHandle);
                long callingId = android.os.Binder.clearCallingIdentity();
                ids = com.android.server.devicepolicy.ApnUtils.queryApn(this.mContext.getContentResolver(), apnInfo);
                android.os.Binder.restoreCallingIdentity(callingId);
            } else {
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
        }
        return ids;
    }

    public java.util.Map<java.lang.String, java.lang.String> getApnInfo(android.content.ComponentName who, java.lang.String apnId, int userHandle) {
        if (android.text.TextUtils.isEmpty(apnId)) {
            throw new java.lang.IllegalArgumentException("apnId is empty.");
        }
        java.util.Map<java.lang.String, java.lang.String> apnInfo;
        enforceHwCrossUserPermission(userHandle);
        synchronized (getLockObject()) {
            if (who != null) {
                getHwActiveAdmin(who, userHandle);
                long callingId = android.os.Binder.clearCallingIdentity();
                apnInfo = com.android.server.devicepolicy.ApnUtils.getApnInfo(this.mContext.getContentResolver(), apnId);
                android.os.Binder.restoreCallingIdentity(callingId);
            } else {
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
        }
        return apnInfo;
    }

    public void addNetworkAccessWhitelist(android.content.ComponentName who, java.util.List<java.lang.String> addrList, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_NETWORK_MANAGER", "does not have network_manager MDM permission!");
        if (com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isValidIPAddrs(addrList)) {
            synchronized (getLockObject()) {
                if (who != null) {
                    com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdmin(who, userHandle);
                    if (admin.networkAccessWhitelist == null) {
                        admin.networkAccessWhitelist = new java.util.ArrayList();
                    }
                    com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isAddrOverLimit(admin.networkAccessWhitelist, addrList);
                    com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.addListWithoutDuplicate(admin.networkAccessWhitelist, addrList);
                    saveSettingsLocked(userHandle);
                    setNetworkAccessWhitelist(admin.networkAccessWhitelist);
                } else {
                    throw new java.lang.IllegalArgumentException("ComponentName is null");
                }
            }
            if (this.mHwAdminCache != null) {
                this.mHwAdminCache.syncHwAdminCache(9, getNetworkAccessWhitelist(null, userHandle));
                return;
            }
            return;
        }
        throw new java.lang.IllegalArgumentException("addrlist invalid");
    }

    public void removeNetworkAccessWhitelist(android.content.ComponentName who, java.util.List<java.lang.String> addrList, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_NETWORK_MANAGER", "does not have network_manager MDM permission!");
        if (com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isValidIPAddrs(addrList)) {
            synchronized (getLockObject()) {
                if (who != null) {
                    com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdmin(who, userHandle);
                    com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.removeItemsFromList(admin.networkAccessWhitelist, addrList);
                    saveSettingsLocked(userHandle);
                    setNetworkAccessWhitelist(admin.networkAccessWhitelist);
                } else {
                    throw new java.lang.IllegalArgumentException("ComponentName is null");
                }
            }
            if (this.mHwAdminCache != null) {
                this.mHwAdminCache.syncHwAdminCache(9, getNetworkAccessWhitelist(null, userHandle));
                return;
            }
            return;
        }
        throw new java.lang.IllegalArgumentException("addrlist invalid");
    }

    /* JADX WARNING: Missing block: B:25:0x0051, code:
            return r1;
     */
    public java.util.List<java.lang.String> getNetworkAccessWhitelist(android.content.ComponentName r9, int r10) {
        /*
        r8 = this;
        r0 = r8.getLockObject();
        monitor-enter(r0);
        r1 = 0;
        if (r9 == 0) goto L_0x0020;
    L_0x0008:
        r2 = r8.getHwActiveAdmin(r9, r10);	 Catch:{ all -> 0x001e }
        r3 = r2.networkAccessWhitelist;	 Catch:{ all -> 0x001e }
        if (r3 == 0) goto L_0x001c;
    L_0x0010:
        r3 = r2.networkAccessWhitelist;	 Catch:{ all -> 0x001e }
        r3 = r3.isEmpty();	 Catch:{ all -> 0x001e }
        if (r3 == 0) goto L_0x0019;
    L_0x0018:
        goto L_0x001c;
    L_0x0019:
        r1 = r2.networkAccessWhitelist;	 Catch:{ all -> 0x001e }
    L_0x001c:
        monitor-exit(r0);	 Catch:{ all -> 0x001e }
        return r1;
    L_0x001e:
        r1 = move-exception;
        goto L_0x0052;
    L_0x0020:
        r2 = r8.getUserData(r10);	 Catch:{ all -> 0x001e }
        r3 = new java.util.ArrayList;	 Catch:{ all -> 0x001e }
        r3.<init>();	 Catch:{ all -> 0x001e }
        r4 = r2.mAdminList;	 Catch:{ all -> 0x001e }
        r4 = r4.size();	 Catch:{ all -> 0x001e }
        r5 = 0;
    L_0x0030:
        if (r5 >= r4) goto L_0x0048;
    L_0x0032:
        r6 = r2.mAdminList;	 Catch:{ all -> 0x001e }
        r6 = r6.get(r5);	 Catch:{ all -> 0x001e }
        r6 = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) r6;	 Catch:{ all -> 0x001e }
        r7 = r6.mHwActiveAdmin;	 Catch:{ all -> 0x001e }
        if (r7 == 0) goto L_0x0045;
    L_0x003e:
        r7 = r6.mHwActiveAdmin;	 Catch:{ all -> 0x001e }
        r7 = r7.networkAccessWhitelist;	 Catch:{ all -> 0x001e }
        com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.addListWithoutDuplicate(r3, r7);	 Catch:{ all -> 0x001e }
    L_0x0045:
        r5 = r5 + 1;
        goto L_0x0030;
    L_0x0048:
        r5 = r3.isEmpty();	 Catch:{ all -> 0x001e }
        if (r5 == 0) goto L_0x004f;
    L_0x004e:
        goto L_0x0050;
    L_0x004f:
        r1 = r3;
    L_0x0050:
        monitor-exit(r0);	 Catch:{ all -> 0x001e }
        return r1;
    L_0x0052:
        monitor-exit(r0);	 Catch:{ all -> 0x001e }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.getNetworkAccessWhitelist(android.content.ComponentName, int):java.util.List<java.lang.String>");
    }

    private void setNetworkAccessWhitelist(java.util.List<java.lang.String> whitelist) {
        java.lang.String DESCRIPTOR_NETWORKMANAGEMENT_SERVICE = "android.os.INetworkManagementService";
        android.os.IBinder b = android.os.ServiceManager.getService("network_management");
        android.os.Parcel _data = android.os.Parcel.obtain();
        android.os.Parcel _reply = android.os.Parcel.obtain();
        if (b != null) {
            try {
                _data.writeInterfaceToken("android.os.INetworkManagementService");
                _data.writeStringList(whitelist);
                b.transact(1106, _data, _reply, 0);
                _reply.readException();
            } catch (android.os.RemoteException localRemoteException) {
                android.util.Log.e("HwDPMS", "setNetworkAccessWhitelist error", localRemoteException);
            } catch (Throwable th) {
                _reply.recycle();
                _data.recycle();
            }
        }
        _reply.recycle();
        _data.recycle();
    }

    public boolean getHwAdminCachedValue(int code) {
        int type = -1;
        if (code != 4009) {
            switch (code) {
                case 4001:
                    type = 0;
                    break;
                case 4002:
                    type = 1;
                    break;
                case 4003:
                    type = 2;
                    break;
                default:
                    switch (code) {
                        case 4011:
                            type = 10;
                            break;
                        case 4012:
                            type = 11;
                            break;
                        case 4013:
                            type = 12;
                            break;
                        case 4014:
                            type = 13;
                            break;
                        case 4015:
                            type = 14;
                            break;
                        case 4016:
                            type = 15;
                            break;
                        case 4017:
                            type = 16;
                            break;
                        case 4018:
                            type = 17;
                            break;
                        default:
                            switch (code) {
                                case 4021:
                                    type = 21;
                                    break;
                                case 4022:
                                    type = 22;
                                    break;
                                case 4023:
                                    type = 23;
                                    break;
                                case 4024:
                                    type = 24;
                                    break;
                                case 4025:
                                    type = 25;
                                    break;
                                case 4026:
                                    type = 26;
                                    break;
                                default:
                                    switch (code) {
                                        case 5021:
                                            type = 29;
                                            break;
                                        case 5022:
                                            type = 32;
                                            break;
                                        default:
                                            break;
                                    }
                            }
                    }
            }
        }
        type = 8;
        if (this.mHwAdminCache == null || type == -1) {
            return false;
        }
        return this.mHwAdminCache.getCachedValue(type);
    }

    public java.util.List<java.lang.String> getHwAdminCachedList(int code) {
        java.util.List<java.lang.String> result = null;
        int type = -1;
        if (code != 4010) {
            switch (code) {
                case 4004:
                    type = 3;
                    break;
                case 4005:
                    type = 4;
                    break;
                case 4006:
                    type = 5;
                    break;
                case 4007:
                    type = 6;
                    break;
                case 4008:
                    type = 7;
                    break;
                default:
                    switch (code) {
                        case 4019:
                            type = 18;
                            break;
                        case 4020:
                            type = 20;
                            break;
                        default:
                            switch (code) {
                                case 4027:
                                    type = 27;
                                    break;
                                case 4028:
                                    type = 28;
                                    break;
                                default:
                                    break;
                            }
                    }
            }
        }
        type = 9;
        if (!(this.mHwAdminCache == null || type == -1)) {
            result = this.mHwAdminCache.getCachedList(type);
        }
        return result == null ? new java.util.ArrayList() : result;
    }

    public android.os.Bundle getHwAdminCachedBundle(java.lang.String policyName) {
        if (this.mHwAdminCache != null) {
            return this.mHwAdminCache.getCachedBundle(policyName);
        }
        return null;
    }

    private void enforceUserRestrictionPermission(android.content.ComponentName who, java.lang.String key, int userHandle) {
        long id = android.os.Binder.clearCallingIdentity();
        try {
            android.content.pm.UserInfo info = this.mUserManager.getUserInfo(userHandle);
            if (info == null) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Invalid user: ");
                stringBuilder.append(userHandle);
                throw new java.lang.IllegalArgumentException(stringBuilder.toString());
            } else if (info.isGuest()) {
                throw new java.lang.IllegalStateException("Cannot call this method on a guest");
            } else if (who == null) {
                throw new java.lang.IllegalArgumentException("Component is null");
            } else if (userHandle == 0) {
            } else {
                if (HWDEVICE_OWNER_USER_RESTRICTIONS.contains(key)) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("Cannot set user restriction ");
                    stringBuilder2.append(key);
                    throw new java.lang.SecurityException(stringBuilder2.toString());
                }
            }
        } finally {
            android.os.Binder.restoreCallingIdentity(id);
        }
    }

    private com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin getHwActiveAdmin(android.content.ComponentName who, int userHandle) {
        com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin = getActiveAdminUncheckedLocked(who, userHandle);
        java.lang.StringBuilder stringBuilder;
        if (admin == null) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("No active admin owned by uid ");
            stringBuilder.append(android.os.Binder.getCallingUid());
            stringBuilder.append(", ComponentName:");
            stringBuilder.append(who);
            throw new java.lang.SecurityException(stringBuilder.toString());
        } else if (admin.getUid() == android.os.Binder.getCallingUid()) {
            com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin hwadmin = admin.mHwActiveAdmin;
            if (hwadmin != null) {
                return hwadmin;
            }
            hwadmin = new com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin();
            admin.mHwActiveAdmin = hwadmin;
            return hwadmin;
        } else {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Admin ");
            stringBuilder.append(who);
            stringBuilder.append(" is not owned by uid ");
            stringBuilder.append(android.os.Binder.getCallingUid());
            throw new java.lang.SecurityException(stringBuilder.toString());
        }
    }

    private void setHwUserRestriction(java.lang.String key, boolean disable, int userHandle) {
        android.os.UserHandle user = new android.os.UserHandle(userHandle);
        boolean alreadyRestricted = this.mUserManager.hasUserRestriction(key, user);
        if (HWFLOW) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setUserRestriction for (");
            stringBuilder.append(key);
            stringBuilder.append(", ");
            stringBuilder.append(userHandle);
            stringBuilder.append("), is alreadyRestricted: ");
            stringBuilder.append(alreadyRestricted);
            android.util.Log.i("HwDPMS", stringBuilder.toString());
        }
        long id = android.os.Binder.clearCallingIdentity();
        if (disable && !alreadyRestricted) {
            try {
                if ("no_config_tethering".equals(key)) {
                    if (((android.net.wifi.WifiManager) this.mContext.getSystemService("wifi")).isWifiApEnabled()) {
                        ((android.net.ConnectivityManager) this.mContext.getSystemService("connectivity")).stopTethering(0);
                        ((android.app.NotificationManager) this.mContext.getSystemService("notification")).cancelAsUser(null, 17303548, android.os.UserHandle.ALL);
                    }
                } else if ("no_physical_media".equals(key)) {
                    boolean hasExternalSdcard = com.android.server.devicepolicy.StorageUtils.hasExternalSdcard(this.mContext);
                    boolean dafaultIsSdcard = com.android.server.devicepolicy.DefaultStorageLocation.isSdcard();
                    if (hasExternalSdcard && !dafaultIsSdcard) {
                        android.util.Log.w("HwDPMS", "call doUnMount");
                        com.android.server.devicepolicy.StorageUtils.doUnMount(this.mContext);
                    } else if (hasExternalSdcard && dafaultIsSdcard) {
                        if (com.android.server.devicepolicy.StorageUtils.isSwitchPrimaryVolumeSupported()) {
                            throw new java.lang.IllegalStateException("could not disable sdcard when it is primary card.");
                        }
                    }
                } else if ("no_usb_file_transfer".equals(key)) {
                    if (disable) {
                        android.provider.Settings.Global.putStringForUser(this.mContext.getContentResolver(), "adb_enabled", "0", userHandle);
                    }
                    this.mUserManager.setUserRestriction("no_debugging_features", true, user);
                }
            } catch (Throwable th) {
                android.os.Binder.restoreCallingIdentity(id);
            }
        }
        this.mUserManager.setUserRestriction(key, disable, user);
        if ("no_usb_file_transfer".equals(key) && !disable) {
            this.mUserManager.setUserRestriction("no_debugging_features", false, user);
        }
        android.os.Binder.restoreCallingIdentity(id);
        sendHwChangedNotification(userHandle);
    }

    private void sendHwChangedNotification(int userHandle) {
        android.content.Intent intent = new android.content.Intent("android.app.action.DEVICE_POLICY_MANAGER_STATE_CHANGED");
        intent.setFlags(1073741824);
        long ident = android.os.Binder.clearCallingIdentity();
        try {
            this.mContext.sendBroadcastAsUser(intent, new android.os.UserHandle(userHandle));
        } finally {
            android.os.Binder.restoreCallingIdentity(ident);
        }
    }

    private boolean haveHwUserRestriction(java.lang.String key, int userid) {
        android.os.UserHandle user = new android.os.UserHandle(userid);
        int userHandle = user.getIdentifier();
        return this.mUserManager.hasUserRestriction(key, user);
    }

    protected void syncHwDeviceSettingsLocked(int userHandle) {
        java.lang.StringBuilder stringBuilder;
        if (userHandle != 0) {
            android.util.Log.w("HwDPMS", "userHandle is not USER_OWNER, return ");
            return;
        }
        combineAllPolicies(userHandle, true);
        try {
            synchronized (getLockObject()) {
                for (java.lang.String s : HWDEVICE_OWNER_USER_RESTRICTIONS) {
                    hwSyncDeviceCapabilitiesLocked(s, userHandle);
                }
            }
            hwSyncDeviceStatusBarLocked(userHandle);
        } catch (java.lang.Exception e) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("syncHwDeviceSettingsLocked exception is ");
            stringBuilder.append(e.getMessage());
            android.util.Log.e("HwDPMS", stringBuilder.toString());
        }
        try {
            syncHwAdminCache(userHandle);
        } catch (java.lang.Exception e2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("syncHwAdminCache exception is ");
            stringBuilder.append(e2.getMessage());
            android.util.Log.e("HwDPMS", stringBuilder.toString());
        }
        sendPersistentAppToIAware(userHandle);
    }

    private void syncHwAdminCache(int userHandle) {
        if (this.mHwAdminCache == null) {
            this.mHwAdminCache = new com.android.server.devicepolicy.HwAdminCache();
        }
        this.mHwAdminCache.syncHwAdminCache(0, isWifiDisabled(null, userHandle));
        this.mHwAdminCache.syncHwAdminCache(8, isBluetoothDisabled(null, userHandle));
        this.mHwAdminCache.syncHwAdminCache(1, isVoiceDisabled(null, userHandle));
        this.mHwAdminCache.syncHwAdminCache(2, isInstallSourceDisabled(null, userHandle));
        this.mHwAdminCache.syncHwAdminCache(3, getInstallPackageSourceWhiteList(null, userHandle));
        this.mHwAdminCache.syncHwAdminCache(4, getPersistentApp(null, userHandle));
        this.mHwAdminCache.syncHwAdminCache(5, getDisallowedRunningApp(null, userHandle));
        this.mHwAdminCache.syncHwAdminCache(6, getInstallPackageWhiteList(null, userHandle));
        this.mHwAdminCache.syncHwAdminCache(7, getDisallowedUninstallPackageList(null, userHandle));
        this.mHwAdminCache.syncHwAdminCache(18, getDisabledDeactivateMdmPackageList(null, userHandle));
        this.mHwAdminCache.syncHwAdminCache(9, getNetworkAccessWhitelist(null, userHandle));
        this.mHwAdminCache.syncHwAdminCache(10, isSafeModeDisabled(null, userHandle));
        this.mHwAdminCache.syncHwAdminCache(11, isAdbDisabled(null, userHandle));
        this.mHwAdminCache.syncHwAdminCache(12, isUSBOtgDisabled(null, userHandle));
        this.mHwAdminCache.syncHwAdminCache(13, isGPSDisabled(null, userHandle));
        this.mHwAdminCache.syncHwAdminCache(14, isHomeButtonDisabled(null, userHandle));
        this.mHwAdminCache.syncHwAdminCache(15, isTaskButtonDisabled(null, userHandle));
        this.mHwAdminCache.syncHwAdminCache(16, isBackButtonDisabled(null, userHandle));
        this.mHwAdminCache.syncHwAdminCache(17, isChangeLauncherDisabled(null, userHandle));
        this.mHwAdminCache.syncHwAdminCache("install-packages-black-list", getPolicy(null, "install-packages-black-list", userHandle));
        this.mHwAdminCache.syncHwAdminCache("disable-screen-capture", getPolicy(null, "disable-screen-capture", userHandle));
        this.mHwAdminCache.syncHwAdminCache("disable-applications-list", getPolicy(null, "disable-applications-list", userHandle));
        this.mHwAdminCache.syncHwAdminCache("disable-clipboard", getPolicy(null, "disable-clipboard", userHandle));
        this.mHwAdminCache.syncHwAdminCache("disable-google-account-autosync", getPolicy(null, "disable-google-account-autosync", userHandle));
        this.mHwAdminCache.syncHwAdminCache("ignore-frequent-relaunch-app", getPolicy(null, "ignore-frequent-relaunch-app", userHandle));
        this.mHwAdminCache.syncHwAdminCache("disable-sdwriting", getPolicy(null, "disable-sdwriting", userHandle));
        this.mHwAdminCache.syncHwAdminCache("disable-notification", getPolicy(null, "disable-notification", userHandle));
        this.mHwAdminCache.syncHwAdminCache("disable-microphone", getPolicy(null, "disable-microphone", userHandle));
        this.mHwAdminCache.syncHwAdminCache("disable-navigationbar", getPolicy(null, "disable-navigationbar", userHandle));
        this.mHwAdminCache.syncHwAdminCache("super-whitelist-hwsystemmanager", getPolicy(null, "super-whitelist-hwsystemmanager", userHandle));
        this.mHwAdminCache.syncHwAdminCache("settings_policy_forbidden_network_location", getPolicy(null, "settings_policy_forbidden_network_location", userHandle));
        this.mHwAdminCache.syncHwAdminCache("disable-headphone", getPolicy(null, "disable-headphone", userHandle));
        this.mHwAdminCache.syncHwAdminCache("disable-send-notification", getPolicy(null, "disable-send-notification", userHandle));
        this.mHwAdminCache.syncHwAdminCache("policy-single-app", getPolicy(null, "policy-single-app", userHandle));
        this.mHwAdminCache.syncHwAdminCache("disable-change-wallpaper", getPolicy(null, "disable-change-wallpaper", userHandle));
        this.mHwAdminCache.syncHwAdminCache("settings_policy_forbidden_screen_off", getPolicy(null, "settings_policy_forbidden_screen_off", userHandle));
        this.mHwAdminCache.syncHwAdminCache("disable-power-shutdown", getPolicy(null, "disable-power-shutdown", userHandle));
        this.mHwAdminCache.syncHwAdminCache("disable-shutdownmenu", getPolicy(null, "disable-shutdownmenu", userHandle));
        this.mHwAdminCache.syncHwAdminCache("disable-volume", getPolicy(null, "disable-volume", userHandle));
        this.mHwAdminCache.syncHwAdminCache("settings_policy_forbidden_location_service", getPolicy(null, "settings_policy_forbidden_location_service", userHandle));
        this.mHwAdminCache.syncHwAdminCache("settings_policy_forbidden_location_mode", getPolicy(null, "settings_policy_forbidden_location_mode", userHandle));
        this.mHwAdminCache.syncHwAdminCache("disable-sync", getPolicy(null, "disable-sync", userHandle));
        this.mHwAdminCache.syncHwAdminCache("passive_location_disallow_item", getPolicy(null, "passive_location_disallow_item", userHandle));
        this.mHwAdminCache.syncHwAdminCache("wifi_p2p_item_policy_name", getPolicy(null, "wifi_p2p_item_policy_name", userHandle));
        this.mHwAdminCache.syncHwAdminCache("infrared_item_policy_name", getPolicy(null, "infrared_item_policy_name", userHandle));
        this.mHwAdminCache.syncHwAdminCache("disable-fingerprint-authentication", getPolicy(null, "disable-fingerprint-authentication", userHandle));
        this.mHwAdminCache.syncHwAdminCache("force-enable-BT", getPolicy(null, "force-enable-BT", userHandle));
        this.mHwAdminCache.syncHwAdminCache("force-enable-wifi", getPolicy(null, "force-enable-wifi", userHandle));
        this.mHwAdminCache.syncHwAdminCache("accessibility_services_white_list", getPolicy(null, "accessibility_services_white_list", userHandle));
        this.mHwAdminCache.syncHwAdminCache("policy-file-share-disabled", getPolicy(null, "policy-file-share-disabled", userHandle));
        this.mHwAdminCache.syncHwAdminCache("disabled-android-animation", getPolicy(null, "disabled-android-animation", userHandle));
    }

    private void hwSyncDeviceCapabilitiesLocked(java.lang.String restriction, int userHandle) {
        boolean disabled = false;
        boolean alreadyRestricted = haveHwUserRestriction(restriction, userHandle);
        com.android.server.devicepolicy.DevicePolicyManagerService.DevicePolicyData policy = getUserData(userHandle);
        int N = policy.mAdminList.size();
        for (int i = 0; i < N; i++) {
            if (isUserRestrictionDisabled(restriction, ((com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) policy.mAdminList.get(i)).mHwActiveAdmin)) {
                disabled = true;
                break;
            }
        }
        if (disabled != alreadyRestricted) {
            if (HWFLOW) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Set ");
                stringBuilder.append(restriction);
                stringBuilder.append(" to ");
                stringBuilder.append(disabled);
                android.util.Log.i("HwDPMS", stringBuilder.toString());
            }
            setHwUserRestriction(restriction, disabled, userHandle);
        }
    }

    private void hwSyncDeviceStatusBarLocked(int userHandle) {
        if (isStatusBarExpandPanelDisabled(false, userHandle)) {
            setStatusBarPanelDisabledInternal(userHandle);
        } else {
            setStatusBarPanelEnableInternal(true, userHandle);
        }
    }

    private boolean isUserRestrictionDisabled(java.lang.String restriction, com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin) {
        if (admin == null) {
            return false;
        }
        if ("no_usb_file_transfer".equals(restriction) && admin.disableUSBData) {
            return true;
        }
        if ("no_outgoing_calls".equals(restriction) && admin.disableVoice) {
            return true;
        }
        if ("no_sms".equals(restriction) && admin.disableSMS) {
            return true;
        }
        if ("no_config_tethering".equals(restriction) && admin.disableWifiAp) {
            return true;
        }
        if ("no_physical_media".equals(restriction) && admin.disableExternalStorage) {
            return true;
        }
        return false;
    }

    private void installPackage(java.lang.String packagePath, java.lang.String installerPackageName) {
        if (android.text.TextUtils.isEmpty(packagePath)) {
            throw new java.lang.IllegalArgumentException("Install package path is empty");
        }
        long ident = android.os.Binder.clearCallingIdentity();
        try {
            final java.io.File tempFile = new java.io.File(packagePath.trim()).getCanonicalFile();
            if (tempFile.getName().endsWith(".apk")) {
                android.content.pm.PackageManagerInternal pm = (android.content.pm.PackageManagerInternal) com.android.server.LocalServices.getService(android.content.pm.PackageManagerInternal.class);
                pm.installPackageAsUser(android.net.Uri.fromFile(tempFile).getPath(), new android.app.PackageInstallObserver() {
                    public void onPackageInstalled(java.lang.String basePackageName, int returnCode, java.lang.String msg, android.os.Bundle extras) {
                        if (1 != returnCode) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("The package ");
                            stringBuilder.append(tempFile.getName());
                            stringBuilder.append("installed failed, error code: ");
                            stringBuilder.append(returnCode);
                            android.util.Log.e("HwDPMS", stringBuilder.toString());
                        }
                    }
                }.getBinder(), 2, installerPackageName, 0);
                android.os.Binder.restoreCallingIdentity(ident);
                return;
            }
            android.os.Binder.restoreCallingIdentity(ident);
        } catch (java.io.IOException e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Get canonical file failed for package path: ");
            stringBuilder.append(packagePath);
            stringBuilder.append(", error: ");
            stringBuilder.append(e.getMessage());
            android.util.Log.e("HwDPMS", stringBuilder.toString());
        } catch (Throwable th) {
            android.os.Binder.restoreCallingIdentity(ident);
        }
    }

    private void uninstallPackage(java.lang.String packageName, boolean keepData) {
        if (android.text.TextUtils.isEmpty(packageName)) {
            throw new java.lang.IllegalArgumentException("Uninstall package name is empty");
        } else if (com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.isValidatePackageName(packageName)) {
            long ident = android.os.Binder.clearCallingIdentity();
            try {
                android.content.pm.PackageManager pm = this.mContext.getPackageManager();
                if (pm.getApplicationInfo(packageName, null) == null) {
                    android.os.Binder.restoreCallingIdentity(ident);
                    return;
                }
                pm.deletePackage(packageName, null, keepData);
                android.os.Binder.restoreCallingIdentity(ident);
            } catch (android.content.pm.PackageManager.NameNotFoundException e) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Name not found for package: ");
                stringBuilder.append(packageName);
                android.util.Log.e("HwDPMS", stringBuilder.toString());
            } catch (Throwable th) {
                android.os.Binder.restoreCallingIdentity(ident);
            }
        } else {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("packageName:");
            stringBuilder2.append(packageName);
            stringBuilder2.append(" is invalid.");
            throw new java.lang.IllegalArgumentException(stringBuilder2.toString());
        }
    }

    private void filterOutSystemAppList(java.util.List<java.lang.String> packageNames, int userHandle) {
        java.util.List<java.lang.String> systemAppList = new java.util.ArrayList();
        try {
            for (java.lang.String name : packageNames) {
                if (isSystemAppExcludePreInstalled(name)) {
                    systemAppList.add(name);
                }
            }
            if (!systemAppList.isEmpty()) {
                packageNames.removeAll(systemAppList);
            }
        } catch (java.lang.Exception e) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("filterOutSystemAppList exception is ");
            stringBuilder.append(e);
            android.util.Log.e("HwDPMS", stringBuilder.toString());
        }
    }

    private void enforceCheckNotSystemApp(java.lang.String packageName, int userHandle) {
        if (isSystemAppExcludePreInstalled(packageName)) {
            throw new java.lang.IllegalArgumentException("could not operate system app");
        }
    }

    private boolean isSystemAppExcludePreInstalled(java.lang.String packageName) {
        long id = android.os.Binder.clearCallingIdentity();
        try {
            android.content.pm.IPackageManager pm = android.app.AppGlobals.getPackageManager();
            if (pm == null) {
                restoreCallingIdentity(id);
                return false;
            }
            int userId = android.os.UserHandle.getCallingUserId();
            android.os.UserManager um = android.os.UserManager.get(this.mContext);
            if (um == null) {
                android.util.Log.e("HwDPMS", "failed to get um");
                restoreCallingIdentity(id);
                return false;
            }
            android.content.pm.UserInfo primaryUser = um.getProfileParent(userId);
            if (primaryUser == null) {
                primaryUser = um.getUserInfo(userId);
            }
            boolean isSystemAppExcludePreInstalled = isSystemAppExcludePreInstalled(pm, packageName, primaryUser.id);
            restoreCallingIdentity(id);
            return isSystemAppExcludePreInstalled;
        } catch (android.os.RemoteException e) {
            com.android.server.devicepolicy.HwLog.e("HwDPMS", "failed to check system app, RemoteException is  ");
        } catch (java.lang.Exception e2) {
            com.android.server.devicepolicy.HwLog.e("HwDPMS", "failed to check system app ");
        } catch (Throwable th) {
            restoreCallingIdentity(id);
        }
        restoreCallingIdentity(id);
        return false;
    }

    private boolean isSystemAppExcludePreInstalled(android.content.pm.IPackageManager pm, java.lang.String packageName, int userId) throws android.os.RemoteException {
        if (packageName != null) {
            if (!packageName.equals("")) {
                int flags = 0;
                try {
                    android.content.pm.ApplicationInfo appInfo = pm.getApplicationInfo(packageName, 8192, userId);
                    if (appInfo == null) {
                        return false;
                    }
                    int flags2 = appInfo.flags;
                    boolean flag = true;
                    if ((flags2 & 1) == 0) {
                        android.util.Log.d("HwDPMS", "packageName is not systemFlag");
                        flag = false;
                    } else if (!((flags2 & 1) == 0 || (flags2 & 33554432) == 0)) {
                        android.util.Log.w("HwDPMS", "SystemApp preInstalledFlag");
                        flag = false;
                    }
                    int hwFlags = appInfo.hwFlags;
                    if (!((flags2 & 1) == 0 || (hwFlags & 33554432) == 0)) {
                        flag = false;
                        android.util.Log.d("HwDPMS", "packageName is not systemFlag");
                    }
                    if ((hwFlags & 67108864) != 0) {
                        flag = false;
                    }
                    return flag;
                } catch (java.lang.Exception e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("could not get appInfo, exception is ");
                    stringBuilder.append(e);
                    android.util.Log.e("HwDPMS", stringBuilder.toString());
                    return false;
                }
            }
        }
        return false;
    }

    public int getSDCardEncryptionStatus() {
        int i = -1;
        if (!isSupportCrypt) {
            return -1;
        }
        java.lang.String sdStatus = android.os.SystemProperties.get("vold.cryptsd.state");
        switch (sdStatus.hashCode()) {
            case -1512632483:
                if (sdStatus.equals("encrypting")) {
                    i = 1;
                    break;
                }
                break;
            case -1298848381:
                if (sdStatus.equals("enable")) {
                    i = 4;
                    break;
                }
                break;
            case -1212575282:
                if (sdStatus.equals("mismatch")) {
                    i = 5;
                    break;
                }
                break;
            case 395619662:
                if (sdStatus.equals("wait_unlock")) {
                    i = 6;
                    break;
                }
                break;
            case 1671308008:
                if (sdStatus.equals("disable")) {
                    i = 3;
                    break;
                }
                break;
            case 1959784951:
                if (sdStatus.equals("invalid")) {
                    i = 0;
                    break;
                }
                break;
            case 2066069301:
                if (sdStatus.equals("decrypting")) {
                    i = 2;
                    break;
                }
                break;
            default:
                break;
        }
        switch (i) {
            case 0:
                return 0;
            case 1:
                return 3;
            case 2:
                return 4;
            case 3:
                return 1;
            case 4:
                return 2;
            case 5:
                return 5;
            case 6:
                return 6;
            default:
                return 0;
        }
    }

    public void setSDCardDecryptionDisabled(android.content.ComponentName who, boolean disabled, int userHandle) {
        synchronized (getLockObject()) {
            if (who != null) {
                com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdminForCallerLocked(who);
                if (admin.disableDecryptSDCard != disabled) {
                    admin.disableDecryptSDCard = disabled;
                    saveSettingsLocked(userHandle);
                }
            } else {
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
        }
        if (this.mHwAdminCache != null) {
            this.mHwAdminCache.syncHwAdminCache(19, isSDCardDecryptionDisabled(null, userHandle));
        }
    }

    public boolean isSDCardDecryptionDisabled(android.content.ComponentName who, int userHandle) {
        synchronized (getLockObject()) {
            if (who != null) {
                try {
                    boolean z = getHwActiveAdminUncheckedLocked(who, userHandle).disableDecryptSDCard;
                    return z;
                } catch (Throwable th) {
                }
            } else {
                com.android.server.devicepolicy.DevicePolicyManagerService.DevicePolicyData policy = getUserData(userHandle);
                int N = policy.mAdminList.size();
                int i = 0;
                while (i < N) {
                    com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) policy.mAdminList.get(i);
                    if (admin.mHwActiveAdmin == null || !admin.mHwActiveAdmin.disableDecryptSDCard) {
                        i++;
                    } else {
                        return true;
                    }
                }
                return false;
            }
        }
    }

    private com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin getHwActiveAdminUncheckedLocked(android.content.ComponentName who, int userHandle) {
        com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin = getActiveAdminUncheckedLocked(who, userHandle);
        if (admin != null) {
            com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin hwadmin = admin.mHwActiveAdmin;
            if (hwadmin != null) {
                return hwadmin;
            }
            hwadmin = new com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin();
            admin.mHwActiveAdmin = hwadmin;
            return hwadmin;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("No active admin owned by uid ");
        stringBuilder.append(android.os.Binder.getCallingUid());
        stringBuilder.append(", ComponentName:");
        stringBuilder.append(who);
        throw new java.lang.SecurityException(stringBuilder.toString());
    }

    private com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin getHwActiveAdminForCallerLocked(android.content.ComponentName who) {
        com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin = getActiveAdminForCallerLocked(who, 7);
        if (admin != null) {
            com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin hwadmin = admin.mHwActiveAdmin;
            if (hwadmin != null) {
                return hwadmin;
            }
            hwadmin = new com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin();
            admin.mHwActiveAdmin = hwadmin;
            return hwadmin;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("No active admin owned by uid ");
        stringBuilder.append(android.os.Binder.getCallingUid());
        stringBuilder.append(", ComponentName:");
        stringBuilder.append(who);
        throw new java.lang.SecurityException(stringBuilder.toString());
    }

    protected void init() {
        if (!this.hasInit) {
            java.util.Iterator it = this.globalStructs.iterator();
            while (it.hasNext()) {
                com.android.server.devicepolicy.PolicyStruct struct = (com.android.server.devicepolicy.PolicyStruct) it.next();
                if (struct != null) {
                    struct.getOwner().init(struct);
                }
            }
            this.hasInit = true;
        }
    }

    private void addDevicePolicyPlugins(android.content.Context context) {
        addPlugin(new com.android.server.devicepolicy.plugins.DeviceNetworkPlugin(context));
        addPlugin(new com.android.server.devicepolicy.plugins.DeviceRestrictionPlugin(context));
        addPlugin(new com.android.server.devicepolicy.plugins.HwSystemManagerPlugin(context));
        addPlugin(new com.android.server.devicepolicy.plugins.PhoneManagerPlugin(context));
        addPlugin(new com.android.server.devicepolicy.plugins.HwEmailMDMPlugin(context));
        addPlugin(new com.android.server.devicepolicy.plugins.DeviceVpnManagerImpl(context));
        addPlugin(new com.android.server.devicepolicy.plugins.DeviceFirewallManagerImpl(context));
        addPlugin(new com.android.server.devicepolicy.plugins.DeviceApplicationPlugin(context));
        addPlugin(new com.android.server.devicepolicy.plugins.DeviceTelephonyPlugin(context));
        addPlugin(new com.android.server.devicepolicy.plugins.DeviceCameraPlugin(context));
        addPlugin(new com.android.server.devicepolicy.plugins.DeviceStorageManagerPlugin(context));
        addPlugin(new com.android.server.devicepolicy.plugins.DevicePasswordPlugin(context));
        addPlugin(new com.android.server.devicepolicy.plugins.DeviceRestrictionPlugin(context));
        addPlugin(new com.android.server.devicepolicy.plugins.SettingsMDMPlugin(context));
        addPlugin(new com.android.server.devicepolicy.plugins.DeviceWifiPlugin(context));
        addPlugin(new com.android.server.devicepolicy.plugins.DeviceBluetoothPlugin(context));
        addPlugin(new com.android.server.devicepolicy.plugins.DeviceLocationPlugin(context));
        addPlugin(new com.android.server.devicepolicy.plugins.DeviceP2PPlugin(context));
        addPlugin(new com.android.server.devicepolicy.plugins.DeviceInfraredPlugin(context));
        addPlugin(new com.android.server.devicepolicy.plugins.DeviceControlPlugin(context));
        addPlugin(new com.android.server.devicepolicy.plugins.DevicePackageManagerPlugin(context));
    }

    private void addPlugin(com.android.server.devicepolicy.DevicePolicyPlugin plugin) {
        if (plugin != null) {
            this.globalPlugins.add(plugin);
        }
    }

    private void addPolicyStruct(com.android.server.devicepolicy.PolicyStruct struct) {
        if (struct != null) {
            this.globalStructs.add(struct);
            for (com.android.server.devicepolicy.PolicyStruct.PolicyItem item : struct.getPolicyItems()) {
                globalPolicyItems.put(item.getPolicyName(), item);
            }
        }
    }

    public void bdReport(int eventID, java.lang.String eventMsg) {
        if (this.mContext != null) {
            android.util.Flog.bdReport(this.mContext, eventID, eventMsg);
        }
    }

    /* JADX WARNING: Missing block: B:95:0x024f, code:
            if (r6 != 1) goto L_0x025b;
     */
    /* JADX WARNING: Missing block: B:96:0x0251, code:
            r1.mHwAdminCache.syncHwAdminCache(r3, getPolicy(null, r3, r5));
     */
    /* JADX WARNING: Missing block: B:97:0x025b, code:
            if (r22 == false) goto L_0x0261;
     */
    /* JADX WARNING: Missing block: B:98:0x025d, code:
            if (r6 != 1) goto L_0x0261;
     */
    /* JADX WARNING: Missing block: B:99:0x025f, code:
            r0 = true;
     */
    /* JADX WARNING: Missing block: B:100:0x0261, code:
            r21.onSetPolicyCompleted(r2, r3, r0);
     */
    /* JADX WARNING: Missing block: B:101:0x0266, code:
            return r6;
     */
    public int setPolicy(android.content.ComponentName r26, java.lang.String r27, android.os.Bundle r28, int r29) {
        /*
        r25 = this;
        r1 = r25;
        r2 = r26;
        r3 = r27;
        r4 = r28;
        r5 = r29;
        r0 = "HwDPMS";
        r6 = new java.lang.StringBuilder;
        r6.<init>();
        r7 = "setPolicy, policyName = ";
        r6.append(r7);
        r6.append(r3);
        r7 = ", caller :";
        r6.append(r7);
        if (r2 != 0) goto L_0x0024;
    L_0x0021:
        r7 = "null";
        goto L_0x0028;
    L_0x0024:
        r7 = r26.flattenToString();
    L_0x0028:
        r6.append(r7);
        r6 = r6.toString();
        com.android.server.devicepolicy.HwLog.d(r0, r6);
        if (r2 == 0) goto L_0x0284;
    L_0x0034:
        r6 = 1;
        r7 = r1.findPluginByPolicyName(r3);
        r0 = -1;
        if (r7 != 0) goto L_0x005f;
    L_0x003c:
        r8 = "HwDPMS";
        r9 = new java.lang.StringBuilder;
        r9.<init>();
        r10 = "no plugin found, pluginName = ";
        r9.append(r10);
        r9.append(r3);
        r10 = ", caller :";
        r9.append(r10);
        r10 = r26.flattenToString();
        r9.append(r10);
        r9 = r9.toString();
        com.android.server.devicepolicy.HwLog.e(r8, r9);
        return r0;
    L_0x005f:
        r8 = r7.checkCallingPermission(r2, r3);
        if (r8 != 0) goto L_0x0080;
    L_0x0065:
        r8 = "HwDPMS";
        r9 = new java.lang.StringBuilder;
        r9.<init>();
        r10 = "permission denied: ";
        r9.append(r10);
        r10 = r26.flattenToString();
        r9.append(r10);
        r9 = r9.toString();
        com.android.server.devicepolicy.HwLog.e(r8, r9);
        return r0;
    L_0x0080:
        r8 = 0;
        r9 = r1.findPolicyStructByPolicyName(r3);
        r10 = r25.getLockObject();
        monitor-enter(r10);
        r11 = r1.getHwActiveAdminUncheckedLocked(r2, r5);	 Catch:{ all -> 0x027a }
        r12 = 0;
        r13 = 0;
        if (r9 == 0) goto L_0x0156;
    L_0x0092:
        r15 = r11.adminPolicyItems;	 Catch:{ all -> 0x014e }
        r15 = r15.get(r3);	 Catch:{ all -> 0x014e }
        r15 = (com.android.server.devicepolicy.PolicyStruct.PolicyItem) r15;	 Catch:{ all -> 0x014e }
        r12 = r15;
        r15 = r9.getItemByPolicyName(r3);	 Catch:{ all -> 0x014e }
        if (r15 == 0) goto L_0x011b;
    L_0x00a1:
        r14 = new com.android.server.devicepolicy.PolicyStruct$PolicyItem;	 Catch:{ all -> 0x014e }
        r0 = r15.getItemType();	 Catch:{ all -> 0x014e }
        r14.<init>(r3, r0);	 Catch:{ all -> 0x014e }
        r13 = r14;
        if (r12 != 0) goto L_0x00b8;
    L_0x00ad:
        r13.copyFrom(r15);	 Catch:{ all -> 0x00b4 }
        r13.addAttrValues(r13, r4);	 Catch:{ all -> 0x00b4 }
        goto L_0x00bb;
    L_0x00b4:
        r0 = move-exception;
        r4 = r7;
        goto L_0x0280;
    L_0x00b8:
        r13.deepCopyFrom(r12);	 Catch:{ all -> 0x014e }
    L_0x00bb:
        r13.addAttrValues(r13, r4);	 Catch:{ all -> 0x014e }
        r0 = r1.combinePoliciesWithPolicyChanged(r2, r13, r3, r5);	 Catch:{ all -> 0x014e }
        r14 = globalPolicyItems;	 Catch:{ all -> 0x014e }
        r14 = r14.get(r3);	 Catch:{ all -> 0x014e }
        r14 = (com.android.server.devicepolicy.PolicyStruct.PolicyItem) r14;	 Catch:{ all -> 0x014e }
        if (r14 != 0) goto L_0x00ff;
    L_0x00cc:
        r17 = r6;
        r6 = "HwDPMS";
        r18 = r8;
        r8 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0146 }
        r8.<init>();	 Catch:{ all -> 0x0146 }
        r19 = r12;
        r12 = "no policy item found, pluginName = ";
        r8.append(r12);	 Catch:{ all -> 0x0146 }
        r8.append(r3);	 Catch:{ all -> 0x0146 }
        r12 = ", caller :";
        r8.append(r12);	 Catch:{ all -> 0x0146 }
        r12 = r26.flattenToString();	 Catch:{ all -> 0x0146 }
        r8.append(r12);	 Catch:{ all -> 0x0146 }
        r8 = r8.toString();	 Catch:{ all -> 0x0146 }
        com.android.server.devicepolicy.HwLog.e(r6, r8);	 Catch:{ all -> 0x0146 }
        monitor-exit(r10);	 Catch:{ all -> 0x0146 }
        r6 = -1;
        return r6;
    L_0x00f7:
        r0 = move-exception;
        r18 = r8;
        r4 = r7;
        r6 = r17;
        goto L_0x0280;
    L_0x00ff:
        r17 = r6;
        r18 = r8;
        r19 = r12;
        r6 = r14.equals(r0);	 Catch:{ all -> 0x0146 }
        if (r6 == 0) goto L_0x0112;
    L_0x010b:
        r6 = 2;
        r13.setGlobalPolicyChanged(r6);	 Catch:{ all -> 0x0146 }
        r6 = 0;
        r8 = r6;
        goto L_0x0118;
    L_0x0112:
        r6 = 1;
        r13.setGlobalPolicyChanged(r6);	 Catch:{ all -> 0x0146 }
        r0 = 1;
        r8 = r0;
    L_0x0118:
        r12 = r19;
        goto L_0x015a;
    L_0x011b:
        r17 = r6;
        r18 = r8;
        r19 = r12;
        r0 = "HwDPMS";
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0146 }
        r6.<init>();	 Catch:{ all -> 0x0146 }
        r8 = "no policy item found, pluginName = ";
        r6.append(r8);	 Catch:{ all -> 0x0146 }
        r6.append(r3);	 Catch:{ all -> 0x0146 }
        r8 = ", caller :";
        r6.append(r8);	 Catch:{ all -> 0x0146 }
        r8 = r26.flattenToString();	 Catch:{ all -> 0x0146 }
        r6.append(r8);	 Catch:{ all -> 0x0146 }
        r6 = r6.toString();	 Catch:{ all -> 0x0146 }
        com.android.server.devicepolicy.HwLog.e(r0, r6);	 Catch:{ all -> 0x0146 }
        monitor-exit(r10);	 Catch:{ all -> 0x0146 }
        r0 = -1;
        return r0;
    L_0x0146:
        r0 = move-exception;
        r4 = r7;
        r6 = r17;
        r8 = r18;
        goto L_0x0280;
    L_0x014e:
        r0 = move-exception;
        r17 = r6;
        r18 = r8;
        r4 = r7;
        goto L_0x0280;
    L_0x0156:
        r17 = r6;
        r18 = r8;
    L_0x015a:
        r0 = "HwDPMS";
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0273 }
        r6.<init>();	 Catch:{ all -> 0x0273 }
        r14 = "when setPolicy, is global PolicyChanged ? = ";
        r6.append(r14);	 Catch:{ all -> 0x0273 }
        r6.append(r8);	 Catch:{ all -> 0x0273 }
        r6 = r6.toString();	 Catch:{ all -> 0x0273 }
        com.android.server.devicepolicy.HwLog.i(r0, r6);	 Catch:{ all -> 0x0273 }
        r14 = java.lang.System.currentTimeMillis();	 Catch:{ all -> 0x0273 }
        r0 = "HwDPMS";
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0273 }
        r6.<init>();	 Catch:{ all -> 0x0273 }
        r20 = r12;
        r12 = "onSetPolicy, begin time: ";
        r6.append(r12);	 Catch:{ all -> 0x0273 }
        r6.append(r14);	 Catch:{ all -> 0x0273 }
        r6 = r6.toString();	 Catch:{ all -> 0x0273 }
        com.android.server.devicepolicy.HwLog.i(r0, r6);	 Catch:{ all -> 0x0273 }
        r0 = r7.onSetPolicy(r2, r3, r4, r8);	 Catch:{ all -> 0x0273 }
        r18 = java.lang.System.currentTimeMillis();	 Catch:{ all -> 0x0273 }
        r6 = "HwDPMS";
        r12 = new java.lang.StringBuilder;	 Catch:{ all -> 0x0273 }
        r12.<init>();	 Catch:{ all -> 0x0273 }
        r4 = "onSetPolicy, costs time: ";
        r12.append(r4);	 Catch:{ all -> 0x0273 }
        r21 = r7;
        r22 = r8;
        r7 = r18 - r14;
        r12.append(r7);	 Catch:{ all -> 0x026b }
        r4 = r12.toString();	 Catch:{ all -> 0x026b }
        com.android.server.devicepolicy.HwLog.i(r6, r4);	 Catch:{ all -> 0x026b }
        if (r0 == 0) goto L_0x0226;
    L_0x01b3:
        r6 = r11.adminPolicyItems;	 Catch:{ all -> 0x021e }
        r6.put(r3, r13);	 Catch:{ all -> 0x021e }
        r6 = r13.getItemType();	 Catch:{ all -> 0x021e }
        r7 = com.android.server.devicepolicy.PolicyStruct.PolicyType.CONFIGURATION;	 Catch:{ all -> 0x021e }
        if (r6 != r7) goto L_0x0212;
    L_0x01c0:
        r6 = globalPolicyItems;	 Catch:{ all -> 0x021e }
        r6.put(r3, r13);	 Catch:{ all -> 0x021e }
        r6 = r1.globalStructs;	 Catch:{ all -> 0x021e }
        r6 = r6.iterator();	 Catch:{ all -> 0x021e }
    L_0x01cb:
        r7 = r6.hasNext();	 Catch:{ all -> 0x021e }
        if (r7 == 0) goto L_0x0212;
    L_0x01d1:
        r7 = r6.next();	 Catch:{ all -> 0x021e }
        r7 = (com.android.server.devicepolicy.PolicyStruct) r7;	 Catch:{ all -> 0x021e }
        r8 = 0;
        r12 = r7.getPolicyMap();	 Catch:{ all -> 0x021e }
        r12 = r12.keySet();	 Catch:{ all -> 0x021e }
        r12 = r12.iterator();	 Catch:{ all -> 0x021e }
    L_0x01e4:
        r16 = r12.hasNext();	 Catch:{ all -> 0x021e }
        if (r16 == 0) goto L_0x0209;
    L_0x01ea:
        r16 = r12.next();	 Catch:{ all -> 0x021e }
        r16 = (java.lang.String) r16;	 Catch:{ all -> 0x021e }
        r23 = r16;
        r4 = r13.getPolicyName();	 Catch:{ all -> 0x021e }
        r24 = r0;
        r0 = r23;
        r4 = r4.equals(r0);	 Catch:{ all -> 0x021e }
        if (r4 == 0) goto L_0x0205;
    L_0x0200:
        r9.addPolicyItem(r13);	 Catch:{ all -> 0x021e }
        r8 = 1;
        goto L_0x020b;
        r0 = r24;
        goto L_0x01e4;
    L_0x0209:
        r24 = r0;
    L_0x020b:
        if (r8 == 0) goto L_0x020e;
    L_0x020d:
        goto L_0x0214;
        r0 = r24;
        goto L_0x01cb;
    L_0x0212:
        r24 = r0;
    L_0x0214:
        r1.saveSettingsLocked(r5);	 Catch:{ all -> 0x021e }
        r0 = 0;
        r1.combineAllPolicies(r5, r0);	 Catch:{ all -> 0x021e }
        r4 = 1;
    L_0x021c:
        r6 = r4;
        goto L_0x024d;
    L_0x021e:
        r0 = move-exception;
        r6 = r17;
        r4 = r21;
        r8 = r22;
        goto L_0x0280;
    L_0x0226:
        r24 = r0;
        r0 = 0;
        r4 = "HwDPMS";
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x026b }
        r6.<init>();	 Catch:{ all -> 0x026b }
        r7 = "onSetPolicy failed, pluginName = ";
        r6.append(r7);	 Catch:{ all -> 0x026b }
        r6.append(r3);	 Catch:{ all -> 0x026b }
        r7 = ", caller :";
        r6.append(r7);	 Catch:{ all -> 0x026b }
        r7 = r26.flattenToString();	 Catch:{ all -> 0x026b }
        r6.append(r7);	 Catch:{ all -> 0x026b }
        r6 = r6.toString();	 Catch:{ all -> 0x026b }
        com.android.server.devicepolicy.HwLog.e(r4, r6);	 Catch:{ all -> 0x026b }
        r4 = -1;
        goto L_0x021c;
    L_0x024d:
        monitor-exit(r10);	 Catch:{ all -> 0x0267 }
        r4 = 1;
        if (r6 != r4) goto L_0x025b;
    L_0x0251:
        r7 = r1.mHwAdminCache;
        r8 = 0;
        r8 = r1.getPolicy(r8, r3, r5);
        r7.syncHwAdminCache(r3, r8);
    L_0x025b:
        if (r22 == 0) goto L_0x0261;
    L_0x025d:
        if (r6 != r4) goto L_0x0261;
    L_0x025f:
        r0 = r4;
    L_0x0261:
        r4 = r21;
        r4.onSetPolicyCompleted(r2, r3, r0);
        return r6;
    L_0x0267:
        r0 = move-exception;
        r4 = r21;
        goto L_0x0270;
    L_0x026b:
        r0 = move-exception;
        r4 = r21;
        r6 = r17;
    L_0x0270:
        r8 = r22;
        goto L_0x0280;
    L_0x0273:
        r0 = move-exception;
        r4 = r7;
        r22 = r8;
        r6 = r17;
        goto L_0x0280;
    L_0x027a:
        r0 = move-exception;
        r17 = r6;
        r4 = r7;
        r18 = r8;
    L_0x0280:
        monitor-exit(r10);	 Catch:{ all -> 0x0282 }
        throw r0;
    L_0x0282:
        r0 = move-exception;
        goto L_0x0280;
    L_0x0284:
        r0 = new java.lang.IllegalArgumentException;
        r4 = "ComponentName is null";
        r0.<init>(r4);
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.setPolicy(android.content.ComponentName, java.lang.String, android.os.Bundle, int):int");
    }

    public android.os.Bundle getPolicy(android.content.ComponentName who, java.lang.String policyName, int userHandle) {
        com.android.server.devicepolicy.DevicePolicyPlugin plugin = findPluginByPolicyName(policyName);
        java.lang.String str;
        java.lang.StringBuilder stringBuilder;
        if (plugin == null) {
            str = "HwDPMS";
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("no plugin found, policyName = ");
            stringBuilder.append(policyName);
            stringBuilder.append(", caller :");
            stringBuilder.append(who == null ? "null" : who.flattenToString());
            com.android.server.devicepolicy.HwLog.e(str, stringBuilder.toString());
            return null;
        }
        java.lang.String str2;
        str = "HwDPMS";
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("get :");
        stringBuilder.append(policyName);
        if (who == null) {
            str2 = "";
        } else {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append(" ,cal :");
            stringBuilder2.append(who.flattenToString());
            str2 = stringBuilder2.toString();
        }
        stringBuilder.append(str2);
        com.android.server.devicepolicy.HwLog.d(str, stringBuilder.toString());
        android.os.Bundle resultBundle = null;
        synchronized (getLockObject()) {
            if (who == null) {
                try {
                    if (USER_ISOLATION_POLICY_LIST.contains(policyName)) {
                        resultBundle = combinePoliciesAsUser(policyName, userHandle).combineAllAttributes();
                    } else if (globalPolicyItems.get(policyName) != null) {
                        resultBundle = ((com.android.server.devicepolicy.PolicyStruct.PolicyItem) globalPolicyItems.get(policyName)).combineAllAttributes();
                    }
                } finally {
                }
            } else {
                com.android.server.devicepolicy.PolicyStruct.PolicyItem item = (com.android.server.devicepolicy.PolicyStruct.PolicyItem) getHwActiveAdminUncheckedLocked(who, userHandle).adminPolicyItems.get(policyName);
                if (item != null) {
                    resultBundle = item.combineAllAttributes();
                }
            }
            notifyOnGetPolicy(plugin, who, policyName, resultBundle);
        }
        return resultBundle;
    }

    private void notifyOnGetPolicy(com.android.server.devicepolicy.DevicePolicyPlugin plugin, android.content.ComponentName who, java.lang.String policyName, android.os.Bundle policyData) {
        plugin.onGetPolicy(who, policyName, policyData);
    }

    /* JADX WARNING: Missing block: B:67:0x0188, code:
            r0 = true;
     */
    /* JADX WARNING: Missing block: B:68:0x0189, code:
            if (r6 != 1) goto L_0x0195;
     */
    /* JADX WARNING: Missing block: B:69:0x018b, code:
            r1.mHwAdminCache.syncHwAdminCache(r3, getPolicy(null, r3, r5));
     */
    /* JADX WARNING: Missing block: B:70:0x0195, code:
            if (r22 == false) goto L_0x019a;
     */
    /* JADX WARNING: Missing block: B:71:0x0197, code:
            if (r6 != 1) goto L_0x019a;
     */
    /* JADX WARNING: Missing block: B:73:0x019a, code:
            r0 = false;
     */
    /* JADX WARNING: Missing block: B:74:0x019b, code:
            r21.onRemovePolicyCompleted(r2, r3, r0);
     */
    /* JADX WARNING: Missing block: B:75:0x01a0, code:
            return r6;
     */
    public int removePolicy(android.content.ComponentName r24, java.lang.String r25, android.os.Bundle r26, int r27) {
        /*
        r23 = this;
        r1 = r23;
        r2 = r24;
        r3 = r25;
        r4 = r26;
        r5 = r27;
        r0 = "HwDPMS";
        r6 = new java.lang.StringBuilder;
        r6.<init>();
        r7 = "removePolicy, policyName = ";
        r6.append(r7);
        r6.append(r3);
        r7 = ", caller :";
        r6.append(r7);
        if (r2 != 0) goto L_0x0023;
    L_0x0020:
        r7 = "null";
        goto L_0x0027;
    L_0x0023:
        r7 = r24.flattenToString();
    L_0x0027:
        r6.append(r7);
        r6 = r6.toString();
        com.android.server.devicepolicy.HwLog.d(r0, r6);
        if (r2 == 0) goto L_0x01d4;
    L_0x0033:
        r6 = 1;
        r7 = r1.findPluginByPolicyName(r3);
        r0 = -1;
        if (r7 != 0) goto L_0x005e;
    L_0x003b:
        r8 = "HwDPMS";
        r9 = new java.lang.StringBuilder;
        r9.<init>();
        r10 = "no plugin found, pluginName = ";
        r9.append(r10);
        r9.append(r3);
        r10 = ", caller :";
        r9.append(r10);
        r10 = r24.flattenToString();
        r9.append(r10);
        r9 = r9.toString();
        com.android.server.devicepolicy.HwLog.e(r8, r9);
        return r0;
    L_0x005e:
        r8 = r7.checkCallingPermission(r2, r3);
        if (r8 != 0) goto L_0x007f;
    L_0x0064:
        r8 = "HwDPMS";
        r9 = new java.lang.StringBuilder;
        r9.<init>();
        r10 = "permission denied: ";
        r9.append(r10);
        r10 = r24.flattenToString();
        r9.append(r10);
        r9 = r9.toString();
        com.android.server.devicepolicy.HwLog.e(r8, r9);
        return r0;
    L_0x007f:
        r8 = 1;
        r9 = r1.findPolicyStructByPolicyName(r3);
        r10 = r23.getLockObject();
        monitor-enter(r10);
        r0 = r1.getHwActiveAdminUncheckedLocked(r2, r5);	 Catch:{ all -> 0x01cb }
        r11 = 0;
        r12 = 0;
        r13 = 0;
        if (r9 == 0) goto L_0x00dd;
    L_0x0092:
        r15 = r0.adminPolicyItems;	 Catch:{ all -> 0x00d8 }
        r15 = r15.get(r3);	 Catch:{ all -> 0x00d8 }
        r15 = (com.android.server.devicepolicy.PolicyStruct.PolicyItem) r15;	 Catch:{ all -> 0x00d8 }
        r11 = r15;
        if (r11 == 0) goto L_0x00d6;
    L_0x009d:
        r15 = new com.android.server.devicepolicy.PolicyStruct$PolicyItem;	 Catch:{ all -> 0x00d8 }
        r14 = r9.getItemByPolicyName(r3);	 Catch:{ all -> 0x00d8 }
        r14 = r14.getItemType();	 Catch:{ all -> 0x00d8 }
        r15.<init>(r3, r14);	 Catch:{ all -> 0x00d8 }
        r12 = r15;
        r12.deepCopyFrom(r11);	 Catch:{ all -> 0x00d8 }
        r12.removeAttrValues(r12, r4);	 Catch:{ all -> 0x00d8 }
        r14 = r1.combinePoliciesWithPolicyChanged(r2, r12, r3, r5);	 Catch:{ all -> 0x00d8 }
        r15 = globalPolicyItems;	 Catch:{ all -> 0x00d8 }
        r15 = r15.get(r3);	 Catch:{ all -> 0x00d8 }
        r15 = (com.android.server.devicepolicy.PolicyStruct.PolicyItem) r15;	 Catch:{ all -> 0x00d8 }
        if (r15 != 0) goto L_0x00c4;
    L_0x00bf:
        r12.setGlobalPolicyChanged(r13);	 Catch:{ all -> 0x00d8 }
        r8 = 0;
        goto L_0x00d5;
    L_0x00c4:
        r16 = r15.equals(r14);	 Catch:{ all -> 0x00d8 }
        if (r16 == 0) goto L_0x00d0;
    L_0x00ca:
        r13 = 2;
        r12.setGlobalPolicyChanged(r13);	 Catch:{ all -> 0x00d8 }
        r8 = 0;
        goto L_0x00d5;
    L_0x00d0:
        r13 = 1;
        r12.setGlobalPolicyChanged(r13);	 Catch:{ all -> 0x00d8 }
        r8 = 1;
    L_0x00d5:
        goto L_0x00de;
    L_0x00d6:
        r8 = 0;
        goto L_0x00de;
    L_0x00d8:
        r0 = move-exception;
        r18 = r9;
        goto L_0x01d0;
    L_0x00dd:
        r8 = 0;
    L_0x00de:
        r13 = "HwDPMS";
        r14 = new java.lang.StringBuilder;	 Catch:{ all -> 0x01c3 }
        r14.<init>();	 Catch:{ all -> 0x01c3 }
        r15 = "when removePolicy,  is global PolicyChanged ? = ";
        r14.append(r15);	 Catch:{ all -> 0x01c3 }
        r14.append(r8);	 Catch:{ all -> 0x01c3 }
        r14 = r14.toString();	 Catch:{ all -> 0x01c3 }
        com.android.server.devicepolicy.HwLog.i(r13, r14);	 Catch:{ all -> 0x01c3 }
        r13 = java.lang.System.currentTimeMillis();	 Catch:{ all -> 0x01c3 }
        r15 = "HwDPMS";
        r17 = r6;
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x01bb }
        r6.<init>();	 Catch:{ all -> 0x01bb }
        r18 = r9;
        r9 = "onRemovePolicy, begin time: ";
        r6.append(r9);	 Catch:{ all -> 0x01b5 }
        r6.append(r13);	 Catch:{ all -> 0x01b5 }
        r6 = r6.toString();	 Catch:{ all -> 0x01b5 }
        com.android.server.devicepolicy.HwLog.i(r15, r6);	 Catch:{ all -> 0x01b5 }
        r6 = r7.onRemovePolicy(r2, r3, r4, r8);	 Catch:{ all -> 0x01b5 }
        r19 = java.lang.System.currentTimeMillis();	 Catch:{ all -> 0x01b5 }
        r9 = "HwDPMS";
        r15 = new java.lang.StringBuilder;	 Catch:{ all -> 0x01b5 }
        r15.<init>();	 Catch:{ all -> 0x01b5 }
        r21 = r7;
        r7 = "onRemovePolicy, costs time: ";
        r15.append(r7);	 Catch:{ all -> 0x01ad }
        r22 = r8;
        r7 = r19 - r13;
        r15.append(r7);	 Catch:{ all -> 0x01a5 }
        r7 = r15.toString();	 Catch:{ all -> 0x01a5 }
        com.android.server.devicepolicy.HwLog.i(r9, r7);	 Catch:{ all -> 0x01a5 }
        if (r6 == 0) goto L_0x0163;
    L_0x0139:
        if (r11 == 0) goto L_0x0154;
    L_0x013b:
        r7 = r11.getItemType();	 Catch:{ all -> 0x014b }
        r8 = com.android.server.devicepolicy.PolicyStruct.PolicyType.LIST;	 Catch:{ all -> 0x014b }
        if (r7 != r8) goto L_0x0154;
    L_0x0143:
        if (r4 == 0) goto L_0x0154;
    L_0x0145:
        r7 = r0.adminPolicyItems;	 Catch:{ all -> 0x014b }
        r7.put(r3, r12);	 Catch:{ all -> 0x014b }
        goto L_0x0159;
    L_0x014b:
        r0 = move-exception;
        r6 = r17;
        r7 = r21;
        r8 = r22;
        goto L_0x01d0;
    L_0x0154:
        r7 = r0.adminPolicyItems;	 Catch:{ all -> 0x014b }
        r7.remove(r3);	 Catch:{ all -> 0x014b }
    L_0x0159:
        r1.saveSettingsLocked(r5);	 Catch:{ all -> 0x014b }
        r7 = 1;
        r1.combineAllPolicies(r5, r7);	 Catch:{ all -> 0x014b }
        r7 = 1;
        r6 = r7;
        goto L_0x0187;
    L_0x0163:
        r7 = "HwDPMS";
        r8 = new java.lang.StringBuilder;	 Catch:{ all -> 0x01a5 }
        r8.<init>();	 Catch:{ all -> 0x01a5 }
        r9 = "onSetPolicy failed, pluginName = ";
        r8.append(r9);	 Catch:{ all -> 0x01a5 }
        r8.append(r3);	 Catch:{ all -> 0x01a5 }
        r9 = ", caller :";
        r8.append(r9);	 Catch:{ all -> 0x01a5 }
        r9 = r24.flattenToString();	 Catch:{ all -> 0x01a5 }
        r8.append(r9);	 Catch:{ all -> 0x01a5 }
        r8 = r8.toString();	 Catch:{ all -> 0x01a5 }
        com.android.server.devicepolicy.HwLog.e(r7, r8);	 Catch:{ all -> 0x01a5 }
        r0 = -1;
        r6 = r0;
    L_0x0187:
        monitor-exit(r10);	 Catch:{ all -> 0x01a1 }
        r0 = 1;
        if (r6 != r0) goto L_0x0195;
    L_0x018b:
        r7 = r1.mHwAdminCache;
        r8 = 0;
        r8 = r1.getPolicy(r8, r3, r5);
        r7.syncHwAdminCache(r3, r8);
    L_0x0195:
        if (r22 == 0) goto L_0x019a;
    L_0x0197:
        if (r6 != r0) goto L_0x019a;
    L_0x0199:
        goto L_0x019b;
    L_0x019a:
        r0 = 0;
    L_0x019b:
        r7 = r21;
        r7.onRemovePolicyCompleted(r2, r3, r0);
        return r6;
    L_0x01a1:
        r0 = move-exception;
        r7 = r21;
        goto L_0x01aa;
    L_0x01a5:
        r0 = move-exception;
        r7 = r21;
        r6 = r17;
    L_0x01aa:
        r8 = r22;
        goto L_0x01d0;
    L_0x01ad:
        r0 = move-exception;
        r22 = r8;
        r7 = r21;
        r6 = r17;
        goto L_0x01d0;
    L_0x01b5:
        r0 = move-exception;
        r22 = r8;
        r6 = r17;
        goto L_0x01d0;
    L_0x01bb:
        r0 = move-exception;
        r22 = r8;
        r18 = r9;
        r6 = r17;
        goto L_0x01d0;
    L_0x01c3:
        r0 = move-exception;
        r17 = r6;
        r22 = r8;
        r18 = r9;
        goto L_0x01d0;
    L_0x01cb:
        r0 = move-exception;
        r17 = r6;
        r18 = r9;
    L_0x01d0:
        monitor-exit(r10);	 Catch:{ all -> 0x01d2 }
        throw r0;
    L_0x01d2:
        r0 = move-exception;
        goto L_0x01d0;
    L_0x01d4:
        r0 = new java.lang.IllegalArgumentException;
        r6 = "ComponentName is null";
        r0.<init>(r6);
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.removePolicy(android.content.ComponentName, java.lang.String, android.os.Bundle, int):int");
    }

    protected void notifyPlugins(android.content.ComponentName who, int userHandle) {
        com.android.server.devicepolicy.HwDevicePolicyManagerService hwDevicePolicyManagerService = this;
        android.content.ComponentName componentName = who;
        int i = userHandle;
        java.lang.String str = "HwDPMS";
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("notifyPlugins: ");
        stringBuilder.append(componentName == null ? "null" : who.flattenToString());
        stringBuilder.append(" userId: ");
        stringBuilder.append(i);
        com.android.server.devicepolicy.HwLog.d(str, stringBuilder.toString());
        com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin activeAdminToRemove = getActiveAdminUncheckedLocked(who, userHandle);
        if (!(activeAdminToRemove == null || activeAdminToRemove.mHwActiveAdmin == null || activeAdminToRemove.mHwActiveAdmin.adminPolicyItems == null)) {
            if (!activeAdminToRemove.mHwActiveAdmin.adminPolicyItems.isEmpty()) {
                java.util.Iterator it = hwDevicePolicyManagerService.globalStructs.iterator();
                while (it.hasNext()) {
                    com.android.server.devicepolicy.PolicyStruct struct = (com.android.server.devicepolicy.PolicyStruct) it.next();
                    if (struct != null) {
                        java.util.ArrayList<com.android.server.devicepolicy.PolicyStruct.PolicyItem> removedPluginItems = new java.util.ArrayList();
                        for (com.android.server.devicepolicy.PolicyStruct.PolicyItem removedItem : activeAdminToRemove.mHwActiveAdmin.adminPolicyItems.values()) {
                            if (removedItem != null) {
                                com.android.server.devicepolicy.PolicyStruct.PolicyItem combinedItem = hwDevicePolicyManagerService.combinePoliciesWithoutRemovedPolicyItem(componentName, removedItem.getPolicyName(), i);
                                if (((com.android.server.devicepolicy.PolicyStruct.PolicyItem) globalPolicyItems.get(removedItem.getPolicyName())) == null) {
                                    removedItem.setGlobalPolicyChanged(0);
                                } else if (removedItem.equals(combinedItem)) {
                                    removedItem.setGlobalPolicyChanged(2);
                                } else {
                                    removedItem.setGlobalPolicyChanged(1);
                                    globalPolicyItems.put(removedItem.getPolicyName(), combinedItem);
                                }
                                if (struct.containsPolicyName(removedItem.getPolicyName())) {
                                    removedPluginItems.add(removedItem);
                                }
                            }
                        }
                        if (!removedPluginItems.isEmpty()) {
                            com.android.server.devicepolicy.DevicePolicyPlugin plugin = struct.getOwner();
                            if (plugin == null) {
                                com.android.server.devicepolicy.HwLog.w("HwDPMS", " policy struct has no owner");
                                return;
                            }
                            hwDevicePolicyManagerService.effectedItems.add(new com.android.server.devicepolicy.AbsDevicePolicyManagerService.EffectedItem(componentName, plugin, removedPluginItems));
                            long beginTime = java.lang.System.currentTimeMillis();
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("onActiveAdminRemoved, begin time: ");
                            stringBuilder2.append(beginTime);
                            com.android.server.devicepolicy.HwLog.i("HwDPMS", stringBuilder2.toString());
                            plugin.onActiveAdminRemoved(componentName, removedPluginItems);
                            long endTime = java.lang.System.currentTimeMillis();
                            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                            stringBuilder3.append("onActiveAdminRemoved, costs time: ");
                            stringBuilder3.append(endTime - beginTime);
                            com.android.server.devicepolicy.HwLog.i("HwDPMS", stringBuilder3.toString());
                        }
                        hwDevicePolicyManagerService = this;
                        componentName = who;
                    }
                }
            }
        }
    }

    protected void removeActiveAdminCompleted(android.content.ComponentName who) {
        synchronized (getLockObject()) {
            if (!this.effectedItems.isEmpty()) {
                java.util.Iterator<com.android.server.devicepolicy.AbsDevicePolicyManagerService.EffectedItem> it = this.effectedItems.iterator();
                while (it.hasNext()) {
                    com.android.server.devicepolicy.AbsDevicePolicyManagerService.EffectedItem effectedItem = (com.android.server.devicepolicy.AbsDevicePolicyManagerService.EffectedItem) it.next();
                    com.android.server.devicepolicy.DevicePolicyPlugin plugin = effectedItem.effectedPlugin;
                    if (plugin != null) {
                        if (who.equals(effectedItem.effectedAdmin)) {
                            plugin.onActiveAdminRemovedCompleted(effectedItem.effectedAdmin, effectedItem.effectedPolicies);
                            it.remove();
                        }
                    }
                }
            }
        }
    }

    private com.android.server.devicepolicy.DevicePolicyPlugin findPluginByPolicyName(java.lang.String policyName) {
        com.android.server.devicepolicy.PolicyStruct struct = findPolicyStructByPolicyName(policyName);
        if (struct != null) {
            return struct.getOwner();
        }
        return null;
    }

    private com.android.server.devicepolicy.PolicyStruct findPolicyStructByPolicyName(java.lang.String policyName) {
        java.util.Iterator it = this.globalStructs.iterator();
        while (it.hasNext()) {
            com.android.server.devicepolicy.PolicyStruct struct = (com.android.server.devicepolicy.PolicyStruct) it.next();
            if (struct != null) {
                if (struct.containsPolicyName(policyName)) {
                    return struct;
                }
            }
        }
        return null;
    }

    private void combineAllPolicies(int userHandle, boolean shouldChange) {
        synchronized (getLockObject()) {
            com.android.server.devicepolicy.DevicePolicyManagerService.DevicePolicyData policy = getUserData(userHandle);
            java.util.Iterator it = this.globalStructs.iterator();
            while (it.hasNext()) {
                com.android.server.devicepolicy.PolicyStruct struct = (com.android.server.devicepolicy.PolicyStruct) it.next();
                for (java.lang.String policyName : struct.getPolicyMap().keySet()) {
                    com.android.server.devicepolicy.PolicyStruct.PolicyItem globalItem = new com.android.server.devicepolicy.PolicyStruct.PolicyItem(policyName, struct.getItemByPolicyName(policyName).getItemType());
                    globalItem.copyFrom(struct.getItemByPolicyName(policyName));
                    int N = policy.mAdminList.size();
                    int i;
                    com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin;
                    com.android.server.devicepolicy.PolicyStruct.PolicyItem adminItem;
                    if (globalItem.getItemType() != com.android.server.devicepolicy.PolicyStruct.PolicyType.CONFIGURATION) {
                        for (i = 0; i < N; i++) {
                            admin = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) policy.mAdminList.get(i);
                            if (admin.mHwActiveAdmin != null) {
                                adminItem = (com.android.server.devicepolicy.PolicyStruct.PolicyItem) admin.mHwActiveAdmin.adminPolicyItems.get(policyName);
                                if (adminItem != null && adminItem.hasAnyNonNullAttribute()) {
                                    traverseCombinePolicyItem(globalItem, adminItem);
                                }
                            }
                        }
                    } else if (shouldChange) {
                        for (i = N - 1; i >= 0; i--) {
                            admin = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) policy.mAdminList.get(i);
                            if (admin.mHwActiveAdmin != null) {
                                adminItem = (com.android.server.devicepolicy.PolicyStruct.PolicyItem) admin.mHwActiveAdmin.adminPolicyItems.get(policyName);
                                if (adminItem != null) {
                                    globalItem = adminItem;
                                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                    stringBuilder.append("global policy will change: ");
                                    stringBuilder.append(policyName);
                                    com.android.server.devicepolicy.HwLog.w("HwDPMS", stringBuilder.toString());
                                    break;
                                }
                            }
                        }
                    } else {
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("global policy will not change: ");
                        stringBuilder2.append(policyName);
                        com.android.server.devicepolicy.HwLog.w("HwDPMS", stringBuilder2.toString());
                    }
                    globalPolicyItems.put(policyName, globalItem);
                    struct.addPolicyItem(globalItem);
                }
            }
        }
    }

    private com.android.server.devicepolicy.PolicyStruct.PolicyItem combinePoliciesWithPolicyChanged(android.content.ComponentName who, com.android.server.devicepolicy.PolicyStruct.PolicyItem newItem, java.lang.String policyName, int userHandle) {
        com.android.server.devicepolicy.PolicyStruct.PolicyItem globalAdminItem;
        synchronized (getLockObject()) {
            com.android.server.devicepolicy.DevicePolicyManagerService.DevicePolicyData policy = getUserData(userHandle);
            com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin activeAdmin = getActiveAdminUncheckedLocked(who, userHandle);
            java.util.ArrayList<com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin> adminList = new java.util.ArrayList();
            java.util.Iterator it = policy.mAdminList.iterator();
            while (it.hasNext()) {
                adminList.add((com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) it.next());
            }
            if (activeAdmin != null && adminList.size() > 0) {
                adminList.remove(activeAdmin);
            }
            com.android.server.devicepolicy.PolicyStruct struct = findPolicyStructByPolicyName(policyName);
            globalAdminItem = new com.android.server.devicepolicy.PolicyStruct.PolicyItem(policyName, struct.getItemByPolicyName(policyName).getItemType());
            globalAdminItem.copyFrom(struct.getItemByPolicyName(policyName));
            int N = adminList.size();
            for (int i = 0; i < N; i++) {
                com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin1 = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) adminList.get(i);
                if (admin1.mHwActiveAdmin != null) {
                    com.android.server.devicepolicy.PolicyStruct.PolicyItem adminItem = (com.android.server.devicepolicy.PolicyStruct.PolicyItem) admin1.mHwActiveAdmin.adminPolicyItems.get(policyName);
                    if (adminItem != null && adminItem.hasAnyNonNullAttribute()) {
                        traverseCombinePolicyItem(globalAdminItem, adminItem);
                    }
                }
            }
            traverseCombinePolicyItem(globalAdminItem, newItem);
        }
        return globalAdminItem;
    }

    private com.android.server.devicepolicy.PolicyStruct.PolicyItem combinePoliciesAsUser(java.lang.String policyName, int userHandle) {
        com.android.server.devicepolicy.PolicyStruct.PolicyItem resultPolicyItem;
        synchronized (getLockObject()) {
            com.android.server.devicepolicy.DevicePolicyManagerService.DevicePolicyData policy = getUserData(userHandle);
            java.util.ArrayList<com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin> adminList = new java.util.ArrayList();
            java.util.Iterator it = policy.mAdminList.iterator();
            while (it.hasNext()) {
                adminList.add((com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) it.next());
            }
            com.android.server.devicepolicy.PolicyStruct struct = findPolicyStructByPolicyName(policyName);
            resultPolicyItem = new com.android.server.devicepolicy.PolicyStruct.PolicyItem(policyName, struct.getItemByPolicyName(policyName).getItemType());
            resultPolicyItem.copyFrom(struct.getItemByPolicyName(policyName));
            int size = adminList.size();
            for (int i = 0; i < size; i++) {
                com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) adminList.get(i);
                if (admin.mHwActiveAdmin != null) {
                    com.android.server.devicepolicy.PolicyStruct.PolicyItem policyItemAsAdmin = (com.android.server.devicepolicy.PolicyStruct.PolicyItem) admin.mHwActiveAdmin.adminPolicyItems.get(policyName);
                    if (policyItemAsAdmin != null && policyItemAsAdmin.hasAnyNonNullAttribute()) {
                        traverseCombinePolicyItem(resultPolicyItem, policyItemAsAdmin);
                    }
                }
            }
        }
        return resultPolicyItem;
    }

    private com.android.server.devicepolicy.PolicyStruct.PolicyItem combinePoliciesWithoutRemovedPolicyItem(android.content.ComponentName who, java.lang.String policyName, int userHandle) {
        com.android.server.devicepolicy.DevicePolicyManagerService.DevicePolicyData policy = getUserData(userHandle);
        java.util.ArrayList<com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin> adminList = new java.util.ArrayList();
        synchronized (getLockObject()) {
            com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin activeAdmin = getActiveAdminUncheckedLocked(who, userHandle);
            java.util.Iterator it = policy.mAdminList.iterator();
            while (it.hasNext()) {
                adminList.add((com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) it.next());
            }
            if (activeAdmin != null && adminList.size() > 0) {
                adminList.remove(activeAdmin);
            }
        }
        com.android.server.devicepolicy.PolicyStruct.PolicyItem oldItem = findPolicyStructByPolicyName(policyName).getItemByPolicyName(policyName);
        com.android.server.devicepolicy.PolicyStruct.PolicyItem globalAdminItem = null;
        if (oldItem != null) {
            globalAdminItem = new com.android.server.devicepolicy.PolicyStruct.PolicyItem(policyName, oldItem.getItemType());
            globalAdminItem.copyFrom(oldItem);
            int N = adminList.size();
            for (int i = 0; i < N; i++) {
                com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin1 = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) adminList.get(i);
                if (admin1.mHwActiveAdmin != null) {
                    com.android.server.devicepolicy.PolicyStruct.PolicyItem adminItem = (com.android.server.devicepolicy.PolicyStruct.PolicyItem) admin1.mHwActiveAdmin.adminPolicyItems.get(policyName);
                    if (adminItem != null && adminItem.hasAnyNonNullAttribute() && adminItem.getPolicyName().equals(policyName)) {
                        traverseCombinePolicyItem(globalAdminItem, adminItem);
                    }
                }
            }
        }
        return globalAdminItem;
    }

    private void traverseCombinePolicyItem(com.android.server.devicepolicy.PolicyStruct.PolicyItem oldRoot, com.android.server.devicepolicy.PolicyStruct.PolicyItem newRoot) {
        if (oldRoot != null) {
            if (newRoot != null) {
                oldRoot.setAttributes(combineAttributes(oldRoot.getAttributes(), newRoot.getAttributes(), oldRoot));
                int n = oldRoot.getChildItem().size();
                for (int i = 0; i < n; i++) {
                    traverseCombinePolicyItem((com.android.server.devicepolicy.PolicyStruct.PolicyItem) oldRoot.getChildItem().get(i), (com.android.server.devicepolicy.PolicyStruct.PolicyItem) newRoot.getChildItem().get(i));
                }
            }
        }
    }

    private android.os.Bundle combineAttributes(android.os.Bundle oldAttr, android.os.Bundle newAttr, com.android.server.devicepolicy.PolicyStruct.PolicyItem item) {
        switch (com.android.server.devicepolicy.HwDevicePolicyManagerService.AnonymousClass5.$SwitchMap$com$android$server$devicepolicy$PolicyStruct$PolicyType[item.getItemType().ordinal()]) {
            case 1:
                for (java.lang.String key : newAttr.keySet()) {
                    if (newAttr.get(key) != null) {
                        boolean state;
                        if (!oldAttr.getBoolean(key)) {
                            if (!newAttr.getBoolean(key)) {
                                state = false;
                                oldAttr.putBoolean(key, state);
                            }
                        }
                        state = true;
                        oldAttr.putBoolean(key, state);
                    }
                }
                break;
            case 2:
                for (java.lang.String key2 : newAttr.keySet()) {
                    if (newAttr.get(key2) != null) {
                        java.util.ArrayList<java.lang.String> oldPolicyList = oldAttr.getStringArrayList(key2);
                        java.util.ArrayList<java.lang.String> newPolicyList = newAttr.getStringArrayList(key2);
                        if (oldPolicyList == null) {
                            oldPolicyList = new java.util.ArrayList();
                        }
                        com.android.server.devicepolicy.HwDevicePolicyManagerServiceUtil.addListWithoutDuplicate(oldPolicyList, newPolicyList);
                        oldAttr.putStringArrayList(key2, oldPolicyList);
                    }
                }
                break;
            case 3:
                for (java.lang.String key22 : newAttr.keySet()) {
                    if (newAttr.get(key22) != null) {
                        oldAttr.putString(key22, newAttr.getString(key22));
                    }
                }
                break;
            default:
                break;
        }
        return oldAttr;
    }

    public java.util.ArrayList<java.lang.String> queryBrowsingHistory(android.content.ComponentName who, int userHandle) {
        java.lang.String policyName = "network-black-list";
        java.util.ArrayList<java.lang.String> historyList = new java.util.ArrayList();
        if (who != null) {
            this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_NETWORK_MANAGER", "does not have network MDM permission!");
            enforceHwCrossUserPermission(userHandle);
            getHwActiveAdmin(who, userHandle);
            com.android.server.devicepolicy.DevicePolicyPlugin plugin = findPluginByPolicyName("network-black-list");
            if (plugin == null || !(plugin instanceof com.android.server.devicepolicy.plugins.DeviceNetworkPlugin)) {
                com.android.server.devicepolicy.HwLog.e("HwDPMS", "no DeviceNetworkPlugin found, pluginName = network-black-list");
                return historyList;
            }
            com.android.server.devicepolicy.plugins.DeviceNetworkPlugin deviceNetworkPlugin = (com.android.server.devicepolicy.plugins.DeviceNetworkPlugin) plugin;
            long callingId = android.os.Binder.clearCallingIdentity();
            historyList = deviceNetworkPlugin.queryBrowsingHistory();
            android.os.Binder.restoreCallingIdentity(callingId);
            return historyList;
        }
        throw new java.lang.IllegalArgumentException("ComponentName is null");
    }

    /* JADX WARNING: Removed duplicated region for block: B:36:0x00b9 A:{PHI: r4 , ExcHandler: org.xmlpull.v1.XmlPullParserException (e org.xmlpull.v1.XmlPullParserException), Splitter: B:9:0x0064} */
    /* JADX WARNING: Missing block: B:38:?, code:
            com.android.server.devicepolicy.HwLog.e("HwDPMS", "XmlPullParserException | IOException");
     */
    /* JADX WARNING: Missing block: B:40:?, code:
            libcore.io.IoUtils.closeQuietly(r4);
     */
    /* JADX WARNING: Missing block: B:42:0x00c6, code:
            com.android.server.devicepolicy.HwLog.d("HwDPMS", "Can't find HwPolicy");
     */
    /* JADX WARNING: Missing block: B:43:0x00cd, code:
            return false;
     */
    /* JADX WARNING: Missing block: B:45:?, code:
            libcore.io.IoUtils.closeQuietly(r4);
     */
    public boolean hasHwPolicy(int r14) {
        /*
        r13 = this;
        r0 = "HwDPMS";
        r1 = new java.lang.StringBuilder;
        r1.<init>();
        r2 = "hasHwPolicy, userHandle :";
        r1.append(r2);
        r1.append(r14);
        r1 = r1.toString();
        com.android.server.devicepolicy.HwLog.d(r0, r1);
        r0 = r13.getLockObject();
        monitor-enter(r0);
        r1 = "device_policies.xml";
        if (r14 != 0) goto L_0x0031;
    L_0x001f:
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00d2 }
        r2.<init>();	 Catch:{ all -> 0x00d2 }
        r3 = "/data/system/";
        r2.append(r3);	 Catch:{ all -> 0x00d2 }
        r2.append(r1);	 Catch:{ all -> 0x00d2 }
        r2 = r2.toString();	 Catch:{ all -> 0x00d2 }
        goto L_0x003e;
    L_0x0031:
        r2 = new java.io.File;	 Catch:{ all -> 0x00d2 }
        r3 = android.os.Environment.getUserSystemDirectory(r14);	 Catch:{ all -> 0x00d2 }
        r2.<init>(r3, r1);	 Catch:{ all -> 0x00d2 }
        r2 = r2.getAbsolutePath();	 Catch:{ all -> 0x00d2 }
    L_0x003e:
        r3 = new com.android.internal.util.JournaledFile;	 Catch:{ all -> 0x00d2 }
        r4 = new java.io.File;	 Catch:{ all -> 0x00d2 }
        r4.<init>(r2);	 Catch:{ all -> 0x00d2 }
        r5 = new java.io.File;	 Catch:{ all -> 0x00d2 }
        r6 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00d2 }
        r6.<init>();	 Catch:{ all -> 0x00d2 }
        r6.append(r2);	 Catch:{ all -> 0x00d2 }
        r7 = ".tmp";
        r6.append(r7);	 Catch:{ all -> 0x00d2 }
        r6 = r6.toString();	 Catch:{ all -> 0x00d2 }
        r5.<init>(r6);	 Catch:{ all -> 0x00d2 }
        r3.<init>(r4, r5);	 Catch:{ all -> 0x00d2 }
        r4 = 0;
        r5 = r3.chooseForRead();	 Catch:{ all -> 0x00d2 }
        r6 = 0;
        r7 = new java.io.FileInputStream;	 Catch:{ XmlPullParserException -> 0x00b9, XmlPullParserException -> 0x00b9 }
        r7.<init>(r5);	 Catch:{ XmlPullParserException -> 0x00b9, XmlPullParserException -> 0x00b9 }
        r4 = r7;
        r7 = android.util.Xml.newPullParser();	 Catch:{ XmlPullParserException -> 0x00b9, XmlPullParserException -> 0x00b9 }
        r8 = java.nio.charset.StandardCharsets.UTF_8;	 Catch:{ XmlPullParserException -> 0x00b9, XmlPullParserException -> 0x00b9 }
        r8 = r8.name();	 Catch:{ XmlPullParserException -> 0x00b9, XmlPullParserException -> 0x00b9 }
        r7.setInput(r4, r8);	 Catch:{ XmlPullParserException -> 0x00b9, XmlPullParserException -> 0x00b9 }
    L_0x0077:
        r8 = r7.next();	 Catch:{ XmlPullParserException -> 0x00b9, XmlPullParserException -> 0x00b9 }
        r9 = r8;
        r10 = 1;
        if (r8 == r10) goto L_0x00c1;
    L_0x007f:
        r8 = 2;
        if (r9 != r8) goto L_0x0077;
    L_0x0082:
        r11 = r7.getName();	 Catch:{ XmlPullParserException -> 0x00b9, XmlPullParserException -> 0x00b9 }
        r12 = "hw_policy";
        r12 = r12.equals(r11);	 Catch:{ XmlPullParserException -> 0x00b9, XmlPullParserException -> 0x00b9 }
        if (r12 == 0) goto L_0x00a7;
    L_0x008e:
        r12 = r7.next();	 Catch:{ XmlPullParserException -> 0x00b9, XmlPullParserException -> 0x00b9 }
        r9 = r12;
        if (r12 == r10) goto L_0x00a7;
    L_0x0095:
        r12 = 3;
        if (r9 == r12) goto L_0x00a7;
    L_0x0098:
        if (r9 != r8) goto L_0x008e;
    L_0x009a:
        r8 = "HwDPMS";
        r12 = "find HwPolicy";
        com.android.server.devicepolicy.HwLog.d(r8, r12);	 Catch:{ XmlPullParserException -> 0x00b9, XmlPullParserException -> 0x00b9 }
        libcore.io.IoUtils.closeQuietly(r4);	 Catch:{ all -> 0x00d2 }
        monitor-exit(r0);	 Catch:{ all -> 0x00d2 }
        return r10;
    L_0x00a7:
        if (r9 != r10) goto L_0x00b6;
    L_0x00a9:
        r8 = "HwDPMS";
        r10 = "Can't find HwPolicy";
        com.android.server.devicepolicy.HwLog.d(r8, r10);	 Catch:{ XmlPullParserException -> 0x00b9, XmlPullParserException -> 0x00b9 }
        libcore.io.IoUtils.closeQuietly(r4);	 Catch:{ all -> 0x00d2 }
        monitor-exit(r0);	 Catch:{ all -> 0x00d2 }
        return r6;
    L_0x00b6:
        goto L_0x0077;
    L_0x00b7:
        r6 = move-exception;
        goto L_0x00ce;
    L_0x00b9:
        r7 = move-exception;
        r8 = "HwDPMS";
        r9 = "XmlPullParserException | IOException";
        com.android.server.devicepolicy.HwLog.e(r8, r9);	 Catch:{ all -> 0x00b7 }
    L_0x00c1:
        libcore.io.IoUtils.closeQuietly(r4);	 Catch:{ all -> 0x00d2 }
        monitor-exit(r0);	 Catch:{ all -> 0x00d2 }
        r0 = "HwDPMS";
        r1 = "Can't find HwPolicy";
        com.android.server.devicepolicy.HwLog.d(r0, r1);
        return r6;
    L_0x00ce:
        libcore.io.IoUtils.closeQuietly(r4);	 Catch:{ all -> 0x00d2 }
        throw r6;	 Catch:{ all -> 0x00d2 }
    L_0x00d2:
        r1 = move-exception;
        monitor-exit(r0);	 Catch:{ all -> 0x00d2 }
        throw r1;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.hasHwPolicy(int):boolean");
    }

    protected boolean isSecureBlockEncrypted() {
        if (!android.os.storage.StorageManager.isBlockEncrypted()) {
            return false;
        }
        long identity = android.os.Binder.clearCallingIdentity();
        boolean isSecure;
        try {
            isSecure = android.os.storage.IStorageManager.Stub.asInterface(android.os.ServiceManager.getService("mount")).isSecure();
            return isSecure;
        } catch (android.os.RemoteException e) {
            isSecure = "HwDPMS";
            android.util.Log.e(isSecure, "Error getting encryption type");
            return false;
        } finally {
            android.os.Binder.restoreCallingIdentity(identity);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:56:0x010d  */
    /* JADX WARNING: Removed duplicated region for block: B:83:0x010a A:{SYNTHETIC} */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x0032  */
    /* JADX WARNING: Removed duplicated region for block: B:11:0x0029  */
    /* JADX WARNING: Missing block: B:71:0x014b, code:
            return 1;
     */
    public int configVpnProfile(android.content.ComponentName r23, android.os.Bundle r24, int r25) {
        /*
        r22 = this;
        r1 = r22;
        r2 = r23;
        r3 = r24;
        r4 = r25;
        r1.enforceHwCrossUserPermission(r4);
        r0 = r1.mContext;
        r5 = "com.huawei.permission.sec.MDM_VPN";
        r6 = "NEED MDM_VPN PERMISSION";
        r0.enforceCallingOrSelfPermission(r5, r6);
        r5 = r22.getLockObject();
        monitor-enter(r5);
        r0 = android.security.KeyStore.getInstance();	 Catch:{ all -> 0x014c }
        r7 = 0;
        if (r2 == 0) goto L_0x0025;
    L_0x0020:
        if (r3 != 0) goto L_0x0023;
    L_0x0022:
        goto L_0x0025;
    L_0x0023:
        r8 = r7;
        goto L_0x0026;
    L_0x0025:
        r8 = 1;
    L_0x0026:
        r9 = -1;
        if (r8 == 0) goto L_0x0032;
    L_0x0029:
        r6 = "HwDPMS";
        r7 = "Bundle para is null or componentName is null!";
        android.util.Log.e(r6, r7);	 Catch:{ all -> 0x014c }
        monitor-exit(r5);	 Catch:{ all -> 0x014c }
        return r9;
    L_0x0032:
        r10 = r1.isValidVpnConfig(r3);	 Catch:{ all -> 0x014c }
        if (r10 != 0) goto L_0x0041;
    L_0x0038:
        r6 = "HwDPMS";
        r7 = "This Config isn't valid vpnConfig";
        android.util.Log.e(r6, r7);	 Catch:{ all -> 0x014c }
        monitor-exit(r5);	 Catch:{ all -> 0x014c }
        return r9;
    L_0x0041:
        r10 = r1.getProfile(r3);	 Catch:{ all -> 0x014c }
        r11 = new java.lang.StringBuilder;	 Catch:{ all -> 0x014c }
        r11.<init>();	 Catch:{ all -> 0x014c }
        r12 = "VPN_";
        r11.append(r12);	 Catch:{ all -> 0x014c }
        r12 = r10.key;	 Catch:{ all -> 0x014c }
        r11.append(r12);	 Catch:{ all -> 0x014c }
        r11 = r11.toString();	 Catch:{ all -> 0x014c }
        r12 = r10.encode();	 Catch:{ all -> 0x014c }
        r11 = r0.put(r11, r12, r9, r7);	 Catch:{ all -> 0x014c }
        if (r11 != 0) goto L_0x006b;
    L_0x0062:
        r6 = "HwDPMS";
        r7 = "Set vpn failed, check the config.";
        android.util.Log.e(r6, r7);	 Catch:{ all -> 0x014c }
        monitor-exit(r5);	 Catch:{ all -> 0x014c }
        return r9;
    L_0x006b:
        r9 = "key";
        r9 = r3.getString(r9);	 Catch:{ all -> 0x014c }
        r12 = r1.getUserData(r4);	 Catch:{ all -> 0x014c }
        r13 = r12.mAdminList;	 Catch:{ all -> 0x014c }
        r13 = r13.size();	 Catch:{ all -> 0x014c }
        r14 = r7;
    L_0x007c:
        if (r14 >= r13) goto L_0x00d8;
    L_0x007e:
        r15 = r12.mAdminList;	 Catch:{ all -> 0x014c }
        r15 = r15.get(r14);	 Catch:{ all -> 0x014c }
        r15 = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) r15;	 Catch:{ all -> 0x014c }
        r7 = r15.mHwActiveAdmin;	 Catch:{ all -> 0x014c }
        if (r7 == 0) goto L_0x00d0;
    L_0x008a:
        r7 = r15.mHwActiveAdmin;	 Catch:{ all -> 0x014c }
        r7 = r7.vpnProviderlist;	 Catch:{ all -> 0x014c }
        if (r7 == 0) goto L_0x00d0;
    L_0x0090:
        r7 = 0;
        r6 = r15.mHwActiveAdmin;	 Catch:{ all -> 0x014c }
        r6 = r6.vpnProviderlist;	 Catch:{ all -> 0x014c }
        r6 = r6.iterator();	 Catch:{ all -> 0x014c }
    L_0x0099:
        r17 = r6.hasNext();	 Catch:{ all -> 0x014c }
        if (r17 == 0) goto L_0x00c1;
    L_0x009f:
        r17 = r6.next();	 Catch:{ all -> 0x014c }
        r17 = (android.os.Bundle) r17;	 Catch:{ all -> 0x014c }
        r18 = r17;
        r19 = r0;
        r0 = "key";
        r20 = r6;
        r6 = r18;
        r0 = r6.getString(r0);	 Catch:{ all -> 0x014c }
        r0 = r9.equals(r0);	 Catch:{ all -> 0x014c }
        if (r0 == 0) goto L_0x00bb;
    L_0x00b9:
        r7 = r6;
        goto L_0x00c3;
        r0 = r19;
        r6 = r20;
        goto L_0x0099;
    L_0x00c1:
        r19 = r0;
    L_0x00c3:
        if (r7 == 0) goto L_0x00d2;
    L_0x00c5:
        r0 = r15.mHwActiveAdmin;	 Catch:{ all -> 0x014c }
        r0 = r0.vpnProviderlist;	 Catch:{ all -> 0x014c }
        r0.remove(r7);	 Catch:{ all -> 0x014c }
        r1.saveSettingsLocked(r4);	 Catch:{ all -> 0x014c }
        goto L_0x00d2;
    L_0x00d0:
        r19 = r0;
    L_0x00d2:
        r14 = r14 + 1;
        r0 = r19;
        r7 = 0;
        goto L_0x007c;
    L_0x00d8:
        r19 = r0;
        r0 = r1.getHwActiveAdmin(r2, r4);	 Catch:{ all -> 0x014c }
        r6 = r0.vpnProviderlist;	 Catch:{ all -> 0x014c }
        if (r6 == 0) goto L_0x013a;
    L_0x00e2:
        r6 = 0;
        r7 = 0;
        r14 = r0.vpnProviderlist;	 Catch:{ all -> 0x014c }
        r14 = r14.iterator();	 Catch:{ all -> 0x014c }
    L_0x00ea:
        r15 = r14.hasNext();	 Catch:{ all -> 0x014c }
        if (r15 == 0) goto L_0x011f;
    L_0x00f0:
        r15 = r14.next();	 Catch:{ all -> 0x014c }
        r15 = (android.os.Bundle) r15;	 Catch:{ all -> 0x014c }
        if (r15 == 0) goto L_0x0107;
    L_0x00f8:
        r2 = "key";
        r2 = r15.getString(r2);	 Catch:{ all -> 0x014c }
        r2 = isEmpty(r2);	 Catch:{ all -> 0x014c }
        if (r2 == 0) goto L_0x0105;
    L_0x0104:
        goto L_0x0107;
    L_0x0105:
        r2 = 0;
        goto L_0x0108;
    L_0x0107:
        r2 = 1;
    L_0x0108:
        if (r2 == 0) goto L_0x010d;
    L_0x010a:
        r2 = r23;
        goto L_0x00ea;
    L_0x010d:
        r21 = r2;
        r2 = "key";
        r2 = r15.getString(r2);	 Catch:{ all -> 0x014c }
        r2 = r9.equals(r2);	 Catch:{ all -> 0x014c }
        if (r2 == 0) goto L_0x011e;
    L_0x011b:
        r6 = 1;
        r7 = r15;
        goto L_0x011f;
    L_0x011e:
        goto L_0x010a;
    L_0x011f:
        if (r6 == 0) goto L_0x0126;
    L_0x0121:
        if (r7 == 0) goto L_0x0126;
    L_0x0123:
        r16 = 1;
        goto L_0x0128;
    L_0x0126:
        r16 = 0;
    L_0x0128:
        r2 = r16;
        if (r2 == 0) goto L_0x0131;
    L_0x012c:
        r14 = r0.vpnProviderlist;	 Catch:{ all -> 0x014c }
        r14.remove(r7);	 Catch:{ all -> 0x014c }
    L_0x0131:
        r14 = r0.vpnProviderlist;	 Catch:{ all -> 0x014c }
        r14.add(r3);	 Catch:{ all -> 0x014c }
        r1.saveSettingsLocked(r4);	 Catch:{ all -> 0x014c }
        goto L_0x0149;
    L_0x013a:
        r2 = new java.util.ArrayList;	 Catch:{ all -> 0x014c }
        r2.<init>();	 Catch:{ all -> 0x014c }
        r0.vpnProviderlist = r2;	 Catch:{ all -> 0x014c }
        r2 = r0.vpnProviderlist;	 Catch:{ all -> 0x014c }
        r2.add(r3);	 Catch:{ all -> 0x014c }
        r1.saveSettingsLocked(r4);	 Catch:{ all -> 0x014c }
    L_0x0149:
        monitor-exit(r5);	 Catch:{ all -> 0x014c }
        r0 = 1;
        return r0;
    L_0x014c:
        r0 = move-exception;
        monitor-exit(r5);	 Catch:{ all -> 0x014c }
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.configVpnProfile(android.content.ComponentName, android.os.Bundle, int):int");
    }

    public int removeVpnProfile(android.content.ComponentName who, android.os.Bundle para, int userHandle) {
        int i = userHandle;
        java.lang.String key = para.getString("key");
        if (who != null) {
            if (!isEmpty(key)) {
                enforceHwCrossUserPermission(i);
                this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_VPN", "NEED MDM_VPN PERMISSION");
                synchronized (getLockObject()) {
                    android.security.KeyStore mKeyStore = android.security.KeyStore.getInstance();
                    boolean hasDeleted = false;
                    com.android.server.devicepolicy.DevicePolicyManagerService.DevicePolicyData policy = getUserData(i);
                    int N = policy.mAdminList.size();
                    for (int i2 = 0; i2 < N; i2++) {
                        com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) policy.mAdminList.get(i2);
                        if (!(admin.mHwActiveAdmin == null || admin.mHwActiveAdmin.vpnProviderlist == null)) {
                            android.os.Bundle specProvider = null;
                            for (android.os.Bundle provider : admin.mHwActiveAdmin.vpnProviderlist) {
                                if (key.equals(provider.getString("key"))) {
                                    specProvider = provider;
                                    break;
                                }
                            }
                            if (specProvider != null) {
                                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("VPN_");
                                stringBuilder.append(key);
                                if (mKeyStore.delete(stringBuilder.toString())) {
                                    admin.mHwActiveAdmin.vpnProviderlist.remove(specProvider);
                                    saveSettingsLocked(i);
                                    hasDeleted = true;
                                } else {
                                    android.util.Log.e("HwDPMS", "Delete vpn failed, check the key.");
                                    return -1;
                                }
                            }
                            continue;
                        }
                    }
                    if (hasDeleted) {
                        return 1;
                    }
                    return -1;
                }
            }
        }
        android.util.Log.e("HwDPMS", "ComponentName or key is empty.");
        return -1;
    }

    public android.os.Bundle getVpnProfile(android.content.ComponentName who, android.os.Bundle keyWords, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_VPN", "NEED MDM_VPN PERMISSION");
        java.lang.String key = keyWords.getString("key");
        if (isEmpty(key)) {
            android.util.Log.e("HwDPMS", "key is null or empty.");
            return null;
        }
        synchronized (getLockObject()) {
            if (who != null) {
                try {
                    com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin hwAdmin = getHwActiveAdmin(who, userHandle);
                    if (hwAdmin.vpnProviderlist == null) {
                        return null;
                    }
                    for (android.os.Bundle provider : hwAdmin.vpnProviderlist) {
                        if (key.equals(provider.getString("key"))) {
                            return provider;
                        }
                    }
                    return null;
                } catch (java.lang.Throwable th) {
                    throw th;
                }
            }
            com.android.server.devicepolicy.DevicePolicyManagerService.DevicePolicyData policy = getUserData(userHandle);
            int N = policy.mAdminList.size();
            for (int i = 0; i < N; i++) {
                com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) policy.mAdminList.get(i);
                if (!(admin.mHwActiveAdmin == null || admin.mHwActiveAdmin.vpnProviderlist == null)) {
                    for (android.os.Bundle provider2 : admin.mHwActiveAdmin.vpnProviderlist) {
                        if (key.equals(provider2.getString("key"))) {
                            return provider2;
                        }
                    }
                    continue;
                }
            }
            return null;
        }
    }

    public android.os.Bundle getVpnList(android.content.ComponentName who, android.os.Bundle keyWords, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_VPN", "NEED MDM_VPN PERMISSION");
        synchronized (getLockObject()) {
            java.util.ArrayList<java.lang.String> vpnKeyList = new java.util.ArrayList();
            android.os.Bundle vpnListBundle = new android.os.Bundle();
            if (who != null) {
                com.android.server.devicepolicy.AbsDevicePolicyManagerService.HwActiveAdmin admin = getHwActiveAdmin(who, userHandle);
                if (admin.vpnProviderlist == null) {
                    return null;
                }
                for (android.os.Bundle provider : admin.vpnProviderlist) {
                    if (!isEmpty(provider.getString("key"))) {
                        vpnKeyList.add(provider.getString("key"));
                    }
                }
                vpnListBundle.putStringArrayList("keylist", vpnKeyList);
                return vpnListBundle;
            }
            com.android.server.devicepolicy.DevicePolicyManagerService.DevicePolicyData policy = getUserData(userHandle);
            int N = policy.mAdminList.size();
            for (int i = 0; i < N; i++) {
                com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin2 = (com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) policy.mAdminList.get(i);
                if (!(admin2.mHwActiveAdmin == null || admin2.mHwActiveAdmin.vpnProviderlist == null)) {
                    for (android.os.Bundle provider2 : admin2.mHwActiveAdmin.vpnProviderlist) {
                        if (!(isEmpty(provider2.getString("key")) || vpnKeyList.contains(provider2.getString("key")))) {
                            vpnKeyList.add(provider2.getString("key"));
                        }
                    }
                }
            }
            vpnListBundle.putStringArrayList("keylist", vpnKeyList);
            return vpnListBundle;
        }
    }

    private com.android.internal.net.VpnProfile getProfile(android.os.Bundle vpnBundle) {
        com.android.internal.net.VpnProfile profile = new com.android.internal.net.VpnProfile(vpnBundle.getString("key"));
        profile.name = vpnBundle.getString("name");
        profile.type = java.lang.Integer.parseInt(vpnBundle.getString("type"));
        profile.server = vpnBundle.getString("server");
        profile.username = vpnBundle.getString("username");
        profile.password = vpnBundle.getString("password");
        switch (profile.type) {
            case 0:
                profile.mppe = java.lang.Boolean.parseBoolean(vpnBundle.getString("mppe"));
                break;
            case 1:
                profile.l2tpSecret = vpnBundle.getString("l2tpSecret");
                break;
            case 2:
                profile.l2tpSecret = vpnBundle.getString("l2tpSecret");
                profile.ipsecIdentifier = vpnBundle.getString("ipsecIdentifier");
                profile.ipsecSecret = vpnBundle.getString("ipsecSecret");
                break;
            case 3:
                profile.l2tpSecret = vpnBundle.getString("l2tpSecret");
                profile.ipsecUserCert = vpnBundle.getString("ipsecUserCert");
                profile.ipsecCaCert = vpnBundle.getString("ipsecCaCert");
                profile.ipsecServerCert = vpnBundle.getString("ipsecServerCert");
                break;
            case 4:
                profile.ipsecIdentifier = vpnBundle.getString("ipsecIdentifier");
                profile.ipsecSecret = vpnBundle.getString("ipsecSecret");
                break;
            case 5:
                profile.ipsecUserCert = vpnBundle.getString("ipsecUserCert");
                profile.ipsecCaCert = vpnBundle.getString("ipsecCaCert");
                profile.ipsecServerCert = vpnBundle.getString("ipsecServerCert");
                break;
            case 6:
                profile.ipsecCaCert = vpnBundle.getString("ipsecCaCert");
                profile.ipsecServerCert = vpnBundle.getString("ipsecServerCert");
                break;
            default:
                break;
        }
        return profile;
    }

    private boolean isValidVpnConfig(android.os.Bundle para) {
        if (!(para == null || isEmpty(para.getString("key")) || isEmpty(para.getString("name")) || isEmpty(para.getString("type")))) {
            if (!isEmpty(para.getString("server"))) {
                if (java.lang.Integer.parseInt(para.getString("type")) >= 0) {
                    if (java.lang.Integer.parseInt(para.getString("type")) <= 6) {
                        switch (java.lang.Integer.parseInt(para.getString("type"))) {
                            case 2:
                            case 4:
                                return isEmpty(para.getString("ipsecSecret")) ^ 1;
                            case 3:
                            case 5:
                                return isEmpty(para.getString("ipsecUserCert")) ^ 1;
                            default:
                                return true;
                        }
                    }
                }
                return false;
            }
        }
        return false;
    }

    public static boolean isEmpty(java.lang.String str) {
        return android.text.TextUtils.isEmpty(str);
    }

    public boolean getScreenCaptureDisabled(android.content.ComponentName who, int userHandle) {
        if (who != null) {
            return super.getScreenCaptureDisabled(who, userHandle);
        }
        boolean z;
        if (!super.getScreenCaptureDisabled(who, userHandle)) {
            if (!android.hdm.HwDeviceManager.mdmDisallowOp(20, null)) {
                z = false;
                return z;
            }
        }
        z = true;
        return z;
    }

    public boolean formatSDCard(android.content.ComponentName who, java.lang.String diskId, int userHandle) {
        boolean z;
        if (who != null) {
            this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_SDCARD", "does not have sd card MDM permission!");
            synchronized (getLockObject()) {
                if (getActiveAdminUncheckedLocked(who, userHandle) != null) {
                    long token = android.os.Binder.clearCallingIdentity();
                    try {
                        ((android.os.storage.StorageManager) this.mContext.getSystemService("storage")).partitionPublic(diskId);
                        android.os.Binder.restoreCallingIdentity(token);
                    } catch (java.lang.Exception e) {
                        try {
                            z = "HwDPMS";
                            com.android.server.devicepolicy.HwLog.e(z, "format sd card data error!");
                            z = false;
                        } finally {
                            android.os.Binder.restoreCallingIdentity(token);
                        }
                        return z;
                    }
                }
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("No active admin owned by uid ");
                stringBuilder.append(android.os.Binder.getCallingUid());
                stringBuilder.append(", ComponentName:");
                stringBuilder.append(who);
                throw new java.lang.SecurityException(stringBuilder.toString());
            }
            return true;
        }
        throw new java.lang.IllegalArgumentException("ComponentName is null");
    }

    public void setAccountDisabled(android.content.ComponentName who, java.lang.String accountType, boolean disabled, int userHandle) {
        if (who != null) {
            this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_APP_MANAGEMENT", "does not have app management MDM permission!");
            synchronized (getLockObject()) {
                com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin = getActiveAdminUncheckedLocked(who, userHandle);
                if (admin != null) {
                    if (disabled) {
                        admin.accountTypesWithManagementDisabled.add(accountType);
                    } else {
                        admin.accountTypesWithManagementDisabled.remove(accountType);
                    }
                    saveSettingsLocked(userHandle);
                } else {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("No active admin owned by uid ");
                    stringBuilder.append(android.os.Binder.getCallingUid());
                    stringBuilder.append(", ComponentName:");
                    stringBuilder.append(who);
                    throw new java.lang.SecurityException(stringBuilder.toString());
                }
            }
            return;
        }
        throw new java.lang.IllegalArgumentException("ComponentName is null");
    }

    public boolean isAccountDisabled(android.content.ComponentName who, java.lang.String accountType, int userHandle) {
        synchronized (getLockObject()) {
            if (who != null) {
                try {
                    com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin admin = getActiveAdminUncheckedLocked(who, userHandle);
                    if (admin != null) {
                        boolean contains = admin.accountTypesWithManagementDisabled.contains(accountType);
                        return contains;
                    }
                } catch (Throwable th) {
                }
            }
            com.android.server.devicepolicy.DevicePolicyManagerService.DevicePolicyData policy = getUserData(userHandle);
            int N = policy.mAdminList.size();
            for (int i = 0; i < N; i++) {
                if (((com.android.server.devicepolicy.DevicePolicyManagerService.ActiveAdmin) policy.mAdminList.get(i)).accountTypesWithManagementDisabled.contains(accountType)) {
                    return true;
                }
            }
            return false;
        }
    }

    /* JADX WARNING: Missing block: B:9:0x0025, code:
            r9 = false;
     */
    /* JADX WARNING: Missing block: B:10:0x0028, code:
            if (r3 != 0) goto L_0x0034;
     */
    /* JADX WARNING: Missing block: B:13:?, code:
            r9 = com.android.server.devicepolicy.CertInstallHelper.installPkcs12Cert(r22, r4, r5, r6);
     */
    /* JADX WARNING: Missing block: B:16:0x0034, code:
            r10 = r22;
     */
    /* JADX WARNING: Missing block: B:17:0x0036, code:
            if (r3 != 1) goto L_0x009d;
     */
    /* JADX WARNING: Missing block: B:19:0x003c, code:
            r9 = com.android.server.devicepolicy.CertInstallHelper.installX509Cert(r4, r5, r6);
     */
    /* JADX WARNING: Missing block: B:21:0x003e, code:
            if (r24 == false) goto L_0x009c;
     */
    /* JADX WARNING: Missing block: B:22:0x0040, code:
            r12 = r1.mInjector.binderGetCallingUid();
            r13 = r1.mInjector.binderClearCallingIdentity();
     */
    /* JADX WARNING: Missing block: B:24:?, code:
            r7 = android.security.KeyChain.bindAsUser(r1.mContext, android.os.UserHandle.getUserHandleForUid(r12));
     */
    /* JADX WARNING: Missing block: B:26:?, code:
            r7.getService().setGrant(r12, r5, true);
     */
    /* JADX WARNING: Missing block: B:28:?, code:
            r7.close();
     */
    /* JADX WARNING: Missing block: B:29:0x0061, code:
            r1.mInjector.binderRestoreCallingIdentity(r13);
     */
    /* JADX WARNING: Missing block: B:30:0x0067, code:
            return true;
     */
    /* JADX WARNING: Missing block: B:32:0x006a, code:
            r0 = move-exception;
     */
    /* JADX WARNING: Missing block: B:34:?, code:
            r16 = r0;
            com.android.server.devicepolicy.HwLog.e("HwDPMS", "set grant certificate");
     */
    /* JADX WARNING: Missing block: B:36:?, code:
            r7.close();
     */
    /* JADX WARNING: Missing block: B:37:0x0079, code:
            r7.close();
     */
    /* JADX WARNING: Missing block: B:42:?, code:
            com.android.server.devicepolicy.HwLog.w("HwDPMS", "Interrupted while set granting certificate");
            java.lang.Thread.currentThread().interrupt();
     */
    /* JADX WARNING: Missing block: B:43:0x008e, code:
            r1.mInjector.binderRestoreCallingIdentity(r13);
     */
    /* JADX WARNING: Missing block: B:44:0x0095, code:
            return false;
     */
    /* JADX WARNING: Missing block: B:45:0x0096, code:
            r1.mInjector.binderRestoreCallingIdentity(r13);
     */
    /* JADX WARNING: Missing block: B:47:0x009c, code:
            return r9;
     */
    /* JADX WARNING: Missing block: B:50:0x00a5, code:
            throw new java.lang.IllegalArgumentException("the type of the installed cert is not illegal");
     */
    /* JADX WARNING: Missing block: B:51:0x00a6, code:
            com.android.server.devicepolicy.HwLog.e("HwDPMS", "throw error when install cert");
     */
    /* JADX WARNING: Missing block: B:52:0x00b0, code:
            return false;
     */
    public boolean installCertificateWithType(android.content.ComponentName r18, int r19, byte[] r20, java.lang.String r21, java.lang.String r22, int r23, boolean r24, int r25) {
        /*
        r17 = this;
        r1 = r17;
        r2 = r18;
        r3 = r19;
        r4 = r20;
        r5 = r21;
        r6 = r23;
        if (r2 == 0) goto L_0x00dd;
    L_0x000e:
        r0 = r1.mContext;
        r7 = "com.huawei.permission.sec.MDM_DEVICE_MANAGER";
        r8 = "does not have install cert MDM permission!";
        r0.enforceCallingOrSelfPermission(r7, r8);
        r7 = r17.getLockObject();
        monitor-enter(r7);
        r8 = r25;
        r0 = r1.getActiveAdminUncheckedLocked(r2, r8);	 Catch:{ all -> 0x00d6 }
        if (r0 == 0) goto L_0x00b1;
    L_0x0024:
        monitor-exit(r7);	 Catch:{ all -> 0x00d6 }
        r7 = 0;
        r9 = r7;
        r0 = 1;
        if (r3 != 0) goto L_0x0034;
    L_0x002a:
        r10 = r22;
        r11 = com.android.server.devicepolicy.CertInstallHelper.installPkcs12Cert(r10, r4, r5, r6);	 Catch:{ Exception -> 0x0032 }
        r9 = r11;
        goto L_0x003d;
    L_0x0032:
        r0 = move-exception;
        goto L_0x00a6;
    L_0x0034:
        r10 = r22;
        if (r3 != r0) goto L_0x009d;
    L_0x0038:
        r11 = com.android.server.devicepolicy.CertInstallHelper.installX509Cert(r4, r5, r6);	 Catch:{ Exception -> 0x0032 }
        r9 = r11;
        if (r24 == 0) goto L_0x009c;
    L_0x0040:
        r12 = r1.mInjector;
        r12 = r12.binderGetCallingUid();
        r13 = r1.mInjector;
        r13 = r13.binderClearCallingIdentity();
        r15 = r1.mContext;	 Catch:{ InterruptedException -> 0x007f }
        r7 = android.os.UserHandle.getUserHandleForUid(r12);	 Catch:{ InterruptedException -> 0x007f }
        r7 = android.security.KeyChain.bindAsUser(r15, r7);	 Catch:{ InterruptedException -> 0x007f }
        r15 = r7.getService();	 Catch:{ RemoteException -> 0x006a }
        r15.setGrant(r12, r5, r0);	 Catch:{ RemoteException -> 0x006a }
        r7.close();	 Catch:{ InterruptedException -> 0x007f }
        r0 = r1.mInjector;
        r0.binderRestoreCallingIdentity(r13);
        r0 = 1;
        return r0;
    L_0x0068:
        r0 = move-exception;
        goto L_0x0079;
    L_0x006a:
        r0 = move-exception;
        r15 = "HwDPMS";
        r16 = r0;
        r0 = "set grant certificate";
        com.android.server.devicepolicy.HwLog.e(r15, r0);	 Catch:{ all -> 0x0068 }
        r7.close();	 Catch:{ InterruptedException -> 0x007f }
        goto L_0x008e;
    L_0x0079:
        r7.close();	 Catch:{ InterruptedException -> 0x007f }
        throw r0;	 Catch:{ InterruptedException -> 0x007f }
    L_0x007d:
        r0 = move-exception;
        goto L_0x0096;
    L_0x007f:
        r0 = move-exception;
        r7 = "HwDPMS";
        r15 = "Interrupted while set granting certificate";
        com.android.server.devicepolicy.HwLog.w(r7, r15);	 Catch:{ all -> 0x007d }
        r7 = java.lang.Thread.currentThread();	 Catch:{ all -> 0x007d }
        r7.interrupt();	 Catch:{ all -> 0x007d }
    L_0x008e:
        r0 = r1.mInjector;
        r0.binderRestoreCallingIdentity(r13);
        r7 = 0;
        return r7;
    L_0x0096:
        r7 = r1.mInjector;
        r7.binderRestoreCallingIdentity(r13);
        throw r0;
    L_0x009c:
        return r9;
    L_0x009d:
        r0 = new java.lang.IllegalArgumentException;	 Catch:{ Exception -> 0x0032 }
        r7 = "the type of the installed cert is not illegal";
        r0.<init>(r7);	 Catch:{ Exception -> 0x0032 }
        throw r0;	 Catch:{ Exception -> 0x0032 }
        r7 = "HwDPMS";
        r12 = "throw error when install cert";
        com.android.server.devicepolicy.HwLog.e(r7, r12);
        r7 = 0;
        return r7;
    L_0x00b1:
        r10 = r22;
        r9 = new java.lang.SecurityException;	 Catch:{ all -> 0x00db }
        r12 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00db }
        r12.<init>();	 Catch:{ all -> 0x00db }
        r13 = "No active admin owned by uid ";
        r12.append(r13);	 Catch:{ all -> 0x00db }
        r13 = android.os.Binder.getCallingUid();	 Catch:{ all -> 0x00db }
        r12.append(r13);	 Catch:{ all -> 0x00db }
        r13 = ", ComponentName:";
        r12.append(r13);	 Catch:{ all -> 0x00db }
        r12.append(r2);	 Catch:{ all -> 0x00db }
        r12 = r12.toString();	 Catch:{ all -> 0x00db }
        r9.<init>(r12);	 Catch:{ all -> 0x00db }
        throw r9;	 Catch:{ all -> 0x00db }
    L_0x00d6:
        r0 = move-exception;
        r10 = r22;
    L_0x00d9:
        monitor-exit(r7);	 Catch:{ all -> 0x00db }
        throw r0;
    L_0x00db:
        r0 = move-exception;
        goto L_0x00d9;
    L_0x00dd:
        r10 = r22;
        r8 = r25;
        r0 = new java.lang.IllegalArgumentException;
        r7 = "ComponentName is null";
        r0.<init>(r7);
        throw r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.devicepolicy.HwDevicePolicyManagerService.installCertificateWithType(android.content.ComponentName, int, byte[], java.lang.String, java.lang.String, int, boolean, int):boolean");
    }

    protected long getUsrSetExtendTime() {
        java.lang.String value = getPolicy(null, "pwd-password-change-extendtime", android.os.UserHandle.myUserId()).getString("value");
        if (value != null) {
            if (!"".equals(value)) {
                return java.lang.Long.parseLong(value);
            }
        }
        return super.getUsrSetExtendTime();
    }

    public void setSilentActiveAdmin(android.content.ComponentName who, int userHandle) {
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_DEVICE_MANAGER", "does not have PERMISSION_MDM_DEVICE_MANAGER permission!");
        synchronized (getLockObject()) {
            if (who != null) {
                if (!isAdminActive(who, userHandle)) {
                    com.android.server.devicepolicy.HwLog.d("HwDPMS", "setSilentActiveAdmin, mHasHwMdmFeature active supported.");
                    long identityToken = android.os.Binder.clearCallingIdentity();
                    try {
                        setActiveAdmin(who, true, userHandle);
                    } finally {
                        android.os.Binder.restoreCallingIdentity(identityToken);
                    }
                }
            } else {
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
        }
    }

    protected void monitorFactoryReset(java.lang.String component, java.lang.String reason) {
        if (this.mMonitor != null) {
            if (!android.text.TextUtils.isEmpty(reason)) {
                android.os.Bundle bundle = new android.os.Bundle();
                bundle.putString("component", component);
                bundle.putString("reason", reason);
                this.mMonitor.monitor(907400018, bundle);
                return;
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("monitorFactoryReset: Invalid parameter,mMonitor=");
        stringBuilder.append(this.mMonitor);
        stringBuilder.append(", reason=");
        stringBuilder.append(reason);
        com.android.server.devicepolicy.HwLog.e("HwDPMS", stringBuilder.toString());
    }

    protected void clearWipeDataFactoryLowlevel(java.lang.String reason, boolean wipeEuicc) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("wipeData, reason=");
        stringBuilder.append(reason);
        stringBuilder.append(", wipeEuicc=");
        stringBuilder.append(wipeEuicc);
        com.android.server.devicepolicy.HwLog.d("HwDPMS", stringBuilder.toString());
        android.content.Intent intent = new android.content.Intent("android.intent.action.MASTER_CLEAR");
        intent.addFlags(285212672);
        intent.putExtra("masterClearWipeDataFactoryLowlevel", true);
        intent.putExtra("wipeEuicc", wipeEuicc);
        this.mContext.sendBroadcastAsUser(intent, android.os.UserHandle.SYSTEM);
    }

    public int setSystemLanguage(android.content.ComponentName who, android.os.Bundle bundle, int userHandle) {
        if (bundle == null || android.text.TextUtils.isEmpty(bundle.getString("locale"))) {
            throw new java.lang.IllegalArgumentException("locale is empty.");
        }
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_DEVICE_MANAGER", "Does not have mdm_device_manager permission.");
        synchronized (getLockObject()) {
            if (who != null) {
                getHwActiveAdmin(who, userHandle);
                long callingId = android.os.Binder.clearCallingIdentity();
                try {
                    java.util.Locale locale = java.util.Locale.forLanguageTag(bundle.getString("locale"));
                    android.app.IActivityManager am = android.app.ActivityManagerNative.getDefault();
                    android.content.res.Configuration config = am.getConfiguration();
                    config.setLocale(locale);
                    config.userSetLocale = true;
                    am.updateConfiguration(config);
                    android.provider.Settings.System.putStringForUser(this.mContext.getContentResolver(), "system_locales", locale.toLanguageTag(), userHandle);
                    android.app.backup.BackupManager.dataChanged("com.android.providers.settings");
                    android.os.Binder.restoreCallingIdentity(callingId);
                } catch (java.lang.Exception e) {
                    try {
                        android.util.Slog.w("HwDPMS", "failed to set system language");
                    } finally {
                        android.os.Binder.restoreCallingIdentity(callingId);
                    }
                }
            } else {
                throw new java.lang.IllegalArgumentException("ComponentName is null");
            }
        }
        return 1;
    }

    public void setDeviceOwnerApp(android.content.ComponentName admin, java.lang.String ownerName, int userId) {
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_DEVICE_MANAGER", "does not have device_manager MDM permission!");
        enforceHwCrossUserPermission(userId);
        synchronized (getLockObject()) {
            long ident = this.mInjector.binderClearCallingIdentity();
            try {
                this.mIsMDMDeviceOwnerAPI = true;
                super.setDeviceOwner(admin, ownerName, userId);
            } finally {
                this.mIsMDMDeviceOwnerAPI = false;
                this.mInjector.binderRestoreCallingIdentity(ident);
            }
        }
    }

    public void clearDeviceOwnerApp(int userId) {
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_DEVICE_MANAGER", "does not have device_manager MDM permission!");
        enforceHwCrossUserPermission(userId);
        synchronized (getLockObject()) {
            try {
                android.content.ComponentName component = this.mOwners.getDeviceOwnerComponent();
                if (!this.mOwners.hasDeviceOwner() || component == null) {
                    throw new java.lang.IllegalArgumentException("The device owner is not set up.");
                }
                this.mIsMDMDeviceOwnerAPI = true;
                super.clearDeviceOwner(component.getPackageName());
                this.mIsMDMDeviceOwnerAPI = false;
            } catch (Throwable th) {
                this.mIsMDMDeviceOwnerAPI = false;
            }
        }
    }

    public void turnOnMobiledata(android.content.ComponentName who, boolean on, int userHandle) {
        enforceHwCrossUserPermission(userHandle);
        this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_NETWORK_MANAGER", "does not have MDM_NETWORK_MANAGER permission!");
        if (who != null) {
            synchronized (getLockObject()) {
                getHwActiveAdmin(who, userHandle);
            }
            com.android.internal.telephony.ITelephony phone = com.android.internal.telephony.ITelephony.Stub.asInterface(android.os.ServiceManager.checkService("phone"));
            if (on) {
                try {
                    phone.enableDataConnectivity();
                } catch (java.lang.Exception e) {
                    com.android.server.devicepolicy.HwLog.e("HwDPMS", "Can not calling the remote function to set data enabled!");
                    return;
                }
            }
            phone.disableDataConnectivity();
            return;
        }
        throw new java.lang.IllegalArgumentException("ComponentName is null");
    }

    public boolean setCarrierLockScreenPassword(android.content.ComponentName who, java.lang.String password, java.lang.String phoneNumber, int userHandle) {
        boolean extendLockScreenPassword;
        if (who != null) {
            this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_KEYGUARD", "does not have keyguard MDM permission!");
            synchronized (getLockObject()) {
                if (getActiveAdminUncheckedLocked(who, userHandle) != null) {
                    long token = android.os.Binder.clearCallingIdentity();
                    try {
                        extendLockScreenPassword = new com.huawei.android.widget.LockPatternUtilsEx(this.mContext).setExtendLockScreenPassword(password, phoneNumber, userHandle);
                    } catch (java.lang.Exception e) {
                        extendLockScreenPassword = false;
                        return extendLockScreenPassword;
                    } finally {
                        android.os.Binder.restoreCallingIdentity(token);
                    }
                } else {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("No active admin owned by uid ");
                    stringBuilder.append(android.os.Binder.getCallingUid());
                    stringBuilder.append(", ComponentName:");
                    stringBuilder.append(who);
                    throw new java.lang.SecurityException(stringBuilder.toString());
                }
            }
            return extendLockScreenPassword;
        }
        throw new java.lang.IllegalArgumentException("ComponentName is null");
    }

    public boolean clearCarrierLockScreenPassword(android.content.ComponentName who, java.lang.String password, int userHandle) {
        boolean clearExtendLockScreenPassword;
        if (who != null) {
            this.mContext.enforceCallingOrSelfPermission("com.huawei.permission.sec.MDM_KEYGUARD", "does not have keyguard MDM permission!");
            synchronized (getLockObject()) {
                if (getActiveAdminUncheckedLocked(who, userHandle) != null) {
                    long token = android.os.Binder.clearCallingIdentity();
                    try {
                        clearExtendLockScreenPassword = new com.huawei.android.widget.LockPatternUtilsEx(this.mContext).clearExtendLockScreenPassword(password, userHandle);
                        android.os.Binder.restoreCallingIdentity(token);
                    } catch (java.lang.Exception e) {
                        try {
                            clearExtendLockScreenPassword = "HwDPMS";
                            com.android.server.devicepolicy.HwLog.e(clearExtendLockScreenPassword, "clear extended keyguard password error!");
                            clearExtendLockScreenPassword = false;
                        } finally {
                            android.os.Binder.restoreCallingIdentity(token);
                        }
                        return clearExtendLockScreenPassword;
                    }
                }
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("No active admin owned by uid ");
                stringBuilder.append(android.os.Binder.getCallingUid());
                stringBuilder.append(", ComponentName:");
                stringBuilder.append(who);
                throw new java.lang.SecurityException(stringBuilder.toString());
            }
            return clearExtendLockScreenPassword;
        }
        throw new java.lang.IllegalArgumentException("ComponentName is null");
    }
}
