package com.android.server.display;

final class HwBrightnessXmlLoader {
    private static final boolean HWDEBUG;
    private static final boolean HWFLOW;
    private static final java.lang.String LCD_PANEL_TYPE_PATH = "/sys/class/graphics/fb0/lcd_model";
    private static final java.lang.String TAG = "HwBrightnessXmlLoader";
    private static final java.lang.String TOUCH_OEM_INFO_PATH = "/sys/touchscreen/touch_oem_info";
    private static final java.lang.String XML_EXT = ".xml";
    private static final java.lang.String XML_NAME = "LABCConfig.xml";
    private static final java.lang.String XML_NAME_NOEXT = "LABCConfig";
    private static com.android.server.display.HwBrightnessXmlLoader.Data mData = new com.android.server.display.HwBrightnessXmlLoader.Data();
    private static com.android.server.display.HwBrightnessXmlLoader mLoader;
    private static final java.lang.Object mLock = new java.lang.Object();
    private final int mDeviceActualBrightnessLevel;

    public static class Data {
        public float adapted2UnadaptShortFilterLux = 5.0f;
        public int adapting2AdaptedOffDurationFilterSec = 1800;
        public int adapting2AdaptedOffDurationMaxSec = 28800;
        public int adapting2AdaptedOffDurationMinSec = 10;
        public int adapting2AdaptedOnClockNoFilterBeginHour = 21;
        public int adapting2AdaptedOnClockNoFilterEndHour = 7;
        public float adapting2UnadaptShortFilterLux = 5.0f;
        public boolean allowLabcUseProximity = false;
        public java.util.List<com.android.server.display.HwXmlAmPoint> ambientLuxValidBrightnessPoints = new java.util.ArrayList();
        public boolean animatedStepRoundEnabled = false;
        public boolean animatingForRGBWEnable = false;
        public boolean animationEqualRatioEnable = false;
        public float autoFastTimeFor255 = 0.5f;
        public boolean autoModeInOutDoorLimitEnble = false;
        public boolean autoPowerSavingBrighnessLineDisableForDemo = false;
        public boolean autoPowerSavingUseManualAnimationTimeEnable = false;
        public java.util.List<android.graphics.PointF> backSensorCoverModeBrighnessLinePoints = new java.util.ArrayList();
        public boolean backSensorCoverModeEnable = false;
        public int backSensorCoverModeMinLuxInRing = 0;
        public int brighenDebounceTime = 1000;
        public int brighenDebounceTimeForSmallThr = 4000;
        public int brightTimeDelay = 1000;
        public boolean brightTimeDelayEnable = false;
        public float brightTimeDelayLuxThreshold = 30.0f;
        public float brightenDebounceTimeParaBig = 0.0f;
        public float brightenDeltaLuxPara = 0.0f;
        public float brightenGradualTime = 1.0f;
        public int brightenThresholdFor255 = 1254;
        public java.util.List<android.graphics.PointF> brightenlinePoints = new java.util.ArrayList();
        public boolean brightnessCalibrationEnabled = false;
        public java.util.List<android.graphics.PointF> brightnessMappingPoints = new java.util.ArrayList();
        public float cameraAnimationTime = 3.0f;
        public boolean cameraModeEnable = false;
        public int converModeDayBeginTime = 6;
        public java.util.List<android.graphics.PointF> coverModeBrighnessLinePoints = new java.util.ArrayList();
        public long coverModeBrightenResponseTime = 1000;
        public long coverModeDarkenResponseTime = 1000;
        public int coverModeDayBrightness = 154;
        public boolean coverModeDayEnable = false;
        public int coverModeDayEndTime = 18;
        public float coverModeFirstLux = 2210.0f;
        public boolean coverModelastCloseScreenEnable = false;
        public long cryogenicActiveScreenOffIntervalInMillis = 1800000;
        public boolean cryogenicEnable = false;
        public long cryogenicLagTimeInMillis = 1800000;
        public long cryogenicMaxBrightnessTimeOut = 9000;
        public boolean cryogenicModeBrightnessMappingEnable = false;
        public boolean darkAdapterEnable = false;
        public int darkLightLevelMaxThreshold = 0;
        public int darkLightLevelMinThreshold = 0;
        public float darkLightLevelRatio = 1.0f;
        public float darkLightLuxDelta = 0.0f;
        public float darkLightLuxMaxThreshold = 0.0f;
        public float darkLightLuxMinThreshold = 0.0f;
        public int darkTimeDelay = 10000;
        public float darkTimeDelayBeta0 = 0.0f;
        public float darkTimeDelayBeta1 = 1.0f;
        public float darkTimeDelayBeta2 = 0.333f;
        public float darkTimeDelayBrightness = 0.0f;
        public boolean darkTimeDelayEnable = false;
        public float darkTimeDelayLuxThreshold = 50.0f;
        public int darkenCurrentFor255 = 1300;
        public int darkenDebounceTime = 4000;
        public int darkenDebounceTimeForSmallThr = 8000;
        public float darkenDebounceTimeParaBig = 1.0f;
        public float darkenDeltaLuxPara = 1.0f;
        public float darkenGradualTime = 3.0f;
        public float darkenGradualTimeMax = 3.0f;
        public float darkenGradualTimeMin = 0.0f;
        public int darkenTargetFor255 = 1254;
        public java.util.List<android.graphics.PointF> darkenlinePoints = new java.util.ArrayList();
        public boolean dayModeAlgoEnable = false;
        public int dayModeBeginTime = 5;
        public int dayModeEndTime = 23;
        public int dayModeModifyMinBrightness = 6;
        public int dayModeModifyNumPoint = 3;
        public int dayModeSwitchTime = 30;
        public java.util.List<android.graphics.PointF> defaultBrighnessLinePoints = new java.util.ArrayList();
        public float defaultBrightness = 100.0f;
        public float dimTime = 3.0f;
        public java.util.List<com.android.server.display.HwXmlAmPoint> gameModeAmbientLuxValidBrightnessPoints = new java.util.ArrayList();
        public float gameModeBrightenAnimationTime = 0.5f;
        public long gameModeBrightenDebounceTime = 1000;
        public long gameModeClearOffsetTime = 10000;
        public long gameModeDarkenDebounceTime = 10000;
        public float gameModeDarkentenAnimationTime = 0.5f;
        public float gameModeDarkentenLongAnimationTime = 0.5f;
        public int gameModeDarkentenLongCurrent = 0;
        public int gameModeDarkentenLongTarget = 0;
        public boolean gameModeEnable = false;
        public boolean gameModeOffsetValidAmbientLuxEnable = false;
        public int inDoorThreshold = 4000;
        public float initDoubleSensorInterfere = 8.0f;
        public int initNumLastBuffer = 10;
        public float initSigmoidFuncSlope = 0.75f;
        public int initSlowReponseBrightTime = 0;
        public int initSlowReponseUpperLuxThreshold = 20;
        public int initUpperLuxThreshold = 20;
        public long initValidCloseTime = -1;
        public float keyguardAnimationBrightenTime = 0.5f;
        public float keyguardAnimationDarkenTime = -1.0f;
        public float keyguardLuxThreshold = 20.0f;
        public int keyguardResponseBrightenTime = 500;
        public int keyguardResponseDarkenTime = -1;
        public boolean lastCloseScreenEnable = false;
        public int lightSensorRateMills = 300;
        public float manualAnimationBrightenTime = 0.5f;
        public float manualAnimationDarkenTime = 0.5f;
        public int manualBrighenDebounceTime = 3000;
        public java.util.List<android.graphics.PointF> manualBrightenlinePoints = new java.util.ArrayList();
        public int manualBrightnessMaxLimit = 255;
        public int manualBrightnessMinLimit = 4;
        public int manualDarkenDebounceTime = 3000;
        public java.util.List<android.graphics.PointF> manualDarkenlinePoints = new java.util.ArrayList();
        public float manualFastTimeFor255 = 0.5f;
        public boolean manualMode = false;
        public float manualPowerSavingAnimationBrightenTime = 0.5f;
        public float manualPowerSavingAnimationDarkenTime = 0.5f;
        public boolean manualPowerSavingBrighnessLineDisableForDemo = false;
        public boolean manualPowerSavingBrighnessLineEnable = false;
        public float manualThermalModeAnimationBrightenTime = 0.5f;
        public float manualThermalModeAnimationDarkenTime = 0.5f;
        public float minAnimatingStep = 0.0f;
        public boolean monitorEnable = false;
        public int offsetBrightenDebounceTime = 1000;
        public int offsetDarkenDebounceTime = 1000;
        public boolean offsetResetEnable = false;
        public int offsetResetShortLuxDelta = 50000;
        public int offsetResetShortSwitchTime = 10;
        public int offsetResetSwitchTime = 10;
        public boolean offsetValidAmbientLuxEnable = false;
        public int outDoorThreshold = 8000;
        public float outdoorAnimationBrightenTime = 1.5f;
        public float outdoorAnimationDarkenTime = -1.0f;
        public int outdoorLowerLuxThreshold = 1000;
        public float outdoorResponseBrightenRatio = -1.0f;
        public int outdoorResponseBrightenTime = -1;
        public int outdoorResponseCount = 5;
        public float outdoorResponseDarkenRatio = -1.0f;
        public int outdoorResponseDarkenTime = -1;
        public boolean pgModeBrightnessMappingEnable = false;
        public boolean pgReregisterScene = false;
        public int pgSceneDetectionBrightenDelayTime = 500;
        public int pgSceneDetectionDarkenDelayTime = 2500;
        public int postMaxMinAvgFilterNoFilterNum = 6;
        public int postMaxMinAvgFilterNum = 5;
        public int postMeanFilterNoFilterNum = 4;
        public int postMeanFilterNum = 3;
        public int postMethodNum = 2;
        public int powerOnBrightenDebounceTime = 500;
        public int powerOnDarkenDebounceTime = 1000;
        public int powerOnFastResponseLuxNum = 8;
        public int preMeanFilterNoFilterNum = 7;
        public int preMeanFilterNum = 3;
        public int preMethodNum = 0;
        public float preWeightedMeanFilterAlpha = 0.5f;
        public float preWeightedMeanFilterLuxTh = 12.0f;
        public int preWeightedMeanFilterMaxFuncLuxNum = 3;
        public int preWeightedMeanFilterNoFilterNum = 7;
        public int preWeightedMeanFilterNum = 3;
        public float proximityLuxThreshold = 20.0f;
        public int proximityNegativeDebounceTime = 3000;
        public int proximityPositiveDebounceTime = 150;
        public int proximityResponseBrightenTime = 3000;
        public float ratioForBrightnenSmallThr = 1.0f;
        public float ratioForDarkenSmallThr = 1.0f;
        public float readingAnimationTime = 3.0f;
        public boolean readingModeEnable = false;
        public boolean rebootAutoModeEnable = false;
        public int rebootFirstBrightness = 10000;
        public boolean rebootFirstBrightnessAnimationEnable = false;
        public float rebootFirstBrightnessAutoTime = 3.0f;
        public float rebootFirstBrightnessManualTime = 3.0f;
        public boolean reportValueWhenSensorOnChange = true;
        public float sceneAmbientLuxMaxWeight = 0.5f;
        public float sceneAmbientLuxMinWeight = 0.5f;
        public int sceneGapPoints = 29;
        public int sceneMaxPoints = 0;
        public int sceneMinPoints = 29;
        public float screenBrightnessMaxNit = 530.0f;
        public float screenBrightnessMinNit = 2.0f;
        public int stabilityConstant = 5;
        public int stabilityTime1 = 20;
        public int stabilityTime2 = 10;
        public boolean thermalModeBrightnessMappingEnable = false;
        public boolean touchProximityEnable = false;
        public float touchProximityYNearbyRatio = 0.0f;
        public int unadapt2AdaptedOffDurationMinSec = 2700;
        public int unadapt2AdaptedOnClockNoFilterBeginHour = 21;
        public int unadapt2AdaptedOnClockNoFilterEndHour = 7;
        public float unadapt2AdaptedShortFilterLux = 5.0f;
        public int unadapt2AdaptingDimSec = 60;
        public float unadapt2AdaptingLongFilterLux = 1.0f;
        public int unadapt2AdaptingLongFilterSec = 180;
        public float unadapt2AdaptingShortFilterLux = 5.0f;
        public boolean useVariableStep = false;
        public long vehicleModeDisableTimeMillis = 10000;
        public boolean vehicleModeEnable = false;
        public long vehicleModeEnterTimeForPowerOn = 200;
        public long vehicleModeQuitTimeForPowerOn = 200;

        public Data() {
            loadDefaultConfig();
        }

        public void printData() {
            if (com.android.server.display.HwBrightnessXmlLoader.HWFLOW) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() lightSensorRateMills=");
                stringBuilder.append(this.lightSensorRateMills);
                stringBuilder.append(", brighenDebounceTime=");
                stringBuilder.append(this.brighenDebounceTime);
                stringBuilder.append(", darkenDebounceTime=");
                stringBuilder.append(this.darkenDebounceTime);
                stringBuilder.append(", brightenDebounceTimeParaBig=");
                stringBuilder.append(this.brightenDebounceTimeParaBig);
                stringBuilder.append(", darkenDebounceTimeParaBig=");
                stringBuilder.append(this.darkenDebounceTimeParaBig);
                stringBuilder.append(", brightenDeltaLuxPara=");
                stringBuilder.append(this.brightenDeltaLuxPara);
                stringBuilder.append(", darkenDeltaLuxPara=");
                stringBuilder.append(this.darkenDeltaLuxPara);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() stabilityConstant=");
                stringBuilder.append(this.stabilityConstant);
                stringBuilder.append(", stabilityTime1=");
                stringBuilder.append(this.stabilityTime1);
                stringBuilder.append(", stabilityTime2=");
                stringBuilder.append(this.stabilityTime2);
                stringBuilder.append(", brighenDebounceTimeForSmallThr=");
                stringBuilder.append(this.brighenDebounceTimeForSmallThr);
                stringBuilder.append(", darkenDebounceTimeForSmallThr=");
                stringBuilder.append(this.darkenDebounceTimeForSmallThr);
                stringBuilder.append(", ratioForBrightnenSmallThr=");
                stringBuilder.append(this.ratioForBrightnenSmallThr);
                stringBuilder.append(", ratioForDarkenSmallThr=");
                stringBuilder.append(this.ratioForDarkenSmallThr);
                stringBuilder.append(", rebootAutoModeEnable=");
                stringBuilder.append(this.rebootAutoModeEnable);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() darkTimeDelayEnable=");
                stringBuilder.append(this.darkTimeDelayEnable);
                stringBuilder.append(", darkTimeDelay=");
                stringBuilder.append(this.darkTimeDelay);
                stringBuilder.append(", darkTimeDelayLuxThreshold=");
                stringBuilder.append(this.darkTimeDelayLuxThreshold);
                stringBuilder.append(", coverModeFirstLux=");
                stringBuilder.append(this.coverModeFirstLux);
                stringBuilder.append(", lastCloseScreenEnable=");
                stringBuilder.append(this.lastCloseScreenEnable);
                stringBuilder.append(", coverModeBrightenResponseTime=");
                stringBuilder.append(this.coverModeBrightenResponseTime);
                stringBuilder.append(", coverModeDarkenResponseTime=");
                stringBuilder.append(this.coverModeDarkenResponseTime);
                stringBuilder.append(", coverModelastCloseScreenEnable=");
                stringBuilder.append(this.coverModelastCloseScreenEnable);
                stringBuilder.append(", coverModeDayEnable =");
                stringBuilder.append(this.coverModeDayEnable);
                stringBuilder.append(", coverModeDayBrightness =");
                stringBuilder.append(this.coverModeDayBrightness);
                stringBuilder.append(", converModeDayBeginTime =");
                stringBuilder.append(this.converModeDayBeginTime);
                stringBuilder.append(", coverModeDayEndTime =");
                stringBuilder.append(this.coverModeDayEndTime);
                stringBuilder.append(", postMaxMinAvgFilterNoFilterNum=");
                stringBuilder.append(this.postMaxMinAvgFilterNoFilterNum);
                stringBuilder.append(", postMaxMinAvgFilterNum=");
                stringBuilder.append(this.postMaxMinAvgFilterNum);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() brightTimeDelayEnable=");
                stringBuilder.append(this.brightTimeDelayEnable);
                stringBuilder.append(", brightTimeDelay=");
                stringBuilder.append(this.brightTimeDelay);
                stringBuilder.append(", brightTimeDelayLuxThreshold=");
                stringBuilder.append(this.brightTimeDelayLuxThreshold);
                stringBuilder.append(", preMethodNum=");
                stringBuilder.append(this.preMethodNum);
                stringBuilder.append(", preMeanFilterNoFilterNum=");
                stringBuilder.append(this.preMeanFilterNoFilterNum);
                stringBuilder.append(", preMeanFilterNum=");
                stringBuilder.append(this.preMeanFilterNum);
                stringBuilder.append(", postMethodNum=");
                stringBuilder.append(this.postMethodNum);
                stringBuilder.append(", postMeanFilterNoFilterNum=");
                stringBuilder.append(this.postMeanFilterNoFilterNum);
                stringBuilder.append(", postMeanFilterNum=");
                stringBuilder.append(this.postMeanFilterNum);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() preWeightedMeanFilterNoFilterNum=");
                stringBuilder.append(this.preWeightedMeanFilterNoFilterNum);
                stringBuilder.append(",preWeightedMeanFilterNum=");
                stringBuilder.append(this.preWeightedMeanFilterNum);
                stringBuilder.append(",preWeightedMeanFilterMaxFuncLuxNum=");
                stringBuilder.append(this.preWeightedMeanFilterMaxFuncLuxNum);
                stringBuilder.append(",preWeightedMeanFilterAlpha=");
                stringBuilder.append(this.preWeightedMeanFilterAlpha);
                stringBuilder.append(",preWeightedMeanFilterLuxTh=");
                stringBuilder.append(this.preWeightedMeanFilterLuxTh);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() darkTimeDelayBeta0=");
                stringBuilder.append(this.darkTimeDelayBeta0);
                stringBuilder.append(",darkTimeDelayBeta1=");
                stringBuilder.append(this.darkTimeDelayBeta1);
                stringBuilder.append(",darkTimeDelayBeta2=");
                stringBuilder.append(this.darkTimeDelayBeta2);
                stringBuilder.append(",darkTimeDelayBrightness=");
                stringBuilder.append(this.darkTimeDelayBrightness);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() powerOnFastResponseLuxNum=");
                stringBuilder.append(this.powerOnFastResponseLuxNum);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() sceneMaxPoints=");
                stringBuilder.append(this.sceneMaxPoints);
                stringBuilder.append(",sceneGapPoints=");
                stringBuilder.append(this.sceneGapPoints);
                stringBuilder.append(",sceneMinPoints=");
                stringBuilder.append(this.sceneMinPoints);
                stringBuilder.append(",sceneAmbientLuxMaxWeight=");
                stringBuilder.append(this.sceneAmbientLuxMaxWeight);
                stringBuilder.append(",sceneAmbientLuxMinWeight=");
                stringBuilder.append(this.sceneAmbientLuxMinWeight);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() animationEqualRatioEnable=");
                stringBuilder.append(this.animationEqualRatioEnable);
                stringBuilder.append(",screenBrightnessMinNit=");
                stringBuilder.append(this.screenBrightnessMinNit);
                stringBuilder.append(",screenBrightnessMaxNit=");
                stringBuilder.append(this.screenBrightnessMaxNit);
                stringBuilder.append(",powerOnBrightenDebounceTime=");
                stringBuilder.append(this.powerOnBrightenDebounceTime);
                stringBuilder.append(",powerOnDarkenDebounceTime=");
                stringBuilder.append(this.powerOnDarkenDebounceTime);
                stringBuilder.append(",cameraModeEnable=");
                stringBuilder.append(this.cameraModeEnable);
                stringBuilder.append(",cameraAnimationTime=");
                stringBuilder.append(this.cameraAnimationTime);
                stringBuilder.append(",readingModeEnable=");
                stringBuilder.append(this.readingModeEnable);
                stringBuilder.append(",readingAnimationTime=");
                stringBuilder.append(this.readingAnimationTime);
                stringBuilder.append(",keyguardLuxThreshold=");
                stringBuilder.append(this.keyguardLuxThreshold);
                stringBuilder.append(",keyguardResponseBrightenTime=");
                stringBuilder.append(this.keyguardResponseBrightenTime);
                stringBuilder.append(",keyguardResponseDarkenTime=");
                stringBuilder.append(this.keyguardResponseDarkenTime);
                stringBuilder.append(",keyguardAnimationBrightenTime=");
                stringBuilder.append(this.keyguardAnimationBrightenTime);
                stringBuilder.append(",keyguardAnimationDarkenTime=");
                stringBuilder.append(this.keyguardAnimationDarkenTime);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() outdoorLowerLuxThreshold=");
                stringBuilder.append(this.outdoorLowerLuxThreshold);
                stringBuilder.append(", outdoorAnimationBrightenTime=");
                stringBuilder.append(this.outdoorAnimationBrightenTime);
                stringBuilder.append(", outdoorAnimationDarkenTime=");
                stringBuilder.append(this.outdoorAnimationDarkenTime);
                stringBuilder.append(", outdoorResponseBrightenRatio=");
                stringBuilder.append(this.outdoorResponseBrightenRatio);
                stringBuilder.append(", outdoorResponseDarkenRatio=");
                stringBuilder.append(this.outdoorResponseDarkenRatio);
                stringBuilder.append(", outdoorResponseBrightenTime=");
                stringBuilder.append(this.outdoorResponseBrightenTime);
                stringBuilder.append(", outdoorResponseDarkenTime=");
                stringBuilder.append(this.outdoorResponseDarkenTime);
                stringBuilder.append(", outdoorResponseCount=");
                stringBuilder.append(this.outdoorResponseCount);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() proximityLuxThreshold=");
                stringBuilder.append(this.proximityLuxThreshold);
                stringBuilder.append(", proximityResponseBrightenTime= ");
                stringBuilder.append(this.proximityResponseBrightenTime);
                stringBuilder.append(", initDoubleSensorInterfere =");
                stringBuilder.append(this.initDoubleSensorInterfere);
                stringBuilder.append(", initNumLastBuffer =");
                stringBuilder.append(this.initNumLastBuffer);
                stringBuilder.append(", initValidCloseTime =");
                stringBuilder.append(this.initValidCloseTime);
                stringBuilder.append(", initUpperLuxThreshold =");
                stringBuilder.append(this.initUpperLuxThreshold);
                stringBuilder.append(", initSigmoidFuncSlope  =");
                stringBuilder.append(this.initSigmoidFuncSlope);
                stringBuilder.append(", initSlowReponseUpperLuxThreshold  =");
                stringBuilder.append(this.initSlowReponseUpperLuxThreshold);
                stringBuilder.append(", initSlowReponseBrightTime  =");
                stringBuilder.append(this.initSlowReponseBrightTime);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() manualAnimationBrightenTime=");
                stringBuilder.append(this.manualAnimationBrightenTime);
                stringBuilder.append(", manualAnimationDarkenTime=");
                stringBuilder.append(this.manualAnimationDarkenTime);
                stringBuilder.append(", autoPowerSavingUseManualAnimationTimeEnable=");
                stringBuilder.append(this.autoPowerSavingUseManualAnimationTimeEnable);
                stringBuilder.append(", pgSceneDetectionDarkenDelayTime=");
                stringBuilder.append(this.pgSceneDetectionDarkenDelayTime);
                stringBuilder.append(", pgSceneDetectionBrightenDelayTime=");
                stringBuilder.append(this.pgSceneDetectionBrightenDelayTime);
                stringBuilder.append(", manualPowerSavingBrighnessLineEnable=");
                stringBuilder.append(this.manualPowerSavingBrighnessLineEnable);
                stringBuilder.append(", manualPowerSavingAnimationBrightenTime=");
                stringBuilder.append(this.manualPowerSavingAnimationBrightenTime);
                stringBuilder.append(", manualPowerSavingAnimationDarkenTime=");
                stringBuilder.append(this.manualPowerSavingAnimationDarkenTime);
                stringBuilder.append(", manualThermalModeAnimationBrightenTime=");
                stringBuilder.append(this.manualThermalModeAnimationBrightenTime);
                stringBuilder.append(", manualThermalModeAnimationDarkenTime=");
                stringBuilder.append(this.manualThermalModeAnimationDarkenTime);
                stringBuilder.append(", thermalModeBrightnessMappingEnable=");
                stringBuilder.append(this.thermalModeBrightnessMappingEnable);
                stringBuilder.append(", pgModeBrightnessMappingEnable=");
                stringBuilder.append(this.pgModeBrightnessMappingEnable);
                stringBuilder.append(", manualPowerSavingBrighnessLineDisableForDemo=");
                stringBuilder.append(this.manualPowerSavingBrighnessLineDisableForDemo);
                stringBuilder.append(", autoPowerSavingBrighnessLineDisableForDemo=");
                stringBuilder.append(this.autoPowerSavingBrighnessLineDisableForDemo);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() dayModeAlgoEnable=");
                stringBuilder.append(this.dayModeAlgoEnable);
                stringBuilder.append(", dayModeSwitchTime=");
                stringBuilder.append(this.dayModeSwitchTime);
                stringBuilder.append(", dayModeBeginTime=");
                stringBuilder.append(this.dayModeBeginTime);
                stringBuilder.append(", dayModeEndTime=");
                stringBuilder.append(this.dayModeEndTime);
                stringBuilder.append(", dayModeModifyNumPoint=");
                stringBuilder.append(this.dayModeModifyNumPoint);
                stringBuilder.append(", dayModeModifyMinBrightness=");
                stringBuilder.append(this.dayModeModifyMinBrightness);
                stringBuilder.append(", offsetResetSwitchTime =");
                stringBuilder.append(this.offsetResetSwitchTime);
                stringBuilder.append(", offsetResetEnable=");
                stringBuilder.append(this.offsetResetEnable);
                stringBuilder.append(", offsetResetShortSwitchTime=");
                stringBuilder.append(this.offsetResetShortSwitchTime);
                stringBuilder.append(", offsetResetShortLuxDelta=");
                stringBuilder.append(this.offsetResetShortLuxDelta);
                stringBuilder.append(", offsetBrightenDebounceTime=");
                stringBuilder.append(this.offsetBrightenDebounceTime);
                stringBuilder.append(", offsetDarkenDebounceTime=");
                stringBuilder.append(this.offsetDarkenDebounceTime);
                stringBuilder.append(", offsetValidAmbientLuxEnable=");
                stringBuilder.append(this.offsetValidAmbientLuxEnable);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() autoModeInOutDoorLimitEnble=");
                stringBuilder.append(this.autoModeInOutDoorLimitEnble);
                stringBuilder.append(", darkLightLevelMinThreshold=");
                stringBuilder.append(this.darkLightLevelMinThreshold);
                stringBuilder.append(", darkLightLevelMaxThreshold=");
                stringBuilder.append(this.darkLightLevelMaxThreshold);
                stringBuilder.append(", darkLightLevelRatio=");
                stringBuilder.append(this.darkLightLevelRatio);
                stringBuilder.append(", darkLightLuxMinThreshold=");
                stringBuilder.append(this.darkLightLuxMinThreshold);
                stringBuilder.append(", darkLightLuxMaxThreshold=");
                stringBuilder.append(this.darkLightLuxMaxThreshold);
                stringBuilder.append(", darkLightLuxDelta=");
                stringBuilder.append(this.darkLightLuxDelta);
                stringBuilder.append(", animatingForRGBWEnable=");
                stringBuilder.append(this.animatingForRGBWEnable);
                stringBuilder.append(", rebootFirstBrightnessAnimationEnable=");
                stringBuilder.append(this.rebootFirstBrightnessAnimationEnable);
                stringBuilder.append(", rebootFirstBrightness=");
                stringBuilder.append(this.rebootFirstBrightness);
                stringBuilder.append(", rebootFirstBrightnessAutoTime=");
                stringBuilder.append(this.rebootFirstBrightnessAutoTime);
                stringBuilder.append(", rebootFirstBrightnessManualTime=");
                stringBuilder.append(this.rebootFirstBrightnessManualTime);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() brightenlinePoints=");
                stringBuilder.append(this.brightenlinePoints);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() darkenlinePoints=");
                stringBuilder.append(this.darkenlinePoints);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() defaultBrightness=");
                stringBuilder.append(this.defaultBrightness);
                stringBuilder.append(", brightnessCalibrationEnabled=");
                stringBuilder.append(this.brightnessCalibrationEnabled);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() defaultBrighnessLinePoints=");
                stringBuilder.append(this.defaultBrighnessLinePoints);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() coverModeBrighnessLinePoints=");
                stringBuilder.append(this.coverModeBrighnessLinePoints);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() brightenGradualTime=");
                stringBuilder.append(this.brightenGradualTime);
                stringBuilder.append(", darkenGradualTime=");
                stringBuilder.append(this.darkenGradualTime);
                stringBuilder.append(", brightenThresholdFor255=");
                stringBuilder.append(this.brightenThresholdFor255);
                stringBuilder.append(", darkenTargetFor255=");
                stringBuilder.append(this.darkenTargetFor255);
                stringBuilder.append(", minAnimatingStep=");
                stringBuilder.append(this.minAnimatingStep);
                stringBuilder.append(", darkenCurrentFor255=");
                stringBuilder.append(this.darkenCurrentFor255);
                stringBuilder.append(", autoFastTimeFor255=");
                stringBuilder.append(this.autoFastTimeFor255);
                stringBuilder.append(", manualFastTimeFor255=");
                stringBuilder.append(this.manualFastTimeFor255);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() dimTime=");
                stringBuilder.append(this.dimTime);
                stringBuilder.append(", useVariableStep=");
                stringBuilder.append(this.useVariableStep);
                stringBuilder.append(", darkenGradualTimeMax=");
                stringBuilder.append(this.darkenGradualTimeMax);
                stringBuilder.append(", darkenGradualTimeMin=");
                stringBuilder.append(this.darkenGradualTimeMin);
                stringBuilder.append(", animatedStepRoundEnabled=");
                stringBuilder.append(this.animatedStepRoundEnabled);
                stringBuilder.append(", reportValueWhenSensorOnChange=");
                stringBuilder.append(this.reportValueWhenSensorOnChange);
                stringBuilder.append(", allowLabcUseProximity=");
                stringBuilder.append(this.allowLabcUseProximity);
                stringBuilder.append(", proximityPositiveDebounceTime=");
                stringBuilder.append(this.proximityPositiveDebounceTime);
                stringBuilder.append(", proximityNegativeDebounceTime=");
                stringBuilder.append(this.proximityNegativeDebounceTime);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() manualMode=");
                stringBuilder.append(this.manualMode);
                stringBuilder.append(", manualBrightnessMaxLimit=");
                stringBuilder.append(this.manualBrightnessMaxLimit);
                stringBuilder.append(", manualBrightnessMinLimit=");
                stringBuilder.append(this.manualBrightnessMinLimit);
                stringBuilder.append(", outDoorThreshold=");
                stringBuilder.append(this.outDoorThreshold);
                stringBuilder.append(", inDoorThreshold=");
                stringBuilder.append(this.inDoorThreshold);
                stringBuilder.append(", manualBrighenDebounceTime=");
                stringBuilder.append(this.manualBrighenDebounceTime);
                stringBuilder.append(", manualDarkenDebounceTime=");
                stringBuilder.append(this.manualDarkenDebounceTime);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() manualBrightenlinePoints=");
                stringBuilder.append(this.manualBrightenlinePoints);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() manualDarkenlinePoints=");
                stringBuilder.append(this.manualDarkenlinePoints);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() brightnessMappingPoints=");
                stringBuilder.append(this.brightnessMappingPoints);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() ambientLuxValidBrightnessPoints=");
                stringBuilder.append(this.ambientLuxValidBrightnessPoints);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                if (this.darkAdapterEnable) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("printData() unadapt2AdaptingShortFilterLux=");
                    stringBuilder.append(this.unadapt2AdaptingShortFilterLux);
                    stringBuilder.append(", unadapt2AdaptingLongFilterLux=");
                    stringBuilder.append(this.unadapt2AdaptingLongFilterLux);
                    stringBuilder.append(", unadapt2AdaptingLongFilterSec=");
                    stringBuilder.append(this.unadapt2AdaptingLongFilterSec);
                    stringBuilder.append(", unadapt2AdaptingDimSec=");
                    stringBuilder.append(this.unadapt2AdaptingDimSec);
                    stringBuilder.append(", adapting2UnadaptShortFilterLux=");
                    stringBuilder.append(this.adapting2UnadaptShortFilterLux);
                    stringBuilder.append(", adapting2AdaptedOffDurationMinSec=");
                    stringBuilder.append(this.adapting2AdaptedOffDurationMinSec);
                    stringBuilder.append(", adapting2AdaptedOffDurationFilterSec=");
                    stringBuilder.append(this.adapting2AdaptedOffDurationFilterSec);
                    stringBuilder.append(", adapting2AdaptedOffDurationMaxSec=");
                    stringBuilder.append(this.adapting2AdaptedOffDurationMaxSec);
                    stringBuilder.append(", adapting2AdaptedOnClockNoFilterBeginHour=");
                    stringBuilder.append(this.adapting2AdaptedOnClockNoFilterBeginHour);
                    stringBuilder.append(", adapting2AdaptedOnClockNoFilterEndHour=");
                    stringBuilder.append(this.adapting2AdaptedOnClockNoFilterEndHour);
                    stringBuilder.append(", unadapt2AdaptedShortFilterLux=");
                    stringBuilder.append(this.unadapt2AdaptedShortFilterLux);
                    stringBuilder.append(", unadapt2AdaptedOffDurationMinSec=");
                    stringBuilder.append(this.unadapt2AdaptedOffDurationMinSec);
                    stringBuilder.append(", unadapt2AdaptedOnClockNoFilterBeginHour=");
                    stringBuilder.append(this.unadapt2AdaptedOnClockNoFilterBeginHour);
                    stringBuilder.append(", unadapt2AdaptedOnClockNoFilterEndHour=");
                    stringBuilder.append(this.unadapt2AdaptedOnClockNoFilterEndHour);
                    stringBuilder.append(", adapted2UnadaptShortFilterLux=");
                    stringBuilder.append(this.adapted2UnadaptShortFilterLux);
                    android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                }
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() pgReregisterScene=");
                stringBuilder.append(this.pgReregisterScene);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                if (this.touchProximityEnable) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("printData() touchProximityYNearbyRatio=");
                    stringBuilder.append(this.touchProximityYNearbyRatio);
                    android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                }
                if (this.vehicleModeEnable) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("printData() vehicleModeEnable=");
                    stringBuilder.append(this.vehicleModeEnable);
                    stringBuilder.append(",vehicleModeDisableTimeMillis=");
                    stringBuilder.append(this.vehicleModeDisableTimeMillis);
                    stringBuilder.append(",vehicleModeQuitTimeForPowerOn=");
                    stringBuilder.append(this.vehicleModeQuitTimeForPowerOn);
                    stringBuilder.append(",vehicleModeEnterTimeForPowerOn=");
                    stringBuilder.append(this.vehicleModeEnterTimeForPowerOn);
                    android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                }
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() gameModeEnable=");
                stringBuilder.append(this.gameModeEnable);
                stringBuilder.append(",gameModeBrightenAnimationTime=");
                stringBuilder.append(this.gameModeBrightenAnimationTime);
                stringBuilder.append(",gameModeDarkentenAnimationTime=");
                stringBuilder.append(this.gameModeDarkentenAnimationTime);
                stringBuilder.append(",gameModeDarkentenLongAnimationTime=");
                stringBuilder.append(this.gameModeDarkentenLongAnimationTime);
                stringBuilder.append(",gameModeDarkentenLongTarget=");
                stringBuilder.append(this.gameModeDarkentenLongTarget);
                stringBuilder.append(",gameModeDarkentenLongCurrent=");
                stringBuilder.append(this.gameModeDarkentenLongCurrent);
                stringBuilder.append(",gameModeClearOffsetTime=");
                stringBuilder.append(this.gameModeClearOffsetTime);
                stringBuilder.append(",gameModeBrightenDebounceTime=");
                stringBuilder.append(this.gameModeBrightenDebounceTime);
                stringBuilder.append(",gameModeDarkenDebounceTime=");
                stringBuilder.append(this.gameModeDarkenDebounceTime);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                if (this.gameModeOffsetValidAmbientLuxEnable) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("printData() gameModeAmbientLuxValidBrightnessPoints=");
                    stringBuilder.append(this.gameModeAmbientLuxValidBrightnessPoints);
                    android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                }
                if (this.backSensorCoverModeEnable) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("printData() backSensorCoverModeBrighnessLinePoints=");
                    stringBuilder.append(this.backSensorCoverModeBrighnessLinePoints);
                    android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("printData() backSensorCoverModeMinLuxInRing=");
                    stringBuilder.append(this.backSensorCoverModeMinLuxInRing);
                    android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                }
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("printData() cryogenicEnable=");
                stringBuilder.append(this.cryogenicEnable);
                stringBuilder.append(", cryogenicModeBrightnessMappingEnable=");
                stringBuilder.append(this.cryogenicModeBrightnessMappingEnable);
                stringBuilder.append(", cryogenicMaxBrightnessTimeOut=");
                stringBuilder.append(this.cryogenicMaxBrightnessTimeOut);
                stringBuilder.append(", cryogenicActiveScreenOffIntervalInMillis=");
                stringBuilder.append(this.cryogenicActiveScreenOffIntervalInMillis);
                stringBuilder.append(", cryogenicLagTimeInMillis=");
                stringBuilder.append(this.cryogenicLagTimeInMillis);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
            }
        }

        public void loadDefaultConfig() {
            if (com.android.server.display.HwBrightnessXmlLoader.HWFLOW) {
                android.util.Slog.i("HwBrightnessXmlLoader", "loadDefaultConfig()");
            }
            this.lightSensorRateMills = 300;
            this.brighenDebounceTime = 1000;
            this.darkenDebounceTime = 4000;
            this.brightenDebounceTimeParaBig = 0.0f;
            this.darkenDebounceTimeParaBig = 1.0f;
            this.brightenDeltaLuxPara = 0.0f;
            this.darkenDeltaLuxPara = 1.0f;
            this.stabilityConstant = 5;
            this.stabilityTime1 = 20;
            this.stabilityTime2 = 10;
            this.brighenDebounceTimeForSmallThr = 4000;
            this.darkenDebounceTimeForSmallThr = 8000;
            this.ratioForBrightnenSmallThr = 1.0f;
            this.ratioForDarkenSmallThr = 1.0f;
            this.rebootAutoModeEnable = false;
            this.darkTimeDelayEnable = false;
            this.darkTimeDelay = 10000;
            this.darkTimeDelayLuxThreshold = 50.0f;
            this.coverModeFirstLux = 2210.0f;
            this.lastCloseScreenEnable = false;
            this.coverModeBrightenResponseTime = 1000;
            this.coverModeDarkenResponseTime = 1000;
            this.coverModelastCloseScreenEnable = false;
            this.coverModeDayEnable = false;
            this.coverModeDayBrightness = 154;
            this.converModeDayBeginTime = 6;
            this.coverModeDayEndTime = 18;
            this.postMaxMinAvgFilterNoFilterNum = 6;
            this.postMaxMinAvgFilterNum = 5;
            this.brightTimeDelayEnable = false;
            this.brightTimeDelay = 1000;
            this.brightTimeDelayLuxThreshold = 30.0f;
            this.preMethodNum = 0;
            this.preMeanFilterNoFilterNum = 7;
            this.preMeanFilterNum = 3;
            this.postMethodNum = 2;
            this.postMeanFilterNoFilterNum = 4;
            this.postMeanFilterNum = 3;
            this.preWeightedMeanFilterNoFilterNum = 7;
            this.preWeightedMeanFilterNum = 3;
            this.preWeightedMeanFilterMaxFuncLuxNum = 3;
            this.preWeightedMeanFilterAlpha = 0.5f;
            this.preWeightedMeanFilterLuxTh = 12.0f;
            this.darkTimeDelayBeta0 = 0.0f;
            this.darkTimeDelayBeta1 = 1.0f;
            this.darkTimeDelayBeta2 = 0.333f;
            this.darkTimeDelayBrightness = 0.0f;
            this.powerOnFastResponseLuxNum = 8;
            this.sceneMaxPoints = 0;
            this.sceneGapPoints = 29;
            this.sceneMinPoints = 29;
            this.sceneAmbientLuxMaxWeight = 0.5f;
            this.sceneAmbientLuxMinWeight = 0.5f;
            this.animationEqualRatioEnable = false;
            this.screenBrightnessMinNit = 2.0f;
            this.screenBrightnessMaxNit = 530.0f;
            this.powerOnBrightenDebounceTime = 500;
            this.powerOnDarkenDebounceTime = 1000;
            this.cameraModeEnable = false;
            this.cameraAnimationTime = 3.0f;
            this.readingModeEnable = false;
            this.readingAnimationTime = 3.0f;
            this.keyguardResponseBrightenTime = 500;
            this.keyguardResponseDarkenTime = -1;
            this.keyguardAnimationBrightenTime = 0.5f;
            this.keyguardAnimationDarkenTime = -1.0f;
            this.keyguardLuxThreshold = 20.0f;
            this.outdoorLowerLuxThreshold = 1000;
            this.outdoorAnimationBrightenTime = 1.5f;
            this.outdoorAnimationDarkenTime = -1.0f;
            this.outdoorResponseBrightenRatio = -1.0f;
            this.outdoorResponseDarkenRatio = -1.0f;
            this.outdoorResponseBrightenTime = -1;
            this.outdoorResponseDarkenTime = -1;
            this.outdoorResponseCount = 5;
            this.proximityLuxThreshold = 20.0f;
            this.proximityResponseBrightenTime = 3000;
            this.initDoubleSensorInterfere = 8.0f;
            this.initNumLastBuffer = 10;
            this.initValidCloseTime = -1;
            this.initUpperLuxThreshold = 20;
            this.initSigmoidFuncSlope = 0.75f;
            this.initSlowReponseUpperLuxThreshold = 20;
            this.initSlowReponseBrightTime = 0;
            this.manualAnimationBrightenTime = 0.5f;
            this.manualAnimationDarkenTime = 0.5f;
            this.autoPowerSavingUseManualAnimationTimeEnable = false;
            this.pgSceneDetectionDarkenDelayTime = 2500;
            this.pgSceneDetectionBrightenDelayTime = 500;
            this.manualPowerSavingBrighnessLineEnable = false;
            this.manualPowerSavingAnimationBrightenTime = 0.5f;
            this.manualPowerSavingAnimationDarkenTime = 0.5f;
            this.manualThermalModeAnimationBrightenTime = 0.5f;
            this.manualThermalModeAnimationDarkenTime = 0.5f;
            this.thermalModeBrightnessMappingEnable = false;
            this.pgModeBrightnessMappingEnable = false;
            this.manualPowerSavingBrighnessLineDisableForDemo = false;
            this.autoPowerSavingBrighnessLineDisableForDemo = false;
            this.dayModeAlgoEnable = false;
            this.dayModeSwitchTime = 30;
            this.dayModeBeginTime = 5;
            this.dayModeEndTime = 23;
            this.dayModeModifyNumPoint = 3;
            this.dayModeModifyMinBrightness = 6;
            this.offsetResetSwitchTime = 10;
            this.offsetResetEnable = false;
            this.offsetResetShortSwitchTime = 10;
            this.offsetResetShortLuxDelta = 50000;
            this.offsetBrightenDebounceTime = 1000;
            this.offsetDarkenDebounceTime = 1000;
            this.offsetValidAmbientLuxEnable = false;
            this.autoModeInOutDoorLimitEnble = false;
            this.darkLightLevelMinThreshold = 0;
            this.darkLightLevelMaxThreshold = 0;
            this.darkLightLevelRatio = 1.0f;
            this.darkLightLuxMinThreshold = 0.0f;
            this.darkLightLuxMaxThreshold = 0.0f;
            this.darkLightLuxDelta = 0.0f;
            this.animatingForRGBWEnable = false;
            this.rebootFirstBrightnessAnimationEnable = false;
            this.rebootFirstBrightness = 10000;
            this.rebootFirstBrightnessAutoTime = 3.0f;
            this.rebootFirstBrightnessManualTime = 3.0f;
            this.monitorEnable = false;
            this.brightenlinePoints.clear();
            this.brightenlinePoints.add(new android.graphics.PointF(0.0f, 15.0f));
            this.brightenlinePoints.add(new android.graphics.PointF(2.0f, 15.0f));
            this.brightenlinePoints.add(new android.graphics.PointF(10.0f, 19.0f));
            this.brightenlinePoints.add(new android.graphics.PointF(20.0f, 219.0f));
            this.brightenlinePoints.add(new android.graphics.PointF(100.0f, 539.0f));
            this.brightenlinePoints.add(new android.graphics.PointF(1000.0f, 989.0f));
            this.brightenlinePoints.add(new android.graphics.PointF(40000.0f, 989.0f));
            this.darkenlinePoints.clear();
            this.darkenlinePoints.add(new android.graphics.PointF(0.0f, 1.0f));
            this.darkenlinePoints.add(new android.graphics.PointF(1.0f, 1.0f));
            this.darkenlinePoints.add(new android.graphics.PointF(20.0f, 20.0f));
            this.darkenlinePoints.add(new android.graphics.PointF(40.0f, 20.0f));
            this.darkenlinePoints.add(new android.graphics.PointF(100.0f, 80.0f));
            this.darkenlinePoints.add(new android.graphics.PointF(600.0f, 580.0f));
            this.darkenlinePoints.add(new android.graphics.PointF(1180.0f, 580.0f));
            this.darkenlinePoints.add(new android.graphics.PointF(1200.0f, 600.0f));
            this.darkenlinePoints.add(new android.graphics.PointF(1800.0f, 600.0f));
            this.darkenlinePoints.add(new android.graphics.PointF(40000.0f, 38800.0f));
            this.defaultBrightness = 100.0f;
            this.brightnessCalibrationEnabled = false;
            this.defaultBrighnessLinePoints.clear();
            this.defaultBrighnessLinePoints.add(new android.graphics.PointF(0.0f, 4.0f));
            this.defaultBrighnessLinePoints.add(new android.graphics.PointF(25.0f, 46.5f));
            this.defaultBrighnessLinePoints.add(new android.graphics.PointF(1995.0f, 140.7f));
            this.defaultBrighnessLinePoints.add(new android.graphics.PointF(4000.0f, 255.0f));
            this.defaultBrighnessLinePoints.add(new android.graphics.PointF(40000.0f, 255.0f));
            this.coverModeBrighnessLinePoints.clear();
            this.coverModeBrighnessLinePoints.add(new android.graphics.PointF(0.0f, 20.0f));
            this.coverModeBrighnessLinePoints.add(new android.graphics.PointF(25.0f, 46.5f));
            this.coverModeBrighnessLinePoints.add(new android.graphics.PointF(250.0f, 100.0f));
            this.coverModeBrighnessLinePoints.add(new android.graphics.PointF(1995.0f, 154.7f));
            this.coverModeBrighnessLinePoints.add(new android.graphics.PointF(4000.0f, 255.0f));
            this.coverModeBrighnessLinePoints.add(new android.graphics.PointF(40000.0f, 255.0f));
            this.brightenGradualTime = 1.0f;
            this.darkenGradualTime = 3.0f;
            this.brightenThresholdFor255 = 1254;
            this.darkenTargetFor255 = 1254;
            this.minAnimatingStep = 0.0f;
            this.darkenCurrentFor255 = 1300;
            this.autoFastTimeFor255 = 0.5f;
            this.manualFastTimeFor255 = 0.5f;
            this.dimTime = 3.0f;
            this.useVariableStep = false;
            this.darkenGradualTimeMax = 3.0f;
            this.darkenGradualTimeMin = 0.0f;
            this.animatedStepRoundEnabled = false;
            this.reportValueWhenSensorOnChange = true;
            this.allowLabcUseProximity = false;
            this.proximityPositiveDebounceTime = 150;
            this.proximityNegativeDebounceTime = 3000;
            this.manualMode = false;
            this.manualBrightnessMaxLimit = 255;
            this.manualBrightnessMinLimit = 4;
            this.outDoorThreshold = 8000;
            this.inDoorThreshold = 4000;
            this.manualBrighenDebounceTime = 3000;
            this.manualDarkenDebounceTime = 3000;
            this.manualBrightenlinePoints.clear();
            this.manualBrightenlinePoints.add(new android.graphics.PointF(0.0f, 1000.0f));
            this.manualBrightenlinePoints.add(new android.graphics.PointF(1000.0f, 5000.0f));
            this.manualBrightenlinePoints.add(new android.graphics.PointF(40000.0f, 10000.0f));
            this.manualDarkenlinePoints.clear();
            this.manualDarkenlinePoints.add(new android.graphics.PointF(0.0f, 1.0f));
            this.manualDarkenlinePoints.add(new android.graphics.PointF(500.0f, 10.0f));
            this.manualDarkenlinePoints.add(new android.graphics.PointF(1000.0f, 500.0f));
            this.manualDarkenlinePoints.add(new android.graphics.PointF(2000.0f, 1000.0f));
            this.manualDarkenlinePoints.add(new android.graphics.PointF(40000.0f, 30000.0f));
            this.brightnessMappingPoints.clear();
            this.brightnessMappingPoints.add(new android.graphics.PointF(4.0f, 4.0f));
            this.brightnessMappingPoints.add(new android.graphics.PointF(25.0f, 25.0f));
            this.brightnessMappingPoints.add(new android.graphics.PointF(245.0f, 245.0f));
            this.brightnessMappingPoints.add(new android.graphics.PointF(255.0f, 255.0f));
            this.ambientLuxValidBrightnessPoints.clear();
            this.ambientLuxValidBrightnessPoints.add(new com.android.server.display.HwXmlAmPoint(0.0f, 4.0f, 55.0f));
            this.ambientLuxValidBrightnessPoints.add(new com.android.server.display.HwXmlAmPoint(100.0f, 4.0f, 255.0f));
            this.ambientLuxValidBrightnessPoints.add(new com.android.server.display.HwXmlAmPoint(1000.0f, 4.0f, 255.0f));
            this.ambientLuxValidBrightnessPoints.add(new com.android.server.display.HwXmlAmPoint(5000.0f, 50.0f, 255.0f));
            this.ambientLuxValidBrightnessPoints.add(new com.android.server.display.HwXmlAmPoint(40000.0f, 50.0f, 255.0f));
            this.darkAdapterEnable = false;
            this.pgReregisterScene = false;
            this.touchProximityEnable = false;
            this.touchProximityYNearbyRatio = 0.0f;
            this.vehicleModeEnable = false;
            this.vehicleModeDisableTimeMillis = 10000;
            this.vehicleModeQuitTimeForPowerOn = 200;
            this.vehicleModeEnterTimeForPowerOn = 200;
            this.gameModeEnable = false;
            this.gameModeBrightenAnimationTime = 0.5f;
            this.gameModeDarkentenAnimationTime = 0.5f;
            this.gameModeDarkentenLongAnimationTime = 0.5f;
            this.gameModeDarkentenLongTarget = 0;
            this.gameModeDarkentenLongCurrent = 0;
            this.gameModeClearOffsetTime = 10000;
            this.gameModeBrightenDebounceTime = 1000;
            this.gameModeDarkenDebounceTime = 10000;
            this.gameModeOffsetValidAmbientLuxEnable = false;
            this.gameModeAmbientLuxValidBrightnessPoints.clear();
            this.backSensorCoverModeEnable = false;
            this.backSensorCoverModeBrighnessLinePoints.clear();
            this.backSensorCoverModeMinLuxInRing = 0;
            this.cryogenicEnable = false;
            this.cryogenicModeBrightnessMappingEnable = false;
            this.cryogenicMaxBrightnessTimeOut = 5000;
            this.cryogenicActiveScreenOffIntervalInMillis = 1800000;
            this.cryogenicLagTimeInMillis = 1800000;
        }
    }

    private static class Element_AmbientLuxValidBrightnessPoints extends com.android.server.display.HwXmlElement {
        private Element_AmbientLuxValidBrightnessPoints() {
        }

        public java.lang.String getName() {
            return "AmbientLuxValidBrightnessPoints";
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }
    }

    private static class Element_AmbientLuxValidBrightnessPoints_Point extends com.android.server.display.HwXmlElement {
        private Element_AmbientLuxValidBrightnessPoints_Point() {
        }

        public java.lang.String getName() {
            return "Point";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            if (!this.mIsParsed) {
                com.android.server.display.HwBrightnessXmlLoader.mData.ambientLuxValidBrightnessPoints.clear();
            }
            com.android.server.display.HwBrightnessXmlLoader.mData.ambientLuxValidBrightnessPoints = com.android.server.display.HwXmlElement.parseAmPointList(parser, com.android.server.display.HwBrightnessXmlLoader.mData.ambientLuxValidBrightnessPoints);
            return true;
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.checkAmPointsListIsOK(com.android.server.display.HwBrightnessXmlLoader.mData.ambientLuxValidBrightnessPoints);
        }
    }

    private static class Element_AnimateGroup extends com.android.server.display.HwXmlElement {
        private Element_AnimateGroup() {
        }

        public java.lang.String getName() {
            return "AnimateGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"BrightenGradualTime", "DarkenGradualTime", "BrightenThresholdFor255", "DarkenTargetFor255", "DarkenCurrentFor255"});
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = 0;
            r3 = 1;
            switch(r1) {
                case -1498609295: goto L_0x0036;
                case 884036153: goto L_0x002c;
                case 1455932156: goto L_0x0022;
                case 1739695104: goto L_0x0018;
                case 1877080899: goto L_0x000e;
                default: goto L_0x000d;
            };
        L_0x000d:
            goto L_0x0040;
        L_0x000e:
            r1 = "DarkenCurrentFor255";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x0016:
            r1 = 4;
            goto L_0x0041;
        L_0x0018:
            r1 = "DarkenGradualTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x0020:
            r1 = r3;
            goto L_0x0041;
        L_0x0022:
            r1 = "BrightenGradualTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x002a:
            r1 = r2;
            goto L_0x0041;
        L_0x002c:
            r1 = "DarkenTargetFor255";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x0034:
            r1 = 3;
            goto L_0x0041;
        L_0x0036:
            r1 = "BrightenThresholdFor255";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x003e:
            r1 = 2;
            goto L_0x0041;
        L_0x0040:
            r1 = -1;
        L_0x0041:
            switch(r1) {
                case 0: goto L_0x0098;
                case 1: goto L_0x0089;
                case 2: goto L_0x007a;
                case 3: goto L_0x006b;
                case 4: goto L_0x005c;
                default: goto L_0x0044;
            };
        L_0x0044:
            r1 = r5.TAG;
            r3 = new java.lang.StringBuilder;
            r3.<init>();
            r4 = "unknow valueName=";
            r3.append(r4);
            r3.append(r0);
            r3 = r3.toString();
            android.util.Slog.e(r1, r3);
            return r2;
        L_0x005c:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.darkenCurrentFor255 = r2;
            goto L_0x00a7;
        L_0x006b:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.darkenTargetFor255 = r2;
            goto L_0x00a7;
        L_0x007a:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.brightenThresholdFor255 = r2;
            goto L_0x00a7;
        L_0x0089:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.darkenGradualTime = r2;
            goto L_0x00a7;
        L_0x0098:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.brightenGradualTime = r2;
        L_0x00a7:
            return r3;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_AnimateGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.brightenGradualTime > 0.0f && com.android.server.display.HwBrightnessXmlLoader.mData.darkenGradualTime > 0.0f;
        }
    }

    private static class Element_AnimateOptionalGroup extends com.android.server.display.HwXmlElement {
        private Element_AnimateOptionalGroup() {
        }

        public java.lang.String getName() {
            return "AnimateOptionalGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"AutoFastTimeFor255", "ManualFastTimeFor255", "DimTime", "AnimationEqualRatioEnable", "ScreenBrightnessMinNit", "ScreenBrightnessMaxNit", "MinAnimatingStep"});
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = 0;
            r3 = 1;
            switch(r1) {
                case -1857716415: goto L_0x004a;
                case -964927659: goto L_0x0040;
                case -935718286: goto L_0x0036;
                case -928628028: goto L_0x002c;
                case -322892520: goto L_0x0022;
                case 1325505822: goto L_0x0018;
                case 1740888632: goto L_0x000e;
                default: goto L_0x000d;
            };
        L_0x000d:
            goto L_0x0054;
        L_0x000e:
            r1 = "MinAnimatingStep";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0054;
        L_0x0016:
            r1 = 6;
            goto L_0x0055;
        L_0x0018:
            r1 = "AnimationEqualRatioEnable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0054;
        L_0x0020:
            r1 = 3;
            goto L_0x0055;
        L_0x0022:
            r1 = "ManualFastTimeFor255";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0054;
        L_0x002a:
            r1 = r3;
            goto L_0x0055;
        L_0x002c:
            r1 = "ScreenBrightnessMinNit";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0054;
        L_0x0034:
            r1 = 4;
            goto L_0x0055;
        L_0x0036:
            r1 = "ScreenBrightnessMaxNit";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0054;
        L_0x003e:
            r1 = 5;
            goto L_0x0055;
        L_0x0040:
            r1 = "DimTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0054;
        L_0x0048:
            r1 = 2;
            goto L_0x0055;
        L_0x004a:
            r1 = "AutoFastTimeFor255";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0054;
        L_0x0052:
            r1 = r2;
            goto L_0x0055;
        L_0x0054:
            r1 = -1;
        L_0x0055:
            switch(r1) {
                case 0: goto L_0x00ca;
                case 1: goto L_0x00bb;
                case 2: goto L_0x00ac;
                case 3: goto L_0x009d;
                case 4: goto L_0x008e;
                case 5: goto L_0x007f;
                case 6: goto L_0x0070;
                default: goto L_0x0058;
            };
        L_0x0058:
            r1 = r5.TAG;
            r3 = new java.lang.StringBuilder;
            r3.<init>();
            r4 = "unknow valueName=";
            r3.append(r4);
            r3.append(r0);
            r3 = r3.toString();
            android.util.Slog.e(r1, r3);
            return r2;
        L_0x0070:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.minAnimatingStep = r2;
            goto L_0x00d9;
        L_0x007f:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.screenBrightnessMaxNit = r2;
            goto L_0x00d9;
        L_0x008e:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.screenBrightnessMinNit = r2;
            goto L_0x00d9;
        L_0x009d:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.animationEqualRatioEnable = r2;
            goto L_0x00d9;
        L_0x00ac:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.dimTime = r2;
            goto L_0x00d9;
        L_0x00bb:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.manualFastTimeFor255 = r2;
            goto L_0x00d9;
        L_0x00ca:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.autoFastTimeFor255 = r2;
        L_0x00d9:
            return r3;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_AnimateOptionalGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.screenBrightnessMinNit > 0.0f && com.android.server.display.HwBrightnessXmlLoader.mData.screenBrightnessMaxNit > com.android.server.display.HwBrightnessXmlLoader.mData.screenBrightnessMinNit;
        }
    }

    private static class Element_BackSensorCoverModeBrighnessLinePoints extends com.android.server.display.HwXmlElement {
        private Element_BackSensorCoverModeBrighnessLinePoints() {
        }

        public java.lang.String getName() {
            return "BackSensorCoverModeBrighnessLinePoints";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            com.android.server.display.HwBrightnessXmlLoader.mData.backSensorCoverModeEnable = true;
            return true;
        }

        protected boolean isOptional() {
            return true;
        }
    }

    private static class Element_BackSensorCoverModeBrighnessLinePoints_Point extends com.android.server.display.HwXmlElement {
        private Element_BackSensorCoverModeBrighnessLinePoints_Point() {
        }

        public java.lang.String getName() {
            return "Point";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            if (!this.mIsParsed) {
                com.android.server.display.HwBrightnessXmlLoader.mData.backSensorCoverModeBrighnessLinePoints.clear();
            }
            com.android.server.display.HwBrightnessXmlLoader.mData.backSensorCoverModeBrighnessLinePoints = com.android.server.display.HwXmlElement.parsePointFList(parser, com.android.server.display.HwBrightnessXmlLoader.mData.backSensorCoverModeBrighnessLinePoints);
            return true;
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.checkPointsListIsOK(com.android.server.display.HwBrightnessXmlLoader.mData.backSensorCoverModeBrighnessLinePoints);
        }
    }

    private static class Element_BrightenlinePoints extends com.android.server.display.HwXmlElement {
        private Element_BrightenlinePoints() {
        }

        public java.lang.String getName() {
            return "BrightenlinePoints";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }
    }

    private static class Element_BrightenlinePoints_Point extends com.android.server.display.HwXmlElement {
        private Element_BrightenlinePoints_Point() {
        }

        public java.lang.String getName() {
            return "Point";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            if (!this.mIsParsed) {
                com.android.server.display.HwBrightnessXmlLoader.mData.brightenlinePoints.clear();
            }
            com.android.server.display.HwBrightnessXmlLoader.mData.brightenlinePoints = com.android.server.display.HwXmlElement.parsePointFList(parser, com.android.server.display.HwBrightnessXmlLoader.mData.brightenlinePoints);
            return true;
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.checkPointsListIsOK(com.android.server.display.HwBrightnessXmlLoader.mData.brightenlinePoints);
        }
    }

    private static class Element_BrightnessMappingPoints extends com.android.server.display.HwXmlElement {
        private Element_BrightnessMappingPoints() {
        }

        public java.lang.String getName() {
            return "BrightnessMappingPoints";
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }
    }

    private static class Element_BrightnessMappingPoints_Point extends com.android.server.display.HwXmlElement {
        private Element_BrightnessMappingPoints_Point() {
        }

        public java.lang.String getName() {
            return "Point";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            if (!this.mIsParsed) {
                com.android.server.display.HwBrightnessXmlLoader.mData.brightnessMappingPoints.clear();
            }
            com.android.server.display.HwBrightnessXmlLoader.mData.brightnessMappingPoints = com.android.server.display.HwXmlElement.parsePointFList(parser, com.android.server.display.HwBrightnessXmlLoader.mData.brightnessMappingPoints);
            return true;
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.checkPointsListIsOK(com.android.server.display.HwBrightnessXmlLoader.mData.brightnessMappingPoints);
        }
    }

    private static class Element_CoverModeBrighnessLinePoints extends com.android.server.display.HwXmlElement {
        private Element_CoverModeBrighnessLinePoints() {
        }

        public java.lang.String getName() {
            return "CoverModeBrighnessLinePoints";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }

        protected boolean isOptional() {
            return true;
        }
    }

    private static class Element_CoverModeBrighnessLinePoints_Point extends com.android.server.display.HwXmlElement {
        private Element_CoverModeBrighnessLinePoints_Point() {
        }

        public java.lang.String getName() {
            return "Point";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            if (!this.mIsParsed) {
                com.android.server.display.HwBrightnessXmlLoader.mData.coverModeBrighnessLinePoints.clear();
            }
            com.android.server.display.HwBrightnessXmlLoader.mData.coverModeBrighnessLinePoints = com.android.server.display.HwXmlElement.parsePointFList(parser, com.android.server.display.HwBrightnessXmlLoader.mData.coverModeBrighnessLinePoints);
            return true;
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.checkPointsListIsOK(com.android.server.display.HwBrightnessXmlLoader.mData.coverModeBrighnessLinePoints);
        }
    }

    private static class Element_CoverModeGroup extends com.android.server.display.HwXmlElement {
        private Element_CoverModeGroup() {
        }

        public java.lang.String getName() {
            return "CoverModeGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"CoverModeFirstLux", "LastCloseScreenEnable", "CoverModeBrightenResponseTime", "CoverModeDarkenResponseTime", "CoverModelastCloseScreenEnable", "CoverModeDayEnable", "CoverModeDayBrightness", "ConverModeDayBeginTime", "CoverModeDayEndTime", "BackSensorCoverModeMinLuxInRing"});
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = 1;
            r3 = 0;
            switch(r1) {
                case -2135500393: goto L_0x006b;
                case -2016036730: goto L_0x0060;
                case -1487844013: goto L_0x0056;
                case -1073894082: goto L_0x004c;
                case -163823189: goto L_0x0041;
                case 1181816709: goto L_0x0037;
                case 1364232977: goto L_0x002d;
                case 1460433721: goto L_0x0023;
                case 1871618155: goto L_0x0019;
                case 2140032615: goto L_0x000f;
                default: goto L_0x000d;
            };
        L_0x000d:
            goto L_0x0075;
        L_0x000f:
            r1 = "CoverModeDarkenResponseTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x0017:
            r1 = 3;
            goto L_0x0076;
        L_0x0019:
            r1 = "CoverModeBrightenResponseTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x0021:
            r1 = 2;
            goto L_0x0076;
        L_0x0023:
            r1 = "CoverModeFirstLux";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x002b:
            r1 = r3;
            goto L_0x0076;
        L_0x002d:
            r1 = "LastCloseScreenEnable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x0035:
            r1 = r2;
            goto L_0x0076;
        L_0x0037:
            r1 = "CoverModeDayEnable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x003f:
            r1 = 5;
            goto L_0x0076;
        L_0x0041:
            r1 = "BackSensorCoverModeMinLuxInRing";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x0049:
            r1 = 9;
            goto L_0x0076;
        L_0x004c:
            r1 = "ConverModeDayBeginTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x0054:
            r1 = 7;
            goto L_0x0076;
        L_0x0056:
            r1 = "CoverModeDayBrightness";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x005e:
            r1 = 6;
            goto L_0x0076;
        L_0x0060:
            r1 = "CoverModeDayEndTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x0068:
            r1 = 8;
            goto L_0x0076;
        L_0x006b:
            r1 = "CoverModelastCloseScreenEnable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x0073:
            r1 = 4;
            goto L_0x0076;
        L_0x0075:
            r1 = -1;
        L_0x0076:
            switch(r1) {
                case 0: goto L_0x011a;
                case 1: goto L_0x010b;
                case 2: goto L_0x00fc;
                case 3: goto L_0x00ed;
                case 4: goto L_0x00de;
                case 5: goto L_0x00cf;
                case 6: goto L_0x00c0;
                case 7: goto L_0x00b1;
                case 8: goto L_0x00a1;
                case 9: goto L_0x0091;
                default: goto L_0x0079;
            };
        L_0x0079:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r4 = "unknow valueName=";
            r2.append(r4);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r3;
        L_0x0091:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.backSensorCoverModeMinLuxInRing = r3;
            goto L_0x0129;
        L_0x00a1:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.coverModeDayEndTime = r3;
            goto L_0x0129;
        L_0x00b1:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.converModeDayBeginTime = r3;
            goto L_0x0129;
        L_0x00c0:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.coverModeDayBrightness = r3;
            goto L_0x0129;
        L_0x00cf:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Boolean(r3);
            r1.coverModeDayEnable = r3;
            goto L_0x0129;
        L_0x00de:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Boolean(r3);
            r1.coverModelastCloseScreenEnable = r3;
            goto L_0x0129;
        L_0x00ed:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Long(r3);
            r1.coverModeDarkenResponseTime = r3;
            goto L_0x0129;
        L_0x00fc:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Long(r3);
            r1.coverModeBrightenResponseTime = r3;
            goto L_0x0129;
        L_0x010b:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Boolean(r3);
            r1.lastCloseScreenEnable = r3;
            goto L_0x0129;
        L_0x011a:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Float(r3);
            r1.coverModeFirstLux = r3;
        L_0x0129:
            return r2;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_CoverModeGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.coverModeBrightenResponseTime >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.coverModeDarkenResponseTime >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.coverModeDayBrightness > 0 && com.android.server.display.HwBrightnessXmlLoader.mData.converModeDayBeginTime >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.converModeDayBeginTime < 24 && com.android.server.display.HwBrightnessXmlLoader.mData.coverModeDayEndTime >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.coverModeDayEndTime < 24 && com.android.server.display.HwBrightnessXmlLoader.mData.backSensorCoverModeMinLuxInRing >= 0;
        }
    }

    private static class Element_CryogenicGroup extends com.android.server.display.HwXmlElement {
        private Element_CryogenicGroup() {
        }

        public java.lang.String getName() {
            return "CryogenicGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"CryogenicEnable", "CryogenicModeBrightnessMappingEnable", "CryogenicMaxBrightnessTimeOut", "CryogenicActiveScreenOffIntervalInMillis", "CryogenicLagTimeInMillis"});
        }

        protected boolean isOptional() {
            return true;
        }

        /* JADX WARNING: Removed duplicated region for block: B:23:0x004b  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x0090  */
        /* JADX WARNING: Removed duplicated region for block: B:27:0x0081  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x004b  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x0090  */
        /* JADX WARNING: Removed duplicated region for block: B:27:0x0081  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x004b  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x0090  */
        /* JADX WARNING: Removed duplicated region for block: B:27:0x0081  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x004b  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x0090  */
        /* JADX WARNING: Removed duplicated region for block: B:27:0x0081  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x0063  */
        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = -1243020920; // 0xffffffffb5e90188 float:-1.7360298E-6 double:NaN;
            r3 = 0;
            r4 = 1;
            if (r1 == r2) goto L_0x003d;
        L_0x000f:
            r2 = 971881064; // 0x39edba68 float:4.5343046E-4 double:4.801730456E-315;
            if (r1 == r2) goto L_0x0033;
        L_0x0014:
            r2 = 1229222385; // 0x494471f1 float:804639.06 double:6.073165515E-315;
            if (r1 == r2) goto L_0x0029;
        L_0x0019:
            r2 = 1592001029; // 0x5ee40205 float:8.2148499E18 double:7.865530166E-315;
            if (r1 == r2) goto L_0x001f;
        L_0x001e:
            goto L_0x0047;
        L_0x001f:
            r1 = "CryogenicLagTimeInMillis";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0047;
        L_0x0027:
            r1 = 3;
            goto L_0x0048;
        L_0x0029:
            r1 = "CryogenicMaxBrightnessTimeOut";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0047;
        L_0x0031:
            r1 = r4;
            goto L_0x0048;
        L_0x0033:
            r1 = "CryogenicActiveScreenOffIntervalInMillis";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0047;
        L_0x003b:
            r1 = 2;
            goto L_0x0048;
        L_0x003d:
            r1 = "CryogenicEnable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0047;
        L_0x0045:
            r1 = r3;
            goto L_0x0048;
        L_0x0047:
            r1 = -1;
        L_0x0048:
            switch(r1) {
                case 0: goto L_0x0090;
                case 1: goto L_0x0081;
                case 2: goto L_0x0072;
                case 3: goto L_0x0063;
                default: goto L_0x004b;
            };
        L_0x004b:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r4 = "unknow valueName=";
            r2.append(r4);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r3;
        L_0x0063:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Long(r2);
            r1.cryogenicLagTimeInMillis = r2;
            goto L_0x009f;
        L_0x0072:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Long(r2);
            r1.cryogenicActiveScreenOffIntervalInMillis = r2;
            goto L_0x009f;
        L_0x0081:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Long(r2);
            r1.cryogenicMaxBrightnessTimeOut = r2;
            goto L_0x009f;
        L_0x0090:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.cryogenicEnable = r2;
        L_0x009f:
            return r4;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_CryogenicGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.cryogenicMaxBrightnessTimeOut > 0 && com.android.server.display.HwBrightnessXmlLoader.mData.cryogenicActiveScreenOffIntervalInMillis > 0 && com.android.server.display.HwBrightnessXmlLoader.mData.cryogenicLagTimeInMillis > 0;
        }
    }

    private static class Element_DarkAdapter extends com.android.server.display.HwXmlElement {
        private Element_DarkAdapter() {
        }

        public java.lang.String getName() {
            return "DarkAdapter";
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            com.android.server.display.HwBrightnessXmlLoader.mData.darkAdapterEnable = true;
            return true;
        }
    }

    private static class Element_DarkAdapterGroup1 extends com.android.server.display.HwXmlElement {
        private Element_DarkAdapterGroup1() {
        }

        public java.lang.String getName() {
            return "DarkAdapterGroup1";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"Unadapt2AdaptingShortFilterLux", "Unadapt2AdaptingLongFilterLux", "Unadapt2AdaptingLongFilterSec", "Unadapt2AdaptingDimSec", "Adapting2UnadaptShortFilterLux", "Adapting2AdaptedOffDurationMinSec", "Adapting2AdaptedOffDurationFilterSec", "Adapting2AdaptedOffDurationMaxSec", "Adapting2AdaptedOnClockNoFilterBeginHour", "Adapting2AdaptedOnClockNoFilterEndHour"});
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = 0;
            r3 = 1;
            switch(r1) {
                case -1713045852: goto L_0x006b;
                case -1656034879: goto L_0x0061;
                case -1648944621: goto L_0x0057;
                case -1292961038: goto L_0x004d;
                case -1292954828: goto L_0x0043;
                case 557886292: goto L_0x0038;
                case 758345798: goto L_0x002d;
                case 824735218: goto L_0x0023;
                case 896190834: goto L_0x0019;
                case 1064291269: goto L_0x000f;
                default: goto L_0x000d;
            };
        L_0x000d:
            goto L_0x0075;
        L_0x000f:
            r1 = "Adapting2AdaptedOffDurationFilterSec";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x0017:
            r1 = 6;
            goto L_0x0076;
        L_0x0019:
            r1 = "Adapting2UnadaptShortFilterLux";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x0021:
            r1 = 4;
            goto L_0x0076;
        L_0x0023:
            r1 = "Unadapt2AdaptingDimSec";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x002b:
            r1 = 3;
            goto L_0x0076;
        L_0x002d:
            r1 = "Adapting2AdaptedOnClockNoFilterEndHour";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x0035:
            r1 = 9;
            goto L_0x0076;
        L_0x0038:
            r1 = "Adapting2AdaptedOnClockNoFilterBeginHour";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x0040:
            r1 = 8;
            goto L_0x0076;
        L_0x0043:
            r1 = "Unadapt2AdaptingLongFilterSec";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x004b:
            r1 = 2;
            goto L_0x0076;
        L_0x004d:
            r1 = "Unadapt2AdaptingLongFilterLux";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x0055:
            r1 = r3;
            goto L_0x0076;
        L_0x0057:
            r1 = "Adapting2AdaptedOffDurationMinSec";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x005f:
            r1 = 5;
            goto L_0x0076;
        L_0x0061:
            r1 = "Adapting2AdaptedOffDurationMaxSec";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x0069:
            r1 = 7;
            goto L_0x0076;
        L_0x006b:
            r1 = "Unadapt2AdaptingShortFilterLux";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0075;
        L_0x0073:
            r1 = r2;
            goto L_0x0076;
        L_0x0075:
            r1 = -1;
        L_0x0076:
            switch(r1) {
                case 0: goto L_0x011a;
                case 1: goto L_0x010b;
                case 2: goto L_0x00fc;
                case 3: goto L_0x00ed;
                case 4: goto L_0x00de;
                case 5: goto L_0x00cf;
                case 6: goto L_0x00c0;
                case 7: goto L_0x00b1;
                case 8: goto L_0x00a1;
                case 9: goto L_0x0091;
                default: goto L_0x0079;
            };
        L_0x0079:
            r1 = r5.TAG;
            r3 = new java.lang.StringBuilder;
            r3.<init>();
            r4 = "unknow valueName=";
            r3.append(r4);
            r3.append(r0);
            r3 = r3.toString();
            android.util.Slog.e(r1, r3);
            return r2;
        L_0x0091:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.adapting2AdaptedOnClockNoFilterEndHour = r2;
            goto L_0x0129;
        L_0x00a1:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.adapting2AdaptedOnClockNoFilterBeginHour = r2;
            goto L_0x0129;
        L_0x00b1:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.adapting2AdaptedOffDurationMaxSec = r2;
            goto L_0x0129;
        L_0x00c0:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.adapting2AdaptedOffDurationFilterSec = r2;
            goto L_0x0129;
        L_0x00cf:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.adapting2AdaptedOffDurationMinSec = r2;
            goto L_0x0129;
        L_0x00de:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.adapting2UnadaptShortFilterLux = r2;
            goto L_0x0129;
        L_0x00ed:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.unadapt2AdaptingDimSec = r2;
            goto L_0x0129;
        L_0x00fc:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.unadapt2AdaptingLongFilterSec = r2;
            goto L_0x0129;
        L_0x010b:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.unadapt2AdaptingLongFilterLux = r2;
            goto L_0x0129;
        L_0x011a:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.unadapt2AdaptingShortFilterLux = r2;
        L_0x0129:
            return r3;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_DarkAdapterGroup1.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.unadapt2AdaptingShortFilterLux > 0.0f && com.android.server.display.HwBrightnessXmlLoader.mData.unadapt2AdaptingLongFilterLux > 0.0f && com.android.server.display.HwBrightnessXmlLoader.mData.unadapt2AdaptingLongFilterSec > 0 && com.android.server.display.HwBrightnessXmlLoader.mData.unadapt2AdaptingDimSec > 0 && com.android.server.display.HwBrightnessXmlLoader.mData.adapting2UnadaptShortFilterLux > 0.0f && com.android.server.display.HwBrightnessXmlLoader.mData.adapting2AdaptedOffDurationMinSec > 0 && com.android.server.display.HwBrightnessXmlLoader.mData.adapting2AdaptedOffDurationFilterSec > 0 && com.android.server.display.HwBrightnessXmlLoader.mData.adapting2AdaptedOffDurationFilterSec > com.android.server.display.HwBrightnessXmlLoader.mData.adapting2AdaptedOffDurationMinSec && com.android.server.display.HwBrightnessXmlLoader.mData.adapting2AdaptedOffDurationMaxSec > 0 && com.android.server.display.HwBrightnessXmlLoader.mData.adapting2AdaptedOffDurationMaxSec > com.android.server.display.HwBrightnessXmlLoader.mData.adapting2AdaptedOffDurationFilterSec && com.android.server.display.HwBrightnessXmlLoader.mData.adapting2AdaptedOnClockNoFilterBeginHour >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.adapting2AdaptedOnClockNoFilterBeginHour < 24 && com.android.server.display.HwBrightnessXmlLoader.mData.adapting2AdaptedOnClockNoFilterEndHour >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.adapting2AdaptedOnClockNoFilterEndHour < 24;
        }
    }

    private static class Element_DarkAdapterGroup2 extends com.android.server.display.HwXmlElement {
        private Element_DarkAdapterGroup2() {
        }

        public java.lang.String getName() {
            return "DarkAdapterGroup2";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"Unadapt2AdaptedShortFilterLux", "Unadapt2AdaptedOffDurationMinSec", "Unadapt2AdaptedOnClockNoFilterBeginHour", "Unadapt2AdaptedOnClockNoFilterEndHour", "Adapted2UnadaptShortFilterLux"});
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = 0;
            r3 = 1;
            switch(r1) {
                case -1872793361: goto L_0x0036;
                case -966441933: goto L_0x002c;
                case -698098637: goto L_0x0022;
                case 603296714: goto L_0x0018;
                case 1768891837: goto L_0x000e;
                default: goto L_0x000d;
            };
        L_0x000d:
            goto L_0x0040;
        L_0x000e:
            r1 = "Unadapt2AdaptedOnClockNoFilterBeginHour";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x0016:
            r1 = 2;
            goto L_0x0041;
        L_0x0018:
            r1 = "Unadapt2AdaptedOffDurationMinSec";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x0020:
            r1 = r3;
            goto L_0x0041;
        L_0x0022:
            r1 = "Unadapt2AdaptedShortFilterLux";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x002a:
            r1 = r2;
            goto L_0x0041;
        L_0x002c:
            r1 = "Adapted2UnadaptShortFilterLux";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x0034:
            r1 = 4;
            goto L_0x0041;
        L_0x0036:
            r1 = "Unadapt2AdaptedOnClockNoFilterEndHour";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x003e:
            r1 = 3;
            goto L_0x0041;
        L_0x0040:
            r1 = -1;
        L_0x0041:
            switch(r1) {
                case 0: goto L_0x0098;
                case 1: goto L_0x0089;
                case 2: goto L_0x007a;
                case 3: goto L_0x006b;
                case 4: goto L_0x005c;
                default: goto L_0x0044;
            };
        L_0x0044:
            r1 = r5.TAG;
            r3 = new java.lang.StringBuilder;
            r3.<init>();
            r4 = "unknow valueName=";
            r3.append(r4);
            r3.append(r0);
            r3 = r3.toString();
            android.util.Slog.e(r1, r3);
            return r2;
        L_0x005c:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.adapted2UnadaptShortFilterLux = r2;
            goto L_0x00a7;
        L_0x006b:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.unadapt2AdaptedOnClockNoFilterEndHour = r2;
            goto L_0x00a7;
        L_0x007a:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.unadapt2AdaptedOnClockNoFilterBeginHour = r2;
            goto L_0x00a7;
        L_0x0089:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.unadapt2AdaptedOffDurationMinSec = r2;
            goto L_0x00a7;
        L_0x0098:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.unadapt2AdaptedShortFilterLux = r2;
        L_0x00a7:
            return r3;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_DarkAdapterGroup2.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.unadapt2AdaptedShortFilterLux > 0.0f && com.android.server.display.HwBrightnessXmlLoader.mData.unadapt2AdaptedOffDurationMinSec > 0 && com.android.server.display.HwBrightnessXmlLoader.mData.unadapt2AdaptedOnClockNoFilterBeginHour >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.unadapt2AdaptedOnClockNoFilterBeginHour < 24 && com.android.server.display.HwBrightnessXmlLoader.mData.unadapt2AdaptedOnClockNoFilterEndHour >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.unadapt2AdaptedOnClockNoFilterEndHour < 24 && com.android.server.display.HwBrightnessXmlLoader.mData.adapted2UnadaptShortFilterLux > 0.0f;
        }
    }

    private static class Element_DarkLightGroup extends com.android.server.display.HwXmlElement {
        private Element_DarkLightGroup() {
        }

        public java.lang.String getName() {
            return "DarkLightGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"DarkLightLevelMinThreshold", "DarkLightLevelMaxThreshold", "DarkLightLevelRatio", "DarkLightLuxMinThreshold", "DarkLightLuxMaxThreshold", "DarkLightLuxDelta"});
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = 1;
            r3 = 0;
            switch(r1) {
                case -1821009752: goto L_0x0040;
                case -1305576921: goto L_0x0036;
                case 739225035: goto L_0x002c;
                case 1213651101: goto L_0x0022;
                case 1899056169: goto L_0x0018;
                case 1999531478: goto L_0x000e;
                default: goto L_0x000d;
            };
        L_0x000d:
            goto L_0x004a;
        L_0x000e:
            r1 = "DarkLightLuxMaxThreshold";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x004a;
        L_0x0016:
            r1 = 4;
            goto L_0x004b;
        L_0x0018:
            r1 = "DarkLightLuxDelta";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x004a;
        L_0x0020:
            r1 = 5;
            goto L_0x004b;
        L_0x0022:
            r1 = "DarkLightLevelMinThreshold";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x004a;
        L_0x002a:
            r1 = r3;
            goto L_0x004b;
        L_0x002c:
            r1 = "DarkLightLevelMaxThreshold";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x004a;
        L_0x0034:
            r1 = r2;
            goto L_0x004b;
        L_0x0036:
            r1 = "DarkLightLevelRatio";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x004a;
        L_0x003e:
            r1 = 2;
            goto L_0x004b;
        L_0x0040:
            r1 = "DarkLightLuxMinThreshold";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x004a;
        L_0x0048:
            r1 = 3;
            goto L_0x004b;
        L_0x004a:
            r1 = -1;
        L_0x004b:
            switch(r1) {
                case 0: goto L_0x00b1;
                case 1: goto L_0x00a2;
                case 2: goto L_0x0093;
                case 3: goto L_0x0084;
                case 4: goto L_0x0075;
                case 5: goto L_0x0066;
                default: goto L_0x004e;
            };
        L_0x004e:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r4 = "unknow valueName=";
            r2.append(r4);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r3;
        L_0x0066:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Float(r3);
            r1.darkLightLuxDelta = r3;
            goto L_0x00c0;
        L_0x0075:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Float(r3);
            r1.darkLightLuxMaxThreshold = r3;
            goto L_0x00c0;
        L_0x0084:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Float(r3);
            r1.darkLightLuxMinThreshold = r3;
            goto L_0x00c0;
        L_0x0093:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Float(r3);
            r1.darkLightLevelRatio = r3;
            goto L_0x00c0;
        L_0x00a2:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.darkLightLevelMaxThreshold = r3;
            goto L_0x00c0;
        L_0x00b1:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.darkLightLevelMinThreshold = r3;
        L_0x00c0:
            return r2;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_DarkLightGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.darkLightLevelMinThreshold >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.darkLightLevelMaxThreshold >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.darkLightLevelRatio > 0.0f && com.android.server.display.HwBrightnessXmlLoader.mData.darkLightLuxMinThreshold >= 0.0f && com.android.server.display.HwBrightnessXmlLoader.mData.darkLightLuxMaxThreshold >= 0.0f;
        }
    }

    private static class Element_DarkenlinePoints extends com.android.server.display.HwXmlElement {
        private Element_DarkenlinePoints() {
        }

        public java.lang.String getName() {
            return "DarkenlinePoints";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }
    }

    private static class Element_DarkenlinePoints_Point extends com.android.server.display.HwXmlElement {
        private Element_DarkenlinePoints_Point() {
        }

        public java.lang.String getName() {
            return "Point";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            if (!this.mIsParsed) {
                com.android.server.display.HwBrightnessXmlLoader.mData.darkenlinePoints.clear();
            }
            com.android.server.display.HwBrightnessXmlLoader.mData.darkenlinePoints = com.android.server.display.HwXmlElement.parsePointFList(parser, com.android.server.display.HwBrightnessXmlLoader.mData.darkenlinePoints);
            return true;
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.checkPointsListIsOK(com.android.server.display.HwBrightnessXmlLoader.mData.darkenlinePoints);
        }
    }

    private static class Element_DayModeGroup extends com.android.server.display.HwXmlElement {
        private Element_DayModeGroup() {
        }

        public java.lang.String getName() {
            return "DayModeGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"DayModeAlgoEnable", "DayModeSwitchTime", "DayModeBeginTime", "DayModeEndTime", "DayModeModifyNumPoint", "DayModeModifyMinBrightness"});
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = 1;
            r3 = 0;
            switch(r1) {
                case -1913291113: goto L_0x0040;
                case -1608117751: goto L_0x0036;
                case -818760726: goto L_0x002c;
                case -631473984: goto L_0x0022;
                case 1126774357: goto L_0x0018;
                case 1716702627: goto L_0x000e;
                default: goto L_0x000d;
            };
        L_0x000d:
            goto L_0x004a;
        L_0x000e:
            r1 = "DayModeModifyNumPoint";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x004a;
        L_0x0016:
            r1 = 4;
            goto L_0x004b;
        L_0x0018:
            r1 = "DayModeAlgoEnable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x004a;
        L_0x0020:
            r1 = r3;
            goto L_0x004b;
        L_0x0022:
            r1 = "DayModeSwitchTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x004a;
        L_0x002a:
            r1 = r2;
            goto L_0x004b;
        L_0x002c:
            r1 = "DayModeModifyMinBrightness";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x004a;
        L_0x0034:
            r1 = 5;
            goto L_0x004b;
        L_0x0036:
            r1 = "DayModeEndTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x004a;
        L_0x003e:
            r1 = 3;
            goto L_0x004b;
        L_0x0040:
            r1 = "DayModeBeginTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x004a;
        L_0x0048:
            r1 = 2;
            goto L_0x004b;
        L_0x004a:
            r1 = -1;
        L_0x004b:
            switch(r1) {
                case 0: goto L_0x00b1;
                case 1: goto L_0x00a2;
                case 2: goto L_0x0093;
                case 3: goto L_0x0084;
                case 4: goto L_0x0075;
                case 5: goto L_0x0066;
                default: goto L_0x004e;
            };
        L_0x004e:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r4 = "unknow valueName=";
            r2.append(r4);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r3;
        L_0x0066:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.dayModeModifyMinBrightness = r3;
            goto L_0x00c0;
        L_0x0075:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.dayModeModifyNumPoint = r3;
            goto L_0x00c0;
        L_0x0084:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.dayModeEndTime = r3;
            goto L_0x00c0;
        L_0x0093:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.dayModeBeginTime = r3;
            goto L_0x00c0;
        L_0x00a2:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.dayModeSwitchTime = r3;
            goto L_0x00c0;
        L_0x00b1:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Boolean(r3);
            r1.dayModeAlgoEnable = r3;
        L_0x00c0:
            return r2;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_DayModeGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.dayModeSwitchTime > 0 && com.android.server.display.HwBrightnessXmlLoader.mData.dayModeBeginTime >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.dayModeBeginTime < 24 && com.android.server.display.HwBrightnessXmlLoader.mData.dayModeEndTime >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.dayModeEndTime < 24 && com.android.server.display.HwBrightnessXmlLoader.mData.dayModeModifyNumPoint > 0 && com.android.server.display.HwBrightnessXmlLoader.mData.dayModeModifyMinBrightness >= 4;
        }
    }

    private static class Element_DefaultBrightnessPoints extends com.android.server.display.HwXmlElement {
        private Element_DefaultBrightnessPoints() {
        }

        public java.lang.String getName() {
            return "DefaultBrightnessPoints";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }
    }

    private static class Element_DefaultBrightnessPoints_Point extends com.android.server.display.HwXmlElement {
        private Element_DefaultBrightnessPoints_Point() {
        }

        public java.lang.String getName() {
            return "Point";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            if (!this.mIsParsed) {
                com.android.server.display.HwBrightnessXmlLoader.mData.defaultBrighnessLinePoints.clear();
            }
            com.android.server.display.HwBrightnessXmlLoader.mData.defaultBrighnessLinePoints = com.android.server.display.HwXmlElement.parsePointFList(parser, com.android.server.display.HwBrightnessXmlLoader.mData.defaultBrighnessLinePoints);
            return true;
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.checkPointsListIsOK(com.android.server.display.HwBrightnessXmlLoader.mData.defaultBrighnessLinePoints);
        }
    }

    private static class Element_GameModeAmbientLuxValidBrightnessPoints extends com.android.server.display.HwXmlElement {
        private Element_GameModeAmbientLuxValidBrightnessPoints() {
        }

        public java.lang.String getName() {
            return "GameModeAmbientLuxValidBrightnessPoints";
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            com.android.server.display.HwBrightnessXmlLoader.mData.gameModeOffsetValidAmbientLuxEnable = true;
            return true;
        }
    }

    private static class Element_GameModeAmbientLuxValidBrightnessPoints_Point extends com.android.server.display.HwXmlElement {
        private Element_GameModeAmbientLuxValidBrightnessPoints_Point() {
        }

        public java.lang.String getName() {
            return "Point";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            if (!this.mIsParsed) {
                com.android.server.display.HwBrightnessXmlLoader.mData.gameModeAmbientLuxValidBrightnessPoints.clear();
            }
            com.android.server.display.HwBrightnessXmlLoader.mData.gameModeAmbientLuxValidBrightnessPoints = com.android.server.display.HwXmlElement.parseAmPointList(parser, com.android.server.display.HwBrightnessXmlLoader.mData.gameModeAmbientLuxValidBrightnessPoints);
            return true;
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.checkAmPointsListIsOK(com.android.server.display.HwBrightnessXmlLoader.mData.gameModeAmbientLuxValidBrightnessPoints);
        }
    }

    private static class Element_GameModeGroup extends com.android.server.display.HwXmlElement {
        private Element_GameModeGroup() {
        }

        public java.lang.String getName() {
            return "VehicleModeGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"GameModeEnable", "GameModeBrightenAnimationTime", "GameModeDarkentenAnimationTime", "GameModeDarkentenLongAnimationTime", "GameModeDarkentenLongTarget", "GameModeDarkentenLongCurrent", "GameModeClearOffsetTime", "GameModeBrightenDebounceTime", "GameModeDarkenDebounceTime"});
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r7) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r6 = this;
            r0 = r7.getName();
            r1 = r0.hashCode();
            r2 = 0;
            r3 = 1;
            switch(r1) {
                case -1810836822: goto L_0x005e;
                case -1148292424: goto L_0x0054;
                case -1094024722: goto L_0x004a;
                case -963189976: goto L_0x0040;
                case -407732679: goto L_0x0036;
                case 1171599316: goto L_0x002c;
                case 1419525784: goto L_0x0022;
                case 1832157836: goto L_0x0018;
                case 2030028758: goto L_0x000e;
                default: goto L_0x000d;
            };
        L_0x000d:
            goto L_0x0069;
        L_0x000e:
            r1 = "GameModeDarkentenLongTarget";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0016:
            r1 = 4;
            goto L_0x006a;
        L_0x0018:
            r1 = "GameModeDarkentenLongAnimationTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0020:
            r1 = 3;
            goto L_0x006a;
        L_0x0022:
            r1 = "GameModeClearOffsetTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x002a:
            r1 = 6;
            goto L_0x006a;
        L_0x002c:
            r1 = "GameModeDarkentenLongCurrent";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0034:
            r1 = 5;
            goto L_0x006a;
        L_0x0036:
            r1 = "GameModeBrightenAnimationTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x003e:
            r1 = r3;
            goto L_0x006a;
        L_0x0040:
            r1 = "GameModeDarkentenAnimationTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0048:
            r1 = 2;
            goto L_0x006a;
        L_0x004a:
            r1 = "GameModeBrightenDebounceTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0052:
            r1 = 7;
            goto L_0x006a;
        L_0x0054:
            r1 = "GameModeEnable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x005c:
            r1 = r2;
            goto L_0x006a;
        L_0x005e:
            r1 = "GameModeDarkenDebounceTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0066:
            r1 = 8;
            goto L_0x006a;
        L_0x0069:
            r1 = -1;
        L_0x006a:
            switch(r1) {
                case 0: goto L_0x00fe;
                case 1: goto L_0x00ef;
                case 2: goto L_0x00e0;
                case 3: goto L_0x00d1;
                case 4: goto L_0x00c2;
                case 5: goto L_0x00b3;
                case 6: goto L_0x00a4;
                case 7: goto L_0x0095;
                case 8: goto L_0x0085;
                default: goto L_0x006d;
            };
        L_0x006d:
            r1 = r6.TAG;
            r3 = new java.lang.StringBuilder;
            r3.<init>();
            r4 = "unknow valueName=";
            r3.append(r4);
            r3.append(r0);
            r3 = r3.toString();
            android.util.Slog.e(r1, r3);
            return r2;
        L_0x0085:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r7.nextText();
            r4 = com.android.server.display.HwXmlElement.string2Long(r2);
            r1.gameModeDarkenDebounceTime = r4;
            goto L_0x010d;
        L_0x0095:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r7.nextText();
            r4 = com.android.server.display.HwXmlElement.string2Long(r2);
            r1.gameModeBrightenDebounceTime = r4;
            goto L_0x010d;
        L_0x00a4:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r7.nextText();
            r4 = com.android.server.display.HwXmlElement.string2Long(r2);
            r1.gameModeClearOffsetTime = r4;
            goto L_0x010d;
        L_0x00b3:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r7.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.gameModeDarkentenLongCurrent = r2;
            goto L_0x010d;
        L_0x00c2:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r7.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.gameModeDarkentenLongTarget = r2;
            goto L_0x010d;
        L_0x00d1:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r7.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.gameModeDarkentenLongAnimationTime = r2;
            goto L_0x010d;
        L_0x00e0:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r7.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.gameModeDarkentenAnimationTime = r2;
            goto L_0x010d;
        L_0x00ef:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r7.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.gameModeBrightenAnimationTime = r2;
            goto L_0x010d;
        L_0x00fe:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r7.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.gameModeEnable = r2;
        L_0x010d:
            return r3;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_GameModeGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.gameModeBrightenAnimationTime > 0.0f && com.android.server.display.HwBrightnessXmlLoader.mData.gameModeDarkentenAnimationTime > 0.0f && com.android.server.display.HwBrightnessXmlLoader.mData.gameModeDarkentenLongAnimationTime > 0.0f && com.android.server.display.HwBrightnessXmlLoader.mData.gameModeDarkentenLongTarget >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.gameModeDarkentenLongCurrent >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.gameModeClearOffsetTime >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.gameModeBrightenDebounceTime >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.gameModeDarkenDebounceTime >= 0;
        }
    }

    private static class Element_InitGroup extends com.android.server.display.HwXmlElement {
        private Element_InitGroup() {
        }

        public java.lang.String getName() {
            return "InitGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"InitDoubleSensorInterfere", "InitNumLastBuffer", "InitValidCloseTime", "InitUpperLuxThreshold", "InitSigmoidFuncSlope", "InitSlowReponseUpperLuxThreshold", "InitSlowReponseBrightTime"});
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = 1;
            r3 = 0;
            switch(r1) {
                case -2087819444: goto L_0x004a;
                case -2027950061: goto L_0x0040;
                case -1707591794: goto L_0x0036;
                case 416004804: goto L_0x002c;
                case 672175713: goto L_0x0022;
                case 1178571689: goto L_0x0018;
                case 1260225945: goto L_0x000e;
                default: goto L_0x000d;
            };
        L_0x000d:
            goto L_0x0054;
        L_0x000e:
            r1 = "InitValidCloseTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0054;
        L_0x0016:
            r1 = 2;
            goto L_0x0055;
        L_0x0018:
            r1 = "InitSigmoidFuncSlope";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0054;
        L_0x0020:
            r1 = 4;
            goto L_0x0055;
        L_0x0022:
            r1 = "InitSlowReponseUpperLuxThreshold";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0054;
        L_0x002a:
            r1 = 5;
            goto L_0x0055;
        L_0x002c:
            r1 = "InitSlowReponseBrightTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0054;
        L_0x0034:
            r1 = 6;
            goto L_0x0055;
        L_0x0036:
            r1 = "InitUpperLuxThreshold";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0054;
        L_0x003e:
            r1 = 3;
            goto L_0x0055;
        L_0x0040:
            r1 = "InitDoubleSensorInterfere";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0054;
        L_0x0048:
            r1 = r3;
            goto L_0x0055;
        L_0x004a:
            r1 = "InitNumLastBuffer";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0054;
        L_0x0052:
            r1 = r2;
            goto L_0x0055;
        L_0x0054:
            r1 = -1;
        L_0x0055:
            switch(r1) {
                case 0: goto L_0x00cb;
                case 1: goto L_0x00bc;
                case 2: goto L_0x00ac;
                case 3: goto L_0x009d;
                case 4: goto L_0x008e;
                case 5: goto L_0x007f;
                case 6: goto L_0x0070;
                default: goto L_0x0058;
            };
        L_0x0058:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r4 = "unknow valueName=";
            r2.append(r4);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r3;
        L_0x0070:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.initSlowReponseBrightTime = r3;
            goto L_0x00da;
        L_0x007f:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.initSlowReponseUpperLuxThreshold = r3;
            goto L_0x00da;
        L_0x008e:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Float(r3);
            r1.initSigmoidFuncSlope = r3;
            goto L_0x00da;
        L_0x009d:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.initUpperLuxThreshold = r3;
            goto L_0x00da;
        L_0x00ac:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r3 = (long) r3;
            r1.initValidCloseTime = r3;
            goto L_0x00da;
        L_0x00bc:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.initNumLastBuffer = r3;
            goto L_0x00da;
        L_0x00cb:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Float(r3);
            r1.initDoubleSensorInterfere = r3;
        L_0x00da:
            return r2;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_InitGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.initDoubleSensorInterfere > 0.0f && com.android.server.display.HwBrightnessXmlLoader.mData.initUpperLuxThreshold > 0 && com.android.server.display.HwBrightnessXmlLoader.mData.initSigmoidFuncSlope > 0.0f && com.android.server.display.HwBrightnessXmlLoader.mData.initSlowReponseUpperLuxThreshold > 0;
        }
    }

    private static class Element_KeyguardResponseGroup extends com.android.server.display.HwXmlElement {
        private Element_KeyguardResponseGroup() {
        }

        public java.lang.String getName() {
            return "KeyguardResponseGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"KeyguardResponseBrightenTime", "KeyguardResponseDarkenTime", "KeyguardAnimationBrightenTime", "KeyguardAnimationDarkenTime", "KeyguardLuxThreshold"});
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = 1;
            r3 = 0;
            switch(r1) {
                case -1788786797: goto L_0x0036;
                case -662444278: goto L_0x002c;
                case 884106242: goto L_0x0022;
                case 1083838039: goto L_0x0018;
                case 1167240206: goto L_0x000e;
                default: goto L_0x000d;
            };
        L_0x000d:
            goto L_0x0040;
        L_0x000e:
            r1 = "KeyguardAnimationBrightenTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x0016:
            r1 = 2;
            goto L_0x0041;
        L_0x0018:
            r1 = "KeyguardResponseBrightenTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x0020:
            r1 = r3;
            goto L_0x0041;
        L_0x0022:
            r1 = "KeyguardLuxThreshold";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x002a:
            r1 = 4;
            goto L_0x0041;
        L_0x002c:
            r1 = "KeyguardAnimationDarkenTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x0034:
            r1 = 3;
            goto L_0x0041;
        L_0x0036:
            r1 = "KeyguardResponseDarkenTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x003e:
            r1 = r2;
            goto L_0x0041;
        L_0x0040:
            r1 = -1;
        L_0x0041:
            switch(r1) {
                case 0: goto L_0x0098;
                case 1: goto L_0x0089;
                case 2: goto L_0x007a;
                case 3: goto L_0x006b;
                case 4: goto L_0x005c;
                default: goto L_0x0044;
            };
        L_0x0044:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r4 = "unknow valueName=";
            r2.append(r4);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r3;
        L_0x005c:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Float(r3);
            r1.keyguardLuxThreshold = r3;
            goto L_0x00a7;
        L_0x006b:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Float(r3);
            r1.keyguardAnimationDarkenTime = r3;
            goto L_0x00a7;
        L_0x007a:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Float(r3);
            r1.keyguardAnimationBrightenTime = r3;
            goto L_0x00a7;
        L_0x0089:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.keyguardResponseDarkenTime = r3;
            goto L_0x00a7;
        L_0x0098:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.keyguardResponseBrightenTime = r3;
        L_0x00a7:
            return r2;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_KeyguardResponseGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }
    }

    private class Element_LABCConfig extends com.android.server.display.HwXmlElement {
        private boolean mParseStarted;

        private Element_LABCConfig() {
        }

        public java.lang.String getName() {
            return "LABCConfig";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            if (this.mParseStarted) {
                return false;
            }
            if (com.android.server.display.HwBrightnessXmlLoader.this.mDeviceActualBrightnessLevel == 0) {
                if (this.HWFLOW) {
                    android.util.Slog.i(this.TAG, "actualDeviceLevel = 0, load started");
                }
                this.mParseStarted = true;
                return true;
            }
            java.lang.String str;
            java.lang.String deviceLevelString = parser.getAttributeValue(null, "level");
            if (deviceLevelString != null) {
                if (deviceLevelString.length() != 0) {
                    if (com.android.server.display.HwXmlElement.string2Int(deviceLevelString) != com.android.server.display.HwBrightnessXmlLoader.this.mDeviceActualBrightnessLevel) {
                        return false;
                    }
                    if (this.HWFLOW) {
                        str = this.TAG;
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("actualDeviceLevel = ");
                        stringBuilder.append(com.android.server.display.HwBrightnessXmlLoader.this.mDeviceActualBrightnessLevel);
                        stringBuilder.append(", find matched level in XML, load start");
                        android.util.Slog.i(str, stringBuilder.toString());
                    }
                    this.mParseStarted = true;
                    return true;
                }
            }
            if (this.HWFLOW) {
                str = this.TAG;
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("actualDeviceLevel = ");
                stringBuilder2.append(com.android.server.display.HwBrightnessXmlLoader.this.mDeviceActualBrightnessLevel);
                stringBuilder2.append(", but can't find level in XML, load start");
                android.util.Slog.i(str, stringBuilder2.toString());
            }
            this.mParseStarted = true;
            return true;
        }
    }

    private static class Element_ManualBrightenLinePoints extends com.android.server.display.HwXmlElement {
        private Element_ManualBrightenLinePoints() {
        }

        public java.lang.String getName() {
            return "ManualBrightenLinePoints";
        }

        protected boolean isOptional() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.manualMode ^ 1;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }
    }

    private static class Element_ManualBrightenLinePoints_Point extends com.android.server.display.HwXmlElement {
        private Element_ManualBrightenLinePoints_Point() {
        }

        public java.lang.String getName() {
            return "Point";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            if (!this.mIsParsed) {
                com.android.server.display.HwBrightnessXmlLoader.mData.manualBrightenlinePoints.clear();
            }
            com.android.server.display.HwBrightnessXmlLoader.mData.manualBrightenlinePoints = com.android.server.display.HwXmlElement.parsePointFList(parser, com.android.server.display.HwBrightnessXmlLoader.mData.manualBrightenlinePoints);
            return true;
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.checkPointsListIsOK(com.android.server.display.HwBrightnessXmlLoader.mData.manualBrightenlinePoints);
        }
    }

    private static class Element_ManualDarkenLinePoints extends com.android.server.display.HwXmlElement {
        private Element_ManualDarkenLinePoints() {
        }

        public java.lang.String getName() {
            return "ManualDarkenLinePoints";
        }

        protected boolean isOptional() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.manualMode ^ 1;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }
    }

    private static class Element_ManualDarkenLinePoints_Point extends com.android.server.display.HwXmlElement {
        private Element_ManualDarkenLinePoints_Point() {
        }

        public java.lang.String getName() {
            return "Point";
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            if (!this.mIsParsed) {
                com.android.server.display.HwBrightnessXmlLoader.mData.manualDarkenlinePoints.clear();
            }
            com.android.server.display.HwBrightnessXmlLoader.mData.manualDarkenlinePoints = com.android.server.display.HwXmlElement.parsePointFList(parser, com.android.server.display.HwBrightnessXmlLoader.mData.manualDarkenlinePoints);
            return true;
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.checkPointsListIsOK(com.android.server.display.HwBrightnessXmlLoader.mData.manualDarkenlinePoints);
        }
    }

    private static class Element_ManualGroup extends com.android.server.display.HwXmlElement {
        private Element_ManualGroup() {
        }

        public java.lang.String getName() {
            return "ManualGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"ManualMode", "ManualBrightnessMaxLimit", "ManualBrightnessMinLimit", "OutDoorThreshold", "InDoorThreshold", "ManualBrighenDebounceTime", "ManualDarkenDebounceTime"});
        }

        protected boolean isOptional() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.manualMode ^ 1;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = 0;
            r3 = 1;
            switch(r1) {
                case -1693268306: goto L_0x004a;
                case -790346984: goto L_0x0040;
                case -585412741: goto L_0x0036;
                case 346705267: goto L_0x002c;
                case 597434025: goto L_0x0022;
                case 701544399: goto L_0x0018;
                case 825502336: goto L_0x000e;
                default: goto L_0x000d;
            };
        L_0x000d:
            goto L_0x0054;
        L_0x000e:
            r1 = "ManualBrightnessMinLimit";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0054;
        L_0x0016:
            r1 = 2;
            goto L_0x0055;
        L_0x0018:
            r1 = "OutDoorThreshold";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0054;
        L_0x0020:
            r1 = 3;
            goto L_0x0055;
        L_0x0022:
            r1 = "ManualMode";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0054;
        L_0x002a:
            r1 = r2;
            goto L_0x0055;
        L_0x002c:
            r1 = "ManualBrighenDebounceTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0054;
        L_0x0034:
            r1 = 5;
            goto L_0x0055;
        L_0x0036:
            r1 = "ManualDarkenDebounceTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0054;
        L_0x003e:
            r1 = 6;
            goto L_0x0055;
        L_0x0040:
            r1 = "InDoorThreshold";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0054;
        L_0x0048:
            r1 = 4;
            goto L_0x0055;
        L_0x004a:
            r1 = "ManualBrightnessMaxLimit";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0054;
        L_0x0052:
            r1 = r3;
            goto L_0x0055;
        L_0x0054:
            r1 = -1;
        L_0x0055:
            switch(r1) {
                case 0: goto L_0x00ca;
                case 1: goto L_0x00bb;
                case 2: goto L_0x00ac;
                case 3: goto L_0x009d;
                case 4: goto L_0x008e;
                case 5: goto L_0x007f;
                case 6: goto L_0x0070;
                default: goto L_0x0058;
            };
        L_0x0058:
            r1 = r5.TAG;
            r3 = new java.lang.StringBuilder;
            r3.<init>();
            r4 = "unknow valueName=";
            r3.append(r4);
            r3.append(r0);
            r3 = r3.toString();
            android.util.Slog.e(r1, r3);
            return r2;
        L_0x0070:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.manualDarkenDebounceTime = r2;
            goto L_0x00dd;
        L_0x007f:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.manualBrighenDebounceTime = r2;
            goto L_0x00dd;
        L_0x008e:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.inDoorThreshold = r2;
            goto L_0x00dd;
        L_0x009d:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.outDoorThreshold = r2;
            goto L_0x00dd;
        L_0x00ac:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.manualBrightnessMinLimit = r2;
            goto L_0x00dd;
        L_0x00bb:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.manualBrightnessMaxLimit = r2;
            goto L_0x00dd;
        L_0x00ca:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r4 = r6.nextText();
            r4 = com.android.server.display.HwXmlElement.string2Int(r4);
            if (r4 != r3) goto L_0x00da;
        L_0x00d8:
            r2 = r3;
        L_0x00da:
            r1.manualMode = r2;
        L_0x00dd:
            return r3;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_ManualGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.manualBrightnessMaxLimit > 0 && com.android.server.display.HwBrightnessXmlLoader.mData.manualBrightnessMinLimit <= 255 && com.android.server.display.HwBrightnessXmlLoader.mData.inDoorThreshold <= com.android.server.display.HwBrightnessXmlLoader.mData.outDoorThreshold && com.android.server.display.HwBrightnessXmlLoader.mData.manualBrighenDebounceTime >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.manualDarkenDebounceTime >= 0;
        }
    }

    private static class Element_ManualOptionalGroup extends com.android.server.display.HwXmlElement {
        private Element_ManualOptionalGroup() {
        }

        public java.lang.String getName() {
            return "ManualOptionalGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"ManualAnimationBrightenTime", "ManualAnimationDarkenTime"});
        }

        protected boolean isOptional() {
            return true;
        }

        /* JADX WARNING: Removed duplicated region for block: B:13:0x002d  */
        /* JADX WARNING: Removed duplicated region for block: B:16:0x0054  */
        /* JADX WARNING: Removed duplicated region for block: B:15:0x0045  */
        /* JADX WARNING: Removed duplicated region for block: B:13:0x002d  */
        /* JADX WARNING: Removed duplicated region for block: B:16:0x0054  */
        /* JADX WARNING: Removed duplicated region for block: B:15:0x0045  */
        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = -1800575254; // 0xffffffff94ad66ea float:-1.7509128E-26 double:NaN;
            r3 = 1;
            r4 = 0;
            if (r1 == r2) goto L_0x001f;
        L_0x000f:
            r2 = -1654934546; // 0xffffffff9d5bb3ee float:-2.907743E-21 double:NaN;
            if (r1 == r2) goto L_0x0015;
        L_0x0014:
            goto L_0x0029;
        L_0x0015:
            r1 = "ManualAnimationBrightenTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0029;
        L_0x001d:
            r1 = r4;
            goto L_0x002a;
        L_0x001f:
            r1 = "ManualAnimationDarkenTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0029;
        L_0x0027:
            r1 = r3;
            goto L_0x002a;
        L_0x0029:
            r1 = -1;
        L_0x002a:
            switch(r1) {
                case 0: goto L_0x0054;
                case 1: goto L_0x0045;
                default: goto L_0x002d;
            };
        L_0x002d:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r3 = "unknow valueName=";
            r2.append(r3);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r4;
        L_0x0045:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.manualAnimationDarkenTime = r2;
            goto L_0x0063;
        L_0x0054:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.manualAnimationBrightenTime = r2;
        L_0x0063:
            return r3;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_ManualOptionalGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.manualAnimationBrightenTime > 0.0f && com.android.server.display.HwBrightnessXmlLoader.mData.manualAnimationDarkenTime > 0.0f;
        }
    }

    private static class Element_MiscGroup extends com.android.server.display.HwXmlElement {
        private Element_MiscGroup() {
        }

        public java.lang.String getName() {
            return "MiscGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"lightSensorRateMills", "DefaultBrightness"});
        }

        /* JADX WARNING: Removed duplicated region for block: B:13:0x002d  */
        /* JADX WARNING: Removed duplicated region for block: B:16:0x0054  */
        /* JADX WARNING: Removed duplicated region for block: B:15:0x0045  */
        /* JADX WARNING: Removed duplicated region for block: B:13:0x002d  */
        /* JADX WARNING: Removed duplicated region for block: B:16:0x0054  */
        /* JADX WARNING: Removed duplicated region for block: B:15:0x0045  */
        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = 604635474; // 0x240a0152 float:2.9925098E-17 double:2.98729616E-315;
            r3 = 1;
            r4 = 0;
            if (r1 == r2) goto L_0x001f;
        L_0x000f:
            r2 = 803831879; // 0x2fe98047 float:4.24736E-10 double:3.971457164E-315;
            if (r1 == r2) goto L_0x0015;
        L_0x0014:
            goto L_0x0029;
        L_0x0015:
            r1 = "lightSensorRateMills";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0029;
        L_0x001d:
            r1 = r4;
            goto L_0x002a;
        L_0x001f:
            r1 = "DefaultBrightness";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0029;
        L_0x0027:
            r1 = r3;
            goto L_0x002a;
        L_0x0029:
            r1 = -1;
        L_0x002a:
            switch(r1) {
                case 0: goto L_0x0054;
                case 1: goto L_0x0045;
                default: goto L_0x002d;
            };
        L_0x002d:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r3 = "unknow valueName=";
            r2.append(r3);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r4;
        L_0x0045:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.defaultBrightness = r2;
            goto L_0x0063;
        L_0x0054:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.lightSensorRateMills = r2;
        L_0x0063:
            return r3;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_MiscGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.defaultBrightness > 0.0f;
        }
    }

    private static class Element_MiscOptionalGroup1 extends com.android.server.display.HwXmlElement {
        private Element_MiscOptionalGroup1() {
        }

        public java.lang.String getName() {
            return "MiscOptionalGroup1";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"RebootAutoModeEnable", "PostMaxMinAvgFilterNoFilterNum", "PostMaxMinAvgFilterNum", "PowerOnFastResponseLuxNum", "PowerOnBrightenDebounceTime", "PowerOnDarkenDebounceTime", "CameraModeEnable", "CameraAnimationTime", "ProximityLuxThreshold", "ProximityResponseBrightenTime", "AnimatingForRGBWEnable", "MonitorEnable", "BrightnessCalibrationEnabled"});
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = 1;
            r3 = 0;
            switch(r1) {
                case -2080828579: goto L_0x008f;
                case -1912197839: goto L_0x0085;
                case -1540132752: goto L_0x007a;
                case -1498785192: goto L_0x006f;
                case -1271211816: goto L_0x0065;
                case -457425365: goto L_0x005b;
                case -416433876: goto L_0x0051;
                case -70231992: goto L_0x0046;
                case 782050106: goto L_0x003c;
                case 1554640189: goto L_0x0031;
                case 1784147739: goto L_0x0025;
                case 1960905866: goto L_0x001a;
                case 1981859257: goto L_0x000f;
                default: goto L_0x000d;
            };
        L_0x000d:
            goto L_0x009a;
        L_0x000f:
            r1 = "PowerOnDarkenDebounceTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x009a;
        L_0x0017:
            r1 = 5;
            goto L_0x009b;
        L_0x001a:
            r1 = "PostMaxMinAvgFilterNum";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x009a;
        L_0x0022:
            r1 = 2;
            goto L_0x009b;
        L_0x0025:
            r1 = "ProximityLuxThreshold";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x009a;
        L_0x002d:
            r1 = 8;
            goto L_0x009b;
        L_0x0031:
            r1 = "PowerOnBrightenDebounceTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x009a;
        L_0x0039:
            r1 = 4;
            goto L_0x009b;
        L_0x003c:
            r1 = "RebootAutoModeEnable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x009a;
        L_0x0044:
            r1 = r3;
            goto L_0x009b;
        L_0x0046:
            r1 = "BrightnessCalibrationEnabled";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x009a;
        L_0x004e:
            r1 = 12;
            goto L_0x009b;
        L_0x0051:
            r1 = "CameraAnimationTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x009a;
        L_0x0059:
            r1 = 7;
            goto L_0x009b;
        L_0x005b:
            r1 = "CameraModeEnable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x009a;
        L_0x0063:
            r1 = 6;
            goto L_0x009b;
        L_0x0065:
            r1 = "PowerOnFastResponseLuxNum";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x009a;
        L_0x006d:
            r1 = 3;
            goto L_0x009b;
        L_0x006f:
            r1 = "AnimatingForRGBWEnable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x009a;
        L_0x0077:
            r1 = 10;
            goto L_0x009b;
        L_0x007a:
            r1 = "ProximityResponseBrightenTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x009a;
        L_0x0082:
            r1 = 9;
            goto L_0x009b;
        L_0x0085:
            r1 = "PostMaxMinAvgFilterNoFilterNum";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x009a;
        L_0x008d:
            r1 = r2;
            goto L_0x009b;
        L_0x008f:
            r1 = "MonitorEnable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x009a;
        L_0x0097:
            r1 = 11;
            goto L_0x009b;
        L_0x009a:
            r1 = -1;
        L_0x009b:
            switch(r1) {
                case 0: goto L_0x016f;
                case 1: goto L_0x0160;
                case 2: goto L_0x0151;
                case 3: goto L_0x0142;
                case 4: goto L_0x0133;
                case 5: goto L_0x0124;
                case 6: goto L_0x0115;
                case 7: goto L_0x0106;
                case 8: goto L_0x00f6;
                case 9: goto L_0x00e6;
                case 10: goto L_0x00d6;
                case 11: goto L_0x00c6;
                case 12: goto L_0x00b6;
                default: goto L_0x009e;
            };
        L_0x009e:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r4 = "unknow valueName=";
            r2.append(r4);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r3;
        L_0x00b6:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Boolean(r3);
            r1.brightnessCalibrationEnabled = r3;
            goto L_0x017e;
        L_0x00c6:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Boolean(r3);
            r1.monitorEnable = r3;
            goto L_0x017e;
        L_0x00d6:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Boolean(r3);
            r1.animatingForRGBWEnable = r3;
            goto L_0x017e;
        L_0x00e6:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.proximityResponseBrightenTime = r3;
            goto L_0x017e;
        L_0x00f6:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Float(r3);
            r1.proximityLuxThreshold = r3;
            goto L_0x017e;
        L_0x0106:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Float(r3);
            r1.cameraAnimationTime = r3;
            goto L_0x017e;
        L_0x0115:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Boolean(r3);
            r1.cameraModeEnable = r3;
            goto L_0x017e;
        L_0x0124:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.powerOnDarkenDebounceTime = r3;
            goto L_0x017e;
        L_0x0133:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.powerOnBrightenDebounceTime = r3;
            goto L_0x017e;
        L_0x0142:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.powerOnFastResponseLuxNum = r3;
            goto L_0x017e;
        L_0x0151:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.postMaxMinAvgFilterNum = r3;
            goto L_0x017e;
        L_0x0160:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.postMaxMinAvgFilterNoFilterNum = r3;
            goto L_0x017e;
        L_0x016f:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Boolean(r3);
            r1.rebootAutoModeEnable = r3;
        L_0x017e:
            return r2;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_MiscOptionalGroup1.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.postMaxMinAvgFilterNum > 0 && com.android.server.display.HwBrightnessXmlLoader.mData.postMaxMinAvgFilterNum <= com.android.server.display.HwBrightnessXmlLoader.mData.postMaxMinAvgFilterNoFilterNum && com.android.server.display.HwBrightnessXmlLoader.mData.powerOnFastResponseLuxNum > 0 && com.android.server.display.HwBrightnessXmlLoader.mData.powerOnBrightenDebounceTime >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.powerOnDarkenDebounceTime >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.cameraAnimationTime > 0.0f && ((double) com.android.server.display.HwBrightnessXmlLoader.mData.proximityLuxThreshold) > 1.0E-6d;
        }
    }

    private static class Element_MiscOptionalGroup2 extends com.android.server.display.HwXmlElement {
        private Element_MiscOptionalGroup2() {
        }

        public java.lang.String getName() {
            return "MiscOptionalGroup2";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"ReportValueWhenSensorOnChange", "PgReregisterScene"});
        }

        protected boolean isOptional() {
            return true;
        }

        /* JADX WARNING: Removed duplicated region for block: B:13:0x002d  */
        /* JADX WARNING: Removed duplicated region for block: B:16:0x0054  */
        /* JADX WARNING: Removed duplicated region for block: B:15:0x0045  */
        /* JADX WARNING: Removed duplicated region for block: B:13:0x002d  */
        /* JADX WARNING: Removed duplicated region for block: B:16:0x0054  */
        /* JADX WARNING: Removed duplicated region for block: B:15:0x0045  */
        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = -2012946113; // 0xffffffff8804e13f float:-3.998708E-34 double:NaN;
            r3 = 1;
            r4 = 0;
            if (r1 == r2) goto L_0x001f;
        L_0x000f:
            r2 = 1259478400; // 0x4b121d80 float:9575808.0 double:6.22265009E-315;
            if (r1 == r2) goto L_0x0015;
        L_0x0014:
            goto L_0x0029;
        L_0x0015:
            r1 = "ReportValueWhenSensorOnChange";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0029;
        L_0x001d:
            r1 = r4;
            goto L_0x002a;
        L_0x001f:
            r1 = "PgReregisterScene";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0029;
        L_0x0027:
            r1 = r3;
            goto L_0x002a;
        L_0x0029:
            r1 = -1;
        L_0x002a:
            switch(r1) {
                case 0: goto L_0x0054;
                case 1: goto L_0x0045;
                default: goto L_0x002d;
            };
        L_0x002d:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r3 = "unknow valueName=";
            r2.append(r3);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r4;
        L_0x0045:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.pgReregisterScene = r2;
            goto L_0x0063;
        L_0x0054:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.reportValueWhenSensorOnChange = r2;
        L_0x0063:
            return r3;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_MiscOptionalGroup2.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }
    }

    private static class Element_OffsetGroup extends com.android.server.display.HwXmlElement {
        private Element_OffsetGroup() {
        }

        public java.lang.String getName() {
            return "OffsetGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"OffsetBrightenDebounceTime", "OffsetDarkenDebounceTime", "OffsetValidAmbientLuxEnable", "AutoModeInOutDoorLimitEnble"});
        }

        protected boolean isOptional() {
            return true;
        }

        /* JADX WARNING: Removed duplicated region for block: B:23:0x004b  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x0090  */
        /* JADX WARNING: Removed duplicated region for block: B:27:0x0081  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x004b  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x0090  */
        /* JADX WARNING: Removed duplicated region for block: B:27:0x0081  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x004b  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x0090  */
        /* JADX WARNING: Removed duplicated region for block: B:27:0x0081  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x004b  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x0090  */
        /* JADX WARNING: Removed duplicated region for block: B:27:0x0081  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x0063  */
        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = -1841552692; // 0xffffffff923c22cc float:-5.936523E-28 double:NaN;
            r3 = 0;
            r4 = 1;
            if (r1 == r2) goto L_0x003d;
        L_0x000f:
            r2 = -1168465949; // 0xffffffffba5a9fe3 float:-8.339865E-4 double:NaN;
            if (r1 == r2) goto L_0x0033;
        L_0x0014:
            r2 = 110170888; // 0x6911308 float:5.45709E-35 double:5.4431651E-316;
            if (r1 == r2) goto L_0x0029;
        L_0x0019:
            r2 = 1853282876; // 0x6e76da3c float:1.9099285E28 double:9.15643401E-315;
            if (r1 == r2) goto L_0x001f;
        L_0x001e:
            goto L_0x0047;
        L_0x001f:
            r1 = "AutoModeInOutDoorLimitEnble";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0047;
        L_0x0027:
            r1 = 3;
            goto L_0x0048;
        L_0x0029:
            r1 = "OffsetDarkenDebounceTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0047;
        L_0x0031:
            r1 = r4;
            goto L_0x0048;
        L_0x0033:
            r1 = "OffsetValidAmbientLuxEnable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0047;
        L_0x003b:
            r1 = 2;
            goto L_0x0048;
        L_0x003d:
            r1 = "OffsetBrightenDebounceTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0047;
        L_0x0045:
            r1 = r3;
            goto L_0x0048;
        L_0x0047:
            r1 = -1;
        L_0x0048:
            switch(r1) {
                case 0: goto L_0x0090;
                case 1: goto L_0x0081;
                case 2: goto L_0x0072;
                case 3: goto L_0x0063;
                default: goto L_0x004b;
            };
        L_0x004b:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r4 = "unknow valueName=";
            r2.append(r4);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r3;
        L_0x0063:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.autoModeInOutDoorLimitEnble = r2;
            goto L_0x009f;
        L_0x0072:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.offsetValidAmbientLuxEnable = r2;
            goto L_0x009f;
        L_0x0081:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.offsetDarkenDebounceTime = r2;
            goto L_0x009f;
        L_0x0090:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.offsetBrightenDebounceTime = r2;
        L_0x009f:
            return r4;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_OffsetGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.offsetBrightenDebounceTime >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.offsetDarkenDebounceTime >= 0;
        }
    }

    private static class Element_OffsetResetGroup extends com.android.server.display.HwXmlElement {
        private Element_OffsetResetGroup() {
        }

        public java.lang.String getName() {
            return "OffsetResetGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"OffsetResetSwitchTime", "OffsetResetEnable", "OffsetResetShortSwitchTime", "OffsetResetShortLuxDelta"});
        }

        protected boolean isOptional() {
            return true;
        }

        /* JADX WARNING: Removed duplicated region for block: B:23:0x004b  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x0090  */
        /* JADX WARNING: Removed duplicated region for block: B:27:0x0081  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x004b  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x0090  */
        /* JADX WARNING: Removed duplicated region for block: B:27:0x0081  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x004b  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x0090  */
        /* JADX WARNING: Removed duplicated region for block: B:27:0x0081  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x004b  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x0090  */
        /* JADX WARNING: Removed duplicated region for block: B:27:0x0081  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x0063  */
        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = -1142640385; // 0xffffffffbbe4b0ff float:-0.0069791074 double:NaN;
            r3 = 1;
            r4 = 0;
            if (r1 == r2) goto L_0x003d;
        L_0x000f:
            r2 = -454240631; // 0xffffffffe4ecd689 float:-3.4951124E22 double:NaN;
            if (r1 == r2) goto L_0x0033;
        L_0x0014:
            r2 = 82139585; // 0x4e559c1 float:5.3920067E-36 double:4.0582347E-316;
            if (r1 == r2) goto L_0x0029;
        L_0x0019:
            r2 = 1655845277; // 0x62b2319d float:1.6435477E21 double:8.18096266E-315;
            if (r1 == r2) goto L_0x001f;
        L_0x001e:
            goto L_0x0047;
        L_0x001f:
            r1 = "OffsetResetSwitchTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0047;
        L_0x0027:
            r1 = r4;
            goto L_0x0048;
        L_0x0029:
            r1 = "OffsetResetShortSwitchTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0047;
        L_0x0031:
            r1 = 2;
            goto L_0x0048;
        L_0x0033:
            r1 = "OffsetResetShortLuxDelta";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0047;
        L_0x003b:
            r1 = 3;
            goto L_0x0048;
        L_0x003d:
            r1 = "OffsetResetEnable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0047;
        L_0x0045:
            r1 = r3;
            goto L_0x0048;
        L_0x0047:
            r1 = -1;
        L_0x0048:
            switch(r1) {
                case 0: goto L_0x0090;
                case 1: goto L_0x0081;
                case 2: goto L_0x0072;
                case 3: goto L_0x0063;
                default: goto L_0x004b;
            };
        L_0x004b:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r3 = "unknow valueName=";
            r2.append(r3);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r4;
        L_0x0063:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.offsetResetShortLuxDelta = r2;
            goto L_0x009f;
        L_0x0072:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.offsetResetShortSwitchTime = r2;
            goto L_0x009f;
        L_0x0081:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.offsetResetEnable = r2;
            goto L_0x009f;
        L_0x0090:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.offsetResetSwitchTime = r2;
        L_0x009f:
            return r3;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_OffsetResetGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.offsetResetSwitchTime >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.offsetResetShortSwitchTime >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.offsetResetShortLuxDelta >= 0;
        }
    }

    private static class Element_OutdoorResponseGroup extends com.android.server.display.HwXmlElement {
        private Element_OutdoorResponseGroup() {
        }

        public java.lang.String getName() {
            return "OutdoorResponseGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"OutdoorLowerLuxThreshold", "OutdoorAnimationBrightenTime", "OutdoorAnimationDarkenTime", "OutdoorResponseBrightenRatio", "OutdoorResponseDarkenRatio", "OutdoorResponseBrightenTime", "OutdoorResponseDarkenTime", "OutdoorResponseCount"});
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = 1;
            r3 = 0;
            switch(r1) {
                case -1820473548: goto L_0x0054;
                case -1232436373: goto L_0x004a;
                case -856311255: goto L_0x0040;
                case -777923537: goto L_0x0036;
                case -455330963: goto L_0x002c;
                case -110162222: goto L_0x0022;
                case 697641400: goto L_0x0018;
                case 2114610753: goto L_0x000e;
                default: goto L_0x000d;
            };
        L_0x000d:
            goto L_0x005e;
        L_0x000e:
            r1 = "OutdoorLowerLuxThreshold";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x005e;
        L_0x0016:
            r1 = r3;
            goto L_0x005f;
        L_0x0018:
            r1 = "OutdoorAnimationBrightenTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x005e;
        L_0x0020:
            r1 = r2;
            goto L_0x005f;
        L_0x0022:
            r1 = "OutdoorResponseCount";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x005e;
        L_0x002a:
            r1 = 7;
            goto L_0x005f;
        L_0x002c:
            r1 = "OutdoorResponseBrightenTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x005e;
        L_0x0034:
            r1 = 5;
            goto L_0x005f;
        L_0x0036:
            r1 = "OutdoorResponseDarkenRatio";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x005e;
        L_0x003e:
            r1 = 4;
            goto L_0x005f;
        L_0x0040:
            r1 = "OutdoorResponseDarkenTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x005e;
        L_0x0048:
            r1 = 6;
            goto L_0x005f;
        L_0x004a:
            r1 = "OutdoorResponseBrightenRatio";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x005e;
        L_0x0052:
            r1 = 3;
            goto L_0x005f;
        L_0x0054:
            r1 = "OutdoorAnimationDarkenTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x005e;
        L_0x005c:
            r1 = 2;
            goto L_0x005f;
        L_0x005e:
            r1 = -1;
        L_0x005f:
            switch(r1) {
                case 0: goto L_0x00e3;
                case 1: goto L_0x00d4;
                case 2: goto L_0x00c5;
                case 3: goto L_0x00b6;
                case 4: goto L_0x00a7;
                case 5: goto L_0x0098;
                case 6: goto L_0x0089;
                case 7: goto L_0x007a;
                default: goto L_0x0062;
            };
        L_0x0062:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r4 = "unknow valueName=";
            r2.append(r4);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r3;
        L_0x007a:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.outdoorResponseCount = r3;
            goto L_0x00f2;
        L_0x0089:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.outdoorResponseDarkenTime = r3;
            goto L_0x00f2;
        L_0x0098:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.outdoorResponseBrightenTime = r3;
            goto L_0x00f2;
        L_0x00a7:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Float(r3);
            r1.outdoorResponseDarkenRatio = r3;
            goto L_0x00f2;
        L_0x00b6:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Float(r3);
            r1.outdoorResponseBrightenRatio = r3;
            goto L_0x00f2;
        L_0x00c5:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Float(r3);
            r1.outdoorAnimationDarkenTime = r3;
            goto L_0x00f2;
        L_0x00d4:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Float(r3);
            r1.outdoorAnimationBrightenTime = r3;
            goto L_0x00f2;
        L_0x00e3:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.outdoorLowerLuxThreshold = r3;
        L_0x00f2:
            return r2;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_OutdoorResponseGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return ((float) com.android.server.display.HwBrightnessXmlLoader.mData.outdoorLowerLuxThreshold) > -1.0E-6f && ((double) com.android.server.display.HwBrightnessXmlLoader.mData.outdoorResponseCount) > 1.0E-6d;
        }
    }

    private static class Element_PowerAndThermalGroup extends com.android.server.display.HwXmlElement {
        private Element_PowerAndThermalGroup() {
        }

        public java.lang.String getName() {
            return "PowerAndThermalGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"ManualPowerSavingBrighnessLineEnable", "ManualPowerSavingAnimationBrightenTime", "ManualPowerSavingAnimationDarkenTime", "ManualThermalModeAnimationBrightenTime", "ManualThermalModeAnimationDarkenTime", "ThermalModeBrightnessMappingEnable", "PgModeBrightnessMappingEnable", "AutoPowerSavingUseManualAnimationTimeEnable", "PgSceneDetectionDarkenDelayTime", "PgSceneDetectionBrightenDelayTime", "ManualPowerSavingBrighnessLineDisableForDemo", "AutoPowerSavingBrighnessLineDisableForDemo"});
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = 0;
            r3 = 1;
            switch(r1) {
                case -1332786641: goto L_0x0084;
                case -1199462784: goto L_0x007a;
                case -785273573: goto L_0x0070;
                case -687994128: goto L_0x0065;
                case -578235879: goto L_0x005a;
                case 397849367: goto L_0x0050;
                case 1064002566: goto L_0x0046;
                case 1131515809: goto L_0x003b;
                case 1254090086: goto L_0x0031;
                case 1265817084: goto L_0x0026;
                case 1914292055: goto L_0x001b;
                case 1952764317: goto L_0x000f;
                default: goto L_0x000d;
            };
        L_0x000d:
            goto L_0x008e;
        L_0x000f:
            r1 = "PgSceneDetectionBrightenDelayTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x008e;
        L_0x0017:
            r1 = 9;
            goto L_0x008f;
        L_0x001b:
            r1 = "ManualPowerSavingAnimationDarkenTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x008e;
        L_0x0023:
            r1 = 2;
            goto L_0x008f;
        L_0x0026:
            r1 = "ManualThermalModeAnimationDarkenTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x008e;
        L_0x002e:
            r1 = 4;
            goto L_0x008f;
        L_0x0031:
            r1 = "PgModeBrightnessMappingEnable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x008e;
        L_0x0039:
            r1 = 6;
            goto L_0x008f;
        L_0x003b:
            r1 = "PgSceneDetectionDarkenDelayTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x008e;
        L_0x0043:
            r1 = 8;
            goto L_0x008f;
        L_0x0046:
            r1 = "ThermalModeBrightnessMappingEnable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x008e;
        L_0x004e:
            r1 = 5;
            goto L_0x008f;
        L_0x0050:
            r1 = "AutoPowerSavingUseManualAnimationTimeEnable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x008e;
        L_0x0058:
            r1 = 7;
            goto L_0x008f;
        L_0x005a:
            r1 = "AutoPowerSavingBrighnessLineDisableForDemo";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x008e;
        L_0x0062:
            r1 = 11;
            goto L_0x008f;
        L_0x0065:
            r1 = "ManualPowerSavingBrighnessLineDisableForDemo";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x008e;
        L_0x006d:
            r1 = 10;
            goto L_0x008f;
        L_0x0070:
            r1 = "ManualPowerSavingAnimationBrightenTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x008e;
        L_0x0078:
            r1 = r3;
            goto L_0x008f;
        L_0x007a:
            r1 = "ManualThermalModeAnimationBrightenTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x008e;
        L_0x0082:
            r1 = 3;
            goto L_0x008f;
        L_0x0084:
            r1 = "ManualPowerSavingBrighnessLineEnable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x008e;
        L_0x008c:
            r1 = r2;
            goto L_0x008f;
        L_0x008e:
            r1 = -1;
        L_0x008f:
            switch(r1) {
                case 0: goto L_0x0153;
                case 1: goto L_0x0144;
                case 2: goto L_0x0135;
                case 3: goto L_0x0126;
                case 4: goto L_0x0117;
                case 5: goto L_0x0108;
                case 6: goto L_0x00f9;
                case 7: goto L_0x00ea;
                case 8: goto L_0x00da;
                case 9: goto L_0x00ca;
                case 10: goto L_0x00ba;
                case 11: goto L_0x00aa;
                default: goto L_0x0092;
            };
        L_0x0092:
            r1 = r5.TAG;
            r3 = new java.lang.StringBuilder;
            r3.<init>();
            r4 = "unknow valueName=";
            r3.append(r4);
            r3.append(r0);
            r3 = r3.toString();
            android.util.Slog.e(r1, r3);
            return r2;
        L_0x00aa:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.autoPowerSavingBrighnessLineDisableForDemo = r2;
            goto L_0x0162;
        L_0x00ba:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.manualPowerSavingBrighnessLineDisableForDemo = r2;
            goto L_0x0162;
        L_0x00ca:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.pgSceneDetectionBrightenDelayTime = r2;
            goto L_0x0162;
        L_0x00da:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.pgSceneDetectionDarkenDelayTime = r2;
            goto L_0x0162;
        L_0x00ea:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.autoPowerSavingUseManualAnimationTimeEnable = r2;
            goto L_0x0162;
        L_0x00f9:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.pgModeBrightnessMappingEnable = r2;
            goto L_0x0162;
        L_0x0108:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.thermalModeBrightnessMappingEnable = r2;
            goto L_0x0162;
        L_0x0117:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.manualThermalModeAnimationDarkenTime = r2;
            goto L_0x0162;
        L_0x0126:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.manualThermalModeAnimationBrightenTime = r2;
            goto L_0x0162;
        L_0x0135:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.manualPowerSavingAnimationDarkenTime = r2;
            goto L_0x0162;
        L_0x0144:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.manualPowerSavingAnimationBrightenTime = r2;
            goto L_0x0162;
        L_0x0153:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.manualPowerSavingBrighnessLineEnable = r2;
        L_0x0162:
            return r3;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_PowerAndThermalGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.manualPowerSavingAnimationBrightenTime > 0.0f && com.android.server.display.HwBrightnessXmlLoader.mData.manualPowerSavingAnimationDarkenTime > 0.0f && com.android.server.display.HwBrightnessXmlLoader.mData.manualThermalModeAnimationBrightenTime > 0.0f && com.android.server.display.HwBrightnessXmlLoader.mData.manualThermalModeAnimationDarkenTime > 0.0f && com.android.server.display.HwBrightnessXmlLoader.mData.pgSceneDetectionDarkenDelayTime >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.pgSceneDetectionBrightenDelayTime >= 0;
        }
    }

    private static class Element_PreProcessing extends com.android.server.display.HwXmlElement {
        private Element_PreProcessing() {
        }

        public java.lang.String getName() {
            return "PreProcessing";
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }
    }

    private static class Element_PreProcessingGroup extends com.android.server.display.HwXmlElement {
        private Element_PreProcessingGroup() {
        }

        public java.lang.String getName() {
            return "PreProcessingGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"BrightTimeDelayEnable", "BrightTimeDelay", "BrightTimeDelayLuxThreshold", "PreMethodNum", "PreMeanFilterNoFilterNum", "PreMeanFilterNum", "PostMethodNum", "PostMeanFilterNoFilterNum", "PostMeanFilterNum"});
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = 0;
            r3 = 1;
            switch(r1) {
                case -1216473595: goto L_0x005f;
                case -591649441: goto L_0x0055;
                case 157937894: goto L_0x004b;
                case 620980681: goto L_0x0040;
                case 700394488: goto L_0x0036;
                case 1373278396: goto L_0x002c;
                case 1431493488: goto L_0x0022;
                case 1443034509: goto L_0x0018;
                case 1524020130: goto L_0x000e;
                default: goto L_0x000d;
            };
        L_0x000d:
            goto L_0x0069;
        L_0x000e:
            r1 = "PreMethodNum";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0016:
            r1 = 3;
            goto L_0x006a;
        L_0x0018:
            r1 = "PreMeanFilterNoFilterNum";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0020:
            r1 = 4;
            goto L_0x006a;
        L_0x0022:
            r1 = "PostMeanFilterNoFilterNum";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x002a:
            r1 = 7;
            goto L_0x006a;
        L_0x002c:
            r1 = "BrightTimeDelay";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0034:
            r1 = r3;
            goto L_0x006a;
        L_0x0036:
            r1 = "BrightTimeDelayLuxThreshold";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x003e:
            r1 = 2;
            goto L_0x006a;
        L_0x0040:
            r1 = "PostMeanFilterNum";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0048:
            r1 = 8;
            goto L_0x006a;
        L_0x004b:
            r1 = "PreMeanFilterNum";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0053:
            r1 = 5;
            goto L_0x006a;
        L_0x0055:
            r1 = "BrightTimeDelayEnable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x005d:
            r1 = r2;
            goto L_0x006a;
        L_0x005f:
            r1 = "PostMethodNum";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0067:
            r1 = 6;
            goto L_0x006a;
        L_0x0069:
            r1 = -1;
        L_0x006a:
            switch(r1) {
                case 0: goto L_0x00fe;
                case 1: goto L_0x00ef;
                case 2: goto L_0x00e0;
                case 3: goto L_0x00d1;
                case 4: goto L_0x00c2;
                case 5: goto L_0x00b3;
                case 6: goto L_0x00a4;
                case 7: goto L_0x0095;
                case 8: goto L_0x0085;
                default: goto L_0x006d;
            };
        L_0x006d:
            r1 = r5.TAG;
            r3 = new java.lang.StringBuilder;
            r3.<init>();
            r4 = "unknow valueName=";
            r3.append(r4);
            r3.append(r0);
            r3 = r3.toString();
            android.util.Slog.e(r1, r3);
            return r2;
        L_0x0085:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.postMeanFilterNum = r2;
            goto L_0x010d;
        L_0x0095:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.postMeanFilterNoFilterNum = r2;
            goto L_0x010d;
        L_0x00a4:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.postMethodNum = r2;
            goto L_0x010d;
        L_0x00b3:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.preMeanFilterNum = r2;
            goto L_0x010d;
        L_0x00c2:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.preMeanFilterNoFilterNum = r2;
            goto L_0x010d;
        L_0x00d1:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.preMethodNum = r2;
            goto L_0x010d;
        L_0x00e0:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.brightTimeDelayLuxThreshold = r2;
            goto L_0x010d;
        L_0x00ef:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.brightTimeDelay = r2;
            goto L_0x010d;
        L_0x00fe:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.brightTimeDelayEnable = r2;
        L_0x010d:
            return r3;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_PreProcessingGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.preMeanFilterNum > 0 && com.android.server.display.HwBrightnessXmlLoader.mData.preMeanFilterNum <= com.android.server.display.HwBrightnessXmlLoader.mData.preMeanFilterNoFilterNum && com.android.server.display.HwBrightnessXmlLoader.mData.postMeanFilterNum > 0 && com.android.server.display.HwBrightnessXmlLoader.mData.postMeanFilterNum <= com.android.server.display.HwBrightnessXmlLoader.mData.postMeanFilterNoFilterNum;
        }
    }

    private static class Element_PreWeightedGroup extends com.android.server.display.HwXmlElement {
        private Element_PreWeightedGroup() {
        }

        public java.lang.String getName() {
            return "PreWeightedGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"PreWeightedMeanFilterNoFilterNum", "PreWeightedMeanFilterMaxFuncLuxNum", "PreWeightedMeanFilterNum", "PreWeightedMeanFilterAlpha", "PreWeightedMeanFilterLuxTh"});
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = 0;
            r3 = 1;
            switch(r1) {
                case -1627681866: goto L_0x0036;
                case 246136847: goto L_0x002c;
                case 302040999: goto L_0x0022;
                case 312474924: goto L_0x0018;
                case 1095802536: goto L_0x000e;
                default: goto L_0x000d;
            };
        L_0x000d:
            goto L_0x0040;
        L_0x000e:
            r1 = "PreWeightedMeanFilterMaxFuncLuxNum";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x0016:
            r1 = r3;
            goto L_0x0041;
        L_0x0018:
            r1 = "PreWeightedMeanFilterLuxTh";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x0020:
            r1 = 4;
            goto L_0x0041;
        L_0x0022:
            r1 = "PreWeightedMeanFilterAlpha";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x002a:
            r1 = 3;
            goto L_0x0041;
        L_0x002c:
            r1 = "PreWeightedMeanFilterNum";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x0034:
            r1 = 2;
            goto L_0x0041;
        L_0x0036:
            r1 = "PreWeightedMeanFilterNoFilterNum";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x003e:
            r1 = r2;
            goto L_0x0041;
        L_0x0040:
            r1 = -1;
        L_0x0041:
            switch(r1) {
                case 0: goto L_0x0098;
                case 1: goto L_0x0089;
                case 2: goto L_0x007a;
                case 3: goto L_0x006b;
                case 4: goto L_0x005c;
                default: goto L_0x0044;
            };
        L_0x0044:
            r1 = r5.TAG;
            r3 = new java.lang.StringBuilder;
            r3.<init>();
            r4 = "unknow valueName=";
            r3.append(r4);
            r3.append(r0);
            r3 = r3.toString();
            android.util.Slog.e(r1, r3);
            return r2;
        L_0x005c:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.preWeightedMeanFilterLuxTh = r2;
            goto L_0x00a7;
        L_0x006b:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.preWeightedMeanFilterAlpha = r2;
            goto L_0x00a7;
        L_0x007a:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.preWeightedMeanFilterNum = r2;
            goto L_0x00a7;
        L_0x0089:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.preWeightedMeanFilterMaxFuncLuxNum = r2;
            goto L_0x00a7;
        L_0x0098:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.preWeightedMeanFilterNoFilterNum = r2;
        L_0x00a7:
            return r3;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_PreWeightedGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.preWeightedMeanFilterNoFilterNum > 0 && com.android.server.display.HwBrightnessXmlLoader.mData.preWeightedMeanFilterMaxFuncLuxNum > 0 && com.android.server.display.HwBrightnessXmlLoader.mData.preWeightedMeanFilterNum > 0 && com.android.server.display.HwBrightnessXmlLoader.mData.preWeightedMeanFilterNum <= com.android.server.display.HwBrightnessXmlLoader.mData.preWeightedMeanFilterNoFilterNum;
        }
    }

    private static class Element_Proximity extends com.android.server.display.HwXmlElement {
        private Element_Proximity() {
        }

        public java.lang.String getName() {
            return "Proximity";
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }
    }

    private static class Element_ProximityGroup extends com.android.server.display.HwXmlElement {
        private Element_ProximityGroup() {
        }

        public java.lang.String getName() {
            return "ProximityGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"AllowLabcUseProximity", "ProximityPositiveDebounceTime", "ProximityNegativeDebounceTime"});
        }

        /* JADX WARNING: Removed duplicated region for block: B:18:0x003c  */
        /* JADX WARNING: Removed duplicated region for block: B:22:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:21:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:20:0x0054  */
        /* JADX WARNING: Removed duplicated region for block: B:18:0x003c  */
        /* JADX WARNING: Removed duplicated region for block: B:22:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:21:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:20:0x0054  */
        /* JADX WARNING: Removed duplicated region for block: B:18:0x003c  */
        /* JADX WARNING: Removed duplicated region for block: B:22:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:21:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:20:0x0054  */
        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = -636219254; // 0xffffffffda14108a float:-1.04191204E16 double:NaN;
            r3 = 0;
            r4 = 1;
            if (r1 == r2) goto L_0x002e;
        L_0x000f:
            r2 = 1277664151; // 0x4c279b97 float:4.3937372E7 double:6.31249964E-315;
            if (r1 == r2) goto L_0x0024;
        L_0x0014:
            r2 = 1847924814; // 0x6e25184e float:1.2773602E28 double:9.129961667E-315;
            if (r1 == r2) goto L_0x001a;
        L_0x0019:
            goto L_0x0038;
        L_0x001a:
            r1 = "ProximityPositiveDebounceTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0038;
        L_0x0022:
            r1 = r4;
            goto L_0x0039;
        L_0x0024:
            r1 = "AllowLabcUseProximity";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0038;
        L_0x002c:
            r1 = r3;
            goto L_0x0039;
        L_0x002e:
            r1 = "ProximityNegativeDebounceTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0038;
        L_0x0036:
            r1 = 2;
            goto L_0x0039;
        L_0x0038:
            r1 = -1;
        L_0x0039:
            switch(r1) {
                case 0: goto L_0x0072;
                case 1: goto L_0x0063;
                case 2: goto L_0x0054;
                default: goto L_0x003c;
            };
        L_0x003c:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r4 = "unknow valueName=";
            r2.append(r4);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r3;
        L_0x0054:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.proximityNegativeDebounceTime = r2;
            goto L_0x0081;
        L_0x0063:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.proximityPositiveDebounceTime = r2;
            goto L_0x0081;
        L_0x0072:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.allowLabcUseProximity = r2;
        L_0x0081:
            return r4;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_ProximityGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }
    }

    private static class Element_ReadingAnimationTime extends com.android.server.display.HwXmlElement {
        private Element_ReadingAnimationTime() {
        }

        public java.lang.String getName() {
            return "ReadingAnimationTime";
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            com.android.server.display.HwBrightnessXmlLoader.mData.readingAnimationTime = com.android.server.display.HwXmlElement.string2Float(parser.nextText());
            return true;
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.readingAnimationTime > 0.0f;
        }
    }

    private static class Element_ReadingModeEnable extends com.android.server.display.HwXmlElement {
        private Element_ReadingModeEnable() {
        }

        public java.lang.String getName() {
            return "ReadingModeEnable";
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            com.android.server.display.HwBrightnessXmlLoader.mData.readingModeEnable = com.android.server.display.HwXmlElement.string2Boolean(parser.nextText());
            return true;
        }
    }

    private static class Element_RebootGroup extends com.android.server.display.HwXmlElement {
        private Element_RebootGroup() {
        }

        public java.lang.String getName() {
            return "RebootGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"RebootFirstBrightnessAnimationEnable", "RebootFirstBrightness", "RebootFirstBrightnessAutoTime", "RebootFirstBrightnessManualTime"});
        }

        protected boolean isOptional() {
            return true;
        }

        /* JADX WARNING: Removed duplicated region for block: B:23:0x004b  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x0090  */
        /* JADX WARNING: Removed duplicated region for block: B:27:0x0081  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x004b  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x0090  */
        /* JADX WARNING: Removed duplicated region for block: B:27:0x0081  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x004b  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x0090  */
        /* JADX WARNING: Removed duplicated region for block: B:27:0x0081  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x004b  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x0090  */
        /* JADX WARNING: Removed duplicated region for block: B:27:0x0081  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x0063  */
        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = -2008780644; // 0xffffffff8844709c float:-5.9113976E-34 double:NaN;
            r3 = 1;
            r4 = 0;
            if (r1 == r2) goto L_0x003d;
        L_0x000f:
            r2 = -1474056744; // 0xffffffffa823add8 float:-9.086014E-15 double:NaN;
            if (r1 == r2) goto L_0x0033;
        L_0x0014:
            r2 = -752945685; // 0xffffffffd31ef5eb float:-6.8273065E11 double:NaN;
            if (r1 == r2) goto L_0x0029;
        L_0x0019:
            r2 = -260795025; // 0xfffffffff074956f float:-3.0277999E29 double:NaN;
            if (r1 == r2) goto L_0x001f;
        L_0x001e:
            goto L_0x0047;
        L_0x001f:
            r1 = "RebootFirstBrightnessManualTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0047;
        L_0x0027:
            r1 = 3;
            goto L_0x0048;
        L_0x0029:
            r1 = "RebootFirstBrightnessAnimationEnable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0047;
        L_0x0031:
            r1 = r4;
            goto L_0x0048;
        L_0x0033:
            r1 = "RebootFirstBrightnessAutoTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0047;
        L_0x003b:
            r1 = 2;
            goto L_0x0048;
        L_0x003d:
            r1 = "RebootFirstBrightness";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0047;
        L_0x0045:
            r1 = r3;
            goto L_0x0048;
        L_0x0047:
            r1 = -1;
        L_0x0048:
            switch(r1) {
                case 0: goto L_0x0090;
                case 1: goto L_0x0081;
                case 2: goto L_0x0072;
                case 3: goto L_0x0063;
                default: goto L_0x004b;
            };
        L_0x004b:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r3 = "unknow valueName=";
            r2.append(r3);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r4;
        L_0x0063:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.rebootFirstBrightnessManualTime = r2;
            goto L_0x009f;
        L_0x0072:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.rebootFirstBrightnessAutoTime = r2;
            goto L_0x009f;
        L_0x0081:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.rebootFirstBrightness = r2;
            goto L_0x009f;
        L_0x0090:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.rebootFirstBrightnessAnimationEnable = r2;
        L_0x009f:
            return r3;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_RebootGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.rebootFirstBrightness >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.rebootFirstBrightnessAutoTime > 0.0f && com.android.server.display.HwBrightnessXmlLoader.mData.rebootFirstBrightnessManualTime > 0.0f;
        }
    }

    private static class Element_ResponseTimeGroup extends com.android.server.display.HwXmlElement {
        private Element_ResponseTimeGroup() {
        }

        public java.lang.String getName() {
            return "ResponseTimeGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"BrighenDebounceTime", "DarkenDebounceTime", "BrightenDebounceTimeParaBig", "DarkenDebounceTimeParaBig", "BrightenDeltaLuxPara", "DarkenDeltaLuxPara", "StabilityConstant", "StabilityTime1", "StabilityTime2"});
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = 1;
            r3 = 0;
            switch(r1) {
                case -1403734451: goto L_0x005f;
                case -599365355: goto L_0x0055;
                case -85825767: goto L_0x004b;
                case -37334485: goto L_0x0041;
                case 1002334874: goto L_0x0037;
                case 1209051670: goto L_0x002d;
                case 1578851579: goto L_0x0023;
                case 1578851580: goto L_0x0018;
                case 1866183975: goto L_0x000e;
                default: goto L_0x000d;
            };
        L_0x000d:
            goto L_0x0069;
        L_0x000e:
            r1 = "BrightenDebounceTimeParaBig";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0016:
            r1 = 2;
            goto L_0x006a;
        L_0x0018:
            r1 = "StabilityTime2";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0020:
            r1 = 8;
            goto L_0x006a;
        L_0x0023:
            r1 = "StabilityTime1";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x002b:
            r1 = 7;
            goto L_0x006a;
        L_0x002d:
            r1 = "DarkenDeltaLuxPara";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0035:
            r1 = 5;
            goto L_0x006a;
        L_0x0037:
            r1 = "BrightenDeltaLuxPara";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x003f:
            r1 = 4;
            goto L_0x006a;
        L_0x0041:
            r1 = "DarkenDebounceTimeParaBig";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0049:
            r1 = 3;
            goto L_0x006a;
        L_0x004b:
            r1 = "BrighenDebounceTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0053:
            r1 = r3;
            goto L_0x006a;
        L_0x0055:
            r1 = "DarkenDebounceTime";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x005d:
            r1 = r2;
            goto L_0x006a;
        L_0x005f:
            r1 = "StabilityConstant";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0069;
        L_0x0067:
            r1 = 6;
            goto L_0x006a;
        L_0x0069:
            r1 = -1;
        L_0x006a:
            switch(r1) {
                case 0: goto L_0x00fe;
                case 1: goto L_0x00ef;
                case 2: goto L_0x00e0;
                case 3: goto L_0x00d1;
                case 4: goto L_0x00c2;
                case 5: goto L_0x00b3;
                case 6: goto L_0x00a4;
                case 7: goto L_0x0095;
                case 8: goto L_0x0085;
                default: goto L_0x006d;
            };
        L_0x006d:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r4 = "unknow valueName=";
            r2.append(r4);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r3;
        L_0x0085:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.stabilityTime2 = r3;
            goto L_0x010d;
        L_0x0095:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.stabilityTime1 = r3;
            goto L_0x010d;
        L_0x00a4:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.stabilityConstant = r3;
            goto L_0x010d;
        L_0x00b3:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Float(r3);
            r1.darkenDeltaLuxPara = r3;
            goto L_0x010d;
        L_0x00c2:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Float(r3);
            r1.brightenDeltaLuxPara = r3;
            goto L_0x010d;
        L_0x00d1:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Float(r3);
            r1.darkenDebounceTimeParaBig = r3;
            goto L_0x010d;
        L_0x00e0:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Float(r3);
            r1.brightenDebounceTimeParaBig = r3;
            goto L_0x010d;
        L_0x00ef:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.darkenDebounceTime = r3;
            goto L_0x010d;
        L_0x00fe:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.brighenDebounceTime = r3;
        L_0x010d:
            return r2;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_ResponseTimeGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.brighenDebounceTime > 0 && com.android.server.display.HwBrightnessXmlLoader.mData.darkenDebounceTime > 0;
        }
    }

    private static class Element_ResponseTimeOptionalGroup extends com.android.server.display.HwXmlElement {
        private Element_ResponseTimeOptionalGroup() {
        }

        public java.lang.String getName() {
            return "ResponseTimeOptionalGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"BrighenDebounceTimeForSmallThr", "DarkenDebounceTimeForSmallThr", "RatioForBrightnenSmallThr", "RatioForDarkenSmallThr", "DarkTimeDelayEnable", "DarkTimeDelay", "DarkTimeDelayLuxThreshold", "DarkTimeDelayBeta0", "DarkTimeDelayBeta1", "DarkTimeDelayBeta2", "DarkTimeDelayBrightness"});
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = 0;
            r3 = 1;
            switch(r1) {
                case -2041716473: goto L_0x0078;
                case -1203123972: goto L_0x006e;
                case -785220512: goto L_0x0064;
                case -785220511: goto L_0x0059;
                case -785220510: goto L_0x004e;
                case -487716469: goto L_0x0044;
                case 254012465: goto L_0x0039;
                case 633705408: goto L_0x002f;
                case 1174414900: goto L_0x0025;
                case 1521603939: goto L_0x001a;
                case 1843038262: goto L_0x000f;
                default: goto L_0x000d;
            };
        L_0x000d:
            goto L_0x0082;
        L_0x000f:
            r1 = "RatioForBrightnenSmallThr";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0082;
        L_0x0017:
            r1 = 2;
            goto L_0x0083;
        L_0x001a:
            r1 = "DarkTimeDelayEnable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0082;
        L_0x0022:
            r1 = 4;
            goto L_0x0083;
        L_0x0025:
            r1 = "RatioForDarkenSmallThr";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0082;
        L_0x002d:
            r1 = 3;
            goto L_0x0083;
        L_0x002f:
            r1 = "DarkTimeDelay";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0082;
        L_0x0037:
            r1 = 5;
            goto L_0x0083;
        L_0x0039:
            r1 = "DarkTimeDelayBrightness";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0082;
        L_0x0041:
            r1 = 10;
            goto L_0x0083;
        L_0x0044:
            r1 = "DarkenDebounceTimeForSmallThr";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0082;
        L_0x004c:
            r1 = r3;
            goto L_0x0083;
        L_0x004e:
            r1 = "DarkTimeDelayBeta2";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0082;
        L_0x0056:
            r1 = 9;
            goto L_0x0083;
        L_0x0059:
            r1 = "DarkTimeDelayBeta1";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0082;
        L_0x0061:
            r1 = 8;
            goto L_0x0083;
        L_0x0064:
            r1 = "DarkTimeDelayBeta0";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0082;
        L_0x006c:
            r1 = 7;
            goto L_0x0083;
        L_0x006e:
            r1 = "DarkTimeDelayLuxThreshold";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0082;
        L_0x0076:
            r1 = 6;
            goto L_0x0083;
        L_0x0078:
            r1 = "BrighenDebounceTimeForSmallThr";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0082;
        L_0x0080:
            r1 = r2;
            goto L_0x0083;
        L_0x0082:
            r1 = -1;
        L_0x0083:
            switch(r1) {
                case 0: goto L_0x0137;
                case 1: goto L_0x0128;
                case 2: goto L_0x0119;
                case 3: goto L_0x010a;
                case 4: goto L_0x00fb;
                case 5: goto L_0x00ec;
                case 6: goto L_0x00dd;
                case 7: goto L_0x00ce;
                case 8: goto L_0x00be;
                case 9: goto L_0x00ae;
                case 10: goto L_0x009e;
                default: goto L_0x0086;
            };
        L_0x0086:
            r1 = r5.TAG;
            r3 = new java.lang.StringBuilder;
            r3.<init>();
            r4 = "unknow valueName=";
            r3.append(r4);
            r3.append(r0);
            r3 = r3.toString();
            android.util.Slog.e(r1, r3);
            return r2;
        L_0x009e:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.darkTimeDelayBrightness = r2;
            goto L_0x0146;
        L_0x00ae:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.darkTimeDelayBeta2 = r2;
            goto L_0x0146;
        L_0x00be:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.darkTimeDelayBeta1 = r2;
            goto L_0x0146;
        L_0x00ce:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.darkTimeDelayBeta0 = r2;
            goto L_0x0146;
        L_0x00dd:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.darkTimeDelayLuxThreshold = r2;
            goto L_0x0146;
        L_0x00ec:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.darkTimeDelay = r2;
            goto L_0x0146;
        L_0x00fb:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.darkTimeDelayEnable = r2;
            goto L_0x0146;
        L_0x010a:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.ratioForDarkenSmallThr = r2;
            goto L_0x0146;
        L_0x0119:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.ratioForBrightnenSmallThr = r2;
            goto L_0x0146;
        L_0x0128:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.darkenDebounceTimeForSmallThr = r2;
            goto L_0x0146;
        L_0x0137:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Int(r2);
            r1.brighenDebounceTimeForSmallThr = r2;
        L_0x0146:
            return r3;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_ResponseTimeOptionalGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.brighenDebounceTimeForSmallThr > 0 && com.android.server.display.HwBrightnessXmlLoader.mData.darkenDebounceTimeForSmallThr > 0 && com.android.server.display.HwBrightnessXmlLoader.mData.ratioForBrightnenSmallThr > 0.0f && com.android.server.display.HwBrightnessXmlLoader.mData.ratioForDarkenSmallThr > 0.0f;
        }
    }

    private static class Element_SceneProcessing extends com.android.server.display.HwXmlElement {
        private Element_SceneProcessing() {
        }

        public java.lang.String getName() {
            return "SceneProcessing";
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }
    }

    private static class Element_SceneProcessingGroup extends com.android.server.display.HwXmlElement {
        private Element_SceneProcessingGroup() {
        }

        public java.lang.String getName() {
            return "SceneProcessingGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"SceneMaxPoints", "SceneGapPoints", "SceneMinPoints", "SceneAmbientLuxMaxWeight", "SceneAmbientLuxMinWeight"});
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = 1;
            r3 = 0;
            switch(r1) {
                case -1975443769: goto L_0x0036;
                case 180392013: goto L_0x002c;
                case 730661979: goto L_0x0022;
                case 1503140553: goto L_0x0018;
                case 1547044953: goto L_0x000e;
                default: goto L_0x000d;
            };
        L_0x000d:
            goto L_0x0040;
        L_0x000e:
            r1 = "SceneAmbientLuxMaxWeight";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x0016:
            r1 = 3;
            goto L_0x0041;
        L_0x0018:
            r1 = "SceneMinPoints";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x0020:
            r1 = 2;
            goto L_0x0041;
        L_0x0022:
            r1 = "SceneMaxPoints";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x002a:
            r1 = r3;
            goto L_0x0041;
        L_0x002c:
            r1 = "SceneGapPoints";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x0034:
            r1 = r2;
            goto L_0x0041;
        L_0x0036:
            r1 = "SceneAmbientLuxMinWeight";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0040;
        L_0x003e:
            r1 = 4;
            goto L_0x0041;
        L_0x0040:
            r1 = -1;
        L_0x0041:
            switch(r1) {
                case 0: goto L_0x0098;
                case 1: goto L_0x0089;
                case 2: goto L_0x007a;
                case 3: goto L_0x006b;
                case 4: goto L_0x005c;
                default: goto L_0x0044;
            };
        L_0x0044:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r4 = "unknow valueName=";
            r2.append(r4);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r3;
        L_0x005c:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Float(r3);
            r1.sceneAmbientLuxMinWeight = r3;
            goto L_0x00a7;
        L_0x006b:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Float(r3);
            r1.sceneAmbientLuxMaxWeight = r3;
            goto L_0x00a7;
        L_0x007a:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.sceneMinPoints = r3;
            goto L_0x00a7;
        L_0x0089:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.sceneGapPoints = r3;
            goto L_0x00a7;
        L_0x0098:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r3 = r6.nextText();
            r3 = com.android.server.display.HwXmlElement.string2Int(r3);
            r1.sceneMaxPoints = r3;
        L_0x00a7:
            return r2;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_SceneProcessingGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }
    }

    private static class Element_TouchProximity extends com.android.server.display.HwXmlElement {
        private Element_TouchProximity() {
        }

        public java.lang.String getName() {
            return "TouchProximity";
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            return true;
        }
    }

    private static class Element_TouchProximityGroup extends com.android.server.display.HwXmlElement {
        private Element_TouchProximityGroup() {
        }

        public java.lang.String getName() {
            return "TouchProximityGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"Enable", "YNearbyRatio"});
        }

        /* JADX WARNING: Removed duplicated region for block: B:13:0x002d  */
        /* JADX WARNING: Removed duplicated region for block: B:16:0x0054  */
        /* JADX WARNING: Removed duplicated region for block: B:15:0x0045  */
        /* JADX WARNING: Removed duplicated region for block: B:13:0x002d  */
        /* JADX WARNING: Removed duplicated region for block: B:16:0x0054  */
        /* JADX WARNING: Removed duplicated region for block: B:15:0x0045  */
        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = -286453069; // 0xffffffffeeed12b3 float:-3.6685277E28 double:NaN;
            r3 = 1;
            r4 = 0;
            if (r1 == r2) goto L_0x001f;
        L_0x000f:
            r2 = 2079986083; // 0x7bfa11a3 float:2.5968639E36 double:1.0276496674E-314;
            if (r1 == r2) goto L_0x0015;
        L_0x0014:
            goto L_0x0029;
        L_0x0015:
            r1 = "Enable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0029;
        L_0x001d:
            r1 = r4;
            goto L_0x002a;
        L_0x001f:
            r1 = "YNearbyRatio";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0029;
        L_0x0027:
            r1 = r3;
            goto L_0x002a;
        L_0x0029:
            r1 = -1;
        L_0x002a:
            switch(r1) {
                case 0: goto L_0x0054;
                case 1: goto L_0x0045;
                default: goto L_0x002d;
            };
        L_0x002d:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r3 = "unknow valueName=";
            r2.append(r3);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r4;
        L_0x0045:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.touchProximityYNearbyRatio = r2;
            goto L_0x0063;
        L_0x0054:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.touchProximityEnable = r2;
        L_0x0063:
            return r3;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_TouchProximityGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            if (com.android.server.display.HwBrightnessXmlLoader.mData.touchProximityEnable) {
                if (com.android.server.display.HwBrightnessXmlLoader.mData.touchProximityYNearbyRatio <= 0.0f || com.android.server.display.HwBrightnessXmlLoader.mData.touchProximityYNearbyRatio >= 1.0f) {
                    return false;
                }
            }
            return true;
        }
    }

    private static class Element_VariableStep extends com.android.server.display.HwXmlElement {
        private Element_VariableStep() {
        }

        public java.lang.String getName() {
            return "VariableStep";
        }

        protected boolean isOptional() {
            return true;
        }

        protected boolean parseValue(org.xmlpull.v1.XmlPullParser parser) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            com.android.server.display.HwBrightnessXmlLoader.mData.useVariableStep = true;
            return true;
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.darkenGradualTimeMin <= com.android.server.display.HwBrightnessXmlLoader.mData.darkenGradualTimeMax;
        }
    }

    private static class Element_VariableStepGroup extends com.android.server.display.HwXmlElement {
        private Element_VariableStepGroup() {
        }

        public java.lang.String getName() {
            return "VariableStepGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"DarkenGradualTimeMax", "DarkenGradualTimeMin", "AnimatedStepRoundEnabled"});
        }

        /* JADX WARNING: Removed duplicated region for block: B:18:0x003c  */
        /* JADX WARNING: Removed duplicated region for block: B:22:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:21:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:20:0x0054  */
        /* JADX WARNING: Removed duplicated region for block: B:18:0x003c  */
        /* JADX WARNING: Removed duplicated region for block: B:22:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:21:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:20:0x0054  */
        /* JADX WARNING: Removed duplicated region for block: B:18:0x003c  */
        /* JADX WARNING: Removed duplicated region for block: B:22:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:21:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:20:0x0054  */
        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = -1259361630; // 0xffffffffb4efaaa2 float:-4.464137E-7 double:NaN;
            r3 = 0;
            r4 = 1;
            if (r1 == r2) goto L_0x002e;
        L_0x000f:
            r2 = -113440444; // 0xfffffffff93d0944 float:-6.134575E34 double:NaN;
            if (r1 == r2) goto L_0x0024;
        L_0x0014:
            r2 = -113440206; // 0xfffffffff93d0a32 float:-6.134693E34 double:NaN;
            if (r1 == r2) goto L_0x001a;
        L_0x0019:
            goto L_0x0038;
        L_0x001a:
            r1 = "DarkenGradualTimeMin";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0038;
        L_0x0022:
            r1 = r4;
            goto L_0x0039;
        L_0x0024:
            r1 = "DarkenGradualTimeMax";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0038;
        L_0x002c:
            r1 = r3;
            goto L_0x0039;
        L_0x002e:
            r1 = "AnimatedStepRoundEnabled";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0038;
        L_0x0036:
            r1 = 2;
            goto L_0x0039;
        L_0x0038:
            r1 = -1;
        L_0x0039:
            switch(r1) {
                case 0: goto L_0x0072;
                case 1: goto L_0x0063;
                case 2: goto L_0x0054;
                default: goto L_0x003c;
            };
        L_0x003c:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r4 = "unknow valueName=";
            r2.append(r4);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r3;
        L_0x0054:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.animatedStepRoundEnabled = r2;
            goto L_0x0081;
        L_0x0063:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.darkenGradualTimeMin = r2;
            goto L_0x0081;
        L_0x0072:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Float(r2);
            r1.darkenGradualTimeMax = r2;
        L_0x0081:
            return r4;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_VariableStepGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.darkenGradualTimeMax > 0.0f && com.android.server.display.HwBrightnessXmlLoader.mData.darkenGradualTimeMin >= 0.0f;
        }
    }

    private static class Element_VehicleModeGroup extends com.android.server.display.HwXmlElement {
        private Element_VehicleModeGroup() {
        }

        public java.lang.String getName() {
            return "VehicleModeGroup";
        }

        protected java.util.List<java.lang.String> getNameList() {
            return java.util.Arrays.asList(new java.lang.String[]{"VehicleModeEnable", "VehicleModeDisableTimeMillis", "VehicleModeQuitTimeForPowerOn", "VehicleModeEnterTimeForPowerOn"});
        }

        protected boolean isOptional() {
            return true;
        }

        /* JADX WARNING: Removed duplicated region for block: B:23:0x004b  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x0090  */
        /* JADX WARNING: Removed duplicated region for block: B:27:0x0081  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x004b  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x0090  */
        /* JADX WARNING: Removed duplicated region for block: B:27:0x0081  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x004b  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x0090  */
        /* JADX WARNING: Removed duplicated region for block: B:27:0x0081  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x0063  */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x004b  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x0090  */
        /* JADX WARNING: Removed duplicated region for block: B:27:0x0081  */
        /* JADX WARNING: Removed duplicated region for block: B:26:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x0063  */
        protected boolean parseValue(org.xmlpull.v1.XmlPullParser r6) throws org.xmlpull.v1.XmlPullParserException, java.io.IOException {
            /*
            r5 = this;
            r0 = r6.getName();
            r1 = r0.hashCode();
            r2 = -946673391; // 0xffffffffc792e911 float:-75218.13 double:NaN;
            r3 = 0;
            r4 = 1;
            if (r1 == r2) goto L_0x003d;
        L_0x000f:
            r2 = 349236422; // 0x14d0ecc6 float:2.1096023E-26 double:1.725457184E-315;
            if (r1 == r2) goto L_0x0033;
        L_0x0014:
            r2 = 689432882; // 0x2917e932 float:3.3731E-14 double:3.40625102E-315;
            if (r1 == r2) goto L_0x0029;
        L_0x0019:
            r2 = 939700588; // 0x3802b16c float:3.1159652E-5 double:4.64273778E-315;
            if (r1 == r2) goto L_0x001f;
        L_0x001e:
            goto L_0x0047;
        L_0x001f:
            r1 = "VehicleModeDisableTimeMillis";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0047;
        L_0x0027:
            r1 = r4;
            goto L_0x0048;
        L_0x0029:
            r1 = "VehicleModeEnable";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0047;
        L_0x0031:
            r1 = r3;
            goto L_0x0048;
        L_0x0033:
            r1 = "VehicleModeQuitTimeForPowerOn";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0047;
        L_0x003b:
            r1 = 2;
            goto L_0x0048;
        L_0x003d:
            r1 = "VehicleModeEnterTimeForPowerOn";
            r1 = r0.equals(r1);
            if (r1 == 0) goto L_0x0047;
        L_0x0045:
            r1 = 3;
            goto L_0x0048;
        L_0x0047:
            r1 = -1;
        L_0x0048:
            switch(r1) {
                case 0: goto L_0x0090;
                case 1: goto L_0x0081;
                case 2: goto L_0x0072;
                case 3: goto L_0x0063;
                default: goto L_0x004b;
            };
        L_0x004b:
            r1 = r5.TAG;
            r2 = new java.lang.StringBuilder;
            r2.<init>();
            r4 = "unknow valueName=";
            r2.append(r4);
            r2.append(r0);
            r2 = r2.toString();
            android.util.Slog.e(r1, r2);
            return r3;
        L_0x0063:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Long(r2);
            r1.vehicleModeEnterTimeForPowerOn = r2;
            goto L_0x009f;
        L_0x0072:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Long(r2);
            r1.vehicleModeQuitTimeForPowerOn = r2;
            goto L_0x009f;
        L_0x0081:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Long(r2);
            r1.vehicleModeDisableTimeMillis = r2;
            goto L_0x009f;
        L_0x0090:
            r1 = com.android.server.display.HwBrightnessXmlLoader.mData;
            r2 = r6.nextText();
            r2 = com.android.server.display.HwXmlElement.string2Boolean(r2);
            r1.vehicleModeEnable = r2;
        L_0x009f:
            return r4;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.Element_VehicleModeGroup.parseValue(org.xmlpull.v1.XmlPullParser):boolean");
        }

        protected boolean checkValue() {
            return com.android.server.display.HwBrightnessXmlLoader.mData.vehicleModeDisableTimeMillis >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.vehicleModeQuitTimeForPowerOn >= 0 && com.android.server.display.HwBrightnessXmlLoader.mData.vehicleModeEnterTimeForPowerOn >= 0;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:11:0x001d  */
    static {
        /*
        r0 = android.util.Log.HWLog;
        r1 = 1;
        r2 = 0;
        if (r0 != 0) goto L_0x0016;
    L_0x0006:
        r0 = android.util.Log.HWModuleLog;
        if (r0 == 0) goto L_0x0014;
    L_0x000a:
        r0 = "HwBrightnessXmlLoader";
        r3 = 3;
        r0 = android.util.Log.isLoggable(r0, r3);
        if (r0 == 0) goto L_0x0014;
    L_0x0013:
        goto L_0x0016;
    L_0x0014:
        r0 = r2;
        goto L_0x0017;
    L_0x0016:
        r0 = r1;
    L_0x0017:
        HWDEBUG = r0;
        r0 = android.util.Log.HWINFO;
        if (r0 != 0) goto L_0x002d;
    L_0x001d:
        r0 = android.util.Log.HWModuleLog;
        if (r0 == 0) goto L_0x002b;
    L_0x0021:
        r0 = "HwBrightnessXmlLoader";
        r3 = 4;
        r0 = android.util.Log.isLoggable(r0, r3);
        if (r0 == 0) goto L_0x002b;
    L_0x002a:
        goto L_0x002d;
    L_0x002b:
        r1 = r2;
    L_0x002d:
        HWFLOW = r1;
        r0 = new java.lang.Object;
        r0.<init>();
        mLock = r0;
        r0 = new com.android.server.display.HwBrightnessXmlLoader$Data;
        r0.<init>();
        mData = r0;
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.<clinit>():void");
    }

    /*  JADX ERROR: JadxRuntimeException in pass: RegionMakerVisitor
        jadx.core.utils.exceptions.JadxRuntimeException: Exception block dominator not found, method:com.android.server.display.HwBrightnessXmlLoader.getData():com.android.server.display.HwBrightnessXmlLoader$Data, dom blocks: [B:9:0x0014, B:14:0x0021]
        	at jadx.core.dex.visitors.regions.ProcessTryCatchRegions.searchTryCatchDominators(ProcessTryCatchRegions.java:89)
        	at jadx.core.dex.visitors.regions.ProcessTryCatchRegions.process(ProcessTryCatchRegions.java:45)
        	at jadx.core.dex.visitors.regions.RegionMakerVisitor.postProcessRegions(RegionMakerVisitor.java:63)
        	at jadx.core.dex.visitors.regions.RegionMakerVisitor.visit(RegionMakerVisitor.java:58)
        	at jadx.core.dex.visitors.DepthTraversal.visit(DepthTraversal.java:27)
        	at jadx.core.dex.visitors.DepthTraversal.lambda$visit$1(DepthTraversal.java:14)
        	at java.util.ArrayList.forEach(ArrayList.java:1257)
        	at jadx.core.dex.visitors.DepthTraversal.visit(DepthTraversal.java:14)
        	at jadx.core.ProcessClass.process(ProcessClass.java:32)
        	at jadx.core.ProcessClass.lambda$processDependencies$0(ProcessClass.java:51)
        	at java.lang.Iterable.forEach(Iterable.java:75)
        	at jadx.core.ProcessClass.processDependencies(ProcessClass.java:51)
        	at jadx.core.ProcessClass.process(ProcessClass.java:37)
        	at jadx.api.JadxDecompiler.processClass(JadxDecompiler.java:292)
        	at jadx.api.JavaClass.decompile(JavaClass.java:62)
        	at jadx.api.JadxDecompiler.lambda$appendSourcesSave$0(JadxDecompiler.java:200)
        */
    public static com.android.server.display.HwBrightnessXmlLoader.Data getData() {
        /*
        r0 = 0;
        r1 = mLock;
        monitor-enter(r1);
        r2 = mLoader;	 Catch:{ RuntimeException -> 0x0020 }
        if (r2 != 0) goto L_0x000f;	 Catch:{ RuntimeException -> 0x0020 }
    L_0x0008:
        r2 = new com.android.server.display.HwBrightnessXmlLoader;	 Catch:{ RuntimeException -> 0x0020 }
        r2.<init>();	 Catch:{ RuntimeException -> 0x0020 }
        mLoader = r2;	 Catch:{ RuntimeException -> 0x0020 }
    L_0x000f:
        r2 = mData;	 Catch:{ RuntimeException -> 0x0020 }
        r0 = r2;
        if (r0 != 0) goto L_0x003f;
    L_0x0014:
        r2 = new com.android.server.display.HwBrightnessXmlLoader$Data;	 Catch:{ all -> 0x004d }
        r2.<init>();	 Catch:{ all -> 0x004d }
    L_0x0019:
        r0 = r2;	 Catch:{ all -> 0x004d }
        r0.loadDefaultConfig();	 Catch:{ all -> 0x004d }
        goto L_0x003f;
    L_0x001e:
        r2 = move-exception;
        goto L_0x0041;
    L_0x0020:
        r2 = move-exception;
        r3 = "HwBrightnessXmlLoader";	 Catch:{ all -> 0x001e }
        r4 = new java.lang.StringBuilder;	 Catch:{ all -> 0x001e }
        r4.<init>();	 Catch:{ all -> 0x001e }
        r5 = "getData() failed! ";	 Catch:{ all -> 0x001e }
        r4.append(r5);	 Catch:{ all -> 0x001e }
        r4.append(r2);	 Catch:{ all -> 0x001e }
        r4 = r4.toString();	 Catch:{ all -> 0x001e }
        android.util.Slog.e(r3, r4);	 Catch:{ all -> 0x001e }
        if (r0 != 0) goto L_0x003f;
    L_0x0039:
        r2 = new com.android.server.display.HwBrightnessXmlLoader$Data;	 Catch:{ all -> 0x004d }
        r2.<init>();	 Catch:{ all -> 0x004d }
        goto L_0x0019;	 Catch:{ all -> 0x004d }
    L_0x003f:
        monitor-exit(r1);	 Catch:{ all -> 0x004d }
        return r0;	 Catch:{ all -> 0x004d }
    L_0x0041:
        if (r0 != 0) goto L_0x004f;	 Catch:{ all -> 0x004d }
    L_0x0043:
        r3 = new com.android.server.display.HwBrightnessXmlLoader$Data;	 Catch:{ all -> 0x004d }
        r3.<init>();	 Catch:{ all -> 0x004d }
        r0 = r3;	 Catch:{ all -> 0x004d }
        r0.loadDefaultConfig();	 Catch:{ all -> 0x004d }
        goto L_0x004f;	 Catch:{ all -> 0x004d }
    L_0x004d:
        r2 = move-exception;	 Catch:{ all -> 0x004d }
        goto L_0x0050;	 Catch:{ all -> 0x004d }
    L_0x004f:
        throw r2;	 Catch:{ all -> 0x004d }
    L_0x0050:
        monitor-exit(r1);	 Catch:{ all -> 0x004d }
        throw r2;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.display.HwBrightnessXmlLoader.getData():com.android.server.display.HwBrightnessXmlLoader$Data");
    }

    private static int getDeviceActualBrightnessLevel() {
        com.android.server.lights.LightsManager lightsManager = (com.android.server.lights.LightsManager) com.android.server.LocalServices.getService(com.android.server.lights.LightsManager.class);
        if (lightsManager == null) {
            android.util.Slog.e("HwBrightnessXmlLoader", "getDeviceActualBrightnessLevel() can't get LightsManager");
            return 0;
        }
        com.android.server.lights.Light lcdLight = lightsManager.getLight(0);
        if (lcdLight != null) {
            return lcdLight.getDeviceActualBrightnessLevel();
        }
        android.util.Slog.e("HwBrightnessXmlLoader", "getDeviceActualBrightnessLevel() can't get Light");
        return 0;
    }

    private HwBrightnessXmlLoader() {
        if (HWDEBUG) {
            android.util.Slog.d("HwBrightnessXmlLoader", "HwBrightnessXmlLoader()");
        }
        this.mDeviceActualBrightnessLevel = getDeviceActualBrightnessLevel();
        if (!parseXml(getXmlPath())) {
            mData.loadDefaultConfig();
        }
        mData.printData();
    }

    private boolean parseXml(java.lang.String xmlPath) {
        if (xmlPath == null) {
            android.util.Slog.e("HwBrightnessXmlLoader", "parseXml() error! xmlPath is null");
            return false;
        }
        com.android.server.display.HwXmlParser xmlParser = new com.android.server.display.HwXmlParser(xmlPath);
        registerElement(xmlParser);
        if (!xmlParser.parse()) {
            android.util.Slog.e("HwBrightnessXmlLoader", "parseXml() error! xmlParser.parse() failed!");
            return false;
        } else if (xmlParser.check()) {
            if (HWFLOW) {
                android.util.Slog.i("HwBrightnessXmlLoader", "parseXml() load success!");
            }
            return true;
        } else {
            android.util.Slog.e("HwBrightnessXmlLoader", "parseXml() error! xmlParser.check() failed!");
            return false;
        }
    }

    private void registerElement(com.android.server.display.HwXmlParser parser) {
        com.android.server.display.HwXmlElement rootElement = parser.registerRootElement(new com.android.server.display.HwBrightnessXmlLoader.Element_LABCConfig());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_MiscGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_MiscOptionalGroup1());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_MiscOptionalGroup2());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_ReadingModeEnable());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_ReadingAnimationTime());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_ResponseTimeGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_ResponseTimeOptionalGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_CoverModeGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_CoverModeBrighnessLinePoints()).registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_CoverModeBrighnessLinePoints_Point());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_BackSensorCoverModeBrighnessLinePoints()).registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_BackSensorCoverModeBrighnessLinePoints_Point());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_PreWeightedGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_KeyguardResponseGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_OutdoorResponseGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_InitGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_PowerAndThermalGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_DayModeGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_OffsetResetGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_OffsetGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_DarkLightGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_RebootGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_SceneProcessing()).registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_SceneProcessingGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_PreProcessing()).registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_PreProcessingGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_BrightenlinePoints()).registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_BrightenlinePoints_Point());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_DarkenlinePoints()).registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_DarkenlinePoints_Point());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_DefaultBrightnessPoints()).registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_DefaultBrightnessPoints_Point());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_AnimateGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_AnimateOptionalGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_VariableStep()).registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_VariableStepGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_Proximity()).registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_ProximityGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_ManualGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_ManualOptionalGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_ManualBrightenLinePoints()).registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_ManualBrightenLinePoints_Point());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_ManualDarkenLinePoints()).registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_ManualDarkenLinePoints_Point());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_BrightnessMappingPoints()).registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_BrightnessMappingPoints_Point());
        com.android.server.display.HwXmlElement ambientLuxValidBrightnessPoints = rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_AmbientLuxValidBrightnessPoints());
        ambientLuxValidBrightnessPoints.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_AmbientLuxValidBrightnessPoints_Point());
        com.android.server.display.HwXmlElement darkAdapter = rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_DarkAdapter());
        darkAdapter.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_DarkAdapterGroup1());
        darkAdapter.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_DarkAdapterGroup2());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_TouchProximity()).registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_TouchProximityGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_VehicleModeGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_GameModeGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_CryogenicGroup());
        rootElement.registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_GameModeAmbientLuxValidBrightnessPoints()).registerChildElement(new com.android.server.display.HwBrightnessXmlLoader.Element_GameModeAmbientLuxValidBrightnessPoints_Point());
    }

    private java.io.File getFactoryXmlFile() {
        java.lang.String xmlPath = java.lang.String.format("/xml/lcd/%s_%s%s", new java.lang.Object[]{"LABCConfig", "factory", ".xml"});
        java.io.File xmlFile = huawei.cust.HwCfgFilePolicy.getCfgFile(xmlPath, 0);
        if (xmlFile != null) {
            return xmlFile;
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("get xmlFile :");
        stringBuilder.append(xmlPath);
        stringBuilder.append(" failed!");
        android.util.Slog.e("HwBrightnessXmlLoader", stringBuilder.toString());
        return null;
    }

    private java.lang.String getLcdPanelName() {
        android.os.IBinder binder = android.os.ServiceManager.getService("DisplayEngineExService");
        java.lang.String panelName = null;
        if (binder == null) {
            android.util.Slog.i("HwBrightnessXmlLoader", "getLcdPanelName() binder is null!");
            return null;
        }
        com.huawei.displayengine.IDisplayEngineServiceEx mService = com.huawei.displayengine.IDisplayEngineServiceEx.Stub.asInterface(binder);
        if (mService == null) {
            android.util.Slog.e("HwBrightnessXmlLoader", "getLcdPanelName() mService is null!");
            return null;
        }
        byte[] name = new byte[128];
        int ret = 0;
        try {
            int ret2 = mService.getEffect(14, 0, name, name.length);
            if (ret2 != 0) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("getLcdPanelName() getEffect failed! ret=");
                stringBuilder.append(ret2);
                android.util.Slog.e("HwBrightnessXmlLoader", stringBuilder.toString());
                return null;
            }
            try {
                panelName = new java.lang.String(name, "UTF-8").trim().replace(' ', '_');
            } catch (java.io.UnsupportedEncodingException e) {
                android.util.Slog.e("HwBrightnessXmlLoader", "Unsupported encoding type!");
            }
            return panelName;
        } catch (android.os.RemoteException e2) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("getLcdPanelName() RemoteException ");
            stringBuilder2.append(e2);
            android.util.Slog.e("HwBrightnessXmlLoader", stringBuilder2.toString());
            return null;
        }
    }

    private java.lang.String getVersionFromTouchOemInfo() {
        java.lang.String version = null;
        try {
            java.io.File file = new java.io.File(java.lang.String.format("%s", new java.lang.Object[]{"/sys/touchscreen/touch_oem_info"}));
            if (file.exists()) {
                java.lang.String touch_oem_info = android.os.FileUtils.readTextFile(file, 0, null).trim();
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("touch_oem_info=");
                stringBuilder.append(touch_oem_info);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
                java.lang.String[] versionInfo = touch_oem_info.split(",");
                if (versionInfo.length > 15) {
                    try {
                        int productYear = java.lang.Integer.parseInt(versionInfo[12]);
                        int productMonth = java.lang.Integer.parseInt(versionInfo[13]);
                        int productDay = java.lang.Integer.parseInt(versionInfo[14]);
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("lcdversionInfo orig productYear=");
                        stringBuilder2.append(productYear);
                        stringBuilder2.append(",productMonth=");
                        stringBuilder2.append(productMonth);
                        stringBuilder2.append(",productDay=");
                        stringBuilder2.append(productDay);
                        android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder2.toString());
                        java.lang.StringBuilder stringBuilder3;
                        if (productYear < 48 || productYear > 57) {
                            stringBuilder3 = new java.lang.StringBuilder();
                            stringBuilder3.append("lcdversionInfo not valid productYear=");
                            stringBuilder3.append(productYear);
                            android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder3.toString());
                            return null;
                        }
                        java.lang.String version2;
                        productYear -= 48;
                        if (productMonth >= 48 && productMonth <= 57) {
                            productMonth -= 48;
                        } else if (productMonth < 65 || productMonth > 67) {
                            stringBuilder3 = new java.lang.StringBuilder();
                            stringBuilder3.append("lcdversionInfo not valid productMonth=");
                            stringBuilder3.append(productMonth);
                            android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder3.toString());
                            return null;
                        } else {
                            productMonth = (productMonth - 65) + 10;
                        }
                        if (productDay >= 48 && productDay <= 57) {
                            productDay -= 48;
                        } else if (productDay < 65 || productDay > 88) {
                            stringBuilder3 = new java.lang.StringBuilder();
                            stringBuilder3.append("lcdversionInfo not valid productDay=");
                            stringBuilder3.append(productDay);
                            android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder3.toString());
                            return null;
                        } else {
                            productDay = (productDay - 65) + 10;
                        }
                        if (productYear > 8) {
                            version2 = "vn2";
                        } else if (productYear == 8 && productMonth > 1) {
                            version2 = "vn2";
                        } else if (productYear == 8 && productMonth == 1 && productDay >= 22) {
                            version2 = "vn2";
                        } else {
                            stringBuilder3 = new java.lang.StringBuilder();
                            stringBuilder3.append("lcdversionInfo not valid version;productYear=");
                            stringBuilder3.append(productYear);
                            stringBuilder3.append(",productMonth=");
                            stringBuilder3.append(productMonth);
                            stringBuilder3.append(",productDay=");
                            stringBuilder3.append(productDay);
                            android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder3.toString());
                            return null;
                        }
                        version = version2;
                        java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                        stringBuilder4.append("lcdversionInfo real vn2,productYear=");
                        stringBuilder4.append(productYear);
                        stringBuilder4.append(",productMonth=");
                        stringBuilder4.append(productMonth);
                        stringBuilder4.append(",productDay=");
                        stringBuilder4.append(productDay);
                        android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder4.toString());
                    } catch (java.lang.NumberFormatException e) {
                        android.util.Slog.i("HwBrightnessXmlLoader", "lcdversionInfo versionfile num is not valid,no need version");
                        return null;
                    }
                }
                android.util.Slog.i("HwBrightnessXmlLoader", "lcdversionInfo versionfile info length is not valid,no need version");
            } else {
                android.util.Slog.i("HwBrightnessXmlLoader", "lcdversionInfo versionfile is not exists, no need version,filePath=/sys/touchscreen/touch_oem_info");
            }
        } catch (java.io.IOException e2) {
            android.util.Slog.w("HwBrightnessXmlLoader", "Error reading touch_oem_info", e2);
        }
        return version;
    }

    private java.lang.String getVersionFromLCD() {
        android.os.IBinder binder = android.os.ServiceManager.getService("DisplayEngineExService");
        java.lang.String panelVersion = null;
        if (binder == null) {
            android.util.Slog.i("HwBrightnessXmlLoader", "getLcdPanelName() binder is null!");
            return null;
        }
        com.huawei.displayengine.IDisplayEngineServiceEx mService = com.huawei.displayengine.IDisplayEngineServiceEx.Stub.asInterface(binder);
        if (mService == null) {
            android.util.Slog.e("HwBrightnessXmlLoader", "getLcdPanelName() mService is null!");
            return null;
        }
        byte[] name = new byte[32];
        try {
            int ret = mService.getEffect(14, 3, name, name.length);
            java.lang.StringBuilder stringBuilder;
            if (ret != 0) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("getLcdPanelName() getEffect failed! ret=");
                stringBuilder.append(ret);
                android.util.Slog.e("HwBrightnessXmlLoader", stringBuilder.toString());
                return null;
            }
            try {
                java.lang.String lcdVersion = new java.lang.String(name, "UTF-8").trim();
                java.lang.String key = "VER:";
                int index = lcdVersion.indexOf(key);
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("getVersionFromLCD() index=");
                stringBuilder2.append(index);
                stringBuilder2.append(",lcdVersion=");
                stringBuilder2.append(lcdVersion);
                android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder2.toString());
                if (index != -1) {
                    panelVersion = lcdVersion.substring(key.length() + index);
                }
            } catch (java.io.UnsupportedEncodingException e) {
                android.util.Slog.e("HwBrightnessXmlLoader", "Unsupported encoding type!");
            }
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("getVersionFromLCD() panelVersion=");
            stringBuilder.append(panelVersion);
            android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
            return panelVersion;
        } catch (android.os.RemoteException e2) {
            java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
            stringBuilder3.append("getLcdPanelName() RemoteException ");
            stringBuilder3.append(e2);
            android.util.Slog.e("HwBrightnessXmlLoader", stringBuilder3.toString());
            return null;
        }
    }

    private java.io.File getNormalXmlFile() {
        java.lang.String lcdname = getLcdPanelName();
        java.lang.String lcdversion = getVersionFromTouchOemInfo();
        java.lang.String lcdversionNew = getVersionFromLCD();
        java.lang.String screenColor = android.os.SystemProperties.get("ro.config.devicecolor");
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("screenColor=");
        stringBuilder.append(screenColor);
        android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
        java.util.ArrayList<java.lang.String> xmlPathList = new java.util.ArrayList();
        if (lcdversion != null) {
            xmlPathList.add(java.lang.String.format("/xml/lcd/%s_%s_%s_%s%s", new java.lang.Object[]{"LABCConfig", lcdname, lcdversion, screenColor, ".xml"}));
            xmlPathList.add(java.lang.String.format("/xml/lcd/%s_%s_%s%s", new java.lang.Object[]{"LABCConfig", lcdname, lcdversion, ".xml"}));
        }
        if (lcdversionNew != null) {
            xmlPathList.add(java.lang.String.format("/xml/lcd/%s_%s_%s_%s%s", new java.lang.Object[]{"LABCConfig", lcdname, lcdversionNew, screenColor, ".xml"}));
            xmlPathList.add(java.lang.String.format("/xml/lcd/%s_%s_%s%s", new java.lang.Object[]{"LABCConfig", lcdname, lcdversionNew, ".xml"}));
        }
        xmlPathList.add(java.lang.String.format("/xml/lcd/%s_%s_%s%s", new java.lang.Object[]{"LABCConfig", lcdname, screenColor, ".xml"}));
        xmlPathList.add(java.lang.String.format("/xml/lcd/%s_%s%s", new java.lang.Object[]{"LABCConfig", lcdname, ".xml"}));
        xmlPathList.add(java.lang.String.format("/xml/lcd/%s_%s%s", new java.lang.Object[]{"LABCConfig", screenColor, ".xml"}));
        xmlPathList.add(java.lang.String.format("/xml/lcd/%s", new java.lang.Object[]{"LABCConfig.xml"}));
        java.io.File xmlFile = null;
        java.util.Iterator it = xmlPathList.iterator();
        while (it.hasNext()) {
            xmlFile = huawei.cust.HwCfgFilePolicy.getCfgFile((java.lang.String) it.next(), 2);
            if (xmlFile != null) {
                return xmlFile;
            }
        }
        android.util.Slog.e("HwBrightnessXmlLoader", "get failed!");
        return xmlFile;
    }

    private java.lang.String getXmlPath() {
        java.io.File xmlFile;
        java.lang.String currentMode = android.os.SystemProperties.get("ro.runmode");
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("currentMode=");
        stringBuilder.append(currentMode);
        android.util.Slog.i("HwBrightnessXmlLoader", stringBuilder.toString());
        if (currentMode == null) {
            xmlFile = getNormalXmlFile();
            if (xmlFile == null) {
                return null;
            }
        } else if (currentMode.equals("factory")) {
            xmlFile = getFactoryXmlFile();
            if (xmlFile == null) {
                return null;
            }
        } else if (currentMode.equals("normal")) {
            xmlFile = getNormalXmlFile();
            if (xmlFile == null) {
                return null;
            }
        } else {
            xmlFile = getNormalXmlFile();
            if (xmlFile == null) {
                return null;
            }
        }
        return xmlFile.getAbsolutePath();
    }

    private static boolean checkPointsListIsOK(java.util.List<android.graphics.PointF> list) {
        if (list == null) {
            android.util.Slog.e("HwBrightnessXmlLoader", "checkPointsListIsOK() error! list is null");
            return false;
        }
        if (list.size() >= 3) {
            if (list.size() < 100) {
                android.graphics.PointF lastPoint = null;
                for (android.graphics.PointF point : list) {
                    if (lastPoint == null || point.x > lastPoint.x) {
                        lastPoint = point;
                    } else {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("checkPointsListIsOK() error! x in list isn't a increasing sequence, ");
                        stringBuilder.append(point.x);
                        stringBuilder.append("<=");
                        stringBuilder.append(lastPoint.x);
                        android.util.Slog.e("HwBrightnessXmlLoader", stringBuilder.toString());
                        return false;
                    }
                }
                return true;
            }
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("checkPointsListIsOK() error! list size=");
        stringBuilder2.append(list.size());
        stringBuilder2.append(" is out of range");
        android.util.Slog.e("HwBrightnessXmlLoader", stringBuilder2.toString());
        return false;
    }

    private static boolean checkAmPointsListIsOK(java.util.List<com.android.server.display.HwXmlAmPoint> list) {
        if (list == null) {
            android.util.Slog.e("HwBrightnessXmlLoader", "checkPointsListIsOK() error! list is null");
            return false;
        }
        if (list.size() >= 3) {
            if (list.size() < 100) {
                com.android.server.display.HwXmlAmPoint lastPoint = null;
                for (com.android.server.display.HwXmlAmPoint point : list) {
                    if (lastPoint == null || point.x > lastPoint.x) {
                        lastPoint = point;
                    } else {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("checkPointsListIsOK() error! x in list isn't a increasing sequence, ");
                        stringBuilder.append(point.x);
                        stringBuilder.append("<=");
                        stringBuilder.append(lastPoint.x);
                        android.util.Slog.e("HwBrightnessXmlLoader", stringBuilder.toString());
                        return false;
                    }
                }
                return true;
            }
        }
        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
        stringBuilder2.append("checkPointsListIsOK() error! list size=");
        stringBuilder2.append(list.size());
        stringBuilder2.append(" is out of range");
        android.util.Slog.e("HwBrightnessXmlLoader", stringBuilder2.toString());
        return false;
    }
}
