package com.android.server.gesture.anim;

public class GLGestureBackRender implements android.opengl.GLSurfaceView.Renderer {
    private static final int FAST_SLIDING_DURATION = 150;
    public static final float FAST_SLIDING_MAX_PROCESS = 0.55f;
    private static final int FAST_SLIDING_STAY_DURATION = 180;
    private static final int SLIDING_STAY_DURATION = 30;
    private static final int SLOW_SLIDING_DISAPPEAR_DURATION = 300;
    private static final java.lang.String TAG = "GLGestureBackRender";
    private android.animation.AnimatorListenerAdapter mAnimListener = new android.animation.AnimatorListenerAdapter() {
        public void onAnimationEnd(android.animation.Animator animation) {
            super.onAnimationEnd(animation);
            if (com.android.server.gesture.anim.GLGestureBackRender.this.mAnimationListener == null) {
                return;
            }
            if (animation == com.android.server.gesture.anim.GLGestureBackRender.this.mFastSlidingAnim) {
                com.android.server.gesture.anim.GLLogUtils.logD("GLGestureBackRender", "fast sliding animation end.");
                com.android.server.gesture.anim.GLGestureBackRender.this.mAnimationListener.onAnimationEnd(1);
                return;
            }
            com.android.server.gesture.anim.GLLogUtils.logD("GLGestureBackRender", "slow sliding disappear animation end.");
            com.android.server.gesture.anim.GLGestureBackRender.this.mAnimationListener.onAnimationEnd(2);
        }
    };
    private com.android.server.gesture.anim.GLGestureBackView.GestureBackAnimListener mAnimationListener;
    private android.content.Context mContext;
    private android.animation.AnimatorSet mFastSlidingAnim;
    private com.android.server.gesture.anim.models.GestureBackMetaball mGestureBackMetaBall;
    private com.android.server.gesture.anim.models.GestureBackTexture mGestureBackTexture;
    private com.android.server.gesture.anim.GLGestureBackView.ViewSizeChangeListener mViewSizeChangeListener;

    GLGestureBackRender(android.content.Context context) {
        this.mContext = context;
        this.mGestureBackTexture = new com.android.server.gesture.anim.models.GestureBackTexture(context);
        this.mGestureBackMetaBall = new com.android.server.gesture.anim.models.GestureBackMetaball();
        initAnimators();
    }

    /* JADX WARNING: Incorrect type for fill-array insn 0x0021, element type: float, insn element type: null */
    private void initAnimators() {
        /*
        r7 = this;
        r0 = "animProcess";
        r1 = 2;
        r2 = new float[r1];
        r2 = {0, 1057803469};
        r0 = android.animation.ObjectAnimator.ofFloat(r7, r0, r2);
        r2 = 150; // 0x96 float:2.1E-43 double:7.4E-322;
        r0.setDuration(r2);
        r4 = r7.mContext;
        r5 = 17563661; // 0x10c000d float:2.5713975E-38 double:8.6776015E-317;
        r4 = android.view.animation.AnimationUtils.loadInterpolator(r4, r5);
        r0.setInterpolator(r4);
        r5 = "animProcess";
        r1 = new float[r1];
        r1 = {1057803469, 0};
        r1 = android.animation.ObjectAnimator.ofFloat(r7, r5, r1);
        r1.setDuration(r2);
        r1.setInterpolator(r4);
        r2 = new android.animation.AnimatorSet;
        r2.<init>();
        r7.mFastSlidingAnim = r2;
        r2 = r7.mFastSlidingAnim;
        r2 = r2.play(r1);
        r2.after(r0);
        r2 = r7.mFastSlidingAnim;
        r2 = r2.play(r1);
        r5 = 180; // 0xb4 float:2.52E-43 double:8.9E-322;
        r2.after(r5);
        r2 = r7.mFastSlidingAnim;
        r3 = r7.mAnimListener;
        r2.addListener(r3);
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.gesture.anim.GLGestureBackRender.initAnimators():void");
    }

    public void onSurfaceCreated(javax.microedition.khronos.opengles.GL10 gl, javax.microedition.khronos.egl.EGLConfig config) {
        android.opengl.GLES30.glClearColor(0.0f, 0.0f, 0.0f, 0.0f);
        this.mGestureBackMetaBall.prepare();
        this.mGestureBackTexture.prepare();
    }

    public void onSurfaceChanged(javax.microedition.khronos.opengles.GL10 gl, int width, int height) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("onSurfaceChanged width ");
        stringBuilder.append(width);
        stringBuilder.append(", height ");
        stringBuilder.append(height);
        com.android.server.gesture.anim.GLLogUtils.logD("GLGestureBackRender", stringBuilder.toString());
        if (this.mViewSizeChangeListener != null) {
            this.mViewSizeChangeListener.onViewSizeChanged(width, height);
        }
        this.mGestureBackMetaBall.onSurfaceViewChanged(width, height);
        this.mGestureBackTexture.onSurfaceViewChanged(width, height);
    }

    public void onDrawFrame(javax.microedition.khronos.opengles.GL10 gl) {
        android.opengl.GLES30.glClear(16640);
        android.opengl.GLES30.glEnable(3042);
        android.opengl.GLES30.glBlendFunc(770, 771);
        this.mGestureBackMetaBall.drawSelf();
        this.mGestureBackTexture.drawSelf();
        android.opengl.GLES30.glDisable(3042);
    }

    public void setAnimProcess(float process) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setAnimProcess with ");
        stringBuilder.append(process);
        com.android.server.gesture.anim.GLLogUtils.logD("GLGestureBackRender", stringBuilder.toString());
        this.mGestureBackMetaBall.setProcess(process);
        this.mGestureBackTexture.setProcess(process);
    }

    public void setSide(boolean isLeft) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setSide with ");
        stringBuilder.append(isLeft);
        com.android.server.gesture.anim.GLLogUtils.logD("GLGestureBackRender", stringBuilder.toString());
        this.mGestureBackMetaBall.setSide(isLeft);
        this.mGestureBackTexture.setSide(isLeft);
    }

    public void setAnimPosition(float y) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setAnimPosition with ");
        stringBuilder.append(y);
        com.android.server.gesture.anim.GLLogUtils.logD("GLGestureBackRender", stringBuilder.toString());
        this.mGestureBackMetaBall.setCenter(y);
        this.mGestureBackTexture.setCenter((int) y);
    }

    public void setDraw(boolean draw) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("setDraw with ");
        stringBuilder.append(draw);
        com.android.server.gesture.anim.GLLogUtils.logD("GLGestureBackRender", stringBuilder.toString());
        this.mGestureBackTexture.setDraw(draw);
        this.mGestureBackMetaBall.setDraw(draw);
    }

    public void addAnimationListener(com.android.server.gesture.anim.GLGestureBackView.GestureBackAnimListener listener) {
        this.mAnimationListener = listener;
    }

    public void addViewSizeChangeListener(com.android.server.gesture.anim.GLGestureBackView.ViewSizeChangeListener listener) {
        this.mViewSizeChangeListener = listener;
    }

    public void playFastSlidingAnim() {
        com.android.server.gesture.anim.GLLogUtils.logD("GLGestureBackRender", "playFastSlidingAnim");
        this.mFastSlidingAnim.start();
    }

    public void playDisappearAnim() {
        com.android.server.gesture.anim.GLLogUtils.logD("GLGestureBackRender", "playDisappearAnim");
        float animProcess = this.mGestureBackMetaBall.getProcess();
        android.animation.AnimatorSet disappearAnimSet = new android.animation.AnimatorSet();
        android.animation.ObjectAnimator disappearAnim = android.animation.ObjectAnimator.ofFloat(this, "animProcess", new float[]{animProcess, 0.0f});
        disappearAnim.setDuration((long) (300.0f * animProcess));
        disappearAnim.setInterpolator(android.view.animation.AnimationUtils.loadInterpolator(this.mContext, 17563661));
        disappearAnim.addListener(this.mAnimListener);
        disappearAnimSet.play(disappearAnim).after(30);
        disappearAnimSet.start();
    }
}
