package com.android.server.hidata.appqoe;

public class HwAPPQoEStateMachine extends com.android.internal.util.StateMachine {
    public static final int MPLINK_CHECK_TIME = 60000;
    public static final java.lang.String STATE_MACHINE_NAME_CELL = "CellMonitorState";
    public static final java.lang.String STATE_MACHINE_NAME_DATA_OFF = "DataOffMonitorState";
    public static final java.lang.String STATE_MACHINE_NAME_IDLE = "IdleState";
    public static final java.lang.String STATE_MACHINE_NAME_WIFI = "WiFiMonitorState";
    private static java.lang.String TAG = "HiData_HwAPPQoEStateMachine";
    private static com.android.server.hidata.appqoe.HwAPPQoEStateMachine mHwAPPQoEStateMachine = null;
    private com.android.server.hidata.appqoe.HwAPPStateInfo curAPPStateInfo = new com.android.server.hidata.appqoe.HwAPPStateInfo();
    private boolean isMPLinkSuccess = false;
    private int lastAPPStateSent = -1;
    private com.android.internal.util.State mCellMonitorState = new com.android.server.hidata.appqoe.HwAPPQoEStateMachine.CellMonitorState();
    private com.android.server.hidata.appqoe.HwAPPChrExcpReport mChrExcpReport = null;
    private android.content.Context mContext = null;
    private com.android.internal.util.State mDataOffMonitorState = new com.android.server.hidata.appqoe.HwAPPQoEStateMachine.DataOffMonitorState();
    private com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor mHwAPKQoEQualityMonitor = null;
    private com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell mHwAPKQoEQualityMonitorCell = null;
    private com.android.server.hidata.appqoe.HwAPPChrManager mHwAPPChrManager;
    private com.android.server.hidata.appqoe.HwAPPQoEContentAware mHwAPPQoEContentAware = null;
    private com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor mHwAPPQoESystemStateMonitor = null;
    private com.android.server.hidata.appqoe.HwAPPQoEResourceManger mHwAPPQoeResourceManger = null;
    private com.android.server.hidata.appqoe.HwGameQoEManager mHwGameQoEManager = null;
    private com.android.internal.util.State mIdleState = new com.android.server.hidata.appqoe.HwAPPQoEStateMachine.IdleState();
    private com.android.internal.util.State mWiFiMonitorState = new com.android.server.hidata.appqoe.HwAPPQoEStateMachine.WiFiMonitorState();
    private android.net.wifi.WifiManager mWifiManager;

    public class CellMonitorState extends com.android.internal.util.State {
        boolean isBadAfterMPLink = false;
        boolean mIsAppStall = false;
        long mMPLinkCheckTimer = 0;
        long mMPLinkStartTraffic = 0;

        public void enter() {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG, "Enter CellMonitorState");
            int event = 100;
            if (102 == com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.lastAPPStateSent) {
                event = 102;
            }
            com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.sendMessage(android.os.Message.obtain(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.getHandler(), event, com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.curAPPStateInfo));
            initChrState();
        }

        public void exit() {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG, "CellMonitorState is Exit");
            com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.removeMessages(107);
        }

        /* JADX WARNING: Removed duplicated region for block: B:30:0x0128  */
        public boolean processMessage(android.os.Message r9) {
            /*
            r8 = this;
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
            r1 = new java.lang.StringBuilder;
            r1.<init>();
            r2 = "CellMonitorState, msg.what:";
            r1.append(r2);
            r2 = r9.what;
            r1.append(r2);
            r1 = r1.toString();
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r1);
            r0 = r9.what;
            r1 = 3;
            r2 = 1;
            if (r0 == r1) goto L_0x019e;
        L_0x0020:
            r1 = 8;
            if (r0 == r1) goto L_0x0179;
        L_0x0024:
            r1 = 205; // 0xcd float:2.87E-43 double:1.013E-321;
            if (r0 == r1) goto L_0x0167;
        L_0x0028:
            r1 = 107; // 0x6b float:1.5E-43 double:5.3E-322;
            r3 = 801; // 0x321 float:1.122E-42 double:3.957E-321;
            switch(r0) {
                case 100: goto L_0x013c;
                case 101: goto L_0x0107;
                case 102: goto L_0x013c;
                default: goto L_0x002f;
            };
        L_0x002f:
            r4 = 0;
            switch(r0) {
                case 104: goto L_0x0107;
                case 105: goto L_0x00e8;
                case 106: goto L_0x00cb;
                case 107: goto L_0x0074;
                default: goto L_0x0033;
            };
        L_0x0033:
            switch(r0) {
                case 201: goto L_0x0042;
                case 202: goto L_0x0037;
                default: goto L_0x0036;
            };
        L_0x0036:
            return r4;
        L_0x0037:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r0 = r0.mHwAPPQoEContentAware;
            r0.reRegisterAllGameCallbacks();
            goto L_0x01c3;
        L_0x0042:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
            r1 = "CellMonitorState MSG_INTERNAL_NETWORK_STATE_CHANGE";
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r1);
            r0 = r9.obj;
            r0 = (java.lang.Integer) r0;
            r0 = r0.intValue();
            r8.endChrState();
            r1 = 800; // 0x320 float:1.121E-42 double:3.953E-321;
            if (r0 != r1) goto L_0x0072;
        L_0x005a:
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3 = r3.curAPPStateInfo;
            r4 = "CellMonitorState";
            r1.stopAPPMonitor(r3, r4);
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3 = r3.mWiFiMonitorState;
            r1.transitionTo(r3);
        L_0x0072:
            goto L_0x01c3;
        L_0x0074:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r0 = r0.isScreenOn();
            if (r0 != 0) goto L_0x0087;
        L_0x007c:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
            r1 = "CellMonitorState app is bad but screen is off";
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r1);
            goto L_0x01c3;
        L_0x0087:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
            r5 = "CellMonitorState MSG_APP_STATE_BAD";
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r5);
            r0 = r9.obj;
            r0 = (com.android.server.hidata.appqoe.HwAPPStateInfo) r0;
            r0.mNetworkType = r3;
            r3 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r5 = r9.what;
            r3.notifyAPPQualityCallback(r0, r5, r4);
            r3 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3 = r3.mHwAPPQoeResourceManger;
            r4 = r0.mScenceId;
            r3 = r3.getAPKScenceConfig(r4);
            if (r3 == 0) goto L_0x00c6;
        L_0x00ab:
            r4 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r4 = r4.hasMessages(r1);
            if (r4 != 0) goto L_0x00c6;
        L_0x00b3:
            r4 = r3.mAppPeriod;
            r4 = r4 * 1000;
            r5 = new android.os.Message;
            r5.<init>();
            r5.what = r1;
            r5.obj = r0;
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r6 = (long) r4;
            r1.sendMessageDelayed(r5, r6);
        L_0x00c6:
            r8.handleChrAppBad();
            goto L_0x01c3;
        L_0x00cb:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
            r5 = "CellMonitorState MSG_APP_STATE_GOOD";
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r5);
            r0 = r9.obj;
            r0 = (com.android.server.hidata.appqoe.HwAPPStateInfo) r0;
            r0.mNetworkType = r3;
            r3 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r5 = r9.what;
            r3.notifyAPPQualityCallback(r0, r5, r4);
            r3 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3.removeMessages(r1);
            goto L_0x01c3;
        L_0x00e8:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
            r1 = "CellMonitorState MSG_APP_STATE_MONITOR";
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r1);
            r0 = r9.obj;
            r0 = (com.android.server.hidata.appqoe.HwAPPStateInfo) r0;
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r4 = r0.mAppRTT;
            r5 = r0.mAppId;
            r1.updateGameRTT(r4, r5);
            r0.mNetworkType = r3;
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1.notifyAPPRttInfoCallback(r0);
            goto L_0x01c3;
        L_0x0107:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
            r1 = "CellMonitorState MSG_APP_STATE_BACKGROUND/END";
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r1);
            r0 = r9.obj;
            r0 = (com.android.server.hidata.appqoe.HwAPPStateInfo) r0;
            r0.mNetworkType = r3;
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3 = r9.what;
            r1.notifyAPPStateCallback(r0, r3);
            r8.endChrState();
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1 = r1.isStopInfoMatchStartInfo(r0);
            if (r2 != r1) goto L_0x013a;
        L_0x0128:
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3 = "CellMonitorState";
            r1.stopAPPMonitor(r0, r3);
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3 = r3.mIdleState;
            r1.transitionTo(r3);
        L_0x013a:
            goto L_0x01c3;
        L_0x013c:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
            r4 = "CellMonitorState MSG_APP_STATE_START/UPDATE";
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r4);
            r0 = r9.obj;
            r0 = (com.android.server.hidata.appqoe.HwAPPStateInfo) r0;
            r0.mNetworkType = r3;
            r3 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r4 = r9.what;
            r3.notifyAPPStateCallback(r0, r4);
            r3 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3.updateCurAPPStateInfo(r0);
            r3 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r4 = "CellMonitorState";
            r3.startAPPMonitor(r0, r4);
            r8.startChrState();
            r3 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3.removeMessages(r1);
            goto L_0x01c3;
        L_0x0167:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r0 = r0.mHwAPPChrManager;
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1 = r1.curAPPStateInfo;
            r3 = 14;
            r0.updateStatisInfo(r1, r3);
            goto L_0x01c3;
        L_0x0179:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
            r1 = "CellMonitorState MSG_CELL_STATE_DISCONNECT";
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r1);
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1 = r1.curAPPStateInfo;
            r3 = "CellMonitorState";
            r0.stopAPPMonitor(r1, r3);
            r8.endChrState();
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1 = r1.mDataOffMonitorState;
            r0.transitionTo(r1);
            goto L_0x01c3;
        L_0x019e:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
            r1 = "CellMonitorState MSG_WIFI_STATE_CONNECTED";
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r1);
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1 = r1.curAPPStateInfo;
            r3 = "CellMonitorState";
            r0.stopAPPMonitor(r1, r3);
            r8.endChrState();
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1 = r1.mWiFiMonitorState;
            r0.transitionTo(r1);
        L_0x01c3:
            return r2;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.appqoe.HwAPPQoEStateMachine.CellMonitorState.processMessage(android.os.Message):boolean");
        }

        private void endChrState() {
            if (com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.isMPLinkSuccess) {
                long deltaTraffic = ((android.net.TrafficStats.getMobileTxBytes() + android.net.TrafficStats.getMobileRxBytes()) - this.mMPLinkStartTraffic) / 1024;
                java.lang.String access$000 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("endChrState deltaTraffic = ");
                stringBuilder.append(deltaTraffic);
                stringBuilder.append("KB");
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(access$000, stringBuilder.toString());
                com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mHwAPPChrManager.updateTraffic(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.curAPPStateInfo, deltaTraffic);
                this.mMPLinkStartTraffic = 0;
                com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.isMPLinkSuccess = false;
                this.isBadAfterMPLink = false;
            }
        }

        private void initChrState() {
            this.mIsAppStall = false;
            this.isBadAfterMPLink = false;
            this.mMPLinkStartTraffic = 0;
            this.mMPLinkCheckTimer = 0;
        }

        private void startChrState() {
            if (com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.isMPLinkSuccess) {
                this.isBadAfterMPLink = false;
                this.mMPLinkStartTraffic = android.net.TrafficStats.getMobileTxBytes() + android.net.TrafficStats.getMobileRxBytes();
                this.mMPLinkCheckTimer = java.lang.System.currentTimeMillis();
                com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.sendMessageDelayed(205, 60000);
                return;
            }
            this.mIsAppStall = false;
            com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mHwAPPChrManager.updateStatisInfo(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.curAPPStateInfo, 2);
        }

        private void handleChrAppBad() {
            if (com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.isMPLinkSuccess) {
                if (!this.isBadAfterMPLink) {
                    com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.removeMessages(205);
                    if (java.lang.System.currentTimeMillis() - this.mMPLinkCheckTimer < 60000) {
                        com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mHwAPPChrManager.updateStatisInfo(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.curAPPStateInfo, 15);
                        com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.sendMessage(203, 3);
                    }
                    this.isBadAfterMPLink = true;
                }
            } else if (!this.mIsAppStall) {
                com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mHwAPPChrManager.updateStatisInfo(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.curAPPStateInfo, 4);
                this.mIsAppStall = true;
            }
            com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mHwAPPChrManager.updateStatisInfo(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.curAPPStateInfo, 6);
        }
    }

    public class DataOffMonitorState extends com.android.internal.util.State {
        public void enter() {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG, "Enter DataOffMonitorState");
        }

        public boolean processMessage(android.os.Message message) {
            java.lang.String access$000 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("dataoff monitor state:");
            stringBuilder.append(message.what);
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(access$000, stringBuilder.toString());
            int i = message.what;
            if (i == 3) {
                com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.transitionTo(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mWiFiMonitorState);
            } else if (i != 7) {
                com.android.server.hidata.appqoe.HwAPPStateInfo infoData;
                if (i != 104) {
                    switch (i) {
                        case 100:
                        case 102:
                            infoData = message.obj;
                            infoData.mNetworkType = 802;
                            com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.notifyAPPStateCallback(infoData, message.what);
                            com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.updateCurAPPStateInfo(infoData);
                            break;
                        case 101:
                            break;
                        default:
                            switch (i) {
                                case 201:
                                    com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG, "DataOffMonitorState MSG_INTERNAL_NETWORK_STATE_CHANGE");
                                    if (((java.lang.Integer) message.obj).intValue() == 801) {
                                        com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.transitionTo(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mCellMonitorState);
                                    } else {
                                        com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.transitionTo(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mWiFiMonitorState);
                                    }
                                    break;
                                case 202:
                                    com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mHwAPPQoEContentAware.reRegisterAllGameCallbacks();
                                    break;
                                default:
                                    return false;
                            }
                    }
                }
                infoData = (com.android.server.hidata.appqoe.HwAPPStateInfo) message.obj;
                infoData.mNetworkType = 802;
                com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.notifyAPPStateCallback(infoData, message.what);
                if (true == com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.isStopInfoMatchStartInfo(infoData)) {
                    com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.transitionTo(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mIdleState);
                }
            } else {
                com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.transitionTo(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mCellMonitorState);
            }
            return true;
        }
    }

    public class IdleState extends com.android.internal.util.State {
        public void enter() {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG, "enter idle state");
        }

        public boolean processMessage(android.os.Message message) {
            int i = message.what;
            if (i == 100) {
                com.android.server.hidata.appqoe.HwAPPStateInfo infoData = message.obj;
                com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.updateCurAPPStateInfo(infoData);
                java.lang.String access$000 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("IdleState, msg.what:");
                stringBuilder.append(message.what);
                stringBuilder.append(",");
                stringBuilder.append(infoData.toString());
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(access$000, stringBuilder.toString());
                int networkType = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.quryCurrentNetwork(infoData.mAppUID);
                if (800 == networkType) {
                    com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.transitionTo(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mWiFiMonitorState);
                } else if (801 == networkType) {
                    com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.transitionTo(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mCellMonitorState);
                } else if (802 == networkType) {
                    com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.transitionTo(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mDataOffMonitorState);
                    com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.sendMessage(android.os.Message.obtain(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.getHandler(), 100, infoData));
                }
            } else if (i != 200) {
                switch (i) {
                    case 202:
                        com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mHwAPPQoEContentAware.reRegisterAllGameCallbacks();
                        break;
                    case 203:
                        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG, "MSG_INTERNAL_CHR_EXCP_TRIGGER");
                        if (com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mHwAPPQoESystemStateMonitor.getMpLinkState() && com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mChrExcpReport.isReportPermmitted()) {
                            com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mChrExcpReport.reportAPPQoExcpInfo(message.arg1, com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.curAPPStateInfo.mScenceId);
                            break;
                        }
                    default:
                        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG, "IdleState:default case");
                        break;
                }
            } else {
                com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.initAPPQoEModules();
            }
            return true;
        }
    }

    public class WiFiMonitorState extends com.android.internal.util.State {
        long mAppKQITimer = 0;
        boolean mIsAppStall = false;

        public void enter() {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG, "Enter WiFiMonitorState");
            int event = 100;
            if (102 == com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.lastAPPStateSent) {
                event = 102;
            }
            com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.sendMessage(android.os.Message.obtain(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.getHandler(), event, com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.curAPPStateInfo));
            initChrState();
        }

        public void exit() {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG, "WiFiMonitorState is Exit");
            stopWeakNetworkMonitor();
        }

        /* JADX WARNING: Removed duplicated region for block: B:25:0x00f5  */
        public boolean processMessage(android.os.Message r7) {
            /*
            r6 = this;
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
            r1 = new java.lang.StringBuilder;
            r1.<init>();
            r2 = "wifi monitor state:";
            r1.append(r2);
            r2 = r7.what;
            r1.append(r2);
            r1 = r1.toString();
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r1);
            r0 = r7.what;
            r1 = 4;
            r2 = 1;
            if (r0 == r1) goto L_0x0171;
        L_0x0021:
            r1 = 7;
            if (r0 == r1) goto L_0x014f;
        L_0x0024:
            r1 = 109; // 0x6d float:1.53E-43 double:5.4E-322;
            if (r0 == r1) goto L_0x0132;
        L_0x0028:
            r1 = 800; // 0x320 float:1.121E-42 double:3.953E-321;
            switch(r0) {
                case 100: goto L_0x0109;
                case 101: goto L_0x00d7;
                case 102: goto L_0x0109;
                default: goto L_0x002d;
            };
        L_0x002d:
            r3 = 0;
            switch(r0) {
                case 104: goto L_0x00d7;
                case 105: goto L_0x00b8;
                case 106: goto L_0x00a0;
                case 107: goto L_0x0072;
                default: goto L_0x0031;
            };
        L_0x0031:
            switch(r0) {
                case 201: goto L_0x0040;
                case 202: goto L_0x0035;
                default: goto L_0x0034;
            };
        L_0x0034:
            return r3;
        L_0x0035:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r0 = r0.mHwAPPQoEContentAware;
            r0.reRegisterAllGameCallbacks();
            goto L_0x0193;
        L_0x0040:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
            r1 = "WiFiMonitorState MSG_INTERNAL_NETWORK_STATE_CHANGE";
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r1);
            r0 = r7.obj;
            r0 = (java.lang.Integer) r0;
            r0 = r0.intValue();
            r1 = 801; // 0x321 float:1.122E-42 double:3.957E-321;
            if (r0 != r1) goto L_0x0070;
        L_0x0055:
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3 = r3.curAPPStateInfo;
            r4 = "WiFiMonitorState";
            r1.stopAPPMonitor(r3, r4);
            r6.handleChrMpLinkSuccess();
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3 = r3.mCellMonitorState;
            r1.transitionTo(r3);
        L_0x0070:
            goto L_0x0193;
        L_0x0072:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r0 = r0.isScreenOn();
            if (r0 != 0) goto L_0x0085;
        L_0x007a:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
            r1 = "WiFiMonitorState app is bad but screen is off";
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r1);
            goto L_0x0193;
        L_0x0085:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
            r4 = "WiFiMonitorState MSG_APP_STATE_BAD";
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r4);
            r0 = r7.obj;
            r0 = (com.android.server.hidata.appqoe.HwAPPStateInfo) r0;
            r0.mNetworkType = r1;
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r4 = r7.what;
            r1.notifyAPPQualityCallback(r0, r4, r3);
            r6.handleChrAppBad();
            goto L_0x0193;
        L_0x00a0:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
            r3 = "WiFiMonitorState MSG_APP_STATE_GOOD";
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r3);
            r0 = r7.obj;
            r0 = (com.android.server.hidata.appqoe.HwAPPStateInfo) r0;
            r0.mNetworkType = r1;
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3 = r7.what;
            r1.notifyAPPQualityCallback(r0, r3, r2);
            goto L_0x0193;
        L_0x00b8:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
            r3 = "WiFiMonitorState MSG_APP_STATE_MONITOR";
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r3);
            r0 = r7.obj;
            r0 = (com.android.server.hidata.appqoe.HwAPPStateInfo) r0;
            r3 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r4 = r0.mAppRTT;
            r5 = r0.mAppId;
            r3.updateGameRTT(r4, r5);
            r0.mNetworkType = r1;
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1.notifyAPPRttInfoCallback(r0);
            goto L_0x0193;
        L_0x00d7:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
            r3 = "WiFiMonitorState MSG_APP_STATE_BACKGROUND/END";
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r3);
            r0 = r7.obj;
            r0 = (com.android.server.hidata.appqoe.HwAPPStateInfo) r0;
            r0.mNetworkType = r1;
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3 = r7.what;
            r1.notifyAPPStateCallback(r0, r3);
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1 = r1.isStopInfoMatchStartInfo(r0);
            if (r2 != r1) goto L_0x0107;
        L_0x00f5:
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3 = "WiFiMonitorState";
            r1.stopAPPMonitor(r0, r3);
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3 = r3.mIdleState;
            r1.transitionTo(r3);
        L_0x0107:
            goto L_0x0193;
        L_0x0109:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
            r3 = "WiFiMonitorState MSG_APP_STATE_START/UPDATE";
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r3);
            r0 = r7.obj;
            r0 = (com.android.server.hidata.appqoe.HwAPPStateInfo) r0;
            r0.mNetworkType = r1;
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3 = r7.what;
            r1.notifyAPPStateCallback(r0, r3);
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1.updateCurAPPStateInfo(r0);
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3 = "WiFiMonitorState";
            r1.startAPPMonitor(r0, r3);
            r6.startChrState();
            r6.startWeakNetworkMonitor();
            goto L_0x0193;
        L_0x0132:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
            r1 = "WiFiMonitorState MSG_APP_STATE_WEAK";
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r1);
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1 = 107; // 0x6b float:1.5E-43 double:5.3E-322;
            r3 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r3 = r3.curAPPStateInfo;
            r0 = r0.obtainMessage(r1, r3);
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1.sendMessage(r0);
            goto L_0x0193;
        L_0x014f:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
            r1 = "WiFiMonitorState MSG_CELL_STATE_CONNECTED";
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r1);
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1 = r1.curAPPStateInfo;
            r3 = "WiFiMonitorState";
            r0.stopAPPMonitor(r1, r3);
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1 = r1.mCellMonitorState;
            r0.transitionTo(r1);
            goto L_0x0193;
        L_0x0171:
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
            r1 = "WiFiMonitorState MSG_WIFI_STATE_DISCONNECT";
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(r0, r1);
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1 = r1.curAPPStateInfo;
            r3 = "WiFiMonitorState";
            r0.stopAPPMonitor(r1, r3);
            r0 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this;
            r1 = r1.mDataOffMonitorState;
            r0.transitionTo(r1);
        L_0x0193:
            return r2;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.appqoe.HwAPPQoEStateMachine.WiFiMonitorState.processMessage(android.os.Message):boolean");
        }

        private void initChrState() {
            this.mIsAppStall = false;
            this.mAppKQITimer = 0;
        }

        private void startChrState() {
            this.mIsAppStall = false;
            this.mAppKQITimer = 0;
            com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mHwAPPChrManager.updateStatisInfo(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.curAPPStateInfo, 1);
        }

        private void handleChrAppBad() {
            com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mHwAPPChrManager.updateStatisInfo(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.curAPPStateInfo, 5);
            if (!this.mIsAppStall) {
                com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mHwAPPChrManager.updateStatisInfo(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.curAPPStateInfo, 3);
                this.mAppKQITimer = java.lang.System.currentTimeMillis();
                this.mIsAppStall = true;
            }
        }

        private void startWeakNetworkMonitor() {
            if (com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.curAPPStateInfo != null) {
                if (com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.curAPPStateInfo.mAppId != -1) {
                    java.lang.String access$000 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("WiFiMonitorState startWeakNetworkMonitor curAPPStateInfo.mAppId = ");
                    stringBuilder.append(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.curAPPStateInfo.mAppId);
                    com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(access$000, stringBuilder.toString());
                    android.net.wifi.WifiInfo info = ((android.net.wifi.WifiManager) com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mContext.getSystemService("wifi")).getConnectionInfo();
                    if (info != null) {
                        int rssiLevel = android.common.HwFrameworkFactory.getHwInnerWifiManager().calculateSignalLevelHW(info.getFrequency(), info.getRssi());
                        if (rssiLevel <= 1 && !com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.hasMessages(109)) {
                            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG, "send weak network delay message");
                            com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.sendMessageDelayed(109, 4000);
                        } else if (rssiLevel >= 2 && com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.hasMessages(109)) {
                            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG, "remove weak network delay message");
                            com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.removeMessages(109);
                        }
                    }
                }
            }
        }

        private void stopWeakNetworkMonitor() {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG, "WiFiMonitorState stopWeakNetworkMonitor");
            com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.removeMessages(109);
        }

        private void handleChrMpLinkSuccess() {
            long endAppKQITime = java.lang.System.currentTimeMillis() - this.mAppKQITimer;
            com.android.server.hidata.appqoe.HwAPPQoEAPKConfig config = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mHwAPPQoeResourceManger.getAPKScenceConfig(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.curAPPStateInfo.mScenceId);
            com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mHwAPPChrManager.updateStatisInfo(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.curAPPStateInfo, 13);
            com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.isMPLinkSuccess = true;
            if (config != null) {
                if (endAppKQITime <= 1000) {
                    com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mHwAPPChrManager.updateStatisInfo(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.curAPPStateInfo, 16);
                } else {
                    com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mHwAPPChrManager.updateStatisInfo(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.curAPPStateInfo, 17);
                }
                android.net.wifi.WifiConfiguration mConnectedConfig = com.android.server.wifipro.WifiProCommonUtils.getCurrentWifiConfig(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mWifiManager);
                com.android.server.hidata.appqoe.HwAPPChrExcpInfo info = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mHwAPKQoEQualityMonitor.getAPPQoEInfo();
                if (!(info == null || info.rssi == -1)) {
                    java.lang.String access$000 = com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG;
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("handleChrMpLinkSuccess info.rssi = ");
                    stringBuilder.append(info.rssi);
                    com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(access$000, stringBuilder.toString());
                    if (info.rssi >= 3) {
                        com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mHwAPPChrManager.updateStatisInfo(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.curAPPStateInfo, 20);
                    } else {
                        com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mHwAPPChrManager.updateStatisInfo(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.curAPPStateInfo, 21);
                    }
                }
                if (mConnectedConfig == null) {
                    return;
                }
                if (com.android.server.wifipro.WifiProCommonUtils.isWpaOrWpa2(mConnectedConfig)) {
                    com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG, "handleChrMpLinkSuccess is a home ap");
                    com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mHwAPPChrManager.updateStatisInfo(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.curAPPStateInfo, 9);
                    return;
                }
                com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.TAG, "handleChrMpLinkSuccess is a portal or open ap");
                com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.mHwAPPChrManager.updateStatisInfo(com.android.server.hidata.appqoe.HwAPPQoEStateMachine.this.curAPPStateInfo, 10);
            }
        }
    }

    private HwAPPQoEStateMachine(android.content.Context context) {
        super("HwAPPQoEStateMachine");
        this.mContext = context;
        this.mHwAPPQoeResourceManger = com.android.server.hidata.appqoe.HwAPPQoEResourceManger.createHwAPPQoEResourceManger();
        this.mHwAPPQoESystemStateMonitor = new com.android.server.hidata.appqoe.HwAPPQoESystemStateMonitor(context, getHandler());
        com.android.server.hidata.appqoe.HwAPPQoEUserLearning.createHwAPPQoEUserLearning(this.mContext);
        this.mHwAPPChrManager = com.android.server.hidata.appqoe.HwAPPChrManager.getInstance();
        this.mWifiManager = (android.net.wifi.WifiManager) this.mContext.getSystemService("wifi");
        addState(this.mIdleState);
        addState(this.mWiFiMonitorState, this.mIdleState);
        addState(this.mCellMonitorState, this.mIdleState);
        addState(this.mDataOffMonitorState, this.mIdleState);
        setInitialState(this.mIdleState);
        start();
    }

    public com.android.server.hidata.appqoe.HwAPPStateInfo getCurAPPStateInfo() {
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "APP QOE State machine Enter getCurAPPStateInfo ");
        return this.curAPPStateInfo;
    }

    public static com.android.server.hidata.appqoe.HwAPPQoEStateMachine createHwAPPQoEStateMachine(android.content.Context context) {
        if (mHwAPPQoEStateMachine == null) {
            mHwAPPQoEStateMachine = new com.android.server.hidata.appqoe.HwAPPQoEStateMachine(context);
        }
        return mHwAPPQoEStateMachine;
    }

    public void initAPPQoEModules() {
        if (this.mContext == null) {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "initAPPQoEModules, invalid context.");
            return;
        }
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "initAPPQoEModules, process.");
        this.mChrExcpReport = com.android.server.hidata.appqoe.HwAPPChrExcpReport.getInstance();
        this.mHwAPPQoEContentAware = com.android.server.hidata.appqoe.HwAPPQoEContentAware.createHwAPPQoEContentAware(this.mContext, getHandler());
        this.mHwGameQoEManager = new com.android.server.hidata.appqoe.HwGameQoEManager(this.mContext, getHandler());
        this.mHwAPKQoEQualityMonitor = new com.android.server.hidata.appqoe.HwAPKQoEQualityMonitor(getHandler(), this.mContext);
        this.mHwAPKQoEQualityMonitorCell = com.android.server.hidata.appqoe.HwAPKQoEQualityMonitorCell.createQualityMonitorCell(getHandler());
        this.mChrExcpReport.setMonitorInstance(this.mHwAPKQoEQualityMonitor, this.mHwAPKQoEQualityMonitorCell);
    }

    private void notifyAPPStateCallback(com.android.server.hidata.appqoe.HwAPPStateInfo data, int state) {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("notifyAPPStateCallback, state:");
        stringBuilder.append(state);
        stringBuilder.append(", app:");
        stringBuilder.append(data.mAppId);
        stringBuilder.append(", scence:");
        stringBuilder.append(data.mScenceId);
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
        if (this.curAPPStateInfo.isObjectValueEqual(data) && state == this.lastAPPStateSent) {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "notifyAPPStateCallback: info sent was same as before");
            return;
        }
        com.android.server.hidata.appqoe.HwAPPQoEManager hwAPPQoEManager = com.android.server.hidata.appqoe.HwAPPQoEManager.getInstance();
        com.android.server.hidata.appqoe.IHwAPPQoECallback brainCallback = hwAPPQoEManager.getAPPQoECallback(true);
        com.android.server.hidata.appqoe.HwAPPStateInfo tempData = new com.android.server.hidata.appqoe.HwAPPStateInfo();
        tempData.copyObjectValue(data);
        if (brainCallback != null) {
            brainCallback.onAPPStateCallBack(tempData, state);
        }
        com.android.server.hidata.appqoe.IHwAPPQoECallback wmCallback = hwAPPQoEManager.getAPPQoECallback(null);
        if (wmCallback != null) {
            wmCallback.onAPPStateCallBack(tempData, state);
        }
        this.lastAPPStateSent = state;
    }

    private void notifyAPPQualityCallback(com.android.server.hidata.appqoe.HwAPPStateInfo data, int state, boolean isWmOnly) {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("notifyAPPQualityCallback:");
        stringBuilder.append(state);
        stringBuilder.append(",");
        stringBuilder.append(data.mAppId);
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
        com.android.server.hidata.appqoe.HwAPPQoEManager hwAPPQoEManager = com.android.server.hidata.appqoe.HwAPPQoEManager.getInstance();
        com.android.server.hidata.appqoe.IHwAPPQoECallback brainCallback = hwAPPQoEManager.getAPPQoECallback(true);
        com.android.server.hidata.appqoe.HwAPPStateInfo tempData = new com.android.server.hidata.appqoe.HwAPPStateInfo();
        tempData.copyObjectValue(data);
        com.android.server.hidata.mplink.MpLinkQuickSwitchConfiguration switchConfiguration = tempData.getQuickSwitchConfiguration();
        if (switchConfiguration != null) {
            switchConfiguration.setSocketStrategy(3);
            switchConfiguration.setNetworkStrategy(0);
        }
        if (!(brainCallback == null || isWmOnly)) {
            brainCallback.onAPPQualityCallBack(tempData, state);
        }
        com.android.server.hidata.appqoe.IHwAPPQoECallback wmCallback = hwAPPQoEManager.getAPPQoECallback(false);
        if (wmCallback != null) {
            wmCallback.onAPPQualityCallBack(tempData, state);
        }
    }

    private void notifyAPPRttInfoCallback(com.android.server.hidata.appqoe.HwAPPStateInfo data) {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("notifyAPPRttInfoCallback:");
        stringBuilder.append(data.toString());
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
        com.android.server.hidata.appqoe.HwAPPQoEManager hwAPPQoEManager = com.android.server.hidata.appqoe.HwAPPQoEManager.getInstance();
        com.android.server.hidata.appqoe.IHwAPPQoECallback brainCallback = hwAPPQoEManager.getAPPQoECallback(true);
        com.android.server.hidata.appqoe.HwAPPStateInfo tempData = new com.android.server.hidata.appqoe.HwAPPStateInfo();
        tempData.copyObjectValue(data);
        if (brainCallback != null) {
            brainCallback.onAPPRttInfoCallBack(tempData);
        }
        com.android.server.hidata.appqoe.IHwAPPQoECallback wmCallback = hwAPPQoEManager.getAPPQoECallback(null);
        if (wmCallback != null) {
            wmCallback.onAPPRttInfoCallBack(tempData);
        }
    }

    private int quryCurrentNetwork(int uid) {
        return com.android.server.hidata.arbitration.HwArbitrationFunction.getCurrentNetwork(this.mContext, uid);
    }

    private void startAPPMonitor(com.android.server.hidata.appqoe.HwAPPStateInfo appStateInfo, java.lang.String stateName) {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("startAPPMonitor -- appStateInfo:");
        stringBuilder.append(appStateInfo.toString());
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
        if (1000 == appStateInfo.mAppType) {
            str = TAG;
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("startAPPMonitor -- stateName:");
            stringBuilder.append(stateName);
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
            if ("WiFiMonitorState".equals(stateName)) {
                this.mHwAPKQoEQualityMonitor.startMonitor(this.curAPPStateInfo);
            } else if ("CellMonitorState".equals(stateName)) {
                this.mHwAPKQoEQualityMonitorCell.startMonitor(this.curAPPStateInfo);
            }
            return;
        }
        if (2000 == appStateInfo.mAppType) {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "startAPPMonitor for game");
            this.mHwGameQoEManager.startMonitor(appStateInfo);
        }
    }

    private void stopAPPMonitor(com.android.server.hidata.appqoe.HwAPPStateInfo appStateInfo, java.lang.String stateName) {
        java.lang.String str = TAG;
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("stopAPPMonitor -- appStateInfo:");
        stringBuilder.append(appStateInfo.toString());
        com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(str, stringBuilder.toString());
        if (1000 == appStateInfo.mAppType) {
            if ("WiFiMonitorState".equals(stateName)) {
                this.mHwAPKQoEQualityMonitor.stopMonitor();
            } else if ("CellMonitorState".equals(stateName)) {
                this.mHwAPKQoEQualityMonitorCell.stopMonitor();
            }
            return;
        }
        if (2000 == appStateInfo.mAppType) {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "stopAPPMonitor for game");
            this.mHwGameQoEManager.stopMonitor();
        }
    }

    private void updateGameRTT(int rtt, int gameId) {
        if (this.mHwGameQoEManager == null || this.mHwGameQoEManager.mGameId != gameId) {
            com.android.server.hidata.appqoe.HwAPPQoEUtils.logD(TAG, "updateGameRTT, game not found in game list, internal error");
        } else {
            this.mHwGameQoEManager.updateGameRTT(rtt);
        }
    }

    public boolean isStopInfoMatchStartInfo(com.android.server.hidata.appqoe.HwAPPStateInfo infoData) {
        if (infoData.mAppUID != this.curAPPStateInfo.mAppUID) {
            return false;
        }
        this.curAPPStateInfo = new com.android.server.hidata.appqoe.HwAPPStateInfo();
        updateCurAPPStateInfo(this.curAPPStateInfo);
        return true;
    }

    private void updateCurAPPStateInfo(com.android.server.hidata.appqoe.HwAPPStateInfo infoData) {
        this.curAPPStateInfo.copyObjectValue(infoData);
        this.mHwAPPQoESystemStateMonitor.curAPPStateInfo.copyObjectValue(infoData);
    }

    private boolean isScreenOn() {
        android.os.PowerManager pm = (android.os.PowerManager) this.mContext.getSystemService("power");
        if (pm == null || !pm.isScreenOn()) {
            return false;
        }
        return true;
    }
}
