package com.android.server.hidata.arbitration;

public class HwArbitrationStateMonitor {
    private static final java.lang.String TAG = "HiData_HwArbitrationStateMonitor";
    private static com.android.server.hidata.arbitration.HwArbitrationStateMonitor mHwArbitrationStateMonitor = null;
    private android.content.IntentFilter intentFilter = new android.content.IntentFilter();
    com.android.server.hidata.arbitration.HwArbitrationStateMonitor.AirPlaneModeObserver mAirPlaneModeObserver;
    private android.content.BroadcastReceiver mBroadcastReceiver = new com.android.server.hidata.arbitration.HwArbitrationStateMonitor.StateBroadcastReceiver(this, null);
    private android.net.ConnectivityManager mCM;
    private android.content.Context mContext;
    private android.os.Handler mHandler;
    private android.net.ConnectivityManager.NetworkCallback mHwArbitrationNetworkCallback;
    private android.telephony.PhoneStateListener[] mPhoneStateListener;
    private android.content.ContentResolver mResolver;
    com.android.server.hidata.arbitration.HwArbitrationStateMonitor.UserDataEnableObserver mUserDataEnableObserver;

    /* renamed from: com.android.server.hidata.arbitration.HwArbitrationStateMonitor$5 */
    static /* synthetic */ class AnonymousClass5 {
        static final /* synthetic */ int[] $SwitchMap$com$android$internal$telephony$PhoneConstants$DataState = new int[com.android.internal.telephony.PhoneConstants.DataState.values().length];

        static {
            try {
                $SwitchMap$com$android$internal$telephony$PhoneConstants$DataState[com.android.internal.telephony.PhoneConstants.DataState.DISCONNECTED.ordinal()] = 1;
            } catch (java.lang.NoSuchFieldError e) {
            }
            try {
                $SwitchMap$com$android$internal$telephony$PhoneConstants$DataState[com.android.internal.telephony.PhoneConstants.DataState.CONNECTED.ordinal()] = 2;
            } catch (java.lang.NoSuchFieldError e2) {
            }
        }
    }

    private class AirPlaneModeObserver extends android.database.ContentObserver {
        public AirPlaneModeObserver(android.os.Handler handler) {
            super(handler);
            com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mResolver = com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mContext.getContentResolver();
        }

        public void register() {
            com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mResolver.registerContentObserver(android.provider.Settings.Global.getUriFor("airplane_mode_on"), false, this);
        }

        public void unregister() {
            com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mResolver.unregisterContentObserver(this);
        }

        public void onChange(boolean selfChange) {
            boolean airplaneMode = com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.isAirplaneModeOn();
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("AirPlaneMode change to ");
            stringBuilder.append(airplaneMode);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", stringBuilder.toString());
            if (airplaneMode) {
                com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(2020);
            } else {
                com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(2021);
            }
        }
    }

    private class StateBroadcastReceiver extends android.content.BroadcastReceiver {
        private android.net.NetworkInfo mActiveNetworkInfo;
        private com.android.internal.telephony.PhoneConstants.DataState[] mApnState;
        private int mConnectivityType;
        private int mCurrentActiveNetwork;
        private boolean mCurrentDataRoamingState;
        private int mCurrentDataTechType;
        private int mCurrentServiceState;
        private int mDefaultDataSubId;
        private boolean[] mFristTimeRecvApnStateFlag;
        private boolean mIsDataTechSuitable;
        private boolean mMobileConnectState;
        private boolean mWifiConnectState;

        private StateBroadcastReceiver() {
            this.mCurrentActiveNetwork = 802;
            this.mCurrentServiceState = 1;
            this.mCurrentDataTechType = 0;
            this.mIsDataTechSuitable = false;
            this.mCurrentDataRoamingState = false;
            this.mDefaultDataSubId = 0;
            this.mMobileConnectState = false;
            this.mWifiConnectState = false;
            this.mConnectivityType = 802;
            this.mFristTimeRecvApnStateFlag = new boolean[]{false, false};
            this.mApnState = new com.android.internal.telephony.PhoneConstants.DataState[2];
        }

        /* synthetic */ StateBroadcastReceiver(com.android.server.hidata.arbitration.HwArbitrationStateMonitor x0, com.android.server.hidata.arbitration.HwArbitrationStateMonitor.AnonymousClass1 x1) {
            this();
        }

        public void onReceive(android.content.Context context, android.content.Intent intent) {
            java.lang.String action = intent.getAction();
            if ("android.net.wifi.WIFI_STATE_CHANGED".equals(action)) {
                int wifistate = intent.getIntExtra("wifi_state", 4);
                if (wifistate == 1) {
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "MSG_WIFI_STATE_DISABLE");
                } else if (wifistate == 3) {
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "MSG_WIFI_STATE_ENABLE");
                }
            } else if ("android.net.wifi.STATE_CHANGE".equals(action)) {
                android.net.NetworkInfo netInfo = (android.net.NetworkInfo) intent.getParcelableExtra("networkInfo");
                if (netInfo != null) {
                    if (netInfo.getState() == android.net.NetworkInfo.State.DISCONNECTED) {
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "WifiManager:Wifi disconnected");
                        if (this.mWifiConnectState) {
                            this.mWifiConnectState = false;
                            com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(1125);
                        }
                    } else if (netInfo.getState() == android.net.NetworkInfo.State.CONNECTED) {
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "WifiManager:Wifi connected");
                        if (!this.mWifiConnectState) {
                            this.mWifiConnectState = true;
                        }
                    }
                }
            } else if ("android.net.conn.CONNECTIVITY_CHANGE".equals(action)) {
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "connectivity Changed");
                onConnectivityNetworkChange();
            } else if ("android.intent.action.SCREEN_OFF".equals(action)) {
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "MSG_SCREEN_IS_TURNOFF");
                com.android.server.hidata.arbitration.HwArbitrationFunction.setScreenState(false);
                com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(1012);
            } else if ("android.intent.action.SCREEN_ON".equals(action)) {
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "MSG_SCREEN_IS_ON");
                com.android.server.hidata.arbitration.HwArbitrationFunction.setScreenState(true);
                com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(1017);
            } else if ("android.intent.action.SERVICE_STATE".equals(action)) {
                handleTelephonyServiceStateChanged(android.telephony.ServiceState.newFromBundle(intent.getExtras()), intent.getIntExtra("subscription", -1));
            } else if (action.equals("android.intent.action.ANY_DATA_STATE")) {
                logD("HiData_HwArbitrationStateMonitor", "onReceive: ACTION_ANY_DATA_CONNECTION_STATE_CHANGED");
                handleTelephonyDataConnectionChanged(intent.getStringExtra("state"), intent.getIntExtra("subscription", -1));
            } else if ("android.intent.action.ACTION_DEFAULT_DATA_SUBSCRIPTION_CHANGED".equals(action)) {
                handleDataSubChange(intent.getIntExtra("subscription", -1));
            } else if ("huawei.intent.action.HICURE_RESULT".equals(action)) {
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "onReceive:ARBITRATION_NOTIFY_HICURE_RESULT_ACTION");
                com.android.server.hidata.arbitration.HwArbitrationStateMachine.getInstance(com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mContext).receiveCureResult(intent.getIntExtra("extra_result", 3), intent.getIntExtra("extra_timer_result", 30), intent.getIntExtra("extra_diagnose_result", -1), intent.getIntExtra("extra_method", -1));
            } else if ("android.intent.action.BOOT_COMPLETED".equals(action)) {
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "BOOT_COMPLETED");
                if (com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHwArbitrationNetworkCallback == null) {
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "registerDefaultNetworkCallback have not been registered");
                    com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.registerNetworkChangeCallback();
                }
                com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(1127);
            } else if ("com.huawei.hidata.arbitration.notification.accept".equals(action)) {
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "Big Mobile Data Alert trigger closing MPLink");
                com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(2032);
            }
        }

        private void onConnectivityNetworkChange() {
            android.net.ConnectivityManager mConnectivityManager = (android.net.ConnectivityManager) com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mContext.getSystemService("connectivity");
            if (mConnectivityManager != null) {
                this.mActiveNetworkInfo = mConnectivityManager.getActiveNetworkInfo();
                int i = 801;
                java.lang.StringBuilder stringBuilder;
                if (this.mActiveNetworkInfo == null) {
                    java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                    stringBuilder2.append("onConnectivityNetworkChange-prev_type is:");
                    stringBuilder2.append(this.mConnectivityType);
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", stringBuilder2.toString());
                    if (800 == this.mConnectivityType) {
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "onConnectivityNetworkChange, MSG_WIFI_STATE_DISCONNECT");
                        if (802 != this.mCurrentActiveNetwork) {
                            if (!this.mMobileConnectState) {
                                i = 802;
                            }
                            this.mCurrentActiveNetwork = i;
                            com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendMessage(com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.obtainMessage(1030, this.mCurrentActiveNetwork, 0));
                        }
                        com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(1006);
                    } else if (801 == this.mConnectivityType) {
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "onConnectivityNetworkChange, MSG_CELL_STATE_DISCONNECT");
                        com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(1010);
                    }
                    this.mConnectivityType = 802;
                } else if (1 == this.mActiveNetworkInfo.getType()) {
                    if (this.mActiveNetworkInfo.isConnected()) {
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "onConnectivityNetworkChange, MSG_WIFI_STATE_CONNECTED");
                        if (800 != this.mCurrentActiveNetwork) {
                            this.mCurrentActiveNetwork = 800;
                            com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendMessage(com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.obtainMessage(1030, this.mCurrentActiveNetwork, 0));
                        }
                        com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(1005);
                        this.mConnectivityType = 800;
                    } else {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("onConnectivityNetworkChange-Wifi:");
                        stringBuilder.append(this.mActiveNetworkInfo.getState());
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", stringBuilder.toString());
                    }
                } else if (this.mActiveNetworkInfo.getType() == 0) {
                    if (this.mActiveNetworkInfo.isConnected()) {
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "onConnectivityNetworkChange, MSG_CELL_STATE_CONNECTED");
                        com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(1009);
                        this.mConnectivityType = 801;
                    } else {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("onConnectivityNetworkChange-Cell:");
                        stringBuilder.append(this.mActiveNetworkInfo.getState());
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", stringBuilder.toString());
                    }
                }
            }
        }

        public com.android.internal.telephony.PhoneConstants.DataState getApnState(int subId) {
            return this.mApnState[subId];
        }

        private void onDataConnected(int slotId) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onDataConnected Enter, slotId is ");
            stringBuilder.append(slotId);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", stringBuilder.toString());
            com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendMessage(com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.obtainMessage(0, slotId, 0));
        }

        private void onDataConnectionDisconnected(com.android.internal.telephony.PhoneConstants.DataState oldMobileDataState, int slotId) {
            java.lang.StringBuilder stringBuilder;
            if (!com.android.internal.telephony.PhoneConstants.DataState.CONNECTED.equals(oldMobileDataState)) {
                if (!com.android.internal.telephony.PhoneConstants.DataState.SUSPENDED.equals(oldMobileDataState)) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("onDataConnectionDisconnected: EVENT_DEFAULT_DATA_SETUP_FAILURE on slotId ");
                    stringBuilder.append(slotId);
                    logD("HiData_HwArbitrationStateMonitor", stringBuilder.toString());
                    com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendMessage(com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.obtainMessage(3, slotId, 0));
                    return;
                }
            }
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("onDataConnectionDisconnected: EVENT_DEFAULT_DATA_DISCONNECTED_FAILURE on slotId ");
            stringBuilder.append(slotId);
            logD("HiData_HwArbitrationStateMonitor", stringBuilder.toString());
            com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendMessage(com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.obtainMessage(2, slotId, 0));
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "MSG_DEFAULT_DATA_DISCONNECTED");
        }

        private boolean isDefaultApnType(java.lang.String apnType) {
            return "default".equals(apnType);
        }

        private void onReceiveDataStateChanged(android.content.Intent intent) {
            java.lang.String apnType = intent.getStringExtra("apnType");
            if (isDefaultApnType(apnType)) {
                int slotId = intent.getIntExtra("subscription", -1);
                com.android.internal.telephony.PhoneConstants.DataState state = (com.android.internal.telephony.PhoneConstants.DataState) java.lang.Enum.valueOf(com.android.internal.telephony.PhoneConstants.DataState.class, intent.getStringExtra("state"));
                java.lang.StringBuilder stringBuilder;
                if (isSlotIdValid(slotId)) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("onReceiveStateChanged: slotId = ");
                    stringBuilder.append(slotId);
                    stringBuilder.append(",state = ");
                    stringBuilder.append(state);
                    stringBuilder.append(",apnType = ");
                    stringBuilder.append(apnType);
                    logD("HiData_HwArbitrationStateMonitor", stringBuilder.toString());
                    if (!this.mFristTimeRecvApnStateFlag[slotId]) {
                        logD("HiData_HwArbitrationStateMonitor", "mFristTimeRecvApnStateFlag ");
                        this.mApnState[slotId] = state;
                        this.mFristTimeRecvApnStateFlag[slotId] = true;
                    } else if (!state.equals(this.mApnState[slotId])) {
                        stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("apnState changed,oldMobileDataState = ");
                        stringBuilder.append(this.mApnState[slotId]);
                        stringBuilder.append(",state = ");
                        stringBuilder.append(state);
                        logD("HiData_HwArbitrationStateMonitor", stringBuilder.toString());
                        switch (com.android.server.hidata.arbitration.HwArbitrationStateMonitor.AnonymousClass5.$SwitchMap$com$android$internal$telephony$PhoneConstants$DataState[state.ordinal()]) {
                            case 1:
                                onDataConnectionDisconnected(this.mApnState[slotId], slotId);
                                break;
                            case 2:
                                onDataConnected(slotId);
                                break;
                            default:
                                break;
                        }
                        this.mApnState[slotId] = state;
                    }
                    return;
                }
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("onReceiveStateChanged: param is invalid,slotId = ");
                stringBuilder.append(slotId);
                stringBuilder.append(",state = ");
                stringBuilder.append(state);
                logE("HiData_HwArbitrationStateMonitor", stringBuilder.toString());
            }
        }

        public boolean isSlotIdValid(int slotId) {
            return slotId >= 0 && 2 > slotId;
        }

        private void handleTelephonyServiceStateChanged(android.telephony.ServiceState serviceState, int subId) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("ACTION_SERVICE_STATE_CHANGED subId:");
            stringBuilder.append(subId);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", stringBuilder.toString());
            if (subId != -1 && subId == this.mDefaultDataSubId && serviceState != null) {
                int newServiceState = serviceState.getState();
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("newServiceState:");
                stringBuilder2.append(newServiceState);
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", stringBuilder2.toString());
                if (this.mCurrentServiceState != newServiceState) {
                    this.mCurrentServiceState = newServiceState;
                    com.android.server.hidata.arbitration.HwArbitrationFunction.setServiceState(this.mCurrentServiceState);
                    if (this.mCurrentServiceState == 0) {
                        com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(1019);
                    } else {
                        com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(1020);
                    }
                }
                boolean newRoamingState = serviceState.getDataRoaming();
                java.lang.StringBuilder stringBuilder3 = new java.lang.StringBuilder();
                stringBuilder3.append("newRoammingState :");
                stringBuilder3.append(newRoamingState);
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", stringBuilder3.toString());
                if (this.mCurrentDataRoamingState != newRoamingState) {
                    this.mCurrentDataRoamingState = newRoamingState;
                    com.android.server.hidata.arbitration.HwArbitrationFunction.setDataRoamingState(this.mCurrentDataRoamingState);
                    if (this.mCurrentDataRoamingState) {
                        com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(1015);
                    } else {
                        com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(1021);
                    }
                }
                int newDataTechType = serviceState.getDataNetworkType();
                java.lang.StringBuilder stringBuilder4 = new java.lang.StringBuilder();
                stringBuilder4.append("newDataTechType:");
                stringBuilder4.append(newDataTechType);
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", stringBuilder4.toString());
                if (this.mCurrentDataTechType != newDataTechType) {
                    this.mCurrentDataTechType = newDataTechType;
                    handleDataTechTypeChange(newDataTechType);
                }
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:14:? A:{SYNTHETIC, RETURN} */
        /* JADX WARNING: Removed duplicated region for block: B:9:0x002b  */
        private void handleDataTechTypeChange(int r4) {
            /*
            r3 = this;
            r0 = "HiData_HwArbitrationStateMonitor";
            r1 = new java.lang.StringBuilder;
            r1.<init>();
            r2 = "handlerDataTechTypeChange dataTech :";
            r1.append(r2);
            r1.append(r4);
            r1 = r1.toString();
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logI(r0, r1);
            com.android.server.hidata.arbitration.HwArbitrationFunction.setDataTech(r4);
            r0 = 0;
            r1 = 13;
            if (r4 == r1) goto L_0x0025;
        L_0x001e:
            r1 = 19;
            if (r4 != r1) goto L_0x0023;
        L_0x0022:
            goto L_0x0025;
        L_0x0023:
            r1 = 0;
            goto L_0x0026;
        L_0x0025:
            r1 = 1;
        L_0x0026:
            r0 = r1;
            r1 = r3.mIsDataTechSuitable;
            if (r1 == r0) goto L_0x0057;
        L_0x002b:
            r3.mIsDataTechSuitable = r0;
            com.android.server.hidata.arbitration.HwArbitrationFunction.setDataTechSuitable(r0);
            if (r0 == 0) goto L_0x0045;
        L_0x0032:
            r1 = com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this;
            r1 = r1.mHandler;
            r2 = 1022; // 0x3fe float:1.432E-42 double:5.05E-321;
            r1.sendEmptyMessage(r2);
            r1 = "HiData_HwArbitrationStateMonitor";
            r2 = "MSG_DATA_TECHTYPE_SUITABLE";
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD(r1, r2);
            goto L_0x0057;
        L_0x0045:
            r1 = com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this;
            r1 = r1.mHandler;
            r2 = 1023; // 0x3ff float:1.434E-42 double:5.054E-321;
            r1.sendEmptyMessage(r2);
            r1 = "HiData_HwArbitrationStateMonitor";
            r2 = "MSG_DATA_TECHTYPE_NOT_SUITABLE";
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD(r1, r2);
        L_0x0057:
            return;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.hidata.arbitration.HwArbitrationStateMonitor.StateBroadcastReceiver.handleDataTechTypeChange(int):void");
        }

        private void handleDataSubChange(int subId) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("DataSub Change, new subId:");
            stringBuilder.append(subId);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", stringBuilder.toString());
            if (subId != -1 && this.mDefaultDataSubId != subId) {
                this.mDefaultDataSubId = subId;
            }
        }

        private void handleTelephonyDataConnectionChanged(java.lang.String state, int subId) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("ACTION_ANY_DATA_CONNECTION_STATE_CHANGED subId:");
            stringBuilder.append(subId);
            stringBuilder.append(",state:");
            stringBuilder.append(state);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logI("HiData_HwArbitrationStateMonitor", stringBuilder.toString());
            if (subId != this.mDefaultDataSubId) {
                return;
            }
            if ("CONNECTED".equals(state)) {
                this.mMobileConnectState = true;
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "mobile_data_connected");
                com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(6);
                if (802 == this.mCurrentActiveNetwork) {
                    this.mCurrentActiveNetwork = 801;
                    com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendMessage(com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.obtainMessage(1030, this.mCurrentActiveNetwork, 0));
                }
            } else if ("DISCONNECTED".equals(state)) {
                this.mMobileConnectState = false;
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "mobile_data_disconnected");
                com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(5);
                if (801 == this.mCurrentActiveNetwork) {
                    this.mCurrentActiveNetwork = 802;
                    com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendMessage(com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.obtainMessage(1030, this.mCurrentActiveNetwork, 0));
                }
            }
        }

        private void logD(java.lang.String TAG, java.lang.String debugInfo) {
            android.util.Log.d(TAG, debugInfo);
        }

        private void logE(java.lang.String TAG, java.lang.String debugInfo) {
            android.util.Log.e(TAG, debugInfo);
        }
    }

    private class UserDataEnableObserver extends android.database.ContentObserver {
        public UserDataEnableObserver(android.os.Handler handler) {
            super(handler);
            com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mResolver = com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mContext.getContentResolver();
        }

        public void register() {
            com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mResolver.registerContentObserver(android.provider.Settings.Global.getUriFor("mobile_data"), false, this);
        }

        public void unregister() {
            com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mResolver.unregisterContentObserver(this);
        }

        public void onChange(boolean selfChange) {
            boolean state = com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.isUserDataEnabled();
            if (state) {
                com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(1007);
            } else {
                com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(1008);
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("User change Data service state = ");
            stringBuilder.append(state);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", stringBuilder.toString());
        }
    }

    private HwArbitrationStateMonitor(android.content.Context context, android.os.Handler handler) {
        this.mContext = context;
        this.mHandler = handler;
        huawei.android.net.hwmplink.HwHiDataCommonUtils.logD("HiData_HwArbitrationStateMonitor", "HwArbitrationStateMonitor create success!");
    }

    public static com.android.server.hidata.arbitration.HwArbitrationStateMonitor createHwArbitrationStateMonitor(android.content.Context context, android.os.Handler handler) {
        if (mHwArbitrationStateMonitor == null) {
            mHwArbitrationStateMonitor = new com.android.server.hidata.arbitration.HwArbitrationStateMonitor(context, handler);
        }
        return mHwArbitrationStateMonitor;
    }

    public void startMonitor() {
        registerBroadcastReceiver();
        registerForVpnSettingsChanges();
        registerForSettingsChanges();
        registDatabaseObserver();
        startPhoneStateListener();
        registerNetworkChangeCallback();
    }

    private void registerBroadcastReceiver() {
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "start Monitoring intent");
        this.intentFilter.addAction("android.net.wifi.WIFI_STATE_CHANGED");
        this.intentFilter.addAction("android.net.wifi.STATE_CHANGE");
        this.intentFilter.addAction("android.net.conn.CONNECTIVITY_CHANGE");
        this.intentFilter.addAction("android.intent.action.SCREEN_OFF");
        this.intentFilter.addAction("android.intent.action.SCREEN_ON");
        this.intentFilter.addAction("huawei.intent.action.HICURE_RESULT");
        this.intentFilter.addAction("android.intent.action.SERVICE_STATE");
        this.intentFilter.addAction("android.intent.action.BOOT_COMPLETED");
        this.intentFilter.addAction("android.intent.action.ANY_DATA_STATE");
        this.intentFilter.addAction("android.intent.action.ACTION_DEFAULT_DATA_SUBSCRIPTION_CHANGED");
        this.intentFilter.addAction("com.huawei.hidata.arbitration.notification.accept");
        this.mContext.registerReceiver(this.mBroadcastReceiver, this.intentFilter);
    }

    private void registerForVpnSettingsChanges() {
        this.mContext.getContentResolver().registerContentObserver(android.provider.Settings.System.getUriFor("wifipro_network_vpn_state"), false, new android.database.ContentObserver(null) {
            public void onChange(boolean selfChange) {
                if (com.android.server.hidata.arbitration.HwArbitrationStateMonitor.getSettingsSystemBoolean(com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mContext.getContentResolver(), "wifipro_network_vpn_state", false)) {
                    com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(2024);
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "registerForVpnSettingsChanges VPN Open");
                    return;
                }
                com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(2025);
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "registerForVpnSettingsChanges VPN Close");
            }
        });
    }

    private void registerForSettingsChanges() {
        this.mContext.getContentResolver().registerContentObserver(android.provider.Settings.System.getUriFor("smart_network_switching"), false, new android.database.ContentObserver(new android.os.Handler()) {
            public void onChange(boolean selfChange) {
                boolean isWiFiProEnabled = com.android.server.hidata.arbitration.HwArbitrationStateMonitor.getSettingsSystemBoolean(com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mContext.getContentResolver(), "smart_network_switching", false);
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Wifi pro setting has changed, WiFiProEnabled == ");
                stringBuilder.append(isWiFiProEnabled);
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", stringBuilder.toString());
                if (isWiFiProEnabled) {
                    com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(2016);
                } else {
                    com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(2018);
                }
            }
        });
    }

    private static boolean getSettingsSystemBoolean(android.content.ContentResolver cr, java.lang.String name, boolean def) {
        return android.provider.Settings.System.getInt(cr, name, def) == 1;
    }

    private void registDatabaseObserver() {
        observeAirplaneMode();
        observeUserDataEnableStatus();
    }

    private void observeAirplaneMode() {
        this.mAirPlaneModeObserver = new com.android.server.hidata.arbitration.HwArbitrationStateMonitor.AirPlaneModeObserver(this.mHandler);
        this.mAirPlaneModeObserver.register();
    }

    public boolean isAirplaneModeOn() {
        return android.provider.Settings.Global.getInt(this.mContext.getContentResolver(), "airplane_mode_on", 0) != 0;
    }

    private void observeUserDataEnableStatus() {
        this.mUserDataEnableObserver = new com.android.server.hidata.arbitration.HwArbitrationStateMonitor.UserDataEnableObserver(this.mHandler);
        this.mUserDataEnableObserver.register();
    }

    public boolean isUserDataEnabled() {
        return android.provider.Settings.Global.getInt(this.mContext.getContentResolver(), "mobile_data", 0) != 0;
    }

    private void startPhoneStateListener() {
        android.telephony.TelephonyManager telephonyManager = (android.telephony.TelephonyManager) this.mContext.getSystemService("phone");
        if (telephonyManager == null) {
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logE("HiData_HwArbitrationStateMonitor", "SlotStateListener: mTelephonyManager is null, return!");
            return;
        }
        int numPhones = telephonyManager.getPhoneCount();
        java.lang.StringBuilder stringBuilder;
        if (numPhones != 2) {
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("SlotStateListener numPhones = ");
            stringBuilder.append(numPhones);
            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logE("HiData_HwArbitrationStateMonitor", stringBuilder.toString());
            return;
        }
        stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("SlotStateListener numPhones is ");
        stringBuilder.append(numPhones);
        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", stringBuilder.toString());
        this.mPhoneStateListener = new android.telephony.PhoneStateListener[numPhones];
        for (int i = 0; i < numPhones; i++) {
            this.mPhoneStateListener[i] = getPhoneStateListener(i);
            telephonyManager.listen(this.mPhoneStateListener[i], 33);
        }
    }

    private android.telephony.PhoneStateListener getPhoneStateListener(int i) {
        return new android.telephony.PhoneStateListener(java.lang.Integer.valueOf(i)) {
            public void onServiceStateChanged(android.telephony.ServiceState state) {
                java.lang.StringBuilder stringBuilder;
                if (state == null) {
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logE("HiData_HwArbitrationStateMonitor", "SlotStateListener onServiceStateChanged: state is null,return");
                } else if (com.android.server.hidata.arbitration.HwArbitrationCommonUtils.isSlotIdValid(this.mSubId.intValue())) {
                    com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendMessage(com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.obtainMessage(4, this.mSubId.intValue(), 0, state));
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("SlotStateListener onServiceStateChanged on mSubId = ");
                    stringBuilder.append(this.mSubId);
                    stringBuilder.append(", NetworkType is: ");
                    stringBuilder.append(state.getDataNetworkType());
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", stringBuilder.toString());
                } else {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("SlotStateListener onServiceStateChanged: invalid mSubId = ");
                    stringBuilder.append(this.mSubId);
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logE("HiData_HwArbitrationStateMonitor", stringBuilder.toString());
                }
            }

            public void onCallStateChanged(int state, java.lang.String incomingNumber) {
                if (com.android.server.hidata.arbitration.HwArbitrationCommonUtils.isSlotIdValid(this.mSubId.intValue())) {
                    java.lang.StringBuilder stringBuilder;
                    switch (state) {
                        case 0:
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("CALL_STATE_IDLE:mSubId:");
                            stringBuilder.append(this.mSubId);
                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", stringBuilder.toString());
                            com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendMessage(com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.obtainMessage(7, this.mSubId.intValue(), 0));
                            break;
                        case 1:
                        case 2:
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("CALL_STATE_OFFHOOK or CALL_STATE_RINGING:mSubId:");
                            stringBuilder.append(this.mSubId);
                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", stringBuilder.toString());
                            com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendMessage(com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.obtainMessage(8, this.mSubId.intValue(), 0));
                            break;
                        default:
                            break;
                    }
                    return;
                }
                java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                stringBuilder2.append("SlotStateListener onCallStateChanged: invalid mSubId = ");
                stringBuilder2.append(this.mSubId);
                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logE("HiData_HwArbitrationStateMonitor", stringBuilder2.toString());
            }
        };
    }

    private void registerNetworkChangeCallback() {
        this.mCM = (android.net.ConnectivityManager) this.mContext.getSystemService("connectivity");
        if (this.mCM != null) {
            this.mHwArbitrationNetworkCallback = new android.net.ConnectivityManager.NetworkCallback() {
                private int mActiveNetworkType = 802;
                private android.net.Network mDefaultNetwork;
                private android.net.Network mLastNetwork;
                private android.net.NetworkCapabilities mLastNetworkCapabilities;

                public void onCapabilitiesChanged(android.net.Network network, android.net.NetworkCapabilities networkCapabilities) {
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "ConnectivityManager.NetworkCallback : onCapabilitiesChanged");
                    if (network != null) {
                        if (networkCapabilities != null) {
                            boolean lastValidated = this.mLastNetworkCapabilities != null && this.mLastNetworkCapabilities.hasCapability(16);
                            boolean validated = networkCapabilities.hasCapability(16);
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("network:");
                            stringBuilder.append(network.toString());
                            stringBuilder.append(", lastValidated:");
                            stringBuilder.append(lastValidated);
                            stringBuilder.append(", validated:");
                            stringBuilder.append(validated);
                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", stringBuilder.toString());
                            if (!network.equals(this.mLastNetwork) || !networkCapabilities.equalsTransportTypes(this.mLastNetworkCapabilities) || validated != lastValidated) {
                                this.mLastNetwork = network;
                                this.mLastNetworkCapabilities = networkCapabilities;
                                java.lang.StringBuilder stringBuilder2;
                                if (networkCapabilities.hasTransport(1) && validated) {
                                    stringBuilder2 = new java.lang.StringBuilder();
                                    stringBuilder2.append("networkType:TRANSPORT_WIFI, network: ");
                                    stringBuilder2.append(network.toString());
                                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", stringBuilder2.toString());
                                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "onNetworkCallback, MSG_WIFI_STATE_CONNECTED");
                                    com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(1005);
                                    this.mDefaultNetwork = network;
                                    this.mActiveNetworkType = 800;
                                } else if (networkCapabilities.hasTransport(0) && validated) {
                                    stringBuilder2 = new java.lang.StringBuilder();
                                    stringBuilder2.append("networkType:TRANSPORT_CELLULAR, network: ");
                                    stringBuilder2.append(network.toString());
                                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", stringBuilder2.toString());
                                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "onNetworkCallback, MSG_CELL_STATE_CONNECTED");
                                    com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(1009);
                                    this.mDefaultNetwork = network;
                                    this.mActiveNetworkType = 801;
                                }
                            }
                        }
                    }
                }

                public void onLost(android.net.Network network) {
                    com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "onNetworkCallback:onLost");
                    if (network != null) {
                        if (network.equals(this.mDefaultNetwork)) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("onNetworkCallback-prev_type is:");
                            stringBuilder.append(this.mActiveNetworkType);
                            stringBuilder.append(", network:");
                            stringBuilder.append(network.toString());
                            com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", stringBuilder.toString());
                            if (801 == this.mActiveNetworkType) {
                                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "onNetworkCallback:MSG_CELL_STATE_DISCONNECT");
                                com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(1010);
                            } else if (800 == this.mActiveNetworkType) {
                                com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "onNetworkCallback:MSG_WIFI_STATE_DISCONNECT");
                                com.android.server.hidata.arbitration.HwArbitrationStateMonitor.this.mHandler.sendEmptyMessage(1006);
                            }
                            this.mActiveNetworkType = 802;
                            return;
                        }
                        com.android.server.hidata.arbitration.HwArbitrationCommonUtils.logD("HiData_HwArbitrationStateMonitor", "lost network not equal to defaultNetwork");
                    }
                }
            };
            this.mCM.registerDefaultNetworkCallback(this.mHwArbitrationNetworkCallback, this.mHandler);
        }
    }
}
