package com.android.server.mtm.iaware;

public class RPolicyManager implements com.android.server.mtm.iaware.policy.RPolicyCreator {
    private static final int MSG_REPORT_SCENE = 1;
    private static final java.lang.String TAG = "RPolicyManager";
    private final com.android.server.mtm.iaware.policy.RPolicyCreator mDefaultRPolicyCreator = this;
    private final com.android.server.mtm.iaware.RPolicyManager.DispatchHandler mDispatchHandler;

    /* renamed from: com.android.server.mtm.iaware.RPolicyManager$1 */
    static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$android$rms$iaware$AwareConstant$FeatureType = new int[android.rms.iaware.AwareConstant.FeatureType.values().length];
    }

    private final class DispatchHandler extends android.os.Handler {
        public DispatchHandler(android.os.Looper looper) {
            super(looper);
        }

        public void handleMessage(android.os.Message msg) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("handleMessage msg.what = ");
            stringBuilder.append(msg.what);
            android.rms.iaware.AwareLog.d("RPolicyManager", stringBuilder.toString());
            if (msg.what == 1) {
                android.app.mtm.iaware.RSceneData scene = msg.obj;
                com.android.server.mtm.iaware.RPolicyManager.this.getRPolicyCreator(android.rms.iaware.AwareConstant.FeatureType.getFeatureType(msg.arg1)).reportScene(scene);
            }
        }
    }

    public RPolicyManager(android.content.Context context, android.os.HandlerThread handlerThread) {
        this.mDispatchHandler = new com.android.server.mtm.iaware.RPolicyManager.DispatchHandler(handlerThread.getLooper());
    }

    public boolean reportScene(int featureId, android.app.mtm.iaware.RSceneData scene) {
        if (scene != null) {
            if (android.rms.iaware.AwareConstant.FeatureType.getFeatureType(featureId) != android.rms.iaware.AwareConstant.FeatureType.FEATURE_INVALIDE_TYPE) {
                android.os.Message sceneMessage = this.mDispatchHandler.obtainMessage();
                sceneMessage.what = 1;
                sceneMessage.arg1 = featureId;
                sceneMessage.obj = scene;
                return this.mDispatchHandler.sendMessage(sceneMessage);
            }
        }
        android.rms.iaware.AwareLog.e("RPolicyManager", "reportScene error params");
        return false;
    }

    public android.rms.iaware.RPolicyData acquirePolicyData(int featureId, android.app.mtm.iaware.RSceneData scene) {
        android.rms.iaware.AwareConstant.FeatureType featureType = android.rms.iaware.AwareConstant.FeatureType.getFeatureType(featureId);
        if (scene != null) {
            if (featureType != android.rms.iaware.AwareConstant.FeatureType.FEATURE_INVALIDE_TYPE) {
                return getRPolicyCreator(featureType).createPolicyData(scene);
            }
        }
        android.rms.iaware.AwareLog.e("RPolicyManager", "acquirePolicyData error params");
        return null;
    }

    public android.rms.iaware.RPolicyData createPolicyData(android.app.mtm.iaware.RSceneData scene) {
        android.rms.iaware.AwareLog.d("RPolicyManager", "default createPolicyData");
        return null;
    }

    public void reportScene(android.app.mtm.iaware.RSceneData scene) {
        android.rms.iaware.AwareLog.d("RPolicyManager", "default reportScene");
    }

    private com.android.server.mtm.iaware.policy.RPolicyCreator getRPolicyCreator(android.rms.iaware.AwareConstant.FeatureType featureType) {
        int i = com.android.server.mtm.iaware.RPolicyManager.AnonymousClass1.$SwitchMap$android$rms$iaware$AwareConstant$FeatureType[featureType.ordinal()];
        return this.mDefaultRPolicyCreator;
    }
}
