package com.android.server.mtm.iaware.appmng.appfreeze;

public class AwareAppFreezeMng {
    private static boolean DEBUG = true;
    private static final int DEFAULT_DURATION = 1500;
    private static final java.lang.String KEY_BUNDLE_PACKAGENAME = "pkgName";
    private static final java.lang.String KEY_BUNDLE_UID = "uid";
    private static final long MILLI_TO_NANO = 1000000;
    private static final int MIN_FREEZE_INTERVAL = 4500;
    private static final int MSG_ACTIVITY_STARTING = 2;
    private static final int MSG_APP_SLIPPING = 9;
    private static final int MSG_APP_SLIP_END = 10;
    private static final int MSG_CAMERA_SHOT = 4;
    private static final int MSG_FG_ACTIVITIES_CHANGED = 6;
    private static final int MSG_FROZEN_TIMEOUT = 3;
    private static final int MSG_GALLERY_SCALE = 11;
    private static final int MSG_INIT = 1;
    private static final int MSG_PROXIMITY_SCREEN_OFF = 7;
    private static final int MSG_SKIPPED_FRAME = 8;
    private static final java.lang.String PACKAGE_CAMERA = "com.huawei.camera";
    private static final java.lang.String PACKAGE_GALLERY = "com.android.gallery3d";
    private static final java.lang.String PACKAGE_SYSTEMUI = "com.android.systemui";
    private static final java.lang.String PROPERTIES_CONTROL_ENABLE = "persist.sys.control_evil";
    private static final java.lang.String PROPERTIES_FREEZE_DELAY = "persist.sys.fast_h_delay";
    private static final java.lang.String PROPERTIES_FREEZE_INVERVAL = "persist.sys.fast_h_duration";
    private static final java.lang.String PROPERTIES_IAWARE_FREEZE_DELAY = "persist.sys.iaware_fast_h_delay";
    private static final java.lang.String REASON_GALLERY_SCALE = "gallery scale";
    private static final java.lang.String REASON_PROXIMITY_SCREEN_OFF = "proximity sceenoff";
    private static final java.lang.String REASON_SKIPPED_FRAME = "skippedframe";
    private static final java.lang.String REASON_START_ACTIVITY = "start activity";
    private static final java.lang.String REASON_START_CAMERA = "start camera";
    private static final java.lang.String REASON_START_CAMERA_SHOT = "camera freeze";
    private static final java.lang.String REASON_TIMEOUT = "time out";
    private static final java.lang.String TAG = "mtm.AwareAppFreezeMng";
    private static com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng mAwareAppFreezeMng = null;
    private static boolean mIsEvilEnable = true;
    private java.util.concurrent.atomic.AtomicBoolean isFreeze;
    private java.util.concurrent.atomic.AtomicBoolean isSilde;
    private long lastFreezeTime;
    private com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager mAwareNativeFreezeManager;
    private com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.AwareSceneRecognizeCallback mAwareSceneRecognizeCallback;
    private int mCameraDelay;
    private java.lang.String mCurPkgName;
    private int mDefaultDelay;
    private boolean mEnabled;
    private android.os.Handler mHandler;
    private long mInterval;
    private java.util.concurrent.atomic.AtomicBoolean mIsInitialized;
    private java.util.concurrent.atomic.AtomicBoolean mIsScreenOn;
    private java.util.concurrent.atomic.AtomicBoolean mIsStatusBarRevealed;
    private android.app.IProcessObserver mProcessObserver;

    /* renamed from: com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng$2 */
    static /* synthetic */ class AnonymousClass2 {
        static final /* synthetic */ int[] $SwitchMap$android$rms$iaware$AwareConstant$ResourceType = new int[android.rms.iaware.AwareConstant.ResourceType.values().length];

        static {
            try {
                $SwitchMap$android$rms$iaware$AwareConstant$ResourceType[android.rms.iaware.AwareConstant.ResourceType.RESOURCE_INSTALLER_MANAGER.ordinal()] = 1;
            } catch (java.lang.NoSuchFieldError e) {
            }
        }
    }

    private class AwareAppFreezeMngHanlder extends android.os.Handler {
        /* synthetic */ AwareAppFreezeMngHanlder(com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng x0, com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.AnonymousClass1 x1) {
            this();
        }

        private AwareAppFreezeMngHanlder() {
        }

        public void handleMessage(android.os.Message msg) {
            if (com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.mEnabled) {
                if (com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.DEBUG) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("handleMessage message ");
                    stringBuilder.append(msg.what);
                    android.rms.iaware.AwareLog.d("mtm.AwareAppFreezeMng", stringBuilder.toString());
                }
                switch (msg.what) {
                    case 1:
                        com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.initialize();
                        break;
                    case 2:
                        com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.mCurPkgName = msg.getData().getString("pkgName");
                        if (!com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.isCamera()) {
                            com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.handleToFreeze(com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.mDefaultDelay, "start activity");
                            break;
                        } else {
                            com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.handleToFreeze(com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.mCameraDelay, "start camera");
                            break;
                        }
                    case 3:
                        com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.handleToUnFreeze("time out");
                        break;
                    case 4:
                        com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.handleToFreeze(com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.mDefaultDelay, "camera freeze");
                        break;
                    case 6:
                        com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.mCurPkgName = com.android.server.mtm.utils.InnerUtils.getPackageNameByUid(msg.getData().getInt("uid"));
                        break;
                    case 7:
                        com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.handleToFreeze(com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.mDefaultDelay, "proximity sceenoff");
                        break;
                    case 8:
                        com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.handleSkippedFrameFreeze(com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.mDefaultDelay, "skippedframe");
                        break;
                    case 9:
                        com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.isSilde.set(true);
                        break;
                    case 10:
                        com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.isSilde.set(false);
                        break;
                    case 11:
                        com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.handleToFreeze(com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.mDefaultDelay, "gallery scale");
                        break;
                    default:
                        break;
                }
                return;
            }
            if (com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.DEBUG) {
                android.rms.iaware.AwareLog.d("mtm.AwareAppFreezeMng", "AwareAppFreezeMng feature disabled!");
            }
        }
    }

    private class AwareSceneRecognizeCallback implements com.android.server.rms.iaware.appmng.AwareSceneRecognize.IAwareSceneRecCallback {
        private AwareSceneRecognizeCallback() {
        }

        /* synthetic */ AwareSceneRecognizeCallback(com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng x0, com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.AnonymousClass1 x1) {
            this();
        }

        public void onStateChanged(int sceneType, int eventType, java.lang.String pkgName) {
            android.os.Message msg = com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.mHandler.obtainMessage();
            msg.what = -1;
            if (eventType == 1) {
                if (sceneType == 2) {
                    msg.what = 9;
                } else if (sceneType == 4) {
                    msg.what = 2;
                } else if (sceneType == 8) {
                    msg.what = 4;
                } else if (sceneType == 16) {
                    msg.what = 7;
                } else if (sceneType == 32) {
                    msg.what = 8;
                } else if (sceneType == 64) {
                    msg.what = 11;
                }
            } else if (sceneType == 2) {
                msg.what = 10;
            }
            if (msg.what != -1) {
                android.os.Bundle data = new android.os.Bundle();
                data.putString("pkgName", pkgName);
                msg.setData(data);
                com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.mHandler.sendMessage(msg);
            }
        }
    }

    public static synchronized com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng getInstance() {
        com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng awareAppFreezeMng;
        synchronized (com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.class) {
            if (mAwareAppFreezeMng == null) {
                mAwareAppFreezeMng = new com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng();
            }
            awareAppFreezeMng = mAwareAppFreezeMng;
        }
        return awareAppFreezeMng;
    }

    private AwareAppFreezeMng() {
        this.mEnabled = false;
        this.mIsScreenOn = new java.util.concurrent.atomic.AtomicBoolean(true);
        this.mIsStatusBarRevealed = new java.util.concurrent.atomic.AtomicBoolean(false);
        this.isFreeze = new java.util.concurrent.atomic.AtomicBoolean(false);
        this.isSilde = new java.util.concurrent.atomic.AtomicBoolean(false);
        this.mHandler = null;
        this.mCurPkgName = "";
        this.lastFreezeTime = android.os.SystemClock.elapsedRealtimeNanos();
        this.mInterval = 4500;
        this.mDefaultDelay = 1500;
        this.mCameraDelay = 1500;
        this.mIsInitialized = new java.util.concurrent.atomic.AtomicBoolean(false);
        this.mAwareSceneRecognizeCallback = new com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.AwareSceneRecognizeCallback(this, null);
        this.mProcessObserver = new android.app.IProcessObserver.Stub() {
            public void onForegroundActivitiesChanged(int pid, int uid, boolean foregroundActivities) {
                com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.mAwareNativeFreezeManager.onFgActivitiesChanged(pid, uid, foregroundActivities);
                if (foregroundActivities) {
                    if (com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.mEnabled) {
                        android.os.Message msg = com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.mHandler.obtainMessage();
                        msg.what = 6;
                        msg.getData().putInt("uid", uid);
                        com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.this.mHandler.sendMessage(msg);
                    }
                }
            }

            public void onProcessDied(int pid, int uid) {
            }
        };
        this.mInterval = (long) android.os.SystemProperties.getInt("persist.sys.fast_h_duration", 4500);
        mIsEvilEnable = android.os.SystemProperties.getBoolean("persist.sys.control_evil", true);
        this.mDefaultDelay = android.os.SystemProperties.getInt("persist.sys.iaware_fast_h_delay", 1500);
        this.mCameraDelay = android.os.SystemProperties.getInt("persist.sys.fast_h_delay", 1500);
        if (this.mDefaultDelay > this.mCameraDelay) {
            this.mDefaultDelay = this.mCameraDelay;
        }
    }

    private void initialize() {
        if (!this.mIsInitialized.get()) {
            this.mHandler = new com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.AwareAppFreezeMngHanlder(this, null);
            this.mAwareNativeFreezeManager = new com.android.server.mtm.iaware.appmng.appfreeze.AwareNativeFreezeManager();
            registerAwareSceneRecognize();
            registerObserver();
            com.android.server.mtm.MultiTaskManagerService mMtmService = com.android.server.mtm.MultiTaskManagerService.self();
            if (mMtmService != null) {
                com.android.server.mtm.iaware.appmng.DecisionMaker.getInstance().updateRule(android.app.mtm.iaware.appmng.AppMngConstant.AppMngFeature.APP_FREEZE, mMtmService.context());
                com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.getInstance().init(mMtmService.context());
                this.mAwareNativeFreezeManager.start(mMtmService.context());
            }
            this.mIsInitialized.set(true);
        }
    }

    private void deInitialize() {
        if (this.mIsInitialized.get()) {
            unregisterAwareSceneRecognize();
            unregisterObserver();
            com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.getInstance().deInitDefaultFree();
            this.mAwareNativeFreezeManager.destroy();
            this.mIsInitialized.set(false);
        }
    }

    private void registerAwareSceneRecognize() {
        com.android.server.rms.iaware.appmng.AwareSceneRecognize recognize = com.android.server.rms.iaware.appmng.AwareSceneRecognize.getInstance();
        if (recognize != null) {
            recognize.registerStateCallback(this.mAwareSceneRecognizeCallback, 1);
        }
    }

    private void unregisterAwareSceneRecognize() {
        com.android.server.rms.iaware.appmng.AwareSceneRecognize recognize = com.android.server.rms.iaware.appmng.AwareSceneRecognize.getInstance();
        if (recognize != null) {
            recognize.unregisterStateCallback(this.mAwareSceneRecognizeCallback);
        }
    }

    public void enable() {
        if (mAwareAppFreezeMng == null) {
            android.rms.iaware.AwareLog.e("mtm.AwareAppFreezeMng", "AwareAppFreezeMng enable failed");
            return;
        }
        mAwareAppFreezeMng.initialize();
        this.mEnabled = true;
    }

    public void disable() {
        if (mAwareAppFreezeMng == null) {
            android.rms.iaware.AwareLog.e("mtm.AwareAppFreezeMng", "AwareAppFreezeMng disable failed");
            return;
        }
        mAwareAppFreezeMng.deInitialize();
        this.mEnabled = false;
    }

    private boolean isEvilControlEnable() {
        return this.mEnabled && mIsEvilEnable;
    }

    public static void enableDebug() {
        DEBUG = true;
    }

    public static void disableDebug() {
        DEBUG = false;
    }

    private void handleToUnFreeze(java.lang.String reason) {
        this.isFreeze.set(false);
    }

    private void handleSkippedFrameFreeze(int duration, java.lang.String reason) {
        if (this.isSilde.get()) {
            handleToFreeze(this.mDefaultDelay, "skippedframe");
        }
    }

    private void handleToFreeze(int duration, java.lang.String reason) {
        if (!this.mIsScreenOn.get()) {
            android.rms.iaware.AwareLog.i("mtm.AwareAppFreezeMng", "Current is Screen off now");
        } else if (this.mIsStatusBarRevealed.get()) {
            android.rms.iaware.AwareLog.i("mtm.AwareAppFreezeMng", "Current status bar is revealed now");
        } else if (com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().getDefaultHomePackages().contains(this.mCurPkgName)) {
            android.rms.iaware.AwareLog.i("mtm.AwareAppFreezeMng", "Current is on launcher");
        } else if ("com.android.systemui".equals(this.mCurPkgName)) {
            android.rms.iaware.AwareLog.i("mtm.AwareAppFreezeMng", "Current is on system ui");
        } else {
            if (!this.isFreeze.get()) {
                long curTime = android.os.SystemClock.elapsedRealtimeNanos();
                if (curTime - this.lastFreezeTime >= this.mInterval * 1000000) {
                    android.app.mtm.iaware.appmng.AppMngConstant.AppFreezeSource config = android.app.mtm.iaware.appmng.AppMngConstant.AppFreezeSource.FAST_FREEZE;
                    if (isCamera()) {
                        config = android.app.mtm.iaware.appmng.AppMngConstant.AppFreezeSource.CAMERA_FREEZE;
                    }
                    com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.getInstance().doFrozen(this.mCurPkgName, config, duration, reason);
                    this.isFreeze.set(true);
                    this.lastFreezeTime = curTime;
                    this.mHandler.sendEmptyMessageDelayed(3, (long) this.mDefaultDelay);
                }
            }
        }
    }

    private boolean isCamera() {
        if (this.mCurPkgName == null || !"com.huawei.camera".equals(this.mCurPkgName)) {
            return false;
        }
        return true;
    }

    private void registerObserver() {
        try {
            android.app.ActivityManagerNative.getDefault().registerProcessObserver(this.mProcessObserver);
        } catch (android.os.RemoteException e) {
            android.rms.iaware.AwareLog.w("mtm.AwareAppFreezeMng", "register process observer failed");
        }
    }

    private void unregisterObserver() {
        try {
            android.app.ActivityManagerNative.getDefault().unregisterProcessObserver(this.mProcessObserver);
        } catch (android.os.RemoteException e) {
            android.rms.iaware.AwareLog.w("mtm.AwareAppFreezeMng", "unregister process observer failed");
        }
    }

    public void report(int eventId) {
        if (this.mEnabled) {
            java.lang.StringBuilder stringBuilder;
            if (DEBUG) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("resId: ");
                stringBuilder.append(eventId);
                android.rms.iaware.AwareLog.d("mtm.AwareAppFreezeMng", stringBuilder.toString());
            }
            if (!this.mIsInitialized.get()) {
                initialize();
            }
            if (eventId == 20011) {
                this.mAwareNativeFreezeManager.reportScreenEvent(true);
                this.mIsScreenOn.set(true);
            } else if (eventId == 20015) {
                this.mIsStatusBarRevealed.set(true);
            } else if (eventId == 90011) {
                this.mAwareNativeFreezeManager.reportScreenEvent(false);
                this.mIsScreenOn.set(false);
            } else if (eventId != 90015) {
                stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("Unknown EventID: ");
                stringBuilder.append(eventId);
                android.rms.iaware.AwareLog.e("mtm.AwareAppFreezeMng", stringBuilder.toString());
            } else {
                this.mIsStatusBarRevealed.set(false);
            }
            return;
        }
        if (DEBUG) {
            android.rms.iaware.AwareLog.d("mtm.AwareAppFreezeMng", "AwareAppFreezeMng feature disabled!");
        }
    }

    public void report(android.rms.iaware.AwareConstant.ResourceType type, android.rms.iaware.CollectData data) {
        if (this.mEnabled) {
            if (com.android.server.mtm.iaware.appmng.appfreeze.AwareAppFreezeMng.AnonymousClass2.$SwitchMap$android$rms$iaware$AwareConstant$ResourceType[type.ordinal()] == 1) {
                this.mAwareNativeFreezeManager.reportData(1, data);
            }
            return;
        }
        if (DEBUG) {
            android.rms.iaware.AwareLog.d("mtm.AwareAppFreezeMng", "AwareAppFreezeMng feature disabled!");
        }
    }

    public void dump(java.io.PrintWriter pw) {
        if (pw != null) {
            if (this.mEnabled) {
                com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.getInstance().dump(pw);
            } else {
                pw.println("AwareAppFreezeMng feature disabled.");
            }
        }
    }

    public void dumpFreezeApp(java.io.PrintWriter pw, java.lang.String pkg, int time) {
        if (pw != null) {
            if (this.mEnabled) {
                com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.getInstance().dumpFreezeApp(pw, pkg, time);
            } else {
                pw.println("AwareAppFreezeMng feature disabled.");
            }
        }
    }

    public boolean isEvilWindow(int window, int code, int type) {
        if (isEvilControlEnable()) {
            boolean result = false;
            if (type == 1) {
                result = com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().isEvilAlertWindow(window, code);
            } else if (type == 2) {
                result = com.android.server.rms.iaware.appmng.AwareIntelligentRecg.getInstance().isEvilToastWindow(window, code);
            }
            return result;
        }
        android.rms.iaware.AwareLog.i("mtm.AwareAppFreezeMng", "evil window control is disabled");
        return false;
    }

    public void dumpFreezeBadPid(java.io.PrintWriter pw, int pid, int uid) {
        if (pw != null) {
            if (this.mEnabled) {
                com.android.server.mtm.iaware.appmng.appfreeze.AwareAppDefaultFreeze.getInstance().dumpFreezeBadPid(pw, pid, uid);
            } else {
                pw.println("AwareAppFreezeMng feature disabled.");
            }
        }
    }
}
