package com.android.server.policy;

public class SearchPanelCircleView extends android.widget.FrameLayout {
    public static final android.view.animation.Interpolator ALPHA_OUT = new android.view.animation.PathInterpolator(0.0f, 0.0f, 0.8f, 1.0f);
    private static final java.lang.String TAG = "SearchPanelCircleView";
    private java.lang.Boolean isLandScapeProduct;
    private boolean mAnimatingOut;
    private final android.view.animation.Interpolator mAppearInterpolator;
    private final android.graphics.Paint mBackgroundPaint;
    private final int mBaseMargin;
    private float mCircleAnimationEndValue;
    private android.animation.ValueAnimator mCircleAnimator;
    private boolean mCircleHidden;
    private final int mCircleMinSize;
    private final android.graphics.Rect mCircleRect;
    private float mCircleSize;
    private android.animation.ValueAnimator.AnimatorUpdateListener mCircleUpdateListener;
    private android.animation.AnimatorListenerAdapter mClearAnimatorListener;
    private boolean mClipToOutline;
    private final android.view.animation.Interpolator mDisappearInterpolator;
    private boolean mDraggedFarEnough;
    private android.animation.ValueAnimator mFadeOutAnimator;
    private final android.view.animation.Interpolator mFastOutSlowInInterpolator;
    private android.widget.ImageView mLogo;
    private final int mMaxElevation;
    private float mOffset;
    private boolean mOffsetAnimatingIn;
    private android.animation.ValueAnimator mOffsetAnimator;
    private android.animation.ValueAnimator.AnimatorUpdateListener mOffsetUpdateListener;
    private float mOutlineAlpha;
    private final android.graphics.Paint mRipplePaint;
    private java.util.ArrayList<com.android.server.policy.SearchPanelCircleView.Ripple> mRipples;
    private final int mStaticOffset;
    private final android.graphics.Rect mStaticRect;

    private static class MyAnimatorListenerAdapter extends android.animation.AnimatorListenerAdapter {
        java.lang.Runnable mRunnable;

        public MyAnimatorListenerAdapter(java.lang.Runnable runnable) {
            this.mRunnable = runnable;
        }

        public void onAnimationEnd(android.animation.Animator animation) {
            if (this.mRunnable != null) {
                this.mRunnable.run();
            }
        }
    }

    private class Ripple {
        float alpha;
        float endRadius;
        float radius;
        float x;
        float y;

        Ripple(float x, float y, float endRadius) {
            this.x = x;
            this.y = y;
            this.endRadius = endRadius;
        }

        /* JADX WARNING: Incorrect type for fill-array insn 0x0003, element type: float, insn element type: null */
        void start() {
            /*
            r3 = this;
            r0 = 2;
            r0 = new float[r0];
            r0 = {0, 1065353216};
            r0 = android.animation.ValueAnimator.ofFloat(r0);
            r1 = new android.view.animation.LinearInterpolator;
            r1.<init>();
            r0.setInterpolator(r1);
            r1 = new com.android.server.policy.SearchPanelCircleView$Ripple$1;
            r1.<init>();
            r0.addUpdateListener(r1);
            r1 = new com.android.server.policy.SearchPanelCircleView$Ripple$2;
            r1.<init>();
            r0.addListener(r1);
            r1 = 400; // 0x190 float:5.6E-43 double:1.976E-321;
            r0.setDuration(r1);
            r0.start();
            return;
            */
            throw new UnsupportedOperationException("Method not decompiled: com.android.server.policy.SearchPanelCircleView.Ripple.start():void");
        }

        public void draw(android.graphics.Canvas canvas) {
            com.android.server.policy.SearchPanelCircleView.this.mRipplePaint.setAlpha((int) (this.alpha * 255.0f));
            canvas.drawCircle(this.x, this.y, this.radius, com.android.server.policy.SearchPanelCircleView.this.mRipplePaint);
        }
    }

    public SearchPanelCircleView(android.content.Context context) {
        this(context, null);
    }

    public SearchPanelCircleView(android.content.Context context, android.util.AttributeSet attrs) {
        this(context, attrs, 0);
    }

    public SearchPanelCircleView(android.content.Context context, android.util.AttributeSet attrs, int defStyleAttr) {
        this(context, attrs, defStyleAttr, 0);
    }

    public SearchPanelCircleView(android.content.Context context, android.util.AttributeSet attrs, int defStyleAttr, int defStyleRes) {
        super(context, attrs, defStyleAttr, defStyleRes);
        this.mBackgroundPaint = new android.graphics.Paint();
        this.mRipplePaint = new android.graphics.Paint();
        this.mCircleRect = new android.graphics.Rect();
        this.mStaticRect = new android.graphics.Rect();
        this.mRipples = new java.util.ArrayList();
        this.isLandScapeProduct = java.lang.Boolean.valueOf(android.os.SystemProperties.getInt("ro.panel.hw_orientation", 0) == 90);
        this.mCircleUpdateListener = new android.animation.ValueAnimator.AnimatorUpdateListener() {
            public void onAnimationUpdate(android.animation.ValueAnimator animation) {
                com.android.server.policy.SearchPanelCircleView.this.applyCircleSize(((java.lang.Float) animation.getAnimatedValue()).floatValue());
                com.android.server.policy.SearchPanelCircleView.this.updateElevation();
            }
        };
        this.mClearAnimatorListener = new android.animation.AnimatorListenerAdapter() {
            public void onAnimationEnd(android.animation.Animator animation) {
                com.android.server.policy.SearchPanelCircleView.this.mCircleAnimator = null;
            }
        };
        this.mOffsetUpdateListener = new android.animation.ValueAnimator.AnimatorUpdateListener() {
            public void onAnimationUpdate(android.animation.ValueAnimator animation) {
                com.android.server.policy.SearchPanelCircleView.this.setOffset(((java.lang.Float) animation.getAnimatedValue()).floatValue());
            }
        };
        setOutlineProvider(new android.view.ViewOutlineProvider() {
            public void getOutline(android.view.View view, android.graphics.Outline outline) {
                if (com.android.server.policy.SearchPanelCircleView.this.mCircleSize > 0.0f) {
                    outline.setOval(com.android.server.policy.SearchPanelCircleView.this.mCircleRect);
                } else {
                    outline.setEmpty();
                }
                outline.setAlpha(com.android.server.policy.SearchPanelCircleView.this.mOutlineAlpha);
            }
        });
        setWillNotDraw(false);
        this.mCircleMinSize = context.getResources().getDimensionPixelSize(34472143);
        this.mBaseMargin = context.getResources().getDimensionPixelSize(34472144);
        this.mStaticOffset = context.getResources().getDimensionPixelSize(34472145);
        this.mMaxElevation = context.getResources().getDimensionPixelSize(34472146);
        this.mAppearInterpolator = android.view.animation.AnimationUtils.loadInterpolator(this.mContext, 17563662);
        this.mFastOutSlowInInterpolator = android.view.animation.AnimationUtils.loadInterpolator(this.mContext, 17563661);
        this.mDisappearInterpolator = android.view.animation.AnimationUtils.loadInterpolator(this.mContext, 17563663);
        this.mBackgroundPaint.setAntiAlias(true);
        this.mBackgroundPaint.setColor(getResources().getColor(33882315));
        this.mRipplePaint.setColor(getResources().getColor(33882316));
        this.mRipplePaint.setAntiAlias(true);
    }

    protected void onDraw(android.graphics.Canvas canvas) {
        super.onDraw(canvas);
        drawBackground(canvas);
        drawRipples(canvas);
    }

    private void drawRipples(android.graphics.Canvas canvas) {
        int size = this.mRipples.size();
        for (int i = 0; i < size; i++) {
            ((com.android.server.policy.SearchPanelCircleView.Ripple) this.mRipples.get(i)).draw(canvas);
        }
    }

    private void drawBackground(android.graphics.Canvas canvas) {
        canvas.drawCircle((float) this.mCircleRect.centerX(), (float) this.mCircleRect.centerY(), this.mCircleSize / 2.0f, this.mBackgroundPaint);
    }

    protected void onFinishInflate() {
        super.onFinishInflate();
        this.mLogo = (android.widget.ImageView) findViewById(34603140);
    }

    protected void onLayout(boolean changed, int l, int t, int r, int b) {
        super.onLayout(changed, l, t, r, b);
        this.mLogo.layout(0, 0, this.mLogo.getMeasuredWidth(), this.mLogo.getMeasuredHeight());
        if (changed) {
            updateCircleRect(this.mStaticRect, (float) this.mStaticOffset, true);
        }
    }

    public void setCircleSize(float circleSize) {
        setCircleSize(circleSize, false, null, 0, null);
    }

    public void setCircleSize(float circleSize, boolean animated, java.lang.Runnable endRunnable, int startDelay, android.view.animation.Interpolator interpolator) {
        boolean isAnimating = this.mCircleAnimator != null;
        boolean animationPending = isAnimating && !this.mCircleAnimator.isRunning();
        boolean animatingOut = isAnimating && this.mCircleAnimationEndValue == 0.0f;
        if (!(animated || animationPending)) {
            if (!animatingOut) {
                if (isAnimating) {
                    float diff = circleSize - this.mCircleAnimationEndValue;
                    this.mCircleAnimator.getValues()[0].setFloatValues(new float[]{diff, circleSize});
                    this.mCircleAnimator.setCurrentPlayTime(this.mCircleAnimator.getCurrentPlayTime());
                    this.mCircleAnimationEndValue = circleSize;
                    return;
                }
                applyCircleSize(circleSize);
                updateElevation();
                return;
            }
        }
        if (isAnimating) {
            this.mCircleAnimator.cancel();
        }
        this.mCircleAnimator = android.animation.ValueAnimator.ofFloat(new float[]{this.mCircleSize, circleSize});
        this.mCircleAnimator.addUpdateListener(this.mCircleUpdateListener);
        this.mCircleAnimator.addListener(this.mClearAnimatorListener);
        this.mCircleAnimator.addListener(new com.android.server.policy.SearchPanelCircleView.MyAnimatorListenerAdapter(endRunnable));
        this.mCircleAnimator.setInterpolator(interpolator != null ? interpolator : this.mDisappearInterpolator);
        this.mCircleAnimator.setDuration(300);
        this.mCircleAnimator.setStartDelay((long) startDelay);
        this.mCircleAnimator.start();
        this.mCircleAnimationEndValue = circleSize;
    }

    private void applyCircleSize(float circleSize) {
        this.mCircleSize = circleSize;
        updateLayout();
    }

    private void updateElevation() {
        float t = (((float) this.mStaticOffset) - this.mOffset) / ((float) this.mStaticOffset);
        float f = 0.0f;
        if (1.0f - t > 0.0f) {
            f = t;
        }
        setElevation(((float) this.mMaxElevation) * f);
    }

    public void setOffset(float offset) {
        setOffset(offset, false, 0, null, null);
    }

    private void setOffset(float offset, boolean animate, int startDelay, android.view.animation.Interpolator interpolator, final java.lang.Runnable endRunnable) {
        if (animate) {
            if (this.mOffsetAnimator != null) {
                this.mOffsetAnimator.removeAllListeners();
                this.mOffsetAnimator.cancel();
            }
            float[] fArr = new float[2];
            fArr[0] = this.mOffset;
            boolean z = true;
            fArr[1] = offset;
            this.mOffsetAnimator = android.animation.ValueAnimator.ofFloat(fArr);
            this.mOffsetAnimator.addUpdateListener(this.mOffsetUpdateListener);
            this.mOffsetAnimator.addListener(new android.animation.AnimatorListenerAdapter() {
                public void onAnimationEnd(android.animation.Animator animation) {
                    com.android.server.policy.SearchPanelCircleView.this.mOffsetAnimator = null;
                    if (endRunnable != null) {
                        endRunnable.run();
                    }
                }
            });
            this.mOffsetAnimator.setInterpolator(interpolator != null ? interpolator : this.mDisappearInterpolator);
            this.mOffsetAnimator.setStartDelay((long) startDelay);
            this.mOffsetAnimator.setDuration(300);
            this.mOffsetAnimator.start();
            if (offset == 0.0f) {
                z = false;
            }
            this.mOffsetAnimatingIn = z;
            return;
        }
        this.mOffset = offset;
        updateLayout();
        if (endRunnable != null) {
            endRunnable.run();
        }
    }

    private void updateLayout() {
        updateCircleRect();
        updateLogo();
        invalidateOutline();
        invalidate();
        updateClipping();
    }

    /* JADX WARNING: Removed duplicated region for block: B:11:? A:{SYNTHETIC, RETURN} */
    /* JADX WARNING: Removed duplicated region for block: B:9:0x0019  */
    private void updateClipping() {
        /*
        r2 = this;
        r0 = r2.mCircleSize;
        r1 = r2.mCircleMinSize;
        r1 = (float) r1;
        r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1));
        if (r0 < 0) goto L_0x0014;
    L_0x0009:
        r0 = r2.mRipples;
        r0 = r0.isEmpty();
        if (r0 != 0) goto L_0x0012;
    L_0x0011:
        goto L_0x0014;
    L_0x0012:
        r0 = 0;
        goto L_0x0015;
    L_0x0014:
        r0 = 1;
    L_0x0015:
        r1 = r2.mClipToOutline;
        if (r0 == r1) goto L_0x001e;
    L_0x0019:
        r2.setClipToOutline(r0);
        r2.mClipToOutline = r0;
    L_0x001e:
        return;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.policy.SearchPanelCircleView.updateClipping():void");
    }

    private void updateLogo() {
        boolean exitAnimationRunning = this.mFadeOutAnimator != null;
        android.graphics.Rect rect = exitAnimationRunning ? this.mCircleRect : this.mStaticRect;
        float translationX = (((float) (rect.left + rect.right)) / 2.0f) - (((float) this.mLogo.getWidth()) / 2.0f);
        float translationY = (((float) (rect.top + rect.bottom)) / 2.0f) - (((float) this.mLogo.getHeight()) / 2.0f);
        float t = (((float) this.mStaticOffset) - this.mOffset) / ((float) this.mStaticOffset);
        if (exitAnimationRunning) {
            translationY += (this.mOffset - ((float) this.mStaticOffset)) / 2.0f;
        } else {
            if (isLand()) {
                translationX += (((float) this.mStaticOffset) * t) * 0.3f;
            } else {
                translationY += (((float) this.mStaticOffset) * t) * 0.3f;
            }
            float alphaTmp = ((1.0f - t) - 0.5f) * 2.0f;
            float alpha = 0.0f;
            if (alphaTmp > 0.0f) {
                alpha = alphaTmp;
            }
            this.mLogo.setAlpha(alpha);
        }
        this.mLogo.setTranslationX(translationX);
        this.mLogo.setTranslationY(translationY);
    }

    private void updateCircleRect() {
        updateCircleRect(this.mCircleRect, this.mOffset, false);
    }

    private void updateCircleRect(android.graphics.Rect rect, float offset, boolean useStaticSize) {
        int left;
        int top;
        float circleSize = useStaticSize ? (float) this.mCircleMinSize : this.mCircleSize;
        if (!isLand()) {
            left = ((int) (((float) getWidth()) - circleSize)) / 2;
            top = (int) (((((float) getHeight()) - (circleSize / 2.0f)) - ((float) this.mBaseMargin)) - offset);
        } else if (this.isLandScapeProduct.booleanValue()) {
            left = ((int) (((float) getWidth()) - circleSize)) / 2;
            top = (int) (((((float) getHeight()) - (circleSize / 2.0f)) - ((float) this.mBaseMargin)) - offset);
        } else {
            left = (int) (((((float) getWidth()) - (circleSize / 2.0f)) - ((float) this.mBaseMargin)) - offset);
            top = (int) ((((float) getHeight()) - circleSize) / 2.0f);
        }
        rect.set(left, top, (int) (((float) left) + circleSize), (int) (((float) top) + circleSize));
    }

    public void setHorizontal(boolean horizontal) {
        updateCircleRect(this.mStaticRect, (float) this.mStaticOffset, true);
        updateLayout();
    }

    public void setDragDistance(float distance) {
        if (!this.mAnimatingOut) {
            if (!this.mCircleHidden || this.mDraggedFarEnough) {
                setCircleSize(((float) this.mCircleMinSize) + rubberband(distance));
            }
        }
    }

    private float rubberband(float diff) {
        return (float) java.lang.Math.pow((double) java.lang.Math.abs(diff), 0.6000000238418579d);
    }

    public void startAbortAnimation(java.lang.Runnable endRunnable) {
        if (this.mAnimatingOut) {
            if (endRunnable != null) {
                endRunnable.run();
            }
            return;
        }
        setCircleSize(0.0f, true, null, 0, null);
        setOffset(0.0f, true, 0, null, endRunnable);
        animate().alpha(0.0f).setDuration(300).setStartDelay(0).setInterpolator(ALPHA_OUT).start();
        this.mCircleHidden = true;
    }

    public void startEnterAnimation() {
        if (!this.mAnimatingOut) {
            setAlpha(1.0f);
            applyCircleSize(0.0f);
            setOffset(0.0f);
            setCircleSize((float) this.mCircleMinSize, true, null, 50, null);
            setOffset((float) this.mStaticOffset, true, 50, null, null);
            this.mCircleHidden = false;
        }
    }

    public void startExitAnimation(java.lang.Runnable endRunnable) {
        if (isLand()) {
            endRunnable.run();
            return;
        }
        setOffset((((float) getHeight()) / 2.0f) - ((float) this.mBaseMargin), true, 50, this.mFastOutSlowInInterpolator, null);
        setCircleSize((float) java.lang.Math.ceil(java.lang.Math.hypot((double) (((float) getWidth()) / 2.0f), (double) (((float) getHeight()) / 2.0f)) * 2.0d), true, null, 50, this.mFastOutSlowInInterpolator);
        performExitFadeOutAnimation(50, 300, endRunnable);
    }

    private void performExitFadeOutAnimation(int startDelay, int duration, final java.lang.Runnable endRunnable) {
        this.mFadeOutAnimator = android.animation.ValueAnimator.ofFloat(new float[]{((float) this.mBackgroundPaint.getAlpha()) / 255.0f, 0.0f});
        this.mFadeOutAnimator.setInterpolator(new android.view.animation.LinearInterpolator());
        this.mFadeOutAnimator.addUpdateListener(new android.animation.ValueAnimator.AnimatorUpdateListener() {
            public void onAnimationUpdate(android.animation.ValueAnimator animation) {
                float backgroundValue;
                float animatedFraction = animation.getAnimatedFraction();
                float logoValue = com.android.server.policy.SearchPanelCircleView.ALPHA_OUT.getInterpolation(1.0f - (animatedFraction > 0.5f ? 1.0f : animatedFraction / 0.5f));
                if (animatedFraction < 0.2f) {
                    backgroundValue = 0.0f;
                } else {
                    backgroundValue = com.android.server.policy.SearchPanelCircleView.ALPHA_OUT.getInterpolation((animatedFraction - 0.2f) / 0.8f);
                }
                float backgroundValue2 = 1.0f - backgroundValue;
                com.android.server.policy.SearchPanelCircleView.this.mBackgroundPaint.setAlpha((int) (255.0f * backgroundValue2));
                com.android.server.policy.SearchPanelCircleView.this.mOutlineAlpha = backgroundValue2;
                com.android.server.policy.SearchPanelCircleView.this.mLogo.setAlpha(logoValue);
                com.android.server.policy.SearchPanelCircleView.this.invalidateOutline();
                com.android.server.policy.SearchPanelCircleView.this.invalidate();
            }
        });
        this.mFadeOutAnimator.addListener(new android.animation.AnimatorListenerAdapter() {
            public void onAnimationEnd(android.animation.Animator animation) {
                if (endRunnable != null) {
                    endRunnable.run();
                }
                com.android.server.policy.SearchPanelCircleView.this.mLogo.setAlpha(1.0f);
                com.android.server.policy.SearchPanelCircleView.this.mBackgroundPaint.setAlpha(255);
                com.android.server.policy.SearchPanelCircleView.this.mOutlineAlpha = 1.0f;
                com.android.server.policy.SearchPanelCircleView.this.mFadeOutAnimator = null;
            }
        });
        this.mFadeOutAnimator.setStartDelay((long) startDelay);
        this.mFadeOutAnimator.setDuration((long) duration);
        this.mFadeOutAnimator.start();
    }

    public void setDraggedFarEnough(boolean farEnough) {
        if (farEnough != this.mDraggedFarEnough) {
            if (farEnough) {
                if (this.mCircleHidden) {
                    startEnterAnimation();
                }
                if (this.mOffsetAnimator == null) {
                    addRipple();
                } else {
                    postDelayed(new java.lang.Runnable() {
                        public void run() {
                            com.android.server.policy.SearchPanelCircleView.this.addRipple();
                        }
                    }, 100);
                }
            } else {
                startAbortAnimation(null);
            }
            this.mDraggedFarEnough = farEnough;
        }
    }

    private void addRipple() {
        if (this.mRipples.size() <= 1) {
            float xInterpolation;
            float yInterpolation;
            if (isLand()) {
                xInterpolation = 0.75f;
                yInterpolation = 0.5f;
            } else {
                xInterpolation = 0.5f;
                yInterpolation = 0.75f;
            }
            new com.android.server.policy.SearchPanelCircleView.Ripple((((float) this.mStaticRect.left) * (1.0f - xInterpolation)) + (((float) this.mStaticRect.right) * xInterpolation), (((float) this.mStaticRect.top) * (1.0f - yInterpolation)) + (((float) this.mStaticRect.bottom) * yInterpolation), 0.75f * (this.mCircleSize > ((float) this.mCircleMinSize) * 1.25f ? this.mCircleSize : ((float) this.mCircleMinSize) * 1.25f)).start();
        }
    }

    public void reset() {
        this.mDraggedFarEnough = false;
        this.mAnimatingOut = false;
        this.mCircleHidden = true;
        this.mClipToOutline = false;
        if (this.mFadeOutAnimator != null) {
            this.mFadeOutAnimator.cancel();
        }
        this.mBackgroundPaint.setAlpha(255);
        this.mOutlineAlpha = 1.0f;
    }

    public boolean isAnimationRunning(boolean enterAnimation) {
        return this.mOffsetAnimator != null && enterAnimation == this.mOffsetAnimatingIn;
    }

    public void performOnAnimationFinished(java.lang.Runnable runnable) {
        if (this.mOffsetAnimator != null) {
            this.mOffsetAnimator.addListener(new com.android.server.policy.SearchPanelCircleView.MyAnimatorListenerAdapter(runnable));
        } else if (runnable != null) {
            runnable.run();
        }
    }

    public void setAnimatingOut(boolean animatingOut) {
        this.mAnimatingOut = animatingOut;
    }

    public boolean isAnimatingOut() {
        return this.mAnimatingOut;
    }

    public boolean hasOverlappingRendering() {
        return false;
    }

    public boolean isLand() {
        return 2 == getResources().getConfiguration().orientation;
    }
}
