package com.android.server.rms.iaware.feature;

public class AppQuickStartFeature extends com.android.server.rms.iaware.feature.RFeature {
    private static final java.lang.String AQS_EXCTPRD_ACTNAME = "ActName";
    private static final java.lang.String AQS_EXCTPRD_APPNAME = "AppName";
    private static final java.lang.String AQS_EXCTPRD_COLLECT_TIMEOUT = "CollectTimeout";
    private static final java.lang.String AQS_EXCTPRD_EXCLUDED_APP = "ExcludedApp";
    private static final java.lang.String AQS_EXCTPRD_INCLUDED_ACT = "IncludedAct";
    private static final java.lang.String AQS_EXCTPRD_LAUNCH_TIMEOUT = "LaunchTimeout";
    private static final java.lang.String AQS_EXCTPRD_NAME = "ExactPreread";
    private static final java.lang.String AQS_EXCTPRD_PAUSE_DELAY = "PauseDelay";
    private static final java.lang.String AQS_EXCTPRD_PAUSE_TIMEOUT = "PauseTimeout";
    private static final java.lang.String AQS_EXCTPRD_RAMSIZE = "ramsize";
    private static final java.lang.String AQS_EXCTPRD_SWITCH = "Switch";
    private static final java.lang.String AQS_EXCTPRD_TYPE = "type";
    private static final java.lang.String AQS_FEATURENAME = "AppQuickStart";
    private static final int FEATURE_MIN_VERSION = 3;
    private static final java.lang.String TAG = "AppQuickStart";
    private static boolean mExactPrereadFeature = false;
    private static final android.util.ArraySet<java.lang.String> mExctprdExcApps = new android.util.ArraySet();
    private static final android.util.ArraySet<java.lang.String> mExctprdIncActs = new android.util.ArraySet();
    private static final java.util.concurrent.atomic.AtomicBoolean mRunning = new java.util.concurrent.atomic.AtomicBoolean(false);
    private com.android.server.rms.iaware.feature.AppQuickStartFeature.ExactPrereadWorkHandler mExactPrereadWorkHandler;
    private int mLastColdBootAppID = -1;
    private java.lang.String mLastColdBootPkgName = null;
    private long mLastDisplayBeginTime = -1;
    private long mLastInputTime = 0;

    /* renamed from: com.android.server.rms.iaware.feature.AppQuickStartFeature$1 */
    static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$android$rms$iaware$AwareConstant$ResourceType = new int[android.rms.iaware.AwareConstant.ResourceType.values().length];

        static {
            try {
                $SwitchMap$android$rms$iaware$AwareConstant$ResourceType[android.rms.iaware.AwareConstant.ResourceType.RES_APP.ordinal()] = 1;
            } catch (java.lang.NoSuchFieldError e) {
            }
            try {
                $SwitchMap$android$rms$iaware$AwareConstant$ResourceType[android.rms.iaware.AwareConstant.ResourceType.RES_INPUT.ordinal()] = 2;
            } catch (java.lang.NoSuchFieldError e2) {
            }
            try {
                $SwitchMap$android$rms$iaware$AwareConstant$ResourceType[android.rms.iaware.AwareConstant.ResourceType.RESOURCE_USERHABIT.ordinal()] = 3;
            } catch (java.lang.NoSuchFieldError e3) {
            }
            try {
                $SwitchMap$android$rms$iaware$AwareConstant$ResourceType[android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SHUTDOWN.ordinal()] = 4;
            } catch (java.lang.NoSuchFieldError e4) {
            }
        }
    }

    private final class ExactPrereadWorkHandler extends android.os.Handler {
        private static final int INVALID_ID = -1;
        private static final java.lang.String INVALID_NAME = "";
        private static final int INVALID_TYPE = -1;
        private static final int MAX_LAUNCH_TIMEOUT = 20000;
        private static final int MAX_PAUSECOLLECT_TIMEOUT = 20000;
        private static final int MAX_PAUSEDELAY_TIMEOUT = 3000;
        private static final int MAX_PAUSE_TIMEOUT = 10000;
        private static final int MIN_LAUNCH_TIMEOUT = 5000;
        private static final int MSG_DELAY_PAUSE_TIMEOUT = 300;
        private static final int MSG_LAUNCH_TIMEOUT = 100;
        private static final int MSG_PAUSE_COLLECT_TIMEOUT = 400;
        private static final int MSG_PAUSE_TIMEOUT = 200;
        private int mDelayPauseTimeout = 0;
        private int mLaunchTimeout = 10000;
        private int mPauseCollectTimeout = 8000;
        private int mPauseTimeout = 1000;
        private com.android.server.rms.iaware.feature.AppQuickStartFeature.ExactPrereadWorkHandler.ExactPrereadWork mWork = new com.android.server.rms.iaware.feature.AppQuickStartFeature.ExactPrereadWorkHandler.ExactPrereadWork(-1, -1, "", -1);

        private class ExactPrereadWork {
            public int mAppId;
            public java.lang.String mOwnerName;
            public int mPid;
            public int mType;

            public ExactPrereadWork(int appId, int pid, java.lang.String ownerName, int type) {
                this.mAppId = appId;
                this.mPid = pid;
                this.mOwnerName = ownerName;
                this.mType = type;
            }

            public void workReset() {
                this.mAppId = -1;
                this.mPid = -1;
                this.mOwnerName = "";
                this.mType = -1;
            }
        }

        public ExactPrereadWorkHandler(java.lang.Long totalMemMb) {
            if (totalMemMb.longValue() > 4096) {
                this.mDelayPauseTimeout = 200;
                this.mPauseTimeout = 3000;
            } else if (totalMemMb.longValue() > 2048) {
                this.mDelayPauseTimeout = 0;
                this.mPauseTimeout = 2000;
            } else if (totalMemMb.longValue() > 1024) {
                this.mDelayPauseTimeout = 0;
                this.mPauseTimeout = 1500;
            } else {
                this.mDelayPauseTimeout = 0;
                this.mPauseTimeout = 1000;
            }
        }

        private void setWorkCollectTime(int launchTimeout, int collectTimeout, int pauseTimeout, int pauseDelay) {
            if (launchTimeout >= 0) {
                if (launchTimeout < 5000) {
                    this.mLaunchTimeout = 5000;
                } else if (launchTimeout > 20000) {
                    this.mLaunchTimeout = 20000;
                } else {
                    this.mLaunchTimeout = launchTimeout;
                }
            }
            if (collectTimeout >= 0) {
                if (collectTimeout > 20000) {
                    this.mPauseCollectTimeout = 20000;
                } else {
                    this.mPauseCollectTimeout = collectTimeout;
                }
            }
            if (pauseTimeout >= 0) {
                if (pauseTimeout > 10000) {
                    this.mPauseTimeout = 10000;
                } else {
                    this.mPauseTimeout = pauseTimeout;
                }
            }
            if (this.mPauseTimeout > this.mPauseCollectTimeout) {
                this.mPauseTimeout = this.mPauseCollectTimeout;
            }
            if (pauseDelay >= 0) {
                if (pauseDelay > 3000) {
                    this.mDelayPauseTimeout = 3000;
                } else {
                    this.mDelayPauseTimeout = pauseDelay;
                }
            }
            if (this.mDelayPauseTimeout > this.mPauseTimeout) {
                this.mDelayPauseTimeout = this.mPauseTimeout;
            }
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("setWorkCollectTime, launchTimeout: ");
            stringBuilder.append(this.mLaunchTimeout);
            stringBuilder.append(", collectTimeout: ");
            stringBuilder.append(this.mPauseCollectTimeout);
            stringBuilder.append(", pauseTimeout: ");
            stringBuilder.append(this.mPauseTimeout);
            stringBuilder.append(", pauseDelay: ");
            stringBuilder.append(this.mDelayPauseTimeout);
            android.rms.iaware.AwareLog.i("AppQuickStart", stringBuilder.toString());
        }

        private boolean hasValidWorkExisted() {
            if (this.mWork.mAppId == -1 || this.mWork.mPid == -1 || this.mWork.mType == -1 || this.mWork.mOwnerName.equals("")) {
                return false;
            }
            return true;
        }

        private boolean hasWorkExisted(int appId, java.lang.String ownerName) {
            if (this.mWork.mAppId == appId && this.mWork.mOwnerName.equals(ownerName)) {
                return true;
            }
            return false;
        }

        private boolean hasPauseWorkExisted() {
            if (this.mWork.mType != 200) {
                if (this.mWork.mType != 400) {
                    return false;
                }
            }
            return true;
        }

        private void startCollectWork(int appId, int pid, java.lang.String ownerName) {
            if (ownerName != null) {
                removeMessages(100);
                removeMessages(200);
                removeMessages(400);
                removeMessages(300);
                if (!hasWorkExisted(appId, ownerName)) {
                    stopCurrentWork();
                    this.mWork.mAppId = appId;
                    this.mWork.mOwnerName = ownerName;
                } else if (this.mWork.mType == 100 && this.mWork.mPid != pid) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("workingset: startCollectWork, curPid: ");
                    stringBuilder.append(pid);
                    stringBuilder.append(", oldPid: ");
                    stringBuilder.append(this.mWork.mPid);
                    android.rms.iaware.AwareLog.d("AppQuickStart", stringBuilder.toString());
                    com.android.server.rms.iaware.feature.AppQuickStartFeature.this.exactPrereadSendCmd(357, 0, this.mWork.mAppId, this.mWork.mPid, this.mWork.mOwnerName);
                }
                this.mWork.mPid = pid;
                this.mWork.mType = 100;
                android.os.Message message = android.os.Message.obtain();
                message.obj = this.mWork;
                message.what = 100;
                sendMessageDelayed(message, (long) this.mLaunchTimeout);
            }
        }

        private void sendPauseMsg() {
            this.mWork.mType = 200;
            android.os.Message message = android.os.Message.obtain();
            message.what = 200;
            sendMessageDelayed(message, (long) (this.mPauseTimeout - this.mDelayPauseTimeout));
        }

        private void sendDelayPauseMsg() {
            removeMessages(100);
            this.mWork.mType = 300;
            android.os.Message message = android.os.Message.obtain();
            message.what = 300;
            sendMessageDelayed(message, (long) this.mDelayPauseTimeout);
        }

        private void sendPauseCollectMsg() {
            this.mWork.mType = 400;
            android.os.Message message = android.os.Message.obtain();
            message.what = 400;
            sendMessageDelayed(message, (long) (this.mPauseCollectTimeout - this.mPauseTimeout));
        }

        private void stopCurrentWork() {
            if (hasValidWorkExisted()) {
                com.android.server.rms.iaware.feature.AppQuickStartFeature.this.exactPrereadSendCmd(352, 0, this.mWork.mAppId, this.mWork.mPid, this.mWork.mOwnerName);
                this.mWork.workReset();
                removeMessages(100);
                removeMessages(200);
                removeMessages(400);
                removeMessages(300);
            }
        }

        public void handleMessage(android.os.Message msg) {
            super.handleMessage(msg);
            int i = msg.what;
            if (i == 100) {
                com.android.server.rms.iaware.feature.AppQuickStartFeature.this.exactPrereadSendCmd(353, 0, this.mWork.mAppId, this.mWork.mPid, this.mWork.mOwnerName);
                this.mWork.workReset();
            } else if (i == 200) {
                sendPauseCollectMsg();
                com.android.server.rms.iaware.feature.AppQuickStartFeature.this.exactPrereadSendCmd(357, 0, this.mWork.mAppId, this.mWork.mPid, this.mWork.mOwnerName);
            } else if (i == 300) {
                sendPauseMsg();
                com.android.server.rms.iaware.feature.AppQuickStartFeature.this.exactPrereadSendCmd(351, 0, this.mWork.mAppId, this.mWork.mPid, this.mWork.mOwnerName);
            } else if (i == 400) {
                com.android.server.rms.iaware.feature.AppQuickStartFeature.this.exactPrereadSendCmd(352, 0, this.mWork.mAppId, this.mWork.mPid, this.mWork.mOwnerName);
                this.mWork.workReset();
            }
        }
    }

    public AppQuickStartFeature(android.content.Context context, android.rms.iaware.AwareConstant.FeatureType featureType, com.android.server.rms.iaware.IRDataRegister dataRegister) {
        super(context, featureType, dataRegister);
        com.android.internal.util.MemInfoReader minfo = new com.android.internal.util.MemInfoReader();
        minfo.readMemInfo();
        java.lang.Long totalMemMb = java.lang.Long.valueOf(minfo.getTotalSize() / 1048576);
        this.mExactPrereadWorkHandler = new com.android.server.rms.iaware.feature.AppQuickStartFeature.ExactPrereadWorkHandler(totalMemMb);
        loadExctprdConfig(false, totalMemMb);
        loadExctprdConfig(true, totalMemMb);
    }

    public boolean enable() {
        android.rms.iaware.AwareLog.i("AppQuickStart", "AppQuickStartFeature is a iaware3.0 feature, don't allow enable!");
        return false;
    }

    public boolean enableFeatureEx(int realVersion) {
        if (realVersion < 3) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("the min version of AppQuickStartFeature is 3, but current version is ");
            stringBuilder.append(realVersion);
            stringBuilder.append(", don't allow enable!");
            android.rms.iaware.AwareLog.i("AppQuickStart", stringBuilder.toString());
            return false;
        }
        android.rms.iaware.AwareLog.i("AppQuickStart", "AppQuickStartFeature enabled");
        subscribleEvents();
        enableAppQuickStart();
        return true;
    }

    public boolean disable() {
        android.rms.iaware.AwareLog.i("AppQuickStart", "AppQuickStartFeature disabled");
        unSubscribeEvents();
        disableAppQuickStart();
        return true;
    }

    private static void enableAppQuickStart() {
        mRunning.set(true);
    }

    private static void disableAppQuickStart() {
        mRunning.set(false);
    }

    public boolean reportData(android.rms.iaware.CollectData data) {
        boolean ret = false;
        if (mRunning.get()) {
            if (data != null) {
                if (!mExactPrereadFeature) {
                    return false;
                }
                long timestamp = data.getTimeStamp();
                com.android.server.rms.iaware.memory.data.content.AttrSegments attrSegments;
                switch (com.android.server.rms.iaware.feature.AppQuickStartFeature.AnonymousClass1.$SwitchMap$android$rms$iaware$AwareConstant$ResourceType[android.rms.iaware.AwareConstant.ResourceType.getResourceType(data.getResId()).ordinal()]) {
                    case 1:
                        attrSegments = parseCollectData(data);
                        if (attrSegments.isValid()) {
                            ret = appDataHandle(attrSegments.getEvent().intValue(), attrSegments);
                            break;
                        }
                        break;
                    case 2:
                        attrSegments = parseCollectData(data);
                        if (attrSegments.isValid()) {
                            ret = inputDataHandle(timestamp, attrSegments.getEvent().intValue(), attrSegments);
                            break;
                        }
                        break;
                    case 3:
                        android.os.Bundle bundle = data.getBundle();
                        if (bundle != null && 2 == bundle.getInt("install_app_update")) {
                            java.lang.String pkgName = bundle.getString("package_name");
                            if (pkgName != null) {
                                clearRecordsOfPackage(android.os.UserHandle.getAppId(bundle.getInt("uid")), pkgName);
                            }
                            ret = true;
                            break;
                        }
                    case 4:
                        exactPrereadSendCmd(356, 0, 0, 0, "All");
                        ret = true;
                        break;
                    default:
                        android.rms.iaware.AwareLog.e("AppQuickStart", "Invalid ResourceType");
                        break;
                }
                return ret;
            }
        }
        android.rms.iaware.AwareLog.e("AppQuickStart", "DataDispatch not start");
        return false;
    }

    private boolean appDataHandle(int event, com.android.server.rms.iaware.memory.data.content.AttrSegments attrSegments) {
        boolean ret = false;
        android.util.ArrayMap<java.lang.String, java.lang.String> appInfo = attrSegments.getSegment("calledApp");
        if (appInfo == null) {
            android.rms.iaware.AwareLog.w("AppQuickStart", "appInfo is NULL");
            return false;
        }
        if (event == 15001) {
            ret = handleProcessLaunchBegin(appInfo);
        } else if (event == 15005) {
            ret = handleActivityBegin(appInfo);
        } else if (event == 15013) {
            ret = handleDisplayedBegin(appInfo);
        } else if (event == 85001) {
            ret = handleProcessLaunchFinish(appInfo);
        } else if (event == 85013) {
            ret = handleDisplayedFinish(appInfo);
        }
        return ret;
    }

    private android.rms.iaware.AwareConfig getConfig(java.lang.String featureName, java.lang.String configName, boolean isCustConfig) {
        android.rms.iaware.AwareConfig configList = null;
        if (!(featureName == null || featureName.equals("") || configName == null)) {
            if (!configName.equals("")) {
                try {
                    android.os.IBinder awareservice = android.rms.iaware.IAwareCMSManager.getICMSManager();
                    if (awareservice == null) {
                        android.rms.iaware.AwareLog.w("AppQuickStart", "can not find service awareservice.");
                    } else if (isCustConfig) {
                        configList = android.rms.iaware.IAwareCMSManager.getCustConfig(awareservice, featureName, configName);
                    } else {
                        configList = android.rms.iaware.IAwareCMSManager.getConfig(awareservice, featureName, configName);
                    }
                } catch (android.os.RemoteException e) {
                    android.rms.iaware.AwareLog.e("AppQuickStart", "getConfig RemoteException!");
                }
                return configList;
            }
        }
        android.rms.iaware.AwareLog.w("AppQuickStart", "featureName or configName is null");
        return null;
    }

    private boolean checkRamSize(java.lang.String ramSize, java.lang.Long totalMemMb) {
        if (ramSize == null) {
            return false;
        }
        try {
            long ramSizeL = java.lang.Long.parseLong(ramSize.trim());
            if (totalMemMb.longValue() > ramSizeL || totalMemMb.longValue() <= ramSizeL - 1024) {
                return false;
            }
            return true;
        } catch (java.lang.NumberFormatException e) {
            android.rms.iaware.AwareLog.e("AppQuickStart", "parse ramsize error!");
            return false;
        }
    }

    private void loadExctprdConfig(boolean isCustConfig, java.lang.Long totalMemMb) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("loadExctprdConfig isCustConfig = ");
        stringBuilder.append(isCustConfig);
        android.rms.iaware.AwareLog.i("AppQuickStart", stringBuilder.toString());
        android.rms.iaware.AwareConfig configList = getConfig("AppQuickStart", "ExactPreread", isCustConfig);
        if (configList == null) {
            android.rms.iaware.AwareLog.w("AppQuickStart", "loadExctprdConfig failure, configList is null!");
            return;
        }
        for (android.rms.iaware.AwareConfig.Item item : configList.getConfigList()) {
            if (item != null) {
                if (item.getProperties() != null) {
                    java.util.Map<java.lang.String, java.lang.String> configPropertries = item.getProperties();
                    java.lang.String typeName = (java.lang.String) configPropertries.get("type");
                    if (typeName != null) {
                        java.lang.Object obj = -1;
                        int hashCode = typeName.hashCode();
                        if (hashCode != -1805606060) {
                            if (hashCode != -1423802409) {
                                if (hashCode == 1943461398) {
                                    if (typeName.equals("IncludedAct")) {
                                        obj = 2;
                                    }
                                }
                            } else if (typeName.equals("ExcludedApp")) {
                                obj = 1;
                            }
                        } else if (typeName.equals("Switch")) {
                            obj = null;
                        }
                        switch (obj) {
                            case null:
                                applyExctprdSwitchConfig(item);
                                break;
                            case 1:
                                applyExctprdExcludedAppsConfig(item);
                                break;
                            case 2:
                                applyExctprdIncludedActsConfig(item);
                                break;
                            default:
                                break;
                        }
                    }
                    java.lang.String ramSize = (java.lang.String) configPropertries.get("ramsize");
                    if (checkRamSize(ramSize, totalMemMb)) {
                        applyExctprdCollectTimeConfig(item);
                    } else {
                        java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                        stringBuilder2.append("checkRamSize failure! ramSize: ");
                        stringBuilder2.append(ramSize);
                        stringBuilder2.append(" totalMemMb: ");
                        stringBuilder2.append(totalMemMb);
                        android.rms.iaware.AwareLog.d("AppQuickStart", stringBuilder2.toString());
                    }
                }
            }
            android.rms.iaware.AwareLog.w("AppQuickStart", "loadExctprdConfig skip a item because it is null!");
        }
    }

    private static void applyExctprdSwitchConfig(android.rms.iaware.AwareConfig.Item item) {
        for (android.rms.iaware.AwareConfig.SubItem subItem : item.getSubItemList()) {
            java.lang.String itemName = subItem.getName();
            java.lang.String itemValue = subItem.getValue();
            if (itemName != null) {
                if (itemValue != null) {
                    java.lang.Object obj = -1;
                    try {
                        if (itemName.hashCode() == -1805606060) {
                            if (itemName.equals("Switch")) {
                                obj = null;
                            }
                        }
                        if (obj != null) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("applyExctprdSwitchConfig no such configuration. ");
                            stringBuilder.append(itemName);
                            android.rms.iaware.AwareLog.w("AppQuickStart", stringBuilder.toString());
                        } else {
                            boolean z = true;
                            if (java.lang.Integer.parseInt(itemValue.trim()) != 1) {
                                z = false;
                            }
                            mExactPrereadFeature = z;
                            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
                            stringBuilder2.append("applyExctprdSwitchConfig Switch = ");
                            stringBuilder2.append(itemValue);
                            android.rms.iaware.AwareLog.i("AppQuickStart", stringBuilder2.toString());
                        }
                    } catch (java.lang.NumberFormatException e) {
                        android.rms.iaware.AwareLog.e("AppQuickStart", "parse applyExctprdSwitchConfig error!");
                    }
                }
            }
        }
    }

    private static void applyExctprdExcludedAppsConfig(android.rms.iaware.AwareConfig.Item item) {
        mExctprdExcApps.clear();
        for (android.rms.iaware.AwareConfig.SubItem subItem : item.getSubItemList()) {
            java.lang.String itemName = subItem.getName();
            java.lang.String itemValue = subItem.getValue();
            if (itemName != null) {
                if (itemValue != null) {
                    java.lang.Object obj = -1;
                    try {
                        if (itemName.hashCode() == 870516780) {
                            if (itemName.equals("AppName")) {
                                obj = null;
                            }
                        }
                        java.lang.StringBuilder stringBuilder;
                        if (obj != null) {
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("applyExctprdExcludedAppsConfig no such configuration.");
                            stringBuilder.append(itemName);
                            android.rms.iaware.AwareLog.w("AppQuickStart", stringBuilder.toString());
                        } else {
                            mExctprdExcApps.add(itemValue.trim());
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("applyExctprdExcludedAppsConfig AppName = ");
                            stringBuilder.append(itemValue);
                            android.rms.iaware.AwareLog.i("AppQuickStart", stringBuilder.toString());
                        }
                    } catch (java.lang.NumberFormatException e) {
                        android.rms.iaware.AwareLog.e("AppQuickStart", "parse applyExctprdExcludedAppsConfig error!");
                    }
                }
            }
        }
    }

    private static void applyExctprdIncludedActsConfig(android.rms.iaware.AwareConfig.Item item) {
        mExctprdIncActs.clear();
        for (android.rms.iaware.AwareConfig.SubItem subItem : item.getSubItemList()) {
            java.lang.String itemName = subItem.getName();
            java.lang.String itemValue = subItem.getValue();
            if (itemName != null) {
                if (itemValue != null) {
                    java.lang.Object obj = -1;
                    try {
                        if (itemName.hashCode() == 502031901) {
                            if (itemName.equals("ActName")) {
                                obj = null;
                            }
                        }
                        java.lang.StringBuilder stringBuilder;
                        if (obj != null) {
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("applyExctprdIncludedActsConfig no such configuration. ");
                            stringBuilder.append(itemName);
                            android.rms.iaware.AwareLog.w("AppQuickStart", stringBuilder.toString());
                        } else {
                            mExctprdIncActs.add(itemValue.trim());
                            stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("applyExctprdIncludedActsConfig ActName = ");
                            stringBuilder.append(itemValue);
                            android.rms.iaware.AwareLog.i("AppQuickStart", stringBuilder.toString());
                        }
                    } catch (java.lang.NumberFormatException e) {
                        android.rms.iaware.AwareLog.e("AppQuickStart", "parse applyExctprdIncludedActsConfig error!");
                    }
                }
            }
        }
    }

    private void applyExctprdCollectTimeConfig(android.rms.iaware.AwareConfig.Item item) {
        int launchTimeout = -1;
        int collectTimeout = -1;
        int pauseTimeout = -1;
        int delayPause = -1;
        for (android.rms.iaware.AwareConfig.SubItem subItem : item.getSubItemList()) {
            java.lang.String itemName = subItem.getName();
            java.lang.String itemValue = subItem.getValue();
            if (itemName != null) {
                if (itemValue != null) {
                    java.lang.Object obj = -1;
                    try {
                        int hashCode = itemName.hashCode();
                        if (hashCode != 590910123) {
                            if (hashCode != 1545794062) {
                                if (hashCode != 1920911693) {
                                    if (hashCode == 1974045943) {
                                        if (itemName.equals("CollectTimeout")) {
                                            obj = 2;
                                        }
                                    }
                                } else if (itemName.equals("PauseDelay")) {
                                    obj = null;
                                }
                            } else if (itemName.equals("LaunchTimeout")) {
                                obj = 3;
                            }
                        } else if (itemName.equals("PauseTimeout")) {
                            obj = 1;
                        }
                        java.lang.StringBuilder stringBuilder;
                        switch (obj) {
                            case null:
                                delayPause = java.lang.Integer.parseInt(itemValue.trim());
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("applyExctprdCollectTimeConfig PauseDelay = ");
                                stringBuilder.append(delayPause);
                                android.rms.iaware.AwareLog.i("AppQuickStart", stringBuilder.toString());
                                break;
                            case 1:
                                pauseTimeout = java.lang.Integer.parseInt(itemValue.trim());
                                if (delayPause <= pauseTimeout) {
                                    stringBuilder = new java.lang.StringBuilder();
                                    stringBuilder.append("applyExctprdCollectTimeConfig PauseTimeout = ");
                                    stringBuilder.append(pauseTimeout);
                                    android.rms.iaware.AwareLog.i("AppQuickStart", stringBuilder.toString());
                                    break;
                                }
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("applyExctprdCollectTimeConfig invalid parameters: PauseDelay=");
                                stringBuilder.append(delayPause);
                                stringBuilder.append(", ");
                                stringBuilder.append("PauseTimeout");
                                stringBuilder.append("=");
                                stringBuilder.append(pauseTimeout);
                                android.rms.iaware.AwareLog.w("AppQuickStart", stringBuilder.toString());
                                return;
                            case 2:
                                collectTimeout = java.lang.Integer.parseInt(itemValue.trim());
                                if (pauseTimeout <= collectTimeout) {
                                    if (delayPause <= collectTimeout) {
                                        stringBuilder = new java.lang.StringBuilder();
                                        stringBuilder.append("applyExctprdCollectTimeConfig CollectTimeout = ");
                                        stringBuilder.append(collectTimeout);
                                        android.rms.iaware.AwareLog.i("AppQuickStart", stringBuilder.toString());
                                        break;
                                    }
                                }
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("applyExctprdCollectTimeConfig invalid parameters: PauseDelay=");
                                stringBuilder.append(delayPause);
                                stringBuilder.append(", ");
                                stringBuilder.append("PauseTimeout");
                                stringBuilder.append("=");
                                stringBuilder.append(pauseTimeout);
                                stringBuilder.append(", ");
                                stringBuilder.append("CollectTimeout");
                                stringBuilder.append("=");
                                stringBuilder.append(collectTimeout);
                                android.rms.iaware.AwareLog.w("AppQuickStart", stringBuilder.toString());
                                return;
                            case 3:
                                launchTimeout = java.lang.Integer.parseInt(itemValue.trim());
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("applyExctprdCollectTimeConfig LaunchTimeout = ");
                                stringBuilder.append(launchTimeout);
                                android.rms.iaware.AwareLog.i("AppQuickStart", stringBuilder.toString());
                                break;
                            default:
                                java.lang.String str = "AppQuickStart";
                                stringBuilder = new java.lang.StringBuilder();
                                stringBuilder.append("applyExctprdCollectTimeConfig no such configuration. ");
                                stringBuilder.append(itemName);
                                android.rms.iaware.AwareLog.w(str, stringBuilder.toString());
                                break;
                        }
                    } catch (java.lang.NumberFormatException e) {
                        android.rms.iaware.AwareLog.e("AppQuickStart", "parse applyExctprdCollectTimeConfig error!");
                    }
                }
            }
            return;
        }
        this.mExactPrereadWorkHandler.setWorkCollectTime(launchTimeout, collectTimeout, pauseTimeout, delayPause);
    }

    private void clearRecordsOfPackage(int appId, java.lang.String packageName) {
        exactPrereadSendCmd(355, 0, appId, 0, packageName);
        int actSize = mExctprdIncActs.size();
        for (int idx = 0; idx < actSize; idx++) {
            java.lang.String actName = (java.lang.String) mExctprdIncActs.valueAt(idx);
            if (actName != null) {
                android.content.ComponentName cpName = android.content.ComponentName.unflattenFromString(actName);
                if (cpName != null && packageName.equals(cpName.getPackageName())) {
                    exactPrereadSendCmd(355, 0, appId, 0, actName.replace('/', '.'));
                }
            }
        }
    }

    private boolean handleActivityBegin(android.util.ArrayMap<java.lang.String, java.lang.String> appInfo) {
        java.lang.String appName = (java.lang.String) appInfo.get("packageName");
        java.lang.String activityName = (java.lang.String) appInfo.get("activityName");
        java.lang.String processName = (java.lang.String) appInfo.get("processName");
        try {
            int uid = java.lang.Integer.parseInt((java.lang.String) appInfo.get("uid"));
            try {
                int appId = android.os.UserHandle.getAppId(uid);
                tryStopPreviousOwnerWorks(appId, appName);
                if (appName == null) {
                    return false;
                }
                if ((com.huawei.android.app.HwActivityManager.isProcessExistPidsSelfLocked(processName, uid) ^ 1) && !mExctprdExcApps.contains(appName)) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("workingset: handleActivityBegin, appId: ");
                    stringBuilder.append(appId);
                    stringBuilder.append(", pkgName: ");
                    stringBuilder.append(appName);
                    stringBuilder.append(", className: ");
                    stringBuilder.append(activityName);
                    android.rms.iaware.AwareLog.d("AppQuickStart", stringBuilder.toString());
                    exactPrereadSendCmd(354, 1, appId, 0, appName);
                    this.mLastColdBootAppID = appId;
                    this.mLastColdBootPkgName = appName;
                }
                return true;
            } catch (java.lang.NumberFormatException e) {
                java.lang.NumberFormatException numberFormatException = e;
                int i = uid;
                android.rms.iaware.AwareLog.e("AppQuickStart", "uid is not right");
                return false;
            }
        } catch (java.lang.NumberFormatException e2) {
            android.rms.iaware.AwareLog.e("AppQuickStart", "uid is not right");
            return false;
        }
    }

    private boolean handleProcessLaunchBegin(android.util.ArrayMap<java.lang.String, java.lang.String> appInfo) {
        if ("activity".equals((java.lang.String) appInfo.get("launchMode"))) {
            try {
                java.lang.String packageName = (java.lang.String) appInfo.get("packageName");
                int appId = android.os.UserHandle.getAppId(java.lang.Integer.parseInt((java.lang.String) appInfo.get("uid")));
                tryStopPreviousOwnerWorks(appId, packageName);
                if (!(packageName == null || mExctprdExcApps.contains(packageName))) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("workingset: handleProcessLaunchBegin, appId: ");
                    stringBuilder.append(appId);
                    stringBuilder.append(", packageName: ");
                    stringBuilder.append(packageName);
                    android.rms.iaware.AwareLog.d("AppQuickStart", stringBuilder.toString());
                    exactPrereadSendCmd(354, 1, appId, 0, packageName);
                    this.mLastColdBootAppID = appId;
                    this.mLastColdBootPkgName = packageName;
                }
            } catch (java.lang.NumberFormatException e) {
                android.rms.iaware.AwareLog.e("AppQuickStart", "handleProcessLaunchBegin get info failed!");
                return false;
            }
        }
        return true;
    }

    private boolean handleProcessLaunchFinish(android.util.ArrayMap<java.lang.String, java.lang.String> appInfo) {
        if ("activity".equals((java.lang.String) appInfo.get("launchMode"))) {
            try {
                java.lang.String packageName = (java.lang.String) appInfo.get("packageName");
                int uid = java.lang.Integer.parseInt((java.lang.String) appInfo.get("uid"));
                int pid = java.lang.Integer.parseInt((java.lang.String) appInfo.get("pid"));
                int appId = android.os.UserHandle.getAppId(uid);
                tryStopPreviousOwnerWorks(appId, packageName);
                if (!(packageName == null || mExctprdExcApps.contains(packageName))) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("workingset: handleProcessLaunchFinish, appId: ");
                    stringBuilder.append(appId);
                    stringBuilder.append(", pid: ");
                    stringBuilder.append(pid);
                    stringBuilder.append(", packageName: ");
                    stringBuilder.append(packageName);
                    android.rms.iaware.AwareLog.d("AppQuickStart", stringBuilder.toString());
                    this.mExactPrereadWorkHandler.startCollectWork(appId, pid, packageName);
                    exactPrereadSendCmd(350, 1, appId, pid, packageName);
                    this.mLastColdBootAppID = appId;
                    this.mLastColdBootPkgName = packageName;
                    this.mLastDisplayBeginTime = android.os.SystemClock.uptimeMillis();
                }
            } catch (java.lang.NumberFormatException e) {
                android.rms.iaware.AwareLog.e("AppQuickStart", "handleProcessLaunchFinish get info failed!");
                return false;
            }
        }
        return true;
    }

    private void tryStopPreviousOwnerWorks(int appId, java.lang.String appName) {
        if (this.mLastColdBootAppID != -1 && this.mLastColdBootPkgName != null) {
            if (this.mLastInputTime > this.mLastDisplayBeginTime || appId != this.mLastColdBootAppID || !this.mLastColdBootPkgName.equals(appName)) {
                this.mExactPrereadWorkHandler.stopCurrentWork();
                this.mLastColdBootAppID = -1;
                this.mLastColdBootPkgName = null;
            }
        }
    }

    private boolean handleDisplayedBegin(android.util.ArrayMap<java.lang.String, java.lang.String> appInfo) {
        try {
            java.lang.String activityName = (java.lang.String) appInfo.get("activityName");
            java.lang.String packageName = null;
            if (activityName != null) {
                android.content.ComponentName cpName = android.content.ComponentName.unflattenFromString(activityName);
                if (cpName != null) {
                    packageName = cpName.getPackageName();
                }
            }
            int uid = java.lang.Integer.parseInt((java.lang.String) appInfo.get("uid"));
            int pid = java.lang.Integer.parseInt((java.lang.String) appInfo.get("pid"));
            int appId = android.os.UserHandle.getAppId(uid);
            if (activityName != null) {
                if (packageName != null) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("workingset: handleDisplayedBegin, appId: ");
                    stringBuilder.append(appId);
                    stringBuilder.append(", pid: ");
                    stringBuilder.append(pid);
                    stringBuilder.append(", activityName: ");
                    stringBuilder.append(activityName);
                    android.rms.iaware.AwareLog.d("AppQuickStart", stringBuilder.toString());
                    if (this.mExactPrereadWorkHandler.hasWorkExisted(appId, packageName)) {
                        if (this.mExactPrereadWorkHandler.hasPauseWorkExisted()) {
                            exactPrereadSendCmd(350, 1, appId, pid, packageName);
                        }
                        this.mExactPrereadWorkHandler.startCollectWork(appId, pid, packageName);
                        this.mLastDisplayBeginTime = android.os.SystemClock.uptimeMillis();
                    } else if (mExctprdIncActs.contains(activityName)) {
                        java.lang.String changedActivityName = activityName.replace('/', '.');
                        this.mExactPrereadWorkHandler.startCollectWork(appId, pid, changedActivityName);
                        exactPrereadSendCmd(350, 0, appId, pid, changedActivityName);
                    }
                    return true;
                }
            }
            return false;
        } catch (java.lang.NumberFormatException e) {
            android.rms.iaware.AwareLog.e("AppQuickStart", "handleDisplayedBegin get pid or time failed");
            return false;
        }
    }

    private boolean handleDisplayedFinish(android.util.ArrayMap<java.lang.String, java.lang.String> appInfo) {
        try {
            java.lang.String activityName = (java.lang.String) appInfo.get("activityName");
            java.lang.String packageName = null;
            if (activityName != null) {
                android.content.ComponentName cpName = android.content.ComponentName.unflattenFromString(activityName);
                if (cpName != null) {
                    packageName = cpName.getPackageName();
                }
            }
            int uid = java.lang.Integer.parseInt((java.lang.String) appInfo.get("uid"));
            int pid = java.lang.Integer.parseInt((java.lang.String) appInfo.get("pid"));
            uid = android.os.UserHandle.getAppId(uid);
            if (activityName != null) {
                if (packageName != null) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("workingset: handleDisplayedFinish, appId: ");
                    stringBuilder.append(uid);
                    stringBuilder.append(", pid: ");
                    stringBuilder.append(pid);
                    stringBuilder.append(", activityName: ");
                    stringBuilder.append(activityName);
                    android.rms.iaware.AwareLog.d("AppQuickStart", stringBuilder.toString());
                    if (this.mExactPrereadWorkHandler.hasWorkExisted(uid, packageName)) {
                        this.mExactPrereadWorkHandler.sendDelayPauseMsg();
                    } else {
                        if (this.mExactPrereadWorkHandler.hasWorkExisted(uid, activityName.replace('/', '.'))) {
                            this.mExactPrereadWorkHandler.sendDelayPauseMsg();
                        }
                    }
                    return true;
                }
            }
            return false;
        } catch (java.lang.NumberFormatException e) {
            android.rms.iaware.AwareLog.e("AppQuickStart", "handleDisplayedFinish get pid or time failed");
            return false;
        }
    }

    private boolean inputDataHandle(long timestamp, int event, com.android.server.rms.iaware.memory.data.content.AttrSegments attrSegments) {
        if (event == 10001 || event == 80001) {
            this.mLastInputTime = timestamp;
            return true;
        }
        android.rms.iaware.AwareLog.w("AppQuickStart", "Input event invalid");
        return false;
    }

    private com.android.server.rms.iaware.memory.data.content.AttrSegments parseCollectData(android.rms.iaware.CollectData data) {
        java.lang.String eventData = data.getData();
        com.android.server.rms.iaware.memory.data.content.AttrSegments.Builder builder = new com.android.server.rms.iaware.memory.data.content.AttrSegments.Builder();
        builder.addCollectData(eventData);
        return builder.build();
    }

    public boolean configUpdate() {
        return true;
    }

    private void subscribleEvents() {
        if (this.mIRDataRegister != null) {
            this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RES_APP, this.mFeatureType);
            this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RES_DEV_STATUS, this.mFeatureType);
            this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RES_INPUT, this.mFeatureType);
            this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_USERHABIT, this.mFeatureType);
            this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SHUTDOWN, this.mFeatureType);
        }
    }

    private void unSubscribeEvents() {
        if (this.mIRDataRegister != null) {
            this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RES_APP, this.mFeatureType);
            this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RES_DEV_STATUS, this.mFeatureType);
            this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RES_INPUT, this.mFeatureType);
            this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_USERHABIT, this.mFeatureType);
            this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SHUTDOWN, this.mFeatureType);
        }
    }

    public static boolean isExactPrereadFeatureEnable() {
        return mExactPrereadFeature && mRunning.get();
    }

    private void exactPrereadSendCmd(int action, int coldboot, int appId, int pid, java.lang.String ownerName) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("workingset, action: ");
        stringBuilder.append(action);
        stringBuilder.append(", coldboot:");
        stringBuilder.append(coldboot);
        stringBuilder.append(", appId: ");
        stringBuilder.append(appId);
        stringBuilder.append(", pid: ");
        stringBuilder.append(pid);
        stringBuilder.append(", ");
        stringBuilder.append(ownerName);
        android.rms.iaware.AwareLog.d("AppQuickStart", stringBuilder.toString());
        try {
            byte[] nameBytes = ownerName.getBytes("UTF-8");
            if (nameBytes.length > 0) {
                if (nameBytes.length <= 256) {
                    java.nio.ByteBuffer buffer = java.nio.ByteBuffer.allocate(16 + nameBytes.length);
                    buffer.putInt(action);
                    buffer.putInt(coldboot);
                    buffer.putInt(appId);
                    buffer.putInt(pid);
                    buffer.put(nameBytes);
                    android.rms.iaware.IAwaredConnection.getInstance().sendPacket(buffer.array());
                    return;
                }
            }
            android.rms.iaware.AwareLog.w("AppQuickStart", "ComponentName is invalid!");
        } catch (java.io.UnsupportedEncodingException e) {
            android.rms.iaware.AwareLog.w("AppQuickStart", "UnsupportedEncodingException: transform ComponentName failed!");
        }
    }
}
