package com.android.server.rms.iaware.memory.data.dispatch;

public class DataDispatch {
    private static final java.lang.String TAG = "AwareMem_DataDispatch";
    private static com.android.server.rms.iaware.memory.data.dispatch.DataDispatch sDataDispatch;
    private final java.util.concurrent.atomic.AtomicBoolean mRunning = new java.util.concurrent.atomic.AtomicBoolean(false);

    /* renamed from: com.android.server.rms.iaware.memory.data.dispatch.DataDispatch$1 */
    static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$android$rms$iaware$AwareConstant$ResourceType = new int[android.rms.iaware.AwareConstant.ResourceType.values().length];

        static {
            try {
                $SwitchMap$android$rms$iaware$AwareConstant$ResourceType[android.rms.iaware.AwareConstant.ResourceType.RES_APP.ordinal()] = 1;
            } catch (java.lang.NoSuchFieldError e) {
            }
            try {
                $SwitchMap$android$rms$iaware$AwareConstant$ResourceType[android.rms.iaware.AwareConstant.ResourceType.RES_INPUT.ordinal()] = 2;
            } catch (java.lang.NoSuchFieldError e2) {
            }
            try {
                $SwitchMap$android$rms$iaware$AwareConstant$ResourceType[android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_ON.ordinal()] = 3;
            } catch (java.lang.NoSuchFieldError e3) {
            }
            try {
                $SwitchMap$android$rms$iaware$AwareConstant$ResourceType[android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_OFF.ordinal()] = 4;
            } catch (java.lang.NoSuchFieldError e4) {
            }
            try {
                $SwitchMap$android$rms$iaware$AwareConstant$ResourceType[android.rms.iaware.AwareConstant.ResourceType.RESOURCE_USERHABIT.ordinal()] = 5;
            } catch (java.lang.NoSuchFieldError e5) {
            }
        }
    }

    public static com.android.server.rms.iaware.memory.data.dispatch.DataDispatch getInstance() {
        com.android.server.rms.iaware.memory.data.dispatch.DataDispatch dataDispatch;
        synchronized (com.android.server.rms.iaware.memory.data.dispatch.DataDispatch.class) {
            if (sDataDispatch == null) {
                sDataDispatch = new com.android.server.rms.iaware.memory.data.dispatch.DataDispatch();
            }
            dataDispatch = sDataDispatch;
        }
        return dataDispatch;
    }

    public void start() {
        android.rms.iaware.AwareLog.i("AwareMem_DataDispatch", "start");
        this.mRunning.set(true);
    }

    public void stop() {
        android.rms.iaware.AwareLog.i("AwareMem_DataDispatch", "stop");
        this.mRunning.set(false);
    }

    public int reportData(android.rms.iaware.CollectData data) {
        if (this.mRunning.get()) {
            if (data != null) {
                long timestamp = data.getTimeStamp();
                int ret = -1;
                com.android.server.rms.iaware.memory.data.content.AttrSegments attrSegments;
                switch (com.android.server.rms.iaware.memory.data.dispatch.DataDispatch.AnonymousClass1.$SwitchMap$android$rms$iaware$AwareConstant$ResourceType[android.rms.iaware.AwareConstant.ResourceType.getResourceType(data.getResId()).ordinal()]) {
                    case 1:
                        attrSegments = parseCollectData(data);
                        if (attrSegments.isValid()) {
                            ret = com.android.server.rms.iaware.memory.data.handle.DataAppHandle.getInstance().reportData(timestamp, attrSegments.getEvent().intValue(), attrSegments);
                            break;
                        }
                        break;
                    case 2:
                        attrSegments = parseCollectData(data);
                        if (attrSegments.isValid()) {
                            ret = com.android.server.rms.iaware.memory.data.handle.DataInputHandle.getInstance().reportData(timestamp, attrSegments.getEvent().intValue(), attrSegments);
                            break;
                        }
                        break;
                    case 3:
                        ret = com.android.server.rms.iaware.memory.data.handle.DataDevStatusHandle.getInstance().reportData(timestamp, 20011, null);
                        break;
                    case 4:
                        ret = com.android.server.rms.iaware.memory.data.handle.DataDevStatusHandle.getInstance().reportData(timestamp, 90011, null);
                        break;
                    case 5:
                        android.os.Bundle bundle = data.getBundle();
                        if (bundle != null && 2 == bundle.getInt("install_app_update")) {
                            java.lang.String pkgName = bundle.getString("package_name");
                            if (pkgName != null) {
                                com.android.server.rms.iaware.memory.utils.PrereadUtils.getInstance();
                                com.android.server.rms.iaware.memory.utils.PrereadUtils.removePackageFiles(pkgName);
                            }
                            break;
                        }
                    default:
                        android.rms.iaware.AwareLog.e("AwareMem_DataDispatch", "Invalid ResourceType");
                        ret = -1;
                        break;
                }
                return ret;
            }
        }
        android.rms.iaware.AwareLog.e("AwareMem_DataDispatch", "DataDispatch not start");
        return -1;
    }

    private com.android.server.rms.iaware.memory.data.content.AttrSegments parseCollectData(android.rms.iaware.CollectData data) {
        java.lang.String eventData = data.getData();
        com.android.server.rms.iaware.memory.data.content.AttrSegments.Builder builder = new com.android.server.rms.iaware.memory.data.content.AttrSegments.Builder();
        builder.addCollectData(eventData);
        return builder.build();
    }
}
