package com.android.server.rms.iaware.srms;

public class AppCleanupDumpRadar {
    private static boolean DEBUG = false;
    private static final int MSG_MEMORY_DATA = 1;
    private static final java.lang.String TAG = "AppCleanupDumpRadar";
    private static final boolean isBetaUser = (android.rms.iaware.AwareConstant.CURRENT_USER_TYPE == 3);
    private static volatile com.android.server.rms.iaware.srms.AppCleanupDumpRadar mCleanDumpRadar;
    private android.util.ArrayMap<java.lang.String, com.android.server.rms.iaware.srms.AppCleanupDumpRadar.CleanupData> mCleanupDataList = new android.util.ArrayMap();
    private long mCrashStartTime = this.mPGStartTime;
    private android.os.Handler mHandler;
    private long mMemStartTime = this.mPGStartTime;
    private long mPGStartTime = java.lang.System.currentTimeMillis();
    private long mSMStartTime = this.mPGStartTime;
    private long mSmartStartTime = this.mPGStartTime;
    private long mThermalStartTime = this.mPGStartTime;

    /* renamed from: com.android.server.rms.iaware.srms.AppCleanupDumpRadar$1 */
    static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppCleanSource = new int[android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.values().length];

        static {
            $SwitchMap$com$android$server$mtm$iaware$appmng$rule$RuleParserUtil$AppMngTag = new int[com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.values().length];
            try {
                $SwitchMap$com$android$server$mtm$iaware$appmng$rule$RuleParserUtil$AppMngTag[com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.POLICY.ordinal()] = 1;
            } catch (java.lang.NoSuchFieldError e) {
            }
            try {
                $SwitchMap$com$android$server$mtm$iaware$appmng$rule$RuleParserUtil$AppMngTag[com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.LEVEL.ordinal()] = 2;
            } catch (java.lang.NoSuchFieldError e2) {
            }
            try {
                $SwitchMap$com$android$server$mtm$iaware$appmng$rule$RuleParserUtil$AppMngTag[com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.STATUS.ordinal()] = 3;
            } catch (java.lang.NoSuchFieldError e3) {
            }
            try {
                $SwitchMap$com$android$server$mtm$iaware$appmng$rule$RuleParserUtil$AppMngTag[com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.OVERSEA.ordinal()] = 4;
            } catch (java.lang.NoSuchFieldError e4) {
            }
            try {
                $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppCleanSource[android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.POWER_GENIE.ordinal()] = 1;
            } catch (java.lang.NoSuchFieldError e5) {
            }
            try {
                $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppCleanSource[android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.SYSTEM_MANAGER.ordinal()] = 2;
            } catch (java.lang.NoSuchFieldError e6) {
            }
            try {
                $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppCleanSource[android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.CRASH.ordinal()] = 3;
            } catch (java.lang.NoSuchFieldError e7) {
            }
            try {
                $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppCleanSource[android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.SMART_CLEAN.ordinal()] = 4;
            } catch (java.lang.NoSuchFieldError e8) {
            }
            try {
                $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppCleanSource[android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.MEMORY.ordinal()] = 5;
            } catch (java.lang.NoSuchFieldError e9) {
            }
            try {
                $SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppCleanSource[android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.THERMAL.ordinal()] = 6;
            } catch (java.lang.NoSuchFieldError e10) {
            }
        }
    }

    private static class CleanupData {
        private static boolean DEBUG = false;
        private static final int INVALID_VALUE = -1;
        private java.util.Map<java.lang.String, java.lang.Integer> mCrashCleanup;
        private int mCrashTotal;
        private java.util.Map<java.lang.String, java.lang.Integer> mMemoryCleanup;
        private int mMemoryTotal;
        private java.util.Map<java.lang.String, java.lang.Integer> mPGCleanup;
        private java.util.Map<java.lang.String, java.lang.Integer> mPGNCleanup;
        private int mPGTotal;
        private java.lang.String mPackageName;
        private java.util.Map<java.lang.String, java.lang.Integer> mSMCleanup;
        private int mSMTotal;
        private java.util.Map<java.lang.String, java.lang.Integer> mSmartCleanup;
        private int mSmartTotal;
        private java.util.Map<java.lang.String, java.lang.Integer> mThermalCleanup;
        private int mThermalTotal;

        /* synthetic */ CleanupData(java.lang.String x0, com.android.server.rms.iaware.srms.AppCleanupDumpRadar.AnonymousClass1 x1) {
            this(x0);
        }

        private CleanupData(java.lang.String pkg) {
            this.mPackageName = pkg;
            this.mPGTotal = 0;
            this.mSMTotal = 0;
            this.mCrashTotal = 0;
            this.mSmartTotal = 0;
            this.mMemoryTotal = 0;
            this.mThermalTotal = 0;
            this.mPGCleanup = new java.util.LinkedHashMap();
            this.mPGNCleanup = new java.util.LinkedHashMap();
            this.mSMCleanup = new java.util.LinkedHashMap();
            this.mCrashCleanup = new java.util.LinkedHashMap();
            this.mSmartCleanup = new java.util.LinkedHashMap();
            this.mMemoryCleanup = new java.util.LinkedHashMap();
            this.mThermalCleanup = new java.util.LinkedHashMap();
            this.mPGCleanup.put("lvl0", java.lang.Integer.valueOf(0));
            this.mPGCleanup.put("lvl1", java.lang.Integer.valueOf(0));
            this.mPGNCleanup.put("nlvl0", java.lang.Integer.valueOf(0));
            this.mPGNCleanup.put("nlvl1", java.lang.Integer.valueOf(0));
        }

        private void increase(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource source, java.util.Map<java.lang.String, java.lang.Integer> data) {
            if (data != null) {
                if (source != null) {
                    if (DEBUG) {
                        for (java.util.Map.Entry<java.lang.String, java.lang.Integer> entry : data.entrySet()) {
                            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                            stringBuilder.append("key = ");
                            stringBuilder.append((java.lang.String) entry.getKey());
                            stringBuilder.append(", value = ");
                            stringBuilder.append(entry.getValue());
                            android.rms.iaware.AwareLog.i("AppCleanupDumpRadar", stringBuilder.toString());
                        }
                    }
                    switch (com.android.server.rms.iaware.srms.AppCleanupDumpRadar.AnonymousClass1.$SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppCleanSource[source.ordinal()]) {
                        case 1:
                            increasePG(data);
                            break;
                        case 2:
                            increaseSM(data);
                            break;
                        case 3:
                            increaseCrash(data);
                            break;
                        case 4:
                            increaseSmart(data);
                            break;
                        case 5:
                            increaseMemory(data);
                            break;
                        case 6:
                            increaseThermal(data);
                            break;
                        default:
                            return;
                    }
                }
            }
        }

        private void addTimes(java.util.Map<java.lang.String, java.lang.Integer> cleanup, java.lang.String key) {
            if (cleanup.containsKey(key)) {
                cleanup.put(key, java.lang.Integer.valueOf(((java.lang.Integer) cleanup.get(key)).intValue() + 1));
            } else {
                cleanup.put(key, java.lang.Integer.valueOf(1));
            }
        }

        private java.lang.String getCondition(java.util.Map<java.lang.String, java.lang.Integer> data) {
            java.lang.StringBuilder condition = new java.lang.StringBuilder("");
            java.lang.Integer spec = (java.lang.Integer) data.get("spec");
            if (spec != null && spec.intValue() >= 0 && spec.intValue() < android.app.mtm.iaware.appmng.AppMngConstant.CleanReason.values().length) {
                return condition.append(android.app.mtm.iaware.appmng.AppMngConstant.CleanReason.values()[spec.intValue()].getAbbr()).toString();
            }
            for (com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag enums : com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.values()) {
                java.lang.Integer value = (java.lang.Integer) data.get(enums.getDesc());
                if (value != null) {
                    if (-1 != value.intValue()) {
                        switch (enums) {
                            case POLICY:
                            case LEVEL:
                                break;
                            case STATUS:
                                if (value.intValue() >= 0 && value.intValue() < com.android.server.mtm.utils.AppStatusUtils.Status.values().length) {
                                    condition = condition.append(com.android.server.mtm.utils.AppStatusUtils.Status.values()[value.intValue()].description());
                                    break;
                                }
                            case OVERSEA:
                                condition.append("|");
                                condition = condition.append(enums.getUploadBDTag());
                                break;
                            default:
                                condition.append("|");
                                condition.append(enums.getUploadBDTag());
                                condition.append(":");
                                condition = condition.append(java.lang.String.valueOf(value));
                                break;
                        }
                    }
                }
            }
            return condition.toString();
        }

        private void increasePG(java.util.Map<java.lang.String, java.lang.Integer> data) {
            java.lang.Integer policy = (java.lang.Integer) data.get("policy");
            java.lang.Integer level = (java.lang.Integer) data.get("level");
            if (policy != null) {
                if (level != null) {
                    if (com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.ordinal() == policy.intValue()) {
                        increasePGN(data);
                    } else if (com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.ordinal() >= policy.intValue() || policy.intValue() >= com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.values().length) {
                        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                        stringBuilder.append("policy = ");
                        stringBuilder.append(policy);
                        android.rms.iaware.AwareLog.e("AppCleanupDumpRadar", stringBuilder.toString());
                    } else {
                        java.lang.String strLevel = new java.lang.StringBuilder();
                        strLevel.append("lvl");
                        strLevel.append(level);
                        strLevel = strLevel.toString();
                        addTimes(this.mPGCleanup, com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.values()[policy.intValue()].description());
                        addTimes(this.mPGCleanup, strLevel);
                        this.mPGTotal++;
                    }
                }
            }
        }

        private void increasePGN(java.util.Map<java.lang.String, java.lang.Integer> data) {
            java.lang.String condition = getCondition(data);
            if (condition.equals("")) {
                addTimes(this.mPGNCleanup, "others");
            } else {
                addTimes(this.mPGNCleanup, condition);
            }
            java.lang.Integer level = (java.lang.Integer) data.get("level");
            java.lang.String strLevel = new java.lang.StringBuilder();
            strLevel.append("nlvl");
            strLevel.append(level);
            addTimes(this.mPGNCleanup, strLevel.toString());
            this.mPGTotal++;
        }

        private void increaseSM(java.util.Map<java.lang.String, java.lang.Integer> data) {
            java.lang.Integer policy = (java.lang.Integer) data.get("policy");
            if (policy != null) {
                if (com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.ordinal() >= policy.intValue() || policy.intValue() >= com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.values().length) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("policy = ");
                    stringBuilder.append(policy);
                    android.rms.iaware.AwareLog.e("AppCleanupDumpRadar", stringBuilder.toString());
                } else {
                    addTimes(this.mSMCleanup, com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.values()[policy.intValue()].description());
                    this.mSMTotal++;
                }
            }
        }

        private void increaseCrash(java.util.Map<java.lang.String, java.lang.Integer> data) {
            java.lang.Integer policy = (java.lang.Integer) data.get("policy");
            if (policy != null) {
                if (com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.ordinal() == policy.intValue()) {
                    java.lang.String condition = getCondition(data);
                    if (condition.equals("")) {
                        addTimes(this.mCrashCleanup, "others");
                    } else {
                        addTimes(this.mCrashCleanup, condition);
                    }
                    this.mCrashTotal++;
                } else if (com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.ordinal() >= policy.intValue() || policy.intValue() >= com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.values().length) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("policy = ");
                    stringBuilder.append(policy);
                    android.rms.iaware.AwareLog.e("AppCleanupDumpRadar", stringBuilder.toString());
                } else {
                    addTimes(this.mCrashCleanup, com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.values()[policy.intValue()].description());
                    this.mCrashTotal++;
                }
            }
        }

        private void increaseSmart(java.util.Map<java.lang.String, java.lang.Integer> data) {
            java.lang.Integer policy = (java.lang.Integer) data.get("policy");
            if (policy != null) {
                if (com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.ordinal() == policy.intValue()) {
                    java.lang.String condition = getCondition(data);
                    if (condition.equals("")) {
                        addTimes(this.mSmartCleanup, "others");
                    } else {
                        addTimes(this.mSmartCleanup, condition);
                    }
                    this.mSmartTotal++;
                } else if (com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.ordinal() >= policy.intValue() || policy.intValue() >= com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.values().length) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("policy = ");
                    stringBuilder.append(policy);
                    android.rms.iaware.AwareLog.e("AppCleanupDumpRadar", stringBuilder.toString());
                } else {
                    addTimes(this.mSmartCleanup, com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.values()[policy.intValue()].description());
                    this.mSmartTotal++;
                }
            }
        }

        private void increaseMemory(java.util.Map<java.lang.String, java.lang.Integer> data) {
            java.lang.Integer policy = (java.lang.Integer) data.get("policy");
            if (policy != null) {
                java.lang.StringBuilder stringBuilder;
                java.lang.Integer level = (java.lang.Integer) data.get("level");
                if (!(level == null || -1 == level.intValue())) {
                    java.util.Map map = this.mMemoryCleanup;
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("lvl");
                    stringBuilder.append(level);
                    addTimes(map, stringBuilder.toString());
                }
                if (com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.ordinal() == policy.intValue()) {
                    java.lang.String condition = getCondition(data);
                    if (condition.equals("")) {
                        addTimes(this.mMemoryCleanup, "others");
                    } else {
                        addTimes(this.mMemoryCleanup, condition);
                    }
                    this.mMemoryTotal++;
                } else if (com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.ordinal() >= policy.intValue() || policy.intValue() >= com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.values().length) {
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("policy = ");
                    stringBuilder.append(policy);
                    android.rms.iaware.AwareLog.e("AppCleanupDumpRadar", stringBuilder.toString());
                } else {
                    addTimes(this.mMemoryCleanup, com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.values()[policy.intValue()].description());
                    this.mMemoryTotal++;
                }
            }
        }

        private void increaseThermal(java.util.Map<java.lang.String, java.lang.Integer> data) {
            java.lang.Integer policy = (java.lang.Integer) data.get("policy");
            if (policy != null) {
                if (com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.ordinal() == policy.intValue()) {
                    java.lang.String condition = getCondition(data);
                    if (condition.equals("")) {
                        addTimes(this.mThermalCleanup, "others");
                    } else {
                        addTimes(this.mThermalCleanup, condition);
                    }
                    this.mThermalTotal++;
                } else if (com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.ordinal() >= policy.intValue() || policy.intValue() >= com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.values().length) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("policy = ");
                    stringBuilder.append(policy);
                    android.rms.iaware.AwareLog.e("AppCleanupDumpRadar", stringBuilder.toString());
                } else {
                    addTimes(this.mThermalCleanup, com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.values()[policy.intValue()].description());
                    this.mThermalTotal++;
                }
            }
        }

        private org.json.JSONObject makeJson(int total, java.util.Map<java.lang.String, java.lang.Integer> cleanup) {
            org.json.JSONObject jsonObj = new org.json.JSONObject();
            if (total > 0) {
                try {
                    jsonObj.put("pkg", this.mPackageName);
                    jsonObj.put("total", total);
                    for (java.util.Map.Entry<java.lang.String, java.lang.Integer> entry : cleanup.entrySet()) {
                        jsonObj.put((java.lang.String) entry.getKey(), entry.getValue());
                    }
                } catch (org.json.JSONException e) {
                    java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("makeJson catch JSONException e: ");
                    stringBuilder.append(e);
                    android.rms.iaware.AwareLog.e("AppCleanupDumpRadar", stringBuilder.toString());
                }
            }
            return jsonObj;
        }
    }

    private final class DumpRadarHandler extends android.os.Handler {
        public DumpRadarHandler(android.os.Looper looper) {
            super(looper, null, true);
        }

        public void handleMessage(android.os.Message msg) {
            if (msg.what == 1) {
                com.android.internal.os.SomeArgs args = msg.obj;
                com.android.server.rms.iaware.srms.AppCleanupDumpRadar.this.processMemoryData(args.arg1, ((java.lang.Integer) args.arg2).intValue());
            }
        }
    }

    public static com.android.server.rms.iaware.srms.AppCleanupDumpRadar getInstance() {
        if (mCleanDumpRadar == null) {
            synchronized (com.android.server.rms.iaware.srms.AppCleanupDumpRadar.class) {
                if (mCleanDumpRadar == null) {
                    mCleanDumpRadar = new com.android.server.rms.iaware.srms.AppCleanupDumpRadar();
                }
            }
        }
        return mCleanDumpRadar;
    }

    private java.lang.String makeCleanJson(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource source) {
        java.lang.StringBuilder cleanupStat = new java.lang.StringBuilder("");
        for (java.util.Map.Entry<java.lang.String, com.android.server.rms.iaware.srms.AppCleanupDumpRadar.CleanupData> item : this.mCleanupDataList.entrySet()) {
            com.android.server.rms.iaware.srms.AppCleanupDumpRadar.CleanupData cleanup = (com.android.server.rms.iaware.srms.AppCleanupDumpRadar.CleanupData) item.getValue();
            org.json.JSONObject smJson;
            switch (com.android.server.rms.iaware.srms.AppCleanupDumpRadar.AnonymousClass1.$SwitchMap$android$app$mtm$iaware$appmng$AppMngConstant$AppCleanSource[source.ordinal()]) {
                case 1:
                    java.util.Map<java.lang.String, java.lang.Integer> pgCleanup = new java.util.LinkedHashMap();
                    pgCleanup.putAll(cleanup.mPGCleanup);
                    pgCleanup.putAll(cleanup.mPGNCleanup);
                    org.json.JSONObject pjJson = cleanup.makeJson(cleanup.mPGTotal, pgCleanup);
                    if (pjJson.length() == 0) {
                        break;
                    }
                    cleanupStat.append("\n");
                    cleanupStat.append(pjJson.toString());
                    break;
                case 2:
                    smJson = cleanup.makeJson(cleanup.mSMTotal, cleanup.mSMCleanup);
                    if (smJson.length() == 0) {
                        break;
                    }
                    cleanupStat.append("\n");
                    cleanupStat.append(smJson.toString());
                    break;
                case 3:
                    smJson = cleanup.makeJson(cleanup.mCrashTotal, cleanup.mCrashCleanup);
                    if (smJson.length() == 0) {
                        break;
                    }
                    cleanupStat.append("\n");
                    cleanupStat.append(smJson.toString());
                    break;
                case 4:
                    smJson = cleanup.makeJson(cleanup.mSmartTotal, cleanup.mSmartCleanup);
                    if (smJson.length() == 0) {
                        break;
                    }
                    cleanupStat.append("\n");
                    cleanupStat.append(smJson.toString());
                    break;
                case 5:
                    smJson = cleanup.makeJson(cleanup.mMemoryTotal, cleanup.mMemoryCleanup);
                    if (smJson.length() == 0) {
                        break;
                    }
                    cleanupStat.append("\n");
                    cleanupStat.append(smJson.toString());
                    break;
                case 6:
                    smJson = cleanup.makeJson(cleanup.mThermalTotal, cleanup.mThermalCleanup);
                    if (smJson.length() == 0) {
                        break;
                    }
                    cleanupStat.append("\n");
                    cleanupStat.append(smJson.toString());
                    break;
                default:
                    break;
            }
        }
        return cleanupStat.toString();
    }

    public java.lang.String saveCleanBigData(boolean clear) {
        java.lang.String stringBuilder;
        synchronized (this.mCleanupDataList) {
            long updateTime = java.lang.System.currentTimeMillis();
            java.lang.StringBuilder data = new java.lang.StringBuilder("");
            java.lang.String pgStr = makeCleanJson(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.POWER_GENIE);
            if (!pgStr.equals("")) {
                data.append("\n[iAwareAppPGClean_Start]");
                data.append("\nstartTime: ");
                data.append(java.lang.String.valueOf(this.mPGStartTime));
                data.append(pgStr);
                data.append("\nendTime: ");
                data.append(java.lang.String.valueOf(updateTime));
                data.append("\n[iAwareAppPGClean_End]");
                this.mPGStartTime = clear ? updateTime : this.mPGStartTime;
            }
            java.lang.String smStr = makeCleanJson(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.SYSTEM_MANAGER);
            if (!smStr.equals("")) {
                data.append("\n[iAwareAppSMClean_Start]");
                data.append("\nstartTime: ");
                data.append(java.lang.String.valueOf(this.mSMStartTime));
                data.append(smStr);
                data.append("\nendTime: ");
                data.append(java.lang.String.valueOf(updateTime));
                data.append("\n[iAwareAppSMClean_End]");
                this.mSMStartTime = clear ? updateTime : this.mSMStartTime;
            }
            java.lang.String crashStr = makeCleanJson(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.CRASH);
            if (!crashStr.equals("")) {
                data.append("\n[iAwareAppCrashClean_Start]");
                data.append("\nstartTime: ");
                data.append(java.lang.String.valueOf(this.mCrashStartTime));
                data.append(crashStr);
                data.append("\nendTime: ");
                data.append(java.lang.String.valueOf(updateTime));
                data.append("\n[iAwareAppCrashClean_End]");
                this.mCrashStartTime = clear ? updateTime : this.mCrashStartTime;
            }
            java.lang.String smartStr = makeCleanJson(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.SMART_CLEAN);
            if (!smartStr.equals("")) {
                data.append("\n[iAwareAppSmartClean_Start]");
                data.append("\nstartTime: ");
                data.append(java.lang.String.valueOf(this.mSmartStartTime));
                data.append(smartStr);
                data.append("\nendTime: ");
                data.append(java.lang.String.valueOf(updateTime));
                data.append("\n[iAwareAppSmartClean_End]");
                this.mSmartStartTime = clear ? updateTime : this.mSmartStartTime;
            }
            java.lang.String memStr = makeCleanJson(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.MEMORY);
            if (!memStr.equals("")) {
                data.append("\n[iAwareAppMemoryClean_Start]");
                data.append("\nstartTime: ");
                data.append(java.lang.String.valueOf(this.mMemStartTime));
                data.append(memStr);
                data.append("\nendTime: ");
                data.append(java.lang.String.valueOf(updateTime));
                data.append("\n[iAwareAppMemoryClean_End]");
                this.mMemStartTime = clear ? updateTime : this.mMemStartTime;
            }
            java.lang.String thermalStr = makeCleanJson(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.THERMAL);
            if (!thermalStr.equals("")) {
                data.append("\n[iAwareAppThermalClean_Start]");
                data.append("\nstartTime: ");
                data.append(java.lang.String.valueOf(this.mThermalStartTime));
                data.append(thermalStr);
                data.append("\nendTime: ");
                data.append(java.lang.String.valueOf(updateTime));
                data.append("\n[iAwareAppThermalClean_End]");
                this.mThermalStartTime = clear ? updateTime : this.mThermalStartTime;
            }
            if (clear) {
                this.mCleanupDataList.clear();
            }
            stringBuilder = data.toString();
        }
        return stringBuilder;
    }

    public void updateCleanData(java.lang.String pkg, android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource source, java.util.Map<java.lang.String, java.lang.Integer> data) {
        if (isBetaUser) {
            if (DEBUG) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("updateCleanData pkg = ");
                stringBuilder.append(pkg);
                stringBuilder.append(", source = ");
                stringBuilder.append(source);
                stringBuilder.append(", data = ");
                stringBuilder.append(data);
                android.rms.iaware.AwareLog.i("AppCleanupDumpRadar", stringBuilder.toString());
            }
            if (pkg != null) {
                if (!pkg.isEmpty()) {
                    synchronized (this.mCleanupDataList) {
                        com.android.server.rms.iaware.srms.AppCleanupDumpRadar.CleanupData cleanup = (com.android.server.rms.iaware.srms.AppCleanupDumpRadar.CleanupData) this.mCleanupDataList.get(pkg);
                        if (cleanup != null) {
                            cleanup.increase(source, data);
                        } else {
                            cleanup = new com.android.server.rms.iaware.srms.AppCleanupDumpRadar.CleanupData(pkg, null);
                            cleanup.increase(source, data);
                        }
                        this.mCleanupDataList.put(pkg, cleanup);
                    }
                }
            }
        }
    }

    public void dumpBigData(java.io.PrintWriter pw) {
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("");
        stringBuilder.append(saveCleanBigData(false));
        pw.println(stringBuilder.toString());
    }

    public void setHandler(android.os.Handler handler) {
        if (handler != null) {
            this.mHandler = new com.android.server.rms.iaware.srms.AppCleanupDumpRadar.DumpRadarHandler(handler.getLooper());
        }
    }

    private void processMemoryData(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> blockInfos, int position) {
        int size = blockInfos.size();
        int i = 0;
        while (i < size) {
            com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo info = (com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo) blockInfos.get(i);
            if (info != null) {
                if (i <= position) {
                    info.mCleanType = com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE;
                    info.mReason = android.app.mtm.iaware.appmng.AppMngConstant.CleanReason.MEMORY_ENOUGH.getCode();
                    java.util.HashMap<java.lang.String, java.lang.Integer> detailedReason = new java.util.HashMap();
                    detailedReason.put(com.android.server.mtm.iaware.appmng.rule.RuleParserUtil.AppMngTag.POLICY.getDesc(), java.lang.Integer.valueOf(com.android.server.mtm.taskstatus.ProcessCleaner.CleanType.NONE.ordinal()));
                    detailedReason.put("spec", java.lang.Integer.valueOf(android.app.mtm.iaware.appmng.AppMngConstant.CleanReason.MEMORY_ENOUGH.ordinal()));
                    info.mDetailedReason = detailedReason;
                }
                updateCleanData(info.mPackageName, android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.MEMORY, info.mDetailedReason);
                i++;
            } else {
                return;
            }
        }
    }

    public void reportMemoryData(java.util.List<com.android.server.mtm.iaware.appmng.AwareProcessBlockInfo> blockInfos, int position) {
        if (blockInfos != null && position < blockInfos.size()) {
            if (this.mHandler != null) {
                android.os.Message msg = this.mHandler.obtainMessage();
                msg.what = 1;
                com.android.internal.os.SomeArgs args = com.android.internal.os.SomeArgs.obtain();
                args.arg1 = blockInfos;
                args.arg2 = java.lang.Integer.valueOf(position);
                msg.obj = args;
                this.mHandler.sendMessage(msg);
            }
        }
    }
}
