package com.android.server.rms.iaware.srms;

public class AppCleanupFeature extends com.android.server.rms.iaware.feature.RFeature {
    private static final int BASE_VERSION = 2;
    private static final java.lang.String TAG = "AppCleanupFeature";
    private static boolean mFeature = false;

    /* renamed from: com.android.server.rms.iaware.srms.AppCleanupFeature$1 */
    static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$android$rms$iaware$AwareConstant$ResourceType = new int[android.rms.iaware.AwareConstant.ResourceType.values().length];

        static {
            try {
                $SwitchMap$android$rms$iaware$AwareConstant$ResourceType[android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_OFF.ordinal()] = 1;
            } catch (java.lang.NoSuchFieldError e) {
            }
            try {
                $SwitchMap$android$rms$iaware$AwareConstant$ResourceType[android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_ON.ordinal()] = 2;
            } catch (java.lang.NoSuchFieldError e2) {
            }
            try {
                $SwitchMap$android$rms$iaware$AwareConstant$ResourceType[android.rms.iaware.AwareConstant.ResourceType.RESOURCE_USER_PRESENT.ordinal()] = 3;
            } catch (java.lang.NoSuchFieldError e3) {
            }
        }
    }

    public AppCleanupFeature(android.content.Context context, android.rms.iaware.AwareConstant.FeatureType featureType, com.android.server.rms.iaware.IRDataRegister dataRegister) {
        super(context, featureType, dataRegister);
    }

    public boolean reportData(android.rms.iaware.CollectData data) {
        if (data == null) {
            return false;
        }
        android.rms.iaware.AwareConstant.ResourceType[] types = android.rms.iaware.AwareConstant.ResourceType.values();
        if (types.length <= data.getResId() || data.getResId() < 0) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("bad resId = ");
            stringBuilder.append(data.getResId());
            android.rms.iaware.AwareLog.e("AppCleanupFeature", stringBuilder.toString());
            return false;
        }
        android.rms.iaware.AwareConstant.ResourceType resType = types[data.getResId()];
        com.android.server.mtm.MultiTaskManagerService mtm = com.android.server.mtm.MultiTaskManagerService.self();
        if (mtm == null) {
            java.lang.StringBuilder stringBuilder2 = new java.lang.StringBuilder();
            stringBuilder2.append("can't do anything when event [");
            stringBuilder2.append(resType);
            stringBuilder2.append("] is comming, because mtm services is down");
            android.rms.iaware.AwareLog.e("AppCleanupFeature", stringBuilder2.toString());
            return false;
        }
        switch (com.android.server.rms.iaware.srms.AppCleanupFeature.AnonymousClass1.$SwitchMap$android$rms$iaware$AwareConstant$ResourceType[resType.ordinal()]) {
            case 1:
                mtm.requestAppClean(android.app.mtm.iaware.appmng.AppMngConstant.AppCleanSource.SMART_CLEAN);
                com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().screenStateChange(true);
                break;
            case 2:
                mtm.cancelAppClean();
                com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().screenStateChange(false);
                break;
            case 3:
                com.android.server.rms.iaware.appmng.AwareAppAssociate.getInstance().checkBakUpVisWin();
                break;
            default:
                break;
        }
        return true;
    }

    public boolean enable() {
        android.rms.iaware.AwareLog.i("AppCleanupFeature", "enable failed! feature based on IAware2.0, enable() method should not be called!");
        return false;
    }

    public boolean disable() {
        android.rms.iaware.AwareLog.i("AppCleanupFeature", "disable iaware cleanupFeature!");
        setEnable(false);
        subscribeData(false);
        return true;
    }

    public boolean enableFeatureEx(int realVersion) {
        if (realVersion < 2) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("enableFeatureEx failed, realVersion: ");
            stringBuilder.append(realVersion);
            stringBuilder.append(", CleanupFeature baseVersion: ");
            stringBuilder.append(2);
            android.rms.iaware.AwareLog.i("AppCleanupFeature", stringBuilder.toString());
            return false;
        }
        android.rms.iaware.AwareLog.i("AppCleanupFeature", "enableFeatureEx iaware CleanupFeature!");
        setEnable(true);
        subscribeData(true);
        return true;
    }

    private static void setEnable(boolean enable) {
        mFeature = enable;
    }

    private void subscribeData(boolean enable) {
        if (this.mIRDataRegister == null) {
            android.rms.iaware.AwareLog.e("AppCleanupFeature", "mIRDataRegister is null, can't subscribe data!");
            return;
        }
        if (enable) {
            this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_OFF, this.mFeatureType);
            this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_ON, this.mFeatureType);
            this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_USER_PRESENT, this.mFeatureType);
        } else {
            this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_OFF, this.mFeatureType);
            this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_ON, this.mFeatureType);
            this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_USER_PRESENT, this.mFeatureType);
        }
    }

    public java.lang.String saveBigData(boolean clear) {
        android.rms.iaware.AwareLog.i("AppCleanupFeature", "Feature based on IAware2.0, saveBigData return null.");
        return null;
    }

    public java.lang.String getBigDataByVersion(int iawareVer, boolean forBeta, boolean clearData) {
        if (mFeature && forBeta) {
            if (iawareVer >= 2) {
                return com.android.server.rms.iaware.srms.AppCleanupDumpRadar.getInstance().saveCleanBigData(clearData);
            }
        }
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append("bigdata is not support, mFeature=");
        stringBuilder.append(mFeature);
        stringBuilder.append(", iawareVer=");
        stringBuilder.append(iawareVer);
        android.rms.iaware.AwareLog.e("AppCleanupFeature", stringBuilder.toString());
        return null;
    }

    public static boolean isAppCleanEnable() {
        return mFeature;
    }
}
