package com.android.server.rms.iaware.srms;

public class BroadcastFeature extends com.android.server.rms.iaware.feature.RFeature {
    private static final int BASE_VERSION = 2;
    private static final java.lang.String TAG = "BroadcastFeature";
    private static boolean mFeature = false;
    private static boolean mFlowCtrlEnable = android.os.SystemProperties.getBoolean("ro.config.res_brctrl", true);
    private static boolean mImplicitCapEnable = android.os.SystemProperties.getBoolean("ro.config.res_implicit", true);
    private com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar mDumpRadar = null;
    private com.android.server.mtm.iaware.srms.AwareBroadcastPolicy mIawareBrPolicy = null;

    /* renamed from: com.android.server.rms.iaware.srms.BroadcastFeature$1 */
    static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$android$rms$iaware$AwareConstant$ResourceType = new int[android.rms.iaware.AwareConstant.ResourceType.values().length];

        static {
            try {
                $SwitchMap$android$rms$iaware$AwareConstant$ResourceType[android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_ON.ordinal()] = 1;
            } catch (java.lang.NoSuchFieldError e) {
            }
            try {
                $SwitchMap$android$rms$iaware$AwareConstant$ResourceType[android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_OFF.ordinal()] = 2;
            } catch (java.lang.NoSuchFieldError e2) {
            }
            try {
                $SwitchMap$android$rms$iaware$AwareConstant$ResourceType[android.rms.iaware.AwareConstant.ResourceType.RESOURCE_INSTALLER_MANAGER.ordinal()] = 3;
            } catch (java.lang.NoSuchFieldError e3) {
            }
        }
    }

    public BroadcastFeature(android.content.Context context, android.rms.iaware.AwareConstant.FeatureType featureType, com.android.server.rms.iaware.IRDataRegister dataRegister) {
        super(context, featureType, dataRegister);
        if (com.android.server.mtm.MultiTaskManagerService.self() != null) {
            this.mIawareBrPolicy = com.android.server.mtm.MultiTaskManagerService.self().getIawareBrPolicy();
        }
    }

    public static boolean isFeatureEnabled(int feature) {
        boolean z = true;
        if (feature == 10) {
            if (!mFeature || !mFlowCtrlEnable) {
                z = false;
            }
            return z;
        } else if (feature != 11) {
            return false;
        } else {
            if (!mFeature || !mImplicitCapEnable) {
                z = false;
            }
            return z;
        }
    }

    public boolean reportData(android.rms.iaware.CollectData data) {
        if (data == null) {
            return false;
        }
        switch (com.android.server.rms.iaware.srms.BroadcastFeature.AnonymousClass1.$SwitchMap$android$rms$iaware$AwareConstant$ResourceType[android.rms.iaware.AwareConstant.ResourceType.getResourceType(data.getResId()).ordinal()]) {
            case 1:
                if (getIawareBrPolicy() != null) {
                    this.mIawareBrPolicy.reportSysEvent(20011, -1);
                    break;
                }
                break;
            case 2:
                if (getIawareBrPolicy() != null) {
                    this.mIawareBrPolicy.reportSysEvent(90011, -1);
                    break;
                }
                break;
            case 3:
                if (getIawareBrPolicy() != null) {
                    android.os.Bundle bundle = data.getBundle();
                    if (bundle != null) {
                        this.mIawareBrPolicy.reportSysEvent(15016, bundle.getInt("eventId", 0));
                    }
                    break;
                }
                break;
            default:
                break;
        }
        return true;
    }

    public boolean enable() {
        android.rms.iaware.AwareLog.i("BroadcastFeature", "enable failed! feature based on IAware2.0, enable() method should not be called!");
        return false;
    }

    public boolean disable() {
        android.rms.iaware.AwareLog.i("BroadcastFeature", "disable iaware broadcast feature!");
        setEnable(false);
        unsubscribeResourceTypes();
        return true;
    }

    public boolean enableFeatureEx(int realVersion) {
        if (realVersion < 2) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("enableFeatureEx failed, realVersion: ");
            stringBuilder.append(realVersion);
            stringBuilder.append(", BroadcastFeature baseVersion: ");
            stringBuilder.append(2);
            android.rms.iaware.AwareLog.i("BroadcastFeature", stringBuilder.toString());
            return false;
        }
        android.rms.iaware.AwareLog.i("BroadcastFeature", "enableFeatureEx iaware broadcast feature!");
        setEnable(true);
        subscribeResourceTypes();
        return true;
    }

    private void subscribeResourceTypes() {
        if (this.mIRDataRegister != null) {
            this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_ON, this.mFeatureType);
            this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_OFF, this.mFeatureType);
            this.mIRDataRegister.subscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_INSTALLER_MANAGER, this.mFeatureType);
        }
    }

    private void unsubscribeResourceTypes() {
        if (this.mIRDataRegister != null) {
            this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_ON, this.mFeatureType);
            this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_SCREEN_OFF, this.mFeatureType);
            this.mIRDataRegister.unSubscribeData(android.rms.iaware.AwareConstant.ResourceType.RESOURCE_INSTALLER_MANAGER, this.mFeatureType);
        }
    }

    private static void setEnable(boolean enable) {
        mFeature = enable;
    }

    public java.lang.String saveBigData(boolean clear) {
        android.rms.iaware.AwareLog.i("BroadcastFeature", "Feature based on IAware2.0, saveBigData return null.");
        return null;
    }

    public java.lang.String getBigDataByVersion(int iawareVer, boolean forBeta, boolean clearData) {
        if (iawareVer < 2) {
            java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("Feature based on IAware2.0, getBigDataByVersion return null. iawareVer: ");
            stringBuilder.append(iawareVer);
            android.rms.iaware.AwareLog.i("BroadcastFeature", stringBuilder.toString());
        } else if (!mFeature) {
            android.rms.iaware.AwareLog.e("BroadcastFeature", "Broadcast feature is disabled, it is invalid operation to save big data.");
            return null;
        } else if (getDumpRadar() != null) {
            return getDumpRadar().getData(forBeta, clearData);
        }
        return null;
    }

    private com.android.server.mtm.iaware.srms.AwareBroadcastDumpRadar getDumpRadar() {
        if (com.android.server.mtm.MultiTaskManagerService.self() != null) {
            this.mDumpRadar = com.android.server.mtm.MultiTaskManagerService.self().getIawareBrRadar();
        }
        return this.mDumpRadar;
    }

    private com.android.server.mtm.iaware.srms.AwareBroadcastPolicy getIawareBrPolicy() {
        if (this.mIawareBrPolicy == null && com.android.server.mtm.MultiTaskManagerService.self() != null) {
            this.mIawareBrPolicy = com.android.server.mtm.MultiTaskManagerService.self().getIawareBrPolicy();
        }
        return this.mIawareBrPolicy;
    }
}
