package com.android.server.wm;

public class HwDisplayContent extends com.android.server.wm.DisplayContent {
    private com.android.server.wm.WindowState appWin = null;
    private boolean mTmpshouldDropMotionEventForTouchPad;
    private int maxLayer = 0;
    private int minLayer = 0;
    private boolean screenshotReady = false;

    @java.lang.FunctionalInterface
    private interface ScreenshoterForExternalDisplay<E> {
        E screenshotForExternalDisplay(android.os.IBinder iBinder, android.graphics.Rect rect, int i, int i2, int i3, int i4, boolean z, int i5);
    }

    public HwDisplayContent(android.view.Display display, com.android.server.wm.WindowManagerService service, com.android.server.wm.WallpaperController wallpaperController, com.android.server.wm.DisplayWindowController controller) {
        super(display, service, wallpaperController, controller);
    }

    void computeScreenConfiguration(android.content.res.Configuration config) {
        super.computeScreenConfiguration(config);
        if (huawei.android.os.HwGeneralManager.getInstance().isSupportForce()) {
            android.view.DisplayInfo displayInfo = this.mService.getDefaultDisplayContentLocked().getDisplayInfo();
            this.mService.mInputManager.setDisplayWidthAndHeight(displayInfo.logicalWidth, displayInfo.logicalHeight);
        }
    }

    java.util.List taskIdFromTop() {
        java.util.List<java.lang.Integer> tasks = new java.util.ArrayList();
        for (int stackNdx = this.mTaskStackContainers.getChildCount() - 1; stackNdx >= 0; stackNdx--) {
            com.android.server.wm.TaskStack stack = (com.android.server.wm.TaskStack) this.mTaskStackContainers.getChildAt(stackNdx);
            for (int taskNdx = stack.mChildren.size() - 1; taskNdx >= 0; taskNdx--) {
                com.android.server.wm.Task task = (com.android.server.wm.Task) stack.mChildren.get(taskNdx);
                if (task.getTopVisibleAppMainWindow() != null) {
                    int taskId = task.mTaskId;
                    if (taskId != -1) {
                        tasks.add(java.lang.Integer.valueOf(taskId));
                        return tasks;
                    }
                }
            }
        }
        return tasks;
    }

    public void setDisplayRotationFR(int rotation) {
        com.android.server.wm.IntelliServiceManager.setDisplayRotation(rotation);
    }

    public void togglePCMode(boolean pcMode) {
        if (!pcMode && android.util.HwPCUtils.isValidExtDisplayId(this.mDisplay.getDisplayId())) {
            try {
                com.android.server.wm.WindowToken topChild = (com.android.server.wm.WindowToken) this.mAboveAppWindowsContainers.getTopChild();
                while (topChild != null) {
                    topChild.removeImmediately();
                    topChild = (com.android.server.wm.WindowToken) this.mAboveAppWindowsContainers.getTopChild();
                }
            } catch (java.lang.Exception e) {
                android.util.HwPCUtils.log("PCManager", "togglePCMode failed!!!");
            }
        }
    }

    android.graphics.GraphicBuffer screenshotApplicationsToBufferForExternalDisplay(android.os.IBinder displayToken, android.os.IBinder appToken, int width, int height, boolean includeFullDisplay, float frameScale, boolean wallpaperOnly, boolean includeDecor) {
        return (android.graphics.GraphicBuffer) screenshotApplicationsForExternalDisplay(displayToken, appToken, width, height, includeFullDisplay, frameScale, wallpaperOnly, includeDecor, com.android.server.wm.-$$Lambda$HwDisplayContent$hqzEBx8K3UQdYIGeQr7mOqvOIpU.INSTANCE);
    }

    /* JADX WARNING: Missing block: B:26:0x005b, code:
            r6 = ((r11.mService.mPolicy.getWindowLayerFromTypeLw(2) + 1) * 10000) + 1000;
            r3 = new android.util.MutableBoolean(r45);
            r2 = r11.mService.mWindowMap;
     */
    /* JADX WARNING: Missing block: B:27:0x0075, code:
            monitor-enter(r2);
     */
    /* JADX WARNING: Missing block: B:29:?, code:
            r11.appWin = null;
            r11.screenshotReady = false;
            r11.maxLayer = 0;
            r11.minLayer = 0;
     */
    /* JADX WARNING: Missing block: B:32:0x0080, code:
            r1 = r1;
            r21 = r2;
            r22 = r3;
            r23 = r6;
            r0 = true;
            r24 = r9;
     */
    /* JADX WARNING: Missing block: B:34:?, code:
            r1 = new com.android.server.wm.-$$Lambda$HwDisplayContent$UiMb2yAB1OHc6iiUwbMFKfLp2P8(r11, r6, r47, r5, r12, r22, r48, r9, r10);
     */
    /* JADX WARNING: Missing block: B:35:0x009a, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:36:0x009b, code:
            r21 = r2;
            r34 = r3;
            r35 = r5;
            r23 = r6;
            r6 = r9;
            r38 = r10;
            r5 = r14;
            r7 = r15;
     */
    /* JADX WARNING: Missing block: B:37:0x00aa, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:38:0x00ab, code:
            r35 = r5;
            r38 = r10;
            r5 = r14;
            r7 = r15;
            r34 = r22;
            r6 = r24;
     */
    /* JADX WARNING: Missing block: B:41:?, code:
            forAllWindows(r20, r0);
     */
    /* JADX WARNING: Missing block: B:42:0x00bc, code:
            if (r12 == null) goto L_0x00d6;
     */
    /* JADX WARNING: Missing block: B:45:0x00c0, code:
            if (r11.appWin != null) goto L_0x00d6;
     */
    /* JADX WARNING: Missing block: B:46:0x00c2, code:
            monitor-exit(r21);
     */
    /* JADX WARNING: Missing block: B:48:0x00c4, code:
            return null;
     */
    /* JADX WARNING: Missing block: B:49:0x00c5, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:50:0x00c6, code:
            r3 = r43;
            r2 = r44;
            r35 = r5;
            r38 = r10;
            r5 = r14;
            r7 = r15;
            r34 = r22;
            r6 = r24;
     */
    /* JADX WARNING: Missing block: B:53:0x00d8, code:
            if (r11.screenshotReady != false) goto L_0x011e;
     */
    /* JADX WARNING: Missing block: B:55:?, code:
            r0 = "WindowManager";
            r1 = new java.lang.StringBuilder();
            r1.append("Failed to capture screenshot of ");
            r1.append(r12);
            r1.append(" appWin=");
     */
    /* JADX WARNING: Missing block: B:56:0x00f0, code:
            if (r11.appWin != null) goto L_0x00f5;
     */
    /* JADX WARNING: Missing block: B:57:0x00f2, code:
            r2 = "null";
     */
    /* JADX WARNING: Missing block: B:58:0x00f5, code:
            r2 = new java.lang.StringBuilder();
            r2.append(r11.appWin);
            r2.append(" drawState=");
            r2.append(r11.appWin.mWinAnimator.mDrawState);
            r2 = r2.toString();
     */
    /* JADX WARNING: Missing block: B:59:0x0111, code:
            r1.append(r2);
            android.util.Slog.i(r0, r1.toString());
     */
    /* JADX WARNING: Missing block: B:60:0x011b, code:
            monitor-exit(r21);
     */
    /* JADX WARNING: Missing block: B:62:0x011d, code:
            return null;
     */
    /* JADX WARNING: Missing block: B:64:?, code:
            r1 = r11.maxLayer;
            r1 = r11.mDisplay.getRotation();
     */
    /* JADX WARNING: Missing block: B:66:0x0127, code:
            if (r1 == r0) goto L_0x0131;
     */
    /* JADX WARNING: Missing block: B:67:0x0129, code:
            if (r1 != true) goto L_0x012c;
     */
    /* JADX WARNING: Missing block: B:69:0x012c, code:
            r3 = r43;
            r2 = r44;
     */
    /* JADX WARNING: Missing block: B:70:0x0131, code:
            r2 = r43;
            r3 = r44;
     */
    /* JADX WARNING: Missing block: B:71:0x0136, code:
            r4 = r22;
     */
    /* JADX WARNING: Missing block: B:74:0x013a, code:
            if (r4.value != false) goto L_0x0156;
     */
    /* JADX WARNING: Missing block: B:75:0x013c, code:
            r6 = r24;
     */
    /* JADX WARNING: Missing block: B:78:0x0143, code:
            if (r6.intersect(0, 0, r15, r14) != false) goto L_0x015c;
     */
    /* JADX WARNING: Missing block: B:79:0x0145, code:
            r6.setEmpty();
     */
    /* JADX WARNING: Missing block: B:80:0x0149, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:81:0x014a, code:
            r16 = r1;
            r34 = r4;
            r35 = r5;
            r38 = r10;
     */
    /* JADX WARNING: Missing block: B:82:0x0152, code:
            r5 = r14;
            r7 = r15;
     */
    /* JADX WARNING: Missing block: B:83:0x0156, code:
            r6 = r24;
     */
    /* JADX WARNING: Missing block: B:85:?, code:
            r6.set(0, 0, r15, r14);
     */
    /* JADX WARNING: Missing block: B:87:0x0160, code:
            if (r6.isEmpty() == false) goto L_0x0165;
     */
    /* JADX WARNING: Missing block: B:89:?, code:
            monitor-exit(r21);
     */
    /* JADX WARNING: Missing block: B:91:0x0164, code:
            return null;
     */
    /* JADX WARNING: Missing block: B:92:0x0165, code:
            if (r3 >= 0) goto L_0x016f;
     */
    /* JADX WARNING: Missing block: B:93:0x0167, code:
            r3 = (int) (((float) r6.width()) * r46);
     */
    /* JADX WARNING: Missing block: B:94:0x016f, code:
            if (r2 >= 0) goto L_0x0179;
     */
    /* JADX WARNING: Missing block: B:96:0x0175, code:
            r2 = (int) (((float) r6.height()) * r46);
     */
    /* JADX WARNING: Missing block: B:98:?, code:
            r9 = new android.graphics.Rect(r6);
     */
    /* JADX WARNING: Missing block: B:99:0x0182, code:
            if (android.util.HwPCUtils.isPcCastModeInServer() == false) goto L_0x0218;
     */
    /* JADX WARNING: Missing block: B:102:0x018a, code:
            if (android.util.HwPCUtils.isValidExtDisplayId(r11.mDisplayId) == false) goto L_0x0218;
     */
    /* JADX WARNING: Missing block: B:103:0x018c, code:
            r7 = r11.mService.getPCScreenDisplayMode();
     */
    /* JADX WARNING: Missing block: B:104:0x0192, code:
            if (r7 == false) goto L_0x0201;
     */
    /* JADX WARNING: Missing block: B:105:0x0194, code:
            if (r7 != r0) goto L_0x019a;
     */
    /* JADX WARNING: Missing block: B:106:0x0196, code:
            r16 = 0.95f;
     */
    /* JADX WARNING: Missing block: B:107:0x019a, code:
            r16 = 0.9f;
     */
    /* JADX WARNING: Missing block: B:108:0x019d, code:
            r8 = r16;
            r17 = (1.0f - r8) / 2.0f;
            r0 = ((float) r15) * r17;
            r34 = r4;
            r4 = ((float) r14) * r17;
     */
    /* JADX WARNING: Missing block: B:110:?, code:
            r9.scale(r8);
     */
    /* JADX WARNING: Missing block: B:111:0x01b4, code:
            r35 = r5;
     */
    /* JADX WARNING: Missing block: B:113:?, code:
            r36 = r7;
            r37 = r8;
     */
    /* JADX WARNING: Missing block: B:114:0x01ca, code:
            r38 = r10;
     */
    /* JADX WARNING: Missing block: B:116:?, code:
            r9.set(r9.left + ((int) (r0 - 1065353216)), r9.top + ((int) (r4 - 1.0f)), (r9.width() + r9.left) + ((int) java.lang.Math.floor((double) r0)), (r9.height() + r9.top) + ((int) java.lang.Math.floor((double) r4)));
     */
    /* JADX WARNING: Missing block: B:117:0x01e8, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:118:0x01e9, code:
            r16 = r1;
     */
    /* JADX WARNING: Missing block: B:119:0x01ed, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:120:0x01ee, code:
            r38 = r10;
            r16 = r1;
            r5 = r14;
            r7 = r15;
     */
    /* JADX WARNING: Missing block: B:121:0x01f6, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:122:0x01f7, code:
            r35 = r5;
            r38 = r10;
            r16 = r1;
            r5 = r14;
            r7 = r15;
     */
    /* JADX WARNING: Missing block: B:123:0x0201, code:
            r34 = r4;
            r35 = r5;
            r38 = r10;
     */
    /* JADX WARNING: Missing block: B:124:0x0207, code:
            r5 = r14;
            r7 = r15;
     */
    /* JADX WARNING: Missing block: B:125:0x020b, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:126:0x020c, code:
            r34 = r4;
            r35 = r5;
            r38 = r10;
            r16 = r1;
            r5 = r14;
            r7 = r15;
     */
    /* JADX WARNING: Missing block: B:127:0x0218, code:
            r34 = r4;
            r35 = r5;
            r38 = r10;
     */
    /* JADX WARNING: Missing block: B:130:0x0222, code:
            if (r11.mService.mLazyModeOn == 0) goto L_0x023a;
     */
    /* JADX WARNING: Missing block: B:132:0x022a, code:
            r5 = r14;
            r7 = r15;
     */
    /* JADX WARNING: Missing block: B:134:?, code:
            r11.mService.setCropOnSingleHandMode(r11.mService.mLazyModeOn, false, r7, r5, r9);
     */
    /* JADX WARNING: Missing block: B:135:0x023a, code:
            r5 = r14;
            r7 = r15;
     */
    /* JADX WARNING: Missing block: B:136:0x024c, code:
            if ((((float) r3) / ((float) r6.width())) >= (((float) r2) / ((float) r6.height()))) goto L_0x026c;
     */
    /* JADX WARNING: Missing block: B:137:0x024e, code:
            r9.right = r9.left + ((int) ((((float) r3) / ((float) r2)) * ((float) r6.height())));
     */
    /* JADX WARNING: Missing block: B:138:0x0263, code:
            if (r9.right >= r6.width()) goto L_0x026b;
     */
    /* JADX WARNING: Missing block: B:139:0x0265, code:
            r9.right = r6.width();
     */
    /* JADX WARNING: Missing block: B:141:0x026c, code:
            r9.bottom = r9.top + ((int) ((((float) r2) / ((float) r3)) * ((float) r6.width())));
     */
    /* JADX WARNING: Missing block: B:143:0x027c, code:
            if (r1 == true) goto L_0x0282;
     */
    /* JADX WARNING: Missing block: B:144:0x027e, code:
            r4 = 3;
     */
    /* JADX WARNING: Missing block: B:145:0x027f, code:
            if (r1 != true) goto L_0x0288;
     */
    /* JADX WARNING: Missing block: B:147:0x0282, code:
            r4 = 3;
     */
    /* JADX WARNING: Missing block: B:148:0x0283, code:
            if (r1 != true) goto L_0x0286;
     */
    /* JADX WARNING: Missing block: B:150:0x0286, code:
            r4 = 1;
     */
    /* JADX WARNING: Missing block: B:151:0x0287, code:
            r1 = r4;
     */
    /* JADX WARNING: Missing block: B:152:0x0288, code:
            convertCropForSurfaceFlinger(r9, r1, r7, r5);
            r4 = r11.mService.mAnimator.getScreenRotationAnimationLocked(0);
     */
    /* JADX WARNING: Missing block: B:153:0x0294, code:
            if (r4 == null) goto L_0x029f;
     */
    /* JADX WARNING: Missing block: B:155:0x029a, code:
            if (r4.isAnimating() == false) goto L_0x029f;
     */
    /* JADX WARNING: Missing block: B:156:0x029c, code:
            r31 = true;
     */
    /* JADX WARNING: Missing block: B:157:0x029f, code:
            r31 = false;
     */
    /* JADX WARNING: Missing block: B:158:0x02a1, code:
            android.view.SurfaceControl.openTransaction();
            android.view.SurfaceControl.closeTransactionSync();
            r0 = r49.screenshotForExternalDisplay(r41, r9, r3, r2, r11.minLayer, r11.maxLayer, r31, r1);
     */
    /* JADX WARNING: Missing block: B:159:0x02bf, code:
            if (r0 != null) goto L_0x02ed;
     */
    /* JADX WARNING: Missing block: B:160:0x02c1, code:
            r10 = new java.lang.StringBuilder();
            r10.append("Screenshot failure taking screenshot for (");
            r10.append(r7);
            r10.append("x");
            r10.append(r5);
            r10.append(") to layer ");
            r10.append(r11.maxLayer);
            android.util.Slog.w("WindowManager", r10.toString());
     */
    /* JADX WARNING: Missing block: B:161:0x02ea, code:
            monitor-exit(r21);
     */
    /* JADX WARNING: Missing block: B:163:0x02ec, code:
            return null;
     */
    /* JADX WARNING: Missing block: B:164:0x02ed, code:
            monitor-exit(r21);
     */
    /* JADX WARNING: Missing block: B:165:0x02ee, code:
            return r0;
     */
    /* JADX WARNING: Missing block: B:166:0x02ef, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:167:0x02f0, code:
            r16 = r1;
     */
    /* JADX WARNING: Missing block: B:168:0x02f4, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:169:0x02f5, code:
            r5 = r14;
            r7 = r15;
            r16 = r1;
     */
    /* JADX WARNING: Missing block: B:170:0x02fa, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:171:0x02fb, code:
            r34 = r4;
            r35 = r5;
            r38 = r10;
            r5 = r14;
            r7 = r15;
            r16 = r1;
     */
    /* JADX WARNING: Missing block: B:172:0x0306, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:173:0x0307, code:
            r34 = r4;
            r35 = r5;
            r38 = r10;
            r5 = r14;
            r7 = r15;
            r6 = r24;
            r16 = r1;
     */
    /* JADX WARNING: Missing block: B:174:0x0314, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:175:0x0315, code:
            r35 = r5;
            r38 = r10;
            r5 = r14;
            r7 = r15;
            r34 = r22;
            r6 = r24;
            r3 = r43;
            r2 = r44;
     */
    /* JADX WARNING: Missing block: B:176:0x0324, code:
            r3 = r43;
            r2 = r44;
     */
    /* JADX WARNING: Missing block: B:177:0x0329, code:
            r0 = th;
     */
    /* JADX WARNING: Missing block: B:178:0x032a, code:
            r21 = r2;
            r34 = r3;
            r35 = r5;
            r23 = r6;
            r6 = r9;
            r38 = r10;
            r5 = r14;
            r7 = r15;
            r3 = r43;
            r2 = r44;
     */
    /* JADX WARNING: Missing block: B:180:?, code:
            monitor-exit(r21);
     */
    /* JADX WARNING: Missing block: B:181:0x033c, code:
            throw r0;
     */
    /* JADX WARNING: Missing block: B:182:0x033d, code:
            r0 = th;
     */
    private <E> E screenshotApplicationsForExternalDisplay(android.os.IBinder r41, android.os.IBinder r42, int r43, int r44, boolean r45, float r46, boolean r47, boolean r48, com.android.server.wm.HwDisplayContent.ScreenshoterForExternalDisplay<E> r49) {
        /*
        r40 = this;
        r11 = r40;
        r12 = r42;
        r0 = r11.mDisplayInfo;
        r15 = r0.logicalWidth;
        r0 = r11.mDisplayInfo;
        r14 = r0.logicalHeight;
        r0 = 0;
        if (r15 == 0) goto L_0x0349;
    L_0x000f:
        if (r14 != 0) goto L_0x0015;
    L_0x0011:
        r5 = r14;
        r7 = r15;
        goto L_0x034b;
    L_0x0015:
        r1 = new android.graphics.Rect;
        r1.<init>();
        r9 = r1;
        r10 = new android.graphics.Rect;
        r10.<init>();
        r16 = 0;
        r1 = r11.mService;
        r1 = r1.mWindowMap;
        monitor-enter(r1);
        r2 = r11.mService;	 Catch:{ all -> 0x033f }
        r2 = r2.mInputMethodTarget;	 Catch:{ all -> 0x033f }
        if (r2 == 0) goto L_0x003c;
    L_0x002d:
        r2 = r11.mService;	 Catch:{ all -> 0x0034 }
        r2 = r2.mInputMethodTarget;	 Catch:{ all -> 0x0034 }
        r2 = r2.mAppToken;	 Catch:{ all -> 0x0034 }
        goto L_0x003d;
    L_0x0034:
        r0 = move-exception;
        r6 = r9;
        r38 = r10;
        r5 = r14;
        r7 = r15;
        goto L_0x0345;
    L_0x003c:
        r2 = r0;
    L_0x003d:
        r8 = 1;
        r7 = 0;
        if (r2 == 0) goto L_0x0059;
    L_0x0041:
        r3 = r2.appToken;	 Catch:{ all -> 0x0034 }
        if (r3 == 0) goto L_0x0059;
    L_0x0045:
        r3 = r2.appToken;	 Catch:{ all -> 0x0034 }
        r3 = r3.asBinder();	 Catch:{ all -> 0x0034 }
        if (r3 != r12) goto L_0x0059;
    L_0x004d:
        r3 = r11.mService;	 Catch:{ all -> 0x0034 }
        r3 = r3.mInputMethodTarget;	 Catch:{ all -> 0x0034 }
        r3 = r3.isInMultiWindowMode();	 Catch:{ all -> 0x0034 }
        if (r3 != 0) goto L_0x0059;
    L_0x0057:
        r5 = r8;
        goto L_0x005a;
    L_0x0059:
        r5 = r7;
    L_0x005a:
        monitor-exit(r1);	 Catch:{ all -> 0x033f }
        r1 = r11.mService;
        r1 = r1.mPolicy;
        r2 = 2;
        r1 = r1.getWindowLayerFromTypeLw(r2);
        r1 = r1 + r8;
        r1 = r1 * 10000;
        r6 = r1 + 1000;
        r1 = new android.util.MutableBoolean;
        r4 = r45;
        r1.<init>(r4);
        r3 = r1;
        r1 = r11.mService;
        r2 = r1.mWindowMap;
        monitor-enter(r2);
        r11.appWin = r0;	 Catch:{ all -> 0x0329 }
        r11.screenshotReady = r7;	 Catch:{ all -> 0x0329 }
        r11.maxLayer = r7;	 Catch:{ all -> 0x0329 }
        r11.minLayer = r7;	 Catch:{ all -> 0x0329 }
        r1 = new com.android.server.wm.-$$Lambda$HwDisplayContent$UiMb2yAB1OHc6iiUwbMFKfLp2P8;	 Catch:{ all -> 0x009a }
        r20 = r1;
        r1 = r20;
        r21 = r2;
        r2 = r11;
        r22 = r3;
        r3 = r6;
        r4 = r47;
        r23 = r6;
        r6 = r12;
        r7 = r22;
        r0 = r8;
        r8 = r48;
        r24 = r9;
        r1.<init>(r2, r3, r4, r5, r6, r7, r8, r9, r10);	 Catch:{ all -> 0x00aa }
        goto L_0x00b7;
    L_0x009a:
        r0 = move-exception;
        r21 = r2;
        r34 = r3;
        r35 = r5;
        r23 = r6;
        r6 = r9;
        r38 = r10;
        r5 = r14;
        r7 = r15;
        goto L_0x0324;
    L_0x00aa:
        r0 = move-exception;
        r35 = r5;
        r38 = r10;
        r5 = r14;
        r7 = r15;
        r34 = r22;
        r6 = r24;
        goto L_0x0324;
    L_0x00b7:
        r1 = r20;
        r11.forAllWindows(r1, r0);	 Catch:{ all -> 0x0314 }
        if (r12 == 0) goto L_0x00d6;
    L_0x00be:
        r1 = r11.appWin;	 Catch:{ all -> 0x00c5 }
        if (r1 != 0) goto L_0x00d6;
    L_0x00c2:
        monitor-exit(r21);	 Catch:{ all -> 0x00c5 }
        r0 = 0;
        return r0;
    L_0x00c5:
        r0 = move-exception;
        r3 = r43;
        r2 = r44;
        r35 = r5;
        r38 = r10;
        r5 = r14;
        r7 = r15;
        r34 = r22;
        r6 = r24;
        goto L_0x033b;
    L_0x00d6:
        r1 = r11.screenshotReady;	 Catch:{ all -> 0x0314 }
        if (r1 != 0) goto L_0x011e;
    L_0x00da:
        r0 = "WindowManager";
        r1 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00c5 }
        r1.<init>();	 Catch:{ all -> 0x00c5 }
        r2 = "Failed to capture screenshot of ";
        r1.append(r2);	 Catch:{ all -> 0x00c5 }
        r1.append(r12);	 Catch:{ all -> 0x00c5 }
        r2 = " appWin=";
        r1.append(r2);	 Catch:{ all -> 0x00c5 }
        r2 = r11.appWin;	 Catch:{ all -> 0x00c5 }
        if (r2 != 0) goto L_0x00f5;
    L_0x00f2:
        r2 = "null";
        goto L_0x0111;
    L_0x00f5:
        r2 = new java.lang.StringBuilder;	 Catch:{ all -> 0x00c5 }
        r2.<init>();	 Catch:{ all -> 0x00c5 }
        r3 = r11.appWin;	 Catch:{ all -> 0x00c5 }
        r2.append(r3);	 Catch:{ all -> 0x00c5 }
        r3 = " drawState=";
        r2.append(r3);	 Catch:{ all -> 0x00c5 }
        r3 = r11.appWin;	 Catch:{ all -> 0x00c5 }
        r3 = r3.mWinAnimator;	 Catch:{ all -> 0x00c5 }
        r3 = r3.mDrawState;	 Catch:{ all -> 0x00c5 }
        r2.append(r3);	 Catch:{ all -> 0x00c5 }
        r2 = r2.toString();	 Catch:{ all -> 0x00c5 }
    L_0x0111:
        r1.append(r2);	 Catch:{ all -> 0x00c5 }
        r1 = r1.toString();	 Catch:{ all -> 0x00c5 }
        android.util.Slog.i(r0, r1);	 Catch:{ all -> 0x00c5 }
        monitor-exit(r21);	 Catch:{ all -> 0x00c5 }
        r0 = 0;
        return r0;
    L_0x011e:
        r1 = r11.maxLayer;	 Catch:{ all -> 0x0314 }
        r1 = r11.mDisplay;	 Catch:{ all -> 0x0314 }
        r1 = r1.getRotation();	 Catch:{ all -> 0x0314 }
        r8 = 3;
        if (r1 == r0) goto L_0x0131;
    L_0x0129:
        if (r1 != r8) goto L_0x012c;
    L_0x012b:
        goto L_0x0131;
    L_0x012c:
        r3 = r43;
        r2 = r44;
        goto L_0x0136;
    L_0x0131:
        r2 = r43;
        r3 = r44;
    L_0x0136:
        r4 = r22;
        r6 = r4.value;	 Catch:{ all -> 0x0306 }
        if (r6 != 0) goto L_0x0156;
    L_0x013c:
        r6 = r24;
        r7 = 0;
        r9 = r6.intersect(r7, r7, r15, r14);	 Catch:{ all -> 0x0149 }
        if (r9 != 0) goto L_0x015c;
    L_0x0145:
        r6.setEmpty();	 Catch:{ all -> 0x0149 }
        goto L_0x015c;
    L_0x0149:
        r0 = move-exception;
        r16 = r1;
        r34 = r4;
        r35 = r5;
        r38 = r10;
    L_0x0152:
        r5 = r14;
        r7 = r15;
        goto L_0x033b;
    L_0x0156:
        r6 = r24;
        r7 = 0;
        r6.set(r7, r7, r15, r14);	 Catch:{ all -> 0x02fa }
    L_0x015c:
        r9 = r6.isEmpty();	 Catch:{ all -> 0x02fa }
        if (r9 == 0) goto L_0x0165;
    L_0x0162:
        monitor-exit(r21);	 Catch:{ all -> 0x0149 }
        r0 = 0;
        return r0;
    L_0x0165:
        if (r3 >= 0) goto L_0x016f;
    L_0x0167:
        r9 = r6.width();	 Catch:{ all -> 0x0149 }
        r9 = (float) r9;	 Catch:{ all -> 0x0149 }
        r9 = r9 * r46;
        r3 = (int) r9;	 Catch:{ all -> 0x0149 }
    L_0x016f:
        if (r2 >= 0) goto L_0x0179;
    L_0x0171:
        r9 = r6.height();	 Catch:{ all -> 0x0149 }
        r9 = (float) r9;
        r9 = r9 * r46;
        r2 = (int) r9;
    L_0x0179:
        r9 = new android.graphics.Rect;	 Catch:{ all -> 0x02fa }
        r9.<init>(r6);	 Catch:{ all -> 0x02fa }
        r16 = android.util.HwPCUtils.isPcCastModeInServer();	 Catch:{ all -> 0x02fa }
        if (r16 == 0) goto L_0x0218;
    L_0x0184:
        r7 = r11.mDisplayId;	 Catch:{ all -> 0x020b }
        r7 = android.util.HwPCUtils.isValidExtDisplayId(r7);	 Catch:{ all -> 0x020b }
        if (r7 == 0) goto L_0x0218;
    L_0x018c:
        r7 = r11.mService;	 Catch:{ all -> 0x020b }
        r7 = r7.getPCScreenDisplayMode();	 Catch:{ all -> 0x020b }
        if (r7 == 0) goto L_0x0201;
    L_0x0194:
        if (r7 != r0) goto L_0x019a;
    L_0x0196:
        r16 = 1064514355; // 0x3f733333 float:0.95 double:5.259399723E-315;
        goto L_0x019d;
    L_0x019a:
        r16 = 1063675494; // 0x3f666666 float:0.9 double:5.2552552E-315;
    L_0x019d:
        r33 = r16;
        r16 = 1065353216; // 0x3f800000 float:1.0 double:5.263544247E-315;
        r8 = r33;
        r17 = r16 - r8;
        r18 = 1073741824; // 0x40000000 float:2.0 double:5.304989477E-315;
        r17 = r17 / r18;
        r0 = (float) r15;
        r0 = r0 * r17;
        r34 = r4;
        r4 = (float) r14;
        r4 = r4 * r17;
        r9.scale(r8);	 Catch:{ all -> 0x01f6 }
        r35 = r5;
        r5 = r9.left;	 Catch:{ all -> 0x01ed }
        r36 = r7;
        r7 = r0 - r16;
        r7 = (int) r7;	 Catch:{ all -> 0x01ed }
        r5 = r5 + r7;
        r7 = r9.top;	 Catch:{ all -> 0x01ed }
        r37 = r8;
        r8 = r4 - r16;
        r8 = (int) r8;	 Catch:{ all -> 0x01ed }
        r7 = r7 + r8;
        r8 = r9.width();	 Catch:{ all -> 0x01ed }
        r38 = r10;
        r10 = r9.left;	 Catch:{ all -> 0x01e8 }
        r8 = r8 + r10;
        r12 = (double) r0;	 Catch:{ all -> 0x01e8 }
        r12 = java.lang.Math.floor(r12);	 Catch:{ all -> 0x01e8 }
        r10 = (int) r12;	 Catch:{ all -> 0x01e8 }
        r8 = r8 + r10;
        r10 = r9.height();	 Catch:{ all -> 0x01e8 }
        r12 = r9.top;	 Catch:{ all -> 0x01e8 }
        r10 = r10 + r12;
        r12 = (double) r4;	 Catch:{ all -> 0x01e8 }
        r12 = java.lang.Math.floor(r12);	 Catch:{ all -> 0x01e8 }
        r12 = (int) r12;	 Catch:{ all -> 0x01e8 }
        r10 = r10 + r12;
        r9.set(r5, r7, r8, r10);	 Catch:{ all -> 0x01e8 }
        goto L_0x0207;
    L_0x01e8:
        r0 = move-exception;
        r16 = r1;
        goto L_0x0152;
    L_0x01ed:
        r0 = move-exception;
        r38 = r10;
        r16 = r1;
        r5 = r14;
        r7 = r15;
        goto L_0x033b;
    L_0x01f6:
        r0 = move-exception;
        r35 = r5;
        r38 = r10;
        r16 = r1;
        r5 = r14;
        r7 = r15;
        goto L_0x033b;
    L_0x0201:
        r34 = r4;
        r35 = r5;
        r38 = r10;
    L_0x0207:
        r5 = r14;
        r7 = r15;
        goto L_0x027b;
    L_0x020b:
        r0 = move-exception;
        r34 = r4;
        r35 = r5;
        r38 = r10;
        r16 = r1;
        r5 = r14;
        r7 = r15;
        goto L_0x033b;
    L_0x0218:
        r34 = r4;
        r35 = r5;
        r38 = r10;
        r0 = r11.mService;	 Catch:{ all -> 0x02f4 }
        r0 = r0.mLazyModeOn;	 Catch:{ all -> 0x02f4 }
        if (r0 == 0) goto L_0x023a;
    L_0x0224:
        r0 = r11.mService;	 Catch:{ all -> 0x02f4 }
        r4 = r11.mService;	 Catch:{ all -> 0x02f4 }
        r4 = r4.mLazyModeOn;	 Catch:{ all -> 0x02f4 }
        r16 = 0;
        r5 = r14;
        r14 = r0;
        r7 = r15;
        r15 = r4;
        r17 = r7;
        r18 = r5;
        r19 = r9;
        r14.setCropOnSingleHandMode(r15, r16, r17, r18, r19);	 Catch:{ all -> 0x02ef }
        goto L_0x027b;
    L_0x023a:
        r5 = r14;
        r7 = r15;
        r0 = (float) r3;	 Catch:{ all -> 0x02ef }
        r4 = r6.width();	 Catch:{ all -> 0x02ef }
        r4 = (float) r4;	 Catch:{ all -> 0x02ef }
        r0 = r0 / r4;
        r4 = (float) r2;	 Catch:{ all -> 0x02ef }
        r8 = r6.height();	 Catch:{ all -> 0x02ef }
        r8 = (float) r8;	 Catch:{ all -> 0x02ef }
        r4 = r4 / r8;
        r0 = (r0 > r4 ? 1 : (r0 == r4 ? 0 : -1));
        if (r0 >= 0) goto L_0x026c;
    L_0x024e:
        r0 = (float) r3;	 Catch:{ all -> 0x02ef }
        r4 = (float) r2;	 Catch:{ all -> 0x02ef }
        r0 = r0 / r4;
        r4 = r6.height();	 Catch:{ all -> 0x02ef }
        r4 = (float) r4;	 Catch:{ all -> 0x02ef }
        r0 = r0 * r4;
        r0 = (int) r0;	 Catch:{ all -> 0x02ef }
        r4 = r9.left;	 Catch:{ all -> 0x02ef }
        r4 = r4 + r0;
        r9.right = r4;	 Catch:{ all -> 0x02ef }
        r4 = r9.right;	 Catch:{ all -> 0x02ef }
        r8 = r6.width();	 Catch:{ all -> 0x02ef }
        if (r4 >= r8) goto L_0x026b;
    L_0x0265:
        r4 = r6.width();	 Catch:{ all -> 0x02ef }
        r9.right = r4;	 Catch:{ all -> 0x02ef }
    L_0x026b:
        goto L_0x027b;
    L_0x026c:
        r0 = (float) r2;	 Catch:{ all -> 0x02ef }
        r4 = (float) r3;	 Catch:{ all -> 0x02ef }
        r0 = r0 / r4;
        r4 = r6.width();	 Catch:{ all -> 0x02ef }
        r4 = (float) r4;	 Catch:{ all -> 0x02ef }
        r0 = r0 * r4;
        r0 = (int) r0;	 Catch:{ all -> 0x02ef }
        r4 = r9.top;	 Catch:{ all -> 0x02ef }
        r4 = r4 + r0;
        r9.bottom = r4;	 Catch:{ all -> 0x02ef }
    L_0x027b:
        r0 = 1;
        if (r1 == r0) goto L_0x0282;
    L_0x027e:
        r4 = 3;
        if (r1 != r4) goto L_0x0288;
    L_0x0281:
        goto L_0x0283;
    L_0x0282:
        r4 = 3;
    L_0x0283:
        if (r1 != r0) goto L_0x0286;
    L_0x0285:
        goto L_0x0287;
    L_0x0286:
        r4 = r0;
    L_0x0287:
        r1 = r4;
    L_0x0288:
        convertCropForSurfaceFlinger(r9, r1, r7, r5);	 Catch:{ all -> 0x02ef }
        r4 = r11.mService;	 Catch:{ all -> 0x02ef }
        r4 = r4.mAnimator;	 Catch:{ all -> 0x02ef }
        r8 = 0;
        r4 = r4.getScreenRotationAnimationLocked(r8);	 Catch:{ all -> 0x02ef }
        if (r4 == 0) goto L_0x029f;
    L_0x0296:
        r10 = r4.isAnimating();	 Catch:{ all -> 0x02ef }
        if (r10 == 0) goto L_0x029f;
    L_0x029c:
        r31 = r0;
        goto L_0x02a1;
    L_0x029f:
        r31 = r8;
    L_0x02a1:
        android.view.SurfaceControl.openTransaction();	 Catch:{ all -> 0x02ef }
        android.view.SurfaceControl.closeTransactionSync();	 Catch:{ all -> 0x02ef }
        r0 = r11.minLayer;	 Catch:{ all -> 0x02ef }
        r8 = r11.maxLayer;	 Catch:{ all -> 0x02ef }
        r24 = r49;
        r25 = r41;
        r26 = r9;
        r27 = r3;
        r28 = r2;
        r29 = r0;
        r30 = r8;
        r32 = r1;
        r0 = r24.screenshotForExternalDisplay(r25, r26, r27, r28, r29, r30, r31, r32);	 Catch:{ all -> 0x02ef }
        if (r0 != 0) goto L_0x02ed;
    L_0x02c1:
        r8 = "WindowManager";
        r10 = new java.lang.StringBuilder;	 Catch:{ all -> 0x02ef }
        r10.<init>();	 Catch:{ all -> 0x02ef }
        r12 = "Screenshot failure taking screenshot for (";
        r10.append(r12);	 Catch:{ all -> 0x02ef }
        r10.append(r7);	 Catch:{ all -> 0x02ef }
        r12 = "x";
        r10.append(r12);	 Catch:{ all -> 0x02ef }
        r10.append(r5);	 Catch:{ all -> 0x02ef }
        r12 = ") to layer ";
        r10.append(r12);	 Catch:{ all -> 0x02ef }
        r12 = r11.maxLayer;	 Catch:{ all -> 0x02ef }
        r10.append(r12);	 Catch:{ all -> 0x02ef }
        r10 = r10.toString();	 Catch:{ all -> 0x02ef }
        android.util.Slog.w(r8, r10);	 Catch:{ all -> 0x02ef }
        monitor-exit(r21);	 Catch:{ all -> 0x02ef }
        r8 = 0;
        return r8;
    L_0x02ed:
        monitor-exit(r21);	 Catch:{ all -> 0x02ef }
        return r0;
    L_0x02ef:
        r0 = move-exception;
        r16 = r1;
        goto L_0x033b;
    L_0x02f4:
        r0 = move-exception;
        r5 = r14;
        r7 = r15;
        r16 = r1;
        goto L_0x033b;
    L_0x02fa:
        r0 = move-exception;
        r34 = r4;
        r35 = r5;
        r38 = r10;
        r5 = r14;
        r7 = r15;
        r16 = r1;
        goto L_0x033b;
    L_0x0306:
        r0 = move-exception;
        r34 = r4;
        r35 = r5;
        r38 = r10;
        r5 = r14;
        r7 = r15;
        r6 = r24;
        r16 = r1;
        goto L_0x033b;
    L_0x0314:
        r0 = move-exception;
        r35 = r5;
        r38 = r10;
        r5 = r14;
        r7 = r15;
        r34 = r22;
        r6 = r24;
        r3 = r43;
        r2 = r44;
        goto L_0x033b;
    L_0x0324:
        r3 = r43;
        r2 = r44;
        goto L_0x033b;
    L_0x0329:
        r0 = move-exception;
        r21 = r2;
        r34 = r3;
        r35 = r5;
        r23 = r6;
        r6 = r9;
        r38 = r10;
        r5 = r14;
        r7 = r15;
        r3 = r43;
        r2 = r44;
    L_0x033b:
        monitor-exit(r21);	 Catch:{ all -> 0x033d }
        throw r0;
    L_0x033d:
        r0 = move-exception;
        goto L_0x033b;
    L_0x033f:
        r0 = move-exception;
        r6 = r9;
        r38 = r10;
        r5 = r14;
        r7 = r15;
    L_0x0345:
        monitor-exit(r1);	 Catch:{ all -> 0x0347 }
        throw r0;
    L_0x0347:
        r0 = move-exception;
        goto L_0x0345;
    L_0x0349:
        r5 = r14;
        r7 = r15;
    L_0x034b:
        r0 = 0;
        return r0;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.wm.HwDisplayContent.screenshotApplicationsForExternalDisplay(android.os.IBinder, android.os.IBinder, int, int, boolean, float, boolean, boolean, com.android.server.wm.HwDisplayContent$ScreenshoterForExternalDisplay):E");
    }

    /* JADX WARNING: Removed duplicated region for block: B:66:0x00c5  */
    /* JADX WARNING: Removed duplicated region for block: B:65:0x00c4 A:{RETURN} */
    public static /* synthetic */ boolean lambda$screenshotApplicationsForExternalDisplay$0(com.android.server.wm.HwDisplayContent r16, int r17, boolean r18, boolean r19, android.os.IBinder r20, android.util.MutableBoolean r21, boolean r22, android.graphics.Rect r23, android.graphics.Rect r24, com.android.server.wm.WindowState r25) {
        /*
        r0 = r16;
        r1 = r20;
        r2 = r21;
        r3 = r23;
        r4 = r25;
        r5 = r4.mHasSurface;
        r6 = 0;
        if (r5 != 0) goto L_0x0010;
    L_0x000f:
        return r6;
    L_0x0010:
        r5 = r4.mLayer;
        r7 = r17;
        if (r5 < r7) goto L_0x0017;
    L_0x0016:
        return r6;
    L_0x0017:
        if (r18 == 0) goto L_0x001e;
    L_0x0019:
        r5 = r4.mIsWallpaper;
        if (r5 != 0) goto L_0x001e;
    L_0x001d:
        return r6;
    L_0x001e:
        r5 = r4.mIsImWindow;
        if (r5 == 0) goto L_0x0025;
    L_0x0022:
        if (r19 != 0) goto L_0x0043;
    L_0x0024:
        return r6;
    L_0x0025:
        r8 = r4.mIsWallpaper;
        if (r8 == 0) goto L_0x0032;
    L_0x0029:
        if (r18 == 0) goto L_0x002d;
    L_0x002b:
        r0.appWin = r4;
    L_0x002d:
        r8 = r0.appWin;
        if (r8 != 0) goto L_0x0043;
    L_0x0031:
        return r6;
    L_0x0032:
        if (r1 == 0) goto L_0x0043;
    L_0x0034:
        r8 = r4.mAppToken;
        if (r8 == 0) goto L_0x0042;
    L_0x0038:
        r8 = r4.mAppToken;
        r8 = r8.token;
        if (r8 == r1) goto L_0x003f;
    L_0x003e:
        goto L_0x0042;
    L_0x003f:
        r0.appWin = r4;
        goto L_0x0043;
    L_0x0042:
        return r6;
    L_0x0043:
        r8 = r4.mWinAnimator;
        r9 = r8.mSurfaceController;
        r9 = r9.getLayer();
        r10 = r0.maxLayer;
        if (r10 >= r9) goto L_0x0051;
    L_0x004f:
        r0.maxLayer = r9;
    L_0x0051:
        r10 = r0.minLayer;
        if (r10 <= r9) goto L_0x0057;
    L_0x0055:
        r0.minLayer = r9;
    L_0x0057:
        r10 = r2.value;
        if (r10 != 0) goto L_0x006c;
    L_0x005b:
        if (r22 == 0) goto L_0x006c;
    L_0x005d:
        r11 = r25.getStack();
        if (r11 == 0) goto L_0x0066;
    L_0x0063:
        r11.getBounds(r3);
    L_0x0066:
        r12 = r4.mFrame;
        r3.intersect(r12);
        goto L_0x009e;
    L_0x006c:
        r11 = r2.value;
        if (r11 != 0) goto L_0x009e;
    L_0x0070:
        r11 = r4.mIsWallpaper;
        if (r11 != 0) goto L_0x009e;
    L_0x0074:
        r11 = r4.mFrame;
        r12 = r4.mContentInsets;
        r13 = r11.left;
        r14 = r12.left;
        r13 = r13 + r14;
        r14 = r11.top;
        r6 = r12.top;
        r14 = r14 + r6;
        r6 = r11.right;
        r2 = r12.right;
        r6 = r6 - r2;
        r2 = r11.bottom;
        r5 = r12.bottom;
        r2 = r2 - r5;
        r3.union(r13, r14, r6, r2);
        r5 = r24;
        r4.getVisibleBounds(r5);
        r15 = android.graphics.Rect.intersects(r23, r24);
        if (r15 != 0) goto L_0x00a0;
    L_0x009a:
        r23.setEmpty();
        goto L_0x00a0;
    L_0x009e:
        r5 = r24;
    L_0x00a0:
        r2 = r4.mAppToken;
        r6 = 1;
        if (r2 == 0) goto L_0x00ab;
    L_0x00a5:
        r2 = r4.mAppToken;
        r2 = r2.token;
        if (r2 == r1) goto L_0x00b1;
    L_0x00ab:
        r2 = r0.appWin;
        if (r2 == 0) goto L_0x00b3;
    L_0x00af:
        if (r18 == 0) goto L_0x00b3;
    L_0x00b1:
        r2 = r6;
        goto L_0x00b4;
    L_0x00b3:
        r2 = 0;
    L_0x00b4:
        if (r2 == 0) goto L_0x00be;
    L_0x00b6:
        r11 = r8.getShown();
        if (r11 == 0) goto L_0x00be;
    L_0x00bc:
        r0.screenshotReady = r6;
    L_0x00be:
        r11 = r25.isObscuringDisplay();
        if (r11 == 0) goto L_0x00c5;
    L_0x00c4:
        return r6;
    L_0x00c5:
        r6 = 0;
        return r6;
        */
        throw new UnsupportedOperationException("Method not decompiled: com.android.server.wm.HwDisplayContent.lambda$screenshotApplicationsForExternalDisplay$0(com.android.server.wm.HwDisplayContent, int, boolean, boolean, android.os.IBinder, android.util.MutableBoolean, boolean, android.graphics.Rect, android.graphics.Rect, com.android.server.wm.WindowState):boolean");
    }

    private static /* synthetic */ void lambda$screenshotApplicationsForExternalDisplay$1(com.android.server.wm.WindowState w) {
        com.android.server.wm.WindowSurfaceController controller = w.mWinAnimator.mSurfaceController;
        java.lang.String str = "WindowManager";
        java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
        stringBuilder.append(w);
        stringBuilder.append(": ");
        stringBuilder.append(w.mLayer);
        stringBuilder.append(" animLayer=");
        stringBuilder.append(w.mWinAnimator.mAnimLayer);
        stringBuilder.append(" surfaceLayer=");
        stringBuilder.append(controller == null ? "null" : java.lang.Integer.valueOf(controller.getLayer()));
        android.util.Slog.i(str, stringBuilder.toString());
    }

    protected boolean updateRotationUnchecked(boolean forceUpdate) {
        if (android.util.HwPCUtils.isPcCastModeInServer() && (android.util.HwPCUtils.isValidExtDisplayId(this.mDisplayId) || (android.util.HwPCUtils.enabledInPad() && getRotation() == 1))) {
            return false;
        }
        return super.updateRotationUnchecked(forceUpdate);
    }

    void performLayout(boolean initial, boolean updateInputWindows) {
        super.performLayout(initial, updateInputWindows);
    }

    void prepareSurfaces() {
        super.prepareSurfaces();
        if (android.util.HwPCUtils.isPcCastModeInServer() && android.util.HwPCUtils.isValidExtDisplayId(getDisplayId())) {
            int pcScreenDpMode = this.mService.getPCScreenDisplayMode();
            if (this.mService.mHwWMSEx != null) {
                this.mService.mHwWMSEx.computeShownFrameLockedByPCScreenDpMode(pcScreenDpMode);
            }
        }
    }

    protected void uploadOrientation(int rotation) {
        if (this.mService.mContext != null) {
            java.lang.String rotationState;
            java.lang.StringBuilder stringBuilder;
            if (rotation != 1) {
                if (rotation != 3) {
                    rotationState = "is vertical screen";
                    stringBuilder = new java.lang.StringBuilder();
                    stringBuilder.append("{ ");
                    stringBuilder.append(rotationState);
                    stringBuilder.append(" rotation:");
                    stringBuilder.append(rotation);
                    stringBuilder.append(" }");
                    com.huawei.android.statistical.StatisticalUtils.reporte(this.mService.mContext, 171, stringBuilder.toString());
                }
            }
            rotationState = "is horizontal screen";
            stringBuilder = new java.lang.StringBuilder();
            stringBuilder.append("{ ");
            stringBuilder.append(rotationState);
            stringBuilder.append(" rotation:");
            stringBuilder.append(rotation);
            stringBuilder.append(" }");
            com.huawei.android.statistical.StatisticalUtils.reporte(this.mService.mContext, 171, stringBuilder.toString());
        }
    }

    public boolean shouldDropMotionEventForTouchPad(float x, float y) {
        this.mTmpshouldDropMotionEventForTouchPad = false;
        forAllWindows(new com.android.server.wm.-$$Lambda$HwDisplayContent$gpSSKJ2u9mSSHwlUQNX0an81APk(this, x, y), true);
        return this.mTmpshouldDropMotionEventForTouchPad;
    }

    public static /* synthetic */ boolean lambda$shouldDropMotionEventForTouchPad$2(com.android.server.wm.HwDisplayContent hwDisplayContent, float x, float y, com.android.server.wm.WindowState w) {
        java.lang.String title = w.getAttrs().getTitle() == null ? null : w.getAttrs().getTitle().toString();
        if ("com.huawei.desktop.systemui/com.huawei.systemui.mk.activity.ImitateActivity".equalsIgnoreCase(title)) {
            hwDisplayContent.mTmpshouldDropMotionEventForTouchPad = false;
            return true;
        }
        if (w.isVisible()) {
            android.graphics.Region outRegion = new android.graphics.Region();
            w.getTouchableRegion(outRegion);
            if (outRegion.contains((int) x, (int) y)) {
                java.lang.StringBuilder stringBuilder = new java.lang.StringBuilder();
                stringBuilder.append("consume event in title = ");
                stringBuilder.append(title);
                android.util.Slog.d("WindowManager", stringBuilder.toString());
                hwDisplayContent.mTmpshouldDropMotionEventForTouchPad = true;
                return true;
            }
        }
        hwDisplayContent.mTmpshouldDropMotionEventForTouchPad = false;
        return false;
    }
}
